San Diego, California (CNN) -- The Obama administration calls its policy on illegal immigrants "prosecutorial discretion." In reality, we're finding out, it amounts to business as usual, deporting huge numbers of hard-working immigrants.

The objective of the new "policy" announced last year was to fool immigration reform advocates into thinking that the administration had grown a conscience and stopped running up its deportation figures by deporting people who represent no threat to public safety.

If you're an illegal immigrant with no criminal record, longstanding ties to the community, or U.S.-born children, or if you're a young person who would have been eligible for a pathway to legal status under the Dream Act, you are supposed to get a break so that the administration can focus its limited resources on going after criminal aliens.

When the policy was announced last year, the media should have asked President Barack Obama, Homeland Security Secretary Janet Napolitano, Immigration and Customs Enforcement Director John Morton or Domestic Policy Council Director Cecilia Munoz this question: "If resources are indeed so limited, and since it is more labor intensive to pursue criminals than college students, why shouldn't we expect you to continue to take the easy road and remove noncriminals no matter what you're promising?"

That is pretty much what happened. By all accounts, hardly anything has changed at Immigration and Customs Enforcement. Since November 2011, Department of Homeland Security officials have reviewed more than 400,000 cases; according to a recent report, less than 2 percent of those cases were closed.

This revelation has to be a little embarrassing for those right-wing commentators who, when the policy was announced, got carried away and called it a "backdoor amnesty."

Really? It turns out the door is still shut.

And, even in those cases where the individuals were removed from deportation proceedings, they weren't given a pathway to earned legal status or a work visa, perhaps in the hope that, with limited options to make a living and provide for their families, they would, as presumptive Republican presidential nominee Mitt Romney likes to say, "self-deport."

Which reminds me, what's the difference between the two major presidential candidates when it comes to immigration? There isn't much of one.

In fact, I've interviewed immigration lawyers who say that the ICE agents they deal with at the local level openly refer to the promise of prosecutorial discretion as a "joke."

Immigration reform advocates aren't laughing. Neither are Latinos, many of whom take the immigration issue personally because many of them know people who have been deported and because they feel affected by the racism driving the debate.

Both groups are upset that the administration's much-hyped policy of applying "prosecutorial discretion" to hundreds of thousands of deportation cases still in the pipeline has turned out to be little more than smoke and mirrors.

It is no wonder that President Obama has so much trouble telling the truth about his immigration record. He can't very well acknowledge to immigration reform advocates that it was political expediency that led him to aggressively deport more than 1.2 million illegal immigrants in his first three years in office. And he doesn't want to admit that he misled supporters by telling them that most of those being deported were criminals as opposed to what he described in a May 2011 speech in El Paso, Texas, as "folks who are looking to scrape together an income."

Rather than be straight with supporters on the left and risk disillusioning parts of the base in an election year, administration officials chose to deceive them into thinking that the administration had developed a conscience and was focused on going after what Obama called the "worst of the worst."

This shell game never smelled right to me. In October 2011, I wrote a column for CNN expressing skepticism that the administration was on the level.

Obama had already put in so much effort to show that he was tough on illegal immigration, just like all Democratic presidents or presidential candidates have to do because they're perceived by some voters as soft on border security in the same way that in the 1970s they were seen as soft on national security.

While he was in office, Bill Clinton launched Operation Gatekeeper to militarize the U.S.-Mexico border south of San Diego and signed legislation to make it easier to deport people and harder for those slated for deportation to contest their removal.

Obama went further. By relying on the controversial program Secure Communities, which requires local police to submit to federal officials the fingerprints of anyone they arrest who they suspect is in the country illegally, his administration roped local police into the enforcement of federal immigration law over the objections of prominent Democrats such as Massachusetts Gov. Deval Patrick and New York Gov. Andrew Cuomo.

Having gone to all that trouble, it didn't make sense that Obama would relinquish those "gains." It was much more likely that he would keep the deportation machine humming along, while hoodwinking supporters into believing otherwise. In politics, you don't have to fool all the people all the time, just some of the people some of the time.

It's sad and depressing. If President Obama and his administration put half as much time, effort and thought into actually fixing a problem as they do in trying to pretend they're fixing it, the country would be much better off.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Last year, Obama administration announced a relaxed policy on deporting illegal immigrants

@highlight

Ruben Navarrette says a recent report showed the change has affected only 2% of cases

@highlight

He says administration gave impression more people would be allowed to stay

@highlight

Navarrette: Focus was supposed to be on deporting aliens who are involved in crime