(CNN) -- A few decades ago, I remember grousing to a college friend that as an Asian American male, everyone I met assumed I was studying some kind of science or engineering -- as if the idea that I might want to pursue a career in the arts, humanities or communications was ridiculous. My friend responded that as a 6-foot-7 African American pre-med student, he would be ecstatic for someone to actually believe he had an interest in a STEM field, as opposed to, say, basketball. Back then, we laughed off the exchange as a sign of how the stereotype grass is always greener on the other side.

Well, the fact is, stereotypes aren't quite lies; they're more like distorted versions of the truth. And the diversity statistics that the tech world's biggest firms have been shamed into releasing this year have been revealing: the numbers show that there are a heckuva lot of Asians working in America's technology industry...and very few African Americans and Latinos.

According to the reports, more than four out of every 10 engineering staff in these tech companies are Asian. That includes 23% of Apple's programmers and engineers, 34% of Google's and Twitter's, 41% of Facebook's and a staggering 57% and 60% of Yahoo's and LinkedIn's respectively.

By contrast -- stark, painful contrast -- around 4% of employees at these companies altogether is Hispanic and only about 3% are black. In both cases, Apple is pulling up the numbers; without the fruit company's 7% Hispanic and 6% black engineering team, the numbers would plummet.

This is just embarrassing. To their credit, the tech companies understand this. Each of them revealed their numbers with sheepish blog posts that asserted the need to "do better" in recruiting black and Hispanic technologists.

But these same posts have failed to celebrate (or even address) what would appear to be a singular diversity highlight: The very large percentages of Asians in the engineering workforce.

Maybe that's because these statistics aren't exactly what they seem. The numbers released for Asian engineers have lumped U.S. citizens and permanent residents together with foreign nationals working on temporary H-1B visas; over 40% of H-1B visa holders are Asian (India alone accounts for 25%), most of them employed by tech companies. Take out the H1-B visa employees, and the eye-popping numbers of Asian technologists drops by half.

There's also the reality that being an Asian technology employee can be a professional dead end. A gilded one, to be sure -- the average salary for a computer programmer is around $75,000 a year -- but the statistics on leadership-level employees show that most Asians in the tech industry hit a ceiling well before they reach management status.

The percentage of whites, blacks and Hispanics who are executives is the same as their percentage in engineering roles. Asians, meanwhile, are about half as likely to be managers as they are to be coders and hardware hackers.

"I'd be lying if I said I didn't notice underrepresentation by Asians in Silicon Valley at the executive level relative to their presence at lower levels," said James Hong, a serial entrepreneur and angel investor who began his career at Hewlett-Packard and went on to co-found one of the early dot-com sensations, the portrait-rating site HotOrNot.com. Hong points out, however, that it's not clear whether this is more likely to be evidence of racial bias or a byproduct of immigrant culture.

"Were we on average trained as children to be overachieving bookworms who respect authority and avoid conflict, and do these traits inhibit our progression into the upper levels of management?" he asks. "Did strict Asian parents restrict their Asian American children from socializing with their classmates, making them incapable of leading others?"

It's a question I sometimes wonder about every time I double-clutch before raising my hand to share an opinion, or defer to a supervisor's decisions even when I disagree. (And I'm about as rash, unruly and outspoken a child of Asian immigrants as you'll probably find, as my parents have concluded.)

The upbringing that gives you the skills you need to do well professionally doesn't necessarily provide you with the mindset you need to excel professionally. This suggests that the encouragement of diversity needs to be a priority in a person's life long before entry into the workforce.

Ensuring that we're exposed to people of different backgrounds from a very early age doesn't just encourage tolerance; it also provides us with a rich array of cultural models to follow, helping to address the soft spots we face in our individual upbringing. It certainly did for me. I'm not sure how I would've turned out if I'd lived and grown up in a monocultural environment. I imagine I'd probably be a doctor or engineer -- a mediocre and unhappy one.

The tech industry is trying to address its workforce shortcomings now, because it realizes that diversity isn't a burden, it's a secret weapon. A diverse enterprise has the wherewithal to buffer collective strengths and bridge individual weaknesses, to zig when others zag and to respond fluidly regardless of shifts in the business environment and consumer landscape.

And that's even truer for America as a whole than it is for the tech industry. If the future belongs to the United States, it won't be because we invented Facebook and Google. It will be because we're the only nation in the world where Asian journalists and black doctors and Hispanic coders live and work side by side.

@highlight

Jeff Yang: The diversity statistics released from tech industry are embarrassing

@highlight

Yang: While Asians do well, there are few African Americans and Hispanics

@highlight

But being an Asian technology employee can be a professional dead end, he says

@highlight

Yang: Good news is that tech industry realizes that diversity is a weapon, not a burden