(CNN) -- Whenever I trade my smart phone in for a smarter model, I feel good that I'm back on the leading edge of mobile technology. And I may well be, but never for long. It seems that just as I pry the gadget's box open, an even faster, sleeker version is being touted in the tech blogs and showing up on the store shelves.

Inevitably buyer's remorse sets in as I chastise myself: "if only I had waited." Innovation cycles have surely accelerated, with each offering more customization and a promise of being better.

Perhaps you've noticed that something similar is happening in the workplace. A career, even for well-educated, seasoned professionals, seems harder to sustain in this challenging economy.

You may feel like the shelf life of your skills is getting shorter. Even as unemployment rates remain persistently high, it's expected that in the United States only 20% of workers will have the skills needed for 60% of the jobs in the coming years. That's daunting for employers and employees alike.

While companies are struggling to find the skilled talent they need, many individuals are struggling to stay relevant in the briskly changing talent marketplace. These twin tensions can leave top management and managers scratching their heads about how to cultivate and keep a stable, aptly skilled and engaged workforce. Individuals wonder if they should abandon current career paths to pursue high-demand opportunities where they must start from scratch.

Luckily we can take a page from a fast-growing innovation in the worlds of product and increasingly services, that can provide a release valve: mass customization. Yep, you can customize your phone with apps, you can customize coffee drinks and even some of the clothes on your back (and shoes on your feet). Imagine, as well, that you can customize your career to better match the needs of your company and your own career-life fit.

How employee freedom delivers better business

With this so-called mass customization of careers, individuals can co-design with their managers a zigzag sequence of jobs that are skill-developing opportunities.

Rather than climb straight up a traditional corporate ladder, think of making strategic, lateral moves - on a corporate lattice - that are advantageous for you and your organization.

You can hone your strongest skills in more varied circumstances. That way you can have more control over your career-life fit with the flexibility to move in various directions in a customized career trajectory.

This approach isn't just good for the individual. Companies gain a more versatile, collaborative -- and engaged -- talent base by moving employees up, down and across the business in strategic ways. It also affects financial performance since holding onto experienced employees drives corporate talent acquisition costs down, positively impacting the bottom line.

Career customization is about enabling workers, not simply entitling them. Employees and employers share the responsibility and the opportunity of openly discussing choices and trade-offs -- for the individual and the firm. Done well, this gives organizations powerful collateral to retain employees, and attract new ones, as it becomes known as a place where a high performance culture and a sustainable career-life fit are inextricably linked.

Freedom key to workplace of the future

For employees, it means building a sustainable career with varied skillsets, more future career options, and an ability to build and enhance their personal brand. Consider the following as you develop and manage your own customized career:

1. Mark yourself to market by taking inventory of your skills, experiences and capabilities, valuing their market relevance, and positioning them all as a portfolio to create a consistent and compelling impression. Ask yourself the tough question: "How well am I doing at acquiring sought-after skills and competencies?" Take action when you don't like the answer. Also, assess how well you are building your personal brand and what it says and means to others.

2. Maximize option value by actively seeking out those opportunities to build new skills -- either in your current role or by taking on a new role at your organization. Ask yourself what actions you can take to create alternative futures for yourself â€” and greater value for your company. The more valuable you are to your organization, the more options you will have both inside and outside its walls.

3. Optimize your career-life fit by asking yourself what you most need -- and what trade-offs you are willing to accept -- to be fulfilled in your profession, family, community and other pursuits at any point in time, and over time.

Career customization may be one viable solution to help fill the gap between the growing talent shortage and the need to build sustainable, adaptive careers.

The opinions expressed in this commentary are solely those of Cathy Benko.

@highlight

You can tailor your career to better match your needs, says Cathy Benko

@highlight

It can feel like the shelf life for professional skills is getting shorter, she says

@highlight

Rather than climb straight up the corporate ladder, think of strategic, lateral moves

@highlight

It can help companies gain a more versatile and engaged talent base