London, England (CNN) -- What if you could buy a smartphone that would last you for the rest of your life?

This is the dream of Dutch designer Dave Hakkens, whose 'Phonebloks' concept has captured the public imagination and received celebrity endorsement from the most unexpected quarters.

Phonebloks is a radical cell phone idea that aims to dramatically reduce global electronic waste ('e-waste') by offering users the opportunity to upgrade parts -- or bloks -- of their cell phone rather than having to replace the entire device.

Hakkens says that he came up with Phonebloks as a response to the accelerating pace of technological waste: "I don't like the direction electronics are heading. They get more disposable and get a shorter life with every model. This gives a lot of e-waste."

The environmental campaign organisation Greenpeace estimates that global e-waste now amounts to between 20 and 50 million tons a year. Put into perspective, they say that quantity of waste, loaded onto container trains, would stretch all the way around the world.

Speaking at the CleanUp 2013 conference in Melbourne Australia, Professor Ming Wong, director of the Croucher Institute for Environmental Sciences at Hong Kong Baptist University, described the growing problem of e-waste as a "timebomb."

"[It] is the world's fastest growing waste stream, rising by 3 to 5% every year," said Wong.

The Phonebloks concept aims to decrease e-waste by offering consumers the opportunity to replace individual components of their phone, while retaining the device's basic frame.

Once constructed, Hakkens hopes that the Phonebloks handset will be built from components that can be 'clicked' together like Legos. Each component will have its own function e.g. Bluetooth, WiFi, battery, or camera. When a component stops working or needs to be upgraded, it can be quickly replaced with a new 'blok'.

In theory, Hakkens believes that choosing separate components could enable users to personalize their cell phone to their own specifications, adding an improved camera, increased storage or a larger battery.

"The idea is to set up a platform which, if used correctly, can reduce the amount of waste significantly," Hakkens says.

At present, Phonebloks is still a long way from reaching the market -- indeed its inventor hasn't even asked for any money to begin developing it. For now, Hakkers has simply been gathering support for the concept through the "crowd-speaking" platform Thunderclap.

At the time of writing, the Phonebloks concept video has received more than 12 million views on YouTube and been shared on social networks more than 650,000 times. The project has also received support from the actor Elijah Wood and television correspondent Jessica Northey.

The Phonebloks concept is not without its critics. Some argue that making a device that can more easily be upgraded will increase e-waste rather than reducing it. Others suggest that it would be impossible to build a functional smartphone in a modular way.

Hakkens says that at the very least his campaign has shown that there is an appetite for an environmentally friendly cell phone and that even though the concept was only officially launched a week ago "we are already having conversations with some serious players."

Tom Dowdall, a Climate and Energy spokesperson for Greenpeace, says that the interest in Phonebloks may be useful in underlining the growing prooblem of e-waste: "Hopefully the popularity of the Phonebloks concept will spark more action from the major manufacturers. It should not be beyond the innovative phone companies to make products that are upgradable and designed to last."

Read more: Technology of tomorrow

Martin Cooper, the inventor of the cell phone, told CNN that while the Phonebloks concept is 'well-meaning' he suspects it will never become a reality: "the main reason that the Phoneblok will not hit the market is it will cost more, be bigger and heavier, and be less reliable ... By the time it could be brought to market, the problem that engendered it will be gone."

Andy Redfern, co-founder of the 'ethically-conscious online retailer' Ethical Superstore says he thinks Phonebloks is an excellent concept, but agrees with Cooper that it will be difficult to produce:

"Phonebloks seems such an obvious idea that it makes you wonder why no one has ever taken this approach before ... However it faces two significant challenges - one technical and one cultural," Redfern says.

"To reduce cost and increase battery life as much of the phone functionality as possible is crammed on to a single piece of silicon ... So the technical challenge is meeting the current battery life and size requirements if we are going to benefit from easy upgrades.

"And culturally? Well we want the lightest phone with longest battery life. The Phoneblok is likely to have to compromise on that and we will have to change our expectations and our thinking."

"However," Redfern says "creating a phone that feeds our appetite for upgrades without having to throw away the whole phone would seem to make great sense."

Monique Rivalland contributed to this article

@highlight

Phonebloks concept aims to reduce global e-waste

@highlight

The invention will 'click together' like Lego

@highlight

Global e-waste amounts to between 20 and 50 million tonnes a year

@highlight

Critics argue that modular phones could increase e-waste rather than reducing it