(CNN) -- Don Price's passion for military airplanes flows through his veins, passed down from his father's stories of piloting Boeing B-17s in World War II.

These days, Price restores those planes and, in doing so, rekindles a connection with his father. Restoration is a complicated and expensive process -- Price worked on one plane for five years -- but he says the payoff is worth it.

"As a kid, you look at war more romantically. It's good versus bad, like cops and robbers," he said. "But as you get older and you realize what they physically had to go through, the hardships, it changes your perspective."

So when he learned a restored B-17 known as the Liberty Belle was consumed by fire after making an emergency landing in an Illinois cornfield Monday, Price felt as though he had lost a family member.

The seven people aboard the Belle escaped with minor injuries but the plane, which cost more than $3 million to restore, was reduced to a charred shell as firefighters struggled to put out the fire.

The passengers aboard were all members of the Liberty Foundation, which owned the plane. The Belle toured the country offering paid flights to World War II veterans and aviation enthusiasts.

"The Liberty Belle was the first B-17 that I got to ride on," Price said. "It's a huge loss."

Though the plane had been grounded for maintenance issues over the weekend, it was cleared for flight on Monday. Investigators with the National Transportation Safety Board said an inspection will be carried out to determine the cause of the fire.

"From what I can tell from the pictures, the pilot made a spectacular landing," Price said. "He got the landing gear down and found the best field possible. If they had crash-landed it, no one would've gotten out of the plane."

He said he vividly recalls looking at the massive Boeing B-17 with wide-eyed wonder on a family trip to the Wright-Patterson Air Force Museum.

Price, then 4 years old, crawled through the shiny aluminum plane out the back door and into his father's arms.

"This is the plane I flew in the war," his father told him.

Growing up, Price heard people call his dad a "gifted" pilot. He knew he'd flown what was dubbed The Flying Fortress during the war. But Price said never thought of Lt. William M. Price III as much more than dad -- until he was much older.

As history laid bare the harsh realities of WWII, Price said, he decided to record his father's experiences.

"I decided to interview him because I started to realize he was one of the heroes that they made movies about," he said.

"During the time he was flying, he had a one in four chance of finishing a mission alive."

He completed 25.

Lt. Price was assigned to the 384th Bombardment Group (Heavy) of the 8th Air Force at the height of the war. During one of his early missions, he and six other airmen bailed out of their plane over the English Channel after it became apparent that their bullet-riddled bomber wouldn't make it back to England. They were rescued by an English fisherman.

Price was also one of the 43 wounded airmen to return from an air strike on a German ball bearing company during what military historians christened "Black Thursday." The Air Force lost 600 men and 60 planes over enemy territory that day, according to the National Museum of the U.S. Air Force.

Price survived.

More than 60 years after the end of World War II, Don Price refurbishes military airplanes in honor of his father. As a volunteer member in the Gulf Coast Wing of the Commemorative Air Force, Price worked for five years to restore a B-17 known as the Texas Raiders to flying condition.

Since 1967, Commemorative Air Force has spent more than $1.1 million to restore Raiders to flying condition, in accordance with Federal Aviation Administration specifications.

The most recent restoration work on the plane was completed in October 2009. Price described the Raiders' first flight after that as nerve-wracking because he knew the plane hadn't left the ground in seven years.

"It was definitely an adrenaline rush to take off and know that it was finally flyable," he said. "It was an even happier moment when we landed and knew we could go back up again."

After Monday's crash, both of the Gulf Coast Wing's B-17s were grounded as a precaution and will undergo inspection of their fuel systems.

Retired naval pilot Felix Usis called the loss of the Belle devastating because the plane was in pristine condition.

During World War II, he said, 12,371 B-17s were built. As of Monday, only 14 flight-worthy planes were left. "We now have one less," he said.

After retiring from years as a commercial airline captain, Usis began volunteering as a military historian at the Military Aviation Museum in Virginia Beach, Virginia. He lamented not only the loss of a historic artifact, but also the Liberty Foundation's loss of a major investment.

"In 1944, the cost per delivery of a B-17 was $204,370. If you multiply that figure by the 12,000 that were delivered you can start to see that the cost of war was very expensive even back then."

Sandra Thompson, spokeswoman for the Gulf Coast Wing, noted that most of the B-17's parts are no longer manufactured.

"When you restore a part that is broken or cracked and corroded, you have to create a part that is no longer produced," she said.

The process, called "forgery," can take years of scouring the globe for a company willing to recreate a single part. Generating all the materials necessary to completely restore a plane can add up to hundreds of thousands of dollars.

But Thompson said the driving force behind all of the hard work and money lies within the volunteers.

"There is a passion many of us have in seeing the past being given life again through the restoration," she said.

And in seeing families, like the Prices, brought back together again.

"There are so few World War II veterans living today, and when we reintroduce this aircraft with those veterans, it brings tears and old memories back into perspective," Thompson said. "That makes it very worthwhile for the volunteers who restore these planes."

World War II service members were always recognized for their contributions to freedom, Price said. But when Vietnam made the military unpopular, his father stopped telling stories.

"I asked him if I could record some of his stories and he was amazed and touched because he thought no one would care about what he'd done," he said. "It took a while for people to figure out that their fathers, uncles and brothers did heroic deeds worth being thankful for."

The World War II generation is often remembered as this nation's greatest war generation but Price said it's important to not to forget the men and women in uniform who are still sacrificing for America.

"Part of the hope is that by keeping the history alive and maintaining records of what it took to overcome a totalitarian dictator, we won't make some of the same mistakes we did before," he said.

"Learning more and more from my dad and about him made a world of difference in my world view. I became proud of my country and my father."

@highlight

Don Price restores military airplanes as a way to connect with his father

@highlight

Lt. William Price III flew B-17 bombers during World War II

@highlight

Monday, the restored bomber Liberty Belle crashed in Illinois minutes after take-off

@highlight

All seven aboard the plane escaped with minor injuries