(CNN) -- Two years later, the story of Osama bin Laden's death remains a high-interest topic.

Here are some of the key stories we've published since the world's most-wanted terrorist was killed, from the first breaking news story to the latest disputes over what happened that day.

News breaks

President Obama announced bin Laden's death shortly before midnight ET on May 1, 2011, more than an hour after the Internet and social media began exploding with reports of his demise.

You can see here how the news unfolded on our live blog, including video of Obama's historic announcement and jubilant celebrations across the United States. The main story that followed, which announced the end of the decade-long manhunt, had more than 21,000 comments and nearly 130,000 Facebook recommendations.

The news also set what was then a Twitter record as people posted an average of 3,400 messages per second.

The aftermath

In the days and weeks following the raid, more details would be released about how it all went down. How did the U.S. know bin Laden was there? Who took part in the mission, and who knew about it? Why was bin Laden killed instead of taken prisoner? Over time, some of the details initially put out by the White House were clarified or changed. Some are still disputed today.

There were several other headaches for U.S. officials to deal with.

There was a full-throated debate about whether to release grisly photos of bin Laden's body to the public. But in the end, Obama, not wanting to incite further violence, chose to keep the photos classified. "We don't need to spike the football," he told CBS News.

The killing also created tension that needed to be smoothed over with Pakistan, which was outraged that the United States chose to carry out the bin Laden mission there without first informing its leaders.

And then there was the downed helicopter U.S. officials hoped to retrieve from bin Laden's compound because of security concerns over the stealth technology of its unusual tail assembly.

A few days after the raid, U.S. officials unveiled videos of bin Laden that were recovered in the raid. You can watch all of them here. Perhaps the most well-known video of this stash shows a hunched-over bin Laden, draped in a blanket, using a remote control to watch television.

Also taken in the raid were documents, disks, thumb drives, computers and other intelligence that would be pored over for evidence of further terrorist plots.

Years later

After bin Laden's death, much praise was heaped on the elite Navy SEALs who carried out the raid: the anonymous "quiet professionals" who live by a code to keep their sensitive missions secret.

But one former member of the team, Matt Bissonnette, detailed the mission in his 2012 best-seller "No Easy Day." The book started a debate about honor, ethics and cultural values in the military; the Pentagon said Bissonnette included classified material in the book and didn't follow protocol for pre-publication review.

The raid was also portrayed in the film "Zero Dark Thirty," which focuses on the bin Laden manhunt and was nominated for five Academy Awards. Three U.S. senators -- Dianne Feinstein, Carl Levin and John McCain -- called the film "grossly inaccurate and misleading," especially the movie's suggestion that harsh interrogations helped find bin Laden. The filmmakers responded by saying the film condensed 10 years of intelligence work into a 2Â½ hour film.

This year, Esquire magazine published a profile on a Navy SEAL who said he was the one who shot bin Laden. His account contradicted some of the details in Bissonnette's book.

Another SEAL, however, told Peter Bergen, CNN's national security analyst, that the Esquire story is "complete BS."

Reflecting on the two-year anniversary of bin Laden's death, Bergen said the U.S. forces may have killed the man, but they did not kill his ideology. Al Qaeda has now morphed into a "loose jihadist ideological movement" that spawned the Boston marathon bombing, Bergen said, and it is this "Binladenism" that is still very much a threat to Americans.

@highlight

It has been two years since Osama bin Laden was killed by U.S. forces

@highlight

But the story, and the details surrounding it, continues to garner interest

@highlight

Relive the night the news broke and get caught up on the most recent developments