(CNN) -- Sarah Murnaghan, a 10-year-old Pennsylvania girl with cystic fibrosis whose family fought to have young children prioritized for adult organs, received new lungs Wednesday, her family told CNN.

Her surgery took about six hours, and there were no complications resizing or transplanting the adult lungs, according to family spokeswoman Tracy Simon.

A statement said the family was elated and that the doctors say Sarah's prognosis is good.

"We expect it will be a long road, but we're not going for easy, we're going for possible. And an organ donor has made this possible for her," the family said, calling the family of the deceased person who donated the lungs "true heroes."

Sarah "did extremely well" and was in intensive care after the procedure, Simon said.

The parents' push for an organ transplant policy change has thrust the issue of who gets donated organs into the national spotlight. Earlier this week, the Organ Procurement and Transplant Network's executive committee approved a one-year change that makes children younger than 12 eligible for priority on adult lung transplant lists.

Sarah received lungs donated by an adult, according to Simon, meaning the lungs needed to be modified. An OPTN news release said Monday that since 2007 only one patient younger than 12 had received adult lungs.

Sarah has been in and out of hospitals her entire life, but her condition worsened this year. Her lungs had been deteriorating rapidly over the past few months -- much faster than anyone in her family expected. In May, doctors told her mother, Janet Murnaghan, that Sarah had less than five weeks to live.

With just weeks left, Sarah fights the system for life-saving pair of lungs

"We knew at some point, she would need new lungs," her father, Fran Murnaghan, said in May. "We had hoped it would be much further down the road, but the disease has progressed."

At that time, Sarah had been on the waiting list for new lungs for 18 months.

The Murnaghans were under the impression that the transplant would happen any day, since she was the first candidate on the priority list for children in her region.

But children's organs rarely become available. In 2012, there were just 10 transplants in Sarah's age group, according to the United Network for Organ Sharing. Comparatively, there were more than 1,700 adult transplants in the same year. Only people 12 years and older qualified for the adult lungs.

Doctors previously have said they believe modified adult lungs could save Sarah's life.

Last week, the Murnaghans contacted a lawyer, who petitioned Health and Human Services Secretary Kathleen Sebelius to change the rules that keep children under 12 from being prioritized for donated lungs.

Sebelius had previously told the family that she didn't have the authority to intervene in a particular case, but she did also call for a policy review. Any change in the policy, though, could take up to two years -- time the Murnaghans didn't have.

So in the letter last week they argued the rule was making it all but impossible for Sarah to receive a lung; every adult on the list would have to turn down the lung to let the little girl have it.

"The Under 12 Rule is unfair, arbitrary and capricious, inconsistent with the statute and regulations, and stands in the way of Sarah potentially receiving a set of lungs that she needs to live," wrote Stephen G. Harvey, the family's lawyer.

Dying girl's plight sparks fight over organ transplants

"We have never, ever asked that Sarah get special attention or be placed in front of anyone more severe than her," her father said at the time. "So if there... is another adult who is more severe, who has a higher lung allocation score, they will still get their lungs first."

Several factors determine someone's place in line on the adult list: distance from donor to potential recipient, a lung allocation score determined by a patient's diagnosis and test results, and a patient's blood type.

Sarah's parents said her score was a 78. It went up to a 91 this week, according to a family spokeswoman. Anything above 60 is considered a high score, according to the OPTN's ranking system, and means a transplant need is particularly urgent.

Several lawmakers also got involved urging Sebelius to act. Rep. Patrick Meehan and Sen. Pat Toomey, two Pennsylvania Republicans, co-signed a letter sent to HHS. It read: "You have the ability and authority to intervene to allow for Sarah and other children under the age of 12 to become eligible for adult organs."

On June 5, the Murnaghan family asked a federal judge to issue a restraining order to block Sebelius from having the agency that oversees transplants apply the policy. The judge granted the injunction and ordered Sebelius to direct the Organ Procurement and Transplantation Network to waive the rule in Sarah's case.

A letter from Sebelius was sent to the OPTN the following day directing them to comply with the judge's order.

OPTN created a second candidate record for Murnaghan that fudged her birth date so the system would treat her as a 12-year-old allowing her to wait on the adult transplant list. Her original record as a 10-year-old also was kept, allowing her to remain first in line for a pediatric lung donation, as well.

On the same day he granted the injunction in Sarah's case, Judge Michael Baylson also granted a similar injunction in the case of 11-year-old Javier Acosta, making him eligible for adult lung.

Mother who lost one son fights for the other to get new lungs

On Monday, the OPTN took further action, with the group's executive committee approving the change for children under 12.

CNN's Jen Christensen, Sarah Hoye and Zain Asher contributed to this report.

@highlight

NEW: Sarah Murnaghan's family says there were no issues during her lung transplant

@highlight

NEW: Surgery took six hours, Sarah did 'extremely well," family spokesman says

@highlight

Her family fought to change the policy for children's lung transplants

@highlight

Organization overseeing transplants ruled Monday to make children under 12 eligible for priority on adult lists