(CNN) -- Waking up to realize you suddenly have no leg or legs is as horrible an experience as one can have, and one that will, sadly, be faced by a number of people injured in the bombing of the Boston Marathon. It happened to me when I was 16 after a bone cancer diagnosis and amputation (the cancer later spread to my lung and caused a lung to be removed as well). As I looked down in the recovery room to where my right leg used to be, all I saw was a short stump.

This is frightening for sure, and only one of the things you're dealing with after an amputation. Luckily perhaps, your entire being is consumed just with healing; the bigger issues come later. First thing to deal with is massive physical pain from the surgery, and it will be worse because of the shrapnel packed bombs. The explosive force traumatizes the tissues and the fragments injected into the body cause collateral damage. Modern medicine does well with pain management, so this phase will, luckily, pass quickly.

For the new amputee, challenges come fast and furious, but so does the natural "fight" that is in all humans. My very first challenge was trying to stand on one leg. The body and the mind do not adjust immediately to major changes like the loss of a 25 pound leg, so balance while standing up is elusive. But it will come and that is a first little victory. It's the first of many little accomplishments that begin to build up one's zeroed-out self-confidence. Our bodies heal and adapt well--the mind is a bigger challenge.

Someone newly disabled naturally has thoughts of "why me?" as well as feelings of loss, despair and even depression. As John Green wrote in a wonderful book called "The Fault in Our Stars," about a boy who lost his leg to cancer, "You don't get to choose if you get hurt in this world." Bad things happen and all we can do is adapt and move forward.

Terrorists make us lose sight of the real dangers

We are pretty attached to all our body parts, so of course there is a sense of loss. People don't study ahead for how they will deal with every possible eventuality that affects the trajectory of their lives. This new horrible reality of being disabled is a shock. There is fear of the unknown. What will I be able to do? How do I get back to normal? Will people stare at me because I look different? And it is easy to imagine how this leads to the tar-pit of self-pity. But that is not what happens to most people and it won't happen with the Boston Marathon bombing survivors.

Compared with the primitive prosthetics of my youth, modern prosthetics are technological marvels. It is surprising to most people, but prosthetics' most important role is not ambulation: They are a social device to "level the playing field" and allow others to see you as not different. Today's computerized knees keep people from falling (with mine, I have gone seven years without a fall; before that, for 33 years it happened once a week). They cut energy use for walking in half, and allow normal stair walking. But there is a down side. A computerized above-knee prosthesis is between $50,000 and $60,000, of which the best insurance companies typically pay about 80%. That can be $12,000 out of pocket. This is where we can help the new Boston Marathon amputees.

Opinion: Getting on with life after terror hits

By far the biggest long-term issue for anyone knocked down in life is the loss of self-esteem. Humans require strong self-esteem for a healthy, happy life. As Gloria Steinem said, "Self-esteem isn't everything, it's just that there is nothing without it." She's right. Building back the lost self-esteem is the hardest and most important challenge for the newly disabled. How does one do it? I found that sports were key.

I liked sports and, of course, physical activity was good for me. Pick something you like. Focus. Work hard at it. Work harder than anyone else. You can't help but get good at it. That feels good. That makes you want to work even harder. You keep getting better and better at it and then others stop saying you are pretty good, considering you only have one leg, and start respecting you. You've won and your self-esteem rises and takes your happiness up with it.

I started with skiing, which at first was more "turn, fall, get up, turn, fall, get up" than swooshing down the slopes. Now I am a double-black diamond (amputee) skier. I tried biking and every year join a 200-mile bike-a-thon. I added swimming and in May will do my 20th "Alcatraz Sharkfest" swim across San Francisco Bay.

Crystal legs and snake arms: Artificial limbs as art

The natural challenge-response we all have in us is what will be the biggest help to the new amputees. It goes like this: "You can't run with one leg." Says the amputee, "Who says I can't?!" and he or she will be off and running. We know that those with so-called disabilities don't fall into the pity tar-pit and in fact, do better than they or anyone around them ever thought possible. Some even excel far beyond what they had ever accomplished before they became "differently abled."

Richard Bruno studied polio survivors in the '80s and wrote in "The Polio Paradox," "Polio survivors who were told they would never go to college or get a job became the country's best and brightest." Like who, you might ask? President Franklin Delano Roosevelt, Johnny Weissmuller, Judy Collins, Jack Nicklaus, Dinah Shore, Alan Alda, Joni Mitchell and many more.

These polio survivors had significant physical problems but refused the label disabled, and never accepted the word "can't." To them, to me, and I predict to these bombing survivors, disability is simply "different ability"; and just you watch, maybe even "superability." Who says they can't?

The opinions expressed in this commentary are solely those of Jothy Rosenberg.

@highlight

Jothy Rosenberg lost his leg at 16, an experience that some in Boston blast have had

@highlight

He says it's horrible. And it's challenging physically to adjust, psychically even more difficult

@highlight

But you can, he says. Sports mastery helps restore self-esteem

@highlight

Rosenberg: Those hurt can excel far beyond what they imagine. Don't accept "can't"