(CNN) -- President Barack Obama has had a tough year. Although he began in January well aware of the immense problems that second-term presidents have historically confronted, it still doesn't seem that he was fully prepared for what was to come.

The past 12 months have found the president struggling to protect his domestic policies from attack and to maintain control of the national agenda.

Obama began the year enjoying the glow of his reelection against Mitt Romney. The year ended with his approval ratings plummeting; more and more Americans reported that they didn't trust Obama. Many of the main items on his agenda -- tax reform, gun control, immigration reform, and climate change -- are languishing.

What factors made this year so difficult? The toughest challenge that President Obama faced has been the continuing ruthless opposition he has encountered on Capitol Hill.

Congressional Republicans have maintained their aggressive stance toward the administration, using the legislative process to achieve their objectives. The most tangible example of this strategy has been their threat to not raise the debt ceiling to force the president into several weeks of confrontation over the budget.

Even as their own party approval ratings plummeted, Republicans displayed a fierce determination to move forward with their strategy. Part of the problem stems from the fact that House Republicans play to their activist base, which will shape the primaries in their safe districts, rather than to independent voters. Tea party Republicans control enough of the House Caucus to force the speaker into their corner if he wants to keep his job.

Although Obama held his ground on the final outcome of the debt ceiling battle, the budget brinkmanship consumed a huge amount of valuable political time. If Congress passes the current budget deal, it will create a temporary pause in the budget wars, but the battles have already taken their toll

Republicans used other tactics as well. They stifled Obama's federal judicial nominations and executive appointments, until Senate Democrats became so frustrated that they changed the filibuster rules (a true sign of desperation in the upper chamber!).

House Republicans refused to move forward with an immigration bill with bipartisan support sent to them from the Senate, and conducted many hearings about the president's health care program trying to find scandal in a story about poor implementation.

That brings us to Obama's second challenge in 2013, one that did not come from his opponents but the failures of management and organization of his own administration.

After his health care program had survived judicial and legislative challenge, all eyes turned to see what the Affordable Care Act would look like when the government launched the federal online health care exchange on October 1.

The results were not pretty. The website was filled with problems. The system kept crashing when people tried to sign on. It gradually became clear that the site was not even prepared to disseminate the information about who purchased insurance to the insurers.

Investigative stories soon revealed that high-level officials had been aware of these problems long before the web site went live, and failed to properly prepare. Two months later the administration was able to get the system running relatively smoothly, as far as we now know. But the embarrassment of the first weeks had its cost on American's confidence in the program, as well as in the President.

Political scientist Theda Skocpol has reminded us that Social Security policymaker Wilbur Cohen, an iconic figure in the 1950s and 1960s, once said that Medicare was 1% inspiration and 99% implementation. In a toxic political atmosphere, Obama caused huge problems for himself with the way that he handled the 99% of the job.

And Obama has continued to struggle in the politics of perception. This has been a weakness of this administration from the start of his first term.

Obama is a politician who maintains an unending belief in rationality. He refuses to embrace the frenzied media environment where it is often difficult to tell fact from fiction. Since taking office, Obama has continued to hold firm to the idea that over time voters will pay attention to the facts, and that the candidate with the best argument will win. Sometimes, particularly on foreign policy, his outlook has proven to be correct.

But on many other occasions he has seen how quickly the national conversation can shift as the president stood silent. When Obama persuaded Congress to pass an economic stimulus bill in 2009, the administration did little to sell the program. Even though it was a modest program, heavily weighted toward tax cuts rather than government spending, conservatives branded it as a failed big-spending program that did nothing for the economy.

When Congress passed a health care program in 2010 that left the private insurance system fully intact and avoided anything looking like a national health insurance plan, the White House stood still as Republicans defined the bill as big government gone wild.

It was especially important that the White House respond aggressively this year before the rollout, but it did not. The public never got fully behind the law, let alone understood it.

The President has also allowed small stories to shift public discussion. Most recently, he delivered a major address on inequality in America. The speech was meant to outline an agenda for the rest of his presidency and provide a framework for the policies that he would pursue.

Within a few days of the speech, however, many reporters had refocused on new pseudo-scandals, such as the revelation that Obama once lived with an uncle who was almost deported as a result of a drunken-driving arrest.

Administration officials might rightly complain that these kinds of stories have little to do with the underlying issues facing the nation, but they still reflect the kind of media environment all presidents face.

From marketing their programs to fighting back against smaller scandals, the President's team needs to do a much better job in the politics of information. In apparent recognition of this failing, the administration is adding John Podesta, Phil Schiliro, and Katie Beirne Fallon to the White House team.

In the realm of national security, Obama also struggled in the face of the ongoing disclosures over the NSA surveillance program. Major leaks have revealed the extensive spying that the United States has undertaken within the United States and overseas, revelations that have angered many of the President's supporters who had believed he would do things differently than President George W. Bush.

The one area where the president has experienced slightly more positive outcomes are in foreign policy. In confronting a series of crises -- including Syria's use of chemical weapons against rebels and Iran's nuclear buildup -- Secretary of State John Kerry has put in place a series of temporary deals that aim to curb these threats.

Although the verdict is out on both of these, and each deal can backfire on the administration if they don't work out, for the time being the White House has calmed the storms.

Obama's supporters should hope that the tough moments of the year turn into learning moments for the President, hardening him for the coming year and giving him a better roadmap about how to push for his agenda in the upcoming year. They might take some solace from President Ronald Reagan, who enjoyed some of his most important accomplishments in his final years in office -- the signing of the INF Treaty with the Soviet Union -- as well as President Bill Clinton, whose approval ratings skyrocketed in his final years.

The good news for the president is that there is time left to win back public support and build on his record for the history textbooks. He also can gain some optimism from the fact that he is facing a deeply divided Republican Party whose approval ratings are even worse than his.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: President Barack Obama suffered many reverses in 2013

@highlight

He says the glow of reelection faded fast, as Obama faced relentless opposition from GOP in Congress

@highlight

Budget battles consumed valuable time, and the rollout of Obamacare was a major embarrassment, he says

@highlight

Zelizer: Diplomatic deals on Iran and Syria provided some progress, but they may not hold