New York (CNN) -- President Barack Obama on Wednesday announced the creation of a comprehensive administration initiative devoted to spurring development efforts around the globe.

Obama calls it new U.S. Global Development Policy and says it's the "first of its kind by an American administration."

"Put simply, the United States is changing the way we do business," Obama said at the summit of the U.N. Millennium Development Goals, an ambitious agenda world leaders set 10 years ago to tackle global poverty, which has grown amid the world economic recession.

The program has four approaches. One is changing the definition of development.

"For too long, we've measured our efforts by the dollars we spent and the food and medicines that we delivered. But aid alone is not development. Development is helping nations to actually develop, moving from poverty to prosperity. And we need more than just aid to unleash that change. We need to harness all the tools at our disposal, from our diplomacy to our trade to our investment policies," he said.

Second, the administration is changing how "the ultimate goal of development" is viewed.

"Our focus on assistance has saved lives in the short term, but it hasn't always improved those societies over the long term. Consider the millions of people who have relied on food assistance for decades. That's not development, that's dependence, and it's a cycle we need to break. Instead of just managing poverty, we have to offer nations and peoples a path out of poverty."

Obama said that the United States will "partner with countries that are willing to take the lead" and that the time when "development was dictated by foreign capitals has come to an end."

"The United States of America has been, and will remain, the global leader in providing assistance. We will not abandon those who depend on us for life-saving help, whether it's food or medicine. We will keep our promises and honor our commitments," he said.

But, he emphasized that creating the conditions where assistance is no longer needed is what is needed now.

"So we will seek partners who want to build their own capacity to provide for their people. We will seek development that is sustainable."

The third pillar is putting an emphasis on "broad-based economic growth," Obama said.

"It's the force that turned South Korea from a recipient of aid to a donor of aid. It's the force that has raised living standards from Brazil to India. And it's the force that has allowed emerging African countries like Ethiopia, Malawi and Mozambique to defy the odds and make real progress toward achieving the Millennium Development Goals, even as some of their neighbors -- like Cote d'Ivoire -- have lagged behind."

Obama said the United States will reach out to countries that are moving to democracy from authoritarianism.

"The people of Liberia, for example. Show that even after years of war, great progress can be achieved. And as others show the courage to put war behind them -- including, we hope, in Sudan -- the United States will stand with those who seek to build and sustain peace."

Obama said the fourth pillar is insisting "on more responsibility -- from ourselves and from others."

He said the administration will work with Congress "to better match our investments with the priorities of our partner countries. Guided by the evidence, we will invest in programs that work and end those that don't."

He urged donor nations to honor commitments and developing countries to make the tough choices.

"No one nation can do everything everywhere and still do it well. To meet our goals, we must be more selective and focus our efforts where we have the best partners and where we can have the greatest impact. And just as this work cannot be done by any one government, it can't be the work of governments alone. In fact, foundations, the private sector and NGOs are making historic commitments that have redefined what's possible."

As for the goals to eradicate poverty, Obama said, no one can deny the progress that has been made, citing better education, the drop in diseases such as HIV/AIDS, more access to drinking water and ending poverty for many.

At the same time, he says, "progress towards other goals has not come nearly fast enough." He cites problems like malnutrition, hunger and women "who lose their lives every year simply giving birth."

Obama stressed the facts that development isn't charity and that some countries are "condemned to perpetual poverty." He said progress is possible and practical.

"I suspect that some in wealthier countries may ask, with our economies struggling, so many people out of work, and so many families barely getting by, why a summit on development? The answer is simple: In our global economy, progress in even the poorest countries can advance the prosperity and security of people far beyond their borders, including my fellow Americans."

The policy was unveiled after a year-long review ordered by Obama in an effort to examine how U.S. aid dollars can be more effectively targeted after the world recession, a senior administration official said.

"The policy is about real attention to focus and selectively," the official explained. "We cannot spread limited resources so thinly across every nation."

Upon taking office, Obama promised to double U.S. foreign aid to $50 million by 2012 and make U.S. programs, accused of being riddled with waste and fraud, more effective.

During the foreign aid review, Secretary of State Hillary Clinton argued for more control over development policy and control over the U.S. Agency for International Development, arguing that diplomacy and development go hand-in-hand.

In the end, the State Department will maintain oversight of USAID, but as evidence of the new importance of development, the White House is establishing a "deputies committee" to coordinate policy across the U.S. government, the official said.

While USAID will continue to be the premier agency for delivering development aid, the official said, the new strategy offers a "whole-of-government approach," integrating development aid currently handled by about two dozen federal agencies and departments. Countries selected for U.S. development attention also will get assistance with technical innovation and trade.

Selection of countries will be primarily based on evidence of strong governance and economic policy, but other factors to be involved are where donors are currently directing their aid and where the private sector is investing, so as not to duplicate effort. Two countries singled out for possible inclusion are Ghana and Bangladesh.

The strategy builds on the Millennium Challenge Corporation, a Bush administration program that encourages political and economic stability by making multimillion-dollar investment in nations that offer plans for reform.

The official said that although the new policy focuses on more stable countries, the administration does not want to send a signal that the most vulnerable countries, such as Haiti, will be ignored.

"We are not walking away," the official said. "We will still have a commitment to improving humanitarian conditions and helping countries suffering from natural disasters and conflict."

CNN's Jill Dougherty and Elise Labott contributed to this report.

@highlight

Initiative intended to spur global development efforts

@highlight

"The United States is changing the way we do business," Obama says

@highlight

Pillars include changing outlook and emphasizing growth, responsibility