(CNN) -- Recently, an organization called Students for Fair Admissions, Inc. filed a lawsuit against Harvard University, alleging that its admissions practices violate Title VI of the Civil Rights Act for "intentionally discriminating against applicants on the basis of race" -- specifically, against Asian Americans. (A second, similar lawsuit was filed against the University of North Carolina -- Chapel Hill.)

The lawsuit alleges that Harvard has, through the use of "holistic" consideration of applicants, "systematically" excluded qualified Asian Americans in favor of less qualified black and Latino applicants in an attempt to illegally achieve "racial balancing."

Here's the thing. This lawsuit -- and the organization that filed it -- is not the affirmative action crusade it may seem, and I will get to that in a minute.

As an Asian American graduate of Harvard, I read this news with dismay, both because I share a lot in common with the plaintiff at the core of the suit -- let's call her Jane Dou -- and because my personal experience has been so fundamentally different.

You see, both she and I are second-generation Asian Americans, the children of immigrants who saw preparing us for higher education as their fundamental responsibility.

It's a common running joke among second-generation Asian Americans that our parents start us on college prep before we begin potty training. The joke didn't seem so funny to me when I was a kid, however. I remember earning minutes of TV by defining vocabulary words correctly -- while I was still in 4th grade. I remember being rewarded for finishing homework early by getting extra "Mommy Homework," which always involved problem sets and practice exams from a dog-eared stack of Princeton Review test prep tomes.

I didn't remember being dressed in a crimson-colored onesie while still an infant, but my mother showed me the one she'd bought for me, proudly pulling it from storage on the day I headed out to college.

That's because to my parents, it wasn't enough for me to just go to college. There was only one school they saw as a fitting goal, and it was the reason they came to America, my mother said, hoping that one day they would have kids who would grow up to attend it. That was Harvard University, the only school whose brand name shone brightly enough to reach across the waters to Taiwan. Other schools might offer a more dynamic curriculum, better access to senior faculty, a greater amount of financial aid. None of that mattered. To them, it was Hafu Daxue or bust.

As it turns out, I did get into Harvard. And two years later, so did my sister. And her part-time undergraduate job at the Harvard admissions office ended up leading us to a few awkward revelations.

You see, in the course of her job, she was able to gain access to college admissions files, and couldn't resist pulling her own to see what it said. The file told her bluntly that she had been a "marginal" admit based on her application, but that she was ultimately accepted because she had a brother who was already a student in good standing â€” that is to say, me.

Incensed, she then pulled my file to see whether I had gotten in on my own merits. And what she shared with me was the discovery that I essentially would have been denied admission, based on scores and grades that were somewhat lower than hers, and an all-too-typical extracurricular career (piano, math team, blah blah blah).

What saved my application was the optional interview I'd done on campus, in which I'd ended up talking about everything that wasn't in my application: My aspirations to be a writer. The horror movie that I'd scripted and shot in secret at our high school. The subtle differences between anxiety, suspense and fear. The fact that I actually really, really suck at piano.

The interviewer made the case that I had intangibles that made me a potential asset to the student body, and pressed for me to be considered seriously, despite my middling distinction. Someone decided to take his advice. I hope they didn't end up regretting it.

Now, let's go back to Jane Dou. She didn't end up at the center of the Harvard suit accidentally. She was discovered through a broad-based campaign conducted by SFFA founder Edward Blum â€” a frustrated Republican congressional candidate who has chosen to make a career out of waging war on laws and policies that give "special privileges" to minorities. Dou was someone Blum wanted -- a student willing to serve as a test case in a high-profile attack on affirmative action.

It's important to note that whatever its outcome, the lawsuit won't help Dou. It's almost certain that she's been accepted by other colleges, and by the time the suit is resolved she will likely have graduated from one of them.

What this lawsuit is really is just the latest attempt to derail an apparatus that has given hundreds of thousands of blacks, Hispanics and, yes, Asians a means to climb out of circumstances defined by our society's historical racism.

It is hardly a coincidence that Blum has chosen to use the Asian American community as his tool to do so. There are millions of Asians who, like my parents, see a prestigious-university education as not just a goal for their children but a virtual entitlement, the product of years of aspiration and preparation.

But there are millions of other Asian Americans -- a significant majority, in fact, at 69% -- who support affirmative action as a necessary way for us to achieve a better society, and who recognize that we have benefited and continue to benefit from its fruits, both directly and indirectly.

As Loyola University Chicago assistant professor of higher education OiYan Poon puts it, "The question Asian Americans face now is, 'Do we care about justice or just us?'" She adds, "If we care about justice, we have to see that we're only being used as cover to dismantle a policy initiative that is about racial equity, which ultimately benefits everyone."

And then there's the reality that my sister and I experienced personally -- which is that getting into college is about more than just scores. Despite all of my parents' drills and test prep, I was ultimately accepted into Harvard only due to the very "holistic" practices that this lawsuit attacks. My sister, meanwhile, was pushed over the line due to her connection to me, a "secondary legacy" tie that, based on the research of Harvard University researcher Michael Hurwitz, might have conveyed as much as a 19% boost over other applicants, given her profile. Meanwhile, my kids -- "primary legacy" candidates -- will have up to a 50% greater chance of getting in, for no reason other than being born.

That's great for them, should they choose to apply to my alma mater, but it's a huge obstacle to overcome for those who don't have that advantage. It amounts to what Richard D. Kahlenberg, a senior fellow at the Century Foundation, calls "affirmative action for the rich." And it locks out the vast majority of blacks, Hispanics and immigrants of every race. Isn't that the real outrage?

@highlight

A lawsuit was filed against Harvard alleging discrimination against Asian Americans

@highlight

Jeff Yang: This lawsuit is not the affirmative action crusade it may seem

@highlight

His experience in applying to Harvard suggests a "holistic" approach makes sense

@highlight

Yang: Don't let this lawsuit derail affirmative action, which has benefited many