(CNN)Relations between Iran and Saudi Arabia have always been thorny, but rarely has the state of affairs been as venomous as it is today.

Tehran and Riyadh each point to the other as the main reason for much of the turmoil in the Middle East. In its most recent incarnation, the Iranian-Saudi conflict by proxy has reached Yemen in a spiral that both sides portray as climatic.

For Riyadh and its regional allies, the Saudi military intervention in Yemen -- "Operation Decisive Storm" -- is the moment the Sunni Arab nation finally woke up to repel the expansion of Shia-Iranian influence.

For Tehran and its regional allies -- including the Houthi movement in Yemen -- Saudi Arabia's actions are in defense of a retrogressive status quo order that is no longer tenable. And yet both sides have good reasons to want to stop the Yemeni crisis from spiraling out of control and evolving into an unwinnable war.

When Iranian President Hassan Rouhani was elected in June 2013, he pledged to reach out to Riyadh. He was up front and called Tehran's steep deterioration of relations with the Saudis over the last decade as one of the principal burdens on Iranian foreign policy. From Lebanon and Afghanistan to Pakistan and the Gaza Strip, the Iranian-Saudi rivalry and conflict through proxy has been deep and costly.

And yet despite Rouhani's open pledge, profound differences over Syria and Iraq in particular have kept Riyadh and Tehran apart. But if the questions of Syria and Iraq prevented a pause in hostilities, the Saudi military intervention in Yemen since late March has all but raised the stakes to unprecedentedly dangerous levels. Unlike in Syria and in Iraq, the Saudi military is now directly battling it out with Iranian-backed rebels in Yemen.

While Riyadh no doubt exaggerates Tehran's role in the Yemen crisis, its fingerprints are nonetheless evident.

"Iran provides financial support, weapons, training and intelligence to Houthis," Gerald Feierstein, a U.S. State Department official and former Yemen ambassador, told a Congressional hearing last week. "We believe that Iran sees opportunities with the Houthis to expand its influence in Yemen and threaten Saudi and Gulf Arab interests."

The Iranians find the charges biased and point to the Saudi airstrikes in Yemen as a much bigger case of meddling in a neighbor's affairs.

In Iran, the cue came from the country's top authority, Supreme Leader Ayatollah Ali Khamenei, who has been unusually blunt. He tweeted: "Despite disputes, the Saudis used to display composure [with] us but now inexperienced youngsters have come to power & replaced composure [with] barbarism."

Three days after Khamenei's speech, Iran suspended religious pilgrimages to Mecca. This came as news broke about two Iranian teenage boys who had reportedly been sexually assaulted by the police while visiting Saudi Arabia. Meanwhile, anti-Saudi protests have been staged in a number of Iranian cities.

Khamenei's speech opened the floodgate of anti-Saudi statements. The voices of hardline figures in Tehran have been the most agitated. General Ahmad Purdastan, the commander of the Iranian ground forces, taunted the Saudis. "Beware of the day when firecrackers explode in Riyadh," Purdastan said, in a not-so-subtle warning.

But it was not only the hawks that came out swinging against the Saudis. Ayatollah Ali-Akbar Hashemi Rafsanjani, a former president and arguably Iran's most vocal advocate of better Iranian-Saudi relations. called Riyadh's military intervention a "strategic mistake" and urged for a political solution.

Seeking a political solution is Iran's stated aim for the Yemeni crisis, but the prospects of such an effort succeeding are slim.

Iranian Foreign Minister Javad Zarif has provided a four-point plan: to get a ceasefire, to encourage the provision of humanitarian aid, to promote political dialogue among warring Yemeni parties, and to achieve the formation of an inclusive government. But the Iranian proposal also asks for an end to Saudi airstrikes. As Zarif put it, "Iran and Saudi Arabia need to talk, but we cannot talk to determine the future of Yemen."

The Saudis have thus far ignored the Iranian proposal. Meanwhile, the Houthi leadership has welcomed the plan. As one of its leaders said, "In Iran's plan, unacceptable solutions do not exist."

Not only do the Saudis not have any faith in any Iranian-drafted political package that is welcomed by the Houthis, but Riyadh believes that the international disposition favors it. Saudi Arabia was elated by the U.N. Security Council vote on 14 April that condemned the Houthi movement. Only Russia abstained.

But a solution to the Yemeni crisis will not come from the U.N. The U.N. can provide a cover for Riyadh's military intervention, but it cannot secure it a military win. This leaves Riyadh with a fundamental question about how far it is willing to take its fight in Yemen. Saudi airstrikes alone will not finish off the Houthi movement and it allies in the Yemeni armed forces. It requires ground troops on a huge scale.

Riyadh has tried hard to muster a military coalition that is willing to dispatch ground troops but its effort has so far been nothing short of a fiasco. The Pakistanis most famously turned down the Saudi request and let it be known that Yemen is a quagmire they can do without. Instead, Islamabad has asked Iran to push the Houthis for a political compromise that Riyadh can live with.

The Turks were enthusiastic at first about stopping the Houthis -- but in his visit to Tehran last week, Turkish President Recep Tayyip Erdogan made it clear that he has prioritized Iranian-Turkish trade relations over rivalry in Yemen, and emphasized a political solution for the Yemeni conflict.

The Egyptians and the Jordanians are still supportive of Saudi efforts and claim publicly to be open to the idea of deploying military forces to assist Riyadh in Yemen. But whether they will go through with it is another matter. Egypt has a long list of problems of its own, including a bloody counter-terrorism campaign in Sinai that it cannot afford to lose, but also an eastern border with lawless Libya that is increasingly a new front in Cairo's fight against jihadists.

It is hard to see how Egyptian General Abdel Fattah el-Sisi can commit troops to a Yemeni campaign that is not a direct threat to Egypt's security. The same kind of domestic realities, including the threat from ISIS, will also prevent Jordan from any significant contribution to Saudi military efforts in Yemen.

These hard realities leave Riyadh with two options. It can look for or even mediate a political solution that will invariably include the same Houthis that Riyadh is attacking today. Alternatively, given the absence of willing states to contribute ground troops, Riyadh will have to contemplate a full-scale invasion of Yemen. That is scenario that is very hard to contemplate.

The Iranians too are faced with stark choices. It is beyond Tehran's ability to tame the Yemeni crisis. As tempting as it might be for Tehran to see the Saudis bleed in Yemen, the danger of this conflict further fuelling sectarian tensions in the Middle East will undermine broader regional Iranian interests. A political compromise that both Riyadh and Tehran and their respective Yemeni allies can live with seems to be the only option that is not cataclysmic.

@highlight

Vatanka: Tensions between Iran and Saudi Arabia are at an unprecedented level

@highlight

Iran has proposed a four-point plan for Yemen but Saudis have ignored it

@highlight

Vatanka: Saudis have tried to muster a ground invasion coalition but have failed