An Al Jazeera correspondent who has been held for nearly a month by Egyptian authorities calls his detention an attack on press freedoms, according to a letter posted online Saturday by the news network.

Peter Greste, an Australian, is one of three Al Jazeera employees who have been held since December 30 by Egyptian authorities, who have accused the three for allegedly meeting with members of the banned Muslim Brotherhood.

"How do you accurately and fairly report on Egypt's ongoing political struggle without talking to everyone involved," he wrote.

The network did not say how it obtained the letter from Greste, who has previously worked  for CNN, Reuters and BBC. He is being held along with producers  Mohamed Fahmy and Baher Mohamed.

Western leaders, human rights groups and journalists have repeatedly called on Egypt to release the men, saying their arrests were  a violation of human rights and press freedoms.

Fahmy worked for CNN and The New York Times prior to joined the Qatar-based network. Mohamed is a Cairo-based producer for the network.

International media demand Egypt release detained journalists

Text of the letter, entitled "A letter from Tora prison," released by Al Jazeera:

I am nervous as I write this. I am in my cold prison cell after my first official exercise session -- four glorious hours in the grass yard behind our block and I don't want that right to be snatched away.

I've been locked in my cell 24 hours a day for the past 10 days, allowed out only for visits to the prosecutor for questioning, so the chance for a walk in the weak winter sunshine is precious.

So too are the books on history, Arabic and fiction that my neighbours have passed to me, and the pad and pen I now write with.

I want to cling to these tiny joys and avoid anything that might move the prison authorities to punitively withdraw them. I want to protect them almost as much as I want my freedom back.

That is why I have sought, until now, to fight my imprisonment quietly from within, to make the authorities understand that this is all a terrible mistake, that I've been caught in the middle of a political struggle that is not my own. But after two weeks in prison it is now clear that this is a dangerous decision. It validates an attack not just on me and my two colleagues but on freedom of speech across Egypt.

All of a sudden, my books seem rather petty. I had been in Cairo only two weeks before interior ministry agents burst through the door of my hotel room, that of my colleague and producer Mohamed Fahmy, and into the home of Al Jazeera's second producer Baher Mohamed.

Accuracy, fairness, and balance

We had been doing exactly as any responsible, professional journalist would -- recording and trying to make sense of the unfolding events with all the accuracy, fairness and balance that our imperfect trade demands.

Most of the time, it is not a difficult path to walk. But when the Egyptian government declared the Muslim Brotherhood to be "terrorist organisation", it knocked the middle ground out of the discourse. When the other side, political or otherwise, is a "terrorist", there is no neutral way. As George W. Bush loved to point out after 9/11, you are either with the government or with the terrorists. So, even talking to them becomes an act of treason, let alone broadcasting their news however benign.

The following day, the government fleshed out its definition of the term. Anyone caught handing out Muslim Brotherhood leaflets, or simply participating in protest marches against the government could be arrested and imprisoned for "spreading terrorist ideology".

The Muslim Brotherhood has lost much of the support and credibility once had when its political leader Mohamed Morsi became Egypt's first democratically elected president just over a year and a half ago. And many here hold it responsible for a growing wave of islamist violence, but it remains the single largest and best organised social and political force in Egypt. What then for a journalist striving for "balance, fairness and accuracy?" How do you accurately and fairly report on Egypt's ongoing political struggle without talking to everyone involved?

I worried about this at the time with Mohamed Fahmy, but we decided that the choice was obvious -- as obvious as the price we are now paying for making it.

The three of us have been accused of collaborating with a terrorist organisation [the Muslim Brotherhood], of hosting Muslim Brotherhood meetings in our hotel rooms, of using unlicensed equipments to deliberately broadcast false information to further their aims and defame and discredit the Egyptian state.

The state has presented no evidence to support the allegations, and we have not been formally charged with any crime. But the prosecutor general has just extended our initial 15-day detention by another 15 days to give investigators more time to find something. He can do this indefinitely -- one of my prison mates has been behind bars for 6 months without a single charge.

'The prisons are overflowing'

I am in Tora prison -- a sprawling complex in the south of the city where the authorities routinely violate legally enshrined prisoners' rights, denying visits from lawyers, keeping cells locked for 20 hours a day (and 24 hours on public holidays) and so on. But even that is relatively benign compared to the conditions my colleagues are being held in.

Fahmy and Baher have been accused of being Muslim Brotherhood members, So they are being held in the far more draconian "Scorpion prison" built for convicted terrorists. Fahmy has been denied the hospital treatment he badly needs for a shoulder injury he sustained shortly before our arrest. Both men spend 24 hours a day in their mosquito-infested cells, sleeping on the floor with no books or writing materials to break the soul- destroying tedium. Remember we have not been formally charged, much less convicted of any crime. But this is not just about three Al Jazeera journalists. Our arrest and continued detention sends a clear and unequivocal message to all journalists covering Egypt, both foreign and local.

The state will not tolerate hearing from the Muslim Brotherhood or any other critical voices. The prisons are overflowing with anyone who opposes or challenges the government. Secular activists are sentenced to three years with hard labour for violating protest laws after declining an invitation to openly support the government; campaigners putting up "No" banners ahead of the constitutional referendum are summarily detained.

Anyone, in short, who refuses to applaud the institution. So our arrest is not a mistake, and as a journalist this IS my battle. I can no longer pretend it'll go away by keeping quiet and crossing my fingers. I have no particular fight with the Egyptian government, just as I have no interest in supporting the Muslim Brotherhood or any other group here. But as a journalist I am committed to defending a fundamental freedom of the press that no one in my profession can credibly work without. One that is deemed vital to the proper functioning of any open democracy, including Egypt's with its new constitution.

Of course we will continue to fight this from inside prison and through the judicial system here. But our freedom, and more importantly the freedom of the press here, will not come without loud sustained pressure from human rights and civil society groups, individuals and governments who understand that Egypt stability depends as much as on its ability to hold open honest conversations among its people and the world, as it does on its ability to crush violence.

We know it is already happening, and all of us are both moved and strengthened by the extraordinary support we have already had, but it needs to continue.

Peter Greste

Tora Prison

Read the letter on Al Jazeera

@highlight

Peter Greste is an Australian journalist who is working for Qatar-based Al Jazeera

@highlight

Greste was arrested along with producers Mohamed Fahmy and Baher Mohamed

@highlight

Egyptian authorities have accused the men of meeting with the Muslim Brotherhood

@highlight

Greste says he was doing his job, telling a balanced story of Egypt's political struggle