(Financial Times) -- Nasdaq OMX's chief executive admitted he was "embarrassed" by the delay in the opening trade of Facebook's initial public offering and revealed that the exchange was in talks with regulators over potentially millions of dollars of customer claims.

Bob Greifeld said on Sunday that the 20-minute delay in trading of Facebook's $16bn offering on Friday had been caused by a millisecond systems blip due to the largest IPO auction "in the history of mankind".

The exchange has found itself in the spotlight after Facebook failed to deliver a first-day "pop" to investors, instead almost falling below its issuing price of $38. The shares, having risen briefly, quickly fell away to close the day with a gain of just 0.6 per cent, at $38.23.

As a result of the trading delay, Nasdaq was left with a position in Facebook shares that it had to liquidate, according to its own rules, generating $10m for the group. It plans to use that money to resolve disputes related to 30m shares that may have been the subject of improper trades, and has requested approval from the US Securities and Exchange Commission to do so, said Mr Greifeld.

The SEC said on Friday it would "review" the incident.

The glitch, coming just weeks after BATS Global Markets was forced to withdraw its IPO after technical problems, highlighted the fragile nature of modern equity markets, in which exchanges must handle many thousands of messages a second transmitted by high-frequency traders.

Mr Greifeld defended Nasdaq's performance, citing its role in Facebook's trading over the whole of the session, which saw more than 580m shares change hands, the largest ever number for an IPO.

"These problems are real and we have to improve from the performance we had on Friday," Mr Greifeld said. "We stand humbly embarrassed by that. But the rest of the day ... the system performed well."

Nasdaq has now laid out the details of the glitch. In spite of testing 1bn in trading volumes under 100 scenarios, the exchange was caught by surprise when cancellations of trades kept interrupting the computer system's attempt to complete the auction and produce an initial price for Facebook's opening.

Nasdaq says it designed its "IPO cross", the process of calculating the opening price, in such a way that would allow continuous trading through an auction at the behest of its customers and has used the system in previous IPOs.

But in processing the huge volume of Facebook trades, it added two milliseconds to the time it took to produce an opening price. In that extra two milliseconds, orders to cancel the trades kept interrupting the auction process, or as Mr Greifeld put it, "fitting in between the raindrops".

Mr Greifeld said: "On a real time basis with the pressure of the world upon us ... we intercepted this cross in a loop."

He said there was no discussion at any point of cancelling the IPO. Facebook and Morgan Stanley declined to comment on Nasdaq's description of the events of the day.

As a result of the glitch the exchange decided to print the opening trade manually but was then forced to delay the process of confirming individual trades.

The mechanism has now been altered to prevent continuous quoting during IPO auctions, Mr Greifeld said. "We had a poor design for the Facebook opening cross IPO. We recognise the design has relative merit for investors where we give them maximum optionality, but it didn't' work in this scenario."

Nasdaq has identified trading orders for some 30m shares that came in between 11.11am and 11.30am, when trading actually began. It estimates that 50 per cent of those may have been orders not executed at the IPO price, as traders may have expected them to be. But it is still investigating to determine how many grievances are legitimate.

Mr Greifeld said Nasdaq was "working very hard with customers to make sure about the accommodations we give to respective customers".

Eric Noll, executive vice-president at Nasdaq, said there were no other "systematic" technical problems.

Nasdaq's board of directors had been informed over the weekend of Friday's events, Mr Greifeld said. When asked if he thought his job was safe, he said: "I certainly hope so. I obviously serve at the pleasure of the board."

The exchange group had pushed hard to win the Facebook IPO from its rival New York Stock Exchange, as it seeks supremacy in listings for internet companies that make up one of the few vibrant sectors of the new issue market.

Mr Greifeld responded directly to arguments that Nasdaq's delay played a role in Facebook's stock failing to "pop". Some market participants have said the delayed confirmations caused confusion and prevented some buyers stepping in to the market to support Facebook's stock price.

"You want to look at whether your position is moving up or down. Without that, there was a lot of pressure to liquidate," said one trader at a market-making firm.

However, Mr Greifeld said that the record did not support that theory, noting that after the delayed trades were made live at 1.50pm, traders did not buy at the $42.05 level that was the initial print.

"That would lead a reasonable person to conclude [the opening cross print delay] didn't have any impact on the stock price," he said.

© The Financial Times Limited 2012

@highlight

Nasdaq OMX's chief executive admitted he was "embarrassed" by the delay in the opening trade

@highlight

20-minute delay in Facebook trading had been caused by a millisecond systems blip