London (CNN) -- Graphic photos of the violent death of former Libyan strongman Moammar Gadhafi dominate most front newspaper pages on Friday, amid a sense of relief that an end to the conflict in the North African country is in sight.

Some tabloids effectively dance on Gadhafi's grave. The headline in The Sun tabloid in Britain has the headline: "That's for Lockerbie."

In an editorial, the paper adds: "British forces should be very proud today as a liberated Libya celebrates the death" of Gadhafi. "Our brilliant troops spearheaded the operation to end the dictator's tyranny.

"Revenge is sweet. The architect of Lockerbie, who supplied the IRA with bombs and had London WPC (policewoman) Yvonne Fletcher murdered, died like a rat after being cornered in a drain.

"Six months after the killing of Osama bin Laden, the world is rid of another madman."

Even the left-leaning Guardian recognizes the success of NATO's military campaign in Libya. "After all the waiting, the killings and the tears, the wheel of history turned inexorably, and all who watched knew it would never turn back," wrote the paper's Simon Tisdall. "The Arab Spring had claimed another infamous scalp. The risky western intervention had worked. And Libya was liberated at last."

France's Le Figaro reports the events of Thursday as "Mission Accomplished" for NATO after a seven-month-long campaign which has seen 26,000 sorties flown over Libya.

But it warns that Libya's new leaders, the National Transitional Council, must do all they can to avoid the country falling into the same state of chaos and anarchy which hit Iraq in 2003 after the fall of Saddam Hussein.

"The National Transitional Council has an obligation to put an end to the ragtag bands of rebels, to protect those Libyan residents with darker skin than others, to forbid any wild behavior; in short it must ensure the spirit of justice and reconciliation prevails over that of revenge."

In Germany, Die Welt ponders the question of how exactly Gadhafi's end came about, reporting on the conflicting information about his capture and subsequent killing, and questioning whether he died "in the crossfire or at the hands of a lynch mob."

The Berlin-based daily reports on the bizarre combination of character traits that made up the "poet and butcher" Gadhafi, reporting that with his death, "the world has one less mass murderer and brutally inhuman dictator, but also one less paranoid 'bird of paradise.'"

The Financial Times also hints at a sense of unease over the killing, commenting in an op-ed that "it might perhaps have been better" if Gadhafi had been captured alive and put on trial. However it added that his death "has the merit of depriving the remnants of the old regime of a figurehead to rally round."

The European edition of the Wall Street Journal reflects on what the Western intervention in Libya shows us about the contenders for the White House in next year's presidential election. "Mr. Obama's decision to keep a political low profile during the war -- to 'lead from behind' -- hurt the cause. NATO was left without a political general, and at times it wobbled. The U.S. was too late to recognize the Benghazi government, and Mr. Obama's calculated reticence invited a backlash in Congress over war powers.

"Yet the president was a statesman compared with some GOP pretenders to the commander-in-chief's chair. Michele Bachmann, Jon Huntsman and Newt Gingrich opposed U.S. participation as a high-risk intervention, a claim that now looks strategically mistaken and politically opportunistic. John McCain, a Republican who never wavered on Libya, yesterday offered adult advice for the U.S. now 'to deepen our support' for Libya's coming move from dictatorship to something new."

It concluded by saying the world's sole superpower "can still shape events for the better."

"Libya's successful revolution is the latest proof that liberating the world of a dictator can serve America's strategic interests and its moral principles."

In Britain's Independent newspaper, Robert Fisk, who met Gadhafi 30 years ago, recalls how the former Libyan strongman was alternately feted, then demonized by the West -- often with confusing haste. "We loved him. We hated him. Then we loved him again. Blair slobbered over him. Then we hated him again. Then La Clinton slobbered over her BlackBerry and we really hated him even more again. Let us all pray that he wasn't murdered. 'Died of wounds suffered during capture.' What did that mean?

"He was a crazy combination of Don Corleone and Donald Duck ... and we who had to watch his ridiculous march-pasts and his speeches bit our lips and wrote about Libyan tanks and marines and missiles that were supposed to take this nonsense seriously. His frogmen flipped and flapped through Green Square in the heat and we had to take this rubbish at face value and pretend that it was a real threat to Israel; just as Blair tried to persuade us (not unsuccessfully) that (Gadhafi's) pathetic attempts to create 'weapons of mass destruction' had been skewered. This, in a country that couldn't repair a public lavatory."

Finally across the Atlantic, another of Rupert Murdoch's tabloids, the New York Post managed to produce one of the most bizarre front pages on Gadhafi. Alongside a photo of one of Gadhafi's alleged captors wearing a New York Yankees baseball cap, the paper got in a cheeky critique of star player Alex Rodriguez's recent performances, with the sub-headline: "Gunman had more hits than A-Rod."

@highlight

Graphic photos of violent death of Moammar Gadhafi dominate Europe's newspapers

@highlight

Some tabloids effectively dance on Gadhafi's grave. Sun headline: "That's for Lockerbie"

@highlight

Even the left-leaning Guardian recognizes the success of NATO's military campaign

@highlight

Germany's Die Welt ponders question of how Gadhafi's end came about