(CNN) -- The Lunar New Year gallops ever closer and with it the world's largest human migration.

The Year of the Horse will stretch China's transport system to its limit. Officials are expecting people to go on 3.62 billion journeys -- 200 million more than last year.

China's state-run news agency Xinhua says 42 million of those trips will be by air, as more cash-rich mainlanders turn their backs on the traditional extended family reunion to celebrate the most important festival of the year abroad.

They're part of a sharp, upward trend in globetrotting.

The Chinese travel and spend more than anyone else on the planet. They shelled out $102 billion on 83 million trips in 2012, according to the United Nations; and they'll continue to dominate the market.

By 2020, more than 200 million Chinese will go overseas, according to a report from Asia-Pacific brokerage firm CLSA -- double the number that did in 2013. This explosion is due in part to higher wages, more annual leave and easier visas.

"Mainlanders are rapidly switching travel to overseas to explore new cultures, shop, gamble and escape the overcrowded domestic tourist sites and worsening pollution," Aaron Fischer, head of consumer and gaming research at CLSA and the report's author, told CNN.

Here's a look at how some tourist hubs in the Asia-Pacific region are scrambling to capture a slice of this lucrative market.

Bali, Indonesia

The number of Chinese arrivals on the island during "Golden Week" could reach 1000 a day, thanks to a new direct flight between Beijing and Bali.

Around 30,000 Chinese tourists are expected to hop onto the Hainan Airline route -- which started on January 15 -- and pump $90 million into the economy during the festive season.

Not to be outdone, hundreds of miles away West Javan provincial officials told the Jakarta Post they're prioritizing the Chinese tourist market.

They're urging the local hospitality industry to improve workers' skills and upgrade infrastructure at main tourist sites, such as erecting signs in Mandarin.

Attracting deep Chinese pockets is central to Indonesia's national tourism strategy. The country launched a Chinese-language website in November and aims to bump up the numbers of Chinese arrivals by 37% to 1 million by the end of 2014.

Japan

Japan's weak yen, great cuisine, cultural and natural heritage are hooking wealthier Chinese.

Popular items to buy include Louis Vuitton bags and $1000 rice cookers, according to TravelZoo Asia-Pacific.

The website said 29% of Chinese with an annual household income of roughly $50,000 ranked Japan as their number one travel destination.

But the overall number of Chinese traveling to Japan has slipped by 11% since 2012, deterred by regional animosity between Asia's number one and two economies.

Critics also say that more could be made of "Cool Japan," the brand that put a stamp on Japan as a cultural powerhouse in 2002.

They want a concerted national strategy to hit Prime Minister Shinzo Abe's target of 30 million foreign visitors by 2020.

Australia

Chinese herbal tea sachets, Chinese TV channels and disposable slippers -- just some of the things that Australian tourist officials recommend hoteliers make available to the Chinese tourist in the land of sunshine.

Chinese tourists added $4.04 billion to the Australian economy last year, rivaling New Zealand as the number one source market in spending power.

However, Chinese arrivals fell 9.4% in November from a year earlier, sending ripples of concern through the Australian travel industry.

The government says this could be due to a law introduced by Beijing last October banning tour companies from operating low-cost shopping tours abroad.

Despite the November fall, Chinese arrivals and spending are up at around 16% for the past 12 months, according to Leo Seaton, Manager of Media Relations for Tourism Australia.

"Feedback so far suggests a tale of two markets -- declines in the group market, being offset by a robust independent, higher-spending, traveler market, enjoying higher quality visitor experiences," Seaton told CNN.

Philippines

The Philippines is also a winner, with 18% more Chinese tourists visited the archipelago in 2013 than in 2012.

The country's tourism department has deemed 2015 the "Visit Philippines Year," adding to the upbeat "It's More Fun in the Philippines" campaign.

The easing of air traffic agreements between the Philippines, its regional neighbors and China may help boost numbers.

Meanwhile, the Shanghai Morning Post newspaper recently named the Philippines the "Best Tropical Island Destination."

The Philippines' Department of Foreign Affairs says the number of Chinese arrivals is growing by around 70% year-on-year. This breakneck pace of growth comes despite a territorial dispute between the two countries.

Thailand

Thailand is losing some of its appeal among Chinese travelers amid anti-government protests that have disrupted life in the capital, Bangkok.

The tourism authority stresses that it is business as usual in the Chinese tourist's favorite foreign destination after Hong Kong and Macao, despite a state of emergency afflicting the capital.

But Bert van Walbeek, chairman of the Thai chapter of the Pacific Asia Travel Association, told CNN there are likely to be 60-70% fewer Chinese tourists landing in Thailand for the Year of the Horse.

Chiang Mai, Chiang Rai and Pattaya have profited as tourists venture away from Bangkok. But Van Walbeek's overall prediction was upbeat.

"As with all crises in Thailand there has been a temporary glitch. Whatever they do to Thailand, the country will bounce back," he said.

Last year's bumper figures may be hard to match. Around 3 million Chinese tourists trotted into Thailand, seduced by its beaches, food, shopping, nightlife and the box office hit film, "Lost in Thailand" about a mismatched pair on a journey of self-discovery.

@highlight

Chinese tourists travel and spend more than anyone else

@highlight

Tourist hubs are scrambling to capture a slice of this lucrative market

@highlight

Indonesia hopes better infrastructure and worker training will help draw visitors

@highlight

Experts say political unrest in Thailand has hurt tourism in the short term