Crews have found the bodies of the Turkish pilots killed in last month's downing of their jet by Syria, an incident that prompted an outbreak of hostile rhetoric between the two nations that continued Wednesday.

Syrian President Bashar al-Assad, in an interview published in the Turkish newspaper Cumhuriyet Wednesday, lambasted Turkish Prime Minister Recep Tayyip Erdogan for interfering in Syrian internal politics. And Turkey's foreign minister disputed some of al-Assad's assertions Tuesday about the downing of the jet.

Syria shot down the F-4 Turkish Phantom jet on June 22, intensifying the animosity between the countries, whose once-close relationship has eroded since the al-Assad regime begain cracking down on opposition forces 16 months ago.

"We would never allow outsiders to interfere in our affairs," al-Assad told the newspaper. "This initial desire to interfere in our internal affairs, unfortunately, made Turkey a party in all the bloody activities in the later process. Turkey has supplied all kinds of logistic support to the terrorists who kill our people."

Al-Assad: I wish the Turkish jet shootdown didn't happen

Al-Assad accused Erdogan of "acting with sectarian impulses." Most of the populations of Turkey and Syria are Sunni, but the al-Assad regime is dominated by Alawites, an offshoot of Shiite Islam.

Erdogan, whose government is hosting anti-Assad opposition groups and thousands of Syrian refugees fleeing Syria's violence, wants "terrorists to be free in Syria," al-Assad said, asserting that the prime minister is "very excited about the Muslim Brotherhood movement in Syria" -- a Sunni movement.

"The impulse to help and defend Muslim Brotherhood constituted the real starting point and basis of the Syria policy that Erdogan has been following," al-Assad said, accusing the Turkish prime minister of a setting a double standard in his foreign policies.

"For example, why does he cry for the Syrian people in a hypocritical way but (is) not crying for those killed in the Gulf countries?" he asked. "Why doesn't he meddle with the democracy problems of those countries?"

Al-Assad's published comments came as the Turkish military reported finding the bodies of the two Turkish pilots of the downed jet. The bodies of Capt. Gokhan Ertan and First Lt. Hasan Huseyin were "found at the bottom" of the Mediterranean Sea, "shot by Syria in the international waters," the military said in a statement.

Turkish crews were working to retrieve the bodies, the military said.

In the first installment of the interview with the Syrian president, published Tuesday in Cumhuriyet, al-Assad expressed regret over the plane incident. He said his soldiers had thought it was an Israeli warplane.

"The Turkish people are our brothers and something that would make them sad would never make me happy and it did not. If this was an Israeli plane, of course, I would have been happy," he said.

The plane was using the same flight corridor that Israeli planes had used three times before, he said. "Since we couldn't see it on our radars and no information was given either, the soldiers downed it. We learned that it belonged to Turkey after shooting it down."

But Turkish Foreign Minister Ahmet Davutoglu, in an interview with the Turkish newspaper, asked, "How many times have they fired at an Israeli plane before? Moreover, they are legally at war with Israel. That they launched such an attack on our plane even when no such attack has been launched against an Israeli plane shows that they do not have any goodwill towards us."

Davutoglu also disputed al-Assad on the radar claim.

"Either the Syrian air defense is not as powerful as he claims or what he says is a clear lie.  As soon as our plane takes off from Malatya, all the countries in the area can monitor the movements of it. This is not a secret but an open mission, and the profile of the flight is one that can be monitored by countries even with the simplest airspace systems. It is also wrong that they say they couldn't determine its identity because we also have records that they identified it.

"They say we would not shoot it down if we knew it was a Turkish plane. Let's say they didn't know the RF-4 was a Turkish plane, then why did they open fire on the Casa plane that was going for help? It was obvious that it was coming from Turkey," he said.

Turkey scrambles jets as Syrian choppers near border

Davutoglu said he agreed with just one of the comments made by al-Assad in the Tuesday interview.

"That is when he says, 'If I knew it would be for the good of my country, I wouldn't stay even for a day.' That is very correct and he should do what this requires as soon as possible. He should not stay there even for a day," Davutoglu said.

Meanwhile, at least 70 people -- including 10 children and three women -- were killed Wednesday in Syria, opposition activists said. The carnage has spiked in recent days, with at least 109 people killed Sunday, 114 people Monday and 71 Tuesday, opposition activists said.

The regime maintains it is fighting against "armed terrorist groups." Opposition activists and many world leaders say regime forces have been attacking cities nationwide in an attempt to wipe out dissidents seeking al-Assad's ouster. His family has ruled Syria for more than 40 years.

This week, Syrian authorities "stormed terrorists dens" in the Homs countryside and seized a warehouse containing explosive devices, the state-run Syrian Arab News Agency reported Wednesday.

CNN cannot independently confirm the reports of casualties or violence because Syria restricts access by international journalists.

Syrian opposition leaders who have been meeting in Cairo said they support the rebel Free Syrian Army and oppose negotiations with the al-Assad regime.

They said they believe U.N. and Arab League envoy Kofi Annan's six-point peace plan needs to be strengthened so it can be executed effectively. The opposition supports Annan's plan in theory, but say it has to be improved.

That sentiment comes on the heels of a plan laid out by global diplomats in Geneva over the weekend that called for a transitional government to be established.

According to the plan, backed by Russia and China as well as the West, such a government "could include members of the present government and the opposition and other groups and shall be formed on the basis of mutual consent."

The Syrian Foreign Ministry issued a statement of general support for the plan, but didn't address the transitional government issue.

"We have noticed the vagueness of several points in the final document, which need explanation," the ministry said. "However, since the participants adhere to the fact that the Syrian population alone is the final decision maker with regards to its future with no foreign intervention, then all matters are negotiable in a national dialogue."

More than 14,000 people -- most of them civilians -- have been killed since the Syrian uprising began 16 months ago, opposition groups said.

A spokesman for the opposition Syrian Observatory for Human Rights said Wednesday that the group had tallied the total killed at 16,757. Of them, 11,657 were civilians, 4,227 were members of the military or security forces and 873 were defectors or members of the opposition Free Syrian Army, said Rami Abdulrahman, the spokesman.

Opinion: Tracking down torture in Syria

Report describes torture in Syria

New attempt to end Syrian bloodshed brings optimism, doubt

@highlight

Al-Assad accuses Turkey of interfering in Syria's internal affairs

@highlight

Turkey's foreign minister disputes al-Assad on some points

@highlight

Syria's shootdown of the Turkish jet intensified the animosity

@highlight

Opposition leaders huddled in Cairo