(CNN) -- To date, Britain has avoided the politicized and polarized abortion debate that is so prevalent in the U.S. Traditionally, our political parties have seen abortion as a 'private' matter of personal and public 'health' and not a matter of rights. The law gives women no 'right' to abortion as in most Western democracies -- but, if two doctors certify that it's best for her health and well-being and the pregnancy is less than 24 weeks gestation, abortion is a legal option.

Most people support this. We want people to be able to plan their families and to support and be responsible for their children, yet we know contraception sometimes fails and people fail to use it. Abortion, as a back up to birth control, is generally seen as regrettable, but a fact of life. Even in Northern Ireland, where abortion remains illegal, it's accepted that women travel to the mainland.

I am stunned when I talk with American colleagues about the violence and intimidation that their abortion doctors face. For them, a typical protest is several hundred strong -- for us a large protest is sometimes several dozen protesters, but more typically it is just several individuals. But, small as our protests are, they upset and disrupt women seeking safe and legal care from legitimate pregnancy advisory services.

In recent weeks the Bedford Square clinic of the British Pregnancy Advisory Service (bpas), close to London's Oxford Street, has been the focus of a Lent-long 40 days for Life vigil. It is a 'mini-me' version of U.S. campaigns. Women attending the clinic face a gathering of people praying for them to reject abortion.

They are handed leaflets with fanciful claims about how abortion will raise their risk of cancer and mental illness. They are shown 'life-size' models of their unborn baby and subjected to 'pavement counselling' to encourage them to 'choose life.' For the present at least, women are no longer tormented with 'gifts' of little knitted baby bootees, a feature of some previous vigils.

The problem with the protests is this: the protesters oppose abortion in principle -- but their actions are against women who want to consider abortion -- not in principle -- but as a private medical solution to a personal, individual problem.

Women attend our clinics for care or counseling because they need help. They do not come to demonstrate support for abortion. The protesters should leave them alone, to deal with their problems privately with those they have chosen to seek help from. As the main abortion provider in Britain, bpas is not shy of debate. Public education is part of our job and seeing more than 60,000 women with problem pregnancies each year puts us in a good position to explain what these women want and need.

Of course, society should debate the rights and wrongs of abortion. There are places for that and persons who are ready and willing to engage with the issues. Outside a clinic is the wrong place, and women in immediate need of care are the wrong audience.

The protesters have allies in the UK Parliament to voice their concerns. They have no need spend 40 days in the cold plaguing women. It is my job to answer for what bpas does, and I could not be more proud of the charity, its staff and its work.

Bpas really is 'genuinely' pro-choice. Part of our charitable mission is to alleviate distress in relation to fertility by providing advice, treatment and assistance. In the past we have provided infertility care as well as abortion -- and we hope to do so in the future.

One marvelous response to the protests was that some complete stranger to bpas set up a website encouraging support for us. The comments posted speak volumes.

Those who accuse us of running 'abortion mills' should ponder this comment by 'S' on March 17, 2012: "Your advice and support helped me decide the right thing to do was keep my baby. Being able to talk through my choices without judgment was undoubtedly the most important part of that process. Long may you be able to support other women like me."

When a woman comes to us with a 'problem pregnancy,' if she is undecided, our first aim is to help her to make the decision that she feels is right for her. We may not be able to make her feel 'happy' about her decision; she may choose what seems the 'least worst' option -- but the decision will have been hers.

This is what the protesters, who stand with their banners or lurk around our clinic entrances soliciting the attention of women approaching our doors, refuse to understand. They boast of the occasional woman they 'turn away' -- but refuse to accept that thousands of 'bpas clients' decide against abortion in any case. And we are glad when they are satisfied with that decision just as we are glad when a woman is satisfied with her abortion decision. That is what it means to be pro-choice.

The opinions expressed in this commentary are solely those of Ann Furedi

@highlight

Abortion is a legal option in the UK if doctors agree

@highlight

Ann Furedi says she is stunned by the intimidation that abortion doctors face in the U.S.

@highlight

"Women attend our clinics for care or counseling because they need help," she says

@highlight

Ann Furedi argues that protesters refuse to accept that thousands of 'bpas clients' decide against abortion