(CNN) -- Salman Rushdie will always be most famous for "The Satanic Verses," the 1988 novel that earned the author a death warrant from the late Ayatollah Khomeini. But for literary merit alone, some rate the earlier "Midnight's Children" as Rushdie's greatest work.

Now, the classic novel is hitting the movie screen in an adaptation by Rushdie himself. The author's first foray into screenwriting was not an easy assignment, he admits. After all, the book encompasses 30 years of India's history, from independence from Britain in 1947 to the turbulent rule of Prime Minister Indira Gandhi.

CNN spoke with the renowned writer about the cinematic rendering of his book, directed by Deepa Mehta (out in limited release now). Below is an edited version of the conversation.

CNN: "Midnight's Children" was published in 1981. It took a long time to become a movie. Had you always wanted it to be made into a film?

Salman Rushdie: I never had a real desperate need for it to be a film. I was quite happy for it to just be a book, and actually, I had sort of given up on the idea there would be a film because of how long it had been since the book came out. (I had) this serendipitous conversation with Deepa Mehta where we actually met to talk about other things, and it suddenly popped into her head to ask about "Midnight's Children."

I had known her for a while, and she had spoken to me very passionately about her feeling for the book and what it had meant to her when she read it and how it connected to her own experiences. I thought, well, that's valuable, because it means that that's not just a gig. It's not just taking the job in order to adapt this film, but it becomes a personal project, and that's what I felt made her the right person to (direct).

CNN: How satisfied are you with the translation to this new medium?

Rushdie: I'm actually delighted, but on the other hand, I'm scarcely objective, you know, because I wrote the film and I narrate the film, and I was very, very involved at every stage of it. I was involved in the casting. I was even involved in talking to the production designer, showing him photographs of (my) childhood and trying to get him to make the film look right. I was involved in the cutting room. So if the film is no good, it's my fault too, but if it is any good, I can take a bit of the credit.

One of the things I like is that young people in the audience have found it easy to connect to their lives. It doesn't feel like a period piece. I worried that this is a story which ends in 1977 and might feel to a lot of people like ancient history. But I just think that there is something about the way in which small individual lives are impacted by the great events of history which is easy for us to connect to now when the great events of history, almost on a daily basis, assault our individual lives.

CNN: How challenging did you find it to write the screenplay?

Rushdie: Well, of course it's challenging, but, you know, all writing is challenging. Writing is difficult; one should just say that. What I found interesting writing a screenplay as opposed to writing a novel is not the obvious thing, which is having to pare everything down and find the kind of essence, the skeleton if you like, which can then be fleshed out by performance and cinematography. That, of course, you have to do. But I think the thing that's really different and very interesting is that when you're writing for the screen, you have to be hyper-conscious every moment of how the audience is going to react. If you write just one scene where the audience is confused or it breaks their concentration in some way, then you've lost them, and you might never get them back. You're really thinking all the time of what you have to do to make sure that they have the information that they need, that the emotional thread is not snapped, that the story moves at the right speed, to keep the audience hopefully sitting on the edge of their seats or else weeping or laughing. Any of those is good.

CNN: You narrate the film. That's interesting, because you haven't chosen to record many of the audio versions of your books.

Rushdie: I've done bits -- "Haroun and the Sea of Stories." I did my collection of short stories, but it's not the same thing, you know. Reading is a very different thing than performing. In fact, one of the things I think that doesn't work in books on tape is if the person doing the reading "acts" too much; it becomes irritating to you listening to it. So reading is a different place, a different voice, and ("Midnight's Children") after all was not me reading the book; it was me performing the part of the older Saleem looking back at his younger life. It's a first-person narrative, first-person voiceover, and it's his first person, not mine. So this involved a tiny bit of acting.

CNN: Most people don't like the sound of their own voice. How was that for you?

Rushdie: Well, I was really worried because one of the things I felt is the real strength of the film is that we have a wonderful cast which turns in wonderful performances, and I didn't want to be the one who didn't. I didn't want to be like the amateur amongst a group of great professionals, and that worried me. One of the things I know about Deepa is that she is a great director of non-professional actors. She's really good at guiding you at what to do -- a bit faster, a bit slower, a bit more of this and a bit less of that -- and I think all you have to do is be good at taking the direction and responding to it. I told her that if I was embarrassed by the results, I would want to fire myself and find an actor, but in the end, people seemed to like it, so it stayed in.

CNN: The film has played in India. What was the reaction like?

Rushie: It was very emotional to take it there, particularly showing it in Bombay, which is where I was born and raised. (It) is the great movie city and, in many ways, is the city out of whose spirit the novel was born. To take the movie back did feel like closing a big circle. I think Indian audiences reacted very emotionally to it. They loved it. There was a moment we showed it at the Kerala Film Festival, and when in the film the emergency rule period -- the authoritarian period of Mrs. Gandhi's sort of semi-dictatorship in the mid-'70s -- comes to an end, there's a line in the voiceover where I say, "The emergency was over." People in the theaters jumped to their feet, started applauding, because it meant that much to them, too.

CNN: Do you think "Midnight's Children" will play in Pakistan?

Rushdie: I doubt it, truthfully. It has been invited to the film festival in Dhaka in Bangladesh, so it seems like that's not a problem. And it's already opened in a number of countries with very large Muslim populations: It's been played in Malaysia, and I think it's due to open very soon in Indonesia and Thailand, so it's getting around. Pakistan, I don't know. Pakistan's a mess.

CNN: I know you met E.M. Forster late in his life. There have been some wonderful adaptations of his books by the late Ruth Prawer Jhabvala. When you look at films adapted from great novels, do any come to your mind that were particularly successful?

Rushdie: I actually have taught a course in that at Emory University, where I have a part-time professorship. I think you could name certainly the ones you mentioned: Ruth Jhabvala's adaptations of Forster. Actually, I thought Martin Scorsese's adaptation of Edith Wharton's "Age of Innocence" was really very successful. I really thought it was a wonderful film. I think one of the great examples is Visconti's film of "The Leopard," a great Italian novel, which is actually one of the films we thought a lot about (in making "Midnight's Children") because it does something that we were also trying to do, which is to take big historical events -- revolution in Italy -- and against that quite epic background, set the intimate story of a particular family.

I think actually Volker SchlÃ¶ndorff's film of Gunter Grass' great novel "The Tin Drum" is pretty successful. John Huston's film of James Joyce's story "The Dead." I mean, I think you can find a best-case scenario in which the film does just fine compared to the book.

@highlight

Salman Rushdie adapted his novel "Midnight's Children"

@highlight

It is Rushdie's first screenplay, and he narrates the film

@highlight

He says the historical events of the movie are still relatable today