(CNN) -- Turkey and Syria are locked in a fierce struggle that has escalated greatly following Friday's downing of a Turkish Phantom F-4 jet by the Syrian authorities. The two heavily armed neighbors are inching gradually into a military confrontation, one that is unlikely to be isolated and that has the potential to turn into a region-wide conflict.

Consequently it could take just one spark -- an incident such as this -- to ignite a fire between Ankara and Damascus, the flames of which could enflame the entire region.

At this particular juncture Turkey is refraining from taking any military measures against Syria. In Tuesday's speech to the Turkish parliament, Prime Minister Recep Tayyip Erdogan stressed that his country was adopting a "common-sense" attitude that "should not be perceived as a weakness". Turkey's new approcah relies on active diplomacy, potent economic sanctions and pschological warfare, and the mobilization of both NATO and the western powers, in an effort to isolate the Assad regime further.

Security Clearance: Can Turkey force U.S., NATO to attack Syria?

It is worth noting that NATO members and EU foreign ministers have called on Turkey to show restraint and avoid action that could escalate into war. "Military intervention in Syria is out of the question," said the Dutch Foreign Miister Uris Rosenthal. However, Erdogan stressed that "the rules of engagement of the Turkish Armed Forces have changed." He stated that any advance by Syrian forces toward the Turkish border would be seen as a threat and "treated as a military target."

What this really means is that Turkey is establishing a de facto safe zone that hinders Syria's ability to move troops close to the border. This will allow the Syrian rebels to gather strength in that the border area and advance toward the Syrian heartlands.

PM Erdogan of course spoke carefully in his speech on Tuesday: he stressed that his country talks softly but warned that Turkey's "wrath is fierce and intense when it needs to be". There is no mistaking the implied threat: the de factor safe zone means Turkey would not allow Syrian forces near border, thus allowing the rebels a free movement there.

So while Turkey is not threatening to launch a pre-emptive attack on the Assad regime it is certainly taking indirect steps to support the Syrian rebels. Recent reports claim that Turkey, along with Saudi Arabia and Qatar, is channeling arms to Syrian rebels with America's implicit consent, though Ankara denies that it is doing so.

Turning to the actual attack on the Turkish jet, much remains unclear. We don't know how long it was in Syrian territory for. And was it an innocent mistake on the part of the pilots, or was the plane on a surveillance mission to monitor developments inside Syria? The Turkish authorities refute such claims, and say the jet was testing Turkey's own radar capabilities.

On the other hand, Syria acknowledges shooting down the jet, but says the downing of the "unidentitifed object" was not an attack. The Syrian government is trying to de-escalate the crisis by saying it did not know it was Turkish, and was merely defending its territory and not acting aggressively.

"We had to react immediately, even if the plane was Syrian we would have shot it down," said foreign ministry spokesman Jihad Makdisi at a press conference in Damascus. "The Syrian response was an act of defense of our sovereignty carried out by anti-aircraft machine gun which has a maximum range of 2.5 km."

But in its letter to the United Nations Security Council, Turkey says that intercepted radio communication shows that Syrian units were fully aware of the circumstances of the flight and that Syria knew exactly who the plane belonged to.

By downing the reconnaissance aircraft, Syria is trying to send a message to Turkey -- and the world beyond that is supporting the rebels: Be wary: this is not Libya and we have the military capability and the will to oppose and resist any foreign intervention.

Erdogan's announcement signals a subtle and important shift in Ankara's response to the Syrian crisis, in terms not only of political, economic and psychological pressure on President Bashar al-Assad, but also in creating this de facto safe zone that could in theory be enlarged into a base to provide strategic depth for rebels and allow more defectors to enter.

Syria is flexing its muscles, and even though Turkey is not retaliating militarily, its actions could be a game-changer within Syria, and between the two countries that were once close allies.

The opinions expressed here are solely those of Fawaz A. Gerges

@highlight

Tensions between Turkey and Syria rise over shooting down of Turkish military jet

@highlight

Fawaz Gerges says just one spark could ignite a fire between Ankara and Damascus

@highlight

Turkey establishing "safe zone" that hinders Syria's ability to move troops, Gerges says

@highlight

Gerges: Syrian is sending message: we have capability and will to oppose intervention