London (CNN) -- For a certain kind of middle-aged male, Friday's double golden anniversary, marking the premiere of "Dr. No" and the release of the Beatles' debut single "Love Me Do", offers an unmissable opportunity to wallow in nostalgia.

Even from a distance of half a century, there are few totems of popular culture more revered and more marketable than James Bond and the Fab Four.

The Beatles embodied the energy and youthful spirit of their era, yet their remarkable creativity, productivity and talent for reinvention means that much of their music still sounds fresh today, while contemporaries such as Gerry and the Pacemakers and the Dave Clark Five remain trapped for ever in the beat scene of the early "Swinging Sixties."

Never before seen Beatles photos sell for more than Â£350,000

Abbey Road crosswalk named historic landmark

Bond too, despite initial industry skepticism -- "It simply won't work in America... (Sean) Connery will never go over," one studio representative told producers Cubby Broccoli and Harry Saltzman at the premiere of "Dr. No" -- was a perfect hero for the age of Cold War paranoia and nuclear brinkmanship, the film's Caribbean setting even mirroring the unfolding Cuban missile crisis.

Yet under Broccoli's long stewardship, Bond remained a figure capable of reflecting our contemporary obsessions -- whereas a jet pack-wearing Connery once propelled himself across the screens of the space age, now Daniel Craig's taut, humorless 007 is more likely to be equipped with the latest smartphone gadgets.

Some, preposterously, have even claimed the existence of the Beatles as evidence of a divine hand at work. Commenting last week on the announcement that the band's albums would be re-released later this year on "audiophile quality vinyl", music producer Rick Rubin said of the band's prolific output: "Truthfully, I think of it as proof of God, because it's beyond man's ability."

Predictably, both anniversaries are accompanied by a welter of other rehashed and recycled material cashing in on the occasion. Beatles completists not content with the band's already expansive canon of literature can now look forward to an anthology of John Lennon's letters and several exhaustive new reference books.

Meanwhile, the "Let It Be" musical has just opened in London and a remastered DVD edition of "Magical Mystery Tour" is set to go on sale, accompanied by a serious-minded BBC documentary on the making of the critically derided comic caper that can easily be summed up in five letters: drugs.

Bond's back catalogue also gets a 50th birthday facelift with the re-packaging of the 22 films as a Blu-Ray box set - though one wonders, even among hardcore fans of the series, whether there is much appetite for the sight of Roger Moore creaking and wheezing his way through "A View to a Kill" in high-definition clarity -- a role for which even the eyebrow-raising Englishman admits he was "400 years too old" by 1985.

Designing 007: Exhibition marks 50 years of James Bond

James bond car sells for $4 million

None of these products are presumably aimed at a generation that can actually remember Connery or the Beatles in their heydays. The least likely upgraders to Blu-Ray would seem to be those old enough to have seen "Dr. No" in a cinema, just as the "Beatles: Rock Band" console game is unlikely to have held much appeal among those who first encountered the band -- then the UK's eighth most popular "small group," according to a poll at the time -- supporting Helen Shapiro in early 1963.

Instead, they are targeted at what could be described as "Mojo Man," intended to prod once again the Pavlovian reflexes of compulsive consumer-collectors who, in an era when the concept of music and movies as something that we own in physical form looks increasingly redundant, remain one of the ailing entertainment industry's more dependable customers.

Though not quite old enough to remember the sixties, Mojo Man grew up in a world in which the popular culture of the decade resonated long after the idealism, social change and upheaval of the era had passed into the history books, and in which the Beatles' template of guitars, bass and drums and the Bond staples of stunts, super villains and seducible women had laid the foundations for rock music and the modern action movie.

Yet the problem with this conservative world view is that nothing subsequent can ever live up to the mythologized past, while other influences on the culture of our own era are belittled and ignored. Modern pop music, after all, arguably owes more to the traditions of hip hop and dance music than to "Sergeant Pepper's Lonely Hearts Club Band."

Its enduring influence is demonstrated by an outburst by Noel Gallagher in 2008, in which the former Oasis star, born in 1967, listed the top five bands of all time as the Beatles, the Rolling Stones, the Who, the Sex Pistols and the Kinks -- according to deeply reductive criteria that included "no solo artists, no female artists, no collectives allowed (Public Enemy etc.)."

Such blinkered reverence is at odds with the world in which the Beatles and Bond came to stardom, when the spending power of neophyte teenagers dominated pop culture and a song or movie could be top of the pops or a box office hit one week and gone the next.

No one involved in the creation of "Love Me Do" or "Dr. No" would have expected that either would be anything more than quick money spinners -- a throwaway two-minute pop song and a low-budget adaptation of a cheap paperback attempting to cash in on the Cold War appetite for espionage thrillers.

In their own words: Journalists who covered Lennon's murder

TIME: Meeting the Beatles

John Lennon and George Harrison quickly became deeply disillusioned with life in the Beatles, while even Paul McCartney, now strip-mining his own back catalogue in stadiums around the world, spent years attempting to step out of the band's shadow. Similarly, Connery in a 1965 interview with Playboy magazine complained that being typecast as Bond had become "a bit of a bore."

Yet the Beatles remain the band that we can't live and let die, doomed to be recycled as fading photocopies of the original with every incremental improvement in music technology and significant anniversary until one day we can all look forward to high-definition holograms of John, Paul, George and Ringo performing "All You Need is Love" in our living rooms.

Similarly with Bond, while it's easy to put out new editions of the old classics or to recycle familiar plots in updated settings, can anyone say they genuinely expect "Skyfall," the 23rd installment due to be released later this month, to bring anything new to the series?

Fifty years is a long time, even by the standards of the rise and fall of nations, but in the ever changing world (in which we live in) of pop culture both Bond and the Beatles should long ago have been passed over to the custody of historians for safekeeping.

With the release of their albums once again on vinyl, the Beatles' music will have turned full circle, returning via tapes, compact discs, minidiscs and mp3s to the format where it all began. Perhaps that's an appropriate moment, finally, to let it be.

Opinion: James Bond on Her Majesty's secret service

@highlight

Friday marks the anniversaries of first Bond film premiere and release of Beatles' debut single

@highlight

For some this offers an unmissable chance to wallow in nostalgia, says Simon Hooper

@highlight

But Hooper believes we shouldn't dwell too much on the past

@highlight

Perhaps it's time to leave the sequels and re-releases behind, he says