(Entertainment Weekly) -- Over the last decade, Steven Soderbergh has taken the "one for them, one for me" concept of film-director politics to an almost comically programmatic extreme.

Benicio Del Toro plays Ernesto "Che" Guevara in Steven Soderbergh's biopic.

Basically, he makes big-budget crowd-pleasers like the "Ocean's" films, stuffed with movie stars and candied gimcrack fun, and between them he makes whatever oddball labor-of-love doodle (the enticing "Bubble," the dreadful "Solaris") enters his head.

What's disorienting about "Che," his two-part, four-hour-and-17-minute, studiously eccentric drama about the revolutionary life and times of Ernesto "Che" Guevara, is that it's almost a knowing brainteaser on Soderbergh's part to force you to figure out which category the film belongs to.

Che cost a reported $65 million to make, it's full of exacting panoramas of strategy and combat set in the mountainous jungles of Cuba and Bolivia, and its hero is a figure who -- 41 years after his violent death -- remains so loved, hated, and mythologized that he fits into an epic drama timed for awards season as perfectly as Gandhi or Ray Charles ever did. Following a one-week Oscar-qualifying run, "Che" is now rolling out to major American cities, where it is likely to draw generations of filmgoers who've either worn Che on their T-shirts or have the honest curiosity to wonder: Who was this man before he became a Warhol-worthy icon of radical chic?

In "Che," Soderbergh stokes that curiosity, feeds it, and frustrates it, all at the same time. He's made a film that embraces the romance of revolution only to shake it off, leaving very little in its place.

The first half of "Che" is a genuine achievement. It picks up Guevara (Benicio Del Toro) in 1955, when he was a clean-cut Argentine physician who dreamed of uniting Latin America through armed struggle. At a dinner party in Mexico City, he meets Fidel Castro -- played, with perfect domineering gesticulations, by Demian Bichir -- and the movie follows these two into the Cuban countryside, where they assemble the nuts and bolts of a revolution.

Soderbergh exhibits a tinkerer's fascination with how it all worked, embedding each scene with a docu-nugget of information. We see Che taming his asthmatic coughing fits or reading books between battles, and learn how a battalion of rebels could defeat a platoon three times its size (with surprise, daring, and Molotov cocktails).

Che is by turns scholar, guidance counselor, drill sergeant, and comandante, and Del Toro makes him a warrior-saint who learns, against his will, to cultivate a gruff bruiser facade. He yearns to be a "true revolutionary, the highest level of humanity," and it's no insult to the film to say that Soderbergh and Del Toro succeed in portraying Che as a kind of T-shirt in three dimensions, a Guerrilla for All Seasons.

But that's when things get strange, if not monumentally perverse. At the end of Part I -- the victory of the Cuban rebels -- my appetite was whetted to learn even more about Che, in particular how his humane ideals were tested, and compromised, by the Castro regime as it edged toward dictatorship. Instead, Part II leaps forward to 1966-67, when Che led the revolutionary war in Bolivia, and here's the thing: It turns out to be the same damn movie. Only in this dispirited rerun, the revolution doesn't take.

The rebels, all squabbling ego, can barely summon the will to sacrifice and die, and the peasants have little belief that this ragtag crew is bringing a better world. Even with the U.S. poking its nose into the region, the Soviet Union won't back an insurrection.

Soderbergh has built "Che" conceptually, as two giant panels of war, and his message is about the doomed destiny of Marxism. Che, like Marx, believed that the rise of the proletariat was inevitable -- the unstoppable tide of history -- but as the movie reveals, he was wrong. Che didn't ride a wave of history; instead, it crashed down on him. By remaining the same, he becomes, in Part II, a distant and deluded figure whose dream evaporates around him.

As political theater, "Che" moves from faith to impotence, which is certainly a valid reading of Communism in the 20th century. Yet as drama, that makes the second half of the film borderline deadly. Che doesn't grow richer, deeper, or reveal any contradictions; he just gets more abstract -- a symbol of idealism too pure for this world. Che is twice as long as it needs to be, but it is also only half the movie it should have been.

EW Grades: Part I: B+, Part II: C

CLICK HERE to Try 2 RISK FREE issues of Entertainment Weekly

Copyright 2009 Entertainment Weekly and Time Inc. All rights reserved.

@highlight

"Che" has a brilliant first half, but second half is repetitious, says EW

@highlight

Steven Soderbergh's four-hour film is trying to make a point, but loses steam

@highlight

However, Benicio Del Toro is terrific as famed Marxist revolutionary