BANGKOK, Thailand (CNN) -- Bedraggled, hungry and dazed, the refugees arrived on the shores of Thailand after fleeing one of the most repressive governments in the world -- the hard-line military regime in Myanmar, also known as Burma.

This picture provided to CNN is said to show refugees being towed out to sea by the Thai army.

But a CNN investigation has uncovered evidence that for hundreds of Rohingya refugees -- members of a Muslim minority group -- abuse and abandonment at sea were what awaited them in Thailand, at the hands of Thai authorities.

Extraordinary photos obtained by CNN from someone directly involved in the Thai operation show refugees on their rickety boats being towed out to sea, cut loose and abandoned.

One photo shows the Thai army towing a boatload of some 190 refugees far out to sea.  Watch the backstory on the investigation »

For days, accusations have been carried in several regional papers that the Thai army has been systematically towing boat-loads of Rohingya refugees far out to sea and setting them adrift.

The army denied it, and the Thai government has launched an inquiry.

CNN's investigation -- based on accounts from tourists, sources in Thailand and a Rohingya refugee who said he was on a boat towed back out to sea -- helps to piece together a picture of survival thwarted by an organized effort not just to repel arriving refugees, but to hold them prisoner on shore, drag them in flimsy boats far out to sea and then abandon them.  Watch CNN's investigation into reports of refugees being set adrift »

Three tourists recently voiced concern to CNN over what they had seen -- and in some cases photographed -- near Thailand's tourist areas.

One tourist provided CNN with photos last week of refugees detained by Thai authorities on a beach near a tourist site, with the refugees prone on the sun-bleached sand while guards stood nearby.

"Whenever someone raised their head or moved, they [guards] would strike them with a whip," said Australian tourist Andrew Catton.

A CNN crew traveled to a remote stretch of the Thai coast four hours north of the tourist island of Phuket to investigate the growing reports that the Thai military was secretly detaining Rohingya refugees before towing them out to sea and setting them adrift.

In an isolated beach area, debris including sandals and campfire remnants indicated that large numbers of people had been there but were nowhere to be seen.

The crew then traveled to a nearby island, where residents reported that refugees who had escaped were living in the jungle.

In one hamlet, villagers had captured a Rohingya man they believed had been living in the jungle for days.

The refugee, who identified himself as Iqbal Hussain, told CNN he was on one of six boats in a makeshift refugee fleet that arrived in Thailand in December.

He said all six boats with their refugee cargo were towed back out to sea in January, and five of the six boats sank. His boat made it back to shore, and he hid in the jungle for days until nearby villagers captured him.

In broken English and using sign language and drawings, he described what happened to the other men on the boats:

"All men dead," he said, putting the number of dead at several hundred.

The Rohingya, a persecuted minority in Myanmar, have been fleeing their country in rickety boats for years, in search of a better life.

In Thailand, many instead have found deprivation and the possibility of desertion far off shore, according to the CNN investigation.

The source who provided CNN with photos of refugees in a boat being towed out to sea stressed that the Thai army had given the refugees food and water, but he also confirmed that the boats had been pulled for more than two days into international waters before they were set adrift.

His account directly contradicts briefings by senior Thai army sources who denied any such operation was undertaken.

A source in the Thai military, after extensive questioning, did confirm to CNN that the Thai army was operating a dump-at-sea policy. But the source defended it, insisting that each boatload of refugees was always given sufficient supplies of food and water.

That source claimed local villagers had become afraid of the hundreds of Rohingya arriving each month, and that they were accusing the refugees of stealing their property and threatening them.

CNN asked the government for comment and was told that an investigation was being launched and that Prime Minister Abhisit Vejjajiva has plans to call an emergency meeting once the country's foreign minister returns from Cambodia.

Panitan Wattanayagorn, a government spokesman, gave no timeline for the foreign minister's return or the emergency meeting. He did say the government is taking the matter very seriously.

@highlight

CNN finds evidence hundreds of Rohingya refugees abandoned at sea by Thai army

@highlight

Photos show refugees on their rickety boats being towed out to sea, cut loose

@highlight

The army denies setting refugees adrift; Thai government has launched an inquiry

@highlight

Rohingya have been fleeing persecution of the hard-line military regime in Myanmar