(CNN) -- Michael Jordan once summed up his social and political activism in four simple words: "Republicans buy sneakers, too."

In a world where athletes and celebrities seem more willing to attach their names to high-priced sneakers and headphones than real-world issues, many are thrusting themselves directly into an uncomfortable national debate over police brutality and racial injustice.

It's not only people with prominent names; there are medical students, congressional staffers, a university president and even a Northern California police chief.

A spate of controversial police slayings of unarmed black men served as the catalyst.

But the case of Eric Garner, a New York grandfather who was put in a fatal chokehold by a police officer trying to arrest him for selling cigarettes illegally, has resonated with whites and nonwhites alike.

Commentators across the political spectrum have united to condemn last week's decision by a grand jury not to indict white New York Police Officer Daniel Pantaleo in Garner's death, which was captured on a video seen around the globe. According to Pantaleo's lawyer, the officer says he didn't use a chokehold on Garner.

The outpouring started in earnest one week before the New York decision, with the long-awaited announcement of a grand jury's decision not to indict Ferguson, Missouri, Police Officer Darren Wilson in the shooting death of unarmed teen Michael Brown. That decision was met with violent demonstrations in Ferguson and largely peaceful protests throughout the nation.

On November 3, five St. Louis Rams players infuriated some people with a silent message before a game against the Oakland Raiders. Stedman Bailey, Tavon Austin, Jared Cook, Chris Givens and Kenny Britt walked onto the field and raised their palms in the air, demonstrating the "hands up, don't shoot" gesture protesters in Ferguson had been using for months.

Police chief and university president

That groundswell seems to have peaked with the nonindictment in the Garner case.

As they warmed up for a game Monday attended by the Duke and Duchess of Cambridge, Cleveland Cavaliers LeBron James and Kyrie Irving were among players wearing T-shirts saying "I can't breathe" -- Garner's last words, which have become a rallying cry for protesters.

In Los Angeles, the Lakers' Nick Young, Jordan Clarkson, Carlos Boozer, Wayne Ellington and Jeremy Lin donned "I can't breathe" shirts on the bench during the first half of an NBA game against the Sacramento Kings on Tuesday. The Georgetown University basketball team did the same.

In Northern California, Richmond Police Chief Chris Magnus joined about 100 demonstrators and carried a sign with the popular Twitter hashtag #BlackLivesMatter, according to the Contra Costa Times.

At the University of Pennsylvania, protesters crashed university President Amy Gutmann's annual holiday party Tuesday night, according to the university newspaper, The Daily Pennsylvanian. Gutmann joined the protesters by lying on the floor in a 4Â½ minute "die-in" in memory of Brown.

Around the nation, medical students on Wednesday staged white-coat "die-ins," organized under the trending Twitter hashtag #WhiteCoats4BlackLives. At the University of Cincinnati, for instance, about 75 medical and pharmacy students held a 20-minute "die-in" protest.

'Not Guilty... Not Shocked'

In Washington, minority congressional staffers walked off their jobs and gathered on the steps of the Capitol on Thursday with their hands raised to show support for the families of Michael Brown and Eric Garner. The Congressional Asian Pacific American Staff Association and the Congressional Hispanic Staff Association joined black staffers and the Congressional Black Associates in planning the event. They were joined by Rep. John Lewis, D-Georgia, who fought to end segregation and racial discrimination in the South in the 1960s.

New Jersey Sen. Cory Booker, a Democrat and one of two African-Americans in the U.S. Senate, last week posted a column to his Facebook page that he wrote for The Stanford Daily as a university student after the Rodney King verdict in 1992.

"I'm struggling to be articulate, loquacious, positive, constructive, but for the first time in so long, I have lost control of my emotions," he wrote then. "Rage. Frustration. Bitterness. Animosity. Exasperation. Sadness. Emotions once suppressed, emotions once channeled, now are let loose. Why?"

He continued, "Not Guilty... Not Shocked. I'm a black man. I am 6 feet 3 inches tall and 230 pounds, just like King. Do I scare you? Am I a threat? Does your fear justify your actions? Twelve people believed it did. Black male: Guilty until proven innocent."

After the grand jury decision in the Garner case was announced December 3, Twitter exploded with reaction. Celebrities ranging from musician John Legend to actress Ellen Pompeo expressed shock and disbelief at the failure to indict Pantaleo for Garner's death.

Even some commentators on the political right -- such as Noah Rothman of the conservative blog hotair.com and Charles C.W. Cooke of the National Review -- condemned the decision in the Garner case. The case represented "one of those moments where left and right could unite," Rothman wrote.

Hip-hop mogul Russell Simmons, who co-founded Def Jam Records, said Americans have not experienced demonstrations like the ones breaking out almost daily in generations. The failure to get indictments in the Brown, Garner and other racially charged cases was "like lightning striking the black community over and over and over again."

"America has not seen protests like those that are coming if justice doesn't start to come down," he said. "We have not begun to engage the young leaders who are waiting to go to work. You haven't seen young people like this in two generations and they haven't even begun. America hasn't seen what's coming."

@highlight

Athletes and celebrities, med students and congressional staffers react to Garner case

@highlight

A spate of controversial police slayings of unarmed black men served as protest catalyst

@highlight

Garner's chokehold death at hands of police resonates with whites and nonwhites alike