(CNN) -- Far too many leaders do too much. Does this include you? If you can't take a two-week vacation without your cell phone, your laptop and your tablet, it probably does.

Don't get me wrong -- this is not unusual. Instead, it's natural: our ancestors -- the ones who survived and gave us the chance to be here -- were probably more active than their sometimes less fortunate colleagues were. Their activity was essential in the prehistoric era because it helped them overcome their inherent vulnerability and increase their chances at self-preservation.

Add to this the fact that people get promoted into leadership positions because they've done good work -- and we all tend to repeat any action that gets rewarded -- and it's no wonder that leaders naturally do too much.

See also: Switching off from the 24-7 work ethic

Unfortunately, this creates a serious problem: active leaders who are constantly involved in every aspect of their work come across as micro-managers.

They don't think of themselves this way. (Ask yourself how many leaders willingly acknowledge that they are micro-managers!) But leaders' opinions of themselves as leaders are much less important than their team members' opinions, and proactive leaders inevitably step on their team members' toes.

How can a leader get around these natural tendencies? Do Nothing! Or, at a minimum, do less: this will let your team members do more.

As an experienced teacher at Kellogg, I have the opportunity to meet thousands of leaders every year in my executive courses. When I ask them whether they have gotten to the point of doing nothing, only about 1% raise their hands, with a big smile on their faces.

See also: Focus on your results, not your hours

At the same time, everyone else in the class looks at them with envy. When I ask them how they have achieved this wonderful ideal, they always say the same thing: "I have a great team."

This begs an important question: Did they have a great team first, which allowed them to do nothing, or did they do nothing first and a great team emerged? We don't have enough hard data to answer this question, but isn't it intriguing to think that the latter, rather than the former, might be true?

Here are a couple more rhetorical questions: Don't we know that a leader's most important role is to lead and that team members should contribute? And that it's a leader's competitive advantage to facilitate and orchestrate rather than doing anything substantive themselves?

See also: Why we pick bad leaders

Although the answers to these questions seem obvious, too many leaders have a hard time taking the steps to implement them. Here are a couple ways that you can move toward doing nothing and, in the process, be more effective:

First, identify the breadth and range of your team members' skills so that you can let them do what they do well.

Second, do what you can to facilitate their performance. Think of it this way: what would your life be like if all of your team members lived up to their maximum potential? If you now have a very rosy image in mind, why not define your job as facilitating their performance? They will do better and your life will improve!

Third, trust your people more. If there are good people on your team, i.e., trustworthy people who have skills, why not trust them to do what they can do well?

People thrive on trust. As every professional I've ever asked has said, when a leader trusts them more than they expected, they step up to show the leader that they were worthy of her trust. Thus, if you work with professional people, i.e., individuals who want to do a good job, trust them more -- odds are extremely good that they will step up and exert even more effort than they have before.

Fourth, think of yourself as a mini-CEO. You are the leader of your team; you are probably their most important contact in the firm. When you think of yourself as a mini-CEO, you should follow the first rule for a CEO: Walk the floor.

Translated, this means being in touch with your team members and asking them how they are doing and how you can help make their jobs easier. They won't ask for a multi-million dollar piece of equipment and they'll appreciate the personal attention. Not only that, if you provide them with resources that they can use to do their jobs better, they will be motivated to do even more -- and an appreciative light will shine on you.

See also: Want be a leader? Act like one

The moral of this story is simple: People love to be trusted; they dislike micro managers; leaders are naturally programmed to be pro-active, and this can get in the way of effective performance.

The conclusion: give yourself a break; trust your team members more; and realize that you can actually achieve more by doing less yourself.

The opinions expressed in this commentary are solely those of J. Keith Murnighan.

@highlight

Murnighan: Leaders involved in every aspect of their work come across as micro managers

@highlight

He says it's a leader's competitive advantage to "facilitate and orchestrate"

@highlight

Leaders must trust their teams to do what they can do well, Murnighan argues