London (CNN) -- Argentinian President Cristina Fernandez de Kirchner has again opened the dispute over sovereignty of the Falkland Islands in the South Atlantic, accusing the British government of blatant colonialism.

Known to the Argentinians as Las Malvinas, the two countries went to war over the territory in 1982 after the then military government in Argentina landed troops on the islands.

In an open letter to British Prime Minister David Cameron and published in British newspapers Thursday, the Argentinian leader said "Britain, the colonial power, has refused to return the territories to the Argentine Republic, thus preventing it from restoring its territorial integrity."

The British government was swift to respond, insisting that there would be no discussions over sovereignty "unless and until such as the time as the islanders so wish."

It is the latest in a recent series of incidents that has raised tensions between the two countries.

What led to the latest dispute?

The Argentinian president has raised the sovereignty issue several times over the last two years, including a claim at the U.N., but the dispute made global headlines when Prince William, second in line to the British throne, was deployed on a military mission to the islands in 2012. The UK also decided to dispatch the new warship HMS Dauntless to the Falklands -- a move that inflamed anger in Argentina which accused Britain of militarizing the South Atlantic.

Tensions were raised again in December when the UK renamed a portion of the British Antarctic Territory as Queen Elizabeth Land in honor of the British head of state Queen Elizabeth II. Argentina also has a claim on some of the territory and lodged a protest with the British.

Last year also saw a public confrontation between the two countries' leaders when Fernandez tried to hand a letter to Cameron at the G-20 summit -- a letter he refused to accept -- and there was more bad feeling between the nations ahead of the London 2012 Olympics when Argentina released a video boosting its Olympic team that was filmed on the islands.

Where are the Falklands and why are they important?

Located in the South Atlantic Ocean, about 480 kilometers east of the tip of South America, the windswept Falklands have long been coveted as a strategic shipping stopover and potential wellspring of natural resources.

Their remoteness, however, exposed them to neglect and complex wrangling over ownership among British, French, Spanish and Argentinian interests. Argentina's forerunners formally declared possession in 1820, prompting Britain to reclaim a sovereignty it originally declared In 1765.

Falklands conflict in photos

Despite regular challenges, notably in 1982, British control has endured and the Falklands' current population of about 3,000 looks to London to safeguard oil, fishing, farming and tourism incomes.

What happened in 1982?

Documents recently revealed under the UK's 30-year rule show that the British government was surprised by the Argentinian invasion of the islands on April 2, 1982, with the then British Prime Minister Margaret Thatcher describing it as "the worst... moment of my life."

In evidence given to the Falkland Islands Review Committee in October 1982, and some months after the war ended, Thatcher said there were no warning signs from Argentina since its 1977 statement saying there would be talks.

"I never, never expected the Argentines to invade the Falklands head-on," she told the committee. "It was such a stupid thing to do, as events happened, such a stupid thing even to contemplate doing."

The files also show that Thatcher's Cabinet was trying to pursue a diplomatic solution to the crisis through the help of then U.S. Secretary of State Alexander Haig, while also preparing a military response.

British naval forces were dispatched after Argentinian President Leopoldo Galtieri's military dictatorship put troops on the Falklands. Soldiers fought land battles on the islands, aircraft were shot down and ships were attacked with significant losses of life -- most notably the Argentinian General Belgrano and Britain's HMS Sheffield, HMS Antelope and RFA Sir Galahad.

Britain declared an end to fighting after 74 days and following the surrender of Argentinian troops. Argentina put its death toll at 645. Britain's civil and military losses amounted to 255.

How did the United States and other world powers react?

President Ronald Reagan's administration declared economic sanctions against Argentina. It also gave its Cold War ally a strategic edge by supplying potent Sidewinder missiles to counter Argentina's Exocets.

At the height of the conflict, a meeting of the world's biggest economies -- including the UK, U.S., Germany, Italy, France, Japan and Canada -- backed Britain's position.

Why won't the UK give up the islands like it did Hong Kong?

Britain acknowledges its claim to the Falklands is disputed, but has made clear it has no intention of discussing the sovereignty issue with Argentina.

Professor Clive Schofield, an expert in maritime territorial disputes at Australia's University of Wollongong, said last year that there was no comparison to Hong Kong, which Britain returned to Chinese control after expiry of a set lease in 1997. "The UK position on the Falklands is that they are under British sovereignty -- they are not leased from anyone," he said.

What has happened to the islands since the end of the war in 1982?

Spurred by the conflict and stung by accusations of neglect, Britain began taking renewed economic interest in the Falklands. It protected fishing rights and asserted control over oil exploration licenses. It also stepped up its military interests, building a new airfield and bolstering naval, army and air force presences.

Images of life in the Falklands

Cooperation between Britain and Argentina -- by now an established democracy whose militarist past has left current leaders distrustful of its armed forces -- has improved, but Buenos Aires continued to reject any territorial claim to Las Malvinas other than its own.

The Falkland Islanders are due to hold a referendum on their political status on March 10/11, 2013. According to the Falklands legislative assembly, the vote is intended to affirm islanders' desire to remain a self-governing territory of the United Kingdom and to reject claims of ownership by Argentina.

So why is the language between London and Buenos Aires so tense now?

Analysts have previously pointed to Argentinian politicians seeking to divert voters from the pain caused by inflation and reduced subsidies on oil, gas and electricity.

"The government is being squeezed from lots of different areas, so one way to distract from the economic problems facing the country is to raise the Malvinas issue," Professor Mark Jones, an expert in Latin American politics at Rice University in Texas said last year. "It's one of the few issues outside football that you can get universal consensus on."

In the UK, Cameron -- a successor to Thatcher as leader of the Conservative Party -- must be seen to defend the principles of his predecessor who mobilized troops to reclaim the islands.

British Falklands conflict veteran Simon Weston said: "It's not about asserting a claim, it's about allowing people of the Falklands to have the right to self-determination."

What has Argentina done to bolster its claims?

Regional allies were recruited to the cause at the end of 2011, with members of the South American Mercosur trading bloc uniting to ban Falklands-flagged vessels from their ports.

This is largely "diplomatic dressing" that will do little to isolate the islands, Professor Roett Riordan, who heads the Latin American program at John Hopkins University in Washington D.C, said last year.

Is this really all about oil?

Partly. There is Argentinian resentment of a British oil exploration project launched off the Falklands in 2010. This has been worsened by Argentina's recent relegation from exporter to net importer of hydrocarbons.

Analysts, however, insist this remains a sideshow to the political traction offered by the Malvinas dispute.

How much oil is there?

Press reports say up to 8.3 billion barrels of undersea oil reserves could lie in the Falklands economic zone -- a radius of 320-kilometers around the islands, but despite successful drilling, this quantity is still speculative.

The figures are backed by claims from small oil ventures, including Rockhopper and Borders & Southern Petroleum, which are hoping to raise capital for further exploration in fields licensed by the islands' British-backed government.

Attempts to attract investment in the projects has been hampered by the Anglo-Argentinian dispute. Many major oil firms have interests in Argentina and are wary of upsetting Buenos Aires by involving themselves in the Falklands.

Also a problem is the considerable cost of extracting deep water reserves from the remote South Atlantic.

Professor Alex Kemp, a petroleum economics expert at the University of Aberdeen, described the Falklands oil reserve estimates as "optimistic," adding that even if they are proven, the cost of exploiting them could still be prohibitive.

"It's one thing doing exploration, but when you come to development, we're talking about bigger volumes of materials and to get that there is expensive because at the moment there's nothing there -- just sheep farmers," he said.

"It will take a few 100 million barrels to make it worth it, and there's a number of ifs and buts before we get there."

Is conflict likely again?

No, say analysts. While there are parallels with the 1980s -- politicians using Anglo-Argentinian tensions to court votes and divert from economic woes at home -- there is little appetite for conflict on either side. Any action is likely to remain in the diplomatic sphere.

A former senior British military officer said in early 2012 that UK military cutbacks had left Britain unprepared for another Falklands conflict.

Argentina is apparently in a similar state, with a heavily depleted military that experts say would be no match even for Britain's depleted force. "Even if Argentina wanted to go to war, they have no military capacity," Jones said.

He said Fernandez's own antipathy towards the military -- a legacy of her political opposition to Argentina's former dictatorship -- meant she would be unlikely to support even a maritime blockade of British vessels.

@highlight

Several countries have disputed Falklands ownership since first recorded landfall in17th century

@highlight

Islands have been coveted as strategic shipping stopover and potential wellspring of resources

@highlight

Argentina and Britain fought over the islands in 1982

@highlight

More recently, the Argentinians have accused the British of blatant colonialism