(CNN) -- Mexico confirmed Tuesday that its forces killed Heriberto Lazcano Lazcano, reputed boss of the ruthless Zetas cartel, but it remains uncertain what effect, if any, the killing will have on the larger scourge of drug trafficking and violence.

The kingpin's death is arguably the Mexican government's biggest takedown since President Felipe Calderon launched an offensive six years ago, but the record is mixed on the impact of such successes.

Mexican marines killed Lazcano in a shootout on Sunday in a small town in northern Mexico, 130 miles from the Texas border, the country's navy said.

Lazcano was a onetime special forces soldier who became a founding member of the Zetas, a group accused of some of the most violent atrocities that have come to define the drug wars.

Another Zetas leader arrested in Falcon Lake killing

In a twist, a group of armed men stole Lazcano's body from a funeral home, though authorities had already taken fingerprints and photographs to confirm his identity.

Lazcano's death "certainly weakens dramatically the Zetas," said George Grayson, professor of government at the College of William & Mary and author of a book on the cartel. The death is the latest in a string of blows against its leadership, he said.

Other analysts said it was unclear how Lazcano's death would affect the Zetas.

"Even though the head falls, there is immediately a substitute," said Anabel Hernandez, a Mexican journalist who has investigated the country's cartels.

The intelligence firm Stratfor said it expects Lazcano's death to have little impact on the Zetas' operations.

Lazcano's health had been failing and he had already transferred much control of the organization to Miguel Angel Trevino Morales, Stratfor said.

The United States and Mexico combined had offered rewards of more than $7 million for information leading to his capture.

Praising the navy's efforts Tuesday, Calderon described Lazcano as "one of the most important and most dangerous" people on Mexico's list of most wanted criminals.

The organization he led, Calderon said, is behind "countless high-impact crimes and extreme violence that many communities in the country have suffered."

The Zetas are responsible for smuggling tons of cocaine and other drugs annually to the United States, generating many millions of dollars.

The name of the cartel conjures up some of the most violent images of the drug war: a casino fire that killed 52 people, the deaths of 72 migrants, and tortured bodies hanging from bridges.

7 bodies found in western Mexico

The marines who killed Lazcano had responded Sunday to reports of an armed group in the town of Progreso, in the northern state of Coahuila, the navy said.

They were attacked with grenades thrown from a moving vehicle and a firefight ensued, it said.

A local newspaper reported scenes of "panic and terror" as the shootout erupted next to where families were enjoying a baseball game.

Rather than after an ambush, the shooting started after the marines tried to search a suspicious Ford Ranger, the Zocalo newspaper said.

Authorities at the scene recovered two assault rifles, a grenade launcher and 12 grenades, as well as a rocket launcher and two rockets.

The Zetas -- headquartered in Nuevo Laredo, Mexico, directly across the border from Laredo, Texas -- make up Mexico's largest drug cartel in terms of territory. The group has operations in 11 Mexican states.

Another reputed Zetas leader, Ivan Velazquez Caballero, alias "El Taliban," was captured last month.

Lazcano, 37, joined the Mexican armed forces in 1991 and was part of its elite airborne special forces group, dedicated to battling drug cartels.

Soon after, Lazcano and several other special forces members were recruited by the Gulf cartel to create its enforcement arm, Los Zetas.

Gulf Cartel boss arrested

In ensuing years, the Zetas split into a major drug trafficking organization and have since branched out into extortion, kidnapping and human smuggling.

The cartel is in the midst of a bloody turf war with its former employer, the Gulf cartel, and also with the Sinaloa cartel. The fight for access to lucrative smuggling routes in northern and central Mexico has left thousands of civilians dead.

The violence is particularly acute in three northeastern states that are some of the Zetas' strongest-held territory: Coahuila, Nuevo Leon and Tamaulipas.

In 2010, the bodies of 72 migrants from Central and South America were discovered at a ranch in Tamaulipas state. The Zetas have been blamed for the mass graves and for the deaths of the migrants.

The cartel also is blamed for setting a fire at a casino in Monterrey that killed 52 people.

In May, authorities found 49 decapitated and dismembered bodies along a highway in Nuevo Leon. The orders to commit the grisly crime allegedly came from Lazcano, who originally wanted the bodies to be left in a town's central square. In banners purportedly hung by the cartel, the group denied involvement.

Mexican officials have said that more than 47,500 people have been killed in drug-related violence since Calderon began his crackdown on cartels in December 2006. Some groups say the number is much higher.

45 days of intel work led to drug lord's capture in Venezuela

CNN's Ben Brumfield, Lonzo Cook and Nelson Quinones in Atlanta, and journalist Victor Badillo in Coahuila state, Mexico, contributed to this report.

@highlight

The navy confirms the death of Heriberto Lazcano Lazcano

@highlight

His body was stolen by a group of armed men from a funeral home

@highlight

It is uncertain what impact, if any, his death will have on drug violence