(CNN) -- For Rome's Vaticanisti -- the name for the Rome-based press corps that follows the pope -- covering the closed world of the Holy See is like attending to a nuclear missile silo; it's largely routine until the balloon goes up.

Opaque, hierarchical and arcane, the Vatican is a tough beat even for seasoned reporters. It involves paying punctilious attention to papal routine -- never missing the often dreary papal audiences on a Wednesday and the uneventful address from the Vatican on Sunday.

Even then, getting blind-sided by stark Vatican announcements that drop without warning is a risk that comes with the round. While many might see shades of Dan Brown in the Vatican's media style, some of it can be attributed to the tradition of humility that comes with holding the Chair of St. Peter.

Big on understatement, low on fanfare, first news of Pope Benedict XVI's resignation came in a low key speech read by the pope in Latin at a routine consistory, a type of ecclesiastical council meeting.

"It's important, but it's not one of those events that you underline over and over again in your agenda," French Vatican reporter Charles De Pechpeyrou told the HuffPost Italy. "If you're covering it, you're doing so just as a precautionary measure, to report what happened."

Italy's ANSA news agency, whose correspondent Giovanna Chirri understood the Latin, was first to break the news. Other correspondents at the consistory struggled to make sense of the speech.

Reporter first on pope story, thanks to her Latin skills

"At a certain point, for example, I caught the word 'incapability' in the pope's speech," De Pechpeyrou told the HuffPo . "I turned around and spoke with my Mexican colleague. We noticed that Pope Benedict had a sad look on his face, not his usual look. Something wasn't right. Then, when cardinal Sodano mentioned the 'sadness,' we finally understood. Then Father Lombardi confirmed his resignation over the phone."

For the Rome press corps -- laboring under the cycle of constantly falling governments, Mafia stories, and offbeat it-could-only-happen-in-Italy stories -- regime change at the Vatican (arguably one of the biggest news stories in the world) provides a raison d'etre to a sometimes sleepy beat.

Now, Pope Benedict's resignation -- the first in 600 years -- has rewritten the rule book; not just for the Vatican, which now goes through a complex and unprecedented interregnum, but also for the Vatican press corps.

Normally, Vatican-watching requires close attention to the pope's health - a source of low-burning anxiety for the press corps who are charged with the difficult task of taking the pulse of a man who, at best, is often seen at a distance of hundreds of meters and, at worst, whose health is a closely guarded secret.

It was a running joke among Vaticanisti that the pope is always in robust health until he is dead.

Certainly for the small, undermanned U.S. wire agency that I worked for in Rome during the 1990s, keeping on top of Pope John Paul II's health was a full-time job.

"I don't like the sound of that cough,'' my then-bureau chief, Charles Ridley, once quipped during the weekly papal audience on Italy's national Catholic television station, Telepace.

It was the kind of remark that tempted fate.

Ridley may have been a press corps veteran of five papal deaths dating back to Pius XII in 1958, but he was not sure he could survive another one.

When do you know it's time to go?

"A papal death is an unbelievable sweat,'' he recalled at the time. "Six weeks solid, sleeping in the office and filing at all hours. I wouldn't want to go through that again at my age.''

When I asked him how he had felt when John Paul I, after being chosen to succeed Paul VI in August 1978, died 33 days later, he shot me a horrified look, as if I had asked how he had felt after a family tragedy.

"How do you think I felt?'' he shot back. "It was absolutely heartbreaking!''

No cough went unremarked, no tremor unnoticed. The health of the Pope took on a life outside its subject and, in the absence of any hard information from the Vatican, was often decided on journalistic consensus.

Whether the Pope "spoke in a clear voice'' or looked "tired" depended entirely on which angle you were coming from -- well for a man who had Parkinson's disease but not very well for a man who used to go skiing on his holidays.

In journalistic terms, a papal death is rolling thunder.

It's not just the death; it's the funeral, the curia, the conclave, electing cardinals, Vatican insiders, pope-makers and pope-breakers, the coronation. Every country in the world with a sizeable Catholic population holds out the hope that its cardinal will get a chance at the top slot. For a wire service, they must all be served.

Adding to the agony is the simple fact that the exact second of any natural death is always an unknown. As John Paul II's health began to falter, networks and agencies, as a measure of their anxiety, had already begun to cut deals with landlords to rent apartments adjacent to the Vatican to get the best possible shots.

While our agency didn't have the firepower of other wire services or networks, it did have history on its side. With a complete set of files on three papal deaths, it was a formidable armory containing detailed background stories -- parts of which could be used again in some form or another -- on the death, the funeral, the conclave, the election, the coronation.

Running through the yellowing subsidiary wire stories on papal deaths of yesteryear was like opening a time capsule. They included such gems as an embalming that had gone wrong, fouling the air for the mourners lined up to see the pope lying in state. Another story detailed how Italians had outraged foreign dignitaries by clapping the coffin at the funeral (a wholly normal custom at Italian funerals).

Like a nuclear missile silo, my agency's Vatican file had its own doomsday file - a hardbound manila folder on which a typewritten sticky label had emblazoned in telex font capitals: WHAT TO DO IN CASE THE POPE DIES. While many of the instructions dated back to 1961 and could be safely ignored, it was still an interesting study in panic.

The first step was to put a call through to the London bureau, the instructions read: "It should take you no longer than three minutes for the operator to get you a line," it hectored.

The next step was to source the news to the Italian wire agency ANSA or Vatican Radio releasing a bulletin that read: VATICAN CITY -- ANSA REPORTING POPE DEAD at a lower wire speed priority. The pope could actually be dead for hours, and the world fully informed of the fact, before the news came officially from the Vatican press office.

Only then could the bulletin: VATICAN CITY -- OFFICIAL POPE DEAD be released at "flash'' priority -- the highest wire speed reserved for papal deaths, presidential assassinations and a few other world beating news stories.

After the "flash" went out, as Ridley recalled at the time, it was a total circus and anyone's race.

"It was hugely and highly secretive, and there were rumors flying around for weeks,'' he told me. "The whole thing was fairly agonizing.''

The secretive conclave, in which electing cardinals are "locked in'' the Vatican until a decision on the next pope is made, is tension personified. The only indication as to whether a decision is made comes from the burning of the ballots at the end of each day. According to Vatican lore, the smoke is black (due to the fact that the ballots were mixed with damp hay) when a decision is still to be reached and white when a new pope has been decided.

In the case of John XXIII, the smoke went from black to white to a sort of grey color and back to white again, Ridley recalled.

"The whole thing was sort of medieval,'' Ridley told me at the time. These days chemicals, rather than hay, are mixed with the ballots to prevent the kind of confusion that occurred with John XXIII.

The most nerve-racking part of the enterprise, however, was backgrounding the more than 100 electing cardinals, all of whom theoretically had a chance at the top job.

"And they always chose someone you'd never heard of. I remember John XXIII was just the papal nuncio in Paris -- no one considered him for a moment," Ridley told me. "And all the time, if the other (agencies) were ahead by five minutes, you were lost.

@highlight

For Vaticanisti, monitoring the pontiff's health is a big part of the job

@highlight

Pope Benedict's resignation has added a new dimension to a tough beat

@highlight

Reading for tone and nuance is essential in divining Vatican direction

@highlight

Reporting on a papal election is a nerve-racking free for all