COLUMBIA, South Carolina (CNN) -- "It was killing people, and I wanted to do something about it."

Bambi Gaddist's nonprofit has provided free HIV tests to more than 8,600 people since 2000.

That realization about the AIDS crisis propelled Bambi Gaddist into activism in South Carolina more than 20 years ago, and she's been relentless in her fight to stop the spread of HIV/AIDS there ever since.

One of the most effective tools in her arsenal? A large white RV.

With "GET TESTED" written in bold letters on its side, the camper van is the mobile unit of the South Carolina HIV/AIDS Council, a nonprofit that Gaddist helped start and has headed since 1995.

The only unit of its kind in South Carolina, the van brings confidential HIV testing and information to communities across the state. Since 2000, Gaddist's organization has provided HIV tests to more than 8,600 people, free of charge.

Gaddist says the face of AIDS has changed since the mid-1980s, when she helped run one of the first grass-roots AIDS awareness campaigns in Columbia, South Carolina, while pursuing her doctorate in public health.

"In the '80s, HIV was seen as a gay, white male disease," Gaddist said. "Here in South Carolina, it became an African-American disease."

In 2006, African-Americans accounted for 76 percent of the new AIDS cases diagnosed in South Carolina, and the state ranked ninth in the nation for those living with the disease, according to the Kaiser Family Foundation. iReport.com: Share stories of being black in America

Statistics like these are what drives Gaddist and her staff. The mobile unit hits the road at least two to three times a week, and Gaddist says it goes just about anywhere -- gay and straight nightclubs, housing projects, health fairs or churches.

"We refuse to be quiet. That's what's going to save the lives of our children: talking about it and not hiding it," Gaddist said.

At outreach events, staffers distribute free condoms and information while trying to recruit people to be tested. Eight to 15 people usually take the 10-minute test at every event. Someday, Gaddist hopes, HIV tests will be as common as breast cancer exams or skin cancer screenings.  Watch Gaddist and her team in action outside a nightclub »

"We're trying to normalize this," Gaddist said. "[We want] anyone, regardless of who they are, to say, 'I need to know my status.' "

Gaddist believes that the stigma associated with HIV/AIDS has contributed to people's ignorance about the virus and to its alarming spread throughout the state.

"After 27 years of AIDS, we are still combating a mentality of fear and shame," she said.

In response, Gaddist has recruited powerful allies to her cause: South Carolina's churches. Since 2006, Gaddist's group has run a program that educates local pastors about the disease and teaches them how to do outreach in their communities.

Gaddist has gotten 30 churches on board. She believes that this isn't just spreading much-needed awareness; it's helping reshape public attitudes.  Watch Gaddist describe how churches have gotten involved with her cause »

"People still believe that you get [HIV/AIDS] from touching someone, from hugging someone," Gaddist said. "The first arm of defense against this disease is to educate them."

In the past, Gaddist says, some churches helped perpetuate the stigma about the disease. "[But] now more than ever before, the church holds a solution to the HIV/AIDS epidemic," she said.

Gaddist has helped her organization grow from a two-person operation to a 23-member staff. In addition to testing and counseling, the South Carolina HIV/AIDS Council provides case management for people living with HIV and runs several programs targeting at-risk populations.

Still, for all she's done, Gaddist can't imagine a time when she'll ever stop doing this work.  Watch Gaddist explain how the mobile outreach unit works with the community »

"I joke about being a 70-year-old woman giving out condoms," she said.

Knowing how many people are at risk is what keeps Gaddist motivated.

"When it's my time, I want my obituary to say that I have made a difference for someone and that I saved somebody's life."

@highlight

Woman has headed nonprofit South Carolina HIV/AIDS Council since 1995

@highlight

Since 2000, the council has provided free HIV tests to more than 8,600 people

@highlight

One of the most effective tools in her arsenal is a mobile testing unit