AUSTIN, Texas (CNN) -- Garry Mauro will never forget that night in 1972 when he says Bill Clinton and Hillary Rodham ignored the post-election party surrounding them, instead preferring to huddle in a corner and talk about changing the future.

Hillary and Bill Clinton worked on George McGovern's 1972 campaign in Texas before they wed in 1975.

The young then-unmarried couple, attending Yale Law, weren't interested in letting off steam with their Democratic colleagues in Austin, Texas, according to Mauro, who's now a strategist with Sen. Hillary Clinton's presidential campaign.

The three were among a group of Young Turk Democrats working that summer to register voters in Texas. The Clintons had just started dating, said Mauro, who years later became Texas land commissioner. "They obviously had a lot of respect for each other, and they would spend hours talking to each other."

More than 35 years on, Hillary Clinton has returned to Texas -- running a hard-fought campaign of her own and telling voters about her days there in the '70s. Mauro recalls the night it was all over in 1972, after Democrat George McGovern lost to Republican Richard Nixon. He says he and the Clintons decided to let loose in lively Austin, paying $1.50 to see a Texas singer by the name of Willie Nelson before rambling back to a colleague's tiny apartment.

"It was 2 o'clock in the morning, and everybody else had probably had too much to drink, except for Bill and Hillary -- who were drinking [soda] and having this intense discussion about the issues," said Mauro. "I'm absolutely certain that 99 percent of what they were talking about was changing things in the future."

Mauro's story underscores how Sen. Clinton's lifelong political journey has come full circle in Texas. With the March 4 primary just days away, the place where the New York senator got her first job in presidential politics may become her launching pad to the White House -- or perhaps one of her final battlegrounds.

Clinton and her Democratic rival Sen. Barack Obama have been dueling in the state for weeks, as polls show the candidates locked in a razor-thin race to win the biggest share of 193 Texas delegates, who are crucial to sewing up the party nomination. Another key state, Ohio, also holds its primary March 4 to allocate 141 delegates.

Former officials from Clinton's husband's administration have openly discussed the challenges Clinton faces from Obama, who has defeated the New York senator in the past 11 contests. Exit polls after previous primaries show Obama is cutting into Clinton's base by gaining support among blue-collar workers and Latino voters.

Former White House press secretary Dee Dee Myers called Texas a "do-or-die test." President Clinton's former strategist James Carville said if the New York senator fails to win Ohio or Texas, "This thing is done." And the former president himself said if voters in Texas don't deliver, "I don't think she can be" the party's nominee.

Mauro underscored the historic importance of the '08 election. "We couldn't have conceived of a woman running for president in 1972," said Mauro. "It never would have occurred to people that you'd have a presidential race between a woman and an African-American."

Obama leads Clinton in the crucial delegate count -- 1,369 to 1,267, according to CNN calculations. The count includes superdelegates who have publicly declared their support for one of the candidates. Superdelegates consist of elected and party officials who are allowed to vote at the Democratic National Convention. They are free to vote for any candidate and are not bound by primary or caucus results.

To win the nomination, 2,025 national convention delegates are needed. Neither candidate is expected to garner enough delegates in the remaining primaries and caucuses to take the nomination outright, and the roughly 800 superdelegates are likely to be the deciding factor.

Mauro and the Clintons cut their political teeth in Texas during the 1972 election, knocking on doors and registering people -- many of them minorities -- to vote.

Texas election workers often looked with suspicion at the so-called "out-of-staters." "Most of them had a funny accent and really didn't know how to talk to people," Mauro said. "That was not the case with Hillary Clinton. She always established a rapport with the local officials she was working with -- even the ones that started out being aggressively negative. And she would always seem to move the ball forward."

Like other places in the South at the time, Texas still had pockets of racial segregation, Mauro said, and it reminded them how much work needed to be done. "Sometimes we forget how far we've come. In this city there were still bathrooms and water fountains that were segregated. There were lots of places African-Americans and Hispanics were not welcome and were not allowed."

When the Clintons, Mauro and their colleagues needed to let off steam in Austin, the town's traditional watering holes filled the bill, places such as Armadillo Headquarters and the century-old Scholz Garten -- a German beer garden with an outdoor patio set under spreading oaks.  See photos of Clinton through the years »

"Clinton acquitted!" screams a framed 1999 headline from The Washington Post on the wall at Scholz. Other items adorning the walls feature former Presidents Ronald Reagan and Lyndon Johnson.  Watch storied nightspot where Clintons hung out »

When Bill Clinton returned to Texas for his own presidential run, they frequented Guero's Taco Bar in Austin's funky South Congress Avenue neighborhood, which trendsetters like to call SoCo.

The friendships and alliances Sen. Clinton made during those days sowed the seeds of a statewide grassroots network of supporters that she's counting on to win in 2008. "We're going to use those spurs to help her get elected," said Mauro.

In general, said Mauro, a national election campaign is grueling. "Most people only have a few good elections in them," said Mauro. "It's really hard work. It's grunt work." For that reason, he said, "That's a pretty remarkable person to keep that enthusiasm and drive and continue to have that grit 30 years later." E-mail to a friend

@highlight

Longtime Clinton pal recalls boozy post-election party in '72

@highlight

Newly dating Clinton and Rodham display early political intensity

@highlight

Will Texas rev up Clinton's White House bid -- or end it all?

@highlight

Ex-Clinton official Dee Dee Myers calls Texas "do-or- die test"