(CNN) -- By now, most of us have probably heard that Mitt and Ann Romney paid just under $2 million in taxes on income -- virtually all from investments -- of just under $14 million for 2011, an effective tax rate of 14.1%. This is a low tax rate, lower than the typical middle-class American worker pays, especially when one considers payroll taxes, the largest burden for most Americans. It should concern us that individuals of Romney's wealth -- analysis has put his personal fortune as high as $250 million, not counting some $100 million in trusts set up for his five children -- pay so little as a percent in taxes.

It is also correct to note that there appears to be nothing wrong or illegal in the tax returns that Romney released. Sure, there are still many unanswered questions, and speculation and innuendo will no doubt continue.

But all of that is beside the point, or ought to be.

Romney is really rich. It is what it is. The real attention should be on a tax system that allows the really rich to pay so little in percentage terms and on the best solution to making that tax system better and fairer.

Opinion: Republicans risk being the party of mean

The knee-jerk reaction is to raise tax rates, as in the so-called Buffett Rule: Anyone earning more than $1 million should pay an effective rate of at least 30%. If this rule were in place today, it would more than double the Romneys' income taxes.

Only, it wouldn't. The Buffett Rule wouldn't work, because really rich Americans do not have to show any "income" on their tax returns.

The Romneys paid tax because they hold stocks and securities yielding dividends and interest, and because they sold assets generating capital gains. They didn't have to do so. The simple strategy of the super-rich is to buy and hold, and to borrow when needed to finance their lifestyles.

Some basic facts: Any tax consists of a base, or what is being taxed, times a rate. The income tax's base is "income," which comes from labor or wealth. Income from labor is hard to hide and easy to tax, as the middle class knows full well. Income from wealth is easy to hide and hard to tax -- and perfectly legally.

A non-dividend-paying stock, like Buffett's Berkshire Hathaway (or land, artwork, sports franchises), does not have to show any taxable income. People who own such things can be very rich and live very well. If we simply raised tax rates, the super-rich would just as simply stop showing income or selling assets. That's why, under an income tax, we pretty much have to have low rates on investment.

Does this strike you as unfair? If you're like most Americans -- i.e., if you're middle class -- then your blood may be boiling at the fact that the super rich seem to be able to hold us all hostage to low tax rates under an income tax. The important question is -- how do we fix this?

The answer lies in switching the tax base before we raise the tax rates. Tax spending, rather than work or savings. Then, we could apply a 30% or higher rate to spending at Romney's level.

The real inequity shown by the Romneys' tax situation, after all, is measured by the taxes they pay as a percent of their spending or lifestyle. For most Americans, living paycheck to paycheck, spending (after taxes) pretty much equals income (after taxes). It's a good guess that the Romneys are spending a great deal more than the income they are showing on their tax returns.

They should be, if they are well-advised (and if they are not well-advised, we have other concerns). What would Romney be spending money on? How about running for president, for one thing. Romney spent $45 million of "his own" money running for president in 2008 (less than the $60 million Ross Perot allegedly spent in 1992). I suspect that Romney has spent more of his own money this time around, if only because he has gone further and been more successful in his quest.

Opinion: Obama, Romney and your pay

Here is another turn of the screw. Running for president is legally considered a personal expense, nondeductible under the income tax. Such expenses, however, are in essence deductible from another American tax, and the largest single one facing the Romneys: the gift and estate tax. That so-called death tax applies to what is left over on one's deathbed.

The simplest way to avoid it is to spend all that you have and die broke. Under current law, Romney's family would have to pay about $80 million in estate taxes after his and Ann's death. If Romney spent $45 million in 2008, at that year's estate tax rate, his family would have saved more than $20 million in taxes because of his presidential run (no need to discount for present value, as the unspent wealth would have appreciated in value). In sum, the government is pitching in, in the form of foregone estate tax revenue, for Romney's and other rich people's presidential runs.

It is ironic that the real problem with Romney's personal financial situation is his spending, not his work or savings, and that no one is paying attention to that. Excessive spending at all levels is our national problem, and it is what soon might make us another Greece. No one is paying much attention to that, either.

Meantime, we have a tax system set up to encourage spending and borrowing, especially by the rich. The only way to raise taxes under today's income tax is to increase the burdens on working and saving -- just about the last things we should be doing.

If we taxed spending, in contrast, the Romneys and other really rich families would see their taxes increase in absolute and percent terms. Yet we oppose consumption or spending taxes because we perceive them as regressive. It's all nearly perfectly perverse, and not a peep on point. Welcome to politics.

The opinions expressed in this commentary are solely those of Edward J. McCaffery.

@highlight

Mitt and Ann Romney paid an effective tax rate of 14.1% in their 2011 returns

@highlight

Edward McCaffery: Raising the tax rate won't affect the very rich

@highlight

He says very rich Americans do not have to show any "income" on their tax returns

@highlight

McCaffery: Tax spending, rather than work, and the rich will have to pay more taxes