(CNN)  -- Russia announced Monday it might hold joint military maneuvers with Venezuela in the Caribbean, and the United States said it is scrapping a once ballyhooed deal with Moscow on nuclear technology.

The declarations come in the wake of increased tension between Russia and the United States over Russia's invasion last month of the former Soviet republic of Georgia, a U.S. ally that aspires to join NATO.

Russian ships will make a port of call in Venezuela later this year and the two nations could hold joint naval exercises for the first time, both sides said.

Russia denied there was any link between Monday's announcement and the conflict in the Caucasus, although Russia has criticized U.S. support for Georgia, and Venezuelan President Hugo Chavez has long antagonized Washington.

"This is a planned event unrelated to the current political situation and Caucasian developments," Russian Foreign Ministry spokesman Andrei Nesterenko said Monday. "The exercises will not be targeted against any third party."

The agreement on the Russian visit to Venezuelan ports was reached long before the conflict in the Caucasus broke out, he said.

But he appeared to suggest Monday that Russia had proposed the joint naval maneuvers.

"If the Venezuelan side finds the proposal interesting and an agreement is reached, Russia and Venezuela may hold joint naval exercises in line with international practice," he said.

Several hours later, U.S. State Department spokesman Sean McCormack said Washington is canceling the proposed "123 Agreement" with Moscow, which would have cleared the way for more trade of nuclear technology, services and goods between the two countries.

He denied the pullout was directly linked to Moscow's actions in the Caucasus.

"Over a period of time, we've had some deep concerns about Russian behavior. And quite clearly the president has taken this action looking at the facts," he said.

Both countries had accepted the agreement and it was awaiting congressional approval.

Russian Foreign Minister Sergey Lavrov warned in an exclusive interview with CNN last week that Russia would not be pleased at the collapse of the 123 Agreement, which is named after a section of the U.S. Atomic Energy Act of 1954.

"This would effectively kill any possibility for our cooperation to promote the Bush-Putin initiative on nuclear nonproliferation -- which is important for the entire world," he said.

"As I said, it wouldn't be our choice, but if the United States does not want to cooperate with us on one or another issue, we cannot impose ourselves on Washington."

But experts say Congress was unlikely to have given the deal a green light, and that the White House was making the best of a bad situation.

"I think [the administration is] making a virtue out of a necessity" by pulling out, said Russia analyst Jon Wolfsthal of the Center for Strategic and International Studies in Washington, last week.

On the possibility of Russian-Venezuelan naval exercises, Latin America expert Wayne S. Smith warned against reading too much into the proposal.

"The Russians have complained about U.S. warships operating in the Black Sea, which is an area of intense interest to them. It would not be surprising if they returned the favor by having joint exercises in the Caribbean," said Smith, a 25-year foreign service veteran who ended his State Department career as chief of the U.S. Interest Section in Havana.

"It's a way of saying: 'Two can play at this game. If you think you can send ships into the Black Sea without response, you are mistaken.' "

But he said the mere fact of Russian ships operating in the Western hemisphere would not necessarily be dangerous.

"The act itself is not. Having naval exercises? Fine, as long as both sides take it for what it is. It's not a threatening gesture, it's a message."

Frank Mora, a Latin America expert at the National Defense University in Washington, said the announcement could be part of a complicated bargaining process, depending on whether relations improve between Moscow and Washington.

"Something tells me that soon enough something will happen to tone this down, and possibly this exercise with the Venezuelans could be used to pull back on this issue," Mora said. "If things improve [the Russians] could pull back as a sign of commitment to improving the relationship. If tensions remain I see the possibility that this kind of exercise would occur."

He said the Venezuelans have little to contribute to a military alliance with Russia.

"They have a couple of destroyers, a couple of old submarines, and frigates that can launch surface-to-air missiles -- not anything sophisticated or robust. This would not be a robust exercise. It would be more about indicating strategic cooperation."

But he suggested that if the exercise does go ahead, it would be a sign of increased Russian confidence vis-a-vis the United States.

"They feel they are strong enough and bold enough to do something in our sphere of influence," he said.

Pentagon spokesman Bryan Whitman appeared to shrug off the announcement.

"We exercise all around the globe and have joint exercises with countries all over the world; so do many other nations," he said.

Chavez said Sunday that Caracas was prepared to receive the Russians in late November or December, according Venezuela's ministry of communications.

But he indicated Venezuela might not be prepared for military exercises by then.

"We're only in the planning phase. We're not ready yet for the visit and the probable maneuvers to happen in September or October, or even November. So it could happen, if not at the end of November, then at the beginning of December," he said.

Nesterenko said the Russian flotilla will include "the heavy nuclear-propelled missile cruiser Pyotr Veliki and the large anti-submarine ship Admiral Chabanenko."

The announcement comes only days after a U.S. Navy command ship, the USS Whitney, arrived in the Georgian port town of Poti in what the United States called a humanitarian mission. The ship reached Poti on Friday.

Russia said the fact that a military vessel is being used in a relief mission raises concerns.

Russia has become a major supplier of arms to Venezuela since 2001. The two countries signed a series of deals worth $3 billion in 2006, including fighter aircraft, transport and attack helicopters, and assault rifles, according to Jane's, the defense intelligence publication.

Chavez visited Moscow in July for his first meeting with new Russian President Dmitry Medvedev.

CNN's Maxim Tkachenko and Matthew Chance in Moscow and CNN State Department producer Charley Keyes in Washington contributed to this report.

@highlight

NEW: Pentagon downplays development, says cooperation happens across globe

@highlight

Move comes amid U.S.-Russian tensions over ex-Soviet republic of Georgia

@highlight

Russian official denies link to "political situation and Caucasian developments"

@highlight

Russia and Venezuela may hold joint naval exercises, both countries say