WASHINGTON (CNN) -- Justice John Paul Stevens is approaching his 40th year on the federal bench -- the last 34 on the Supreme Court, deciding thousands of cases. But he said his love of the law was nurtured decades earlier by a professor's dedication and the enduring power of a political dispute that blossomed into a landmark decision known as Marbury v. Madison.

Justice John Paul Stevens swears in Vice President Joe Biden. Stevens has been on the court for 34 years.

"It was the beginning, well, of my whole legal career," Stevens told CNN in a recent exclusive interview. "You read it today and you will find some current value in it. For me, that case inspired a lasting appreciation and respect for the rule of law."

The 88-year-old justice, who sources said has no plans to step down anytime soon, is not alone in citing the 1803 high court ruling as a cornerstone of federal court authority. The landmark decision for the first time established the power of the Supreme Court to declare acts of Congress unconstitutional. It also helped codify the idea of separation of powers as a lasting hallmark of the American system of government.

The case is the subject of a new book, "The Great Decision: Jefferson, Adams, Marshall and the Battle for the Supreme Court" (PublicAffairs Books), which includes Stevens' analysis of the opinion's impact over the years. Written by Clifford Sloan -- a former Stevens law clerk -- and David McKean, it offers an inside look at how the federal judiciary, led by Chief Justice John Marshall, muscled itself into equal footing with the other two branches of government.

It is a struggle, Sloan noted, that continues to affect issues today, such as the president's authority in the war on terror, federal bans on late-term abortion and church-state disputes.

"There is a view of an enduring role for our courts that rises above the political pressures and cross-currents of the moment," said Sloan. "There are imperfections, there are problems, but it's been the most protective regime for rights and liberties of any country in the world. And it's really attributable to the special role of the [Supreme] Court in safeguarding our rights and liberties that Marbury established."

Immersed from the start in Marbury v. Madison

Stevens still has his law school notes from Northwestern University, which he entered in 1945. It was just months after leaving the Navy, where he served as an intelligence officer during World War II. At the time, he was thinking of becoming an English teacher, but Stevens said his brother Richard asked him to think about a law career.

"At the time I was trying to decide what to do, and it seemed like a sensible move," Stevens said, with his characteristic Midwestern modesty.

It was as a freshman that he met his early mentor, Nathaniel Nathanson, who immersed his students in Marbury v. Madison from the start.

"I knew nothing about it before I went to law school, but it was a major part of our constitutional law course," Stevens recalled. "We began with the case and we were still on it six or eight weeks later. We spent most of the first semester studying that one case, and the different issues that come out of it."

Something must have stuck, because when he graduated two years later, Stevens had the highest GPA in the history of the law school.

The justice gives credit for much of his budding success to Nathanson, a former Northwestern dean and faculty member for 47 years. "He was very brilliant, he could ask good questions and get people to think about issues," said Stevens. "He was a very decent and inspiring teacher."

From political pot-boiler to legal treatise

One thing Stevens admires about Marbury v. Madison is "there are a whole bunch of issues that are discussed in it. When is executive privilege something that the president can rely on; when should there be a remedy for a wrong?"

It was a big case that had humble beginnings. The behind-the-scenes intrigue reads more like a political pot-boiler than a legal treatise.

The fight began in early 1801, in the closing days of the Federalist administration of President John Adams -- who had just lost the election to Thomas Jefferson, who was poised to take over the White House. Sloan noted, "Adams was packing the federal government, the District of Columbia government, and the federal courts with midnight appointees. One of these was William Marbury."

The Maryland financier was set to be justice of the peace of Washington, but somehow his commission was not delivered in time, in person by the State Department, as the law required. So when Jefferson -- a Democratic-Republican -- took over, he canceled all pending appointments, leaving Marbury and other Federalists in the outs, and enraged.

Marbury sued the Jeffersonians to get his job back. The "Madison" in this case was none other than James Madison -- principal author of the U.S. Constitution, and then Jefferson's secretary of state.

Marshall played two roles

As a backdrop, "The Great Decision" details fascinating tales of the capital at the turn of the 19th century, including "the dust and grime of Washington" -- not much different from our own, except perhaps for the grime. Among the tales: A senator's "romantic interest" -- as Stevens put it -- in Dolley Madison, wife of the future president; and Marshall's own physical prowess -- he reportedly could jump 6 feet and had a taste for fine whiskey.

It was that man's failure as a bureaucrat and genius as a judge that led to the 4-0 decision. In February 1801, native Virginian Marshall -- an Adams ally -- was serving as both secretary of state and the newly named chief justice of the United States.

"He was the one who bungled the delivery of the commissions," said Sloan, "so he was deeply involved in the underlying facts of the case. The genius of Marshall was that he got out of a very difficult jam by finding Marbury's appeal to have merit, but his direct appeal to the Supreme Court to be unconstitutional."

Such direct appeals were allowed under federal law, but the high court ruled the law went too far by attempting to give one branch of government a power specifically denied it by the Constitution. The decision thus set precedents for both separation of powers and constitutional interpretation -- the court's right to declare a law unconstitutional.

In Marshall's famous words, "It is emphatically the province and duty of the Judicial Department" -- the courts, he means -- "to say what the law is."

It put the case on sacred constitutional ground in the eyes of many subsequent justices. It was cited in Brown v. Board of Education, and the 1974 order for President Nixon to turn over secret White House tapes during the Watergate scandal.

Stevens emphasizes separation of power

Sloan said his old boss in particular has a fondness for the stirring words of Marbury. "It's not surprising that when justices like Justice Stevens are grappling with the very difficult questions that come before them and the deeply contested constitutional issues that they turn to that guiding star of the first principle of Marbury v. Madison, and get inspiration and strength from it."

It was separation of powers Stevens chose to emphasize as a principal hallmark of Marbury. During a panel discussion a few weeks ago, he noted the wall between the courts and the executive can be breached. As an example, he cited public swear-ins of justices that have lately been held at the White House. Stevens said it is far preferable they be conducted at the Supreme Court itself -- such as his 1975 ceremony -- to underscore the "very separate status" of the justices.

He later said the power he and his fellow benchmates enjoy today is embedded in that principle:

"Marbury v. Madison established that idea of separation, something no other branch of government -- no political majority -- can take away from the judiciary."

@highlight

Supreme Court Justice John Paul Stevens says case inspired his career

@highlight

88-year-old justice's analysis of case is part of a new book

@highlight

Marbury v. Madison is 1803 high court case dealing with separation of powers