(CNN) -- A federal agency is examining what caused the Dallas Cowboys' practice facility to collapse on Saturday, paralyzing a scout and injuring 11 others.

An aerial view of the scene shows the Dallas Cowboys logo amid the ruins of the indoor practice facility.

"We're trying to determine if there were any violations, or determine the cause," said Elizabeth Todd, spokeswoman for Region 6 of the Occupational Safety and Health Administration.

OSHA investigators will be interviewing witnesses and looking for identifiable hazards, she said. The procedure is routine and implies no wrongdoing, Todd said. OSHA has six months to finish its investigation.

Meanwhile, the CEO of a company that makes similar buildings says he believes fewer people would have been injured if the Cowboys' facility had been supported by air rather than a metal frame.

About 70 people -- including players, coaches, staff and media -- were inside the metal-framed structure for a rookie mini-camp practice when a line of heavy thunderstorms hit the dome.

Video from the incident shows the lights swinging violently from the dome's ceiling seconds before the ceiling crashes to the ground. Players and coaches rushed to help those trapped.

"It was as if someone took a stick pin and hit a balloon," said photographer Arnold Payne, who was shooting the practice for CNN affiliate WFAA-TV.  Watch Payne describe being inside when structure collapsed »

Scouting assistant Rich Behm, 33, suffered a severed spinal cord and is paralyzed from the waist down, the team said. He underwent surgery Saturday.

"Rich is a courageous member of our family and someone for whom we care deeply. We ask for all friends and fans of the Dallas Cowboys to join us in embracing him and his family with their thoughts and prayers at this very difficult time," team owner Jerry Jones said.  Watch the roof collapse on players, coaches »

Special teams coach Joe DeCamillis fractured a cervical vertebra, and assistant trainer Greg Gaither had two broken bones in his leg, the team said. Gaither had successful surgery Saturday, and DeCamillis was scheduled to undergo surgery Monday, the team said.

According to the National Weather Service in Fort Worth, "a microburst impacted the Valley Ranch area," where the Cowboys practice. A microburst is a "small, intense downdraft which results in a localized area of strong thunderstorm winds," the weather service said.

Though winds near the ground were estimated near 70 mph, winds are generally more fierce farther from the ground, and microbursts can have winds in excess of 100 mph, the weather service said.

"Therefore, it is quite possible that winds greater than 70 mph affected the upper portions of the damaged structures," the service said.

The Cowboys' attorney, Levi McCathern II, was in meetings at Valley Ranch on Monday morning and could not be immediately reached. Elizabeth Criswell, a paralegal with his firm, said OSHA's involvement was standard procedure and that the Cowboys would issue a press release at a later time.

Summit Structures of Allentown, Pennsylvania, and Cover-All Building Systems of Saskatoon, Saskatchewan, which built the dome, referred all questions to a Boston, Massachusetts, public relations firm.

The firm released a statement from Nathan Stobbe, Summit's president, who said he was in Texas working with officials to "assess this severe weather event."

The statement quoted the National Weather Service description of a microburst. It further said the facility was constructed in 2003. A new roof was installed on the building during a 2008 upgrade, the statement said.

"We understand there is a great deal of concern and curiosity about what happened on Saturday, but rather than speculate, we are focused on being part of the effort to find answers and assist the team," Stobbe's statement concluded.

Mariellen Burns of Regan Communications in Boston did not immediately respond to a follow-up e-mail inquiring what wind speeds the building was engineered to sustain.

At least three of Summit's competitors say their buildings can withstand winds of 140 mph or higher.

Donato Fraioli, the CEO of Air Structures American Technologies Inc., said the air-supported structure his company built for the Miami Dolphins can withstand winds up to 140 mph.

However, Fraioli said, several media outlets, including CNN, have been erroneously reporting that the Cowboys' structure was supported by air. The Cowboys' facility was supported by a metal frame, which is why so many people were hurt, he said.

Fraioli, who has 47 years of experience in air- and metal-supported structures, said his company has built air-supported structures in some of the most troublesome climates in the nation, including facilities for the New York Giants, New York Jets, Denver Broncos, Minnesota Vikings, Seattle Seahawks, Chicago Bears, Buffalo Bills and Philadelphia Eagles.

His company also has constructed metal-frame buildings -- generally for industrial applications and to accommodate aircraft -- and he has found that many football teams, both college and pro, are opting for air-supported structures because they are cheaper and safer.

"The worst that could happen if it had a failure of any sort ... the fabric would fall over the interior players," he said, adding that repairing an air-supported structure generally entails patching and re-inflating it, as opposed to reconstructing a metal frame.

Not only are the air-supported buildings safer in the event of a collapse, he said, but they're safer during practice as well.

"There are no steel beams to run into or any aluminum frames to run into," he said.

Metal frames also leave more room for construction and engineering error.

"I just think you have that many more nuts and bolts and components that could easily be erected with error," he said. "Why have it, just for the reason of what happened in Dallas? Why take the risk?"

CNN's Matt Smith contributed to this report.

@highlight

NEW: Cowboys' attorney's office says OSHA involvement standard procedure

@highlight

Facility's manufacturers point to weather reports of a "microburst" in statement

@highlight

Competitor says there might have been fewer injuries in an air-supported dome

@highlight

Special teams coach scheduled to undergo surgery for fractured spine Monday