Washington (CNN) -- Edna Griggs keenly remembers the anger and outrage she felt during the 2012 general election when she watched as African-American senior citizens were forced to wait in long lines in the Houston heat as they cued up to vote at the Acres Homes Multi-Service Center.

A member of her local NAACP chapter, Griggs says she was told that she couldn't bring them water to drink or chairs to rest in.

"A poll watcher approached me and said, 'What are you doing?' He told me I couldn't do that. They thought we were trying to sway their votes by giving them water," she said. "It was really sad to me because it was like a reflection of the stories I heard from my grandmother and mother when they had to pay to vote. It was a reflection of everything our people have gone through."

Griggs is one of the plaintiffs in a NAACP lawsuit about new Texas voting identification laws, regulations that are considered by some civil rights and liberties groups as among the nation's most restrictive.

Civil rights groups in that state, and others, fear that election officials and poll watchers, empowered by those new laws will ratchet up the level of discrimination against minority voters.

"We've had a serious problem with elected officials discriminating against Latino and African-American voters. It's obvious that many officials cannot be expected to treat these voters fairly," said Gary Bledsoe, an attorney and president of the Texas NAACP. "When you give them more power to reject black and Latino voters at the polls, that power will be exercised and the discrimination escalated."

Key races to watch in 2014

Texas voting officials have said the state's new photo voter identification law will help tamp down fraud.

"The U.S. Supreme Court has already ruled that voter ID laws do not suppress legal votes, but do help prevent illegal votes," Texas Attorney General Greg Abbott said last year, according to media reports.

The hunt for fraud

When they head to the polls in this fall's midterm elections, some voters in nearly half of the country will find it a lot tougher to cast ballots due to new voting laws, according to a new report by the Brennan Center for Justice. It is a legal think tank at New York University School of Law that has criticized the increase in what it sees as prohibitive voting measures.

Most of the laws were approved by Republican-dominated legislatures and in states that saw greater minority voter turnout in the 2008 and 2012 general elections, the report found.

Civil rights groups and voting rights advocates see the spate of new laws as a way to disenfranchise and intimidate minority voters and suppress turnout during high-stakes elections. Others support the changes and see the laws as the best way to preserve integrity in the voting process.

Such groups as the grassroots Voter Integrity Project in North Carolina and True the Vote, a conservative group in Texas, supports citizen enforcement of the new voter laws, acts that often mean sifting through voter rolls and pounding on doors in search of fraud.

True the Vote announced this week that it is suing the Mississippi secretary of state and that state's Republican Party over the right to look at the poll books and ballots in order to ensure that Democratic primary voters didn't also illegally vote in last month's Republican primary runoff. In Mississippi, voters who don't cast ballots in a primary election can vote in either party's runoff.

Mississippi state Sen. Chris McDaniel, who lost a bitter runoff against incumbent Republican Sen. Thad Cochran last month, is citing what he sees as "illegal" and "unethical" behavior among African-American Democrats who cast ballots for the veteran lawmaker.

McDaniel said many of those voters participated in the Democratic primary and shouldn't have been allowed to vote in the Republican runoff.

"True the Vote has been inundated with reports from voters across Mississippi who are outraged to see the integrity of this election being undermined so that politicos can get back to business as usual. Enough is enough," True the Vote President Catherine Engelbrecht said in statement.

Vigilante or vindicator? One man's bid to root out voter fraud

Tough new laws

The nation's new crop of voting laws run the gamut from dialing back early voting hours to new requirements for photo identification to stricter rules for voter registration.

A few examples:

And, in at least seven states, including Arizona, Arkansas and North Carolina, suits challenging new voting restrictions are wending their way through state and federal courts and could potentially impact the outcome of the 2014 elections.

"The rules of the game"

This all follows a U.S. Supreme Court decision last year striking down provisions of the Voting Rights Act, which required a number of states — many of them in the South — to get clearance from the Justice Department before changing their voting laws.

Without that protection, voting rights advocates say, in states with a history of discriminatory voting practices against racial minorities those who seek to unduly influence elections will find it easier to suppress votes.

2012 increase in voting ID laws

"We have seen a dramatic increase in politicians trying to manipulate the rules of the game in terms of making it harder for citizens to vote," said Myrna Perez, a senior counsel at NYU's Brennan Center for Justice.

The flurry of new and more restrictive voter laws coincided with the 2010 elections and new Republican majorities that came into power, Perez said.

In 2012, the increase in laws reached a fever pitch when 19 states put forth measures civil rights groups view as restrictive.

Now, as the 2014 midterm elections loom, voting rights advocates point to scenarios in the 2000 and 2012 general elections in Florida, where there was confusion about voting methods, laws and long lines, as a model for what could happen elsewhere in the country.

"I guess you could say we're ahead of the curve on voter suppression," said Deirdre Macnab, president of the nonpartisan League of Women Voters of Florida adding that the state has since passed a series of election reform measures which have improved voting. "When it comes to Florida, we first saw the impact of taking away days and times to vote. And the legislators were properly shamed and embarrassed. It's unfortunate that other states have to experience that."

2014 Midterm Elections

@highlight

A slate of new voter laws could impact the 2014 elections, experts say

@highlight

Civil and voting rights advocacy groups say many of the laws disenfranchise minority voters

@highlight

The laws include stricter voter ID requirements, cuts to early voting, among other provisions

@highlight

The changes, along with court ruling on the Voting Rights Act, could impact minority voters