In his zeal to promote nuclear power, filmmaker Robert Stone inserted numerous half-truths and less-than-half-truths in his new documentary "Pandora's Promise," which CNN is airing on November 7. One of Stone's more misleading allegations was that scientists at a U.S. research facility, the Argonne National Laboratory, were on the verge of developing a breakthrough technology that could solve nuclear power's numerous problems when the Clinton administration and its allies in Congress shut the program in 1994 for purely political reasons.

Like the story of Pandora itself, the tale of the integral fast reactor (IFR) -- or at least the version presented in the movie -- is more myth than reality. In the final assessment, the concept's drawbacks greatly outweighed its advantages. The government had sound reasons to stanch the flow of taxpayer dollars to a costly, flawed project that also was undermining U.S. efforts to reduce the risks of nuclear terrorism and proliferation around the world.

Read what Robert Stone has to say

In the film, scientists who worked on the IFR program unsurprisingly sing its praises. For example, Charles Till, a former program manager, claimed that the reactor "can't melt down" and would therefore be immune to the type of catastrophes that occurred at Three Mile Island in 1979 and Fukushima in 2011.

Others told Stone that the reactor, by "recycling" its own used, or "spent," fuel, would conserve uranium resources and produce much less nuclear waste than conventional reactors. But the reactor's advocates didn't tell the whole story, and Stone did not include anyone in the film who could have provided a more balanced and realistic assessment.

What did "Pandora's Promise" leave out? First, it does not clearly explain what a "fast reactor" is and how it differs from the water-cooled reactors in use today. Most operating reactors use a type of fuel called "low-enriched" uranium, which cannot be used directly to make a nuclear weapon and poses a low security risk. The spent fuel from these water-cooled reactors contains weapon-usable plutonium as a byproduct, but it is very hard to make into a bomb because it is mixed with uranium and highly radioactive fission products.

Fast reactors, on the other hand, are far more dangerous because they typically require fuels made from plutonium or "highly enriched" uranium that can be used to make nuclear weapons.

In fact, fast reactors can be operated as "breeders" that produce more plutonium than they consume. To produce the large quantities of plutonium needed to fuel fast reactors, spent fuel from conventional reactors has to be reprocessed -- chemically processed to separate plutonium from the other constituents. Facilities that produce plutonium fuel must have strong protections against diversion and theft. All too often, however, security at such facilities is inadequate.

In the IFR concept, which was never actually realized in practice, reactor-spent fuel would be reprocessed using a technology called pyroprocessing, and the extracted plutonium would be fabricated into new fuel. IFR advocates have long asserted that pyroprocessing is not a proliferation risk because the plutonium it separates is not completely purified.

But a 2008 U.S. Department of Energy review -- which confirmed many previous studies -- concluded that pyroprocessing and similar technologies would "greatly reduce barriers to theft, misuse or further processing, even without separation of pure plutonium."

See the Department of Energy review here (PDF)

Other Department of Energy studies showed that pyroprocessing, by generating large quantities of low-level nuclear waste and contaminated uranium, greatly increases the volume of nuclear waste requiring disposal, contradicting "Pandora's Promise's" claim it would reduce the amount of waste.

See Union of Concerned Scientists fact sheet (PDF)

And what about Till's claim that the IFR can't melt down? It's false.

"Pandora's Promise" referenced two successful safety tests conducted in 1986 at a small demonstration fast reactor in Idaho called the Experimental Breeder Reactor-II (EBR-II). But EBR-II operators scripted these tests to ensure the desired outcome, a luxury not available in the real world. Meanwhile, the EBR-II's predecessor, the EBR-I, had a partial fuel meltdown in 1955, and a similar reactor, Fermi 1 near Detroit, had a partial fuel meltdown in 1966.

See U.S. Department of Energy information posted by the International Atomic Energy Agency (PDF)

Moreover, fast reactors have inherent instabilities that make them far more dangerous than light-water reactors under certain accident conditions, conditions that were studiously avoided in the 1986 dog-and-pony show at EBR-II.

Perhaps the biggest myth in the film is the notion that all U.S. research on fast reactors was terminated.

In fact, the IFR program's demise was a shutdown in name only. The Department of Energy has continued to fund research and development on fast reactor technology to the tune of tens of millions to hundreds of millions of dollars a year. The IFR Fuel Reprocessing Facility in Idaho shown in the film -- in reality, a plant called the Fuel Conditioning Facility -- has been operating for decades, essentially as a jobs program, to reprocess spent fuel from the now-defunct EBR-II, despite the system's serious problems. In 2000, the Department of Energy promised that all the fuel would be processed by around 2007.  Three years later, it delayed the projected completion date to 2030.

Till's assertion in "Pandora's Promise" that "we know how to do these things" does not square with the difficulties the Department of Energy has encountered in trying to operate this troubled plant.

But if CNN viewers are persuaded by the "Pandora's Promise" IFR sales pitch and think the federal government should throw even more good taxpayer money after bad, I have two words of advice: Caveat emptor.

@highlight

Scientist: "Pandora's Promise" offers "half-truths" promoting integral fast reactors

@highlight

Government: IFRs cut "barriers to theft, misuse" of plutonium, which is used for weapons

@highlight

Film falsely says IFRs can't melt down, says Edwin Lyman of the Union of Concerned Scientists