(CNN) -- Each day, they live in fear.

Sometimes it's the fear of rockets dropping from the sky. Sometimes it's violent fundamentalists taking over their cities. Sometimes it's the barrel bombs stuffed with TNT and nails.

Exactly what horror they face depends on which border they live within.

Syria, Iraq, Gaza, Israel and Libya.

Each with its unique crisis, but all now unified in a heightened sense of anxiety as years of conflict come to a head.

"I would argue," U.S. Sen. John McCain said this week, "that given conditions in the Middle East, this might be more dangerous than any time in the past."

Here's where the crises stand:

SYRIA

Al-Assad wins ... again

With carnage mounting every day across the country, it's hard to find reason to celebrate in Syria.

And yet President Bashar al-Assad and his supporters find a way. On Wednesday, al-Assad was sworn in for his third term.

It's an outcome pretty much everyone expected -- not because he is popularly adored, but because his family has ruled Syria since 1971. And no real contender ran against him.

Three years of civil war have left much of the country in shambles. While regime helicopters drop barrel bombs on opposition neighborhoods, dissidents say, the government maintains its stance that it's only fighting terrorists.

As if the civil war wasn't enough, the radical Sunni group Islamic State in Iraq in Syria is using this opportunity to carve its own swath of territory from the Iraq border to deep inside Syria.

The United Nations says more than 150,000 people have been killed in the past three years. But at this point, many have stopped counting.

"No one is winning; no one can win," U.N. Secretary-General Ban Ki-moon said. "Even if one side were to prevail in the short term, the devastating toll will have sown the seeds of future conflict."

Why we should care:

For Americans thinking the Syrian crisis doesn't hit home, think again.

U.S. intelligence and law enforcement have dozens of investigations under way, tracking Americans who traveled to Syria to join the fight.

"The FBI and other members of the intelligence community have made this a top priority and are taking whatever steps they can under the law to monitor and prevent those coming back from doing us harm," Assistant Attorney General John Carlin said.

IRAQ

Threat of fundamentalism looms

This month was supposed mark Iraq's first steps toward a new government. But it's hard to tout political gains when ISIS militants keep barreling across the country, snatching entire cities and threatening to take over Baghdad.

ISIS now controls land on both sides of the Iraq-Syria border -- opening the floodgates for weapons and fighters between the two countries.

On Wednesday, Iraqi security forces had to withdraw from central Tikrit after fierce fighting with militants believed to be ISIS members. At least 52 Iraqi security forces were killed.

Now, an unlikely pair of countries are coming to assist the embattled government -- the United States and Iran.

While U.S. advisers are on the ground assisting security forces, Iraq is increasingly relying on Iranian-backed Shiite militias to stave off radical Sunni ISIS militants -- especially around the capital.

Why we should care:

Former U.S. Vice President Dick Cheney said the crisis in Iraq now involves throngs of foreigners -- possibly including Americans.

"One of the problems you've got now is a caliphate that includes part of Syria, part of Iraq, and you've got literally thousands of jihadist wannabes flooding into that part of the world from Europe -- some of them probably from the United States -- who want to participate in that conflict," Cheney told CNN's Jake Tapper.

"It's a threat to us, to the United States, not just to that part of the world."

LIBYA

A free-for-all

Nearly three years after Libyan rebels overthrew a longtime dictator, the country is no closer to lasting stability.

The civil war that culminated in Moammar Gadhafi's 2011 death has given way to warring militias fighting over Tripoli's international airport.

At least 90% of the planes there have been damaged, and it would cost hundreds of millions of dollars to repair them, the government said.

Maintenance buildings are destroyed. So are fuel tanks and trucks. Even the control tower has been hit.

The chaos in the capital is so dire now that officials are considering asking for international troops -- even though the government is virtually powerless and has very little influence on what's happening on the ground.

Not only is government is weak, but militias actually outnumber and outgun its security forces.

Why we should care:

The U.S. State Department said the fighting could lead to widespread conflict.

"We affirm our support for Libya's democratic transition and urge the seating of the new Council of Representatives as soon as possible," the State Department said. "We stress the vital role Libya's Constitution Drafting Assembly plays in building the new country for which Libyans sacrificed so much during the revolution."

And of course the U.S. is still trying to figure out more details on the 2012 attack that killed four Americans at a U.S. diplomatic compound in Benghazi, including U.S. Ambassador Chris Stevens.

GAZA AND ISRAEL

Retaliation and recrimination

What was supposed to be a cease-fire between Israeli forces and Palestinian militant group Hamas this week now seems like a joke.

Rockets fired by Hamas on Tuesday were quickly matched by airstrikes from Israel.

And so the exchanges continue.

Now, a leading member of Hamas says he's not opposed to peace -- but says there needs to be more compromise.

"We hope we can achieve a cease-fire -- but a cease-fire which can protect the Palestinians and guarantee that there will be no violations," Hamas spokesman Osama Hamdan said.

Israel, which accepted a cease-fire proposal by Egypt, defended its decision to strike back against Hamas.

"Instead of having this door open to a diplomatic solution, they closed the door," said Mark Regev, spokesman for the Israeli prime minister. "We now have to, unfortunately, protect our people through military means."

While both rockets and rhetoric fly, Human Rights Watch said Israeli air attacks have been "killing civilians in violation of the laws of war."

An Israeli military spokesman said civilian casualties in Gaza are "a human tragedy" -- but that it's Hamas' fault. The military accuses Hamas of taking civilians hostage by using places like houses, hospitals and schools to hide weapons.

More than 200 people have been killed in Gaza since the offensive started a week ago, Palestinian officials said. One Israeli has also died.

Why we should care:

Many credit Israel's Iron Dome for saving untold lives on the Israeli side. In 2014, the United States provided $235 million for Iron Dome research, development and production, according to the Congressional Research Service.

Israel is also the biggest recipient of U.S. foreign aid, much of which has gone toward Israel's military spending.

U.S. Secretary of State John Kerry say's he'll return to the region if a cease-fire doesn't materialize.

"I am prepared to fly back to the region tomorrow, if I have to, or the next day, or the next, in order to pursue the prospects if this doesn't work," Kerry said. "But they deserve, the Egyptians deserve the time and the space to be able to try to make this initiative work."

Chief Palestinian negotiator Saeb Erakat put it bluntly: "We need the United States."

"Now the region is really boiling," he said. "Failure is not an option here."

CNN's Jomana Karadsheh, Jim Sciutto, Arwa Damon, Hamdi Alkhshali, Barbara Starr and Polo Sandoval contributed to this report.

@highlight

A series of unrelated crises are blending into a regional nightmare

@highlight

"This might be more dangerous than any time in the past," McCain says

@highlight

Syrian President Bashar al-Assad gets sworn in for a third term Wednesday