(CNN) -- In my mind -- and in the law -- there are two kinds of sexual harassment. The first kind is quid pro quo and easy to spot. A really detestable (usually) man gives his (usually) female subordinate employee or student an ultimatum: Put out or lose some opportunity, be it a grade, a job or a promotion.

During the "Mad Men" era, bosses got away with such, and women thought it the price of a life outside the kitchen. No more. Women no longer think this is OK. Professors even lose tenure over this clearly sexist and illegal behavior these days. We've come a long way on the road to equality on this front. Lawyers don't settle such claims for a few months' salary and a promise of silence.

No one knows right now if this is the kind of sexual harassment that Herman Cain is accused of, but I doubt it. For one thing, several others have claimed they witnessed the harassment of the women in question, and such bold threats aren't often made over the dinner table in a restaurant with observers.

But then there is the other kind of sexual harassment, the behavior that makes the workplace uncomfortable, that creates an environment that is hostile to women in general, or just to one person because of her (or his) sex, gender, race or ethnicity. Everyone agrees that workplaces ought not to differentiate between actors simply because of their sex, gender, race or ethnicity.

But beyond that, when sex and gender are involved, we often get into a "he said/she said" dialogue. For example, he believed the jokes were simply funny and created a more friendly setting; she believed they were offensive and created an us (the boys) versus them (her or her and other women) organizational climate where she was always going to be outside the loop, outside informal conversations and social networks that mattered.

Another example might be when a powerful man is attracted to one of his co-workers and simply wants to start some sort of sexual friendship, an offer he perhaps had made many times before and occasionally was accepted. But this time, the woman finds a sexual overture from a married boss intimidating and off-putting. She believes it changes forever the climate of the workplace. Even if he never threatened her status after the "invitation," she didn't believe the professional relationship would ever be the same after what she perceived to be sexual harassment.

If we look at sexual harassment in these terms, as he said/she said, we will never find a solution -- ethical, legal or moral to the problem. At this point, we have yet to create any consensus around the appropriate way to deal with sexual attraction and sexual desire in the workplace. No one can deny that workplaces are often where adults meet their life partners. In a 24/7 work environment, where else do you have to meet a spouse? And indeed, in a world where people often think of themselves as defined by "what they do," it makes sense that those who also do it are the people we have enough in common with to fall for, whether it's to fall in love, or even just in lust.

And yet, we are still in a world where the most powerful class of actors happens to be older men. We do not live in some post-feminist world, where power is yet equally shared. No one wants to anger or displease one's boss, even a little. Nor do we live in a world where the workplaces have become truly integrated by sex. In fact, the most recent research suggests that in the last decade, we've stalled at integration by sex. While women are getting more and more of the degrees, they remain in traditionally female-dominated fields, and are not moving forward in male-dominated ones.

My hypothesis for why is that heavily male-dominated occupations, including politics, are so heavily masculine in their cultures, full of sexual innuendo and -- perhaps -- the kind of sexual harassment of which Cain is accused.

I don't have an easy answer, but I do know we'll never solve the problem by trying to figure out what he said or she said. Instead, we have to decide what, as a society, we want to be acceptable or not in our workplaces and schools and then enforce the norms with legal penalties. Here's a first volley: It should be illegal for men (or women) to make sexual overtures to their subordinates.

End of story.

Power always gets in the way of easily saying no. But more than that, if we want workplaces that do not privilege the men who have previously dominated the social space, we need to change the culture in which sexual banter objectifies women and turns them into the "other," and take seriously the claims by women that men harass them.

The more subtle kind of sexual harassment has consequences not only for the individual woman who finally complains, but for all of us, by sustaining a culture where the powerful positions in many occupations, including politics, remain dominated by men.

Should accepting boorish sexual banter and unwanted sexual approaches be the price of admission to male-dominated occupations? It's up to us as a society to set the standards. Here is a moment in time to take stock: Let's hear what the women who were silenced by being paid off have to say about the private behavior of a very public man who is running for president.

The opinions expressed in this commentary are solely those of Barbara Risman.

@highlight

Barbara Risman: Society hasn't reached consensus on what's OK in workplace

@highlight

She says sexual harassment cases often involve "he said/she said" dialogue

@highlight

Risman: Men remain more powerful in workplace, so rules must be consistent

@highlight

She suggests rule that it's illegal for bosses to make sexual overtures to subordinates