WASHINGTON (CNN) -- The United States and Britain praised Pakistani President Pervez Musharraf's contribution to the war on terror while the Bush administration claimed no role in the leader's resignation Monday.

Pakistan's Pervez Musharraf has until now stubbornly resisted pressure to quit.

A senior State Department official familiar with the situation told CNN U.S. officials were in touch with Musharraf in the week leading up to the resignation.

However, the official said, the United States made it clear that it would not get involved in the struggle between Musharraf and the newly elected Pakistani parliament. "If he made a decision to go, or fight against it -- we didn't advise him either way," the official said. "We really did keep our fingers out of this one."

Musharraf is viewed as a keen ally of the West in the fight on terror, receiving billions in military aid from both and launching attacks on militant groups near the country's border with Afghanistan.  Watch Musharraf resign »

"President Musharraf has been a friend to the United States and one of the world's most committed partners in the war against terrorism and extremism," said Secretary of State Condoleezza Rice after Musharraf's announcement.

"We will continue to work with the Pakistani government and political leaders and urge them to redouble their focus on Pakistan's future and its most urgent needs, including stemming the growth of extremism, addressing food and energy shortages and improving economic stability," she added.

"The United States will help with these efforts to see Pakistan reach its goal of becoming a stable, prosperous, democratic, modern, Muslim nation."

The Bush administration's main priority is a crackdown on Taliban and al Qaeda militants in Pakistan's tribal regions. The administration believes Pakistan's intelligence service is full of al Qaeda and Taliban loyalists, an accusation Pakistan denies.  View a timeline of Musharraf's time in power »

"There is a great deal of frustration on the part of the U.S. government with Pakistan's inability to follow through on what the U.S. sees as its clear commitments," said Robert Grenier, a former CIA counterterrorism official, now a managing director at risk consultation firm Kroll.

"It remains very much to be seen whether this new democratically-elected leadership will really be able to follow through in a sustained and coherent way," he said. "They haven't demonstrated an ability to do that."

The United States has stepped up missile strikes inside Pakistan, killing dozens of militants, and head of the Army, Gen. Ashfaq Kiyani, is now the United States' closest ally in power.

But some experts warn that U.S. pressure could go too far. "The U.S. military has to be extremely cautious," said Rick Barton, a director and adviser with the non-profit Center for Strategic and International Studies who is a former U.N. and U.S. official. "It could actually be setting the torch to the kindling inside the country."

Musharraf told the nation in a televised address Monday that he would step down -- nearly nine years after he seized power in a bloodless coup in 1999.

"I don't want the people of Pakistan to slide deeper and deeper into uncertainty," he said.

Until now, Musharraf, 65, had stubbornly resisted pressure to resign. But his once-considerable power eroded significantly since February's election that pushed his party out of power. That pressure increased in the past few weeks as the new ruling party began making plans to impeach him.

Only time will tell whether the power shift will benefit Pakistan, but "it puts a lot more responsibility squarely on the government. There is no more excuse any more. They have to stand up and do things. They can't blame Musharraf," the State Department official said. The official said Musharraf isn't expected to try to undermine the government.

"I really don't think he has been a factor for six months," the official said. "He hasn't been able to do that while he was in the presidency, and he won't be as well-positioned [out of the presidency] to interfere."

Mohammedmian Soomro, the chairman of the upper house of the National Assembly, stepped into the president's role and will act as caretaker until a new president is chosen, which is expected to be in the next few weeks.

Under Pakistan's constitution, the president is elected by a majority vote of Pakistan's four provincial assemblies and the two houses of the National Assembly. Since Musharraf's resignation, the United States hadn't yet spoken to the government under newly elected Prime Minister Syed Yousaf Raza Gillani, who visited Washington late last month.

In a statement released by U.S. National Security Council spokesman Gordon Johndroe, President George W. Bush said it was committed to a "strong Pakistan that continues its efforts to strengthen democracy and fight terror."

"President Bush looks forward to working with the Government of Pakistan on the economic, political and security challenges they face."

British Foreign Secretary David Miliband said it was strongly committed to its alliance with Pakistan following Musharraf's resignation.

He praised Musharraf's economic and security achievements, described Pakistan as a "vital friend" and said Britain's aid program for the country would continue.

Meanwhile, an Afghanistan government spokesman said Musharraf's resignation would be good for Afghanistan.

The Indian government said in a statement that it had no comment to make.

"This is an internal matter of Pakistan."

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

Pervez Musharraf tells nationwide audience he will resign as president

@highlight

U.S. and Britain praise Musharraf for his contribution to 'war on terror'

@highlight

Both promise continued aid and support for Pakistan