Ask 100 robotics scientists why they're inspired to create modern-day automatons and you may get 100 different answers.

For a team at Harvard University, it's termites.

"Not the ones around here that destroy buildings, but the ones on other continents that build ... mounds more than 40 feet tall," said Justin Werfel, a staff scientist at Harvard's Wyss Institute for Biologically Inspired Engineering. "Somehow, all of them working together can build these large-scale, complicated things."

The Harvard team members have created their own set of simple robots that they're trying to teach to emulate those termites. The result, so far, of the TERMES Project is a squad of autonomous robots that can be instructed to build towers, castles and pyramids out of foam bricks, then successfully negotiate their way around the things they create.

It's part of a movement called "swarm robotics," and it's pretty much the opposite of all the Terminators and Cylons that we've grown up with in the science-fiction realm.

"Typically, when you think of robotics, you think of one human-like, complicated robot," said Kristin Petersen, an academic fellow who spearheaded the design and construction of the TERMES robots. "Instead, in swarm robotics, we're looking at large numbers of simple ones. Rather than a robot being like a human, it's more like a bunch of robots that are like an ant colony."

Or, you know, a termite colony.

Petersen and Werfel said they both had independently thought about emulating mound-building termites, which live mainly in Africa, Australia and South America.

READ: 10 pop-culture robots that shaped the future

The team has gone to Namibia twice to study the termites there and plans a third visit. The scientists say the current TERMES robots are a basic version of what they'd like to create once they have a better idea of how millions of termites work together on a single, massive project, sometimes long after the insects who started the construction are dead.

The team's robots take cues from each other based on which parts of the job have already been finished. So, when one robot leaves, say, a brick in a particular location, that tells the next robot what needs to be done next.

"The power's in the swarm," Petersen said. "The power is in not having a single point of failure because you have this one really advanced robot. The power is in sending out a bunch of robots that are really simple and hoping that some of them will succeed."

That's a key difference between TERMES and other swarm projects. Many others work more like an ant colony or beehive, with a single "queen" giving instructions to a team of underlings.

In the long run, Werfel said, the TERMES system could be used on projects "where we want construction done, but we don't want people to be the ones to do it." That could be scenarios where it's difficult, expensive or dangerous to use human crews.

"If we wanted to have a Mars base and we could send a team of robots on ahead to build the habitat first, that's obviously a big advantage for the human astronauts who would show up later," he said.

Of course, the team acknowledges that such lofty goals are a long way off. But in the nearer term, the scientists can see termite-inspired swarm robots being used for tasks like building dikes and piling sandbags during floods, keeping humans out of harm's way.

"If some of them get swept away by rising waters, none of the others need even take notice," Werfel said. "They don't have to do anything differently. They just keep working."

Added Petersen: "We're not intending to replace humans. We're intending to work in situations where humans can't work or it's impractical for them to work."

@highlight

Harvard researchers create "swarm robotics" construction crew

@highlight

Small, simple robots work together to build structures

@highlight

The TERMES project is based on mound-building termites

@highlight

Creators say swarm robots could do dangerous jobs like build levies in floods