(CNN) -- What harm does it do?

That's the challenge the casino industry puts to its critics. A new report by the Institute for American Values presents the answer.

Until the late 1980s, casino gambling was illegal almost everywhere in the country. Today, casinos are allowed in 23 states. These newly authorized casinos are not Las Vegas-style grand hotels. Their customers come from nearby. They don't stay overnight. They don't watch a show or eat in a fine restaurant. Perhaps most surprisingly: they don't play cards.

Modern casino gambling is computer gambling. The typical casino gambler sits at a computer screen, enters a credit card and enters a digital environment carefully constructed to keep them playing until all their available money has been extracted.

Small "wins" are administered at the most psychologically effective intervals, but the math is remorseless: the longer you play, the more you lose. The industry as a whole targets precisely those who can least afford to lose and earns most of its living from people for whom gambling has become an addiction. The IAV report cites a Canadian study that finds that the 75% of casino customers who play only occasionally provide only 4% of casino revenues. It's the problem gambler who keeps the casino in business.

Slot machine payouts vary state by state. Some states set a required minimum: 83% in Arkansas, for example. Others leave that decision up to the casino, as in Georgia and California. Some states require casinos to disclose their payouts. In others, that information is kept confidential. Based on what is published, however, it's a fair generalization that a player can expect to lose 10% to 15% of his or her stake at every session. The cheaper the game, the lower the payout: slots that charge $5 per round pay better than slots that charge a penny.

When New Jersey allowed casinos into Atlantic City back in 1977, casino advocates promised that gambling would revive the town's fading economy. The casinos did create jobs as promised. But merchants who expected foot traffic to return to the city's main street, Atlantic Avenue, were sorely disappointed. The money that comes to the casinos, stays in the casinos. Liquor stores and cash-for-gold outlets now line the city's once-premier retail strip.

The impact of casinos on local property values is "unambiguously" negative, according to the National Association of Realtors. Casinos do not revive local economies. They act as parasites upon them. Communities located within 10 miles of a casino exhibit double the rate of problem gambling. Unsurprisingly, such communities also suffer higher rates of home foreclosure and other forms of economic distress and domestic violence.

The Institute for American Values is sometimes described as a socially conservative group, but with important caveats. Its president, David Blankenhorn, has publicly endorsed same-sex marriage, and its board of directors is chaired by Bill Galston, a former policy adviser to Bill Clinton. The IAV is as worried that casinos aggravate income inequality as by their negative impact on family stability.

Before the spread of casino gambling, the IAV comments, the typical gambler was more affluent than average: it cost money to travel to Las Vegas. That's no longer true. Low-income workers and retirees provide the bulk of the customers for the modern casino industry. And because that industry becomes an important source of government revenue, the decision to allow casino gambling is a decision to shift the cost of government from the richer to the poorer, and, within the poor, to a subset of vulnerable people with addiction problems.

From the IAV study:

"Modern slot machines are highly addictive because they get into people's heads as well as their wallets. They engineer the psychological experience of being in the 'zone' - a trance-like state that numbs feeling and blots out time/space. For some heavy players, the goals is not winning money. It's staying in the zone. To maintain this intensely desirable state, players prolong their time on the machine until they run out of money - a phenomenon that people in the industry call 'playing to extinction.'"

How heavily does gambling weigh upon the poor, the elderly, the less educated, and the psychologically vulnerable? It's difficult to answer exactly, because U.S. governments have shirked the job of studying the effects of gambling. Most research on the public health effects of gambling in the United States is funded by the industry itself, with a careful eye to exonerating itself from blame. To obtain independent results, the Institute for American Values was obliged, ironically, to rely on studies funded by governments in Britain and Canada.

But here's what we can conclude, in the words of the Institute:

"[S]tate-sponsored casino gambling ... parallels the separate and unequal life patterns in education, marriage, work, and play that increasingly divide America into haves and have-nots. Those in the upper ranks of the income distribution rarely, if ever, make it a weekly habit to gamble at the local casino. Those in the lower ranks of the income distribution often do. Those in the upper ranks rarely, if ever, contribute a large share of their income to the state's take of casino revenues. Those in the lower ranks do."

Is this really OK? Are Americans content to allow the growth of an industry that consciously exploits the predictable weakness of the most vulnerable people? 27 states still say "no." If yours is one such state, fight to keep it that way. If not, it's never too late to find a better way. Read the full Institute for American Values study for yourself and see how much is, quite literally, at sake.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum says a new report makes clear the damage casinos do

@highlight

He says they extract earnings from Americans least able to afford it

@highlight

Casinos are bad for property values, don't revive troubled neighborhoods, he says

@highlight

Frum: Government benefits from taxes on casinos and officials don't question the harm