(CNN) -- Modern communications are an essential foundation for the social and economic opportunities that everyone deserves. The World Conference on International Telecommunications (WCIT), currently taking place in Dubai, is a golden opportunity to provide affordable connectivity for all, including the billions of people worldwide who cannot yet go online.

It is our chance to chart a globally-agreed roadmap to connect the unconnected, while ensuring there is investment to create the infrastructure needed for the exponential growth in voice, video and data traffic.

The conference is a landmark because, for the first time in a quarter-century, it is reviewing the International Telecommunication Regulations (ITRs) that govern international connectivity.

Not surprisingly, there are many differing ideas about how this might be done, as well as hot debate on some proposals that have been put forward. There are 193 member countries of ITU, and all are free to express their views. However, no proposal to WCIT will be accepted unless it has very broad support.

But there are more voices at WCIT than just those of government. The CEO of ICANN, Fadi Chehade, addressed the opening ceremony and emphasized the growing cooperation between his organization and ITU. And included among national delegations are dozens of representatives from industry and civil society.

Read more: 'Father of the internet:' Why we must fight for its freedom

As the neutral convener of the conference and in an effort to engage opinion worldwide, ITU has encouraged all its membership (including over 700 private-sector entities), as well as civil society organizations and the press and public at large, to contribute their views. Much of the conference itself is webcast. WCIT is not a "closed-door" event. In fact, compared with other intergovernmental meetings of such importance, WCIT is as open as it possibly can be.

ITU has always sought a multi-stakeholder approach. In 2003 and 2005 we led the way with the World Summit on the Information Society, which -- for the first time -- brought all sides together to debate how transformational information and communication technologies (ICTs) should shape the future. We expect the same kind of constructive cooperation to occur at WCIT. It is crucial that the Internet is not only kept open for business, but is also opened for everyone. We can then continue to innovate and gain the vast benefits that result from access to knowledge.

Read more: Why aren't robots doing my dishes yet?

In all countries there are circumstances when authorities intercept or block communications that are viewed as criminal or dangerous. This is permitted under articles in the International Covenant on Civil and Political Rights, which is part of the Universal Declaration of Human Rights, and in the ITU Constitution. However, these are exceptions to the basic principle enshrined in those documents: The right to freedom of expression and communication. The ITRs must conform to the ITU Constitution, and nothing in the revised treaty can diminish that fundamental right to free speech.

Read more: Lockitron: The app that unlocked crowd-funding success

But you need a means of communication to exercise that right. At present, two-thirds of people globally have no Internet access, and far fewer benefit from broadband. This is often forgotten by the other third, but the stark truth is that Internet is still a privilege of the minority.

I spoke out recently when Internet access was shut down in Syria amid understandable outcry. What mostly went unreported is that 80% of Syrians never had access to the Internet in the first place. This underscores our need to prioritize giving people access to ICTs.

The solution requires partnership between the public and private sectors, within frameworks that encourage innovation alongside investment in areas where it is needed most. Considering measures to achieve this is one of the most important items on WCIT's agenda. More details of all major topics are available via the ITU website.

ITU's development of technical standards, alongside the work of others, has played a key role in enabling connectivity and interoperability in today's powerful technologies of mobile including optical fiber, television, video compression, mobile, broadband and Internet. I believe that broadband in particular can be the engine that drives progress, but without ITU standards on, for example, transport mechanisms to carry information around the world, broadband services simply would not work.

The telecommunications system that enables our networked society is global, and solutions to issues such as cybersecurity must be global too. We must meet the challenge posed by the massive growth in data traffic that is not yet matched by infrastructure development. And many believe there should be a level playing field at national and international levels, to avoid abuse of power by dominant players.

WCIT is where such questions can start to be openly discussed and answered. It is a world conference and a unique meeting place where issues can be debated that will have an immense impact on our lives. What is at stake is whether we advance together towards a truly connected world, or instead contemplate a deepening digital divide with all its consequences.

We cannot afford to miss the opportunities presented by WCIT. Through dialogue, compromise and cooperation, the conference can help lead us towards a knowledge society in which people everywhere, whatever their circumstances, can access, use, share and create data in an affordable and secure manner. That is what WCIT is about.

@highlight

The World Conference on International Telecommunications is currently taking place in Dubai

@highlight

Touré: "It is our chance to chart a globally-agreed roadmap to connect the unconnected"

@highlight

Two-thirds of people globally have no Internet access: "Internet is still a privilege of the minority"

@highlight

Critics have suggested some regimes taking part may propose a ban on anonymity on the web