Singapore (CNN) -- It is early evening at the Isthana restaurant in Singapore's Little India and migrant workers are streaming in. Some pay for their curries and packets of rice, while others come for a free food program run by an NGO called The Cuff Road Project. Many of these men -- mainly from Bangladesh and India -- have no work and little or no money. But they have no shortage of sad stories to tell.

Back in his hometown in southeast Bangladesh, Amran longed to work in Singapore. So the 23-year old with a ready smile borrowed money wherever he could - some from relatives and some from a neighbor who charged interest. He scraped together the US$7,000 demanded by an agent in Bangladesh to secure a construction job and work permit.

Only nine months into his job in concrete assembly, Amran fell and broke his leg so badly that bones protruded through his skin. Though his doctor urged his employer to keep him in the hospital, Amran says he was sent back to the worker's dormitory after a week with a metal plate and 60 screws inserted into his leg.

Back in the dormitory Amran was left to fend for himself with a supply of pills and his food supplied by friends. He's healed now but left with a limp and a large debt.

Singapore's reputation for being stable and business-friendly has fueled this tiny nation's rapid development. To keep this engine of growth running, Singapore says it needs migrant workers. Of the more than one million foreign workers in Singapore, the majority are workers like Amran, filling the ranks in the country's booming construction and shipyard operations.

"I've gone places with workers and they will suddenly point up to the skyline and say 'I built that building.'" said Debbie Fordyce, who runs the Cuff Road Project. It serves thousands of meals every month to migrant workers who have filed claims for salary or injury compensation through Singapore's Ministry of Manpower.

In recent years Singapore has beefed up its labor regulations, and some see an evolution during the past decade. "I think there is now a greater awareness and sensitivity towards the rights and concerns of these work permit holders," said Eugene Tan at Singapore Management University's School of Law.

But critics say there is more to be done in tackling unscrupulous employers.

Construction worker Manik sold his land and borrowed from a neighbor to pay his agent's $5,000 fee. "In Bangladesh, very poor, everybody coming must sell land, cow, something," he explained. He never believed he'd be worse off.

One day he fell in a manhole while pulling optical cables but got little sympathy or help. "If you try to take a day off, foreman say, 'boss cut your permit and send you back,'" Manik recalled. When his injury didn't heal, his boss told him to drop his request for further medical help or be sent back home. Manik showed two burns on his hand he claimed were inflicted by the lit cigarette of his angry boss. He says his mother has a heart condition and can't tell his mother about his problems. "I tell her I am happy," he says. Whatever the outcome of his case, Manik wants to get another job here. "Singapore so much money, so we come, we want to make our future," he said.

Companies in Singapore must carry insurance for their workers and are expected to pay medical costs. But advocates say injuries can be kept under the government radar by minimizing medical care days even for major injuries. A spokesman for Transient Workers Count Too (TWC2), a migrant welfare center said, "There are cases where they have been locked up or sent to outpatient for serious injury." A 2010 report by a coalition of Singaporean charities alleges evidence needed to pursue claims is often missing or concealed by employers.

The Singapore Contractors Association, many of whose members are the targets of workers' complaints, says it doesn't track abuses and that it is up to the worker to " take on the employer themselves" with the help of the government or a lawyer.

"It all comes down to the government's attitude towards workers and labor. This has always been a pro-business and pro-employer government. This is why the laws are not strong enough to provide protection," said Jolovan Wham of HOME, a migrant advocacy group.

Stories abound among workers of "gangsters" hired to threaten anyone who tries to bring a claim against their employer - or kidnap workers from the company dorms or off the streets to send them home when they can no longer work. The government does not give statistics, but both the Government and advocates offer advice on what to do if being forcefully repatriated.

Shagar, a tall worker from Bangladesh, hurt his leg while carrying heavy floor tiling. While pursuing compensation, he was invited for a coffee with his foreman one day at the worker's dormitory. When he got there he was confronted by two "large Indian men" who demanded his work permit and dormitory pass. He said one man told him, "Don't waste your time, you go your room, take your baggage and come with me." He described being taken to an office belonging to a business that specialized in repatriating workers. Two other workers already being held there were crying. Shagar was told he would be put on a plane back to Bangladesh that night. What saved him, he said, were his hidden cell phone and the number of a lawyer's assistant he had memorized.

Ravi, a brawny man wearing a heavy gold neck chain, is the owner of the UTR "repatriation" company. He calmly denies his men are gangsters who used force. He explained that his company is called in when a company fears the worker may sabotage the job or fail a medical. "The employer hires us to take them back to the airport," he said.

According to Ravi, companies pay $250 per worker and in the space of six hours his two-man team can close the worker's company bank account, collect his belongings and get him to the airport. He says he handles about 20 cases a month, and it is "very rare" when a worker refuses to go back.

When a worker is "missing" in Singapore, Ravi's company searches for them, charging around $1,000 dollars a head -- cost effective for companies that stand to lose the government-mandated S$5,000 security bond per worker. He calls it "a completely different operation" but won't elaborate.

The government says repatriation companies are needed for travel arrangements, while the Singapore Contractor's Association insists they are necessary to prevent workers from absconding before they get through immigration. But a Government ministry spokesman conceded that the system is open to abuse. "Some employers engage repatriation companies to avoid payment of salaries or other legitimate claims by the workers such as injury compensation," he said.

The costs of obtaining work in Singapore also make it difficult for migrant workers to make a decent living. According to one Singapore NGO, as much as 10 months of a worker's anticipated salary is paid in employment agency fees. "At best for the majority of foreign workers, it is a way of making enough to survive," said a spokesperson for TWC2. The government has capped agents' fees inside Singapore, but the trail of money is hard to trace. Fees are paid up front in the worker's home country with little documentation.

The 2011 U.S. Government "Trafficking in Persons Report" asserts agencies and employers in Singapore find ways to "mask" illegal fees. The report said "exorbitant fees are sometimes the result of multiple layers of sub-contracting to smaller agencies and individual recruiters, commissions paid to Singaporean agencies."

In response the Singaporean government has questioned the credibility and methodology of the report. It says it investigates and prosecutes any abuse of repatriation procedures, but they investigated only two cases in 2010, no mention of prosecution.

Some migrant workers are lured to Singapore by agents but then find there is no work for them. Kasshem, a small man with sad eyes, came from Bangladesh to work in a shipyard after his small store at home failed. A friend convinced him there was big money to be made. But when he arrived Kasshem said his company had little work. He then injured his back. Back in Bangladesh he is more than $7,000 in debt and expects little compensation though the government's settlement process. "My life finished," he lamented.

Singapore says it has increased demands for documentation from employers to prevent this type of abuse and says companies must now show proof they have ongoing projects before work passes are issued.

Back at the repatriation office, Biplab, a 28-year-old former shipyard worker is waiting for his trip back to Bangladesh. Wide eyed and swallowing rapidly, he relaxes a bit when he understands a reporter wants to hear his story. Sitting alone, he readily admits he broke Singapore laws by seeking extra work outside the conditions of his labor permit.

With no parents and five sisters to support, Biplab sold his house and land to pay his US$ 7,000 fee. But when he arrived in Singapore he said the company gave him 10 days of work for every 15 and only paid $5 day when he wasn't working. Some months he earned as little as $300. In broken English, he asked: "After food money, how?"

Biplab took on side jobs such as apartment repairs for extra money. But he said he went willingly with Ravi's men and has not been mistreated. He said he will try to work in Singapore again.

Singapore is certainly not Asia's worst offender in this area, but workers' advocates say much needs to be done to improve the situation. "Given Singapore's wealth and resources, it is a shame that we cannot deal with these issues adequately," said Wham.

@highlight

Singapore has reputation for stability and business-friendly climate

@highlight

It has more than a million foreign workers, fueling growth

@highlight

In recent years, Singapore has beefed up labor regulations

@highlight

Critics say unscrupulous employers abuse system