Bangkok (CNN) -- The woman set to become Thailand's first female prime minister, Yingluck Shinawatra, said Monday that authorities will reopen an investigation into her brother, former Thai Prime Minister Thaksin Shinawatra, who was convicted of corruption after being forced from office.

Yingluck Shinawatra's Pheu Thai party dominated the country's general election on Sunday, winning 265 seats in the 500-member parliament. It was a major victory for the party once headed by her brother, who was exiled after a military coup threw him from power in 2006. He left the country two years later, after he was convicted of conflict of interest charges. He was sentenced in absentia to two years' imprisonment.

In her first one-on-one interview with an international media organization after all the votes had been counted, Shinawatra told CNN's Sara Sidner she would not encourage her brother, who lives in Dubai, to return to Thailand to serve his sentence. She said she did not know whether her brother was wrongly convicted but that a truth and reconciliation commission plans to review the case against him and several others.

Thaksin Shinawatra, meanwhile, spoke Monday about his sister's status as the country's next prime minister.

"I'm proud of her and I trust her," he told reporters in the United Arab Emirates.

When asked whether he expects his sister to clear the way for his return, the former prime minister said, "Going back home is not a major concern. It's not a top priority. The priority is to bring back reconciliation."

Many hope that Sunday's general election -- the first since 2007 -- will bring an end to years of unrest between two political factions that climaxed last year with deadly protests.  Yingluck won: What's next for Thailand?

Tensions between the Democratic Party and the Pheu Thai party, which reflect deep divisions within Thai society, erupted in 2010, with protests against Prime Minister Abhisit Vejjajiva's government leading to a military crackdown. More than 90 people were killed and hundreds were injured.

After the riots, the Thai government pledged to work toward a process of national reconciliation to heal class and political divisions, though the divide between the two groups remains wide.

The other coalition parties include Chart Thai Pattana, Chart Pattana Puea Pandin, Palang Chon and Mahachon.

"Now we have a good number of 299 representatives," Yingluck Shinawatra said. "It is enough to have stability to serve (the) Thai people."

Thailand's Democratic Party won 159 of the seats, the country's electoral commission said Monday, though the final, official results have not been released.

Abhisit, the prime minister, announced he is stepping down as the head of the Democratic Party after its loss at the polls.

"When compared with the result of (the) election in 2007 with this year's election, we have less MPs," Abhisit said via the Thai news agency MCOT. "I think that I need to take this responsibility, so today I decided to resign from the leader position of the (Democratic) party, and I will let the party choose a new leader in 90 days."

Yingluck Shinawatra said Monday that reconciliation is "the urgent task ahead." She has also vowed that her first priority would be to "help people on their economic situation."   Can election promises be kept in Thailand?

Thai stocks jumped more than 3%, or 33 points, at opening on Monday.

The election had more than a 70% turnout rate, the country's election commission said.

"We congratulate the people of the Kingdom of Thailand, our long-time friend and ally, for their robust participation in the July 3rd parliamentary elections," U.S. State Department spokeswoman Victoria Nuland said in a statement.

Thaksin remains one of Thailand's most polarizing political figures. Even from afar, he has been a topic of discussion during the election and its aftermath.

He still denies the accusations that led to his 2008 corruption conviction.

Yingluck Shinawatra's critics worry she will simply do her brother's bidding -- something she has denied.

Before she even gave a victory speech, her brother shared his comments from exile in Dubai.

"Well, I would tell them that I really want to go back, but I will wait for the right moment and the right situation," he told reporters.

But on Monday, Thaksin Shinawatra said his return would be contingent on reconciliation.

"If I were to go back, I should be part of the solution," he told reporters. "I should not be part of the problems."

He stressed that he is no longer head of the party; his sister is.

The Pheu Thai party remains fiercely behind the former prime minister and wants him to return. But the so-called "Yellow Shirts," a group that formed to oust him from power, has said it will do whatever it can to stop that from happening.

Yingluck Shinawatra said she won't give her brother favorable treatment.

"I can't do anything special for my brother," she said, adding she will follow the "rule of law."

Thaksin said the incoming prime minister's relative lack of political experience might help with reconciliation efforts.

Sometimes, he said, "you need (a) clean slate. If you were to have the people with a lot of political baggage come to reconciliation, it may be difficult."

But many Thai voters were more concerned with economic issues, wanting their leaders to shrink the gap between what they earn and the skyrocketing cost of living.

"Free education is good, care for (the) elderly is also good. In fact every parties' policies are all good, the question is if they would ever implement them," Banorn Achriyawatkul said as she worked outside a polling station.

After being laid off from her job as a secretary, the mother of four is now trying to make ends meet as a food vendor in the streets.

Despite the animosity between them, the two major parties have made very similar promises to the people: a better economy, free education, and a major increase in the minimum wage -- exactly what many voters wanted to hear.

But analysts say the extravagant programs will cost more than Thailand can afford.

Supong Limtanakool of Bangkok University's Center for Strategic Studies said both parties made big promises they just can't keep. He said Thailand will "have to spend somewhere between an additional 1.5 trillion baht to 7.5 trillion baht ($49 billion to $244 billion) with all the extravagant programs, which is five times the national budget. ... I mean, we'll be broke in one year," he said.

CNN's Sara Sidner, Leone Lakhani and Benjamin Gottlieb contributed to this report.

@highlight

Incoming prime minister says case against her brother will be reviewed

@highlight

She says she will not encourage her brother to return to Thailand to serve time

@highlight

Former Prime Minister Thaksin: "I should not be part of the problems"

@highlight

Yingluck Shinawatra's party won at least 265 seats in the 500-seat parliament