(CNN)One of the most common misconceptions about cancer is that it is one disease. Most people think of cancer as something that will automatically kill you if left alone, but there are so many variations of the disease that this is actually not a given. Every "cancer" is different.

Some aggressive cancers grow rapidly and can be quite serious, but some grow slowly or not at all and may be completely safe to live with. As physicians, we need to help change the way the medical community and general public think about cancer. And World Cancer Day, being marked Wednesday, is as good a day as any to start.

To begin with, we need to be more precise. Science has taught us quite a bit about the disease in the last few decades, so a one-size-fits-all definition is no longer the right fit because there isn't just one type of cancer -- there are many.

It's like allergies; we can easily understand that there is more than just one type of allergy. Allergies vary hugely in type and severity, and not everyone will lead to anaphylactic shock or a fatality. Some allergies cause no more than itchy eyes or a runny nose. The same principle is true of cancer. And because the term cancer is surrounded by connotations of panic and death, in the case of extremely low-risk lesions, we should reclassify them accordingly.

The reality is that many of the low-risk lesions we call breast cancer would never come to our attention and never harm us if left alone. After more than a decade of screening and finding 50,000 to 60,000 women a year with pre-cancerous or low-risk lesions in the breast (which are frequently treated aggressively as if they are cancer), you would expect that the incidence of invasive cancers would drop. But in fact, the frequency of invasive cancer occurrence hasn't gone down. This highlights the need to know more about how specific cancers develop and progress so we can distinguish between them and label them properly. Proper labeling would provide us with a more precise method for evaluating individual lesions and allow us to offer our patients the least invasive and most effective treatment options.

In 2009, Dr. Ian Thompson and I were collaborating on an article for the peer-reviewed Journal of the American Medical Association, or JAMA. We were comparing screening approaches between breast and prostate cancers, and we really got to thinking about the need to reframe our approach to screening and rename these slow-growing tumors.

When JAMA told us: "OK, come up with a name -- you have 24 hours," our solution was the term IDLE, which actually sounds like what it is intended to convey. The IDLE condition is an Indolent Lesion of Epithelial origin. (Epithelial is the type of cell that lines all the ducts in the body and is the cell of origin of many solid tumor types.) We intend the term to be used when a lesion does not pose an urgent threat, where observation over time is an acceptable alternative to an invasive procedure, and may in fact be the best course of action.

We wanted a meaningful term that communicated a slow tempo and a lack of threat instead of some empty acronym or complicated jargon. IDLE does that. It's a common word that gives people a sense of comfort with the idea of watching and then only intervening if there is a change. If a lesion doesn't grow, it can be left alone. There is plenty of time to get more information. If it does grow, it can be treated at that time, without risking the patient's health.

This is the direction that breast care is heading. Over the last couple of years, the concept has been the subject of many articles such as a Wall Street Journal piece by health writer Melinda Beck. Moreover, the National Cancer Institute recently put out a request calling for proposals to identify and define the IDLE condition and study its underlying biology as well as how to treat it differently. It is an exciting time for cancer research, with the possibility of dramatically improving the way we provide breast care specifically and treat cancer generally.

A 51-year-old patient of mine recently had a lesion detected on a mammogram, which then resulted in a biopsy. Hearing the word cancer right off the bat put her in an immediate state of panic. Her diagnosis was ductal carcinoma in situ, or DCIS, which was low grade and low risk. DCIS is not cancer, and would only cause harm if it progresses, yet because the word "carcinoma" is used in the label, it often creates panic.

To sit across from my patient and see her in a state of complete misery and anxiety once again brought into focus so clearly why it is important to be able to distinguish the variation in this disease. Why should she have to suffer the emotional trauma of thinking she has a fatal disease if that is most likely not the case? Why should she be subjected to invasive procedures unnecessarily? It is heartbreaking to see a woman -- and I have seen it many times -- go through this turmoil when the ability to ease her worries, without compromising her health, could be in our grasp.

It is time to redefine the word cancer. The old label is imprecise and engenders needless fear. It can prompt unnecessary treatment, surgery and hospitalization, not to mention the extreme emotional and physical stress that all too often accompanies a breast cancer diagnosis. Medical science has given us marvelous tools for understanding and treating breast cancer, something that can, of course, absolutely be a serious and potentially life-threatening disease. But not all cancers pose the same threat. We need to apply today's advanced understanding of the biology of cancer to our medical practice in ways that benefit our patients and reflect the more precise knowledge we have at our disposal. This is the true essence of personalized or precision medicine.

Participating in clinical trials or registries that allow clinicians to adopt less aggressive approaches to in situ or specific types of invasive cancers is one of the best ways to accomplish this. Clinical trials or registries allow women to participate today in what the standard of care will be tomorrow; they make it possible for us to test and document what we learn so that knowledge can inform the future -- and help us differentiate IDLE threats.

@highlight

Wednesday marks World Cancer Day

@highlight

Laura Esserman: Old label for cancer is imprecise and engenders needless fear

@highlight

She says proper labeling would offer patients least invasive, most effective treatment options