Jeddah, Saudi Arabia (CNN) -- The woman in the photograph's face is almost entirely covered by an ornate mask-like piece of traditional Saudi jewelry. Almost like a niqab, it leaves only her eyes showing.

Perhaps surprisingly, she is also wearing an industrial hard hat and safety jacket, and the photo is called "I Am A Petroleum Engineer." It is one of a series by the Saudi artist Manal Al-Dowayan commenting on the jobs that Saudi women do.

"We have this debate in Saudi about women's employment, and some people say women should only work in jobs that 'suit their nature,'" said Al-Dowayan.

"It's a completely irrational discussion because who decides what suits their nature? I started photographing amazing women working in all kinds of jobs to show that the argument is invalid."

Other photos in the "I Am" series feature a Saudi woman doctor, computer engineer, TV producer, scuba diver, architect and interior decorator, all in similar poses with their faces partly covered.

Al-Dowayan challenges Saudi customs in other works too. For "Esmi (My Name)," she asked hundreds of women to write their names on wooden balls, which she strung from the ceiling. It was her way of breaking taboo that prevents men from saying the names of women in their lives.

Despite the controversial nature of her work, Al-Dowayan says she has had very little negative reaction at home.

"Whenever I do a work, people around me and my galleries get very worried, but in reality there's incredible room for dialogue in Saudi Arabia.

"These are issues that have been discussed many times, and I'm just bringing them into contemporary art," she said.

Al-Dowayan is one of 17 Saudi artists featured in the Edge of Arabia exhibition, which this year was shown in Jeddah for the first time after appearing in cities around the world since 2008. It is the first major contemporary art exhibition ever shown in Saudi Arabia.

"Saudi art is absolutely booming," she said.

Many artists are gently pushing at boundaries and limits of expression in the socially conservative country.

At Edge of Arabia, Ahmed Angawi built a giant ball from 3,600 microphones. He wants to place the microphones out on the streets of Jeddah, his home city, for a year to collect people's random thoughts.

"In my mind, I was thinking, if I gave a microphone to Jeddah, what would Jeddah say?" he said. "What would it express?"

"You need to talk and engage to get people involved to evolve as a society. People are afraid of talk. Much more, we should be afraid of silence."

But, he says, freer expression in Saudi will come as part of a gradual change.

"I firmly believe in change. But I firmly believe (in) change with an essence. You want it to be very natural. Sometimes fast change will affect people wrongly in the region."

The Edge of Arabia show came under the banner We Need to Talk, and was aimed at encouraging dialogue between artists and the community.

"Our aim is to deliver a message," said curator Mohammed Hafiz, 36. "We want to let the world know what Saudi Arabia is all about, through the eyes of its artists. We know that we have a voice that we want people to listen to. We have thoughts and experiences to share."

Beyond Edge of Arabia, there are signs that the art scene is on the up and not afraid to say what it thinks.

More on Inside the Middle East: Gaza music students find smart ways around travel ban

Alaa Balkhy, a 23-year-old designer running a business called Fyunka, selling bags, T-shirts and notebooks, believes that Saudis are finally becoming proud of their own arts and culture.

"People are starting to appreciate each other within Saudi society and the art scene," she said. "If you see something made in Saudi people relate to it now. "It's very new. It's growing and it's amazing how fast it's growing.

"We are trying to put a positive Saudi on the map. We really want to change the stereotype, and step by step we are doing it."

Balkhy's first design was a bag called "Daddy I want a Birkin," an ironic nod to Saudi's love of shopping for luxury goods, such as the expensive Hermes Birkin bag. Her designs are now sold through an online boutique in London, as well as in nine Gulf countries.

She said: "People are pushing the limits, but doing it step-by-step so people don't get a big shock at once.

"We don't have much freedom of expression or freedom of speech, but it's amazing how people are saying what they want to say through social media and blogs, whether it's a video, a YouTube show, an article, a design piece or an artwork.

"People will always find a way to express themselves. It's human nature to want to say what's on your mind.

"If people can't express themselves directly, they will do it indirectly."

More on Inside the Middle East: My Syria, by 'greatest living' Arab poet

In addition to the limits to expression, Balkhy faces practical restrictions through the ban on women driving and the guardianship laws, which means she must get permission from her father to travel and for many other daily activities.

"There are a lot of challenges to running a business when you are a girl in Saudi," she said. "I imagine it would be easier if I could drive, but I'm proud that I've achieved so much without.

"My dad gives me all the permission to travel I need, but it saddens me that some girls have so much potential to creating something, but their families and society are so limiting.

"I'm 23 and my little brother is 18, but in Saudi he is a grownup and I'm not."

@highlight

Edge of Arabia show in Saudi Arabia for the first time after three years touring the world

@highlight

Art is booming in Saudi and reflects a new national pride, say artists

@highlight

Artists gently pushing at social boundaries in conservative country