(CNN) -- While lying on a thin mattress a few months ago, nursing the symptoms of dengue fever, I watched a huntsman spider leap off of the wall of my wooden shack and onto a hapless cockroach, which the spider dragged away and devoured.

I was serving as a Peace Corps volunteer in the rural eastern part of the Dominican Republic. But the spider's ambush -- which gave new meaning to the word "insecticide" -- brought me back to another remote corner of the globe, Afghanistan, where I had served in my other beloved corps: the Marine Corps.

Ambushes -- by Taliban insurgents rather than hairy spiders -- were regular occurrences in southern Afghanistan. As a Marine officer, I made two deployments there, the second of which was spent testing, distributing, and fine-tuning equipment designed to foil the remote-control bombs the Taliban used to ambush us.

Then, in 2011, my active service ended, I turned in my rifle and I joined the Peace Corps, where I spent two years building composting latrines in Dominican communities that lacked access to basic sanitation. I completed my service this month and returned to the United States (I got over the dengue fever just fine).

When you join the Marine Corps or the Peace Corps, much less both, you often have some explaining to do. So, on this Memorial Day, permit me to reflect here on the reasons people serve and to describe some of the common threads between these two special American institutions.

You might be surprised to hear that the goals of the Marines and the Peace Corps, and the ideals of the volunteers who join them, overlap. You might also be surprised to learn that the Peace Corps has its own legacy of sacrifice, with more of its volunteers killed on the job than Central Intelligence Agency officers.

Marines operate as a team, in a strictly defined hierarchy. Peace Corps service is largely an individual effort, and volunteers can go for months without being heard from by staff. Peace Corps training includes learning to teach kids simple science experiments. Marine Corps training includes learning the proper technique for choking someone to death.

The essence of the Peace Corps mission is to promote understanding between American volunteers and the people they serve. The Marine Corps mission is to win our nation's battles.

But to say the two organizations are opposites would be erroneous. The book that inspired President John F. Kennedy to launch the Peace Corps was the 1958 novel called "The Ugly American." I was actually assigned to read it by the Marine Corps, since its practical advice on quelling insurgencies was correctly deemed relevant to the counterinsurgency wars we were now fighting in Iraq and Afghanistan.

I saw Marines approach problems in Afghanistan as though they were characters in that novel -- or Peace Corps volunteers. Rolando, a young infantryman in our area of responsibility, won over local farmers by spontaneously shedding his equipment and helping them dig irrigation ditches one day while on patrol. Rolando, who'd taught himself Pashto using an MP3 player, chatted amiably with the local men he encountered. The respect he showed them helped to win their support in our fight against the Taliban.

While nation-building under fire certainly isn't a Peace Corps mission, I saw enterprising Peace Corps volunteers make a deep impact on the communities where they were invited to serve. Dory was assigned to work on a waste-management project in a Dominican migrant farm worker community. It soon became apparent to her that this project would fail.

Rather than move to a different community or continue slaving on a doomed effort, she identified a more serious problem that she wouldn't have seen if she hadn't gotten to know this community in the first place.

Numerous locally born kids were refused access to education because of their Haitian descent, denied a basic right that they were legally owed. Dory learned to help people negotiate a discriminatory government bureaucracy, ultimately winning documentation for dozens of community members and helping them achieve access to public high schools and a shot at a better living.

The Marines and Peace Corps volunteers with whom I served demonstrated more ingenuity, perseverance, and guts than any other group of people I've known. They also possessed a surplus of something that is vanishing from many other parts of American life: humility.

Countless Marines I know had put off careers in business, finance and law to play small, almost anonymous parts in tedious and dangerous places. Sometimes the greatest personal achievement was looking out for fellow Marines by training them extra hard or jolting them from their sense of complacency in the final weeks of a deployment.

Those sorts of achievements don't always make for sexy copy on a resume, but they are the achievements that can be savored the longest because they resulted in lives saved.

Similarly, many of the Peace Corps volunteers I served with gave up good jobs -- as engineers, teachers, IT professionals -- to leave home for a couple of years and find the enduring fulfillment that comes from leaving your comfort zone and improving the lives of strangers you have grown to know better than your neighbors back home.

While nothing compares to the risks our servicemen and women take in combat, the Peace Corps isn't exactly a walk to the local playground. Since its inception in 1961, the Peace Corps has lost at least 287 volunteers to disease, road accidents, crime, and other hazards in their host countries. That's more than twice the number of fallen CIA officers, whose sacrifices are properly commemorated by stars etched into Memorial Wall inside their headquarters.

Kennedy, shortly after taking office, spoke of an "immense reservoir" of American men and women "anxious to sacrifice their energies and time and toil to the cause of world peace and human progress."

To see many of the best people from that reservoir -- the ones who stopped dreaming of their potential to serve and took real action -- take a look at those volunteers in the Marines and the Peace Corps. I really believe you can find the best of AmericaÂ´s youth serving in each of these organizations. And neither organization squanders that resource.

The opinions expressed in this commentary are solely those of Will Aurigemma.

@highlight

Will Aurigemma joined Peace Corps after his active service in Marines ended

@highlight

He found the two organizations have much in common despite clear differences

@highlight

Peace Corps volunteers take risks to serve U.S. and help struggling people, he says