(CNN) -- Man-made climate change threatens to stress water resources, challenge crops and livestock, raise sea levels and adversely affect human health, according to a report released by the Obama administration on Tuesday.

Farmers and workers in central California are suffering through the third year of a worsening drought.

The nearly 200-page document on global climate change -- released by the White House science adviser and mandated by Congress -- does not include new research, but encompasses several recent studies on the effects of global warming over the last half century.

Among the report's key findings are an "unequivocal and primarily human-induced" rise in the Earth's temperature of 2 degrees Fahrenheit over the last 50 years, and a projection of more rapidly changing temperatures over the next several decades.

"It's not just a problem for the future," said Jane Lubchenco, administrator of the National Oceanic and Atmospheric Administration. "We're beginning to see the impact on our daily lives."

The continuing temperature rise is likely to spur a series of negative consequences for the Earth's energy supply, water, transportation, ecosystems and health, the study said.

"[The report] tells us why remedial action is needed sooner rather than later, as well as showing why that action must include both global emissions reductions to reduce the extent of climate change and local adaptation measures to reduce the damage from the changes that are no longer avoidable," said John P. Holdren, the White House science adviser.

Among the study's specific predictions: Longer and more intense heat waves; increased heavy downpours likely to cause widespread complications such as flooding and waterborne diseases; reduced summer runoff, creating greater competition for water, especially in the West; rising ocean water temperatures that will threaten coral reefs; an increase in wildfires and insect infestations; and more frequent coastal flooding caused by rising seas.

The report is the first in almost a decade to break down impacts of climate change on regions and economic sectors of the United States. For example, warming trends in coming decades are expected to reduce the lobster catch in the waters of the Northeast, increase the intensity of hurricanes in the Southeast and accelerate drought in the Southwest, it said.

Authors of the comprehensive report said they hope it can serve as a valuable tool for policymakers and other Americans, such as farmers making crop decisions or local governments passing zoning restrictions in coastal areas.

The report comes as Congress debates a White House-backed climate change bill that seeks to reduce the United State's greenhouse gas emissions 17 percent by 2020 and 83 percent by 2050 through a so-called "cap and trade" program.

The bill cleared a key House committee vote in May and could be considered by the entire chamber within the next two weeks, House Majority Leader Steny Hoyer said Tuesday.

The bill's future remains unclear in the Senate, where leaders are holding off advancing their own version of the legislation until it clears the lower chamber.

@highlight

Man-made climate change is adversely affecting the U.S., says a federal report

@highlight

Report: Changes will stress water resources, challenge crops and raise sea levels

@highlight

Document is released by White House science adviser and mandated by Congress

@highlight

Report's predictions: Hotter heat waves, more flooding and an increase in wildfires