Munich, Germany (CNN) -- The ongoing unrest in Egypt cast a long shadow Saturday over the Munich Security Conference, a gathering set up to address global security issues.

While other items -- including terrorism and the New START treaty between the United States and Russia -- were on the agenda, it was impossible for leaders at the conference to ignore the crisis.

U.S. Secretary of State Hillary Clinton signaled that the United States is backing a transition led by newly appointed Egyptian vice president. "I think it's important to follow the transition process announced by the Egyptian government, actually headed by Vice President Omar Suleiman," she said.

However, the envoy who delivered a message from U.S. President Barack Obama to Egypt's leaders this week, Frank Wisner, told the conference via videolink that Mubarak must remain in office, despite protesters' call for his resignation. U.S. officials emphasized that Wisner was speaking for himself, as an expert on the region, and not for the Obama administration.

"President Mubarak remains utterly critical in the days ahead as we sort our way toward the future," said Wisner, a former U.S. ambassador to Egypt.

The Middle East "is being battered by a perfect storm of powerful trends," Clinton said at the annual conference. A growing majority in the region are under the age of 30, and many are unable to find work, she said. They are connected with each other and with events around them by technology.

"And this generation is rightly demanding that their governments become more effective, more responsive and more open," Clinton said. Meanwhile, resources such as water and oil are running out, she added.

"Leaders in the region may be able to hold back the tide for a little while, but not for long," she said. "This is what has driven demonstrators into the streets of Tunis, Cairo and cities throughout the region. The status quo is simply not sustainable."

The conference, attended by leaders from United States, Europe and Asia, found cooperation on various issues, including preventing violence during the recent referendum in Southern Sudan and curbing piracy off the coast of Somalia.

Clinton and Russian Foreign Minister Sergey Lavrov signed and exchanged instruments of ratification for the New START treaty Saturday, meaning it takes effect. Clinton called it a "milestone" in the U.S.-Russian partnership; Lavrov said the U.S. and Russian teams "worked as one team" to get the treaty negotiated and adopted.

The agreement, formally known as the New Strategic Arms Reduction Treaty, replaces START 1, which expired in December 2009. The U.S. Senate approved the New START pact last December, while the Russian parliament

ratified it in January.

It is designed to slash the stockpile of strategic nuclear weapons in both countries to 1,550 warheads -- down from a current cap of 2,200 -- and 700 launchers. It also calls for a resumption of inspections of nuclear arsenals that ended when START 1 expired and helps move forward White House efforts to "reset" U.S.-Russian relations.

While leaders could not ignore the tumult in Egypt, they stopped short Saturday of endorsing protesters' demands for Egyptian President Hosni Mubarak to step down. Instead, they indicated Mubarak should be given time to implement changes.

While it's important to push for reform, "we shouldn't in the West say this leader should go or that leader should go," said British Prime Minister David Cameron.

"There is no stability in Egypt today," Cameron said. "We need change and reform and transition to get greater stability. ... The more it is put off, the more it would create an Egypt that we wouldn't welcome, the more that case will be strengthened."

German Chancellor Angela Merkel also said stability should be restored before the next steps are taken.

"Early elections at the beginning of the democratization process is probably the wrong approach," she said. Right now, there is no leadership to transition to, she added. "We need to give people the chance to set up the right structures."

Wisner, however, went further, noting that the Egyptian constitution is clear -- "if the presidency is vacated, then the speaker of parliament takes over and in a couple of months, you have elections. Those elections would take place under the current dispositions. Those dispositions are currently unacceptable to those protesting in the streets of Cairo today."

Changes are needed, he said, and "the president must say in office in order to steer those changes through. ... It's his opportunity to write his own legacy." He said the present situation is "an ideal moment for (Mubarak) to show the way forward."

He said commentary from outside Egypt should be restrained, as calls for Mubarak to go create a "negative force" inside Egypt.

Wisner was sent to Egypt early this week to deliver a message from Obama to Mubarak and Suleiman, State Department spokesman P.J. Crowley said.

Clinton also noted that "there are risks with the transition to democracy.

"It can be chaotic. It can cause short-term instability," she said, and in some cases, demonstrators have overthrown dictators only to have the election process hijacked.

"Chaos and uncertainty" arises in the absence of security, U.N. Secretary-General Ban Ki-moon said. "We see this across a diverse geography of troubled places, most recently in Tunisia, Egypt and other countries of the Middle East.

"We do not know how these events will end," Ban said. "But this much we do know: They are driven, at bottom, by human insecurity: poverty, diminished or disappointed expectations; the lack of good governance: corruption, ineffective public institutions, a deficit of democracy."

Cameron spoke on Islamist extremism and the threat it poses to security, noting that it differs from Islam -- and that "the ideology of extremism is the problem. Islam, emphatically, is not."

Those who say the West should cut itself off from the Muslim world should look to recent events in Tunisia and Egypt, he said, for an example of how Western values and Islam can be compatible.

He seemed to suggest in his speech that Britain has been too tolerant of extremism, however.

"When a white person holds objectionable views -- racism, for example -- we rightly condemn them," Cameron said. "But when equally unacceptable views or practices have come from someone who isn't white, we've been too cautious, frankly even fearful, to stand up to them. ... This hands-off tolerance has only served to reinforce the sense that not enough is shared.

"All this leaves some young Muslims feeling rootless," he said. "And the search for something to belong to and believe in can lead them to this extremist ideology."

He said that instead of ignoring extremist ideology, "we -- as governments and societies -- have got to confront it, in all its forms. And second, instead of encouraging people to live apart, we need a clear sense of shared national identity, open to everyone."

Also on the agenda is the struggle between Israelis and Palestinians. The Middle East Quartet, composed of the United States, the European Union, Russia and the United Nations, met in Munich on the matter -- but noted in a statement the effect the Egyptian upheaval could have on the peace process.

"The Quartet members considered the implications of these events for Arab-Israeli peace and agreed to discuss this further in upcoming meetings as a matter of high priority," the statement said.

The group said it "strongly urged" Israel and the Palestinians "to overcome current obstacles in the peace process. ... In view of the developments in the Middle East, the Quartet expressed its belief that further delay in the resumption of negotiations is detrimental to prospects for regional peace and security."

And it said it "regrets the discontinuation of Israel's 10-month moratorium on settlement activity" -- a hot-button issue for the Palestinians.

The Quartet will meet again in March, said Catherine Ashton, EU foreign affairs chief.

Israeli Prime Minister Benjamin Netanyahu met with Quartet Representative Tony Blair on Friday, and afterward the two announced what Netanyahu called "a series of steps" aimed at boosting economic prosperity and living standards for the Palestinians.

Those steps include helping the Gaza Strip develop plants for electricity, water and sewage treatment, as well as diversifying gas supplies in the future.

"I don't delude myself for a second that an economic peace is a substitute for political peace," Netanyahu said. "We need both." He said he hoped the Palestinians would enter direct negotiations.

Blair said he was pleased by the measures, and said they should result in a "radical overhaul of Gaza's infrastructure." However, he also noted, "none of this is a substitute for a credible political process."

But chief Palestinian negotiator Saeb Erakat on Friday scoffed at the measures, saying, "The only thing that will build Palestinian confidence is Mr. Netanyahu saying, 'I will stop building settlements.'"

Until Israeli construction in the West Bank and East Jerusalem stops, and the Netanyahu government accepted a two-state solution, negotiations -- which broke down in September -- will not resume, he said.

CNN's Elise Labott, Antonia Mortensen and Kevin Flower contributed to this report.

@highlight

NEW: Mubarak must stay in office, Obama envoy says

@highlight

The Quartet notes the effect of Egypt's unrest on Mideast peace process

@highlight

Issues like terrorism and the START treaty are being addressed

@highlight

START takes effect after Clinton, Lavrov exchange instruments of ratification