Move over, Lucy: Researchers say Saturn, Jupiter, Neptune and Uranus may also be in the sky, with diamonds.

The atmospheres of these gas-ball planets have the perfect temperature and pressure conditions to host carbon in the form of diamond, say Mona Delitsky of California Specialty Engineering in Pasadena, California, and Kevin Baines of the University of Wisconsin-Madison.

Their research was presented Wednesday at the American Astronomical Society Division for Planetary Sciences conference in Denver.

Previous research had implicated Neptune and Uranus in the hypothetical space diamond business, but Delitsky and Baines performed calculations suggesting that Saturn and Jupiter may host sparkly treasure, too.

"They would be diamonds like we have here, except they would probably be a little more dense," Delitsky said. "They would probably be the same translucent gem that we're all familiar with."

This is all based on theory and modeling, of course. No spacecraft has actually detected diamonds, photographed them or collected them.

But the theory didn't come entirely out of thin air.

The phases of carbon

You may remember from chemistry class that substances enter different physical states depending on temperature and pressure. For instance, water becomes ice at 32 degrees Fahrenheit and vapor at 212 F, at typical pressures on the surface of Earth.

Carbon has more than one form that it takes as a solid. At low temperatures and pressures, carbon is stable as graphite, that soft substance in your pencils. Much more extreme conditions are needed to turn carbon into diamonds, chemically identical to graphite but exquisitely strong, with atoms tightly bound to one another.

Scientists know that carbon in the form of methane is found in the atmospheres of Saturn, Jupiter, Neptune and Uranus -- especially in the latter two. A methane molecule consists of one carbon atom surrounded by four hydrogen atoms.

Marvin Ross pointed out in a 1981 Nature study that Uranus and Neptune have deep interiors rich in methane, which would be converted into elemental carbon at high temperatures. The extreme temperature and pressure conditions would allow carbon to form diamond.

More recently, shock-wave experiments, simulating extreme conditions on other planets, have more clearly shown the temperature and pressure boundaries between the various forms of carbon. Delitsky and Baines combined these latest insights with what is known about the temperatures and pressures in the interiors of the outer planets.

From lightning to diamonds

Studying the storm systems on Saturn, Baines noticed that there were patches in the atmosphere, where storm clouds had been, that were darker than regular clouds. He wanted to find out what material would have that effect.

The substance that fit the scenario the best was carbon in the form of soot, like the kind you see when you burn wood -- likely as a result of lightning. The researchers published a study on this in 2009.

But what happens when these carbon particles sink into the deep interior of Saturn?

Planetary researcher Nadine Nettleman at the University of California, Santa Cruz, developed graphs of how temperature and pressure changes with altitude for Jupiter, Saturn, Uranus and Neptune. Delitsky and Baines used this data -- much of which is unpublished -- and compared it with the recent insights about conditions for forming diamond.

Delitsky and Baines confirmed that diamonds could exist on Uranus and Neptune, and showed that they could also form on Saturn and Jupiter.

These planets are all made of gas, so their "interiors" are essentially very hot, pressurized gas. Carbon would be soot in the top part of Saturn's atmosphere, but as it falls, it would turn into graphite at around 2,000 degrees Kelvin (3,140 degrees F). Closer to the planet's core, at around 3,000 Kelvin (4,940 F), it would become diamond.

"It's so far down that we cannot observe that region of the atmosphere with spacecraft," Delitsky said.

The cores of Jupiter and Saturn would melt diamond, but the centers of Uranus and Neptune are cold enough to keep it solid -- a relatively chilly 6,000 Kelvin (10,340 F).

Delitsky envisions that there could be "hand-sized diamonds" on these planets, although she has not performed those calculations. There could be as many as 10 million tons of diamonds produced from lightning-generated soot on Saturn, the researchers said.

Are they really there, and can we get them?

Scientists not involved in the project expressed a mixture of interest and skepticism.

"This kind of study shows that we are still far from understanding the composition and structure of Jupiter and Saturn, two planets which are respectively about 300 and 100 times the mass of our Earth and were crucial players when the whole Solar System formed," said Tristan Guillot, planetary researcher at the Observatoire de la Cote d'Azur in France, in an e-mail.

If there are diamonds, they likely wouldn't be large iceberg-sized "diamondbergs," Guillot said. Any such structures would fall rapidly toward the planet's interior, depleting the outer layers of carbon. That would result in a carbon-poor atmosphere -- which, scientists know, is not the case.

It's plausible that carbon in the form of diamond could be stable in the interiors of Saturn and Jupiter, says Peter Read, professor of physics at the University of Oxford, but he's skeptical that diamonds like those on Earth would be found. Rather than chunks of precious stone, there may be instead clouds of condensed diamond material, he said -- but we just don't know.

And if there are diamonds for the taking, they'd be in regions in the deep interiors of these planets that are challenging to reach, Read said. The temperatures are enormous, with pressures up to a million times what's observed at the surface of the Earth.

This brings up important questions for would-be diamond miners: What would the mining robot be made of in order to withstand such temperatures and pressures? (Delitsky suggests diamonds!) How would the spacecraft be powered?

"There are probably many easier (and cheaper!) ways to obtain diamonds than going to Uranus or Neptune in a heavily reinforced and insulated submarine!" Read said in an e-mail.

Although no diamond-mining space missions are on NASA's docket, we may know more about the likelihood of diamonds soon. The Juno spacecraft will arrive at Jupiter in 2016, and the Cassini spacecraft will dive into Saturn in 2017, collecting information about the gravity fields and magnetic fields of these planets.

These spacecraft won't get deep enough to explore the theoretical diamond regions, but they will at least "be able to check whether we detect signatures of density changes that would occur near where diamond is predicted to form," Guillot said.

More ambitious explorations of the outer planets may help us determine if these theories about diamonds will last forever.

Follow Elizabeth Landau on Twitter

@highlight

Carbon has multiple solid states, including diamond and graphite

@highlight

On Saturn, soot could turn into diamond at high temperature and pressure

@highlight

No spacecraft has gone this far into the interiors of the outer planets