Camp Pendleton, California (CNN) -- A U.S. military judge sentenced a Marine squad leader charged with alleged war crimes in Iraq to a maximum of 90 days in prison and a reduction in pay and rank.

But because of a plea deal with prosecutors, Staff Sgt. Frank G. Wuterich won't serve any time in the brig. The military judge was obligated to abide by the plea arrangement between prosecutors and the defense.

In the end, Wuterich's sentence amounts to a reduction in rank -- to private -- and a pay cut.

A final adjudication will be made by Lt. Gen. Thomas Waldhauser, commander of Marine Corps Forces Central Command, but he cannot increase Tuesday's sentence, a Marine spokesman said. The commander can reduce it, though, the spokesman said.

Meanwhile, Iraqi officials condemned the plea deal for Wuterich, who was facing several manslaughter and other charges. Also, a military law expert said the U.S. military needs to justify the ruling.

The trial of Wuterich, who pleaded guilty to one count of negligent dereliction of duty, ends a six-year investigation into one of the Iraq war's worst attacks on civilians by U.S. troops. Twenty-four Iraqis died.

In the sentencing, the military judge, Lt. Col. David Jones, cited how Wuterich ordered his troops to "shoot first, ask questions later."

Wuterich, a divorced father of three young daughters, was the last of eight Marines charged. Charges were dropped against six of the other Marines charged in the case, and one was acquitted.

One U.S. congressman compared the Haditha killings to the 1968 Vietnam massacre at My Lai.

Wuterich, 31, of Meriden, Connecticut, originally faced 152 years in prison on nine counts of involuntary manslaughter, two counts of assault with a dangerous weapon and three counts of dereliction of duty in the November 19, 2005, killings -- charges he has vehemently denied.

In exchange for his guilty plea, the most serious charges of manslaughter and assault charges were dropped.

Facing the judge in a Marine base courtroom Tuesday, Wuterich, dressed in uniform, expressed no emotion.

In the sentencing hearing, prosecutors asked for the maximum sentence.

"Today, Staff Sgt. Wuterich stands vindicated by the very same system that has held him captive for over six years," said Wuterich attorney Neal Puckett in a statement.

"We believe justice prevailed for Staff Sgt. Wuterich, and in turn, he wishes it was within his power to impart that same measure of justice to the families of the victims of Haditha," Puckett said in the statement.

Earlier in the day, Wuterich told the judge that he was not a "monster" or "cold-blooded baby killer."

"For six years, I have had to accept that my name will always be associated with a massacre, being a cold-blooded baby killer, an 'out of control' monster, and a conspiring liar," Wuterich told the court. "There's nothing I can do about whoever believes these things."

"I never fired my weapon at any women or children that day" in 2005, Wuterich said. "When I told my team to shoot first and ask questions later, the intent wasn't that they would shoot civilians, it was that they would not hesitate in the face of the enemy," he said.

Wuterich's case signals the end of a handful of alleged war crimes cases that came to light during the height of the war in Iraq.

Wuterich pleaded guilty Monday to one count of negligent dereliction of duty, a charge that could have brought a brig confinement of up to three months, two-thirds forfeiture of pay for three months and reduction in rank to private, authorities said.

"Words cannot express my sorrow for the loss of your loved ones," Wuterich said to the families in his statement.

Wuterich said he was "absolutely devastated" when his commanders were relieved of duty "because of my words or actions."

He said he's been unable to advance his military career or pursue "a secure life for my family outside of the military."

"Many of the Marines who were there that day, along with everyone who has stood by me and supported me, may be disappointed that I pled guilty. It might suggest that I believe we behaved badly or dishonorably. The truth is, I don't believe anyone in my squad, nor any member of of Kilo Co, 3/1/ behaved in any way that was dishonorable or contrary to the highest ideals that we all live by as Marines," Wuterich said.

"Regardless of the outcome, I am here to take responsibility for my actions, and to accept the consequences," Wuterich said.

Wuterich's plea came nearly two weeks into his court-martial at Camp Pendleton near San Diego.

The killings enraged Iraqis, put a spotlight on the conduct of the U.S. military and saw a congressman compare it to Vietnam's My Lai massacre.

The fallout from the incidents continued more than six years later, with reports that Iraqi-U.S. negotiations to extend a withdrawal deadline broke down over Iraq's refusal to grant American troops immunity from prosecution in Iraq.

On Tuesday, Iraqi officials excoriated the plea deal in the court-martial.

Khalid Salman, head of the Haditha local council, told CNN that "we have been following this case since 2006 and we were hoping that those soldiers, who killed 24 innocent people, will receive fair punishment.

"But now we are convinced that the judicial system in America is unjust," Salman said. "This is not the end, and we will continue pursuing those soldiers legally through the international courts."

Taleb al-Essawi, the political adviser to the governor of the Anbar province, told CNN that the local government is very disappointed with the court-martial decision.

"Big disappointment," al-Essawi said. "I can't believe that the court decided to drop all the charges except one charge, which is negligent dereliction of duty. This is a joke because according to the Iraqi law, all those soldiers should be executed," al-Essawi said.

"We demand from the American administration to reconsider the court decision," al-Essawi told CNN. The U.S. government should compensate the families of the victims, he added.

Mahmoud Othman, a Kurdish lawmaker, said the Marines "committed mass killings in Haditha" and the plea arrangement was "unjust."

"We ask the human rights organizations and (nongovernmental organizations) in America and all over the world to strongly condemn this verdict. Iraqi blood isn't so cheap," Othman said in his Facebook posting.

A U.S. military law expert said a public explanation was needed.

"The trial counsel and convening authority has a duty to explain this pretrial agreement in order to safeguard public confidence in the administration of justice," said Eugene R. Fidell, senior research scholar and a visiting lecturer at Yale Law School.

"The way our military justice system works," Fidell told CNN, "is that the convening authority, a commander of the unit, makes the central decision.

"It's a command-centric system that we inherited from (King) George III. Pretrial agreements are contracts between the accused and the convening authority.

"The prosecution and staff judge advocate play an advisory role. At the end of the day, it's the commander's decision to accept or reject a proposed pretrial agreement," Fidell said.

About the investigation into the Haditha massacre, Fidell said: "It does seem that a set of cases that began with some pretty terrible allegations has basically fizzled. The public ought to have confidence in the administration of justice."

Fidell said he was concerned about the overall trend of justice emerging out of the Afghanistan and Iraq wars.

"For some time, I've wondered whether the system was producing the kind of results it should have. What has struck me is that it has been difficult for the government to get convictions in a number of cases, and where it has gotten convictions, whether it has gotten significant penalties," Fidell said.

In court Tuesday, Wuterich's attorney, Puckett, told the judge that "Wuterich has been exonerated, his integrity is unfaltering."

"He knows his Marine career has come to an end, but his only intention was to protect his troops," Puckett said.

According to previous testimony and court records, Wuterich, who was assigned to 3rd Battalion, 1st Marine Regiment, 1st Marine Division, was the squad leader on November 19, 2005, when members of his patrol unit were moving a supply convoy moving through Haditha, an insurgent stronghold where armed resistance fighters hid along civilian populations. An improvised explosive device exploded under a vehicle, killing Lance Cpl. Miguel Terrazas, 20, and injuring two other Marines.

During the more than two-week trial, prosecutors argued Wuterich lost control after seeing the body of his friend blown apart by the bomb and led his men on a angry rage ordering his squad to "shoot first and ask questions later."

Wuterich's team stormed two nearby homes, blasting their way in with grenades and M-16 rifle fire. Among the dead was an elderly man in a wheelchair. When the 45-minute incident was over, 24 men, women and children were killed. Wuterich was accused of ordering his men to storm the homes, part of what his attorney has said was a search for those believed responsible for planting the bomb, and later shooting at the men.

The prosecution contends the Marines were out for revenge.

The case didn't come to light until January 2006 when Time magazine broke the story. Two months later, the military launched an investigation.

The incident provoked the condemnation of Rep. John Murtha, D-Pennsylvania, who compared it to the 1968 massacre at My Lai, and President George W. Bush vowed then that if an investigation found Marines killed unarmed civilians, "there will be a punishment."

The case has been delayed a number of times, most notably over a government subpoena for outtakes of a 2008 interview Wuterich gave to CBS' "60 Minutes."

CNN's Mohammed Tawfeeq in Baghdad and Chelsea J. Carter contributed to this report. Stan Wilson reported from Camp Pendleton and Michael Martinez from Los Angeles.

@highlight

Staff Sgt. Frank Wuterich sentenced to 90 days, but a plea deal negates that

@highlight

Overall charges in Haditha massacre investigation have "fizzled," expert says

@highlight

Iraqi officials are angry over court-martial's plea deal

@highlight

"Iraqi blood isn't so cheap," one Iraqi lawmaker says