"I wanted to build a good future for my family, but I failed," a weak Issam Abdallah Mohammed said in a videotaped statement.

The refugee from the Darfur region of Sudan was trying to illegally cross the border from Egypt to Israel when he was discovered and shot by Egyptian border guards.

Less than an hour after taping the statement, Issam was dead, succumbing to the wounds inflicted by the gunshots.

Every year, thousands of refugees, mostly from Eritrea, Ethiopia and Sudan, attempt the dangerous journey from their war-torn countries to Israel in search of economic prosperity and stability.

Very few make it, and the results of the failed migration can be seen in the morgue of the central hospital in the Egyptian port town of El Arish.

When a CNN crew visited there recently, all the refrigeration units were broken, leaving a biting stench of decaying corpses in the air, which staff members attempted in vain to cover up with chlorine-based cleaner and incense.

On any given day, the morgue will be packed with the bodies of African refugees who died trying to make it to Israel.

Hamdy Al-Azazy spends a lot of time here as head of the New Generation Foundation for Human Rights, which tries to help African refugees in Egypt.

Every week, Al-Azazy combs the desert, searching for corpses, ensuring that they get a dignified burial.

He has spent the past seven years helping the refugees. Many are enslaved and tortured and the women raped by the Bedouin tribes of the Sinai if they are unable to come up with large sums of money the Bedouin try to extort from them and their families, to smuggle the refugees across the border into Israel. As a result, many remain imprisoned in camps on the Sinai Peninsula.

"They are chained and kept in camps in the open with no bathrooms and little water and food and treated worse than animals," Al-Azazy said.

"Some of them are taken to Libya, but 80% of them are smuggled to Israel. Those who escape are shot by the Bedouins, and others who make it to the border are sometimes shot by the Egyptian authorities and transferred to hospitals before spending a year in different prisons in Sinai and deported back home."

The CNN crew found two victims in the hospital in El Arish, handcuffed to their beds and awaiting their transfer to an Egyptian detention center and eventual deportation.

One of them, Mahary Taklay Abraham of Eritrea, says he hit his head falling off a rock while trying to cross the border and was caught by Egyptian border guards. But before making it to the border, Mahary says, he spent about two months with the Bedouins.

"They beat and tortured me continuously and demanded money from my family," Mahary said.

Al-Azazy says this is a common scheme. The refugees will pay Bedouin tribes in the border area between Sudan and Egypt around $2,000 to be smuggled out. The smugglers then sell the refugees to the Sinai Bedouin, who blackmail the refugees and their families back home.

Ibrahim Yehia of Eritrea says he fell prey to the Bedouin.

"When we arrived to Sinai, the Bedouins tied me up with metal chains in the desert. They tortured us. Many of us died," he said, displaying his wounds, including scars that he says came from electroshock torture.

"They wanted me to pay $12,000 and forced us to call our families to transfer the money. My family sold all their lands and even their donkey to collect the money. They transferred $6,000 to the Bedouins."

After his family paid, Yehia says, the Bedouin finally let him go.

"I spent three months tied up in the camp close to the Israeli border. After I paid, the Bedouins drove me to the border crossing and set me free. I was then shot by plainclothes men close to the wired fence at the Israeli-Egyptian border. The military took me to the hospital."

Some of the refugees are forced into slave labor, often working marijuana fields that flourish all over Northern Sinai, Hamdy Al-Azazy says. Refugees who made it across the border into Israel have told harrowing accounts of rape, torture and slave labor.

Women are especially vulnerable. CNN spoke to one victim who made it to Israel and spoke on condition of anonymity. She said she was raped almost daily on a journey that took several months to get to Tel Aviv.

"Every night, they took me separately, and they did whatever they wanted to my body," the Eritrean said.

Al-Azazy hears stories like this all the time. "The women and men are kept in open areas. These Bedouins don't have any morals or conscience. One girl told me that three Bedouins had raped 14 girls in one night," he said.

When CNN confronted a leader of the Sawarka Bedouin tribe, one of the largest in Sinai, the chief said he was aware that people trafficking is going on in Sinai and that in some cases African refugees are held in bonded labor, tortured and women raped.

The Sawarka chief, who did not want to be named for this report, said that only rogue elements of the tribe are involved in people trafficking.

This same chief took CNN to a secret location and allowed them to speak to five African refugees who were hoping to make it to Israel, in an apparent bid to show us that the refugees were being well treated.

But interviews with refugees who have escaped the camps or been released suggest that mistreatment and even murder are commonplace in the Bedouin camps.

One Bedouin leader willing to go on record is called Salem, a powerful chief of the Tarabine tribe.

He acknowledges that people trafficking exists among members of the Tarabine and Sawarka tribes, but he says that it is only a fraction of the members who are involved in the trade and that they are ruthless.

"You can't label the whole tribe or implicate it in this trade. The Bedouins in Sinai are over 150,000. Those working in this business will not exceed more than 50 people."

During an interview by the Red Sea, Salem said he loathes those involved in people trafficking, torture, rape and murder.

But he acknowledges that Bedouin leaders are doing little to stop the illicit business out of fear of stoking tribal infighting.

"These guys are evil. They do not care where to get money. They deal with a middleman in Africa to get those men. These Africans spend months here, sometimes up to six months in Sinai, before crossing -- if they cross."

Egypt's government and armed forces seem powerless to stop the Bedouin smugglers.

Police units have been forced out of most areas in North Sinai after the revolution that swept longtime leader Hosni Mubarak from power. A military operation aimed at combating Islamist extremists in the area has done little to stop people trafficking in this lawless region that runs mostly on criminal activity, such as smuggling of goods into Gaza and drug trafficking.

Meanwhile, more bodies turn up in the Sinai desert. In a matter of weeks, several more were buried by Hamdy Al-Azazy close to the grave of Issam Abdallah Mohammed, the refugee from Darfur who recorded a video shortly before his death.

While the bodies of those who can be identified are buried in cemeteries in El Arish, the many corpses that remain nameless -- because they carry no identity cards or have decomposed beyond recognition -- are laid to rest outside the cemetery walls in an anonymous mass grave under heaps of trash from an adjacent slum.

@highlight

Every year, thousands attempt dangerous journey from African countries to Israel

@highlight

Few make it; many bodies of unsuccessful refugees lie in morgue in El Arish, Egypt

@highlight

One man combs desert searching for corpses, ensuring they get dignified burial

@highlight

Many refugees are enslaved and tortured; women are raped by Bedouin tribes of Sinai