(CNN) -- The line dividing work and leisure time is blurring right before our eyes, says one expert, and it's creating a phenomenon called "weisure time."

English cricket player Geraint Jones enjoys a "weisure" moment during an Australian fishing trip in 2006.

Many who haven't already abandoned the 9-to-5 workday for the 24-7 life of weisure probably will do so soon, according to New York University sociologist Dalton Conley, who coined the word. It's the next step in the evolving work-life culture.

"Increasingly, it's not clear what constitutes work and what constitutes fun," be it "in an office or at home or out in the street," Conley said. Activities and social spaces are becoming work-play ambiguous, he says, as "all of these worlds that were once very distinct are now blurring together."

Conley used the 1950s as a point of reference. "Back then, there were certain rules, such as 'don't do business with friends, and keep those spheres separate.' It was just one of the hallmarks of capitalist social life. That has completely changed."

However, the increased mixing of work and play doesn't mean bankers will be refinancing houses during their kids' piñata parties.

But what it does mean is more and more Americans are using smartphones and other technology to collaborate with business colleagues while hanging out with their families.  See how "weisured" your lifestyle is and compare with others »

It doesn't mean tax attorneys will be getting makeovers during their tax-law seminars. But they may be chatting with Facebook friends while participating in a conference call.

What happened? Why do Americans want to mix work and play? Well, first, there's more work and less play, according to Conley's book "Elsewhere, U.S.A."

"For the first time in history now, the higher up the economic ladder you go, the more likely you're going to have an extremely long workweek," he says. These busier Americans often want to save time by taking care of business and pleasure simultaneously.

Obviously, the Internet offers nothing but opportunity for that.

'The creative class'

People are more willing to let work invade their leisure time because, for a lot of Americans, working has become more fun, Conley says. He refers to this group of professionals who tend to get more enjoyment out of work as "the creative class," borrowing a term coined by author Richard Florida.

Their work involves ideas -- perhaps helping create a new software product, ad campaign or creative financial derivative.

"This makes their work a source of meaning and fun to them, and thus the work-all-the-time mentality is partly driven by choice and desire," Conley said.

It's no coincidence, Conley says, that weisure has been growing simultaneously with the popularity of the personal computer, which has helped professionals with more tedious parts of their jobs -- and has made many jobs somewhat more interesting.

Weisure has been fueled by social networking sites like Facebook and MySpace, where "friends" may actually be business partners or work colleagues.

"Social networking as an activity is one of those ambiguous activities," Conley said. "It's part fun and part instrumental in our knowledge economy."

These networking sites offer participants in the weisure life lots of ways to do business -- and to have fun.

Social technology "triggers a pleasure response in our brain that we want, even if it's quasi-junk mail, because someone's reaching out to us for a social connection. So we're addicted, some of us, me included."

'We lose our private sphere'

Perhaps more disturbing is the idea that weisure is changing us. "We lose our so-called private sphere," Conley said. "There's less relaxing time to be our so-called backstage selves when we're always mingling work and leisure."

If you're thinking that a backlash may be around the corner for the weisure concept, you're right. In fact, Conley says, the backlash has begun.

"You can see that in the populist anger against the bankers" who've been blamed in part for the current economic downturn, Conley says. The backlash is evident in the rise of alternative social movements involving people "who live in a more frugal and environmentally conscious way," he says.

But, short of a nuclear winter or some cataclysm sending us back to the stone age, there's no turning back the clock on the spread of weisure, he says. The weisure lifestyle will engrain itself permanently in the American culture.

Every culture creates its antithesis, Conley says. Eventually the weisure class could merge with a "getting back to basics movement" and form something new.

"I don't know what that will look like," he said. "But this period we live in now will look very quaint and silly to folks 50 years in the future, just as the 1950s look very fake and quaint and earnest to us now."

@highlight

"Weisure" is the blurring of work and play -- both what we do and where we do it

@highlight

Weisure is changing modern society, says NYU sociologist Dalton Conley

@highlight

"We lose our private sphere," he says. "There's less time to be our backstage selves"

@highlight

Why? Technology, longer workweek and more workers enjoying their jobs