(CNN) -- The buildup of separatist forces in Donetsk, Ukraine, and Moscow's patently confrontational tone are raising the specter of another offensive in eastern Ukraine before winter grips the region. On Wednesday, NATO warned that "columns of Russian equipment, primarily Russian tanks, Russian artillery, Russian air defense systems and Russian combat troops" had been spotted entering Ukraine.

Is this crisis about to flare up again, just two months after Russia withdrew its forces?

Given the strategic costs, it might seem unlikely that Russia would reignite this war, especially with winter looming. Yet both the opportunity and the motivation appear to be there in Moscow.

The invasion of Ukraine and confrontation with the West have whipped up nationalist sentiment, but Russia has run out of foreign policy victories to feed to the fire. That might explain why Moscow is aggravating NATO with airspace violations and playing alleged underwater games with Sweden, moves that appear aimed at keeping the Russian public in a confrontational mood. 

Russia plans bomber flights over Gulf of Mexico

The problem for Russian President Vladimir Putin is that none of this is likely to sustain his astronomical approval ratings or keep economic woes from chipping away at public support for the Ukrainian adventure.

Another motivating factor could be that pro-Russian separatists simply do not control enough of the Donbass, the populous region that includes Donetsk, to have made this conflict worthwhile for Russia. The territory controlled by them looks awfully small in comparison to lofty talk of re-establishing a grand Novorossiya, and the ceasefire line of control left many separatist home cities under Ukrainian control, so the separatists seem keen to fight for the rest.

All this means that the current line of control looks more like a stopping point than the desirable outlines of a frozen conflict for Russia. Of course, for Moscow's policy aims, the smarter approach would be to keep Ukraine in a permanent state of crisis and use this foothold to maintain pressure on Kiev. 

However, domestic political considerations and the militarily advantageous position of pro-Russian separatists are themselves compelling arguments for a surprise winter offensive. Why should Putin put off until tomorrow the parts of Ukraine that he can conquer today?  

Russian provocations: A new Cold War?

The separatist force now numbers anywhere between 20,000 and 25,000, half of whom are likely locals, with the other half composed of Russian volunteers and fighting groups from the North Caucasus, particularly Abkhazia, South Ossetia, and Chechnya. Many of the fighters from the Caucasus will go home for the winter if there is nothing for them to do in Ukraine. This suggests that the ideal time to use them in a bid to gain more territory is now, rather than trying to regroup these fighters next year for another season of conflict.

Russia, for its part, used the ceasefire to drastically increase the separatist stores of equipment and ammunition. Convoys arrive regularly bringing munitions. Meanwhile a good deal of captured Ukrainian armor is being restored by the separatists themselves inside repair facilities they control. 

Conversely, Ukraine's army is in a period of consolidation and has lost a large portion of its best equipment, perhaps 60% according to President Petro Poroshenko. The country just fired its third defense minister. Volunteer battalions, the country's most motivated force, are in a period of reorganization. And since the signing of the ceasefire, Ukraine has lost many of its best soldiers inside the meat grinder that Donetsk airport has become. 

One of the primary constraints on Moscow in this shadowy war has been the lack of public support for Russian casualties in Ukraine. It meant any invasion would have to be brief, decisive, and with few losses in order to be tolerable at home. If the separatists are sufficiently armed, trained and supported that they can seize territory without the need for Russian regulars, then there is much less for Moscow to risk. 

Still, seizing more territory would come at great cost elsewhere for Moscow. Russia's economy is badly creaking from the drop in oil prices. Meanwhile, the central bank is failing to contain inflation, while the government has to find a way to roll over billions in corporate debt for companies that no longer have access to the Western financial system due to sanctions. Another military intervention by Moscow would probably result in further Western sanctions on sectors of the Russian economy, meaning Putin could lose any hope of driving a wedge between Europeans to reverse the current sanctions in place. 

Starting another campaign in Ukraine would mean a new spiral of unpredictable events -- yet Moscow's calculations might be based on a different reading of the situation.

For a start, sanctions are not the source of Russia's economic woes, but more a humiliating annoyance. In the winter, Russia has a comparative advantage in economic reprisals, because it can threaten gas cutoffs to Europe in retaliation for new sanctions. Ukraine's energy dependence and broken economy, along with relatively weak Western promises of financial aid, suggest that Kiev would have to sue for peace no matter what Moscow does. 

And what does Russia gain from maintaining the peace anyway? It will not raise the price of oil or stop ruble speculation, and the United States does not appear keen to start rolling back sanctions, even though it genuinely needs Russian cooperation on Iran, Syria, and ISIS in the Middle East. Now that Republicans have regained control of the U.S. Senate, Russia knows there is little it can practically do to lift the sanctions anyway.

Illegitimate elections in the separatist regions and the massing of Russian forces only reinforce the impression that Moscow has no interest in implementing the Minsk agreement or in reconciliation with the West. And while it is true that a renewed quest to widen separatist-held territory would be a reckless adventure, fraught with costs for everyone involved, reckless foreign policy risk seems to be the new normal in Russia. 

Now a winter offensive is far from unthinkable. 

@highlight

Moscow is striking a patently confrontational tone, says Michael Kofman

@highlight

Russian economic woes could impact foreign policy, he writes

@highlight

Kofman: Reckless foreign policy risk the new normal in Russia