(CNN)One evening last month, a teenage suicide bomber blew himself up on the steps of the auditorium of the French cultural center in Kabul. The target was a crowd of Afghans and expatriates gathered to watch a play titled "Heartbeat: Silence after the Explosion." The show was written as a condemnation of suicide bombings.

"Pieces of flesh were plastered on the wall. There were children and women crying for help," said one civil society activist who spoke with Reuters just after the suicide attack.

A Taliban spokesman claimed the group was responsible for the attack, and said the play was targeted because it was being performed "to insult Islamic values and spread propaganda about our jihad operations, especially on suicide attacks."

Sadly, for too long it has been relatively easy for citizens of the United States and Europe to indulge in the "otherization" of this particular brand of extremist horror.  Yes, such attacks are awful and deserved condemnation, but they were, until the tragic events of this week in Paris, other people's hells. They generally occurred in far-flung places and were committed against faraway people: schoolgoers in Peshawar and theatergoers in Kabul.

Nearly two years ago, for example, Anne Smedinghoff, a 25-year-old foreign service officer serving in Afghanistan, went to deliver books to an Afghan school, but was killed by a suicide bomber on the way. In the aftermath of her death, Secretary of State John Kerry said: "The folks who want to kill people, and that's all they want to do, are scared of knowledge. And they want to shut the doors and they don't want people to make their choices about the future. For them, it's 'You do things my way and if you don't, we'll throw acid in your face. We'll put a bullet in your face,' to a young girl trying to learn. So this is a huge challenge for us. It is a confrontation with modernity, with possibilities."

But while the media covered the tragedy, Smedinghoff's death remained a story that happened "over there." Indeed, for the past several years -- at least since attacks on Madrid and London -- Westerners have been able to go about their day-to-day business, with little thought to what was taking place thousands of miles away, for this was someone else's horror.

This has been despite the alarming rate at which the death toll has been growing, with Afghans being forced to get accustomed to having their lives punctured by senseless attacks, including the heartbreaking slayings of an Afghan journalist, his wife and two daughters gathered around a dinner table for a holiday celebration as a family.

As the United Nations in Afghanistan noted recently, more civilian deaths and injuries occurred during 2014 than in any year since it began such reports in 2009. Of particularly gruesome note was a November suicide attack targeting a crowd huddled to watch a volleyball game that killed more than 50 people, including 21 children.

Israel's Institute for National Security Studies released a report counting 592 suicide attacks in 2014, which it said was a 94% increase over the previous year, resulting in the deaths of approximately 4,400 people. The United Nations put the number of civilians killed in Iraq last year at a staggering 12,282, more than double the number killed in 2013

True, as these numbers have soared, Americans have found themselves increasingly concerned. An August Pew Research poll, for example, found 65% agreeing "the world is more dangerous than it was several years ago," while just 7% said the world has gotten safer. Yet at the same time, more than half said the United States "does not have a responsibility to do something about the violence in Iraq."

Yet the reality is that extremists wreaking bloody havoc in Iraq or Yemen or Afghanistan or Pakistan will not be kept at bay forever. Nor, as an Afghan activist who ran schools for girls during the Taliban era once told me, will an Afghanistan left to itself remain its own problem indefinitely.

America, understandably, wants to bring to a close 13 years of conflict. And it may want to believe that the tide of war is really receding. But as the events still unfolding in Paris this week have demonstrated -- and as was underscored by 2013's Boston bombing -- extremists are ready to bring their violence to our own shores. Europe and America are not immune to the threat.

If "Je suis Charlie," a slogan adopted in solidarity with the magazine Charlie Hebdo that was attacked in France, is to mean anything, it should be about the choice to stand up in defense of those who believe in a free press, safe schools for boys and girls, and theaters free from suicide attack. And that means standing up for people wherever they are in the world.

@highlight

Gayle Lemmon: West has too often ignored extremism overseas

@highlight

Europe and America are not immune to threat, she says