(CNN) -- The New Hampshire primary will tell us a good deal more than the Iowa caucuses did about where the Republican candidates stand and how they might do in the general election against President Barack Obama.

While the unpredictable nature of the Iowa caucuses offered Rick Santorum an opportunity to shine, Tuesday's vote will tell us where the party is really headed, in what has been a Wild West of a presidential selection process, one with more ups and downs than the Colorado Rockies.

The New Hampshire primary, established in 1916, has a long and treasured history in American politics. It has often been the site where new voices have been able to upset the status quo and take on establishment figures.

In 1952, the military hero Dwight Eisenhower successfully challenged "Mr. Republican" Robert Taft, the senator from Ohio, who was thought to be one of the strongest figures in the party. That same year, Tennessee Sen. Estes Kefauver shook up the Democratic Party by winning a stunning victory against President Harry Truman, fueling his decision not to run for re-election.

In 1968, Minnesota Sen. Eugene McCarthy's strong second-place showing similarly upset President Lyndon Johnson, forcing him to think twice about how strong his support was within the Democratic Party. The results, Sen. Ted Kennedy recalled, demonstrated that "overnight, Johnson had become beatable." A few weeks later Johnson told the nation that he would not run for re-election.

In 1976, the little-known Jimmy Carter built on his surprise victory in the Iowa caucuses by winning in New Hampshire and cementing his status as a front-runner.

Republican Patrick Buchanan revealed the soft support among conservatives in 1992 for President George H.W. Bush, whom Buchanan derided as "King George," when he did better than expected against the president (though Bush won).

To be sure, the outcome of the primary is not always a measure of who will win the party's nomination. There is a substantial list of New Hampshire losers -- including Barack Obama in 2008, George W. Bush in 2000, Bill Clinton in 1992, and Walter Mondale in 1984 -- who went on to receive party nominations.

Most important, New Hampshire is a state where independents matter very much and turn out in large numbers. The primary allows unaffiliated voters to participate, thus boosting the number of participants from the middle of the political spectrum.

With the base of each party relatively deflated about the choices in 2012 (liberal Democrats are disappointed in Obama's record, while conservatives are not overly enthused about any of the front-runners), the 2012 election will likely come down to the person who can capture the center.

With Obama's approval ratings at a low ebb, Republicans have a major opportunity if they can win the hearts and minds of independents and centrist Democrats.

One of Mitt Romney's biggest selling points is that he offers the GOP the only candidate who can run as a moderate who is not beholden to the party's base. During one of the weekend debates he brushed back talk about making contraception illegal and tried to focus on his economic policy rather than social and cultural issues. He left the others to fight it out as to who was a "big-government conservative" and who was not.

In New Hampshire, Romney will have the first chance to show that his appeal to centrists is a strength.

Republicans in New Hampshire tend to fit the profile of the kind of conservative candidate who will have the greatest national appeal. While Republican party activists are often attracted to the candidate who can speak the language of the religious right, the Republican with the best chance of taking Obama in this election will be the fiscal conservative who pushes for lowering the deficit, lowering spending, and containing taxes, while avoiding the cultural issues that turn off moderates.

In 2008, according to ABC News, only 23% of the New Hampshire electorate said they were evangelicals, compared with 58% in Iowa this year.

Finally, New Hampshire looks more like a national election than does Iowa. While Americans like to think our political process works by retail politics, with candidates shaking hands and enjoying a meal at the local diner, the reality is that elections are won or lost on major media -- television, radio and the Internet.

The candidate who has the best ability to mount a national campaign is the person who can master the media, handling reporters and the 24-hour news cycle, and can amass the kind of money that is needed to buy TV ads In New Hampshire. It is simply not possible to win the state only by shaking hands. A candidate has to be able to do well on the screen.

This is a year when New Hampshire's verdict will be key in evaluating the Republican field. The test is not completely fair in that Romney comes from this region and even has a home in this state.

That said, being local is not a guarantee of victory. While a close victory in Iowa was certainly something that Romney can live with, he needs to have a very strong showing in New Hampshire to demonstrate that he is as electable a candidate as he has promised to be. He has to answer the kind of challenge posed in Sunday's debate, when Newt Gingrich said Romney would "have a very hard time getting elected" in a race against Obama.

At the same time, this is a major opportunity for Romney's opponents (especially Jon Huntsman) to show that they fit the bill as well, and that the prospect of Romney winning the nomination is not inevitable.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Iowa gave Santorum prominence but N.H. vote is likely to be more revealing

@highlight

He says the primary will test whether Romney is strong with centrist voters

@highlight

The primary has been a place to challenge establishment figures, Zelizer says

@highlight

Zelizer: Unlike Iowa, New Hampshire isn't decided by retail politics