(AOL Autos) -- Ah, that new car smell, that eau de car-logne; it does an ego good while it does a wallet bad. And now it turns out, it can do bad things to your health, too.

Air freshners can contain aldehydes, esters and ketones, industry spokesman says.

All these years, while we were being offered safety first, last and front, side and rear ways, hardly anyone in the vehicle industry had given much thought to what actually was in that perfume de profit, the new car smell that car buyers sought and bought.

As everyone knew, pollution related to vehicles originated from the exhaust pipe, not the shifter knob. It was spewed out the back of the rear, not the back of the rear view mirror. Well, what everyone thought they knew was wrong.

It turns out -- take a deep breath -- that most of that new car smell is not some carefully-compounded, luxury, feel-good incense to the Mammon gods. But the new car smell comes from toxic gases.

Not only that, but like a two dollar cologne, the effects can linger and linger for years, stinking up not only your shiny new car, but the reputation of the entire vehicle industry itself. AOL Autos: Best new small cars

Who says so? Just about everyone in the vehicle business these days. But the initiator was The Ecology Center (EC), a membership-based, nonprofit environmental organization based in Ann Arbor, Michigan. AOL Autos: 10 most fuel-efficient new cars

In a 2006 industry-awakening report entitled "Toxic At Any Speed: Chemicals in Cars and the Need for Safe Alternatives", this independent green organization declared that much of the material in most car interiors that produce that new car smell is made with toxic chemicals known to pose major public health risks.

The report went on to say that not only are vehicle drivers and passengers breathing toxic air, but are also in constant physical contact with dangerous chemicals leaching from just about every interior surface of a new vehicle. The report says these chemicals give off gases that not only contaminate the air, but also coat interior surfaces with toxic "fog," generally seen as that new car film common to new car interior windshields and windows.

These are the same type of chemicals that are, "linked to birth defects, impaired learning, liver toxicity, premature births and early puberty in laboratory animals amongst other serious health problems," according to EC.

Fake is probably as bad as real. The companies that market those "new car smell" products that are sold at car washes and auto accessories stores generally will not reveal product contents. One fragrance industry spokesman indicated they can contain artificial leather odor, plus aldehydes, esters and ketones, which are all organic or chemical compounds. AOL Autos: Safest cars under $30,000

Back to real. We are not speaking of plastic doodads here. There is an average of 250 pounds of plastic in new cars, the largest portion used for interior seat cushions, arm rests, door panels, steering wheels, dashboards, wire insulation and the plethora of aircraft-type knobs and switch controls throughout a car's cockpit. AOL Autos: 10 least expensive new cars

In addition to acettonitrile, decanol, formaldehyde, naphthalene and carbon disulfide used in foams, adhesives and fabrics, the two major problem chemicals in most new vehicles are (a) the PBDEs, which are used as fire retardants throughout the industry and (b) phthalates, which are widely employed to soften PVC plastics. AOL Autos: Best financing deals of the month

Extended research by the Ecology Center covered samples from model years 2000 to 2005 made by 11 manufacturers. Part of the research showed significantly higher levels of PBDEs in those vehicles as compared to those levels in homes and offices that had been measured in previous studies, making in-car pollution a major source of indoor air pollution and health danger. In the resultant table of contamination levels, Hyundai rated lowest and Mercedes highest in PBDEs. Volvo rated lowest and Hyundai highest in phthalates.

Not only are these toxic elements dangerous in any situation, but the combination of higher temperatures caused by the surrounding glass of windshields and windows and UV exposure from the sun can cause PBDE flame retardants to become even more dangerous with solar exposure, up to five times higher than in homes and offices.

Imagine the gas chamber you're creating by also smoking in the car, Jack.

Report coauthor and EC's Clean Car Campaign Director Jeff Gearhart wrote, "We can no longer rely just on seatbelt and airbags to keep us safe in cars. Our research shows that autos are chemical reactors, releasing toxins before we even turn on the ignition. There are safer alternatives to these chemicals ... "

The Ecology Center called for these actions:

Manufacturers: Should phase out PBDEs and phthalates in auto material parts.

Government: Should provide phase-out guidelines and provide technical assistance and research to vehicle manufacturers for development of alternatives. At a most recent count, nine states have passed laws banning two forms of PBDEs with at least six more coming aboard.

Vehicle occupants: Should minimize health risks by using solar reflectors, ventilating car interiors with open windows and non-recirculating air conditioning and parking out of direct sunlight whenever possible. In other words, get rid of that new car smell.

Although the automotive industry took notice of the report, there was no instant fire drill to rectify the status quo. Reaction to the report was slow-growing, but due to things green busting out all over, just about every vehicle manufacturer began to initiate research and development to reduce or eliminate built-in passenger compartment pollution.

Actually, research on toxic chemical reduction and elimination had been underway for some time in the electronic and electrical industries. As far back as 2003, the European Union had passed legislation requiring the phase-out of PBDEs. Companies like Apple, Dell, HP, IBM, Panasonic and Sony have already eliminated PBDEs from their products.

Addressing progress or lack of same in its recent Second Annual Report, the Ecology Center graded the country's eight leading car manufacturers on their plastics policies and practices.

The report said that Ford and Honda had made the most significant improvements since the original findings and had joined Toyota as the three leaders in using "safe" plastics for indoor auto parts by (a) use of bio-based materials, (b) improving interior air quality and (c) reducing the use of PVC.

Bio-based materials

Toyota led the group with a 'B' grade by developing an eco-plastic made from sugar cane or corn and building a pilot plant to produce it. DaimlerChrysler came in second through increased use of renewable materials, and Ford came in third for developing a soy-based foam and a bio-fabric for seating.

Interior air quality

Ford headed this group with a B for having four vehicles certified to an independent allergy-free standard. Toyota got a C+ in this group for its goal to reduce in-cabin VOC (volatile organic compound) levels in all vehicles globally by 2010, but it's noted that Toyota didn't say to what levels they would be reduced.

PVC reduction

Honda was tops with a B for removing PVC from most applications in its products. Also cited were Hyundai, Toyota and DaimlerChrysler for replacing PVC parts in some lines.

But not all is mountain fresh air in vehicleland. While these studies show progress, vehicle manufacturers still have miles to go before the interiors of their offerings are safe from "new car smell."

When grading the manufacturers that account for 94% of total vehicles in sales in the US, it resulted in the highest overall grade of a C+ for Toyota and a C for Ford, while the lowest score in this group overall was a D- for Volkswagen.

Much of Ford's good grading came from its Volvo component. Volvo, which had the Ecology Center's lowest emissions of phthalates and a lower incidence of the flame retardant PBDE than in most other cars, actually led the Ecology Center to encourage other car manufacturers to follow Volvo's example.

"Safety is more than crumple zones and air bags," said a Volvo spokesman. "All of our interiors comply with Oeko-tex 100, probably the toughest cabin standard being used today."

Oeko-tex 100 is an international environmental standard for textiles which demands that seat belts, carpets, thread and fabrics contain no harmful substances, that leather upholstery undergoes chromium-free tanning with natural plant substances and even smaller parts, such as handbrake buttons and steering wheel emblems, be tested as possible contact allergy sources.

Finally, the greenies also found their share of doubting Thomases, or in this particular case, Hermanns or maybe Hanses. A group of German scientists decided to conduct their own tests of indoor vehicle pollution. They ran tests of volatile organic compounds originating from the interiors of vehicles and concluded that there was no evidence of toxic effects when they exposed human lab cell cultures to cabin pollutants.

Although they declared their research showed no evidence of any health harm, the scientists didn't explain why so many people derive such pleasure from inhaling new car smell, which comes from alky benzenes, alkanes, formaldehyde and acetone. Or could it be that inhaling those fumes could lead the mind to such wondrous suggestions?

Either way, now that you have the facts about that once-desirable, now-controversial new car smell, you can breathe easier. Well, maybe not.

@highlight

Ecology Center study shows "new car smell" comes from toxic gases

@highlight

Effects of gases can linger for years

@highlight

Toyota, Honda and Ford lead in using "safe" plastics for indoor auto parts

@highlight

German scientists run alternate tests -- say no evidence of toxic effects