Meiktila, Myanmar (CNN) -- Nineteen-year-old Hnin Ei Phyu is on her knees at home, whispering her prayers. It's a small sign of normality in a community where things have been anything but normal in recent months.

This young Muslim woman can't go inside her family's mosque because it was shut down after being vandalized. And for more than a month, she had to say her prayers from inside a shelter at a nearby sports stadium in Meiktila, a city in central Myanmar.

Fearing for their lives, Hnin Ei Phyu's family fled their home on March 20 during the first of three days of rioting that tore apart this city of 100,000 people.

A wave of sectarian violence between Buddhists and Muslims resulted in the deaths of at least 43 people and displaced thousands more, according to the Myanmar government.

During the clashes, reportedly set off by a dispute between a Muslim gold shop owner and two Buddhist sellers, rioters set fire to houses, schools and mosques, while people were also beaten, doused with gasoline and set on fire.

Many Muslims complain that the police stood by and did nothing during the violence. The rioting was only stopped after President Thein Sein declared a state of emergency and called in the military. By then thousands had fled their homes in terror.

Meiktila's Muslims were heavily outnumbered and suffered the bulk of the casualties. Few remained in their homes because they were either destroyed by rampaging mobs or it simply wasn't safe for them to stay there.

It wasn't until earlier this month that Muslims whose houses were not destroyed were able to leave the shelters and return home.

"Tears came out of my eyes when I got back home," said Hnin Ei Phyu's mother, Thidar Hla. "I'm extremely happy to be back home." But the 43-year old said that when she walks down the streets of this predominantly Buddhist city, it's clear things are not the way they were before the riots. "We (Muslims and Buddhists) don't interact with each other the way we used too," she said. "People are keeping a mental distance between each other."

Thidar Hla and her extended family share a collection of rickety houses along a side street in a modest neighborhood of Meiktila. A security post manned by police and soldiers has been set up just a short walk away.

Similar arrangements are in place in other parts of the city where Muslims live -- a sign of the times since March. "There are soldiers and security guards on each end of the street," Thidar Hla said, before adding that she hopes they can keep her family safe.

But in areas that bore the brunt of the rioting, little has been rebuilt more than two months on. The blackened frames of burned down homes are all that stand in some places.

Metal sheets that once served as roofs now lie in pieces on the ashen ground. The government says it will replace all of the approximately 1,600 homes that were destroyed -- an easier task than repairing the trust between Muslims and Buddhists.

"Right now we don't trust them and they don't trust us," said U Aung Khin, a 50-year-old Buddhist man. Aung Khin is married with five kids between the ages of five and 24. He says he has numerous Muslim friends, but things have been strained since the riots.

"After this we don't really have to talk. It isn't necessary for us to talk with each other at all," he said. "I'm afraid to trust them right now." He said he used to buy meat from a Muslim butcher but won't now because he's afraid his food might be poisoned.

Meanwhile, Thidar Hla's family says they're playing it safe by buying their food from other Muslims. She has also instructed her daughter to stay close to home. She's a student at a local university that has not reopened since the riots.

Hnin Ei Phyu says she has several Buddhist friends at school and is hoping her relationships with them go back to normal. But she hasn't contacted them since the violence and they haven't been in touch with her.

Though Myanmar is about 90% Buddhist, Muslims have generally coexisted peacefully with the Buddhist majority -- their children go to school together and their parents often work together. But as with Meiktila, ethnic fault lines have been exposed in some areas as the country emerges from decades of military repression.

Last year, at least 110 people were killed in attacks on Muslims in western Myanmar's Rakhine State. The Muslim Rohingya people are a stateless Muslim minority living in Rakhine -- thought to number between 800,000 and one million -- who claim they were persecuted by Myanmar's military during its decades of authoritarian rule.

Myanmar does not recognize them as citizens or as one of the 135 recognized ethnic groups living in the country. Much of this is rooted in their heritage in East Bengal, now called Bangladesh.

Though many Rohingya have only known life in Myanmar, they are viewed by the Buddhist majority as intruders from across the border.

Across the country, a budding movement known as "969" has been spreading anti-Muslim sentiment by encouraging Buddhists to avoid Muslim-run businesses. "969" stickers are increasingly found in businesses and taxis in Yangon, the country's largest and most ethnically diverse city.

Police recently stepped up patrols in Yangon following the Meiktila clashes, though serious fighting has yet to spread there. However, in several communities within 100 kilometers (62 miles) of Yangon, Buddhist mobs reportedly vandalized mosques as well as Muslim businesses and houses.

The wave of religious unrest has prompted the 57-nation Organization of Islamic Cooperation (OIC) urge Burmese authorities to allow a delegation to visit Myanmar to discuss the issue -- a request the authorities in Naypyidaw have so far rebuffed.

@highlight

Hnin Ei Phyu's family fled their home during outbreak of violence in Meiktila

@highlight

The unrest pitted Muslims against Buddhist majority following shop dispute

@highlight

Myanmar's ethnic faultlines exposed as country opens up after military repression