NEW YORK (CNN) -- It's a historic event taking place on an international stage that's been seven years and $40 billion in the making.

The National Stadium, known as the Bird's Nest, is shrouded in smog on opening day of the 2008 Olympics.

Opening ceremonies last week of the 2008 Olympic Summer Games were lauded as the most spectacular in history, with pyrotechnics blasting from the top of Beijing, China's National Stadium and a synchronized fireworks display firing off across the capital.

What has been mostly absent from Beijing, however, are protests. Although a unified China is the image that country's government is eager to portray, many human rights groups allege that China has orchestrated a massive cover-up.

Beyond human rights, questions remain about whether China has kept its promises to the world to improve in two other major areas of reform: freedom of the press and pollution cleanup.

Human rights

"In the run up to the Olympics, it seems that Chinese authorities are so obsessed with projecting an image of 'stability' and 'harmony' ... that they have really come down quite hard on human right's activists and lawyers," said Sam Zarifi, Asia-Pacific director for Amnesty International.

In its report "The People's Republic of China: The Olympics Countdown -- Broken Promises," Amnesty International details what it calls a systematic persecution of dissident voices in Beijing and throughout China.

"The Chinese authorities have used the Olympics and the cleanup before the Olympics as an excuse to maintain and extend a draconian detention system that they had called re-education through labor," Zarifi said. "What that really means is that they're punished through forced labor to be taught a lesson ... and thousands of people who have ordinary complaints or demand reforms of the Chinese government have instead been rounded up."

The Amnesty report cites other human rights violations leading up to the Olympics. Amnesty accuses the Chinese government of using surveillance and detention to pursue family members of activists and blocking protesters from traveling to the capital city from other areas, such as China's Sichuan province, which was devastated by an earthquake in May that claimed the lives of nearly 70,000 people.

The Chinese foreign ministry criticized the Amnesy International report, saying it had a biased attitude toward China.

Ministry spokesman Liu Jianchao was quoted by China Daily in a news briefing saying, "We hope [Amnesty International] can take off the colored glasses it has worn for many years and see China in an objective way."

Beijing secured the Olympics in 2001 amid some controversy, with a tacit acknowledgment of concerns over its record on human rights, press freedom and environmental pollution. Even the day before the host city was announced, Wang Wei, then secretary general of the Beijing Olympic Bid Committee, said China was committed to change.

"We are confident that the games coming to China not only promote our economy but also enhance all social conditions, including education, health and human rights," Wang said. "We will give the media complete freedom to report when they come to China."

Press freedom

However, it was quite a different story for reporters as they arrived at the Olympic press center in Beijing. They discovered that many Web sites had been blocked, such as those with information about Tiananmen Square protests, Tibet, Taiwan or the Dalai Lama.

Internet sites are severely regulated throughout China, and limited access to some of the sites was granted only after reporters complained to the IOC.

The same official who assured the international media of "complete freedom" in 2001 took a somewhat different tone last week.

"Yes, we promised to provide free access to the Internet, except for a few [Web sites] that would jeopardize our national security and would not be good for the healthy growth of our young people," said Wang, who is now the executive vice president of Beijing's Olympic organizing committee.

In a statement provided to The Associated Press, Wang said, "As in any other country, there are some kinds of limitations ... however, I think we are going to provide sufficient access for the media to cover the games."

Critics of China's policy on a free press said the problems run much deeper than the lack of access to some Web sites from the Olympic Village.

"China's political reality is a place where no freedom of expression will really be allowable ... this goes for the Chinese people and the foreign journalists," said Xiao Qiang, director of the China Internet Project at the University of California, Berkeley. "[China] is always afraid that if it lets its own people speak freely and spontaneously organize by itself, the Chinese communist party could be endangered or even be threatened."

Foreign journalists in China for the Olympics complain that access to report on anything that extends beyond sporting events has been severely limited. Xiao points to the recent beating and detention of two Japanese journalists who were investigating an alleged terrorist attack in northwestern China as a sign of a government that is not used to a free press.

"They also feel since they got the Olympics, the world is coming anyway by this point, they can just do what they want and just let the world tolerate rather than have to fundamentally change their own behavior," Xiao said.

Chinese officials later apologized for the beating incident.

Pollution

A third major commitment by China in its Olympic bid was to clean up pollution in Beijing. Although government readings on pollution have gone down in the years since China won the bid, they still routinely far exceed World Health Organization guidelines. And at least one American-based environmental consultant believes that China has purposely manipulated its own pollution statistics to give a false impression that more progress has been made.

"Beijing's public air quality reporting has been a misinformation campaign," said Steven Q. Andrews, author of a scientific report on China's air quality and two opinion-editorials on the topic for the Asian edition of The Wall Street Journal.

Andrews cites the closure of two air quality monitoring stations in heavily trafficked areas of Beijing in 2006 as the reason why the number of "Blue Sky days" increased in the past two years.

The Blue Sky program was instituted by the governments in major cities across China as a system to measure acceptable levels of pollution. The criteria for a "Blue Sky day" are still below what many industrialized countries consider good air quality.

When the program was launched in 1998, Beijing had only 100 "Blue Sky days," but last year, that figure rose to 246, a report the Chinese state media hailed as a major improvement.

When asked about the allegations that air quality monitoring stations were shut down, Du Shaozhong, the deputy head of the Beijing Environmental Protection Bureau, said, "this phenomenon does not exist," according to Time magazine.

Chinese officials did not respond to CNN's request for an interview.

Despite official assurances that the air is safe for competition, athletes and fans have expressed concern over the thick smog covering the entire city.

The American Lung Association went so far as to issue a warning to those attending the games. "Individuals traveling to the 2008 Olympic Summer Games should plan and prepare for the high levels of outdoor pollutant in Beijing ... [and] limit or avoid outdoor exercise," it said.

Beyond highlighting the discrepancies between China's promises and actual reform, critics interviewed by CNN about all three major areas shared one common sentiment: disappointment.

"This is really a significant opportunity lost for the Chinese government to show to the world that they really trust their own people ... a sign of a China that is ready to take its place in the first ranks in the nations of the world," said Amnesty International's Zarifi.

@highlight

China has spent $40 billion, seven years planning for 2008 Olympic Games

@highlight

In 2001, China promised to improve human rights, press freedom and pollution

@highlight

Beijing official: Free Internet jeopardizes national security, detrimental to youth

@highlight

Experts disappointed in 'significant opportunity lost' for reform, improve world view