For a while, Iraq faded from the collective consciousness. But what's happening there should make people sit up and take notice.

Extremist militants have overrun Mosul, the country's second-largest city. As many as half a million civilians have fled their homes to escape the violence, and the brazen incursion has highlighted all the weaknesses of the government's ability to maintain security.

Here's how things got to this point.

So, what happened?

Monday night into Tuesday, militants seized Mosul's airport, its TV stations and the governor's office. They freed up to 1,000 prisoners.

Police and soldiers ran from their posts rather than put up a fight, abandoning their weapons as they went. The militants took their place in the city's boulevards and buildings.

"There was no presence of any government forces on the streets, the majority of their posts destroyed and manned by (Islamist militants)," resident Firas al-Maslawi said.

An audio recording purportedly from the Islamic State in Iraq and Syria promises more fighting in more Iraqi cities, including Baghdad.

"Continue your march as the battle is not yet raging," a voice said to be that of ISIS spokesman Abu Mohammed al-Adnani says.

Why is this significant?

Mosul is the nation's second-largest city. What's happening here doesn't bode well for Prime Minister Nuri al-Maliki's administration. It calls into question whether he has a handle on the country.

The devastating militant advance, which had been building for some time, is proving an object lesson of much that is wrong in Iraq and the region -- growing sectarian tensions at home and a festering civil war over the border in Syria.

It also shows that the extremists are seeking to extend their influence and can strike swiftly and effectively against Iraq's American-trained security forces.

Who are the militants?

They're part of the Islamic State in Iraq and Syria, or ISIS, an al Qaeda splinter group. Here's how extreme the militant group is: Even al Qaeda has disowned it.

The Mosul siege has made ISIS the single most dangerous, destabilizing radical group in the region.

The group is also known by some as the Islamic State in Iraq and the Levant. Its members include Europeans as well as Chechens, Turks and many fighters from other Arab countries, some attracted by the conflict in Syria.

How to respond to the ISIS threat

What do they want?

They want to establish an Islamic caliphate, or state, stretching across the region.

ISIS has begun imposing Sharia law in Syrian towns it controls, like Raqqa, forcing women to wear the full veil, or niqab, in public and banning music.

Have they made such incursions before?

Yes. In past months, they've wrested control of Iraqi cities like Falluja and parts of Ramadi from authorities, just as they've done with Syrian towns over the border.

Militants believed to be from ISIS have also taken control of two villages in Iraq's Kirkuk province and seized parts of the oil town of Baiji in Salaheddin province, authorities said.

Have they been able to keep their control?

Not really. Despite the territorial advances it has made in Sunni-dominated Anbar and Nineveh provinces, ISIS still has "significant weaknesses," a U.S. counterterrorism official says.

"It has shown little ability to govern effectively, is generally unpopular, and has no sway outside the Sunni community in either Iraq or Syria."

How is all this tied to Syria?

ISIS grew out of al Qaeda in Iraq. In the west of Iraq, its militants were responsible for killing and maiming many U.S. troops. In 2006, their commander -- the bloodthirsty Abu Musab al-Zarqawi -- was killed in a U.S. strike.

In the years afterward, with American help, Iraqi tribal militias put the al Qaeda upstart on the defensive.

But when U.S. troops left, the extremist militants found new leadership, went to Syria, grew stronger and returned to Iraq, making military gains often off the backs of the foreign fighters drawn to Syria's conflict.

Now the group has footholds in both countries and is blamed for destabilizing both.

In Syria, where its forces have clashed with other Islamist groups, observers say the internecine fighting has played into the hands of Bashar al-Assad's regime by distracting rival factions from their campaign against the Syrian military.

What's the situation in Mosul right now?

More than 500,000 civilians have fled since the fighting started over the weekend, according to the International Organization for Migration.

The northern city's four main hospitals are inaccessible because of fighting, and some mosques have been converted to clinics, the IOM said.

There's a lack of drinking water in the western part of the city since the main water station for the area has been destroyed by bombing. Food is running low and few areas are receiving electricity, while fuel for generators is also running out.

What does this mean for Iraq?

While Iraq is plagued by multiple daily car bombings and suicide attacks, the sheer scale of the attack on Mosul -- and the brewing humanitarian crisis tied to it -- bodes ill for the country's stability.

According to the United Nations, last year was Iraq's most violent in five years, with more than 8,800 people killed, most of them civilians.

Already this year, almost half a million people have been displaced from their homes in central Anbar province by fighting between the same extremist group and government forces.

One major reason Mosul made headlines is how swiftly the city, to all intents and purposes, fell.

What does this mean for the United States and the West?

The last U.S. military forces left Iraq at the end of 2011, after nearly nine years of deadly and divisive war in the country.

Talks that might have allowed a continued major military presence broke down amid disputes about whether U.S. troops would be immune to prosecution by Iraqi authorities.

Iraq's security forces, trained by the United States at a cost of billions of dollars, have proved unable to dislodge the militants from strongholds in Anbar province and have now been routed in Mosul.

The result seems likely to be continued or growing instability in Iraq and the wider region.

This, at a time when the global economy is recovering, could have an unwelcome impact on oil markets.

There's also concern that foreign fighters with ISIS may go back to their native countries, in Europe and elsewhere, and carry out terror attacks there. That worry was heightened last month by the shooting deaths of four people at a Jewish Museum in Belgium; the suspect, according to French officials, recently spent a year in Syria and is a radicalized Islamist.

@highlight

As many as half a million civilians have been forced from their homes

@highlight

The advance is proving an object lesson of much that's wrong in Iraq

@highlight

The Islamic State in Iraq and Syria is so extreme that even al Qaeda has disavowed it