Singapore (CNN) -- How do you sell a missile? Giving it a name that conjures up images of destruction or protection is a good start; weapons called "Iron Dome defense system" or "Predator" are unequivocal.

However, a fearsome title alone won't clinch a multi-million dollar sale, so military trade events like air shows give weapons manufacturers a chance to show off their products -- even if the hard sell has been done over months and years of networking and negotiations.

"There's no new business here, but new sales prospects," says Mikael Olsson of Saab Technologies.

The Swedish arms maker's stall at the Singapore Airshow has a full size simulator of their anti-aircraft defense system, the prosaically named RBS70 NG. Like similar demo models in the voluminous hall, it attracted the attention of passing visitors, and some potential new customers, commonly referred to as "pop-ups."

Doing military's dangerous, dull and dirty work

Demonstrated by Olsson's colleague Hakan Bystrom, it seems more like playing a video game with a cool piece of kit than a weapon capable of blasting an enemy jet out of the sky.

"Systems are getting more technical, so making them easy to operate is a strong selling point," says Bystrom. Over the years the RBS70 has been sold in 18 countries, though Bystrom says he doesn't think it's ever been used in a combat situation.

While plenty of technical detail and test footage can be used in support of any demo, being able to say a weapon has been used in combat situations gives it far more kudos.

"Most of our products are combat proven," says Amit Zimmer of Israel's Rafael Advanced Defense Systems, standing next to full-size models of missiles. "We live in a test range, unfortunately it's one of our advantages. There is a big difference between a PowerPoint presentation and combat-proven systems."

Some manufacturers are less keen to talk to people outside the industry about what their weapons do, but Zimmer is happy to describe the capability of some of Rafael's munitions, including a new short-range "Spike" -- "the baby of the group" -- that he claims can be directed from kilometers away through any window of your choice.

"You have to know how to fit yourself to the customers needs... sometimes you have to make tailor-made things," he says.

"People come to us and say, 'Look we have a problem with our border, what solutions can you give us?'"

Most of the military products on display are marketed as defensive rather than offensive, with "protecting assets" and "commanding combat zones" being common terms.

Missiles are increasingly promoted for their accuracy and ability to minimize collateral damage -- confirming a trend that so much modern warfare takes place in urban or civilian areas.

Some are surrounded in obfuscating terms and industry jargon, like blast patterns, CP -- that refers to a weapon's accuracy -- or J-effect, when a bomb bounces and doesn't explode.

Others are more upfront about what their munitions actually do. MBDA Missile Systems, Europe's largest missile manufacturer and owned by the continents big aerospace companies, has a promotional video playing on its stand showing weapons destroying moving cars and other real targets in combat in Afghanistan and Libya.

"I would say that our customers have been over satisfied with how our systems have worked," says MBDA's Daniel Petit, in reference to their use by the British and French air force in the recent conflict in Libya.

But regardless of how a weapon is marketed it's getting harder to sell, as more countries are trying to become manufacturers and not just purchasers.

"The whole industry is currently changing. It's harder to sell (in the Asia region), mainly because of stricter rules and anti-corruption measures," says Olsson. "Now it's a lot more about transfer of technology (between countries) and partnerships.

"In the end to sell your products you simply need to be the best at the cheapest price."

@highlight

Trade events like air shows give weapons manufacturers a chance to show off their products

@highlight

Swedish arms maker' Saab has full size simulator of their anti-aircraft defense system

@highlight

Saab: "Systems are getting more technical, so making them easy to operate is a strong selling point"

@highlight

Most military products on display are marketed as defensive rather than offensive