Washington (CNN) -- Fliers beware. As soon as Monday, travelers nationwide could face flight delays because of the federal spending cuts, with delays averaging 10, 20, and 30 minutes at major hub airports during peak periods, but soaring on days when controller furloughs force airports to shut down runways.

In those infrequent circumstances, delays could exceed an hour at Los Angeles International and hit three-and-a-half hours at Atlanta's Hartsfield-Jackson airport, top federal transportation officials warned.

Airlines ask court to block FAA furloughs

And those delays, long as they are, could grow longer if compounded by bad weather or equipment failures, officials said.

A dour Secretary of Transportation Ray LaHood and his Federal Aviation Administration chief, Michael Huerta, briefed the airlines on Tuesday and reporters on Thursday, saying the public needs to be informed about the impending impacts of the forced spending cuts, known as the sequester.

The Department of Transportation needs to cut $1 billion from its budget, with some $637 million of that coming from the FAA's $16 billion budget.

Congressional Republicans say the DOT could have chosen less harmful cuts. But LaHood, himself a Republican, says there's no way to cut $1 billion without impacting services.

"We have done everything (possible) to find a billion dollars, and if we had our way we probably wouldn't be sitting here," LaHood said. "This is very painful. This is not what we signed up for. This is a dumb idea. Sequester is a dumb idea. Not one person in America would use the sequester to figure out their budget. It's a meat-ax approach."

LaHood and Huerta said impacts will reduce the efficiency of the system, but will not imperil passengers' safety.

"I want to make it abundantly clear, we will not take a backseat to safety during sequestration," added LaHood.

Furlough notices have been sent to the DOT's 55,000 employees, telling them that they will be placed on unpaid leave for 11 days by September 30, the end of the fiscal year. All employees face furloughs, including the 47,000 FAA employees, many of whom are air traffic controllers.

"We cannot avoid furloughs," LaHood said.

Huerta said the nation's large hub airports face "heavy to moderate" delays, and delays are likely to ripple to other airports.

The impact is uneven at the hub airports because of differing traffic volumes and configurations, he said. Airports can have intersecting or non-intersecting runways, single or multiple control towers, and varying technology.

Furloughs will be managed at the airport facility level, LaHood said.

In an effort to predict the impact, the FAA studied actual airport traffic at 13 major airports on March 29, a clear weather Friday. Mondays and Fridays traditionally are the busiest air travel days.

The FAA looked at the actual traffic and the rate at which it can accept aircraft and calculated the impact of fewer controllers.

The FAA said its study showed a "wide range of impacts," and it predicted "average delays" and "maximum delays" at six airports it considers illustrative:

Newark's Liberty: Average delay: 20.5 minutes. Maximum delay: 51 minutes. The FAA said peak air traffic already exceeds the airport's capacity. A reduced staffing could lead to ground delays, which is a hold on traffic at the originating airport until the load is reduced.

New York City's John F. Kennedy: Average delay: 12 minutes. Maximum delay: 50 minutes. The FAA expects it will have to introduce ground-delay programs to meet afternoon demand on busy days.

New York City's LaGuardia: Average delay: 30.5 minutes. Maximum delay: 80 minutes. The airport's small, compact size contributes to difficulties storing planes on the ground, Huerta said.

Chicago O'Hare: Average delay: 50.4 minutes. Maximum delay: 132 minutes. O'Hare has two towers. Furloughs will lead O'Hare to occasionally shutter one of its two control towers, closing one runway and reducing takeoffs and landings.

Los Angeles International: Average delay: 10.1 minutes. Maximum delay: 67 minutes.

Atlanta Hartsfield-Jackson: Average delay: 11.3 minutes. Maximum delay: 210 minutes. Safety limitations could create situations where the FAA would not be able to use all of the airport's five parallel runways.

The FAA said it plans to release predictions for seven other airports: Miami, Fort Lauderdale, Philadelphia, Charlotte, Chicago Midway, San Diego and San Francisco.

LaHood said the FAA shared the information with airlines on Tuesday.

The officials called the maximum delays "an estimate... a forecast." Of the most extreme delays, Huerta said, "We think they will be infrequent."

Criticism came from all directions Thursday.

Airlines for America, which represents major U.S. airlines, said it is reviewing legal options to prevent the furloughs.

"We have consistently said -- and we have three, third-party legal opinions affirming -- that the FAA has the discretion to implement cuts without furloughing air traffic controllers," said spokeswoman Jean Medina.

Sen. Jerry Moran, R-Kansas, said "savings can and should be found elsewhere."

"I am baffled by the administration's continued insistence on putting its top-line message -- that we can't cut a dime without severe consequences -- before the safety and well-being of Americans."

Sen. Jay Rockefeller, D-West Virginia, blamed Republicans for "refusing to work" for a budget compromise and slammed the FAA for not doing more to warn the public.

"I am deeply disappointed that the agency has failed to inform the public on how dramatically their travel plans will be impacted in the days and weeks ahead," he said. "The FAA immediately needs to do substantially more to explain the impact of sequestration on the traveling public."

Industry groups said the impact of furloughs would be far-reaching.

"For the airlines, it means significant cuts in capacity and major financial losses," said the Air Line Pilots Association, International. "For pilots, it could span from challenges getting to work to losing their jobs. For passengers, it could mean a lot of time waiting in airports and not making it to their destinations on time."

A group representing airports Thursday also warned that the FAA furloughs could impact passengers. Airports Council International - North America said it is "standing ready to assist passengers whose travel plans are disrupted by sequestration-related furloughs."

The FAA also plans to close control towers at 149 small- to medium-sized airports on June 15. It postponed plans to close the airports beginning April 7 to give airports a chance to find alternate sources of funds for the towers.

@highlight

Transportation officials say travelers will wait, and wait, and wait out effects of sequester

@highlight

"This is very painful ... Sequester is a dumb idea," says Secretary LaHood

@highlight

Delays could run from minutes into hours at major airports with fewer controllers

@highlight

Weather problems could make delays even longer