(CNN) -- Throughout the world, but mainly in Europe and parts of Asia, numerous palaces, castles and chateaus have been carefully converted into deluxe lodgings -- rich in history and, understandably, often in cost.

Some of the finest include the newly opened Four Seasons Lion Palace in St. Petersburg and the recently renovated Gritti Palace in Venice -- both among the selection featured below.

Excluded in this list are the well-known palace hotels of India in order to highlight similar-ish accommodations available in other countries.

Please let us know other great stays you've experienced.

La Posta Vecchia, Rome

Located 30 minutes outside of the Italian capital, La Posta Vecchia was built in the mid-17th century by the Renaissance Prince Orsini.

In the 1960s, oil tycoon J.P. Getty bought and restored it, salvaging many original artifacts while simultaneously reinvigorating the palace with pieces from his own art collection.

Today, the hotel balances ancient and contemporary themes, with priceless antiques alongside modern features such as an indoor pool and a helipad.

Highlight: The hotel's private museum, housing ruins dating back to the second century B.C.

La Posta Vecchia, Strada Ciclabile Palo Laziale, 00055 Ladispoli, Rome, Italy; + 39 06 994 9501; standard rooms from US$350 a night

Hotel Vestibul Palace, Split, Croatia

Part of Diocletian's Palace, an immense bastion built by the Roman emperor in the fourth century A.D., the Hotel Vestibul Palace is located within the Peristile square, a place once reserved for the gods.

The hotel teems with history outside but inside things are mostly modern and the contrast of contemporary furnishings sitting next to 1,500-year-old walls allows one to appreciate the surroundings all the more.

Highlight: Figuring out which era parts of the palace are from, with the hotel merging Romanic, Gothic and Renaissance periods.

Hotel Vestibul Palace, Ulica Iza Vestibula 4  21000, Split, Croatia; +385 21 329 329; standard rooms from US$150 a night

Aman at Summer Palace, Beijing

Beijing's grand Summer Palace is one of the most popular sights of the Chinese capital and only a group like Aman Resorts would dare try match it, let alone exceed it, with a hotel.

The Aman at Summer Palace is near the East Gate of the palace and comprises a series of 100-year old pavilions that were previously reserved for guests of the Empress Dowager. Imperial Chinese intricacies are abundant, including Ming Dynasty-style furniture and a number of private pavilions in the suites.

Highlight: The Reflection Pavilion, a peaceful setting with a lotus pond where guests can enjoy drinks and cigars.

Aman at Summer Palace, 1 Gongmenqian Street, Summer Palace, Beijing, PRC 100091; +86 10 5987 9999; standard rooms from US$1,050 a night

Mamaison Suite Hotel Pachtuv Palace, Prague, Czech Republic

Once Mozart's temporary home in the Czech capital, the Pachtuv Palace was the residence of Earl Hubert Karel Pachta, who purportedly locked the composer in a room until he finished Don Giovanni.

To be fair, there are worse places you can be imprisoned, with each of the hotel's 50 suites restored: frescoes line the ceilings, fireplaces roar in the corner, four-poster beds offer a noble sleep.

Highlight: The two gorgeous Baroque-style courtyards, which allow you to escape the city.

Mamaison Suite Hotel Pachtuv Palace, Karoliny Světlé 34,  110 00 Praha, Czech Republic; +420 234 705 111; standard rooms from US$180 a night

Hotel Imperial, Vienna, Austria

Built as the Vienna home of Philip of Württemberg, the Hotel Imperial originally housed the prince from 1863 to 1865, until a city planning problem saw him move on.

In 1873, an investor bought the property in time for that year's Vienna Expo, converting the numerous halls into individual hotels rooms while retaining many regal touches.

Little has changed since, with the palace's 150-year history available to all who stay at the hotel: ornate 19th-century chandeliers, crest-embossed drapes and endless relics.

Highlight: The traditional personal butler service, which comes with every suite.

Hotel Imperial, Kärntner Ring 16, 1015 Vienna, Austria; +43 1 50 1100; standard rooms from US$630 a night

Hotel Gritti Palace, Venice, Italy

Venice has an endless number of "palaces" converted into hotels, but few match up to the opulence of the Gritti.

Constructed in the 16th century for the city's "Doge" (Duke), it was later used to welcome Vatican ambassadors, before finally being turned into a hotel in the late 1800s.

Following a 15-month renovation, the hotel re-opened this spring, with each of its 82 rooms restored with the Renaissance in mind.

Highlight: The Explorer's Library, paying homage to the hotel's many literary guests, including Ernest Hemingway and W. Somerset Maugham.

Hotel Gritti Palace, Campo Santa Maria del Giglio, 2467  30124 Venice, Italy; +39 041 296 1222; standard rooms from US$1,300 a night

Chateau de Saint-Loup, Loire Valley, France

The year is 1356 and the Hundred Years' War ravages on -- the Battle of Poitiers has just taken place and Edward the Black Prince has captured the King of France, Jean le Bon, imprisoning him in a castle keep in the Loire Valley.

Jump forward nearly 700 years and that keep still stands as part of the privately owned Chateau de Saint-Loup hotel.

Guests are treated to a truly medieval experience, with accommodation choices in the gorgeous 17th-century chateau, in the 12th-century tower square or within the keep itself.

Highlight: The appropriately named Black Prince suite, with such medieval touches as his-and-her baths and a granite fireplace.

Chateau de Saint-Loup, 79600 Saint-Loup-Lamairé  France; +33 5 49 64 81 73; standard rooms from US$150 a night

Amberley Castle, Sussex, England

Dating back more than 900 years, Amberley Castle was once owned by Queen Elizabeth I. Today, the castle incorporates 19 spacious yet traditional suites, a tennis court and a golf course.

Battlement towers previously used to keep watch on the numerous conflicts in the area still keep watch, and an 18-meter high wall still stands.

Highlight: The still-working portcullis, which is closed every night just past the stroke of midnight.

Amberley Castle, Amberley, Arundel, West Sussex BN18 9LT; +44 017 9883 1992; standard rooms from US$830 a night

Ciragan Palace Kempinski, Istanbul

Considering Istanbul's strife-torn history, it's almost a miracle the Ciragan Palace has survived. It housed two separate sultans during its lifetime, before a great fire destroyed much of the site in the early 1900s.

A 1989 effort restored its original architecture as a hotel complex.

It's now run by the Kempinski Hotels group and a recent 2007 renovation has seen even more palatial features reinstated.

Highlight: The Sultan Suite -- at more than US$41,400 (plus 8% VAT) a night -- is one of the most expensive suites in the world.

Ciragan Palace Kempinski, Yıldız Mh., Çırağan Cd, Beşiktaş, Turkey; +90 212 326 46 46; standard rooms from US$540 a night

Tivoli Palacio de Seteais, Lisbon, Portugal

Built in the late 1700s exclusively for a powerful Dutch consul, before being sold to the Marquis of Marialva, Lisbon's Palace de Seteais is a grand escape located in the UNESCO World Heritage town of Sintra.

Considered a national monument, the entire first floor of the palace is open to the public, with reception halls, salons and other areas containing a number of frescoes and tapestries.

The second floor holds the 30 guest rooms, each retaining the palace's 18th-century style through antique furnishings and immense space.

Highlight: The Classic Suite is a huge room designed in a number of styles, including Louis XVI, Imperial and Neo-classical.

Tivoli Palacio de Seteais, Rua Barbosa Du Bocage 8, 2710-517 Sintra, Portugal; +351 21 923 3200; standard rooms from US$310 a night

Four Seasons Hotel Lion Palace, St. Petersburg, Russia

A true sign of Russia's luxurious dreams, the Lion Palace is the Four Seasons' first hotel in Russia.

Originally built in the 19th century for the exquisitely named Princess Cleopatra Lobonova-Rostovskaya, it spent much of its life as upscale apartments for her royal friends and family, before falling into a state of disrepair in the 1900s.

Re-opened just last month, the hotel has regained its palatial status, with its central location and majestic rooms transporting guests back to Tsarist Russia.

Highlight: The granite grand staircase, which leads to the Presidential suite and has been recreated with the nearby Hermitage and Winter Palace in mind.

Four Seasons Hotel Lion Palace, Voznesensky Ave, 1, St Petersburg, Russia, 190000; +7 812 339 8055; standard rooms from US$300 a night

Xara Palace, Mdina, Malta

The Maltese city of Mdina is itself a historic wonder: a UNESCO World Heritage Site whose history was influenced by the Knights of St. John. Built by the Knights in the 17th century as a residence for the royal Moscati Parisio family, the Xara Palace was reopened in 1999 as an exclusive 17-room Relais & Chateaux hotel.

Rooms are simple yet refined, paying tribute to the order through numerous antique paintings.

Highlight: The award-winning de Mondion restaurant, offering traditional dishes with 180-degree views of the city.

Xara Palace, Misrah il-Kunsill, Mdina MDN 1050, Malta; +356 2145 0560; standard rooms from US$410 a night

@highlight

Venice has many "palaces" converted into hotels. Few match the opulence of the Gritti

@highlight

Beijing's Aman at Summer Palace includes 100-year old pavilions previously reserved for guests of Empress Dowager

@highlight

The Sultan Suite at Ciragan Palace Kempinski in Istanbul costs $15,000 a night