(CNN) -- With more than 6,000 years of history, China's ancient capital of Nanjing has been the birthplace of many of the country's most intriguing traditional arts.

Today, a handful of skilled artisans are keeping these endangered practices alive.

Sophisticated and elegant yet not exclusive to the wealthy, these six Nanjing art forms offer insight into China's diverse yet dwindling collection of intangible attractions that, for the most part, remain hidden behind studio doors.

CNN sent Sun Chen, a Nanjing-based photographer, to visit six studios in the city and talk with the artisans.

Engraved Buddhist scrolls

Sitting in a traditional Chinese building with a scenic garden, Nanjing's Jinling Buddhism Publishing House was founded in 1866 by a Buddhist scholar.

Today, the building also serves as his resting place.

The printing house specializes in engraved Buddhist scrolls utilizing a technique that can be traced to the Tang Dynasty (618-907) -- the technique was recognized as an intangible cultural heritage of humanity by UNESCO in 2009.

First, engravers carve Buddhist sutras onto wooden blocks, which are then printed onto paper.

The scrolls are then sorted and bound by hand.

"It takes half a month to complete a wooden plate of 800 words," says nationally recognized senior engraver Ma Meng-qing, who has worked at Jinling for 33 years.

"Some of the more famous sutras, like the Diamond Sutra and the Heart Sutra, each consist of 16 wooden plates."

The house stocks more than 130,000 plates carved with Buddhist sutras and images.

Called the "Jinling version," products from Nanjing are highly regarded among Chinese temples for their accuracy and clear layouts.

Jinling Buddhism Publishing House, 35 Huaihai Road, Bai Xia District, Nanjing; open only by appointment

Paper cuts

Drawing a Chinese language character with a single brush stroke is difficult enough -- try swapping the paint brush for scissors.

Added to the UNESCO Intangible Cultural Heritage of Humanity list in 2009, paper cutting is a folk art practiced by various ethnic groups in China.

But Zhang Fang-lin, aka "Jinling Holy Scissorhands," says Nanjing's creations are unique.

"Flower within flower, theme within theme; roughness with delicacy, rawness with spirit," says Zhang.

This means smaller patterns and stories are hidden within the larger framework of the artwork.

Nanjing's paper-cut artwork is known for its curves and complicated lines, a technique that's been refined by Zhang's family.

Zhang is the fourth generation of his family in the business.

After China's state television CCTV showcased his work in 2013, pirated versions of his Chinese zodiac designs started appearing all over the country.

Legend has it that his skill was challenged only once.

He responded by cutting out two circles separately from two pieces of paper. Amazingly, the two circles overlapped seamlessly.

In the past, paper-cutting artists were hired to craft art to be placed on wedding dowries as a blessing.

Today, paper cuttings are placed on walls and doors during celebrations.

Nanjing Folk Custom Museum (Gan's Grand Courtyard), Zhongshan South Road, Bai Xia District, Nanjing

Velvet flowers

Zhao Shu-xian is the only acclaimed velvet flower artist in China.

During Sun Chen's recent visit to his Nanjing studio, he was found cutting tiny pieces from a long black stick of velvet, and using them as the noses and eyes of the mini-velvet pandas he was making.

"Master Zhao doesn't like talking about his background, he would rather stick to art," says Chen of his visit with the artist.

Sharing a similar pronunciation as the word for "prosperity" in Chinese, rong-hua (velvet flower) is seen as a lucky charm in China, especially during weddings and festivals.

The Chinese word for velvet flowers actually refers to all figures made from thin copper sticks covered with silk velvet.

With their delicate and elegant features, they became especially popular as accessories among royal and noble families in ancient China.

The folk craft prospers in Nanjing thanks to the generous supply of silk scraps left from making brocade -- another well established handicraft in Nanjing.

To make silk velvet flowers, the silk is boiled to soften its texture before being dyed. Then, it's rolled evenly onto thin copper wires.

The velvet sticks are twisted into different shapes.

Zhao has been making velvet flowers for more than 40 years and is keen to modernize the art's image.

So far so good -- Chinese actress Yao Xing-tong wore one of his pieces on her red carpet dress at Cannes in 2012.

Nanjing Folk Custom Museum (Gan's Grand Courtyard), Zhongshan South Road, Bai Xia District, Nanjing

Yunjin (Brocade)

Nanjing's silk brocade is known as "yunjin" in Chinese, meaning "beautiful as clouds at sunset."

It's extremely difficult to make.

A craft dating back more than 1,500 years, silk brocade is still produced with an old-fashioned wooden weaving machine.

The four-meter-high machine is operated by two craftsmen at the same time -- one sits on top of the machine sorting threads while another sits at the other end and weaves.

A team can produce only five centimeters of yunjin per day.

The handicraft is another named to UNESCO's Intangible Cultural Heritage of Humanity list in 2009.

Nanjing Brocade Museum, 240 Chating Dong St., Jianye District, Nanjing

Lantern-making

In the first lunar month of every year, master Cao Zhen-rong and his studio are responsible for creating some 10,000 lanterns for Nanjing's Lunar New Year celebration.

Cao started making lanterns when he was 12, under the guidance of his father.

"From sourcing the materials to gluing the lanterns, around 30 procedures are involved in making each lantern," says Cao.

Since the Southern Dynasty (420-589), the area in front of the Confucius Temple along Qinhuai River has been famous for putting on the most festive lantern show in the country.

As a Chinese folk belief goes -- one that Nanjingers proudly recite -- "Qinhuai's lanterns triumph the world."

Lantern viewing is still one of the most popular things to do during the festival.

Each year, Cao and his studio begin working on next year's lanterns on the 18th day of the first lunar month.

The staff were in the midst of preparing lanterns for 2015, the Year of the Sheep, during photographer Sun Chen's visit, but he says they were kept under wraps. No sneak peeks allowed.

Lanterns are sold in the market around Confucius Temple and can be seen in the area during the Lunar New Year festival.

Gold leaf

"There were gold leaves everywhere in the studio," says Sun of his visit to one of Nanjing's gold leaf workshops.

"I have never seen that much gold in my life."

The Jiangning district of Nanjing, where gold leaf is produced, has officially been dubbed "China's gold leaf city."

Nanjing reportedly produces 70% of China's and 60% of the world's gold leaf.

To make the leaves, a gold cube has to go through a dozen processes to reach its 0.12-millimeter thinness.

A gram of gold can be hammered into a 0.47 square-meter gold leaf.

Finished gold leaves are used to plaster the surfaces of Buddhist sculptures in temples.

They also have various uses from architecture to even food.

Sun Chen is a photographer based in Nanjing.

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However, CNN retains full editorial control over all of its reports.

@highlight

China's ancient capital, Nanjing is home to many endangered folk crafts

@highlight

Craftsmen at Jinling Buddhism Publishing House engrave sutras on wooden blocks used for scroll printing

@highlight

Zhang Fang-lin's paper-cutting mastery earned him the nickname "Jinling Holy Scissorhand"

@highlight

Nanjing's silk brocade is called "yunjin" in Chinese -- which means "beautiful as clouds at sunset"