(Travel + Leisure) -- No matter how many times he steers the 450-passenger Seabourn Sojourn through Norway's Lofoten Islands, captain Hamish Elliott eagerly anticipates his favorite point: the entrance to Trollfjord, a fairytale-like landscape with towering cliffs on either side.

Scenic views are the most priceless part of an amenity-packed cruise experience. And, as savvy travelers seek more adventure opportunities, cruise lines are responding by charting a course to ever more beautiful-and remote-corners of the map.

The world's most scenic cruises include the Kimberley, a gorgeous coastline of rugged red cliffs and white sands in northwestern Australia.

In this outback, where the Indian Ocean meets the Timor Sea, remote islands proliferate, and rivers and inlets-accessible only by small ships-lead to isolated gorges, towering rock faces, and waterfalls.

But big ship lines, too, are bringing passengers to ocean-accessible scenic wonders like Alaska's Inside Passage, where the roar of calving glaciers is best experienced from the vantage point of a ship's deck.

It List: Best new hotels 2011

Beauty may be in the eye of the beholder, but on the world's most scenic cruises, Mother Nature serves up views that will please even the most jaded traveler.

Antarctica and the South Shetland Islands

The captain charts a course south from Argentina's tip to the "Great White Continent," where wild beauty comes in the form of spectacular glaciers, giant white and blue icebergs, and snowcapped mountains. In this stark setting, you can spot orca and sperm whales from the deck and observe penguins and elephant seals up-close on island stops. What you won't find is any sign of humans (beyond a smattering of scientific research stations).

Season: November -- February.

Sample Itinerary: 11-day Antarctic Explorer, round-trip from Ushuaia, Argentina, on the 122-passenger Clipper Adventurer. From $4,890 per person, based on double occupancy.

Travel + Leisure: America's best beach hotels

Galapagos Islands

Located some 600 miles off the coast of Ecuador, and virtually untouched by man, these islands have fostered hundreds of species found nowhere else on earth. Giant tortoises, curious iguanas, blue-footed boobies, and Charles Darwin's famous finches are the main attractions. You'll cruise past volcanic peaks and beaches, with opportunities to schmooze with land critters, snorkel with sharks, or watch the birds and contemplate the ongoing evolution in this wild spot.

Season: Year-round.

Sample Itinerary: 7-day on the 92-passenger Celebrity Xpedition, from Baltra, Ecuador. From $3,499 per person, based on double occupancy.

Baja California/Sea of Cortez

"The world's aquarium" is what Jacques Cousteau called the protected azure waters of the Sea of Cortez. Cruisers who venture here get to mingle with marine life like the California gray whales that come to Baja to breed. But the dramatic desert-meets-sea scenery is its own calling card, with views ranging from giant cacti and craggy lava-shaped cliffs to mangroves and pristine beaches.

Season: December -- March.

Sample Itinerary: 7-day Among the Great Whales on the 62-passenger  National Geographic Sea Bird, from La Paz/San Carlos. From $5,240 per person, based on double occupancy.

Alaska

Cruising the calm waters of Alaska's Inside Passage delivers high-drama views, namely, the awesome sight of immense glaciers thunderously calving into the sea. But what may linger in your memory is the sheer vastness of the wilderness, icy and forested. Keep your binoculars handy to catch glimpses of whales, eagles, and, if you're lucky, a grizzly.

Season: May -- September.

Sample Itinerary: Weeklong Eastern Coves on the 68-passenger Wilderness Discoverer or 57-passenger Wilderness Adventurer, between Juneau and Ketchikan. From $1,795 per person, based on double occupancy.

The Kimberley

The rugged red cliffs and white sands of northwestern Australia make for one of the wildest, most beautiful coastlines in the world -- and the best parts are accessible only by ship. In this outback territory, where the Indian Ocean meets the Timor Sea, remote islands proliferate, and rivers and inlets lead to isolated gorges, towering rock faces, majestic waterfalls (as high as 328 feet), and roving saltwater crocodiles.

Season: April -- October.

Sample Itinerary: 10-day, from the frontier cities of Darwin or Broome, on the 50-passenger Coral Princess. From $7,337 per person, based on double occupancy.

Borneo

In the heart of the Malay Archipelago awaits the third largest island in the world, where ancient tropical rainforests support a zoological wonderland. There are interesting plants and animal- and bird-life galore, and offshore, the reefs are full of colorful coral and marine life. Don't miss the monkeys in the wild, particularly orangutans.

Season: September -- January.

Sample Itinerary: 10-day Camp Leaky on the 100-passenger Orion II (includes a stop at the orangutan rehab center featured in the IMAX film Born to be Wild). From $6,930 per person, based on double occupancy.

French Polynesia

When you picture paradise, chances are it looks a lot like French Polynesia, an ethereal collection of islands where dark volcanic peaks loom above the greenest of green foliage and turquoise sea. Admire the vivid hues from a deck chair, then don snorkels to get an underwater look at bright corals and tropical fish in every color of the rainbow.

Season: Year-round.

Sample Itinerary: 7-day Tahiti & Society Islands on the 332-passenger Paul Gauguin. From $4,397 per person, based on double occupancy.

Hebridean Islands

There's an eerie beauty and otherworldly quality to the Scottish Hebrides, hundreds of sparsely populated islands with rocky cliffs and barren seashores. Rolling moorland leads to striking rock pillars and pinnacles on Skye's Trotternish Peninsula, while a volcanic peak dominates Eigg, and whales and dolphins frolic off Ulva and Mull. You'll also be taken in by views of spectacular lochs, bird reserves, and the occasional castle or mysterious stone circle.

Season: March -- November.

Sample Itinerary: 7-day Footloose to the Western Islands on the 50-passenger Hebridean Princess. From $5,060 per person, based on double occupancy.

Travel + Leisure: World's coolest hotel bathrooms

The Arctic/Spitsbergen

Around the North Pole the polar bear is king. These huge carnivores live among the pristine beauty of glistening glaciers and enormous icebergs that will take your breath away -- no matter how many photos you've seen. Encouraged by the midnight sun, Arctic wildflowers bloom, and thousands of rare seabirds, walruses, reindeer, beluga whales, and other creatures also make appearances.

Season: June -- August.

Sample Itinerary: 6-day Polar Encounters on the 100-passenger M/S Fram, from Longyearbyen, Norway. From $3,230 per person, based on double occupancy.

Travel + Leisure: Best barbecue restaurants in the world

Madagascar

As you island-hop across the Indian Ocean, passing Mauritius, Reunion, and the Comoros, you'll be wowed by such sights as volcanoes (both extinct and active), dense forests, and some of the most pristine beaches and teeming coral reefs in the world. The East African cruise experience peaks at Madagascar, so big it's been dubbed the "eighth continent," which presents the added allure of lemurs -- those spooky primates whose eyes make them look perpetually startled.

Season: December -- March.

Sample Itinerary: 15-day East Africa, from Mauritius to Zanzibar on Zegrahm Expeditions' 110-passenger Clipper Odyssey, one of the only ships that devotes more than a day to the remarkable island of Madagascar. From $12,480 per person, based on double occupancy.

New England

The colorful leaves that light up the Eastern Seaboard each fall are recognized worldwide as one of nature's best shows. Seeing the red and gold display from the sea is a refreshing alternative to traffic-clogged roadways. Plus there's the added delight of rugged coastline and sightings of humpback and minke whales. Cruises typically head up to Canada, and some seek out a route that includes the tree-lined fjord of the Saguenay, which cuts through what may be the oldest rocks on earth.

Season: September -- October.

Sample Itinerary: 10-day Canada/New England, including Saguenay, on Holland America's 2,100-passenger Eurodam from New York or Quebec City, from $1,499 per person, based on double occupancy.

Norwegian Fjords

The crystal-clear Norwegian Fjords serve up an embarrassment of natural riches. These stunning waterways cut right through 1,000-foot cliffs, revealing snowcapped mountains, glacier-fed waterfalls, and rolling lowlands. The spectacular views just keep on coming and continue well past dinnertime as you cruise with the midnight sun.

Season: May -- August.

Sample Itinerary: 9-day Norwegian Fjords, round-trip from Copenhagen on the Seabourn Sojourn. From $3,995 per person, based on double occupancy.

Planning a romantic getaway? Don't miss Travel + Leisure's guide to the World's Most Romantic Hotels.

Copyright 2010 American Express Publishing Corporation. All rights reserved.

@highlight

Cruise ships small and large are bringing passengers to secluded destinations

@highlight

Seeing popular scenery from the ocean, like New England's fall foliage, gives a new perspective

@highlight

Alaskan, Nordic and Arctic cruises are a nice contrast to traditional island spots