Kuala Lumpur, Malaysia (CNN) -- Is it time for underwater search vehicles to start scanning the ocean floor in the hunt for Malaysia Airlines Flight 370?

Some analysts say it is, because it's been days since anyone has picked up a possible signal from the missing aircraft's data recorders.

And the batteries powering the locator beacons inside the so-called black boxes are probably dead, a top official from the company that manufactures the beacons told CNN on Sunday. That means searchers may not be able to detect any more pings to help lead them to those pieces of the missing plane.

Meanwhile, the search area for Malaysia Airlines Flight 370 grew over the weekend. And authorities say no one onboard the plane has been ruled out in connection with its disappearance.

Sound familiar? Don't worry, it's not just you. More than five weeks into the search for the missing plane, in some ways, investigators seem to be back at square one, or at the very least, nowhere near solving the mystery.

So should investigators stop listening for pings and start using new tools to scan the bottom of the ocean?

That's the logical next step, analysts told CNN. And some argue that it's time to take it.

"Every good effort has been expended, but it's now looking like the batteries are failing, and it's time to start mowing the lawn, as we say, time to start scanning the sea floor," said Rob McCollum, a CNN analyst and ocean search specialist.

Others said it's worth the time to keep listening for pings -- just in case.

"Any more information that they can glean over the next couple days could save weeks in the other phase of the search. A little investment now may save a lot of time later," said Van Gurley, a retired Navy oceanographer.

Any data authorities can get to help narrow the search zone could have a major impact, he said.

On Sunday, investigators increased the search area.

Is that a bad sign?

Not necessarily, said Mary Schiavo, a CNN aviation analyst and former inspector general for the U.S. Department of Transportation.

"What I think they're doing is giving one last final push, a last-ditch effort if you will, to see if by any chance there is any wreckage to be found," she said. "Because even a few pieces would help narrow the search. I think it's one last big push. Maybe just a Hail Mary pass to try and find anything that they can to help them zero in on where to go on the ocean floor."

The search area has shifted each day as officials look at new data and study the ocean currents. Still, no debris has been found, and promising audio signals heard days ago were far apart.

On Monday, 12 aircraft and 15 ships were set to participate in the search for the missing plane in an 18,400-square-mile (47,600-square-kilomter) area. That swath of the Indian Ocean is smaller than the area crews searched on Sunday, but larger than the areas searchers focused on at the end of last week.

Searchers are still listening for the sound of underwater pings, Australia's Joint Agency Coordination Centre said, even though no sounds have been picked up in the past 24 hours.

Batteries 'most likely' dead

The plane carrying 239 people vanished from radar screens early March 8 during a flight from Kuala Lumpur to Beijing.

The batteries that power the beacons attached to Malaysia Airlines Flight 370's black boxes are "most likely" dead or almost depleted, an official with the company that designs and builds the pingers told CNN on Sunday.

"More than likely they are reaching end of life or already have. We're at Day 37. ... If (a beacon) is still going, it is very, very quiet at this point," Jeff Densmore told CNN's "State of the Union with Candy Crowley."

Densmore, director of engineering for Dukane Seacom, said his company has been helping search officials interpret the data from recent audio signals in the southern Indian Ocean, where the plane is thought to have been when it reached the end of its fuel supply.

The signals were definitely man-made, he said, but there is no way to be 100% sure they came from the flight data recorder in the tail of the plane or the cockpit voice recorder until wreckage or the so-called black boxes are found on the ocean floor.

The batteries that send out the signals were certified to last 30 days, a deadline that's already passed.

"We are in a transition period at the moment," retired Lt. Col. Michael Kay of the Royal Air Force told CNN, referring to the fact that searchers will soon have to give up hunting with pinger locators and switch to sonar. "We know that the (data recorder) batteries last between 30 and 40 days."

Once searchers conclude there is no hope that the batteries could still power the beacons, they will lower the Bluefin-21, an unmanned underwater vehicle that uses sonar to scour the ocean floor, U.S. Navy Cmdr. William Marks said.

Black boxes are vital to determine cause

A top Malaysian official on Sunday reaffirmed the importance of finding the black boxes from the Boeing 777 if the mystery of the missing airliner is ultimately to be solved.

For instance, it would be difficult for investigators to clear crew or passengers until the two recorders are located, Malaysia's acting transport minister, Hishammuddin Hussein, said at a news conference in Kuala Lumpur.

The inspector general of police has found nothing suspicious about the passenger manifest, Hishammuddin said, but "he did not say that they all had been cleared on the four issues that the police are still investigating, which is the possible hijacking, issues of terrorism, psychological and personal problems.

"That is an ongoing thing, and I don't think the IGP would have meant that they have all been cleared, because unless we find more information, specifically on data in the black box, I don't think any chief of police would be in the position" to declare the cases cleared, he said.

Odd paths pings can take underwater

Living in limbo

Four pings, one dud

On April 5, the towed pinger locator detected two sets of underwater pulses of a frequency close to that used by the locator beacons. Three days later, on Tuesday, it reacquired the signals twice.

All four signals were within 17 miles of one another.

A fifth ping, detected Thursday by a sonobuoy dropped from an airplane, is "unlikely to be related to the aircraft black boxes," Australian chief search coordinator Angus Houston said a day later.

How deep is deep? Imagining the MH370 search underwater

The hunt for a Flight 370 ping: How they are doing it

CNN's Nic Robertson reported from Kuala Lumpur and Catherine E. Shoichet and Steve Almasy wrote from Atlanta. CNN's Ralph Ellis, David Molko, Elizabeth Joseph and Sumnima Udas and journalists Ivy Sam and Chan Kok Leong contributed to this report.

@highlight

NEW: Some analysts say it's time to send underwater vehicles to look for wreckage

@highlight

NEW: The search area grew on Sunday but narrowed again Monday

@highlight

Malaysian official reaffirms importance of finding black boxes