(CNN) -- On Thursday, President Obama and former presidents Jimmy Carter, George H.W. Bush and Bill Clinton are due to attend the grand opening of President George W. Bush's presidential library and archive in Dallas, Texas.

The opening of the library offers an opportunity to think again about the legacy of the Bush presidency. As Obama and the former presidents look around the museum, they will see many exhibits that symbolize how the jury is still out on most of the major issues. Events in the coming years will play a huge role in how history is likely to remember Bush's White House.

There are four big questions about his presidency.

Bush 43: 'History will ultimately judge'

1. How effective and how just were Bush's counterterrorism policies?

Bush came into office much more concerned about domestic issues like education and taxation, but after the 9/11 terror attacks, he invested a great deal of his power in the counterterrorism program.

He and his supporters have felt that the absence of major attacks until last week and that the re-establishment of calm in the United States was a defining achievement. It is not surprising that one of the artifacts that Obama will see during his visit is the bullhorn Bush used in his famous address to first responders who were working at Ground Zero.

But our continued vulnerability became clear when two bombs exploded at the finish line of the Boston Marathon last week, killing three people and injuring many others. The attacks immediately raise the question as to what kinds of risks were not addressed and what holes exist in our security program.

There are already questions facing the Obama administration about the handling of a tip about Tamerlan Tsarnaev received by the FBI from the Russian government in 2011. There are also questions about how Boston responded, as authorities virtually shut down the entire city during the hunt for the suspects and, some argue, unnecessarily gave potential copy cats the impression that they could cause even greater turmoil through similar acts.

In addition, the hunger strike in which Guantanamo prisoners have been protesting their treatment and the infringement of basic civil liberties raises the question about the costs of Bush's programs. The violation of civil liberties through the use of torture proved to be a huge blow to America's international standing. Many critics argue that these practices, many of which Obama has allowed to stay in place, actually has fueled support for terrorist networks overseas.

Brazile: Bush came through on Katrina

2. What is the long-term impact of Bush's fiscal policies?

When Bush started his term, the country enjoyed a sizable budgetary surplus for the first time in decades. Once in office, however, Bush chose a series of policies that turned the surplus into a deficit. The president argued that tax cuts offered the best path to stimulating economic growth, adhering to the supply side economics of the Reagan era. Bush and his advisers argued that reducing the tax burdens of Americans, especially wealthier Americans who had money to invest, would grow the economy for all.

The tax cuts, combined with spending for defense after 9/11 and new domestic programs such as the Medicare prescription drug benefit, generated massive federal deficits. The problem for Bush is that the economic record since 2001 has been checkered, with the huge financial collapse in 2008, a recession and an extremely sluggish recovery. Economic inequality has worsened. Thus far, the record remains poor.

3. Did federal education standards improve the nation's schools?

The No Child Left Behind Act (2001) was a major achievement and fulfilled a central objective of the Bush presidency, to impose stringent standards to improve the quality of education. The law extended the reach of the federal government by setting up a strong set of standardized measures to judge school performance.

But the law has been hugely controversial. Many teachers complain that the standards have had a detrimental effect on education, forcing them and students to focus their energy on tests to meet the standards rather than the kind of substance important to the development of a child. As Bush's Secretary of Education Margaret Spellings said, "What gets tested gets taught." Right now the debate continues, and there are many advocates on different parts of the political spectrum who argue that the law needs substantial reform. Whether there is a demonstrable improvement in education outcomes as a result of the standards will be a very important factor in determining his legacy.

4. What was the result of engaging in pre-emptive wars?

Bush made a strong argument that pre-emptive war was essential to preventing terrorism. The results of this strategic outlook were wars in Afghanistan and Iraq. Though the operations were initially successful and knocked out the leadership of both countries, the post-war reconstruction had tremendous human and economic costs. While each situation was eventually stabilized, new democratic processes established, and U.S. troops drawn down, the wars remain hugely controversial with the American public.

One of the most ambitious promises from administration officials was that these kinds of wars would not only diminish the chances for terrorism to find state sponsors but also would also change the dynamics of the region and create pressure for dismantling the autocracies that have dominated the Middle East.

But the region remains in turmoil and in transition. While some of Bush's supporters initially hailed the fall of the governments in countries like Egypt as proof that his strategy worked, the election of an Islamist government created new fears. The ongoing battle in Syria between the government and rebels is a reminder that the region remains a tinderbox. The way in which these stories unfold will play a big role in shaping how we evaluate Bush.

These are just some of the open questions that historians, journalists and the public will be looking to answer. The Bush library offers one approach, mostly reflecting the views of his supporters, but Americans will debate the impact of those controversial eight years for a long time.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer says opening of Bush library rekindles debate over 43rd president

@highlight

He says many of Bush's counterterrorism policies remain and are still being questioned

@highlight

Bush will also be judged on his economic policies and deficit spending, he says

@highlight

Zelizer: How will history view the long-term impact of Bush's pre-emptive wars