(CNN) -- Three years ago, scenes of the Arab Spring broadcast across the globe showed women who appeared to be equal participants in the revolutions and their aftermath. These images of women taking such public positions -- from Tunisia to Egypt, Libya and Yemen -- took much of the world by surprise.

But not Arabs. Despite the stereotype of them as an oppressed group, Arab women have a long history of participating in the region's upheavals, dating back at least to the anti-colonial movement when women emerged from the confinement of the household to take up crucial organizational positions.

Today, as the world grapples with this challenging and tumultuous moment in the region, it is important to pay close attention to the voices of Arab women and their plight. But rather than confining the story of women to an issue of religion or culture, it is important that the world uses what is happening to them as a barometer of the trajectory that individual societies are on. After all, how a country or a region treats its women in many ways tells the story of the future political direction of that country.

The trouble is that this trajectory is in too many cases not particularly encouraging. In the Arab Spring's aftermath, there have been plans to lower the legal marriage age, support expressed for polygamy after years of being regulated, restrictions on women's mobility and political participation, a massive increase in sexual harassment and assault on the streets with police failing to intervene, and the use of virginity tests on women arrested for participating in a demonstration, as seen in Egypt.

But young women now are not willing to back away from their demands, and they are speaking out in spite of public harassment. And while many women have been beaten and imprisoned for making their voices heard, they have crossed what is often described as the line of fear.

In doing so, their message to the older generation of feminists is that the rights of women must be included in the civil rights discussion of societies more broadly. The hope is that the voice of women might also have more influence on the direction of policy in the region, perhaps offering a path that encourages calm in a part of the world too often wracked by violence.

Ultimately, what young women in the post-Arab Spring are saying is that they are seeking out a new form of identity, one that is inclusive of both their religious identity and their desire for civil liberties. It is with this view in mind that my partners Abby Disney, Gini Reticker and I announced our commitment at the Clinton Global Initiative 2014 to launch "The Trials of Spring," a multimedia initiative that focuses on the voices of Arab women, their plight and their dreams for the future.

The world can no longer treat women's issues as if they are somehow separate from everything that goes on in, and defines, a country or region. Indeed, women should be seen as the bellwether for the direction of society at large -- where women thrive, so do opportunities for all. Where women are oppressed, oppression of all dissenting voices typically goes hand in hand.

Above all though, women's issues should not be discussed as if they are somehow relevant only at the margins of a society. Instead, they should be considered front and center, and an international priority. And the first step toward making them such a priority is listening to what they have to say in the first place.

@highlight

Arab women have a long history of participating in the region's upheavals, Zainab Salbi says

@highlight

Situation has deteriorated for many women in Mideast since Arab Spring, she says

@highlight

How women treated offers useful barometer of where a society is heading, Salbi says