(CNN) -- Pressure is mounting on Republicans to address spreading public protests against Wall Street. How they answer could shape the political landscape from here to the November elections.

Republicans haven't had to pay much attention to Occupy Wall Street till now -- they could afford to sniff that the crowds in Zuccotti Park looked more like Woodstock than Wall Street. But as demonstrations have sprung up across the U.S. and Europe, reverberating through social media and gaining more serious attention from mainstream media, politicians must pay more attention.

President Obama and fellow Democrats have already leapt to the support of protesters. The cries of frustration and anger from the streets dovetail perfectly with the president's own shift leftward, populist stance, efforts to blame the rich for America's economic woes, and demands that they pay higher taxes. So perfect is the fit that some conservatives suspect that Democratic partisans are quietly fueling the protests.

There are legitimate questions as to whether the president is ill serving the national interest by whipping up antagonism toward the wealthy, especially the financial services industry. Until recently, many influential Democrats (such as Sen. Chuck Schumer) joined Republicans in believing that Wall Street, serving as the financial capital of the world, was one of the nation's top assets. Yes, it became too greedy and reckless and needed tougher government scrutiny, but its vitality should be preserved.

Soon after taking office, Obama summoned bankers and told them he was all that was standing between them and people with pitchforks. Today, many in New York believe the president has now taken up a pitchfork himself. What impact this alienation will have on voting behavior remains uncertain, but clearly, the president and his team believe it will help them in 2012. What better way to change the storyline for the elections?

Wall Street demonstrations start second month

That raises the question: How will Republicans rise to the challenge? How will they frame the argument about the protesters and their underlying issues? Some in the GOP hope the protesters will disappear with the first frost, taking the controversy with them. Perhaps that will happen: They are not as well-organized nor do they have as clear an agenda as the tea partiers, so they may not be able to sustain themselves.

Even if the protesters melt away, however, it appears they have already achieved an important goal: They have put income inequality on the national agenda. Yawning gaps between the top 1% versus the other 99% have been simmering as a political issue for a long time, stretching back before the Great Recession. But most middle-class Americans haven't seriously objected, whether because their sense of their current income was skewed, or because they expected they'd strike it rich one day themselves. (One poll from 2000 showed that no less than 19% considered themselves in the top 1% -- and another 20% on top of that expected they would be soon.)

All that has changed now. Most Americans feel stuck, they think their kids will be worse off than they are, and they are increasingly angry. A Time magazine poll this week found that by 54% to 23%, the public approves of protests on Wall Street and beyond; by contrast, opinion about the tea party now runs 33% negative versus 27% positive. So the GOP likely can't duck addressing inequality.

Newt Gingrich last week voiced sympathy for those protesting who are truly suffering. But one would think that GOP candidates would go well beyond and frankly recognize, as Alan Greenspan and some other Republicans have, that massive inequality and a lack of upward mobility are destructive to a democracy. Perhaps they don't agree, but if so, they are living in a darker past than we all thought.

The evidence of yawning inequalities is now plentiful. Here are just a few factoids:

-- Between 1977 and 2007, the top 1% earners' share of national income jumped from roughly 9% to 23.5%, a level only bested once in our history -- in 1928.

-- The CEO-to-worker pay ratio has also skyrocketed: At the start of the 1980s, CEOs made roughly 40 times as much as bottom-rung workers; by 2010, they took home between 300 and 400 times as much.

-- The divergence is even greater among the super-rich: The top 0.1% (roughly 150,000 families) now make roughly 10% of the nation's total income -- so they're pulling away even from the rest of the rich themselves.

These stats are jarring, but they're not enough. If poor Americans had a nickel for every statistic that's been trotted out to diagnose the issue in the past year, we wouldn't have to worry about income inequality anymore. The hard question -- now put to the Republican free marketers, who have owned the political dialogue of late -- is what to do to narrow the inequality gap.

Presumably -- and this is a logical position -- Republican candidates would oppose lowering the ceiling on the rich, preferring to lift the floor for everyone else. But that is easier said than done. First of all, even our most optimistic economists are not projecting anything above fairly modest growth over the next few years -- no game changers there.

But moreover, to fall back on the single mantra of more growth as the elixir simply doesn't hack it anymore: In the new normal, a rising tide doesn't lift all boats. With massive structural changes like globalization and technology reorienting the economy, many -- particularly in rich, developed countries like our own -- find themselves mired in the mud, while others have super-duper motors that let them run off into the sunset.

So, what's a good Republican to do to lift floors? Heaven forbid, some forms of government intervention may actually be necessary. That's, at least, what Ronald Reagan concluded. He became a champion of an earned income tax credit, helping to raise the income of people willing to work for meager wages. Bill Clinton expanded the Reagan program and it proved a powerful tool in closing the inequality gap in the mid-90s. If Reagan and Clinton could agree on a successful tactic to help more families enter the middle class, can't today's Republicans come up with imaginative new approaches?

The issue, as most of us agree, is not really inequality so much as it is mobility, or opportunity. The vast majority of Americans -- and the presidential hopefuls on stage are certainly among them -- don't want to live in a society where everyone is held equally low; they want to live in a society where everyone has a fair opportunity to climb high.

That's a moral issue as much as economic one, and our political leaders are ultimately judged not just by the way they lift the GDP, but by the way they lift the moral life of their country.

The opinions in this commentary are solely those of the writers.

@highlight

Writers: GOP has ignored Occupy Wall St so far, but it has to tackle those issues

@highlight

Democrats have taken on the populist notion of income inequality, they say

@highlight

Americans getting more angry with huge gap between the top 1% versus the 99%, they say

@highlight

Writers: GOP must address inequality, face reality that rising tide no longer lifts all boats