(CNN) -- The Internet has radically altered many things, not least the speed at which we all share and receive information, and the depth of the information available.

Before the Internet, information about individuals (that they did not choose to share with you themselves) could only be found by finding others who knew the individual or by trawling through media archives. The Internet changed all that.

Now, at the touch of a button, it is possible to call up a huge amount of information about individuals -- not just public figures, but "ordinary" people, all sorted by search engines in complicated, secretive ways over which we have no control.

This, many argue, is a major flaw in the system that needs fixing. Why should Google, Yahoo or any other search engine be the arbiter of what information others see about me when they run a search? What if the information that is returned in that search is "irrelevant" or "outdated" and no longer reflects who I am -- or indeed causes people to treat me differently?

These worries are understandable. But the solution proposed by the European Union Court of Justice earlier this month is not the answer.

Recognizing people's concerns about their privacy, the European court ruled that individuals had the "right to be forgotten" -- that they should be allowed to request search engines to remove information considered "irrelevant, outdated, or otherwise inappropriate" and that the search engines would have to remove this material from search indices except in public interest cases.

It is this gray area that is of concern to Index on Censorship. Search engines are not public bodies -- and while there is a legitimate reason to worry about the way in which these organizations present search results, the way to fix that is certainly not through a vague and woolly ruling that leaves decisions about what is and is not in the public interest in the hands of a private body.

There is no legal oversight or appeals process built in to the ruling -- the court simply leaves it up to Google and others to decide (independently of one another, a further recipe for chaos and confusion) what is and is not in the public interest.

Much has been made of the fact that the ruling would exclude public figures -- but that misses the point.

It is not so much current public figures wanting to whitewash their personal histories that should worry us, but the potential for those who may become important public figures -- or simply be relevant to us for other reasons (because they want to sell us products or join us in business, say) -- many years hence, to have links to information about them deleted now, making it almost impossible to find in future.

Index urges the court to put a stay on its ruling while it pursues a regulatory framework that will provide legal oversight, an appeals process and ensure that private corporations are not the arbiters of public information.

While it is clearly understandable that individuals should want to be able to control their online presence, the court's ruling fails to offer sufficient checks and balances to ensure that a desire to alter search requests so that they reflect a more "accurate" profile does not simply become a mechanism for censorship and whitewashing of history.

READ MORE: Opinion: We have the right to be forgotten

READ MORE: Something in your past you'd rather forget?

The opinions expressed in this commentary are solely those of the Jodie Ginsberg.

@highlight

Index on Censorship's Jodie Ginsberg argues the "right to be forgotten" decision is too woolly

@highlight

The decision, she writes, did not come with enough checks and it needs to be stayed

@highlight

She says we should be worried about the ability for public figures of the future to whitewash their history