When Harry S. Murphy arrived at the University of Mississippi in the fall of 1945, he was nervous. He landed at Ole Miss by way of the Navy's V-12 program, a wartime measure that allowed young men to take college classes, receive naval training and preparation to become officers.

Murphy was black, but university officials did not know that. He had a white complexion and wavy brown hair. A military official checked the "W" box for white when Murphy enlisted in the Navy.

This official unwittingly set Murphy on an entirely new path. Murphy explained that he had no intention to "pass," and once at Ole Miss in Oxford, no one inquired about his race.

"I guess they just assumed I was white," Murphy said.

If no one asked, why tell?

Passing -- the choice to leave behind a black racial identity and present oneself as white -- allowed many African-Americans to navigate a racist society. In today's multiracial America, the decision to pass may seem unnecessary and unwarranted.

But historically, erasing one's black identity was one of a limited number of avenues available to light-skinned African-Americans to secure a better life in the era of legalized segregation.

Those who passed often reaped financial rewards, gained social privileges and enjoyed the fun of "getting over" by playing a practical joke on unsuspecting whites and winning a clandestine war against Jim Crow America.

Murphy settled into campus life with ease. He was accepted as "just another student." He wore the college's colors as a member of the track team, made close friends with white students, danced with and dated white women and ate at local restaurants without incident.

He was active on campus. Described by one classmate as "arrogant" and "a loud talker," he even participated in a protest against Sen. Theodore Bilbo, the fanatical segregationist, when he spoke at Ole Miss while Murphy was on campus.

When the military ended the V-12 program, Murphy transferred to Morehouse College in his hometown of Atlanta. University officials at Ole Miss never questioned why one of their ostensibly white students had made plans to attend a historically black college.

Murphy's white skin functioned as a cloak and allowed him to pass as white at the University of Mississippi. But when James Meredith, another black student, attempted to integrate Ole Miss in 1962, it ignited widespread riots across the campus.

Ole Miss prided itself on 114 years as a lily-white institution. Murphy observed the violent resistance to integration and declared, "they're fighting a battle they don't know they lost years ago."

Once at Morehouse, Murphy returned to life as a black man. He later entered the printing business and moved to New York.

Harry S. Murphy told his story to the press and gave readers a rare and intimate look at the lived experience of passing. But he was not the only African-American enlisted man whose military records identified him as "white" or "Caucasian."

This type of temporary passing flourished during the Jim Crow era.

Murphy's story appears to be one of levity and laughter, of exposing the absurdity of racial categories, and poking fun at erroneous beliefs in racial purity and white supremacy.

But his story ends in tragedy. Murphy committed suicide at 63 in New York in 1991.

We will never know why he took his own life. There is no evidence to link Murphy's death to any conflict that he may have had about his racial identity. But still, his suicide leads us to wonder about the personal and psychological losses, in addition to the gains, associated with passing.

The history of passing offers a richer understanding of lives lived along the color line. But this history is never complete.

It remains shadowy and blurred.

Was there ever a time people assumed you were something that you were not? Share your experiences in the comments, on Twitter @CNNLiving or on CNN Living's Facebook page.

@highlight

Harry S. Murphy attended the University of Mississippi in 1945-46

@highlight

Murphy "passed" -- he was black, but people thought he was white

@highlight

More than 15 years years later, racial integration drew huge protest at Ole Miss

@highlight

The history of passing remains shadowy, but offers lessons, Allyson Hobbs writes