Washington (CNN) -- For political junkies, 2013 was expected to be a quiet year following the presidential election and it basically followed the script.

Nonetheless, there were some interesting developments at the ballot box.

New Jersey, as expected, returned Gov. Chris Christie to office and also sent Cory Booker to the U.S. Senate. Bill de Blasio became the first Democrat elected New York City Mayor in two decades, and Democrats, led by Terry McAuliffe, swept the top three executive offices in Virginia for the first time in recent memory.

Were these outcomes isolated or do they mean anything for 2014, when candidates will heat up the campaign trail big time ahead of next November's congressional midterms and key gubernatorial elections?

In the new year, 435 House seats are up as are 35 in the Senate. There will be 36 gubernatorial races as well. Most of these campaigns won't be nail biters, but there could be collective power shifts in Washington and in state houses.

Here, CNN Politics focuses on the Senate, where Republicans aim to retake control. Republicans must pick up six seats to claim the majority and key races are wide open at this point.

The top 12 campaign questions of 2014

Five key races:

Kentucky

The incumbent is Senate Minority Leader Mitch McConnell, who is under pressure from two fronts: Democrats, naturally, and from a tea party challenger within his own Republican Party who says he's not conservative enough.

While McConnell is likely to defeat his primary opponent, Matt Bevin, he is expending money and other resources he'd rather use in a general election campaign against Kentucky Secretary of State Alison Lundergan Grimes.

The Kentucky race is likely to be one of the most expensive nationally. As a leader of the GOP, McConnell has access to major donors and party members don't like to see their leaders lose.

Democrats want McConnell out and are investing heavily, too.

2014: The year of the blame game in Washington

Alaska

Sarah Palin put Alaska politics on the national map in 2008 but her Republican Party lost a Senate seat that year.

Democratic incumbent Mark Begich is running again, but the GOP sees the seat as winnable. Begich isn't unpopular but a Democratic Senator in the reliably red state is just about as rare as a 70-degree winter day in Nome.

The GOP aims to demonstrate that Begich's election was a fluke and not the start of a trend, and he is fully aware that the road to reelection will be tough.

He is already trying to dissociate himself from the Democratic Party with the self-defining tagline: "As independent as Alaska."

Begich is also distancing himself from President Barack Obama, who's struggling in polls, and the Affordable Care Act, the President's health care reforms that are unpopular with Republicans.

Three Republicans are vying for the chance to take on Begich: Lt. Gov. Mead Treadwell, Dan Sullivan, a former state official, and Joe Miller, who sought to unseat Alaska's other Senator, Lisa Murkowski, in 2010. She lost to him in the Republican primary but prevailed as an Independent in the general election.

Louisiana

For Sen. Mary Landrieu, it's deja vu. As a Democrat in an increasingly red state, Landrieu narrowly won her 1996, 2002 and 2008 elections, and her 2014 bid should be just as challenging.

Republicans are already hammering Landrieu over the airwaves for her vote in favor of the Affordable Care Act.

But the candidate preferred by the GOP establishment, Rep. Bill Cassidy, must also contend with Rob Maness, a retired U.S. Air Force colonel, in a primary. Maness is a tea party favorite.

"This race has a long way to go, particularly since Cassidy isn't well known outside his district, but it is safe to say that this may end up being the most difficult race of Landrieu's Senate career," wrote Jennifer Duffy, senior editor at the non-partisan Coook Political Report.

In Louisiana, all candidates run on a single "primary" ballot in November. If someone breaks the 50% mark, there's no general election. But if that threshold is not broken, the top two finishers head to a run-off in December.

Wyoming

Wyoming's Senate seat should remain safely in GOP hands in the general election, but an already very contentious contest for the Republican nomination should keep the race in the spotlight for much of 2014, since the primary's not until August 19.

Things got ugly immediately after Liz Cheney, the eldest daughter of former Vice President Dick Cheney, announced in July that she would mount a primary challenge against three-term GOP Sen. MIke Enzi, who faced no Republican opposition in his last re-election bid.

Both sides have attacked each, from claims of carpet bagging to whether the Senator and the former Vice President were actually fishing buddies.

Liz Cheney even got into a very public squabble over same-sex marriage with her younger sister, who's married to another woman.

While polls indicate Enzi is the front-runner, Cheney has some advantages.

"Liz Cheney doesn't appear to be getting much traction against Enzi, but she will be well-funded and Enzi can't afford to take her for granted," cautioned Duffy.

While entertaining, Wyoming's primary race doesn't appear to be following the typical grassroots vs. mainstream script.

"Wyoming is somewhat of a misfit race, not only because it is last on the calendar but the GOP race between Sen. Mike Enzi and Liz Cheney doesn't fit neatly into the establishment vs. anti-establishment narrative. Anyone with the last name of Cheney isn't exactly a political outsider in a Republican contest," writes Nathan Gonzales, deputy editor of the non-partisan Rothenberg Political Report.

Georgia

The Georgia Senate seat up for grabs is held by a Republican who decided not to seek reelection. That leaves a wide open battle for fresh faces.

In a traditionally Republican state, which Mitt Romney won by 7 points in 2012, Democrats are making a play in what Cook Political Report sees as "one of the Democrats' few opportunities" to pick up a seat.

The Democratic candidate has never run for office before but her well-known family name could help her cause. Michelle Nunn, the daughter of former Sen. Sam Nunn, "has run a very strong campaign" for a first-time candidate Duffy wrote.

The Republican side of the race is interesting as well with eight candidates battling to win the nomination.

They include three sitting members of Congress and a former Georgia Secretary of State.

Reps Phil Gingrey, Jackson Kingston and Paul Broun are all trying to outdo each other on the conservative side.

A far-right platform could result in electoral success in the primary but make it more difficult for the nominee to beat Nunn in the general election.

The biggest campaign moments of 2013

Those are the five big ones, but there are some other races to watch, too.

New Hampshire:

Democratic Sen. Jeanne Shaheen, a former governor, appears as of now to be on the road to re-election in the Granite State. But all eyes are on former Republican Sen. Scott Brown, who's been flirting with a run. If Brown does go, this contest would immediately land in the national political spotlight. Brown represented Massachusetts in the Senate but lost his reelection bid in 2012 and his move to New Hampshire is raising eyebrows.

Iowa:

Longtime Democratic Sen. Tom Harkin's retirement gives the GOP a prime pickup opportunity in this Midwestern swing state. But while Democrats have rallied around four-term Rep. Bruce Braley, the battle for the Republican nomination is wide open among candidates without strong name recognition.

Arkansas and North Carolina:

Like Begich and Landrieu, Democratic Sens Kay Hagan of North Carolina and Mark Pryor of Arkansas face tough re-elections in Republican friendly states.

Montana, West Virginia, and South Dakota:

The retirements of longtime Sens Max Baucus of Montana, Jay Rockefeller of West Virginia, and Tim Johnson of South Dakota could put Democrats in a bind. All three states are considered red, and all, especially South Dakota, present the GOP with prime pickup opportunities.

A white mayor for the 'Chocolate City'?

@highlight

There are 435 House seats and 35 Senate seats up in November midterms

@highlight

Republicans must pick up six seats to win control of the Senate

@highlight

Additionally, there are 36 gubernatorial races, a number of them with national implications

@highlight

Kentucky could be the most expensive race with Senate Minority Leader Mitch McConnell up