Editor's note: Ivan Watson is CNN's correspondent based in Istanbul, Turkey.

The Bamiyan Valley is a visually and archaeologically stunning part of Afghanistan. The region hopes to build its tourism industry.

(CNN) -- Thursday is "Chinese night" at the Hotel Silk Road in Afghanistan's Bamiyan province.

Hungry guests sip cans of Coke and nonalcoholic beer and pick at a buffet that includes General Tsao's chicken, egg drop soup and slices of sweet green melon grown in nearby fields.

When a vegetarian diner arrives, the hotel's Japanese owner, Hiromi Yasui, runs back to the kitchen to whip up a dish of spinach, garlic and steamed rice.

"This is the most clean kitchen in Bamiyan," she boasts in heavily accented English, as she directs her staff of Afghan assistants in fluent Dari. Yasui proudly points to an electric dishwasher, perhaps the only one of its kind in this battle-scarred Afghan province.

The Hotel Silk Road has been open for less than two years. The green concrete walls of this compound jar somewhat with the brown, mud brick architecture of Bamiyan Valley. But the hotel is probably the largest foreign private investment in Bamiyan's fledgling tourism industry since the overthrow of the Taliban eight years ago.  See photos of the Bamiyan Province »

Aid workers say tourism is one of the greatest economic hopes for reviving this isolated, yet visually -- and archaeologically -- stunning part of Afghanistan, a region that has seen little infrastructure development over the last eight years, even though Bamiyan is one of the safest parts of the country.  Tour the Bamiyan Valley's caves »

"The natural resources and cultural resources here are probably the single best place for economic development to happen, around revitalizing the tourism industry here," says Bob Thelen, the representative for the Aga Khan Development Network in Bamiyan. The nonprofit organization has been working with the government of New Zealand to distribute $1.2 million over a three-year period to develop eco-tourism as an industry in Bamiyan.

Bamiyan first attracted widespread international attention in 2001, when Taliban militants spent weeks blowing up two giant statues of Buddha. For more than 1,500 years, these colossal figures -- one was 53 meters (174 feet) high, the other 35 meters (115 feet) -- stood like sentries overlooking this alpine valley. Today, the massive caves where the Buddhas once stood are huge, empty pockets carved into cliffs that dominate the countryside.

Despite the loss of these archaeological treasures, the cave network of monasteries that honeycomb the cliffs, as well as Bamiyan's breathtaking mountains and alpine lakes, continue to attract a trickle of both Afghan and foreign tourists.

Hotel Silk Road owner Yasui spotted Bamiyan's potential when she first traveled here as a photojournalist in 1996.

"Before the war, this was a touristic place," she says. "More than 7,000 cars a day visited here."

In the '60s and '70s, Afghanistan was a Central Asian stop on the Hippie Trail, a destination favored by hash-smoking Western visitors driving Volkswagen vans.

But the Soviet invasion of 1979 plunged the country into a decades-long spiral of conflict. Bamiyan became the site of horrific massacres during the civil war of the 1990s and the subsequent rise of the Taliban.

The Taliban's overthrow in 2001 seemed to open the door to new opportunity.

In 2002, with the help of her Afghan husband and a Japanese investor who fronted hundreds of thousands of dollars, Yasui purchased a plot of land next to a bend in the river that runs through the valley. The couple then spent the next five years building their hotel.

"I like Afghanistan, I like Bamiyan," Yasui explains. "[But in the past,] I didn't want to stay more than three days, because there was no shower, no place to sleep."

Yasui's hotel opened in 2007. Rooms cost $100 a night, pricing them far out of the range of most Afghans. Guests must remove their shoes at the entrance and wear slippers, in accordance with Yasui's strict standards of hygiene.

"The furniture has all been imported from Pakistan," Yasui said. "I bought the water glasses from the PX [American military supermarket] in Kabul."

Yasui is not the only hotelier in Bamiyan.

In 2003, an Afghan businessman named Raziq got a jump-start on the local tourism industry, when he and several partners rented a house on a plateau offering a spectacular view of the Buddha cliffs. The building had been housing American special forces soldiers. Raziq and his partners rechristened it the Roof of Bamiyan Hotel.

Raziq, an ethnic Hazara who learned American-accented English catering to foreigners on Kabul's touristic Chicken Street, says he got his inspiration to open a hotel after he saw female Western backpackers paying to sleep on the floor of a grimy tea shop in Bamiyan's dusty bazaar.

Over the last year, the Afghan government declared Bamiyan's Band-i-Amir lake, which sits 3,000 meters (9,843 feet) above sea level, the country's first national park. The New Zealand-funded eco-tourism project, in conjunction with the Aga Khan Foundation, also recently trained 22 young male and female Afghans to be professional tour guides.

The three-month course included "the relevant topics for this area, geology, archaeology, history, hospitality, English, communication skills," said Thelen, of the Aga Khan Development Network.

One of these guides is former Roof of Bamiyan employee Jawad Wafa.

Though only 23 years old, this ambitious young Afghan plans to launch a tourism and logistics company, complete with a fleet of rental vehicles and guides.

"The first thing we need to have more tourists in Bamiyan, we need security and peace. The second one is roads," Wafa says.

Eight years after the overthrow of the Taliban, the entire province of Bamiyan has barely 3 kilometers (about 2 miles) of paved roads. Travel here from Kabul requires at least seven hours driving on a bone-jarring dirt track.

But even this isolated oasis is feeling the threat of the mounting violence spreading across the country.

"Every time there is a bomb in Kabul, visitors cancel reservations," says Raziq, operator of the Roof of Bamiyan Hotel.

And in recent months, troops from New Zealand have documented a spike in insurgent attacks, mostly along Bamiyan's border with Baghlan province, a region where Taliban insurgents have grown increasingly active.

"As much as on the one hand you can promote Bamiyan and other pockets throughout Afghanistan as secure and peaceful, there's always the very real threat of violence," Thelen said.

Tour operators saw a dramatic drop in foreign visitors this summer, due to the uncertainty and violence surrounding the August 20 presidential elections.

In fact, the handful of people seen touring the remains of the Buddha statues last week were mostly American aid workers. They were sent by their organizations from less secure parts of Afghanistan, to take temporary shelter within the mountain walls of Bamiyan Valley.

@highlight

Bamiyan is one of the safest parts of Afghanistan

@highlight

Since the overthrow of the Taliban in 2001, hotels have opened in the region

@highlight

Colossal Buddha statues destroyed by the Taliban once towered over the valley

@highlight

Stunning terrain and a cave network of monasteries draw tourists