(CNN) -- More than half of all U.S. counties have been designated disaster zones, the Department of Agriculture reported, blaming excessive heat and a devastating drought that's spread across the Corn Belt and contributed to rising food prices.

Agriculture Secretary Tom Vilsack declared disaster zone designations for an additional 218 counties in 12 states Wednesday because of damage and losses caused by drought and excessive heat.

The states are Arkansas, Georgia, Iowa, Illinois, Indiana, Kansas, Mississippi, Nebraska, Oklahoma, South Dakota, Tennessee and Wyoming.

Nearly three-quarters of the nation's cattle acreage is now inside a drought-stricken area, as is about two-thirds of the country's hay acreage, the agency reported.

Iowa farmers looking beyond drought

USDA researchers added that an average of 37% of the nation's soybeans were last week ranked from very poor to poor, the lowest quality recorded since a massive drought in 1988.

Nearly half of America's corn crop was also rated very poor to poor, while 57% of its pastures and range land were similarly graded.

This year's harsh conditions suggest that food prices next year could surge by as much as 4.5%, the agency reported.

"It's the most severe and expensive drought in 25 years," USDA economist Timothy Park said.

As the hot and dry weather persists, farmers face potential losses in spite of federal crop insurance meant to soften the blow to U.S. agriculture.

"The pocketbook is really taking a hit," said Robert Dickey, a 58-year-old farmer in Georgia who says his losses are just below the threshold needed for his insurance to kick in.

"We'll probably have to take out some loans to get us through to next year."

Interactive map: Record dryness takes over the U.S.

The price of milk, cheese and other dairy products is also expected to surge, while ranchers face steepening feed costs.

"When I was a kid in the '50s ... it got real dry, but nothing like this," said Marvin Helms, a 70-year-old farmer and rancher in central Arkansas who was compelled to sell his beef cattle after being short on feed.

His thousand acres of farmland near Arkadelphia include corn and soybeans, which Helms says is normally sufficient to sustain his family and provide for his cattle.

Farmer in the drought: If you plant it, it may not come

"We've got some insurance on the crops, but it's not enough," he said. "It will help, but it won't pay the bills."

Still, economists say the extent of federal insurance coverage -- which includes about 85% of the nation's crop acreage -- will help protect farmers against catastrophic income losses.

"Today's safety net is going to protect a lot more of those producers than in the past," said USDA Deputy Chief Economist Robert Johansson. "Though it's hard to say the what effect will be on an individual producer, because a lot of times, these crop producers are also producing livestock."

Food prices on the rise

In an effort to bolster assistance, the USDA expanded emergency disaster assistance Wednesday to allow for haying and grazing on 3.8 million acres of protected conservation areas, once considered off-limits.

The agency also reported that crop insurance companies have agreed to allow for a "short grace period for farmers on insurance premiums in 2012," giving farmers an extra 30 days to make payments without interest penalties on their unpaid premiums.

But while a variety of crops are strained across the U.S. Midwest, a top concern for policy-makers is corn.

"The unusually hot and dry conditions coincide with the period of pollination and kernel formation, which sharply reduces estimated yields," the USDA reported. "As of July 17, approximately 88 percent of the corn crop was in regions impacted by drought."

About 75% of all food found in the supermarket contains corn, officials say.

See all of our coverage of this year's drought

Is the drought affecting you? Share with us on CNN iReport.

@highlight

NEW: "Safety net is going to protect a lot more of those producers," economist says

@highlight

An Arkansas farmer says he was compelled sell his cattle because he was short on feed

@highlight

Harsh conditions suggest food prices could increase as much as 4.5% in 2013, agency says

@highlight

Agriculture secretary expanded emergency disaster assistance Wednesday