(CNN) -- Senegal's octogenarian incumbent president is seeking a third term Sunday, a bid that has sparked deadly protests and threatened the nation's reputation as one of the most stable democracies in Africa.

The incumbent

Abdoulaye Wade, 85, came to power in 2000 after multiple unsuccessful runs. One of the continent's oldest leaders, the French-trained lawyer also has a degree in economics. He is seeking a third term against a crowded field of 13 others, including two women.

He was initially credited with boosting the nation's infrastructure, but his critics have accused him of autocracy and said he is grooming his son to take over after him.

Others have accused the leader of grandiose investments, including a costly towering monument near the capital of Dakar that sparked criticism in a country where poverty is still rife.

Other contenders include Ousmane Tanor Dieng, Moustapha Niasse and Macky Sall, the latter of whom considered Wade a mentor.

Why are protesters against his run?

Senegalese protesters have taken to the streets nationwide since Wade won a court bid to run for a third term despite a constitutional limit mandating two terms. Wade successfully argued that he is exempt because he took office before the term limit was put in place.

Wade is among a list of elderly leaders clinging to power in sub-Saharan Africa despite demands for them to step down. Zimbabwean President Robert Mugabe used his recent 88th birthday to lash out at critics and vowed to run for re-election.

The opposition has said it will protest if Wade wins, but analysts say a lack of cohesion among foes and a system that favors the incumbent make it harder to unseat Wade, who is nicknamed the "hare" for his shrewd politics.

"Opposition in Senegal is weak due to a lack of interest, resolve and an unfair political and electoral system that's hell bent on guaranteeing Wade's presidency," said Ayo Johnson, an analyst on Africa.

Who is behind the protests?

Grammy-award winning Senegalese musician Youssou N'Dour is one of the forces behind the demonstrations. Last month, the constitutional court barred the singer from running for president, sparking more outrage on the streets. The court said he did not have enough signatures for his application to be valid, which he denies.

Other leaders, entertainers and groups have joined the movement to block Wade's bid for a third term. An opposition coalition dubbed M23 has galvanized the protests and maintained the momentum as opposition candidates resumed campaigning. The June 23 Movement, or M23, is named after the date of a major protest last year against a constitutional amendment that would almost guarantee Wade victory.

Why is Senegal considered a stable democracy?

Senegal gained independence from France in 1960, and is one of the few nations in West Africa that has not had a coup. Past elections have included a smooth transition of power, a rarity in a continent with a history of election chaos, civil wars and coups. Its democracy is rooted in history -- even as a French colony, Senegal had representatives in parliament.

"Elections in Senegal have previously been peaceful," Johnson said. "Currently, there is a lot of tension, anxiety, and protesters are already having running battles with police forces loyal to Wade. This would have been previously unthinkable."

The Senegalese are becoming "more daring and resolute" in their quest to oust Wade, the analyst said.

Is Wade headed for re-election?

Analysts say a divided opposition vote makes it easier for him to coast through.

"There are 13 presidential candidates with different ideologies and political differences ... making it easy for Wade to streak through a third term," Johnson said. "However, if voting goes to a second round, a weakened Wade will find it difficult to win."

Wade would have stiff competition if parties consolidate their vote and rally against one candidate, he said.

Conflict in the south also an issue

Despite its badge of honor as a stable democracy, a decades-long separatist rebellion in the southern region of Casamance remains unresolved. The government and rebel leaders have signed a peace accord in the past, and Wade promised to end the conflict when he took over, but the simmering tensions have blemished the nation's reputation.

@highlight

Protests as Senegal's octogenarian incumbent president seeks third term

@highlight

Abdoulaye Wade, 85, came to power in 2000 after multiple unsuccessful runs

@highlight

Musician Youssou N'Dour is one of forces behind demonstrations

@highlight

Past elections have included smooth transition of power, a rarity in Africa