(CNN) -- When riots broke out in London on August 6, Charmaine Scott watched as a diverse group of people took hold of her hometown, smashing glass windows and setting buildings and automobiles ablaze.

Amid the chaos, she noticed that talk about a racial backlash surged. The widespread discontent was being painted black by the media, even though it involved people of various races and ethnicities.

"The depiction of rioters has been disproportionately black and surprisingly female as well," said Scott, 31, as she described large-scale photos appearing in newspapers. "There has been a pernicious representation of black women even in the riots, and an overall depriving image of black people in general."

The images and conversation that followed the three-day looting spree still remind Scott, a black woman of Caribbean descent, of the constant battle the black community faces in the UK: negative stereotypes brought on by inaccurate representation in the media.

And she is not alone in believing that unfair depictions and constant scrutiny plague black women especially, belittling them in the public eye and forcing them into subordinate social positions.

"We can't talk about Jim Crow or apartheid. But like blacks globally, we are both visible and invisible," said Heidi Mirza, a professor at the University of London who teaches equalities studies in education. "We are let into desegregated spaces and constantly watched. We remain totally ignored and excluded."

Stereotypes and pressures to 'act white'

Mirza said she believes social barriers, discrimination and sexism keep some black women from succeeding.

"Minorities aspire and have bought into the American ideal that if you work hard, you can reach the top. But in Britain, it doesn't always work that way," said Mirza, author of "Young, Female and Black."

With few black leaders in Parliament, the lack of representation in the social sphere is becoming more of a concern among black British females who consider themselves future mothers and the cornerstones of their society.

"In many of the places where I have worked, I was one of the few women of color, and I felt like I needed to play a certain role in order to fit in," said Kehinde Olarinmoye, 37, a former music industry professional of Nigerian descent. "It was the only way to survive."

Zena Tuitt, a 37-year-old British Caribbean, said that for some, the black British experience is tainted by stereotypes that inhibit black women from being their true selves.

"The British stereotype of black women is that we are the loud ones and we are overly sexualized or eroticized," Tuitt said. "We don't want to be seen as that, so in Britain we have a tendency to try to fit in and not stand out. In quite a conservative society, in order to get on, you need to fit in and to keep your head down."

Mirza said there is a strong social need "to act white" to be accepted.

"To some extent you have to put on a mask," she said. "With the added dimension of gender and sexualization, black British women are seen as exotic and not as clever. If we 'act white,' we make the majority comfortable, and it becomes one of the few avenues to progress socially."

Black women's need to mold into the Eurocentric ideals of society, Tuitt said, stems from not having many positive black images or leaders to look up to in her country.

"Growing up, I was looking at people like Oprah Winfrey and women on 'The Cosby Show,' " she said. "Those examples of American women that I saw were all aspirational but were quite removed from my experience. Trying to role model these women created another struggle for me, because that type of woman wasn't recognizable in the UK."

This lack of public representation has been slowly coming to surface.

Hannah Pool, a columnist in the UK, has heavily criticized the European beauty industry for its ignorance toward black women.

"Black women spend up to six times more on hair and makeup than their white counterparts, yet much of the industry still ignores us," Pool said in the 2010 issue of Grazia magazine. "Many brands still don't have (foundation) bases suitable for anything darker than a light honey."

A 2009 Mintel report revealed that while 12% of the UK's population is nonwhite, ethnic beauty products represent just 1% of all new hair care, skin care and makeup launches.

"The ethnic market has a long way to go to be brought in line with the demographic makeup of the UK population," the report said.

Mirza suggests the media is partially to blame.

"We are bombarded by white images here in the UK, and only Eurocentric forms of blackness are acceptable," she said. "The UK has a Neolithic view of beauty that marginalizes the rest of black women, leaving them feeling unwanted on a shelf.

"Not only does it make you question your worth as a black British woman, but it also makes you wonder if that Old World theory of the British empire still holds true: to divide and conquer."

A champion for change

Simone Bresi-Ando, a black British woman of Ghanaian descent, has worked in the public relations field for nearly 20 years. Throughout her life, the 39-year-old said she has been aware of black women's minimal recognition in social arenas.

"We have had situations in our history where we've seen conducts that have been based on race or on unequal treatment of people from other races -- unfair health policies or lack of access to education," Bresi-Ando said. "Some people don't like to use the word (racism); they like to call it something else. But in my eyes, it is what it is."

Bresi-Ando created the "I'm Possible" group in 2009 as a platform to help push black British women's voices into the public domain and highlight achievements for women of color in Britain. In June, Bresi-Ando hosted an event -- sponsored by Mizani cosmetics -- in which leading black figures in British society, including Bonnie Greer and Angie Le Mar, gathered for candid discussion of issues that affect black females.

"As black women, we are also partially responsible for what image is portrayed," said Desiree Banugo, a member of "I'm Possible." "We have the opportunity to share and educate others about our culture and experience so they can see it for what it really is -- rather than from the voices of people who don't know, or from the media, which distorts what we're saying, thinking and how we live.

"The important thing in terms of diversity is to engage in the conversation on race. We are a long way off from being in a place where the issues are tackled head on."

African-American history, Bresi-Ando said, has had a strong impact on black British women in helping them realize the inner strength to band together in social movements and fight for racial and gender equality. When she created "I'm Possible," she was inspired by two American enterprises -- "Oprah's Legend Luncheon" and "Black Girls Rock" -- that seek to recognize achievements made by minority women.

"I admire the black experience in the States because of the sense of community and ability to sing together from the same song sheet on important political issues," Bresi-Ando said. "We lack those networks here, and we don't know how to connect in a positive way because we don't want to openly address the issue."

Social invisibility is a struggle that African-American women deal with as well. In a 2010 study published in the Journal of Experimental Social Psychology, researchers found that African-American women are more likely than black men, white men and white women to go unnoticed by others in a group or social situation.

But it is African-American women's ability to alter and push toward change that gives hope and inspires black British women, said Olarinmoye, the ex-music industry professional.

"I think the struggle is similar and different," Olarinmoye said, speaking of black America's history of social change from Harriet Tubman to the election of President Barack Obama. "America has experienced racism a lot longer than we have. And (American) women have a platform set for women of color, and that's what we are trying to create.

"We've had to dig deep in order to find our history, and we've had to look up to African-Americans to see what models we can replicate here and give a British identity."

Bresi-Ando's project, the University of London's Mirza said, is one example of how black women can reclaim their image in Britain: by getting out there and talking about it.

"We have high rates of mental health issues amongst black women in Britain. We are underrepresented and underfunded. But it stems from a nonspoken history that lives in our communities past and present," Mirza said.

"We need to talk about this skeletal past, the racism, the misrepresentation. We need to build networks that will reinforce and promote social ideals. We need to invest the knowledge into our daughters to make sure the lessons we learn do not vanish as we move ahead."

Bresi-Ando agrees.

"It may take time and may be difficult," she said. "But my American sisters have shown me that it can be done."

@highlight

Some black women feel like they are seen, but not heard in UK society

@highlight

They say they're underrepresented in the workplace, social arenas

@highlight

The media is partially to blame, one expert says

@highlight

Some British women view African-American women as a model for change