Atlanta (CNN) -- That bar of soap you used once or twice during your last hotel stay might now be helping poor children fight disease.

Derreck Kayongo and his Atlanta-based Global Soap Project collect used hotel soap from across the United States. Instead of ending up in landfills, the soaps are cleaned and reprocessed for shipment to impoverished nations such as Haiti, Uganda, Kenya and Swaziland.

"I was shocked just to know how much (soap) at the end of the day was thrown away," Kayongo said. Each year, hundreds of millions of soap bars are discarded in North America alone. "Are we really throwing away that much soap at the expense of other people who don't have anything? It just doesn't sound right."

Kayongo, a Uganda native, thought of the idea in the early 1990s, when he first arrived to the U.S. and stayed at a hotel in Philadelphia, Pennsylvania. He noticed that his bathroom was replenished with new soap bars every day, even though they were only slightly used.

"I tried to return the new soap to the concierge since I thought they were charging me for it," Kayongo said. "When I was told it was just hotel policy to provide new soap every day, I couldn't believe it."

Kayongo called his father -- a former soap maker in Uganda -- and shared the experience.

"My dad said people in America can afford to throw it away. But I just started to think, 'What if we took some of this soap and recycled it, made brand new soap from it and then sent it home to people who couldn't afford soap?' "

For Kayongo, collecting soap is "a first line of defense" mission to combat child-mortality around the world.

Each year, more than 2 million children die from diarrheal illness -- the approximate population of San Antonio, Texas. According to the World Health Organization, these deaths occur almost exclusively among toddlers living in low-income countries.

"The issue is not the availability of soap. The issue is cost," Kayongo said. "Make $1 a day, and soap costs 25 cents. I'm not a good mathematician, but I'm telling you I'm not going to spend that 25 cents on a bar of soap. I'm going to buy sugar. I'm going to buy medicine. I'm going to do all the things I think are keeping me alive.

"When you fall sick because you didn't wash up your hands, it's more expensive to go to the hospital to get treated. And that's where the problem begins and people end up dying."

Do you know a hero? Nominations are open for 2011 CNN Heroes

Kayongo, 41, is familiar with the stress that poverty and displacement can create. Almost 30 years ago, he fled Uganda with his parents because of the mass torture and killings by former Ugandan military dictator Idi Amin, he said.

Witnessing the devastation of his homeland shaped Kayongo's mission and still haunts him today.

"It's a long-term grieving process that sort of never ends," he said. "As a child coming from school, passing dead bodies for 10 solid years -- 'It's not cool,' as my son would put it. It's not good. A lot of my friends were orphaned, and I was lucky."

Kayongo and his parents fled to Kenya, where he would visit friends and family in refugee camps and struggle to survive -- sometimes without basic necessities.

"We lost everything," Kayongo said. "We didn't live in the camps, but we sacrificed a lot. The people worse off lived in the camps. Soap was so hard to come by, even completely nonexistent sometimes. People were getting so sick simply because they couldn't wash their hands."

Kayongo transitioned from the tough life of a refugee to become a college graduate, a U.S. citizen and a field coordinator for CARE International, a private humanitarian aid organization. But he has not forgotten his roots -- or the fact that many refugees in Africa continue to lack access to basic sanitation.

"As a new immigrant and a new citizen to this country, I feel very blessed to be here," he said. "But it's important, as Africans living in the Diaspora, that we don't forget what we can do to help people back at home. It's not good enough for us to complain about what other people aren't doing for us. It's important that we all band together, think of an idea and pursue it."

With the support of his wife, local friends and Atlanta-based hotels, Kayongo began his Global Soap Project in 2009.

So far, 300 hotels nationwide have joined the collection effort, generating 100 tons of soap. Some participating hotels even donate high-end soaps such as Bvlgari, which retails up to $27 for a single bar.

Volunteers across the U.S. collect the hotel soaps and ship them to the group's warehouse in Atlanta. On Saturdays, Atlanta volunteers assemble there to clean, reprocess and package the bars.

"We do not mix the soaps because they come with different pH systems, different characters, smells and colors," Kayongo said. "We sanitize them first, then heat them at very high temperatures, chill them and cut them into final bars. It's a very simple process, but a lot of work."

A batch of soap bars is only released for shipment once one of its samples has been tested for pathogens and deemed safe by a third-party laboratory. The Global Soap Project then works with partner organizations to ship and distribute the soap directly to people who need it -- for free.

To date, the Global Soap Project has provided more than 100,000 bars of soap for communities in nine countries.

Kenya Relief is one organization that has benefited. Last summer, Kayongo personally delivered 5,000 bars of soap to Kenya Relief's Brittney's Home of Grace orphanage.

"When we were distributing the soap, I could sense that there was a lot of excitement, joy, a lot of happiness," said Kayongo, whose work was recently recognized by the Atlanta City Council, which declared May 15 as Global Soap Project Day in Atlanta.

"It's a reminder again of that sense of decency. They have (someone) who knows about their situation, and is willing to come and visit them ... to come and say, 'We are sorry ... We're here to help.' "

Want to get involved? Check out the Global Soap Project website at www.globalsoap.org and see how to help.

@highlight

CNN Hero Derreck Kayongo, a Uganda native, started the Global Soap Project in 2009

@highlight

The group recycles partially used hotel soaps and sends them to impoverished nations

@highlight

Kayongo says many children are dying because they lack access to basic sanitation

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes