(CNN)It's time for liberals to look local. With Washington gridlocked over almost everything and congressional Republicans standing firm against any further expansion of domestic policy, the odds of Congress passing another New Deal or Great Society are minimal. It will take a lot of work by Democratic voters and activists to change the numbers on Capitol Hill so that liberal ideas stand a chance of passing.

Yet at the state and local level, the story has been much different. Liberal Democrats have found more political space to move forward with their initiatives. In New York City, Mayor Bill de Blasio has launched an ambitious pre-K education program to broaden access for all of the city's residents. In New Orleans, the mayor has put together a generous housing program to guarantee that there are no veterans without shelter.

The drive for same-sex marriage equality took hold in the states before reaching the federal level. States such as Vermont, Oregon, and Washington as well as New Jersey have taken the lead in adopting eco-friendly policies. While Congress has resisted President Barack Obama's call to raise the federal minimum wage to $10.10 from $7.25, 21 states and the District of Columbia went ahead and enacted minimum wage increases of their own.

This is just the tip of the iceberg. At the annual conference for New America in Washington last week, the focus was on innovation. The most exciting ideas are taking hold at the local level. As the Atlantic's James Fallows explained to the audience, when one moves beneath the gridlock of Washington and down to the towns and communities of America, it is quickly possible to see the "functionality of politics" -- where partisanship does not trump the need to solve problems.

This has given liberals an opening. In Detroit, a company called Detroit Dirt is taking food scraps from local eating establishments and transforming them into compost for gardens to nurture communities and lower the environmental footprint of the city, Pashon Murray said at the New America conference.

Jonathan Mintz, the founding president and CEO of Cities for Financial Empowerment Fund, explained how his organization assists local governments to develop global partnerships that help lower- and middle-income Americans gain greater access to banking services.

But many liberal Democrats are uneasy about embracing this trend. Since the New Deal in the 1930s, which followed the total collapse of the patchwork of local and state social welfare programs overwhelmed by the weight of the Great Depression, doing things at the national level has been seen as the only way to go.

Only by making programs national could policymakers ensure that state and local government officials (particularly Southern Democrats who had little taste for giving benefits to African-Americans) could not distribute benefits only to certain portions of the population. Only the federal government had the taxing power necessary to sustain robust domestic initiatives.

In this view, it was believed that only Washington policymakers could bring together the best and brightest minds to make sure that programs were designed and administered well. Only through centralized programs, could policymakers ensure that residents of one state didn't receive more meager benefits than in other places. Some programs, like climate change, can only work well if every state has to follow the rules.

For the time being, liberals need to abandon that bias. Even if all the fears are warranted, right now there are enough benefits to justify more local  programs. The most important obviously is simply practical. This is the only opportunity that liberals have right now of seriously moving forward with new ideas.

Local and state politics are also proving to be arenas for great experimentation. This is one of the lessons of the 1910s and 1920s, when liberal activists in states such as New York and Wisconsin experimented with programs ranging from unemployment insurance to the regulation of work conditions.

As Supreme Court Justice Louis Brandeis wrote, a "state, may if its citizens choose, serve as a laboratory; and try novel social and economic experiments without risk to the rest of the country."

Local policymakers and experts developed these programs for many years before they were ever brought to the national stage. The result is that the policies were stronger and better tested, and some of the bad ideas had been discarded after it became clear they didn't work.

When Franklin Roosevelt came to office in the 1930s, he looked to these programs for inspiration about what to do at the national level. The same was true in the 1960s when Lyndon Johnson and the Democratic Congress put together civil rights, anti-poverty and urban development programs that had been implemented at the state level. It was easier for federal officials to build support for their proposals when they could point to successful experiments. Voters could see how they could work and how some of the worst predictions of opponents had not come true.

Conservatives have done the same in recent decades. When Republicans pushed for welfare reform in 1996, they drew many ideas from local changes that had been put into place in states such as Wisconsin, which had received waivers from national requirements.

The local arena is usually not ideal for creating big domestic policies since it depends on so many actors to sustain, since the politics of each region vary so greatly and since the financial muscle of smaller levels of government is much weaker.

Outside Washington's more conservative environment, political conditions in many parts of the United States are producing important opportunities for liberalism to flourish. This vibrant period of local policymaking will help to prepare the groundwork for the next moment -- like the early 1930s or mid-1960s or during the financial crisis of 2008-2010 -- when the doors for legislating will open in Washington.

@highlight

Julian Zelizer: Washington is gridlocked and leans conservative

@highlight

But liberals can launch social programs at lower levels, Zelizer says

@highlight

Trying programs out locally can set groundwork for Washington action in coming years, he says