Washington (CNN)  -- Legally, President Obama can effectively fire BP and have the federal government take over efforts to stop the Gulf of Mexico oil spill. The question is whether that would help the situation.

No one argues that the Oil Pollution Act of 1990 gives Obama the authority to take over all efforts to plug the well gushing 5,000 feet beneath the surface.

However, officials of oil giant BP, while acknowledging their failure so far to stop the leak, say no one -- not even the U.S. government -- can match their company's know-how and technology in such a crisis.

"I don't think anyone else could do better than we are," Doug Suttles, the BP chief operating officer, said Monday. "I know that that's frustrating to hear and our performance, to this point, I wish was better. I wish this was done. But we're doing everything we can. And I don't actually believe anyone could do any better, unfortunately."

Administration officials also have said they lack the technology -- such as unmanned submarines that can work at such ocean depths -- that has been deployed by BP.

Interior Secretary Ken Salazar, who previously threatened a government takeover of the mission, made clear Monday that BP must be involved in trying to stop the leaking oil.

"There are areas where BP and the private sector are the ones who must continue to lead the efforts with government oversight, such as a deployment of private sector technology 5,000 feet below the ocean surface to kill the well," Salazar said Monday. "BP and the private sector, with the help of federal scientists, are the ones who must get that problem solved and we have the oversight capacity in the administration to make sure that they are doing that."

In addition, the administration's point man on the spill response, Coast Guard Commandant Thad Allen, said Monday that BP's strategies were endorsed by other top oil company executives and he would advise against any shift from BP's continued involvement.

"They have the means of production," Allen said at a White House news conference. "They have the logistics in place. They have the ROVs [remotely operated vehicles] that are down there. We are jointly operating in their command post out of Houston [Texas]. Everybody that has a stake in the fight is there. And I am satisfied with the coordination that's going on."

While the military has some deep-sea capability, such as deep-sea submersibles, a senior Pentagon official said the military has no unique technology to offer regarding offshore oil drilling. The military has undersea imagery technology, but military officials said it would not add any capability to what the private industry is already using.

Fadel Gheit, managing director for oil and gas research at the Oppenheimer & Co. investment bank and firm, said the government has the authority, "but we don't have the technology or ability to do it."

"The government is not in the oil business," Gheit said, adding that BP is the industry leader, and "if they cannot do it, nobody else can. Period."

Salazar said Sunday that the federal role in stopping the leak is overseeing BP's efforts rather than taking over. At the same time, he said the government could exert its full authority with regard to dealing with the spilled oil once the leak is stopped.

"With respect to the rest of the responses, including keeping the oil from coming near shore and onshore and dealing with those ecological values, BP, again, is the responsible party and is on the hook for doing everything that needs to happen," Salazar said Sunday. "If we find that they're not doing what they're supposed to be doing, we'll push them out of the way appropriately and we'll move forward to make sure that everything is being done to protect the people of the Gulf Coast, the ecological values of the Gulf Coast, and the values of the American people."

Since the April 20 explosion and fire destroyed the Deepwater Horizon offshore rig, setting off the deep-sea gusher, oil giant BP has led the effort to stop the leak.

Several failed efforts in the ensuing month have raised frustration across the nation as the spilled oil spreads, coating some Louisiana coastlines and threatening areas to the Florida Keys and perhaps beyond.

Obama is coming under increasing criticism for the inability to stop it, causing his chief spokesman to mount an impassioned defense of administration efforts.

"First and foremost, we are trying to do everything, as I've said, humanly and technologically possible, first to plug this leak and, secondly, to deal with what has spilled," Gibbs told reporters Monday.

Even Obama's critics seem to recognize there are limits to what the government can accomplish.

"They can fire BP and take it over," Republican Sen. Lamar Alexander of Tennessee said Sunday on the CBS program "Face the Nation." "But the truth is, the federal government probably doesn't have the capacity to do that."

Marcia McNutt, the U.S. Geological Survey director who is assisting in the Gulf oil spill response, said Sunday that initial unrealistic expectations about the possibility of stopping the leak may be heightening the frustration now.

"I think everyone has to understand that the kinds of operations they are doing in the deep sea have never been done before," McNutt said. "And I think it is too bad that expectations were probably raised on schedules that probably were impossible to meet in terms of the kinds of construction that was required in the deep sea to effect these operations; that involved mobilizing equipment, fabricating new devices that had never been deployed at these depths before."

CNN's Barbara Starr contributed to this report.

@highlight

Oil Pollution Act of 1990 gives president authority to take over efforts to stop oil gusher

@highlight

BP officials insist that no one could match the company's know-how and technology

@highlight

Oppenheimer analyst: If BP "cannot do it, nobody else can. Period"

@highlight

Initial expectations were unrealistic, USGS director says