(CNN) -- Just about everyone who worked to build the new Interstate Highway 35W bridge in Minneapolis, Minnesota, knew that their project would never be "just a bridge."  It would never occupy the same category as thousands of other concrete and steel behemoths that millions of American drivers thoughtlessly cross every day.

On August 1, 2007, the deaths of 13 people and the injuries of 145 others made sure of that.

On that Wednesday evening, unforgettable live video showed cars and trucks tossed into the Mississippi River like toys amid the massive wreckage of the original I-35W bridge, which had somehow collapsed while thousands commuted home from work.

Three years later, family transformed by bridge disaster  The tragedy left Americans wondering about the safety of bridges and tunnels in their hometowns. Later, the tragedy threw a world of attention on the new bridge that would be built in its place. The new bridge, completed in September 2008, is expected to stand for 100 years.

"That's got to be the safest bridge in America, right?" joked a Minneapolis resident this week.

Alan Phipps, leader of the team that designed the new bridge, chuckles when he hears those kinds of comments. "I'd say there's a lot of truth to that," he said during a phone conversation this week at his Florida office at FIGG Engineering Group.  Builders and designers completed the 10-lane Interstate bridge three months ahead of schedule at a price of $233.8 million. "It was pretty amazing," said Phipps of the marathon project. "I paid for it with a lot of my hair and so did a lot of other people."  Although stylish curved piers and a bright white color mark a visual departure from its predecessor, it's what's baked into the bridge that makes it truly unusual.

Three-hundred-twenty-three high-technology sensors dot the structure, spitting out a constant stream of data regularly analyzed by engineers at nearby University of Minnesota.   At a total cost of about $1 million including wire connections and power sources, the sensors don't eliminate the need for visual inspections, but they do provide an extra layer of maintenance security.   The sensors monitor corrosion, stress and the movement of the bridge from the constant traffic.

"The fiber-optic strain gauge technology is fairly cutting edge," said Phipps. "A tiny beam of light is used to measure very small differences in the movement of the bridge when vehicles pass over."

Sorry, no flashing red lights or alarms go off when the sensors register something unusual, Phipps said, chuckling.

If the fiber-optic sensors show changes in the bridge's movement, data analysts would order a visual inspection, said Phipps, perhaps heading off structural damage that might pose a threat to the people crossing overhead. Less sophisticated strain gauges made of eight-inch pieces of wire measure more specific changes in the bridge's movements.

"It's like going to the doctor's office and having tests done. If something comes up different, then the doctor takes a closer look."

The sensors are wired to a power source and data flows through wires to a nearby computer. The computer is hooked up to fiber-optic cables leading to DOT and University of Minnesota networks. The analytical data can be remotely accessed online on an interface that displays it in tables of numbers, charts and graphs.

Another sensor embedded in the bridge looks like a big fork, said Phipps. This one constantly monitors for possible corrosion. Each prong in the fork is embedded at a different depth in the concrete. A power source sends electricity through the sensor. The amount of electricity passing through the sensor indicates the potential for corrosion on the bridge.  Security sensors also have been built into the new bridge to guard against terrorist attacks. Infrared cameras and other technology monitor for unauthorized activity in sensitive areas of the structure, including doors to equipment chambers.

National horror stemming from the collapse prompted the U.S. transportation secretary to urge all states to immediately inspect about 750 bridges of the same design nationwide. By law, states must inspect bridges like the one on I-35W every two years.

A yearlong investigation by the National Transportation Safety Board blamed the bridge collapse on support plates that were too thin and increased weight on the bridge due to construction equipment. The NTSB recommended nine improvements to state and federal highway officials regarding inspections and how bridge designs are reviewed.

If sensors had been installed on the old bridge, would they have provided enough warning to prevent disaster? "Maybe, maybe not," said Phipps. "This sensor system was designed expressly for this type of bridge. The old bridge would have used a different kind of system, so it's hard to say."

Sensors allow an added layer of security to regularly scheduled visual inspections. "If the sensor gives off a reading that's "really crazy, then you could go out to the bridge that day and take a look."

But each bridge owner must weigh the costs and benefits of including high-tech sensor arrays. At about $1 million for the new I-35W's sensors, that's a pretty big decision.

A new bridge, said Phipps, is unlikely to fail, because quality control measures are included in construction.   Planners considering expensive sensors may choose to spend the money instead on repairing or maintaining an older bridge so it will last longer.

"The bridges you worry about are the older ones," he said.  About 25 percent of all 603,245 U.S. public road bridges are classified as deficient, according to a report announced this month by the Federal Highway Administration.  An immediate "cost-benefitial" investment aimed at replacing or repairing deficient bridges might cost nearly $99 billion, according to the Department of Transportation.

@highlight

3 years after Minneapolis bridge collapse, replacement bridge boasts high-tech safety

@highlight

Bridge designer: "There's a lot of truth" to speculation the new bridge is nation's safest

@highlight

13 people killed in August 1, 2007, collapse raised safety concerns about U.S. bridges

@highlight

Feds: One in four bridges are still structurally deficient or functionally obsolete