Gaza (CNN) -- Nafoz Mohammed is living in a cramped two-room apartment with 16 other people, including several children, who spend the day- and nighttime hours holed up in fear.

"All the children feel so scared when they cut the electricity," said Mohammed, who shares the tight space with others whose homes were hit by artillery. "They just keep holding their mothers."

For the more than 1.8 million people squeezed into a territory about twice the size of Washington, chaos has always infringed on the daily rhythms of life.

But the latest conflict with neighboring Israel has compounded the misery of many.

Since Tuesday, residents have been without electricity. Without television. Without refrigeration. Without water pumps and sewage systems.

For the fortunate few who can afford them, buzzing generators provide some relief.

At the main hospital, already stretched by weeks of fighting that left more than 1,500 people dead and thousands wounded, a pair of mega-generators powered crucial life-support equipment.

Days after Gaza's only power plant was hit, the latest attempt at a cease-fire fell apart Friday after Israel said that one of its soldiers was captured by Palestinian militants.

Gaza residents were left with the anxiety of an uncertain future.

'Killing civilian life in Gaza'

As has happened with so many aspects of the conflict, the principals blamed each for the power plant's demise.

Palestinian officials pointed at an Israeli airstrike. Israel insisted that the power plant was not a target.

By early Tuesday, at least 40% of Gaza's fuel had been burned, according to Fathi al-Sheikh Khalil, deputy chairman of the Palestinian Energy and Natural Resources Authority in Gaza. The plant, which will have to be rebuilt, will not operate as it did for at least a year.

"This is a disaster," he said.

He said a 300,000-liter fuel tank -- which supplied about a day of electricity in Gaza -- was hit and burst into flames. Heavy shelling delayed firefighters from responding, allowing the fire to spread to other fuel tanks.

"We cannot supply electricity to hospitals or water pumps or sewage treatment or for domestic use," Khalil said. "People have to pump the water to the residential tanks but don't have electricity."

Jamal Derdsawoi, a representative of Gaza's electric company, also pointed at Israel.

"By attacking the power plant and cutting the electricity, they're killing the civilian life in Gaza," he said.

An Israeli military spokeswoman said after checking with ground, air and naval forces in the area of the power plant that there was "no indication that (Israel Defense Forces) were involved in the strike. ... The area surrounding the plant was also not struck in recent days."

Plant workers said the facility took fire for three days before Tuesday's strike. On Sunday, they said, the plant's administration building took a direct hit.

The United Nations has said that a deliberate strike on the plant would be a violation of humanitarian law.

Before the fighting, most of Gaza's power actually came from Israel, but transmission lines on both sides of the border have been damaged by either Israeli missiles or Hamas rockets. Repairs on the lines could take a week, but no agreement has been reached on when that work can begin.

Last month, one Israeli politician called on the government to permanently cut electricity to Gaza, especially since the Palestinians owe tens of millions of dollars in electric bills.

Darkness and isolation of war

Many Gaza residents have seen their neighborhoods hit hard and loved ones killed or wounded since Israel began Operation Protective Edge against Hamas on July 8.

About a quarter of a million people in the small, impoverished territory have been displaced by the conflict, according to the United Nations. That's about 14% of Gaza's population of 1.8 million.

Those killed include 327 children and 166 women, the Gaza health ministry reports. UNICEF said that about two-thirds of the children killed were 12 or younger.

The United Nations estimates that more than 70% of the more than 1,500 Palestinians killed have been civilians. More than 150 were members of armed groups, the U.N. said.

Israel blames Hamas for civilian deaths, saying militants encourage people to stay in their homes despite Israeli warnings that strikes are coming. Militants also use civilian facilities such as houses, schools, mosques and hospitals to launch attacks on Israeli civilians and store weapons.

Three civilians have been killed in Israel since the conflict began, while many more have been forced to take shelter as rockets rained overhead. Sixty-one Israeli soldiers have been killed during the hostilities, with five of those deaths occurring Thursday evening.

Yasmeen El Khoudary, a 24-year-old woman who lives in Gaza City, said she's had no power for two days. She has not left her house in a week.

There is enough food available to residents, El Khoudary said, but safety was a bigger concern.

"We only eat when we remember to eat," she said.

She added, "We have seen that the bombings are not precise."

Her Internet service was restored Thursday, El Khoudary said. In the darkness and isolation of war, she blogs about life.

"My thoughts are interrupted by an Israeli bombing that shakes our two story house like a rattle in the hand of a little baby," she wrote. "To my surprise, my brother is still awake. He comes to wish me a 'good' night before he goes to sleep. Stuck to his ear is a small radio that bewitches his face as he tells me that 20 people from Al Najjar family were collectively murdered in Khan Yonis. Good night, Omar."

She never wants to see that small radio again.

"It bears nothing but news of death and has the ability to bewitch the face of its holder (often holding it like they'd hold a cellphone) to fuming with anger, torn with sadness, ridden with fear, and rarely, filled with hope," she wrote.

CNN's Jessica King and Kareem Khadder contributed to this story.

@highlight

Conflict with neighboring Israel compounds misery for many of Gaza's 1.8 million inhabitants

@highlight

Since Tuesday, residents have been without electricity

@highlight

Gaza resident Yasmeen El Khoudary, 24: "We only eat when we remember to eat"