(CNN) -- On Thursday, Secretary of Defense Leon Panetta announced that the Obama administration would allow women to be placed in positions that will expose them more directly to fighting with enemy ground forces. It is said that this will allow women to fill hundreds of thousands of combat roles from which they are currently excluded. Substantively, this is a poor idea. Furthermore, the decision-making process used to bring this change about is deeply flawed.

America's ongoing war against terror-supporting states and terror networks, commenced after 9/11, has seen an increased combat role for women in the U.S. armed forces. According to recent news accounts, more than 800 have been wounded and more than 130 have died. Clearly, women have fought honorably, bravely and with great distinction.

The greater inclusion of women has allowed our armed forces to tap into an enormous pool of talent and character. And as the casualty figures above indicate, the current posture of the U.S. armed forces is not one in which women are leading cloistered, sheltered lives. They are often exposed to great danger. So, what is it then that President Obama and Panetta are doing?

Under the policy, women may end up being placed in infantry and Special Forces battalions and other front line combat units. To doubt the wisdom of this action does not reflect on the courage or abilities of female service members. But the step crosses a line worthy of greater deliberation and public debate.

Opinion: The challenge of incorporating women into the infantry

The proof that this decision is ideologically and not militarily based is its very sweeping nature. It appears that the people who did this are engaged in a vast social experiment in which hundreds of thousands of men and women will be the guinea pigs. We are now testing a hypothesis that may impair the military effectiveness of our ground forces.

The slots that may be opened are in our infantry and Special Forces units. The purpose of such units is to directly and physically engage enemy forces. This can often involve personal, hand-to-hand combat in which women will now have to fight men.

These units can often be deployed in prolonged operations that can last for months. The physical toll is constant and wearing. During operations of this kind there is typically no access to a base of operations or facilities. Consequently, living conditions can be abysmal and base.

There is routinely no privacy or ability to maintain personal hygiene for extended periods. Soldiers and Marines have to relieve themselves within sight of others. Think back to those scenes of combat in Vietnam, the Pacific in World War II, or the frozen mountains of Korea. It isn't pretty, and the same is happening now in Afghanistan.

Rangel: A more equal military? Bring back draft

This combat environment -- now containing males and females -- will place a tremendous burden on combat commanders. Not only will they have to maintain their focus on defeating the enemy in battle, they will have to do so in an environment that combines life-threatening danger with underlying sexual tensions. This is a lot to ask of the young leaders, both men and women, who will have to juggle the need to join and separate the sexes within the context of quickly developing and deadly situations.

Is the experiment worth placing this burden on small unit leaders? I think it is asking too much.

Something as momentous as this should be endorsed by the Congress of the United States. Ideas like these have been percolating within corners of the Defense Department for years waiting to be unleashed. One study by the Congressional Research Service recommended that "women should be excluded from direct land combat units and positions." Now, ideologues within the bureaucracy have prevailed, but a volunteer force has to maintain its legitimacy with the wider public. That is why the Constitution gives the Congress the power to shape and structure the military.

I worry about the women who are currently in the military. They have to know that the lines keeping them from infantry and Special Forces battalions will get blurrier and blurrier. What protections will they have against being thrown into front-line infantry units as organizational dividers soften and expectations change? Very little protection, I am afraid. Will they leave the military? This policy change may have the ironic effect of forcing women to reconsider their place in the armed services. If true, that would be tragic.

By the numbers: Women in the U.S. military

Congress should examine what the Department of Defense is doing here -- really. The Congress must do some hard, nonideological work and assess job categories and physical requirements. Perhaps a special committee could be formed whose members actually served in the infantry and Special Forces. If it will not reverse the policy, then Congress needs to put in place a comprehensive, nonpoliticized system that will track the physical effects of these changes on women. The data needs to be made public, so there can be a fair, scientific assessment of this great experiment.

President Obama and Panetta have their agenda of change and transformation. The American public, however, should not sit back and leave the brave members of our armed forces susceptible to the whims of ideology. Men and women can serve together in the armed forces productively, but that service needs to be prudently structured in a manner that reflects the differences between the sexes and the power of their attractions.

The opinions expressed in this commentary are solely those of Jerry Boykin.

@highlight

Lt. Gen. Jerry Boykin: Allowing women to fill combat roles is a deeply flawed idea

@highlight

He says women already serve ably without being placed in infantry, Special Forces

@highlight

He says move an untenable social experiment that will affect effectiveness of ground forces

@highlight

Boykin: Congress should form committee to examine impact of this decision on the ground