(CNN) -- With about 150 million active users, the mobile photo-sharing app Instagram has become a popular way for people to document their lives.

It lends itself particularly well to travel, when even the most reluctant photographer can be tempted to take a few pictures.

The most Instagrammed places in the world last year included an airport, amusement parks and a Las Vegas casino.

CNN journalist and avid Instagram user Jethro Mullen has racked up nearly 800,000 followers on the app.

Here are his tips for getting the best out of your phone camera when you travel.

1. Get high

Everything looks better, or at least different, when seen from above.

Viewing platforms, sky bars, cable car rides and overhead walkways are great for expansive perspectives.

If you're shooting through a window, get your lens as close to the glass as possible to reduce unwanted light reflections.

2. Learn from locals

Nobody knows a place better than the people who live there.

You can discover photogenic spots in the places you're going to visit through hashtags, geotags and the feeds of local Instagram users.

When I visited Atlanta last year, a photographer I knew through Instagram pointed me in the direction of the colorful staircase you can see in photo no. 2 above.

3. Be on the look out when you're on the move

Don't tune out while in transit.

Architecture and human activity at airports and rail stations often provide rich photo opportunities.

And the views from planes, trains and automobiles can be compelling.

Window seats offer great shots.

Flights from southern China to Europe can provide majestic views of mountains on the edge of the Tibetan Plateau, for example.

4. Get lost

Avoid hopping from landmark to landmark.

Some of the most satisfying and memorable pictures from a trip can be those you stumble upon when exploring a less frequented area.

Take some wrong turns, wander, see what you find.

5. Pack some extras

A number of gadgets allow you to get more out of your phone camera.

Lens attachments, like the Olloclip, provide fisheye, wide-angle and macro options.

Flexible tripods, like the GorillaPod, allow you to set up long-exposure shots using apps like Average Camera Pro and Slow Shutter Cam.

Make sure you check any gear you buy is compatible with your make and model of phone.

6. Use the right apps

Native Instagram filters can undoubtedly jazz up a run-of-the-mill image.

But their effects can be heavy, bludgeoning subtler elements of a photo.

Editing apps like Snapseed, Afterlight (both of which I used in photo no. 6 above) and VSCO Cam allow you to tinker in a gentler manner with brightness, saturation, contrast and other aspects.

I edit nearly every Instagram I take using these tools.

7. Embrace bad weather

Rain can put a dampener on a vacation, but it creates a range of appealing subjects for pictures: puddle reflections, colorful umbrellas, raindrops on windows.

What's more, the sky can be at its most dynamic before and after stormy weather.

To optimize puddle shots, turn your phone upside down so the lens is closer to the water's surface.

8. Plan your sunrises and sunsets

Think about where you want to be for the often rewarding light conditions at the start and end of the day.

Consider how the sunlight is likely to interact with the surroundings, like trees, buildings or water.

Apps like Sun Seeker can tell you the sun's predicted path through the sky.

9. Look up

In outdoor areas where your surroundings feel cramped or cluttered, try tilting your head back and seeing what lies above.

In cities, clusters of skyscrapers or geometrically arranged facades work well.

Natural surroundings, like forests of tall trees, can also be eye-catching.

Jethro Mullen is the newsdesk editor for CNN Digital in Hong Kong, and a popular Instagrammer.

@highlight

CNN's Jethro Mullen gained nearly 800,000 Instagram followers

@highlight

He shares some tips for improving pics when you travel

@highlight

Get up high, get lost and use editing tools are just some of his suggestions

@highlight

Instagram has around 150 million active users