(CNN) -- The United States is at a strategic inflection point. The choices we make now will have an enormous effect on our national security for decades. The war in Iraq has ended, and we have begun a transition in Afghanistan that will lead to a smaller American commitment in 2014 and beyond. On the horizon, we can see the end of a decade of war.

But as we look to the future, a very different but still daunting set of challenges confronts us: The rise of China and shifting power dynamics in Asia; the unfolding promise and perils of the Arab Spring; Iran's pursuit of nuclear weapons capability and the risks of conflict and proliferation it could spark; the near demise of al Qaeda's leadership in Pakistan and the emergence of dangerous regional affiliates in places such as Yemen; growing cyberthreats and new technologies and operational concepts that are transforming warfare.

Even more daunting, we must address these challenges at a time of severe budgetary austerity and profound political paralysis. After more than a decade of deficit spending, mounting national debt and the global financial crisis, we must shore up the U.S. economy as the foundation of our prosperity and security. This will require hard choices to bring government spending and revenues into balance while still investing in the long-term drivers of U.S. economic competitiveness.

Republicans and Democrats have been unable to reach consensus on how to make these hard choices, bringing Congress to a standstill. The super committee's failure to reach agreement on deficit reduction highlighted another more worrisome deficit -- one of political courage, vision and classic American pragmatism. These qualities are sorely needed at a time when partisan ideological discipline seems to have trumped the other nobler forms of discipline that have made this country great.

In this context, Americans must decide what kind of military we need for the future. The 2011 Budget Control Act requires the Department of Defense to reduce its expenditures by about $487 billion over the next decade, $259 billion of which must be cut over the next five years. In practical terms, this means the base defense budget will be about 9% smaller than planned, while spending on overseas contingency operations also declines.

In order to determine how best to sustain America's global leadership in this time of austerity, the Obama administration conducted a defense review based on four key principles:

First, the United States must maintain the world's finest military, one that supports and sustains our unique leadership role in the world.

Second, the Defense Department must avoid the mistakes of past drawdowns, which have resulted in a "hollow force." A smaller, ready and well-equipped military is preferable to a larger force without adequate investment in readiness and modernization.

Third, everything must be on the table, including politically sensitive areas that will likely provoke opposition from some members of Congress, industry and advocacy groups. There can be no sacred cows.

Fourth, we must preserve the quality of our all-volunteer force and keep faith with our men and women in uniform and their families, particularly after a decade of such great sacrifice on their part.

These principles shaped the Defense Department's FY13 defense budget request, which envisions a smaller force that is highly flexible, agile and -- above all -- ready to conduct the full spectrum of missions.

Importantly, the review called for a strategic rebalancing toward Asia-Pacific, the region that will have the greatest impact on U.S. economic and security interests long term. This does not mean taking our eye off the ball in the Middle East or turning our back on allies in Europe.

It does mean increasing our presence, access and partnerships in Asia, particularly Southeast Asia and the Indian Ocean. It also means increasing investment in capabilities that can ensure U.S. power projection in contested environments and protecting low-cost, high-impact programs that build the capacity of critical partners in other regions to address shared challenges.

At the same time, the Defense Department is protecting investment in areas critical to the future, including: Special Operations Forces; unmanned intelligence, surveillance and reconnaissance; cybersecurity; counter-WMD measures; and long-range precision strike.

Great care was also taken to ensure that the U.S. military will remain able to deal effectively with aggression in more than one theater at a time. This standard has long been a pillar of American strategy and is essential for a global power with global interests, let alone the world's indisputable leader and ally of choice.

Nevertheless, the United States will no longer size its ground forces for sustained, large-scale counterinsurgency and stability operations. Both the Army and the Marine Corps had to grow over the past decade to sustain multiple rotations to Iraq and Afghanistan. As this decade of war winds down, these forces are being reset to be ready to respond to a wider range of scenarios.

Lastly, the Defense Department has planned for "reversibility" -- that is, the ability to surge, regenerate and mobilize to counter any threat around the world. Given our poor track record in predicting past wars, we must be able to adjust quickly if and when we get it wrong. This concept is shaping the department's investment in areas ranging from the National Guard and Reserves, to the number of experienced leaders it retains, to the industrial base.

In sum, this administration has put a smart, strategy-driven and fiscally responsible blueprint for the U.S. military on the table. Now, the onus is on the Congress to exercise the discipline, pragmatism and political courage to reach a budget deal that avoids sequestration and its devastating effects on our national security.

Join us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Michele Flournoy.

@highlight

Michele Flournoy: As wars wind down, U.S. faces hard choices on defense spending

@highlight

She says global power shifts prompted Obama administration defense review

@highlight

She says U.S. must keep strong, small, ready military and keep faith with volunteer force

@highlight

Flournoy: Congress must have courage, agree on budget, avoid across-the-board cuts