(CNN) -- The National Transportation Safety Board's big, bold stroke encouraging all states to prohibit drivers from using cell phones faces a long, tortuous process in the nation's statehouses, experts said Wednesday.

This political reality stands out: Since states began legislating distracted driving or cell phone use in 2000, none has gone so far as to impose a complete ban on mobile devices behind the wheel, and only one state -- Alaska -- has considered such a blanket prohibition, just this year, said Anne Teigen, senior policy specialist with National Conference of State Legislatures.

Barbara Harsha, executive director of the Governors Highway Safety Association, said opponents don't like big government intrusions and savor their personal freedoms.

"This is a controversial issue so you can assume it's not going to pass right away," Harsha said. "It's going to take a long time for legislatures to pass laws, and a long time for states to begin to enforce the laws, and then a long time for behavior to start to change.

"The first seat-belt law was passed in the mid-'80s, and we're now at 84 percent of drivers who are buckled up nationwide," even though all states now have laws requiring drivers and passengers to wear seat belts, Harsha said.

"People like to be connected. They like to respond to e-mails and voice mail," Harsha said.

States won't embrace such a blanket ban recommended by the NTSB, said David Adkins, executive director and CEO of The Council of State Governments. Lawmakers believe that constituents and trade groups alike view such a total ban as excessive, he said.

"It's just one of those things that would be the equivalent of the 18th Amendment today. It's a Prohibition that would not work," Adkins said.

"I don't believe most state lawmakers would say (the NTSB recommendation) is viable," Adkins said. "To check to see what's for dinner and who's going to pick up the kids, those are so ingrained as conveniences in our daily lives, to say that we're not going to allow you to connect, that seems so unrealistic."

Still, Adkins praised the NTSB initiative as "boldly aspirational."

"If it gets people's attention, it will do good," he said. "I just hope they pursue their campaign through cooperation and collaboration rather than preemption or mandates on the states, in other words forcing it down the states' throats."

NTSB chairwoman Deborah Hersman acknowledged that the recommended ban is "a challenge" that "will take some time." Another NTSB board member said the proposal's target -- distracted driving -- is "the new DUI."

"I know how difficult this is because I used to talk on my phone, as well, until I understood the dangers of it," Hersman told CNN on Wednesday. "And I'll tell you, when I hung up my phone and stopped talking on the phone while I was driving, it was like becoming sober and seeing that everyone around you was drinking. You notice the people who are distracted."

In the past 10 years the NTSB has increasingly sought to limit the use of portable electronic devices -- recommending bans for novice drivers, school bus drivers and commercial truckers. Tuesday's recommendation, if adopted by states, would outlaw nonemergency phone calls and texting by operators of every vehicle on the road.

The initiative would apply to hands-free as well as hand-held devices, but devices installed in the vehicle by the manufacturer would be allowed, the NTSB said.

The recommendation would not affect passengers' rights to use such devices

The Governors Highway Safety Association, which represents state highway safety agencies in all 50 states, the District of Columbia and Puerto Rico, hasn't taken a position on the NTSB recommendation because the association would like to see more research.

"There's conflicting evidence" on whether hands-free cell phone conversations would be as unsafe as those by hand-helds, Harsha said, adding that more "definitive research" is needed. "If it shows both are unsafe, then a total ban may make the most sense," she said.

So far, nine states and the District of Columbia prohibit hand-held cell phones while driving, Teigen said. A 10th state, Utah, has deemed speaking on a hand-held phone as a careless driving offense if it is accompanied by another moving violation, Harsha said.

Thirty states and the District of Columbia prohibit novice drivers and teenagers from using cell phones while driving, but no state has imposed such a ban on all drivers, Teigen said.

One cell phone industry group supports states' ban on texting while driving -- a law enacted in 35 states and the District of Columbia, according to the National Council of State Legislatures.

But the CTIA-The Wireless Association didn't take a position on the NTSB's recommended ban on cell phone conversations behind the wheel.

"Manual texting while driving is clearly incompatible with safety, which is why we have historically supported a ban on texting while driving. As far as talking on wireless devices while driving, we defer to state and local lawmakers and their constituents as to what they believe are the most appropriate laws where they live," Steve Largent, president and CEO of the industry group, said in a statement.

In Alaska, state Rep. Mike Doogan, a Democrat, this year proposed legislation that would ban using a cell phone when driving, but the measure died, he said.

"I'm very happy to see that the NTSB has taken notice of what is clearly a problem that basically anyone who is on the road can recognize themselves. It's important that a national organization is getting involved. Otherwise, it's a state-by-state slog, and that slog hasn't been going so well, including in Alaska," Doogan said.

The federal government last month banned interstate truck and bus drivers from using cell phones while driving. A violation carries a federal fine of $2,750.

@highlight

NTSB has encouraged all states to prohibit drivers from using cell phones

@highlight

States will be reluctant to impose a total ban on cell phones behind the wheel, experts say

@highlight

Experts: Seat-belt laws met with resistance, and cell phones' convenience is "ingrained"

@highlight

Only in Alaska has a blanket prohibition been considered, and it went nowhere