(CNN) -- In a city that changes as fast as the weather, it can be easy to overlook Hong Kong's past.

But on a winding street in Wan Chai, one of the city's oldest neighborhoods, a house painted brilliant blue stands out.

The "Blue House," a Chinese tenement building from the 1920s, is at the heart of a cluster of historic buildings that paint a picture of old Hong Kong.

Home to the Hong Kong House of Stories, an eclectic museum and community center that offers tours of historic sites in the area, the building provides an important glimpse into the neighborhood's rich history.

A block away, 50-story highrises loom and preservationists worry about the impact of gentrification on the neighborhood's character.

"We want local people to tell local stories," says Maria Kwok, a volunteer tour guide who has lived in Wan Chai for almost three decades.

"If you come back in a few years, this neighborhood may have completely changed."

The Blue House itself, which packed working class families into tiny rooms after it was built in the 1920s, is the first stop on the heritage tour.

Tenement houses like these were once common in the neighborhood and the city.

Now, along with two other tenements next door, the Blue House is one of the few remaining.

Temples, post offices, war

In the surrounding blocks, other old buildings, like a tiny 1847 temple and a prim 1915 post office, are slipped between apartment towers.

Of note is Pak Tai Temple, a Taoist temple built in 1863 and an oasis of incense-scented calm.

The House of Stories also offers a nighttime "haunted tour" that shares "spooky tales" of the neighborhood's most eerie sites.

The Japanese bombing and occupation of Hong Kong during World War II fuel stories of ghosts in Wan Chai.

"People come for the fun but they also learn about the history," Kwok says.

The two or two-and-a-half-hour tours, all led by community locals, cost HK$60 ($7.75) per person, with private group tours for a minimum of HK$600 ($77).

Visitors should schedule tours in advance over phone or email (see below).

Nonprofit and school groups receive reduced rates.

The House of Stories also organizes concerts, movie nights and art workshops on Thursday nights.

People regularly wander into its welcoming, living room-esque space, which is full of old knickknacks and historic books donated by neighbors who've moved out.

Renovation and preservation

Upstairs, the Blue House is in the middle of a government-supported renovation to preserve its architecture and improve living conditions for residents, some of whom lack air conditioning and even toilets in their century-old flats.

While there are other historic renovation projects underway around the city, the Blue House effort is unique in that original residents will stay in their homes, says Mirana Szeto, a Hong Kong University professor who consulted on the project.

"We're not preserving an old house and its original culture, we're preserving a living community," Szeto says.

Renovation plans were drawn up in consultation with locals.

After construction is complete in 2017, the House of Stories will be joined by two new restaurants in the Blue House.

Until then, there are plenty of good dining options in the surrounding blocks.

Dining changes

The Pawn, a restaurant and bar housed in an 1888 pawn shop building, has an outside terrace and roof seating. (The Pawn is currently closed for renovation, but scheduled to reopen in October with a menu from British celebrity chef Tom Aikens.)

Tai Lung Fung, a bar that opened three years ago in a former car repair shop across the street from the Blue House, has a long list of cocktails and excellent shrimp paste chicken wings (HK$55/$7).

Its neon-lit vibe is straight out of '70s Hong Kong TV dramas, and its walls are adorned with classic movie posters.

"Old things are being destroyed," says Sam Leung, the bar's owner. "I wanted to protect and keep the memory."

Some complain that new bars and higher rents are threatening mom-and-pop noodle joints and tea shops, where locals enjoy cold milk tea (dong nai cha).

"The whole area is changing. It doesn't match with the local residents," Kwok says. "For us locals, they're making things more expensive."

A cheap option is an evening of snacks and beers on the sidewalk in front of the Blue House, a nighttime hangout for the community.

The rattle of games of mahjong regularly mix with laughter echoing down the street.

Leung Ping Wa, who has lived in the Blue House and its adjoining tenements for 18 years, says he has seen big changes in the area: lots of new faces and new highrise buildings.

But the changes he notices are also cultural.

"In the past, more people used to come out and eat and talk to each other like this," he says. "Now, most people go home and close their doors."

Hong Kong House of Stories, 74 Stone Nullah Lane, Wan Chai; +852 2835 4372; hos@sjs.org.hk; houseofstories.sjs.org.hk

Pak Tai Temple, 2 Lung On St., Wan Chai

The Pawn, 62 Johnston Road, Wan Chai; +852 2866 3444; thepawn.com.hk

Tai Lung Fung, 5 Hing Wan St., Wan Chai; +852 2572 0055

@highlight

The Blue House, a Chinese tenement from the 1920s, is at the heart of a cluster of historic buildings

@highlight

Local residents lead tours of historic sites

@highlight

Preservationists worry about the impact of gentrification on the neighborhood's character

@highlight

A renovation of the Blue House is preserving the local community by letting residents stay in their homes