(CNN) -- After two years of denial about the European periphery's solvency problem, European policymakers are finally, grudgingly, facing reality. They are recognizing that Greece is almost certain to default by year-end. And they have concluded that it is imperative to recapitalize Europe's banks and to erect an effective "firewall" around Spain and Italy to reassure markets that if Greece defaults, the crisis will be contained there.

But it remains to be seen whether this recognition will be translated into credible and effective measures by the time of the scheduled November 3 G-20 Summit. If past performance is any guide, one has to wonder whether this will be yet another doleful instance of domestic political constraints, especially in Germany and France, resulting in a "too little too late" European policy response to an ever deepening crisis.

How deep? Greece's International Monetary Fund adjustment program is in tatters. The IMF itself is now acknowledging that Greece's economy, which has already contracted by around 12% since 2009, will contract meaningfully further in 2012. And the IMF is also recognizing that Greece will not meet the IMF's budget targets for 2011 and 2012. As a result, Greece's public-debt-to-GDP level will soon rise to 172%, or more than twice the level that might be considered manageable.

As if to underline how unsustainable is the Greek situation, in the midst of the deepest of domestic recessions, the Greek government is now being required by the IMF to undertake further painful fiscal adjustment measures to meet its ever elusive budget deficit targets. Not only is the IMF insisting that Greece introduce an unpopular property tax, but it is also asking a Pan-Hellenic Socialist, or PASOK, government whose very existence depends on public sector patronage, to cut public wages and to reduce public employment. Little wonder that social and political tensions in Greece are now on the boil.

The IMF is acknowledging that the Greek government will need more funding to finance its 2012 budget deficit. This is inducing the IMF to seek substantially greater debt reduction from Greece's bank creditors through the "voluntary" debt exchange. As might be expected, the banks are resisting the IMF's proposal, and this could complicate the IMF finalizing its intended program review by mid-November.

Mindful of the 2008-2009 Lehman experience, European policymakers are fully aware that a Greek default could cause real contagion to the rest of the European periphery. They are particularly fearful that a Greek default could engulf Spain and Italy, Europe's third and fourth largest economies respectively, which would pose an existential threat to the Euro.

But despite these perceived risks, and reflecting domestic political constraints from electorates opposed to further bailouts, European policymakers seem to be in no rush to put a credible firewall in place. In particular, they have yet to come up with a concrete proposal to leverage up the European Financial Stability Facility -- the euro zone's temporary bailout fund -- from its present size of EUR 440 billion ($600 billion) to the EUR 2 trillion range ($2.8 trillion), that most market analysts think would be needed to shield Spain and Italy from the fallout of a hard Greek default.

And responding to increased banking sector strains that both the IMF and the European Central Bank fear could tip Europe back into recession, European policymakers are proposing a coordinated European effort to recapitalize the European banking system. However, they have yet to come up with concrete proposals as to how they will increase the European banking system's capital by the EUR 200 billion ($267 billion) that the IMF estimates would be necessary to put Europe's banks back on a sound footing. Public differences between the French and the German governments on who should pay for the bank recapitalization are not encouraging.

The late MIT economics professor Rudi Dornbusch famously said that in economics things take longer to happen than you think they will, and then they happen faster than you thought they could. Hopefully, European policymakers will now recognize that in Greece we are all too likely to be in "the faster than you thought they could" phase of the crisis. For if they do, we might dare to hope that they will act expeditiously in constructing an effective firewall -- recapitalizing their banks in a manner that will spare us from a Lehman-style crisis when Greece defaults.

The opinions expressed in this commentary are solely those of Desmond Lachman.

@highlight

Desmond Lachman: European policymakers finally facing likelihood of Greek default

@highlight

He says they know they must recapitalize Europe's banks to stop "contagion's" spread

@highlight

He says action difficult politically, bailout unpopular, so they have not taken any concrete steps yet

@highlight

Lachman: Policymakers must act to create "firewall" to prevent Lehman-style crisis