They've been trained to focus for weeks at a time on a single goal. They know how to clearly identify obstacles and form step-by-step plans to overcome them.

They're obsessed with improving specific skills but judge success only by overall progress made in the world they've decided to conquer -- as realistic or fantastical as it may be.

It's precisely these traits that make video-gamers great bodybuilders.

Take a moment to laugh, if you must. Now hear us out.

Brian Wang and Dick Talens were the stereotypical video-gamers in high school. One was scrawny, the other fat. They grew up playing marathon sessions of "EverQuest" and "Counter-Strike."

"I literally would wake up and play all day, eating intermittently," Talens said. "OK, when I say intermittently, I mean eating a lot."

But by the time the men met at the University of Pennsylvania in 2004, they had traded an obsession with video gaming for an obsession with weight-lifting. As they shared stories at the gym, they realized their healthy transformation had been easier for them than for most.

Why? Because they were -- and would always be -- gamers.

"People don't realize that video games are an expression of personality," Talens said. "There's certain qualities that people have. They're obsessed with improving the stat sheets, getting to the next level; they pay a lot of attention to detail. Guys who play ('World of Warcraft') ... are very intense about whatever they do. They can turn that addiction and all its characteristics into fitness."

It's a theory they're taking to the bank. Talens and Wang are the co-founders of Fitocracy, a website that's turning gaming geeks into fitness geeks. The site has 70,000 users in its beta version and hopes to open to the 60,000 on a waiting list in the next couple months.

Fitocracy members can "level up" by earning points for their workouts. New levels unlock special challenges or "quests" that are designed to push users out of their comfort zones. For example, a runner might have to do yoga, or a bodybuilder might have to tackle a 5K.

Still, one has to wonder: What would make a virtual warrior trade in his sword and shield for a pair of dumbbells? The same thing that got him interested in playing video games in the first place, Dr. Scott Rigby says.

Rigby and Dr. Richard Ryan are co-authors of the book "Glued to Games: How Video Games Draw Us In and Hold Us Spellbound." As experts on human motivation, they have identified basic psychological needs -- similar to physical needs like food, water and sleep -- that video games satisfy.

First, Ryan says, is the need to feel competent. In real life, you get the chance to "level up" only once every couple years: like when you earn a promotion at work or get married. In games, you always know what you have to do to get to the next level.

"In video games, you're constantly getting information about your achievements and (learning) how to do things better," Ryan says. "There's an opportunity to develop a mastery that's very much a key motivator."

That translates well to fitness, where tracking your accomplishments enables you to progress quicker. You know you've improved when you run an extra mile or dead lift another 50 pounds.

A second motivator in video games is the feeling of freedom and autonomy, Rigby says. People like to know they have control over their future. In video games, you can choose your path, the skills you want to improve, even your outfit. Making the same choices in your fitness regimen helps you feel empowered.

"Games make the goals really clear," Rigby said. "You have to run from point A to point B, deliver a message, kill this bad guy. You have a very clear sense of 'If I just do these steps, I will succeed.' And let's call them quests because it sounds heroic. And who doesn't want to feel like a hero?"

Fitocracy user Michael Perry says that what's most important to him is the community on the website, which resembles that of his favorite online game, "World of Warcraft." In any massively multiplayer online role-playing game, you work with other players to conquer enemies. Your team expects you to show up and do what needs to be done. He gets the same sense of accountability from the members on Fitocracy.

"When I was playing WoW all the time, I had to make sure everything I was doing was right. I researched it down to the T. I made sure I was hitting spells right at the right time. I wouldn't miss a raid," Perry said. "I think that translates really well to exercise and bodybuilding because you have to have that level of knowledge, (and) you have to have that commitment."

Rigby says the community around online games, or fitness, satisfies one of the last psychological needs: relationships.

"There's a social component to it. ... You're relying on each other. You really need the other person to watch your back and vice versa," he said. "(Games) build in a sense of 'I matter to others; others matter to me.' "

Of course, motivation isn't restricted to video gamers. Everyone has these basic intrinsic psychological needs and can apply them to fitness. Gamers just have an easier time learning the language.

"What video game players have is a certain understanding for how these sort of fitness structures are built: goal-setting, progression, etc." Rigby said. "In other words, it's a world that they know."

Take Vin Diesel, one of the buffest men in Hollywood. Diesel used to play "D&D" on his days off as a bouncer in one of New York's nightclubs.

He contributed the foreword for the book "30 Years of Adventure: A Celebration of Dungeons & Dragons," writing, "We were all drawn to the game because it allowed us to become these characters, vastly different in appearance and in actions, but what kept us hooked was the search for the character that represented our higher self."

A quest -- to look different, to act stronger, to be better. Sound familiar?

@highlight

Fitocracy uses video game techniques to encourage exercise

@highlight

"Glued to Games" authors say motivation is similar in fitness, games

@highlight

Community around online games, or fitness, satisfies a psychological need