(CNN) -- Compare and contrast the economic plan Mitt Romney released in September with the speech he delivered Friday in Detroit.

The plan was published as a downloadable e-book, introduced by a former chair of the president's Council of Economic Advisers, Columbia business school dean Glenn Hubbard. It was the product of heavy research and careful thought. The plan rejected further early tax cuts for high-income individuals, saying instead:

"We need taxes to pay for the operations of government. But they should be collected by a system that is simple and fair, and that causes the least possible disruption to the productive economy.

"While the entire tax code is in dire need of a fundamental overhaul, Mitt Romney believes in holding the line against increases in marginal tax rates. The goals that President Bush pursued in bringing rates down to their current level -- to spur economic growth, encourage savings and investment, and help struggling Americans make ends meet -- are just as important today as they were a decade ago. Letting them lapse, as President Obama promises to do in 2012, is a step in precisely the wrong direction. If anything, the lower rates established by President Bush should be regarded as a directional marker on the road to more fundamental reform. " (Italics added.)

By contrast, the Detroit speech seems to have been written on the back of an envelope. The only thought that went into it was: How do we rev up the base so that we can win the next primaries?

Romney said:

"First, I will make an across-the-board, 20% reduction in marginal individual income tax rates [tax brackets]. By reducing the tax on the next dollar of income earned by all taxpayers, we will encourage hard work, risk-taking, and productivity by allowing Americans to keep more of what they earn.

"The businesses that pay taxes through the individual income tax system account for more than half of all private sector jobs in the United States. So this tax cut will encourage businesses to hire, raise wages, and grow the economy."

No effort is made to corroborate these claims for the economic benefits of a further 20% tax cut. Corroboration is not needed in a speech intended narrowly for the pre-convinced.

But wait -- won't such a big tax cut, piled atop the previous commitment to renew the Bush tax cuts when they expire in 2013, greatly add to the deficit? Especially when joined to new promises to permanently abolish the Alternative Minimum Tax and estate tax? How will the federal budget be balanced?

Not with cuts to current Medicare beneficiaries, the speech hastens to assure.

"Tax hikes are off the table, and there will be no change for those at or near retirement." Medicare and Social Security reform will not begin until 2022. Yet the tax cuts are supposed to go into effect right away. How to close the gap?

Growth, of course, will help. But mostly, the speech suggests that the gap will be closed with big cuts to programs for the poor, such as "food stamps, housing subsidies, and job training."

What about the social costs of imposing such big cuts on a population that has by no means recovered from the economic catastrophe of 2008-2009? Do the numbers even add up?

One might cynically answer: Who cares? The speech is not intended as policy. It's intended to corral Republican primary voters. If Romney wins the election in November, that will be the time to think seriously about economic plans.

Yet cynicism is not always as sophisticated as it thinks it is. However short-term the motivations behind it, Romney's speech in Michigan will have heavy consequences for at least four reasons:

• Even if the speech does not strictly qualify as a flip-flop, it does continue the pattern of Romney yielding under pressure from the GOP base. Winning candidates look for ways to demonstrate independence from party dogma. In 2008, Barack Obama did it by praising Ronald Reagan and preaching the importance of fathers. George W. Bush did it with his October 1999 speech repudiating claims that the U.S. was "slouching toward Gomorrah." Bill Clinton of course had his Sister Souljah speech. Romney instead is following the Walter Mondale approach of knuckling his forehead to every interest group in the party. Each succeeding act of submission makes him look weaker.

• Romney has now wholly identified himself as the candidate of the rich and the old. Nothing is to be asked from those over 55. Much is to be given to upper-income earners. All the burden of fiscal adjustment is to be piled on the poor and the young. When Republicans invoke the memory of Ronald Reagan, they ought to remember how powerfully Reagan spoke to the aspirations of young Americans -- and how the support of young Americans in turn made the oldest of American presidents appear exciting to voters in every age group. Today's Republican party goes out of its way to show contempt and hostility to the young -- an attitude that will have consequences for a long time to come.

• It's not impossible that Romney may win this election. If he does, he'll find that his speech in Detroit surrendered the initiative for his first year in office to the Republicans in the House. They will want to pass the tax cut first. Romney has now endorsed it, so how can he say no? They will want to do some version of the Paul Ryan budget next. Ditto. And whoosh, there goes his first year -- and all the priorities that his September plan and his own book suggested he regards as more important: tax reform, trade, etc. Anti-tax crusader Grover Norquist will be proved right: Romney will have reduced himself to a signing machine for a government whose real power is centered in Capitol Hill.

• If Medicare, Social Security and defense are off the table -- and if the rest of the government is not to be obliterated entirely -- then hopes of deficit reduction after Romney's big tax cut will rest on the country zooming to Chinese levels of economic growth. What if that growth does not appear? It's one thing to incur dreadful deficits during the worst economic collapse since the Great Depression. The Romney plan threatens to institutionalize those deficits even during the period of recovery ahead.

Compassionate conservatism has been dead for a long time. Romney's Detroit speech cremated the remains. As a man, Romney remains far and away the most capable of the presidential candidates seeking the Republican nomination. But he has now finally eliminated the policy differences separating him from the radical congressional wing. If Romney should win the Republican nomination, moderate and independent voters nationwide will be forced to decide: If they vote for Romney, who is it they're truly voting for?

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Mitt Romney's Friday speech flies in face of his economic plan

@highlight

Romney's promise of more tax cuts could tie his hands if he is elected president

@highlight

Frum: If Medicare, Social Security changes ruled out until 2022, budget deficits will grow

@highlight

He says Romney's new idea will hurt the young and those hit hard by the recession