(Health.com) -- Doctors and health officials have relied for decades on body mass index (BMI), a ratio of height to weight, to categorize people as overweight and obese.

A new study, however, suggests the use of BMI may be leading us to underestimate the already sky-high obesity rate.

BMI, the researchers say, is an overly simplistic measure that often misrepresents physical fitness and overall health, especially among older women. Nearly 4 in 10 adults whose BMI places them in the overweight category would be considered obese if their body fat percentage were taken into account, according to the study.

"Some people call it the 'baloney mass index,'" says lead author Eric Braverman, M.D., president of the Path Foundation, a nonprofit organization in New York City dedicated to brain research.

Bodybuilders can be classified as obese based on their BMI, he says, while "a 55-year-old woman who looks great in a dress could have very little muscle and mostly body fat, and a whole lot of health risks because of that -- but still have a normal BMI."

Health.com: Surprising celebrity BMIs

Based on their findings, Braverman and his coauthor, New York State Commissioner of Health Nirav Shah, M.D., say the BMI threshold for obesity, which now stands at 30, should be lowered to 24 for women and 28 for men.

By that standard, a 5-foot 6-inch woman and a 5-foot 11-inch man would be considered obese at about 150 and 200 pounds, respectively.

The study participants -- patients at a specialized private health clinic in Manhattan -- aren't typical of the population as a whole, Braverman notes. Still, he says, the large discrepancy between BMI and body fat measures seen in the study suggest that BMI guidelines should be revisited.

"People aren't being diagnosed [as obese], so they're not being told about their risk of disease or being given instruction on how to improve their health," says Braverman, who is also a clinical assistant professor of neurosurgery at Weill Cornell Medical College, in New York City.

Health.com: Best superfoods for weight loss

James Hospedales, M.D., chief of noncommunicable diseases at the Pan American Health Organization, a division of the World Health Organization based in Washington, D.C., says that while one study is not enough to justify changing national standards, the findings do call for a discussion.

"We've known for a long time that BMI is not a perfect measurement, and that it's important to look at the overall picture," Hospedales says. "In this study, it turns out that a lot of people who are classified as just overweight in fact have a bit more to worry about, and those are indeed valuable findings."

But lowering the cutoff for obesity could create its own problems, Hospedales adds.

"We'd also be calling an increasing number of people obese who aren't, which could lead to issues with stigma, insurance policies, and other problems," he says. "We have to think quite carefully about the pros and cons."

Health.com: Can you be fit and fat?

In the study, published today in the journal PLoS One, Braverman and Shah compared the BMI of roughly 1,400 men and women with their body fat percentage, which was measured using a type of scan, known as dual energy X-ray absorptiometry (DXA), that provides a detailed breakdown of fat, muscle, and bone mass. (DXA scans are also used to measure bone density.)

Overall, 39% of patients who were merely overweight by BMI standards fell into the obese category for body fat percentage, which the American Society of Bariatric Physicians defines as 25% or more for men and 30% or more for women.

BMI appeared to provide a far less accurate picture among women, possibly because women lose muscle mass faster than men as they age, the study notes. Nearly half of the women were considered obese according to body fat percentage but not BMI, compared to just one-quarter of the men.

Health.com: Mistakes women make in middle age

Testing for blood levels of the hormone leptin could boost the usefulness of BMI, the study suggests. Leptin, which helps regulate energy and appetite, was strongly associated with body fat percentage in the study, and it has previously been linked to obesity-related health complications.

Adjusting BMI to account for leptin levels would provide patients with a more accurate measure of their disease risk, Braverman says.

Lowering BMI obesity cutoffs, using DXA scans when possible, and incorporating leptin tests represents a "three-pronged approach," Braverman says. "Making these changes now can save the U.S. a fortune down the road, if it allows us to alert more people to their risks and prevent them from getting worse."

Copyright Health Magazine 2011

@highlight

BMI, researchers say, may be an overly simplistic measure for overall health

@highlight

BMI threshold for obesity should be lowered to 24 for women and 28 for men, authors say

@highlight

Authors: Patients who are not considered obese aren't being told about their health risks