(CNN) -- As though there were not enough tumult in Egypt. A year after revolution felled a longtime dictator, a new crisis has soured its strongest Western ally and threatened to sever military aid.

Egyptian authorities had been investigating civil society organizations for a while but they stunned U.S. officials by announcing this week that 43 foreigners, including 19 Americans, working for civil society organizations would face prosecution.

Egyptian officials blamed ongoing unrest in their country on foreign interference.

Authorities carried out 17 raids on the offices of 10 organizations including the U.S.-based Freedom House, National Democratic Institute and the International Republican Institute. Among those going to court is Sam LaHood, son of Ray LaHood, the transportation secretary.

Not a wise decision by the Egyptians, said journalist Ashraf Khalil, author of "Liberation Square: Inside the Egyptian Revolution."

"You never ever mess with the son of a (government official)," Khalil said. "I never expected foreigners would be sent to trial. I started to think that maybe they really believe these people are spies."

Khalil was not alone in his reaction.

Several analysts said they were surprised the Egyptians chose to provoke America at such a critical juncture in their post-revolutionary journey; to bite the proverbial hand that feeds them.

What makes this crisis even tougher is that there are no easy solutions to stave off tensions.

The Egyptians say the pro-democracy organizations had received illegal foreign financing and were operating without a proper license. But some of the groups had been tacitly operating for some time in Egypt without permission, even under Hosni Mubarak.

State Department spokeswoman Victoria Nuland said the groups targeted did not fund candidates or parties.

"There is nothing new in their activities," she said.

Washington viewed the move as a crackdown on democracy and threatened to cut off more than $1.3 billion in military aid that was conditioned on Egypt's progress in transitioning to democracy.

Top officials including Secretary of State Hillary Clinton and Defense Secretary Leon Panetta lashed out. And 41 members of Congress urged the administration to withhold further aid to Egypt until authorities allow the offices of the targeted organizations re-open.

"We have underscored how serious a problem these actions are. We have said clearly that these actions could have consequences for our relationship, including regarding our assistance programs," White House spokesman Jay Carney told reporters Monday.

Nuland declined to speculate about possible consequences but said the dispute "is a very, very difficult situation in terms of the support we want to provide Egypt."

The drama continued Tuesday when Sen. John McCain, the ranking Republican on the Senate Armed Services Committee, told CNN that an Egyptian military delegation visiting Washington had canceled meetings with senior American lawmakers at the last moment and returned to Egypt.

McCain, the ranking Republican on the Senate Armed Services Committee, did not give a reason why the Egyptians backed out but it wasn't hard to guess.

"What is happening now is that both sides have painted themselves in a corner and they don't have an easy way to get out," said Marina Ottaway, a senior associate at the Middle East Program of the Carnegie Endowment for International Peace.

The Egyptians have now made a legal case and the Americans will find it difficult to tell them to interfere with the work of the judiciary when they are trying to push democracy, Ottaway said.

One Egyptian official told the Al-Ahram newspaper: "Americans cannot preach to us night and day about the need to abide by the rule of law and then ask us to break the law to serve their interests."

The United States entree into Egypt is through its military leadership -- Washington has no relationship with the political leaders of the Muslim Brotherhood, which has a majority in Egypt's parliament. So it cannot afford to simply cut off Egypt, Ottaway said.

At the same time, Egypt must find a way to expedite legitimate trial and release the Americans to protect its relationship with Washington.

Ottaway said the military often blames foreign forces in having a hidden hand in anti-government protests.

"This is what the military is doing," she said. "Unfortunately, they are not blaming some nebulous group. It's a big mess."

The crisis may also have been fueled in part by the a great sense of nationalism on the government's part, said Isobel Coleman, a senior fellow at the Council for Foreign Relations.

"It's better in the short term to be seen as standing up to the Americans,' she said.

In recent days protesters have returned to Cairo's Tahrir Square, demanding an end to military rule. Some of those protests, in the wake of soccer riots that killed 79 people, have turned deadly.

"As the situation continues to be very unsettled in Egypt, the powers that be will look for a scapegoat," Coleman said. "Blame your problems on outside powers. That's how it has been throughout history."

Accusing activists of receiving foreign funds is not new, either.

Under Mubarak, dissident Saad Eddin Ibrahim was accused of using European Union money for election monitoring. He was tried twice before a higher court dismissed the case.

Khalil, who covered Ibrahim's trial, said he believes the Egyptian courts will back down on the foreigners.

"I think the Egyptians understand the depth of the hornet's nest," he said.

But what Khalil fears most are the consequences for a half-dozen Egyptian pro-democracy groups that have also been accused of receiving foreign money. They are not the ones in the spotlight, he said. But they are the ones who will feel the wrath of authorities the most.

CNN's Ted Barrett contributed to this report.

@highlight

Egyptian authorities crack down on foreign organizations

@highlight

Among those facing trial are 19 Americans

@highlight

Angry U.S. lawmkers threaten to cut off military aid to Egypt

@highlight

Many are surprised by Egypt's provocation but see no easy way out