Atlanta (CNN) -- The Ebola virus is coming to the United States for what's thought to be the first time, as two Americans return home after getting infected while helping others cope with the outbreak ravaging West Africa.

The first patient is expected to arrive in the United States on Saturday afternoon, U.S. officials said. The aircraft carrying that person will land at Georgia's Dobbins Air Reserve Base, then take off again for Liberia to get the second American infected with Ebola.

Both are expected to head to Emory University Hospital in Atlanta, according to Dr. Bruce Ribner, who oversees the special isolation unit where they will be treated. On Friday, he described the patients as "stable" and "safe to transport."

There was an Ebola strain tied to monkeys -- Ebola-Reston -- in the United States during the 1990s, though no humans got sick from it, according to the U.S. Centers for Disease Control and Prevention. Thus, what is happening now appears to be the first time a symptomatic person with Ebola will be in the country and treated at a U.S. hospital.

The Emory unit -- created in conjunction with the CDC, which is based down the road -- that will care for these patients is designed to optimize care for those with infectious diseases while safeguarding health care workers and visitors. Emory's hospital is one of only four U.S. institutions capable of such care, according to Ribner.

'Training for this': Atlanta hospital ready

He pointed out many precautions in place to prevent the deadly virus from spreading. These include controlling everything that comes into and out of the unit, "special air handling" and windows and an intercom so guests can interact with patients without being in the room.

As one of four physicians overseeing the patients' treatment, Ribner said, "I have no concerns about either my personal health or the health of the other health care workers who will be working in that unit."

Ebola isn't "some mystical pathogen (with) some bizarre mode of transmission," the doctor noted, adding that it is transmitted similarly to illnesses like SARS or HIV.

But while the Emory staff members are confident, that doesn't mean they have experience dealing with Ebola, which the World Health Organization reports has infected more than 1,300 people and killed over 700 this year in Liberia, Sierra Leone and Guinea. In fact, no U.S. medical facility has had a known patient with the virus.

That's because, as Ribner pointed out, "this particular pathogen is new to the United States."

Evacuations trigger fear in U.S.

After the evacuation plans became public Thursday, many Americans reacted on social media with fear and trepidation -- questioning why anyone would bring such a dangerous disease into this country voluntarily.

"The road to hell was paved with good intentions," wrote one person, using the hashtag #EbolaOutbreak. "What do we say to our kids When they get sick& die?"

On the website of conspiracy talker Alex Jones, who has long purported the CDC could unleash a pandemic and the government would react by instituting authoritarian rule, the news was a feast of fodder.

"Feds would exercise draconian emergency powers if Ebola hits U.S.," a headline read on infowars.com.

Ribner repeatedly downplayed the risk for anyone who will be in contact with Brantly or Writebol. The doctor noted the two patients -- Nancy Writebol and Dr. Kent Brantly -- are both health care workers had put themselves at risk by going to Africa to help people in need.

"We have two individuals who are critically ill, and we feel that we owe them the right to receive the best medical care," Ribner said, adding that the two will have a much better chance being treated in the United States than in Africa.

Still, even if Brantly and Writebol don't spread Ebola in the United States, others might.

Many experts have said that other people will probably come to the country with Ebola at some point. It takes a while for symptoms -- which start out like many diseases, including common flus, with headaches, fever, nausea and diarrhea, then progress to abdominal pain and bleeding -- to break out. An infected person can get onto a plane feeling fine, then fall ill after landing.

The fight against Ebola

For all the concerns about the United States, it's nothing compared to the harsh reality in West Africa.

Ebola has been spread before in the past 40 years, but never like this. Dr. Margaret Chan, the head of the World Health Organization, on Friday described what's happening there as "an unprecedented outbreak accompanied by unprecedented challenges."

Dr. Thomas Frieden, director of the CDC, said that even in a best-case scenario, it could take three to six months to stem the epidemic in West Africa.

Chan noted that the virus is moving over porous borders, by plane. It has gone into rural areas where it's hard to get adequate treatment, as well as crowded cities where it can spread more easily.

Worst of all, she said, "This outbreak is moving faster than our efforts to control it. If the situation continues to deteriorate, the consequences can be catastrophic in terms of lost lives, but also severe socioeconomic disruption and a high risk of spread to other countries."

So what can be done? There is no standardized treatment; the most common approach is to support organ functions and keep up bodily fluids like blood and water long enough for the body to fight off the infection.

Nor is there a vaccine, though one is in the works.

The National Institutes of Health announced Thursday that it will begin testing an experimental Ebola vaccine in people as early as September. Tests on primates have been successful.

The announcement came the same day the CDC issued a level three alert for Guinea, Liberia and Sierra Leone, warning against any nonessential travel to the region.

As of now, the outbreak has been confined to West Africa, but it is getting worse there. Although infections are dropping off in Guinea, they are on the rise in Liberia and Sierra Leone.

In her statement, Chan said the calamity can be curbed, especially if the world steps up to provide equipment, experts, supplies and other resources for the most affected countries.

"Ebola outbreaks can be contained," she said. "Chains of transmission can be broken. Together, we must do so."

Ebola doctor in Sierra Leone dies

What you need to know

CNN's Barbara Starr, Jason Hanna, Millicent Smith and Caleb Hellerman contributed to this report.

@highlight

WHO director: "Unprecedented outbreak accompanied by unprecedented challenges"

@highlight

Two Americans infected with Ebola will come to the U.S., be treated in Georgia

@highlight

A plane should bring one patient Saturday, then return to Liberia for the other

@highlight

WHO: Over 1,300 have been infected with Ebola, 700 killed recently in West Africa