New York (CNN) -- The head of the International Monetary Fund, jailed on charges of sexual assault of a chambermaid in his New York City hotel suite, should consider stepping down for the good of the institution, Austria's finance minister said Tuesday.

"Given the circumstances that his bail was not granted, he should think about whether he is damaging the institution," Maria Fekter told reporters in Brussels, Belgium, during a meeting of European finance ministers.

Dominique Strauss-Kahn, 62, was denied bail by a Manhattan Criminal Court judge and remanded Monday to an 11-by-13-foot cell at New York's Rikers Island jail complex. There, the man whom many refer to as DSK was placed on suicide watch -- a common procedure in high-profile cases, two sources with direct knowledge of the case told CNN.

The case has shaken the IMF, an organization of 187 countries working to improve world economies by providing loans and guidance. It has also shaken the political world in France, where the Socialist Party politician was considered a front-runner to unseat President Nicolas Sarkozy.

But until his next court appearance Friday, Strauss-Kahn will neither be working to save world economies nor to endear himself to French voters. Instead, he will be largely left alone -- denied contact with other inmates because of his high-profile status, said a New York Department of Correction spokesman who declined to be named.

Ahead of Tuesday's meeting to address the Greek debt burden, Spanish Finance Minister Elena Salgado said the alleged crimes of the IMF chief were "very serious" and suggested letting "justice take its course."

In Ireland, Minister of Foreign Affairs Eamon Gilmore called the incident a "disruption."

"There's no doubt that an event like that does cause a disruption in the functioning of a body like the IMF when its senior figure is arrested," Gilmore said. "We have to wait and see how that works out, and we have to respect the legal process which is under way in New York."

British Foreign Secretary William Hague, who was with Gilmore in Dublin, told reporters he hopes the incident does not affect the "many important decisions ... before the IMF."

"At the moment it is important that it functions well," Hague said. "So we look to all concerned to make sure that it does."

Irish Prime Minister Enda Kenny said he was confident the scandal would not affect the organization's broader mission.

"Ireland as a country deals with the IMF as an institution," Kenny said. "We don't get involved in any individual situations."

In Washington, U.S. Sen. John Kerry told reporters the situation involving the IMF chief was "very troubling, if not damning."

"You've got to give it a few days to let that develop. But if the evidence is what it appears to be, I think it would be very difficult for him to manage."

On Tuesday, IMF spokesman William Murray said in a written statement that the IMF had had no contact with its leader since his arrest. In Strauss-Kahn's absence, First Deputy Managing Director John Lipsky has been named acting managing director, "and the fund continues its normal work," Murray said.

Murray also said Strauss-Kahn's diplomatic immunity does not apply in the sexual assault case.

"The MD's (managing director) immunities are limited and are not applicable to this case," he said.

He added, however, that any IMF-related documents Strauss-Kahn may have had with him or left in the hotel room would be governed by diplomatic immunity and should be returned to the Washington-based organization.

A former French finance minister, national legislator and economics professor in Paris, Strauss-Kahn became the IMF's 10th managing director in November 2007. He is also chairman of the IMF executive board.

The alleged victim is a 32-year-old single mother living in the New York borough of the Bronx who moved to the United States from the West African country of Guinea. She had been working at the hotel for at least two years, according to her attorney, Jeffrey Shapiro.

"Her world has been turned upside down," he said. "She is very scared about her future."

Shapiro said his client is cooperating with police and prosecutors, and would be willing to testify against Strauss-Kahn.

Strauss-Kahn's accuser picked the IMF chief out of a lineup Sunday at a New York police station, saying he was the man who had sexually assaulted her, according to a law enforcement source with direct knowledge of the investigation.

"She's recovering -- slowly," said Blake Diallo, the general manager of a Harlem restaurant she frequents, who described himself to reporters as her friend.

The alleged attack began Saturday around noon, when the housekeeper entered Strauss-Kahn's $525 suite on the 28th floor of the Sofitel Hotel in Midtown to clean.

New York Police Deputy Commissioner Paul Browne said the economist emerged naked from a room, ran down a hallway after the woman, and attacked her.

He shut the door, preventing the woman from leaving, according to a criminal complaint released by prosecutors.

"He grabbed the victim's chest without consent, attempted to remove her pantyhose" and forcibly grabbed her between her legs, the complaint said. He also forced her to perform oral sex on him, Assistant District Attorney John McConnell said at Monday's arraignment.

The criminal complaint alleges that Strauss-Kahn forced the woman to engage "in oral sexual conduct and anal sexual conduct" and tried to force her to engage in sexual intercourse.

He faces charges that include two counts of first-degree criminal sexual act, one count of first-degree attempted rape, one count of first-degree sexual abuse, one count of second-degree unlawful imprisonment, one count of forcible touching and one count of third-degree sexual abuse.

The most serious charge, criminal sexual act in the first degree, carries a maximum sentence of 25 years in prison.

Afterward, the employee went to the front desk, and staffers alerted police, Browne said.

By the time officers arrived, Strauss-Kahn had left in the hotel limousine, according to the law enforcement source.

He called the hotel around the same time police got to the hotel to say he had left his phone behind and asked if it could be delivered to him at the airport. Investigators told the hotel staff member to agree to do so and police went to the airport.

Two plain-clothes Port Authority police detectives led him off the plane, the source said.

Strauss-Kahn's attorneys pointed to their client's lack of a criminal record and the fact that his daughter lives in New York as evidence that he was not a flight risk.

Defense attorney Benjamin Brafman called the case "very defensible."

But Criminal Court Judge Melissa Jackson sided with the prosecution in characterizing Strauss-Kahn as a flight risk and denying him bail.

The impact of his arrest has perhaps been strongest in France, where Strauss-Kahn, where the Socialist Party leader had been considered a strong challenger to Sarkozy.

But some observers said Tuesday that his political future appears bleak. "If the accusations are true, Strauss-Kahn will not be able to run for president," said Jacques Attali, a political analyst and a former top aide to late Socialist President Francois Mitterrand.

CNN's Susan Candiotti, Ivan Watson, Richard Roth, Saskya Vandoorne, Caroline Paterson, David Ariosto, Raelyn Johnson and Jim Bittermann contributed to this report.

@highlight

NEW: "She's recovering -- slowly," says friend of the alleged victim

@highlight

Sen. John Kerry says the case is "very troubling if not damning"

@highlight

Spain's finance minister says alleged crimes are "very serious"