Paris (CNN)It'll be difficult for Paris to celebrate with music and showmanship after last week's twin terrorist attacks on the weekly newspaper Charlie Hebdo and a kosher supermarket.

The violent events left at least 17 dead.

For the brand new Paris Philharmonic -- scheduled to open this week -- the show must go on, even when the city surrounding still reels from the violence.

Amid unprecedented displays of unity and defiance in the wake of the attacks, the Philharmonic aims to celebrate those who lost their lives, dedicating its debut concerts to the victims.

Rising in the northeast of Paris like a shimmering metallic starship, the new venue's opening is intended as a historic moment for the city and performance groups who will call it home.

Controversy has beset the building, designed by architect Jean Nouvel.

It's gone over budget, was still having its stainless steel and aluminum outer shell installed a week before the opening and has been criticized for its location. It is in the La Villette quarter in the 19th arrondissement, a stone's throw from the Boulevard Peripherique -- Paris' ring road.

Against a backdrop of turbulent times, the people behind the venue will be hoping for positive reviews to cement its reputation.

Architectural misfits

Eight years in the making, the starkly modern building is unlike most other structures in Paris, but it manages to fit into the already eclectic architecture in the surrounding Parc de la Villette.

Other buildings here, including a science museum and the Zenith concert hall, feature similarly un-Parisian architecture -- a group of misfits that have found refuge together.

Speaking before last week's events, Paris Orchestra's director Paavo Jarvi spoke of his excitement about the new Philharmonic.

"It's not every day that someone will build you a brand new concert hall of these dimensions," he said.

A Grammy-award winning conductor, Jarvi will be directing the Orchestra's first shows, which start Wednesday. They feature French artists and composers, including a world-premiere composition by Thierry Escaich.

"Like all new things there is a bit of anxiety and apprehension and a bit of unknown actually," he said, admitting that his orchestra hadn't yet practiced on the stage, which was still under construction the week before the gala events.

The orchestra currently plays at the smaller Salle Pleyel, in the chic eighth arrondissement, but Jarvi is thrilled about the move.

"It's sort of unbelievable that this actually going to happen," he said.

Although nearly three times the initial budget, the 386 million euro project has drawn criticism over funding disputes.

Some also worry that the neighborhood will alienate older patrons in the west of Paris, though others say it'll attract a younger, less affluent audience, including those from nearby suburbs.

French Minister of Culture and Communication Fleur Pellerin has defended the Philharmonic, saying the hall will be the envy of orchestra directors worldwide.

"No European capital will have a hall like this with such acoustic quality or capacity," she told LCI radio in December.

The main concert hall has 2,400 seats, making it one of the largest of its kind in Europe. Retractable portions of seating will allow up to 3,650 people on special occasions.

It features modern, sleek, almost organic interiors that are a far cry from the gilded walls and red fabrics that line more traditional orchestra venues like the Theatre des Champs Elysees.

With seats surrounding the stage, the design offers a closer experience with the music.

Sound experts from Japan and New Zealand have ensured state of the art acoustics in the main auditorium, the most important thing for the orchestra.

"But it's not an exact science so we are keeping our fingers crossed that the acoustic gods smile on us," Jarvi says.

Gentrifying district

In addition to the Philharmonic's bar, cafe, five public rehearsal rooms and an 1,800-square-meter educational center, its Musee de la Musique features a new temporary exhibition space to complement a permanent collection.

The first show will feature works centered on David Bowie, featuring costumes, photos and other mementos from the performer's personal life.

There'll also be a strong family and educational component, with weekend family events and workshops allowing more interaction than that found currently in Paris's big name halls.

Free recitals and concerts will run alongside paid events.

The Philharmonic's location, in the Parc de la Villette, is also home to the National Conservatory for Music and Dance, as well as the Cite de la Musique, a site well known by music enthusiasts. Since 1995 the center has hosted exhibits and concerts for Parisians.

The addition of the new building, however, will bring additional cultural offerings to a slowly gentrifying district, including Pantin just across the beltway, where companies like Chanel have recently opened ateliers.

By orienting itself toward these up and coming suburbs, the Philharmonic potentially opens itself to new audiences.

But whether or not younger, suburbanite crowds will fill the venue remains to be seen.

Prices for ticketed shows start at 10 euros on the Philharmonic's website and books are open for the 2015 season. More details on the season can be found here at the Philharmonic's season calendar.

Philharmonie de Paris; 221 Avenue Jean Jaurès, 75019 Paris, France; +33 1 44 84 44 84; www.philharmoniedeparis.fr

Bryan Pirolli is a freelance journalist based in Paris.

@highlight

Paris Philharmonic's debut concerts are dedicated to the victims of the recent attacks in Paris

@highlight

New venue has courted controversy through its budget, delays and suburban location

@highlight

With 2,400 seats, it'll be one of the largest concert halls of its kind in Europe