Washington (CNN) -- House Speaker John Boehner's proposal to avert the looming fiscal cliff's automatic tax increases failed to curry enough Republican support Thursday night, after which Congress left for the holiday with no clear end in sight in the high-stakes debate.

Boehner said earlier Thursday that he was confident that his so-called Plan B -- which would extend tax cuts that are set to expire at year's end for most people while allowing rates to increase to 1990s levels on income over $1 million -- would pass the House, and in the process put pressure on President Barack Obama and the Democratic-controlled Senate. But his gambit seemed in doubt later as Republican leaders struggled to get most all their members to sign on -- even enlisting senators like Sen. Rob Portman, to work the House floor -- knowing the chamber's Democrats oppose it.

Then, around 8 p.m., House Majority Leader Eric Cantor announced that the measure would not go up for a vote as planned.

"The House did not take up the tax measure today because it did not have sufficient support from our members to pass," Boehner said in a statement. "Now it is up to the president to work with Senator (Harry) Reid on legislation to avert the fiscal cliff."

Democratic leaders already had signaled they oppose the so-called Plan B.

After Thursday night's unexpected reversal, Republican legislators walked past reporters through the halls of Congress, and most did not take questions. One who did -- Rep. Jeff Flake, an Arizonan who will move to the Senate next month -- said he was disappointed.

"It's too bad; I'd rather vote on it tonight," said Flake, who said he sides with Democrats in backing the extension of tax cuts except for household income of more than $250,000. "Get it done."

What this means next in the fiscal cliff talks is unclear. From here, scenarios range from intensified and ultimately successful talks in the coming days or entrenchment as the fiscal cliff becomes a reality next year, when a new Congress could enter negotiations with Obama.

The Plan B was significant because Republican leaders previously insisted they wouldn't raise rates on anyone, while Obama called tax rates for those earning more than $250,000 threshold to return to 1990s levels while extending tax cuts for everyone else.

Although the House didn't vote on Boehner's tax measure, most Republicans did vote together earlier Thursday as the House narrowly approved, 215-209, a related measure to alter automatic spending cuts set to kick in next year under the fiscal cliff, replacing cuts to the military with reductions elsewhere. The Congressional Budget Office said this would lead to $217.7 billion in cuts over the next decade, short of the $1.2 trillion in cuts that would go into effect in January if the fiscal cliff isn't averted.

Moments after that vote, the White House issued a statement indicating it would veto this bill. But that should be a moot point, since Senate Majority Leader Harry Reid has said he won't bring it up for a vote.

Republicans consider piggybacking spending cuts to 'Plan B'

"For weeks, the White House said that if I moved on rates, that they would make substantial concessions on spending cuts and entitlement reforms," House Speaker John Boehner said before his plan fell flat. "I did my part. They've done nothing."

While the Ohio congressman said Obama seems "unwilling to stand up to his own party on the big issues that face our country," Democrats say Republican leaders are buckling to their conservative base by backing off as negotiations seemed to be nearing a deal.

White House spokesman Jay Carney called the GOP alternatives "a major step backwards," claiming they'd lead to extended tax cuts of $50,000 for millionaires. Reid slammed the two Republican measures -- the one that passed and the one that wasn't brought up for a vote -- as "pointless political stunts."

The war of words notwithstanding, Boehner, Carney and Senate Democratic leaders all said they are ready to talk. Reid has said the Senate -- with many members attending a memorial service Friday and funeral in Hawaii on Sunday for Sen. Daniel Inouye -- will be back at work December 27. And after Thursday's session, Cantor's office said legislative business was finished for the week but the House could reconvene after Christmas if needed.

"I remain hopeful," Boehner said. "Our country has big challenges, and the president and I are going to have to work together to solve those challenges."

The path toward the fast-approaching fiscal cliff

The possibility of a fiscal cliff -- which economists warn will hit the American economy hard -- was set in motion two years ago, as a way to force action on mounting government debt. Negotiations between top Congressional Republicans and Democrats resumed after Obama's re-election last month as did the barbs from both sides.

Polling has consistently shown most Americans back the president, who insists wealthy Americans must pay more, rather than Boehner and his Republican colleagues, who have balked at tax rate hikes and demanded spending cuts and entitlement program reforms.

A new CNN/ORC International survey released Thursday showed that just over half of respondents believe Republicans should give up more in any solution and consider the party's policies too extreme.

CNN poll: Are GOP policies too extreme?

The two sides seemingly had made progress on forging a $2 trillion deficit reduction deal that included new revenue sought by Obama and spending cuts and entitlement changes desired by Boehner.

Senior administration officials said Obama and Boehner have not spoken since Monday, when the president made a counterproposal to a Republican offer over the weekend.

The president's offer set $400,000 as the household income threshold for a tax rate increase. It also included a new formula for the consumer price index applied to benefits for programs such as Social Security, Medicare and Medicaid to protect against inflation, much to the chagrin of some liberals.

The new calculation, called chained CPI, includes assumptions on consumer habits in response to rising prices, such as seeking cheaper alternatives, and would result in smaller benefit increases in future years. Statistics supplied by opponents say the change would mean Social Security recipients would get $6,000 less in benefits over the first 15 years of chained CPI.

Boehner essentially halted negotiations by introducing his Plan B on Tuesday. He described it as a fallback option to prevent a sweeping tax increase when tax cuts dating to President George W. Bush's administration expire in two weeks. The spending cut vote -- similar to one passed by the House last year that went nowhere in the Senate -- was added to the docket later Thursday, to appeal to conservative legislators upset about backing a tax increase without acting on spending and protecting the military budget.

The House speaker's reasoning was that the passage of Plan B and the spending bill would put the onus on Obama and Senate Democrats to accept them or offer a compromise.

For now, the Obama administration won't have to weigh in on the tax part of that scenario. As to the House-approved spending cuts bill, White House spokeswoman Amy Brundage dismissed the GOP alternative as "nothing more than a dangerous diversion" for eliminating federal funding by negatively impacting millions of seniors, disabled individuals and poor and at-risk children.

In a statement Thursday night, the White House didn't address Thursday's House proceedings but referenced its top priority -- ensuring that 98% of Americans don't see their taxes rise in January. The statement expressed confidence that there will be deal on the fiscal cliff but with no explanation of how, when or what such an agreement would look like.

"The president will work with Congress to get this done, and we are hopeful that we will be able to find a bipartisan solution quickly that protects the middle class and our economy," the White House said.

Delay of 100 million tax returns?

CNN's Tom Cohen, Greg Botelho, Joe Sterling and Ted Barrett contributed to this report.

@highlight

NEW: "The president will work with Congress to get this done," the White House says

@highlight

The House Speaker says his Plan B wasn't voted on because it didn't have "sufficient support"

@highlight

A bill to alter cuts did narrowly pass the House; the White House says it would veto

@highlight

The fiscal cliff's tax hikes and spending cuts are set to take effect in January