(CNN) -- After playing college football, working as a financial aid adviser and earning a master's degree, 25-year-old Andrew Fuller is back in high school.

Fuller is a new teacher at Tri-Cities High School in East Point, Georgia. He made the move from Oregon to Georgia to join Teach for America, a non-profit organization that recruits non-traditional teachers to improve education for children in low-income communities.

Fuller's passion for education stems from his own experience growing up. He was in a special education program from kindergarten to his senior year, and he felt stigmatized and overlooked.

"I never knew why. I never knew my disability," Fuller says. "I never had an IEP, which is an individualized education program. I never had any of those things."

"Just being in the classroom and just knowing that I'd been given up on sometimes, that I'm not receiving the work, it was heartbreaking," he says.

A gifted athlete, Fuller was accepted to the University of Oregon on a football scholarship. He later transferred and finished his college career playing for the Portland State Vikings.

"At Portland State is where I began a foundation and vision, knowing football is not the only thing that I'm good at but I'm also good at being a student," Fuller says. "That's why I began to put in the work as a student, taking that football mentality of working hard every day and lifting weights to the classroom and starting to train my mind."

Having found success off the field, Fuller's goal shifted from playing in the pros to giving back to children who are like he was. He continued his education at Portland State, earning a master's degree in special education. Then he applied to Teach for America.

"I felt that I wanted to be involved in the most high-need school but also have the backing of an organization that stood for what I embodied, which was: close the educational achievement gap," he says.

Teach for America began in 1990 after founder Wendy Kopp proposed the idea in her senior thesis at Princeton University as a way to address educational inequality in the United States. The basic concept is to recruit highly successful individuals, often recent college graduates, to commit at least two years to teaching in a low-income community.

"Across the country what we are seeing in our low-income communities, unfortunately, is poverty oftentimes predicts destiny and where kids can go," says Shyam Kumar, the executive director of Teach for America in Metro Atlanta.

He adds that "attracting the most promising leaders into these classrooms is difficult."

Unlike Fuller, most participants, called corps members, did not study education. Many had never even considered education as a career before joining Teach for America.

Rather, the movement looks for "a substantial set of traits that make them do amazing things in the classrooms and take kids and put them on a path to a much higher life opportunity," Kumar says. "Some of those things are achievement ... strong track records of leadership, organizational abilities, and just this relentless drive if you hit a problem you're going to be able to overcome it."

Once accepted, corps members attend a summer training institute before the school year starts to get them ready for the classroom.

Jared Gourrier was an American Studies major at Union College in Schenectady, New York. Now he is in his second year teaching third-graders at Deerwood Academy in Atlanta, and he coaches football at Coan Middle School with two other corps members.

"For me, seeing that reality that a life can pretty much be determined by the third grade, it really made me care and understand so much more," he says.

"I have this unwavering dedication to it now."

As a first generation college graduate, Mini'imah Shaheed says she "definitely thought that college meant that you did something else beyond teaching."

"I had planned to do research and was planning to continue straight on into grad school and earn a Ph.D.," she says.

She applied to the program after a Teach for America alum visited her campus, and she was accepted into the 2001 Atlanta corps. After her stint in the program she moved into administration, and today is in her first year as founding principal at KIPP STRIVE Primary School in Atlanta.

"Ideally, none on my students ever have to experience the achievement gap, based on the work that we do every day," Shaheed says. "I'm still taking with me the mission of ensuring educational equity, but now I get to do it from the earliest grade level possible."

The Teach for America model is not without its critics. In a list attached to a letter to Congress, the National Educators Association wrote, "Teach for America does not include a sufficiently rigorous teacher preparation program, nor does it yield retention rates that warrant a federal investment in the program," two points often cited by opponents of the program.

Teach for America says that 66% of its corps members remain in the field of education after their initial commitment, but that does not always mean they stay on as teachers.

"There's the first half of the movement, which is really getting strong teachers," Kumar says. "But there's a second half, which is continue to keep many of these folks in the classrooms but then also build this leadership force to be principals and superintendents and policymakers."

As for Fuller, he does not intend to remain in the classroom long-term but says his Teach for America experience is still vital to the impact he wants to have in the future. His goal is to become a principal and then a U.S. senator, addressing educational issues through national policy.

"I never want to lead anybody or teach anybody anything I've never done before, and so I don't want to be in the classroom or be in a leadership position telling my teachers how to teach," he says. "And so being in the classroom will show me what the teachers need."

@highlight

Andrew Fuller joined Teach for America to help kids who are like he was

@highlight

The non-profit recruits non-traditional teachers to work in low-income communities

@highlight

Joining TFA has changed many corps members' career paths

@highlight

Jared Gourrier: "I have this unwavering dedication to it now"