(CNN) -- As 2010 draws to a close, we who report on the ever-evolving digital space have been given the perfect backdrop for looking back at the year that was and the year ahead.

In a year full of gray -- think of the debate over whether Facebook and WikiLeaks are forces for good or evil -- two high-profile attempts to make things black and white bubbled to the surface in the past few weeks: the federal government's rules on access to internet service and its proposed "do not track" registry for online advertising.

Both represent a significant shift in thinking about the internet, even if the results for the average American aren't immediately obvious.

For starters, an internet version of the "do not call list" for telemarketers would seem to destroy the holy grail that online publishers and advertisers have sought since the early days of the Web: advertising directly targeted to individual consumers' behavior.

Although marketers have long used cookies to track your Web surfing, recent innovations have given them a whole new level of precision. Facebook's "like" button -- derided this year as a major privacy infraction because it exposes you and your preferences not just to friends but to advertisers -- has been installed on more than 2 million Web sites, with tens of thousands more adding it daily.

Geolocation services like Foursquare, in their infancy a year ago, now track the whereabouts of millions of users. With smartphones growing ubiquitous and location-aware applications of all kinds becoming commonplace, advertising that knows both where you are and what you like is very much a reality.

Most advertisers and publishers do allow users to opt out of such targeting, but the Federal Trade Commission believes that simpler, more transparent options are needed.

The devil is in the details here: Opt-outs on obscure Web pages or hidden browser menus won't help consumers much, but in-your-face requirements that encourage more users to take their privacy more seriously may pose a huge problem to some of the Web's most promising companies.

Information and how it travels are also central to "net neutrality," the buzzword for unrestricted access to internet services and content. Rules passed this month by the Federal Communications Commission probably won't much alter the way you use the internet, but they pose interesting questions.

For starters, as an internet regulator, would the FCC have the authority -- through its new relationship with internet service providers -- to block a site like WikiLeaks, which posts information potentially harmful to government interests?

Thus far, we've seen the private sector self-regulate by cutting off services to WikiLeaks, but the new FCC-ISP dynamic could create intriguing (frightening?) scenarios down the road as WikiLeaks intensifies its document dumps, which seems likely.

Other internet issues that seized our attention in 2010 are at least tangentially related to this debate. A largely unregulated internet has created knowledge and wealth, but it's also long provided a medium for predatory, abusive and bullying behavior.

Concern over this came to a head this year, with social networking services taking heat for their role in cyberbullying. Perhaps the most prominent example of internet harassment came in September, when Rutgers University student Tyler Clementi committed suicide after a video stream set up without his knowledge showed his sexual encounter with a man in his dorm room.

Although prosecution of cyberbullies falls out of the FCC's jurisdiction, provisions in the net neutrality rules, such as the ability for businesses that provide internet access (like coffee shops and bookstores) to block content as they see fit, have the potential to cut off a readily available source of the anonymity that bullying thrives on.

Of course, blocking access to the likes of Facebook and Twitter has negative repercussions too, especially as more consumers turn to these services both for communication and to share news and information.

But like much of what went on in 2010, that's still a gray area, too.

The reality of the year ahead probably falls somewhere between doomsday scenarios and an internet that continues to evolve for both consumers and big business. Information is coming of age, and the stage has now been set for some interesting all-but-inevitable conflicts that will probably be right there on the surface when we take a look again, roughly 365 days from now.

The opinions expressed in this commentary are solely those of Adam Ostrow.

@highlight

Adam Ostrow says 2010 brought gray areas such as WikiLeaks and privacy issues

@highlight

He says new rules on internet access and proposed "do not track" registry loom

@highlight

These raise issues for new year of who gains, cedes control on the internet, he says

@highlight

Ostrow: Consumer, business control, privacy, bullying are key in evolving information age