(CNN) -- All 25,000 people living in a refugee camp in Sudan's Darfur region have fled amid fighting between armed militia groups and Sudanese government forces, U.N. officials said Friday.

Many of the refugees have sought shelter in nearby Kutum town or the Zariba area, the African Union-United Nations Mission in Darfur (UNAMID) said, but lack water, food and sanitation.

The U.N. humanitarian agency OCHA said reports indicated that the entire population of the Kassab camp had "fled because of the fighting."

The camp in North Darfur housed those who had already been displaced from their homes during nine years of conflict in the region.

Chris Cycmanick, head of media relations for UNAMID, told CNN that many people had fled Kutum as well as the Kassab camp.

"It is a complex situation with multiple armed groups," he said, describing the fighters as tribal militia.

"What the people have asked for mostly is security and medical care, so we are trying to provide that," he said. "They say they want to return to Kassab camp, but very few of them have returned."

Cycmanick said Darfur was still troubled, although the media has largely turned its attention to South Sudan and the Arab Spring

"The situation is troublesome, it is not supposed to be happening in Darfur, but there is still fighting going on," he said. "Between 2010 and 2011, we saw a decrease in civilian casualties here. But recently, there has been an uptick in criminal activity."

Those newly forced from their homes say they fear to return unless security is improved.

"We are afraid to return to the camp, because armed men may come back to attack us," Fatima Adam Badaui, a woman from the Kassab camp, told UNAMID.

Asked if the organization was doing enough to safeguard civilians, Cycmanick said: "I think there is always more that can be done. We are in a difficult situation. We are looking at a sovereign country. It is ultimately their responsibility to protect the civilian population."

President al-Bashir feels heat from 'Sudanese Spring'

In its weekly bulletin, the OCHA said it had "received reports of looting of houses of displaced people, markets and businesses" in the camp and Kutum town.

Members of the Sudanese Armed Forces removed the "armed tribesmen" from Kutum town last Saturday, but the militiamen returned a day later to fight again, the OCHA said.

"It has not been possible to determine the number of civilians killed and injured," the agency said.

"During the violence, the premises of five humanitarian organisations were looted. Humanitarian staff have been evacuated to El Fasher town."

A UNAMID statement Monday said the violence began after an incident on August 1, when three armed men carjacked the local district commissioner and his driver and shot them dead.

"Subsequently, on the same day armed men surrounded Kassab, looted the market, burnt down the Sudanese Police post in the camp and reportedly killed four persons (three civilians and one police officer) and injured six others," the statement said.

Security continued to deteriorate over the following days in Kutum town, Kassab camp and another camp, Fataborno, "including fighting between the armed elements and government forces, as well as looting and displacement of civilians," it said.

UNAMID said it had bolstered its presence in the camps and urged the government to protect civilians there.

Four days later, all those living in the Kassab camp have fled.

Conditions for the refugees now in Kutum are poor, with the majority of those displaced from the camp living in open areas without basic services, such as clean water, food, sanitation facilities and health care, UNAMID said Friday.

"The situation there is very bad, houses and shelters are crowded, the health situation is getting worse and they lack sufficient food," said Altheir Ismail Ali, a community leader in the camp quoted by UNAMID.

UNAMID said it had worked with local health officials and the World Health Organization to give medical aid to 170 people Thursday.

They were treated for ailments including respiratory infections, trauma and malaria, as well as injuries that occurred during the attacks on the camp, UNAMID said. Children were also treated for fever and diarrhea.

U.N. workers have also been giving out drinking water.

The United Nations estimates as many as 300,000 people have been killed and almost 3 million people have been displaced from their homes since the Darfur conflict broke out in 2003.

A paper published by the independent monitoring group Small Arms Survey last month, titled "Forgotten Darfur: Old Tactics and New Players," details how the violence in the troubled region continues.

New non-Arab "Popular Defense Forces" have been recruited, trained and armed by the Sudanese government since late 2010 to force Zaghawa rebel groups out of a swath of the eastern Darfur region, the paper says.

As a result, about 70,000 people had been displaced by mid-2011, and retaliatory attacks by both sides continue, it says. Meanwhile, aerial bombardment has continued to target rebel forces and civilian villages believed to support them, in defiance of U.N. Security Council resolutions, the paper says.

Weapons and ammunition also continue to flow into the hands of proxy forces and government forces in defiance of a "wholly ineffective" embargo on Darfur, it says.

In March of this year, the International Criminal Court issued an arrest warrant for Sudan's defense minister for 41 counts of crimes against humanity and war crimes allegedly committed in the Darfur region.

Abdelrahim Mohamed Hussein is wanted for actions from August 2003 to March 2004 in Darfur, where rebels have fought government forces and allied militiamen such as the Janjaweed since 2003.

Sudanese President Omar al-Bashir is also wanted for crimes against humanity by the ICC in connection with the Darfur conflict.

Four ways social media could transform the conflict in Africa

CNN's Alexander Felton contributed to this report.

@highlight

NEW: "It is a complex situation with multiple armed groups," says UNAMID spokesman

@highlight

All 25,000 inhabitants of the camp, which housed those displaced by conflict, have fled

@highlight

The violence started 10 days ago with attacks on an official and the Kassab camp, U.N. says

@highlight

Millions have been displaced and many killed in nine years of conflict in Darfur