(CNN) -- Raindrops on roses and whiskers on kittens are swell and all, but boys and girls from around the world have vastly different interpretations of their "favorite things," according to a new book by Italian photographer Gabriele Galimberti.

Galimberti visited more than 50 countries to document children with their most prized playthings for "Toy Stories: Photos of Children from Around the World and Their Favorite Things," which will be released on March 25.

The photos prompt readers to reflect on the abundance of possessions that some children enjoy while others live a comparatively pared down existence because of poverty or their cultural values.

"The fewer toys a child had, the less possessive he or she was about them," notes London-based writer Ben Machell in the book's introduction. "Galimberti describes having to spend several hours winning the trust of Western children before they would consent to let him touch their planes, cars, or dolls. 'In poorer countries, they don't care as much. They play in a different way, running around, sharing one ball between them all.' "

Not only are the toys reflective of the children's socioeconomic class but also their parents' aspirations.

"Hopes and ambitions are passed down through the toys parents choose for their children. Children from families boasting musicians invariably receive toy instruments," Machell writes, also noting that a cab driver's son had a fleet of toy cars.

Galimberti recently chatted with CNN via e-mail about "Toy Stories." The interview has been edited for clarity and brevity.

CNN: Where did you get the idea for the project?

Gabriele Galimberti: I started this project almost by chance. The first photo I took of this series was in Tuscany (Alessia, the girl with the cows in the background). She's the daughter of one of my best friends; that friend asked me to photograph her child.

[When] I went to their house, and she was playing with the cows, I thought that situation was really nice and I decided to take the photo of her there with the cows and her toys. I really loved the result of that photo, and some months later when I was starting my trip around the world, I decided to take the same kind of photo in every country that I was going to visit.

I had the opportunity to travel around the world for more than two years because, at that time, I was working for one of the major Italian magazines "D-La Repubblica." I was doing a project about CouchSurfing.org, so I traveled to 58 countries by only using the network.

All the children that I have photographed are somehow connected to the couch surfers that hosted me along my long trip. They are their children, their nieces and nephews or simply their neighbors.

Picture this: 'Much Loved' teddy bears

CNN: These toys are obviously prized possessions to the boys and girls -- how did you earn the children's trust?

Galimberti: I played with them! And, of course, with the help of their parents. Most of the time, it was really easy to get their trust. I always had the photos of the children I photographed before, so sometimes it was just enough to show them the other photos to convince them to pose for me. I was really surprised to see how easy it was for children to understand my project.

CNN Photos: Clown 'revolution' lifts refugee kids

CNN: What did you want the project's takeaway to be?

Galimberti: I don't want to give any particular message. I just wanted to show how different we are in the world, and how different people live all around the globe.

CNN: Did any particular photo shoots stick out?

Galimberti: Every child and photo has their own funny anecdote, but one of the most particular is the one I photographed in Zambia: Maudy, the girl with the sunglasses.

I was in this little village in the north part of the country, a place where there is almost nothing -- no electricity, no running water and, of course, no toy stores. It is almost impossible to find a child with a toy. Almost all of the children play outside with each other, and they are used to playing with anything they find outside.

I was lucky enough to arrive in that village a couple of days after Maudy found a box of sunglasses on the ground along the main road. Her mother told me she thought they had fallen off a truck, but all the children in the village were playing with these glasses.

CNN: Did you have a favorite toy growing up that you would have been photographed with if the shoe was on the other foot?

Galimberti: Yes, from ages 3 to 6, I had a little [plush] monkey that I called Bongo Bongo. That was for sure my favorite one!

@highlight

"Toy Stories" features kids from around the world with their favorite toys

@highlight

Photographer Gabriele Galimberti visited more than 50 countries for the project

@highlight

The book will be released on March 25 by publisher Abrams Image