(CNN) -- Poor Hillary Clinton.

Later this week and next, she'll have the unenviable task of visiting Egypt and Israel at a time when America's capacity to influence the policies of both countries has fallen to new lows. And not even the secretary of state -- a veritable superstar of persuasion -- can charm America back into a position of influence.

The public aspect of the visits should go smoothly enough. Nobody has a stake in upsetting an American Secretary of State.. Election year politics will diminish any unpleasantness in Israel, and even in Egypt, where the secretary should deliver some tough messages on the need to create and respect democratic principles, nobody really wants a fight.

But not so far beneath the surface, agendas diverge and challenges abound for an America that's no longer as admired, feared or respected as much as it needs to be in a region critical to its national interests. Here's a guide to some of them:

Democratization: In Egypt, Clinton confronts so many challenges and minefields that regardless of what happens on this visit, the United States will be wrestling with that country's politics for years to come.

The good news, of course, is that for the first time in 40 years, Egypt has competitive politics; the bad news is that the most anti-democratic and exclusive forces in the country are the ones who are competing.

Clinton will find herself sandwiched between Islamists she doesn't trust and whose values aren't her own, and generals she believes have subverted Egypt's nascent democracy but are necessary to maintaining the peace treaty with Israel.

Navigating this course won't be easy. The meeting with Egypt's President Mohamed Morsy will carry great symbolism: the United States sanctioning the rise of political Islam in the Arab world's most important country. Although Clinton can rationalize she is meeting the democratically elected president of Egypt, Morsy is a member of the Muslim Brotherhood, whose views on issues such as female genital mutilation, women's rights, peace with Israel and U.S. policies throughout the region diverge from hers, and America's.

The meeting with the generals won't be much easier. The Obama administration believes that the military -- not the Brotherhood -- has been mainly responsible for subverting the democratic process, and yet it's really hard-pressed to do much about it.

The $1.5 billion in military aid from the United States will most likely continue, lest America be without any leverage to affect matters in Egypt. The Israelis will press hard to ensure that assistance continues. After all, the U.S. gave it to the authoritarian Mubarak regime; can it really withhold it in a period when Egypt is supposedly democratizing? The generals have concluded that we need Egypt now more than Egypt needs us.

Peace process: Clinton's lack of leverage in Egypt will be mirrored in Israel. Israel's focus on domestic issues such as the military conscription law and election politics in the U.S. will ensure that the Obama administration will not seriously push the revival of Israeli-Palestinian negotiations.

Even if talks were to resume, they wouldn't produce much. Israeli Prime Minister Benjamin Netanyahu, worried about Egypt and Iran, isn't prepared to make big decisions. And neither, for that matter, is a weak and constrained PLO Chairman Mahmoud Abbas.

Iran: Israel's worst fears about a nuclear Iran appear to be coming to pass. Sanctions are tougher than ever but apparently won't deter Iran should it persist in its campaign to acquire the capacity to produce a nuclear weapon. The P5-plus-1 (U.S., Britain, France, China, Russia and Germany) negotiations with Iran aren't producing a solution that stops weapons grade enrichment. The Iranian centrifuges continue to spin. And the Americans are in no mood to strike Iran or to give the Israelis a green or yellow light to strike.

No Israeli military strike is likely before year's end, certainly not before the U.S. elections. But after that, all bets are off. Neither Clinton nor the president would be able to restrain the Israelis should they decide they need to act.

Once upon a time, visits by secretaries of state to these countries really mattered. Not so much anymore. The Middle East has gotten a lot more complicated, and the locals act increasingly without reference to what America thinks or does. It may not be pretty to watch, but we better get used to it.

The opinions in this commentary are solely those of Aaron David Miller.

@highlight

Aaron Miller: Secretary of state to visit Egypt and Israel as U.S. clout in those nations wanes

@highlight

In Egypt, Clinton will be stuck between Islamists and anti-democracy generals, he writes

@highlight

Miller: In Israel, domestic issues and Iran are bigger issues than America's concerns

@highlight

Miller: The U.S. can't stop Israel if it plans to attack Iran nor influence Egypt's politics