Some Dominicans who have never traveled outside of their country of birth could suddenly find themselves outsiders.

The citizenship of tens of thousands of Dominicans of Haitian descent may be stripped, the result of a court ruling that affects those who were born to parents who were in the country illegally.

Dominicans of Haitian descent have long faced inequalities, but the enforcement of the last month's ruling will take social exclusion to an extreme.

The question of how to integrate immigrants into the national fabric and how to treat them is a familiar debate. In the Dominican Republic, as in the United States, for instance, children of undocumented parents are considered citizens if they were born in the country. But while there have been efforts in the United States to extend opportunities to even more children of immigrants, the Constitutional Court of the Dominican Republic has taken a very different approach.

The court ruled that even those who were born in Dominican territory, if their parents were in the country illegally, should not have citizenship.

"This is absurd. How are they going to take away a document that I already have, that is mine, and give me one as a foreigner when I have never been outside of the country?" said Ana Maria Belique, a representative of a movement to protect the rights of those affected.

Already, since 2007, a law blocked many Dominicans of Haitian descent from acquiring copies of their birth certificates or national identification cards.

One of those blocked from getting a national ID card was 29-year-old Juliana Dequis Pierre, who then took her fight to the courts.

The high court affirmed that Dequis Pierre did not meet the criteria for citizenship, even though she had been born in the country. The court went further, asking authorities to identify similar cases stretching back to 1929.

The U.N. Refugee Agency expressed concern, stating that, "Should this process indeed be carried out without the necessary safeguards, three generations of Dominicans of Haitian descent could become stateless."

The country's National Migration Council on Wednesday met with representatives of various government ministries and agencies to plan how the court ruling will be enacted.

The government says that no one who has their citizenship stripped will be deported, and that a system to give them legal status with a path to citizenship will be put in place. That path to citizenship will include a two-year wait to begin the process.

"The Dominican government reiterates its commitment to the implementation of an immigration policy that is clear and transparent, in line with the Constitution and Dominican laws while respecting human rights and international accords," government spokesman Roberto Rodriguez Marchena said.

The government's assurances, however, have not ameliorated the fears of Dominicans of Haitian descent, who are protesting and calling for support at home and abroad.

"This measure affects us so much that we can't do anything," said Elena Lorac, the daughter of Haitian immigrants. "This brings consequences such as not being able to work, not being able to study, to not realize the dreams that we have to get ahead in life."

Critics point out the complications that are sure to arise: What about mixed-status families? How can it be that many who cast votes that affected election outcomes are losing that right? What about all the taxes they paid as citizens?

"We are not talking about immigrants, but fellow Dominicans," said the Rev. Mario Serrano, national director of social work for the Jesuits in the Dominican Republic.

Many Dominicans of Haitian descent are already among those with the fewest economic resources, and this takes away the little they have, he said.

"They don't have access to the same rights because they are being treated like immigrants in their own country," Serrano said. "In truth, they have not immigrated from anywhere. Many of them have never been outside of the Dominican Republic."

@highlight

A court ruling could strip the citizenship of tens of thousands of Dominicans

@highlight

Those affected are Dominicans of Haitian descent

@highlight

Government officials meet to discuss implementation