(CNN) -- Myanmar's ruling military junta freed democracy activist Aung San Suu Kyi from house arrest Saturday to a throng of joyous supporters who rushed toward her house once the gates were opened.

Many tried to reach out and shake Suu Kyi's hand as she appeared at the fence surrounding her lakeside home in Yangon.

Someone handed her flowers, which she put in her hair in trademark fashion. It was a small gesture but significant in that the flowers have become a symbol of defiance in Myanmar.

"I'm very happy to see you all again," she said, reconnecting with the people after being hidden from the public eye for so long.

It was difficult to hear Suu Kyi, her voice drowned out by the cheering crowd. But according to the independent Irrawaddy magazine, she said: "We have not seen each other for a long time. There are so many things to talk about."

She promised to address her supporters Sunday at the headquarters of her National League for Democracy party headquarters.

Suu Kyi, a Nobel peace Prize recipient in 1991, has spent 15 of the past 21 years under house arrest for her dogged opposition to authoritarian rule in the nation formerly known as Burma.

Recently, she had little outside human contact except for two maids and visits from her doctor. Sometimes, she spoke to supporters over the wall of her compound.

U.S. President Barack Obama said he admired Suu Kyi's courage.

"While the Burmese regime has gone to extraordinary lengths to isolate and silence Aung San Suu Kyi, she has continued her brave fight for democracy, peace, and change in Burma," he said in a statement Saturday.

"She is a hero of mine and a source of inspiration for all who work to advance basic human rights in Burma and around the world. The United States looks forward to the day when all of Burma's people are free from fear and persecution."

This was the third time the regime has released Suu Kyi from house arrest. The media in Myanmar, under tight state control, barely reported her release, showing only footage of her meeting with military officials.

Bono, the lead singer of the rock band U2 whose 2001 hit song "Walk On" was dedicated to Suu Kyi, expressed fears that she could be more vulnerable now but said he hoped her release would lead to constructive political dialogue.

"(I am) very thrilled at the possibility this might be the beginning of some sort of rational discussion with the people of Burma by the military junta. But we're not sure," Bono, a longtime political activist, told CNN. "For this to be real, there has to be progress toward real peace."

Security has been stepped up in Myanmar, but it was unclear whether it was related to Suu Kyi's release or the country's first elections in two decades that were held last Sunday.

Though Suu Kyi has had minimal contact with the outside world, reports from her domestic lawyer indicate she is in good spirits, said Jared Genser, another one of her lawyers, who is based in the United States.

"I am personally delighted for her, for her family," Genser said.

But he tempered his joy with words of caution.

"I don't speak on her behalf as to what comes next," Genser said. "The challenges are enormous."

He said it was unclear whether anything would fundamentally change in Myanmar, given the recent "sham" elections in the country.

Benjamin Zawacki, Amnesty International's Myanmar specialist, said it made "perfect sense" for the regime to free her since she was no longer an electoral threat to them.

Suu Kyi's opposition party won the 1990 elections by a landslide but the regime never recognized those results. The election Sunday was the first since then but Suu Kyi was barred from participating because of a recent conviction.

The ruling military junta has been slowly releasing official election results, but critics say a victory for the ruling Union Solidarity and Development Party is all but certain.

The government has refused to allow CNN and other international news organizations into the country to cover the election and its aftermath. It has also prevented international monitors from overseeing the vote.

The Burma Campaign UK, which promotes human rights in Myanmar, accused the ruling junta of rigging the November 7 election. The group welcomed Suu Kyi's release but warned that it should not be interpreted as a sign that democratic reform is on the way.

"The release of Aung San Suu Kyi is about public relations, not democratic reform," said Zoya Phan, International Coordinator at Burma Campaign UK.

"I am thrilled to see our democracy leader free at last, but the release is not part of any political process, instead it is designed to get positive publicity for the dictatorship after the blatant rigging of elections on 7th November," Phan said.

Suu Kyi's latest house arrest came after she was found guilty of breaching the terms of her house arrest after American John Yettaw swam uninvited to house and briefly stayed there.

The regime passed a law that made her ineligible for Sunday's elections because of that conviction.

Over the years, Suu Kyi has repeatedly challenged the junta and discouraged foreign investment in Myanmar.

In one incident in 1998, soldiers prevented her from leaving Yangon. But Suu Kyi refused to turn back and was detained in her minivan for almost two weeks.

"She is the symbol of the hope for the people of Burma. If she is out today the whole country will rise up, will follow her," said Khin Omar of the Network for Democracy and Development.

CNN's Moni Basu contributed to this report.

@highlight

NEW: Bono cheers Suu Kyi's release, says he hopes it'll lead to political progress

@highlight

Thousands rushed to the fence of her Yangon house to see her

@highlight

She put her trademark flowers in her hair, a gesture of defiance

@highlight

She has spent 15 of the past 21 years under house arrest