(CNN) -- According to the Obama administration, the fact that Umar Farouk AbdulMutallab boarded a plane for the United States with potentially exploding underwear was caused by a systemic failure in intelligence. That's true. In the same way that an auto accident is caused by two cars crashing together.

Saying the system failed is merely describing what happened, and Obama's plan will do nothing to address the underlying problem. The real problem is what we need to be talking about, not just because it's at the core of our intelligence crisis, but because it's the same problem that broke our economy, made health care unaffordable and hobbled the U.S. auto industry.

And unless the Obama Administration gets smart about dealing with this larger problem, and fast, our skies won't be safer any time soon.

The problem is organizational culture. As Peter Drucker, the late father of modern management, said: "Culture eats strategy for breakfast." Culture says it's OK to not think creatively about how a lead might connect to other information. Culture says that following up on leads eventually is soon enough. Culture says that doing what's in our job description is "good enough for government work."

Obama's plan to fix the intelligence system boils down to integrate the components, clarify roles and responsibilities, add additional steps to the screening process, invest in newer technology, deploy more air marshals and work cooperatively with other governments. None of these actions will do one thing to effect people's relationships with each other and with their work, which is the essence of culture.

Let's be honest. When we go through a Transportation Security Administration line in the United States, we're not blown away by organizational brilliance. We see people plodding through the same steps, in the same way, often doing the minimum to not get fired. (That's not to say that all TSA cultures are that bad; a few are quite effective.)

Most people assume that the culture in the intelligence community is better. Actually, the odds are against it. In a study of 24,000 people published in 2008 in Tribal Leadership, John King, Halee-Fischer-Wright and I found that 25 percent of workplace cultures are as stupid as our worst TSA experiences. These groups express a "my life stinks" view and show almost no innovation, initiative or ownership -- precisely the behaviors necessary to reform our intelligence systems.

Even more frightening, 48 percent of organizational cultures express the view that "I'm great (and you're not)". People in these workplaces rise to the challenge, but as individuals, not as groups. Star performers hoard information, work on outshining each other and act with the real goal of advancing themselves. They hoard information, build silos and erect walls between groups.

So imagine these two cultures -- accounting for about three out of four workplaces --  responding to Obama's plan to reform the intelligence system.

People in "my life stinks" cultures will react by rolling their eyes, making sarcastic jokes and looking at their watches. Nothing will change.

People in "I'm great" cultures will respond that the problems are easily solved as long as everyone gets behind their plan. The problem is, everyone is advancing their own ideas, and ultimately, their own careers. (Sound like Congress?)

As a consultant who logs almost as many miles as the George Clooney character in "Up In The Air" and a scholar of organizational performance, I've hoped that the Obama Administration's reaction would focus on the heart of the problem, that the agencies and organizations that we rely on have stupid workplace cultures. I'm not saying the people involved are stupid. I'm saying the culture makes people stupider than they really are.

(And while we're on the subject, "my life stinks" is the dominant culture in the U.S. auto industry,  which is why it failed in the first place. And "I'm great" cultures run Wall Street, which is why greed went unchecked until it became pathological.)

Until we target culture as the issue, all we're accomplishing with systemic fixes is the illusion of action.

No amount of Obama-style fixes will make a stupid culture any smarter, and remember, culture eats strategy -- and systems -- for breakfast.

In his press conference, President Obama said, "Ultimately, the buck stops with me. When the system fails, it is my responsibility." The question is: Why is no one taking responsibility for the cultures that produce these failures?

The opinions expressed in this commentary are solely those of Dave Logan.

@highlight

"Systemic failure" is not a real explanation of Christmas Day near attack, says Dave Logan

@highlight

He says patching the nation's security system is no substitute for a culture change

@highlight

He says intelligence agencies need a culture of initiative and ownership

@highlight

Logan: President Obama's fixes amount to the "illusion of action"