Hong Kong (CNN) -- Like other major financial centers such as London, Shanghai or New York, Hong Kong is home to legions of suited workers toiling long hours in vast, glass towers at breakneck speed.

But in this crowded, materialistic city, there's a man trying to build a business from de-stressing the workplace.

"The wellness of employees is the wellness of the company; the very strength of a company is its employees," said Dario Calvaruso, a yoga instructor who set up Holistic Wellness -- a company that offers a series of in-office programs to reduce stress.

He's on a mission to make yoga mats an essential fixture under every Hong Kong worker's desk.

The 39-year old spent 15 years living in India studying the ancient discipline, which seeks to relax those who practice it, through elongation, slow movement and controlled breathing.

Opportunity

When Calvaruso moved to Hong Kong in October 2011, opportunity knocked on his door.

"Many of my friends were major company managers and approached me for private (yoga) classes," Calvaruso said. "After seeing its benefits they thought 'this should come to my company'."

Within this territory's constricted work spaces, practicing yoga requires relatively little room and minimal equipment -- a large ball and a mat are enough. As the instructor plays calm music, everyone stretches, breathes deeply and closes their eyes.

"All the team is present at the lessons and it's a great way to start our day," said Manuele Bosetti, general manager of the Italian Chamber of Commerce in Hong Kong and Macao.

This organization has to deal with the day-to-day problems of its member companies and sometimes taking the time to listen can be a challenge, Bosetti told CNN. But performing yoga as a group has helped.

"We noticed that everyone at the office was more relaxed, and we managed to treat our business partners in a more kind way," Bosetti added.

Suited and ready

The sight of practitioners in their work clothes surrounded by computers and other electronics may seem incongruous with relaxation and meditation, but Calvaruso believes yoga performed in his studio is similar to that done in corporate environments -- although people in the workplace may face unique problems.

For example, students at a studio yoga class may practice over many years, while those in corporate settings may be unfamiliar with the discipline.

"In an office, maybe people don't know anything about yoga," Calvaruso told CNN. "They may feel discomfort, frozen shoulders; we try to release all the tension from the shoulders to give them proper alignment."

Desk ergonomics are another common focus for yoga classes in offices.

And the result?

"Employees perform better, produce more, and of course, the company has bigger profits," Calvaruso said.

Nevertheless, it can be difficult to inspire managers to interrupt their team's workday for a few minutes of relaxation.

"In Asia, (employee wellness) is still new, it's growing," said Calvaruso, who believes the region lags behind Europe and the United States when it comes to measures that actively help employees find a balance between work and leisure.

This instructor's uphill battle goes against Asia's economic dynamism. An insatiable hunger for ever-larger returns and continuous growth is the new culture of this region, and it seems to have replaced much centuries-old wisdom that teaches spiritual development through balance, meditation and harmony with nature.

@highlight

Dario Calvaruso, 39, teaches yoga classes in a different kind of studio -- the office

@highlight

He spent 15 years in India studying yoga before moving to Hong Kong

@highlight

Corporate wellness is still a developing concept in Hong Kong

@highlight

Managers don't always see the link between staff well-being and company profits