Atlanta (CNN) -- Everything about the rebooted Delta Flight Museum screams, "AIRPLANES!"

Even outside its entrance, I'm greeted by aviation decorations. Lined up in a row like Roman columns are three struts of Boeing 757 landing gear embedded into the front of the building.

Welcome to the Delta Flight Museum, home to some of the airline industry's historic jewels, including a first-of-its-kind aircraft that pioneered the sophisticated planes we fly on today.

This could be the best aviation museum you've never heard of. I'm champing at the bit to see a few highlights, including:

• The cockpit from the first Convair 880-22, once the world's fastest airliner

• A nose-to-wing section of the first L-1011 TriStar that served as a Hollywood movie set

• The airline's beloved "Spirit of Delta," a huge 1980s-era Boeing 767

• Arguably the world's most meticulously restored DC-3, among history's most important airliners

Yep, it's enough to make an aviation geek play hooky and get lost among all the sleek, metallic technology.

But this place also appeals to nonaviation aficionados, thanks to its collection of stylish luggage and Delta uniforms. Then there's the museum's JFK airport rescue project. I'll tell you about that in a minute.

For years access to the museum was limited to Delta employees and their friends. But last summer the airline closed it for a complete overhaul. In June, it opened to the public for the first time.

Appropriately, the museum takes up two hangars on Delta's corporate headquarters, next to Atlanta's Hartsfield-Jackson International Airport. Once you step inside, you're met with an amazing 1940 DC-3 airliner called Ship 41. When sunlight pours through the hangar windows, it bounces off the aluminum surface of this twin-propeller tail-dragger.

Beginning in the mid-1930s, more than 14,000 commercial and military versions of the plane came off the Douglas Aircraft production lines, popularizing airline travel across much of America. Each DC-3 seated from 21 to 24 passengers. Astonishingly, hundreds are still flying worldwide today thanks to an airframe that pilots describe as one of the toughest ever.

The unbelievable airliner that just won't quit

Restoring this silver-skinned beauty was a triumph for a handful of retired Delta employees, who took it apart and rebuilt it in the 1990s, returning it to nearly as good as new. "No other DC-3 in the world has been restored with such attention to detail," says the museum website. Delta says Ship 41 is the first aircraft to earn an award from the National Trust for Historic Preservation.

Take a video tour inside the meticulously refurbished airliner

Next, take a walk through a darkened, circular portal and emerge into another hangar. Suddenly, you're sharing a room with a quarter-million-pound, five-story-tall Delta Boeing 767-232.

It's right there in front of you, fully accessible for avgeeks who can't help caressing its underbelly and nuzzling up to its twin General Electric CF6-80A engines.

A few interesting facts about this plane:

• In a gesture of solidarity, Delta employees raised $30 million to purchase it for the airline during tough economic times in 1982.

• With a capacity of 204 passengers and six crew members, the plane flew until 2006 before retiring to the museum.

• When you get on board, you walk through a first class section that's frozen in time. The armrests include passenger phones and audio controls. The bulkheads are decorated with pinstripes. A video screen is mounted on the wall. The sound system uses speakers mounted in the overhead bins. In the rear, the plane becomes a mini-museum, with displays featuring items like airline uniforms and insignia pins.

Just steps away sits the cockpit from the first Convair 880-22, serial number 01.

The Convair 880 was an unsung airliner classic, flying for Delta from 1960 to 1973. It was good enough for the king of rock 'n' roll. Elvis bought one in 1975, naming it for his daughter, Lisa Marie, and painting on the letters "TCB." Just a little reminder that the plane was "Takin' care of business."

The museum's Convair 880 cockpit was the nerve center for the very first 880 test plane. Later the aircraft joined the fleet at TWA.

"Some of the other jets we'd compare to pickup trucks, but this was like a sports car -- like a Porsche," Capt. Frank Bottoms Sr., a retired Delta Convair 880 pilot, told me.

Like a Porsche, the jet was a speed demon, with a cruising speed of 586 mph, according to the museum. In 1959, the 880 was known as the fastest airliner in the world, according to Popular Mechanics. Three years later, Delta set a commercial speed record with an 880, hitting 715 mph, according to the museum. That's fast even by today's standards.

As Bottoms flew 880s in the '60s and '70s between Houston, New York, Chicago and Miami, the plane "was something you were proud to be in," he recalled, calling it "the cream-of-the-crop" airliner. "The passengers loved it, and we loved it."

The museum also contains another piece of airline history you can't find anywhere else: a nose-to-wing section of the very first Lockheed L-1011 TriStar, serial number 1001.

Oh, if this triple-engined jet could talk!

It might tell stories about the test flights it flew for Lockheed in the 1970s. Or it might reveal tales about when it served as a movie set for 1992's "Passenger 57," starring Wesley Snipes, and Bill Murray's "Quick Change" from 1990.

Pilots loved the L-1011 for its efficiency and reduced engine noise. For a while, it was sometimes called the Whisperliner.

Bottoms, who also flew L-1011s, said both planes were so reliable they could almost land themselves under the right conditions. "They were such stable airplanes -- no wild gyrations of having to move the controls," he said.

The museum offers several handy touchscreens with all kinds of cool data about the planes. But the best interactive exhibit is an actual flight deck simulator that was used to train Delta 737-200 pilots. If you're over age 16, a rare opportunity to "fly" the simulator for 45 minutes will cost you about $400.

As you exit through the gift shop, notice another piece of history hanging above the doorway: a sign that reads simply, "Delta Air Lines."

It doesn't mean much, until you know where it came from. It was a rescue.

Delta saved the sign from the now-demolished Worldport, aka Terminal 3, at New York's John F. Kennedy International Airport. Built by Pan Am in 1960, the flying saucer-shaped building became a symbol of the excitement and glamor surrounding the early days of the Jet Age.

Delta operated the terminal after Pan Am folded in 1991 until the airport tore it down in 2013 to create an aircraft parking lot.

The sign was too important to leave behind. It's "iconic and seemed to beg to be preserved," said Delta's Ashley Black.

Workers carefully took it apart and trucked it nearly a thousand miles to Atlanta, where Delta's Technical Ops Center refurbished it to like-new condition, rewiring it with LED lighting.

It all adds up to a surprising number of one-of-a-kind exhibits for a small museum tucked between the airline's corporate offices.

Even for folks who don't get all hot and bothered about airplanes, it's a spot worth visiting during a long airport layover.

@highlight

Delta Flight Museum has recently opened near Atlanta's airport

@highlight

Exhibits include prototypes of important airliners, the L-1011 and superfast Convair 880

@highlight

Museum offers an interesting tourist option during long layovers

@highlight

Giant sign from iconic Worldport rescued from wrecking ball at JFK airport