(CNN) -- Robert Enke, the goalkeeper for the German national football team who killed himself on Tuesday, was suffering from depression, his widow has revealed.

Valentin Markser, a doctor who treated Enke, said the goalkeeper first sought treatment in 2003, when he lost his starting place at Barcelona and developed anxieties and fear of failure. The couple's biological daughter died three years ago from a heart problem when she was aged just two.

Dr. Charles L. Raison, Clinical Director of the Mind-Body Program at Emory University School of Medicine, in Atlanta, answers some key questions about some of the issues associated with depression.

What are the signs or symptoms that someone is suffering from this illness?

The classic symptom of depression is feeling emotionally down or blue, but when humans start feeling this way a whole bunch of other symptoms usually tag along.

When people feel emotionally depressed they tend to lose interest in the world around them and their ability to experience pleasure withers.

They often become very hopeless and feel overwhelmed by responsibilities that would normally be no problem for them. They have trouble thinking and concentrating, and when depression is severe they can feel like they are losing their minds.

Depressed people often feel very badly about themselves. They can be haunted by guilt and consumed by negative thoughts that run over and over again like a bad movie.

This level of psychic misery begins to make death seem like a form of relief, so it is not surprising that most depressed people spend at least some of their time thinking about suicide.

Depressed people almost always have changes in their sleep and appetite. In addition, people with depression typically experience tremendous fatigue and are often plagued by aches and pains in their bodies for which no bodily cause can be found.

What causes depression?

Depression is caused by an interaction between genes and environment. Some people carry genes that make them so prone to depression that almost any degree of hardship will bump them into depression.

At the other extreme there are environments that are so terrible that all but the most resistant people will develop depression.

Psychological stress and medical illness are the two royal roads to depression. Almost all episodes of depression are set off by one or the other of these factors, although the more often a person is depressed the less adversity is needed to set off a new episode.

That is one type of answer to the question of what causes depression. Scientists are discovering a different kind of answer which has to do with the types of abnormalities in the brain and body that are characteristic of people with depression.

We might say that depression is caused by hyperactivity of body-brain danger pathways and not enough activity in brain areas that help us get a grip on our emotions. In this way depression is very much a physical illness.

What can be done to treat it?

The short answer is "many things". In general, treatments boil down to either pharmacological or behavioral.

In the pharmacological category are numerous antidepressants and other psychotropic drugs, such as lithium and atypical antipsychotics.

In the behavioral realm are a number of psychotherapeutic techniques, ranging from psychoanalysis to behavioral therapy.

Overall, medications and therapy appear about equal in efficacy. Recent data suggest that therapy might have a longer-lasting protective effect than medications once treatment has stopped.

In addition to medications and therapy, recent studies suggest that vigorous exercise is also an effective treatment for depression.

Have attitudes within the medical profession changed?

No one in medicine -- in my experience -- questions either the reality or validity of major depression. In fact, far from disputing the importance of depression, what I usually find is a huge hunger on the part of the medical profession to learn more so they can better help their patients.

The World Health Organization now places depression as the fourth most disabling medical condition worldwide and estimates it will rise to number two by 2020. The days when doctors looked askance at depression as a clinical entity are long gone.

@highlight

Dr. Charles Raison tells CNN about the symptoms and causes of depression

@highlight

Some people carry genes that make them more prone to depression

@highlight

When people feel emotionally depressed they tend to lose interest in the world around them