(CNN) -- For some people, Wednesday was a day to celebrate. Thursday, they get back to work.

Advocates of lesbian, gay, bisexual and transgender rights say they've gained fresh energy and hope after twin Supreme Court rulings advanced efforts to legalize same-sex marriage.

They want to ride that momentum for as far as possible -- making inroads on issues ranging from workplace discrimination protections, immigration reform to bully-free schools.

"This is absolutely historic, it's monumental," said Jody Huckaby, executive director of Parents, Families and Friends of Lesbians and Gays, or PFLAG. "It may very well be that tipping point."

For people such as Huckaby, who heads a group with more than 360 chapters nationwide, what happened Wednesday was thrilling, but not totally surprising.

Supreme Court strikes down DOMA

Yes, most states still bar same-sex marriage, many thanks to the passage of popular referendums. Yes, the federal government and most states don't protect gay, lesbian or transgendered workers.

But public opinion is moving in the direction of LGBT rights.

In the 1970s, polls showed most Americans believed homosexual relationships between consenting adults were morally wrong -- a belief that persisted into the first few years of the 21st century, according to CNN Polling Director Keating Holland.

In contrast, the most recent CNN/ORC International survey shows 55% of Americans back same-sex marriage, up 11 percentage points from 2008.

Voters in three states approved measures legalizing such unions in November 2012.

Numerous corporations have adopted policies barring discrimination based on one's sexual orientation -- contrary to the laws in most states, where a person could still be fired if they are found out to be gay. Two of America's most watched TV shows, "Modern Family" and "Glee," feature openly gay characters.

Wilson Cruz had been a pioneer of sorts in the 1990s, when he played a gay teen on ABC's "My So-Called Life."

California Prop 8 appeal dismissed

Times have changed since then, he said, as Americans get to know more gays and lesbians -- whether they are cousins, neighbors or characters on TV shows.

The Supreme Court decisions striking down part of the federal Defense of Marriage Act and clearing the way for same-sex marriages in California could accelerate the movement even more, according to Cruz.

"I really do believe this is the domino that is going to tip over the rest of the dominoes," he said. "Do not get in the way of this train, because it will run you over."

Same-sex marriage still illegal in most states

Teddy Witherington can now make wedding plans.

He and his partner live in San Francisco, where same-sex marriage will (once again) be legal.

Witherington, who is British, has lived in the United States legally for the past 16 years, first as head of the San Francisco LGBT Pride Parade and Celebration, and now as chief marketing officer for Out and Equal Workplace Advocates.

What occurred Wednesday gave him pride to live in his adopted home.

"As an international citizen, (it) gives me so much gratitude because I see the very best that exists in this great nation," Witherington said. "... It's truly a beautiful thing."

Historic rulings on same-sex marriage

Still, while he and other LGBT advocates characterized the court rulings as victories in their fight for equal rights, that doesn't mean the fight is over.

Some 70% of Americans live in the 37 states where same-sex marriage is not or will soon not be legal.

In his ruling opinion, Justice Anthony Kennedy said one reason the federal government is obliged to recognize gay and lesbian marriages that are legal in some places is because it is up to individual states to decide marriage law.

That's more likely to happen now than a few years ago, said Michael Cole-Schwartz, a spokesman for the Human Rights Campaign.

LGBT advocates have learned to make their campaigns more about people wanting to be together than people wanting to get rights and benefits, he said.

"We have really focused on the reasons why they want to get married: because they love each other," Cole-Schwarz said. "That's really helped change the nature of the conversation."

Daughter of interracial couple fights to validate her same-sex marriage

Workplace a battleground in LGBT fight

The Civil Rights Act makes it illegal for employers to discriminate against people based on their race, color, religion, sex or national origin.

But not their sexual identity.

That means, under federal law, there's nothing to prevent a worker from failing to hire or firing someone because they are gay or lesbian.

Ruling opens doors for immigration for same-sex spouses

There are 21 states that do offer such protections, which leaves 29 that do not. In 34 states, there's nothing to prevent a person from getting fired if they are transgendered.

Activists are working to change that. Witherington points to the Employment Non-Discrimination Act working its way through a Senate committee, calling now a "crucial moment" for politicians to change federal policy.

The measure has 53 cosponsors, short of the 60 votes that bills typically need nowadays to pass if it's opposed by the Republican minority. If it does pass, it would then have to be passed in the GOP-led House of Representatives.

Selisse Berry, the founder and CEO of Out and Equal Workplace Advocates, says she's "very hopeful" a bill that includes protections for gay, lesbian, bisexual and transgendered people will pass. The larger movement in the society is a big reason why, she says.

"Any time people get to know us as human beings, it makes a huge difference," Berry said. "More and more people, all the time, are coming out. When that person has a relationship with others, it moves the dial forward."

Map: Same-sex marriage in the U.S.

Washington could take its cue from corporate America. On their own accord, most Fortune 500 companies already bar gays, lesbians and transgendered from being treated any differently than any other employee.

Why? Because they realize the importance of retaining the best people who perform well on the job, irrelevant of their sexual identity, according to Berry.

"It's about the bottom line, essentially," she says.

Activist: Gay rights' causes 'not insurmountable'

Other issues are on LGBT advocates' agenda as well.

They want immigration reform measures being mulled in the Senate and House, for instance, to treat same-sex partners much like heterosexual spouses.

They want safer schools, so youngsters aren't threatened, hurt or otherwise victimized.

Photos: Same-sex celebrity couples

And they are also mindful that transgendered people have "not seen as many gains as the gay and lesbian portion of our community," says Cole-Schwartz of the Human Rights Campaign.

"The way the media talks about transgendered people is in terms of violence and suicide rates, but those aren't the only stories," adds Cruz, noting that parts of America still don't know or understand them.

In other words, even after Wednesday's Supreme Court decisions, there's a lot that these activists' still want to do.

Opinion: How youth led change in public attitudes on same-sex marriage

And to do it, Huckaby says, means harnessing "the collective energy" of people of all sexual persuasions who share the same values. That kind of movement could take place not just in the halls of Congress, but in stores and coffee shops on Main Street.

"I know the power that there is in individual messages from the people who are willing to speak out," said Huckaby, who grew up in Louisiana and has seven siblings -- three of whom are homosexual, like he is, and four of whom are straight. "These (challenges) are not insurmountable."

T.J. Williams is eager to put himself out there, partner with others, work hard and make an impact.

In his last year at Garrett Theological Seminary, he is working to combat poverty, address gun violence afflicting parts of Chicago and promote fair education.

"What I am most interested in is creating unity among everyone who seeks justice and equality," he said.

For him, these issues and promoting LGBT rights are all related.

Opinion: Fight for gay rights must continue

CNN's Jen Christensen contributed to this report.

@highlight

LGBT advocates hail Supreme Court rulings on same-sex marriage as "historic"

@highlight

Still, same-sex marriage remains illegal in most states

@highlight

Activists are also fighting for workplace protections for gays and lesbians

@highlight

These and other issues are "not insurmountable," an advocate says