(CNN) -- Children should not die in schools. Children should not die from eating common foods. A minuscule speck of a peanut, not even visible, should not take a young child's life in minutes.

And yet this has happened in the past two years -- to 13-year-old Kaitlyn in Chicago and to 7-year-old Ammaria in Virginia. As the holidays approach and celebratory treats are brought into schools from home, we must ensure children with food allergies are safe.

Congress can contribute to that by rapidly passing the School Access to Emergency Epinephrine Act. This bill would provide states with incentives to require elementary schools and secondary schools to maintain, and permit school personnel to administer, epinephrine -- a form of adrenaline that eases hives and breathing difficulties and when injected, prevents rapid death.

Quite reasonably, many people are a bit suspicious of the new hypersensitivity about foods, wondering if a little hysteria surrounds the issue. Most adults -- including me -- grew up in a world where PB&J was a staple. I don't remember having a single friend whose food was restricted for fear of a reaction that could take his or her life.

Unfortunately, and for reasons no one fully understands, food allergies have indeed become more common and more severe.

In 2010, I was part of a group of researchers at Northwestern University of Medicine who surveyed a demographically representative sample of 40,000 U.S. families. In a peer-reviewed study published in Pediatrics in June 2011, we revealed our findings: One in 13 children in the U.S. has a food allergy, and 40% of those have had a potentially life-threatening reaction such as difficulty breathing and throat constriction. To put that in perspective, that means two children in every school classroom, or almost 6 million American kids, have a food allergy that could potentially endanger their lives.

And yet food is a part of almost everything children do. In school, they eat breakfast, lunch, snacks, treats. They eat special items for birthdays, holidays, and random celebrations. Even if every mother and father tries to be especially careful about what they send to school, no one can predict when a child with a food allergy will accidentally have a reaction to something.

Fortunately, a simple and affordable solution can save lives and relieve at least some of the stress and anxiety about children's well-being. In 2011, the Chicago Public Schools put into place the Illinois School Access to Emergency Epinephrine Act. All 681 Chicago public schools, collectively educating more than 400,000 children, have an epinephrine auto-injector to quickly administer the medicine needed to help save a child's life in a severe allergy attack. School nurses and staff know exactly how to respond in a food allergy emergency.

Congress has an opportunity to pass a similar bill before it ends its session. Sen. Richard Durbin introduced the School Access to Epinephrine Act on November 17, 2011. It can and should be passed.

Why should the nation invest in preventing allergic reactions to foods in particular? Many other equally urgent health issues -- asthma and obesity -- afflict schoolchildren. And, quite rightly, public health experts and school nurses are working on those health problems as well.

But no one wants a child to die in minutes simply because she ate a cupcake at her friend's school birthday party that was supposedly nut-free -- but had been packaged or made on a counter where nuts had been used. This bill will help schools have epinephrine auto-injectors on hand and trained staff for those emergencies. That could save the lives of those two children in each American classroom who are at risk.

The opinions in this commentary are solely those of Ruchi Gupta.

@highlight

Ruchi Gupta: Exposure to a peanut speck can kill an allergic schoolchild in minutes

@highlight

This time of year, holiday snacks brought in from home carry allergy risks, she says

@highlight

Gupta: Easy to save a life if schools have epinephrine on hand and can administer it

@highlight

School Access to Emergency Epinephrine Act crucial, she says, as allergies increase