(CNN) -- Once described as "sterile," the birth city of the iconic Singapore Sling is experiencing a cocktail renaissance.

Since 2012, the city has seen a rush of cocktail bar openings, and the boom isn't showing signs of slowing.

In 2013, UK-based liquor-producing giant Diageo reported a 58% spike in spirits sales in Singapore over the previous financial year.

"Singapore's cocktail scene has grown tremendously in the past few years," says Colin Chia, Asia Pacific manager of Diageo Reserve World Class, which hosted the World Class South East Asia Finals in Singapore in May to showcase top bartending talents in the region.

"The scene has moved toward the opening of independent bars with talents concentrating on craft cocktails and introducing the consumer to new techniques, ingredients and spirits, while still keeping true to the classics.

"They have collectively invested time and energy in putting Singapore on the global cocktail map."

In the last year alone, some 20 new bars have sprouted across Singapore.

Tron Young, who founded the inaugural Singapore Bar Industry Accord to recognize the industry's future luminaries, says the city-state is at the forefront of Asia's cocktail and bar scene.

"Other Asian cities like Tokyo may have a longer reign at the top, but Singapore is taking the lead in pushing boundaries and drinking ideals, researching trends as well as exploring techniques," says Young, a former bartender at Singapore hotspot Tetsuya's and ex-bar manager of Waku Ghin.

"One of the ways to gauge the progress of the beverage industry in a country is to look at the range of products available -- a bigger range and variety is generally driven by the volume of demand."

More suppliers are indeed joining the spirits distribution game in Singapore, brandishing an alluring arsenal of artisan spirits by independent distilleries.

La Maison du Whiskey joined the fray in 2009; followed by Proof & Company Spirits (stablemate of the acclaimed 28 HongKong Street) in 2012; with Liberty Spirits Asia coming on board most recently.

"As consumer demand for artfully prepared cocktails has grown, the spirits industry has responded and is now going through its own renaissance," says Spencer Forhart of Proof & Company Spirits.

Where cocktails are as important as food

According to Forhart, Singapore has a strong community of professionals treating bartending as a proper vocation and pushing each other to achieve.

"The result -- even restaurants and hotels are taking their cocktails and spirits seriously," he says.

The seeds of all this growth were sown in 2008, when the trendsetting Tippling Club introduced its cocktail-paired tasting menu, a first in Singapore.

Today, Tippling Club has been joined by a host of restaurant-bars where cocktails are treated with as much reverence as food -- Bacchanalia, Catalunya, Sugarhall and Tess Kitchen Bar are examples.

"One of the best ways to judge the F&B trends in a city is also to see what the hotels are doing," says Young.

"Recently Anti:dote at Fairmont Hotel and Manhattan Bar at Regent Singapore hotel opened while Four Seasons hired one of the greatest bartenders in history -- Javier de lad Muelas -- to consult on its beverage and cocktail list at One Ninety bar."

In addition to adding a touch of glitz to the city's bibulous culture, hotel bars such as Anti:dote and Manhattan Bar have brought in talented craftsmen -- Tom Hogan and Ricky Paiva, respectively -- who are rapidly shaking up the craft cocktail movement started by stalwarts such as Aki Eguchi, bar manager of Jigger & Pony.

Today, Eguchi, a 2011 and 2012 Diageo Reserve World Class Singapore champion, has about 30 types of homemade infusions and syrups in stock at any one time.

"Singapore is enjoying a cocktail boom that New York and London experienced over the last 15 years," concludes Forhart.

"It started a bit later than those cities, but it's really developing at a much faster pace."

Thirsty yet?

Here's a roundup of Singapore's best new cocktail bars.

Anti:dote

Fairmont's latest F&B addition showcases inventive cocktails and a raft of tonics concocted by head craftsman, American-born Tom Hogan.

He uses freshly plucked herbs from the hotel's garden and personally makes a clutch of bitters and liquors, like spiced orange bitters fortified with Cognac.

Hogan cocktails such as Corpse Reviver #2 (made with gin, Absinthe and house-made orange liqueur) are best paired with the tapas by Spanish chef, Carlos Montobbio.

Anti:dote, Level 1 Fairmont Singapore, 80 Bras Basah Road; +65 (0)6 431 5313

Manhattan Bar

Former Rickhouse barman, Ricky Paiva, puts the spotlight on craft cocktails at the artful grand hotel bar at the Regent Singapore hotel, which features a menu of 25 seasonally rotating cocktails inspired by the neighborhoods of Manhattan.

In addition to showcasing the world's first in-hotel "rickhouse," where the Sacramento native finishes whiskeys, ages cocktails and brews bitters, the bar offers cocktails mixed table-side via a trolley.

Manhattan Bar, Level 2 Regent Singapore, 1 Cuscaden Road; +65 (0)6 725 3377

The Library

This secret bar tucked behind the recently re-branded The Study isn't spanking new but it's worth the schlep for the new-to-Singapore barman, Nicholas Quattroville.

An Australian formerly of The Blind Pig (London), he prepares most of his cocktail ingredients in-house -- horseradish-infused vodka, walnut orgeat and burnt butter whiskey are favorites.

The Library, 47 Keong Saik Road; +65 (0)6 221 8338

Operation Dagger

Located in an underground, window-less space near Oxwell & Co, this progressive speakeasy helmed by head bartender Luke Whearty makes its own infusions via sous vide cooking technique and bottle-ages carbonated cocktails with champagne yeast.

It also grows its own herbs on a rooftop garden with a beehive where honey is harvested and fermented to make mead.

Operation Dagger, 7 Ann Siang Hill, #B1-01; no telephone

Sugarhall

This grill restaurant that pairs flame-kissed fare with rum-based cocktails concocted by Aki Eguchi (bar manager of next door stablemate Jigger & Pony) has a lively atmosphere.

Sugarhall, 102 Amoy St.; +65 (0)9 732 5607

Studio 1939 by Potato Head Folk

Set on the third floor of an art deco building on Keong Saik Road, this reservations-only bar serves small plates paired with cocktails made with artisan spirits, courtesy of Dre Masso, head mixologist for the Potato Head group.

Studio 1939 by Potato Head Folk, 36 Keong Saik Road; +65 6327 1939

Tess Bar

Former Bitters & Love bartender Steven Leong calls the shots at the long bar of this eatery/bar near Raffles Hotel.

He shakes classic and quirky cocktails to go with the menu of modern European fare served on small, medium and large plates.

Tess Bar, 38 Seah St.; +65 6337 7355

Evelyn Chen is a former Time Out food critic and current editor of Zagat Guide. Her food and travel features have been published in Destin Asian, Travel+Leisure SEA and Conde Nast Traveler.

@highlight

In the last year, more than 20 new bars have opened in Singapore

@highlight

Local cocktail aficionados say Singapore is at the forefront of Asia's cocktail scene

@highlight

Even restaurants and hotels are taking their cocktails seriously, says local expert