(CNN) -- I rarely agree with Justice Antonin Scalia, much less side with him in a public debate. But, like Scalia, I am a believer: I believe in God and the devil, and I believe it's bizarre that so many find that belief so curious.

In a widely discussed New York magazine interview with Scalia published Sunday, journalist Jennifer Senior prods the justice about his legacy until he proclaims, "When I'm dead and gone, I'll either be sublimely happy or terribly unhappy." That's where a discussion of heaven and hell, God and the devil, begins. Her reaction seems to be that it is outlandish to believe in God, much less the devil.

From this point onward, the tension in the interview is palpable. Yet Scalia gamely answers her questions about his beliefs. Yes, he believes in heaven and hell. No, you don't have to believe in heaven and hell to go to heaven -- everyone's going one place or the other.

For me this exchange recalls my first brushes with insistent secularists and atheists. I come from North Carolina, buckle of the Bible Belt, where few would proudly announce contempt for faith. It had not occurred to me before I left North Carolina that my religious beliefs might become a reason to feel alienated.

I am culturally Catholic, the product of Irish, Colombian and Spanish immigrants, but was not baptized in infancy or confirmed in adolescence. As a child, I said the Lord's Prayer because it comforted me, prayed for the souls of the dead because I loved them, but I hadn't met a catechism.

Opinion: Hey Justice Scalia, let's be friends

When I moved to Cambridge, Massachusetts, for college, I was surprised to confront pervasive, vocal disdain for religion. I chalked it up to culture clash: These were brash young adults who'd seen less of the world than they'd studied, knew less about actual Americans than their counterparts on MTV. In reality, I had just moved from a culture in which faith was presumed to one in which the presumption was against faith.

Scalia's awareness of elite bias against belief shows. In the interview, he tries to make his beliefs legible to nonbelievers, showing humility and alluding to cultural touchstones. He admits, "I don't even know whether Judas Iscariot is in hell. I mean, that's what the pope meant when he said, 'Who am I to judge?' " (If you don't know Judas from the Bible, you'll recognize him from Dante's "Inferno.")

I can relate: Explaining faith, especially dogma, is difficult. As many of my peers seemed to be pulling away from formal religion, I opted in: I was baptized and confirmed at 27 -- in a triple-dunk, full-immersion baptism at the university church. Friends asked, what did my initiation mean -- and why Catholicism? Most queries seemed to demand that I justify my faith; some exoticized my Christian beliefs. I don't have all the answers yet. Discussing faith in public life is many orders of magnitude harder, but Scalia tried.

Scalia's interviewer was moving on when the justice "stage-whispered," "I even believe in the Devil." Senior pursues this out of curiosity, presumably, but her questions are inadvertently tinged with condescension: a surprised, "You do?" Even I, a literal neophyte, know most Christians believe in the devil in some form or another.

Scalia doesn't get testy until Senior asks, "Isn't it terribly frightening to believe in the Devil?" He replies: "You're looking at me as though I'm weird. My God! Are you so out of touch with most of America, most of which believes in the Devil? Jesus Christ believed in the Devil! It's in the Gospels!" He admonishes, "You travel in circles that are so, so removed from mainstream America that you are appalled that anybody would believe in the Devil!"

Senior apologizes, explaining, "It wasn't your belief that surprised me so much as how boldly you expressed it." Scalia replies honestly: "I was offended by that. I really was." Scalia may have been harsh, but he's not wrong.

Today, as a third-year law student, I sit in seminars with students who scoff at the idea of lawmaking informed by religion, even though most Americans are religious.

I struggle with the question of how to make room for faith in conversations such as these. Should I interject, offer a different view or suggest lawmakers don't lightly disregard constituents' convictions? The same tensions are present in boardrooms, courtrooms and newsrooms across America -- New York magazine's interview of Scalia is just one demonstration.

I do not offer evidence of the devil, just a proposition for secularists and atheists: Even if you do not believe as people of faith do, respect their right to believe and hold opinions informed by belief. Starting from this position in discourse and debate might inaugurate a long overdue -- and respectful -- dialogue about faith in law and politics.

The opinions expressed in this commentary are solely those of Rebecca Buckwalter-Poza.

@highlight

Rebecca Buckwalter-Poza: Interview with Justice Antonin Scalia took a turn toward religion

@highlight

Interviewer surprised Scalia believes in devil, and writer has faced similar surprise

@highlight

She says as recent Catholic she's been shocked at disdain some elites hold for faithful

@highlight

Writer: Most in U.S. are religious, and policymakers shouldn't scoff at such convictions