(CNN) -- It's the diplomatic equivalent of hosting both the World Cup and the World Series in the same country on the same weekend.

On Saturday President Obama welcomes the leaders of the world's most powerful countries to the G8 conference at his country retreat at Camp David in Maryland. And the next day he hosts some two dozen NATO heads of state in Chicago.

The challenges of this Diplopaloozaa include some complicated logistics: How do you get eight world leaders and their delegations comfortably situated in the rustic wood chalets that make up Camp David, and which has never hosted this many heads of state before?

And the challenges, of course, also involve trying to resolve some very knotty problems:

-- In a time of contracting budgets, what kinds of commitments are plausible for NATO countries to make to Afghanistan after the alliance withdraws all its combat troops from the country in 2014?

-- What to do about the civil war in Syria?

In a significant and symbolic development, Pakistan's President Asif Zardari has accepted NATO's offer to attend the Chicago summit, according to Pakistan's ambassador to the U.S., Sherry Rehman. Given that the summit's principal focus will be the future of Afghanistan, a discussion without the participation of Pakistan would have been a bit like trying to stage "Hamlet" without Hamlet appearing on stage.

Right now Pakistan is blocking the transit of critical NATO supplies over Pakistani roads to Afghanistan. Still, the vital air corridor across Pakistani airspace into Afghanistan remains open.

Pakistan closed the ground routes in protest after NATO forces killed about two dozen Pakistani soldiers last November at a post on the Afghan-Pakistan border, in what NATO has termed an accident.

Pakistan's Foreign Minister Hina Rabbani Khar on Monday raised the possibility of reopening those ground supply routes to Afghanistan, saying their closure was "important to make a point. Pakistan has made a point and now we can move on."

In addition to an agreement on reopening the supply routes, the Obama administration hopes to obtain greater Pakistani involvement in peace talks with the Taliban.

A senior administration official says that there is evidence that the "reconciliation" process with the Taliban -- which the United States has been quietly moving forward with for many months -- has split the Taliban movement; some elements of the Taliban are interested in reconciliation, while others are "very upset" about this idea.

The assassination on Sunday of Mullah Arsala Rahmani, a former Taliban minister who was negotiating between the Afghan government and Taliban insurgents -- an attack that has been claimed by a breakaway Taliban faction -- would seem to underline this point.

A key issue that will be discussed in Chicago is who will pay for the Afghan army and police after the NATO drawdown. The expected end strength of the Afghan national security forces will be around 350,000 by 2015, although that is expected to fall to 230,000 by 2017.

The costs to pay for this are estimated to run around $4 billion a year after 2014, and the Afghan government can pay only a small fraction of it.

Although the Obama administration "won't be passing the hat," U.S. officials expect that some NATO countries will announce in Chicago commitments to pay for the Afghan army and police post-2014.

At the Camp David meeting one of the most complex problems that will be discussed is what to do about the conflict in Syria.

Former U.N. Secretary General Kofi Annan reached an agreement with Syrian President Bashir Assad in April that Assad would observe a ceasefire and pull back his soldiers from urban areas where Assad's forces have killed thousands.

The senior administration official says, "We have been very skeptical about the Annan plan. We have not seen Assad fulfill any part of the deal."

At Camp David, the administration plans to discuss measures about how to hold Assad accountable for his violations of the ceasefire and the human rights of his people.

It will be a long weekend for President Obama and his team. There appear to be no good options in Syria and, like most Americans, NATO countries have grown very weary of the long war in Afghanistan.

CNN's Elise Labott contributed reporting to this piece.

@highlight

NEW: Pakistan to attend NATO summit

@highlight

Obama hosts G8 conference at Camp David, then NATO summit in Chicago

@highlight

Peter Bergen: The issues will be funding Afghanistan's future and the civil war in Syria

@highlight

Bergen: Problems are how to hold Assad accountable and NATO's Afghanistan fatigue