(CNN) -- Facebook's $2 billion purchase of startup Oculus, which makes virtual reality headsets, is bad news for small investors and Silicon Valley's innovation ecology. The deal means we will never have the chance to own Oculus stock.

This is the latest instance of a shift in the tech sector that reduces would-be investors to mere consumers.

For decades, Silicon Valley's culture was built around small startups that counted on "going public" -- listing their shares in an initial public offering. The resulting IPO provided working capital to the founders and allowed ordinary investors to buy into the dream -- and prospect of a financial upside.

Microsoft, Amazon, Yahoo and Google and others went this route. Ordinary investors could participate by holding a stake in the companies they liked.

This also made it possible for a steady stream of tech upstarts to grow into independent tech giants with diverse products and services. Early employees at successful startups would then use their new-IPO wealth to depart and launch the next wave of companies.

This IPO model began to erode after the dot-com bubble burst when the market became riskier. At the same time, the dot-com survivors were increasingly flush with cash and in an arms race to ensure growth. Buying early-stage companies was an easy way to gather new technologies, businesses, patents -- and top-notch entrepreneurial brains.

The shift came into sharp focus in 2006 when Google bought YouTube. Founded by three PayPal employees in 2005, YouTube was less than two years old when Google paid the then-unheard sum of $1.65 billion to turn it into a Google subsidiary.

This was good news for Google, but we will never know what YouTube might have become had it remained independent. Sure, investors can participate by owning Google stock, but might YouTube stock have done even better if allowed to fly on its own?

Grabbing companies before they go public also impoverishes the variety of products that come to market. Imagine if Apple had been acquired in the early 1980s during its infancy by IBM or Sony? Would there ever have been a Macintosh, iPod, iPhone or iPad?

Now that Facebook owns Oculus, will it allow users to wear their goggles when visiting virtual worlds in Second Life or watch movies from Sony Pictures? With Nest -- acquired recently by Google for $3.2 billion -- will iPhone users get the same level of interaction with their home thermostat as Android users?

While some companies like Amazon have shown remarkable restraint in allowing their acquired subsidiaries to operate independently, the temptation to tweak products for differential advantage is compelling, particularly when the price tag is in the billions of dollars.

Instead of an eclectic field of many companies of all sizes, the new landscape is becoming dominated by a few goliaths whose cherry-picking among the small startups all but eliminates the population of mid-sized companies with significant future IPO and innovation potential.

Worse yet, employees in the acquired startups who find themselves in secure, lavishly-paid positions at companies like Facebook are less likely to strike out on their own. And even if they do manage to break out and create a new company, their focus will be on the quick kill of getting acquired by a giant in a year or two, not on embarking on the multi-year road of creating a potentially world-changing product.

The future of tech sector dominated by the acquisition trend reminds me of the final scene of the movie "Raiders of the Lost Ark." After a nail-biting, continent-spanning race to find a mystical and vastly powerful artifact, the last the audience sees of the now boxed-up Ark is its disappearance into a vast warehouse of identical crates. We know the Ark will never see the light of day again and are left to wonder at what else might be hidden and gathering dust alongside it.

In the case of Oculus, we might enjoy the immersive pleasure of head-mounted displays, but even that will not be enough to keep me from wondering what might have been if Oculus, Nest and all the other startups gobbled up by giants like Facebook and Google had been allowed to grow into independent companies owned by ordinary investors like you and me.

The opinions expressed in this commentary are solely those of Paul Saffo.

@highlight

Paul Saffo: Facebook's $2 billion purchase of Oculus is a bad deal for consumers

@highlight

Saffo: Tech sector is seeing a shift from IPO model to acquisition model

@highlight

He says it's harmful for Silicon Valley innovation ecology if tech giants grab up startups

@highlight

Saffo: Imagine if Apple had been bought by IBM or Sony, would there ever be iPhone?