Pretoria, South Africa (CNN) -- In the opening days of the Oscar Pistorius murder trial, a journalist's laptop starting making noise near the back of the court.

"What is that?" came a voice, gentle but firm, from the judge's bench.

"I'm sorry, my lady," a foreign journalist stammered over the loud American-accented announcement issuing from her computer, declaring that it had found viruses and was beginning a scan.

"Stand up, please," the judge said.

Struggling to silence her computer, the journalist complied as a hush fell over the court.

She repeated her apology, explaining that new software had been installed on her computer and she was closing it down.

The judge regarded the journalist silently, a schoolmistress displeased with a naughty child, as everyone in court looked on.

A long, agonizing moment ticked by.

"You may sit down," the judge instructed the journalist.

Every hand in court instantly reached for a laptop or phone to make sure it was on silent.

The judge had never raised her voice.

Her name is Thokozile Matilda Masipa, and she is the woman who has decided the fate of Oscar Pistorius.

She was the "my lady" all the witnesses addressed when testifying, even though they were normally answering questions from male lawyers.

A diminutive figure who moves slowly due to arthritis, Masipa was been the still, small center of the trial, calmly taking notes or watching unruffled, chin resting on her folded hands, as lawyers preened, witnesses stammered and the defendant wept.

INTERACTIVE: Explore each side's case

Ground-breaking career

Masipa was a historic figure in South Africa even before the world's most famous disabled athlete landed in her courtroom on a murder charge.

She was the second black woman to become a judge in the country, turning to the law after a career as a social worker and a crime reporter for the Sowetan newspaper.

Mannie Witz, one of South Africa's top defense lawyers, spent a year as her tutor when she was studying to become a lawyer.

He remembers his surprise when he first met her in 1991.

"She was older than me," he said of his student. "A black woman, she had a son, a husband. At a much later stage in life she decided to become an advocate," as South Africans call some types of lawyers.

She was a star student, Witz said.

"She really applied herself. She passed with flying colors," he said.

A former colleague from her newspaper journalism days has an explanation.

"We were doing things and Matilda was not there," said Nomavenda Mathiane, using the name by which Masipa was known in those days. "After work Matilda would go to the library and study."

Masipa saw a future which her colleagues could not imagine when black South Africans were resisting apartheid, her old friend said.

"If you look at where she came from and where she ended up -- she knew one day we would be there and (asked herself) 'Will I be ready when we get there?'"

It's hard for outsiders to see the magnitude of the symbolism of Masipa presiding over this trial, Mathiane said. "This is a woman from the dusty streets of the township. Today she is trying a white boy in my lifetime ... I never thought that would happen."

Through a court clerk, Masipa declined to answer questions for this article, refusing even to provide basic biographical details.

A law journal announcement from March 1999 saying that she had become a judge said she practiced law from 1991 to 1998 before her appointment to the bench.

It listed her hobbies as dancing, gardening and yoga, and the rehabilitation of offenders as one of her legal interests.

Not swayed by emotions or hype

Speaking before the verdict was announced, Witz said he was confident that Masipa would come to the right decision in the Pistorius case.

"There is a lot of emotional stuff" surrounding the case, he pointed out, but predicted Masipa would rule based on the facts and the law.

"She's not the kind of person that will be swayed by emotions," he said, calling her "diligent" and "capable -- more than capable."

In fact, Witz argued, despite all the publicity surrounding the defendant, the actual facts of the Pistorius case are "not difficult."

Masipa's law clerk Suzette Naude, speaking before the verdict was announced, said the judge had made a conscious decision not to be swayed by the hype around the case and its star defendant.

"She told me from the beginning, 'We will treat this case as a normal case, as all other cases.' She's not showing much emotion about the case. And she's not telling me how she's feeling, she's very private about it," Naude said.

But the largely impassive woman on the bench showed a different face behind the scenes, her clerk said.

"She's a different person in court than in the office. She's very relaxed and friendly," Naude said. "She's a wonderful judge to work for. I've been working with her since January and she's just always smiling. Almost like working for an angel."

Concern for Pistorius

Masipa was assisted during the trial by two experts called assessors. Both of them, Themba Mazibuko and Jannette Henzen-DuToit, are advocates. They helped the judge decide on questions of fact, but only she could rule only on matters of law. South Africa does not have jury trials.

She has stayed in her post past the normal retirement age of 65, Witz said -- she will be 67 in October.

But she was not chosen specially for the Pistorius case -- she simply happened to be assigned to it, he said.

Lawyers like arguing before her, Witz said.

"She has a good reputation. She's polite. She treats you with courtesy," he said.

She went out of her way to show concern for Pistorius, particularly early in the trial when he wept, wailed and was violently sick in court, and again during his seven days on the witness stand.

She stopped proceedings on occasion to give him time to compose himself, arguing that it would not be fair to have a defendant who could not represent himself adequately. (It could in fact be grounds for appeal if he is convicted.)

But she came down hard on any distractions or interruptions in court, making one of the young defense lawyers stand and apologize when his phone went off in court, warning journalists against some uses of Twitter -- thought it was not clear she was very familiar with social media -- and firmly reprimanding a lawyer who appeared to be enjoying his cross-examination too much.

"This is not entertainment," she rebuked prosecutor Gerrie Nel.

But she also seemed to have flirted gently with Nel on occasion, such as when he stumbled trying to get his tongue around some technical language.

He stammered, saying it was difficult to pronounce the phrase with her looking at him.

"I won't look at you," she said with a twinkle in her eye and a gentle smile.

Pistorius trial: Your questions answered

Follow CNN's live blog for the verdict

CNN's Robyn Curnow, Nicola Goulding and Emily Smith contributed to this report.

@highlight

Thokozile Masipa was the second black woman to become a South African judge

@highlight

She came to law after careers as a journalist and social worker

@highlight

Her former tutor says she passed with "flying colors" and lawyers respect her

@highlight

She's shown concern for Pistorius as he wept and vomited in court