(CNN) -- On Tuesday, the Congressional Budget Office added another reason to drop the politics and get down to the hard work of health care reform. The nonpartisan organization released a report that finds the cost of repealing the reform will balloon government deficits by $109 billion between 2013 and 2022.

The CBO's report reveals the practical hurdles to repeal and underscores a growing pattern in which the key stakeholders -- states, medical providers, businesses, insurers and consumer groups -- are moving beyond the partisan squabble to the no-nonsense work of building the market place of 2014, where everyone will be able to purchase affordable insurance regardless of pre-existing conditions.

Doctors, hospitals, insurers and employers are, of course, bargaining to improve their specific stakes. They harbor reservations and uncertainties, but their general approach is "mend it, not end it."

The medical providers welcome relief from the crushing burden of uncompensated care and from the immorality of leaving the ill without adequate care owing to patients' inability to pay.

Insurers look forward to new customers and to a new public conversation that spotlights the broader causes of high medical costs rather than blaming insurers alone.

Large employers are nervous about rising costs but are generally more concerned about moderating the rate of growth and ending a system that often shifts costs to them in the financial burden of caring for the uninsured.

A series of developments reveals the growing gap between the new reality on the ground and the lingering efforts of those who want to refight battles and repeal the law that the Supreme Court declared constitutional in June.

Texas Gov. Rick Perry called Medicaid -- the program for the indigent -- the "Titanic" because he didn't believe it was feasible or would prove seaworthy. Meanwhile, private business checked their bottom line and readily saw the new opportunities.

Our nation's second-largest insurer, WellPoint, paid $4.9 billion in cash to purchase another insurance company, Amerigroup, to dramatically expand its ability to service the expanding number of people in Medicaid. Wall Street is doubling down on insurers who do Medicaid business because of their confidence in the Medicaid expansion.

As repealers complain, the marketplace created 89 new accountable care organizations, which were formed in 40 states to deliver more cost-effective care to more than 1 million people by July 1.

With great fanfare, House Republicans held a hearing earlier this month to profile how health reform interferes with patient care. There's one problem: They are unable to feature the leading voices of patient care -- the American Medical Association and American Hospital Association -- because those organizations support reform as good for patients.

And then, of course, we have the voters. Only about a fifth push for full repeal. And many Americans, including rank-and-file Republicans, support new protections against insurers who turn away customers with pre-existing conditions or terminate policies when the costs of care pass annual limits.

Even if Republicans won the White House and congressional majorities in November, the frustrating legislative trapdoors that slowed and nearly killed health reform in 2009 and 2010 will likely remain hurdles to repeal. The reluctance of stakeholders, states and voters will stir consternation, delay and deadlock. The growing talk among Republicans of what would replace "repeal" is an early indicator of the changes afoot.

Republican Senate Majority Leader Mitch McConnell recently offered a dose of reality to calm repeal fever when he counseled that "it's a lot harder to undo something than it is to stop it in the first place."

Mitt Romney's position may be the most revealing.

Against driving hailstorms from those favoring repeal, he has continued to support his reform in Massachusetts because he knows where stakeholders stand. While he won't force states to implement his or the national reforms (he says he'd like to repeal the Affordable Care Act), his continued support for the Massachusetts reform will make it very difficult for him to deny other states the same opportunity that President George W. Bush gave him.

Reform of America's health care system is under way, reconfiguring how care is provided and paid for. It is time to shift from symbolism and theatrics to the details of improving the transition that is occurring.

The opinions expressed in this commentary are solely those of Joel Ario and Lawrence R. Jacobs.

@highlight

Joel Ario, Lawrence Jacobs: Cost of repealing health care reform will increase deficits

@highlight

Key stakeholders are starting to build the new health market place, they say

@highlight

States, medical providers, businesses, insurers and consumers embrace reform

@highlight

Ario, Jacobs: It's time to put aside politics and embrace the new health care system