Grass Valley, California (CNN) -- In the foothills of California's Sierra Nevada mountains, artists are partnering with doctors and scientists to create life-changing products.

In a small strip of commercial buildings in this town northeast of Sacramento, you'll find Farlow's Scientific Glassblowing. The modest lobby opens up into a pristine production lab filled with skilled glassblowers, blue-flaming torches and dazzling glass models of the human heart, brain and vascular system.

"It's science, and it's art," said Wade Martindale, Farlow's production manager.

Farlow's Scientific Glassblowing makes the glass organs and vascular models used by medical-device manufacturers in preliminary testing to determine whether their products will work in real-life situations.

For example, a medical company could request a glass model be built to spec for testing a new heart-valve catheter. Farlow's glassblowing team would then create a heart connected to a vascular system connected to a custom opening in the femoral artery of the leg. The company then uses that model for research and development to test catheter deployment.

"A lot of these models are FDA approved for these companies so that they can use it as a true proving ground to get to the next level of testing," Martindale told CNN.

When CNN visited the shop, Martindale was working on one of his more remarkable pieces -- what he calls a "demonstrator heart model." He uses CT scans, medical illustrations and even casts taken from cadavers to create an anatomically precise model of the human heart. Each component of the model is made by hand to customer specifications.

"Sometimes doctors want an aneurysm in them, sometimes they want diseased hearts," Martindale said as he spun molten glass. "So each one is unique."

The glass hearts also have educational value. Cardiologists can connect the models to a water pump to simulate blood flow. And medical students use the glass tubes to practice catheter or stent placement.

Although demand from the science and medical industry can fluctuate, Martindale says Farlow's Scientific Glassblowing has shown steady growth.

"We ship all over the world from Japan to Europe to India," he says, "so we have been able to expand into global (markets) instead of regional."

The now-international company has humble roots.

Gary Farlow, the company's founder, started glassblowing more than 30 years ago in the San Francisco Bay area. Like many artists, he started out making simple glass toys and figurines to sell at malls. Farlow quickly realized there wasn't a lot of money to be made in glass art, so he focused on scientific glassware.

"Gary always had grand ideas, he was always one to push the envelope," says Martindale, who is Farlow's nephew. "He was never satisfied with small."

Farlow passed away last year, but his legacy as an artist and entrepreneur lives on.

It was after he took a more business-like approach to glassblowing that he caught a big break. A medical manufacturer asked him to make angioplasty balloon molds out of glass. Farlow's Scientific Glassblowing was born.

"The 'a-ha' moment was when he found out that he could turn a metal part that was made in the medical industry into glass and he could produce it for way cheaper than anyone else," Martindale said. Prices for Farlow's glass organs today start at several hundred dollars.

In 1994, Farlow moved the blossoming business from the Bay area to Grass Valley, where then 13-year-old Martindale started an apprenticeship.

"After doing four summers with him, I said, 'This is what I love to do. This is a great medium to work in,' " he said.

Later, after graduating college, Martindale joined the company full time. He likes that the work combines creativity with helping advance the state of medical research.

"It's art, it's handcrafted and it's used for something that could potentially save someone's life," he said with a smile, "It makes me feel good that I'm involved in helping people."

Before CNN arrived at the shop, the glassblowing team assembled a full-scale human model named "Mrs. Einstein," or "Mrs. E" for short. The model began with just one piece, the center of the brain. Then the team built out the rest of the brain and added a heart, veins, lungs and vascular components for the arms and legs -- all created by glassblowing.

"This is the collaboration of all the years of making different models and taking all that knowledge and putting it into one cohesive piece of glass," said Martindale.

Yes, pieces of Mrs. E have been broken. And if you're thinking of buying a full-body glass model like Mrs. E for yourself, be prepared to spend around $25,000.

@highlight

A glassblowing shop makes organs used by doctors and medical-device manufacturers

@highlight

Cardiologists can connect glass hearts to a pump that can simulate blood flow

@highlight

Gary Farlow, the company's founder, started out making simple glass toys

@highlight

"It's science, and it's art," says Wade Martindale, the shop's production manager