New York (CNN) -- Forty-two years after a police raid sparked rioting and perhaps the birth of the American gay rights movement, New Yorkers rejoiced at their city's annual pride parade Sunday in celebration of same-sex couples' newly-acquired right to wed.

The parade, or march, meandered along Manhattan's Fifth Avenue and passed in front of the famous Stonewall Inn in Greenwich Village, where the rioting took place in 1969.

Gov. Andrew Cuomo signed a bill into law on Friday that made New York the sixth state to legalize same-sex marriage, more than doubling the number of Americans living in states that permit such unions.

The measure will take effect 30 days after it was signed, on July 24, providing same-sex couples with a slew of new rights that include employer health benefits, easier inheritance and a host of state tax breaks.

Federal recognition, however, was not a part of Friday's vote, leaving benefits like Social Security and ease of immigration largely out of reach for same-sex couples.

Marching with supporters on Sunday, Cuomo told reporters that the country looks to New York as a guide for many of its progressive politics.

"The point of civil rights laws is to protect everybody -- both the people who look like us or who we relate to and the people who don't," said Suzanne Goldberg, a professor at New York's Columbia Law School. "The point of a parade that celebrates gay pride is to make room for all people who identify themselves as gay, lesbian, bisexual and transgender."

The controversial bill passed a Republican-controlled Senate before reaching Cuomo's desk, in an extended legislative session that left many skeptical over whether lawmakers would bring the measure to a vote.

Its passage also sparked sharp criticism from opposition lawmakers, who warned of potential lawsuits against religious institutions -- a question that delayed deliberations and ultimately resulted in an amendment to the bill to protect religious groups from litigation.

Religious leaders also cautioned against the wider implications of redefining the legal parameters of marriage.

"We worry that both marriage and the family will be undermined by this tragic presumption of government in passing this legislation that attempts to redefine these cornerstones of civilization," the state's Catholic bishops said in a joint statement released late Friday. It was signed by Archbishop Timothy M. Dolan and seven other bishops.

Asked what his message was for the gay community, Dolan said Sunday morning, "I tell the gay community I love you very much, and every single morning when I say my prayers, I pray for (the) health and happiness of everyone in New York.

"I'm very sorry that our opponents succeeded in reducing this to anti-gay sentiment," he said. "It's not. It's pro-marriage, it's not anti-gay."

But, he said, there was "sadness and disappointment" when the bill passed.

"We as Catholics would oppose any attempt by anybody to redefine marriage," Dolan said. "We don't believe marriage can be changed or radically altered to accommodate any lifestyle. If anything I've said would lead you to believe I have nothing but love and respect, then I apologize."

The bill passed by a narrow 33-29 vote -- a first for a GOP-led state Senate.

Meanwhile, those in attendance for Sunday's parade were largely one-sided in their perspective.

"I think it's better because there should be equality," said Katie Worral, 17, who was visiting New York from Liverpool, England. "At the end of the day, we're all human beings."

"I think it's awesome," said Robin Rosser, 49, who traveled to New York from Union, New Jersey, for the parade. "This is number six and there will be many more to come."

"It's a total breakthrough," said Kathryn Flowers, 22, of Queens, New York, who stood beside her partner as they cheered on marchers. "There's so many people who have been together for years. It's about time they get married."

Asked whether she and her partner will marry, Flowers said, "Anything's possible now."

Others traveled from abroad to attend Sunday's events.

"This is hugely important," said Jorge Perez, 44, who traveled from Costa Rica specifically to watch the city's annual parade. "It's good to see a big state like New York finally get this sort of thing into law."

Whether or not Friday's vote reflects new momentum and the national model that Cuomo projects, it seemed that many still had a lot to cheer about during the city's annual parade.

CNN's Miguel Susana contributed to this report.

@highlight

Archbishop says his opposition to the bill is "pro-marriage," not "anti-gay"

@highlight

Some travel from abroad specifically for the parade

@highlight

The parade is a celebration of the legalization of same-sex marriage

@highlight

New York is the sixth such state to allow such unions