PHOENIX, Arizona (CNN) -- Thirty-year-old Lisa Locascio is walking through what she hopes will soon be her new living room.

Lisa Locascio is trying to buy her first home with help from the federal Neighborhood Stabilization Program.

"The carpet's clearly trashed, but that's going to get ripped out," she says.

She's excited to become a first-time homebuyer and has been shopping exclusively for foreclosed homes in the Phoenix, Arizona, area for several weeks now.

"It's the American dream," Locascio says of home ownership, and she's just zeroed in on the one she wants to be hers. She has a bid in and is waiting to hear on her offer.

Financially strapped prospective buyers like Locascio have discovered hope in the Neighborhood Stabilization Program, a year-old federal program designed to help stabilize communities decimated by foreclosures and abandonment. Families and individuals who qualify can get a loan of up to $15,000 to cover down payment and closing costs of foreclosed homes. The amount varies by region, but can amount to tens of thousands of dollars.

Congress approved the nationwide program in July 2008, pumping a total of $3.92 billion into the hardest-hit communities. Almost $2 billion more was allocated in May.

A total of $121 million in funding arrived in Arizona in April, and the Phoenix area received the largest cut, approximately $39.4 million.

Program watch dogs are keeping their eyes on states like Arizona to see how the money will be spent and whether it will make a difference.

Arizona had the fourth highest rate of new foreclosures in May, according to Realty Trac.

With such a high foreclosure rate, the funds allocated to Arizona, and in particular the Phoenix area, were significant.

However, not one home in Phoenix has been purchased using the NSP funds despite hundreds of applications. People are still trying to navigate an unfamiliar process, housing experts in Phoenix say.

Locascio would be thrilled to be the first person to close on a home. She is single and works as a project manager at a Scottsdale asset management company. However, she currently has no savings. After recently providing financial assistance to a relative -- a move that depleted her bank account -- Locascio admits she never thought she'd be able to afford a home of her own any time soon. She's unable to meet the 3.5 percent down payment required for the most affordable government-backed home loans; therefore, she had resigned herself to paying rent until she was able to recoup her savings.

That's when a friend, Lance Connolly, a Phoenix Realtor, told Locascio of the Neighborhood Stabilization Program.

"My Realtor filled me in on it, and then I did some research on it and decided that would probably be the best route to take," Locascio says. The program is limited to applicants with incomes between $55,350 and $104,400, depending on family size, according to the U.S. Department of Housing and Urban Development. The income limits vary from region to region.

Applicants must also complete eight hours of financial counseling and courses in budgeting and home ownership, and be able to invest $1,000 of their own money. Under the Neighborhood Stabilization Program, HUD requires the lender to give buyers a 15% discount below the appraised value and the loan must be paid back in full when the homeowner sells the home or refinances. Lenders are not required, however, to accept a discounted offer.

Once approved for the maximum loan, Locascio wasted little time in locating and bidding on a property she liked. Although Locascio's bid was $30,000 less than the listing price, offers like hers are common in the Phoenix area. On any given day in 2009, real estate listings can show more than 25,000 foreclosed single family homes available.

Locascio said, "I'd be disappointed" if the bank turned down her offer.

Locascio has good credit, and so she qualified for a $275,000 fixed-rate mortgage using the approved federal funds. She believes taking the mandated classes taught her the importance of personal affordability. "I liked the programs, the counseling and things like that that teach you not to live outside your means... I don't want to be house poor," Locascio said.

Under the scenario of her bid, Locascio would only have to come up with about $1,500 on her own for earnest money and appraisal costs. If approved, her monthly mortgage payment would actually be $180 less than what she is paying to rent for a two-bedroom, 900-square foot apartment.

Connolly has been in the Phoenix real estate market for about nine years and has seen the disastrous real estate downturn up close. He hopes to soon see more clients using NSP funding.

"It's just kind of coming out now that people are understanding it's there. I don't think they have done a very big promotion... put it on billboards or anything like that to say, 'Hey, this is available to you,'" Connolly said. Until now, Connolly said, Internet-savvy house hunters have had to discover the program on their own.

Experts want to caution those who think the Neighborhood Stabilization Program will solve Phoenix's devastated real estate market.

John Smith, president of Mesa, Arizona-based Housing Our Communities, a nonprofit that helps people find affordable housing, says that won't happen.

"We have to identify those goals, those strategies and those resources that are going to make a difference," he says. "This is not, in and of itself, going to do that."

He compares the program to a Band-Aid, cautioning, "It is only one tool ... we're going to have to find some other solutions to stabilize these communities."

Communities are visibly ailing all across the area, with some of the hardest-hit neighborhoods nearly abandoned by foreclosures. Homes are boarded up and weeds cover the "For Sale" and "For Rent" signs in thousands of yards.

"It's overwhelming when you look at the numbers," Smith said, noting that Phoenix still records roughly 8,000 new foreclosure notices every month.

Smith estimates the loan program will probably help only about 1,000 families acquire homes across the Phoenix metro area.

Nonprofit housing assistance programs such as Smith's are available in many cities across the country to educate and counsel prospective home buyers and inform them of available assistance. However, Smith cautions it's not just about quick ownership.

"We just don't want houses to be bought and sold. We want families to invest and develop affordable, sustainable home ownership throughout the community." Smith urges patience and warns it will take full cooperation for all sectors to turn the housing crisis around.

"We have to encourage the private sector, the banking industry, the mortgage industry to also get involved and provide product that makes it possible for families to buy houses. It all can't be federal money," Smith said.

Less than 24 hours after submitting her bid, Locascio received a call from the bank. After watching the property sit foreclosed and idle on the market for almost two months, she was informed that someone else beat her bid by only a few hours. Despite the funding assistance, Locascio quickly learned there are no assurances or guarantees in the federally funded home buying process. She later found two more places she likes and placed bids on them.

She hopes one of the banks will come through quickly and make her a new homeowner, the first to use funds from the Neighborhood Stabilization Program.

@highlight

Arizona has one of the highest foreclosure rates in the country

@highlight

Federal program makes funds available to first-time homebuyers

@highlight

Experts unsure if many applicants can be helped

@highlight

No money has yet been used to help purchase homes