(CNN) -- When Karl-Heinz Rummenigge speaks, you listen.

And his advice, if you want to be the best club in the world, is: Never, ever sell your best players.

"I believe a very important point in our history came in 2008," Rummenigge, a legend in German football and executive board chairman of the all-conquering Bayern Munich, told CNN.

"We received big offers from England and Spain for the transfer of Franck Ribery to big clubs and we decided not to accept," added the 58-year-old, referring to an official bid from Chelsea and an inquiry from Real Madrid for the player who had cost Bayern $40 million in 2007.

"That was very important. I believe because from that point onwards all clubs in Europe understood that Bayern Munich was not a selling club. It's a buying club and that's it."

Rummenigge is all too conscious that it could have been so very different for his beloved Bayern, where he spent the first decade of his senior playing career and won numerous honors.

Back in 2004, the Bavarians finished second in the German Bundesliga behind Werder Bremen and were knocked out of the UEFA Champions League in the last-16 by Real Madrid.

Not since 2001 had Bayern lifted Europe's most coveted trophy, as teams from the English Premier League, Italy's Serie A and Spain's La Liga dominated.

For a club that enjoyed such glorious years in European Cup football between 1974-76, winning the title on three consecutive occasions, the prospect of being left behind by the continent's elite was frightening.

Rummenigge -- who played in the 1976 success and was an unused substitute in the previous year's final -- was all too aware of Bayern's precarious position.

It wasn't just the interest other more avaricious clubs had in Bayern's leading players; the new money flooding into European football also potentially threatened the Germans' status.

"About 10 years ago I thought we had no chance when gentlemen from Russia and from the Arab countries came into the business," said Rummenigge, referring to the various takeovers of major European clubs by Middle East groups and also Roman Abramovich's investment in England's Chelsea.

"Then we found a very good philosophy at the club -- being a bit patient, and buying good players.

"The story began in 2007 when we bought Ribery, Luca Toni ... and we continue this story to today."

A buying club indeed -- Bayern has become a European power to rival Barcelona and Real Madrid by attracting some of the world's top players.

That it is able to do so owes much to the commercial model Rummenigge has created along with club president Uli Hoeness.

Helped by the presence of so many of its great players on the board, Bayern is a club which understands not just what happens on the pitch, but off it too.

According to the Deloitte money report, Bayern is the third richest club in the world, with its revenue growing by 17% over the past year to $592 million.

It is the first time in 11 years that Bayern has been in the top three of the Money League and comes following a Champions League triumph from which it gained a 31% increase in broadcast revenue.

Its average home attendances of 71,000 led to matchday revenue of $4.6 million -- more than any other Bundesliga club and less than only four others in Europe.

Commercial revenue, merchandise, sponsorship and advertising have all increased markedly, while deals with partners have also boosted the coffers.

Extensions to deals with Coca-Cola and Lufthansa, on top of the club's longstanding partnerships with Adidas and Allianz, which holds the naming rights to the stadium, have put Bayern miles ahead of its domestic rivals.

That is part of the reason why it has been able to raid the likes of Borussia Dortmund for talents such as Mario Gotze, who joined at the start of this season, and Robert Lewandowski, who will arrive in Munich when it finishes.

"That is not our will," Rummenigge says when asked about poaching from rival clubs.

"Our will is where you find the best players in the German Bundesliga. In England it's not different that the big clubs like Chelsea, Manchester United are interested especially in players from Arsenal, from Liverpool and so on. I believe that is the normality of the business."

Such is the talent at Bayern that Pep Guardiola, who took over from treble-winning coach Jupp Heynckes at the end of last season, was able to name Germany internationals such as Bastian Schweinsteiger and Thomas Muller as substitutes for last week's 2-0 win at Arsenal in the Champions League.

Already 19 points clear at the top of the Bundesliga, unbeaten in 47 league games, Bayern looks set to win a record 24th championship without much hassle.

Sunday's 4-0 victory over Hannover -- its 14th successive league win -- means only an absolute disaster can prevent Bayern from coasting to a successful title defense, making Dortmund's two-season reign seem long ago.

Even more impressive is that Bayern's fans can enjoy this success while paying prices which English Premier League counterparts could only dream of.

Bayern's 225,000 members hold an 82% share of the club, and Rumenigge has made football accessible to all supporters with some season tickets available for just over $200.

Indeed, the low-cost deals offered by all Bundesliga teams are the envy of many within the European game.

Bayern, the 2013 Club World Cup champion, is seeking to extend its dominance and will reportedly open the club's first overseas office in New York from April 1 to help break into the North American market.

Guardiola's team will begin a U.S. tour in late July, including a match against the Major League Soccer All-Star lineup.

Under the guidance of the Spaniard, the possibilities appear endless for Bayern -- a heavy favorite to become the first team to retain the European title since the advent of the Champions League in 1992.

It makes Bayern's acquisition of the former Barcelona coach even more frightening for those who are trying to compete within the same sphere.

"From the very first meeting, I had a feeling that he was something special," Rummenigge said of Guardiola.

"He's different. Obsessed by football in a very, very nice and good way. When I talked to our players six months ago they said this guy doesn't stop our success story. This guy brings us ahead."

If they move any further ahead, then the others will only look on with fear.

@highlight

Bayern Munich chairman Karl-Heinz Rummenigge opens up to CNN

@highlight

Reveals his fears that German team would slip from football elite

@highlight

He says club's refusal to sell Franck Ribery was pivotal moment

@highlight

Bayern on course for record 24th Bundesliga title and European defense