(CNN) -- If you were to ask a group of Quakers or Mennonites whether it's OK for police or soldiers to use rubber bullets against rock-throwing children, you wouldn't be surprised if they said, "Absolutely not!" They are well-known for their commitment to pacifism.

But what if you were to put the question this way: "When soldiers are firing against demonstrators, would it be better if they used rubber bullets rather than metal?"

"Obviously it is," they would probably say, "But they shouldn't be firing at all in the first place!"

The Roman Catholic Church is well-known for having its own issues with rubber. The answer it traditionally gives to the use of condoms -- an answer that mystifies and outrages so many people, particularly in this age of HIV/AIDS -- is "absolutely not!"

So it caused quite a stir in a book-length interview published last week in which Pope Benedict XVI seemed to give a different answer. He stood by his position that condom distribution was not the answer to the AIDS epidemic, which could only really be dealt with by fidelity in marriage and chastity outside of it.

However, he surprised many people by acknowledging that were a prostitute to use a condom to prevent infection, that should be seen as a step toward greater moral responsibility.

But this different answer is not a sudden change of mind on the part of the Catholic hierarchy. It is the answer to a different question.

The pope was not asking himself whether it's OK to use condoms.

He was addressing the following question: "If someone has already decided to have sex outside a married relationship (perhaps even outside a heterosexual relationship), is it better to do it with or without a condom?"

It's obviously better to do it with a condom because, as the pope pointed out, the person is obliged in that situation not to risk infecting a partner or being infected.

If the intercourse is heterosexual, the person is further obliged not to risk conceiving a child that will not be brought up in a stable family and might not see the light of day at all.

Though the Roman Catholic Church has always been clear in its position on the immorality of intercourse outside of marriage, Pope Benedict has done us all a favor by observing publicly that the use of a condom in such circumstances can be understood as a sign of a burgeoning moral awareness.

It is this issue of responsibility that has always been the sticking point.

People have presumed that in its condemnation of condom use, the Catholic Church is somehow encouraging irresponsible, unprotected sex. But in fact it's been discouraging everything except faithful monogamous sex.

Its teaching about artificial contraception has only ever been about marriage; it has never had anything to do with any other kind of sexual activity.

Intercourse between husband and wife should always be open to conceiving new life; therefore, contraception was considered wrong because it was seriously unnatural. The problem is that all condom use came to be thought of as absolutely wrong, not just wrong in marriage.

If using condoms were absolutely wrong, then it must be wrong for gay men to use them, too. If it were absolutely wrong, then it must be wrong for fornicating teens to use condoms, too. A disastrous misunderstanding!

However, church authorities have usually avoided the more complex explanations -- no "maybe," no "in certain conditions." That's because they believe that the public just wants a simple "yes" or "no" -- and preferably a "yes." They fear that anything other than an absolute "no" will be interpreted as an absolute "yes." And, it should be added, they have unjustly censured highly qualified moral theologians who have dared to say "maybe."

That a pope has now introduced a "maybe" has evoked a flustered reaction. Official clarifications are given that then need further explanation. Churchmen argue over whether what he said is anything new, whether it represents a major policy change or whether it is just really the same old line.

In many respects, it is an old line. But the old line was never the simple "no" it has so long been thought to be. The Catholic moral tradition has always been much more sophisticated than that.

The pope's statement only seems new. Since the 1968 encyclical letter Humanae Vitae, which reaffirmed the teaching that artificial means of contraception was not acceptable in a marriage, Rome has been trying to hold the line by refusing to deal with "what if ..." and "perhaps."

In the Catholic tradition, it has always been assumed that those inevitable questions would be dealt with in private conversation between priests and people. Yet for many, that big public "no" made them hesitate to engage in such conversations, and the Catholic Church has not shown itself adept at handling the public debate about condoms and HIV.

When the pope commented during his African journey last year that condoms were not the solution to AIDS in Africa, he was seen to be just giving the same old knee-jerk Catholic moral response, so out of touch with reality.

Yet his comment was based on other observations of a social and scientific nature, and it is to this that he returned briefly in the interview which has caused such a stir.

He acknowledges something that has been obvious all along in the Catholic tradition: It is rare to find a moral question that is a simple issue of "yes" or "no," so we need to learn moral reasoning and responsibility, not just blind obedience.

The opinions expressed in this commentary are solely those of Dan Madigan.

@highlight

Dan Madigan says Catholic church has long had an answer on condom use: "Absolutely not"

@highlight

He says pope surprised by saying prostitutes' condom use more morally responsible

@highlight

Church teaches: No sex outside marriage, no condoms; new comments aim at unmarried sex

@highlight

Madigan: Pope's comments reflect a more sophisticated strain of Catholic moral tradition