(CNN) -- The last time you went to the doctor's office, you probably got some numbers representing your pulse, blood pressure, maybe even cholesterol and weight. But what does that really mean for you?

Alexander Tsiaras, founder of theVisualMD, wants you to be able to see the processes that are making you as healthy or as sick as you are and act on that knowledge. TheVisualMD has detailed, colorful libraries that visualize aspects of sickness and health based on real medical data, and it is now presenting a new tool for breaking bad habits in 2012.

The new program, which launched this week, is called "The 9 Visual Rules of Wellness." Each rule is accompanied by a slew of videos, visualizations and interactive graphics. More components of wellness rules will be rolled out every Monday over the next several months until April 9.

"If I could see inside myself the healing, and I could see the progress of it, that is inspiring, and that would keep you on the path of following your pathway back to health," Tsiaras said. "That's where I think the power of visualization stands."

Tsiaras developed the wellness rules program in collaboration with mind-body healing guru Dr. Deepak Chopra.

"When you add a story to data , you give it soul," Chopra said in an e-mail to CNN. "[We] worked together to see how we can inspire people to take charge of their well being and feel emotionally committed to it. This is the future of well being."

TheVisualMD aims to have companies sponsor all of the rules. The rule's sponsor is Quest Diagnostics.

The first rule is called Baseline Your Health. That means knowing where you are in terms of measures like blood pressure, pulse, weight, blood counts and cholesterol levels. When these indicators are out of whack, they can lead to poor health.

To understand what these tests at the doctor's office measure, you can look through the Biomarker Library, which shows you visually what these measurements mean to your body. The library explains what value ranges mean and what problems may stem from abnormal values.

Besides detailed graphics and videos, the site features chapters on things like how to keep your blood pressure healthy -- manage your stress, lose weight, get enough sleep and don't smoke.

Subsequent wellness rules are meant to help define your wellness mission, develop and maintain nutritional balance, get aerobic and anaerobic exercise, avoid smoking, take a moderate approach, make sleep a priority, manage your stress and embrace joy.

The website also will launch a personal health record feature, where you can keep track of your own health indicators and create a sort of health narrative of your life, Tsiaras said.

There are generally four types of people who will use the 9 Rules of Wellness, Tsiaras said: There's the great athlete who wants to get in even better shape. There's the person who's well and wants to stay that way. There's the person who already has high cholesterol, or needs a stent or has to take control of health in order to not get worse. And then there's the person who has had chemotherapy or a severe surgery and needs to get on a wellness program in a specific way.

Breaking bad habits is one fundamental goal of the program. Tsiaras remembers he used to go home and run every evening, but after starting a family and a company, the pressures of being a good husband, father, pet owner and boss turned that run into a glass of wine. Then a second glass of wine, and a third. It turned into 10 pounds within a couple of years. His brain became accustomed to having that wine, to the point where the day was not complete without it.

"One of the problems is that we have now demanded too much of wellness," Tsiaras said. "It's almost impossible to be well and to be accomplished in the Western world."

The key to kicking a habit like this is taking small steps, Tsiaras said. Replace the behavior -- such as the wine -- with a run or a stretch. And he's not saying you can't indulge every now and then. For instance, if you're exercising and controlling stress and love chocolate, it's fine to have a piece of chocolate.

"It's when you have the bar of chocolate, and you're becoming sluggish, you're feeling tight, and you feel like you're aging, then you sort of have to go back and look at the size of the piece of chocolate," he said.

Like the biological systems he studies, Tsiaras' personal story is intricate and complex. Despite attending schools such as the prestigious Amherst College, he did not graduate from college. At 19, he went to his parents' village in Greece and spent a year herding goats on the Macedonian-Albanian border. He wrote a book on ancient funeral and exhumation ceremonies called "Death Rituals of Rural Greece."

"When I came back I wanted to find for my artwork that kind of drama," he said. "I found it in the X-ray files of teaching hospitals."

Tsiaras became inspired by seemingly mundane black-and-white medical scans from the lab of his brother, an ophthalmologist. His photography of medical procedures became featured in LIFE magazine.

To take his ideas to the next level, Tsiaras needed to be able to communicate with people in a wide range of disciplines and then bring those ideas together.

He taught himself advanced mathematics and physics and, later, computer languages. He designed a lens for a microscope responsible for photographing the first images of human eggs in an in vitro fertilization program. A photograph of a fetus from outside the amniotic sac came about because of a lens he designed.

And he started the company Anatomical Travelogue, the umbrella of theVisualMD. Despite not having a formal medical education, Tsiaras has been able to showcase biological systems as never before. What he calls "visualizations" are not photos or animations, but rather the result of a collaboration between illustrators, biologists, programmers and researchers working with raw data. Through their expertise, numbers and static black-and-white scans come to life.

Tsiaras and Chopra met at the TEDMED conference in 2009, right after Tsiaras showed a film about fetal development.

"As soon as I hit the bottom stairs, there was Deepak Chopra there saying, 'Only you can visualize consciousness,'" Tsiaras remembers. "I had no idea what he was talking about."

But the two got to talking about mind-body connections, and the value of CT and MRI scans in visualizing them. They got to thinking about what happens in the brain not only when you're stressed out, but also when you're feeling joy. What happens if you're a good parent and nurture your child? We hear so much about things going wrong in your body -- what happens when you do something right? These are some questions that they were interested in tackling together. And the last rule of wellness is, of course, "embrace Joy."

Tsiaras is often amazed as he sees how data can be transformed into meaningful visualizations that showcase processes in the body. At a certain point, he says, it becomes personal. For instance, while studying the effects of some experimental Alzheimer's drugs on beta-amyloid plaques associated with the disease, he found out his mother has the disease.

"The only thing you can do is get up in the morning and say, I've got this very powerful data that if I can illuminate it to the point and interpret it to the point where I can help a researcher come to an epiphany because of the clarity of the information about what we're actually seeing, then I've done something good for my mother," he said.

@highlight

TheVisualMD has launched '9 Rules of Wellness'

@highlight

The first rule: Know where you're starting from

@highlight

Nutrition, exercise, sleep, stress and joy are other topics

@highlight

The website makes use of visualizations, which bring medical data to life