(CNN) -- As the world celebrates the long-awaited addition to the British royal family, it is worth taking some time to reflect on the women around the world for whom childbirth is not such a joyous, beautiful and celebrated occasion.

Every year in sub-Saharan Africa, 162,000 mothers die needlessly because of complications during pregnancy and childbirth. That figure represents a staggering 56% of the global total. For an African woman, one of the most natural of events in a woman's life -- giving birth -- is also one of the most dangerous. As a result, each year close to 1 million African children are left motherless.

Many of these deaths are avoidable, but not enough is being done to prevent them. Since the turn of the last century, maternal mortality rates worldwide have been in decline but remain high in developing countries, including many African nations. For these maternal death rates to improve in Africa, governments and international institutions must recognize and introduce policies that tackle the challenges faced by African women in accessing effective reproductive healthcare.

Read this: Starting a revolution for teen mothers

Whilst sub-Saharan Africa has seen a decrease in maternal mortality rates over the past 20 years, there is still a long way to go if the region is to meet its Millennium Development Goals. This is largely due to a failure to address political, socio-cultural and financial challenges. There has been slow progress in meeting the 2001 Abuja Declaration, in which countries pledged to assign 15% of their national budgets towards healthcare. This is compounded by deficits within the health ministries for numerous countries resulting in inadequate funding for maternal services.

Run down resources

With limited investment in health resources, many women in sub-Saharan Africa cannot access an adequate healthcare unit during pregnancy and childbirth. Many cannot access one at all, and countless women are forced to walk miles to their nearest health center.

Without transportation most women give birth at home or on the way to hospital, a journey on which too many will suffer fatal complications. For women in many rural communities, the norm is for a traditional birth attendant (TBA) to assist the delivery instead of making the trip. TBAs often have no formal training and deliver without sterilized equipment, if any, causing yet more risks for mother and baby.

Read this: 'Give African women a voice'

However, even if a woman does make it to a hospital, she is likely to find herself in one so under-resourced that soon-to-be mothers have to sleep on the floor following delivery because beds are in such short supply.

Women often have to arrive armed with basic resources such as paraffin to light lamps in the event that they go into labor at night. Without paraffin and power, midwives such as Uganda's Esther Madudu, who is also the face of the African Medical and Research Foundation (AMREF)'s Stand up for African Mothers global campaign, have to conduct deliveries using the light from their mobile phones and plastic bags over their hands as gloves.

"There is so much work to do"

Esther's health center is located in the Soroti district in rural Uganda and serves a community of 37,000 people. She works tirelessly round the clock to assist mothers in deliveries, as well as trying to offer antenatal and postnatal care. But coping with the demand is tough.

She says there are occasions when she must travel long distances to reach mothers-to-be who cannot reach a health center -- sometimes arriving after they have given birth. Her own health center has just two midwives. "There is so much work to do and yet there are only a few of us. We are forced to work day and night," she says.

Read this: African midwife, Nobel Peace Prize?

And Esther's story is sadly not unique. Many health units are overstretched. With no doctors and few qualified midwives, most hospitals and health units cannot accommodate the women that do manage to reach a healthcare facility. Low pay and difficult working conditions lead to frustration within the existing workforce, which in turn leads to mismanagement of patients. Women testify that they are mistreated in hospitals and this is just one more reality that encourages them to give birth at home.

Lack of information

For the majority of Western mums-to-be, the months leading up to the big day are full of scheduled antenatal appointments, classes and ultrasounds. The nine months of waiting and expecting are crammed full of information on how best to care for the growing life. Pregnancy and childbirth becomes the hot topic of discussion. And, it doesn't end when the baby arrives; postnatal care is a core part of midwives' duties in the West.

For many women in Africa, an astounding lack of information means they simply do not see or understand the reasons for attending antenatal and postnatal health services, let alone see the value added by giving birth at a health center. Moreover, the absence of information has hampered initiatives designed to prevent mother-to-child infections, as well as immunization.

Read this: Flying doctor takes to the skies

It's for all these reasons that AMREF launched its Stand Up for African Mothers Campaign, which aims to train 15,000 midwives by 2015 because, as AMREF asserts, midwives save lives. Increasing the number of trained midwives will mean more than seven million mothers annually will be cared for and informed, which means many more children will be raised in the arms of their mothers.

The joyful birth of the Duke and Duchess of Cambridge's baby is a wondrous occasion, an everyday miracle that deserves to be commemorated and honored. But whilst we celebrate the arrival of a royal newborn, perhaps we should also spare a thought for those 440 women across sub-Saharan Africa who will lose their lives today simply giving birth.

The opinions expressed in this commentary are solely those of Steve Murigi.

@highlight

For many African women, giving birth is a dangerous process

@highlight

440 women in sub-Saharan Africa die giving birth every day

@highlight

Many African women cannot access adequate care during pregnancy, says campaigner