Beijing (CNN) -- Mo Yan's Nobel Prize in literature appears to be a nod to the hungry literary tastes in modern China and could help spark more freedom, activists say.

The beloved Chinese author -- whose pen name means "not talking" -- has captivated his countrymen by intertwining fantasy and gritty everyday life.

The Royal Swedish Academy of Sciences awarded Mo the prestigious prize Thursday, praising the way the author's "hallucinatory realism merges folk tales, history and the contemporary."

Mo plies his trade in a country where running afoul of party lines could lead to censorship. His work packs a punch but he walks a fine line. He is considered a writer within the system and even has embraced official restrictions on writing.

He's a Communist Party member and was elected to a vice-chairman spot in the state-sanctioned China Writers Association.

State media reported Mo's victory immediately after the announcement -- a sharp contrast to Chinese dissident's Liu Xiabo's win of the Nobel Peace Prize two years ago, when international news coverage was blacked out.

"I think this comes at a really important time for Chinese literature. China is an extremely literate and energetic society. The bookstores are full. There's a lot of interesting writing going on now," said Larry Siems of Pen American Center -- which promotes literary freedom and free exchange of literature around the world.

Mo, Siems said, is one of the most notable writers to come out of a system that's been "a rigid combination of patronage and censorship." Mo has produced compelling literature as he navigated that line, he said, but many in China think the author has been too "reticent" on some topics.

Siems said the award is "a really good thing for Chinese literature."

"I think in some ways, the award may be recognizing the fact that there's lively literature happening in China and I hope this stimulates people to read Chinese writers, not only Mo Yan," he added.

Patrick Poon, executive secretary of the independent Chinese Pen Center, said Mo is famous for the book on the country's policy that restricts couples -- with few exceptions -- to having one child.

Poon called Mo "one of the most influential" contemporary writers and a "good writer." However, he said, there are better and bolder writers who didn't get a Nobel. He said he senses that the award appears to be a recognition of -- or trying to please -- the Chinese government.

"I don't think it's a very wrong decision to give it to Mo Yan," he said. But "we can't understand it."

However, Poon said, now that Mo won the prize, maybe he can ask the Chinese government to free the more than three dozen or so imprisoned writers in the country.

"He should have this responsibility," Poon said.

Mo was born in Gaomi in Shandong province into a family of farmers in 1955 as Guan Moye. He joined the People's Liberation Army as a young man and began his career, becoming, according to literary magazine Granta, one of the country's "most celebrated and widely translated writers."

"He's an earnest and pragmatic person," his brother said, according to news reports before the award was announced. "I hope he will continue writing earnestly and create more literary work enjoyed by the masses."

Mo told local media in 2003 that his pen name is a word play on his original middle name, but also a reminder to himself that he should talk less and write more.

The author sets his novels in a community based on his hometown. Granta asked him in a recent interview if he has been influenced by other writers, such as American novelist William Faulkner, who set many of his stories in one specific fictional county in Mississippi.

"When I first started writing it was the year of 1981, so I didn't read any books by Marquez or Faulkner," he said, referring to Colombian novelist Gabriel Garcia Marquez.

"It was 1984 when I first read their works and undoubtedly those two writers have great influence on my creations. I found that my life experience is quite similar to theirs, but I only discovered this later on. If I had read their works sooner I would have already accomplished a masterpiece like they did."

His novel "Frog" explores China's one-child policy, designed for population control.

He poignantly explored the traditional Chinese preference for boys over girls, which stems from the perception that boys are more able to provide for the family and carry on the family line.

That tendency has fed the practice of aborting female fetuses or abandoning infant girls, which continues today in rural parts of China.

"Frog traces the life of a midwife who witnesses forced late-term abortions, forced sterilization and other horrors, and it does so whimsically â€” in the form of four letters and a play. The midwife's struggle to reconcile her conflicting loyalties to party, family and patients forms the backbone of the narrative, which Mo Yan says had been percolating in his head since the early 1980s," a Time magazine story said.

Read more: Nobel Peace Prize winner rips into fellow laureate over corruption

Mo recently won China's prestigious Mao Dun literary award -- a potential indication that China has become more open to talking about the issue.

He also is famous for his novels "Red Sorghum," a story that takes place during the Japanese occupation of China during World War II, and "Big Breasts and Wide Hips," described as an epic about women. He was asked by Granta if he considers himself a feminist or if he is "simply drawn to write from a female perspective."

"First of all, I admire and respect women. I think they are very noble and their life experience and the hardship a woman can endure is always much greater than a man. When we encounter great disasters, women are always more brave than men -- I think because they have their due capacity, they are also mothers.

"The strength that this brings is something we can't imagine. In my books I try to put myself in the shoes of women, I try to understand and interpret this world from the perspective of women. But the bottom line is I am not a woman: I'm a male writer. And the world I interpreted in my books as if I were a woman, might not be well received by women themselves but that is not something I can do anything about. I love and admire women, but nonetheless I am a man," he said.

Mo told Time that he doesn't worry about censorship when deciding what to write. He told the magazine that the "inability to attack some topics head on is actually an advantage."

"There are certain restrictions on writing in every country," he said. "One of the biggest problems in literature is the lack of subtlety. A writer should bury his thoughts deep and convey them through the characters in his novel."

"By placing much of his writing in the past, and through the adroit subtlety of his magic-realist style, Mo Yan avoids stirring up the animosity of the country's ever vigilant censors any more than he needs to," the Time interview said.

After the award was announced, Chinese national pride rippled across the Internet. "China," one commenter said on the Nobel website, "is rising."

Mo himself "was overjoyed and scared," Chinese state media reported, citing a Nobel committee member who informed the author of the prize.

Chinese authorities and many Chinese people regard Mo as the first to win the literature prize. The prize in 2000 went to Chinese writer Gao Xingjian, who was born and educated in China but is now a French citizen.

Read more: Ideas cost Liu Xiaobo his freedom

Favorites for this year's award included American folk singer Bob Dylan, Canadian author Alice Munro, American novelist Philip Roth and Japanese author Haruki Murakami.

Murakami and Dylan were also favorites among bookies last year, but Swedish poet Tomas Transtromer won the million-dollar prize.

Nobel Prize winners: Medicine

Nobel Prize winners: Chemistry

Nobel Prize winners: Physics

CNN's Joe Sterling reported from Atlanta. Steven Jiang reported from Beijing. CNN's Ben Brumfield contributed to this report.

@highlight

NEW: One activist hopes Mo Yan uses his acclaim to fight repression

@highlight

His novel "Frog" explored the traditional Chinese preference for boys over girls

@highlight

Canadian Alice Munro and folk singer Bob Dylan had been mentioned as front-runners

@highlight

Mo recently won China's prestigious Mao Dun literary award