Washington (CNN)Tens of thousands of pro-life activists descended on Washington on Thursday for the annual March for Life, marking the 42nd anniversary of the Supreme Court's Roe v. Wade decision that made abortion legal — by promising to end it.

By the size of the crowds and the enthusiasm of the speakers, it was impossible to tell that just the night before, Republican leaders on Capitol Hill had spiked one of social conservatives' biggest priorities, a bill banning abortion after the 20th week of pregnancy.

The scramble over the bill behind closed doors was the latest in a series of conflicts within the caucus, and again underscored the challenge facing the GOP as they head into a presidential election year: How to expand the party's appeal with untapped demographic groups, while still appeasing their conservative base.

That was the concern raised by Rep. Renee Ellmers, the North Carolina Republican who, along with a group of GOP women and centrists in the party, led the successful effort to get the bill pulled.

"The first vote we take, or the second vote, or the fifth vote, shouldn't be on an issue where we know that millennials—social issues just aren't as important [to them]," she told National Journal last week.

Ellmers and Rep. Jackie Walorski pulled their sponsorships because of concerns over a requirement that rape victims file a police report to get an exemption from the ban.

Other centrist Republicans expressed concerns on Thursday that the party should be focusing on less controversial issues with broader appeal.

"This appeared to be messaging bill, and the message that was being sent was not a very good one," Republican Rep Charlie Dent of Pennsylvania said.

"I would prefer that our party spent less time focusing on these very contentious social issues, because that distracts us from broader economic messages where I think we have much greater appeal to the larger public," he said.

The GOP has long faced significant issues in wooing single female voters and young voters, which contributed to its unexpected loss of the White House in 2012. After that election, an RNC post-mortem report diagnosing the party's problems suggested the GOP "must in fact and deed be inclusive and welcoming" on social issues.

SEE ALSO: House GOP leaders cave on abortion bill

But as centrists in the party look to move away from the abortion issue, they'll run up against fierce opposition from social conservatives, who were calling for revenge against Ellmers and other lawmakers who led the effort to drop the bill.

Marjorie Dannenfelser, president of the pro-life Susan B. Anthony List, told CNN she met with House Majority Leader Kevin McCarthy on Wednesday night and was "shocked and surprised" when she was told they wouldn't be bringing the bill to a floor for a vote.

"No one ever brought up any of these issues. No one ever brought it up in the Senate races where we injected it in the middle of the campaign," she said. "[House Republicans] have managed to really pull [defeat] out of the jaws of victory for sure."

House leadership has told her that the bill will eventually come up for a vote, but gave her no time line. A leadership aide said lawmakers are going to discuss how to move forward with the bill, but it's not clear what's next for it.

Dannenfelser said Ellmers is almost certain to face a primary challenge in 2012.

"My phone does not stop ringing with people asking me, what are we going to do about her next year? I want to stay focused on getting the bill passed — but some people ... there's no protecting some people once they've gone past the tipping point," she said.

Ellmers represents a GOP-leaning district and won her last primary with less than 60% support, so the threat of a challenge in 2016 over the abortion issue is a significant one for her.

But it's less clear how the issue will play out for the GOP as a whole.

This time last year, the RNC passed a resolution urging Republican candidates to speak out on the abortion issue on the campaign trail, and attendees at the event, including RNC Chairman Reince Priebus, said it was a winning issue.

This time around, Priebus was elsewhere, and Republicans made little mention the abortion issue at their winter meeting.

Most of the GOP's likely presidential contenders kept mum on the developments on Capitol Hill. Rick Santorum, who was the favorite of social conservatives during the 2012 race and is contemplating another run, was relatively subdued about leadership pulling the bill.

"I'm disappointed," he said, "but leadership is just doing what good leadership does — which is listen to its members and try to work out a bill that is acceptable to the most within the caucus."

And  few dozen protesters, mostly college students and older activists, gathered outside Ellmers' office after the march to express their frustration with her move. One, Students for Life President Kristan Hawkins, called Ellmers a "coward" for previously supporting a similar bill, before working to block this one.

But asked whether candidates should run on the abortion issue if they hope to appeal to millennials, she demurred.

"Obviously, there are a ton of important issues that millennials care about...but I think they shouldn't shy away from it," she said.

@highlight

At the March for Life on Thursday, thousands of pro-life activists pledged to end abortion

@highlight

The night before, House GOP leadership decided to drop a bill banning abortion at 20 weeks of pregnancy

@highlight

The move reflects the challenge for the GOP heading into 2016, as it tries to expand its appeal