York and Leicester, England (CNN) -- A year ago, historians held their breath as archaeologist Jo Appleby painstakingly dusted centuries of dirt and debris from the curved spine and staved-in skull of a skeleton uncovered under a parking lot in the English city of Leicester.

The story of the long-lost king buried beneath a car park made headlines around the world -- but 12 months on, excitement has given way to anger, as enthusiasts and experts argue over what should happen to Richard III's remains.

The once-missing monarch -- best known as the Shakespearean villain accused of murdering his nephews, the Princes in the Tower, to take the throne -- faces one final battle before he can be left to rest in peace: the increasingly bitter fight over where his bones (minus his feet, lost at some point during the past 500 years) will be interred.

The judge in the case, Mr. Justice Haddon-Cave has even gone so far as to plead with all concerned "to avoid embarking on the (legal) Wars of the Roses, part two," warning that such legal wrangling would be "unseemly, undignified and unedifying," and urging them to call in an independent panel of experts to rule on the burial. The original War of the Roses was a bloody civil war which divided England for decades, and eventually saw Richard's family, the Plantagenets, swept from power.

While the experts who carried out the search for Richard III's remains are keen to see him reinterred in Leicester, others believe it was the medieval king's wish to be buried in York -- the city they claim was closest to his heart.

English rules and regulations governing exhumations should mean that the decision is a straightforward one -- such bodies are usually reburied in the nearest consecrated ground to the archaeological dig site -- but in fact it is proving anything but, with the launch of legal action to try and halt the plans.

Read more: Richard III had worms, scientists say

Those behind the project had always planned for any bodies they uncovered in their search for Leicester's long-lost Greyfriars Friary to be reburied at the city's cathedral, just a stone's throw away from the now-famous car park.

Back then Richard Buckley, lead archaeologist on what he admits to initially thinking of as a "harebrained scheme," told CNN how he had applied for a license to exhume any human remains with the words "In the unlikely event that we find the remains of Richard III..."

But it is this very license that now finds itself at the center of a court battle between the authorities in Leicester and a group calling itself the Plantagenet Alliance, who say more thought should have gone into the reburial.

The Alliance -- made up of people who claim to be distantly related to Richard III, and headed by Stephen Nicolay, his 17th great nephew -- objects to the lack of consultation over where the newly-rediscovered king's bones should be laid to rest.

They say that given the remains' royal status, it should not be a simple case of "finders keepers." Instead, they believe that the location of the new grave should be up for discussion.

"What we're saying is that for a significant historical figure such as Richard III, his remains should be the subject of a broad consultation," explains Matthew Howarth, the lawyer representing the Alliance. "All the interested parties should be able to have their say, state their case as to where the bones should be buried... It shouldn't be a closed decision."

Read more: New coffin mystery at Richard III site

The Alliance eventually wants to see the bones taken to York, a northern city packed to the gills with historic sites and, the group says, with links to Richard III.

It is a plea backed up by others in the city.

"Richard was the last northern king," explains Paul Toy, of York's Richard III Museum. "He had lots of estates and he was constantly moving around, but certainly he would identify himself as northern, and York was a city that was very close to his heart... He was very much part of the civic fabric."

By contrast, say the "Yorkists," the ill-fated monarch had little or no connection to Leicester -- other than the fact he was slung into a hastily-dug grave there following his death at the Battle of Bosworth Field in 1485.

Not true, say those in the Leicester camp.

"There's considerable historical evidence that Richard spent quite a lot of time at his castle here in Leicester," says the city's mayor, Peter Soulsby. "It was from Leicester that he chose to ride out to what would prove to be his last battle, and it was to Leicester that he was returned, and where he was buried on the orders of the new king, Henry.

"And frankly, to be buried by royal command in a city is pretty powerful evidence that this is where he ought to remain."

Read more: Is this the face that launched 1,000 myths?

Soulsby insists that the events of more recent times offer all the more reason for the monarch to be laid to rest in Leicester.

"Leicester's people have honored Richard for many generations: We have a King Richard's Road, a King Richard's School, we even have pubs called after King Richard.

"It's not just the history that compels us -- it is also the fact that it was the amazing skill of Leicester University's archaeologists that actually rediscovered the remains, and their incredible forensic work that confirmed they were the remains of King Richard.

"Leicester is where he's been for 500 years, and Leicester is where he deserves to be reburied, with proper ceremony, and in a tomb fit for a king."

Indeed, the city is speeding full-steam ahead with plans for a new tomb in the cathedral, where a memorial stone has long paid tribute to the last Plantagenet king, and for a visitor center on the site of the Greyfriars car park, telling the story of Richard's life, his death, and his rediscovery.

The council has already bought an old school which is being turned into a museum, and it is clear that there is a commercial aspect to the battle for the bones, since whichever city they end up in is likely to see a tourism boost.

Read more: Body found in car park is Richard III

Granting a judicial review of the case, Haddon-Cave noted that "the benefit in terms of prestige and increased tourism... is obvious. It is said that the foot-fall at Leicester Cathedral has increased 20-fold since the discovery."

Sitting in a quiet corner of the Cathedral Close with his wife Julia, waiting for a tour to begin, Leicestershire local -- but Yorkshire native -- Peter Farnworth believes that's another reason why the bones should stay close to where they were found.

"York has oodles and oodles of tourist attractions," he explained. "Leicester doesn't have many, and if it loses Richard, it will have one less."

The Plantagenet Alliance, though, insist that money has nothing to do with their case.

"My clients have no commercial interest in it," says Howarth. "They won't gain out of any tourism, but they have a very strong view that Richard's links to the north of England, and to York in particular, mean that he should be buried here."

For Toy, it comes down to the question of what the king himself would have wanted.

"As far as we can tell, as far as we have any idea of where he wanted to be buried himself, it seems to be in York," he told CNN. "There's a sense that Richard III is a king who has had a bad press -- an unfair bad press -- and that responding as far as we can to his known wishes would slightly even things up a bit."

Read more: The mystery of the king and the car park

Erin McLaughlin contributed to this report.

@highlight

Remains of Richard III, last English king to die in battle, excavated exactly a year ago

@highlight

Rediscovery of long-lost skeleton was greeted with elation by history enthusiasts

@highlight

Battle now raging over where bones will be reburied; Leicester or York are likely sites

@highlight

Judge in the case warns sides against waging undignified "War of the Roses 2"