(CNN) -- Following a CNN investigation, The University of Kentucky released some data on its pediatric heart surgery program, showing a 5.8% overall mortality rate from 2008 to 2012, slightly higher than the national average of less than 4% mortality.

The data was first requested in December 2012 by a local journalist, and again in January 2013 by the Kentucky Attorney General's office. The University repeatedly declined to release the program's mortality rate, saying that information would compromise patient privacy laws.

The newly-released data shows that in 2012, the year of the program's suspension, the mortality rate climbed to 7.1%, according to the University of Kentucky.

Babies die; hospital halts heart surgeries

"Anytime a question is raised about a clinical program or a patient's care, we bring all involved parties together and review the situation and circumstances in a 'no holds barred' manner," wrote the University of Kentucky in a statement last Friday. "Sometimes we even choose to put a program 'on hold,' until we are certain that we are doing everything necessary to provide the highest level of care. This is what we did with our Pediatric Cardiothoracic Surgery program."

"The mortality rates ranged from 4.5 percent to 7.1 percent. These ranges are comparable to national mortality rates averaging 5.3 percent for programs of similar size to ours," says the University statement.

Comparing oneself to programs of a similar size isn't good enough, says Tabitha Rainey. Smaller programs often have slightly higher mortality rates than largest programs.

"These smaller institutions want to go open these programs, but they don't have all the correct measures to take care of these kids, and then they don't want to explain, and they end up losing their kids rather than sending them to a bigger facility that's more rehearsed in this," says Rainey, who began a change.org petition asking the hospital to release their mortality outcomes.

Mom: 'Mortality is a reality that we face every day'

Her son Waylon was born with a severe heart defect and was originally treated at the University of Kentucky before transferring to a higher-volume program at the University of Michigan.

"Before we didn't really know what a real cardiac unit looked like, until we went to Michigan. I went there and I was amazed," Rainey said in an interview in May. If Kentucky re-opened, "then they would not be equipped enough, because they don't have the dedicated heart center for these kids."

After babies' deaths, more scrutiny for Kentucky surgeon

Rainey says parents like her appreciate that the hospital gave them an overall mortality rate, but that these aren't the only figures that parents wanted. Parents want to know outcomes for specific procedures she says.

Other facilities like Children's Hospital of Philadelphia, NewYork-Presbyterian Hospital, Texas Children's Hospital, Boston Children's Hospital, and others do publicize their outcomes by procedure and complexity.

Citing patient privacy laws, the University of Kentucky says they still can't give parents that information.

10 ways to get your child the best heart surgeon

"The mixture of operations performed at various pediatric cardiac surgery programs can vary substantially," said Dr. Jeffrey P. Jacobs, cardiovascular surgery specialist at Johns Hopkins Children's Heart Surgery at All Children's Hospital.

"Consequently, programmatic performance cannot be properly assessed by comparison of overall unadjusted rates of mortality. The quality of care of a given program is best assessed by benchmarking specific risk adjusted outcomes to national aggregate data," Jacobs said. "Only then is it possible to truly assess the quality of care of a given program."

He added, "Parents have the right to know the outcome of a given pediatric cardiac surgery program for the specific operation that their child needs."

@highlight

Following a CNN investigation the University of Kentucky released mortality data from pediatric heart surgery program

@highlight

The program has a 5.8% overall mortality rate from 2008 to 2012, slightly higher than the national average (4%)

@highlight

In 2012 the year the program was suspended the mortality rate was 7.1%