HOUSTON, Texas -- Six-year-old Valentin Marroquin went from being apparently healthy one moment to battling leukemia the next. As his mother Rosario Marroquin started searching for answers, she kept coming back to their Houston, Texas, neighborhood, and the stench that often envelops it.

Valentin Marroquin of Houston, Texas, was diagnosed with leukemia at the age of six.

"We're the stinky neighborhood," she said. "But we've gotten so used to it that we don't know that's just how we smell."

The Marroquin family lives in the Manchester area of Houston, next to the Houston ship channel, the largest petrochemical complex in the United States. Day after day, oil refineries and petrochemical companies pump hazardous pollutants, including known cancer-causing chemicals like benzene and 1-3 butadiene, into the air.

"I'm not ignorant," Rosario told CNN. "Kids get sick in the country in the fresh air, but this had something to do with it."  See the source of the smell they fear »

No one can say for certain that Valentin's illness was caused by the air he breathed, but earlier this year, the University of Texas released a study showing that children who live within two miles of the ship channel have a 56 percent greater chance of getting leukemia than kids living elsewhere.

It's the first study showing an association between the channel's air quality and childhood leukemia. The health risks from the shipping canal are not limited to cancer. The chemicals in the air can cause other serious health problems, such as respiratory diseases and birth defects.

Tom McGarity, a professor of environmental law at the University of Texas, believes such conditions are allowed to persist because 90 percent of the people who call the ship channel home are Hispanic and many of them are poor.

"If these plants were omitting these kinds of levels in River Oaks, it wouldn't be happening, I promise," he said. River Oaks is one of the more affluent communities in Houston.

The connection between poverty and poor environmental conditions is not limited to Texas. In many of the countries visited for CNN's "Planet in Peril" documentary, such as Cambodia, Thailand, Madagascar, Chad, China and Brazil, it is the poor and disenfranchised who bear the brunt of environmental burdens.

A similar dynamic plays out in the United States, where class and very often race can determine where one lives. In 2005, for example, The Associated Press reported blacks were 79 percent more likely than whites to live in neighborhoods where industrial pollution was suspected of posing the greatest health danger.

"It's really mind-boggling that we could kind of write off, you know, a whole section of our society," said Majora Carter, founder of the Sustainable South Bronx, which fights what Carter calls "environmental racism" in New York and around the country.

"No one should have to bear the brunt of environmental burdens and not enjoy any environmental benefits, and right now race and class ... really determine the good things like parks and trees or the bad stuff like waste facilities and power plants," she said.

Michael Honeycutt, chief toxicologist for the Texas Commission for Environmental Quality, says progress has been made in reducing toxins around the Houston Ship Channel.

There is "one third less pollution in the Houston Ship Channel this year, compared to last year, because of our approach of bringing companies in, telling them what we want," Honeycutt said. "And we're seeing those reductions."

"Our job is to protect human health and the environment," he said. "What's happened is it's issues of timing -- what's a safe level, what's not a safe level." Honeycut said scientists are generating new data all the time and that certain emissions or areas formerly thought to be safe may no longer appear to be.

Houston Mayor Bill White has pledged to reduce the level of air toxins for communities along the ship channel.

"We will have both the political and legal battle with the industry until we get widespread agreement to do so," White said.

A Rice University study released in 2006 showed that Houston has a higher concentration of benzene and 1-3 butadiene than anywhere else in the United States. The annual average of 1-3 butadiene, a carcinogen, was at least 20 times higher than any other city in America.

Companies in the ship channel told CNN they've started voluntarily limiting their emissions. They also point out that they haven't broken any laws. There are no laws in either Texas or at the federal level that limit the amount of hazardous air pollutants these companies pump into the air.

There is an effort under way to get a law passed in Texas, but Professor McGarity said it's going to be an uphill battle because the oil and chemical industry has deep roots in Texas.

"That's going to be reflected at the top among the political appointees who are more part of this, shall we say 'Wild West' culture, where anything goes," he said.

Now 10 years old, Valentin's cancer is in remission, and he and his family still live in the neighborhood they think poisoned him, but they are speaking out about their experience. The Maroquins say they haven't left because they can't afford to go anywhere else.

"When you're sitting out there, when you're watching them playing, you think, is it going to happen?" Rosario asks. "Are they breathing it now?" E-mail to a friend

@highlight

"Stinky neighborhood" in Houston is near huge petrochemical complex

@highlight

Located near the Houston ship channel, it has a high rate of leukemia

@highlight

Its residents are mostly Hispanic and mostly poor

@highlight

Professor says poor bear brunt of environmental burdens