(CNN) -- As Christmas arrives, eyes turn naturally toward Bethlehem, where the Prince of Peace was supposedly born just over 2,000 years ago. Countless Christians -- some devout, others wedded to force of habit -- arrive at a vast array of churches that represent one of the thousands of known denominations. Indeed, the World Christian Encyclopedia suggests that over 33,820 denominations can be identified in almost 200 countries. That's a lot of splintering over two millennia!

Still, it's difficult to keep in mind that Christmas is a religious and not a shopping thing, and retailers deck the halls with whatever it takes to draw you in: candy canes, evergreen wreaths, mangers, images of Santa, Frosty the Snowman, you name it.

The loudspeakers in malls throb with lousy holiday Muzak: "Sleigh bells ring. Are you listenin?" In fact, Christmas is as much a secular event as a spiritual one, a civil holiday that accounts for over 19% of yearly retail sales; that translated to $3 trillion in sales last year.

For purveyors of goods, there is every reason to believe in Christmas.

But what do Christians who take their religion seriously really think about Christmas? Most of them, I suspect, don't think about it much.

They enjoy the lead-up to the day itself -- the sense of expectation -- in the month before Christmas, a time known as Advent, with its special hymns and prayers. The rhythms of the so-called Church Year are heavily dependent on Christmas, with the 25th of December as a peak of sorts -- a moment of hope that comes at the darkest time of the year, not incidentally related to winter solstice, a calendar moment when the day is shortest, the night longest, at least in the Northern Hemisphere.

In fact, midwinter festivals, including Saturnalia and Dies Natalis Solis Invicti, were broadly celebrated in ancient Rome. In ancient Egypt, there was a festival that marked the birth of a child sun-god, Horus, whose mother (called Isis) was a virgin. Indeed, this child was "laid in a manger," one of many similarities with the Christmas story.

Scholars have been all over this, going back to one of the earliest Christian writers, St. Epiphanius of Salamis, who noted the similarities. (The details of this connection will be found in a recent book by Barbara G. Walker and D.M. Murdock, "Man Made God: A Collection of Essays".)

There is just no doubt that ancient cultures felt a strong need to proclaim the season of a new "sun," the start of the fresh agricultural and astrological season that signaled hope "in the bleak midwinter," as the beautiful Christian hymn puts it well.

But the earliest Christian writer, the Apostle Paul, whose writings precede the four Gospels by decades, seems never to have heard of Christmas. Although his many famous letters occupy a large space in the New Testament, Paul fails to mention even once the manger in Bethlehem, the hovering star, the wise men, angels keeping watch over their flocks by night, Joseph and Mary on the run -- anything that we normally associate with this major church festival.

Why is this? Was the early Christian church wholly unaware of the origins of Jesus?

It's worth noting that the earliest of the gospels, Mark, makes no mention whatsoever of Christmas. Nor does the fourth Gospel, John, where the only vague allusion to the origins of Jesus occurs in the opening hymn, where we read: "In the beginning was the Word." No manger, no hovering star. Nothing but this haunting mystical Greek hymn about "the Word," which in Greek is logos, one of the least translatable of Greek words and one that I would myself translate as "understanding."

But there was, among early Christian gatherings, a strong need to have a myth of origins, a story about the beginnings of the man who ultimately became the Messiah, the Christ. Probably drawing on Persian myths, Matthew and Luke came up with Christmas stories that have almost nothing in common. They can't be reconciled, in fact.

In Matthew, we get the three kings. We get Herod the Great issuing an order that all children under a certain age should be killed. We get Jesus being whisked away by his parents to Egypt, where he remains in hiding until it's safe to return.

In Luke we get a kinder and gentler Christmas, with no wise men, no mean Herod, no flight to Egypt. Instead, we get the shepherds keeping a watch over their flocks by night. As any Jewish male would, if born to devout parents, the baby Jesus was taken to the great Temple in Jerusalem to be circumcised. It's a lovely story.

Christians didn't celebrate Christmas in the first two centuries. In fact, the major early writers of Christianity fail to mention the holiday at all, and one of them -- Origen of Alexandria -- actually made fun of birth celebrations, regarding such anniversaries as a pagan practice.

It wasn't until the middle of the fourth century that almanacs began to list Christmas as a celebration. As Christianity moved into Western Europe, the idea of Advent as a major season that culminated in Christmas obviously caught on.

It linked to various local traditions, in Germany and Scandinavia and elsewhere. There were old Celtic celebrations associated with the winter solstice that connected to the idea of "Yule," which means "Wheel of the Year," and these ceremonial occasions involved the burning of a "Yule log." Brightly decorated trees were also part of the celebration, and this obviously carried over into Christian practices.

The great success of Christianity in the world had much to do with its ability to assimilate earlier religious traditions wherever it was transplanted, and the Christmas season must be considered a melange of many ancient and meaningful practices.

But one must never forget that Christians themselves -- and I am one of them -- consider this a holy time, a time of spiritual renewal, a time of the year when darkness opens to the possibility of light.

Whatever the specifics of his birth, Jesus became the Light of the World for those who follow his path. He is, indeed, the Prince of Peace, and he invites us to a change of heart, a way of overcoming violence in the world with love and grace.

This is the Good News that the gospel writers proclaimed.

@highlight

Jay Parini: In the retail rush of Christmas, people don't ponder where holiday came from

@highlight

He says it coincides with winter solstice and other ancient midwinter festivals

@highlight

He says two Gospels don't mention Christmas tale and two others don't get stories straight

@highlight

Parini: Christmas a melange of ancient and meaningful practices