(CNN)Another matchday, another morgue full of bodies; another crowd of mothers broken by grief, weeping for the souls of their dead sons.

Soccer should never be about survival, it should never be about counting coffins, but Sunday was another dark night in Egypt. Around 20 fans of Zamalek were killed outside the Air Defence Stadium in Cairo before a top of the table clash with ENPPI.

Egyptian officials announced that 19 people had been killed. Zamalek fans posted the pictures of corpses on social media.

A crush had developed outside the narrow, single entrance -- more of a cage covered in barbed wire -- through which the thousands of fans were expected to walk through. As the fans tried to push their way in, it appeared that riot police fired tear gas into the crowd.

Before the bodies were cold, the blame game had begun. Mortada Mansour, Zamalek's president, immediately blamed the Ultras White Knights (UWK) -- the club's organized group of fans -- and absolved the police of all blame.

Egypt's interior ministry also blamed the fans, saying in a statement: "They climbed the fence. The security forces tried to disperse them, the fans fled to the main road and blocked traffic and stopped the bus carrying the Zamalek soccer team.

"They set fire to a police vehicle. We got reports of fatalities because of a stampede."

We have heard this before, of course, and semantics are important. Were the young men -- for they are always young men -- killed? Was it a riot? Or was it naked violence? Was it an accident or was it murder?

To understand why this is important you have to go back to Egypt's revolution on January 25, 2011.

Back then, the regime of former president Hosni Mubarak seemed impenetrable. Mubarak had successfully run a brutal police state for decades, and almost all opposition had been neutered. But when the deep unhappiness with the state of the country and the lack of freedoms burst forth in Tahrir Square, three groups emerged at the front: activists, the Muslim Brotherhood and, strikingly, Egypt's soccer ultras.

Ultras are organized fan groups who religiously follow their team.They are anti-authoritarian, independently minded and have no time for the mainstream press who characterize them as violence-addicted hooligans.

But the truth was more complex than that. In 2007 I met the founders of the Ahlawy, the ultras group of Al Ahly -- Egypt's biggest team and Zamalek's main rival. What began as support for a team with European-style banners and songs about Mohamed Aboutrika, their greatest ever player, became something much more dangerous for the authorities.

For years Al Ahly fans were attacked by police as they tried to watch their favorite team play. But the ultras, who had obtained a degree of anonymity in numbers and within the huge terraces of the Cairo International Stadium, fought back.

"It wasn't just supporting a team; you were fighting a system and the country as a whole," one of the Al Ahly founders told me in 2011. "We were fighting the police, fighting the government, fighting for our rights ... this was something new, a little bit of a seed that was planted four years later."

When the revolution came, the ultras were on the front lines. They were the only groups that had experience confronting the police. The two teams maintain a historic rivalry but, briefly, the fans of Ahly and Zamalek -- as well as supporters from other ultras groups -- joined forces in Tahrir Square and in the other cities around Egypt.

In those fleeting, free moments in post-revolution Egypt, the ultras were revered as protectors of the revolution. But as the authorities slowly reasserted their power, the narrative changed.

On February 1, 2012, 72 members of the Ahlawy were killed at a football match against Al Masry in Port Said. At first, the authorities said it was hooliganism, violence between two sets of fans -- nothing more, nothing less.

But it soon emerged that this couldn't have been further from the truth. A moving televised testimony by a fan who was there turned the tide of public opinion in favour of the Ahlawy.

The Ahlawy maintained that the incident was organised by the state, a political assassination of a group that had become too powerful. Yet a measure of justice, at least temporarily, had been won. The league was suspended, and the Ahlawy picketed the stadiums, successfully preventing the league from returning until justice was done. Death sentences were passed down on a number of Al Masry fans, and some officials were even jailed.

The Port Said tragedy showed that protest could affect change. But this is a new Egypt. The democratically-elected president, Mohamed Morsy, was deposed in a coup and replaced by General Abdel Fattah el-Sisi. Hundreds of Muslim Brotherhood supporters have been shot dead at protests.

Activists, like Shaimaa el-Sabbagh, have died whilst protesting peacefully. The groups that led the revolution from the front are slowly being removed from view.

The image that will stay with me from Sunday night is the video posted on YouTube of a police officer firing tear gas canisters into the crowd gathered outside the ground. The crowd is so packed that it is clear no one can escape. It was the kind of casual brutality by the police towards the supporters that I'd experienced before the revolution.

But the comparison here isn't with Mubarak, with the revolution, or even with Port Said.

At Hillsborough Stadium in Sheffield, England, 96 Liverpool fans were crushed to death at the start of an FA Cup match in 1989. Immediately the narrative had been set: The fans were drunk; they rushed the turnstiles; they stole from the bodies of the dead. The victims were besmirched by the police and newspapers like The Sun.

For 25 years, families have been fighting for justice.  The verdict that the fans' deaths were accidental has been overturned, and a new coroner's inquest is underway to determine how all 96 victims died.

We may never get to the bottom of what happened on Sunday night. The Zamalek president, a keen supporter of President Sisi, had already dubbed the Ultras White Knights a terrorist organization.

"They are not fans, they are criminals," Mansour said in an interview with The Guardian last month. "They are using bombs, live ammunition and shotgun pellets ... And last week they threw acid at me -- but I continue because this is part of the nation's battle against terrorism." The acid turned out to be human urine. Several ultras were jailed for the incident.

The authorities announced that the leaders of the UWK would be rounded up and arrested. The UWK called Sunday's incident a "deliberate massacre." Fact and fiction seamlessly intertwine in the aftermath of chaos. What is clear is that the league has, once again, been suspended indefinitely as the funerals of those killed take place in the coming hours.

Meanwhile Egypt is again counting the numbers of the dead. It is far from the hope and optimism I had been lucky to experience in Tahrir Square in 2011. As George Bernard Shaw once wrote, "Revolutions have never lightened the load of tyranny, they have only shifted it to another shoulder."

And the match the fans died trying to watch? It went ahead anyway. It finished 1-1.

@highlight

In the fleeting, free moments in post-revolution Egypt, the ultras were revered as protectors of the revolution, argues James Montague

@highlight

As the authorities slowly reasserted their power, the narrative changed, he says

@highlight

The deadly riot is "far from the hope and optimism I had been lucky to experience in Tahrir Square in 2011" Montague writes