San Diego, California (CNN) -- In his epic "Letter from the Birmingham Jail," the Rev. Martin Luther King Jr. observed that "justice too long delayed is justice denied."

But now that the Obama administration is fast-tracking the deportation of thousands of undocumented minors, perhaps hoping to get rid of them before the November elections, it's clear that expedited justice is just as bad.

Some migrants who come to the United States are dying to go home. Sadly, some of these deported kids could be going home to die.

When Americans first learned that as many as 60,000 unaccompanied minors from Central America had made their way into the United States since October 2013, and we heard the horrific stories they told about being assaulted and targeted for murder in their home countries, we had to know this story wasn't going to have a happy ending.

The Obama administration has said from the beginning that most of those children would have to go home. In order to ensure such an outcome, the administration has its thumb on the scale. A lawsuit claims that the system is rigged to make it all but impossible to establish the "credible fear" necessary for the kids to obtain asylum.

Despite the President's claim that there is no rush in returning the children and due process would be preserved, the reality is much different. Kids are given court dates they can't possibly be expected to make -- often in another state. Many don't have lawyers. Deportation cases are being rushed through the pipeline.

According to the New Jersey Star-Ledger, the first bloc of deportation cases against children from Central America are under way in the New Jersey courts. Immigration attorneys and immigrant advocates worry that the children won't have enough time to find a lawyer who can prepare an adequate defense that might allow them to stay in the United States.

For Katie Manton, an attorney with Casa de Esperanza, a nonprofit organization in the state that gives low-cost legal services to immigrants, justice expedited is no justice at all.

"Although the court clearly gives them this list of legal providers, I would bet 90% are not going to find lawyers," Manton told the newspaper. "There are not enough, and the time frame they are giving them is very rushed. It's a violation of due process."

Of course, many of these kids will never make it as far as New Jersey. In fact, many have been quietly apprehended at the border and returned to Guatemala, Honduras, and El Salvador.

Last month, Maryland Gov. Martin O'Malley, a possible contender for the Democratic nomination in 2016, warned that the administration was giving the migrant children death sentences. O'Malley told a gathering of the National Governors Association in Nashville, Tennessee: "We are not a country that should turn children away and send them back to certain death."

O'Malley was right.

Take it from Hector Hernandez, who runs the morgue in the Honduran town of San Pedro Sula, which is one of the most violent cities in the world. According to an article in the Los Angeles Times, he said that at least one child slain in San Pedro Sula since February was deported from the United States. Gang members shot at another young man deported from the U.S. In another case reported by the Los Angeles Times, a boy was shot and killed after leaving a deportation flight, according to his cousin.

The article refers to "thousands" of undocumented Honduran children who were deported by the United States.

By the end of the year, there could easily be many more dead children who -- once upon a time -- managed to escape their hellish environment. They trekked all the way to the United States, only to be captured and sent home without a hearing, without due process, without a chance.

Shame on us. This is not how a great country welcomes the most vulnerable people in the world.

@highlight

Ruben Navarrette: U.S. rushes deportation of thousands of unaccompanied minors

@highlight

Navarrette: System is rigged to make it all but impossible for kids to obtain asylum

@highlight

Navarrette: Deported children reportedly killed upon return to murderous situation they fled

@highlight

He predicts that as thousands of kids are deported, more children will be killed