(CNN) -- Why are some people amazingly successful -- and other people with the same intelligence or abilities just part of the crowd?

Malcolm Gladwell tries to find out why some people are successful in his new book, "Outliers."

Malcolm Gladwell, the New Yorker writer who's made a living dissecting questions such as how small trends become major movements ("The Tipping Point") and the value of snap judgments ("Blink"), was curious about that subject, and -- typically -- set out to find some answers.

The result is his new book "Outliers" (Little, Brown), which finds parallels between the Beatles, Bill Gates and Canadian hockey players -- as well as reasons why planes operated by members of particular cultures have a greater likelihood of crashing.

John Roberts of CNN's "American Morning" spoke to Gladwell on Friday. The following is an edited version of that interview.

CNN: We always think that it's the smartest people that become the most successful. You postulate in this new book [that] it's not always intelligence that leads to success. You say "it's not the brightest who succeed, it's rather a gift. Outliers are those given opportunities who have the strength and presence of mind to seize them." But there are also some commonalities with these outliers.

Malcolm Gladwell: Yes. I'm really interested in things like the effects of generation. So what does it mean? I have a chapter that looks at some of the most powerful people in Silicon Valley. And almost all of them are born in 1955: Steve Jobs at Apple, Bill Gates at Microsoft, Bill Joy -- who is one of those famous programmers -- a bunch of guys at Sun Microsystems. The argument there is that they were 21 when the computer revolution hit, and that's how old you want to be when you're confronted with a new revolution.

That's the kind of pattern that you see, over and over again, when you look at the lives of very successful people. That it's not just their own abilities, it's being in the right place at the right time, it's coming from a certain kind of culture, it's having certain built-in advantages.

CNN: There were also some happy accidents along the way. For example, if Bill Gates hadn't been put into a private school, which actually had a computer -- one of the first schools to ever have a computer -- perhaps he may not have become the mogul that he was.

Gladwell: Yes, he has this incredible childhood. ... I talked to him, and he was going through the extraordinary one-in-a-million lucky breaks that characterized his childhood. He got to start programming on a computer in 1968 as a 13-year-old when nobody was programming. So he was way ahead of the crowd by the time he starts Microsoft.

CNN: You and I both lived in Canada, developed a love for Canadian hockey, and you found by looking at Canadian hockey teams that there's a certain commonality between all of the best players, at least in the junior hockey league system, which I imagine translates to the pros as well.

Gladwell: Oh, absolutely. An extraordinary number of hockey players who are professionals are born in January, February and March. And that's because the cutoff date for age-class hockey is January 1st. So when they go to ... recruit kids for all-star teams when they're 8 or 9 years old, they think they're choosing the most talented ones, but actually they're choosing the biggest ones. Because if you're born in January and you're 8, you're a lot taller, more mature and taller and bigger and stronger than someone born in December.

CNN: Because development is much faster there --

Gladwell: At that age, and so that advantage you get as an 8-year-old, you get plucked out and given proper coaching and more games and more practice -- and by the time you're 18, you actually are better.

CNN: Another fascinating finding is that you are more likely to be in a plane crash if the pilot comes from a particular country. What's that all about?

Gladwell: Yes. That's a fascinating thing. The single most important variable in determining whether a plane crashes is not the plane, it's not the maintenance, it's not the weather, it's the culture the pilot comes from. Planes are flown safely when the pilot and co-pilot are in open and honest communication. And in cultures where it is difficult for a junior person to speak openly to a superior, you have lots of plane crashes.

CNN: And you said the Avianca crash here in [New York's] Oyster Bay ... is a very clear example of that.

Gladwell: Where the co-pilot was so intimidated by air traffic control, he could not tell them they were running out of fuel, and they crashed. They just go around and crashed.

CNN: Some of the ideas of this book were criticized by The New York Times, which said the book "is glib, poorly reasoned, thoroughly unconvincing. Much of what Mr. Gladwell has to say about superstars is little more than common sense: that talent alone is not enough to assure success, that opportunity, hard work, timing and luck play important roles as well." What do you say about that?

Gladwell: I don't think -- I start from a very common-sense premise, but it takes you in all kinds of interesting areas. I wouldn't say that you know the stuff about pilots, the stuff about hockey players being born in January, it doesn't sound like common sense to me. So you know, I think what's interesting about this book is I take a series of ideas which we all know, and then I say, look, it's more complicated and more interesting and more fascinating than we would have ever imagined.

CNN: Anything we can do to try to employ some of these techniques?

Gladwell: Well, the end of the book talks about what we should be doing as a country. It's less about what we can do. When we understand that success is so much a part of the world of which we're a part, we move away from this idea that's about self-help and we move towards this idea that it's time for us to be providing opportunities to a group.

@highlight

Malcolm Gladwell's new book, "Outliers," studies reasons for success

@highlight

Successful people aren't just smart; they've had timing, contacts in their favor

@highlight

Book also touches on role of culture in creating (or blocking) success