(CNN) -- Freed activist Aung San Suu Kyi has made a passionate plea for dialogue and reconciliation to build democracy and improve human rights in Myanmar, calling for her country to back her as she cannot "do it alone."

But long-term fundamental political and economic reforms will not just depend on shifting internal dynamics, but also on the stance of its neighbors, particularly the regional superpowers China and India.

Both countries are significant investors in Myanmar, also known as Burma, and both are also competing for influence in the state, with neither country taking a genuine interest in reconciliation or democracy in Myanmar, some analysts say.

Maung Zarni, a research fellow on Myanmar at the London School of Economics, told CNN: "China and India both have a serious influence on Burma... both provide billions of inward investment into the country and they are dealing with a junta that is not accountable to anyone, and that serves the interests of Chinese and Indian investors."

But according to Debbie Stothard, of the Thailand-based Alternative ASEAN Network on Burma, the competition between India and China serves only to stymie the cause of democracy in Myanmar.

China has been Myanmar's closest ally since the hardline military took control in a bloodless coup in 1962. China has in the past refused to back Suu Kyi, saying the matter of her trial was an internal affair.

China is building pipelines to ship oil and gas from Myanmar to Yunnan province and is Myanmar's second-largest trading partner -- it is keen to tap Myanmar's mineral, timber and other natural resources needed for its booming economy, analysts say

India also has been investing in Myanmar's power sector as it looks to secure future energy supplies.

Many regional observers say that the generals of the Myanmar military junta, who have remained largely isolationist for 50 years, are more likely to listen to and accept pressure from China and India than either the West, the U.N. or ASEAN, the political and economic organization.

"Economics is one of the external enablers that have permitted the Burmese regime to stay the course. I am extremely skeptical of what the ruling elite in India and the communists in China will do to assist the Burmese people," said Zarni.

Both China and India have had a difficult relationship with Suu Kyi, who won a landslide election victory in 1990 with the National League for Democracy party. The military junta rejected the results and despite the recent freeing of Suu Kyi, the regime is still holding an estimated 2,200 political prisoners according to Amnesty International.

Mark Farmaner, director of the Burma Campaign UK, told CNN: "Chinese officials were reluctant to talk to her [Suu Kyi] and Indian government officials didn't want to upset the [Myanmar] government. Ordinary people in Burma feel betrayed by India and they see China as backing the generals."

Thailand, another Myanmar neighbor, buys about 30 percent of its gas from Myanmar, estimated to have been worth $3.3 billion in 2008.

The sales are giving Myanmar a financial cushion, rendering ineffective economic sanctions imposed by the United States and the European Union designed to pressure the junta. Suu Kyi recently indicated she might be willing to support an easing of these sanctions.

"The Thais now feel vulnerable because they are so reliant on Burma for energy so it would not be in their interests to upset the regime. India's main concern is China and its potential dominance of Burma... India doesn't want Burma to become another Chinese outpost," said Farmaner.

@highlight

"China and India both have a serious influence on Burma," says Maung Zarni, LSE

@highlight

China has remained Myanmar's closest ally since the coup in 1962

@highlight

India is competing with China for influence in Myanmar say experts