The Food and Drug Administration said Monday that it was loosening restrictions on the controversial diabetes drug Avandia "to reflect new information regarding the cardiovascular risk."

An advisory panel voted in June to recommend loosening restrictions put in place in 2010, when the FDA limited Avandia use to patients with type 2 diabetes who could not control their illness with other medications.

That decision was based on studies showing an increased risk of serious heart problems in patients taking Avandia, most notably a 2007 analysis by Dr. Steven Nissen, a cardiologist at the Cleveland Clinic, showing a 43% increase in heart attacks.

The finding led the FDA to order GlaxoSmithKline, the drug's maker, to conduct a thorough study of its safety. The full results of that study, known as RECORD, were made public in 2009.

Results from RECORD "showed no elevated risk of heart attack or death in patients being treated with Avandia when compared to standard-of-care diabetes drugs," the FDA said in a statement Monday. "These data do not confirm the signal of increased risk of heart attacks that was found in a meta-analysis of clinical trials first reported in 2007."

"Our actions today reflect the most current scientific knowledge about the risks and benefits of this drug," said Dr. Janet Woodcock, director of the FDA's Center for Drug Evaluation and Research, in the statement.

"Given these new results, our level of concern is considerably reduced; thus, we are requiring the removal of certain prescribing restrictions."

Video: FDA restricts diabetes drug Avandia

Although GlaxoSmithKline said the safety data were reassuring, the study was heavily criticized by Dr. Thomas Marciniak, an FDA scientist who reviewed the data and said the company ignored several cases of patients who suffered severe adverse effects.

Because there were multiple conflicting signals of cardiovascular risk associated with the drug, Woodcock recommended that Glaxo commission an outside independent group to review RECORD's results.

GSK chose the Duke Clinical Research Institute to re-examine the data and held a June hearing on the results.

The institute's associate director, Dr. Kenneth Mahaffey, said that it performed a comprehensive review and that its data were consistent with the RECORD results.

In June, some members of the FDA panel questioned the severity of the current restrictions and the scope of cardiovascular events caused by taking the drug.

"I am considerably reassured ... that the magnitude of risk is not great," said Dr. Dale Hammerschmidt, one of the panelists who voted to modify the warning. He added that he thought the current warning was more severe than necessary but should not be removed entirely.

As of June, only 3,000 patients in the United States were registered to take Avandia, according to GlaxoSmithKline spokeswoman Mary Ann Rhyne. That's compared with the 120,000 patients taking the drug in 2010 before the restrictions were put in place.

@highlight

Restrictions on Avandia were put in place in 2010

@highlight

Studies showed an increased risk of serious heart problems

@highlight

Additional research shows no additional cardiovascular risk with Avandia