(CNN) -- A Texas distributor has expanded a recall already involving thousands of cases of produce over fears of salmonella cross-contamination in its processing facility, the company said.

The case is one of two apparently unrelated outbreaks that have sickened nearly 100 people in the United States and Canada.

J&D Produce, Inc. had previously announced the recall of nearly 7,000 cases of cilantro and curly parsley after samples in Quebec, Canada, and Michigan tested positive for the bacteria, the company said Monday.

The "precautionary, voluntary recall" pertains to cilantro and parsley packed between November 30 and December 6, the Edinburg, Texas-based company said in a statement. The produce was processed and branded as Little Bear between those dates can be taken to retailers for a full refund.

The company is also recalling 19 other types of produce that were run on the same packing lines, because the salmonella may have spread to those products as well.

"It's imperative to protect public health, even if that means being overzealous in expanding the scope of the products we're calling back," said James Bassetti, president of J&D Produce. "We will work closely with regulators, health officials and our customers in bringing back the products."

No one has reported getting sick from eating the vegetables, according to J&D Produce.

The recall came after independent tests found salmonella on the company's parsley in Quebec and its cilantro in Detroit, Michigan.

The company's products are sold retail as well as to wholesalers, who may then distribute them to restaurants and other establishments, according to Sharon McNerney, a public relations consultant for the company.

The recall involves 2,498 cases of the parsley -- which have expiration dates 12 days after being packed -- that went out to the Canadian provinces of Quebec and Ontario and the U.S. states of Connecticut, Massachusetts, Michigan, Missouri, New Jersey, New York, Ohio, Pennsylvania, Rhode Island, Texas, Washington and Wisconsin.

The 4,411 recalled cases of cilantro, carrying the same packing and expiration dates, were distributed in Colorado, Illinois, Massachusetts, Michigan, New Jersey, New York, Ohio, Pennsylvania, Texas, Washington and Wisconsin as well as Quebec and Ontario.

A complete listing of the other recalled produce will be available on the company's website.

After the positive results, regulators and health officials in the United States and Canada have stepped up inspections of J&D Produce's facilities, Bassetti said. They also undertook other measures, including stopping and sanitizing all production lines, adding manual inspections, rinsing products more and bringing in consultants.

"We have a good track record, but we'll bring our expectations and standards to even higher levels," he said. "We've already begun improving our systems."

In addition to cilantro and parsley, the Texas company gathers, packs and distributes a variety of fruits and vegetables such as carrots, limes, eggplants, peppers, greens, onions, melons, mangoes and asparagus, according to its website.

A separate salmonella outbreak linked to alfalfa sprouts has sickened some 94 people in 16 states and the District of Columbia, the Centers for Disease Control and Prevention reported Tuesday.

Health officials said those first cases became known November 1, with many getting ill after eating alfalfa sprouts in products from Jimmy John's Gourmet Sandwiches outlets. The Food and Drug Administration said Monday that those vegetables came from Tiny Greens Organic Farm.

Tiny Green's alfalfa sprouts and spicy sprouts, which have alfalfa sprouts plus radish and clover sprouts, were distributed in 4-ounce and 5-pound containers to farmers' markets, grocery stores and restaurants including Jimmy John's.

In addition to a variety of sprouts, the Urbana, Illinois, produce company distributes arugula, broccoli, fennel, cauliflower, onion, radish and other items, according to its website.

The FDA said consumers shouldn't eat the sprouts and restaurants shouldn't serve them. They should instead be thrown away, the agency said.

In a letter to Jimmy John's franchisees, founder Jimmy John Liautaud said that the chain had pulled sprouts from all its Illinois establishments after store locations came up negative for the bacteria.

About 24% of those sickened in that outbreak were hospitalized, the CDC said. No deaths have been linked to the outbreak.

The FDA said Monday that the sprouts were distributed in Indiana, Iowa, Missouri and possibly other midwestern states, with roughly half the illnesses occurring in Illinois.

Health officials had previously said the salmonella outbreak had sickened at least 89 people in 15 states and the District of Columbia.

Salmonella is a bacterial infection that usually lasts four to seven days. About 40,000 cases of salmonellosis are reported each year in the United States, according to the CDC.

Those who get it typically develop fever, abdominal cramps and diarrhea between 12 and 72 hours after becoming infected. Most people recover on their own, without needing significant treatment. But salmonella in very young and very old people, as well as those with weakened immune systems can lead to severe illness and even death.

The CDC recommends that anyone suspecting he or she may be ill from eating contaminated food should talk to a doctor.

@highlight

Parsley, cilantro recalled in 14 states, two Canadian provinces

@highlight

19 other vegetables from same line added to recall as a precaution

@highlight

Tiny Greens Organic Farm is source of outbreak involving alfalfa sprouts, FDA says

@highlight

Many illnesses in that outbreak tied to sandwich chain