(CNN) -- For the first time in history, a woman has received the highest honor in mathematics, often nicknamed the Nobel Prize of mathematics.

Since it was established in 1936, the Fields Medal had gone only to men, until Wednesday, when Maryam Mirzakhani received it in Seoul, South Korea, from the International Mathematical Union.

"This is a great honor. I will be happy if it encourages young female scientists and mathematicians," Mirzakhani said, according to a statement from Stanford University, where she is a professor.

For those of us less versed in the uppermost echelons of mathematics and geometry than Mirzakhani, it's mind-twisting to understand the abstract accomplishments that got her field's highest recognition.

Mirzakhani has delved into the depths of geometry, helping bring unexpected order to an area that many of her colleagues considered chaotic and hardly tamable. And her peers have found this very exciting.

The International Mathematical Union called her long list of accomplishments in Reimann surfaces and moduli spaces "stunning."

What are those?

Simply put, those are complex geometric forms.

Anyone who has had high school algebra and geometry may remember that shapes like squares, triangles, circles and spheres are described by mathematical formulas.

But jump to more complex, roundish, theoretical objects, like perfectly formed doughnuts, ultra-warped, crisscrossed potato chips, undulating geometric pretzels or uneven blobs like amoebas.

That's getting close to the kind of math and geometry Mirzakhani works with. Go deeper, and things can appear to descend into infinite chaos.

Find that intimidating? Some bright mathematical minds do, too.

"Because of its complexities and inhomogeneity, moduli space has often seemed impossible to work on directly," the International Mathematical Union said. "But not to Mirzakhani."

But even she finds those theoretical depths challenging.

"It is like being lost in a jungle and trying to use all the knowledge that you can gather to come up with some new tricks, and with some luck you might find a way out," she said.

What's it good for?

Mirzakhani's work was not driven by any practical purpose -- like engineering -- but purely to satisfy mathematical curiosity, to create more knowledge. The implications of her work go beyond just the description of shapes.

Since her area of math also informs physicists, her work could help advance scientists' understanding of the origins of the universe and the workings of subatomic particles, which could have implications for engineering.

The International Mathematical Union praised Mirzakhani for her mastery of various contrasting aspects of mathematics.

Equally as impressive is how Mirzakhani got to where she is today.

From Tehran to Stanford

She discovered her knack for numbers in high school in her native Iran, where she grew up in the capital, Tehran. Media in Iran are also reporting about her achievement.

"It is fun -- it's like solving a puzzle or connecting the dots in a detective case," she said.

As a teenager, she gained international attention when she won gold medals in two International Math Olympiads, achieving a perfect score in one of them.

Mirzakhani got her undergraduate degree at Sharif University of Technology, then moved to the United States, where she went to work on her doctorate at Harvard University.

She was an assistant professor at Princeton University before moving to Stanford.

The Fields Medal, officially called the International Medal for Outstanding Discoveries in Mathematics, is awarded every four years. The past 52 recipients were men.

This year's medal went to four recipients in total. The other three were also men.

@highlight

The Fields Medal is often nicknamed the Nobel Prize of mathematics

@highlight

Since it was established in 1936, it previously had gone only to men

@highlight

Maryam Mirzakhani helped bring unexpected order to an area considered chaotic by many

@highlight

She hopes her receiving the award will encourage young women in the field