(CNN) -- Millions of Americans have been shocked by the devastation caused by the tornadoes in Oklahoma. Having toured the area, it's impossible to put the scope of the damage in words. Not just homes but entire neighborhoods are gone.

Americans also may have been surprised to hear about a disagreement in Washington about delivering disaster aid to victims. The good news is this disagreement doesn't exist. No one in Washington is opposing delivering aid to victims. In fact, there is no aid bill for Oklahoma to even debate.

The Federal Emergency Management Agency has $11.6 billion available in the fund for assistance to victims in all federally declared disasters, and this is likely more than sufficient to help victims in Oklahoma. As the ranking member of the Senate committee that oversees FEMA, I'm confident Oklahoma will receive the assistance it needs.

The bad news is some in the media have persisted in reporting on this nonexistent funding fight -- although it might happen in the future if FEMA runs out of money. My view is that focusing on funding questions now is premature and insensitive. Although I've never been shy about telling reporters and my constituents where I stand on tough questions, focusing on a fight that isn't happening is crass and irresponsible journalism.

Instead of reporting the facts about disaster spending, many news outlets have used the tragedy to talk about "dilemmas," "binds" and "divisions" among Republicans. At this point, these stories are only figments in the imaginations of a few journalists and editors who are having a difficult time keeping their opinions to themselves.

Case in point is Wednesday's Washington Post story, where I learned about my alleged dilemma on tornado aid. But The Post buried the real news in the 15th paragraph, which reads:

"At this point, all these questions are theoretical. There is no Oklahoma disaster relief bill. There may never be one. ... At the moment, the Federal Emergency Management Agency has a large stockpile of funds to pay for disaster response; members of Congress estimated it at $11.6 billion."

The article goes on to say that most legislators agree that the fund is adequate to handle the Oklahoma disaster, and it quotes Senate Majority Leader Harry Reid as saying "Right now, we don't need the money."

In other words, the real news is no Oklahoma disaster relief bill exists and, as Reid says, "we don't need the money."

Still, I have no objection to stating unequivocally that if FEMA runs out of money, I will encourage my colleagues to pay for any new assistance for Oklahoma, or anywhere else by reducing lower-priority spending rather than borrowing new money.

Let me explain why this principle is important. Under congressional budget rules, if disaster funds are exhausted, Congress can pass an "emergency supplemental spending" bill that does not count against that year's budget caps.

In other words, Congress can simply borrow new money without setting priorities or making hard choices about where to cut the budget elsewhere. At a time when we're losing $200 billion a year because of waste and duplication, not setting priorities doesn't make sense in any circumstance. Why respond to one disaster by creating another one for taxpayers?

Some have suggested it is hypocritical for me to support disaster aid in my state after opposing the Sandy emergency aid bill for the Northeast. But my position has been the same for my entire service in Congress, starting when I pushed for offsets to the Oklahoma City bombing supplemental bill in 1995.

My position has never been to oppose all forms of disaster aid. My position has been to oppose politicians who use disasters to spend money that has nothing to do with helping victims of disasters. The hard truth is both parties have abused the emergency spending process in Congress for many years.

For instance, when the Gulf Coast was ravaged by Hurricane Katrina in 2005, many in Washington were appalled by my suggestion that times of tragedy and disaster are precisely the times for politicians to tighten their belts and make hard choices. One of the sacrifices I proposed was to divert funds from a $223 million bridge in Alaska -- known as the "Bridge to Nowhere" -- to a bridge over Lake Pontchartrain in Louisiana that was damaged by Hurricane Katrina. My colleagues fumed: How dare I force such choices? My response was -- and is: How dare we not force such choices?

The Superstorm Sandy package, unfortunately, is another recent example. I supported a scaled-down $25 billion version of disaster aid for Sandy, but I strongly opposed a $50 billion package that was an all-you-can-eat buffet for politicians and politically connected contractors.

Much of the larger Sandy package had little to do with helping victims of the disaster. More than $5 billion was directed to the Army Corps of Engineers -- more than the Corps' annual budget. Even NASA was in on the game. NASA said its damage from the storm was minimal, but Congress wanted to give it $15 million anyway. The most revealing aspect was more than 70% of the $50 billion would not be spent for two years, which meant it was an economic stimulus package, not a disaster aid bill.

I don't believe anyone in the Senate wants or anticipates a Sandy- or Katrina-like fight about emergency spending offsets for Oklahoma.

Still, if any politicians in Washington hope to use Oklahoma's tragedy as vehicle for pork, don't bother. State Rep. Mark McBride from Moore, Oklahoma, put it best this week on MSNBC: "We don't want anything. We don't want anything extra. We just want to rebuild our city. And whatever they can do for us they can cough up, and whatever they don't, we`ll make it up. That`s the way we roll here."

The opinions expressed in this commentary are solely those of Sen. Tom Coburn.

@highlight

Sen. Tom Coburn: Despite reports, nobody in Congress is debating Oklahoma disaster aid

@highlight

Coburn: FEMA has $11.6 billion for assistance, more than enough to help tornado victims

@highlight

But if FEMA fund runs out, Coburn will stick by policy to deny aid without cuts elsewhere

@highlight

Coburn: I opposed Sandy aid package because it was an "all-you-can-eat buffet"