Growing up, Cecilia Lopez hoped to escape poverty by finishing school and becoming a teacher. But now 52 years old and having never finished school, she wishes she had learned a few things.

"If I knew back then about the choices in family planning, I would've been able to control having children," said Lopez, who has 12 children. "If it were up to me, I wouldn't want to have so many. But I didn't use family planning, so basically they just kept coming and coming."

She eventually heard about the birth control pill from neighbors, but did not know how it worked. Moreover, she said she could not afford it.

"Instead of spending money on those, I use it to buy food," Lopez said.

Her story is a familiar one in a country where 81% of Filipinos are devout Roman Catholic and 30% live below the poverty line, according to the Philippine National Statistics Office.

While contraception is legal, the majority, like Lopez, do not have access or the means to afford birth control. But that could all change.

After 14 years in limbo, a controversial landmark legislation called the Reproductive Health bill could bring major changes in the country of almost 96 million people. The proposed law requires the government to provide contraceptives, information on modern family planning methods at public health centers and comprehensive reproductive health curriculum in schools.

National surveys show 65-70% of Filipinos support the bill, but it faces fierce opposition by the country's Roman Catholic Church leaders.

Lawmakers are trying to negotiate a compromise, by addressing some of the strongest objections to the bill. The bill's co-author Congressman Edcel Lagman stated that amendments are in the works to emphasize that reproductive health services and information would be geared to the "poorest and most marginalized households."

"In order to obviate the unfounded criticism that the government will distribute contraceptives for free to everyone, the amendments will underscore that only the poorest of the poor will have free access to contraceptives if they are willing acceptors," Lagman said in a press release.

A dozen children

In Lopez's small home in Tondo, a poor neighborhood in Manila, she and her family sleep, cook and eat inside one room.

Seventeen people share a cramped 12-square meter room, one person next to another.

Although limited in space, the room has a sense of order. An array of slippers in different sizes sits next to the front door. The family has one mattress and the rest sleep on the floor, covered with cardboard, mats and blankets.  Two pieces of plywood serve as a bed and a desk for one of her children.

During the interview, her sleeping grandchild curled next to her teenage father, using a pair of adult shorts as a blanket.

The walls are covered in family photos. Lopez is most proud of the school pictures showing three of her children, which bear the word "Graduate," showing that they finished elementary school.

Lopez hopes that unlike herself, her children will have choices.

National statistics show that the Philippines population is growing at 1.98% and that it could reach 105 million by 2016. The growth rate is not the problem, said Ugochi Florence Daniels, the Philippine representative to the U.N. Population Fund.

"It's about the quality of life available to the segment of the population having the most children," she said. " Poor women are the ones having more children. So as the Philippine population is growing, it's growing poorer."

Lopez first became pregnant at 17. Since then, she can't recall when she did not struggle to provide basic needs for their children. Her husband, a carpenter does not have steady work.

"If we earn money, they eat," she said, referring to her children. "If we don't, they have nothing to eat all day. Most days they just bear with it. Even when they go to school without food."

"I find it so hard when they go to school without food, without money. When they're hungry. I just want to cry most times."

With no one else to care for her growing family, Lopez stayed home to watch her children. Her adult children struggle to find work, because they didn't graduate from high school.

"The older ones had to stop going to school so the younger ones could start", Lopez said.

But her children appear to be entangled in a familiar cycle. Just like Lopez, her daughter became pregnant at 17. Her son became a father when he was 18, and her 17-year-old son is expecting a child soon. Lopez has three grandchildren.

The health bill, Lopez said, would give her youngest the means to "understand what happens with their bodies."

Young people in the Philippines lack health services and education, said Daniels from the U.N. Population Fund. This has caused a problem of skyrocketing teen pregnancy rates in the Philippines, which are the second highest in Southeast Asia.

"We are also failing the young people in the Philippines," she said. "Ideally it's a time when young people are focused on education and skills- the things they need to live productive lives. Instead, we have a situation where children are having children."

A pack of condoms cost about 50 pesos and upwards, and birth control pills start at 100 pesos. When Lopez's husband can find work, he earns about 350 pesos a day. Condoms are sold in convenience stores and groceries, and pills are available, but they're harder to find in remote areas. The health bill would make various forms of birth control free and available to the country's poor.

It would help quell the dramatic rise in maternal mortality rates, which has increased from 11 women dying per day to 15, from 2006 to 2010, said Daniels. It would also help address the fact that the Philippines is one of seven countries in the world where HIV rates are increasing, according to a U.N. report.

Proponents of the Reproductive Health bill say it is about human rights, health and sustainable human development, not religion and sex.

Church resistance

The Catholic Church hierarchy has seen the bill differently- saying that artificial birth control is a sin and its distribution will relax moral standards.

"Preventing fertilization is not a surgical, but a chemical or medical abortion," said Father Melvin Castro, executive secretary of the Episcopal Commission on Family and Life, of the Catholic Bishops Conference of Philippines.

"It's like okay, go ahead. As long as you don't get pregnant or you do not impregnate anyone, you can have any physical relationship. It will destroy the trend of marriage in our country. And slowly when you bring down the bar of morality, everything follows."

Castro said the government is infringing on territory beyond its authority by "legislating an immoral law," and maintained that the state should not intervene in the moral and religious realm.

But Lopez, who is Catholic and regular church-goer disagreed.

With a faded print of Christ and the Last Supper hanging on a wall behind her, the mother of 12 said, "The choice is yours if you need them for your own family, your own life. When you use them, it's not like you've sided with evil."

The battle over the health bill has both Catholic officials and lawmakers accusing each other of overstepping boundaries between church and state. The bill in its previous five attempts at passage, has languished in Congress.

The stiff resistance from the Catholic Church, which is influential in politics, has prevented the passage of the bill, said Elizabeth Angsioco, national chairperson of the Democratic Socialist Women of the Philippines, which supports the health bill.

In the past, politicians have hesitated openly supporting the bill in fear of going against the Catholic Church and damaging their chances of re-election, she said.

"Legislators are called on regularly by bishops, one by one, and some priests visit legislators in their districts, to 'convince them' to drop support or strengthen their opposition to the bill," she said.

For years, politicians have feared the Church's moral influence on voters, said Solita Monsod, professor emerita at University of the Philippines, School of Economics.

"There are two kinds of Catholics in the Philippines, the unthinking - who say I don't need to read that bill because my priest is the guardian of my morality and whatever they say goes. And the thinking -- who will study the issues, follow their own conscience, and don't let anybody try to sway that," she said.

But Father Castro denies that the church gets overly involved in politics. Bishops issue guidelines when Catholics decide whom to vote for, but they do not openly endorse political candidates, Castro said. "It's up to the voters to ask themselves if this particular candidate possesses those needed criteria to lead our nation."

"In the final analysis, no one can stop the priest when they want to do it. But they will never be ordered to do so by the bishops," he said.

But Monsod said the Philippines is a different country today compared to when the bill first tried to fight its way to the legislative floor 14 years ago.

"It's no longer a one-sided, unidirectional situation, where the hierarchy says something, it goes down and everybody says 'Amen,'" she said.

For Lopez, a lifelong Catholic, the issues are simpler. Her greatest fear is that her children will end up trapped in the same life she has known.

"I don't want them to be like me," she said. "I don't want them to go through what I have."

@highlight

Reproductive Health bill would make birth control free for poor in Philippines

@highlight

Catholic Church has opposed bill, which has been proposed for last 14 years

@highlight

Many lack proper health education and birth control access