Washington (CNN) -- President Barack Obama met Monday with Japan's sixth prime minister in five years to try to strengthen ties with the Pacific economic power still struggling after last year's earthquake and tsunami that triggered a nuclear power plant meltdown.

The president and visiting Japanese Prime Minister Yoshihiko Noda started bilateral talks at the White House, to be followed by a working lunch and then a joint news conference.

Japan's volatile domestic politics, amid economic sluggishness and the March 2011 tsunami-triggered nuclear crisis, have made continuity a challenge in relations between the World War II enemies turned industrial allies.

Noda came to power in September, and last week, the two governments addressed a thorny issue of recent years with a plan for the United States to relocate about half of its 19,000 Marines based on Okinawa to other places in the Pacific region.

While the relocation faces some opposition in Congress and Japan, the announcement of an agreement signaled a desire by the countries to work together on a way forward in bilateral relations.

In addition, the two leaders will probably discuss North Korea's fledgling nuclear weapons program and political changes in Myanmar.

Another topic expected to come up Monday is possible Japanese membership in the Trans-Pacific Partnership, a trade alliance that is part of Obama's strategy to increase U.S. exports and influence in the Asia-Pacific region.

Participants so far in negotiations on the partnership include Australia, Brunei, Chile, Malaysia, New Zealand, Peru, Singapore, Vietnam and the United States. Canada and Mexico also have expressed interest in joining.

Last month, Noda issued a sobering and reflective assessment of his country's recovery a year after the 9.0-magnitude earthquake, tsunami and nuclear meltdown at the Fukushima Daiichi plant.

The resulting release of radioactivity forced residents of several towns near the plant to flee their homes, and a 20-kilometer (12.4-mile) zone around the plant remains closed to the public.

Only two of Japan's 53 nuclear reactors remain in operation, with others taken offline for routine maintenance and then idled.

The strain on the grid with summer approaching is raising concern in corporate Japan, which fears it won't have enough power to run production lines in the country.

"In case there is a short-term supply and demand gap of energy, it could cause downward pressure on the economy. We must avoid that," Noda told CNN last month.

The prime minister faces not just the nuclear cleanup and disaster reconstruction, but an economy facing intense pressure.

Japan's currency, the yen, remains at historic highs versus the U.S. dollar.

A high yen makes it more expensive for Japanese corporations to make a profit when the funds are repatriated, dragging down corporate profits, domestic investment and employment.

Japan's debt-to-gross domestic product ratio is highest among developed nations, topping 200%. The country is also aging at an unprecedented rate. By the year 2050, the government projects, 40% of the population will be over the age of 65, straining public funds while relying on a dwindling tax base.

"We have no time to waste," Noda said about economic challenges, adding that economic growth and fiscal health "must occur side by side."

The centerpiece of the prime minister's economic policy has been the doubling of the country's sales tax, from the current 5% to 10% by October 2015.

The plan remains unpopular with voters, but the prime minister has repeatedly endorsed fiscal responsibility in the wake of the shrinking economy.

CNN's Kyung Lah and Tom Cohen contributed to this report.

@highlight

Prime Minister Yoshihiko Noda is Japan's sixth head of government in five years

@highlight

Japan is still recovering from last year's quake, tsunami and resulting nuclear plant meltdown

@highlight

Japan and the U.S. agreed last week to relocate some U.S. troops based on Okinawa

@highlight

Noda and Obama hold bilateral talks, then a working lunch and a news conference