(CNN) -- "Twenty years from now you will be more disappointed by the things that you didn't do than by the ones you did do. So throw off the bowlines. Sail away from the safe harbor. Catch the trade winds in your sails. Explore. Dream. Discover."

-- Mark Twain

Italian mountaineer Reinhold Messner, whose expeditions have inspired others to seek adventure

Adventure comes to those who seek it. Some are born with an adventurous streak, an insatiable curiosity that can only be quelled through discovery, while others seek out adventures as a means of conquering the demons within: fear, boredom, stagnation, a sort of dry rot of the soul.

We see adventurous people as being somehow different from ourselves: stronger, braver, tougher, fitter. They are versions of our best selves: the doers in life, the fearless, those who go over the mountain and come back to tell us what's on the other side.

While we may think the true adventurers are a species apart, we are all adventurers at heart -- yet sometimes the urge is stifled by modern life.

The lust for adventure is planted in childhood. How many of us sat enthralled under the blankets as our parents read us the adventures of the Famous Five, "Treasure Island," "Where the Wild Things Are," "The Swiss Family Robinson," "Tarzan" and "Peter Pan"?

Children weaned on such stories may be forgiven for assuming adulthood is one long adventure that swings wildly between jungles, swamps, deserted islands and alpine heights.

Yet modern life is increasingly sedentary and safety-conscious. The desire for comfort and convenience ameliorates our contradictory urge to explore.

A few have it thrust upon them: stranded in an inhospitable place, lost in a jungle or called up for combat -- and they find themselves dropped in an adventure that they may not have chosen; but for the main part, adventure comes to those who seek it.

Dr. James Thompson, a senior lecturer in psychology at University College London, says seeking adventure is more common "amongst people who are extroverted, who are outgoing, who are sociable, because one of the things they need -- apart from the excitement of people -- is excitement generally."

But if you think adventure is something that only happens to other people; that you are too unfit to climb a mountain, too scared to sail across the open sea, too nervous to travel through a country where you can't speak the language; perhaps you should rethink. After all, having an adventure could be good for you.

Psychologists have linked adventure-seeking with a range of positive qualities. Adventure can:

Following the stories of this age's greatest adventurers such as polar explorer Douglas Mawson, Everest climber Edmund Hillary and mountaineer Reinhold Messner, we are encouraged not just to follow their paths up mountains or along rock faces -- they also inspire us to take more risks, to seize more from each day.

Who could fail to be inspired after watching CNN interview the world's greatest living mountaineer, Reinhold Messner?

In 1980, Messner was the first person to ascend Mount Everest alone without supplementary oxygen.

Later, he crossed Antarctica on skis.

He tells CNN anchor Becky Anderson: "I'm a normal person, a totally normal person, and I was really lucky in my life to have to have the opportunity to follow my dreams. So in the beginning I was a rock climber, and all my enthusiasm, my energy and my willpower went into rock climbing."

Many young people are naturally adventurous -- throwing their energy and enthusiasm behind sport, hobbies and travel. Witness the explosion of school leavers taking gap years (a year off in between school and university or the workforce), with the destinations becoming more and more exotic and activities accompanying the travel designed to expand their mind as well as their horizons.

But later in life, we can wake up and find our lives leeched of adventure. We may be loaded down with a mortgage, kids or a demanding job.

Adventure then becomes something we prefer to read about rather than live.

We fall into the trap of the armchair traveler and become transfixed by all the journeys we didn't make.

Instead of setting out on our own expeditions, we read Joe Simpson's account of his near-death mountaineering experiences in "Touching the Void." Or we follow Sebastian Junger's account of wild sea adventures in "The Perfect Storm."

But while we are great armchair adventurers, a craving for the real thing can stir in us when we feel the need to change and shake things up.

Women in their 40s are leading the charge towards adventure.

A survey released by the Adventure Travel Trade Association in March 2007 said today's typical adventure traveler was "female and fortyish."

"Women make up the majority of adventure travelers (52 percent) worldwide, with the most common destination being South America," said the trade association.

The survey of travelers from 35 countries also found that people aged 41 to 60 are the highest participating age group in adventure travel.

A survey by YouGov in the UK has identified a new subset of British -- the Nifty Fifties. They've had the responsible jobs and raised their children -- and now they want adventure.

Tesco Life Insurance has noticed: "They've decided to take the five star version of the student gap year, encompassing all of the adventure with none of the discomforts. Neither burgeoning waistlines nor graying hair is going to hold them back."

Some older people are inspired to seek adventure by their children's gap year experiences. Others just want to spend their kids' inheritances.

In a survey of older people carried out by Tesco Life Insurance they compiled the Nifty Fifty wish list. Adventure is a common component to their aspirations, the most popular of which are noted below:

Tony Wheeler, one of the founders of guidebook giant "Lonely Planet," is now an aging baby-boomer, yet he still pops up in Iran, a place that has recently dominated headlines the world over for all the wrong reasons.

In a recent piece in UK newspaper The Observer, he also recommends holidays in North Korea, Iraq and Afghanistan.

Messner now is 63 years old and although he no longer has the strength of his youth, he is still setting himself challenges.

"So my challenge today is this one (setting up a museum), I will finish this one and afterwards I will invent a new challenge and it will be not on Everest and not in Antarctica it will be probably in a mental dimension because mentally we can go very far also in later years," he told CNN.

But the yearning for adventure can strike at all ages.

Dave Wroe, 33, and Penny Bradfield, 28, both gave up exciting jobs in the Australian media to travel. They are spending April and May in Iran and have already braved trekking in the Amazon, train travel across India, diving in Syria and traveling in Columbia.

"I see adventure as going beyond something you feel comfortable with. If you are uncomfortable going to the end of your street and you go beyond this, then you are being adventurous," said Wroe.

Wroe has a point. You don't have to emulate the deeds of Messner to be an adventurer.

The spirit of adventure can infiltrate all areas of your life.

You can infuse life's "ordinariness" with an adventure: cooking a meal that you may not have tried before, walking to work on a different route, striking up conversation with someone at the office whom you perceive to be intimidating.

Successfully pushing your natural boundaries can lead to increased confidence.

"The general things which determine whether you start being adventurous is your personality and your youth. But once you start noticing that you have been able to overcome a challenge, it becomes a reward in its own right," said Dr. Thompson.

For Messner, adventure now takes place on the ground, with establishing a climbing museum and being elected a member of the European Parliament.

Speaking to CNN with the mighty mountains behind him, there was a restless but playful look in his eyes.

He said he wasn't the type to sit around, drink beer and collect his pension in his old age. Adventure is so much a part of his life, it seems, that it is an urge that can only be extinguished by death. And so while the strength in his body diminishes, the adventures will take place in his mind.

Messner is an extraordinary man, and while most of us would struggle to climb Everest with or without oxygen, we can still emulate his spirit of adventure in our daily lives.

@highlight

Italian mountaineer Reinhold Messner has inspired others to seek adventure

@highlight

Psychologist Dr. James Thompson says adventurers tend to be more extroverted

@highlight

Women in their 40s are leading the charge towards adventure

@highlight

Insurers say "Nifty Fifties" are seeking adventures once the kids have left home