(CNN) -- Even when a drone's small, turned off, unarmed and resting on a table in a coffee shop, it can make people uneasy.

That discomfort could change in the next few years as the airborne gadgets become commonplace and more people buy personal drones. Startups are already popping up with different takes on design, uses and price.

The latest aerial offering is the PlexiDrone by DreamQii, a midrange drone for photographers who don't want to mess around with additional complicated technology. White and unremarkable-looking, the PlexiDrone is simple to put together -- just snap in the four propellers and two pieces of landing gear. It can hold a GoPro, the drone photographer's camera of choice because of its light weight, or other lightweight cameras and camcorders.

"This is not designed to be a toy; this is a tool for the average person to use," said Klever Freire, founder of PlexiDrone, who showed off his creation last week in, yes, a coffee shop in Brooklyn.

The consumer drone market is still wide open for newcomers due to a combination of tangled Federal Aviation Administration restrictions, high price tags, privacy concerns and a bad reputation.

Airborne photography is the most popular consumer use for drones, and the Phantom line from DJI currently dominates that field. DreamQii wants to take on the slick white and red Phantom drones with a slightly less expensive design and some quirky features.

The PlexiDrone's landing gear can be pulled up in flight so that a camera is able to capture a true 360-degree view without obstructions. Pilots can control the device from a smartphone or tablet, pointing to any direction on a map to set a route. The apps can also control the camera position and track flight hours.

When it's not flying, the PlexiDrone is programmed to speak when turned on but not in the air. It spits out a mixture of warnings (such as your GPS is offline), explanations and casual chitchat in a British accent or voice of your choosing.

"Sometimes it has a little bit of a dry wit and sometimes it has more of a sarcastic sense of humor," Freire said.

The FAA is slowly working on clearing commercial unmanned aerial vehicles, or UAVs, for use. (It's expected to announce details by the end of this year.) Last week, the agency issued an exemption that will allow a handful of TV and movie companies to capture aerial footage with drones, but regular people are still on a short leash.

So to help consumers stay out of trouble, the PlexiDrone is also programmed to obey the law.

Amateur drone users can't go above 400 feet, and the devices can't be used for commercial purposes without express permission. PlexiDrone limits use of the device accordingly.

Like many UAV entrepreneurs, Freire comes from an aerospace background. He worked for Bombardier Aerospace, the company that makes Learjets, for six years. DreamQii now has seven employees, mostly aerospace engineers and one biomedical engineer. At its 800-square-foot office in Toronto, the company prints out drone prototypes on industrial-grade 3-D printers and tests them in a 10-by-10-foot cage.

On Wednesday, it kicked off an IndyGoGo campaign to get attention and funds for the first run of 1,000 drones. These early devices go for $480 to $1,200 and are scheduled to ship in early 2015. Freire said the PlexiDrone will cost between $800 and $1,700 when it becomes more widely available after the first run.

The PlexiDrone is meant primarily for photographers, but Freire said he hopes to find other uses.

"We're working with a researcher who wants to create a metal detection halo. He wants to swarm these thing together to find landmines."

Google reveals secret drone delivery tests

@highlight

The PlexiDrone is a new ready-to-fly tool for aerial photographers

@highlight

Software ensures the drones don't break the law by adhering to FAA regulations

@highlight

Over the next few years, drones could become just another common consumer gadget