(CNN) -- Former President George W. Bush briefly jumped back into the national conversation Tuesday night with his interview on "The Tonight Show." Bush told host Jay Leno that "I don't miss the spotlight" and that he was thoroughly enjoying his post-presidential life. On Wednesday, former President Bill Clinton is in the news as he receives a Medal of Freedom from President Barack Obama.

The two former presidents have taken a very different approach to their time after the White House. In an era when former presidents are often younger and healthier than in the past, the post-presidency offers a huge opportunity for them to help shape their legacies.

Former President Jimmy Carter raised the bar after he lost to Ronald Reagan in 1980. Rather than going into political hiding, the Georgian launched the Carter Center, which has been a hub of international diplomacy. Carter remained an important voice in discussions about foreign policy and has even played a role in resolving some tense diplomatic situations.

Clinton's approach to life after the White House has reflected his general style of politics. Clinton has never been passive. As governor of Arkansas and as president of the United States, Clinton has believed it is essential to maintain an aggressive and proactive stance.

In an era when many Democrats felt defensive about their ideas, Clinton never let his opponents define him. He responded to every attack throughout his presidency by going on the attack and tried to influence the national conversation about how he was doing.

When Republicans shut down the government in 1995 claiming to be fiscally responsible, Clinton turned the tables on them by depicting them as politically reckless. When House Republicans moved to impeach him for perjury in 1997 and 1998, Clinton painted his opponents as partisan zealots who were using the constitutional process for crass political ends.

Since 2000, Clinton has continued to inject himself into the political arena. Understanding that presidential legacies evolve in real time, Clinton has remained a forceful presence in the Democratic Party. He has worked hard to strengthen his image as an effective partisan fighter who knows, and knew, how to make things work in a dysfunctional political period.

During the 2008 campaign, while supporting his wife's candidacy he promoted a vision of Democratic politics that he said would be most effective in getting things done in Washington.

After Obama won office, Clinton made his peace with the President and in 2012 was one of the most effective advocates for the White House by articulating a powerful critique of Republican economic policies.

In recent weeks, Clinton spoke out on the health care program, urging Obama to honor his commitment for people to keep their insurance plans and aiming to shore up Democrats as they have struggled through the problematic rollout of the Affordable Care Act.

Not only does Clinton want to demonstrate his political skills, but he remains devoted to a Democratic Party that is strong and effective -- which in his mind would be the best proof that his term in office helped to revitalize a party that had been politically devastated in the Age of Reagan. Clinton also would like his wife to be elected president so as to create a political dynasty of sorts.

Bush has taken a different approach, letting his record stand on its own. Bush left the White House hugely unpopular and controversial. Bush had little appetite for the toxic environment of Washington and has been remarkably quiet since leaving. Although Americans saw some of him following the release of his book and in relationship to the opening of his presidential library, that's about it.

The strategy follows the kind of politician he was. Bush liked to call himself "The Decider" and in many ways he was. Bush preferred to make decisions and let them stick, regardless of how controversial or problematic they were.

We have seen the same strategy in his post-presidential career. Rather than being part of the political conversation and trying to shape his party in the years that followed, Bush has let the record speak for itself. By many accounts, he has watched as the GOP moved rightward despite his own inclinations about what would be best for the future of the party.

Each strategy carries its rewards and risks. For Clinton, his stance allows him to be part of the conversation and to try to make sure that his party remains in a strong position. He can paint himself in a good light as people examine what he was doing as president. The danger is that his actions make him a target of controversy and that by making himself so doggedly political he undermines the aura of a statesman that has been so beneficial to rebuilding the damaged image Americans often have of their leaders.

During the 2008 presidential campaign, criticism from the African-American community about his statements regarding Obama weakened some of the strong support that the community held toward his presidency.

For Bush, the benefit of his relative silence is that he avoids all of the pitfalls that face Clinton. As feelings about him start to soften simply because we are further removed from his presidency, he has created the space for more careful and rigorous analysis of what he did during the White House. By showing how difficult the political environment is regardless of whether he is in office, Bush can allow for more sympathy to develop of challenges he faced.

The dangers for Bush are twofold. By being so removed, he can convey a level of dispassion for politics that plays into criticism that it was never a job he was driven to do in the first place. He has also failed to play a forceful role as his party plunges in its approval ratings.

Presidential legacies are a tough thing to predict. Like the weather in New England, they change by the minute.

As the nation commemorates the 50th anniversary of President John F. Kennedy's assassination, we can see how presidential reputations fluctuate dramatically (historians often remember his failures as president, while many others recall his presidency in heroic terms). But in this day and age, former presidents have significant opportunities to shape how the nation remembers them and to influence the political world in which they will be judged during their lifetime.

As Obama reaches the final period of his presidency, he would do well to look at what his predecessors have done and start thinking through what his strategy will be in the years ahead.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

George W. Bush goes on "The Tonight Show"; Bill Clinton gets Medal of Freedom

@highlight

Julian Zelizer: The two are taking opposite approaches to managing presidential legacies

@highlight

Clinton takes initiative in pushing his view of how Democratic Party should act, Zelizer says

@highlight

Zelizer: Bush takes more passive role, letting his controversial record speak for itself