Memphis, Tennessee (CNN) -- In the past 15 years, Chad Pregracke has helped pull more than 67,000 tires from the Mississippi River and other waterways across the United States.

But that's just scratching the surface.

He's also helped retrieve 218 washing machines, 19 tractors, 12 hot tubs, four pianos and almost 1,000 refrigerators.

"People intentionally dumped (these) in the river and also littered," Pregracke said. "Even 100 miles away, (trash) will find its way into a creek or a storm drain and into, ultimately, the Mississippi River."

For Pregracke, removing this debris has become his life's work. Sometimes called "The Rivers' Garbageman," he lives on a barge about nine months out of the year with members of his 12-person crew. Together, they organize community cleanups along rivers across the country.

"The garbage got into the water one piece at a time," Pregracke said. "And that's the only way it's going to come out."

It's a dirty job, but Pregracke, 38, took it on because he realized that no one was doing it. It began as a solo effort, and over the years his energy, enthusiasm and dedication have helped it grow. To date, about 70,000 volunteers have joined his crusade, helping him collect more than 7 million pounds of debris through his nonprofit, Living Lands & Waters.

Pregracke grew up in East Moline, Illinois, where the Mississippi River was in his backyard. As a teenager, he worked as a commercial shell diver and began to notice the heaps of debris in the fabled waterway -- one that supplies drinking water to 18 million people in more than 50 U.S. cities.

"I saw thousands of barrels, thousands of tires, cars, trucks and tops of school buses. ... I got sick of seeing it and just wanted to do something about it," he said.

With persistence, sincerity and a lot of chutzpah, Pregracke got a small grant from Alcoa in 1997 and spent that summer cleaning a 35-mile stretch of the river by himself. He would transport the trash by boat and sort it on his parents' lawn to be recycled. By year's end, he had single-handedly pulled around 45,000 pounds of trash out of the river.

His operation has become much more sophisticated since those early days, as his nonprofit now has a fleet of boats. And while he has resources and know-how, he depends on each community he visits to supply the manpower needed to get the job done.

On average, Pregracke says he organizes 70 cleanups a year in 50 communities. The cleanups are posted on the nonprofit's website, Facebook and other outlets so people know where and when they can volunteer.

At the cleanup sites, Pregracke's passion for the work is contagious, and his humor creates an upbeat atmosphere -- something he knows is necessary for the work that they do. His team uses skits, mock motivational speeches and music to get the volunteers amped up, and sometimes they might find themselves doing a little karaoke on their DJ boat.

"We do everything in our power to get people excited about it," Pregracke said. "We want people to leave feeling good about what they did so they'll come back."

Teams also compete to see who can find the "best" garbage -- a poker-like game in which two bowling balls tops three refrigerators and a message in a bottle trumps everything. Pregracke has accumulated what he believes is one of the world's largest message-in-a-bottle collections, having collected 64 over the years.

"Picking up garbage, it's tough, miserable and hot. We try to make it fun," he said.

At the end of the day, the volunteers head back to shore and make a human chain to bring the day's haul onto the barge and sort it out. Close to 90% of what they recover is recycled; Pregracke says the rest gets disposed of properly.

He believes that volunteers get a huge sense of accomplishment from seeing the garbage piled up at the end of the cleanup, and he considers that just as important as the amount of trash they help collect.

"(I'm) creating a chance for people to go out there and do something positive," he said. "Talking is great, but it doesn't do much at all. Action is what I'm about."

Throughout the year, Pregracke's flotilla travels on rivers throughout the Midwest. For the past three years, the group has visited Memphis, Tennessee, each spring to help clean up a harbor on the Mississippi River where the waters are thick with debris. During their most recent visit, they collected more than 120,000 pounds of garbage in 14 working days.

"It's a really negative deal, the worst thing I've ever seen ... (but) I've never been to a city that's had more people coming out saying, 'Let's do something about this.' It's a cool thing," Pregracke said.

In addition to the river cleanup, Pregracke has launched a floating classroom barge, where his staff educates high school students and teachers about the damages of pollution on river ecosystems. And in 2007, his nonprofit implemented a program to plant 1 million trees along river shorelines to protect and restore the natural environment. The group is halfway to its goal.

Pregracke says his nonprofit has already held more than 700 cleanups on 23 rivers, but he says that he's just getting started. He views his work as a different kind of service to the country.

"A lot of people call me a conservationist or an environmentalist, but the thing is I'm no different than anybody else," he said. "I just want to be known (as) a hardworking American."

Ultimately, Pregracke says, his message is about much more than cleaning rivers. He believes his story is proof that anyone can make a difference:

"If I had one thing to say, it wouldn't even be about rivers necessarily. It would be about finding (a) cause that's dear to you and taking action. ...

"Change is slow, like a barge or train, (but) once it builds momentum, it's hard to stop."

Want to get involved? Check out the Living Lands & Waters website at www.livinglandsandwaters.org and see how to help.

@highlight

Chad Pregracke is dedicated to cleaning the Mississippi River and other U.S. waterways

@highlight

He and his staff organize community cleanups across the country

@highlight

They have a fleet of boats to get the job done, and they try to make cleanup fun for volunteers