India has an unlikely new public health hero: a giant, anthropomorphic stool that chases people to squat in toilets.

Mr Poo, who appears in commercials accompanied by a groovy techno anthem, is the face of the latest public health campaign by United Nations Children's Fund in the country. With a bold and quirky approach unlike any previous awareness drives, the 'Poo2Loo' campaign seeks to bring people's attention to the health hazards associated with public defecation -- a deep-rooted social norm in the country's rural and urban slums

According to UNICEF, India has the highest number of people in the world -- an estimated 620 million -- who defecate in the open, creating a major public health hazard by leaving an estimated 65 million kilograms of waste each day. Only half of the population uses toilets.

With an animated video, a catchy song with 'toilet sounds', and even a smartphone application, the digitally-led campaign is targeted at the country's youth.

The campaign uses "quirky, informative and inspiring language," said UNICEF spokeswoman Maria Fernandez. "It also contains humour to better connect with the target audience. Once they [the youth] are exposed to the issue...they will be encouraged to know more."

Poo woes

The approach might be humorous, but the underlying issue isn't.

Open defecation is almost universal amongst the poorest 20 percent of India's population.

An absence of adequate toilets and water facilities is as much the reason for this as is a lack of awareness about proper sanitation and hygiene.

The number of toilets in the country is far below what is required, but even when community toilets are provided, many people in rural India continue to defecate in the open due to a lack of education about proper hygiene.

Projects such as the Total Sanitation Campaign -- a community-led program launched in 1999 to address the country's sanitation woes -- have boosted toilet facilities, but hundreds of millions of people remain without access to toilets.

There is also  a huge discrepancy between the government's data on the number of toilets built and what some reports claim. The Union Ministry of Drinking Water and Sanitation claims that more than 50 percent of the country's rural households were covered by the sanitation drive by 2010, while the last Census conducted in 2011 showed toilet coverage to be only around 30 percent.

Children most at risk

This is of particular concern for children in the country's rural pockets. Reports say poor sanitation is one of the major contributors to India's rampant child malnutrition numbers -- among the highest in the world.

UNICEF's figures show why. More than 28 million children lack access to toilets in their schools. They also face a huge risk of contracting bacterial infections, with over 44 percent of mothers disposing their children's waste in the open. Diarrhoea remains one of the top causes of child deaths in the country, alongside respiratory infections.

The issue of poor sanitation has also been raised by politicians as a priority for the next government.

"Whoever the prime minister is must lead a national movement to make the country open defecation-free in 10 years' time," Union Minister Jairam Ramesh told reporters in March.

The goal seems somewhat ambitious.

While there has been a 20 percent drop in the number of people defecating in the open in the last decade, India has a long way to go before it can meet the 2015 Millennium Development Goal target for sanitation, which requires 75% of the country to have access to sanitation.

India set itself the even loftier target of providing 100% of the rural population with access to toilet facilities by 2012, but that didn't materialize. In fact, the date keeps getting pushed further -- it was initially revised to 2015 and recently set back to 2022.

Using social media, UNICEF is trying to steer people's attention towards this largely taboo issue. However, questions remain about the impact of such an urban campaign, given that its target audience -- youngsters -- are mostly likely to be using toilets in any case.

To which, Maria contends, "If we keep silence, we are contributing to the problem. So the campaign tries to create noise so those who have actually toilets understand the issue and do something about it."

READ MORE: Bringing toilets and dignity to India's poor

@highlight

More than 620 million Indians still defecate in the open

@highlight

UNICEF's campaign aims to educate the youth about the health hazards associated with public defecation

@highlight

More than 28 million children do not have access to toilets in their schools, increasing risk of infections