(CNN) -- There is something innately messy about summer. The air's more pungent, bodies are stickier, and people seem more willing to make a mess. That must be why some of the world's filthiest festivals bide their time until the warmer months.

Mud pack

Glastonbury, which culminated Sunday, is the world's biggest music festival. But it's almost as renowned for its mud-splattered setting as it is the music -- indeed the festival is even credited with the invention of "mud surfing".

Rain boots are de rigueur for the event's 150,000 attendees, thanks in part to the U.K.'s typically soggy weather. This year was no different, with revelers arriving undeterred by the pouring rain.

"Sometimes, you'll see a fairly innocuous-looking shortcut between some tents that no one else seems to be using," recalls Rebecca Milford, a Glastonbury veteran. "You get halfway in only to discover it's actually a three-foot-deep mud hole. I was stuck for 30 minutes before some kind soul decided to pull me free."

iReport: Send us your best fireworks shots

While celebrating muck is only incidental at Glastonbury, at the Boryeong Mud Festival in South Korea, sludge is the main event. The festival started in 1998, when a local cosmetics company started making products using Boryeong mud -- which is highly regarded for its high mineral content. They launched the festival as a marketing initiative. It has since become one of the main events on the South Korean calendar, with over 2.6 million visitors attending last year.

This year, festivities start July 19. Prospective attendees can expect the usual mix of messy attractions, namely, mud fights, mud slides, mud baths, mud wrestling and a mud marathon.

Food fights

La Tomatina is perhaps the most famous gastronomy-themed gathering, though the celebrated produce in question (tomatoes) gets thrown, not eaten. Last year, 45,000 revelers joined the red riot in Buñol, Spain. Though the event has become increasingly well-known, veterans say there's no preparing for the juicy onslaught.

"People start partying in the street and building themselves up into a frenzy. Then the trucks roll out and a mass of red shoots into the air. Next thing you know, you're diving in there and face-washing strangers with tomatoes," says Corey Kirkham, a guide with Top Deck Travel, which annually offers tours of the festival.

Over 150,000 tomatoes get chucked during La Tomatina, and Kirkham says that a shower isn't always sufficient in washing away the remnants of the event.

"The next day you're finding tomatoes everywhere, and still cleaning stuff out of various parts."

This year's event is slated for August 28, though for the first time there will be a limit on the number of participants. Only 20,000 will be allowed in, and those attending will need to procure tickets beforehand.

Still, there are several other, less-known festivals dedicated to the art of food-throwing. On June 29, thousands of winos gather in Haro, Spain, a small town in the Rioja region, to drench each other in reserve stocks of the area's signature vino. The event is known as La Batalla del Vino, or the Wine Fight.

According to the organizers, the festival dates back to the 13th century, and started as a land dispute that ended in some upended wine. To commemorate that first battle, attendees come armed with buckets, water pistols, wine skins, and various other receptacles to get things flowing.

Toby Paramor has been organizing tours through Stoke Travel for four years. He notes that clean-up isn't always straight forward.

"You smell like wine for days," he says. Any clothes you bring to the event will be stained eggplant by the end, so it's best to consider anything worn on the day disposable.

Body of work

Sometimes, mess is merely the byproduct of a spectacular work of art. That's doubly true when bodies are used in place of a canvas, as is the case at the World Bodypainting Festival in Pörtschach, Austria.

The event, which kicked off July 1, started as a small gathering 16 years ago with 20 artists showcasing their work. Today, 30,000 people attend yearly. Festival organizer Denise Molzbichler says the artwork has become more sophisticated, pulling in professional makeup artists from around the world. Models aren't merely painted (often with a sponge of airbrush), but bedazzled, sculpted and adorned with elaborate headpieces. Prosthetics are also commonly used in crafting the type of fantastical characters usually reserved for a sci-fi epic.

One of Molzbichler's favorite examples, she says, was when an artist painted three separate models and posed them to look like a motorcycle.

"It was fascinating, because you couldn't recognize where the people began and ended. All you saw was the motorcycle," she recalls.

Several bands play throughout the festival, though the art is definitely the key component. Molzbichler says she hopes the festival will help redefine how people view the practice.

"We want people to understand that body painting is an art form. It's not just about coloring in some bodies," she says.

@highlight

Glastonbury, the world's biggest music festival, is credited with inventing "mud surfing"

@highlight

La Tomatina is probably the best known food-themed gathering

@highlight

This year, the event will be limited to 20,000 participants, with tickets on sale in advance

@highlight

At the annual World Bodypainting festival in Austria, artists paint models to resemble works of art