Irbil, Iraq (CNN) -- Iraqi President Fuad Masum nominated a new Prime Minister on Monday, further complicating the country's intense power struggle amid a dire humanitarian crisis and a militant threat strong enough to draw U.S. air power back to the fray.

In a ceremony attended by key members of the main Shiite bloc in Parliament, Masum nominated Haider al-Abadi to succeed a defiant Nuri al-Maliki, who had earlier vowed to hang on to power.

It wasn't clear what impact the situation would have on the country, which is already torn by a threat from Islamist militants so brutal that they crucify people and brag about it online.

But in a sign that al-Maliki wouldn't go quietly, he later appeared with mostly junior members of his party who announced that they would contest Masum's decision in court.

"I've never seen Iraq so bad -- ever," CNN national security analyst and former CIA operative Bob Baer said Monday, before the latest political developments.

Here's where things stand after a few days of dizzying developments:

Tension in Baghdad

The new Prime Minister-designate, Abadi, is the deputy speaker of the Iraqi Parliament and a former aide to al-Maliki.

Masum nominated the prominent Shiite politician for the prime minister's job on Monday despite al-Maliki's pronouncement earlier in the day that he intends to stay in office for a third term.

Abadi will have 30 days to form a new government before he can formally take office.

Abadi appears to be backed by leading members of the leading parliamentary coalition, including Iraq's foreign minister and the Dawa party's spokesman, who appeared with him at the ceremony formalizing his nomination.

Whether al-Maliki would use force to retain power remains unknown.

He spoke out against the nomination Monday, describing the appointment as "null and void."

"I say to all of you fighters on the front lines ... the army ... the police ... remain in your places and do not worry or be shaken over the constitutional violation," al-Maliki said. "We will repair the mistake."

More directly, he added: "No one has the right to do anything ... without my permission."

On Sunday, Iraqi forces and tanks surged into some Baghdad neighborhoods as a wave of troops swarmed Baghdad's green zone, the secure area where many government buildings and the U.S. Embassy are located, two Iraqi police officials said.

Exactly what led to the surge remains unclear. But some believe the beefed-up military presence was part of a power struggle between al-Maliki and Masum.

Kirk Sowell, author of "Inside Iraqi Politics," said the end of al-Maliki's eight-year rule appears near.

"Potentially, I wouldn't exclude the possibility that Maliki would try some sort of coup," Sowell said. "I would exclude the possibility that it might succeed."

Al-Abadi welcomed

Abadi's appointment met with international approval.

British Foreign Minister Philip Hammond welcomed the move, as did Nikolay Mladenov, the special representative of the United Nations secretary-general for Iraq. Mladenov urged swift movement toward appointment of a new government.

"It is important now for all political groups in Parliament to cooperate in forming an inclusive government that reflects the wishes of the Iraqi people for security, prosperity and democracy," Mladenov said.

U.S. President Barack Obama and Vice President Joe Biden called Abadi to congratulate him.

Obama praised his Iraqi counterpart for naming a new prime minister-designate, calling it an important step to unite Iraq's communities and urging Abadi to create a new Cabinet as quickly as possible.

"The only lasting solution is for Iraqis to come together and form an inclusive government," Obama told reporters.

U.S. Secretary of State John Kerry similarly cheered the nomination in a statement.

"The United States applauds President Masum's fulfillment of his constitutional duties and urges the Prime Minister-designate to form a government that is representative of the Iraqi people and inclusive of Iraq's religious and ethnic identities," it read.

"The United States will continue to support Iraq's democratic process and stand with the Iraqi people in their fight against terrorism."

Airstrikes against ISIS

The U.S. military conducted airstrikes on four ISIS checkpoints and multiple ISIS vehicles near Mount Sinjar to help protect the Yazidi civilians in the area, U.S. Central Command said in a news release Monday.

U.S. airstrikes against ISIS targets have dispersed the group's fighters and forced them to travel more discreetly, a U.S. official who was not authorized to speak publicly told CNN the same day.

The airstrikes -- authorized by President Obama last week to protect Iraqi minorities as well as U.S. personnel aiding the Iraqi army -- also appear to have at least temporarily stopped the militant advance on Irbil, the official said.

"They had been acting with impunity," the official said. "Now they realize they cannot travel up and down the roads in large groups."

U.S. and Iraqi aircraft struck ISIS targets over the weekend, killing dozens of ISIS fighters, according to officials.

Also on Monday, U.S. officials confirmed the United Stats is shipping weapons directly to Kurdish forces fighting ISIS in northern Iraq. So far, the shipments have come from the CIA, two U.S. officials said.

Humanitarian nightmare

In their effort to create a caliphate across parts of Iraq and Syria, ISIS fighters have slaughtered civilians as they take over cities in both countries.

In Iraq, one of the most dire humanitarian nightmares is unfolding on Mount Sinjar, where tens of thousands of Yazidis have been trapped by ISIS fighters.

Dozens of people, including 60 children, have died on the mountain, where the Yazidis are battling extreme temperatures, hunger and thirst.

About 20,000 were reportedly able to escape overland to Syria over the weekend.

Iraqi Ministry of Human Rights spokesman Kamil Amin said Kurdish forces were able to break the siege by ISIS and help stranded Yazidis board trucks, which drove them to the Syrian border town of Hasaka. They were then driven north along the Syrian-Iraqi border to Dohuk in northern Iraq's Kurdish region.

Iraqi security forces also have been able to airlift about 100 to 150 people to safety each day, said Marzio Babille of UNICEF, the United Nations' children's agency.

On Monday, CNN's Ivan Watson went to the mountain with Kurdish peshmerga fighters on an Iraqi air force helicopter that had to pass over ISIS fighting positions, guns blazing, to reach the Yazidis.

"They flew in shooting; they flew out shooting," he said.

They dropped off food and supplies and carried about 20 people away to safety, hauling them aboard in a chaotic scene.

"These people were weeping," Watson said. "There was not a dry eye on the aircraft."

'Heroic' mission rescues desperate Yazidis from ISIS

Yazidis are part of one the world's oldest monotheistic religious minorities and have been targeted by ISIS. Their religion is considered a pre-Islamic sect that draws from Christianity, Judaism and the ancient monotheistic religion of Zoroastrianism.

"We're working with international partners to develop options to bring them to safety," Obama said Monday. "Our aircraft remain positioned to strike any terrorist forces around the mountain who threaten the safety of these families."

On Sunday, Iraqi Ministry of Human Rights spokesman Kamil Amin said it was possible that as many as 500 Yazidis had been killed. The ministry had also heard reports -- but had not confirmed -- that some had been buried alive.

Who are the Yazidis? Why does ISIS want to kill them?

"It's difficult to be accurate about these numbers, but initially we have reported 500 Iraqi Yazidis have died from either ISIS direct killings or from starvation and dehydration," Amin said. "We have heard some reports from activists and local journalists that some families were buried alive."

CNN is unable to authenticate reports about the Yazidi death toll or the allegation that some were buried alive.

On Sunday night, the U.S. military made a fourth airdrop of food and water to Iraqis stranded on Mount Sinjar, according to U.S. Central Command. In total, U.S. military aircraft have delivered more than 74,000 meals and more than 15,000 gallons of fresh drinking water, Centcom said.

Britain and France have said they will join the United States in the airdrops. A British C-130 cargo plane delivered aid to Iraq on Sunday, a Ministry of Defense spokesman said.

'A catastrophe': Yazidi survivor recalls horror of evading ISIS

Officials: ISIS recruiting on the rise in Sunni areas of Iraq

Could ISIS retaliate against the West?

Holly Yan reported and wrote from Atlanta; Anna Coren reported from Irbil. CNN's Mohammed Tawfeeq, Catherine E. Shoichet, Ashley Fantz, Elise Labott, Chelsea J. Carter, Barbara Starr, Hamdi Alkhshali, Ali Younes, Laura Koran and Ivan Watson also contributed to this report.

@highlight

NEW: United States carries out airstrikes on ISIS checkpoints, vehicles

@highlight

U.S. President Barack Obama calls for an inclusive government

@highlight

Nuri al-Maliki slams the political appointment as "null and void"

@highlight

Iraqi President nominates Haider al-Abadi to replace the defiant al-Maliki