(CNN) -- Dr. Kamiar Alaei and his brother, Dr. Arash Alaei, have been called pioneers for their community-based approach to HIV and AIDS in Iran.

Since opening a hometown clinic in 1999, the men have been raising awareness about HIV, dispelling myths about the virus and treating people who are shunned because of it. They have also reached out to their neighbors in Afghanistan and Tajikistan and worked with medical universities in Europe and the United States.

But in 2008, the Alaeis were arrested by the Iranian government. According to Kamiar, they were charged with "communication with an enemy government" and for trying to "overthrow the government." Kamiar says the charges had no merit, but he and his brother were found guilty and thrown into Iran's notorious Evin prison.

Kamiar served most of a three-year sentence and was released in October 2010. His brother is still behind bars.

CNN's Asieh Namdar recently caught up with Kamiar to talk about his work, his prison sentence and his relentless campaign for his brother's freedom.

Asieh Namdar: What it is like to be an HIV doctor in Iran today?

Dr. Kamiar Alaei: I can't answer for every doctor. But for my brother and I, it was about helping people and making a contribution to the public. We wanted to do it regardless of the country's political situation or whether or not our efforts were recognized.

In Iran, there's also a stigma (against people with HIV and the condition it causes, AIDS). We wanted to make sure patients are not isolated and are not discriminated (against).

Namdar: How do you reduce the social and cultural taboos associated with it?

Alaei: It is not easy. The "a-ha" moment for me came in 1997 when I met a 19-year-old patient from Azerbaijan seeking treatment in Iran. He was isolated in a small unit, and when I asked the nurses why he was isolated, they said, "He has AIDS, he's scary." For me, that was the turning point.

I started to talk to my brother about how we can change perceptions. We set up our first clinic in my hometown of Kermanshah, where people knew and trusted us, and we had a lot of contacts. Our goal was to create a clinic where everyone can come. ... We didn't want our patients to get labeled by others for coming to "an AIDS clinic," so we provided our services in a known reproductive and family planning center. Only we knew the reasons people came in.

Namdar: How much freedom and support did you have from the government to be able to do what you wanted to do?

Alaei: We had the support of the president of a medical university because in Iran, the system of public health care is part of the medical university system. We also had the support of his deputy, who was the commissioner of health for the province. That was a great start.

We engaged not just the patients, but their families. We talked to them about how HIV can be transmitted, what was true and what was a myth. We involved the local policymakers, clergies and religious leaders. Once we gained people's trust, our cases increased from one to two a week to 60 to 80 per day in six months.

Namdar: What about financial help?

Alaei: In the beginning, we struggled. We ran the clinic mostly on contributions from the local community, the university and volunteers. But later on, we got funding from The Global Fund. They support the fight against HIV/AIDS, tuberculosis and malaria.

Namdar: You've been called pioneers, and your work has been called revolutionary -- a model for the rest of the Middle East. Can you explain your approach?

Alaei: Our approach was community-based. We wanted to inform, involve and engage different parts of community. We wanted to provide everything in just a one-stop shop of sorts: prevention, treatment and social support, all in one place.

In the U.S. and Western countries, patients usually seek medical treatment in one place and counseling in another place. But in Iran, we only had one chance to make a difference. Because these patients come for the first time, it may be the only time they come. So you have a one-time opportunity to keep them motivated so they can continue their treatments.

Namdar: How did the 2005 election of President Mahmoud Ahmadinejad change things for you?

Alaei: When we began our work in AIDS in 1997, there was a positive atmosphere to implement our ideas. When the new administration came, there was less focus on HIV/AIDS and the high-risk groups. It didn't seem to be a priority.

Namdar: Let's talk about your trip to Iran that landed you and your brother in jail. Why would they arrest two doctors who were doing so much good?

Alaei: I still haven't figured that one out. We were doing a lot of work outside Iran. We started helping our neighbors, Afghanistan and Tajikistan. We also started to collaborate with universities in Europe and the United States. We got involved with Johns Hopkins, Yale, Harvard.

I have to be clear. All our work was focused on health and science. It was never about politics. When we were arrested, I was shocked and I thought they must have the wrong people.

Namdar: What were the charges?

Alaei: For the first seven months, there were no formal charges. Later we were charged with "communication with an enemy government" and for trying to "overthrow the government." None of it was true. We had done nothing wrong.

Namdar: How do you feel about the fact your brother is still in jail and you're out?

Alaei: It's the worst feeling. I wish sometimes I was in prison and he was out. But if we were both in prison, we couldn't help each other. Now that I'm out, I can campaign to raise awareness about his case.

We've been lucky and privileged to have so much support from the international community. We were recently honored by the Global Health Council with the prestigious (Jonathan Mann) Award for Global Health and Human Rights. I also got the opportunity to talk about my brother and his contributions at an international AIDS conference in Italy last month.

Namdar: Do you think talking about your brother's case could hurt his case instead of helping it?

Alaei: This is a very difficult question, and something I struggled with. It's one of the reasons I decided to say nothing for months after my release.

My brother is halfway through serving his sentence, and we've heard nothing. So I feel I have a responsibility to raise awareness about his case.

Namdar: What are your plans for the future? Do you want to go back to Iran?

Alaei: My immediate concern is my brother. I wake up wondering what's he's doing and how he's holding up. My heart is with him. I try to focus on my work as a scientist and finishing my doctorate at the University at Albany.

As far as going back to Iran, I have nightmares of being back in prison. It depends if I can be useful in helping HIV patients.

Predicting government reactions in Iran is difficult. I would love to go, but at this time I would think that I cannot go. But it does not stop me working on this issue.

Namdar: What is the biggest lesson you've learned from this process?

Alaei: If you believe in what you are doing and love it, never give up, never get discouraged. Even in my darkest hours in solitary confinement, knowing we had helped so many patients gave me hope and the will to continue.

@highlight

Two brothers have been globally recognized for changing how HIV, AIDS are treated in Iran

@highlight

Both were arrested by the Iranian government and sentenced to prison

@highlight

Dr. Kamiar Alaei spent more than two years in prison; his brother, Arash, remains jailed

@highlight

Kamiar: "All our work was focused on health and science. It was never about politics"