Beijingers are once again choking as smog levels hit "heavy or even worse" levels in the capital and a number of other cities across the country.

Persistent problems with city air have prompted officials and entrepreneurs to consider ways to protect their citizenry from the pollution.

Beijing was under an "orange" smog alert Monday, which marks the first time the second-highest warning level of a new system introduced last year has been raised. The National Meteorological Center (NMC) Tuesday continued the alert for another 24 hours.

Capital measures come amid fog of pollution

Heavy smog routinely blankets the capital, all but blotting out the sun and forcing residents inside. Australian Open champion Li Na revealed she's had to train indoors in Beijing due to the high levels of pollution, while smog across most of northern and eastern China has prompted officials to send teams of investigators to the worst-hit parts of the country.

Officials at the Ministry of Environmental Protection cited "unfavorable meteorological conditions and firework and firecracker spree(s)" as the cause of the heavily polluted air. China's Lunar New Year celebrations, which took place earlier this month, are often accompanied by firework displays, and neighborhoods resound with the sound of firecrackers.

The air pollution index recorded levels of over 400, referring to the number of PM2.5 -- harmful particulates measuring 2.5 microns or larger -- per cubic meter of air. The World Health Organization recommends guideline values of 25 PM2.5 in a 24-hour period.

The smog is expected to ease towards the end of the week.

Many are at least trying to tackle the matter themselves. From ubiquitous air filters in people's homes to the near-mandatory facemasks that Beijingers wear outdoors on heavily-polluted days, personal health is a priority. Given the restrictions in place on residents -- particularly the young and the elderly -- when the warnings go up, some more extreme measures have been taken.

Life under the dome

The International School of Beijing has taken to shielding their young charges from the city's air as the next logical step. At a cost of $5 million, the school has constructed two domes that enclose the entirety of its outdoor areas, allowing students to play and exercise year-round, regardless of how smoggy life is outside the enclosure. While it is a costly solution, other schools, alongside sports facilities and even wealthy individuals are placing orders. Until the skies clear, life in the bubble seems surprisingly good.

The world's factory

China's aggressive economic growth model means that heavy industrial activity also contributes heavily to the degradation of the air quality. As part of their anti-pollution measures, some factories surrounding the capital -- Hebei is a huge steel-producing region -- have been forced to close temporarily following the raising of the orange alert.

Earlier in the year, the ministry upgraded emission standards for various heavy industries and waste disposal processes, upgrading protocols that were in some cases legacies of original standards, set in the 1980s before the onset of much of China's present industrial capacity. Problems, however, persist.

The Shanghai Academy of Social Sciences and the Beijing-based Social Science Academic Press released a report in early February which ranked the two cities towards the top of a list of the worst-polluted cities. Beijing ranked second, just behind Moscow.

Blue-sky thinking?

In the face of growing social unease at worsening environmental conditions, authorities are committed to rectifying the problem, and Beijing will allocate 760 billion yuan (about 124.64 billion dollars) to improve the city's air quality by 2017, Mayor Wang Anshun said last month at a municipal NPC meeting.

The figure includes incentives for clean factories, and the municipal government has also improved the case for electric vehicles (EVs) by granting subsidies and license plate lottery waivers to those buying Chinese-made cars, while switching government fleets to electric.

The country is one of the world's largest producers of green energy technology, although much of it is exported at present.

More ambitious fixes have been proposed, including more "meteorological support services" -- such as cloud seeding -- as well as a giant "vacuum cleaner" designed by a Dutch artist, and skyscraper-mounted sprinklers. These solutions, their inventors promise, will either trap or wash the smog away.

Naked run

A novel approach to highlighting the problem came on Sunday as more than 300 runners, according to official news sources, took to Beijing Olympic Park wearing no more than their underwear -- and in at least one instance a gas mask -- to join a "naked run" protesting the city's poor air quality.

The best defense is a good smog

A silver lining to the smog-cloud might be the military advantage it offers. Chinese military theorist Rear Admiral Zhang Zhaozhong told the Beijing Youth Daily that smog could be a defense against "laser weapons", given that heavy smog can impede or block the technology.

"Smog with PM2.5 readings of 500-600 is virtually impenetrable to lasers. In clear weather, laser weapons have a range of 10 kilometers, but smog can reduce this to less than 1 kilometer," he said, although later was forced to defend his remarks against accusations of naivety and advocating a reckless defense theory.

@highlight

Beijing experiences Orange smog alert for the first time

@highlight

Government and individuals put forward a variety of solutions to air pollution crisis

@highlight

Air pollution index scores of 400 far exceed recommended levels

@highlight

Economics trump environment as factories shown to be leading contributors