Washington (CNN)  -- President Obama has asked the Department of Health and Human Services to establish a rule that would prevent hospitals from denying visitation privileges to gay and lesbian partners.

The president's Thursday memo said, "There are few moments in our lives that call for greater compassion and companionship than when a loved one is admitted to the hospital. ... Yet every day, all across America, patients are denied the kindnesses and caring of a loved one at their sides."

Gay and lesbian Americans are "uniquely affected" by relatives-only policies at hospitals, Obama said, adding that they "are often barred from the bedsides of the partners with whom they may have spent decades of their lives -- unable to be there for the person they love, and unable to act as a legal surrogate if their partner is incapacitated."

When Lisa Pond collapsed during a family vacation in Florida three years ago, her partner of 17 years was kept away from her hospital room.

Janice Langbehn begged and waited for hours to stand by Pond's bedside at Miami's Jackson Memorial Hospital, but it wasn't until her partner's sister arrived that she got any information. In the end, the person Pond was closest to was relegated to a waiting room as she died from an aneurysm.

"To hold Lisa's hand wasn't a gay right, it was a human right," Langbehn told CNN on Thursday.

Obama requested that the regulation make clear that any hospital receiving Medicare and Medicaid funding, which includes the vast majority of U.S. hospitals, must allow patients to decide who can visit them and prohibit discrimination based on a variety of characteristics, including sexual orientation and gender identity.

Read the president's memorandum (PDF)

The president listed widows and widowers without children and members of certain religious orders among those who suffer under the policy.

The memo was welcomed by gays and lesbians, who have used the restrictions on hospital visitation as an argument in favor of same-sex marriage.

"In the absence of gay people being able to legally marry in most jurisdictions, this is a step to rectify a gross inequity," said David Smith, an executive at the Human Rights Campaign, the nation's largest gay rights group. "Because without gay marriage, much more inequities exist. It should be applauded."

Smith said the organization had been working with the Obama administration for months on the request, and that it was sparked by the case of an Olympia, Washington, lesbian couple who were kept apart as one died from an aneurysm while hospitalized in Miami, Florida. The rule would help hundreds of thousands of lesbian, gay, bisexual and transgender families, he said.

Obama's memo also requires the HHS regulations to guarantee hospitals honor all patients' advance directives, which include stipulations such as who should make health care decisions if the patient isn't able to do so. The memo also directs the department to look into any other health care barriers that pose challenges to such families and make recommendations to the president on them within 180 days.

He pointed out that North Carolina recently amended its Patients' Bill of Rights to give each patient "the right to designate visitors who shall receive the same visitation privileges as the patient's immediate family members, regardless of whether the visitors are legally related to the patient." Delaware, Nebraska and Minnesota have adopted similar laws, the memo said.

For Langbehn, a call from Obama about the order was a humbling experience. For years, she pressed the Florida hospital for an apology, and never got one. On Thursday, she received an apology from the president for how her family was treated.

The key part of the new rule would be that patients would have the right to pick their "circle of intimacy," Langbehn said, which means her partner "didn't die in vain."

CNN's Anderson Cooper, Devon Sayers and Samira Simone contributed to this report.

@highlight

Rule sought to allow gays, lesbians to visit hospitalized partners

@highlight

Many hospitals have relatives-only policies; rule would allow patients to decide

@highlight

Gay and lesbian Americans are "uniquely affected" by those policies, Obama says