(CNN) -- Radovan Karadzic, the Bosnian Serb leader on trial for genocide during the Balkan wars, claimed he's "tolerant" and blamed ethnic rivals for plotting violence.

"It was no secret to anyone" that Muslims and Croats planned a massacre of his Serbian people after Yugoslavia disintegrated, said Karadzic, who opened his defense Tuesday at the International Criminal Tribunal for the Former Yugoslavia at The Hague in the Netherlands.

"We could see it. It was obvious," said Karadzic, who faces multiple counts for a range of war crimes.

The breakup of the multiethnic communist Yugoslavia in the early 1990s led to the bloodiest conflict on the European continent since World War II.

Karadzic's Bosnian Serb forces have been accused of ruthlessly working to oust Muslims and Croatians from regions claimed to be Serbian, actions that have come to be known as "ethnic cleansing."

But Karadzic, 67, tried to make a case for himself as a humanitarian leader without designs to commit mass crimes.

How the world took a step closer to ending impunity

"I never allowed for the possibility of even the smallest individual crimes, and especially not crimes on a mass scale, nor the possibility that any of the communities would be permanently removed from the Serb territories," he said.

"I should have been rewarded for all the good things that I've done," he said. "I did everything within human power to avoid the war and to reduce the human suffering of all civilians."

Karadzic has been charged in connection with three high-profile actions in the war. One is the notorious massacre of about 8,000 Muslim men and boys at Srebrenica in Bosnia and Herzegovina. That event has come to symbolize the brutality of the Balkan wars.

Another is the "permanent removal of Bosnian Muslims and Bosnian Croats from the territories of Bosnia and Herzegovina claimed as Bosnian Serb territory."

He is charged for a role in overseeing the actions known as the "siege of Sarajevo," sniping and shelling by Bosnian Serb forces in the Bosnian capital that killed and wounded thousands of civilians.

But Karadzic defended his actions and said he has "nothing against Muslims and Croats." A trained psychiatrist, he called himself a "mild man" and a "tolerant man, with a great capacity for understanding others."

That brought a shout of "liar" from The Hague gallery.

Karadzic was indicted in 1995. After hiding in plain sight for more than a decade, he was captured in Belgrade, Serbia, in 2008. He had adopted an elaborate disguise that included long hair and a full beard, and was practicing alternative medicine in the Serbian capital.

The trial began in 2009, but Karadzic failed to attend the proceedings several times because he said he didn't have enough time to prepare.

Genocide count dropped in Karadzic trial

The court allowed him to represent himself, with the provision that a standby lawyer will take over if he refuses to attend court.

Karadzic made opening statements in March 2010. The prosecution began presenting evidence in April 2010 and rested its case in May. The ICTY said the trial is expected to finish in 2014.

Karadzic, Bosnian Serb military commander Ratko Mladic and Yugoslavian President Slobodan Milosevic have been the highest-profile suspects on trial at the ICTY.

Mladic was captured last year and is also on trial for charges such as genocide. Both Karadzic and Mladic would face life in prison if convicted. The court cannot impose the death penalty.

Milosevic died while on trial at The Hague.

During the 1990s and the early 2000s, conflict raged in Bosnia, Croatia, Macedonia and Kosovo, a Serbian territory dominated by ethnic Albanians.

An estimated 140,000 people died in the wars, ICTY head of communications, Nerma Jelacic, told CNN. Around 100,000 deaths occurred in Bosnia, she said.

Yugoslavia's six republics -- Serbia, Croatia, Slovenia, Bosnia, Montenegro and Macedonia -- are now independent countries. Kosovo broke away from Serbia and declared its independence several years ago.

The tribunal has indicted 161 people for international law violations in the former Yugoslavia. The tribunal said "the most significant number" of its cases dealt with alleged crimes by Serbians or Bosnian Serbs. But there have been convictions for crimes against Serbs by others, including Croats, Bosnian Muslims and Kosovo Albanians.

The trial of the last Yugoslavian war crimes suspect at large also started Tuesday, with proceedings beginning against Croatian Serb rebel leader Goran Hadzic. Appeals in some of the cases are expected to last until 2016.

CNN's Dominique Van Heerden contributed to this report.

@highlight

Radovan Karadzic is accused in the Srebrenica massacre, in which about 8,000 Muslims died

@highlight

His charges stem from the violence during the breakup of Yugoslavia in the 1990s

@highlight

Karadzic disguised himself and hid in plain sight for more 13 years before his capture

@highlight

He could face life in prison if convicted