Washington (CNN) -- The House of Representatives passed a slightly altered health care "fixes" bill Thursday night, completing legislative action on President Obama's top domestic priority.

The so-called "fixes" bill, approved by a 220-207 vote, now goes to Obama to be signed into law. It makes changes in the broader health care reform measure that Obama enacted Tuesday.

Approval by both the House and Senate on Thursday concluded a tortuous legislative struggle for the health care reform legislation, which received no Republican support in any of the major votes in either chamber dating back to last year.

How will health reform affect you?

"This is a very proud night in the history of this Congress," House Majority Leader Steny Hoyer told reporters, adding he expected Obama to sign the measure next week. Thursday's vote "completes the process of a bill that has been in the making literally for a century, and certainly for decades," said Hoyer, D-Maryland.

The "fixes" bill also included provisions to shift government funding for student loans away from commercial banks to new education initiatives. Until now, commercial banks have received federal subsidies for student loans.

Earlier Thursday, Senate Republicans forced two minor provisions involving the student loan funding to be stripped from the bill -- changes that required the House to take up the bill a second time but had no effect on the broader health care bill that took effect Tuesday.

A Senate Republican Budget Committee memo said the violations raised by GOP senators involved Pell grant spending that won't immediately affect the federal budget, and therefore was ineligible for inclusion in the measure. That's because the measure was being passed under reconciliation rules, which apply only to budget-related measures.

After the changes, the Senate approved the bill on a 56-43 vote to send it to the House a second time.

On Sunday, the House passed both the overall health care bill and the accompanying fixes bill as part of a complicated legislative process necessary to overcome unanimous Republican opposition.

Republicans used every parliamentary tool available to try to undermine both the overall health care  bill and the fixes measure. They forced the Senate to begin deliberations on a series of proposed amendments starting Wednesday night. The Senate did not adjourn until 2:45 a.m. Thursday.

The Senate reconvened at 9:45 a.m. to consider additional GOP proposals which, among other things, were designed to force Democrats to cast unpopular votes in the run-up to November's midterm elections.

The Democrats' fixes bill was necessary to get a reluctant House to pass the Senate's health care reform measure unchanged. If there had been any changes to that initial bill, it would have had to go back to the Senate for another vote, which almost certainly would have failed. Since a special election earlier this year in which Democrats lost the Senate seat formerly held by Sen. Ted Kennedy, the party has not had enough votes to overcome a Republican filibuster.

That situation prompted the two-bill strategy Democrats are using. After passing the Senate bill without changes, House Democrats passed the fixes bill Sunday to alter provisions they did not like. Because the bill was being handled under the reconciliation rules in the Senate, only 51 votes were needed for passage.

The compromise package added more than $60 billion to the overall plan's cost partly by expanding insurance subsidies for middle- and lower-income families. Specific provisions included:

• Closing the Medicare prescription drug "doughnut hole" by 2020. Under current law, Medicare stops covering drug costs after a plan and beneficiary have spent more than $2,830 on prescription drugs. It starts paying again after an individual's out-of-pocket expenses exceed $4,550. Senior citizens stuck in the doughnut hole this year will receive a $250 rebate.

• Raising the threshold for imposing the so-called "Cadillac" tax on expensive health insurance plans to coverage valued at more than $10,200 for individuals and $27,500 for families. The tax won't kick in until 2018.

• Imposing an additional 3.8 percent Medicare payroll tax on investment income for individuals making more than $200,000 a year and couples making more than $250,000 a year.

• Eliminating a special exemption for the state of Nebraska from all new Medicaid expenses -- known as the "Cornhusker Kickback." The federal government will instead assist every state by picking up 100 percent of the costs of expanded Medicaid coverage between 2014 and 2016, and 90 percent starting in 2020.

• Reducing the fine for individuals who do not purchase coverage from $750 to $695.

• Increasing the fine on large companies failing to provide health coverage for workers from $750 to $2,000 per employee.

The compromise package would add more than $60 billion to the overall plan's cost partly by expanding insurance subsidies for middle- and lower-income families. It also would expand Medicare's prescription drug benefit while scaling back the bill's taxes on expensive insurance plans.

Among the GOP amendments to the fixes bill defeated by Democrats were a provision to eliminate new penalties being imposed on businesses whose workers use federally subsidized insurance.

In addition, Sen. Tom Coburn, R-Oklahoma, proposed that drugs for erectile dysfunction, such as Viagra and Cialis, be prohibited to sex offenders, and Sen. John McCain, R-Arizona, sought to strike so-called "sweetheart deals," such as an extra $300 million in Medicaid funds for Louisiana.

Republicans are "not serious about helping this bill," Senate Majority Leader Harry Reid, D-Nevada, said Wednesday. They are concerned only with "throwing roadblocks in front of anything we do."

Republicans raised points of order against the fixes bill on two provisions, and the Senate parliamentarian ruled them legitimate. Democrats lacked the 60 votes necessary to override the ruling.

CNN's Ted Barrett, Tom Cohen, Alan Silverleib, Lisa Desjardins and Deirdre Walsh contributed to this report.

@highlight

NEW: House passes Senate health care "fixes" bill by 220-207 vote

@highlight

The vote ended legislative action on Obama's top domestic priority

@highlight

Senate Republicans had found violations in two provisions, forcing bill back to House