On Long Island Sound (CNN) -- On Friday morning, I boarded a leaky oyster boat in Connecticut with a captain who can't swim. Our destination: Manhattan, 84 miles down the coast. Mission: don't drown get world leaders to act on climate change.

If anyone can accomplish that herculean task it should be Bren Smith, a 42-year-old oysterman off the coast of Branford, Connecticut, who has become a sort of reluctant poster boy for doing something about the crisis instead of just talking about it.

Bren's oyster beds were wiped out twice by hurricanes, once by Irene and then, a year later, by Sandy. Warming waters and ocean acidification aren't helping his business model, either. But instead of giving up, he's currently helping to pioneer new techniques for "ocean farming," growing, among other things, kelp seaweed for use in pasta, martinis and biofuel.

That he can't swim hasn't stopped him from spending his life on the ocean, which he loves. ("The world disappears; it doesn't exist when you're out here," he said, bouncing over 3- and 4-foot waves). And that he, single-handedly, can't stop climate change didn't stop him from driving his boat down the coast to attend the People's Climate March in New York on Sunday, which is being billed as the largest public demonstration for climate action to date.

"This isn't a shtick. I actually believe in this," he said of the reason he's boating from Connecticut to New York for the rally. "I love the ocean. I want to protect it."

Bren -- who described himself as being "on the front lines of the this crisis" -- will be one of the most important people to attend Sunday's People's Climate March, which is expected to draw more than 100,000 protestors ahead of United Nations climate summit on Tuesday. He's essential to the international climate conversation for two reasons. One, he's a witness to the reality of climate change today -- here and now and in America. Too often we think of this as an Arctic-only problem, or a 100-years-in-the-future problem. It's actually both urgent and local, as Bren and so many others can attest. And two: Instead of just griping about the changes, he's actually doing something to help.

"This isn't a story of giving up," he said. "This is a story of hope."

Preach, brother.

We all have a lot to learn from Bren.

Opinion: Why climate change is an 'everybody issue' now

I was lucky enough to get to join him and his co-conspirator, Ron Gautreau, 52, on the 7Â½-hour journey from the Thimble Island Oyster Co., near Branford, Connecticut, to Pier 59 in the Chelsea neighborhood of Manhattan. We took Bren's 1983 workboat, which he calls "Mookie II," named for the Mets' legendary Mookie Wilson. It chugged along, past the mansions of Greenwich, Connecticut, and the industrial decay of Bridgeport, at a steady and slightly sea-sickening pace of about 17 mph.

He told me he took the boat instead of a car because traffic on Interstate 95 headed into New York is "f---ing hell" and because it's a fun bit of "political theater," inspired in part by 1970s protests in which farmers drove their tractors across the country to Washington to demand better farm policy.

Between bouts of losing our footing and hollering over the wind, I got to learn some of Bren's inspirational story. He grew up in in Petty Harbour, Newfoundland, a fishing village with 14 houses, as he tells it, at "the edge of the world." His parents were from New York and Connecticut, but moved there during the Vietnam War to dodge the draft. Their son took to the tiny village well, and started fishing at a young age. Because it was so remote, he said, it was a place where people were "fascinated with everything new."

It was a place of doers and makers, not complainers.

Bren's parents later moved him to the Boston area. People sat around too much, and he missed being out on the ocean -- subject to its moods, humbled by its strength. So, at 14, he dropped out and went to work as a commercial fishermen -- first in Massachusetts, then on the Bering Sea, where he saw 60-foot waves. He dreamed about the work even when he wasn't doing it -- fell in love with a life lived out on the water. It was so cold, he said, he never bothered to learn to swim. That's not uncommon among fishermen, he told me. The prevailing view: Swimming prolongs drowning.

He's no stranger to ecological catastrophe. He witnessed the collapse of cod populations in the Atlantic, which he said put many of his friends out of work. And then, when he'd established himself as an oysterman on Long Island Sound, the hurricanes came. While scientists say it's impossible to attribute any single storm to human-induced climate change, the warming atmosphere is expected to make hurricanes larger and more dangerous. And just as Bren rebuilt from one storm, the second hit. He lost 80% of his oysters and about half of his equipment, he told me.

"That just blanketed the farm and killed everything," he said.

Three days after Sandy hit, he told me, he got online and started researching alternative methods of oyster cultivation -- and new crops to "farm" in the ocean. He came upon the work of Charles Yarish, a professor at the University of Connecticut who studies seaweed cultivation. Yarish helped Bren devise a system, Bren told me, to grow kelp underwater in vertical columns, attached to buoys on the surface.

He calls the result a "3-D ocean farm" -- almost invisible from the surface, but capable of producing 10 tons of seaweed per acre per year, along with oysters, clams and mussels, some of which attach themselves to the towers of kelp. This vertical farming method might help prevent his entire operation from being wiped out if another storm swept through, pushing mud across the floor of Long Island Sound.

As part of a nonprofit called GreenWave, he's trying to help spread this idea to other "ocean farmers" by open-sourcing the model and teaching what he knows.

It's a success story, at least for now. Bren now says the hurricanes were among the best things to happen to him -- because they forced him to innovate, to come up with a new, better way of doing things. The kelp helps sink carbon from the atmosphere, and it processes nitrogen pollution from land-based farms. It doesn't require fresh water, which gives it an environmental leg up on traditional crops. Plus, he expects it to be more resilient in storms and warmer waters.

But the future is still uncertain.

"Unless the fossil fuels industry reduces their emissions, my farm won't last," he said.

He sees oysters and other ocean creatures as the canaries in the coal mine for climate change. Most of us are so distant from the oceans we don't see the change.

When we were pulling into New York, I asked Bren what he would do if the United Nations and world leaders continued to fail to act on curbing global carbon emissions. The meetings next week are largely seen as gathering political will ahead of more-formal talks in 2015.

But what if no one cares?

"I don't know," he said, calmly. "I'll just keep doing my part."

It's just the kind of guy he is.

It would help if elected officials operated with similar resolve.

@highlight

Hundreds of thousands are expected at the People's Climate March on Sunday

@highlight

The event is billed as the biggest climate change demonstration to date

@highlight

Among them will be Bren Smith, an "ocean farmer" in Connecticut

@highlight

CNN's John Sutter rides with Smith by boat from his farm to New York