Luay al-Khatteeb has spoken to CNN previously about the rise of ISIS, and the challenges facing the Iraq's new oil minister, Adel Abdul Mahdi. Now, U.S. airstrikes have hit locations in eastern Syria where ISIS has been using mobile refineries to produce oil. CNN has revisited the conversation to find out the likely impact of the strikes. This is al-Khatteeb's analysis of the situation.

What impact will the U.S. strikes on oil refineries have on ISIS?

The impact of these strikes on ISIS oil refineries are going to be immense and grave. If they are hitting the facilities and the oil convoys on the smuggling roads they will significantly disrupt supply and regular production. If the bombardments continue it will impact the energy supply and deny ISIS much-needed fuel for their mobility and the servicing of the communities under their rule -- now around 8 million people between Iraq and Syria. It makes sense to target the refineries rather than the oil fields, as the crude can't be used to drive the tankers. The crude can be sold but the refined oil is much more valuable.

The U.S. and its allies now need to clamp down on the borders to break the smuggling routes, particularly into Turkey. If the ISIS refineries are completely hit, the group will need to rely on oil being refined in Turkey via the black market. These roads now need to be closely monitored, there needs to be sharing of information and the cross-border networks need to be targeted.

How much oil does ISIS control?

ISIS, in control of a large swathe of eastern Syria, is now handling 60% of the country's oil assets and producing 50,000 barrels a day. This is not full capacity -- pre-conflict, the assets would have produced around 220,000 barrels a day out of the country's 385,000, according to Iraq Energy Institute figures. However, ISIS do control key oil fields including Al Omar, Tanak and Shadadi. ISIS also handle at least 25,000 barrels of oil a day in north and mid-west Iraq, but that is only a small slice of the country's total production.

This oil has found its way to the global economy through Turkey's southern corridor. This black-economy zone is known for its oil trades, smuggling antiquities from Iraq and Syria's ancient sites, and funneling thousands of jihadists to both countries.

Many observers see Turkey turning a blind eye on a zone that is actively contributing to the instability of the Middle East. Southern Turkey has become ISIS' safe haven for treating wounded fighters, a gateway for foreign jihadists, and a financial hub that brings ISIS over $3 million a day in oil money.

What should be done to tackle the black market in oil?

Now that ISIS are involved in trucking oil out of Iraq, Iraqi Kurdistan must better comply with the federal regulations and stop any trucking of oil for export not accounted for by the federal authority. There is a risk the oil would be mixed with other smuggled quantities by ISIS to Turkish black markets.

Moreover, the U.S. and the UN Security Council must enforce harsh measures on countries not doing enough to close down black markets contributing to transnational terrorism.

Iraq has a new oil minister -- how will he help?

This month, Adil Abdul Mahdi was appointed as oil minister. On his first day, he visited the besieged refinery of Baiji, which will help build respect for him in the industry. The facility has been under siege since ISIS occupied the city of Tikrit two months ago.

Abdul Mahdi is a senior politician with a background in economics, and his appointment is welcome news to international companies. However, as a non-oil veteran his leadership skills have yet to be tested.

He faces numerous challenges including resolving issues with the Kurdistan Regional Government, restoring the damaged petroleum industry and ramping up production to meet Iraq's planned target of nine million barrels per day by 2020, key objectives the government hopes to achieve within the next four years.

If he succeeds, his name will be immortalized in history as the savior of a united Iraq.

Will he be able to influence the fight against ISIS?

Although the ministry of oil has a few thousand affiliated security forces, their job is not counter-terrorism -- they are not trained to handle such missions. This task will be for the Iraqi special forces, intelligence services and the army.

However, he can help. The people of the Sunni-dominated provinces are hijacked by three issues. They are: ISIS, a lack of reconciliation and an uncertain economic future.

Abdul Mahdi could do more to push ISIS out of current Sunni-controlled provinces by promoting oil projects that offer local jobs and investment opportunities.

He could strike a deal with local tribes and businessmen to develop plans for the rehabilitation of their provinces, something that would need to be done as part of a wider reconciliation agenda.

After all, the rise of ISIS could have been avoided had there been real political conciliation and economic plans in place to resolve the country's challenges.

Abdul Mahdi can take some comfort from the fact around 90% of Iraq's oil production is in the south, and 10% is in Kurdistan Regional Government-controlled area, so the bulk of Iraq's super giant production centers are safe.

But without having the security situation resolved in Iraq's ISIS-controlled regions, it will be impossible to resume operations, let alone consider development of the oil and gas upstream sector in conflict zones.

What's the backdrop to Abdul Mahdi's appointment?

When ISIS invaded the Sunni-dominated part of Iraq, sympathetic Sunni insurgencies helped them expand into large areas of land, including seven oil fields with a total capacity of 80,000 barrels per day in Mosul, Tikrit and territories bordering Kirkuk.

By the end of June, 20,000 barrels had been reported as smuggled from the field of Ajil, traded at $25 to $60 per barrel. Later on, ISIS drew on oil in the fields of Hamrin, Qayyara, Ain Zala and Butma, pushing ISIS-controlled oil production to nearly 40,000 barrels per day.

With the help of local middlemen -- who control the supply chain by extracting oil, trucking it across territory trucking tankers, paying off border checkpoints and handling sales -- the northern part of the Arabian Peninsula has become a black-market zone funding transnational terrorism, led by ISIS and other Qaeda splinter groups.

Oil revenues have contributed to expanding ISIS recruitment, with the group's numbers now estimated to be in excess of 30,000.

@highlight

Luay al-Khatteeb says ISIS now controls 60% of Syria's oil assets and a slice of Iraq's

@highlight

The oil is sold through black market routes, particularly into Turkey

@highlight

Iraq appointed a new oil minister this month, who could help crack down on ISIS

@highlight

al-Khatteeb says the minister can assist by backing big oil projects that create jobs