Remember when vitamin C was hailed as the best, and maybe only, cold remedy? Then it became the Rodney Dangerfield of vitamins: It didn't get any respect.

Citrus and other sources of Vitamin C can help fend off cancer, strokes and Alzheimer's disease.

The nutrient's glory days of curing scurvy-riddled sailors via juicy citrus fruit seemed to be the only thing keeping its reputation afloat, particularly after a massive research review found C to be virtually useless for fighting colds. But don't believe it.

The truth is that scientists have taken a fresh look at C -- and have found lots of new ways it can help you stay healthy and look and feel younger. Here's the latest on what C can really do for you.

Prevent wrinkles

You can't pick up a beauty product these days without the label touting its antioxidants. There's a good reason: Antioxidants -- like vitamin C -- help turn back the clock.

An October 2007 study published in the American Journal of Clinical Nutrition found that people who ate foods rich in vitamin C had fewer wrinkles and less age-related dry skin than those whose diets contained only small amounts of the vitamin. C helps form collagen, which smooths fine lines and wrinkles, according to Patricia Farris, MD, clinical assistant professor of dermatology at Tulane University in New Orleans.

The key seems to be C's ability to fight free radicals, a by-product of cell metabolism in your body. Free radicals are thought to attack proteins, fats, and DNA and break down collagen. C also seems to guard against ultraviolet rays from the sun, which can lead to freckles and a mottled complexion. "Vitamin C does some repair and firming on the skin," Farris says. Health.com: Can you guess her age?

What to do now: Use a topical vitamin C treatment daily after you wash your face and before you slather on moisturizer or sunscreen so it penetrates the skin. Farris recommends La Roche-Posay Active C facial moisturizer or SkinCeuticals C E Ferulic topical antioxidant treatment.

Protect your heart

Experts continue to argue about whether antioxidants like vitamin C can prevent heart disease. But some of the evidence is highly persuasive. When Finnish researchers looked at studies involving nearly 300,000 people over 10 years, they found that taking more than 700 milligrams of C supplements daily reduced the risk of cardiovascular disease by 25 percent. And a recent study from Harvard University researchers hints that women who take a combo of 500 milligrams of vitamin C daily and 600 IU of vitamin E (another antioxidant) can cut their risk of stroke by 30 percent.

It's possible that people who take vitamin supplements simply have healthier lifestyles than those who don't, which could explain this finding. It's also possible, experts say, that C enhances the functioning of endothelial cells (which line the inside of all blood vessels), slowing artery clogging and lowering blood pressure.

What to do now: Eat a lot of fruits and vegetables, which are full of vitamin C as well as other healthy nutrients, and consider taking C and E supplements. Experts say there are essentially no risks, but first check with your doctor. Health.com: Get your C's here

Keep cancer at bay

A diet full of vitamin C--rich fruits and vegetables isn't just good for your heart, it may also lower your risks of bladder, esophagus, stomach, and lung cancers. Even though more research is needed to find out which compounds in fruits and veggies do the trick, researchers say the association is strong.

Someday, C may also be used to treat cancer. High levels of C given intravenously seem to be toxic to cancer cells (studies on vitamin C taken orally showed no effect on cancerous cells). Intravenous C appears to trigger the formation of hydrogen peroxide, which kills some cancer cells while leaving healthy cells unharmed, says lead study author Mark Levine, MD, chief of the molecular and clinical nutrition section and senior staff physician at the National Institutes of Health.

Levine says doctors at the University of Kansas Medical School and Jefferson Medical College in Philadelphia are trying this therapy on cancer patients.

What to do now: "Strive for five or more fruits and vegetables daily, in a rainbow of colors," Levine says. "It's where the most benefit is. Health.com: CAn C fight off a cold?

Boost brain power

Pairing vitamins C and E is smart for another reason: It may lessen your Alzheimer's risks by as much as 64 percent, according to research in the Archives of Neurology. Just 500 milligrams of C and 400 IU of E appear to be enough.

The brain's high fat content makes it especially vulnerable to free radicals, but these antioxidants may act as shields, says study author Peter Zandi, PhD, an assistant professor at Johns Hopkins University Bloomberg School of Public Health. "Some studies suggest that vitamin E does its job reducing free radicals in the body, but then its capacity is depleted," Zandi says. "Vitamin C may recharge E."  Health.com: The best multivitamin for you

What to do now: Try taking C and E supplements, and talk to your doc about your risks for Alzheimer's and dementia.

Save your eyesight

Vitamin C can't prevent the need for reading glasses around age 45. But anti-oxidants, including C, help prevent one of the leading causes of blindness: age-related macular degeneration (AMD).

More than 3.5 million Americans are thought to be in the early stages, and the disease strikes more women than men. A major clinical trial sponsored by the National Eye Institute showed that a daily supplement of 500 milligrams of vitamin C, 400 IU of vitamin E, 15 milligrams of beta-carotene, 80 milligrams of zinc, and 2 milligrams of copper reduced the risk of moderate or severe AMD-related vision loss by up to 25 percent. The antioxidants neutralize damage to the retina caused by, you guessed it, free radicals.

What to do now: If you're at high risk for AMD (you're overweight or have a family history), check to see if your multi-vitamin contains the study's amounts of C, E, beta-carotene/vitamin A, zinc, and copper. Chances are, its C and E levels fall short, but additional supplements will do the job. (Caveat: Don't follow this advice if you smoke; this level of beta-carotene may up your lung-cancer risks.)

Help you live longer

You've probably heard that green tea boosts the body's defenses against toxins. That's important because toxins are thought to contribute to cancer, heart attack, stroke, and lots of other maladies. In fact, one to two cups a day may reduce a woman's risk of dying by about 20 per-cent, Japanese researchers say.

What's the vitamin C connection? Citrus juices (lemon, lime, orange) may supercharge the immunity-boosting power of green tea. A new Purdue University study found that mixing citrus juice with green tea allowed 80 percent of the tea's anti-oxidants to stick around after simulated digestion, making the pairing healthier than thought, says study author Mario G. Ferruzzi, PhD, assistant professor in Purdue's department of food and nutrition.

What to do now: Add at least an ounce of citrus juice to your green tea -- or try Tazo Lemon Green iced tea or SoBe Green Tea 3G. Both drinks are stocked with vitamin C. E-mail to a friend

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Vitamin C helps form collagen, which helps smooth wrinkles

@highlight

Women taking Vitamin C and E can cut their risk of having a stroke

@highlight

Adding citrus to green tea can increase its immune-boosting power

@highlight

Pairing Vitamin C and E can lessen risk of Alzheimer's by 64