Kentucky (CNN) -- The Kentucky Derby is, without a doubt, America's most iconic horse racing event. England has Royal Ascot, and Australians flock to the Melbourne Cup, but few meetings capture the spirit of a nation quite like the "Run for the Roses."

So named for the garland of roses that is draped over the winner, the Kentucky Derby traces its rich history back to 1875 when Colonel Meriwether Lewis Clark Junior decided to inaugurate a race in his home state of Kentucky.

Clark -- grandson of William Clark of the historic 19th century Lewis and Clark transcontinental expedition -- had been influenced by a visit to England's Epsom Derby. Indeed, the Kentucky Derby was originally run over a distance of 1.5 miles -- the same distance as the Epsom event -- before being shortened to its present 1.25 miles in 1896.

The Kentucky Derby is also the first leg in the venerable Triple Crown, the other two legs being the Preakness Stakes and the Belmont Stakes. Considered one of the sternest tests in thoroughbred racing, only 11 horses have ever completed the treble, the most recent of which was Affirmed back in 1978.

Jockey Borel's Kentucky Derby addiction

As the years stretch to decades, the search for that elusive champion capable of following in Affirmed's footsteps intensifies. A few have come close: in the last decade War Emblem, Funny Cide, Smarty Jones, Afleet Alex and Big Brown have all come within one victory.

It's a far cry from the 1970s, arguably the races' heyday, when the Triple Crown was won three times -- by Affirmed, Seattle Slew and the great Secretariat.

The enormous chestnut affectionately known as "Big Red" is probably the most famous winner of the Kentucky Derby. Secretariat was the first horse to win the race in under two minutes, and his record of 1:59.40 still stands today.

He became a national celebrity, gracing the covers of Time and Newsweek, following his commanding performances in all three races. His 31-length victory in the Belmont Stakes ranks as one of the finest displays of sporting perfection by any athlete -- human or non-human -- in the 20th century.

Secretariat's dominance in 1973 eclipsed the achievements of one of the sleekest, fastest thoroughbreds ever to grace a racetrack. Had he been born in any other year, Sham would have taken his rightful place among the sport's greats.

His sub-two-minute time in defeat to Secretariat is still the second-fastest Kentucky Derby ever run. But while Secretariat has joined the ranks of the immortals, Sham is a mere footnote in history.

African-Americans have played an integral role in the history of the Derby; indeed, the very first race was won by an African-American jockey (Oliver Lewis) and an African-American trainer (Ansel Williamson).

In an era when African-Americans were still barred from participating in most mainstream sports (it would be more than 60 years before Jackie Robinson made his ground-breaking debut for the Brooklyn Dodgers), African-American jockeys went on to dominate the early years of the Derby, winning 15 of the first 28 races.

That very first Derby was won by Aristides in front of an estimated crowd of 10,000. Nearly 140 years later, more than 100,000 people are expected to flock to Churchill Downs this weekend for a chance to be a part of America's oldest continuous sporting event.

These days, Kentucky shares its Derby with the world. But it remains, in essence, very local in flavor. The hulking Churchill Downs with its famous twin spires is still imposing, but is showing its age. Outside of the Derby and the Oaks (the fillies-only race that takes place the day before the Derby), most of the racing here is low-grade.

Louisville is not a rich town, unlike its well-heeled neighbor Lexington. If the venue feels a little frayed around the edges, that's because racing here is not a glamorous affair.

Once a year, the international racing set descends on Louisville, clogging the skies over the city with private jets. Outrageously-plumed racegoers sip Mint Juleps from air-conditioned boxes while college students on spring break pack the infield. But when the renowned "fastest two minutes in sport" are up, the carnival will move on and racing will return to the people of Louisville.

Kentucky has been the custodian of the world's most emblematic race for more than 100 years, and will continue to preserve its unique traditions for many years to come. It doesn't get more authentic than this.

@highlight

America's Kentucky Derby horse race will take place on Saturday

@highlight

Known as the "Run of the Roses" after the garland of flowers draped over winners

@highlight

It dates back to 1875, where African-American jockey and trainer won the first race

@highlight

Despite its international standing, the race keeps its unique local flavor