(CNN) -- A humanitarian watchdog group on Wednesday raised concerns over the U.S. military's handling of juvenile detainees in Iraq, saying "some children have been detained for more than a year without charge or trial."

U.S. soldiers count juvenile detainees after a restroom break at Camp Cropper in Iraq in September 2007.

Human Rights Watch alleges that children in U.S. custody in Iraq are being "held without due process."

The New York-based group called on the military to release children detained for more than a year and to provide child detainees timely judicial reviews and "prompt access to independent legal assistance and family visits."

"In conflicts where it was not directly involved, the U.S. has been a leader in helping child soldiers re-enter society," Clarisa Bencomo, a children's rights researcher on the Middle East at Human Rights Watch, is quoted in the report. "That kind of leadership is unfortunately missing in Iraq."

Bencomo said, "The vast majority of children detained in Iraq languish for months in U.S. military custody. The U.S. should provide these children with immediate access to lawyers and an independent judicial review of their detention."

A Multi-National Force-Iraq spokesman for detainee operations defended the practices of the U.S.-led coalition and denied aspects of the report.

In several instances, Maj. Matthew Morgan said that Human Rights Watch is calling upon coalition forces "to do something that is already a matter of practice in Iraq."

However, he concurred with the report's statement that the "arrest and detention of a child must be used only as a measure of last resort and for the shortest appropriate period of time."

"We could not agree more," Morgan said. "Detention is a last resort, and it is carried out judiciously."

Insurgents reportedly have used some children to conduct attacks in Iraq.

The Human Rights Watch paper said American military authorities were detaining 513 Iraqi children as "imperative threats to security" as of May 12, and has detained around 2,400 children in Iraq since 2003 -- some as young as 10.

Morgan estimated the youngest detainees now are eight children who all are believed to be around age 13.

"Although specific age determinations are impossible, the remainder of the juvenile population ranges from 14 through 17," he added.

Morgan also said the number of juvenile detainees is fewer than 500 at the moment, down from nearly 1,000 in summer 2007.

Most child detainees are held at the Camp Cropper detention facility in Baghdad, where a 17-year-old boy was strangled to death by another child detainee, the report said.

Others are detained at Camp Bucca near the southern city of Basra, Human Rights Watch said.

As of February, the paper said, "The reported average length of detention for children was more than 130 days, and some children have been detained for more than a year without charge or trial, in violation of the Coalition Provisional Authority memorandum on criminal procedures."

Human Rights Watch noted the memo on the security detainee process says "any person under the age of 18 interned at any time shall in all cases be released not later than 12 months after the initial date of internment."

Morgan characterized the call for the release of children who have been detained for more than a year a "hollow demand based on an inaccurate claim."

"There are no juveniles in coalition force custody who have been detained for more than a year," he said. "All juveniles are required to be released within one year; the majority are released in fewer than six months."

The report also listed other "due process" concerns:

• The military might interrogate child detainees for days or weeks before transferring them to main detention facilities, and "they have no real opportunity to challenge their detention."

• Military advocates assigned by the U.S. to each child at a mandatory six-month detention review have "no training in juvenile justice or child development."

• American officials allegedly said that "children are not provided with lawyers and do not attend the one-week or one-month detention reviews after their transfer to Camp Cropper."

• The children have "limited contact" with their families.

Morgan said that juvenile detainees do have access to family visitation, including those held in Baghdad, "in part to make them more accessible to families and service providers."

He also said those charged under Iraqi law do have access to legal counsel, but "those who are not referred to the Iraqi criminal courts do not have legal counsel because they are not charged with a crime."

All detainees' cases are reviewed by independent attorneys within seven days of internment, Morgan said.

"Those referred to the Central Criminal Court of Iraq are reviewed in accordance with Iraqi law. Those not referred to CCCI are reviewed in accordance with international humanitarian law," he added.

Human Rights Watch also criticized the U.S. military for sending 200 to 300 of the 513 child detainees to Dar al-Hikmah, or House of Wisdom. The juvenile detainee education facility was opened at Camp Cropper in August 2007 with the "stated intention to provide 600 detainees, ranging in age from 11 to 17, with educational services pending release or transfer to Iraqi custody."

Morgan said juveniles "are given access to some of the highest quality schooling available in Iraq" at Dar al-Hikmah.

The report said an "unknown number" of youths have been transferred to Iraqi custody, and it made reference to a U.N. Assistance Mission in Iraq report that said children under Iraqi custody "are at risk of physical abuse."

"Like adults, children transferred to Iraqi custody are at risk of abuse and poor conditions of confinement. A U.S. military official in Baghdad told Human Rights Watch this month that the U.S. was delaying the transfer of 130 child detainees to Iraq's al-Tobchi juvenile detention facility because of conditions there," the report said.

Morgan said the coalition has refrained from "transferring physical custody of children to Iraqi authorities pending trial when there is reason to believe they will be at risk of abuse" and that the military does separate juveniles from the greater population.

"Those with special needs such as the mentally infirm are provided medical care and placed in separate housing where appropriate for their individual case," he said.

Other developments

• The chief security officer for the Iraqi Transportation Ministry was gunned down Wednesday on a highway in eastern Baghdad, an official with the Iraqi Interior Ministry said. Col. Abdul Karim Muhsan was killed when at least four gunmen in two cars intercepted his vehicle and shot him, the official said.

• Four people were killed and 12 were wounded in two car bomb attacks Wednesday in the capital, an Interior Ministry official said. The bombings occurred within an hour of each other in different parts of western Baghdad, the official said.

CNN's Joe Sterling and Mohammed Tawfeeq contributed to this report.

@highlight

Children in U.S. custody denied rights, Human Rights Watch report says

@highlight

Young detainees don't have access to legal help, families, group says

@highlight

Military spokesman says all detainees treated in accordance with law

@highlight

Group, military disagree on number, status of detainees