Washington (CNN) -- The United States was identified Wednesday as the world's No. 1 user of targeted killings -- largely as a result of its dependence on unmanned drone attacks in Pakistan and Afghanistan.

A report released by the United Nations called the drone attacks part of a "strongly asserted but ill-defined license to kill without accountability" and warned that they are contributing to an erosion of longstanding international rules governing warfare. It urged states to identify publicly the rules of international law believed to provide a basis for any attempted targeted killings as well as the rationale for deciding to kill instead of capture individuals.

"The rules being set today are going to govern the conduct of many states tomorrow," said New York University law professor Philip Alston, the report's author. "The international community needs to be more forceful in demanding accountability."

Alston, who also works for the U.N. Human Rights Council, said roughly 40 countries possess drone technology, and many of them either already have or attempting to acquire the capability to launch missiles from drones.

"I'm particularly concerned that the United States seems oblivious to this fact when it asserts an ever-expanding entitlement for itself to target individuals around the globe," he said. This "ill-defined license to kill without accountability is not an entitlement which the United States or other states can have without doing grave damage to the rules designed to protect the right to life and prevent extrajudicial executions."

In the eight years of George W. Bush's presidency, unmanned aircraft -- or drones -- attacked militant targets 45 times. Since President Barack Obama took office, the numbers have risen sharply: 53 last year and 39 so far this year in Pakistan alone, according to the New America Foundation, a Washington foreign policy think tank.

While the United States is the only country in the region of Pakistan and Afghanistan known to have the ability to launch missiles from drones -- which are controlled remotely -- U.S. officials normally do not comment on suspected drone strikes.

The report distinguishes between drone attacks conducted by the Pentagon and those launched by the CIA.  The U.S. military has a "relatively public accountability process," Alston said. But CIA attacks reponsible for the deaths of "many hundreds of people ... remain shrouded in official secrecy."

"The international community does not know when or where the CIA is authorized to kill, the criteria for individuals who may be killed, how it ensures killings are legal, and what follow-up there is when civilians are illegally killed," he said.

Alston, who backs an end to CIA drone attacks, argued that "intelligence agencies, which by definition are determined to remain unaccountable except to their own paymasters, have no place in running programs that kill people in other countries."

He also blasted U.S. officials for embracing what he characterized as an "expansive and open-ended interpretation of the right of self-defence."  The current U.S. stance "goes a long way towards destroying the prohibition on the use of armed force contained in the U.N. Charter," he asserted.

The report cited two key issues: "excessively broad circumstances" under which targeted killings are deemed to be legal, and the lack of accountability when they are used.

Alston conceded the conflict with al Qaeda and other extremist organizations pose a unique challenge and noted that al Qaeda routinely kills innocent civilians. "But the fact that such enemies do not play by the rules does not mean that a government can cast those rules aside or unilaterally re-interpret them," he said.

"The credibility of any government's claim that it is fighting to uphold the rule of law depends of its willingness to disclose how it interprets and applies the law -- and the actions it takes when the law is broken."

CIA spokesman George Little took issue with Alston's claim of a lack of accountability.

"Without discussing or confirming any specific action or program, this agency's operations unfold within a framework of law and close government oversight," he said.  "The accountability's real, and it would be wrong for anyone to suggest otherwise."

One U.S. official, who spoke to CNN on the condition of anonymity because U.S. operations are classified, insisted that the United States is not violating international law.

"The U.N. Charter clearly states that nothing ... shall impair the inherent right of individual or self-defense if an armed attack occurs against a member of the United Nations," the official said.

"Militants based in Pakistan regularly attack American and coalition forces in Afghanistan. The United States and its allies have a right and responsibility to protect themselves against dangerous enemies. The United States has an 'inherent right' to protect itself, and we will not refrain from doing so based on an exceptionally narrow -- and faulty -- definition of self-defense."

The official said the United States has Pakistani cooperation in "conducting precise actions to take dangerous figures off the battlefield.  And we do so with an absolute commitment to minimize non-combatant casualties and property damage."

"The precision is unsurpassed in the history of human conflict," the official said. "No one's come up with a better alternative, assuming they see value in trying to stop killers like al Qaeda and the Pakistani Taliban. This is a policy of legitimate and lawful self-defense, driven by absolute necessity."

CNN's Alan Silverleib and Pam Benson contributed to this report.

@highlight

NEW: A U.S. official insisted the United States is not violating international law

@highlight

CIA contends that there is accountability for its drone strikes

@highlight

U.S. drone strikes have increased sharply under Obama -- 39 this year in Pakistan

@highlight

U.N. report says U.S. as world's top user of targeted killings due reliance on drone attacks