(CNN) -- Thirty years ago, amidst much hype from Walt Disney Pictures, "Tron" debuted in theaters. The movie -- with its then-unusual plot of a man interacting inside a computer as an avatar -- failed to bring in a large audience in comparison with "E.T. the Extra-Terrestrial" a month earlier.

Despite that, the movie left a mark. Few would dispute that its special effects were ahead of its time. Its early use of CGI inspired no less than Pixar Animation co-founder John Lasseter, who saw it as the future of animation.

It held a special place in the heart of not only filmmakers but legions of fans as well. Whether they take part in "Tron" cosplay or own their own classic "Tron" arcade game, fans of the film that was cyberpunk before such a concept even existed are some of the most rabid. After all, for many of them, it was their first entry into the world of computers.

This groundswell led Disney to relaunch the franchise with "Tron: Legacy" in 2010 (It even went so far as to screen test footage for fans at San Diego Comic-Con in 2008).

And now, the franchise has continued, with no less of a fan than Paul Reubens (best known as Pee-wee Herman) taking part in its latest incarnation. Just like his character Pee-wee, Reubens has a pretty impressive toy collection. One of his favorites is a small "Tron" lightcycle.

"I just love looking back" at the time of "Tron's" release, Reubens said.

The comic actor spelled out what made that movie so special.

"We all knew 'Tron' was way ahead of its time," he said. "To some degree, it's ahead of its time still. People know enough about the world of it and have more reference to it that it's way more accessible now."

So when Reubens was offered the chance to play the villainous Pavel in "Tron: Uprising," Disney XD's animated series (which returns with new episodes Friday), he was glad to be on board.

"Anyone will tell you the villain roles are the more fun roles," said Reubens, who plays opposite Elijah Wood's hero Beck. "I ran into people excited to see it before it happened. In the last six months, people stopped me all the time and said, 'oh, you're working on 'Tron!' I've run into a lot of 'Tron' fans out there."

"Tron" fandom is something just about everyone involved in the series -- a prequel to "Legacy" -- has in common. That was important to executive producer Charlie Bean, a lifelong fan himself, who wanted to avoid "typical action-adventure" casting.

"For anyone who witnessed the onset of computers and the dawn of video games, 'Tron' spoke to a lot of us with concepts about what it was like to be inside a computer or a virtual world," he said. "It always sat inside of my mind. From a design point of view as an artist, it had such an impact on me."

The look of the show, reminiscent of Japanese anime and the 1990s series "Aeon Flux" among other influences, was also crucial.

"There's an artistic background to 'Tron,' from the first film with (designers) Syd Mead and Moebius," Bean said. "(Yet) some of my initial ideas were about what I didn't want it to look like.

"I wanted it to stand out and be something that stood out from the action stuff that's out there, in bringing a live-action property to animation. My initial idea was to go in the opposite direction. Because of the world and types of stories, I wanted something that was more human but stylized, where you could really invest in the plight of these characters."

The series' look also appealed to Reubens, who famously employed all manner of animation on "Pee-wee's Playhouse" and has worked as a voice actor for many years, perhaps most famously on "A Nightmare Before Christmas."

"We saw enough stuff (ahead of time) to know ('Tron') was going to be really beautiful," the actor said. "I could tell they had a really strong art direction."

Beyond the fans, though, the show involves someone who has been there from the beginning: Bruce Boxleitner once again portrays Tron.

A fan favorite from his time on "Babylon 5," Boxleitner admitted that "Tron" devotees have approached him more often than those for "B5."

"This was the only one that really seemed to resonate over the years," he said.

So it took no convincing at all for Boxleitner to return to that world.

"I think 'Tron' could very well be a mythology for our time. It was born at the age of the Internet," he said. "When Tron and Yori and Flynn destroyed the MCP, we liberated the internet for everyone. You can thank me. Who knew?"

Outside the world of animation, Boxleitner hopes for more live-action "Tron" -- with one stipulation.

"It's my motivation to find a young Tron. I can't fit in those tights. Tron's a young man's game!"

@highlight

The film "Tron" has become a cult classic among fans

@highlight

The animated "Tron" series stars one such fan: Paul "Pee-Wee Herman" Reubens

@highlight

Like in the classic, Bruce Boxleitner once again portrays Tron