(CNN) -- As the summer ocean waves wash up onto America's beaches, we find ourselves thinking, nervously, about Steven Spielberg's "Jaws" and the paralyzing fear that sharks inspire in us. Yet, paradoxically, we celebrate global attempts to protect the declining number of sharks. The world has figured out we need these species, along with all creatures of the Earth, to maintain a delicately balanced ecosystem.

Sharks, in particular, are "in" these days. Thanks to good public policy and the power of public education and multimedia campaigns featuring stars such as Yao Ming, Jackie Chan and Ang Lee, killing sharks for shark fin soup is no longer cool.

The demand has been rising for decades, threatening sharks with extinction -- up to 100 million sharks are killed each year just for their fins. But we have started to reverse the trend, particularly in affluent areas of the U.S. and overseas where restaurants once proudly displayed shark fin delicacies on the menu.

In California, and other states, a ban on the sale and possession of shark fin soup has gone into effect this year after aggressive marketing campaigns by WildAid and other organizations.

Overseas, marketing and public diplomacy efforts featuring posters on public transportation systems and TV ads have been underway for the past few years. These efforts all show signs of success, on both the supply side and the demand side of trade in shark fins. Hong Kong's Census and Statistics Department tracked 3,100 metric tons of shark fin being imported from the island to China last year, but this year's numbers are way down.

Stopping the killing of sharks is part of a broader movement to stop the killing of wild animals and the trafficking of wildlife products around the world -- products that come from poaching elephants, tigers and rhinos, in addition to killing marine life.

Opinion: Elephant slaughter surges as ivory funds terror

In November, former U.S. Secretary of State Hillary Clinton called for a global strategy to protect wildlife, raising the level of urgency to a growing national security threat.

For example, the poaching of elephants in search of ivory tusks for luxury goods had became a full-scale war between poachers, who are sometimes terrorists, and governments in parts of Africa. Illegal shipments of tusks across porous borders bring in the prizes of money and weapons.

Once a marginalized issue of U.S. foreign policy, Clinton and current Secretary of State John Kerry have placed wildlife trafficking at the top of the agenda, given its wide tentacles to Africa, Asia, Russia, Indonesia and consumers in almost every country.

According to National Geographic, which has been tracking elephant poaching, the financial losses place the issue on the scale of global drugs and crime, with an estimated 30,000 African elephants being killed for their tusks last year -- a rate of slaughter, say wildlife experts, that could drive the animals to extinction within the century. The dwindling of African elephant populations is alarming. Much of the ivory is destined for China to make chopsticks and jewelry, and the Far East, where it can fetch upward of $1,300 a pound.

Whether it is shark fin soup or ivory piano keys, killing animals is big business. Together with international partners, conservation groups, nonprofits and businesses, the United States is leading the worldwide effort to reduce demand for high-end jewelry, herbal medicines, skins, foods and other products that rely on killing animals and marine life. Working with governments through existing protocols and conventions, the U.S. is convening stakeholders to pressure those who provide sanctuary for the poachers or allow parts and goods to make their way out of countries to market.

Public diplomacy and public education, together with sound policy, give us a model for success. Using Facebook, Twitter, public service advertisements, the media, celebrity interviews, videos and classroom teaching, we can martial the forces to convince consumers that buying products that come from slaughtered elephants or harpooned sharks is simply wrong and dangerous.

And we can track the results of wildlife trafficking and punish the offenders.

This is one of those rare international tales of where the public and private sector, along with Hollywood, can create a very different kind of movie.

The opinions expressed in this commentary are solely those of Tara Sonenshine.

@highlight

Tara Sonenshine: As China gets richer, demand for shark skin soup rising

@highlight

International campaigns and help from U.S. have slowed the demand for the soup, she says

@highlight

She says saving sharks is part of a movement helping elephants, rhinos, other animals