U.S. Marines flew a C-130 aircraft Friday into South Sudan's capital to evacuate about 20 U.S. Embassy staff members, according to the Defense Department.

U.S. citizens were urged to get out.

"We continue to strongly recommend that U.S. citizens in South Sudan depart immediately,"  said State Department spokeswoman Marie Harf.

The U.S. ambassador remains in Juba, the capital, Harf said, and the United States "remains deeply and actively committed to supporting regional and international efforts to end the violence in South Sudan."

But  the United States isn't taking any chances with it's embassy.

"We are standing by and prepared to respond to any requests from the State Department to evacuate the few remaining personnel that are in Juba,"  Pentagon spokesman Col. Steven Warren said.

Representatives of South Sudan's government and rebel forces held peace talks Friday in neighboring Ethiopia's capital Addis Ababa, home of the African Union.

South Sudan President Salva Kiir and the rebel leader, former Vice President Riek Machar, are under mounting pressure from African and Western powers to reach a deal to stop clashes that have killed more than 1,000 people and displaced about 200,000.

But their first attempt to halt the escalating violence resulted in no breakthrough.

"The first day of proxy talks are over," Tigist Hailu, a spokeswoman for  the Intergovernmental  Authority on Development (IGAD), which is mediating the talks, told CNN. She was not authorized to say when the two sides might meet face-to-face.

A statement by IGAD refers only to "positive engagements by the negotiating teams of both parties with the Chair of IGAD."

The talks between the warring sides come amid continued fighting for control of Bor,  the captial city of Jonglei state, which has been the scene of some of the heaviest fighting in the nearly three weeks of violence.

Bor's mayor, Majak Nhial, said  the talks are not going to work. "The rebels are using them to buy time while they are moving forces from the north to the south," he said, showing pictures of mangled bodies and destruction purportedly caused by rebels in his town.

Military spokesman Col. Philip Aguer told CNN that South Sudan's army was 20 kilometers (about 12 miles) outside the city of Bor on Friday.

He said Thursday that the Sudan People's Liberation Army was trying to stop the rebel forces from advancing on the capital, about 200 kilometers (124 miles) away.

On Wednesday, Kiir declared a state of emergency for Unity state and for Jonglei state.

U.S. Secretary of State John Kerry and senior U.S. officials have been in touch with Kiir and have spoken with regional leaders, Harf said. The United States is supporting the mediation effort in Ethiopia, she said.

Last month, four U.S. troops were injured when their aircraft came under fire as they took part in an abortive mission to evacuate U.S. citizens from Bor by air.

United Nations: 200,000 people displaced

South Sudan's neighbors, Western governments and the United Nations have been scrambling to stem the latest conflict in the country, which seceded from Sudan in 2011 after decades of war.

The violence has forced about 200,000 people from their homes and affected many hundreds of thousands more indirectly, Toby Lanzer, humanitarian coordinator in South Sudan for the United Nations, said Friday.

The fighting in Bor has led as many as 76,000 to seek sanctuary in Awerial, in South Sudan's Lakes state, according to the U.N. Office for the Coordination of Humanitarian Affairs.

Aid agencies are now providing food and basic healthcare to people there, Lanzer said, but the United Nations is still working to supply clean water and latrines.

He urged all parties in the conflict to spare civilians from the fighting and to allow humanitarian workers safe access to them.

"This is the time to stand with the people of South Sudan and over the coming days and weeks we will do all we can to do just that," Lanzer said.

The United Nations has appealed for $166 million in aid to help provide families with food and other emergency relief.

The U.S. State Department announced an additional $49.8 million in humanitarian assistance Friday for the victims of the conflict and refugees seeking help in South Sudan.

This brings the aid given by the United States in fiscal years 2013 and 2014 to South Sudan to more than $300 million, it said.

Killing 'on ethnic grounds'

Kiir and Machar agreed Tuesday to send delegations to Addis Ababa for the talks,

South Sudan's government said Thursday via Twitter: "We are participating in talks because we want peace for our people even though the rebel groups have not accepted a cessation of hostilities."

Hilde Johnson, who heads the U.N. mission to South Sudan, said Wednesday in Juba that she wanted to see both parties "take a decisive step to cease all hostilities."

The U.N. mission has voiced concern about what it said was mounting evidence of ethnic-based atrocities across the country.

The fighting began in Juba on December 15 but quickly spread across the country, with reports of mass killings soon emerging.

Kiir, from South Sudan's Dinka ethnic group, accused troops loyal to Machar, from the Nuer community, of trying to launch a coup.

The two men have long been political rivals, and Kiir dismissed Machar, along with the Cabinet, in July.

@highlight

Marines evacuate about 20 U.S. Embassy staff  from Juba

@highlight

U.S. citizens in South Sudan urged to  take evacuation flights

@highlight

Talks between government and rebel representatives bring no firm results on first day

@highlight

Government forces are closing in on flashpoint town of Bor, army spokesman says