Washington (CNN) -- President Obama will sign sweeping health care reform legislation into law at the White House on Tuesday, according to two Democratic officials familiar with the planning.

Obama also will hit the road to sell the measure to a still-skeptical public, giving a speech Thursday in Iowa City, Iowa, White House Press Secretary Robert Gibbs said. Obama launched his grass-roots drive for health care reform in Iowa City in May 2007, according to Gibbs.

The bill, which constitutes the biggest expansion of federal health care guarantees in more than four decades, passed the House of Representatives late Sunday night with no Republican support. It was approved by the Senate in December.

A separate compromise package of changes also passed the House on Sunday and still needs to be approved by the Senate. The officials noted that the Senate cannot begin debate on the package before Obama signs the underlying bill into law.

Passage of the bill was a huge boost for Obama, who made health care reform a domestic priority. Aides said Monday that Obama exchanged handshakes, hugs and "high-fives" with staffers when the outcome of the House vote became apparent.

"I haven't seen the president so happy about anything other than his family since I've known him," said senior adviser David Axelrod, adding that Obama's jubilation Sunday night exceeded his election victory in November 2008. "He was excited that night, but not like last night."

Republicans promised to continue fighting the reforms, with 11 state attorneys general -- all Republican -- planning lawsuits challenging the constitutionality of the bill's mandate for people to buy health insurance and requirements for states to comply with its provisions.

Senior Republicans in Congress warned that voters will judge Democrats harshly in November's midterm elections, with Sen. John McCain of Arizona saying the Democratic-passed bill killed any chance of bipartisan support on legislation for the rest of the year.

"There will be no cooperation for the rest of this year," McCain said in an interview with KFYI radio in Arizona. "They have poisoned the well in what they have done and how they have done it."

Highlights of what's in the bill

White House Press Secretary Robert Gibbs, however, said the administration expects to win any lawsuits filed against the bill, and he challenged McCain and other Republicans to campaign for the November election against benefits of the health care bill such as tax credits for small businesses and an end to insurance company practices such as denying coverage for pre-existing conditions.

The overall $940 billion plan is projected to extend insurance coverage to roughly 32 million additional Americans.

Most Americans will now be required to have health insurance or pay a fine. Larger employers will be required to provide coverage or risk financial penalties. Lifetime coverage limits will be banned, and insurers will be barred from denying coverage based on gender or pre-existing conditions.

The compromise package would add to the bill's total cost partly by expanding insurance subsidies for middle- and lower-income families. The measure would scale back the bill's taxes on expensive insurance plans.

House Democrats are expected to celebrate passage of the bill at a news conference with reform advocates Tuesday afternoon. Secretary of State Hillary Clinton, who spearheaded her husband's failed health reform effort in the 1990s, said earlier in the day that Obama's success was an example of the president's tenacity.

"If you ever doubt the resolve of President Obama to stay with a job, look at what we got done for the United States last night when it came to passing quality affordable health care for everyone," Clinton said during a speech to the American Israel Public Affairs Committee.

Was it all worth it for Obama?

Observers warn, however, that the road ahead for health care reform in the Senate may be rocky. Democratic leaders are using a legislative maneuver called reconciliation, which will allow the compromise plan to clear the Senate with a simple majority of 51 votes. But according to Senate rules, members are still allowed to offer unlimited amendments and challenges.

In one of the first of many attempts Republicans say they will make to try to amend or kill the package, GOP aides went to Senate Parliamentarian Alan Frumin on Monday to argue that the compromise bill violates rules of the reconciliation process because of the way it affects Social Security. For that reason, GOP aides said they argued, the bill should not even be allowed to be debated.

However, Frumin, according to a senior Republican and a Democratic aide, informed both parties he disagreed with the GOP assessment, and would not block the bill from reaching the Senate floor.

"There's hope that [the vote] would be done within a short period of time, like a week or so," said Tim McBride, a health economist and associate dean of public health at the Brown School at Washington University in St. Louis, Missouri.

"But the Senate is complicated and doesn't have the discipline that the House does."

Once the package hits the Senate floor, the chamber's rules stipulate that there must be 20 hours of debate. But that 20 hours may prove to be more of a suggestion than an indicator of what will happen, according to Cheryl Block, a law professor at Washington University's School of Law.

"It could get all messy and could go on forever if [Republicans] threw up amendment after amendment," Block said.

"Theoretically, it should only take 20 hours, but it will likely take longer because Republicans have things up their sleeve."

If any provision in the package of changes is rejected or changed, the entire package would then have to go back to the House for another vote.

iReport: Share your views on health care reform

House Democrats unhappy with the Senate bill have been continually reassured that the compromise package will be approved by the more conservative Senate.

Senate Majority Leader Harry Reid, D-Nevada, presented a letter to House Democrats on Saturday stating that their Senate counterparts "believe that health insurance reform cannot wait and must not be obstructed."

So far, two of the 59 senators in the Democratic caucus, Ben Nelson of Nebraska and Blanche Lincoln of Arkansas, have said they will oppose the compromise package.

CNN's Ed Henry, Ed Hornick, Josh Levs, Alan Silverleib and Tom Cohen contributed to this report.

@highlight

Obama to travel to Iowa to continue sales pitch to still-skeptical public

@highlight

President to sign bill on Tuesday; House Dems, reform advocates plan celebration

@highlight

Package of changes to bill still needs Senate approval; GOP could delay it there

@highlight

$940 billion health care reform bill heads to president's desk to be signed into law