LONDON, England (CNN) -- MySpace galvanizes protestors to attend mass demonstrations; 1.8 million Britons sign an online petition, leading to widespread press coverage and government embarrassment; and Hillary Clinton and Barack Obama are fighting it out for the Democratic nomination on Facebook.

Barack Obama's online support is way ahead of his rivals', including Hillary Clinton's

The Internet is now the focus for campaigners, marketers and activists, each claiming a slice of the virtual pie. We look at the impact of social networking sites on contemporary politics and ask, is the Web the new battleground?

Sites like MySpace, Bebo and Facebook give people a tool to interact online and extend their social lives beyond working hours. But what's interesting campaign managers is that they've been seized with such enthusiasm by increasingly hard-to-target teens and young adults -- even Britain's Prince Harry is rumored to have a Facebook account.

This marks a crucial development in the Internet's history: Far from being a place where geeks go to hang out with other geeks, the Internet is now as vital a part of the average college student's world as Spring Break. No longer a virtual refuge for lonely nerds, these sites are used daily by bright young things, keen to arrange the latest hot club/bar/gig to visit.

And politicians have wised up to this. Howard Dean set the ball rolling in 2004, raising around $50 million in his Presidential nomination campaign by using the Internet to garner large numbers of small-scale donations and pump up his coffers.

John Kerry followed suit in his 2004 Presidential campaign against George W. Bush, famously narrowing the funding gap with his Republican rival .

But this time round, candidates are plugging in and getting personal.

Mitt Romney was the first potential Republican Presidential candidate to launch a Facebook profile; Democrat John Edwards was the first to set up shop in virtual world Second Life; and Hillary Clinton launched her Presidential campaign via her Web site. All of the major candidates for the 2008 American Presidential election have support on Facebook and profiles on MySpace.

Right now, these sites are being harnessed most successfully by the Democrats, and notably Barack Obama's campaign. At the time of writing, his supporters include over 161,000 friends on MySpace against Clinton's 42,000-odd and John Edwards's 28,000. (Republican John McCain has 21,000; Mitt Romney trails him on 12,000.)

Obama's biggest Facebook supporters' group, "One Million Strong for Barack Obama" had over 320,000 members (as opposed to Hillary Clinton's "One Million Strong for Hillary Clinton," with 5,300); and a growing pool of photographs on Flickr, the photo-hosting online community.

What Obama's team seems to understand -- and others grasp with varying degrees of success -- is that it's not just about broadcasting to a hard-to-reach demographic. In order to recruit voters online, candidates must appear to engage with potential supporters on a far more personal level, on their terms, in their environment.

These sites tear down the traditional barriers between those in power -- be they celebrities or politicians -- and their fanbase or supporters, providing the semblance -- if not the reality -- of personal involvement and a forum for discussion. If a 22-year-old male from New Hampshire can be "friends" on MySpace with Paris Hilton, goes the thinking, why not Senator Obama?

But only time will tell if the winner of this online popularity contest can convert his virtual "friends" into concrete votes.

Away from the presidential campaigns, social networking sites also make it easy for activists to cross political boundaries. Net users don't have to buy into a suite of policies; using the web, pressure groups can focus their efforts on single issues instead. News on the virtual street travels quickly across existing networks of friends -- whether it's via email, blogs or messageboards.

In 2006, MySpace users spread the word about immigration rights demonstrations across the United States. The Associated Press reported that half a million people turned out to the Los Angeles rally, while a Time poll indicated that two out of three Americans heard about the protests.

Of course, the large numbers who attended the protests didn't all read about it on MySpace. But the site did enable grassroots information sharing between large numbers of people who were otherwise hard to reach, keeping them informed and encouraging them to action.

It's not just the social networking sites that are drawing campaigners' attention. While Flash mobs -- sudden, unexpected and short-lived gatherings of members of the public, organized by Web sites and text messages -- usually tend towards the surreal (zombie mobs in Toronto, pillow fights in Buenos Aires) they have also been utilized by pressure groups.

A flash mob gathered at an Oxfam thrift store in Birmingham, England in 2003, sang "Give it Away" by the Red Hot Chili Peppers, stripped off and donated their clothes to the charity, in what the organizers claimed was the world's first altruistic mob, while in 2004, protestors in Bucharest, Romania, criticized limits to freedom of speech by sealing their mouths with duct tape.

Flickr, the social photo hosting site, has also been utilized. Nearly 4,000 members have added their support to the ONE campaign to make poverty history by posting their photo to the campaign's pool of photos, while Oxfam Australia publicize their campaigning by tagging their photos and encouraging others to do the same.

Also on Flickr, "Green My Apple" is a Greenpeace-led pressure group of Mac devotees who want Apple to make more environmentally-friendly computers. They post photos of themselves with their Macs to a Flickr photo pool. Quite literally, it's a way of giving faces to the people behind the campaigns.

It's not all plain sailing. The Internet has its own style of writing and its own social mores. A lack of experience at navigating the virtual realm can be painfully apparent.

Politicians need to be careful about how they engage with their Internet audience. Savvy net-heads have little time for stuffed-shirt proselytizing, whether it's on MySpace or YouTube; having a Facebook profile doesn't automatically make you cool.

And engaging with people online can backfire: the British Government, who set up a Web site where the public could create petitions, were sorely embarrassed when 1.8 million people called for planned pay-as-you-drive road charges to be scrapped. The unexpected weight of public opposition to the policy ensured a barrage of rather unwelcome media attention.

Online presences are also susceptible to virtual attack. Back at Facebook, the only group coming close to Obama's support is the "One Million Against Hillary Clinton" with over 230,000 members. John Edwards' Second Life headquarters were vandalized by opponents; and a 1984-style pro-Obama video attacking Hillary Clinton and urging Americans to "Vote Different" had garnered over three million views on YouTube at the time of writing.

Both attacks were veiled by the anonymity which the Internet provides, and politicians must now be wondering how much dirtier online campaigns will get -- and to what extent they'll escape from Campaign Headquarters' control.

And that's where the real power in the Internet lies. Far from being a one-way broadcast, the medium allows people to engage with each other, get involved and focus on the issues they care about most. Most of all, it allows people to take a campaign and evolve it themselves.

While this will terrify traditional campaign managers and PRs, who can see quality assurance flying out of the window along with their approved, on-message briefing sheets, is it really a bad thing that the Internet gives regular Joes the chance to broadcast alongside the big guns -- and the potential to beat them at their own game?

...................................................

Could online campaigning change the outcome of the 2008 US Presidential election? Will the Internet encourage more people to get involved in political debate? Tell us in the forum -- or read others' thoughts on the future. E-mail to a friend

@highlight

Politicians harness Internet social networking sites to target youth

@highlight

Web-savvy candidates create their own online profiles

@highlight

Internet helps activists cross political boundaries

@highlight

But only time will tell if virtual friends will cast real votes