Cairo, Egypt (CNN) -- Egypt's military dissolved the country's Parliament and suspended its constitution Sunday following the ouster of longtime leader Hosni Mubarak, telling Egyptians it would be in charge for six months or until elections can be held.

The Supreme Council of the Armed Forces said it would appoint a committee to propose changes to the Constitution, which would then be submitted to voters. The council will have the power to issue new laws during the transition period, according to a communique read on state television.

Sameh Shoukry, Egypt's ambassador to the United States, said Sunday that the generals have made restoring security and reviving the economy its top priorities.

"This current composition is basically a technocratic government to run the day-to-day affairs, to take care of the security void that has happened, and to also address the issues related to the economy," Shoukry told CNN's "Fareed Zakaria GPS."

However, a leading opposition figure said Sunday that the military must explain its plans in more detail or see a resumption of the demonstrations that drove Mubarak from office.

"They need to come out of their headquarters and start talking to the people and tell us what is in store for us," ElBaradei told GPS.

And a prominent Egyptian activist credited with helping spark the revolution warned against taking too long to establish a new representative government.

"Biggest mistake now is to give the Egyptian people too little too slow. Restoring confidence requires a faster pace," Wael Ghonim said on Twitter.

Mubarak stepped down Friday after 18 days of protests against his nearly 30-year rule and is now in the Red Sea resort of Sharm el-Sheikh. The longtime president was himself a product of the military establishment that has ruled Egypt since the 1950s, but his abdication leaves a council of generals led by Defense Minister Hussein Tantawi in charge of the Arab world's most populous nation.

Sunday's military communique said new elections would be held for both houses of Egypt's Parliament as well as the presidency. Protesters had blasted the November parliamentary elections as fraudulent, and calls for their annulment were among the major demands before Mubarak's ouster.

In the meantime, government ministers are now reporting to the military high command in the same way they reported to Mubarak, Prime Minister Ahmed Shafiq told reporters Sunday, in remarks that were carried live on state television. He said he was reviewing candidates to fill vacant government ministries, adding that no one who was not acceptable to the public would be appointed.

Sunday marked the first workday since Mubarak's ouster. For the first time since the uprising began January 25, traffic flowed freely around Tahrir Square -- the epicenter of the protests -- and the majority of shops around the square were open. Some protesters remained in the square Sunday, vowing to keep protesting until Egypt is under civilian rule.

The Egyptian junta now has to grapple with the economic problems that fueled the revolt, including massive youth unemployment and economic underdevelopment. The demonstrations virtually shut down Egypt's economy, costing it vital tourism dollars as well.

New protests at the headquarters of the National Bank of Egypt appear to have forced the ouster of that institution's chairman, Tarek Amer, and two top deputies, who submitted their resignations on Sunday, according to an e-mail shared with CNN by a bank employee.

The National Bank's headquarters in Cairo continued to function during Sunday's protests, with disgruntled staff taking turns to work and demonstrate.

It was not clear whether the resignations have been accepted. However, Sunday evening, Egyptian state television announced banks would be shut down until Wednesday, and urged workers to consider the national interest.

Bank workers complained that members of Mubarak's family put their allies into positions of power at the bank with grossly inflated salaries.

Cairo's stock exchange will freeze transactions from former ministers and businessmen who are now under investigation when trading resumes Wednesday, the exchange's chairman, Khaled Serri Siyam, announced in a statement on the government-run website EgyNews.

Outside the Interior Ministry, hundreds of disgruntled police officers demanding higher wages, shorter hours, better benefits and more respect faced off with Egyptian troops. The police officers currently earn 500 Egyptian pounds (about $85) a month -- a quarter of what army troops of comparable rank earn, they said -- and face imprisonment if they refuse to work unpaid overtime. Both low-ranking police officers and administrative staff joined in the protest.

Mubarak's ouster came three weeks after a similar revolt toppled longtime Tunisian strongman Zine El Abidine Ben Ali. And even as officials hash out the details of Egypt's murky political future, public demands for change have rippled throughout the region.

In Yemen's capital Sanaa on Saturday, protesters chanted, "Yesterday Tunisia, today Egypt -- tomorrow Yemen will open the prison." And in restive Algeria, anti-government protesters chanted, "Change the power" on Saturday. Security forces clashed with the crowds Saturday in Algiers and detained roughly 100 protesters, according to the opposition Algerian League for Human Rights.

Shoukry said it was a "matter of pride" for Egyptians that their revolution was "organized and peaceful," adding, "Egypt has always been a trend-setter in this region."

"The region looks to us in many aspects, and I'm sure also in this regard, many lessons will be learned," he said.

CNN's Ben Wedeman, Amir Ahmed, Nic Robertson, Arwa Damon, Hamdi Alkhshali, Ivan Watson, Joe Duran and Frederik Pleitgen and journalist Ian Lee contributed to this report

@highlight

NEW: Banks are shuttered until Wednesday as protests force top banker's resignation

@highlight

NEW: ElBaradei urges generals to "come out of their headquarters"

@highlight

NEW: Stock exchange to freeze transactions from officials being investigated

@highlight

Egypt's ambassador says the military will run a "technocratic" government until elections