Washington (CNN) -- Malaysia Airlines Flight 370 made drastic changes in altitude and direction after disappearing from civilian radar, U.S. officials told CNN on Friday, raising questions for investigators about just who was at the controls of the commercial jetliner that went missing one week ago with 239 people on board.

The more the United States learns about the flight's pattern, "the more difficult to write off" the idea that some type of human intervention was involved, one of the officials familiar with the investigation said.

The revelation comes as CNN has learned that a classified analysis of electronic and satellite data suggests the flight likely crashed either in the Bay of Bengal or elsewhere in the Indian Ocean.

The analysis conducted by the United States and Malaysian governments may have narrowed the search area for the jetliner that vanished en route from Kuala Lumpur to Beijing, leaving little trace of where it went or why.

The analysis used radar data and satellite pings to calculate that the plane diverted to the west, across the Malayan peninsula, and then either flew in a northwest direction toward the Bay of Bengal or southwest into the Indian Ocean.

The theory builds on earlier revelations by U.S. officials that an automated reporting system on the airliner was pinging satellites for up to five hours after its last reported contact with air traffic controllers. Inmarsat, a satellite communications company, confirmed to CNN that automated signals were registered on its network.

Taken together, the data point toward speculation of a dark scenario in which someone took control of the plane for some unknown purpose, perhaps terrorism.

That theory is buoyed by word from a senior U.S. official familiar with the investigation that the Malaysia Airlines plane made several significant altitude changes and altered its course more than once after losing contact with flight towers.

The jetliner was flying "a strange path," the official said on condition of anonymity. The details of the radar readings were first reported by The New York Times on Friday.

Malaysian military radar showed the plane climbing to 45,000 feet soon after disappearing from civilian radar screens and then dropping to 23,000 feet before climbing again, the official said.

The question of what happened to the jetliner has turned into one of the biggest mysteries in aviation history, befuddling industry experts and government officials.

Suggestions have ranged from a catastrophic explosion to sabotage to hijacking to pilot suicide.

The sabotage theory got a boost Friday from The Wall Street Journal, which reported investigators increasingly suspect the plane's communications systems were manually switched off.

Investigators are trying to determine whether the satellite communications system that pinged for hours stopped functioning because "something catastrophic happened or someone switched off" the system, the newspaper reported, citing an unnamed person familiar with the jet's last known position.

The pings stopped at a point over the Indian Ocean, while the jetliner was flying at a normal cruising altitude, according to the newspaper.

Malaysia Airlines Flight 370: What we know and don't know

Movie-plot theory

Then there's the theory that maybe Flight 370 landed in a remote Indian Ocean island chain.

The suggestion -- and it's only that at this point -- is based on analysis of radar data revealed Friday by Reuters suggesting that the plane wasn't just blindly flying northwest from Malaysia. Reuters, citing unidentified sources familiar with the investigation, reported that whoever was piloting the vanished jet was following navigational waypoints that would have taken the plane over the Andaman Islands.

The radar data don't show the plane over the Andaman Islands, but only on a known route that would take it there, Reuters cited its sources as saying.

The movie-plot theory seems more complicated and unlikely than one in which the plane -- its flight crew perhaps incapacitated -- simply flew on until it ran out of fuel or faced some other problem. But it's one that law enforcement has to check out, former FBI Assistant Director James Kallstrom said.

Timeline of Malaysia Airlines Flight 370

Aviation experts say it's possible, if highly unlikely, that someone could have hijacked and landed the giant Boeing 777 undetected.

The international airport in Port Blair, the regional capital of the Andaman and Nicobar islands, has a runway that is long enough to accommodate a 777, according to publicly available data.

But the region is highly militarized because of its strategic importance to India, Indian officials with knowledge of the operation tell CNN, making it an unlikely target for pirates trying to sneak in an enormous airplane with a wingspan of more than 200 feet.

Denis Giles, editor of the Andaman Chronicle newspaper, says there's just nowhere to land such a big plane in his archipelago without attracting notice.

"There is no chance, no such chance, that any aircraft of this size can come towards Andaman and Nicobar Islands and land," he said.

The Malaysian government said Friday that it can't confirm the report.

And a senior U.S. official offered a conflicting account Thursday, telling CNN that "there is probably a significant likelihood" the plane is on the bottom of the Indian Ocean.

Among the things being considered is whether lithium batteries in the cargo hold, which have been blamed in previous crashes, played a role in the disappearance, according to U.S. officials briefed on the latest developments in the investigation. The officials spoke on condition of anonymity because they were not authorized to release details to the media.

If the batteries being carried on the plane caused a fire, it still doesn't fully explain other anomalies with Flight 370, the officials say.

What is a transponder?

Details of the search

Malaysian officials, who are coordinating the search, said Friday that the hunt for the plane was spreading deeper into both the Indian Ocean and the South China Sea.

India has deployed assets from its navy, coast guard and air force to the south Andaman Sea to take part in the search, the country's Ministry of Defense said Friday.

Indian search teams are combing large areas of the archipelago. Two aircraft are searching land and coastal areas of the island chain from north to south, an Indian military spokesman said Friday, and two coast guard ships have been diverted to search along the islands' east coast. Indian officials are also including part of the Bay of Bengal in their search, officials said.

As of Friday, 57 ships and 48 aircraft from 13 countries were involved in the search, Hishammuddin Hussein, the minister in charge of defense and transportation, said at a news briefing.

China, which said it would be extending its search, said crews have searched more than 27,000 square miles (about 70,000 square kilometers) of the South China Sea without finding anything.

On Friday, the United States sent the destroyer USS Kidd to scout the Indian Ocean as the search expands into that body of water.

"I, like most of the world, really have never seen anything like this," Cmdr. William Marks of the U.S. 7th Fleet said of the scale of the search. "It's pretty incredible."

"It's a completely new game now," he said. "We went from a chess board to a football field."

Malaysia Airlines: The pilots of the missing plane

Other developments

â€¢ "Seafloor event": Chinese researchers say they recorded a "seafloor event" in waters around Malaysia and Vietnam about an hour and a half after the missing plane's last known contact. The event was recorded in a non-seismic region about 116 kilometers (72 miles) northeast of the plane's last confirmed location, the University of Science and Technology of China said.

"Judging from the time and location of the two events, the seafloor event may have been caused by MH370 crashing into the sea," said a statement posted on the university's website.

However, U.S. Geological Survey earthquake scientist Harley Benz said Friday that the event appeared to be consistent with a naturally occurring 2.7-magnitude earthquake.

â€¢ Malaysian response: Authorities continued to defend their response to the crash. "A normal investigation becomes narrower with time, I understand, as new information focuses the search," Hussein said. "But this is not a normal investigation. In this case, the information we have forces us to look further and further afield."

However, Bob Francis, a former National Transportation Safety Board official, is one of several experts who have questioned how Malaysian authorities have handled the situation.

"The Malaysians are not doing a superb job of running this investigation," he said. "And they apparently give you some information, and then they withhold information. How much are they relying on and listening to the Europeans and the NTSB who are there with more expertise? I don't know, but I think you know we've got a mixture of a very strange situation that happens to be in an environment, a regulatory environment, that really isn't capable or isn't running an investigation the way it should be run."

How you can help find the plane

Barbara Starr reported from Washington, Chelsea J. Carter wrote from Atlanta. CNN's Jethro Mullen, Michael Pearson, Evan Perez, Jim Sciutto, Mike M. Ahlers, Pamela Brown, Aaron Cooper, Brian Walker, Harmeet Shah Singh and Karen Chiu contributed to this report.

@highlight

Report: Investigators suspect communications were manually switched off

@highlight

More investigators learn, "the more difficult to write off" human intervention, official says

@highlight

Malaysian military radar shows drastic altitude changes, an official says

@highlight

A classified analysis calculates the flight crashed into the Indian Ocean, CNN learns