Every explosion in Gaza seems personal to Said Durrah.

The Washington-area resident has so many relatives in Gaza that he can't count them all: uncles, aunts, cousins, second cousins, and so on, in Zaytoon, Rimal and other Gaza communities. His mother is one of nine children, many of whom still live in the Palestinian territory.

"Every missile hits close to home, pardon the pun," he said. "It's the worst reality television you'd ever want to watch."

For example, when the past week's violence between Israel and Hamas' military wing in Gaza killed a family of 10 in Gaza, Durrah learned that he was distantly related to them. The family was an in-law of a cousin, he said.

Will cease-fire last?

"Gaza is very much the type of place where everybody is connected," said Durrah, 30.

Wednesday's cease-fire between Israel and Hamas has provided some comfort, until the smoke clears and the wreckage can be assessed in Gaza, Durrah said.

"A cease-fire may bring a little bit of relief, but when the cease-fire is done, they return to the status quo -- minus their homes," Durrah said. "They have to rebuild them without any means to do so, so it's going to be tough."

How U.S. Jews view the conflict

Arab-Americans, Muslims and the Palestinian diaspora are focusing renewed energy and concern on Gaza, a sliver of land along the Mediterranean coast that is about twice the size of Washington and is populated by 1.6 million people, including 1.1 Palestinian refugees.

"Palestine is a central issue for most Arab-Americans," said Laila Mokhiber, spokeswoman for the American-Arab Anti-Discrimination Committee.

"Overall, Arab-Americans want to see an end to the siege on Gaza. Until that happens and until the Palestinians are able to exercise their basic human rights, we can't expect to see a lasting cease-fire or peace," Mokhiber said.

Analysis: Conflict shifts balance of power

Many Arab-Americans say Gaza is under Israeli occupation. Durrah likened Gaza to "a cage," walled-in and cut off to the outside world by Israel.

Israel imposed an economic blockade on Gaza shortly after Hamas was elected to run the Gaza government in 2006.

That blockade -- as well as Israel's military might, backed by the United States -- has created humanitarian concerns in Gaza, according to the Arab-American group. The West Bank is also part of the historical conflict between Israel and Palestinians.

"The occupation of both the West Bank and Gaza and the blockade against Gaza -- as long as that is a reality, you're going to see tensions between Palestinians and Israel," Mokhiber said. "You have civilians against the fourth strongest military in the world. They're killing kids. They're killing civilians. It's not military against military."

Durrah owns an event management business that operates fund-raisers for Palestine. He's also a comedian who does stand-up in Las Vegas and Manhattan. But the carnage between Hamas in Gaza and Israel is no laughing matter, and he doesn't engage in the endless arguments so common in the Mideast about who started what in a centuries-long history, he said.

Timeline of the conflict

"What do you say about a place that has been occupied for more than 50 years," Durrah said. "This is a situation where people were born in occupation and lived their entire lives in occupation and died in occupation. It's crazy to me.

"If you cage an animal long enough, eventually when you get close to that cage, they're going to hiss at you and they may even scratch," Durrah said.

Durrah's family received a phone call Tuesday from relatives in Rimal, Gaza.

"They were literally telling my mother how glass shakes. They were just afraid. They don't know what tomorrow brings or what the next hour brings," Durrah said.

Those perils are difficult for Durrah to imagine. It's hard on him, too.

"It's fear of going to sleep and getting a phone call or, worse, not getting any phone call and wondering -- having the feeling of whether no news is good news or not," Durrah said. "Our issues are so small in comparison to what they're going to go through. We may not be able to sleep because of a cricket in the room, but they are trying to sleep through the soundtrack of blasts and missiles."

This month's exchange of Hamas rockets and Israeli airstrikes has prompted pro-Palestinian and pro-Israel rallies throughout the United States.

On Wednesday evening, the Congress of Arab American Organizations in Michigan, home to a large Arab diaspora, held a vigil in front of the Dearborn City Hall in support of the Palestinians, and more than 500 Palestinian-Americans, other Arab-Americans, Muslims and others attended the event, said Osama Siblani, publisher of The Arab American News, a weekly bilingual newspaper in Dearborn, Michigan, who also organized the event.

Gaza has "been under Israeli siege for many years which makes it a large virtual prison," the group said in a statement. "Just 43 kilometers (about 27 miles) long and 10 kilometers (about 6 miles) wide, most of its residents are Palestinian refugees who have lived in camps since 1948."

The violence has prompted an outpouring of humanitarian aid to the people of Gaza, said Saleem Zaru, a Palestinian-American who is executive director of United Palestinian Appeal in Washington.

In the past five days, the nongovernmental organization received between $40,000 and $50,000 in donations, which will help 550 families in Gaza who need food and shelter because of  the conflict, Zaru said. Donors include Jewish-Americans and people in Asia, he said.

"Some of their houses have been bombed and it's going to be a while before they can get back to them," Zaru said of the Gaza families. "We're dealing with this on a day-by-day basis."

@highlight

More than 500 people attend vigil Wednesday evening in Dearborn, Michigan, for Palestinians

@highlight

Arab-Americans anguish over violence between Hamas in Gaza and Israel

@highlight

'It's the worst reality television you'd ever want to watch,' says Palestinian-American with relatives in Gaza

@highlight

Cease-fire brings relief, but many relatives in Gaza are now without homes