(CNN) -- If you haven't been under a rock the past 24 hours (and if you have been, you have other things to worry about), you know that a certain Cupertino-based fruit company has finally unveiled its entry into the smartwatch sweepstakes, and, as expected from the house that the late Steve Jobs built, the new Apple Watch is a bushel of insanely geektastic features wrapped up in a sleek and eminently gorgeous package.

You can get the scoop on what it actually does (and whether you should drop your hard-earned $349 "to start" on it) elsewhere.

The question I'm interested in is whether Apple's long-awaited arrival in the buzzy wearables category finally means that people -- regular people, that is, not pixel-pushing pundits and Tesla-driving tech titans -- are ready to wear them.

The fact is, while wearables have generated a lot of attention, they're being used a lot less than the fanfare might suggest.

According to the NPD Group and Strategy Analytics, only about 14 million fitness bands and activity trackers and about 2 million smartwatches were sold globally over the 12 months ending this past March. (Everything else -- Google Glass, cloud cameras, digital jewelry, wi-fi socks, connected underwear -- basically represents a rounding error.) Compare that with the number of smartphones sold around the world: 964 million. That's the difference between a niche product and an emerging necessity.

Now, there are pretty good reasons why people have so far failed to adopt wearables in droves.

The first is that this first generation of devices have been, in the larger scheme of things, pretty useless. Or single use, at most: Fitness trackers may be invaluable for dedicated dieters and exercise junkies, but most people don't have room in their personal digital portfolios for another device that does nothing but count steps and calories.

It's one more thing to update, charge, sync and misplace. (I had a Fitbit when it first came out -- accent on the "had." It's currently counting turbulence jolts on a plane somewhere between here and Shanghai.)

Hands-on with the new Apple Watch

But the second and most critical reason is that technology needs to reflect demand, not supply. Are consumers actually hungry for what you're cooking?

If they aren't, your smart [insert device category here] is an interesting idea, not a product. It's an answer looking for a question. And it is designed to make nerd fanboys and technology columnists wet their pants, not to change the way ordinary people live.

Every game-changing innovation, from the horseless carriage to the first cell phone to streaming video on Netflix, is one that fulfills a fundamental need so well that it's hard to imagine what it was like before that innovation arrived.

Of course, you often don't realize this until well after the innovation in question has been released.

Apple's original iPhone, with its featureless oblong form factor and touchscreen-based UI, was derided as an expensive, keyboardless toy. The iPad was dismissed as an oversized iPhone with a feminine-hygiene inspired name. Both of these ended up completely reinventing their categories and earning Apple billions.

The Apple Watch, meanwhile, received a standing ovation when it was unveiled Tuesday as the "One More Thing" behind Apple's new supersized iPhone 6, and has been generating a near-universal stream of acclaim from the digerati ever since.

People across my social network have been focusing their lust on different aspects of the device -- from its fashion-focused interchangeable bands to its ability to serve as a wave-and-enter key for rooms at Starwood hotels, to perhaps the weirdest feature it offers: Its ability to send a real-time pulsing display of your heartbeat to any contact on your paired iPhone. (At the very least, that's going to change the face of action cinema.)

Which may answer my original question: While other companies are trying to figure out how to respond to need, Apple, more so than any other company, has figured out how to create it.

Just now, my mom called me to ask if I thought she needed an Apple Watch, to go along with her new iPhone 5c. If you needed an indicator as to whether the wearable revolution is finally here, that's as good as any.

@highlight

Apple unveiled the long-awaited Apple Watch

@highlight

Jeff Yang: Does Apple's foray into wearables mean people are ready for them?

@highlight

He says even though wearables are buzzy, consumers haven't flocked to them in droves

@highlight

Yang: Apple, with its focus on design, may have found a way to start the wearables revolution