Washington (CNN) -- The U.S. Supreme Court on Monday allowed a controversial state DNA testing law to remain in effect until the justices have time to consider the broader constitutional questions.

Maryland's DNA Collection Act permits police to collect genetic material from those who have been arrested, but not yet convicted.

Chief Justice John Roberts issued the three-page in-chambers opinion, putting a state court's ruling favoring a criminal defendant on hold.

"Collecting DNA from individuals arrested for violent felonies provides a valuable tool for investigating unsolved crimes and thereby helping to remove violent offenders from the general population," Roberts wrote. "Crimes for which DNA evidence is implicated tend to be serious, and serious crimes cause serious injuries. That Maryland may not employ a duly enacted statute to help prevent these injuries constitutes irreparable harm."

The chief justice said there is a "fair prospect" the Supreme Court would ultimately find in favor of the state on the search and seizure questions.

After more legal briefs are filed, the high court in coming weeks will decide whether to hear the case and issue a definitive, binding ruling. Oral arguments would likely not be held until early next year.

A 1994 federal law created a national database in which local, state, and federal law enforcement agencies can compare and share information on DNA matches from convicted felons, but courts have been at odds on just when such samples can be collected and the information distributed.

The current case involves a Maryland man convicted of a 2003 rape in Wicomico County in the state's eastern shore region. Alonzo King Jr. had been arrested three years ago on an unrelated assault charge, and a biological sample was automatically obtained at that time.

King moved to suppress the use of the DNA on Fourth Amendment grounds, but was ultimately convicted of the first-degree rape offense.

A divided Maryland Court of Appeals later agreed with King, saying suspects under arrest enjoy a higher level of privacy than a convicted felon, outweighing the state's law enforcement interests. That court also said obtaining King's DNA immediately after arrest was not necessary in identifying him, and that the process was more personally invasive than standard fingerprinting.

State officials then asked the justices to intervene now, saying the state court ruling "has resulted in the loss of a valuable crime-fighting tool relied upon by Maryland." They said that from a law enforcement and forensic perspective, there is no difference between fingerprinting and collecting "biometric information."

Roberts in his opinion tentatively agreed.

"The (state court) decision below has direct effects beyond Maryland: Because the DNA samples Maryland collects may otherwise be eligible for the FBI's national DNA database, the decision renders the database less effective for other states and the federal government," Roberts wrote.

The state DNA collection law in Maryland is set to expire at the end of next year, but the justices are likely to decide its constitutionality before then.

The case is Maryland v. King (12A48).

@highlight

Maryland's law allows police to collect genetic material from those arrested

@highlight

A lower-court ruling favoring a criminal defendant is put on hold

@highlight

Chief Justice Roberts says there is a "fair prospect" the high court will uphold the law