London, England (CNN) -- As a style journalist for over ten years, I've made it my business to scour the world in search of fresh and innovative fashion. And since launching ARISE, I've honed my sights on Africa.

The position has afforded me an unparalleled opportunity to travel around the continent meeting designers and going behind the scenes of what is fast becoming an influential and meaningful industry.

Whereas previously Africa was only seen as a source of anthropological inspiration for international brands, now its homegrown talents are standing up and being counted too and riding the wave of interest in Africa's broader cultural and economic ascension.

Established names such as Duro Olowu in London, Xuly BÃ«t in Paris, Kofi Ansah in Ghana, Jewel By Lisa in Lagos and Marianne Fassler in Johannesburg are inspiring younger talents while more and more African fashion weeks, magazines, websites, boutiques and schools are blossoming.

I find it a hugely exciting field of fashion that is finally having its moment to shine.

"New African Fashion" is a celebration of this moment. The coffee table book charts the long history and reverence of adornment on the continent, heralds African fashion's early pioneers and profiles the best designers, models and street style photographers prospering today.

Here are five of my favorite.

Gloria Wavamunno

"I am in love with my continent right now," says Ugandan designer Gloria Wavamunno. "My art is African and I am extremely proud of where I come from." These sentiments are apparent in her autumn/winter 2011/12 collection entitled 'Not A Dream, My Soulmate.'

Cute jackets made from Ugandan bark cloth are worn with full pleated skirts, hot pants and cropped trousers in shades of gold, black and blue.

Debuted at London Fashion Week, the show also featured slogan T-shirts -- one was emblazoned with 'I'm Responsible For My Africa' while another had the words 'Live Aid' crossed out and the word 'Trade' printed underneath.

Wavamunno was born in London in 1985, where her parents had relocated to in order to escape civil war back home but the family moved back to Uganda shortly after her birth as peace returned under President Yoweri Museveni.

She studied fine art at the American Intercontinental University in London and interned at Ozwald Boateng before launching her label in Kampala in 2009 with her first collection called L.O.V.E.

She's since opened a boutique, shown at African Fashion Week in Johannesburg.

Maki Oh

With her label Maki Oh, Amaka Osakwe explores her thirst for African textiles to create intricately constructed, sensual pieces that simultaneously preserve and evolve traditional dress practices.

She was brought up in Lagos, studied fashion at the Arts University College in Bournemouth, UK, and returned to Nigeria to launch her label with autumn/winter 2010/11's 'Everything In Proportion.'

Sheer tops were embellished with a calabash jigsaw, voluminous shorts were made from adire (indigo-dyed patterned cloth), baggy trousers suggestive of men's agbada suits used antique aso-oke (loom woven fabric), and jersey dresses came covered in symbols suggestive of the intimate female form beneath.

"I wanted to make Nigerians aware of their own handmade fabrics which are infused with meanings that have been passed down through generations," she says.

Web boutiques bring African fashion to world market

Black Coffee

Jacques van der Watt's highly conceptual brand, which values the form and functionality of clothing over the frivolity of trends, has for over a decade helped forge a contemporary identity for South African fashion.

He studied both English and Japanese pattern-cutting techniques at Leggatts Design Academy (his graduate collection was all reversible) and worked as a costume designer before launching Black Coffee in 1998. "At the time designer fashion was considered only for occasion wear. Black Coffee was part of the new guard," he says.

Joined by designer and stylist Danica Lepan in 2004, Black Coffee accumulated numerous accolades and introduced 'Everyone Can Be A Designer,' a secondary range of mutable garments, before Lepan's departure in 2010.

He says: "My designs happen very organically, but my aim is always to dress the creative, adventurous woman."

Stiaan Louw

Stiaan Louw's androgynous, multi-layered collections explore male sexuality and the culture clash between social tribes, issues that intrigue him as an Afrikaan working in a fledgling democracy and equally fledgling men's fashion market.

The Durbanville-born designer studied at the Haute Couture School of Fashion Design in Cape Town, where he developed an affinity for cut, construction and hand tailoring, and after graduating in 2000, he worked as a stylist, accessories and women's wear designer before making the logical leap to menswear in 2008.

He says about his autumn/winter 2011/12: "This collection presents Africa as the cradle of mankind. We are all African, regardless of ethnicity, cultural background or sexuality."

The Namibian women who dress like Victorians

Christie Brown

Aisha Obuobi was motivated by her seamstress grandmother to devote herself to fashion. "Early on I learnt to appreciate the wonders of beautiful design and reveled in creating outfits for my favorite dolls," recalls the Accra-based designer. She moved on to customizing her own wardrobe and after studying fashion under Ghanaian designer Joyce Ababio, she launched Christie Brown in 2008. Fittingly, the label is named in honor of her grandmother.

Obuobi showed her first collection of African wax print cocktail dresses at Africa Fashion Week in Johannesburg in 2009, where she won the Emerging Designer of the Year award, and has since shown in Angola, France and Nigeria.

Africa fashion week in New York

Her flirty, feminine designs revolve around clean silhouettes such as empire line dresses, swing coats, blazers and pencil skirts made from Chantilly lace, chiffon and silk, which are often embellished with feathers, fringing and clusters of covered buttons. For autumn/winter 2011/12, her Mad Men-ready collection of fitted and full styles was complimented by a new jewelery range.

"I find strength in simplicity and appreciate the grace of effortless style," she says. "My aim is to create wearable designs that make my clients feel sophisticated, confident and modern."

@highlight

Helen Jennings is a journalist and editor of London based magazine, ARISE.

@highlight

She scours the world for fashion trends and has honed her sights on Africa.

@highlight

Jenning says fashion is becoming an influential industry on the continent.