(CNN) -- In the aftermath of Super Typhoon Haiyan last year, Roge Agujero's family went back to the plot of land near the sea where their house once stood.

"We did not see anything, not even a single post," he said.

INTERACTIVE: See the latest satellite and path of the storm

The ferocious storm had obliterated the building where more than a dozen of Agujero's family members lived, one of thousands of homes destroyed in the area around the Philippine city of Tacloban. Entire neighborhoods were smashed into tangled heaps of debris. More than 6,000 people were killed.

Agujero's family has spent much of the past year rebuilding their house, taking pains to make it sturdier than its wooden predecessor by using concrete.

The work isn't finished, but a new threat is already on the horizon.

Another powerful storm, Typhoon Hagupit, is approaching the Philippines from the same part of the western Pacific Ocean as Haiyan did 13 months ago. On Friday morning local time, the storm was downgraded from a super typhoon to a typhoon, but is still packing potentially devastating winds.

For residents of Tacloban and the surrounding region, the parallels between the two storms are deeply unsettling.

"I'm more than nervous because I have experienced what Yolanda brought," 23-year-old Agujero said, using the Filipino name for Haiyan. "I don't know what will happen next after another super typhoon."

Life in Tacloban's 'danger zones,' one year on from Typhoon Haiyan

Exact path uncertain

It's not yet clear exactly what path Hagupit will take. Some forecasts have it on a similar path to Haiyan, crashing into the central region around Tacloban over the weekend. National authorities warn that about 44 provinces may be in Hagupit's potential path -- home to about 35 million people, reported CNN affiliate 9News.

Typhoon Hagupit, also know nationally in the Philippines as Ruby, had sustained winds of up to 143 miles per hour (231 kilometers per hour) as of Friday morning, according to the Joint Typhoon Warning Center.

The Philippines' National Disaster Risk Reduction and Management Council anticipates heavy rainfall from 7.5 to 20 millimeters per hour.

Many local residents around Tacloban aren't taking any chances.

Long lines were reported Thursday at supermarkets, ATMs and gas stations as people stocked up on supplies. The local government and relief organizations have begun putting emergency preparation plans into action.

"Unlike last year, there are a lot of UN agencies and INGO partners on the ground in Tacloban and other cities ... ready to provide support and assistance," said Maulid Warfa, chief of UNICEF's office in Tacloban, referring to international non-governmental organizations.

Local people also appear to be more attuned to the potential risks.

As Haiyan bore down on Tacloban last year, a lot of residents didn't hear or heed government warnings to relocate from coastal areas. Some of them pointed to the blazing sun in the sky the day before the storm hit as proof that there was no need to be concerned, Agujero said.

Haiyan's massive storm surge caught many of them in their homes as it roared in off the Gulf of Leyte, splintering buildings and tossing large ships onto dry land.

One year after Typhoon Haiyan: Resilience rebuilds the Philippines

Evacuations under way

The sun was high in the sky once more Thursday, but Agujero said nobody trusts it now.

He's working for the humanitarian group Catholic Relief Services and has already warned his family, whose youngest member is only a month old, to evacuate from their half-built house near the water in the town of Palo to a school building safely inland.

His relatives all survived Haiyan by taking shelter in a chapel, including his octogenarian grandmother who can't walk anymore because of a stroke and had to be carried. But some of them, including his brothers and father, left it late to get out of the house before it was swept away, he said.

And Agujero himself was hit on the head by falling debris and had to be rescued from the flooded ground floor of a convent where he'd gone to volunteer his help.

The lines of communication to carry warnings to residents appear better established than last year.

Are you there? Share photos, video if you can safely

The local government has identified 21 evacuation centers around the city and has started the evacuation of people already, UNICEF's Warfa said, adding that the number of evacuation centers is expected to increase.

Tacloban Mayor Alfred Romualdez, whose waterfront house was destroyed by Haiyan, wasn't available for comment Thursday.

Tens of thousands of people in Tacloban are still living in coastal areas designated as danger zones by authorities. Officials say a shortage of temporary housing and other problems over the past year have prevented them from permanently relocating most residents of the communities at risk.

Those areas look set to be vulnerable once again as Hagupit -- known locally as "Ruby" -- draws near.

Panoramic photo shows Haiyan devastation

Strength of Category 5 hurricane

"Even in the best case scenario, we're going to have very heavy winds and rain" that bring the risk of flooding, said Renee Lambert, the head of the Catholic Relief Services office in Tacloban.

The sense of unease among residents was palpable, she said, with some stores closing and roads appearing quieter.

"I certainly see the city hunkering down," Lambert said.

The storm is the equivalent of a strong Category 5 hurricane, according to the U.S. military's Joint Typhoon Warning Center.

With Hagupit's precise path still uncertain, Philippine authorities issued storm warnings for 56 of the country's 81 provinces, covering around 70% of the country's population of 100 million, CNN affiliate 9news reported.

Agujero said he hoped that the Tacloban region would be spared this time around.

His biggest concern, he said, was for his family. He was less concerned about their unfinished home.

"If the house gets destroyed again, we can still rebuild it," he said.

CNN's Judy Kwon, Paul Armstrong, Madison Park and Ward Taylor contributed to this report.

@highlight

Typhoon Hagupit's wind strength is equivalent to that of a strong Category 5 hurricane

@highlight

It could hit the area around Tacloban devastated last year by Typhoon Haiyan

@highlight

"I'm more than nervous," says one survivor of Haiyan whose family home was destroyed

@highlight

Tens of thousands of people are still living in coastal areas considered to be danger zones