BUENOS AIRES, Argentina (CNN) -- When Susana Trimarco's daughter Marita Veron was 23, she vanished from their hometown in Argentina, a suspected victim of a human trafficking and prostitution ring with links throughout Latin America and Europe.

Marita Veron, who is missing, hugs her daughter Micaela. Police believe Marita was forced into sexual slavery.

Trimarco, 54, has spent the past 6½ years searching for her daughter, often putting herself at risk. While chasing down leads on Marita's whereabouts, she's entered dark and dangerous brothels and confronted pimps and politicians who, she says, are complicit in her daughter's disappearance.

She has won accolades throughout Latin America, Europe and the United States for her work. But Marita is nowhere to be found.

"Marita is a wonderful and caring girl. My life will be completely absorbed with this fight until she is back and safe," Trimarco said.

On April 3, 2002, Veron left her house in the northern Argentine province of Tucuman early for a doctor's appointment. She was wearing a turquoise shirt, blue jeans and old white sneakers.

As she left the house, she told her mother, "Don't worry. I'll be back soon." Those were the last words the two exchanged.

The investigation that has followed has led police and Trimarco to believe that she was kidnapped and forced into prostitution, either in rural Argentina or Spain. So far, a series of random clues has failed to provide any concrete information on Marita's whereabouts.

Now, art is imitating life on Argentina's airwaves. Trimarco's story has become the basis of one of Argentina's most popular nighttime soap operas, "Vidas Robadas," or "Stolen Lives."  Watch art imitate activism »

The program premiered in March on Telefe, one of Argentina's largest television networks, to a lukewarm response. But as the storyline and characters evolved and word started to spread, the audience grew, and it became water-cooler television.

"Stolen Lives" attracts more than 2 million viewers nightly, a considerable feat considering Argentina's population is only 40 million.

The show's plot centers on widowed anthropologist Bautista Amaya (played by Facundo Arana) and Rosario Soler (Soledad Silveyra) -- the mother of a young kidnapped girl, based on Trimarco -- who team up to unravel an underground prostitution ring.

"With every performance, I try to display the inner feelings of this woman who is suffering, to transmit her grief," Silveyra said. "As an actress, I feel an enormous responsibility."

The usual telenovela themes of love, passion and revenge are ever present in "Stolen Lives," but the show strives to expose an issue that has remained in the dark in Argentina until recently. Human rights groups in Argentina estimate that 800 women have gone missing at the hands of human traffickers since 2007. Worldwide, about 800,000 people are trafficked across borders annually, according to the U.S. State Department.

"I am delighted that the show has been able to bring this topic to light, because no one ever talked about human trafficking in Argentina before," Trimarco said.

"Stolen Lives" is the latest in a series of recent Argentine telenovelas that dissect important social issues while also aiming to entertain.

One of the most important was the 2006 hit "Montecristo," which examined crimes against humanity committed by Argentina's military during the 1970s and 1980s. Local versions of "Montecristo" are produced in nine countries around the globe, including Turkey, Portugal, Mexico and Russia.

"With these types of telenovelas, we are able to bring something entirely new to the public debate. And because we take a fictional and not a journalistic approach, we are able to attract and keep more viewers," Telefe programming director Claudio Villarruel said.

"Montecristo" helped reunite children of Argentina's Dirty War who "disappeared" with lost family members. The Dirty War happened from 1976-83, when the government carried out a secret campaign to purge the country of those it considered to be dissidents.

"Stolen Lives" is making a similarly strong impact.

Trimarco established a foundation in her daughter's honor, Fundacion Maria de los Angeles, last year in Tucuman. It counts U.S. Ambassador to Argentina Earl Wayne and Argentine President Cristina Fernandez de Kirchner among its supporters.

According to Trimarco, the foundation has rescued 360 women and children from trafficking networks, and leads on missing people continue to pour in. Argentina passed its first national law against human trafficking this year, a law that Trimarco lobbied hard to get passed.

Meanwhile, praise rings from home and abroad.

In May, "Stolen Lives" was declared a show of "social interest" by the Buenos Aires City legislature. In 2007, Trimarco received the U.S. State Department's "International Women of Courage Award" from Secretary of State Condoleezza Rice at a ceremony in Washington. Later this year, Trimarco will travel to Spain to speak about human trafficking with lawmakers from the European Union.

"It's just like Condoleezza Rice told me: My screams are being heard all over the world," she said.

Trimarco travels around Argentina constantly, educating people about human trafficking, and following up on clues about Marita. She is also raising Marita's daughter, Micaela, 9.

With all the publicity surrounding the case and the success of "Stolen Lives," Trimarco has herself become a target. Her accusations of political and police involvement have led to death threats, she says.

Still, she remains committed to the cause and says that collaborating with the producers of "Stolen Lives" to tell her story has helped give her the strength to continue searching for her daughter.

"I'm content, because my pain is now serving a purpose," she said.

@highlight

Argentine woman vanished in 2002; it's believed she was forced into prostitution ring

@highlight

Argentine soap opera, based on Marita's mother's search, probes human trafficking

@highlight

Mom: "My life will be completely absorbed with this fight until she is back and safe"

@highlight

Mother Susana Trimarco's foundation tries to save women, children from sex slavery