London (CNN) -- A British spy found dead at his home in 2010 -- his naked body padlocked inside a large red carrying bag stowed in the bathtub -- was either suffocated or poisoned, but it is unlikely his death will ever be satisfactorily explained, coroner Fiona Wilcox said Wednesday.

Gareth Williams' death was "unnatural and likely to have been criminally mediated," she ruled.

He probably entered the bag alive, Wilcox said, reading her ruling to a court around the corner from the home of the world's most famous fictional detective, Sherlock Holmes.

But she was sure an unknown person put the bag containing his body into the bath and probably locked it, she said.

The case has gripped the British public for more than a year and a half, since Williams, an MI6 agent known for his mathematical genius and codebreaking talent, was found dead at age 31 in August 2010.

But after a weeklong inquest at which evidence from hundreds of expert witnesses, security camera images and police interviews was presented, the "most fundamental questions as to how Gareth died remain unanswered," Wilcox said Wednesday.

There was "endless speculation but little real evidence," she said.

And in unusual criticism of the Secret Intelligence Service, as MI6 is formally known, she said a delay in reporting his death and in providing relevant evidence added to the uncertainties about the case. Some of that evidence came to her only in the last 48 hours of the inquiry, Wilcox said.

The coroner appeared briefly overcome with emotion as she came to the end of reading her ruling, her voice faltering as she announced her findings.

The cause of death remains unknown, but experts agreed it was either from suffocation or poisoning, she said. "I am therefore satisfied on the balance of probabilities that Gareth was killed unlawfully," she concluded.

Among the theories aired by UK media were that Williams might have died at the hands of foreign intelligence agents or as a result of a kinky sexual encounter gone wrong, neither of which was supported by the evidence, the coroner said.

She also cast doubt on suggestions that he was into bondage or transvestism, fueled by the discovery of women's clothes, wigs and cosmetics in his apartment, saying she thought Williams bought them out of an interest in fashion, rather than any sexual motivation.

Expressing her sympathies to his family, Wilcox said the inquest could not bring him back, but she hoped it had at least allowed them to see the evidence out in the open.

A lawyer for Williams' family said that losing a much-loved son and brother would have been a tragedy in any circumstances but that the nature of Williams' death had made it all the worse.

"Our grief is exacerbated by the failure of his employers at MI6 to take even the most basic inquiries as to his whereabouts and welfare, which any reasonable employer would have taken," he said.

"We are also extremely disappointed at the reluctance and failure of MI6 to make available relevant information."

The family has called for the Metropolitan Police to review the role of the intelligence services in the investigation.

MI6 head John Sawers apologized "unreservedly" to Williams' family for the service's failure to act more swiftly and said measures have been put in place to make sure it doesn't happen again.

The detective leading the police investigation, Jackie Sebire, said new lines of inquiry had resulted from the inquest and would now be "actively pursued."

"His naked body was found in the most suspicious of circumstances," Sebire said. "It is highly likely that a third party was involved in Gareth's death, and I urge anyone who knew Gareth or who had contact with him to search their conscience and come forward with any information about what happened that night."

Inside the court, a picture emerged of a man who had few friends but was very close to his family, highly intelligent and physically fit thanks to his love of cycling.

A math prodigy who had completed his mathematics degree and master's by the age of 21, he was someone who relished a challenge and had received an award for his "world-class" work for the intelligence services.

Summing up the evidence, Wilcox said it was "extremely unlikely," but not impossible, that Williams had worked out a technique to get into the bag -- measuring just 32 inches by 19 inches (81 by 48 centimeters) -- and lock it from the inside.

But, she said, there was no evidence of footprints or handprints on the walls of the bathroom or the bath itself, as might have been expected if he had done that.

He was not a risk taker, she said, and that made it unlikely in her view that he would have put himself into the bag even as a personal challenge without making sure he could get out.

Of the four keys belonging to the padlock that secured the bag in which Williams was found, one pair was found inside it with him. A second pair was found on a key ring in his apartment, Wilcox said.

There was no sign that evidence had been tampered with, such as traces of bleach. There was also no sign of a break-in or robbery in his neat, tidy apartment, she said.

She described his body as "peaceful" and said there was no indication of a struggle.

Wilcox also said there were no indications that Williams was feeling suicidal.

However, tests that might have revealed unusual or volatile poisons were ruled out by the decomposition of the body. Traces of alcohol and a chemical matching the party drug GHB were found, but both can occur naturally as part of the decomposition process, she said.

British media have reported that Williams' Internet history showed an interest in sex games and bondage, but Wilcox said the codebreaker had made only a handful of visits to bondage sites.

The coroner said there was no evidence of interest in claustrophilia, a fetish for enclosure in very confined spaces.

His apartment contained 20,000 pounds ($32,000) worth of high-fashion women's clothing, unworn and packed as purchased, Wilcox said, but she said she found no connection between his death and his interest in fashion and women's shoes and clothing.

There also was no indication that his death was connected to his work, she said.

He had not taken on any high-risk operations, and he worked only in the UK. There was no evidence of threats arising to him from his work, his employers testified.

Wilcox was highly critical of Williams' line manager, who did not report that he was missing for about a week after he died August 16. She said the inability of the manager to recall certain key bits of evidence concerning the week of Williams' death "is beginning to stretch the bounds of credibility."

When questioned, the manager said he assumed Williams was absent for a legitimate reason that he had forgotten about, even though he missed several meetings. They worked on a small team of four people.

The manager and other SIS employees testified from behind a screen and were identified only as SIS, plus a letter.

Williams was finally reported missing by a co-worker August 23, more than a week after the normally punctilious employee had last shown up at work.

"I can only speculate as to what effect this had on this investigation," Wilcox said.

The decomposition of Williams' body was hastened by the fact it was in a top floor apartment, where the temperature soared in the summer heat. The heating was mysteriously also turned on, despite it being a hot August, she said.

Police did not secure the scene until eight or nine days after Williams died.

Reports about the "body-in-a-bag spy" describe how two experts spent days trying to figure out whether Williams, who was athletic and of medium height, could have contorted himself in such as way as to lock himself into the North Face holdall bag, with a key to the padlock inside.

Video provided to the court shows one of them, Peter Faulding, folding himself laboriously into an identical bag placed in a bathtub.

Faulding, who specializes in rescuing people from confined spaces, told the inquest that he had tried to lock himself into the bag 300 times without success. A second expert witness, also of a size and build similar to Williams, tried 100 times to re-enact the feat without succeeding.

Neither ruled out definitively the possibility that Williams could have somehow done it alone. But a small trace of someone else's DNA was found on the bag, helping spawn all kinds of theories about who else might have been there.

Williams was recruited into the intelligence services straight from university, working with Government Communications Headquarters before MI6. The nature of his work and questions around why his spy agency bosses took so long to raise an alert about his absence have added to the intrigue surrounding his death.

Concerns about national security have been a factor in the 20-month delay in holding Williams' inquest, and an agency more used to working in the shadows has had an uncomfortably bright light shone into its practices.

A series of photographs provided by the Metropolitan Police show the tidy, impersonal interior of the spy's Pimlico home and the small white-tiled bathroom where his body was found.

A bicycle parked in the hallway is a clue to Williams' passion for cycling. A glimpse through a bedroom door shows a bed half-made, clothes lying on it. But little else can be gleaned from the images.

The Metropolitan Police says it is continuing its investigation, particularly in light of the coroner's findings and the concerns raised by his family.

But for now, the identity of the unknown person who apparently put the bag holding Williams into the bath, exactly how he died and the reason why, remain as much a mystery as ever.

CNN's Atika Shubert contributed to this report.

@highlight

NEW: MI6 chief apologizes "unreservedly" to spy's family for failure to act quickly

@highlight

Gareth Williams was poisoned or suffocated in the bag in which he was locked, coroner says

@highlight

The bag containing his naked body was put into a bath by an unknown person, coroner rules

@highlight

His family calls for an investigation into the secret services' role in the investigation