(CNN) -- It is possible, even likely, that the most important decision either President Obama or a President Romney would make in the next four years is whether to bomb Iran and its nuclear facilities. The debates were never likely to tell us much that would be useful about how either man would make that decision.

No amount of stage presence or posturing can reveal the deepest recesses of the presidential mind -- the place where, especially in the age of mass destruction, decisions about going to war must be made.

Of course, Obama or Romney will not be the first president to ponder a pre-emptive strike against a rising nuclear power. The first was Dwight Eisenhower.

In late summer 1953, shortly after Eisenhower became president, the Soviets detonated their own crude H-bomb, code named Joe IV (after Stalin) by the Americans. About nine months earlier, the United States had set off its own first H-bomb, code named Mike -- 500 times more powerful than the bombs that devastated Hiroshima and Nagasaki, Japan.

"I've never seen the president so concerned," the president's national security adviser, Robert Cutler, told the chief White House speech writer, Emmet Hughes, in early September. Cutler quoted Ike as muttering, "My God, 10 of these things and ..." The president didn't finish the sentence.

The United States still had the capacity to knock out the Soviet Union with a massive first strike. But for how long? At a secret national security meeting on September 24, 1953, the president gathered his closest advisers and asked: Would it be morally wrong not to attack the Soviets before it was too late?

"The question could no longer be excluded," a note taker wrote, "and it was the duty of the president and his advisers to find the best answer to it." But while anyone could ask the question, in the end only the president could answer it.

Opinion: Obama's foreign policy on trial

Eisenhower and his advisers ultimately decided not to strike first, disregarding the wishes of some -- such as the Strategic Air Command's Gen. Curtis LeMay -- who continued for many years to hope that Ike would unleash America's nuclear forces in a pre-emptive attack.

Certainly, Eisenhower made very clear throughout the rest of his presidency that he was willing to use nuclear weapons to stop communist aggression, remaining purposefully vague about when or under what circumstances. Such haziness was entirely intentional.

As a West Point cadet and as a young army officer, Eisenhower had been a great poker player. Indeed, he had to quit the game because he risked hurting his career by taking money from too many fellow officers. (He switched to bridge, at which he was also expert.)

Always a good bluffer, as president he did the same with nuclear weapons. He used the threat of their use to get America out of Korea in 1953, and similarly threatened during crises in Vietnam in 1954, with Red China in the Formosa Straits in 1954-55 and again in 1958, during the Suez crisis in 1956 and in Berlin in 1958-59.

Bergen: Romney endorses Obama's national security policies

Would he have actually used these weapons if push came to shove?

He never told anyone -- not his wife or son or closest advisers. To do so, in a city with no permanent secrets, would make his threats less credible. Ike knew how to hold his cards, even if doing so hurt him politically.

In 1958, when he was under tremendous pressure to build more missiles to catch up the Russians, which had just launched the first satellite, Sputnik, and seemed to be creating what the press and some Democrats were calling "the missile gap," Ike seemed strangely passive. He knew that the CIA's spy plane, the U-2, had not found any Soviet ICBMs, but he wanted to keep the existence of the spy plane a secret.

The president's bland public statements disappointed even his followers and gave rise to mutterings that he was too old (68) and playing too much golf (about 100 times a year). In the winter of 1958, Eisenhower was visited by the poet, Robert Frost, who gave him a book of his poems inscribed with the notation, "The strong are saying nothing until they see." Ike wrote a friend that Frost's words were his "favorite maxim."

Eisenhower was accustomed to carrying great responsibility.

In his breast pocket on D-Day, he carried a note he had written in case the landings failed. "The responsibility is mine alone," it read. On his first day as president in 1953, Ike wrote in his diary, "Plenty of worries and difficult problems. But such has been my portion for a long time."

Neither Obama nor Romney have Eisenhower's experience or credentials. But you can see just by looking at Obama's face that he has been forced to learn on the job. He or Romney will face greater tests.

Both men have said that containment is not an option when it comes to Iran getting the bomb. Will either man strike first? Wait for Israel to strike first? Get ready to join a wider Middle East war?

The strong are saying nothing until they see.

The opinions expressed in this commentary are solely those of Evan Thomas

@highlight

Evan Thomas: Biggest decision for next president could be on bombing Iran's nuclear facilities

@highlight

He says Eisenhower pondered a pre-emptive strike against a rising nuclear power: the USSR

@highlight

He was pressed by some to strike but grasped the magnitude and decided not to do it

@highlight

Thomas: Ike was good bluffer; faced with similar decision, will our next president fare as well?