(CNN) -- A young woman claims she was in a car with her fiancé when three police officers came by. She says two of them raped her while the third kept guard and later attempted to extort money from her fiancé. All parties involved were arrested -- the woman, her fiancé, and the three police officers.

The 27-year-old woman was charged with public indecency. What has shocked the public about the incident is not only the preposterousness of the young lady's arrest, but the subsequent accusation by the judges that has effectively transformed a victim into an offender.

News: Police say woman, husband were in "immoral position"

International human rights organizations have historically held that rape by security forces amounts to torture. In Tunisia, rape is a serious crime that is severely punished.

This single incident brings to the forefront how such transgressions are allowed to take place, and reveals serious flaws in the Tunisian criminal justice system and in Tunisian law as a whole.

The incident also highlights the current government's lack of competence in addressing the issues that affect Tunisians most directly.

A Ministry of Human Rights spokesman told CNN: "These kind of crimes and violations committed by the police rarely happen and do not represent the security system. The judicial system did its role and the three accused policemen are arrested."

Throughout Ben Ali's era, police officers have had free reign in the country. They pillaged, raped, and repressed citizens all over the nation. They were, after all, the former dictator's trusted safe keepers.

Today's police force constitutes the very same apparatus that kept the former president in power. The Ministry of Interior has not made a significant effort (if any at all) to reform the ministry -- which would include retraining the police, doing away with repressive security measures and, most importantly, removing the figures that have long represented oppression from the ministry's leadership roles.

In fact, as of today, all that has been accomplished is the formation of a "task force" that aims to discuss possibilities of reform. The task force only held its first meeting on September 27 -- months after the current minister of the interior took office.

On the legislative front, there have been no changes in citizen protection laws since the National Constituent Assembly was voted in. One of the assembly's latest encounters with women's rights dealt with a clause drafted by the constitutional Committee on Rights and Liberties. The clause relegated women to a "complementary" status with men, and would have been included in the final constitution had it not been struck down by the central coordination committee.

It is important to remember that women's rights in Tunisia today do not depend on the actions of a few, and that while progress is slow, not all is lost. Women in Tunisia have long enjoyed a Personal Status Code that is advanced when compared to neighboring countries. There is a serious risk, however, that any progress brought forth by the code could be reversed. Whereas civil society has been vigilant in defending this young woman's rights and raising awareness about violence against women, the government has yet to act in a constructive manner.

Many official figures, particularly those hailing from the ruling Islamist party Ennahda, have been defending the judiciary's decisions. For example, Amer Laarayedh, the head of Ennahda's political bureau and a member of the Constituent Assembly, insists that the protests taking place in support of the victim are attempts by the opposition to bring down the government. The Ministry of Justice denies that the victim was even accused. The Ministry of Interior retains that the couple was found in an "immoral position" when the police first stopped the car.

The courts and Tunisian government had a historic opportunity to define Tunisian society and rebuke state impunity. But instead of standing up against the heinous crime of rape and affirming the need to respect human dignity, the Tunisian judiciary and Ministry of Interior have put human rights to shame.

Following Tuesday's hearing, the victim's lawyers have expressed optimism that the charges brought forth against her would be dropped. The incident, however, calls for a serious review of Tunisian law -- including those codifying public morality or criminalizing indecency.

* CNN put Hassine's points to the Tunisian government. In relation to the public indecency charge against the 27-year-old woman, a Ministry of Human Rights spokesman said: "Amnesty (International) said that the Tunisian authorities must drop the indecency charges but how can the government interfere in the judicial system? In all democracies, the judicial system is independent and makes its own decisions. It is up to the judge to decide whether she is guilty or not. In my personal opinion, I hope the charges will be dropped however, I should not let my opinion influence the decision of the judge."

The opinions expressed in this piece are solely those of Wafa Ben Hassine.

@highlight

Woman in Tunis allegedly raped by police, then charged with public indecency

@highlight

Ben Hassine: Incident reveals serious flaws in Tunisia's criminal justice system

@highlight

Ben Hassine: Tunisian police officers have had free reign in the country for years

@highlight

Ben Hassine: Tunisian judiciary and Ministry of Interior put human rights to shame