(CNN) -- President Franklin D. Roosevelt reacted with fury when major legislative pillars of his New Deal were declared unconstitutional by a Supreme Court anchored by four ideological conservatives. He lashed out at the justices, accusing them of practicing crass politics disguised as constitutional law.

Seventy-five years ago last month, FDR proposed his ill-fated court-packing plan that would have allowed him to stack the court with new appointees sympathetic to the New Deal.

Will history be repeated this term when the Roberts court decides the constitutional fate of President Obama's signature legislation, the Affordable Health Care Act?

The justices will hear five-and-a-half hours of arguments over three days, March 26-28, on the healthcare law and deliver their judgment by the end of the term. If the court strikes down all or part of the law, Obama, like FDR before him, will almost certainly denounce the court's decision. After all, he has already had practice in publicly criticizing the court. At his 2010 State of the Union address, with the justices sitting directly in front of him, he accused the court majority in the Citizens United decision of reversing a century of constitutional law to open "the floodgates for special interests... to spend without limit in our elections."

Besides the willingness of both FDR and Obama to criticize the court, there are other parallels between the two Democratic presidents. Both came to office as liberal reformers who envisioned a large role for the federal government in promoting the nation's welfare. But in defending their policies, they revealed their very different political styles and temperaments.

During his first term, Roosevelt, a supremely confident, aggressive politician, proudly brandished his liberalism as a blunt instrument against his sworn conservative enemies in the business community, whom he labeled "economic royalists." For most of Obama's first term, the cool, controlled president has downplayed his liberalism, seeking to bring conservative lawmakers to the bargaining table, without notable success. Only in the past few months has he been willing to aggressively confront his political opponents.

There also are notable parallels between the two chief justices, Charles Hughes and John Roberts, separated by 75 years of American history. Both were brilliant lawyers appointed to the court by Republican presidents. And both inherited formidable conservative blocs of justices whose judicial opinions demonstrated a hostility to the policies of the Democratic presidents in office.

In the 1930s, the four most conservative members of the court, known as "the four horsemen," consistently voted to strike down far-reaching New Deal economic legislation. The Roberts court's most conservative justices, Samuel Alito, Antonin Scalia, and Clarence Thomas, all appointed by Republican presidents, have voted together on polarizing issues (such as campaign financing in Citizens United) in favor of corporate interests.

The conspicuous differences between FDR and Obama are matched by the leaders of the two courts, Chief Justices Hughes and Roberts. Neither Roberts nor, perhaps, anyone else who has served on the modern court, could rival Hughes in the breadth of his career. Hughes was appointed chief justice by President Herbert Hoover in 1930 after a distinguished career as a lawyer, investigator of special interests, reform governor of New York, Supreme Court justice and secretary of State. His only failure in public life was his narrow defeat as the Republican candidate for president in 1916 by the incumbent, Woodrow Wilson.

More significantly, Hughes, unlike Roberts, could not be easily categorized by the interests he advocated. As a lawyer, he defended large corporate interests but also five Socialists who had been expelled from the New York legislature because of their political convictions.

As chief justice, Hughes was a centrist, often appearing to split the difference between the two warring conservative and liberal factions on the court. He wrote opinions upholding some New Deal statutes, but also voted with the majority to strike down the National Recovery Administration and the Agriculture Adjustment Act. At the same time, Hughes burnished his longstanding reputation as a stalwart civil libertarian, writing groundbreaking opinions protecting freedom of the press and association.

In contrast, Roberts earned a reputation as a fierce advocate on behalf of conservative causes before his appointment to the court by President George W. Bush in 2005. And as chief justice, he has aligned himself consistently with the most conservative members of the court.

The balance of power on the Roberts court in closely divided constitutional cases has not resided with the chief justice, as it did with the Hughes court's centrists, the chief justice and Justice Owen Roberts. Instead, the pivotal vote has usually been cast by Justice Anthony M. Kennedy, who often, but not always, sides with his more ideologically conservative brethren. If the justices divide along conservative-liberal lines on the constitutionality of the federal healthcare law, Kennedy, not Roberts, will likely determine the outcome.

Obama's recent boldness in confronting his Republican opponents, as FDR routinely did throughout his presidency, suggests that he, like Roosevelt, will attack the Roberts court if it throws out his major policy initiative, the Affordable Health Care Act. But however aggressive his attack, he is not likely to emulate Roosevelt in proposing a court-packing plan to add justices more to his liking.

Most historians have rated FDR's court-packing plan as one of the worst mistakes of his presidency, a judgment that will not be lost on Obama, a careful student of American history.

Even if the justices uphold the healthcare statute, the Roberts court may well be a central issue in the fall presidential campaign. Both Obama and his potential Republican opponents have said that the 2012 presidential election will be about the future direction of the country.

The U.S. Supreme Court will play a prominent role in that future. The victor in the November presidential election may have the opportunity to appoint one or more justices to the Court (four justices are older than 70). If there are vacancies during the next presidential term, the president's appointments are likely to determine the future direction of the court and of the nation.

The opinions expressed in this commentary are solely those of James F. Simon.

@highlight

Supreme Court will hear case on Obama's healthcare law this month

@highlight

James Simon: Case recalls the furious battle between FDR and the court

@highlight

In both cases, president's prime achievements came under judicial review

@highlight

Simon: Supreme Court's future direction could be decided by November election