Tehran, Iran (CNN) -- Fearing for people's safety, Iranian opposition leaders canceled a demonstration planned for the anniversary of last year's disputed presidential election, according to a statement posted on Facebook Thursday.

The protests were to have taken place Saturday. Iranians went to the polls a year ago on that day, and when word of fraud surfaced, so did public outrage. Widespread unrest gripped the Islamic republic as protesters clashed with police.

But the hard-line government's crackdown on the opposition -- known as the Green Movement and led by former presidential candidates Mir Hossein Moussavi and Mehdi Karrubi -- has been, at times, brutal.

And the government has steadily been tightening its grip throughout the year, said a report issued Thursday by Human Right Watch, which has been monitoring the situation through interviews with people in Iran.

The government and police had issued warnings to Iranians not to participate in any gatherings Saturday.

A joint statement posted on Moussavi's Facebook page said that it was obvious to the opposition that if "innocent and defenseless" people took to the streets Saturday, they would once again be met with violence. Green Movement supporters have always said they seek democratic reforms and civil rights, not violence.

"By considering the report of the representatives of reformist parties and also for the safety of the people, we are announcing that the planned demonstration will not be held," the statement said. "We ask the people and the protesters to demand and follow up on their rightful demands and requests through less costly and more effective methods."

Iran's anti-government demonstrations started out strong but have limped along in recent months as security forces have sought to silence the voices of dissent.

Human Rights Watch said the current atmosphere inside the country is markedly different than the images of defiance that filled the internet and television screens starting a year ago.

"While the international community has focused on Iran's nuclear ambitions, Tehran has been methodically crushing all forms of dissent inside the country," said Joe Stork, deputy Middle East director at Human Rights Watch.

"Journalists, lawyers, and civil society activists who used to speak to foreign media and human rights groups are increasingly reluctant, fearing phone and internet surveillance," he said in a statement released with the latest report.

The rights group says that Iran's crackdown extends beyond election protesters.

The 19-page report lists abuses including arbitrary arrests, extra-judicial killings, rapes, torture and violations of the rights to freedom of assembly and expression. Scores of journalists and human rights activists have been targeted, the report says, and the government has executed at least seven Kurdish political dissidents, while more than a dozen still sit on death row.

Iran has defended its record before the United Nations Human Rights Council. Mohammad Javad Larijani, the secretary general of Iran's High Council for Human Rights, has said that the government only goes after those who incite violence.

"Nobody is jailed because of the protest," Larijani told CNN in February. "The only reason for jailing is the violence which was attached with the protests. Any government has a duty to bring an end to the violence. I think the beating of our police is much more less than the New York and Los Angeles police."

Moussavi and Karrubi had called weeks ago for demonstrations on June 12, to mark the controversial election that returned hard-liner Mahmoud Ahmadinejad to the presidency. On Thursday, they rebutted claims that the opposition movement had been greatly diminished.

"The policy makers, more than anyone, realize this fact that the movement is alive and the true honor of it belongs to those who, despite all the threats and dangers, the insecurities and also knowing the potential life-threatening and financial consequences, still have not given up on their rightful protest," they said.

Despite the call to cancel Saturday's demonstration, some Iranians told CNN they would go out on the streets if they see protests taking shape, making the scope of the protests, if any, difficult to predict.

@highlight

Opposition leaders fear more violence if protests take place

@highlight

Demonstration planned for first anniversary of disputed election

@highlight

Marred voting gave rise to Iran's opposition movement

@highlight

It's not clear whether protesters will still take to the streets Saturday