New York (CNN) -- Kim Jong Il was the enigmatic leader of the most enigmatic country on earth.

Much about Kim's life was, and is, shrouded in mystery. Even the year of his birth -- 1942 -- has been contested by knowledgeable sources in South Korea and Russia, who claim Kim was born a few years earlier but that his official birth date was pushed back to make him exactly 30 years younger than his father, North Korea's founding leader, Kim Il Sung.

North Koreans claim Kim Jong Il was born on Mount Paektu, along the North Korean border with China, at a "secret base camp" where his father was leading a guerrilla war against Korea's Japanese overlords. Almost everyone else believes Kim was born in Russia, at a Soviet military camp near Khabarovsk where his father had gone into retreat with other Korean and Chinese communist guerillas. But the myth of Kim's guerilla-base birth became full-blown propaganda when he was anointed heir apparent in the early 1980s.

After seeing instability and communist backsliding in Russia and China following the deaths of Stalin and Mao respectively, Kim Il Sung chose his son as successor to ensure continuity for North Korea's political system. In some ways, the elder Kim was all too successful.

Kim Jong Il led North Korea not to reform and opening, like his Chinese contemporaries, but through economic catastrophe, famine and repeated nuclear confrontations with the United States. Through all of this, the rule of the Korean Workers' Party, the Korean People's Army and the Kim family has been absolute and ubiquitous.

When Kim Jong Il took over the reigns of power following his father's death in 1994, he had been preparing for succession for more than two decades. After graduating from Kim Il Sung University in 1964, Kim rose through the ranks of the Korean Workers' Party, focusing on culture and propaganda.

As he candidly admitted to a conference of party workers in 1996, economics was never his strong suit. He enjoyed film and the arts, fine food and drink, and kept late hours, but he was not the unstable and intellectually vacuous playboy of South Korean propaganda. He certainly lacked the charisma and outgoing personality of his father, but foreign officials who met him -- including South Korean President Kim Dae-jung, Japanese Prime Minister Junichiro Koizumi and U.S. Secretary of State Madeleine Albright -- described him as intelligent, well-informed, even charming.

On the other hand, his country's reputation for unpredictability and provocation was often well-deserved, as North Korea went through a series of confrontations with the United States and the international community over nuclear development, and the economic situation lurched from crisis to crisis. North Korea held two nuclear tests, in 2006 and 2009, in defiance of international condemnation and U.N. sanctions.

A year ago North Korean artillery shelled a South Korean island in a confrontation over South Korean military exercises, bringing the two sides to the brink of open warfare. At the same time, the economic situation -- though much improved since the famine years of the late 1990s -- remains highly precarious.

If the outside world saw Kim as an enigma and a rogue, his reputation within North Korea is more difficult to assess.

Of course, internal North Korean propaganda built up Kim as a hero of near-superhuman abilities, venerated by all his countrymen. But defectors' reports suggest the view of Kim within his own country is more mixed, and while his father is still widely revered, Kim Jong Il is associated with the trauma of famine and crisis in the late 1990s. Kim oversaw limited steps toward economic reform in the early 2000s, but these have since been scaled back.

The composition and direction of the post-Kim Jong Il leadership is murky. Kim Jong Il's son and heir apparent, Kim Jong Un, is even more a mystery than his father was when he came to power. It seems likely that in the immediate aftermath of Kim's death, North Korea will be run by a collective leadership, perhaps headed by Kim's brother-in-law Jang Song-taek, as Kim Jong Un is prepared to assume official power.

No one outside Pyongyang's inner circle knows what kind of leader Kim Jong Un will be and where he will take the country.

If North Korea survives the post-Kim Jong Il transition and its circumstances improve, Kim Jong Il may be remembered as a leader who guided North Korea through a disastrous period and prepared the way for reform. If things go badly, Kim will be seen as the man who oversaw the unraveling of the system his father built and as the face of a failed dynastic communism.

The opinions expressed in this commentary are solely those of Charles Armstrong.

@highlight

Charles Armstrong: Kim Jong Il's life was so mysterious there was even doubt about birth year

@highlight

Father made Kim successor to forestall change that followed deaths of Mao, Stalin

@highlight

Armstrong: Economics was one of Kim's weaknesses, and North Korea suffered greatly

@highlight

Performance of Kim's son could decide the fate of North Korea's dynasty