Lance Armstrong admitted to using performance-enhancing drugs in an interview with Oprah Winfrey that aired Thursday night.

Did he use EPO? Testosterone? Cortisone? Human growth hormone? Illegal blood transfusions and other blood doping? Armstrong answered "yes" on all counts.

In October, the U.S. Anti-Doping Agency released more than 1,000 pages of evidence in doping allegations against Armstrong and his teammates. He was stripped of his seven Tour de France titles in the scandal. On Thursday, the International Olympic Committee demanded that he give back the bronze medal he won in 2000.

The charges against Armstrong are all too common in the cycling world. Cyclist Floyd Landis was stripped of his 2006 Tour de France title after failing a drug test. Eighty percent of the Tour de France medalists between 1996 and 2010 have been "similarly tainted by doping," according to the USADA report on Armstrong.

A look at the drugs Armstrong used:

Blood doping

EPO, or erythropoietin, is a hormone naturally produced by human kidneys to stimulate red blood cell production, according to the World Anti-Doping Agency. Cyclists and other athletes use EPO to raise their red blood cell counts, which increases the amount of oxygen that can be delivered to muscles, improving recovery and endurance.

Although EPO has been banned since the 1990s, the first screening test was used at the 2000 Summer Olympic Games in Sydney.

Blood transfusions have a similar effect on the body's red blood cell count. Usually an athlete will store some of his blood when his hemoglobin levels are high, then reinfuse it right before an event. This type of transfusion cannot be detected by current tests, according to the USADA.

Both methods can have dangerous side effects. Increased levels of hemoglobin, which literally thickens the blood, can lead to complications with circulation, putting athletes at risk for cardiovascular problems.

Corticosteroids

Corticosteroids are man-made drugs that resemble the natural hormone cortisol, according to the Cleveland Clinic. These are different from anabolic steroids, which athletes take to increase strength. The most common types are cortisone, prednisone and methylprednisolone.

Cortisol is most commonly known as a stress hormone. Corticosteroids work to decrease inflammation that can cause swelling and pain, according to the Cleveland Clinic. They can be administered locally -- to the specific area that hurts -- or systemically through a pill or intravenously.

The list of possible side effects for corticosteroids is long, including weight gain, sudden mood swings, blurred vision, osteoporosis and high blood pressure.

"If steroid use involves high doses and is prolonged (for a few months to several years), an increase in the number of side effects might occur," the clinic's site states.

Testosterone

Testosterone is a naturally occurring hormone that helps regulate bone density, fat distribution, muscle strength, red blood cell production and sex drive, according to the Mayo Clinic. It is found in both men and women; in men, it also helps to regulate sperm production.

Athletes generally abuse testosterone to "bulk up," according to the USADA. The side effects are similar to both blood doping and anabolic steroid use. Testosterone increases the body's red blood cell count, increasing the risk for cardiovascular disease. Mood swings, muscle weakness and liver dysfunction are also common for both sexes with overuse.

Using testosterone also shuts down the body's natural production of the hormone. This can cause the testicles to shrink in men, reducing sperm production.

Moving forward

Cyclists say Armstrong's confession and calls to clean up the sport may lead to a new era.

"From day one, we always hoped this investigation would bring to a close this troubling chapter in cycling's history and we hope the sport will use this tragedy to prevent it from ever happening again," USADA CEO Travis Tygart said in a statement in October.

"Our mission is to protect clean athletes by preserving the integrity of competition not only for today's athletes but also the athletes of tomorrow. We have heard from many athletes who have faced an unfair dilemma -- dope, or don't compete at the highest levels of the sport. Many of them abandoned their dreams and left sport because they refused to endanger their health and participate in doping. That is a tragic choice no athlete should have to make."

What did you think of Oprah Winfrey's interview with Armstrong?

@highlight

Lance Armstrong admits to using EPO, blood transfusions and testosterone

@highlight

EPO and blood transfusions increase red blood cell count to raise oxygen levels

@highlight

Armstrong is also accused of using cortiocosteroids to decrease inflammation