(CNN)After two days of deliberation, jurors found Dzhokhar Tsarnaev guilty on all counts in the Boston Marathon bombing. The verdict isn't surprising. What might be, however, is the answer to how we prevent this kind of violence from happening again. Because there could be other more young men just like him, which means the lessons we take from Boston will affect whether we can keep America and Americans safer.

Today, nearly 1 out of 4 people in the world are Muslim. By 2050, Pew reports, that will be some 1 out of 3. By 2070? Well, I'll quote the all-caps headline reprinted by the Drudge Report: "Muslims to outnumber Christians!" Many Americans read such numbers and worry: Will this mean more Dzhokhar Tsarnaevs? But that's only if you believe Islam causes extremism, which many have argued.

And that's wrong, of course. On the other hand, there are people who claim Islam has nothing to do with terrorism. Which is true — and false. Sure, the Islamic faith forbids murder, but there's a small but significant minority of Muslims murdering people in terrible ways, and in Islam's name. Understanding what leads young Muslims like Dzhokhar down a dangerous path requires we understand radicalization.

At any given moment in the Middle East, we have little idea who's going to attack whom next, who's on whom's side, how this is going to end, or what anyone's even fighting over anymore. This bad news is going to turn worse before it gets better. But it will get better. To understand why, we have to take a stab at understanding what radicalizes Muslims

Contrary to common belief, Muslims aren't unusually predisposed to violence. Radical Islam, which has taken on an ugly life of its own, began at the intersection of politics, religion and religious identity.

Islam is about what you believe, but it's also about being part of a community. And what happens when you are a member of a community and you see it under attack? Some Muslims who have turned to violence have done so with good intentions (the road to hell, after all).

Consider: The tragedy of modern Islam is in its endless sequence of tragedies. Before my time, the brutal Soviet invasion of Afghanistan horrified many Muslims. When I was in high school, Bosnia occupied all our attention. There was of course Russia's brutal war on the Chechen people — Dzhokhar shares his name with a recent Chechen patriot --  and Israel's ongoing occupation of the Palestinian territories.

And the blows against Muslims don't end there.

There was Serbia's war on Kosovo, another war in Chechnya, the invasion of Iraq, oppression in Myanmar, civil strife in Syria, the colonization of East Turkestan, massacres of Muslims in the Central African Republic, wars on a besieged Gaza and West Bank still under Israeli rule.

Imagine how this looks to a restless young Muslim. Countless places where co-religionists have been killed, and nobody seems to do anything about it. Nobody even wants to. Extremists have long offered crude reasons for why the violence was happening, and then moved quickly to a single, tempting, terrible response: Take up arms — and kill.

In her new book, "Heretic: Why Islam Needs a Reformation Now", Ayaan Hirsi Ali argues that extremism isn't caused by political circumstances, but by Islam itself. Her conclusion is wrong. To fight extremism, we don't need to reform Islam. We need to show young Muslims that extremism is doing the opposite of what it claimed to. Rather than help Muslims, it's harming them.

When I was a teenager, our Massachusetts mosque hosted a delegation from Bosnia that shared graphic, heartbreaking stories of rape, exile, and massacre inflicted on Muslims, all because of their faith. The mosque raised money, collected food, blankets, medicine. Promises were made to provide more, and regularly. But we all knew that wasn't enough. As we left the mosque, my peers and I were disgruntled and confused. Shocked. Angry.

Our teachers could've told us: Go and fight. Defend your Muslim brothers and sisters who are under siege. Or they could've told us to keep our heads down and make money and live comfortably. Neither answer would have satisfied. Fortunately for us, they offered us a third way. They showed us, patiently, how to work with others, how to compromise, how to get things done. A more engaged American Muslim community, they explained, could use its resources to help people suffering all around the world.

They were right. We saw the dead-end road of radicalism from afar, but we also saw, up close, how communities that isolated themselves and turned inward found themselves powerless, ineffectual and ignored. Thanks to social media, a medium that the world's burgeoning young Muslim population is increasingly comfortable with, more Muslims can and will see this, too. Radicalism will be done in by fellow Muslims who want to save their religion from this monster within it.  It's happening already.

Our national conversation about Islam is focused on the wrong issues. Does Islam need a Reformation? What in Islam causes violence?  We would do a lot better if we accepted that Muslims the world over have real grievances — dictatorships, corruption, foreign intervention, religious illiteracy, lack of economic opportunity -- and radicals exploit these.

We need to show the young Dzhokhars that, if they want to help, then violence isn't going to help. To fight extremism, we need to pose this question to young Muslims: "Do you want to help your brothers and sisters in faith?"   Because those who claim to be defending us are making things so much worse. Their narrative has failed. Their solution is bankrupt. The Caliph wears no clothes. It's the reason why increasing numbers of Muslims reject extremism -- and not just because our numbers are increasing.

@highlight

Haroon Moghul: Tsarnaev found guilty in terrorist bombing of Boston Marathon. How to prevent future such acts by young Muslims?

@highlight

Pew reports by 2050, one in 4 will be Muslim. Many equate terror with Islam. Not true, but we should grasp what causes radicalization

@highlight

Moghul: Muslims see their community besieged around world, some think solution is violence. They must be shown other way to help