(CNN) -- Bashar al-Assad wasn't supposed to rule Syria.

He grew up in the shadow of his father, the late President Hafez al-Assad, and his older brother, who was groomed to be the next president.

But the deaths of his father and brother thrust a young Bashar al-Assad into power. Now, a bloody crackdown by his regime on pro-reform demonstrators is defining his rule.

Reports of deaths across the country trickle in almost every day. The government has maintained the same narrative: It is targeting armed terrorists.

But opposition activists say it is a systematic, sustained slaughter on civilians by the al-Assad regime. And the United States is moving toward calling for al-Assad to step down, government sources said.

Politics weren't in al-Assad's original career path. He studied medicine in Britain, receiving a degree in ophthalmology, and headed the Syrian Computer Society.

"Dr. Bashar," as he was widely known, liked to windsurf and play volleyball.

But he switched his focus to military science after his older brother, Bassel, died in a 1994 car accident.

When his father died in June 2000, it only took hours for the Syrian parliament to vote to amend the country's constitution to allow al-Assad to become president. The parliament lowered the age of eligibility of the president from 40 to 34, allowing the son to take over.

Within weeks, al-Assad was also made a member of the regional command for the ruling Baath Party, another requirement of succession.

In the beginning, al-Assad was viewed by some as a fresh, youthful leader who might usher in a more progressive, more moderate regime.

But more than a decade into his rule, amateur videos of violent protests and bloodied bodies paint a gruesome picture of the conflict in Syria. Human rights groups say such scenes are evidence of Syrian security forces firing on their own people, though state-run media disputes such claims.

Initially, protesters wanted basic reforms, more freedoms, a multiparty political system and an end to emergency law. Some of these reforms have, on paper, been implemented by al-Assad, but they were far too little and, by the time they came about, too late.

Syrians have lived in fear of political repression for decades. Hafez al-Assad ruled with an iron fist for three decades, ruthlessly putting down dissent by jailing dissidents and crushing the opposition.

For more than 47 years, the country had been under emergency law, which effectively suspended most constitutional protections, according to the U.S. State Department.

The law authorized the government to conduct preventive and arbitrary arrests, according to the British Foreign Office.

Security forces didn't need to obtain arrest warrants, and suspects were detained for prolonged periods without charge, trial or access to lawyers.

Amid the conflict in recent months, al-Assad lifted the state of emergency and abolished a court set up to try people posing a threat to the regime. But at the same time, arbitrary detentions have continued, as has the use of force against demonstrators.

Al-Assad, now 45, denies he is a dictator, seeing himself instead as a modern leader.

His official website says he has built free-trade zones, licensed more private newspapers and private universities, and fought government waste and corruption. He has also worked on social and economic reform.

While there have been some changes during his rule, many say al-Assad's promises have largely not been delivered.

Human Rights Watch has called his time as president "the wasted decade" with a media that remains state-controlled, a monitored and censored Internet and prisons still filled with dissidents.

Activists say that with the current protests, however, al-Assad can no longer look away.

"He has to start listening," said Wissam Tarif, executive director of the human rights group Insan. "It's the time to start listening and acting. He can't afford any more promises."

Other analysts say force may have worked in the past to quell dissent, but not this time.

"The government is going to try to continue to use the tactics that it has for a very long time, which is just to snuff out any protest," said Anne-Marie Slaughter, a professor of politics and international affairs at Princeton University. Now, however, "the wall of fear is coming down."

The late president was a cautious, slow-moving tactician, and while his son's style may appear modern, he was still schooled in the old Assad family way.

In 1982, the Syrian military -- acting under orders from Assad's father -- brutally crushed an uprising in the western city of Hama. Estimates of the number of casualties vary from 3,000 to 40,000.

In early August, scores were once again reportedly killed when tanks rolled into the city, which has been a center of the anti-government movement roiling the country.

Many activists are already comparing the havoc now in Hama to the massacre there in 1982 -- but say it is happening in slow motion rather than in a single, devastating strike.

CNN's Arwa Damon and Stan Grant contributed to this report.

@highlight

Bashar al-Assad has ruled Syria since 2000

@highlight

His older brother died in a 1994 car crash

@highlight

The death meant Bashar al-Assad was the next heir to power

@highlight

Despite some reforms, critics highlight empty promises