(CNN) -- As the dust settled over Gaza and Israel on Thursday amid relative calm, analysts were weighing who were the winners and losers from the conflict. How do the main players in the region now stack up?

Israel: The conflict represents a qualified victory for the country and its Prime Minister Benjamin Netanyahu, according to CNN's Paula Newton. "Just months before an election, Netanyahu's government targeted and killed Hamas' military leader, Ahmed al-Jaabari. Hundreds of airstrikes on Gaza followed, but, the real victory was possibly the combat debut of Iron Dome, the U.S.-funded defense shield that kept dozens of Hamas rockets from hitting Israeli civilians."

The Israeli military itself said the intensity of its airstrikes on Gaza meant it made a significant dent in Hamas' offensive capability. Over the eight-day conflict, the Israel Defense Forces (IDF) looked to deplete some of the estimated 12,000 rockets it says Hamas has in its arsenal and destroy tunnels that are said to be used to smuggle weapons.

But some analysts questioned whether the death of al-Jaabari really would benefit Israel. Elizabeth O'Bagy, from the Washington-based Institute for the Study of War, told CNN she believed it was in fact a mistake. "It will lead to the proliferation of extremist groups (in Gaza), less control over rocket attacks and an increase in violence against Israel."

Analysis: Conflict shifts balance of power in the Middle East

Al-Jaabari controlled the militias with an iron grip, as Jon Alterman, for the Washington-based Center for Strategic and International Studies, pointed out. "There were people in Hamas jails for firing rockets at the wrong time and al-Jaabari was one of the guys who put them in jail. Now when someone decides to take a pot-shot, they can take a pot-shot."

The background of the conflict took place in a region greatly changed since the last significant violence of 2008-09. In the UK's Daily Telegraph, Richard Spencer wrote that the Arab Spring had changed the situation significantly for Israel: "Once it could afford to retreat into a default position of using overwhelming force in its own defence. After all, the Arab dictators it faced were equally unflinching -- in their rhetoric, at least, even if their actions often failed to match.

"Now Israel has a political base that is more divided and broad-ranging than ever before, and allies that are profoundly uneasy about its policies. And suddenly its neighbours are more pluralist. Hamas has new democratic allies abroad, in many cases allied to the U.S. -- Egypt, Turkey and Qatar prominent among them."

Israelis also have elections to think about

Even before the cease-fire was brokered, CNN's Nic Robertson observed: "Where does this leave Israel? Simply put, while Israel is stronger militarily, it is in a weaker political position than it was in 2009.

"The long universal of the Arab world is a dislike of the Israeli state's treatment of Palestinians. In the past most Arab leaders were dictators, able to take a path far different from the views of the Arab street. Not any more. The region's new post-Arab Spring democratically-elected leaders are only too aware of the radical hardliners waiting for an opportunity."

Hamas: Despite the deaths and destruction in Gaza, the Islamist political movement that rules the territory has emerged emboldened from this conflict and its truce, according to some observers.

"Hamas has emerged stronger, it has consolidated its control over Gaza and it has gained now more legitimacy," said Aaron David Miller, a Middle East scholar at the Woodrow Wilson Center, told CNN.

In the eyes of many Palestinian people, the militant leaders of Gaza took on Israel more boldly than ever before, firing rockets farther than ever before. And they may yet manage to get an easing of the Gaza economic blockade if a more comprehensive deal can be reached.

Timeline: Israel-Gaza conflict

"Look what they accomplished; they, rather than (President Mahmoud) Abbas, has put the Palestinian issue back on the international stage," says Miller.

But with Al-Jaabari once a key figure in uniting rag-tag Hamas militias into organized brigades, counter-intuitively his death could mean more unrest ahead. "He was an enforcer of peace as well as war," said Alterman, adding that his death may "make it not only harder to reach a peace agreement, but it can make it harder to avoid war."

Fatah: Palestinian Authority President Mahmoud Abbas and his Fatah faction that governs the West Bank have lost much in this conflict, commented CNN's Newton. "He was supposed to be the moderate peace broker who could finally forge a new deal with Israel. Now he cannot even claim to speak for all Palestinians and has shown that he has no leverage with Hamas, his archrival."

In an op-ed for CNN, Danielle Pletka, vice president for foreign and defense policy studies at the American Enterprise Institute, said Hamas was not trying to destroy the state of Israel. "Rather, it was to gain the upper hand in its endless and fruitless battle against Fatah for the Palestinian political mantle, ideally with the wind of the Arab world's Islamist revolutions at its back. That won't happen either.

"Egypt's Mohamed Morsy and Turkey's Recep Tayyip Erdogan are willing to lend rhetorical support and a few visits to Gaza, but they're never going to do anything substantial for Palestinians because they neither care enough about actual Palestinian people nor wish to queer their pitch with Europe and the United States."

Egypt: President Mohamed Morsy, clearly underestimated, deftly navigated what is a minefield of competing interests, including those of his own country.

"For a civilian president in Egypt perceived as a weak leader, he has, much to everyone's surprise, delivered," said Miller.

Morsy proved he had the leverage necessary to bring Hamas to the table and get its leadership to agree to a cease-fire. Brokering that deal has given him much needed political capital in both the Arab world and the United States.

Under former President Hosni Mubarak, the country's security forces had suppressed its own Islamists in the Muslim Brotherhood, even jailing Morsy at one point. That gave Morsy and his government influence with Hamas that Mubarak, a product of Egypt's military establishment, never had, said Fawaz Gerges, a professor of international relations and Middle East analyst at the London School of Economics.

"Hamas listens to Mohamed Morsy," Gerges told CNN as the talks were still going on. "Hamas looks up to Egypt now, at this particular stage, and that is why Egypt has emerged as the most important state vis-a-vis Hamas and Gaza." Egypt's role in the talks was "pivotal," he said.

Egypt and Morsy proved 'pivotal' in Gaza cease-fire talks

Iran: The Islamic republic's nuclear program was one of the unspoken aspects to the conflict, according to world affairs columnist Frida Ghitis. "Iran and its nuclear program also play a powerful psychological role, as observers and participants ponder the parallels between the latest Israel-Hamas conflict and a possible war in which Iran would stand against the U.S. or Israel, and perhaps other NATO allies.

"Little wonder then that Israel has received strong support from U.S. President Barack Obama -- who has repeatedly stated, "We are fully supportive of Israel's right to defend itself from missiles raining on people's homes" -- as well as from nations including the UK, Germany, Canada, Australia, the Netherlands and others.

"When Israelis see a rocket launched from Gaza, the thought that one day that rocket could carry nuclear materials burns hot in their mind."

But Iran's hand was arguably weakened after this episode as Israel's Iron Dome shot hundreds of its missiles out the sky, CNN's Newton said.

While Israel has always accused Iran of smuggling weapons to Hamas through the Egyptian border, Iran today implicitly confirmed it.

"Gaza is under siege, so we cannot help them. The Fajr-5 missiles have not been shipped from Iran. Its technology has been transferred (there) and are being produced quickly," Mohamed Ali Jafari, the head of Iran's Revolutionary Guard, is quoted as saying by the Iranian news agency ISNA.

@highlight

Analysts consider who are winners and losers from latest Mideast conflict

@highlight

Conflict represents qualified victory for Israel's PM Netanyahu, says Paula Newton

@highlight

Hamas has emerged emboldened from conflict and its truce, observers say

@highlight

Egypt's Morsy has proved he has leverage necessary to bring Hamas to the table