ISTANBUL, Turkey (CNN) -- There is a shiny addition among the Ottoman mosques and palaces that make up Istanbul's stunning skyline: the metallic, mirrored dome of the new Sakirin Mosque, a Muslim place of worship built with a woman's touch.

When sun reflects off Sakirin Mosque's dome, light can be seen across the Bosphorus Strait.

For what may be the first time in history, women have been at the forefront of the construction of a mosque in Turkey.

One of the project's leaders is Zeynep Fadillioglu, an interior decorator who has designed restaurants, hotels and luxury homes from New Delhi, India, to Abu Dhabi in the United Arab Emirates, and London, England.

She helped organize a team of traditional mosque artists specializing in Islamic calligraphy, along with craftsmen in glassworks, metal-casting and lighting who, like Fadillioglu, have built careers working in exclusively secular architecture and design.

"I want people to feel peaceful and be left with themselves as much as possible and yet have beautiful art and artistic symbolism around them," she said.

Istanbul has a venerable tradition of mosque architecture, dating back centuries to when Ottoman sultans declared themselves caliph, or spiritual leader of the Muslim world.  Watch Zeynep Fadilioglu show off her work and inspirations »

The shores of the Bosporus Strait are studded with 16th century masterpieces such as the Suleymaniye Mosque, built by the Ottoman Empire's most famous architect, Mimar Sinan, and ornate, neo-Baroque jewels designed by the Armenian Balyan family in the 19th century. But Istanbul's most senior Muslim cleric laments that mosque design suffered a decline after the collapse of the Ottoman Empire in the wake of World War I.

"In the last 70, 80 years, we have built mosques that are copies of Ottoman architecture," said Mustafa Cagrici, the mufti of Istanbul. "This wasn't a good development, because the copy can never be as good as the original."

Fadillioglu and her team of artists are hoping to change that.  Look at photos of the mosque »

The Sakirin Mosque was commissioned by a wealthy Turkish Arab family and built in one of Istanbul's oldest cemeteries.

The designers put a number of contemporary touches on the structure, giving it plate glass walls etched with gold-leaf verses from the Quran, framed by giant cast-iron grids.

The mihrab -- the alcove that points worshippers in the direction of Mecca -- is made of asymmetrical ovals, similar to a design used by Fadillioglu to decorate a restaurant in London. And the chandelier is a multi-layered series of metal and plexiglass rings, carrying Quranic inscriptions and dripping with scores of delicate glass teardrops.

"The glass chandelier brings the high dome down to the people," Fadillioglu explained. "So when they pray and kneel they don't feel lost with the light and it shelters them."

Many of the artists here never worked on a mosque before.

"It's special that a woman's hand is involved in this," said one of them, a male carpenter named Metin Cekeroglu. "If you think about it, a home is made by woman. And if we think about this place as a home of God, we can also say women will make this place much better."

Fadillioglu said one of her goals was to bring extra attention into the design of the women's section of the mosque, an area that she says is often neglected by architects. According to Islamic tradition, worshippers are segregated by gender at mosques.

"I have seen mosques where women have been pushed to the worst part of stairs, cramped area. Sort of as if (they are) unwanted in the mosque," she said. "That is not what Islam is about. ... Women are equal in Islam to men"

Five minutes' drive from the Sakirin Mosque stands the Mihrimah Sultan Mosque, a 16th century structure built by Sultan Suleiman the Magnificent in honor of his favorite daughter. Unfortunately, female worshippers do not get to enjoy its stunning stained glass windows the way the men do. They have to pray in a small women's section, hidden behind a bank of chest-high shelves that store shoes.

At the Sakirin Mosque, Fadillioglu said, she gave women praying on the balcony an unobstructed view of the dome, the ornate chandelier, and the area on the floor where the imam will lead prayers.

"I would like to come here to pray," said Elif Demir, an 18-year old art student with a funky, orange-dyed haircut who was working on the chandelier. "This mosque is completely different because of the light that's coming through the walls, through the glass."

Fadillioglu's role in the Sakirin Mosque is all the more surprising because she comes from a jet-set side of Turkish society not normally associated with Islam.

"It is unusual," she conceded, "because first of all not many modern people have been commissioned to design a mosque."

She spoke in a recent interview at Ulus 29, the expensive Istanbul hilltop restaurant and bar that is owned by her husband. Amid the Ottoman- and Selcuk-inspired flourishes she has sprinkled around the restaurant are echoes of designs seen at the Sakirin Mosque. A glass chandelier made of hundreds of crystal tear drops hangs above the bar, similar in style to the mosque's chandelier.

Fadillioglu said being a night club owner does not prevent her from also being a Muslim.

"You might be surprised in Turkey to find some very modern-looking people being very religious at the same time," she said.

Religion is a hot-button political issue in Turkey, a predominantly Muslim country with a strict secular system of government.

For the past eight years a fierce power struggle has been under way between an urban secular elite and a rising new class of religiously conservative Turks from the Anatolian heartlands. Unlike the wives of Turkey's Islamic-rooted president and prime minister, Fadillioglu does not wear the Islamic headscarf that is often seen as the symbol of this new class of Turks.

Fadillioglu said politics have polarized society.

"In my childhood ... you didn't differentiate between who was religious," she explained. "Whoever wants to worship or visit this mosque, its open, its ready for them."

On May 8, Turkey's prime minister attended an inauguration ceremony for the Sakirin Mosque.

Afterward, in an interview with CNN, the mufti of Istanbul called it the start of a new era of mosque design in Turkey.

"It is in Islamic tradition for women to commission mosques ... and now we have women who are building mosques as well," Cagrici said. "God willing, I hope the world will see more of these beautiful mosques, touched by women's hands."

@highlight

For possibly first time in history, women take lead in building mosque in Turkey

@highlight

One of leaders of project to build Sakirin Mosque is decorator Zeynep Fadillioglu

@highlight

Sakirin Mosque was commissioned by wealthy Turkish Arab family