(CNN) -- The number of people worldwide without access to a toilet -- no public restroom, no outhouse, no latrine, no smallest room -- is a whopping 2.6 billion. That's four out of ten people.

The bucket toilet is the only thing on offer for millions of black South Africans.

According to the World Toilet Organization, 2.2 million people, predominantly children, die every year from diarrhea -- more than from malaria, from AIDS, from TB. That number dwarfs any casualties related to violent conflict.

These figures are intrinsically related. The underestimation of fecal contamination is staggering, sobering -- and unfortunately, silencing.

Singaporean social-entrepreneur Jack Sim founded the non-profit World Toilet Organization ("the other WTO") in 2001, as a support network for all existing organizations.

It now includes 151 members from 53 countries, which meet once a year to network, discuss sanitation issues and work together toward "eliminating the toilet taboo and delivering sustainable sanitation."

Goal number one: Making sanitation speakable. "What we don't discuss, we can't improve," insists Sim.

This year, the World Toilet Summit & Expo 2008 was held from November 4-6 in Macau under the theme "Driving Sustainable Sanitation through Market-Based Initiatives."

Indeed, not only is sanitation a good idea, it's a good investment.

Biosolids can be composted into fertilizer, sewage can be processed into methane biogas, and even simple latrines in India are producing compost and fertilizer.

"Globally, if universal sanitation were achieved by 2015, it would cost $95 billion, but it would save $660 billion," writes Rose George in her newly released book "The Big Necessity."

Real-world examples follow: "When Peru had a cholera outbreak in 1991, it cost $1 billion to contain but could have been prevented with $100 million of better sanitation measures."

Or even more alarming: "Pakistan, for example, spends 47 times more on its military budget than on water and sanitation, though it loses 120,000 people to diarrhea a year."

So while 2.6 billion people have no toilet, how many millions of us simply "flush and forget"?

Eco-sanitation, or the problem of dealing efficiently and ecologically with sewer systems, wastewater, treatment and purification, is no less a serious one.

In the UK alone, the sewage system emits some 28.8 million tons of carbon dioxide a year.

As sewers become overloaded with urban development, drought strikes various regions of the earth, and potable water becomes increasingly scarce, even the flush toilet is now put into question.

Today, those who care are looking at innovative toilet and waste-disposal solutions from India, China and other parts of the developing world, where attitudes and habits are still evolving and open to change.

Don't forget, World Toilet Day is November 19.

@highlight

2.6 billion people have no access to toilet; 2.2 die annually from diarrhea

@highlight

World Toilet Organization includes 151 members from 53 countries

@highlight

Rose George: Universal sanitation by 2015 would cost $95bn, save $660bn

@highlight

Flush toilet, sewer systems also pose problem to ecological sanitation