(CNN) -- When the Economist Intelligence Unit released its most recent Worldwide Cost of Living Survey, the spotlight, as ever, fell on the world's most expensive cities.

Tokyo came in on top of the pile of places that drain the color from your wallet, while Osaka and Sydney were second and third.

World's most expensive cities

But what about the other end of the spectrum -- how about a holiday where you can live it up without hemorrhaging cash?

The world's cheapest city is Tehran, Iran, followed by Jeddah, Saudi Arabia. Both have rich heritages, but Iran and Saudi Arabia are better known for generating controversial headlines than attracting tourists.

In third place, however, Panama City popped up. The Central American country is best known for hats and a canal -- now we've got a reason to make sure our passport is up to date!

Over the past decade, Panama has enjoyed the fastest growing economy in Latin America.

As a result, new hotels and restaurants have sprouted across the capital. Healthy competition is keeping standards high, and Panama City has a plethora of top-quality, luxury experiences for cut prices.

Logistics

Before stepping foot outside the airport, you've started saving. All tourists arriving at Tocumen International Airport are given travel insurance for 30 days. It is granted by the Panamanian Tourism Authority; the government has provided the service since it signed an $8 million deal with Assicurazioni Generali.

Next up: cash. The Panamanian balboa is linked with the dollar and the two currencies are interchangeable, so there's no paying a commission for changing currency.

As for airport transfers, a standard taxi to the city center costs $25. You could arrive in style with a Panama Luxury Limousine for $88.50. The same service would cost $145 in Rio de Janeiro, or $427 in Tokyo.

More cents can be saved (and you can do your bit for the environment) by avoiding bottled water. Tap water in Panama City is safe to drink, not a given in the region.

Hotels

Waldorf Astoria Panama

Latin America's first Waldorf Astoria hotel opened in March 2013.

Book early and rooms start from $159.

Located on Calle Uruguay, aka "restaurant row," the 248 rooms have metallic, glass and crystal decor designed by Miami-based Ba-Haus/KNF.

A stay here certainly doesn't feel like skimping. The outdoor swimming pool is covered in gold tiles, there's a swanky spa and each guest is given a personal concierge.

Overseen by head chef Kalych Padro Alvarado, four restaurants include a sushi bar and a French brasserie.

Waldorf Astoria Panama, 47th and Uruguay Streets; rooms from $159; +507 294 8000

Casa del Horno

Founded in 1501, Panama was a Spanish colony for three centuries. Known as Casco Viejo, the historic part of the city is a UNESCO World Heritage Site.

Casa del Horno (Oven House) sits on a colorful cobbled street in Casco Viejo. Surrounded by churches and plazas, it's one of many colonial buildings to be renovated in recent years, making Casco Viejo feel like Cartagena in neighboring Colombia.

Built in the 1850s, the eight-room hotel was originally a bakery. Stone walls remain, alongside art deco wooden furniture and all the modern fixtures, including LCD TVs and iPod docks.

The hotel's cafe and restaurant are reached via the pavement, avoiding the clinical feel that can befall hotel restaurants.

Casa del Horno, Avenue B and Eighth Street; +507 212 0052; rooms from $250 for two-person suite

Tantalo Hotel

The year-old Tantalo Hotel has 12 rooms, each designed by a different Panamanian artist. Designs range from gentle and flowery to seductive, with red-and-black walls and silver ceiling studs.

Downstairs, a "living wall" is made from 900 lush plants. The restaurant dishes up Panama-style tapas, such as octopus with lemongrass and ginger. Cocktails, wine and several dishes to share will cost around $30 a head.

Each month, paintings in the communal areas change.

"The idea is for the fourth floor to be like an art gallery that you can wander around with a drink," says assistant manager Catalina Bermudez.

The big, buzzing rooftop bar has panoramic views and hosts events including a monthly Cuban music evening.

Tantalo, Avenue B and Eighth Street; +507 262 4030; rooms from $120

Canal House

Canal House is a creaky 19th-century mansion in Casco Viejo, and checking in feels like staying with a stately aunt. With just three suites set around a large wooden staircase, this high-end guesthouse is owned by two sisters and loved for its quirky charm and homemade cooking. It was called "the finest accommodation that exists in Panama," by Panama 980 magazine.

Canal House, Calle 5a Este; +507 228-1907; rooms from $195, suites from $320

Dining and nightlife

Restaurante Angel (Via Argentina No. 6868, El Cangrejo; +507 263 6411) is the city's special occasion Spanish restaurant. You'll get impeccably prepared seafood, beef, lamb and rabbit in an elegant setting with crisp service for around $20-25 per person, not including drinks.

There's big food and big atmosphere for reasonable prices at Las Bovedas (Plaza Francia; +507 228 8058), a French restaurant set in the arched vaults of a 300-year-old fort in Casco Viejo. Fresh seafood, steaks, snails (it's a signature dish) and great service are the hallmarks at this dressy classic.

Panamanian food is a mix of European, Asian and African tastes. The best way to experience the fusion is at Maito (Calle 50, Coco del Mar; +507 391 4657). It's not often you order plantain hash with fried ceviche and come out smiling. Then there's the ropa vieja main of shredded beef with a goat cheese sauce. Panamanian chef Mario CastrellÃ³n trained in Barcelona and returned to his hometown with a mission to start a "new gastronomy" inspired by the canal -- the idea being that the waterway literally brings these different influences to the city.

For the indecisive gourmand, Manolo Caracol (Avenida Central and Calle 3, +507 228 4640) serves a set nine-course tasting menu for $36 per person. Busy and smart, yet relaxed, the open kitchen churns out seafood, meat and vegetable dishes made with local ingredients, the majority of which come straight from chef Caracol's farm. Highlights include seafood bisque, corn tortilla with chorizo, and coconut fish curry with yuca tortillas.

Not exactly luxury but tasty and cheap all the same, Mercado del Marisco seafood market (Avenida Balboa and Calle Eloy Alfaro) is a great place to wander. When Anthony Bourdain came to Panama, this was his first stop. Here you'll find rows of al fresco stalls selling ceviche for $1.25 a cup. There's also an upstairs restaurant with a larger menu with hearty fish stews and filleted sea bass.

New Casco Viejo coffeehouse Bajareque sells the world's most expensive coffee, Geisha, for a reasonable $6.50 a cup. Panama is the world's only producer of this rare coffee, which typically retails for $172.50 per kilo. Fitting for its name, Geisha coffee mainly sells in Japan and costs $50 a cup at Tokyo coffee shops like Horiguchi Coffee.

The primary nightlife spots are Calle Uruguay and Casco Viejo, both of which are lined with places to sample Panama's four national beers, Panama, Balboa, Suarana and Atlas, for a couple of dollars.

In Casco Viejo, Habana Panama (Calle Eloy Alfaro y Calle 12 Este; +507 212 0152), isn't just the hottest dance spot in the city, it's an atmospheric salsa hall that recalls the elegance of old Cuba and Ricky Ricardo style. Live bands typically don't hit the stage until midnight. For a typical $10 cover you'll find fewer better shows (or more fun) anywhere.

Then there's Barlovento (Calle 10 A; +507 6613 4345), a tropical-style rooftop bar where the beautifuls hang. With views over Casco Viejo (rather than the Panama City skyline over at TÃ¡ntalo) and a DJ playing a mix of electronic music and Latin beats, the place is pumping on the weekends. Again there's a $10 cover charge (if you're male that is; women enter free) but you'd easily pay a $25 cover for the same deal in Mexico City.

Attractions

Panama Viejo

The oldest section of the city, Panama Viejo was burned to the ground in the late 17th century by British pirate (or privateer, depending who you ask) Sir Henry Morgan.

The crumbling remains of towers, forts and houses run along the coast waiting to be explored. The visitors center has a model showing the city before Morgan showed up.

Panama Viejo; +507 226 8915; $3 for museum, $4 for ruins, $6 for both; open Tuesday-Sunday, 9 a.m.-5 p.m.

Panama Canal

The Panama Canal took 250,000 people more than 10 years to build (not counting the original failed French-led effort), transports 40 boats each day (taking eight to 10 hours per transit) and costs an average of $85,000 per vessel.

Luckily, tours are a little less, and a partial transit with Canal & Bay Tours costs $135 per person, including breakfast, lunch and transfer though two sets of locks.

The Panama Canal celebrates its centenary in 2014, and to mark the occasion it's undergoing a $5.25 billion modernization and expansion.

Progress is best viewed from above. Air Charter Panama arranges one-hour helicopter tours covering the Pacific and Atlantic sides of the canal from $749 for three passengers in a Robinson R44.

@highlight

Panama City is the Americas' most affordable capital city, but luxury standards often prevail

@highlight

Book early and you can stay at Waldorf Astoria Panama for $159

@highlight

Cup of world's most expensive coffee is $6.50. In Tokyo, same cup goes for up to $50

@highlight

Panama has Latin America's fastest growing economy