(CNN) -- Margaret Sanger opened the first American family-planning clinic in 1916, and nothing would be the same again. Since then the growing proliferation of birth control methods has had an awesome effect on both sexes and led to a sea change in moral values.

And as I've grown older over the past five decades -- from 1960 to 2010 -- and lived through this revolutionary period in female sexuality, I've seen how it has altered American society -- for better or worse.

On the upside, by the early 60's The Pill had made it easier for a woman to choose to delay having children until after she established herself in a career. Nonetheless, for young women of childbearing age (I was one of them) there was a need for some careful soul searching -- and consideration about the long-range effects of oral contraceptives -- before addressing this very personal decision. It was a decision I too would have to face when I discovered I was pregnant at age 19.

Even though I was married to the baby's father, Jim Welch, I wasn't prepared for this development. It meant I would have to put my career ambitions on hold. But "the choice" was not mine alone to make. I had always wanted to have Jim's babies, but wasn't at all sure how he would react. At the time, we were 19-year-old newlyweds, struggling to make ends meet. But he was unflinching in his desire to keep our baby and his positive, upbeat attitude about the whole prospect turned everything around. I have always loved Jim for how he responded in that moment.

During my pregnancy, I came to realize that this process was not about me. I was just a spectator to the metamorphosis that was happening inside my womb so that another life could be born. It came down to an act of self-sacrifice, especially for me, as a woman. But both of us were fully involved, not just for that moment, but for the rest of our lives. And it's scary. You may think you can skirt around the issue and dodge the decision, but I've never known anyone who could. Jim and I had two beautiful children who've been an ongoing blessing to both of us.

Later, I would strike out on my own, with my little ones, as a single mother to pursue a career in the movies. It was far from ideal, but my children didn't impede my progress. They grounded me in reality and forced me into an early maturity. I should add that having two babies didn't destroy my figure.

But if I'd had a different attitude about sex, conception and responsibility, things would have been very different.

One significant, and enduring, effect of The Pill on female sexual attitudes during the 60's, was: "Now we can have sex anytime we want, without the consequences. Hallelujah, let's party!"

It remains this way. These days, nobody seems able to "keep it in their pants" or honor a commitment! Raising the question: Is marriage still a viable option? I'm ashamed to admit that I myself have been married four times, and yet I still feel that it is the cornerstone of civilization, an essential institution that stabilizes society, provides a sanctuary for children and saves us from anarchy.

In stark contrast, a lack of sexual inhibitions, or as some call it, "sexual freedom," has taken the caution and discernment out of choosing a sexual partner, which used to be the equivalent of choosing a life partner. Without a commitment, the trust and loyalty between couples of childbearing age is missing, and obviously leads to incidents of infidelity. No one seems immune.

As a result of the example set by their elders, by the 1990s teenage sexual promiscuity -- or hooking up -- with multiple partners had become a common occurrence. Many of my friends who were parents of teenagers sat in stunned silence several years ago when it came to light that oral sex had become a popular practice among adolescent girls in middle schools across the country.

The 13-year-old daughter of one such friend freely admitted to performing fellatio on several boys at school on a regular basis. "Aw come on, Mom. It's no big deal. Everyone is doing it," she said. Apparently, since it's not the act of intercourse, kids don't count it as sex. Can any sane person fail to make a judgment call about that?

Seriously, folks, if an aging sex symbol like me starts waving the red flag of caution over how low moral standards have plummeted, you know it's gotta be pretty bad. In fact, it's precisely because of the sexy image I've had that it's important for me to speak up and say: Come on girls! Time to pull up our socks! We're capable of so much better.

The opinions expressed in this commentary are solely those of Raquel Welch.

@highlight

Raquel Welch: The Pill has altered society in ways good and bad

@highlight

An upside has been empowerment of women in life decisions

@highlight

Welch: Downside is loss of caution and discernment in choice of sex partners