(CNN) -- It's the stuff of urban legend that NASA in the 1960s spent hundreds of thousands developing a ballpoint pen that could operate in zero gravity while the cash-strapped Soviet space program resorted to a cheaper and more elegant solution -- the pencil.

As with most urban legends, the truth is slightly more complicated - NASA was justifiably nervous about allowing astronauts crumbly and combustible objects such as pencils after the fatal Apollo 1 fire in 1967 -- but it illustrates the important role culture plays in developing space missions.

China -- the latest player on the deep space block -- is no exception.

At Hong Kong's Polytechnic University, Professor Yung Kai-leung, the associate head of the department of industrial and systems engineering, has designed high-precision space tools mimicking chopsticks and Chinese ceramic soup spoons.

With space programs and technology often shrouded in secrecy, it's not surprising that Professor Yung has had to find unique solutions to the technical problems of operating in an environment as hostile as the moon.

Timeline: China's race into space

"Our technology is different," Professor Yung told CNN. "There's nothing in our engineering where we can make use of another's design."

He said that the complexity of space missions is such that each one is like a fingerprint -- no two are the same -- and the engineering must respond to a unique set of problems.

"When you are talking about a space mission, you have to consider all the eventual possibilities, so all our designs have a number of alternatives -- if one part doesn't work then another part can replace it."

For the European Space Agency's Mars Express Mission he designed the Mars Rock Corer which drills the sample and then, by simply reversing the mechanism, picks up the core like a pair of chopsticks. His digger based on a Chinese soup spoon has the heat-resistant qualities of ceramics and the ability to operate in a deep hole in much the same way that a Chinese soup spoon operates better in a rice bowl than a flat metal Western spoon.

He's currently working on a camera pointing system that will track the descent and operation of the working robot on the Chinese moon mission aboard Chang'e 3.

As with all equipment on moon missions, it must meet a stringent series of tests. Not only must it be able to operate in extreme temperatures and in a vacuum, it must offer the greatest strength and versatility for the least payload and have the ability to fix problems if something goes wrong.

With the moon 380,000 kilometers away, Yung says there's little margin for error.

"It's such a long way away," says Yung, laughing. "If you look at the NASA missions they often put down two landers at the same time, just to minimize the risk.

"Quality control is very stringent in the Chinese missions -- I think that this has been the problem that has plagued the Russian missions recently.

"Millions of things can go wrong and one small thing can affect the whole mission. On the Russian missions it was the integrated circuits -- there are thousands of electronic components on a space mission. You only need one of them to go wrong to go off course."

Super secret base fuels China's space ambitions

In the 1960s, more than one-third of the missions failed, he said. While the odds have improved since then -- and the Chinese have the luxury of learning from the mistakes of the space pioneers at NASA and the Russian programs -- he said launch time is always especially tense for the designers and engineers in Hong Kong.

"Say with communications, for instance, it's very simple -- if the antenna is not pointing towards earth you won't get a signal," he said. "You have to take into consideration factors you couldn't possibly imagine."

Yung's team even have to gauge the minute amount of vapor released by the metals used in the instruments to make sure that, not only do the gases not contaminate the moon samples, they don't mask the work of other delicate instruments on the mission.

Essential to this work is what he calls "space qualifications"; the experience that allows you to anticipate various problems and overcome them. His space qualifications have led him to develop unique precision instruments such as a grinder that not only pulverizes samples of space rock, but sieves them too -- all in zero gravity and all in a vacuum.

"This was a difficult problem to resolve -- normally you need gravity to sieve anything," he said, explaining that the machine packed the sample into a puck before forcing it through the sieve.

While luck sometimes plays a role amid the nail-biting uncertainties involved in a space mission, Yung admits that money often maximizes the luck needed for a lunar landing. China's estimated space budget is around US$2bn a year -- not even a tenth of the budget that NASA receives.

Given these restraints, he says the Chinese program has a very exacting space culture but is in no hurry, preferring to chase quality rather than simply notch up runs on the board.

"The Chinese want to see very clear results," he said, adding that, having worked with the Russian and European space programs, China's space program offered an interesting point of comparison.

"I've collaborated with the Europeans, with the Russians and with the Chinese and all of them have different cultures," Yung said. "The Europeans discuss things for a long time and there are a lot of changes because there are different nations involved and they have different ideas and it slows things down even to the point of not taking off at all.

"The Russians think they have a lot of experience but a lot of this experience is now dated. I think they have to realize that," he said. "The Americans have too many vested interests with commerce in space exploration."

As for the moon, he said there was still much work to be done in examining samples, in particular the remote possibility that deposits of helium-3 -- believed to be in greater concentration on the moon -- could one day power nuclear fusion power plants on earth.

Chinese scientists are also anxiously awaiting their very own fresh samples of moon rock.

"I think from all the NASA missions to the moon, China has just one gram of moon dust to study," he told CNN.

@highlight

Hong Kong's Professor Yung Kai-leung designs high-precision space tools

@highlight

One instrument uses a machine with chopstick-like pincers to extract samples

@highlight

Another instrument uses the heat-resistant qualities of a Chinese soup spoon to take samples

@highlight

A camera pointing system will work alongside robots on China's lunar mission