Wearing a sheer leopard top, Rauda Alaita buzzed around her beauty salon in Damascus. She decided six months ago to open this little shop, paint its walls seafoam green and call it Aloe Vera.

"Everybody told me you are crazy! Starting a business now?" she said. "But I thought I should try, and it worked quite well!"

Alaita's hair fell in gelled tendrils around her cheerful face. Her eyes were done up glamorously in a cat-eye.

Isn't it strange, running a salon in the middle of a war?

"I think life goes on," she replied. "People are tired.

"In the beginning, everyone was so sad, but little by little, everyone got used to it. It's crazy."

For more than a year and a half, the story of Syria has been told in bodies and bombs. An estimated 28,000 people have died since March 2011 when demonstrators, inspired by Arab Spring uprisings in Tunisia, Libya and Egypt, began rallying for a freer country.

They wanted President Bashar al-Assad, who had essentially inherited power from his long-ruling family, gone.

Al-Assad cracked down on protesters, claiming "terrorists" were attacking the country and blocked most foreign media (or at least made reporting in Syria a life-risking enterprise). The media have depended largely on accounts from rebels fighting al-Assad or al-Assad's own state-run media, the occasional on-the-ground human rights worker or Internet videos Syrians have posted, which are very difficult to vet.

Nearly all of it has been about death and misery.

None of it has looked like Aloe Vera or the surprisingly vibrant scene CNN experienced during a recent and rare visit to Damascus.

The scene in many parts of this city, home to more than 2 million, was far less bloody than expected. People were shopping, walking along crowded streets and going to their jobs. Women were getting their nails done.

Syria says Damascus suburbs 'cleansed'; 57 reported dead nationwide

"We are trying to have a normal life, to live like we usually do," said Rama Handi as an Aloe Vero manicurist lacquered her nails red.

"But inside us, it's not the same," she said. "It will never be the same."

She and Alaita say the same thing. They feel stuck in the middle.

"I'm not part of any side," the salon owner said. "It makes it very difficult because nowadays you cannot be in the middle."

Before, people would just talk to each other. Now, you can't have a simple conversation without someone asking first, "Are you with the government or against the government?"

"'Are you with or against us?'" Alaita mimicked. "It has become really funny."

Handi wore jeans and crossed her petite legs. A fashionable chunky necklace complemented her casual green button-up. Her full, blond hair framed her face.

She looked sad but smiled as she politely answered a reporter's questions.

How has life changed?

"When we see the people, the people who are living in the streets ... the homes that are gone ... everything makes us unhappy," she said. "Even the jobs, (they are) not like in the past."

She keeps trying to explain.

For instance, she offers, she still goes to restaurants. But now she's mindful to leave well before dusk arrives. You have to go home early, she said, because nobody wants to be outside, just in case. Shells are falling, but where, no one can predict.

Handi moved her children to a school close to home, fearing for their safety on the 30-minute drive to a better school on the edge of Damascus.

"How do you explain it? My little boy, he doesn't understand really what's happening," she said. "But my daughter ... she understands what's happening.

"We can lie to them. We have to say what is happening, but we (don't) say the people die."

She tells them: There is a bad situation in the country.

The first time Alaita heard shelling, she was with one of her young sons. They were both scared.

"Little by little, we start making joke that it's a water pipe sound," she said. She felt kind of guilty about kidding around.

"I know it's really bad because people are dying ... for nothing!" she said. "People are stupid. For nothing this goes on!"

Handi likes to think things will get better.

"We hope ... everything will be good," she says, her voice straining.

Not far from the salon, in a middle-class neighborhood near the center of the city, another woman, a pharmacist, is doing brisk business. Her shelves are well-stocked.

She's afraid of reprisals from the rebels and asked not to be named.

She looks like she's in her 50s. Her make-up is soft and her hair is pulled back the way that women who are very busy style it. She wears a white lab coat. Her female assistant wears the same, a white hijab covers her hair entirely.

Business is down maybe 30%, the pharmacist said, but that's mostly because customers aren't buying as many cosmetics and creams anymore.

"We sell too much medicine for anti-stress, depression, sleeping pills," she said. "Yes, we sell too much now."

She's asked how she feels about al-Assad. She says she supports the president.

Fighting in Syria is a "game" involving "big countries" such as Russia and the United States, she believes. There are "many hands outside" Syria that are responsible for the violence.

She doesn't think al-Assad is to blame.

"I like him. He's a young man," she said, echoing a sentiment some Syrians have expressed about 47-year-old al-Assad. They see -- or, at least, saw -- his youth as a sign of modernity and progressivism.

Since taking power in 2000, al-Assad has been praised for opening Syria's market to the oil sector. He did open the country to foreign investment and introduced private banking. But in tandem with these advances, Syria's record on human rights was consistently abysmal. People were imprisoned for political reasons. The government blocked access intermittently to the Internet between 2008 and 2011.

"Maybe there is problem in our regime, but all regimes in countries over the world, they have problems," the pharmacist said.

"Assad has improved Syria over the past several years. We have everything new in the country. We have many things -- private university, private banks, private schools, Internet."

Alaita also longs for the way life seemed before the violence.

"We have a lot of freedoms as a woman in Syria," she said. "I used to walk 3 a.m. at night and nobody would disturb me. I would travel to another (village) at night and not (be) worried. Now I cannot go to the countryside without the army stopping me."

They always ask: Which side are you on?

"What answer should I give?!" she says.

The rebels and al-Assad's forces should stop fighting.

"I say, very bold, 'Stop it!' " Alaita insisted. "What the hell we are doing? Where did we get ourselves to?"

Turkey warns Syria future attacks 'will be silenced'

@highlight

In the capital Damascus, life in some neighborhoods seems normal

@highlight

Women get their nails done, customers shop at a well-stocked pharmacy

@highlight

"We are trying to have a normal life," one woman says, "but inside us, it's not the same"