(CNN) -- Close your eyes and imagine this. It is the 1930s and, as Nazism starts to flex its muscles in Europe, you are in the Middle East bouncing along a rough road on your way to visit an archaeological dig. The excavation is taking place on Mount Carmel, fabled site of the Prophet Elijah's burning altar, and archaeologists are digging deep to uncover the roots of humanity in the region.

So far, so Indiana Jones. Except that when you arrive and walk through the tented camp to the trenches, you realize that almost every single person -- from the Palestinian excavators and overseers, to the Cambridge University team directing the project -- is a woman. Because this isn't a feminist fantasy -- this is Dorothy Garrod's excavation project at the Carmel Caves, and it's the reality.

If you are surprised, I don't blame you. I felt much the same when I dug deeper into the story of a hero of mine, the pioneering palaeontologist Dorothea Bate.

Between 1901 and 1905, totally unchaperoned, the twenty-something year-old Dorothea Bate explored the cliffs, caves and mountains of Cyprus and Crete in search of fossils. She was phenomenally successful, with her fossil finds becoming an important part of the collection at London's Natural History Museum that I now work on. To do all of this as a woman in the early 1900s, I thought, she must have been truly extraordinary.

Except I was wrong. Daring, clever, courageous and pioneering, yes -- but extraordinary? It seems not.

At the same time as Dorothea Bate was exploring Crete, an archaeologist named Harriet Boyd was directing the excavations of the Minoan town of Gournia. With her were two more women, Edith Hall and Blanche Wheeler. This image of not one, but four Edwardian women, digging for fossils and Minoan potsherds during the turbulent early days of post-Ottoman Crete surprised and captivated me. So I did the obvious thing and tweeted about it. I was totally unprepared for what followed.

I was bombarded with more examples of pioneering women archaeologists: Dorothy Garrod, who we met above; cross-dressing Jane Dieulafoy; Gertrude Bell, spy and mentor to T.E. Lawrence; the explorer and painter of Mayan ruins, Adela Breton; Gertrude Caton-Thompson, excavator of Great Zimbabwe; Nina Layard, Jacquetta Hawkes, Freya Stark, Frederica de Laguna, Amelia Edwards, Mary Butler, Agatha Christie (yes, that one), Kathleen Kenyon -- the names just kept on coming, and as they did my delight turned to indignation.

Why hadn't I heard of these women? Not the individual names -- I can barely name any male archaeologists from that period -- but the idea of these women, working in such numbers and even leading their fields. It was as though we'd blithely wiped them all from our popular imaginations, and thus allowed each woman to be easily dismissed -- albeit with an approving pat on the head -- as anachronistic and an exception-to-the-masculine- rule.

As the names of pioneering women archaeologists bounced around my corner of the Twittersphere, so too did demands for more information, for television programs (which don't exist) and books (which do). These women's lives were packed full of adventure, tales of derring-do and breathtaking discovery, and together they subvert an idea of femininity that persists to this day. Stories worth celebrating.

So when Mike Sizemore suggested I start a Tumblr to do just that, I punched the air and the simple brilliance of the idea. Yes! But there was no way I could do it on my own.

Fortunately, much as Dorothea Bate wasn't alone in Crete in 1903, I was not alone in the wild frontiers of social media. Brenna Hassett, Rebecca Wragg Sykes and Suzanne Pilaar Birch -- all, like me, in the early stages of their scientific careers -- immediately stepped up. In the space of just a few hours, four women who barely knew each other outside the realm of Twitter, had signed away their free time to start a blog celebrating pioneering women in archaeology, palaeontology and geology. We called it TrowelBlazers.

TrowelBlazers is now just over one month old and we already have over twenty posts online, and more submitted, written by people who want share their admiration for the women who inspired them. And we have a lively -- and lovely -- Twitter feed and Facebook page, where hundreds of people join in funny, joyous, free-flowing conversations, celebrating these women, sharing fieldwork stories, and forging new friendships and networks in the process. We're planning Wikipedia edit-a-thons as part of Ada Lovelace Day , and stepping in wherever we think a trowelblazing opinion is needed. And we want everyone to join in.

We dare to dream that TrowelBlazers will help to reset people's imaginations -- for it to become as normal to imagine Gertrude Bell as it is Lawrence of Arabia. For Dorothy Garrod to trump Indiana Jones. We want to ask children to draw us pictures of palaeontologists and geologists and archaeologists, and we want those pictures to be of women as often as they men. Because this isn't political correctness, and this isn't fiction -- though the stories are great. It's the reality.

The opinions expressed in this commentary are solely those of Victoria Herridge.

@highlight

Archaeologist Dorothy Garrod led an excavation in 1930s with all-female team

@highlight

Palaeobiologist Dr. Victoria Herridge was so inspired, she co-founded blog TrowelBlazers

@highlight

TrowelBlazers celebrates women in archaeology, palaeontology and geology