(CNN) -- Major storms are always dangerous. Superstorm Sandy left 132 Americans dead, damaged and destroyed tens of thousands of homes, left millions without power, and crippled the largest metropolitan area in the United States.

The massive human and economic toll of this disaster came just seven years after Hurricane Katrina. It marked only the latest in a spate of deadly and destructive weather events, including the May 2011 tornado that leveled much of Joplin, Missouri.

Not being well prepared for dealing with extreme weather events is very expensive. Two months after Sandy made landfall near Atlantic City, New Jersey, the new 113th Congress has just approved a $9.7 billion storm relief measure. But these funds represent but a down payment on a $60.4 billion federal aid package that the Obama administration has requested to help the region recover from a disaster. Meanwhile, the governors of New York, New Jersey and Connecticut estimate that the tab for storm damage in their states is closer to $82 billion.

Americans need to stop behaving as though major disasters are so rare and unpredictable that little can be done up front to make them less catastrophic.

The overwhelming consensus among scientists is that the climate has changed. Global warming is making Mother Nature more mischievous, resulting in weather events that are more frequent and extreme. These disasters pose a greater risk both because the majority of Americans now live within 50 miles of the coast and because the critical infrastructure that coastal communities rely on is becoming more exposed and vulnerable.

There is much that we can and should be doing to better anticipate and prepare for extreme weather events. As a nation, we also should be embracing proven cost-effective measures that will reduce the harm that disasters cause and bolster the speed at which communities can recover.

In the aftermath of Hurricane Sandy, there are five important lessons to be learned.

1. Water is more destructive than wind. Media coverage of hurricanes and coastal storms places too much emphasis on wind speed. While images of trees, road signs, and reporters being buffeted by high winds make for good video, they distract from the more serious hazard associated with major storms -- coastal flooding from storm surge and inland flooding from torrential rains. There need to be better predictive tools for estimating how much water a storm may bring and when and where it is likely to go. Rising sea levels are elevating the flooding risk. As a result, adaptations in the design of urban landscapes and the location of critical assets such as power transformers, wastewater systems, and transit systems will need to happen sooner versus later.

2. Aging infrastructure is vulnerable infrastructure. Failure to adequately invest in energy, transportation, communications, and other infrastructure practically guarantees the failure of critical systems when they are placed under the stress of extreme events. In 2009, when assigning grades for 15 sectors of America's infrastructure, the American Society of Civil Engineers awarded 11 D's and 4 C's. In recent years, the backlog of maintenance, repair, and needed upgrades has only continued to grow, leaving us with aging infrastructure that is more and more brittle. At the top of the priority list must be improving the resilience of the nation's electric power generation, transmission, and distribution systems. While every major infrastructure sector is important, there is little that can keep operating when the lights go out.

3. It's not just about responding to disasters, but recovering from them. Warning people of a pending disaster and getting vulnerable populations out of harm's way is vitally important. So too is emergency response both during and immediately after a storm. But there is a need for far more robust planning for restoring critical systems quickly and getting communities back on their feet again. Harnessing the capabilities of willing and able citizens and the private sector is key. For instance, electric power could be restored more quickly if local independent licensed electricians could be deputized to support utility crews in conducting damage assessments and making repairs. Additionally, the counterpart to having detailed plans to guide evacuations ahead of a storm is having plans that support quickly bringing displaced people back into their homes, schools, and businesses. As extreme weather events become more frequent, it is important to try to make them less disruptive. This places a premium on bolstering community resilience. People and systems need to be able to better withstand, respond, adapt, and rapidly recover from disasters.

4. The federal government matters. Under our federal form of government, disaster response and relief have always been decentralized -- mayors and governors are in charge of incidents that happen in their jurisdictions. Historically, the federal government's role has been to provide assistance when local and state capabilities are overwhelmed. Washington has played this role in every major disaster dating back to the San Francisco earthquake of 1906, when over 4,000 troops from the U.S. Army's Pacific Division were mobilized to provide emergency relief, including constructing temporary housing for 20,000 survivors. But as the scale of disasters has grown, so too has the role of the federal government. Extreme weather events like Hurricanes Katrina and Sandy invariably involve multiple states. To coordinate rapid and effective response and recovery on a regional scale requires preplanning. And part of any thoughtful preplanning should be identifying incentives that encourage states and localities to put in place measures that mitigate the risk of needless loss of life and property. This will require a federal government that is increasingly engaged before disasters happen as well as afterward. Assigning a passive "call us if you need us" role to the federal government, practically guarantees future replays of the kind of ineptitude that marked the federal response to Hurricane Katrina.

5. Learning from disasters needs to be institutionalized. When the U.S. Army goes to war, it takes along historians. It knows that every battle provides a potential learning opportunity for making its soldiers better war fighters the next time around. It also knows that the best time to collect information about what went right and what went wrong is while events are unfolding. However, when major disasters happen, the process of learning from them is often ad hoc. Mayors and governors may appoint commissions, and the U.S. Congress invariably holds hearings. Not surprisingly, these reviews often become politically charged. What is missing is a process much like that of the National Transportation Safety Board, that automatically conducts investigations and issues reports on civil aviation accidents. Within hours of an incident, the NTSB creates go teams made up of specialists with the relevant expertise to investigate what happened and to support the development of new safety recommendations. In the spirit of "a crisis is a terrible thing to waste," catastrophic disasters like Superstorm Sandy should be seen as teachable moments to better prepare the general public and elected officials for what is inevitable: the next storm.

The opinions expressed in this commentary are solely those of Stephen Flynn.

@highlight

Stephen Flynn: Hurricane Sandy shows how poorly prepared U.S. is for major storms

@highlight

He says we need to stop behaving as if such disasters are so rare, unpredictable

@highlight

There are steps governments can take to get ready in advance of storms, Flynn says

@highlight

Flynn: Storms should be closely studied to yield clues about how to prepare better