At 7:35 a.m. in Southern California, children who've brushed their teeth, combed their hair and stuffed their wheeled backpacks rub their eyes awake and shuffle onto the street.

They gather at the intersection of Agnes Road and 35th Street in Manhattan Beach for the school bus.

But this school bus doesn't carry the kids.  The kids carry it.

By its handles, the children hoist a yellow bus-shaped sign that reads, "Walking School Bus." The other students wave triangular orange flags to warn cars to slow down.  They walk along the street and stop at another designated spot to pick up more kids at the "bus stop."  Adult supervisors follow them for the half-mile walk to the elementary schools.

All of them are exercising and they hardly know it.

Walking to school is the practice of a bygone era and it's also a small piece of an extensive project to bring simple, healthy changes to a grand scale.

Three Southern California cities, Manhattan Beach, Redondo Beach and Hermosa Beach, are undergoing a three-year health makeover under a program designed by Dan Buettner, an author and explorer.

His mission is to "make the active option, the easy option."

Buettner's program called Healthways Blue Zones Vitality City aims to make the healthy choice, the convenient choice by changing an entire community's environment. He's  devising ways to change that environment by making it harder to find junk food, more convenient to get physical activity and easier to adopt healthy habits.

The changes don't ask for "marathon and diets," Buettner said.  It's small changes that add up, such as bike lanes, better pedestrian access, encouraging personal interactions and walking to school.

Jennifer Agliozzo, a mom who coordinates the walking bus for Grandview Elementary School, said the walks have become more popular in just two weeks.  When they walk to school, "people come out and wave like we're a parade," she said.

"It's nice to get cars off the street and the traffic," she said.  "It's also nice meeting other parents."

The simple act of walking to school "engineers three to five miles a week, so you don't have to worry about gym class and you get people moving," said Buettner whose project finds the best practices in healthy communities to apply to U.S. cities.

As Americans grow bigger and unhealthier, Buettner, an author of books about longevity and happiness, doesn't chalk it up to people being dumber or lazier. The blame for the obesity crisis cannot fall squarely on the shoulders of personal responsibility -- there's a bigger factor, he posits.

It's the environment, he said Thursday at TEDMED, a conference discussing innovations in health.  "We are all part of a system. We need to address the system."

"You can't rent a movie, fill up on gas without running through the gauntlet of junk food that can pound you all day long," he said.  "When you go to a Little League game, you can't go without seeing parents bring the pop and cookies.  You can't get away from empty calories."

There is a degree of personal responsibility, but "discipline is a muscle that fatigues," he said.

The three neighboring California beach cities were chosen among 50 to undergo the health makeover under the project called Vitality City. A major criterion was that the local government and schools had to be on board.

Bike paths are planned.  The mayor of Manhattan Beach hosts public hours in form of walking meetings with his constituents.

A local food chain, Good Stuff, offers calorie counts and nutritional facts including fat, carbohydrates and protein in its menu.

The employees of the local Crowne Plaza Hotel organized a walking group with 70 members. At Body Glove, a water sports brand, managers got rid of the candy and chips  in the office and replaced them with sliced fruit. The businesses that have signed on to the Vitality City's effort receive free pedometers and free smoking cessation classes.

Andrea Soto, an employee at a call center called AAMCOM in Redondo Beach, said health issues at work also should be addressed.

At the call center, workers sit in cubicles, staring into the computer screen and answering calls from stranded people using Los Angeles County highway call boxes. On a busy morning, there is hardly any movement, only the hum of conversations and typing.

When Soto came to work at the call center six years ago, she gained 50 pounds.

"When we get here, we gain weight.  We were sitting down the whole eight hours. During breaks, we were sitting down.  When we weren't sitting down at the call center, we were sitting down in the break room," she said.

The company decided to get involved with the Vitality City.

Every week, the office gets free lunch -- but the only rule is that it has to be healthy.  The workers usually prefer Subway sandwiches.

The owner started filling a bowl in the break room with apples, pears and bananas.  The employees also share an office bicycle for those who want to bike rather than drive to lunch.

If small efforts like this means that workers "eat fewer calories, have less stress in the workplace, then all of this helps the overall emotional and physical well-being of the business," said the owner, Steve Diels.

It's more expensive to lose workers to sick days than to provide healthy snacks, he said. Since the efforts began, one employee has lost 20 pounds, and another has lost 12.

About 75 employers, including aerospace company Northrop Grumman, the public school systems and municipalities, have signed up for the beach cities' efforts .

The efforts that started in Southern California this year are based on the same principles of the pilot project helmed by Buettner in 2008 in Albert Lea, Minnesota, a city of 18,000.

In Albert Lea, they banned junk food snacking in schools, started walking school buses, organized community-walking groups and identified the most socially influential people to spread healthy habits.   The three-year project ended with an average weight loss of about three pounds, extended life expectancy of three years and a 40% drop in health care costs for the city.

Buettner hopes to translate Albert Lea's results to bigger cities.

So they arrived to the three California cities. They found that the local governments and schools supported their efforts.  Plus the funding came from Healthways, a well-being company and the Beach Cities Health District, a preventive health agency.

A Gallup poll of the three cities of 1,300 people found that 60% of the population was overweight or obese.  Forty-six percent reported significant stress and their anger level was at 16%, which was on par with Detroit, Michigan, according to the poll.

"What has changed is the environment," said Buettner of the recent rise in obesity issues.  "The price of calories, we've engineered physical education out of our lives.  We're good people but we need to think of health in a different way."

In the early 2000s, Buettner, on assignment for National Geographic, sought to find longevity hotspots.  After spending five years, he wrote a book identifying five cities where people enjoyed longer and healthier lives.  The five are Sardinia, Italy; Okinawa, Japan; Loma Linda, California; Ikaria, Greece; and Nicoya Peninsula, Costa Rica.

He and his team distilled the reasons why these communities were successful.  People there had social and community networks (the in-person type, not Facebook), had daily purposes in their lives.  And they did not seek out exercise, because their daily routines were "landmined with opportunity" for physical activity, Buettner said.

To incorporate those lessons, the cities' program includes walking moais -- essentially a social group that walks together based on common interests and schedules.  There are 150 of them exercising through the three beach cities.

Irv Brand, 83, and his wife, Joan Edelmann of Redondo Beach, are the leaders of one of these walking groups. Before joining the walking group, they never exercised.

Now they walk 12 miles a week.

"Walking alone at a health club is boring," said Brand.  "It's more fun to walk with a group.  If we don't feel like walking, we go anyway because the group expects us to be there.

"It's better than trying to do it on our own."

@highlight

Three beach cities in California are attempting to change their health outcomes

@highlight

Schools encourage kids to walk, businesses encourage workers to adopt healthy habits

@highlight

Founder believes environment is bigger factor in obesity than individual responsibility