(CNN) -- Brent King says it still "takes my breath away" to talk about his daughter in the same sentence as the man who killed her.

But he takes comfort in the knowledge that new California legislation named after his daughter, Chelsea King, will help protect other people's children from sex crimes.

"If this legislation would've been in place before, Chelsea would still be with us," King said, speaking Tuesday about Chelsea's Law, which he and his wife, Kelly, worked on with state Assemblyman Nathan Fletcher.

Chelsea's Law is awaiting Gov. Arnold Schwarzenegger's signature after unanimously passing the Senate and Assembly in a rare display of bipartisanship.

Formally known as AB 1844, the bill creates mandatory sentences of life without parole for specified violent sexual offenses against children. Another major provision of the 62-page bill is lifetime parole for people who commit certain sex crimes against minors.

Read the complete text of the bill

It's not the only proposed legislation to arise out of the heinous acts of registered sex offender John Gardner III, who admitted in March to killing 17-year-old Chelsea King.

A few days after her body was found, he led authorities to the remains of 14-year-old Amber Dubois, who had been missing for more than a year. Gardner was sentenced to three consecutive terms of life without parole for the murders and an attack on a jogger.

The deaths of the young girls provided impetus for a flurry of tougher proposed laws aimed at protecting children.

Dubois' father is behind three assembly bills concerning law enforcement response to missing children. Among the legislative proposals:

-- Creating a rapid response team in the state Attorney General's Office to help find abducted children.

-- Reducing the minimum time for reporting a missing child from four hours to two.

-- Enhanced training for police officers who search for missing children.

The four bills are on their way to Schwarzenegger's desk after being fast-tracked through the Legislature. Chelsea's Law also has an urgency clause that means it will take effect as soon as Schwarzenegger signs it. The Dubois bills do not have an urgency clause and would take effect in January 2011.

The bills could have a ripple effect as King actively tries to get other states to adopt similar legislation.

Read how Chelsea's killer targeted others

The speed of passage was rare for the California legislature, but not without precedent from other child safety legislation, said Mark Klaas, president and founder of KlaasKids Foundation, a nonprofit devoted to fighting crimes against children.

"California has a history of responding very strongly to vicious sex crimes against kids, especially in an election year," Klaas said. "When you have the fresh memory of a beautiful young girl murdered by a person who shouldn't have been out in the first place, they're going to respond accordingly."

He cited the passage within months of a three-strikes law named for his daughter, Polly, who was abducted during a sleepover and murdered in 1993. Jessica's Law, which increased penalties for certain crimes against minors, also passed within months of being introduced, Klaas said.

Klaas said he believes the Dubois bill will have a more immediate effect than Chelsea's Law.

"Sentencing gets a lot of publicity, but they rarely seem to deliver on the promises. Other administrative bills are less colorful and more localized, but they have a possibility of helping shore up infrastructure," he said.

Gardner was paroled September 26, 2005, after serving five years for two counts of lewd and lascivious acts on a child younger than 14 and a single count of false imprisonment for attacking a 13-year-old neighbor.

Under Chelsea's Law, lewd and lascivious acts on a minor will carry a mandatory sentence of life without parole. The "one-strike" provision applies to forcible sex crimes against minors that include aggravating factors, such as the victim's age or whether the victim was bound or drugged.

"Because of what he'd done previously to the 13-year-old girl, he would have been given life without the possibility of parole," Brent King said. "He never would've been let out, and Chelsea never would've been harmed."

King and other supporters say the bill is the most sweeping reform of its kind in recent California history, touching upon sentencing and parole as well as treatment and funding.

Opponents of Chelsea's Law call it another feel-good measure that pushes registered sex offenders further to the fringes of society.

"No matter how slight the offense, everyone in California is included in the same net, ridicule, rules and restrictions," said a San Diego woman whose adult son is on the registry for improperly touching a 16-year-old girl.

He lost custody of his son. As a result of residency restrictions, he had to move in with his parents, she said.

The mother asked that her name be withheld for fear of reprisal against her family.

"Our constitutional rights are violated daily, and no one in this country cares," she wrote in an e-mail. "This new law is yet another 'feel good' law that further damages families of those on the registry, and will no doubt add millions of tax burdens to taxpayers."

The woman and her son live in the same neighborhood where the Kings lived when Chelsea was alive. After Chelsea disappeared, the King family asked neighbors to tie blue ribbons around trees in her memory. The King family relocated to Illinois a few weeks ago.

"Every morning, I awaken to blue ribbons tied to the trees across the street. A daily reminder that we are now lepers," the San Diego woman said in her e-mail. "What happened to Chelsea was an unimaginable tragic event caused by one sick individual."

In response to criticism that the legislation took a "one-size-fits-all" approach to punishing sex offenses and managing paroled sex offenders, Fletcher amended the bill in committee. It now includes criteria for assessing the risk of recidivism and, based on that risk, placing certain paroled sex offenders under greater supervision.

The bill also calls for those risk assessment "scores" to be included in the offenders' online profiles on the Megan's Law website, California's version of the sex offender registry.

"We will be instituting a dynamic risk assessment, which means it can change on a monthly basis and it will be based on a whole series of factors, not just the crime," said Fletcher, who introduced the legislation in the state assembly in April.

The bill also allows the use of polygraphs in parole supervision.

"This legislation provides experts with better tools than the ones available now to assess risk. If you have a sex offender who's not compliant, their risk assessment level will go up, they'll get more visits and supervision," Fletcher said.

The amended legislation also addresses funding for changes expected to cost tens of millions of dollars over the next decade, according to a preliminary study by the state Legislative Analyst's Office. The crime of petty theft will be downgraded to a misdemeanor, clearing clogged court dockets and freeing space in jails and prisons.

Despite its broad sweep, Brent King says the bill's cornerstone is the one-strike provision.

"It was my and Kelly's belief that there was no reason that we could find that people who targeted young children violently could ever be reformed, so why give these violent sexual predators an opportunity to strike twice? That was our premise and it grew from there," he said.

King said he has identified four states that are interested in adopting similar legislation but he would not name them.

"I think California has taken such a strong step forward that I'm excited about taking Chelsea's Law across the nation."

@highlight

Chelsea's Law is one of four bills stemming from murders committed by John Gardner III

@highlight

Chelsea's Law mandates life without parole for forcible sex offenses against minors

@highlight

Three bills backed by Amber Dubois' father address missing children searches

@highlight

Bills await governor's approval in what could send ripple effect across country