"The letter stated that, as I ran through the tunnel, they were going to throw acid in my face. I was petrified and I probably never moved so much and so fast on a soccer field in my life."

Clyde Best is one of football's pioneers -- the first black player of the modern era to establish himself in England's top division.

The reaction he faced from fans on the terraces more than 40 years ago was extreme, mirroring the strong resistance to immigrants landing on Britain's shores back then.

Recent incidents have shown that racism is still a big problem in these more multicultural times. World football's president, Sepp Blatter, infamously claimed last year that racism is not an issue on the pitch, but he has been proved sadly wrong.

England, in particular, is dealing with the fallout of two high-profile player on player controversies. Fans, meanwhile, have been arrested for racially abusing players at stadiums and on the Internet.

Racial tension started growing in the UK after World War Two, when immigrants began pouring into the country from the British Empire's colonies around the world -- notably the West Indies.

The number of non-whites in England climbed from just a few thousand in 1945 to about 1.45 million in 1970.

Just two years before that, Conservative politician Enoch Powell warned of "rivers of blood" because of increasing immigration.

Also in 1968, Best arrived from his native Bermuda to play for London club West Ham United.

"People weren't used to seeing people of color on the field in those days. I was always taught that you're not playing for yourself, you're playing for the people who are coming behind you, and that's what kept me going," Best told CNN.

"There were certain things that were said and done, but you've got to put them in them in the back of your mind and be strong and do what you have to do."

Defining a country

Best's persistence in coping with the hate mail and the fan abuse -- some of it from his own club's supporters -- helped paved the way for Viv Anderson, England's first black international.

Back in the 1920s, London-born Jack Leslie was denied the chance to represent his country due to his Jamaican parentage.

At the time English football was very much a sport for the working class, largely played by the working class, and had been since the sport's founding days in the 1860s.

"As the game became more popular it was the beginning of the industrial revolution in England," says English players' union chief executive Gordon Taylor.

"Workers were attracted to the big cities and as a result all of the heavy industries, with steel and ship building and coal mining for example. Workers had their Saturday afternoons off and it became their recreation."

Making history

On November 29, 1978, Nottingham-born Anderson stepped onto the hallowed turf of England's national stadium, Wembley, to represent his country against the former Czechoslovakia -- which, like its Eastern European neighbors, has also had problems with racist factions at football matches.

The England manager was Ron Greenwood, who also brought Best to West Ham.

"To play for your country and for 100,000 people at home against the Czechs, who had a good reputation then, you don't want to let yourself down, let your parents down, let the people you know down," Anderson said.

"The black thing never came into my head one bit. It was about being a professional footballer."

Anderson won the European Cup twice with Nottingham Forest, but it was three men at another club, West Bromwich Albion, who really pushed black players into the spotlight in England.

Raising the bar

Cyrille Regis, Brendon Batson and Laurie Cunningham were dubbed the "Three Degrees" by their manager Ron Atkinson after a visit to the club's ground by the U.S. female vocal group.

"To see three black players on one team was very radical," Regis recalls. "West Brom fans were fantastic. They took to us fantastically, supported us, appreciated us. At the end of the day they want anybody out there to play football and to play football well."

Batson notes that Powell's political constituency was Wolverhampton and he delivered his infamous speech in Birmingham -- both cities being near neighbors to the trio's adopted Midlands town.

"People said to me that as black players come to the fore in the early '70s, that was almost an opportunity for those racist groups -- the BNP, the National Front -- to come out and vent their fury at black players," he told CNN.

"The football authorities did nothing about it, so for the black players coming through and particularly when I was at West Brom, we would seem to get the brunt of it because there were three of us and the volume was quite astonishing at times.

"It wasn't pleasant. What it did to you was almost galvanize us, to say, 'This is our profession, this is our career. We're not going to be driven away so we'll see you next week, next month, next year,' and that's it, we get on with it."

Targeting the trouble-makers

British hooliganism reached arguably its worst levels in 1985 with the Heysel Stadium disaster, which left 39 Juventus fans dead after fighting broke out before the European Cup final against Liverpool. English clubs were banned from European competition for five years.

That heralded a major government crackdown on football violence, and subsequent laws have made racist behavior illegal at matches.

"The game was in danger of being written off," PFA chief Taylor says. "The prime minister, Margaret Thatcher, was thinking of insisting that people needed an ID card to even go to a game. That's how serious it was."

This season a Liverpool fan was arrested for racially abusing an opposing team's player in an FA Cup match, and clubs have resorted to increasingly sophisticated security measures to catch offenders.

Trial by technology

With closed-circuit television footage and stewards wearing head-mounted cameras, it is now much more difficult for spectators to misbehave at games.

"They get football banning orders which are draconian, but they have a very strong effect," says Chris Baker, safety officer at second division club Brighton.

"A person could be banned for three years from entering any Football League ground, they also have to hand in their passport, they're not allowed to travel on the rail network when certain teams are playing, they're not allowed to travel out of the country when England is playing.

"It's a very strict measure, but it is spelling out to these people that it isn't tolerated by anyone in football. We have 75 cameras based around the ground and should any racist abuse be reported to us we could very quickly potentially get one, two, maybe three cameras onto an area."

The way ahead

England's Premier League is now one of the most multicultural divisions in the world, attracting players from far and wide.

But while many people believe that the situation -- in England at least -- has improved, campaigners such as ant-racism Kick It Out group say there is still a lot of work to be done.

"We want football in this country to be played, managed, administered and watched by the cross section of England," says Kick it Out's Danny Lynch.

"We don't have that. We've got no openly gay players, we've got two black managers from 92 clubs (now three following the appointment this week of Keith Curle at lower league Notts County), very few Asian players and a lack of women at boardroom levels.

"So there's an imbalance there and I think the work we do with all of the clubs and all of the agencies is try to address that in some way."

Remembering what's most important

Liverpool's Luis Suarez has already served an eight-match ban for racially abusing Manchester United's Patrice Evra last October, while Chelsea's John Terry has been stripped of the England captaincy ahead of a July court case in which he faces charges of similarly denigrating a black opponent.

Best, for one, hopes that the world's most popular sport can focus on living up to its name -- "the beautiful game."

"I think the most important thing to remember about soccer, with all of the foolishness that is going on with the racism and stuff like that, the minute a goal is scored, I can be as black as the ace of spades or I can be as white as a snow flake ... the minute a goal is scored, everybody hugs one another.

"The most important thing to remember is that the ball doesn't care what color you are."

@highlight

CNN investigates the problem of racism in soccer in a new documentary

@highlight

England has been particularly hit by recent incidents involving racial abuse

@highlight

Black players have grown in prominence in England since the 1970s

@highlight

The English Premier League is now one of the most multicultural of any nation