(CNN) -- A week, as they say, is a long time in football. By that reckoning, six weeks is almost an eternity. For fans of one of English football's oldest clubs, it certainly feels that way.

On Boxing Day 2012, former European champions Nottingham Forest lined up to play Leeds United in a second flight match in the English Championship.

After going a goal behind, Forest roared back to an emphatic 4-2 victory that had a certain swagger about it. Watching at the time, it was hard to escape the feeling that things were finally coming together for a side that has come to embody the term 'sleeping giant'.

One point and one place outside the playoffs, that afternoon Forest fans would have tucked into their turkey sandwiches with a sense of satisfaction and thoughts of good things to come.

But just hours after the final whistle the club's Kuwaiti owners, the Al Hasawi family, fired the club's quietly progressive manager, Sean O'Driscoll.

Baffling decision

For fans and observers alike it was a baffling decision. "We cannot speak highly enough of Sean as a man," said Chairman Fawaz Al Hasawi. "He was appointed at an extremely difficult time for the club and can count himself unlucky to have lost his job with the team just one point away from the top six. But we have a responsibility to look to the future for this great Club because we have huge ambitions for it."

Fast forward just a few weeks, and O'Driscoll's replacement, Alex McLeish, has followed his predecessor to the exit. January had also seen the sudden and unceremonious exits of Forest's CEO, its head of recruitment, and the popular club ambassador (and former player and manager) Frank Clark.

McLeish departed 'by mutual consent' after just one win in seven games and a transfer window that bordered on farcical, as key target George Boyd's switch to the club foundered after the player apparently failed an eye test.

Forest fans took to social media once more in a bewildered daze as headlines painted a picture of a shambolic club in disarray. Days later another former Forest manager, the combative Billy Davies, was reinstalled in this hottest of managerial hot seats.

But before he could properly take charge his team duly lost 2-0 to a Bristol City side now, somewhat poetically, managed by none other than Sean O'Driscoll.

Blackburn woes

This odd story will have particular resonance in England's north west, where another of English football's most venerable institutions, Blackburn Rovers, has collapsed from mid table comfort in the English Premier League (EPL) to relegation and ignominy.

The club's owners, India's Venky's Group, began their tenure by sacking the widely respected Sam Allardyce in December 2010. Since then they appear to have embarked on a kamikaze PR strategy, which has led to ridicule off the pitch and confusion on it.

In the latest chapter, Shebby Singh, the former TV pundit brought in by Venky's as the club's 'global advisor', is reportedly at loggerheads with managing director Derek Shaw, amid allegations of interference with football matters and disputes over players' contractual deals.

The culture clash between the old and the new sides of the club looks wider than ever. Rovers are now onto their third manager of the season and a swift return to the EPL looks wildly improbable.

Venky's and the Al-Hasawi family are the latest in a wave of foreign owners taking control of clubs in the English leagues. Few on the growing list are strangers to controversy.

Mixed feelings

Cardiff City's new Malaysian owners changed the club's colors from blue to red, causing outrage -- but perhaps they will be forgiven as they are currently well set for promotion to the EPL.

The Glazer family's takeover of Manchester United sparked a supporter's revolt that saw the formation of a completely new team -- FC United of Manchester -- by fans alarmed at the level of debt (currently around Â£360million - $550m) foisted upon the club.

Then there's Roman Abramovich's Chelsea, whose phenomenal success has been tempered by the owner's propensity to fire managers; and Sheikh Mansour of Manchester City, whose investments in the club stretch UEFA's concept of Financial Fair Play to the limit, and very probably beyond.

The attitude of football fans to these types of investor is pretty schizophrenic. On the one hand the very prospect of a new owner, awash with cash, coming in and transforming a club's fortunes would get many salivating, regardless of where the money is from and who is taking the reins.

English football, or at least the Premier League, is an enormously attractive stage and clubs make for interesting playthings for the super-rich. Meanwhile, fans are attracted to the idea of quick-fix success.

Community connection

On the other hand, with spiraling ticket prices driven largely by players' wages and the increasingly erratic pictures being painted by some of these new owners, there is a sense that clubs' connections with the communities in which many have existed for over a century are being undermined.

Then of course there's the idea of what constitutes super rich in the context of football. Away from the financial machinations of the Glazers, Randy Lerner's more straightforward commitment to Aston Villa appears to have run dry, with the team staring at a relegation battle and the purse strings tied tightly shut.

In the Championship, Watford's owners have enjoyed remarkable success by filling their side with loan signings from another club, Italy's Udinese, which they also own.

And then, in England's League One, there's Portsmouth. If the Glazer's ownership of Manchester United appears complex, the background to Portsmouth's stewardship is positively arcane.

An excellent blog by Portsmouth fan SJ Maskell recently dissected the baffling raft of creditors currently being pored over in the English courts. The club, which enjoyed a Premier League berth and an FA Cup win just five years ago, is facing relegation to England's fourth tier and possible ruin. It has seen a succession of owners, offshore companies, and paper trails leading all over the world drive it into successive demotions and financial collapse.

Wayward club

A group of fans has formed the Portsmouth Supporters' Trust, which is looking to gain control of this wayward club and finally wrestle it back from a course to apparent doom. All logic points to their being given the chance to do so, but this is a club that has defied logic for years and a decision in their favor is by no means certain.

The Portsmouth Supporters Trust faces a battle, but it is perhaps this kind of institution that points to a more stable future for clubs and the sport of football in England.

The problem with many of the new wave of owners in English football is not that they are foreign. Football is a global game, and the EPL is filled with players from all over the world, so it would be illogical to deny owners from overseas the chance to take part too.

But the disconnect between the fans that pay to watch these clubs, the communities in which they operate, and even the armchair fans that follow them from afar, is an issue.

A report launched this week by the football community trust Supporters Direct outlines a range of measures primarily focused on the physical manifestations of clubs -- the stadia in which they play, and the various off-shoots of these buildings.

At the report's core are recommendations designed to protect the relationship between clubs and their communities, including joint ownership of stadia, 'golden shares' to be held by supporters collectively, and clubs that are owned by or formed as so-called Community Benefit Societies. In essence, it is about taking a degree of control into the hands of supporters.

The sentiment behind this applies not just to the bricks and mortar of a football stadium. Clubs like Barcelona in Spain and throughout Germany's Bundesliga are protected from extreme and erratic behavior by the fact that fans are directly involved in a democratic ownership arrangement.

The worst excesses of owners, who can act on a whim to often disrupt and damage the course of some of the long established institutions at the heart of communities, can be curbed by what is basically a democratic, rather than autocratic structure.

Allied to initiatives such as UEFA's Financial Fair Play rules, perhaps this will see a game in England that is balanced less precariously, and fit for a long term and sustainable future.

For now, however, English football fans should perhaps be careful what they wish for.

@highlight

Foreign ownership of UK football clubs a mixed picture

@highlight

Fans relish the extra investment that is often promised

@highlight

Chelsea and Manchester City have won EPL titles with increased funding

@highlight

Community connections of the clubs can be sidelined