(CNN)On October 24, 1944, U.S. warplanes swarmed at the Leviathan of battleships, Japan's Musashi, splashing down torpedoes or dive bombing it.

It took them four hours and more than 25 direct hits to put one of the two largest war ships in World War II to the bottom of the Philippines' Sibuyan Sea.

This month, Microsoft co-founder Paul Allen and a team of researchers found a sprawling undersea wreck after an eight-year search for the Musashi. Japanese maritime expert Kazushige Todaka is 90% sure they found the right ship after the first images were published earlier in March.

And that's a breakthrough.

"I have heard countless stories in the past that the ship was discovered, but they all turned out not to be true," Todaka said.

Unfortunately, Japanese war ships did not bear their names on their sides, so a full identification takes a while.

But the wreckage matched the ship's description, and it had a mount for the Imperial Japanese Navy seal, a chrysanthemum which was made out of teak and rotted away in the ship's 70 years in the sea.

On Thursday, Paul Allen's team treated the world to a live tour from the wreck at nearly 4,000 feet under the waves. An unmanned vehicle's spotlights lit up the pitch darkness, revealing crisp high definition images of massive rusted iron in crystal clear turquoise water.

The live tour began with one of the Musashi's many death blows -- a warped bow. "What we see here is torpedo damage," said Robert Kraft, the expedition's leader.

Torpedoes usually punctured the hull and exploded inside the ship, belling the metal outward.

The remote operated vehicle puttered past more fatal damage, as Kraft and his team described it.  A big dent pushing inward, he explained, was likely from a torpedo that barely missed the ship, exploding outside the hull, pushing it in. "It's the concussive force next to the ship," he said.

The submersible showed multiple hits right under the Musashi's main gun, perhaps the most powerful naval cannon at that time. It weighed 270 tons, and gunners had to duck into a blast shelter before firing it to keep from getting killed.

While in the Musashi's death throes, the gun discharged one time before everyone took cover and blew sailors off the ship's deck, Allen's researchers said.

It was one of three such guns followed by rows of other guns. The Musashi was the most heavily armed ship of its time, the researchers said.

But the giant had an Achilles heel. It was very vulnerable to torpedoes. The ship caught fire; it lost most of its propeller power and began to flail. U.S. warplanes went in for the kill.

"No defenses would have saved her," an expedition member commented, as the submersible drifted past one gun turret or gun mount after the next.

As the Musashi sank, parts of it, where air was trapped imploded. The wreck landed in pieces on the sea floor with some 1,000 crew members. About 1,300 more were rescued by other Japanese ships, including the executive officer.

The camera appeared to spare viewers any skeletal remains, but among unfired shells and bent iron, small objects peered at the lens.

Could the small chain have been a necklace? Pocket watch chain?

Those wanting to answer those questions themselves will find the recording of the tour archived on Allen's website.

Launched in 1940, the Musashi was, at the time, in the largest class of warship ever constructed, displacing more than 69,000 tons. It had a twin, the Yamato.

The U.S. Navy sank the Musashi during the Battle of the Sibuyan Sea, part of the Battle of Leyte Gulf in the central Philippines.

Microsoft billionaire Allen has said his long fascination with World War II history was inspired by his father's service in the U.S. Army.

To finally arrive at the wreck, Kraft's team scoured historical records from four countries and undersea topographical data before sending down detection devices, such as the Bluefins that have searched for missing airliner Malaysia Airlines flight 370.

Nearly a decade passed before they had the wreck in their sites. "That moment of discovery was exhilarating," Kraft said.

CNN's Euan McKirdy, Jethro Mullen, Yoko Wakatsuki and Brad Lendon contributed to this report.

@highlight

Japan's giant battleship Musashi was sunk off the Philippines in World War II

@highlight

A team led by Microsoft co-founder Paul Allen said it found the wreck after an eight year search