With images of violence and torture coming out of Syria daily, a U.N. panel on Friday stated what many people consider obvious: ISIS has committed war crimes and crimes against humanity, and leaders of the militant group should be held accountable by organizations such as the International Criminal Court.

The U.N. Independent International Commission of Inquiry on Syria based its conclusions on more than 300 firsthand accounts and included photos and videos of violence and victims, a statement said.

"Those that fled consistently described being subjected to acts that (terrorize) and aim to silence the population," said Paulo Pinheiro, chairman of the commission.

The commission issued a paper titled "Rule of Terror: Living Under ISIS in Syria" that described previously known ISIS tactics such as killing, enslavement, rape and sexual slavery. But the report provides details about other, less sensational abuses, such as the penalty for smoking or having tattoos.

"ISIS also carries out amputations and lashings in public spaces in its areas of control," the paper said.

Men have had their hands amputated for allegedly committing theft. The group has also amputated the fingers of men caught smoking, according to the commission's report.

"Men have been lashed for being in the company of women who ISIS considers to be 'improperly' dressed, for smoking, not attending Friday prayers, trading during prayer times and for having tattoos."

ISIS targets women and children

The acts of terror are not random occurrences but are part of the ISIS organizational policy, the paper said. That's why commanders for ISIS, sometimes called the Islamic State, should be held accountable by groups such as the International Criminal Court, the paper said.

ISIS aims to establish a ruling Islamic government in Syria and Iraq.

Richard Dicker, director of the International Justice Program for Human Rights Watch, said the International Criminal Court could only become involved in Syria if  the U.N. Security Council approves.  A previous U.N. motion on Syria was thwarted by veto votes by China and Russia, he said.

"The ICC has no say-so," he said. "The power lies in the hands of the U.N. Security Council."

The commission's report about war crimes is significant, however, because it focuses only on ISIS and not the other groups involved in the Syrian conflict, Dicker said.

"It reshapes the frame around ISIS's actions," he said.

ISIS is well-financed and draws fighters from many nations, including the United States and other Western countries.

ISIS targets ethnic groups, journalists, women and children, the paper said.

"Unmarried women -- whom ISIS considers to be females over the age of puberty -- pose a particular threat to the armed group's enforced social order," the paper said. "Parents of unmarried women and girls are terrified of their daughters being forced to marry ISIS fighters and as a result, early marriage is on the rise. Their fears are not unfounded.

"There are distressing accounts of fighters taking girls as young as 13 years old away from their families, resulting in violations of international humanitarian law and acts that amount to war crimes of cruel treatment, sexual violence and rape."

Education is used to indoctrinate children, the paper said.

Propaganda and social media

In the Syrian city of Raqqah, "children are gathered for screenings of videos depicting mass executions of government soldiers, (desensitizing) them to extreme violence. By using, conscripting and enlisting children for active combat roles, the group is perpetrating abuses and war crimes on a massive scale in a systematic and organized manner," the paper said.

Children are also exposed to horrific sights, such as public executions, public mutilations and the display of bodies in town squares and other visible spots, it said.

Besides terror, ISIS exerts control by taking journalists captive and regulating public services in areas it controls, the paper said.

"At the core of ISIS' propaganda strategy is an effective use of modern communications, particularly social media for purposes of recruitment and fundraising," it said. "Many new recruits, from the region and beyond, have been influenced by widely disseminated violent images of executions, beheadings and stonings."

In other news from Syria, the United States-led coalition carried out 20 airstrikes, including 19 against ISIS and one against the al Qaeda-linked group, Khorasan, U.S. Central Command said Friday.

The strikes happened between Wednesday and Friday and 17 of them destroyed ISIS positons and vehicles near Kobani. An airstrike east of the ISIS stronghold of Raqqa destroyed one of the militants training camp.

The strike against several terror suspects associated with the Khorasan group took place west of Aleppo. Meanwhile the coalition also conducted 16 airstrikes in Iraq against ISIS, including two strikes west of Kirkuk, three near Baiji and one near Fallujah that destroyed a large ISIS unit, according to Central Command.

@highlight

U.N. commission includes photos and videos of abuse, victims' accounts

@highlight

Panel says actions by ISIS amount to war crimes and crimes against humanity

@highlight

Men have had fingers amputated for smoking, U.N. report says

@highlight

ISIS leaders should be held accountable by an international court, paper says