(CNN) -- Experts disagreed Tuesday over just how bad things have gotten at the stricken Fukushima Daiichi nuclear plant in northeastern Japan, but all of them agreed that things could get worse.

An explosion Tuesday at the plant elevated the situation there to a "serious accident," on a level just below Chernobyl, a French nuclear official said, referring to the international scale that rates the severity of such incidents and to an incident 25 years ago in what is now Ukraine. His comments came before a fire was reported Wednesday in the No. 4 reactor building at the Japanese plant.

The International Nuclear and Radiological Event Scale -- or INES -- ranks incidents from Level 1, which indicates very little danger to the general population, to Level 7, a "major accident" with a large release of radioactive material and widespread health and environmental effects.

"It's clear we are at Level 6, that's to say we're at a level in between what happened at Three Mile Island and Chernobyl," Andre-Claude Lacoste, president of France's nuclear safety authority, told reporters Tuesday.

The core meltdown at the Three Mile Island nuclear power plant near Middletown, Pennsylvania, in 1979 caused no injuries or deaths, and only low levels of radiation were found later in plants and animals, experts said.

At least 30 people died following the 1986 explosion and fire at Chernobyl, and large swaths of Ukraine, Belarus and Russia were contaminated from the nuclear fallout. Thousands of cases of childhood thyroid cancer resulted, according to Dr. Ira Helfand of Physicians for Social Responsibility, which opposes the use of nuclear power.

Japanese nuclear authorities initially rated the incident that began last Friday with a 9.0-magnitude earthquake in northeastern Japan followed by a tsunami at Level 4, according to Greg Webb of the International Atomic Energy Agency. Level 4 is characterized as a minor release of radioactive material that necessitates only measures to control food due to contamination. But in the latest information about the explosion, Japanese authorities did not give it a rating, Webb said, and the IAEA did not cite one either.

But Joseph Cirincione, president of the Ploughshares Fund and author of "Deadly Arsenals: Nuclear, Biological and Chemical Threats," said the level is far beyond 4. "We are way beyond Three Mile Island level and heading into Chernobyl territory," he told CNN in a telephone interview. "This is at least a 5, probably a 6 and it could end up a 7."

He added, "This is not going to end well. At the very least, we're going to have a very expensive mess to clean up, and the worst is that we we spread radioactive particles across hundreds or thousands of square miles of Japan."

The Institute for Science and International Security agreed the initial rating was low. "The explosion in the Unit 2 reactor, the third so far, and the fire in the spent fuel pond in the reactor building for Unit 4 means that this accident can no longer be viewed as a level 4 on the INES scale," the institute said Tuesday in a posting on its website.

"This event is now closer to a level 6, and it may unfortunately reach a level 7," it said.

Level 6 events have broad consequences that require countermeasures to deal with the radioactive contamination.

Level 7 events would constitute a larger release of radioactive material and would require further countermeasures.

Another way to measure the incidents would be to rank them in comparison with Chernobyl, deemed the worst, and Three Mile Island.

"My guess is this is now number two, but I need to need to look at the data more carefully," said James Acton, an associate in the Nuclear Policy Program at the Carnegie Endowment and a Stanton Nuclear Security Fellow.

Tom Cochran, a senior scientist in the nuclear program at the Natural Resources Defense Council, said he would guess that the incident ranks "a little worse than Three Mile Island and not nearly as bad as Chernobyl." But, he complained, he could not look at the data because they had not been made available. "There are too many variables: First is the lack of transparency on the part of the Japanese."

Even if the Japanese prove capable of keeping coolant in the three reactors that have experienced partial core meltdowns, many uncertainties remain, he said. One of them is whether the containment vessels will keep any molten nuclear material from entering the environment.

"If it does pool in the bottom of the reactor, after some period of time it will probably eat through the reactor into the primary containment area which is, or should be, sealed, but may not be," he said.

If the containment system is breached, "you have more or less direct access to the environment. At that point, you expect the volatile fission products and the gaseous fission products to get out of the system. That would be things like Krypton 85, Iodine 131 and Cesium 137."

Given that prevailing winds were blowing out to sea and people who lived within 20 kilometers of the plant had been evacuated, Cochran said he was sanguine about the possible outcome.

"But you can always play the game of, what's the worst-case situation? And the worst case can get pretty bad."

Whatever happens, the incident will greatly affect the calculation of probabilities associated with nuclear power risk, he said.

The probability of a core melt had been estimated at about one chance in 10,000 reactor years of operation, he said. "We've had now three core melts in 30 years in less than 500 reactors, he said, referring to Three Mile Island, Chernobyl and now Japan. "So the probability of a partial core melt is one chance in several hundred instead of one chance in 10,000. So, it's not a good statistic."

Many experts said it could be a long time before they are able to determine the incident's impact.

"We don't know enough to assess the long-term or short-term effects of this," said Kirby Kemper, a nuclear physicist, physics professor and vice president of research at Florida State University.

Kemper said it appears the radioactive material released had largely dissipated into the atmosphere. However, he added, authorities would will have to test the soil for contamination in the 20-kilometer radius of the plant that was evacuated before anyone should be allowed to return home.

Trying to place the situation on the INES scale is premature, said David Brenner, director of the Center for Radiological Research at Columbia University.

"I've been asked to put a number on it a few times and I've resisted," he said.

Cochran said his concerns transcend nuclear power. "We've watched Exxon Valdez, the BP oil spill, numerous coal mining accidents, Chernobyl, TMI, now Fukushima, slag ponds, TVA (Tennessee Valley Authority) reactors giving way. You have got to ask yourself, how many wake-up calls do you need before you get serious about building a safe, renewable-energy economy?"

CNN's Alanne Orjoux, Tom Watkins, Michael Pearson and Richard Greene contributed to this report

@highlight

Nuclear physicist: "We don't know enough to assess the long-term or short-term effects"

@highlight

The IAEA is not rating the latest incident in Japan on the international scale

@highlight

Some experts say there's too little information to determine long-term effects