(CNN) -- It's been billed as an astronomical equivalent of the Large Hadron Collider, offering new insights into the formation of the universe and so powerful that it might even detect alien life.

The Square Kilometer Array (SKA) is an international effort to build the world's largest radio telescope, one which will probe the dark heart of space shedding new light on dark matter, black holes, stars and galaxies.

"It will have a deep impact on the way we perceive our place in the universe and how we understand its history and its future," says Michiel van Haarlem, interim director general of the SKA project.

"We know we are going to discover things that we haven't already. It's going to be very exciting," van Haarlem said.

Taking its name from the total size of its collecting area, the SKA telescope will consist of 3,000 dish antennas, each one around 15 meters wide. Construction is slated to begin in 2016.

Collectively the surface area of all the dishes will amount to one square kilometer -- hence the name -- all combining to detect radio waves that penetrate the Earth's atmosphere, emitted by stars, galaxies and quasars.

Two other types of radio receptors -- aperture antennas and array antennas -- will combine with the dishes to provide continuous frequency coverage from 70 MHz to 10 GHz.

"It's not like an optical telescope where you see an image of the sky directly. What you do is measure signals from the antennas and process them," van Haarlem says.

Around half the antennas will sit in a "central core region" made up of three separate five-kilometer clusters.

The remainder will extend out in five carefully aligned "spiral arms" stretching out ever more sparsely over an area in excess of 3,000 kilometers (1,864 miles) or more.

The configuration, say scientists, will create the most sensitive radio telescope ever built.

Currently, that honor is held by the Very Large Array (VLA) in New Mexico, says Alastair Edge, from Durham University -- a leading UK center for astronomical research.

"(VLA has) just undergone a very large refit. Telescopes themselves haven't changed but the computing at the back end has changed dramatically," Edge said.

See also: Mapping out a new era in brain research

At the moment, we simply don't have the computing power for the SKA telescope to perform at full tilt, Edge says.

Van Haarlem concurs.

"We're talking about huge computing hardware that still needs to be developed. There's a big challenge there," he said.

Supercomputers capable of performing billions and billions of operations per second will be required, but the results will be spectacular, van Haarlem says.

"We will have high-resolution images where we will actually peer into the center of what is going on in galaxies," van Haarlem said.

"We will also have the big picture where we can make surveys of vast areas of the sky to map out the large-scale structure of the universe."

The project is entering a crucial stage with an announcement on where the array will be based expected imminently.

Two locations, one in South Africa's Northern Cape, the other in western Australia, are in the running.

Brian Boyle, project director of the Australia/New Zealand bid, extols the virtues of Western Australia's "intrinsic radio quietness" and the "excellent geophysics" of the proposed Australian site.

Meanwhile, SKA South Africa project director Bernie Fanaroff says hosting the "world's largest science project" would be extremely important to the country and the continent.

"It could carry immense importance for the perception of Africa -- by Africans and by the rest of the world," Fanaroff said.

"It has already attracted a lot of young people into science and mathematics in South Africa and from other African countries and it's attracted a lot of top-rate scientists," he added.

Recent reports suggest that South Africa is favorite to host the SKA, but van Haarlem wouldn't be drawn on the matter.

Wherever the location, the effort to build and operate the SKA will be an international one, with 20 countries and 70 institutions already on board, as well as private backers. And whatever the outcome of the bids, it will be a while before the array is up and running with construction slated to start four years from now and full operation not expected until 2024. The total cost is estimated at â‚¬1.5 billion (around $2 billion).

But it will be money well spent van Haarlem thinks.

"If it only tells us when the first stars and galaxies formed then it would have already contributed a huge amount to our understanding."

Alastair Edge agrees. "It is possibly the most complex experiment we could possibly do. It has huge potential for allowing us to determine the distance to every galaxy in our local universe," Edge said.

"The Large Hadron Collider produces a certain amount of data per hour. This will produce the same amount of data in the space of a couple of minutes."

@highlight

The world's largest radio telescope will uncover secrets of the history and future of the universe

@highlight

Extraterrestrial life may also be detected by Square Kilometer Array telescope

@highlight

3,000 dishes will be used in an array which will spread over massive area

@highlight

South Africa and Australia bidding to host the project which will start construction in 2016