Cambridge, Massachusetts (CNN) -- In the coming weeks, Congress will attempt to forge a health care bill from proposals developed by five House and Senate committees.

The final bill will likely include a mandate that most Americans buy health insurance, subsidies for the purchase of insurance and bans on denial of coverage based on pre-existing conditions.

The bill may also include a "public option," government insurance that would compete with private insurance.

The underlying presumption behind this legislation is that government health insurance should be expanded to cover the uninsured.

This presumption is wrong. Government should not subsidize health insurance -- for the uninsured, the poor, the elderly or anyone else -- or regulate health insurance markets. Here's why.

Subsidizing health insurance means that patients and doctors are insulated from the costs of health care, so they utilize too much -- often in the form of unnecessary tests or medical procedures whose value hasn't been proven. This excess demand, along with technological progress, means rapidly growing deficits, so governments limit reimbursements to health providers or ration care. This kills innovation and creates its own inequities. The taxes necessary to fund subsidies are a drag on economic growth.

The reason the Obama administration and congressional Democrats are seeking to cover the uninsured is that health insurance is expensive. Without government support, many people could not afford health insurance. The conventional wisdom is that government should therefore subsidize health insurance for those who cannot afford it.

This confuses two issues: whether government should help the poor, and how government should help the poor. If society wants everyone to have health insurance, the obvious approach is to give the poor enough money so that individuals can purchase on their own. Just because people want government to help the poor doesn't require it to pay for specific kinds of goods. If some people do not purchase insurance and then become ill, they would have to rely on private charity.

Now one possible objection to designing anti-poverty programs in this way -- cash transfers, but no subsidies for health insurance -- is that it would require a lot of cash. That is not a convincing objection. Health insurance is just as expensive if provided as a separate benefit. The cash approach makes clear just how much money is involved, but it does not increase the amount.

The other possible objection to the cash transfer approach holds that, if left unregulated, private health insurers would deny coverage based on pre-existing conditions. Thus, some people might get no health insurance at all.

This outcome is unlikely, however, assuming health insurance is unregulated. In that case, insurers would set higher premiums for the unhealthy, but they would cover anyone willing to pay a sufficiently high price. Thus, the question is whether society should compensate those who face higher prices because of their health status?

The answer is no. Advocates for such compensation would suggest that it is basic fairness for society to insure people against the bad luck of being born with lousy genes. Many differences in health status, however, arise from behavior: heart disease from overeating, lung cancer from smoking, and cirrhosis from drinking, to name a few. If society compensates everyone for differences in their health status, it is often rewarding unhealthy behavior, perhaps even encouraging it.

In addition, it is logical for society to treat the differences in financial well-being due to health in the same way it treats differences due to IQ, athletic ability, race, country of origin, family background, and so on. These and other factors mean that some people, through no fault of their own, face hard financial circumstances, whether because of their ability to earn income or because of the higher prices they face for certain goods, such as health insurance.

Yet if society tried to equalize all differences resulting from, say, IQ, it would kill the incentive to work hard and destroy the economy's productive capacity. Thus, most people believe society should reduce these differences -- by helping the poor -- but most also recognize that society should not attempt to eliminate all differences.

This same tradeoff -- between helping the least fortunate and promoting an efficient economy -- applies in the case of health insurance.

A reasonable balance is for government to provide a social safety net that protects the poor and allows them to purchase some health insurance on their own. An alternative is to provide health insurance vouchers, but only to the poorest segment of society.

Guaranteeing health insurance for everyone is too costly, and it means worse health care for everyone. That is why Obamacare, and existing subsidies for health insurance, are treatments that are worse than the disease.

The opinions expressed in this commentary are solely those of Jeffrey Miron.

@highlight

Miron: Government should not subsidize health insurance

@highlight

Public health insurance will increase costs and reduce quality, he says

@highlight

Providing everyone with health insurance rewards unhealthy behavior, Miron says

@highlight

Miron: Give the poor health insurance vouchers instead of public insurance