I've seen death in war zones -- Afghanistan, Pakistan's tribal region, Libya -- but never have I seen as much bloodshed as I saw in Cairo on August 14, 2013.

It was the day Egypt's security forces used automatic weapons, armored personal carriers and military bulldozers to raid and crush a monthlong sit-in protest by thousands of supporters of former Egyptian President Mohammed Morsy.

According to a yearlong Human Rights Watch investigation released this week, at least 817 people were killed.

The rights group called it "one of the world's largest killings of demonstrators in a single day in recent history."

Six weeks earlier, Morsy had been removed from power in a popular military coup led by his then-defense secretary, Gen. Abdel Fattah el-Sisi.

Morsy's supporters immediately took to the streets, protesting the removal of Egypt's first democratically elected president.

The heart of the demonstrations was Rabaa Al-Adawiya, a mosque in eastern Cairo where tens of thousands of demonstrators gathered, occupying the building and an adjacent square.

For weeks, Egyptian authorities ordered demonstrators to leave, then threatened to raid the massive sit-in that had mushroomed into a small town; it included a makeshift barbershop and a kitchen that prepared thousands of ready-to-eat meals.

But Morsy supporters wouldn't budge. Many had brought their families, even their children. This was their Tahrir Square.

Then came the raid.

Shortly after 7 a.m. I was awakened by a text message from one of the protesters I had interviewed earlier.

"They're coming," read the message.

About one hour later I was at Rabaa with my team -- CNN producer Salma Abdelaziz and cameraman Ahmed Zeidan.

The sit-in protest that spanned several city blocks had turned into a war zone.

It looked like the end of the world.

There was the incessant crack of gunfire, the anguished cries of protesters, debris-filled intersections on fire, thick smoke mixed with burning tear gas, and bodies -- lots of bodies.

I lost count of how many times protesters raced past me carrying bodies wrapped in blankets. Many of them had been shot and killed.

"I saw one teenager with a wound to the head," my producer Salma told me. "I'm still not sure if he was alive."

According to witnesses, security forces moved in shortly before 7 a.m. Authorities claim they used loudspeakers to warn protesters to clear out and provided two safe exits, but witnesses say police immediately opened fire and bulldozed through the camp's tents and makeshift shelters.

The front line was a major intersection where protesters erected and set on fire a heaping pile of debris to stop the advance of security forces.

"This was one of the starkest scenes I have ever seen in my life," said Salma. "It's forever etched in my brain -- the scorched ruins of the Rabba square-turned no-man's land --between menacing black police APCs and men behind metal sheets whose greatest form of protection was the loud noise of batons beating against their makeshift barriers. It was utter chaos and bloodletting."

Egyptian authorities had justified the raid by claiming protesters had fired first with automatic weapons, killing one of eight police officer who died that day.

During my 12 hours at Rabaa I never saw protesters carrying automatic weapons. At one point I saw one protester firing what looked like a homemade pistol. But the vast majority of protesters were fighting heavily armed security with clubs, rocks, and sometimes Molotov cocktails.

Witnesses and rights groups dispute the government's claims too.

In its investigation, Human Rights Watch concluded that "demonstrators fired on police in at least a few instances."

"The killing of 817 or more protesters was clearly disproportionate to any threat to local residents, security personnel, or anyone else," the report said.

Later in the day the Interior Minister Mohamed Ibrahim said security forces had recovered 15 guns, a small number relative to the thousands of protesters at the encampment.

The most lasting images of the day came from the camp's makeshift hospital. Scores of wounded bodies were strewn on blood-smeared floors. Most of victims appeared to be shot.

"The smell is what I remember the most," said Zeidan, my cameraman.

"I was doing my job but I was scared. I tried to keep my eye on my viewfinder and imagine that this was just a TV show. The only thing that broke through was the smell of blood. It was a massacre."

Several hours into the raid the crew from Sky News walked by and warned us that snipers on rooftops were targeting anyone wearing protective helmets. Their cameraman was the gentle giant Mick Deane, a veteran photojournalist who had worked for CNN and ITV News before joining Sky News.

Later in the day I learned that Deane had been shot and killed.

"I think the security forces just got tired of seeing him there. So they decided to kill him," Mick's wife Daniela wrote in an opinion piece this week in the Washington Post.

"Not that I'll ever know for sure. They've never admitted it, of course, and the coroner's investigation of Mick's death the morning of Aug. 14, 2013, in Cairo has yielded nothing. A year later, I've given up thinking it ever will."

Deane was months away from retiring, his wife said.

By 6 p.m., security forces had taken full control of the area, demolishing hundreds of tents and bulldozing anything in sight -- including charred remains of protesters.

Thousands of protesters left in utter shock and despair.

One car rolled past me with a body in the trunk. In the backseat of another car a woman cradled the body of her dead husband. On a nearby sidewalk a teenager sobbed as he knelt before his dead brother.

"I stopped a young girl in the exodus," said Salma. "We had done a story just the day before with her on Eid and she was dancing and singing with friends about the holiday and her love for Morsy and the (Muslim) Brotherhood. Now she was crying uncontrollably -- 'See what they have done to us? Did you see?' she cried.'"

In its investigation Human Rights Watch said the killings in Rabaa were "likely crimes against humanity" and called on the U.N. Human Rights Council to investigate more than a dozen senior Egyptian leaders, including current President Abdel Fattah el-Sisi.

"This wasn't merely a case of excessive force or poor training," said Human Rights Watch Executive Director Kenneth Roth in a statement that appeared on the group's website. "It was a violent crackdown planned at the highest levels of the Egyptian government. Many of the same officials are still in power in Egypt, and have a lot to answer for."

The Egyptian government rejected the report by Human Rights Watch as biased.

In a statement this week, the government said it had appointed what it calls an "independent fact-finding commission" to investigate the raid on Rabaa.

The same statement said similar fact-finding commissions in Egypt had concluded, "the dispersal of the sit-ins was conducted in accordance with the relevant international standards."

@highlight

Thursday is the anniversary of the violent crackdown on pro-Morsy protesters in Cairo

@highlight

Rights group: It was "one of the world's largest killings of demonstrators in a single day in recent history"

@highlight

CNN correspondent Reza Sayah recalls that day among the chaos near Rabaa Al-Adawiya mosque