Kuala Lumpur, Malaysia (CNN) -- A woman wailed as security guards dragged her out of the briefing room used to provide updates on missing Malaysia Airlines Flight 370.

She is the mother of one of the passengers, and her protest is but one sign that patience is fraying among the relatives of the missing.

The families of the passengers have been mostly out of the spotlight as Malaysian authorities spearhead a mission to find the plane. But as day 12 rolled around with no answers, the frustration became evident.

Not knowing the fate of their loved ones weighs heavily on the family members, who are desperate for answers.

Three women, relatives of the passengers, staged a protest at the Kuala Lumpur hotel where the world's media is staying. Their efforts were cut short by security guards who removed them through a crush of reporters, dragging one as she screamed.

Anger as relatives confront officials

"I don't care what your government does," one woman shouted, referring to the Malaysians. "I just want my son back."

The flashes from dozens of cameras lit up her face as she spoke.

The woman identified herself as the mother of Li Le, a 36-year-old Chinese national aboard the missing plane.

"My son," she said, weeping. "I just want my son back."

Another woman, wearing a blue shirt, white baseball cap, sunglasses and a face mask, raised her right arm as she demanded more information from the Malaysian government.

"We need media from the entire world (to) help us find our lost families and find the MH370 plane," the woman said. "We have no information at all. ... They only say 'keep searching' -- from South China Sea to Malacca Strait to Andaman Sea."

Why no phone calls from the plane?

She and the other families waiting in Kuala Lumpur said they aren't satisfied with "the Malaysian government's inaction."

"What we need is to know the truth, to know where the plane is," she shouted. "We have had enough. Malaysian government are liars."

Guards then escorted the women out, apparently against their will.

The screams of Li Le's mother were piercing as she was dragged through a sea of reporters.

The other two women were led out by guards. All three were taken to a room in the hotel, and Malaysian authorities blocked the door.

Afterward, Malaysia's acting defense and transport minister Hishammuddin Hussein expressed "regret" about the incident, which he promised to look into.

"One can only imagine the anguish they are going through," Hussein said in a statement. "Malaysia is doing everything in its power to find MH370 and hopefully bring some degree of closure for those whose family members are missing."

How do passenger jets change flight paths?

Relatives wait in Beijing

The agony of the wait was felt not just in Kuala Lumpur. Families in Beijing -- the scheduled destination for Flight 370 -- also gather daily for a briefing with officials.

Ye Lun, whose brother-in-law is on the missing plane, says every day is the same. He and his group leave the hotel in the morning for a daily briefing, and that's it. They go back to the hotel to watch the news on television.

The deepening mystery has taken its toll on the families.

Ye's sister -- the wife of one of the passengers -- has become very unstable, he said.

"Every morning, she feels that she's got hope when she comes to the briefing. Then they simply say those blurry things again," Ye said. "Then she loses hope again."

He continued: "It's like this every single day. She always hopes that a miracle will happen, but it doesn't. I don't know when this miracle will happen. How many days have we got left, I don't know."

Ye's brother-in-law is a veteran of the Malaysia Airlines' Kuala Lumpur-Beijing route, a silver-level frequent flier.

The airline's handling of the situation is so unpopular that the families in Beijing are talking about potential lawsuits. Ye asked for an envoy from the airline to confer with the families to explain the details of the situation.

"The longer the wait, the bigger the mental shadow we have," he said.

That's not to say relatives are giving up. For proof, all one needs to do is look at a board inside a conference room of Beijing's Lido Hotel -- inscribed with heart-wrenching messages such as, "Little Ling, why don't you call home?" and "We're waiting for you to come home for dinner."

One reads: "Dear Dad, please come back safe. I just want to see your face, hold your hands and hear your teachings."

Experts answer your questions

Air France flight unity

In a show of solidarity, some families of the victims of Air France Flight 447, which also went missing before its wreckage was found, wrote an open letter to the families of Flight 370 passengers.

The letter expressed dismay about the vague and sometimes contradictory statements from the Malaysian government, and it suggested that families turn to their home governments to pressure the Malaysians for details.

The letter was written by a group of relatives of Flight 447 victims who lived in Germany.

The president of the group, Dr. Bernd Gans, said it is necessary for the families of Flight 370 to stick together and to pressure officials "to make sure they are getting answers."

Gans lost a daughter in the Air France tragedy, and he said coping with the incident becomes easier over time.

"Yes, in the first moment you are completely paralyzed, but life goes on, it's necessary," he said.

For now, the Flight 370 families are in limbo -- frustrated by the lack of clear information, while fending off their worst fears and clinging to hope.

It's all consuming, said Peter Weeks, whose brother and "best friend" Paul, originally from New Zealand, was on Flight 370.

"You spend 24 hours a day thinking about it, really -- every waking moment and even in the few moments of sleep," Weeks told CNN's Anderson Cooper on Wednesday. "The first thing I do is go straight on the Internet in the morning and see if there's any update. And every day ... there's no solid information about anything."

Sarah Bajc, the partner of American Philip Wood, initially thought the plane had been commandeered or hijacked. As time elapsed, that theory has gained followers.

"All my friends were starting to think that perhaps I was just in denial, and I was even starting to doubt myself a little bit," Bajc told CNN'. "So when all of this new evidence started to come out, it gave me confidence that I wasn't so crazy after all."

She is no aviation expert, but she has intuition, and it tells her that the passengers, including Wood, are still alive.

Whoever is holding the passengers hostage in this scenario can achieve their goal without hurting anyone, she said. There is no evidence that this is the case, but it is her message to any possible captors.

"Miracles do happen," she said. "They happen every day."

LIVE: Latest updates on the missing Malaysia Airlines jetliner

Difficulties may hamper Flight 370 search

Snapshots of Malaysia Airlines Flight 370 passengers

Passenger's partner says she's certain her soul mate is alive

CNN's Kyung Lah and Atika Shubert contributed to this report from Kuala Lumpur; Yuli Yang contributed from Beijing; and Justin Lear, Kevin Wang and Greg Botelho contributed from Atlanta. Mariano Castillo wrote the story in Atlanta.

@highlight

NEW: Relatives write heart-wrenching messages on a board inside a Beijing hotel

@highlight

Some family members of passengers on Malaysia Airlines Flight 370 protest at a hotel

@highlight

Security guards drag one screaming woman away through a crush of reporters

@highlight

A passenger's brother describes the ordeal as all-consuming for relatives