JAKARTA, Indonesia (CNN) -- Another strong earthquake rocked Indonesia early Thursday as the Southeast Asian nation was reeling from an earlier jolt that killed more than 200 people.

A resident stands next to building that collapsed onto a car in Padang, Indonesia, on Wednesday.

The 6.8 magnitude quake Thursday hit southern Sumatra at 8:52 a.m. local time (0152 GMT), the Pacific Tsunami Warning Center said. Wednesday's earlier quake was 7.6 magnitude.

At least 236 people are dead and more than 500 injured, the Indonesian Social Ministry's Crisis Center said Thursday. It said it had little information on the missing and feared the death toll would climb into the thousands.

The second quake was on a smaller scale than the first, said meteorology official Fauzi, who uses only one name. There were no damage reports yet.

Indonesian Health Minister Siti Fadilah Supari expected "the casualties and the damage of this earthquake to be bigger than the 2006 Yogyakarta earthquake, given the intensity and the spread of the damage."

The magnitude-6.3 Yogyakarta quake in central Java in May 2006 killed more than 5,000 people, triggered fears of an eruption of a nearby volcano and caused significant damage to a 9th century Prambanan temple.

Thousands may be trapped by collapsed buildings and houses, Rustam Pakaya, the head of the Health Ministry's crisis center, told CNN on Wednesday.

State-run Antara news agency cited Pakaya as saying he had received reports that part of a hospital had collapsed and that people were buried under the debris.

The temblor struck around 5 p.m., about 33 miles (53 kilometers) from Padang, the capital city of West Sumatra and home to more than 800,000 people.

The quake caused widespread power and phone outages, making it difficult to assess damage.

Aid agencies kicked into gear to help those in need.

"We had aid ready because this area of Indonesia is susceptible to this type of tragedy," said Jane Cocking, humanitarian director for Oxfam. "Communications with the quake-zone are difficult and we are hoping for the best but having to plan for the worst."

"The situation is quite devastating," said Amelia Merrick, the operations director for World Vision Indonesia.

"Bridges have gone down, phone lines are in total disrepair. It's difficult for us to assess the situation," she said. The organization had said it would send assessment teams to the area Thursday morning.

"We know there's no electricity tonight... many of the families will be spending the night outdoors, in pitch black. I'm very afraid of what might happen next," she said, referring to the possibility of aftershocks.

Hundreds of houses have been damaged, Wayne Ulrich, the Red Cross disaster management coordinator in Indonesia, told CNN. "We do not know the [exact] numbers."

"We have concerns that a hospital has been partially damaged, a market has caught on fire, the airport was closed down for inspection because of the fear if they landed any planes," it might cause problems, Ulrich said.  Watch Ulrich discuss the rescue efforts »

Access to the affected areas was obstructed in parts, he added.

It's "blocked by all kinds of problems: frightened people out in the streets, cars, and people trying to get out of the city."

The earthquake was felt in nearby cities, such as Medan and Bengkulu, where people panicked and ran outside in search of higher ground, fearing a tsunami.

But it was also felt as far away as Singapore and Malaysia.

"I did feel the tremor in office today somewhere between 5 - 6 p.m.," said Ratna Osman, who works in a single-story office building in Petaling Jaya, just outside Malaysia's capital Kuala Lumpur.

"I asked [a co-worker] if there's an earthquake somewhere -- either that or I was hallucinating."

"At first, I thought the chair I was sitting on had a screw loose or something," Osman said.

The region is accustomed to earthquakes, and locals have been taught to identify safe places in case of a tsunami, according to Sean Granville-Ross, the Mercy Corps country director for Indonesia.

"We hope that preparation is now paying off," he said.

But if many homes have been destroyed, people may be spending the night with no shelter, he said.

Earlier this month, an earthquake in West Java killed 57 people.

Several buildings were damaged, Metro TV reported, and people were seen running out of their homes and toward the hills.

One employee of a private company in Jalan Ahmad Yani, told Antara news agency that "everybody panicked with some shouting 'earthquake.'"

TVOne pictures from the scene showed people milling around outside in the city.

Phone lines were apparently down in many parts of Padang. Indonesia's Tempo Interactive, a media outlet based in Jakarta, had trouble reaching its correspondent in the West Sumatra city, according to journalist Purwani Diyah Prabandari.

"I hope it's just the cell phone connection," Prabandari told CNN.

Indonesians trying to find out more about the quake flooded the Internet, including Twitter. Some expressed concern for relatives and friends in Padang.

"Dear God, please send down your angels to hug and protect my grandpa in Padang," said one Twitter post.

The Web site for one of Indonesia's main newspapers, The Jakarta Globe, crashed for a while, partly as a result of the heavy traffic from people trying to find out about the quake, the paper said in a Twitter post.

The Pacific Tsunami Warning Center of the National Oceanic and Atmospheric Administration (NOAA) issued a tsunami watch for Indonesia, India, Thailand and Malaysia, but canceled it soon after.

The temblor did generate a tsunami just under one foot high, the Pacific Tsunami Warning Center said.

On Tuesday, a magnitude 8.0 quake-triggered tsunami killed at least 111 people in the Samoan islands and Tonga. Read latest news on the Samoa quake and tsunami

The tsunami waves swept across a wide swath of the Pacific Ocean, killing dozens and flattening or submerging villages.

The dead included 22 in American Samoa, 82 in Samoa and seven in Tonga.

Officials warned that the death toll could rise as rescue workers start to reach outlying villages and discover new casualties.

The U.S. Geological Survey declined to say whether the two quakes were linked.

"The simple answer is we can't speculate on a connection," Carrieann Bedwell of the USGS told CNN. "Both are in highly seismic areas."

The epicenters of the two temblors are about 4,700 miles (7,600 km) apart.

CNN's Tricia Escobedo and Andy Saputra contributed to this report.

@highlight

NEW: Aid agencies kick into gear to help those in need

@highlight

Second quake hits; thousands feared trapped by collapsed buildings

@highlight

Death toll could climb into thousands

@highlight

Bridges down, phone lines in disrepair, says World Vision Indonesia