Editor's note: Abigail Thernstrom is the author of "Voting Rights -- and Wrongs: The Elusive Quest for Racially Fair Elections," published last month by AEI Press. She is the vice-chairwoman of the U.S. Commission on Civil Rights and an adjunct scholar at the American Enterprise Institute. Her writing can be found at http://www.thernstrom.com/.

Abigail Thernstrom says an impressive biography isn't a qualification for the Supreme Court.

(CNN) -- Judge Sonia Sotomayor is all but certain to be confirmed as an associate justice on the Supreme Court. It is close to unimaginable that the Republicans will peel off enough Democratic votes to stop Senate confirmation.

She's a first: a Latina. And she has an impressive life history: Raised in a housing project by a single mother, she went to Princeton and then to Yale Law School. It's a classic American overcoming-the-odds story, but, while admirable, it is not a qualification for the highest court in the land.

Democrats themselves have often implicitly made the same point -- about other minority appointees, in fact. They never saw the much humbler origins of Justice Clarence Thomas as an argument for his elevation to the Court.

And they used a filibuster to stop Bush appointee Miguel Estrada from getting a seat on the D.C. Circuit Court of Appeals, which they feared would be a springboard to the Supreme Court.

Estrada is a Honduran who arrived in America at age 17 with only limited command of English; he was also raised by a single mother and made it to Harvard Law School, where he was editor of the law review.

Supporters of Sotomayor argue that she will add needed "diversity" to the Court. Yet, with her confirmation, there will be six Catholics, two Jews and one Protestant. For many Americans, religious affiliation is more important in defining an individual than race or ethnicity. But no one is complaining about "too many" Catholics or Jews -- thankfully.

America is supposed to be a land in which individuals are seen as ... individuals. Too many, too few: that is the language of un-American quotas.

Sotomayor has suggested that race and ethnicity, to a substantial degree, define individuals.

"Whether born from experience or inherent physiological or cultural differences ... our gender and national origins may and will make a difference in our judging," she said in a 2001 speech.

At her confirmation hearings, she will undoubtedly dance away from such ethnic determinism. But it would appear to be what she believes, since she has reiterated the point several times in different venues.

Her supporters also emphasize the "empathy" she would bring to the court. It is a quality the president promised he would look for in making court appointments.

In a July 2007 campaign speech, he said, "We need somebody who's got the heart -- the empathy -- to recognize what it's like to be a young teenage mom. The empathy to understand what it's like to be poor or African-American or gay or disabled or old, and that's the criteria by which I'll be selecting my judges."

Evidently, however, not all impoverished backgrounds leave you empathetic. The proof is in the pudding, and the pudding appears to be party membership.

By definition, conservatives are assumed to lack empathy. As Berkeley professor George Lakoff has argued, "Empathy is at the heart of progressive thought. ... Progressives care about others as well as themselves." And, by implication, conservatives don't.

Empathy has thus become a code word for progressive politics -- the likelihood that, as a justice, the nominee will take politically liberal positions. Public policy preferences driving Supreme Court decisions? What a shock.

Some justices have much more respect for the law than others, but if the opinions were not often judgments driven by political values as well, they would be less predictable. Most court-watchers thought (correctly, as it turned out) that the recent New Haven firefighters' case would come down four-four, with only Justice Anthony Kennedy's vote hard to call.

The results of an exam for promotion within the New Haven fire department had been thrown out because, with one exception, all of the successful candidates were white -- the "wrong" color, according to the reasoning of the city and Sotomayor.

One can argue that race discrimination decisions do not involve ideology and are based on strictly legal grounds, but if so, it is passing strange that in busing, affirmative action and other race-related cases, even before the oral argument is heard we almost always know which justices will take what positions. Liberals still support busing, for instance; conservatives oppose it.

Sotomayor will replace another reliable liberal, Justice David Souter, and so the ideological balance on the court will not change. And yet, perhaps as a consequence of her implicit embrace of quotas and identity politics, she has come to the Senate hearings with public support that is unusually low; only 47 percent of Americans say they want her confirmed, a recent CNN poll found.

Nevertheless, Republicans are likely to tread softly in the hearings. Race-related issues make them nervous, and Latinos are a fast-growing group with increasing political clout, especially in such swing states as Colorado, Florida, New Mexico and Virginia.

Barring the totally unexpected, Sotomayor's confirmation will thus be a cakewalk. Let us hope that the public's pessimism proves to be misguided and she turns out to be a lawyer's lawyer and not an ethnic activist who tends to let the usual political definition of "empathy" drive her opinions. There is reason to worry: She will have lifetime tenure on an institution with enormous power.

The opinions expressed in this commentary are solely those of Abigail Thernstrom.

@highlight

Abigail Thernstrom: Sonia Sotomayor's life story is a compelling one

@highlight

She says Democrats haven't honored such humble beginnings in GOP nominees

@highlight

She says Sotomayor's "empathy" may be code word for one brand of politics

@highlight

Thernstrom: I'm concerned that judge may have more fidelity to activism than to law