Houston (CNN) -- In the days and weeks to come, Rep. Gabrielle Giffords' recovery from a gunshot wound to the head will be a marathon, not a sprint, doctors say.

Nearly three weeks after her brain injury, there are several acute medical issues to be concerned about, according to doctors not involved with her care.

It could take months -- or longer -- for her to get back to where she was before the bullet ripped through her brain.

One immediate worry is an infection in her brain, according to Dr. Greg Zorman, chief of neurosurgery at Memorial Healthcare System in southern Florida.

"With gunshot wounds to the head, an infection can still happen, even this late," Zorman said.

The other concern is the buildup of fluid in the brain. Giffords had hydrocephalus after she was shot, a condition where an excess of cerebral-spinal fluid puts pressure on the brain.

Surgeons in Arizona implanted a drain to get rid of the fluid, and on Monday, Dr. Dong Kim, Giffords' neurosurgeon in Houston, removed the drain, saying she no longer needed it.

Zorman said doctors will be monitoring Giffords closely to make sure the excess fluid doesn't return.

Giffords on Wednesday moved from the intensive care unit to the Institute for Rehabilitation and Research (TIRR) at Memorial Hermann in Houston, where she'll undergo physical, occupational and speech therapy to try to get her brain back to where it once was.

Her doctors there are optimistic.

"It's only been a few weeks since this happened and she has been tolerating our aggressive therapy program," Dr. Gerard Francisco, chief medical officer at TIRR Memorial Herman, told CNN's "American Morning."

That program began as soon as Giffords arrived in Houston after being transferred from Tucson, Arizona's University Medical Center, he said, and has been upgraded.

Neurosurgeons on Giffords' team describe the brain fluid situation as "stable," Francisco said, "but we're going to monitor that."

"Neural recovery is a hurry up and wait situation," Zorman said. "Recovering from that injury just takes time."

One of the first things doctors will do is try to get Giffords back to a regular schedule, said Dr. Alan Novick, medical director of rehabilitation for Memorial Healthcare System. "In the intensive care unit, patients get their days and nights mixed up."

Rehab doctors will give Giffords a series of tests to assess her physical and cognitive abilities, he said.

For example, they might ask her to draw a clock.

"It sounds simple, but sometimes they'll put in the wrong numbers, or put all the numbers on the right hand side," he explained. "That shows us which part of the brain is having issues."

Another area doctors will look at is called "executive function," or the ability to incorporate many different thoughts all at the same time.

"In our everyday lives, there are snippets of info coming in all at once, and we integrate multiple things that are going on at the same time," said Dr. Ross Zafonte, chairman of the department of physical medicine and rehabilitation at Harvard Medical School.

"Obviously, she was really good at that, and hopefully she will be again," he said.

With a brain injury, functioning may be impaired depending on what area of the brain was damaged, Francisco said. Doctors will watch Giffords' functioning closely and modify her therapy program "to address individual impairments and deficits," he said.

Still, Francisco said he continues to be surprised at the speed of Giffords' recovery. "When I see her every day, there is something new," he said. That has been a challenge to her medical team, but provides them opportunities to challenge her as well, he said.

Trying to become the person you once were can be very trying, doctors said.

"Emotionally, this kind of recovery can be very difficult," Zafonte said. "Depression rates in this situation are well over 50%."

Some brain injuries affect not just a patient's emotional state, but their basic personality.

"They may have different behaviors," Novick said. "Spouses and other family members have to relate to a person who was not necessarily the same person they knew before the injury."

All of this requires patience from the patients and their families.

"People like (Giffords) often have a rocky road," Zafonte said. "But they often get to places that surprise us, and surprise them."

@highlight

NEW: Giffords' doctors say she is undergoing "aggressive therapy"

@highlight

Doctors: It could take months -- or longer -- for her to get back to where she was

@highlight

One immediate worry is an infection in her brain

@highlight

The other concern is the buildup of fluid in the brain