(CNN) -- Chances are, you know someone whose child has been diagnosed with attention-deficit (hyperactivity) disorder. Perhaps you've received that news about yourself or your own child. In many cases, it's a legitimate issue and can require medication, therapy or both. But in my experience, ADHD is sometimes a diagnosis that can be mistakenly given based on a pattern of behavior, without appropriate understanding of the underlying biology.

For many children, particularly those in low-income communities, their behavior issues are not really about underactivity of the brain's attentive function, the hallmark of ADHD. Rather, behavior is just one outward sign of a more significant health threat that doctors are just beginning to understand: toxic stress.

According to the American Academy of Pediatrics, the term "toxic stress" describes the disruption in brain architecture and other developing organ systems that occur when a child is exposed to strong, frequent or prolonged adversity. Unlike ADHD, toxic stress involves many systems of the body and is characterized by a dramatic increase in stress-related disease and cognitive impairment.

I observe its effects every day as a pediatrician working in one of San Francisco's poorest neighborhoods. We want to prevent, screen and heal those who come under toxic stress.

It can begin in infancy

When we think of the emotional life of a baby, we often reduce the child's feelings to the way he behaves around a few daily activities. We hear an infant cry when he needs to eat or sleep or when he feels uncomfortable. Most caretakers tune in and attend to those needs.

But an infant's well-being is not just about food, rest and diapers. There's a lot more going on inside a baby's brain and body that we can nurture. Early childhood is a time of dramatic development of the brain and other organ systems. Children's brains rapidly adapt to the environment around them, for better or worse.

During the critical developmental years, between birth and age 4, some children experience high anxiety or fear because their home or neighborhood environments are unsafe. They're subject or witness to physical or emotional abuse, community violence or even extreme poverty. This trauma can have a tremendous impact on a child's brain development, as well as the development of their immune system, their hormone systems and even the way their DNA is read and transcribed.

Toxic stress is not typical stress

Although we all experience some stress growing up -- and some stress actually helps a child learn to navigate our complex world -- repeated "adverse childhood experiences" can activate the body's stress response system. That's called "toxic" stress, and it can affect the way the brain and body develop.

Adverse childhood experiences activate the same kind of "fight-or-flight" response you'd experience if, say, you were walking in the forest and you came face-to-face with a bear. Immediately, the body releases stress hormones like adrenaline and cortisol that trigger your heart to pound and raise your blood pressure so that you can either fight the bear or run away.

Chronic stress leads to frequent triggering of this chemical response, and that can be harmful to a child's development long-term. The groundbreaking study in this area, published in 1998, found that a person with four or more adverse childhood experiences had 2.6 times the risk of chronic obstructive pulmonary disease compared with someone with no such experiences.

Adverse childhood experiences also heighten the chance of obesity, stroke, cancer, asthma and diabetes, and multiply the risk of hepatitis, depression and heart disease. Other researchers have found that individuals exposed to high doses of adversity in childhood have increased markers of inflammation in their blood in adulthood and long-term changes in levels of stress hormones like cortisol.

A caregiver is a child's best buffer

Even in an atmosphere where stress is frequent and not controllable, a young child's parent or caregiver is the best shield against the effects of toxic stress. When a caregiver is able help the child makes sense of the world, manage difficult feelings and develop healthy coping skills, toxic stress can be prevented.

The quality of a caregiver's interaction with a child is a key building block for healthy emotional, social and physical development. Some of the best ways to support a child's health and development involve simple things like talking, laughing, taking time to play with a child one-on-one and just slowing down to spend time together.

This is why I am so proud to be a part of Too Small to Fail, a joint initiative between Next Generation and the Bill, Hillary and Chelsea Clinton Foundation. This initiative is focused on helping parents and caregivers understand that everyday interactions with children -- even if seemingly small, like enjoying a good book or a laugh with a child -- can protect their health and well-being.

Poverty and adversity don't have to be a prescription for lifelong poor health. With strong bonds established in the early years, parents can positively impact their children's lives and help them build a strong foundation for success.

@highlight

Nadine Harris: Some kids have "toxic stress" and not attention-deficit (hyperactivity) disorder

@highlight

Harris: Toxic stress can disrupt a child's brain development and affect organ systems

@highlight

She says parent or caregiver is best shield against effects of toxic stress

@highlight

Harris: The Too Small to Fail initiative can help parents increase children's well-being