(CNN) -- Ireland has formally requested substantial "financial assistance" from the European Union and International Monetary Fund to buttress the government and bolster its struggling banking sector, Prime Minister Brian Cowen said Sunday night.

"I want to assure the Irish people that we have a better future before us," Cowen said in announcing the request, as well as pledging substantial budget cuts and tax hikes.

European Union financial ministers said they would "welcome the request," according to a joint statement issued soon after Cowen's announcement. Irish Finance Minister Brian Lenihan said his European colleagues agreed to take on the request and start negotiations in a teleconference earlier in the day.

"Ministers concur with the (European) Commission and the European Central Bank that providing assistance to Ireland is warranted to safeguard financial ability in the EU and in the euro area," the EU statement said.

The central bank's governing council likewise embraced the request, saying in a statement that a loan deal "will contribute to ensuring the stability of the Irish banking system and permit it to perform its role in the functioning of the economy." And IMF Managing Director Dominique Strauss-Kahn said, in a press release, that the international finance institution "stands ready to join this effort, including through a multi-year loan."

In addition to EU and IMF assistance, Cowen said the United Kingdom and Sweden have agreed to consider giving their own loans to Ireland.

Dublin had long publicly insisted it would not seek an external bailout, despite widespread concerns that a ballooning budget deficit and wobbly banking sector would further cripple the Irish economy.

Yet a possible loan package was front-and-center during talks this week of European financial ministers. And officials from the European Commission, the European Central Bank and the IMF have been meeting officials from Ireland's Department of Finance and the National Treasury Management Agency since Thursday, hashing out measures required to bring stability to the Irish banking system.

Those negotiations now continue to determine the extent and guidelines for any aid package, according to Cowen, who said he expects a deal to be finalized "in the next few weeks."

At Sunday night's press conference in Dublin, which followed a meeting of Cowen's cabinet, Lenihan said the country would ask for less than 100 billion euros from the EU and the IMF. Last May, those two bodies bailed Greece out to the tune of 110 billion euros (currently $150 billion).

Cowen said that the government planned to cut 6 billion euros before it wraps its current budgetary cycle on December 7, and planned to eliminate a total of 15 billion euros over the next four years.

"These targets already have the support of European (financial) ministers," the prime minister said. "These (cuts) will be difficult for everyone."

In part to meet its loan requirements, Dublin also will set out a comprehensive four-year plan detailing its deficit-reduction and other measures to shore up the Irish economy, according to Cowen. He said that while corporate tax rates would stay unchanged, income tax levels would rise to 2006 levels.

In addition, Cowen said he'd push new policies that would make Irish banks "significantly smaller than they have been in the past ... so they can be brought on their feet."

Ireland shares the euro with 15 other European nations, and its perilous financial situations has raised concerns about a trickle-down effect on the common currency and the wider European Union. Responding to questions that a large outside loan might threaten Ireland's sovereignty, Cowen said the Ireland's economy was already tightly tied into Europe's and said "support ... from our partners" encouraged him to support asking for their assistance.

"Our membership in the EU has transformed our country for the better," the prime minister said. "(But) the task of rebuilding our economy falls to our own ... people."

The money is required to stave off the collapse of Irish banks, which have seen a major outflow of funds over the last year, the Irish government said Sunday.

International loans would act as a contingency fund, Lenihan said earlier Sunday, suggesting the mere fact that the funds were available might make it possible for Irish banks to borrow money on the open market again.

The Irish government already has pumped billions of euros into Irish banks to keep them afloat, effectively nationalizing most of them. The European Central Bank is lending money to Irish banks because other banks won't.

One analyst said Ireland has no choice now but to accept outside money.

"In actual fact Ireland as a country, in financial markets, has no reputation now. We've got to rebuild it, and the reason you rebuild it -- or how you rebuild it -- is you rebuild your balance sheet," author and economist David McWilliams told CNN.

"The situation is, if there is no money, we can't pay. And there is no money. That's why the IMF are here. If we had money, they wouldn't be here."

Journalist Peter Taggart and CNN's Jim Boulden and Bharati Naik contributed to this report.

@highlight

NEW: IMF, EU ministers "welcome" Ireland's request for financial assistance

@highlight

NEW: The United Kingdom, Sweden may offer separate loans to Ireland

@highlight

NEW: Taxes could rise and billions will be cut, Ireland's prime minister says

@highlight

Ireland's finance minister said the country would ask for under 100 billion euros