Kaufman County, Texas (CNN) -- David Crone and his wife were friends with their next-door neighbors, Mike and Cynthia McLelland. They enjoyed life in their quiet, idyllic neighborhood east of Dallas.

Tuesday, crime scene tape separating their homes showed that not all was well and peaceful.

Deputies and other investigators continued their search for evidence at the home of Mike McLelland, district attorney for Kaufman County. The prosecutor and his wife were were killed there over the weekend.

Friends discovered their bodies Saturday, nearly two months to the day after someone killed McLelland's chief felony prosecutor, Mark Hasse, in a daytime shooting outside the county courthouse January 31.

The Crones were at home during the time frame in which their neighbors were slain.

"I never heard anything," David Crone told CNN on Tuesday. His dogs were outside part of the time and never barked, he said. A storm passed through early Saturday, he said.

The resident said a neighbor who lives farther away claimed to have heard gunshots.

Crone said he and Mike McLelland were members of a rifle and pistol club.

As state and federal investigators flood this north Texas county searching for clues in the killing of two prosecutors in two months, the 100,000 people who live here can do little but nervously watch and hope.

"The residents are, I think, astounded," said Delois Stolusky, who has lived in Kaufman, the county seat, for 30 years. "It's just, one and one make two. You can't keep from connecting these. And it's just scary because we have no clue of who did the first shooting. And no clue, of course, yet, who did this one. And so, of course, our concern is what's going to happen next."

The killings have also rattled law enforcement officials, leading to increased security at the Kaufman County courthouse and around the county's elected leaders.

"I can promise you that all of the people in this courthouse, all of the elected officials, all of the other people who are involved in this investigation, are being very well-protected," County Judge Bruce Wood told reporters Tuesday.

Texas-sized investigation

Wood said "literally hundreds" of investigators are working the case.

"I'm not sure what time frame we're on, but I'm confident that they will find whoever committed this crime," he said.

The investigation is starting from scratch, with no leads in the McLellands' deaths, CNN affiliate WFAA reported.

Nor do officials have any further ideas on who killed Hasse.

Who's killing Texas prosecutors?

McLelland talked to relatives on Friday night, a search warrant affidavit said. Investigators have asked a judge for records of mobile phone calls that were relayed through at least one nearby tower, the documents show.

Law enforcement analysts say they believe those behind the attacks had been monitoring and following the two prosecutors, given the locations of the attacks and the brazenness of killing the men where they were most comfortable.

The killings have put justice officials across the state on high alert, unsure if or when another such strike might occur.

"This, I think, is a clear concern to individuals who are in public life, particularly those who deal with some very mean and vicious individuals -- whether they're white supremacy groups or drug cartels that we have," Texas Gov. Rick Perry said.

Some, like Harris County's district attorney in Houston, are now under 24-hour security.

McLelland himself had a sheriff's deputy guarding his house after Hasse's death. Exactly why the deputy stopped patrolling the home is unclear.

CNN affiliate KTVT said the sheriff's department removed the security detail because McLelland thought it was unnecessary and didn't want to waste taxpayer dollars.

But sources told WFAA a deputy was dispatched to McLelland's home only as a temporary assignment. The home was equipped with surveillance cameras, but not the kind that constantly record, the affiliate said.

Theories abound

With little solid information, speculation on who is behind the killings has included a white supremacist gang targeted by Texas and federal authorities last year, drug cartels and someone with a personal grudge against the slain prosecutors.

The white supremacist angle gained traction in part because McLelland, in an interview with The Associated Press before his death, speculated that the Aryan Brotherhood of Texas could have been behind Hasse's slaying.

"We put some real dents in the Aryan Brotherhood around here in the past year," McLelland told the news agency.

Prosecutor gunned down outside Texas courthouse

McLelland's office was one of numerous Texas and federal agencies involved in a multi-year investigation that led to the indictment last year of 34 alleged members of group, including four of its senior leaders, on racketeering charges.

At the time, Assistant U.S. Attorney Lanny A. Breuer called the indictment a "devastating blow" to the organization, which he said used threats and violence -- including murder -- against those who violate its rules or pose a threat to the enterprise.

The FBI describes the group as a "whites only," prison-based gang operating since at least the 1980s.

While authorities have not said whether they have linked the deaths of Hasse and McLelland, or the involvement of white supremacists, Texas law enforcement agencies did warn shortly after the November 2012 indictment that there was "credible information" the group was planning to retaliate.

Frank Meeink, a former white supremacist skinhead, said the group could well be behind the killings.

"The indictment that happened a year ago to this group really hurt the Aryan Brotherhood of Texas," he told CNN's "Starting Point" on Tuesday. "This isn't an ideology battle here. This is financial."

On the other hand, in the AP interview, McLelland said Hasse wasn't involved in the Aryan Brotherhood investigation. And a gang expert said killing public officials doesn't fit with the group's profile.

"This would be a giant leap for them to kill public officials," said Terry Pelz, a former Texas prison warden and expert on the Aryan Brotherhood.

He thinks drug cartels concerned about disruptions in the methamphetamine supply are more likely culprits.

Other theories

Speculation has also extended to whether the shootings have any connection to the March 19 death of Colorado prisons chief Tom Clements, who was gunned down after answering the door at his home.

While authorities have offered no suggestion the crimes are linked, Evan Ebel -- the man suspected of killing Clements -- was once a member of a white supremacist group and died in a shootout with sheriff's deputies in northern Texas on March 21.

Pete Schulte, a friend of the McLellands and a criminal defense attorney who has worked in the county, said other lawyers and public servants are nervous.

"Having that type of environment going on where people who are just doing their jobs (and) getting assassinated -- this is what this is, elected officials getting assassinated -- and that is sending a chill through the (legal) community and the community in general," he said.

He speculated that the killings were "personal."

"If this was a case that somebody was trying to change, they would have been going after witnesses and not the prosecuting attorney," Schulte said.

Michael Burns, McLelland's former law partner, said prosecutors from several counties have exchanged theories about what happened.

"But frankly, none of us know."

"We're used to hearing this sort of thing happening in Colombia or even Mexico. We're not used to hearing about judicial officials targeted in the United States. It's hard to say whether this is a local phenomenon that involves only one issue locally there, or whether this is the beginning of a trend. As a prosecutor, I can just tell you, we can't ignore it," Burns said.

"We're looking out the peephole when the doorbell rings now, where we maybe we weren't before," he said.

Filling a void

Kaufman County government offices will close Thursday to allow employees to attend a public memorial service in honor of McLelland and his wife, Wood said. A funeral will follow on Friday.

Brandi Fernandez, McLelland's first assistant district attorney, has been named to lead the office on an interim basis. She will fill that role until the governor appoints a successor.

But whoever becomes Kaufman County's next top prosecutor will have to grapple with the haunting past.

"I wonder if the governor is going to find anyone brave enough to take the job of district attorney," Kaufman city Mayor William Fortner told CNN.

CNN's Ed Lavandera and Gary Tuchman reported from Kaufman County; Phil Gast reported and wrote from Atlanta. CNN's Holly Yan, Carol Cratty and Vivian Kuo contributed to this report.

@highlight

NEW: Neighbors says he did not hear gunshots

@highlight

A gang expert doubts it was a white supremacist group, but a former member says it might be

@highlight

A county official says he's confident the district attorney's killer will be caught

@highlight

Mike McLelland was the second Kaufman County prosecutor slain in two months