A U.S. patient who had an infection of the mysterious MERS virus has recovered, the Florida Department of Health announced Monday.

The patient, a health care provider who lives and works in Saudi Arabia, has been discharged, the department said. He was admitted to Dr. P. Phillips Hospital in Orlando on May 9.

"All health care workers and household contacts who had contact with the patient were tested for MERS-CoV and all of those results have come back negative," the health department said in a statement. "There is no broad risk of MERS-CoV infection for the general public, and no threat to those traveling to the Orlando area."

MERS-CoV stands for Middle East respiratory syndrome coronavirus.

The Florida patient is not a U.S. citizen, said Dr. Anne Schuchat, director of the CDC's National Center for Immunization and Respiratory Diseases. He is one of three people in the United States who have been confirmed to have had MERS, which can be fatal.

The first U.S. diagnosis was in an Indiana man who had traveled to Saudi Arabia and is also a health care provider. The Florida and Indiana cases are not linked, Schuchat said.

The Indiana patient had "extended face-to-face contact" and shook hands with a man from Illinois during a 40-minute business meeting, the Centers for Disease Control and Prevention said Saturday. This is believed to represent the first transmission of MERS within the United States, officials said.

The Illinois man said he was suffering only mild cold-like symptoms and did not seek or require medical care, Dr. David Swerdlow told reporters. A blood test indicated that he had been previously infected with MERS.

"We think that this patient was likely infected with MERS. But technically he doesn't count as an official case of MERS," he said.

MERS: 5 things to know

What is MERS?

To date, there have been more than 570 confirmed cases of MERS, including 171 deaths, according to the World Health Organization. The number of countries with confirmed cases has expanded to 18, with a case in the Netherlands, according to the WHO.

The global health authority has seen a sharp uptick since the middle of March, especially in Saudi Arabia and the United Arab Emirates.

MERS is a coronavirus, the same group of viruses as the common cold. It attacks the respiratory system, according to the CDC. Symptoms can lead to pneumonia or kidney failure. It was first found in the Arabian Peninsula in 2012.

No one knows exactly how the virus originated, but evidence implicating camels is emerging. In a recently published study in mBio, researchers said they isolated live MERS virus from two single-humped camels, known as dromedaries. They found multiple substrains in the camel viruses, including one that perfectly matches a substrain isolated from a human patient.

There is no vaccine or special treatment for MERS. Doctors say they believe the Indiana patient's quick diagnosis and care dramatically increased his chances of getting better.

The "risk to the general public remains very low," Schuchat said. In some countries, the virus has spread from person to person, but only when they were in close contact, such as when a person was caring for an ill person.

"This virus has not shown the ability to spread easily from person to person in community settings," she said.

Out of "an abundance of caution," the CDC has been contacting people who were passengers on the same flights as the Florida and Indiana patients with confirmed MERS, Schuchat said.

No cases of MERS have been diagnosed as a result of transmission on a plane, the CDC's Dr. Marty Cetron said.

The Florida patient

The 44-year-old Florida patient traveled on May 1 from Jeddah, Saudi Arabia, to London, then from London to Boston, Boston to Atlanta, and finally Atlanta to Orlando.

The man began feeling unwell on the flight from Jeddah, with symptoms including "fever, chills and a slight cough," Schuchat said.

He now tests negative for the virus, the Florida Health Department said.

Opinion: Will MERS become a global threat?

@highlight

A patient with MERS in Florida has been discharged

@highlight

Three people in the U.S. have had confirmed MERS infections

@highlight

MERS was first found in the Arabian Peninsula in 2012