(CNN) -- After actress Mackenzie Phillips spoke about her sexual relationship with her musician father, online and telephone calls to an anti-sexual assault hot line surged.

Mackenzie Phillips told Larry King that incest survivors are "incredibly underrepresented."

Her interviews in the past few weeks brought a spotlight to an uncomfortable topic.

Incest, a common but highly stigmatized form of sexual abuse, often leaves the victim ashamed, isolated and unable to tell others what's happening, because the perpetrator is someone related to him or her, mental health experts said.

"For any survivor of sexual trauma, it's challenging, and it takes a lot of courage to come forward," said Jennifer Wilson, director of the National Sexual Assault hot line. "With incest survivors, it's particularly difficult, because not only is there social stigma pressuring them to stay quiet, but also there's pressure that's within the family to stay quiet."

The Rape, Abuse & Incest National Network, which calls itself the nation's largest anti-sexual assault organization, said it had seen an 83 percent increase in activity on its online hot line and a 26 percent increase on its telephone hot line after Phillips' interview with Oprah Winfrey aired last week.

"Unfortunately, it's something we hear everyday in our hot line, so to have somebody speak aloud about it was empowering to a lot of victims and survivors who went through similar situations," Wilson said.

Phillips spoke about the taboo nature of incest in her interview with CNN's Larry King.

"There's very little in this world that is taboo today, but this subject is still, like, shove it under the carpet, sweep it away, protect the abuser, deny the reality. ... You're just on your own," the former child star said.

This makes it one of the most under-reported and least discussed crimes, experts said.

A U.S. Bureau of Justice Statistics report found that of the 60,000 sexual assault cases reported in 12 states in 2000, about a quarter were perpetrated by family members. About half of the sexual assault cases with victims younger than 11 involved family members.

At times, a victim may feel unable to tell other family members what's happening. And if he or she tells a relative, that family member may have "a knee-jerk reaction," refusing to believe it. Relatives may try to protect the offender in order to keep the family together or to avoid the shame and stigma, Wilson said. This takes a devastating toll on a victim.

"Their sexual selves are damaged. Their emotional selves are damaged, because 'who do I trust?' " said Debra Laino, a sex therapist and counselor. " 'My father did this. My mother did this. Who can I trust if I can't trust my family?' "

Sometimes the reluctance to report the crime comes from the victim, because he or she doesn't want to see the family member in jail.

Although Phillips called the sexual relationship with her famed father, John Phillips, "wrong," she said, "I don't want bad things to happen to him, but I also don't want bad things to happen to me as a result of this. And I was convinced to let it lie."

Her father, a co-founder of the Mamas & the Papas, died in 2001.

Father- or stepfather-daughter incest is the most common form, although it also occurs between mother and child, according to the National Center for Victims of Crime.

A sexual assault victim could suffer physical effects of the crime such as sexually transmitted infections, genital trauma and urinary tract infections.

They could also experience many mental health effects: social withdrawal, isolation, post-traumatic stress disorder and regressive behavior such as bedwetting and thumb sucking. Some become hypersexual and engage in destructive behaviors, experts said.

Humans "have an instinct for avoiding incest or inbreeding," said Debra Lieberman, an assistant professor of psychology at the University of Miami (Florida) who researches incest. But alcohol, drugs and mental illness may disrupt that instinct.

"Under the heavy influence of cocaine or heroin or whatever else you're taking, your mental boundaries are skewed, essentially," Laino said.

The offender's sexual frustrations could also contribute to inappropriate actions.

"It also depends on his other mating opportunities," Lieberman said. "What is the quality of his current relationship with the female's mother? Is she around? What is the ability for the guy to attract other mates?"

The perpetrator, frustrated by the absence of suitable sexual partners, may turn to whomever is around -- even if it's kin.

Recovery from incest can occur, but it often takes years. A victim of incest has to understand that it's not his or her fault and get professional help, Wilson said.

"It doesn't make you broken," Phillips said.  "It doesn't make it so that you can't go on and be -- once you deal with honestly and realistically what you've been through, it doesn't mean that you can't be counted on or you can't be well enough to be a part of the world."

@highlight

Actress said she had sexual relationship with her father for years

@highlight

Experts: Incest is one of the most under-reported and least discussed crimes

@highlight

Real healing after incest is possible, Phillips says