If home is where the heart is, a new survey suggests that most people aren't sure exactly where they live. More than half of people cannot pinpoint the exact location of the human heart on a diagram, and nearly 70 percent can't correctly identify the shape of the lungs, according to the survey.

This lack of knowledge isn't just embarrassing -- it could lead to a poorer quality of health care, some experts say.

In the study, published in the journal BMC Family Practice, a research team surveyed 722 Britons -- 589 hospital outpatients and 133 people in the general population. They gave the volunteers four diagrams of human figures and asked them to choose the one that showed the correct size and location of a specific organ. (For example, the heart diagrams showed various size organs on the far left side of the chest, directly in the center, anchored on the center/left chest, and on the right side of the chest.)

Overall, people knew less basic anatomy than the researchers expected -- even those patients being treated for a specific condition involving that organ. Participants generally answered half the questions correctly, including 46.5 percent who knew which drawing represented their heart. In all, 31.4 percent correctly identified the lungs, 38.4 percent the stomach, 41.8 percent the thyroid, and 42.5 percent the kidneys.

The intestines and bladder were the most easily identified, with 85.9 percent and 80.7 percent, respectively, answering the question correctly. Health.com: Are you cholesterol smart? Take this quiz

There was little to no improvement compared with a similar study conducted in 1970, says lead author John Weinman, Ph.D., of King's College London. In that study, subjects correctly identified eight major body parts about half of the time. (The researchers used the same body parts from the 1970 study and added three more: the pancreas, gallbladder, and ovaries.)

Given the accessibility of the Internet and the prominence of health stories in the news media today, Weinman's team expected that people would now know more about their body.

Weinman says he wouldn't be surprised if a study based in the United States produced similar results -- or worse. "I imagine they would be similar, but there could well be regional variation, depending on which part of the U.S. the participants were from," he says. "Actually, I asked one of my colleagues, who is from the U.S., and she felt that Americans might be worse because, to quote her, 'Very many Americans don't even know where New Jersey is, so how would they know where their pancreas is?'" Health.com: Eat Smarter in your 30s, 40s, and 50s

That may sound harsh, but time and again, U.S. studies have shown that doctors overestimate how much their patients understand about their conditions and treatment.

Adam Kelly, Ph.D., an assistant professor of medicine at the Baylor College of Medicine, in Houston,  Texas, conducted a 2007 study, that showed that doctors overestimate patient literacy and that a lack of patient knowledge leads to poorer care. Kelly believes the problem could be "even more profound" in the United States, although a similar study has not been conducted in America.

Still, anatomy may not be the best measure of health literacy, says Sandeep Jauhar, M.D., the director of the heart failure program at the Long Island Jewish Medical Center, and the author of "Intern: A Doctor's Initiation." Health.com: Computer games that boost your memory

"They would like us to draw the conclusion that because the patients can't identify these organs anatomically that that is an indication of low health-care literacy -- and that may or may not be true," he says. "I work with heart failure patients, and whether they can identify where their heart is is not so important to me as long as they know which medicines to take and when."

Many patients with heart failure, unfortunately, don't know which medicines to take, can't identify their symptoms, and don't follow up with their doctors, Jauhar says. "So health illiteracy is definitely a big problem," he adds. "I just don't know that this is the best study to show that Americans or Europeans are illiterate when it comes to their health care."

The study suggests that patients with liver disease and diabetes may be the most health-literate: They were the only two groups to do better than the general population when identifying their affected organ. Overall, 75.3 percent of those with liver disease could find the liver (versus 45.9 percent in the general population) and 53.7 percent of diabetics could locate the pancreas (versus 30.8 percent). Health.com: How I survived a heart attack at 43

"It is possible that patient-education material for people with diabetes may help to increase their knowledge [of the pancreas], but it is still only at the 50 percent level," Weinman says. "The same explanation may also be true for liver disease, but it may be a chance finding due to the sampling of patients for this study, and it really needs replicating in other larger studies to be certain it is a robust finding and to search for possible reasons for it."

Weinman says there's a mountain of evidence to prove that effective communication from doctors increases patient satisfaction and understanding, leading to better clinical outcomes and improved adherence to treatment. Health.com: I lost my insurance, stopped my diabetes medication, and had a heart attack

Jauhar agrees that health literacy improves not only the quality of health care, but also life expectancy. "Health literacy is clearly very important, and how well patients are versed in their own health care is probably just as important a factor in determining longevity as genes or socioeconomic status," he says. "These are important factors in how long someone lives."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

More than half in British survey couldn't identify heart's location

@highlight

U.S. results could be similar or worse, some experts speculate

@highlight

Health literacy contributes to better care received, better patient outcomes