Philadelphia (CNN) -- A Pennsylvania judge ruled Tuesday that state officials cannot enforce a new voter identification law in next month's presidential election.

The ruling by Commonwealth Court Judge Robert Simpson is expected to be appealed, but amounted to good news for Democrats who contend the voter ID law is motivated by Republican efforts to suppress the traditionally Democratic minority vote.

"It's a huge victory in that the photo ID requirement for the November election has been blocked and people without ID will be able to vote on regular ballots," said Witold "Vic" Walczak, legal director for the American Civil Liberties Union in Pennsylvania.

Read the documents (.PDF)

Supporters argue that the law signed in March by Republican Gov. Tom Corbett will prevent voter fraud and is upheld by the Constitution.

"Today's ruling is a temporary setback," said Horace Cooper, director of the National Center for Public Policy Research's Voter Identification Task Force.

"Notably, the court's ruling accepts the principle that the voter ID rules are legal. Unfortunately, the timing of the change meant that Pennsylvanians will have to wait one more election cycle before they can be sure their elections are fraud-free," Cooper said.

In his ruling, Simpson granted a preliminary injunction that temporarily halts enforcement of the law until after the November 6 election. He cited likely disqualification of eligible voters as the reason.

"Consequently, I am not still convinced in my predictive judgment that there will be no voter disenfranchisement arising out of the commonwealth's implementation of a voter identification requirement for purposes of the upcoming election," Simpson wrote. "Under these circumstances, I am obliged to enter a preliminary injunction."

Sisters navigate new Pennsylvania voter ID law

However, Simpson's ruling allows other provisions of the law to stand, including voter education efforts that a photo ID is required to cast a ballot. Election officials also can ask for photo identification, but cannot prevent people from voting if they don't have it.

The judge wrote that state legislators intended for election officials to request a photo ID during the transition period for the new law "even though the vote will be counted regardless of compliance with the request."

"The concern is that the Commonwealth's education efforts all tell people that they need ID and if that kind of misleading message goes out, it will promote confusion on Election Day and discourage folks without ID from voting," said Walczak.

Simpson's ruling means the full voter ID law could be enforced starting next year. His ruling said he will schedule a further hearing on whether to issue a permanent injunction.

Prior to the new law, first-time voters in Pennsylvania were allowed to present documents like bank statements and utility bills in lieu of photo identification. Under the new law, all voters would have to present a valid photo ID -- one that is sanctioned by the state -- before they cast their ballots.

To get a photo ID, residents must have a valid Social Security card; an official birth certificate or U.S. citizenship documents; and two proofs of residency, such as a utility bill or tax records.

New voting measures could deter Latinos, civil rights group says

Polls show President Barack Obama leading Republican challenger Mitt Romney in Pennsylvania, which has 20 electoral votes.

Critics say the new law is an attempt by Republicans -- who overwhelmingly support the measure -- to gain the advantage in a close election.

Corbett said the law "sets a simple and clear standard to protect the integrity of our elections."

However, lawyers on both sides admit there are no known cases of in-person voter fraud.

Civil rights organizations and attorneys filed a lawsuit in May to overturn the new law. The case made its way to the state Supreme Court, which sent the dispute back to Simpson in the Commonwealth Court.

Justice Department OKs New Hampshire voter ID law

Pennsylvania is one of 31 states with some form of voter ID measure in place. Most have provisional voting mechanisms for people lacking the proper identification at the polling place.

Four of the states -- Georgia, Kansas, Tennessee and Indiana -- require a photo ID to cast a regular ballot. The U.S. Supreme Court upheld Indiana's law in 2008.

Five other states, including Pennsylvania, have passed photo identification laws that now are under review or legal challenge, while seven states have less restrictive photo ID laws.

CNN's Tom Cohen, Bill Mears, David Ariosto, Sarah Hoye and Deb Feyerick contributed to this report

@highlight

NEW: Several states have laws requiring photo IDs to vote

@highlight

Some argue the laws aim to suppress traditionally Democratic minority vote

@highlight

Tuesday's ruling only applies to next month's presidential election

@highlight

Supporters say the law prevents fraud; detractors say it disenfranchises voters