For all the talk of a possible cease-fire, residents of Israel and Palestinians in Gaza are living under a daily barrage of attacks. More than 1,200 Palestinians have been killed, as have 53 Israeli soldiers and three civilians in Israel.

Israel said it has wiped out the majority of Hamas' rocket supply, but the fighting shows no sign of abating.

"If the enemy has not had enough of our strikes, our fighters have a lot to surprise the enemy's leaders and its special forces," Hamas said Tuesday in an online posting.

Israeli Prime Minister Benjamin Netanyahu told his country Monday to prepare for "a protracted campaign."

"Our goal is clear," Israeli government spokesman Mark Regev told CNN on Tuesday.  "Our goal is to free the people of Israel from the terror of these rocket attacks coming from Gaza and from these tunnel attacks coming from Gaza where people pop out of the ground with machine guns and explosives to kill and to murder, to kidnap people."

The goal "can be achieved diplomatically or militarily or a combination of them both," he added.  "But we will continue until that goal is achieved."

Just what it would take to stop Hamas militarily -- and whether that's even possible -- remains unclear.  Some key numbers:

32 -- The number of tunnels Israel uncovered in Gaza as of Monday. Israel does not know how many more it may find. "There are still chances that there are tunnels that we have no knowledge about that are already inside Israel," Israel Defense Forces spokesman Peter Lerner told CNN Tuesday. "We're operating in order to locate them."

Each tunnel costs $3 million, according to the Israeli military. And for all the destruction wrought on Gaza, militants could still build more in the future. Hamas is the controlling government in Gaza.

CNN's Wolf Blitzer goes into a Hamas tunnel

10,000 - The number of rockets Israel estimated Hamas to have in its arsenal when the hostilities began. Militants have launched more than 2,600, according to the Israel Defense Forces. And the IDF has struck more than 3,000, IDF spokesman Lt. Col. Peter Lerner told CNN on Tuesday. "So our assessment is they're depleted around 60% of their capabilities," Lerner said.

But given that Israel has found more tunnels than it expected, it's possible militants have more rockets than Israel realized, as well. And while many are smuggled in from Iran and Syria, many others are homemade, notes Michael Eisenstadt of the Washington Institute for near East Policy. "You can always find, from the rubble, pipes that can be cut. And you can always scrounge ingredients to make propellant," he says. These rockets might be less effective, but militants will always "be able to reconstitute their rocket force in some way," he says. "So you never get to the point where you slap your hands and say, 'Mission accomplished.'"

Bombing workshops where many rockets are made might prevent militants from producing longer-range rockets that threaten people beyond southern Israel. But "you'll never be able to bomb them to the point that they can't produce" the cruder rockets, Eisenstadt said.

In its online posting Tuesday, Hamas said it "still retains its full power and force."

More than 300 -- The number of militants Israel says it has killed so far in the conflict.  The U.S. State Department says there are "several thousand" Gaza-based Hamas militant operatives along with a "reported 9,000-person Hamas-led paramilitary group known as the 'Executive Force.'" Israel, meanwhile, has 176,000 active military personnel, has called up some reservists and can tap into a pool of hundreds of thousands more if needed.

Hamas leaders appear "confident that the group could sustain its attacks until it secures its key demand: ending the blockade of the Gaza Strip by Egypt and Israel," says Jeremy Binnie, Middle East editor of IHS Jane's Defence Weekly.

$62,000 -- The cost of each missile used by Israel's Iron Dome defense system to block militants' rockets from hitting Israelis. More than 500 have been used, making the total more than $31 million.

"We're confident we can continue to operate with that," Lerner told CNN's Wolf Blitzer. Each battery used by the Iron Dome system costs $50 million, IHS Jane's said.

"Despite the improvements in Iron Dome's performance in recent months, it's clear Israel is on the wrong side of the cost curve," says Christoper Chivvis, senior political scientist at Rand Corporation. "The reality is that building sophisticated missile defense systems like Iron Dome remains much more expensive than acquiring missiles themselves."

How Iron Dome blocks rockets from Gaza, protects Israelis

1.8 million and 8 million - Ultimately, the most important figures may be the populations of Gaza and Israel, respectively, and how they respond to the devastating casualties and destruction. The majority of Israelis currently support military action against Hamas, the Jerusalem Post reported. It's unclear how many in Gaza want militants to stop rocket attacks. Last month, a poll by the Washington Institute found most Palestinians in Gaza oppose a two-state solution and want to work toward a five-year goal of abolishing Israel -- but the majority said they support nonviolent methods of "popular resistance."

@highlight

Hamas vows it has "a lot to surprise the enemy"

@highlight

Israel vows to stop threats "diplomatically or military"

@highlight

Israel believes about 60% of Hamas' rockets depleted

@highlight

More than 500 Iron Dome missiles have been used