(CNN) -- It's been building for months. And now, according to some, Russia has launched a "full-scale invasion" of Ukraine.

U.S. officials say Russian troops were directly involved in the latest fighting, alongside pro-Russian rebels.

"Russia is responsible for the violence in eastern Ukraine. The violence is encouraged by Russia. The separatists are trained by Russia; they are armed by Russia; they are funded by Russia," President Barack Obama told reporters Thursday.

Moscow, meanwhile, has said it would do everything possible to protect ethnic Russians in eastern Ukraine, but denies direct involvement in the fighting. It says the United States must stop interfering.

A Russian senator and the deputy head of the Committee on Defense and Security in Russia's upper house of Parliament, Evgeny Serebrennikov, dismissed reports of a Russian incursion as patently untrue.

"We've heard many statements from the government of Ukraine, which turned out to be a lie. What we can see now is just another lie," he told the Russian state news agency RIA Novosti.

As the stakes seem higher than ever in Ukraine, what does this latest development -- a significant one, most believe -- mean?

CNN.com breaks down some basics:

How did we get here?

Last December, then-President of Ukraine Viktor Yanukovych backed out of a trade agreement long in the works with the European Union and chose to take a $15 billion loan from Russia for his economically hurting nation. That move angered many Ukrainians who wanted their country to move more in line with the EU, and who also saw their president as a corrupt politician who'd done little to help the nation's limping economy, experts say. Protests broke out in the streets of Ukraine's capital, Kiev.

Shortly afterwards Yanukovych lost power, and Russian President Vladimir Putin ordered military exercises in Russia, just across Ukraine's border. Before February was over, armed men had seized regional parliament and government buildings in Crimea, a peninsula in southern Ukraine Russian whose population is mostly ethnic Russian.

In March, Russian troops annexed Crimea. At one point, a security camera at Ukrainian military base captured a bizarre sight -- a Russian armored personnel carrier busting through a base gate. Since then, fighting between Ukraine's military and pro-Russia rebels has continued to rage in eastern Ukraine.

Why does Russia care so much what happens in Ukraine?

There are strong cultural and historical ties between Ukraine and Russia. More than 100 years ago, Ukraine was part of imperial Russia.

In March, Putin gave a speech at the Kremlin in which he said Russia planned to "welcome back" Crimea.

"Crimea has always been an inseparable part of Russia," he said.

A New Yorker piece by journalist George Packer argues that Russia will "risk almost anything" to keep Crimea while the United States and Europe have minimal interests there and won't expend the risk to reverse the annexation.

A former ambassador to Ukraine explained in June to Congress why the United States should care about the nation, ranging from the fact that it's been a solid international partner on nuclear issues and in the war in Iraq.

Steven Pifer said that the "illegal seizure of Crimea is the most blatant land-grab that Europe has seen since 1945."

If Europe and the United States don't adequately respond, "the danger is that Mr. Putin may pursue other actions that would further threaten European security and stability," he said.

What has the West done, what can it do?

The West can always do something. But what is realistic and practical?

Most experts believe that answers are diplomacy and sanctions.

Charles Kupchan, a professor of international affairs at Georgetown University, says the United States and allies can keep trying to isolate Russia diplomatically -- prohibit Russian leaders from attending major summits or temporarily halt trade talks, for example.

"The dialogue should continue," Kupchan said, on a conference call initiated by the Council on Foreign Relations. "We have to look at this crisis with a certain amount of sobriety, in the sense that we still need Russian cooperation, if we can get it, on a lot of issues."

Keeping communication open with Russia is important to help deal with situations that aren't directly related to Ukraine -- nuclear talks with Iran, the continuing crisis in Syria, energy supplies and prices in the region and the Afghanistan war.

What's going on with sanctions the United States previously imposed on Russia?

Back in March, interim Ukrainian Prime Minister Arseniy Yatsenyuk said that he was afraid diplomatic pressure isn't enough.

So far the United States and allies have relied largely on sanctions to punish and influence Russia. Sanctions have been imposed on major Russian banks making it hard for those institutions to provide new medium and long-term financing in the United States, senior administration officials have said.

Obama imposes new sanctions on Russia over Ukraine

There have also been sanctions that sought to freeze any U.S. assets in Russia and prohibit American business contacts for eight Russian arms companies that make weapons. Some of those arms are the type being used by the pro-Russians separatists in Ukraine. Specific Russian government officials have also been the targets of sanctions.

Russia sanctions: West's top 15 targets

But global economist Robert Kahn, of the Council on Foreign Relations, told CNN Thursday that sanctions can cut both ways.

When sanctions were stepped up after Malaysian Airlines Flight 17 was downed in Ukraine -- a tragedy the West blamed on Russia-backed separatists (a charge Russia has denied), Putin attempted to retaliate by banning food and agricultural imports from countries such as the United States, Norway, Canada and Australia. The ban was enacted to help ensure "the security of the Russian Federation."

Russia is Europe's largest importer in value of animals, meat, dairy products, fruits and vegetables, according to the European Union.

That forced the EU to pay for temporary storage of butter, skim milk powder and some cheese to help farmers who would be take an economic hit.

Kahn said sanctions can work but the ones currently imposed are engineered to produce long-term results.

Sanctions aren't moving, he said, at the pace that matches Putin's actions.

What about military options?

President Obama has reiterated that Russia's military moves in Crimea violated international law. It's a line the administration has often said -- that no nation can send troops into another country without provocation.

While the rhetoric has been hard, it definitely does not mean military might in the force of America's own troops will ever be on the table.

Using military force to undo Russia's military control in Crimea is "out of the question," Kupchan said. "I don't think anybody believes that it is of significant enough interest" to bring in NATO or U.S. forces.

Even Ukraine's leadership has said military might is a mistake.

In March, interim Prime Minister Yatsenyuk told CNN that military force "is the way to nowhere."

Retired U.S. Army Col. Peter Mansoor, who served as Gen. David Petraeus' executive officer in Iraq from February 2007 to May 2008, told CNN on Thursday the United States can "send a message to Russia that their conduct is unacceptable without sparking a war" with Russia.

What could happen next?

Col. Mansoor said he was surprised by recent incursions in Ukraine. "For a while this summer it seemed that Russia was backing off," he said.

It's possible that Putin recognized gains Ukrainian government security forces made in August against the pro-Russian militias.

A U.S. official told CNN on Thursday that intelligence suggests that up to 1,000 Russian troops have moved into southern Ukraine with heavy weapons and are fighting.

Satellite imagery, both commercial and from NATO, purportedly support that.

Kahn said he thinks what's happening now could go on for some time -- a stalemate.

The United States could ramp up equipping Ukrainian armed forces to fight the pro-Russian separatists and the United States could also station troops in Baltic states and in Poland which borders Ukraine. The Poles would be receptive to that, he said, and doing that would "reassure our allies that we could defend them."

There could be more sanctions, too.

But any moves made must be strong, experts agreed.

Putin must be made to understand "his actions are not increasing Russia power," Mansoor said, "but actually bringing U.S. power closer to Russia."

Because, right now, what's happening in Ukraine Thursday "shows that Putin's desires in that region have not yet been satisfied," Mansoor said, "and he's willing to risk further sanctions and further war."

@highlight

The United States and allies blame Russia for the violence

@highlight

Moscow denies direct involvement in the fighting

@highlight

Diplomacy and sanctions must play a role, experts say