Simferopol, Crimea (CNN) -- A deadline Ukraine's acting President gave Crimea's separatist leaders to release hostages came and went without apparent incident Wednesday, after pro-Russian activists stormed the former Soviet state's navy headquarters in the region.

Amid signs the uneasy standoff between pro-Russian and Ukrainian forces could ignite into bloody conflict -- a day after Moscow claimed Crimea as its own -- almost 300 armed pro-Russian supporters took over the naval base in Sevastopol, said Marina Kanalyuk, assistant to the commander of Ukraine's navy fleet.

"They are everywhere here, they surround us, they threaten us," she said, adding that she was sure that Russian security forces were involved.

Kanalyuk said the 70 or so Ukrainian naval officers at the headquarters had tried to stop the armed men from entering and were negotiating with them. She said that the armed men had replaced Ukrainian flags with Russian standards but that no shots had been fired.

Ukrainian navy chief Sergey Gaiduk was taken away. Russia's official ITAR-Tass news agency, citing the local Kryminform news agency, reported Gaiduk had been passed to the Sevastopol prosecutor's office to be questioned about whether he'd passed on orders from Kiev for Ukrainian soldiers to use their weapons.

Acting President Oleksandr Turchynov issued a 9 p.m. (3 p.m. ET) deadline for Crimea to release all hostages and stop all provocations, a statement on the presidential website said. That deadline passed with no apparent consequences.

It had warned that if all hostages, including Gaiduk, were not released by then, authorities would take action of "technical and technological character," likely meaning turning off utilities.

Meanwhile in Kiev, officials unveiled a series of new measures against Russia and the "self-proclaimed" authorities in Crimea.

In a televised briefing, Andriy Porubiy, secretary of the national defense and security council, said the measures included a full-scale visa system for Russians and that if the United Nations designates Crimea a "demilitarized zone," Ukraine was prepared to evacuate its military personnel and family members. Ukraine has facilities ready to accommodate 25,000 evacuees.

The country has decided to leave the Commonwealth of Independent States, an organization made up of republics of the former Soviet Union, Porubiy said. Kiev also will estimate the damages caused by the annexation.

NATO: 'Business as usual is not an option'

The incident at the navy headquarters comes a day after one member of the Ukrainian military was killed, another wounded and more captured when masked gunmen seized their base near the Crimean regional capital, Simferopol.

After that fatality -- the first Ukrainian military death since the Crimean crisis erupted about two weeks ago -- Ukraine's Defense Ministry authorized its forces to open fire in self-defense. On the same day, Russian President Vladimir Putin announced the annexation of Crimea, after voters in the semi-autonomous territory approved a hastily called weekend referendum on separating from Ukraine.

Speaking in Washington, NATO Secretary General Anders Fogh Rasmussen warned of the organization's fear that Russia may move into eastern Ukraine.

"I see Crimea as an element in, in a greater pattern, in a more long-term Russian, or at least Putin, strategy. So, of course, our major concern now is whether he will go beyond Crimea, whether Russia will intervene in the eastern parts (of Ukraine)," he said.

"No one wants to turn away from our cooperation with Russia, but no one can ignore that Russia has violated the very principles upon which that cooperation is built. So business as usual is not an option," Rasmussen said.

Elsewhere, the head of Ukraine's state TV reportedly was assaulted by at least three lawmakers from Ukraine's far-right Svoboda party and forced to resign. In a video posted online, the MPs could be seen arguing with to Oleksandr Panteleymonov, asking him why the station aired a concert from Moscow live. He was then roughed up.

Speaking to CNN by phone from hospital where he said he was being checked for injuries, Panteleymonov called the incident a "quarrel" and confirmed he had to sign a paper.

The U.S. embassy in Kiev condemned the incident.

U.N. chief to visit Russia, Ukraine

As diplomatic efforts to resolve the crisis continue, the United Nations said Secretary-General Ban Ki-moon would visit Russia and Ukraine this week "as part of his diplomatic efforts to encourage all parties to resolve the current crisis peacefully."

He will meet Putin and Russian Foreign Minister Sergey Lavrov in Moscow on Thursday and Turchynov and Prime Minister Arseniy Yatsenyuk on Friday in Kiev.

Speaking at the United Nations on Wednesday, Ukraine's U.N. Ambassador Yuriy Sergeyev called upon "the entire civilized world not to recognize the illegitimately declared independence of Crimea and its violent dismembering from the territory of our country."

He expressed reservations about the referendum, saying that Russian citizens were able to vote and journalists were banned.

"The declaration of independence by the Crimean Republic is a direct consequence of the application of the use of force and threats against Ukraine by the Russian Federation," Sergeyev said.

U.S. Ambassador Samantha Power echoed his comments, stressing that what happened in Crimea cannot be recognized as valid, nor can it be repeated in other parts of Ukraine.

"A thief can steal property, but that does not confer the right of ownership on the thief," she said.

U.S. Vice President Joe Biden, dispatched to reassure NATO allies in Eastern Europe and the Baltics, met Wednesday with the presidents of Lithuania and Latvia in Lithuania's capital, Vilnius.

He stressed the United States was committed to the defense of its NATO allies and had stern words for Moscow's response to the political upheaval in Ukraine.

"Russia has chosen to respond with military aggression, a referendum rejected by virtually the entire world, illegal efforts to annex Crimea and now reports of armed attacks against Ukrainian military personnel and installations in Crimea," he said.

"I want to make it clear: We stand resolutely with our Baltic allies in support of the Ukrainian people and against Russian aggression."

U.S. officials are keeping a close eye on the growing number of heavily equipped Russian forces near the Ukraine border because of concern the troops could move into Ukraine with little or no warning.

One U.S. official with access to the latest intelligence said the estimate is that in recent days, Russia has assembled up to 20,000 forces in "motorized" units. They are so close to the border that the United States would not have enough time to predict what they might do, but would only see it as it was happening, the official said. One theory the U.S. is considering is that the Russians may plan to establish a "land bridge" into Crimea, the official said. He described it as moving forces to an area they can control, so they have assured access in the future.

Also Wednesday, Ukraine's deputy premier, Vitaly Yarema, and acting Defense Minister Ihor Tenuyh took off from Kiev, planning to fly to Crimea to "resolve all problematic issues," but Crimean authorities would not allow them to land, the statement on the Ukrainian presidential website said.

Escalation fear

Yatsenyuk warned Tuesday the crisis was shifting "from political to the military form, and the blame is on the Russian military."

The weekend's contested referendum has been condemned by the interim Kiev government, the United States and the European Union. But Russia remains steadfastly defiant.

For Ukrainians, 'it's hard to not be concerned'

Russia's Constitutional Court unanimously ruled Wednesday that the agreement between the Russian Federation and Crimea on its accession to Russia was lawful, state news agency RIA Novosti reported.

The step clears the way for the country's lawmakers to vote on ratifying the accession agreement, as well as draft amendments to the Russian Constitution, it said.

The State Duma, or lower house, will hold a special session Thursday to ratify the treaty, ITAR-Tass reported.

Putin made it clear Tuesday, in a speech greeted by enthusiastic applause by Russian lawmakers, that Moscow has no intention of relinquishing its grip on Crimea, a Black Sea peninsula with historical ties to Russia.

"In our hearts, we know Crimea has always been an inalienable part of Russia," he said.

Of those who cast a ballot, 96.7% voted in favor of Crimea leaving Ukraine and joining Russia, according to the Crimean Electoral Commission. But the ballot questions offered no real option for any residents who wanted to remain part of Ukraine.

Putin said Russia had to act because Ukraine's new government, backed by Washington and European powers, was prepared "to seize the state through terror and murders."

But Yatsenyuk called it "a robbery on an international scale," one that Kiev will never accept.

Members of the Russian parliament and the new Crimean legislature met Wednesday morning in Moscow to discuss the details of how the region will join Russia.

Russia's annexation of Crimea opportune or opportunistic?

Rising tensions

Crimean lawmakers have said they now see Ukrainian soldiers as an occupying force and have given them a certain amount of time to leave the peninsula.

The Ukrainian troops have been encircled by pro-Russian forces in their bases for days.

They have also come under pressure from pro-Russian crowds who gather outside and call on those still loyal to Kiev to surrender or defect to Russia's military. CNN teams on the ground have seen Russian forces also show up to reinforce that message.

Putin has denied Russia's military has been used in Crimea, despite what has been stated by international observers and the government of Kiev. The pro-Russian forces seen in Crimea are Crimean "self-defense" forces, he said.

Putin said the 22,000 Russian troops in Crimea did not enter during the current crisis, but "were already there," in accordance with previous international negotiations.

Russian forces were allowed in Crimea under a treaty that allowed the Black Sea fleet to be based in the port of Sevastopol, but their movements within Crimea are supposed to be agreed upon with Kiev.

U.S. and EU officials have imposed sanctions on more than two dozen Russian and Crimean officials and urged Russia to avoid escalating the crisis, but Moscow has ignored those calls.

Putin may be under international pressure over Russia's actions in Crimea, but public opinion is firmly behind him at home.

Cheering crowds celebrated the announcement that Crimea was now part of Russia at some 80 rallies across the country, from Vladivostok to Moscow's Red Square.

CNN's Nick Paton Walsh reported from Simferopol and Ivan Watson from Kiev, while Laura Smith-Spark wrote and reported from London. CNN's Frederik Pleitgen, Azad Safarov and Victoria Butenko contributed to this report.

@highlight

NEW: "Business as usual is not an option," says NATO secretary general

@highlight

NEW: He warns of the organization's fear that Russia may move into eastern Ukraine

@highlight

Ukraine says prepared to evacuate military personnel and family members from Crimea

@highlight

On visit to Baltic states, U.S. Vice President Joe Biden slams Russian "aggression"