Moscow (CNN) -- Of Russia's 12 million immigrants, about 2-3 million of them live in Moscow, according to the U.N. It's a high proportion for a city of 11 million people.

In 2013 tensions turned violent with mass street protests and several killings believed to be motivated by nationalist sentiment. Egged on by ethnically Russian residents demanding justice after an Azeri migrant allegedly killed a young Russian man, police made mass arrests of people from the Caucasus or Central Asia.

Nationalist groups followed suit, hunting for people with non-Slavic faces, though they planned to do more than just detain them for questions.

For a month, police conducted raids at markets throughout Moscow where illegal immigrants were believed to be working. The biggest raid was in October at the Sadovod market, when about 1,000 workers were rounded up by police. The incident was widely covered by Russian media.

I saw the opportunity to do something I have always wanted to do -- see what life is like in Russia for migrant workers, or, as they are called here, "gastarbaiters".

Many of these workers are from my homeland, Tajikistan. After the collapse of the Soviet Union, Tajikistan was the hardest hit of the former republics. That fact is still evident today. Nearly half of Tajikistan's GDP comes from money sent home by migrant workers in Russia.

The abundance of workers from Tajikistan stems from the ease with which Tajiks can find employment in Russia. All that is required is medical insurance and a work permit.

So I pretended to be a migrant from Tajikistan in desperate need of a job. I found a guy named Firuz who worked at the Sadovod market where the biggest raid happened. He agreed to help me get a job as a guest worker.

He also told me what the police raid was like, saying that even he was taken to the police station, despite his Russian passport.

Police had taken everyone without asking questions, he said. When the detained workers arrived at the station by the busloads, policemen said anyone who did not want to go into the building could give them a bribe and leave.

Three people allegedly paid 5,000 rubles ($140) and left, as Firuz and other workers at the market later told me. I repeatedly called Moscow police to check these allegations but the media office refused to give me a reply.

Most of the migrants from Central Asia who were caught apparently were released the next day, as they were all working legally, and police had just neglected to check documents before detaining them. It seemed that the raids were more for show than anything else, a bid to show the public that authorities are taking action against illegal immigration.

Once I started my job at the market, I had three options: to become a sweeper, a porter or a vendor. I decided to be a porter because it meant more interaction with people. I had to find clients on my own, take their luggage and bring it where they wanted.

I got introduced to an elite porter, Sakhovat. I was shocked to discover he could earn 5,000-6,000 rubles (U.S. $170) a day. Most Russians with a higher education don't earn that much. In theory, Sakhovat could get up to 150,000 rubles a month (U.S. $4,500). The key to his success is that he was one of the first porters at Sadovod when it opened and he built up his own client base.

It was surprisingly difficult to get a job at the market without connections. My supervisor told me that if he had not known Firuz, he would never have hired me. During the interview, I did my best to be a Tajik, but I spoke Tajik with a thick Russian accent that was hard to disguise. I had spent all my 23 years in Russia and am considered Russian. Fortunately, those 23 years did not give me away.

I spent about $100 on a uniform, a permit and a trolley, then got to work. Unfortunately, my cover was blown and guards at the market figured out I was a journalist. I spent only two days there and earned just 500 rubles ($14).

I would have never thought that working as a simple porter at the market was so competitive and hard. But it was harder to find a person willing to pay for the service. I was wandering through the aisles, shouting offers of assistance, but nobody responded. It was a rough feeling: you're angry and aching, you feel cold, you want to sleep. You feel devastated.

When I came back empty-handed, Firuz started laughing at me. It was funny for him: a Muscovite with a higher education could not cut it as a porter. He told me that it took most migrants several weeks or months to start earning money.

He said: "I am a Russian citizen but nobody hires me because I am Tajik. I have a higher education here, but when they ask about my nationality and I answer honestly, they just hang up."

It must be said too that people at the market were really courteous to each other while I was there, sweepers, vendors, shoppers, porters, everyone. I didn't see anybody fighting or quarrelling. I asked about rights violations but Firuz couldn't recall any. The security guard worked well, punishing those who violated the market's rules.

Articles about my experiences appeared in the Moscow Times and also in Russian Reporter magazine. The piece was republished in Tajikistan and even in the Vietnamese press (lots of Vietnamese work in Russia as labor workers too). It was the first undercover report from the market which depicted a real migrant's life by a guy from Central Asia who spent all his life in Moscow.

While the debate on illegal migration dominated Moscow, I was able to see the situation from the perspective of the migrants, many of whom end up caught in the crossfire despite being here legally and just struggling to survive like everyone else.

If it was hard for me, what about the 17-year-old migrants from Central Asia who don't speak Russian, don't know anyone, who have no money or support? Perhaps we should think about them when we hear politicians calling for tighter restrictions on immigrants, or see nationalists staging rallies in Red Square.

The question of illegal migration in Moscow seems nonsense when the difference between a fake and original work permit is just $30. It is a question of prejudice.

Unfortunately, a guy from Central Asia is seen the same as illegal migrant, even if he has spent his whole life in Russia. The media sometimes ignites this prejudice.

According to the Russian science magazine Scepsis, for the last 10 years the image of undesirable migrants from Central Asia has been cultivated by journalists as an enemy or an interloper. Articles about migrants have been written with a negative focus -- crime, fraud, murder.

Migrants were blamed for coming to Russia, for taking jobs that "belong" to Russians and living in apartments where Russians should have lived.

But migrants themselves are just pieces on a big chess board. The Russian government needs a cheap workforce of migrants, and Tajikistan authorities need Russia because there are no jobs at home.

It's a question of mutual aid for two countries. Yet, as long as everybody continues to relate to migrants as mere pawns, the issue will never be resolved.

The views expressed in this article are Eradzh Nidoev's alone.

@highlight

Journalist Eradzh Nidoev pretended to be a migrant worker in a Moscow market

@highlight

He wanted to see what life was like for Tajik migrants after tension and violence in the Russian capital in 2013

@highlight

Nidoev says Russians need migrant workers and migrants need the jobs, so mutual respect is essential