(CNN) -- By 2023, hideously powerful technology companies like the Weyland Corporation will rule the world. At least that's the storyline in "Prometheus," Ridley Scott's much-anticipated prequel to "Aliens," which will be released next month.

"We can create cybernetic individuals who are indistinguishable from us," Peter Weyland, the hubristic CEO of the Weyland Corporation, boasts in a teaser for the film. "We are the gods now."

While the roguish Weyland might be an invention, Scott's imaginary 2023 is no longer pure science fiction. Even today, big tech companies like Google, Facebook and Apple mimic "the gods" in their acquisition of vast wealth and power.

Facebook, with its 900 million members (only India and China now have more residents), is on the brink of a $100-billion stock market launch that will be the largest in history. Co-founder and CEO Mark Zuckerberg sees this as just the beginning of his company's transformation of the world.

Zuckerberg, who Forbes ranked this year as the 9th most powerful person in the world, eventually wants to connect everybody -- all 8 billion human beings -- on the planet. And he wants Facebook to not only become the internet's operating system but also the platform upon which we do all our digital business.

Google, meanwhile, has become so powerful that it is now investing many millions of dollars not only in futuristic projects like virtual reality glasses and self-driving cars, but it is also proposing to finance space ships designed to mine nearby asteroids that will supposedly "add trillions of dollars to the global GDP."

Google has just got its first license to operate its self-driving cars, but will it need and apply for a similar license to finance the exploration of space in its pursuit of "human progress?"

How long, I wonder, before Google also gets into the lucrative business of building robots (or "cybernetic individuals," in the parlance of Weyland) which, one Silicon Valley utopian believes, should take all of our jobs in the future.

Then there is Apple, the world's most valuable company, whose products are already beginning to be manufactured in Foxconn's Chinese factories by intelligent robots.

Late last month, Apple's stock "soared" 10% after the Silicon Valley company announcing a record quarter in which it sold 35.1 million iPhones and earned an astonishing $39.2 billion in revenue.

With its massive reserves of capital, Apple's value is now greater than the GDP of Poland. But even though it has amassed the power and influence of a mid-sized economy and could, if it wished, singlehandedly fix the European financial crisis, Apple, like Weyland, seems to have forsaken its social obligations.

And so the disturbing vision of life in 2023 portrayed in "Prometheus" might not be quite as fictional as we would like.

While Apple, Google and Facebook might be evolving into the Weyland Corporation in terms of their godly wealth and power, these companies aren't returning much of their fortune back to society.

Google, for example, could soon be the subject of EU and US anti-trust investigations to determine if it is stymieing competition by illegally leveraging the vast power of its technologies and services -- a claim it denies.

Last month, the U.S. Federal Communications Commission released a disturbing report revealing there was an organized program within to Google to harvest private data such as user emails and passwords.

Facebook, meanwhile, has been playing an endless game of cat and mouse with members over its public use of their data. With products like "Timeline" and "Open Graph," Zuckerberg appears determined to erode privacy and package users as data products that add value to his corporation.

"You have only one identity," Zuckerberg once said. And, I'm afraid, the 27-year-old multi-billionaire wants to own each of our identities so that Facebook can become the dominant company of our big data age.

Then there is big tech's not-so-little tax problem. Taking advantage of industrial-age tax codes, these multinational giants are leveraging the digital realities of today's global economy to run rings around local tax collectors.

Since May 2010, The New York Times reports, the technology companies listed in the Standard & Poor's 500-stock index â€” a list of 71 leviathans including Apple, Google, Yahoo and Dell â€” paid worldwide cash taxes at a rate that, on average, was a third less than companies from other industries.

Apple insists it pays substantial taxes, but in a world still mostly deeply mired in recession, fiscal crisis and high unemployment, its sophisticated accounting practices are, to say the least, troubling.

Read Apple's response on its tax practices here

"Even among tech companies, Apple's rates are low," The New York Times notes in an article that spotlights the company's strategy of sidestepping some taxes.

From setting up central offices in low tax havens such as Nevada, Luxembourg and the British Virgin Islands, to its use of a complex tax structure known as "The Double Irish," Apple has relentlessly exploited legal tax loopholes.

While I can't exactly tell you how the movie "Prometheus" ends, I can confidently predict an unhappy real world ending if companies like Facebook, Google and Apple continue to amass such unnatural power and wealth.

Harvesting asteroids, creating a radically transparent virtual world state and replacing workers with intelligent robots are all very well, but unless our big tech companies recognize their social responsibilities, I fear that our real future could be as disturbing as the science fictional one presented in Ridley Scott's blockbuster.

â€¢ Follow @ajkeen on Twitter

The opinions expressed in this commentary are solely those of Andrew Keen

@highlight

Tech giants such as Google, Facebook and Apple increasingly resemble fictional Weyland Corporation depicted in Ridley Scott's "Prometheus," says Andrew Keen

@highlight

Keen: While their value exceeds the GDP of medium-sized countries, these companies display scant social concern

@highlight

Keen predicts an "unhappy ending" if firms like Google, Facebook and Apple "continue to amass such unnatural power and wealth."