Princeton, New Jersey (CNN) -- When baseball slugger Mark McGwire admitted he had used steroids in his record-breaking 1998 season, he recalled refusing to talk about the subject in his 2005 testimony to Congress.

"After all this time, I want to come clean," McGwire announced. "I was not in a position to do that five years ago in my congressional testimony, but now I feel an obligation to discuss this and to answer questions about it. I'll do that, and then I just want to help my team."

McGwire's admission come as the House Judiciary Committee has been investigating the problem of brain injuries to football players, following heated discussions October 28, when the committee aggressively questioned NFL officials to figure out why the league had done so little to curb this well-known problem.

Any government inquiry of this kind draws the familiar charge that politicians should stay out of the business of sports -- even though the NFL and NCAA have in fact responded to congressional pressure by instituting rules to protect players from brain damage.

Still, Texas Rep. Lamar Smith said, we "should also avoid the temptation to legislate in this area. Football -- like soccer, rugby and even basketball and baseball -- involves contact that can produce injuries. We cannot legislate the elimination of injuries from the games without eliminating the games themselves."

This is a familiar refrain. Back in 2005, when several committees investigated the use of steroids in baseball, numerous sports officials warned this was not an issue with which Congress should concern itself.

Yet insisting on a firewall between sports and politics ignores the long-standing relationship between these two parts of American society. At the state and local level, sports teams depend on government assistance. There have been a large number of public subsidies, ranging from appropriations for stadium construction to the placement of public transportation near stadiums to tax breaks which the sports industry has depended on for growth.

At the federal level, sports owners have also benefited from government. In 1922, the Supreme Court exempted baseball from the antitrust laws. As a result of this, baseball owners were allowed to maintain their monopoly, stifling efforts to launch other leagues and using the exemption to collude on limiting the salaries of players.

Some legislators introduced bills trying to overturn the decision, but Congress never passed them. When the Senate held hearings about the exemption in 1958, a number of famous players, including Mickey Mantle and Jackie Robinson, showed up to speak about how the "reserve clause" undermined the rights of players.

Congress refused to take any action. Free agency did not start until the 1980s. It was only in 1998 that Congress finally passed legislation declaring that some rules, such as restrictions on the movement of players from one team to another, were subject to antitrust laws.

Football has a political history of its own. According to the sports historian Richard Davies, the National Football League started a team in New Orleans in 1966, right after Rep. Hale Boggs and Sen. Russell Long of Louisiana helped push through legislation that exempted the NFL from antitrust laws so that there could be a merger with the successful American Football League.

When New York Rep. Emanuel Celler insisted on long hearings to decide whether this was permissible, Sen. Long, desperate for a team, short-circuited the legislative process by having the Senate pass a bill by acclamation and attaching it to important anti-inflation tax legislation.

The House, under pressure, agreed to the bill at the last minute. "We couldn't have merged if Congress hadn't passed the law," said NFL Commissioner Pete Rozelle. "And without a merger, we couldn't have had a Super Bowl. If we'd tried to do it on our own, the antitrust people would have challenged us sooner than later."

There is also a long history of congressional investigations into sports.

In 1960, the Senate conducted hearings about the influence of organized crime in professional boxing. Americans were shocked when former middleweight champion Jake LaMotta admitted that he had thrown a fight against Billy Fox in November 1947. Members of the mafia threatened to kill LaMotta, but he testified anyway.

During similar hearings in 1961, the boxer Rocky Marciano told legislators that "it seems absolutely essential that a federal czar be named to head the professional sport of boxing."

Many years later, in 2007, Congress looked into the pension and disability plans of the NFL after complaints by injured players that they were being denied coverage.

Congress has been willing to legislate. On October 9, 1996, President Clinton signed the Professional Boxing Safety Act into law, which defined minimum health and safety standards for the sport. The legislation aimed to strengthen the patchwork regulations used by states to monitor the sport.

But investigations usually don't produce legislation. In 2005, Congress failed to pass the Clean Sports Act or the Drug Free Sports Act in response to revelations of drug use. Even so, investigations do help raise public awareness about problems and create public pressure on the industry to reform.

"When there is not any regulation," said former heavyweight champion Evander Holyfield, "it can cause someone to lose their dream, their hopes...."

While some issues, such as the recent investigation into the college bowl system, are easy fodder for ridicule, others, such as brain damage to NFL players, show where the government has a legitimate role. After all, sports is big business, and the playing field is a workplace where regulations are needed.

Unfortunately, the sports leagues themselves have not taken an aggressive approach to dealing with this problem. In the same way that baseball owners understood that steroids produced more crowd-pleasing home runs, football owners know that the kind of hard-hitting football that creates injuries often brings crowds to their feet.

The government must help guide the industry toward better practices. There is a precedent for investigation. And sports has depended too much on government to now claim to be a free agent.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: McGwire steroids case reminds why congressional inquiry can be useful

@highlight

He says sports officials balk at oversight yet take government assistance

@highlight

Zelizer: Football head injury issue is a worthy subject for government investigation