The Supreme Court waded cautiously back into the larger debate over abortion on Wednesday.

A number of justices raised concerns about a Massachusetts state law preventing activists from crossing a 35-foot buffer zone around reproductive health clinics.

During an intense hour of oral arguments, Massachusetts officials said the issue was more about public safety and pedestrian access on local sidewalks.  Anti-abortion supporters countered their free speech rights were being violated.

What the high court decides in coming months could affect a broader range of free speech arenas -- over issues such as war, taxes, corporate bailouts and elections -- where the location of the message is often key.

"There was a considerable history of disturbances and blocking the [clinic] entrance," said Justice Ruth Bader Ginsburg of the Massachusetts case. "So the state is trying to say: We want to make sure that the entrance is not blocked, and the only way we can do that is to have a rule that applies to everyone. We can't screen people to know who will be well behaved and who will be disruptive."

But Justice Samuel Alito said the law was not content-neutral, since clinic workers can talk to patients inside the marked boundary, but not the protesters.

"This statute says that there is an exemption for employees of the facility if they are operating within the scope of their employment," he told the state's attorney. "And surely coming out and saying this is a safe facility [to enter] is within the scope of their employment. So how do you justify that? Forget about the conduct now, focus on the speech that's allowed. One can speak and say it's safe. The other cannot speak and say it is not safe."

Eleven such women's health clinics across Massachusetts are covered by the fixed buffer zones.

The current state law strengthened earlier restrictions that had created a floating 6-foot protective bubble around clinic patrons approaching the facility.

Abortion rights supporters said it was ineffective, since they claimed it led to blocked entrances and a gauntlet of protesters surrounding patients and staff.

Some past anti-abortion protests have turned violent in the United States.

The state's 2007 revised "selective exclusion law" makes it a crime for speakers other than clinic "employees or agents ... acting within the scope of their employment" to "enter or remain on a public way or sidewalk" within 35 feet of "a reproductive health care facility."

Anti-abortion activists say the law has kept them from effectively talking with patients approaching the clinic entrances.

At the Greater Boston Health Center, a clear yellow semicircle on the sidewalk surrounds the front entrance. One of the regular activists -- and lead plaintiff in the appeal -- is Eleanor McCullen, is a lifelong Catholic who generally spends mornings two days a week peacefully spreading her anti-abortion message.

With a large cross around her neck, the 77-year-old grandmother often uses a baby stroller as a prop, along with a portable DVD player with images of a fetal ultrasound.

On a recent day, she was seen standing at the edge of the buffer, handing out pamphlets and carrying a baby's knit cap.

Yet on Wednesday, McCullen was inside the courtroom to witness the pointed debate from the bench.

Her lawyer, Mark Rienzi, told the court: "A law that makes it illegal to even engage in consensual conversation, quiet conversation, on a public sidewalk, an act that makes that a criminal act for which Mrs. McCullen can go to prison, I think, is not permissible under the First Amendment."

Echoing the state's position, Justice Elena Kagan asked: "It's a little bit too hard to figure out what and what does not disrupt peace and order, so we're just going to say 25 feet around a funeral, or 25 feet around any facility, that that's never permissible?"

Justices Sonia Sotomayor and Stephen Breyer pointed out the high court's 2011 near-unanimous opinion favoring the right of the Westboro Baptist Church to loudly protest at the funerals of military service members killed in war, however hateful and disgusting their speech may be.

The court said even there, reasonable access regulations were necessary.

"I thought it was pretty important that the demonstrators were behind a hill somewhere and the police restricted where they could go," said Breyer, not too close to the funeral. "Many states have enacted similar laws, and I thought that's important."

Some justices worried the Massachusetts buffer was too large, and that other less restrictive means might be available and still ensure public safety.

"I'm a little bit hung up on why you need so much space," Kagan told state attorney Jennifer Grace Miller. "You know, 35 feet is a ways. ... That's a lot of space."

"Surely you could have a law against screaming and shouting within 35 feet or protesting within 35 feet. Isn't that more narrowly tailored?" said Justice Antonin Scalia. "What these people want to do is to speak quietly and in a friendly manner, not in a hostile manner, because that would frustrate their purpose, with the people going into the clinic."

Scalia called the buffer a "dead speech zone."

Justice Anthony Kennedy was especially animated, sharply questioning the views of the state and of the federal government in support of the buffer zones.

"Do you want me to write an opinion and say there's no free speech right to quietly converse on an issue of public importance?" he asked at one point. "In speech cases, when you address one problem," like public safety, "you have a duty to protect speech that's lawful."

Handicapping the outcome may be hard in this case because Chief Justice John Roberts-- generally an active questioner-- remained silent during the entire argument, and thus not revealing his views.

Justice Clarence Thomas-- who generally sides with the conservative bloc-- also said nothing Wednesday, as was his custom.

After arguments Massachusetts Attorney General Martha Coakley said the state law would apply "in other areas like in voting or in protest areas where the interests in making sure that we have public safety, we have an orderly ability for people to go about their business has been balanced, just the way we did it in this statute."

But McCullen told CNN her ability to counsel women who are walking inside the clinic was being impeded.

"I only get so far-- and they are listening because they don't really want to go in," she said. "They need somebody to care for them and I care. I truly care. But then when we get to the buffer zone I have to stop, and then they keep going and I lose. And one person lost-- one mother and one father that I cannot help-- is one too many."

Demonstrators have appeared regularly at clinics in Boston, Springfield, and Worcester and say they are unfairly singled out for exclusion on public property.

The last time the high court took a close look at the issue was in 2000, upholding Colorado's broad "no approach zone" regulations.

Similar to the earlier Massachusetts law, protesters were kept at least eight feet from anyone within 100 feet of any health care facility.

Municipalities in Montana, Florida, California and elsewhere have since enacted similar "fixed" and "floating" buffer zone laws for clinics.

The justices last month heard arguments in a separate appeal involving a longtime anti-war protester kept from spreading his message along a public right-of-way at Vandenberg Air Force Base in California.

The sidewalk outside the U.S. Supreme Court itself is the scene of daily anti-abortion protests sponsored by Bound4Life, where mostly young Christian adults stand silent wearing red tape across their mouths with the handwritten word "LIFE."

And next week's 41st anniversary of the Roe v. Wade high court ruling legalizing abortion will attract thousands of marchers on both sides of the issue outside the court, just across the street from the Capitol.

The Massachusetts case is McCullen v. Coakley (12-1168).

@highlight

Justices hear oral arguments on Massachusetts law restricting activists

@highlight

State officials say issue more about public safety than free speech rights

@highlight

Court decision could have broad impact on other issues that attract demonstrators