(CNN) -- Something was different in 2013. Unlike recent years, when some of the major events were powered by groups and movements -- think revolutions that seemed to materialize out of nowhere, public squares occupied without visible leadership -- this year, it was individuals who created the most unexpected or dramatic events.

Some of this year's crucial stories resulted from the interaction of individuals challenging institutions, organizations or the status quo.

Sometimes they failed miserably. Other times, they succeeded. But mostly they gave a shove to history, trying to knock it onto a different path.

These are my candidates for what defined 2013:

The spies got out-spied

Edward Snowden hadn't yet turned 30 when he threw back the curtain, exposing the astonishing scale of surveillance by the National Security Agency. While the NSA had its sights on other things, a single contractor in its midst triggered an earthquake.

Snowden left his NSA job with hundreds of thousands of documents, revealing how the NSA was gobbling up "meta-data," records of telephone calls and e-mails, even from world leaders and U.S. allies.

The revelations showed an almost omnipotent NSA, capable of learning any of our secrets. And yet, it bared an agency that could be embarrassingly bested by a single man.

To some a hero, to others a traitor, Snowden forced an examination of how far society is willing to allow the government to spy on people's lives. If Snowden didn't act, would we have slipped quickly and easily into an Orwellian state without knowing what our government had been doing?

A Pope more concerned with inequality than sexuality

In March, Catholic cardinals gathered in Rome to choose an Argentine priest as the new Pope, the first non-European pope in nearly 1,300 years. Pope Francis has emerged as the most innovative pope in living memory.

CNN Poll: Pope's approval rating sky high

He is challenging the mighty forces of tradition in the Church, wearing a benevolent smile while surely facing murmurs of dissent behind Vatican walls.

The Pope decried the Church's obsession with homosexuality, abortion and birth control, prodding Catholics to fight poverty and inequality instead. He has become an endless source of surprises, phoning his newspaperman to cancel his subscription, paying his hotel bill in person and refusing to move to the papal residence.

Can Pope Francis succeed in bringing lasting changes to one of the world's oldest, most conservative institutions? We will find out.

Struggling Iran pulls a rabbit out of the hat

The dispute with Iran over its nuclear weapons began a new chapter with the surprise election of Hassan Rouhani. The new Iranian President sharply shifted to conciliatory tones, but much doubt remains about whether that will result in real changes. Obama put the odds for a final deal at 50/50.

It is Rouhani's boss, Supreme Leader Ayatollah Ali Khamenei, who has the final say in Iran. Nothing happens without his approval, not even a change of tone. It is not clear he has decided to change the goals of Iran's nuclear program.

Almost two decades have passed since the United States and other countries started imposing sanctions on Iran, aiming to prevent what they believe -- and Iran denies -- is a nuclear weapons program.

Iran and the Washington-led world powers made an interim deal to slow some of Iran's progress for six months and roll back some sanctions. That created excitement in some quarters and consternation in others, especially because Iran appears to have found a way to continue enriching uranium even though the United Nations had specifically demanded it stop.

Who wins? Some would say Iran, thanks to Rouhani.

Obama scored self-goal with Obamacare rollout

When it comes to individuals challenging the status quo, the President of the United States is not exactly Everyman, but Barack Obama took on the system and then trampled himself in it.

The story might have been the political dysfunction and the government shutdown that left Americans disgusted with Washington. Obama seemed to be scoring points after standing firm against Republicans. What tripped him most painfully required no intervention from his critics. It was the disastrous rollout of the signature achievement of his presidency, the Affordable Care Act, better known as Obamacare.

When Americans stopped shaking their heads at the shutdown, they discovered the Obamacare rollout disaster unfolding. Obama's approval rating took a plunge, made steeper by his initial denial that there was a problem.

When a contrite Obama declared "That's on me," he found little disagreement.

In Syria, Obama fumbled and al-Assad stays in power

When 2012 drew to a close, we knew the suffering of the Syrian people was nowhere near its end. Who would have guessed that by the end of 2013, the Syrian regime would be strengthened?

After calling for Syrian President Bashar al-Assad to step down in the face of mounting deaths, Obama, along with much of the West, seemed to have no clear idea what to do next. He worried that the opposition fighting against his dictatorship would give rise to a new regime dominated by Islamist extremists. Obama drew a "red line," saying the use of chemical weapons by al-Assad would change his calculus.

Then al-Assad used chemical weapons, and Obama announced he had decided the United States had to intervene. Obama is not a natural risk-taker. When he decided to take action in Syria, he went out on a limb, but quickly he reversed course, afraid to challenge public opinion. He surprised everyone with the announcement that he would await congressional authorization.

The congressional green light looked doubtful when Secretary of State John Kerry off-handedly suggested intervention could be prevented if al-Assad surrendered his chemical weapons. Syria's ally Russia picked up the idea and launched into a diplomatic offensive that saved al-Assad from Western attack and saved Obama from political shame.

As Russia's Vladimir Putin made his victory lap, the Syrian people continued to endure relentless assault by al-Assad and his Lebanese ally, Hezbollah. The death count has continued to climb, and the winter weather is adding to the misery of Syria's civilians.

Putin outwitted Obama, and another dictator gets the last laugh.

As we look back on 2013, it's worth remembering that we are all not just witnesses; we are the protagonists of our time in history. Individuals can change history, for better or worse.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Some individuals made a huge impact by challenging the status quo

@highlight

Ghitis: If not for Edward Snowden, we wouldn't know about NSA's massive spying

@highlight

She says Pope Francis is challenging the mighty forces of Catholic tradition

@highlight

Ghitis: We are all not just witnesses; we are the protagonists of our own time