Islamabad, Pakistan (CNN) -- A massive car bomb tore through the heart of a bustling marketplace in Peshawar, Pakistan, Wednesday, killing at least 100 people -- including many women and children -- and injuring at least 200 others, officials said.

A vehicle packed with 150 kilograms (330 pounds) of explosives detonated at the Meena Bazaar, a labyrinth of shops popular with women. The impact destroyed buildings, burying people underneath the rubble, and sparked massive fires in the shops, mosques, and homes.

In a year of seemingly endless militant attacks in Pakistan, this was the deadliest. Those who survived described a narrow escape:

"I ducked quickly and when I looked up it was complete darkness," said Imdad. "I couldn't see anyone. The cars and the van were lying upside down."

Are you there? Send your photos and videos to iReport

Fareed Ullah, a student at a nearby mosque, was injured when he fell from the second floor as he tried to escape a fire ignited by the blast at the Meena Bazaar.

"We only saw a red blaze and nothing else," he said from his hospital bed. "My friends and I fell from the second floor. We didn't know where we were."

The remote-controlled detonation killed at least 100 people and injured as many as 200 others, hospital and government officials said. The deaths include 68 males and 32 females, including 10 children, the head of the main hospital in Peshawar said.

The car bomb left a 10-foot-wide crater, and the flames spread quickly through stores selling highly flammable fabric.

Residents and shopkeepers expressed outrage that militants were able to carry out the attack in broad daylight, the latest in a string of militant attacks targeting civilians in Peshawar.

"What kind of security alert is this? It was an explosives-packed car," a middle-aged shopkeeper at Meena Bazaar said. "Look at the mosque, it ceases to exist anymore. For God's sake, do something!"

"Increasing chaos" in Pakistan

The Peshawar car bombing was the deadliest terrorist attack on Pakistan since the October 2007 attack on a homecoming rally for former Prime Minister Benazir Bhutto. More than 135 people were killed in the suicide bombing in Karachi. Bhutto escaped harm, but she was assassinated two months later.

Wednesday's bombing happened hours after U.S. Secretary of State Hillary Clinton arrived in the Pakistani capital, Islamabad, to shore up U.S. support in nuclear-armed Pakistan, as it battles a rising Taliban insurgency.

Clinton condemned the strike, and dared the militants who were responsible to put down their arms and appeal to the Pakistani people through the political process.

"If the people behind the attacks were so sure of their beliefs, let them join the political process, let them come forth to the people and make their case that they don't want girls to go to school, that they want women to be kept back, that they believe they have all the answers," Clinton said in a joint news conference with her Pakistani counterpart in Islamabad.

"They know they are on the losing side of history but they are determined to take as many lives with them as their movement is finally exposed for the nihilistic, empty effort that it is," she said of those responsible for the car bombing in Peshawar.

Read more about Clinton's comments on blast

Pakistani Foreign Minister Shah Mahmood Qureshi also condemned the deadly attack, offering his condolences to the victims and their families and directly addressing the attackers.

"We will not buckle, we will fight you because we want stability and peace in Pakistan," Qureshi said. "You are on the run and we know that. We defeated you in Swat and Malakand. You think by attacking innocent people and lives you will shake our determination? No, sir, you will not."

The attack is the deadliest terrorist attack carried out in Peshawar, the capital of North West Frontier Province which has been the site of five militant strikes this month alone. A suicide car bombing on October 9 in Khyber Bazaar killed at least 49 people and injured 135 others.

And, just last Friday, a car bomb exploded outside a banquet hall in Peshawar, wounding at least 15 people.

The massive casualties in Wednesday's bombing prompted a state of emergency at Lady Reading Hospital in Peshawar, where most of the injured were treated. The hospital appealed to other medical centers -- and to the public -- to donate blood, hospital officials said.

North West Frontier Province is bearing the brunt of the massive civilian displacement from Pakistan's military offensive in the neighboring tribal region along the Afghan border. More than 180,000 civilians have fled to North West Frontier Province from the Federally Administered Tribal Areas, according to the United Nations.

Pakistan's military offensive is currently focused on South Waziristan, where the government believes the Pakistani Taliban has masterminded numerous attacks, including the October 10 siege of Pakistan's army headquarters in Rawalpindi, outside Islamabad.

That siege and other attacks outside the tribal region have raised concerns about the ability of government forces to maintain control.

President Obama signed legislation this month providing an additional $7.5 billion in assistance to Pakistan over the next five years. The White House is working on a comprehensive review of U.S. strategy in Pakistan and neighboring Afghanistan.

Peshawar is a strategic city for both Taliban militants and the U.S. and NATO military, who are waging a battle against Taliban militants in neighboring Afghanistan. Located about 100 miles (167 kilometers) northwest of the capital, Islamabad, Peshawar sits on the main supply route into Afghanistan and is the gateway to Pakistan's ungoverned tribal regions.

Journalists Nazar al Islam, Nasir Habib and CNN's Samson Desta and Reza Sayah contributed to this report.

@highlight

Explosion hits bustling marketplace in Peshawar killing at least 100 people

@highlight

10 children among those killed at Meena Bazaar

@highlight

More than 200 people injured in the blast which left a 10-foot-wide crater

@highlight

Incident comes as U.S. Secretary of State Hillary Clinton visits Islamabad