(CNN)Newly released al Qaeda documents, including letters to and from Osama bin Laden in the year or so before his May 2011 death, show an organization that understood it had severe problems resulting from the CIA drone program that was killing many of the group's leaders in Pakistan's tribal regions bordering Afghanistan.

As a result of this pressure, al Qaeda officials were seriously considering relocating elements of the organization to other countries such as Afghanistan or Iran. They also entered into ceasefire discussions through intermediaries with elements of Pakistan's intelligence service, ISI, although the documents suggest that nothing came of these discussions and there is no evidence in the documents indicating that the Pakistani government had any clue about bin Laden's location or presence in Pakistan.

CIA efforts to spy on the group and kill its leaders were so effective that in June 2010 an al Qaeda official urged bin Laden, "You should have fewer exchanges of correspondence with us during this period. Make the period between contacts longer and further apart. Take excessive caution and care, especially this year."

This was wise counsel. Within a few weeks of this letter being written, the CIA would track bin Laden's trusted courier to his longtime hideout in Abbottabad, Pakistan, and on May 1, 2011, a U.S. Navy SEAL operation ordered by President Barack Obama killed al Qaeda's leader.

The new al Qaeda documents are part of a trove of many thousands that the SEALs recovered at bin Laden's compound. Several were released during the Brooklyn trial last month of al Qaeda operative Abid Naseer.

Seventeen of these documents had also been released around the first anniversary of bin Laden's death. It's long past time for the government to release more of these thousands of captured documents -- with any necessary redactions for national security purposes -- as they help us to understand better what precipitated the decline and fall of the terrorist group that once dominated the attention of the world, just as ISIS does today.

The documents show how al Qaeda's 9/11 operation unleashed so much force against it, including the CIA drone program, that it had to hide in the shadows and couldn't pull off any successful operation in the West for many years before the death of bin Laden.

The documents demonstrate that almost a decade after 9/11 al Qaeda was struggling to get any kind of operation going against Western targets. In a report on "external operations," an al Qaeda official explained that a plot to attack the U.S. Embassy in Russia had fizzled and that despite sending al Qaeda members to the UK to hit "several targets" these operations had also come to nothing.

Al Qaeda had also sent "three brothers" on a terrorist mission to Denmark, a country that bin Laden loathed because of the publication by a Danish newspaper of cartoons of the Prophet Mohammed, but had "lost contact with them."

Given all the problems the group was having, an al Qaeda strategist suggested refocusing efforts on carrying out terrorist attacks using the "simplest things such as  household knives, gas tanks, fuel, diesel and others like airplanes, trains and cars as  killing tools."

2011: U.S. offers details about bin Laden raid

A major theme of the documents is how much punishment the CIA drone program was inflicting on al Qaeda. Al Qaeda officials considered moving to Nuristan, a remote mountainous region of eastern Afghanistan, or to other parts of Pakistan such as Sindh or Balochistan and even to Iran, which had been a key sanctuary for a number of al Qaeda's leaders after the fall of the Taliban in late 2001. Al Qaeda mulled opening an office in Iran, but "we backed off this idea due to financial costs and other considerations."

In a letter to bin Laden, an al Qaeda official provided a vivid description of the death by drone of Mustafa Yazid, then the No. 3 leader of the group, on the night of May 22, 2010.

The al Qaeda official wrote that Yazid was staying at the house of a "well-known" supporter of al Qaeda when a drone started making "distinctive loops that we all know and all the brothers have experienced. They all know that if a plane starts doing these turns, it is going to strike."

Yazid and his wife and three daughters and granddaughter were all killed in the drone strike, according to the official.

The official lamented that drones are "still circling our skies every day" and the only relief from them came when weather conditions worsened and there was cloud cover. The official wrote but "then they come back when the sky is clear."

Al Qaeda had tried to use jamming technology and to hack into the drones "but no result so far," according to the al Qaeda official.

Underlining al Qaeda's weakness, during the summer of 2010 the group was contemplating some kind of ceasefire with the Pakistani government and had entered into negotiations with it via intermediaries to explain that al Qaeda's battle was "primarily against the Americans. You became part of the battle when you sided with the Americans. If you were to leave us and our affairs alone, we would leave you alone."

Highlights of bin Laden documents released in 2012

The documents show that such a ceasefire was purely tactical rather than the beginning of some kind of rapprochement between al Qaeda and the Pakistanis. At one point an al Qaeda official referred to "bin Laden's call to jihad against the apostate government of Pakistan." Apostasy is a grave crime in Islam and punishable by death in the eyes of members of al Qaeda.

According to the documents, Pakistani intelligence officials "reached out to" al Qaeda through longtime jihadist sympathizers who had formerly held positions in the Pakistani intelligence agency, ISI, as well as the leaders of militant groups such as the Haqqani Taliban faction that have contacts with the ISI.

The documents suggest that nothing came of these discussions, and there is no evidence in them that the Pakistanis had any idea that bin Laden was in Pakistan or indeed was even alive.

Bergen in 2013: Bin Laden's life on the run

Moreover during the course of reporting the book "Manhunt," about the CIA's long search for bin Laden, I spoke to several senior U.S. officials who said that the U.S. intelligence community was covertly monitoring the communications of Pakistani army chief Ashfaq Parvez Kayani and ISI director Ahmed Shuja Pasha the night of the bin Laden raid and they were both surprised about him being in Abbottabad.

The documents did show one area of real success for al Qaeda, which was kidnapping for ransom, a tactic ISIS has been using so effectively.

In 2008, al Qaeda had captured Afghanistan's former ambassador to Pakistan, Abdul Khaliq Farahi. After two years of negotiations he was exchanged for $5 million. An al Qaeda official told bin Laden that some of this money would be a "gift" to him "from all the brothers." Bin Laden cautioned al Qaeda's leaders to be careful with the ransom money, as it might have to last the terrorist group several years.

The documents show that al Qaeda's leaders were in contact with Tayeb Agha, a close aide to Taliban leader Mullah Mohammed Omar. Agha has met with U.S. officials on a number of occasions to discuss peace negotiations.

2011: How U.S. forces killed Osama bin Laden

Far from the image of the isolated man in the cave that was prevalent before he was killed, the documents portray bin Laden as a hands-on manager of al Qaeda.

In a 10-page letter that bin Laden wrote in August 2010, he had reams of advice for the al Qaeda-aligned group Al-Shabaab in Somalia, ordering that the group not attack Sufi Muslims in Somalia and also suggesting a plan to assassinate the President of neighboring Uganda who had sent his troops to fight Al-Shabaab.

Bin Laden gave detailed notes about how Al-Shabaab could raise its agricultural output by using small dams for irrigation, and he suggested planting palm olive trees imported from Indonesia. He also advised Al-Shabaab against cutting down too many trees because it is "dangerous for the environment of the region." Bin Laden had lived in nearby Sudan in the mid-'90s, establishing a number of business and farming enterprises.

Bin Laden, something of a micromanager, told his top lieutenant to "send us the resumes of all the brothers who may be nominated now or in the future for important management positions." He also cautioned against sending any emails, including even encrypted ones, urging that hand-delivered letters were the only safe method of communication.

Bergen on 2012 documents: Seized documents show delusional leader and micromanager

Bin Laden also ordered that some of the tens of thousands of documents leaked by U.S. Army Pvt. Bradley Manning to WikiLeaks in 2010 be translated so that al Qaeda could better understand "the enemy's policies in the region." And he suggested that his lieutenants reach out to Ahmed Zaidan, an Al Jazeera reporter based in Pakistan who had interviewed bin Laden in the past, so that he could have plenty of time to prepare a report to mark the 10th anniversary of 9/11. Bin Laden said he didn't want Zaidan to interview any members of his family, but he told his team to get in touch with the reporter "promptly" to get a sense of the questions he wanted bin Laden to answer.

Bin Laden was killed four months before the 10th anniversary of 9/11. As the new al Qaeda documents make clear he died knowing that his dream of another terrorism spectacular in the West was just that: a dream. And the organization that he had founded was in deep trouble because of the CIA drone program.

Note: An earlier version of this article incorrectly said bin Laden had lived in Somalia.

@highlight

New documents show al Qaeda's desperate straits in Osama bin Laden's final years

@highlight

Peter Bergen: Drone program took severe toll; terror group unable to mount major operation