(CNN) -- Connie Lester was concerned when she heard that a deadly meningitis outbreak had been linked to spinal steroid injections. Anxiously watching the news for reports of cases in her home state of Kentucky, she debated whether to call her doctor.

"I thought, 'Let's just wait and see,' " she said. "Not anything you can do about it after it's already done."

Lester has been receiving steroid injections in her lower back for several months because of a herniated disk. The disk is pushing one of her nerves against a bone; friction between the two causes pain when she walks or stands for even short periods of time and can lead to numbness in her leg.

The Centers for Disease Control and Prevention says that as many as 14,000 patients may have received injections of a contaminated preservative-free steroid called methylprednisolone acetate.

Steroids are commonly injected in patients with back pain, according to Dr. Irene Wu with the UCLA Pain Management Center. They're also used to help with joint pain, arthritis or other inflammatory diseases.

Inflammation occurs when the body is trying to heal itself, like when your muscle tissue tears or something is irritating your cells. Unfortunately, inflammation can be self-perpetuating, leading to more inflammation and pain. Steroids help combat that effect, Wu says.

Injections are usually a last resort after patients have tried anti-inflammatory medications and physical therapy. The steroids are usually injected into the same location as epidurals. Most patients receive two or three shots over the course of a month.

"It depends on how bad the pain is," Wu said. "Eighty percent of people need more than one to feel better."

The contaminated steroids in the meningitis outbreak are linked to the Massachusetts-based New England Compounding Center. The CDC says 184 people in 12 states have been sickened with non-contagious meningitis as of Friday; 14 have died.

What is a compounding pharmacy?

Infections with steroid spinal injections are rare, says Dr. Nick Shamie, an associate professor of orthopedic surgery and neurosurgery at UCLA.
In his 12 years in practice, he says, he's had only two patients develop bacterial infections. These typically happen in people with a compromised immune system.

Woman sues over meningitis outbreak

Shamie says spinal steroid injections are only a temporary plan for patients.

"Unfortunately, most of these patients will continue suffering from their pain," he said. "The only thing that has helped is surgery."

Lester's spinal fusion surgery is set for November 7. She's scheduled to receive another spinal injection next week but may cancel because of the outbreak. She isn't sure if the type of steroid she receives is the same one she's seen in the news.

"I'm debating whether it's worth taking that risk," she said. "Not sure I need that additional worry right now."

CDC: Tests may not detect meningitis fungus

Are you worried about an upcoming procedure? Have you had one of these spinal injections? Share your story on our Facebook page.

CNN's Elizabeth Landau contributed to this story.

@highlight

CDC: 14,000 patients may have received contaminated spinal steroid injections

@highlight

Steroids are commonly injected in patients with back pain, doctor says

@highlight

Injections are last resort after anti-inflammatory medications and physical therapy