(CNN) -- It is one place where they wish that business wasn't booming.

"Our numbers are way up this year, I'm sad to say," said Francine Nichols, of Moberly, Missouri.

Nichols is the staff member in charge of the program at Moberly's three elementary schools that, each Friday, quietly provides food that will get children through the weekend. Some of you may have read the report in this column last November that explained the program, and the heart-wrenching need for it.

In Moberly, as in many school districts, free or reduced-priced breakfasts and lunches are served during the week to children whose families have hit rough economic times. But school officials in Moberly had noticed that some children were coming to school hungry on Monday mornings. There hadn't been enough food in their homes to feed them on Saturdays and Sundays -- or the parents, for whatever reason, had not been around to prepare meals.

So the backpack program was initiated. Using empty backpacks donated by local merchants, Nichols and volunteers at the Moberly elementary schools loaded the packs with enough food to get the boys and girls through the weekends. The backpacks were left in the school hallways by the end of the day on Fridays; the idea was that the children who needed them could pick them up to take home and not be embarrassed. The backpacks filled with food looked no different from the regular backpacks that children stored in the hallways between classes -- the hungry children could unobtrusively sling them over their shoulders and not feel a stigma about needing the help.

We are always reading reports about fluctuations in the national economy. The numbers can be confusing and contradictory. Are things getting a little better? Are there new downturns? The figures coming out of Washington and Wall Street are sometimes difficult for those of us who are not financial experts to decipher.

So, as Thanksgiving approaches this year, I thought I'd check back in Moberly. Last year I was told that 106 children needed the backpacks full of donated food to make it through the weekends. Moberly is just one small town in rural Missouri, but I thought by asking if that number had gone down, or up, or had stayed about the same, it could provide a different kind of indicator of how the economy is doing in daily-life terms.

I was hoping that the number of families whose elementary-school children didn't have enough food on the weekends had markedly dropped, signifying that good economic times were reappearing.

"The number has more than doubled," Francine Nichols said. "From the 106 children last year, it has grown to 287."

She knows the families who are in the program. The parents have to apply in order for the children to discreetly be provided the weekly backpacks of food. "We've had people apply who tell us that they've never had to do anything like this before," Nichols said. "They never thought that they'd be having to ask for help."

She, like the rest of us, has read the occasional optimistic story about the economy bouncing back. "I'd like to think it was happening," she said, "but we're seeing the opposite here. It takes a long time for a positive change in the economy to reach the people on the bottom. For the people we are asked to help, things have been bad for so long that they will be the last to feel the effects of any recovery."

Why has the number of children needing food for the weekends increased so dramatically?

"People who were just hanging on by their fingernails last year can't hang on any more," she said. "We have families who have had to buddy-up on their homes -- they may have had their own homes, but now two and three families are living in one home, to share expenses. People who were too proud to ask for help have said that now they have to swallow their pride and say they can't make it on their own. They say that it's more important to make sure their kids get fed."

At the Central Missouri Food Bank in Columbia, Missouri, which provides much of the food for the backpack program in Moberly's schools, the executive director, Peggy Kirkpatrick, said that Nichols's observations were accurate, and that the continuing hard times are not limited to Moberly.

"I've been doing this for eighteen-and-a-half years," Kirkpatrick said. "I have never seen the need so high."

At this time last year, she said, her food bank was providing help to 3,700 children at 80 schools in her part of Missouri. This year, she said, the number is 6,300 children in 112 schools.

"We always felt we were recession-proof around here," she said. After all, Missouri is part of America's breadbasket. "But whatever recovery there is hasn't gotten to the heartland yet."

She said a man came in recently who had at one time been a donor to her food bank. "He dropped his head," she said. "He said, 'I have been giving to your program for years. But I haven't had a job for 18 months. I'm here as a last resort to ask for your help. I need to feed my kids.'"

In Moberly, the superintendent of schools, Mark Penny, told me that his fondest dream would be if the number of children requiring the backpacks of food each Friday would drop to zero.

"It really affects the learning environment when a child comes to school so hungry after the weekend," he said. "How can you concentrate on trying to learn when your mind is on where your next meal is coming from?"

So, as another Thanksgiving approaches, the efforts go on. I asked Peggy Kirkpatrick how she and her staff at the food bank deal with the continuing need.

"You're asking a lady who prays all the time," she said. "I believe that God will provide, and I believe in the goodness of people."

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Children whose families need food are helped discreetly in Moberly, Missouri

@highlight

Bob Greene says the number of kids picking up backpacks of food has more than doubled

@highlight

Some may talk of an economic rebound, but it doesn't feel that way in Moberly, he says