San Diego, California (CNN) -- The Obama administration needs an air traffic controller to manage its domestic policy agenda. The items are starting to pile up on the runway.

Move over, health care. Next up: immigration.

It wasn't exactly a graceful transition. In fact, at first, it looked like bad timing that tens of thousands of protesters descended on Washington to demand comprehensive immigration reform on the same day that Congress was voting on a bill that overhauled the health care system. You had to wonder: What if more than 100,000 people marched on Washington, and no one noticed?

Actually, even with everything else going on that day, plenty of people noticed the return on the national agenda of one of the most emotional and contentious issues in America.

Immigration reform advocates have their eye on the calendar. In October, Rep. Luis Gutierrez, D-Illinois, a major proponent of comprehensive immigration reform, said during an interview on National Public Radio that the immigration debate would have to be reopened by March in order to get a bill passed before the November midterm elections.

Ironically, the fact that the debates over health care and immigration overlapped actually worked out well for the proponents of immigration reform. It gave members of the Congressional Hispanic Caucus additional leverage to pressure President Obama into declaring his support for a comprehensive immigration reform bill that is about to be introduced by Sens. Chuck Schumer, D-New York, and Lindsey Graham, R-South Carolina.

The president needed a push. Liberals are loath to admit it, but Obama has been asleep at the switch when it comes to keeping his campaign promise to pursue immigration reform. And it isn't just -- as his defenders say -- because he was preoccupied with the economy and health care.

The truth is, Obama never connected with the immigration issue with the same degree of passion with which he connected with other issues like health care reform, education reform, even climate change. If the protesters hadn't gone to Washington and forced his hand, Obama would have simply gone on to education or the economy and put immigration reform on the back burner.

Now, thanks to the march, and other rallies planned around the country in April, Obama has gotten the message that immigration reform won't wait any longer.

It certainly won't wait until after the November election, as Sen. Robert Menendez, D-New Jersey, has suggested. Menendez is obviously trying to be a good Democrat, trying to spare his colleagues and his party any more legislative drama. But he's not looking out for the best interests of the immigration reform movement. He must suspect Republicans are likely to make huge gains in November, especially after the health care vote.

The time to act is now. The legislative puzzle will only get more complicated when a new Congress is seated.

Some liberals want the immigration reform movement to be patient. There is nothing new there. Some on the left said the same thing during the civil rights movement. In this case, those who want to reform the immigration system have been waiting patiently since September 2001, when President George W. Bush first suggested comprehensive immigration reform.

And the longer they wait, the more complicated things get. The inaction remains the same. The only thing that changes is the narrative.

First they're told that Congress can't fix a system that both sides acknowledge is broken in good economic times because there are too many immigrants here and those kinds of population swings only exacerbate the anxiety that many Americans feel about changing demographics.

Then the economy goes sour, and they're told Congress can't act now because unemployment is too high and Americans have developed a new anxiety -- over their own economic instability.

Reformers figured out in a hurry that they were being played and that Congress never intended to deal with this issue. It's just too hard.

Just like health care reform was too hard? Personally, I believe Democrats made a colossal mistake by approving a radical upheaval of the nation's health care system and then compounded that error with all the shenanigans involved.

Nonetheless, I have to admit that it was impressive to see a group of lawmakers in either party work up the passion and courage to disregard the polls and actually do what they thought was right in the face of taunts, slurs, voter contempt and thousands of e-mails and phone calls from angry constituents.

Sadly, that kind of leadership is something you don't see much in an institution like Congress, which is usually too risk-averse for its own good. Whether the issue is gay marriage on the left or fixing Social Security on the right, moral courage is scarce on the Potomac.

Recently, there was a rare sighting. There needs to be another.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

As Congress voted on health care, tens of thousands marched for immigration reform

@highlight

Ruben Navarrette says Democrats showed moral courage in health care bill push

@highlight

He says immigration is a cause that can't wait

@highlight

He says system is broken and Congress should act now, not wait for better economy