Dongguan, China (CNN) -- They built it, but the shoppers didn't come.

New South China Mall in Guangdong Province opened in 2005. With 5 million square feet of shopping area, the mall can accommodate 2,350 stores, making it the largest shopping center in the world in terms of leasable space -- more than twice the size of Mall of America, the biggest shopping center in the United States.

At the outdoor plaza, hundreds of palm-trees blend with a replica Arc de Triomphe, a giant Egyptian sphinx, fountains and long-stretching canals with gondolas.

Only problem is, the mall is virtually deserted. Despite the bombastic design and grand plans, only a handful of stores are occupied. "Most of it empty, with little consumer traffic and a high vacancy rate," according to a report last year by Emporis, a global building data firm. "It has been classified as a 'dead mall.'"

Walking among shattered shops -- its dusty corridors and escalators covered in soiled sheets -- is a walk through a ghost mall. Rubbish piles up along the sides, paint is coming off the walls and store signs and advertisements have faded.

The mall's indoor amusement park, staff lay half asleep over counters or kill time chatting with each other while the 1,814-foot rollercoaster roars above.

Opened for the public in 2005, developers expected to attract some 100,000 visitors a day. But eight years later, the few people that visit the mall today typically hang out at the American fast food restaurants near the entrance or at the IMAX cinema outside the mall. Some parents bring their children to the Teletubbies Edutainment Center.

Part of the problem is location. Dongguan is a factory town and most of its almost 10 million inhabitants are migrant workers struggling to make ends meet. "People coming here to work in factories don't have the time or the money for shopping or the rollercoaster," said a migrant worker in his 20s, surnamed Xiao, who works at the mall.

The deserted mall is also a symbol of China's rapid urbanization and runaway investment in real estate projects, where massive development projects have been given the go ahead without proper marketing and business research.

"To me, many of these projects are a result of easy access to capital and a combination of wishful thinking and speculative behavior rather than rational business calculations," said Victor Teo, assistant professor at the University of Hong Kong.

"This mall is not the only one that is like that. Elsewhere in China there is the phenomenon of 'Ghost Towns', that is to say infrastructure projects, both residential and commercial, with no takers."

The credit boom of post-financial crisis stimulus has resulted in a proliferation of empty commercial developments and apartments built on rampant speculation. Yet why is the Chinese economy still moving at a brisk 7% to 8% growth rate?

"What China did in the stimulus credit boom is create a lot of `ghost cities': projects without a strong commercial foundation, and projects that didn't get done," wrote Jonathan Anderson in a research note entitled "Hurray for Ghost Cities" from Emerging Advisors Group last month. "What happens next?

"In most of the economy ... nothing. You haven't created a lot of new productive capacity; you're not driving down profits and returns in manufacturing and services, and you've left plenty of room for a rebound in the market-oriented property space.

"Rather, for all intents and purposes you just took the money and poured it down a black hole," Anderson wrote. And the Chinese banking system "has surprisingly little trouble absorbing that bad debt."

But while the macroeconomic juggernaut of China marches on, there remain regional areas of woe. Dongguan is facing mounting problems as factories close down and manufacturing moves to other cities in China and abroad which offer cheaper labor.

Still, the mall has plans to boost the number of tenants, said Ye Ji Ning, head of New South China Mall's investment unit. He claims the mall has a 20% occupancy rate measured by commercial area, although Ye declined to give specifics when challenged on that number. The company's goal is to increase occupancy to 80% in 2013, he said.

"From March onwards we will have big promotional activities in order to reach our new leasing targets," Ye said.

It's not the first time the owners try to blow life into the sleeping giant. The mall was initially headed by Dongguan native Alex Hu Guirong, who became a billionaire in the instant noodle business, and later sold to the Founders Group, a conglomerate set up by Peking University.

In a 2007 relaunch, the mall changed name from "South China Mall" to "New South China Mall, Living City" and a revitalization plan was drawn up. But after the relaunch, neither shoppers nor tenants came.

@highlight

The New South China Mall in Guangdong Province is the world's largest mall

@highlight

But since its opening in 2005, few tenants and customers have come to the store

@highlight

"Most of it empty, with little consumer traffic and a high vacancy rate ... a 'dead mall'"

@highlight

China littered with"ghost towns," empty commercial spaces built in speculative boom