Health officials say they have made an important discovery in the mystery surrounding the deaths of 64 children in Cambodia.

The Institut Pasteur in Cambodia tested samples taken from 24 patients and found 15 had tested positive for Enterovirus Type 71 -- a common cause of hand, foot and mouth disease that can also cause severe neurologic complications, mainly in children.

"These results now give a good explanation to this outbreak," Dr. Philippe Buchy, head of the institute's virology unit, said in an e-mail. "We will get more results hopefully by next Tuesday or Wednesday."

But an official with the World Health Organization cautioned that the outbreak has not been fully solved, and more analysis is needed.

Outbreaks "occur periodically in the Asia-Pacific region," according to the Centers for Disease Control and Prevention.  Brunei had its first major outbreak in 2006.  China had an outbreak in 2008.

Though the detection of EV71 in Cambodia is significant, there may be other factors, said Dr. Beat Richner of Kantha Bopha hospitals.

Over the past three months, 66 children -- between 2 and 3 years old -- were admitted to Kantha Bopha facilities. All but two died mysteriously after suffering severe neurological and respiratory complications, Richner said.

In their last hours of their life, the children suffered a "total destruction of the alveola(e) in the lungs," Richner said.

"We have now to see what really is causing the deadly pulmonary complication and see if a toxic factor is playing a role too," he said.

Investigators probe mystery disease killing Cambodian children

The positive test for EV71 does not particularly help in the treatment of the illness, as there is no effective antiviral treatment for severe EV71 infections, and no vaccine is available.

In milder cases, EV71 can cause coldlike symptoms, diarrhea and sores on the hands, feet and mouth, according to the journal Genetic Vaccines and Therapy.

But more severe cases can cause fluid to accumulate on the brain, resulting in polio-like paralysis and death.

Adults' well-developed immune systems usually can fend off the virus, but children are vulnerable to it, according to the CDC.

Richner said the patients suffered from encephalitis, which is the inflammation of the brain.

On Sunday, a World Health Organization (WHO) representative in Cambodia warned the new discovery "does not mean we have solved the problem of the undiagnosed cases. A lot more analysis is needed, and further laboratory investigations need to be done."

Richner criticized WHO for previously making statements to the media "without being clear on the facts," the hospital official said in his statement Sunday.

"WHO was telling whole the world: New mystery killer disease in Cambodia! This was causing unnecessary panic in Cambodia," Richter wrote.

Richner has said the number of cases affected by the mysterious disease is relatively low -- 34 cases in June, compared with the 75,000 sick children at Kantha Bopha's outpatient clinics and 16,000 hospitalized kids.

But Pieter van Maaren with the WHO in Cambodia rejected suggestions that his organization caused any kind of panic.  He said Richner was the one who stated, in a letter to the government, that the situation in Cambodia was "most severe."

"WHO has not made any statement about the disease, other than what we issued in the joint press release with the Ministry of Health," van Maaren said.

The ministry reported the outbreak to WHO through the International Health Regulations, which 194 nations are parties to, van Maaren said.  "Since this event fitted the criteria of being an event where the underlying agent, disease or mode of transmission is not identified at the time, WHO is obliged to communicate information to other member states."

EV71 was first isolated in California in 1969, according to the CDC.

Mystery illnesses: A mother's painful quest for answers

@highlight

WHO denies causing panic

@highlight

Hospital officials: At least 64 children have been killed; two have survived

@highlight

15 of the 24 patients screened test positive for Enterovirus Type 71

@highlight

The outbreak has not been fully solved, a WHO official says