Moscow (CNN) -- Mikhail Gorbachev, the last Soviet leader, called Wednesday for new parliamentary elections in Russia over concerns about vote fraud.

"Mikhail Gorbachev is very concerned about how the situation in Russia is developing," spokesman Pavel Palezhchenko told CNN. "People don't believe that the will of the people is reflected in the results."

He confirmed a report by the Russian news agency Interfax, which quoted the former Communist party general secretary as saying the elections were unfair and new elections were needed.

Demonstrators have been protesting against what they describe as electoral fraud in Sunday's national vote, which kept Russian Prime Minister Vladimir Putin's party in power but significantly decreased the number of seats it holds in Parliament.

Opponents of Putin vowed to continue protesting the election results despite the arrests of at least 250 demonstrators Tuesday.

However, a planned opposition rally in Moscow failed to materialize Wednesday, with a heavy security presence in the square where thousands of demonstrators were expected to march, but no visible protesters.

Organizers had expected about 2,000 people for the demonstration, they said earlier Wednesday.

Rights group Amnesty International said in a statement that Russian authorities "must halt police mistreatment of election protesters, journalists and detainees" before further planned rallies.

Nearly 16,000 people have already said on Facebook they will demonstrate in Moscow on Saturday, which would be one of the largest opposition protests in the Russian capital in years.

Amnesty said more than 1,000 people, including journalists, had reportedly been detained following election protests, of whom possibly more than 100 remain in detention.

It had received numerous reports of mistreatment of detainees and beatings of peaceful protesters by police, the group said, with some denied medical treatment.

"The scale of arrests has not been in any way justified," said John Dalhuisen, Amnesty's deputy director for Europe and Central Asia. "We fear that the Russian police are simply quashing opposition protest, no matter how peaceful."

Some protesters at opposition rallies have been arrested "simply for shouting 'Freedom' or 'We need another Russia,'" he said, while pro-government supporters gathered in the same location have been left untouched.

Boris Nemtsov, a former deputy prime minister turned vocal government opponent, told CNN he was among those detained at a rally Tuesday.

Putin's United Russia party held a separate demonstration. Police said there were about 8,000 people there.

Tuesday's anti-Putin protests drew much smaller crowds than a similar rally in Moscow Monday, where thousands of demonstrators turned out for an event state news agency RIA Novosti described as the largest opposition demonstration in years.

Protesters Tuesday were met with a firm response from security forces, who dispersed many and made arrests.

But some analysts said the presence of protesters was a significant sign that could prove a turning point in Russian politics.

"This isn't a surprise that the party got fewer votes. I think the real surprise are the number of people who went out on the street," said Toby Gati, a senior international adviser at the Akin Gump Strauss Hauer & Feld firm.

As simmering anger over allegations of official corruption and economic stagnation appear to be boiling over. Putin has promised to make changes, including reshuffling his Cabinet. He said the losses his party suffered in Sunday's elections were inevitable.

"They are unavoidable for any political power, especially a political power that has held the responsibility for the state of a country for some time," he said after results were announced.

One observer said Sunday's election results, which left United Russia with a slim majority in the 450-seat house, signal that the leader's grip on power was weakening.

"Whatever else they reveal, Sunday's results undercut the image, common in the West, of Putin's regime as an effective authoritarian state," Daniel Treisman, professor of political science at the University of California, Los Angeles, wrote in a column for CNN. "In fact, it is a regime that cannot even steal an election decisively."

But Matthew Rojansky, deputy director of the Russia and Eurasia Program at the Carnegie Endowment, cautioned that this week's protests were fueled by the frustrations of a "liberal fringe," not the majority of the population.

"The bulk of Russians... still have negative memories of the last time a government went down. They're not terribly interested in feeding chaos," he said. "It's not the Arab Spring on the streets of Moscow."

A preliminary report from the Organization for Security and Cooperation in Europe on Sunday's election said some political parties had been prevented from running and the vote was "slanted in favor of the ruling party."

A draft report by the organization's election-observer mission details alleged attempts to stuff ballot boxes, manipulate voter lists and harass election monitors. The group, which monitors and promotes democracy and human rights, cited the lack of an independent body running the election or impartial news media.

And there was "undue interference of state authorities" in the vote, the 56-nation organization said in a statement.

Putin's United Russia party will have 238 seats, down from more than 300 in the outgoing Parliament, or Duma, Central Election Commission head Vladimir Churov announced, with 99.99% of ballots counted. Meanwhile, the Communist Party will have 92 seats, A Just Russia will have 64, and the Liberal Democrats will have 56, Churov said.

CNN's Phil Black contributed to this report from Moscow; Stephanie Halasz and Matthew Chance reported from London; Catherine E. Shoichet reported from Atlanta.

@highlight

NEW: Russia must stop "mistreatment" of peaceful protesters, rights group Amnesty says

@highlight

An opposition rally in Moscow fails to materialize but police are out in force

@highlight

Mikhail Gorbachev calls elections unfair, a Russian report says

@highlight

Demonstrators protest election results, which returned Vladimir Putin's party to power