(CNN) -- For 16 glorious years, I taught 11th-graders at a magnet high school in Miami. For me, teaching wasn't about making a living. It was my life.

Nothing made me happier or more content than standing in front of a classroom and sharing the works of writers such as Shakespeare, Chaucer, Jack Kerouac, Tupac Shakur and Gwendolyn Brooks and watching my students "catch" my passion for language and literature.

I loved watching these 15- and 16-year-olds grapple with their first major life decisions -- future careers, relationships, where to live, which colleges to attend, what to study-- at the same moment they're learning to drive and getting their first jobs and experimenting with identity and independence.

There wasn't a day when I didn't feel privileged to be part of their metamorphoses and grateful for the chance to affect their lives.

My classroom was my sanctuary, so on the day before Thanksgiving in 2006 when I was diagnosed with an incurable form of brain cancer at 34 and told I had less than a year to live, I did what I always did. I went to school. I needed my students to know that I trusted them enough to share life's most sacrosanct passage. Death.

They, in turn, helped me to live in the moment and spend whatever time I had left living well. For six years, the only time I wasn't in class was when I was undergoing brain surgery. I never avoided the topic of my cancer, glioblastoma multiforme, with my students, but it was not something I dwelled on, nor did they.

I covered my bald, lacerated head with a woolen hat and scheduled chemotherapy around my classes, and I got so good at being sick that I could run to the bathroom, heave into the toilet, flush, brush my teeth and fly back to class in under three minutes. They pretended not to notice. During that time, I even won "Teacher of the Year" for my region. I was grateful for every breath and felt as if I could live that way forever.

Then, two summers ago, the tumor in my head decided to act up. I was playing pool with a friend when I was struck with a catastrophic seizure that left me crippled and mostly blind. After two months of physical therapy and a grim prognosis for improvement, I was forced to face that I could no longer be the teacher I once was and I tendered my resignation.

The cancer had finally succeeded in taking me out of the classroom, but I wasn't ready to let it take me out of the game. I wasn't afraid to die. I was afraid of living without a purpose.

To paraphrase Nietzsche, a person who has a why to live can always find a how. My "why" had always been my students. I just needed to find a new "how." Since I no longer had a classroom for them to come to me, I decided that I would go to them.

In September of 2012, I posted my plan on Facebook. I said I wanted to spend whatever time I had left visiting with former students. My purpose was to have a chance to see firsthand how my kids were faring and to witness how, if at all, I had helped shape their young lives. It was an opportunity that few people ever get, but many, and particularly teachers, would covet.

Within hours of posting, I had invitations from students in more than 50 cities across the country. In early November, I set off on my journey, traveling across America by bus, by train, just me and my red-tipped cane.

Over the next three months, I traveled more than 8,000 miles from Miami to New York, to America's heartland and San Francisco's Golden Gate, visiting hundreds of my former students along the way. I had hoped I would discover that I'd instilled in at least some of them a lasting love of books and literature, and a deep curiosity about the world. But what my trip taught me was something even more gratifying.

What I learned from my travels was that my students had grown up to be kind and caring people.

People who picked me up when I fell over curbs, read to me from books I could no longer see, and cut my food when I could not grasp a knife. They shared with me their deepest secrets, introduced me to their families and friends, sang to me my favorite songs and recited my favorite poetry.

As I had hoped, they recalled favorite lessons and books from class, but, to my great surprise, it was our personal time together that seemed to have meant the most to them. Those brief, intimate interludes between lessons when we shared heartaches and vulnerabilities and victories were the times my students remembered.

And it was through them I realized that those very human moments, when we connected on a deep and personal level, were what made my life feel so rich, then and now. My students had taught me the greatest lesson of all. They taught me that what matters is not so much about what we learn in class, but what we feel in our hearts.

I am a pragmatic man. I know there is no reason I should still be alive. The cancer never lets me forget that it and not I will ultimately win this battle of wills. I know the disease will have its way with me, and sooner, rather than later.

My limbs are withering and my memory is fading. Yet as my world dims from the tumor growing in my head, I see ever more clearly the gifts the promise of an early death has brought.

My travels are done, but my students are never more than a phone call or an e-mail or a Facebook message away. And from the lessons I learned on the road, I, to borrow from the great Lou Gehrig, will die feeling like the luckiest man on Earth.

The opinions expressed in this commentary are solely those of David Menasche.

@highlight

David Menasche: I taught 11th grade for 16 years; teaching was my life and made me happy

@highlight

Menasche: After being diagnosed with brain cancer, my classroom was my sanctuary

@highlight

He traveled around the country to reconnect with former students, who grew up kind

@highlight

Menasche: To borrow from the great Lou Gehrig, I will die feeling like the luckiest man