(CNN) -- A series of 30-year-old television interviews doesn't sound like promising movie material.

Frank Langella gives "a heavyweight performance" as Richard Nixon, says Tom Charity.

What's more, those who have watched all 20-plus hours of the David Frost-Richard Nixon conversations, which form the center of "Frost/Nixon," recently report that they're overwhelmingly dry and dull, with the ex-president ably stonewalling questions that were not to his liking and indulging in elaborate self-justification on those that were.

Of course, that's not what we remember. On the last day of 12 interview sessions, as had been agreed, British journalist Frost finally broached Watergate. This was always going to be the make-or-break moment. And to everyone's astonishment, it was Nixon who broke.

Those fascinatingly unexpurgated five minutes of presidential floundering in the spring of 1977 weighed more than all the hours of explication that preceded them. At last, Tricky Dick admitted misdeeds -- not illegality as such, because, he claimed, the president cannot break the law. That exchange made Frost's reputation and sealed Nixon's public ignominy. (Some would argue that today such a sentiment is official government policy.)

Can you build a movie on five revelatory minutes? If you're Peter Morgan, the answer is yes. The British playwright and screenwriter has a thing about mismatched power couples: the relationships between Tony Blair and Elizabeth II in "The Queen"; a young Scottish medic and Ugandan President Idi Amin in "The Last King of Scotland"; and between Anne Boleyn and Henry VIII in "The Other Boleyn Girl," to name just his most recent credits.

Morgan seems both awed and appalled by these power-mongers, locked in the solitary confinement that political leadership entails -- though his instinct is always to bring them down to earth, to find some common ground, however fleeting it may be.

Interviews often are described as a courtship or seduction, but this one was more of a cross-examination. "A duel," Nixon calls it. In a sense it's the trial he never faced. The entire country would be his jury.

Much of the movie is designed to show us how the self-appointed prosecutor was ill-equipped for the task at hand: a playboy British comedian-turned-TV chat show host Down Under, more accustomed to trading quips with the Bee Gees than grilling presidents. Frost was a lightweight -- that's one of the reasons Nixon and his people agreed to the interview. (There were $600,000 more -- a landmark in checkbook journalism that director Ron Howard doesn't lose much sleep over.)

Neither actor goes for a full-on impersonation. Michael Sheen -- Tony Blair in "The Queen" -- actually dials down Frost's distinctive nasal drone, but suggests how this congenial suck-up coasted on his blow-dried charm, rakish sideburns and unrealistic self-confidence. Frost may be out of his depth, but he's not about to let it cramp his style; he's delighted when the ex-president admires his slip-on Italian shoes.

As Nixon, Frank Langella (like Sheen a holdover from the award-winning Broadway production) is suitably hunched and guttural, but more patrician and less jowly, than the real McCoy. Even so, it's a heavyweight performance. This Nixon is full of pride and fury, cerebral and rigorous but fatally hungry for exoneration, or, failing that (though he never quite admits it), forgiveness.

Brash and brazen in comparison with "The Queen," Morgan's script doesn't stop explaining itself and talking itself up, though what it all boils down to is rather less than meets the eye. At one point, a drunken wake-up call from Nixon finally kicks Frost into doing some hard journalism, but this a figment of the screenwriter's overly tidy creative imagination. iReport.com: Share reviews of 'Frost/Nixon'

But Morgan is rock solid when it comes to structure. It's a compelling account, shrewdly bolstered with lively actors in both corners of the ring: Sam Rockwell, Matthew Macfadyen, Rebecca Hall and Oliver Platt in Frost's camp; Toby Jones and Kevin Bacon attending to the president. Jones steals his every scene as the bald germophobe and legendary agent Swifty Lazar, a neat counterpoint to his turn as Karl Rove in "W."

"Frost/Nixon" doesn't have much to say about the disgraced president that Oliver Stone, for one, hasn't already explored in more depth, but by the last taping, in its glib and reductionist way, it works like a charm. Or better yet, like television. Which, finally, is a compliment.

"Frost/Nixon" runs 122 minutes and is rated R. For Entertainment Weekly's take, click here.

@highlight

"Frost/Nixon" features great performances by Frank Langella, Michael Sheen

@highlight

Film is dramatization of David Frost's 1977 interviews with ex-President Nixon

@highlight

Though movie is sometimes glib, acting raises it to a high level