(CNN) -- "I consider the people of New York my patients," acting New York Health Commissioner Howard Zucker said this week as he cited health-related reasons for recommending New York Governor Andrew Cuomo ban hydraulic fracturing, or "fracking," to develop natural gas resources in the state. New York's environmental conservation commissioner joined in with the recommendation, which the governor quickly accepted.

But if New York's taxpayers are indeed Zucker's patients, they should consider suing him for malpractice, because the new ban on hydraulic fracturing in New York has nothing to do with public health or good science. Instead, it's an anti-scientific, political decision that will harm the country as it panders to far-left environmentalists.

New York has become the first state with commercial gas reserves to ban a practice that has revolutionized the U.S. energy industry. Fracking injects sand water and small amounts of chemicals into deep oil- and gas-containing formations, cracking the rocks and allowing the trapped gas and oil to be recovered. Hydraulic fracturing has saved Americans billions of dollars, contributed to reduced U.S. carbon dioxide emissions and greatly bolstered the U.S. geopolitical position and America's energy security.

Frustration with this ill-considered ban isn't just partisan warfare. While my own politics are conservative, I am not reflexively hostile to alternative energy. Indeed, I have worked with both Republican and Democratic politicians and groups on energy and environmental issues. (I recently co-authored a report with former Democratic Senate Energy Committee Chairman Jeff Bingaman on smart ways to cost-effectively boost renewable energy, and have also worked on joint projects promoting sustained support for energy research and development with current Energy Secretary Ernest Moniz when he was at MIT).

However, I am reflexively hostile to deception, especially when undertaken by people who cloak themselves in the mantle of science. And that's exactly what is happening here.

While science is always a subject of continuing inquiry, the strong consensus of research on hydraulic fracturing is that overall, it is good for the environment, the economy and our geopolitical position. The United States has seen dramatic reductions in national carbon dioxide emissions largely as a result of hydraulic fracturing, which allowed natural gas to become cheap and abundant, and mostly displacing dirtier, higher-emission coal in the generation mix. Hydraulic fracturing, and the similar techniques used for "tight oil" drilling, have actually allowed the United States to become the world's leading oil producer in 2014.

The economics of the fracking revolution are also overwhelmingly positive. IHS, perhaps the most respected independent energy consultancy, says the industry will be able to support 3.3 million jobs, adding more than $125 billion to state coffers through state tax revenues by 2020. By 2025, the average family could be saving $3,500 per year due to hydraulic fracturing, a staggering figure in a country with a median family income of just $52,000.

And support for fracking isn't split down party lines -- Moniz has called fracking safe and "a bridge to a low-carbon future," a finding supported by several Environmental Protection Agency investigations and former Obama Environmental Protection Administrator Lisa Jackson. Not to be outdone, Obama's former Energy Secretary Steven Chu has also declared that "this is something you can do in a safe way." All of these leaders have been aggressive champions of renewable energy, and none could be accused of being a pawn of fossil fuel interests.

By contrast, the integrity of some of the largest and most powerful fracking critics is severely compromised. Popular anti-fracking movies Gasland and Gasland II have perpetuated many dubious claims that have been widely debunked. Michael Brune, the executive director of the Sierra Club, hailed New York's decision. Yet between 2007 and 2010, long after the hydraulic fracturing revolution was under way, the Sierra Club was reported to have taken more than $25 million from natural gas drillers to fund its fight against coal power (unsurprisingly, they pushed gas as a cleaner alternative).

Of course, there are costs as well as benefits to fracking. And it is possible that at some point, new experience or information will come to light that would change our thinking. But we've already fracked tens of thousands of U.S. wells, and the endorsements mentioned above come in full light of that experience.

Increased natural gas production could have brought billions of dollars and thousands of jobs to New York's hard-hit Southern Tier, which sits over the Marcellus Shale formation, one of America's richest potential sources of natural gas. Cuomo's ban will be particularly devastating for poor New Yorkers, who can now be expected to struggle with high home heating bills due to expensive imported gas.

Unfortunately, as supporters of the ban have realized, New York's move sends a signal to other states. But it also has geopolitical implications. The boom in hydraulic fracturing and tight oil production in the United States has helped undermine Russia's international standing by contributing to plummeting global oil prices. America's ability to produce and potentially export more natural gas could similarly reduce Russia's ability to leverage natural gas exports to Europe.

So in the face of science, economics and geopolitics, why did Cuomo support the ban? In his Q&A with reporters after his announcement, the governor probably came pretty close to the truth on the politics behind the fracking decision when he said it was "probably the most emotionally charged issue I have ever experienced."

"I am not a scientist," he said, using the same formulation as that of a number of GOP lawmakers who have been criticized for using it with climate change. Well, the science and policy of a state ban on hydraulic fracturing is easy compared to the complexities of understanding the global climate system. And if America follows New York's terrible example, the troubling consequences will be there for all to see -- experts and non-experts alike.

@highlight

New York's decision has nothing to do with health or science

@highlight

Fracking issue should not be seen in partisan terms, he says

@highlight

The process has saved billions and bolstered U.S. energy security

@highlight

The integrity of fracking critics has been compromised