(CNN) -- During Uganda's 2011 presidential election, when activists and poll workers tried to text criticisms of the incumbent or the evidence of polling fraud, they found their messages wouldn't go through.

Yet there was no problem sending innocuous messages about the weather or what they had for lunch.

"So much of communication in Africa and many other continents and countries are dependent on mobile providers that could turn against you all of a sudden -- or could go down," Jon Gosier told me in a recent phone interview. He is a man who is likely to change all that.

In Uganda's case, the government was monitoring text messages sent among activists and poll watchers. Gosier said that was designed to censor dissent.

The lessons: Texts aren't always private and governments are pretty much always nosy.

Those are just a couple of reasons Gosier's work with a new nonprofit called Abayima, Luganda for "guardian," is so crucial to the future of free speech in the developing world.

I like to think of Gosier as the savior of the SIM card, that humble piece of hardware that's stuck in the back of your cell phone and helps it communicate with the network.

That old school and overlooked piece of technology could help human rights advocates, protesters and relief workers communicate during a crisis -- both by serving as an encrypted tool for passing messages and, potentially, helping cell phones communicate with rogue network towers that go up when governments take down communications or natural disasters crumble the existing infrastructure.

At a time when governments are getting savvier about using technology to stamp out free speech, these sorts of scrappy tech tools are needed more than ever.

Earlier this week, Twitter released a "transparency report" saying government requests for its data increased 19% during the second half of last year. Google has called the rise in government censorship requests alarming. While some countries made gains in 2012 in terms of granting free expression, several, including Italy, Mali and Tajikistan, lost points in a recent ranking from Freedom House.

Abayima's efforts to fight censorship are the reason it's part of my new CNN Opinion column, which focuses on human rights and social justice issues.

I'm a former technology writer, so some columns will highlight technological innovation. Others will focus on how people are using the Internet to create social change and on human rights crises that aren't making it into mainstream headlines. Last year, I worked with the CNN Freedom Project to produce a story on slavery in Mauritania. I've also covered topics like Internet and gaming addiction in South Korea and prisons in Norway.

Soon, you will see me writing and fronting a project called Change the List. The pilot was on Hawaii, the state with the lowest voter turnout. I reported from there and enlisted people on the Internet to try to help move that state up "the List."

Not that I can take credit (and not that it's an insanely huge victory), but the state tied for 49th place in 2012, instead of 50th. It's not everything, but it's progress.

Anyway, back to SIM cards.

Other people also are catching on to Gosier's concept, too.

"In parts of the world where the Internet is either down or monitored," Justin Ellis writes for the Nieman Journalism Lab, "Abayima would give activists, human rights workers, and journalists the ability to communicate simply by swapping SIMs."

The blog TechPresident calls it a "handy lo-tech solution to fight censorship."

The Knight Foundation recently gave the nonprofit a $150,000 grant.

In a sense, the already-old-news SIM card could take on a new life as the technological grandchild of the fax machine, which helped activists in the Soviet Union communicate with the broader world and each other; or the cassette tape, which helped anti-Apartheid radio hosts in South Africa disseminate their broadcasts to townships.

So the SIM is the new fax machine, but in a good way.

If all of it sounds a little utopian, maybe it is. Gosier is gambling that several systems fall into place to make these types of communication work-arounds possible. But he's betting on the right technologies. There are 4.5 billion mobile phones in the developing world, according to data compiled by USAID, and many of them are "feature phones" -- not-so-smart devices that only make calls and send text messages.

When crisis hits, the phone is the device people turn to first for help.

Gosier's work builds on that of other crisis-technology developers. And its first step is a tiny one: to create software that will make it easier for programmers to control and write to SIM cards. That's harder than it might sound, though, since the good-guy hackers have to use 1s and 0s, not elaborate code, to talk with the hardware SIMs.

With a staff of three, Abayima is working on open-source software, called Open Sim Kit, to do just that. But the group is seeking volunteers to help. If you know anyone who is fluent in machine language, e-mail Gosier at jon@abayima.com.

From there, it could become possible for the SIMs to communicate with rogue cell phone towers -- maybe 10 feet tall -- that could be set up in response to a humanitarian crisis like the Haiti earthquake or a communications blackout like those seen in Egypt, Libya or Syria. Those towers and the altered SIM cards could make it possible for small groups of people to communicate over a network, Gosier said.

"The technology is there," Gosier told me. "The problem has been the phones people have can't talk to the towers. So this open source software we're trying to build would allow you to essentially flash SIM cards and distribute them to people. ... At that point they could talk to whatever networks they want."

Until then, the Open Sim Kit could be used by activists to pass digital information to each other, often by hand. Sasha Kinney, who works with journalists and activists in Kenya as part of a group called Pawa254, said even that simple update "would definitely be something of interest" for journalists trying to evade government censorship.

"The more offline we can get and the more creative we can get the better it is for us," she said. "And everybody's got a cell phone here."

Election monitors in Kenya also plan to use SIM cards to record information about polling places and election-related violence, Gosier said. They'll pass them off to coordinators by hand, who then will take them to a place where the data can be uploaded to the Internet.

In a sense, that makes the SIM card a substitute for paper. But, unlike paper, SIM cards can be encrypted and stored discretely. They're less likely to catch the eyes of authorities.

"Think of it like passing around a thumb drive," he said.

A thumb drive that costs about 25-cents -- and doesn't require a computer.

Which is why the SIM card -- and other affordable, ubiquitous technologies -- is likely to make a comeback as a modern vehicle for free speech.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

Abayima is creating software that could be used to hack SIM cards

@highlight

Sutter: It will be a boon to activists and humanitarians

@highlight

The nonprofit is one of many tackling censorship in the digital era

@highlight

Sutter: Too many countries are using tech to crack down on free speech