Lampedusa, Italy (CNN) -- "Today is a day of tears," Pope Francis said Friday of a shipwreck off the tiny Italian island of Lampedusa a day earlier, in which at least 111 people died.

Italy's government declared Friday a day of national mourning in the wake of the shipwreck.

Rescue efforts continued through the day, with divers at the site of the wreck, but rough waters complicated their task.

Four children were among the dead, alongside 49 women and 58 men, coast guard spokesman Filippo Marini said. Another 155 people have been rescued: 145 men, six women and four children.

There are fears the death toll could rise further since the boat, which capsized after catching fire just half a mile off the coast, may have been carrying as many as 500 migrants from Africa. Italian authorities estimate that about 200 people are not accounted for.

The U.N. refugee agency said that all but one of the survivors were from Eritrea, in the Horn of Africa. The other was Tunisian.

Among those who escaped with their lives are 40 unaccompanied boys between ages 14 and 17, said Melissa Fleming, chief spokeswoman for the U.N. refugee agency. She described the migrants as exhausted and in a state of shock.

Survivors recounted a harrowing tale of 13 days spent on the boat, which picked up its passengers from the Libyan towns of Misrata and Zuwara, to the west, Fleming said.

As they approached the coast of Lampedusa, the engine stopped. The migrants hoped to be spotted, but, they told the U.N. agency, fishing boats passed by without helping, so they set fire to clothes and blankets in a bid to attract attention. A tourist boat finally sounded the alert, and the coast guard came to their rescue, Fleming said.

Lampedusa's boat people: One man's story

The survivors have been taken to a reception center that's already overcrowded with about 1,000 other recent arrivals by boat, she said.

Lampedusa, south of Sicily and the closest Italian island to Africa, has become a destination for tens of thousands of refugees seeking to enter European Union countries. And such wrecks of migrant boats, although on a smaller scale, have become all too common.

Pope Francis, who gave his unscripted remarks while meeting with the poor on a visit to Assisi, the birthplace of his namesake Saint Francis, also railed Thursday against what occurred in Lampedusa.

Labeling the tragedy a "disgrace," he called for concerted action to ensure it is not repeated in future.

He visited Lampedusa in July to pray for refugees and migrants lost at sea and criticized then what he called "global indifference" to the island's refugee crisis.

'Fundamentally wrong'

Despite the dangers of taking to the sea in boats that are often barely seaworthy, thousands of migrants and asylum seekers depart North Africa's shores every year in search of a better life.

Another 13 men drowned off Italy's southern coast Monday when they attempted to swim ashore, the U.N. refugee agency said Thursday.

And last week, the Italian coast guard rescued a ship bound for Lampedusa from Tunisia that had 398 Syrian refugees on board.

U.N. High Commissioner for Refugees Antonio Guterres said the tragedy "should serve as a wake-up call" to the world.

"There is something fundamentally wrong in a world where people in need of protection have to resort to these perilous journeys," he said.

He called for more effective international cooperation to crack down on people smugglers, saying the latest tragedy shows how vital it is for refugees "to have legal channels to access territories where they can find protection."

Maurizio Albahari, assistant professor of anthropology at the University of Notre Dame, said it was time for Europe to enact new policies rather than simply shed tears for those who died -- or blame the traffickers.

"To solve the problem, it is vital to understand what it is that routinely brings thousands of migrants to trust smugglers, face exorbitant costs and risk their lives on unseaworthy vessels," he said. "It's quite simple. It is legally impossible for them to travel safely on planes and ferries."

This can be because their oppressive home countries won't grant them exit visas or because they're poor and can't offer the financial guarantees needed for a European visa to be granted, he said.

"But they risk the many dangers to escape despair," he said. "They fall through the immense cracks of a system that needs them for a job or might grant them asylum, but only if they first make it through miles of peril and years of exploitation."

Rights group Human Rights Watch said in its World Report 2013 that "ongoing serious human rights abuses, forced labor and indefinite military service prompt thousands of Eritreans to flee the country every year."

No election has been held since it gained independence in 1993, the rights group said. Meanwhile, torture, arbitrary detention and severe restrictions on people's freedoms "remain routine in Eritrea."

Overcrowded boats

Just under 115 kilometers (70 miles) from Tunisia, Lampedusa has been the first point of entry to Europe for more than 200,000 refugees and irregular migrants who have passed through the island since 1999.

But boats carrying migrants often are in peril at sea.

In recent years, the Italian coast guard says, it has been involved in the rescue of more than 30,000 refugees around the island.

Izabella Cooper, a spokeswoman for the European Union's border agency, Frontex, said migrants are often sent to sea in overcrowded vessels without the engine power to make such a long and dangerous journey.

Since the start of the year, Frontex -- which supports the efforts of individual EU member states -- has helped save more than 16,000 lives in search-and-rescue operations, she said.

"Italy is currently facing the biggest migratory pressure of all European countries," she said, adding that more than 31,500 have reached its shores since the beginning of the year.

The migrants mainly set off from Libya, but others also leave from Egypt, she said. "We see an increasing amount of Eritreans, Somalis, to a lesser extent sub-Saharan Africans, and an increasing number of Syrian nationals."

While Italy is the current focus of efforts by migrants and asylum-seekers hoping to enter the European Union, Cooper said, that has not always been the case.

"Seven years ago, it was the Canary Islands, then the pressure moved to the central Mediterranean, then it moved to Greece, then with the Arab Spring, it moved back to Italy," she said.

"There are definitely too many lives lost and definitely too many tragedies in the Mediterranean."

Dead or missing at sea

Rights group Amnesty International called for both Italy and the European Union to do more to safeguard the thousands who risk their lives each year in the hope of protection or a better life, rather than focusing on closing off the borders.

More than 100 missing after illegal migrant boat sinks off Bangladesh

According to a briefing published by the U.N. refugee agency in July, the peak crossing period for migrants and asylum-seekers runs from May to September.

The U.N. refugee agency recorded 40 deaths in the first six months of 2013, a figure based on interviews with survivors of the crossing.

For 2012 as a whole, 15,000 migrants and asylum-seekers reached Italy and Malta, and almost 500 people were reported dead or missing at sea, it said.

The U.N. agency credits the efforts of the Italian coast guard and Maltese armed forces for a reduction in migrant deaths in the first half of 2013 compared with the previous year.

Risk for a better life ends in death for 22 people near Indonesia

CNN's Livia Borghese reported from Lampedusa and Hada Messia from Rome, while Laura Smith-Spark wrote in London. CNN's Alexander Felton and Nina Dos Santos contributed to this report.

@highlight

Survivors say they set fire to clothes to try to get help after the boat's engine stopped

@highlight

At least 111 people died when a boat capsized off the Italian island of Lampedusa

@highlight

Italian authorities estimate that 200 people are still unaccounted for

@highlight

"Today is a day of tears," Pope Francis says, as Italy marks a day of mourning