Washington (CNN) -- President Barack Obama isn't giving Republicans time to catch their breath after celebrating an election triumph.

He barnstormed into action following Tuesday's midterm elections, pushing his priorities before Republican leaders can frame their agenda for the new Congress, which convenes in January.

Obama challenged congressional leaders he met with over lunch Friday to back his expanding war against ISIS. The President plans to send up to 1,500 more troops to train Iraqi and Kurdish forces while asking Congress for another $5.6 billion to fund the operation.

On another front for the busy White House, Obama on Saturday named U.S. Attorney Loretta Lynch to succeed outgoing Attorney General Eric Holder. The move put Senate Republican leaders -- whose aides said they were not informed ahead of time -- on the defensive. In a volley of news releases they insisted that her confirmation should be put off until the majority-GOP Senate convenes in January.

Obama is also pressing lawmakers to approve $6 billion in emergency funding to fight Ebola before they leave Washington for the holidays. And the President will head to Asia this weekend to show his authority on the world stage has not been splintered by pending GOP domination of Congress.

The President is operating from a playbook by his chief of staff, Denis McDonough, that's been weeks in the making; it takes him through the lame duck session of Congress and his penultimate State of the Union address in January.

One of his next moves, aides say, will be to use his executive power to reshape the nation's immigration system before the end of the year, despite Republican claims he will "poison the well" for future cooperation.

But Obama's time to wield the initiative will be brief. Come next year, he will be hit with a blizzard of bills from the new Republican Congress, including efforts to dismember his signature health care law and policies on climate change.

As the President fights the dreaded perception he is a lame duck, his strategy can be summed up in three words — show no weakness.

He is making a clear attempt not to appear morose after an election seen as a repudiation of his administration.

Reporters at a post-election news conference sought to goad Obama into admitting culpability for the Democratic meltdown, but he avoided prolonging the story by giving the election defeat a catchy term similar to "shellacking" -- the word he used in 2010. Instead he vowed to play the "fourth quarter" of his presidency well.

The approach is designed to maximize Obama's remaining political capital in Washington, which will quickly dry up once the 2016 presidential campaign fires up.

Obama will also deny pundits the political firing squad they are demanding, and has no plans for a big staff shakeup. Even before Tuesday's election, critics had demanded fresh blood in a White House that critics see as sealed off from political reality.

But aides say the kind of shakeup that helped invigorate other late-term presidencies is not Obama's style. Even now, he is still surrounded by many aides from his 2008 campaign.

"What I am ruling out ... would be sort of a large-scale public firing," White House press secretary Josh Earnest said Thursday.

Still, many aides are worn down by the brutal demands of a punishing presidency weighed down by crisis after crisis at home and abroad — so there will be some natural turnover with two years to go.

But there are no signs Obama will make huge changes in the West Wing or to his Cabinet — along the lines of President George W. Bush's dismissal of Defense Secretary Donald Rumsfeld after the 2006 midterms, when control of Congress flipped to the Democrats.

"There will be some people leaving, but I don't think there will be a huge shakeup," said one White House official.

One difference from 2006 is that the outspoken Rumsfeld was closely associated with a war that had gone bad — in Iraq, which was the prominent issue in an election Bush referred to as a "thumping."

Ditching Rumsfeld allowed Bush to reengineer war strategy with his troop surge, which staved off a humiliating defeat in Iraq.

But other than Obama himself, there is no obvious official who encapsulates the failings of this administration, so a satisfying "clearing out" might impress Beltway insiders but achieve little.

Staff changes that do take place will likely come after the president has recharged his batteries and reflected on the way forward during his annual December vacation in Hawaii, an official and a former administration official said.

But the big names are staying.

National Security Adviser Susan Rice, who earned some rough reviews on Capitol Hill and among some U.S. allies for her sometimes brusque manner, said Friday she was going nowhere.

"I serve at the pleasure of the President and I will continue to serve as long as he'd like me to," said Rice.

No one expects Defense Secretary Chuck Hagel to leave yet, despite whispers about his performance in Washington.

The biggest personnel change -- and one of the few that will resonate outside the Washington area code, may be the one involving Deputy National Security Adviser Tony Blinken, whom Obama nominated Friday as deputy secretary of state.

The Washington Post reported Friday that former U.S. Under-secretary of State Nicholas Burns is the choice of some administration hands to inject new foreign policy bandwidth into the administration.

But Obama's inner circle is notoriously tough to penetrate, a factor that might put off some potential newcomers.

Those mulling their futures include one of Obama's longest-serving aides, senior policy adviser Dan Pfeiffer, a 2008 campaign alumnus, who had several health scares last year.

West Wing staffers are not expecting McDonough to leave. But senior adviser John Podesta's self-imposed one-year term limit at the White House is almost up. He is tipped to join Hillary Clinton's yet-to-launched presidential campaign. Ebola czar Ron Klain, meanwhile, is likely in line for a more permanent West Wing policy job.

Deputy communications director Jennifer Palmieri is also said to be considering her future, while Deputy National Security Adviser Ben Rhodes has not yet made his intentions public.

Many people had expected David Plouffe, Obama's campaign guru, to return to a White House role after the election. But Plouffe is now steering online smartphone taxi service Uber as senior vice president.

@highlight

President Barack Obama has a fast start after election debacle

@highlight

Moving quickly: More military advisers for Iraq, AG nomination, Ebola funding request

@highlight

Big staff shake-ups have not been Obama's style, and that's unlikely to happen