(LifeWire)  -- Can a piece of paper save a marriage? One suburban Boston couple figured it was worth trying so they entered into a legal agreement to manage a major source of tension in their relationship - money.

The couple, in their late 50s, met in college, dated for six years, married and had two children. And they fought constantly over their finances.

The husband and wife, who asked to remain anonymous, had taken out two mortgages on their home and spent inheritance money to pay down debt from the husband's consulting business.

"I would lie awake at night thinking we're going to lose the house and lose everything we ever worked for," says the wife, who teaches at a local university. "This was with me 24-7."

She valued stability; he saw debt as a means of building his business. Several marriage counselors couldn't help them come to terms with their different attitudes toward money.

Then they came across an article about marital mediation, and it mentioned postnuptial agreements.

"It's the same concept as a prenuptial agreement," says Los Angeles attorney Scott Weston, co-author of "I Do, You Do ... But Just Sign Here: A Quick and Easy Guide to Cohabitation, Prenuptial and Postnuptial Agreements."

"Instead of being done before a marriage, it's done during a marriage," he says.

Postnups, while much less common than prenuptial agreements, are gaining in popularity. Nearly 50 percent of attorneys polled by the American Academy of Matrimonial Lawyers reported an increase in the number of postnups from 2002 to 2007.

The agreements usually are used to settle financial issues, says Weston, whose high-profile clients have included Robert Iger, chief executive of the Walt Disney Company, as well as author Terry McMillan and boxer Oscar de la Hoya.

Postnups might be used to determine who owns assets, set a budget for household expenses or remove a business from the table in the event of a divorce. Couples also have used them to decide such things as how often the mother-in-law gets to visit or how many boys-only weekends the husband gets to take.

'I was able to breathe easier'

A postnuptial or mediated agreement can help save a couple's relationship -- if that's their goal.

"In cases where couples want to stay married, it can apply very efficiently," says Cambridge, Massachusetts, attorney John A. Fiske. "If they don't want to stay married, it's hopeless."

The Boston couple, who had been married 30 years, fell in the former camp. Fiske helped them put into writing a mutually acceptable financial plan. They agreed to transfer their house into the wife's name, both to address her fear of losing the asset and to insulate it from the husband's business debts, and to split the mortgage and other household expenses.

That was 18 months ago, and they credit the post-nuptial agreement with helping them become a mutually supportive couple again.

"In my case, I wanted financial security -- not necessarily a new BMW every year, but to feel some financial security," she says. "What he wanted was emotional support from me."

The agreement largely has quelled their arguments, they say, even though the husband's consulting business is still between $150,000 and $200,000 in debt.

"I don't think the issue has ever totally gone away," the wife says, "but I feel like I was able to breathe easier... without this being in the forefront all of the time."

Most couples do use the postnups as a blueprint for an eventual divorce, according to Elinor Robin, a Boca Raton, Florida, conflict strategist and mediator. But she thinks successful mediation can reveal the potential to save a marriage.

"The very process of working on this arrangement is a positive exercise for most couples," Robin says. "People will say (a postnup) ruins the romance, it ruins the love. If you can't have difficult discussions, that's a death knell for a marriage."

Postnup takes three lawyers

Both husband and wife should have a postnup reviewed by their own lawyers or it's not likely to withstand a legal test. For the Boston couple, that meant $5,000 in fees: Fiske drew up the agreement and then they each hired individual lawyers review it.

Getting a second opinion also allows the couple to make sure the terms are right for them. The husband's lawyer advised him against signing over the house, but he says he trusted his wife and felt it was the right move.

"I was told she could walk off with the house and leave (me) in the cold," he says. "I viewed it as, I had used up my amount of equity in the house with the amount of debt I had. It wasn't (my wife's) fault. I would rather have the debt on my shoulders and not have the emotional problems."

Both view their postnup as the reason they made it to their 30th wedding anniversary.

"We both feel it saved our marriage," the wife says. "It didn't make our problems go away, but it allowed us to keep going as a couple." E-mail to a friend

LifeWire provides original and syndicated lifestyle content to Web publishers. Robert DiGiacomo is a Philadelphia-based writer whose work has appeared in USA Today, Yahoo.com and The Boston Globe.

@highlight

One couple got a postnuptial agreement to save marriage

@highlight

Postnups can set budgets, determine family visits, nights out

@highlight

Mediator: Most use postnup as blueprint for eventual divorce

@highlight

Three lawyers needed to set it up