Albany, Oregon (CNN) -- The Oregon teen accused of planning to bomb his high school had a detailed itinerary for his attack that included napalm bombs, firearms and killing himself before the police could, authorities said Tuesday.

According to a three-page probable cause affidavit released by authorities, an investigator wrote that police found notebooks and other documents in 17-year-old Grant Acord's room. They contained handwritten and typed plans, including diagrams, to commit mass murder, the affidavit said.

In one of the plans, Acord wrote that he wanted to go to first period then take a few hours in the parking lot to prepare for his attack, during which he would "shoot and throw bombs throughout the school."

On Tuesday, the teen appeared in court via a video feed from jail. It was the initial hearing for a gawky teenager accused of plotting a monstrous crime. He sat awkwardly in a folding chair, shoulders slumped. When the judge entered, Acord snapped to attention in front of a microphone. Unsure of where to position himself, he answered the judge's questions in calm, respectful, short answers.

It was a surreal juxtaposition to see the face and demeanor of a young man who authorities say modeled his plan on the 1999 massacre at Colorado's Columbine High School.

Acord's timeline -- which police say he entitled "The (Loosely Stated) Plan AKA Worst case Scenario" -- would have begun at 7:30 a.m. and would have ended with an attack just after 11:10.

The writing said he planned to pack his truck with the bombs and guns at home, go to West Albany High School and slip out of class after first period.

Then he would have waited until 10 a.m. where he would have moved to "smoke spot" to "gear up." After that, he planned to move to another parking lot, check for a school resource officer, and if none was there, he would back in the truck at 11:10 a.m. into a spot near one of the exits he had staked out.

His harrowing plan continued: "Get gear out of trunk. Carry duffle in one hand, napalm firebomb in the other, walk towards school with (Airport Stalk music from the Call of Duty video game) blasting out of car. Drop duffle. Light and throw napalm, unzip bag and begin firing. Cooly state: 'The Russian grim reaper is here.' If 3rd exit is blocked by napalm fire, or is locked, run to 1st entrance."

The plan ends with a suicide.

"Kill myself before S.W.A.T. engages me," he writes.

He was charged as an adult with attempted aggravated murder and 18 other charges related to making and possessing a destructive device. Acord, who said little throughout the proceeding, did not enter a plea.

A judge set bond at $2 million.

Authorities are still not saying when Acord wanted to launch his plan. The affidavit suggests he still had a fair amount of planning to do, including purchasing a Hi-Point 995 rifle and a Mossberg shotgun, and building several more bombs.

Officials at the school and police said a fellow student's tip led to Acord's arrest.

Family attorney: 'He's very mentally ill'

Acord's mother says her son suffers from a rare form of obsessive-compulsive disorder.

"My heart goes out to everyone affected by Grant's struggle with PANDAS, a rare form of OCD," Grant Acord's mother said through her attorney.

"I grieve for my son but understand and support the efforts of law enforcement to keep our beloved community safe," his mother, Marianne Fox, added. "This is a challenging and confusing time for everyone who knows Grant. I will have no further comment while I wait with the rest of you to see what unfolds."

Acord's goal, said Benton County District Attorney John Haroldson on Monday, "was to model the Columbine shootings with some adjustments that would make it a greater success."

PANDAS, which stands for pediatric autoimmune neuropsychiatric disorder associated with streptococcus, is caused by the body's immune reaction to a strep infection, not the infection itself, according to the International OCD Foundation.

Dr. Rosario Trifiletti, a New Jersey-based child neurologist and expert on PANDAS, notes there is a similar but broader diagnosis called PANS, or pediatric acute-onset neuropsychiatric syndrome, that affects 1% to 2% of children and can result in "explosive violence" among sufferers.

Trifiletti, who emphasized he cannot comment on Acord's case because he hasn't treated him, said he has seen youngsters with PANS become deeply fearful and violent with their parents.

"I think the thing that shocks parents is how quickly they change. They can snap," he said.

In his research, however, he has never seen any sufferer premeditate violence in the manner outlined in the allegations against Acord.

"There has not been a kid who has done anything close to this," the doctor said.

There are no clear diagnostic criteria for PANDAS, according to the PANDAS Network, which says the disorder is marked by a rapid onset and intensification of obsessive-compulsive behaviors.

Among those, according to the National Institutes of Health, are "obsessive thoughts, compulsive behaviors and motor or vocal tics." Those symptoms can be accompanied by anxiety attacks, irritability, extreme mood swings, temper tantrums, immaturity, hyperactivity, handwriting changes and problems in school, the NIH says.

As for PANS, the peer-reviewed journal Pediatrics & Therapeutics cites several categories of "neuropsychiatric symptoms" that can accompany the disorder: anxiety; emotional changes and/or depression; irritability, aggression and/or severely oppositional behaviors; behavioral regression; a drop in school performance; sensory or motor abnormalities; and bodily symptoms such as sleep disturbances and problems with urination.

Alan Lanker, the attorney for the mother, said Acord has received treatment, but he did not know the details of the teen's treatment.

"He's very mentally ill. He has PANDAS. It's a brain infection that's causing a mental illness. It's been their concern for some time," Lanker said.

Disturbing allegations

Police found six types of explosives after they arrested Acord on Thursday night at a home in Albany, Oregon, Haroldson said.

They recovered napalm, pipe and drain cleaner bombs, as well as Molotov cocktails Friday from "a secret compartment that had been created in the floorboards" of the teen's bedroom, Haroldson said.

The prosecutor said Acord wanted to outdo the Columbine High School shootings, which left one teacher and 14 students dead, including the two gunmen.

Sheriff: Student plotted college attack, fantasized about stabbings

Fifth-grade boys' plot to kill a classmate thwarted

In January: Teen free on bail after allegedly plotting 'terrorist attacks'

CNN's Holly Yan, Cristy Lenz, Greg Morrison, Jennifer Bixler, Jake Carpenter and AnneClaire Stapleton contributed to this report.

@highlight

Plan called for firebombs, firearms and background music, affidavit says

@highlight

Grant Acord, 17, didn't enter a plea during video appearance; bond set at $2 million

@highlight

An attorney for the suspect's mother says teen has rare form of OCD

@highlight

NEW: Authorities say student tip led to arrest