(CNN) -- Top State Department officials are vowing to improve security at U.S. diplomatic posts around the world, some before the end of the year.

Those promises were repeated Thursday in Washington in a hearing before the Senate Foreign Relations Committee, the first of two sessions in which Deputy Secretaries of State William Burns and Thomas Nides testified about the deadly attack on the U.S. consulate in Benghazi, Libya.

"We've learned some very hard, and painful lessons in Benghazi, and we are already acting on them," Nides told senators. "We have to do better."

The two testified the State Department deployed five teams to assess security at 19 U.S. diplomatic posts in 13 countries. They said the department partnered with the Pentagon to send 35 additional Marine detachments -- about 225 Marines -- to medium- and high-threat posts with the hope the additional Marines would be deterrents against any attack attempts.

Also, the department wants to hire more than 150 diplomatic security personnel -- an increase of 5% over current staffing -- and provide them with equipment and training.

The hearings follow a scathing independent report released Tuesday that blamed "systemic failures and leadership and management deficiencies" for inadequate security amid the attack that killed four Americans, including Ambassador Chris Stevens.

This week's report and hearings mark a significant chapter in the winding saga surrounding the events of September 11, 2012. That night, the consulate became engulfed in flames. Cameras captured images of a huge crowd of people in the streets -- some waving Libyan flags -- around the consulate, before gunmen descended on the compound.

The assault was ultimately determined to be a terrorist attack.

Stevens, a lifelong diplomat admired by many of different political parties, had previously written diplomatic correspondence warning that al Qaeda-linked militants were growing in strength in an enclave not far from the city.

Burns' and Nides' appearance on Capitol Hill marks the first time officials of their level have spoken about the attack.

Both are top advisers to Secretary of State Hillary Clinton, who is not able to testify because she is ill. Clinton ordered the review in the aftermath of the attack. Such reports are mandated by Congress when Americans working on behalf of the U.S. government are killed overseas.

The 39-page unclassified version of the report concludes that the leadership failures resulted in a security plan "that was inadequate for Benghazi and grossly inadequate to deal with the attack that took place."

Nides told senators he's leading a task force to implement 29 recommendations in the review board report. Some of the recommendations will be implemented before the end of the year.

"We accept every one of them," Nides said.

"The undersecretary of political affairs, the undersecretary for management, the director general of the Foreign Service and the deputy legal adviser will work with me to drive this forward," Nides said.

The task force has already met to translate the report's recommendations into 60 specific action items, he told senators. "We've assigned every single one to the responsible bureau for immediate implementation, and several will be completed by the end of this calendar year," he said.

He promised to work with Congress to make sure those recommendations become reality.

Four State Department officials were disciplined after the release of the report. One resigned, and three others have been placed on administrative leave, spokeswoman Victoria Nuland said.

On Thursday, Nides also asked that Congress provide the department with more money to pay for ramped-up security.

Sen. John Kerry, widely considered the leading candidate to succeed Clinton, seemed to agree that the department should get more funds.

He said in the hearing that spending on U.S. missions overseas must increase, and the system that requests and delivers that money must be streamlined.

In the past year, $650 billion was spent on military budgets, while the budgets for international affairs were less than one-tenth of the Defense Department's, the Massachusetts senator said.

Sen. Bob Corker, a Republican from Tennessee, said he was "dismayed" that the hearing was centered on additional money for the State Department in the absence of a review of how the agency spends the money it already has.

"We have no idea whether the State Department is using its money wisely or not," he said.

Yet he said the department knew about the threats posed in the days before the attack, based on incoming cables, and should have requested funds to support the situation in Benghazi.

Nides testified that the State Department has already requested additional funds for its 2013 budget.

When asked whether Clinton had heard of the security concerns prior to the Benghazi attack, Burns said the conversations with Clinton and senior level officials were mainly focused on the overall general security picture in Libya, but there was a general awareness of the deteriorating security situation in the eastern part of the country.

Clinton is recovering from a stomach virus and concussion but is expected to appear before the House Foreign Affairs Committee next month to discuss the Benghazi attack, according to Rep. Ileana Ros-Lehtinen, R-Florida, the outgoing chairwoman of the panel.

Burns testified about other actions he and officials are taking to tighten relations with countries like Libya that are still shaky after recent revolutions that toppled dictators.

Burns said he'd just gotten back from Tunisia, where a suspect in the Benghazi attack is being detained.

"I believe we're making some progress there," the deputy secretary offered.

There was a short portion of the Senate hearing that touched on the controversy surrounding comments by Susan Rice, the U.S. ambassador to the United Nations, describing the Benghazi attack in the days following the incident.

Rice said on Sunday news programs in the days following the attack that it was the result of a protest against an online anti-Islam film.

She's been heavily criticized for those statements, to the point that she withdrew her name for consideration as the next secretary of state to avoid what she called a "lengthy, disruptive, and costly" confirmation process. Critics said Rice's comments were out of line with the true intelligence about the incident, and were an attempt by the administration to avoid tying it to terrorism.

Oklahoma Republican Sen. James Inhofe asked Burns about Rice's statements.

"What happened in Benghazi was clearly a terrorist attack," Burns replied. "I am convinced my colleagues in the administration and intelligence community operated in good faith."

CNN's Jamie Crawford in Washington contributed to this report.

@highlight

NEW: Some senators want more money for State Dept., others say that's not the answer

@highlight

Deputy secretaries of state testify about attack on consulate in Benghazi, Libya

@highlight

A report issued Tuesday blamed "systemic failures in leadership" at the department

@highlight

Four Americans died in the attack, including Ambassador Christopher Stevens