(CNN) -- Until this week, how many parents paid much attention to "Slenderman"? He was a fictional villain in a wildly popular online game of hide and seek -- a tall, thin, and faceless monster with tentacle-like arms featured in Web-based ghost stories created by and for horror story enthusiasts.

But that's where this story takes a very dark and tragic turn. With the arrest last weekend of two 12-year-old girls in a suburb of Milwaukee for the alleged stabbing and attempted murder of another 12-year-old girl -- their friend -- it seems that the made-up meme could have inspired monstrous acts in real life.

The young suspects were arrested after allegedly luring their innocent friend into the woods and stabbing her 19 times, according to authorities. And a criminal complaint says the suspects admitted they were trying to impress "Slenderman," whom they read about on a horror website.

But there is so much more to this story that parents and kids need to talk about.

As the founder of a national nonprofit who has spent the last 10 years dedicated to helping kids and teens thrive in the digital world, here's what I know is true: We are raising our children in a hyper-connected, always on, and ever-evolving media and technology landscape that offers many opportunities, yet many challenges for families.

In effect, we are conducting an experiment on our children in real time, and how it turns out for them depends a lot on us.

It's very hard to keep up with what's new and what's popular with our kids, but the risks of not getting and staying involved in their digital lives is too high. Here's why:

The world of media is a super peer. It can influence our kids' social, emotional, cognitive, and physical development, and it can powerfully inform their sense of what's normal and acceptable. Stories, characters and their behavior in media -- whether in a video game, a movie, a TV show, or on a website -- can serve as role models, both good and bad.

Do you know what your kids are watching, reading, and doing online? Do you know who shares their conversations and who plays in their games? And above all, are the media they're choosing appropriate for their age and developmental stage?

Mature content may not be suited to immature and developing minds, especially in children, who often cannot comprehend the difference between reality and fantasy, and who cannot understand the consequences of violent acts.

Media can be an amplifier in people, including children, who are at risk. Much more research is needed on the impact of violent media on behavior. But existing research suggests that people who are prone to violent actions, or depression, or anxiety, feel those feelings more strongly, or may be motivated to act on them, when exposed to violent content.

Research also points to a correlation between repetitive viewing of violence and increased aggression and desensitization. The research is also uncovering a "reciprocal" relationship in which children with aggressive tendencies do, over time, seek out more violent media content and are even more affected by it than others, thus creating a downward spiral.

Slenderman stabbing case: When can kids understand reality vs. fantasy?

Parents are key to combating the negative effects of media. Our children are exposed to a great deal of content that may not be worthy of their time and attention. Even if your family limits certain unacceptable media at home, your kids can access that same content on any mobile device when they're not at home or with you. That's why it's imperative to engage with them about the media they're consuming.

Take the time to elicit your kids' opinions on what's popular and what they're interested in, and share your opinions so as to help your kids develop the ability to view media critically and make choices that reflect your family's values.

Every child and every family are different, so what works in my family may not work in yours. Each of us has different pain points, different views on what's appropriate, and different opinions on how much is too much.

The reality for all of us, though, is that what happens online can influence what happens in real life. Parenting needs to happen in both places. That way our kids can thrive, even in the face of a made-up monster in a dark and digital world.

@highlight

James Steyer: Until 12-year-old's stabbing, not many parents knew about "Slenderman"

@highlight

Steyer: Internet is a super peer that guides kids' development, informs sense of what's normal

@highlight

He says media can offer good or bad role models and amplify problems in at-risk kids

@highlight

Steyer: Parents are key to combating negative media: Engage with your children