The gateway to Japan's capital, Tokyo Station, is celebrating its centennial this month -- and it's never looked better.

The starting point of the country's railway network, travelers in Japan are likely to pass through this landmark at least once.

Situated in the city's historic and political center, Tokyo Station is a destination in its own right.

Here are 10 ways it's earned its stripes as a protected cultural landmark.

Big numbers

Tokyo Station is an impressive 1,000-feet long (304 meters).

It's the busiest station in Japan in terms of number of trains per day (more than 3,000); 350,000 passengers pass through its turnstiles on a daily basis.

The station also reportedly earns more revenue than any other station in Japan.

It has 14 lines, including the Tokaido Shinkansen, the most heavily traveled high-speed rail route in the world.

Architectural marvel

City planners completed a five-year, $625 million renovation of Tokyo Station in 2012.

At its heart is the red brick Marunouchi Building, featuring reconstructions of two roof domes that were were destroyed in World War II bombings.

Its European facade is one of the few architectural remnants of Tokyo's past, and symbolizes the country's modernization.

Eight zodiacal symbols are featured on the interior of the octagonal domes, representing points on a compass (the tiger, for instance, points northeast).

Some say the Marunouchi Building was designed to look like Amsterdam Centraal railway station. Though there's little evidence to support this, Tokyo does have sister-station agreements with its Dutch lookalike, and also Grand Central Terminal in New York.

Secret tunnels

Urban myth or reality?

A subterranean network is rumored to exist in downtown Tokyo, linking important government buildings.

The oldest of these is a passage connecting Tokyo Station with the Central Post Office, whose original 1930s veneer was restored in the 2012 makeover.

From Tokyo Station, passengers can access six neighboring stations via underground walkways, with one jaunt being more than two kilometers.

Many people believe this labyrinthine network was planned as a bomb shelter.

Nowadays, with natural disasters a more prevalent worry, Tokyo Station is one of the safest places to be when the Earth rumbles, as the entire station is protected by a seismic isolation structure.

Multilingual tourism hub

Rail company JR East operates a travel service center at Marunouchi's north exit offering currency exchange, a luggage storage counter (7:30 a.m.-8:30 p.m.) and even a porter service for the first-class set.

Free Wi-Fi is available (a precious commodity in Tokyo), as well as PCs for visitors.

In the adjacent JP Tower skyscraper, which houses the renovated Central Post Office, Tokyo City is a tourism resource with walls of brochures in various languages, and staff who can help with all travel needs.

The post office upstairs is open all year, with 24-hour postage and foreign-card-friendly ATMs.

Assassination attempts

Murder, intrigue, politics ... Tokyo Station has witnessed two assassination attempts on Japanese prime ministers.

In 1921, Takashi Hara was stabbed to death by an ultra-conservative railway employee. Hara was Japan's first Christian prime minister, and the first commoner to hold the office.

Nine years later, Osachi Hamaguchi befell a similar fate, only he was shot. He didn't die immediately, succumbing to wounds the following year.

Both prime ministers are memorialized with plaques in the station.

Tokyo Station gallery

When this museum reopened in 2012, the goal was to create "a small but real gallery."

Today, visitors can take in exhibits showing contemporary art, or on themes related to railways, architecture and design.

More than 2.3 million visitors have passed through since the gallery's opening in 1988.

Purchases of JR train tickets help support this small but real museum.

Illumination

Holiday light-ups are standard fare for the neon capital.

The GranRoof facility near the Yaesu exit hosts this year's "Tokyo Colors," (January 12-February 14), an interactive wonder where lights and music change based on weather conditions and visitor numbers.

There's also Tokyo Michi Terrace, an illumination projected on station buildings that takes a "Memorial Light-up/Taisho Period (1912-1926) Romance" theme, in honor of the station's birthday.

Street of noodles

No Tokyo discussion would be complete without food.

In the station you can wander through Kitchen Street, or for slurpier, cheaper meals, Tokyo Ramen Street. Both are located at the station's Yaesu exit; neither is a true outdoor road.

Some of Tokyo's most acclaimed ramen joints have set up shop here, including Rokurinsha, famous for its tsukemen (dipping-style noodles).

It's best to arrive for breakfast from 7:30-10 a.m. to avoid the crowds.

Yes, ramen for breakfast is a thing in Tokyo.

For more conventional morning eats, there's New York outposts Bubby's or Dean and Deluca.

Or, passengers can pick up an ekiben (bento lunch box) on their dash to the bullet train.

Souvenir heaven

It's possible to spend a lot of money, and time, at Tokyo Station.

Fans of Hello Kitty, Moomins and Pokemon should swing by Tokyo Character Street (again, also not a real street) for take-home trinkets from some 15 shops.

For edible gifts, plenty of themed candies and the like are available, such as Tokyo Terminal Cookies or Brick Bread.

And let's not forget Tokyo Banana, the Twinkie's long lost cousin that has no known relation to the city yet is wildly popular (and pretty tasty).

Centenarian hotel

Tokyo Station Hotel celebrates its 100-year anniversary in 2015.

The swanky, European-style building was a social hub after the Great Hanshin Earthquake, as Tokyo Station miraculously evaded any damage.

Political elite still gather here in the afternoons.

Room rates start at around ¥37,000 ($310).

@highlight

Japan's historic Tokyo Station turns 100 years old this month

@highlight

Tokyo terminus is the busiest station in Japan with the most revenue among all stations

@highlight

Under Tokyo lies a labyrinth of secret tunnels and the oldest connects the station to the Central Post Office

@highlight

Two assassination attempts on Japanese prime ministers have taken place in the station