(CNN) -- The Supreme Court on Monday revisited one of its high-profile precedents in recent years -- its ban on the death penalty for intellectual disability -- the application of which appeared to again divide the bench.

At issue: how states may define mental retardation -- within the context of inexact IQ tests -- when determining whether convicted murderers deserve capital punishment.

The high court left that question unanswered in 2002, but advocates for a death-row inmate in Florida say that state's limits are too rigid and thus unconstitutional.

The justices struggled to determine whether Florida's scheme -- a sharp statistical cutoff that protects only those with an IQ under 71 -- is properly within the state's discretion.

"Could the state say somebody who is mentally retarded enough -- so mentally retarded as not to be responsible and not to be subject to the death penalty certainly could not have pulled all of this [crime] off?" asked Justice Antonin Scalia. "This is not a person who is that significantly mentally retarded."

But Justice Elena Kagan told the state, "What your cutoff does is it essentially says the inquiry has to stop there. And the question is how is that at all consistent with anything we ever say when it comes to the death penalty? ... It stops that in its tracks, as to a person who may or may not even have a true IQ of over 70, and let alone it stops people in their tracks who may not be mentally retarded."

The justices in Atkins v. Virginia a dozen years ago concluded "the mentally retarded should be categorically excluded from execution."

But defining what is now termed intellectual disability was essentially left for the states to resolve.

Freddie Lee Hall was convicted and sentenced to death in 1978, along with an accomplice, for the brutal murder of Karol Hurst.

The 21-year-old Leesburg resident was seven months pregnant. She was abducted from a grocery store, raped, shot to death, and her body dragged into the woods.

Later that evening, Hall and his accomplice were involved in a separate shooting death of a sheriff's deputy.

Ten years later, Hall's attorney's appealed, saying the man had a lengthy record of mental retardation diagnoses.

An average of various tests put his IQ slightly above 70, but within what is called a SEM -- standard error of measurement.

The state supreme court said Florida's law means any capital inmate above that benchmark cannot take the next step and present further mitigating evidence to demonstrate his mental capacity lacks culpability for his crimes.

During the high court's arguments, Hall's lawyer, Seth Waxman, said Florida and four other states -- Alabama, Idaho, Kentucky, and Virginia -- have ignored the court's precedent, trying to impose inflexible standards that go against the accepted views of professional psychologists.

"If a state conditions the opportunity to demonstrate mental retardation on obtained IQ test scores, it cannot ignore the measurement error that is inherent in those scores that is a statistical feature of the test instrument itself," Waxman told the bench.

Justice Anthony Kennedy, whose vote in the appeal may prove decisive, asked, "Is there any evidence that society in general gives substantial deference to the psychiatric profession in this respect?"

Justice Samuel Alito pressed for an acceptable standard that was different from Florida's benchmark.

"Does the Eighth Amendment permit a state to assign to the defendant the burden of persuasion on IQ above 75? Can they assign that burden above 70?" he asked. "Can they assign that to the defendant, and if they can what is the standard of proof that the defendant has to meet?"

Florida Solicitor General Allen Winsor said the defendant had five so-called Wechsler IQ tests conducted post-conviction and scored above 70 on all of them -- 71, 72, 73, 74, and 80.

"When you are dealing with things like mental diagnosis or things in the medical field generally, there is good reason for this court to do as it has historically, which is to defer to reasonable legislative judgments," Winsor said.

But Kennedy said professional clinicians have a built-in margin for error.

"It seems to me what the state is saying here in declining to use that, is that it declines to follow the standards that are set by the people that designed and administer and interpret the tests."

"Your rule prevents us from getting a better understanding of whether that IQ score is accurate or not because we cannot even reach the adaptive functioning prong" the clinical diagnosis that typically follows an initial IQ test, added Kennedy. "You prevent it at the outset."

Justice Sonia Sotomayor followed: "That's been the same in all medical diagnosis." Hall's lawyers are "just arguing that we should stay where it's always been, which is using the SEM."

Another issue raised parenthetically was whether Hall's 35 years behind bars amounted to cruel and unusual punishment.

Kennedy pointed out the last 10 people executed in the state average nearly 25 years on death row. Scalia suggested much of the delays were "because of rules that we have imposed" giving inmates multiple opportunities to appeal their capital sentences.

A ruling in Hall v. Florida (12-10882) is expected by June.

@highlight

High-profile Supreme Court precedent under examination again

@highlight

At issue is how state can define mental retardation in capital cases

@highlight

Appeal focusing on Florida says state's limits are too rigid