Almost everyone, from educators to government officials to industry experts, laments the lackluster abilities and performance of our nations' students in science, technology, engineering and math (know as STEM education).

Two indicators are particularly worrisome, especially as this country experiences greater global competition and high unemployment. American students score 23rd in math and 31st in science when compared with 65 other top industrial countries.  In math, we are beaten by countries from Lichtenstein and Slovakia to the Netherlands and Singapore.  In science, we are beaten by countries from New Zealand and Estonia to Finland and Hungary.

For the United States, which led the way in space after Sputnik and showed the way in technological development and economic growth for the last 40 years, this is more than an embarrassment.  And, for the future of our own GDP, economic well-being, and employer and employment needs, this is a disaster in the making. If the United States wishes to remain the most competitive and innovative country in the world -- never mind just another competitive and innovative country in the constellation of industrial nations -- this cannot stand.

As a report released this week from the President's Council of Advisors on Science and Technology found, "economic forecasts point to a need for producing, over the next decade, approximately 1 million more college graduates in STEM fields than expected under current assumptions."

Already, for many, the answer is to import the technological know-how that we need.  There is nothing wrong with importing high-skilled labor and expanding visas and citizenship quotas for those needs we can't meet ourselves, but should we not be able to do a better job in growing and training our own citizens and students first?

President Barack Obama brought attention to the problem this week while hosting the second annual White House Science Fair. Featuring more than 100 middle school and high school students with their various inventions, the president talked not just about the economic reasons important to our success in STEM education but also our historic — indeed, founding — commitment to it:

"[T]he belief that we belong on the cutting edge of innovation, that's an idea as old as America itself. ... You think about our Founding Fathers -- they were all out there doing experiments -- and folks like Benjamin Franklin and Thomas Jefferson, they were constantly curious about the world around them and trying to figure out how can we help shape that environment so that people's lives are better.

"It's in our DNA."

To tell students already engaged in experimentation, innovation and invention that scientific knowledge is in our DNA is more than appropriate.  But for too many students, it simply is not true today.

Indeed, when it comes to math and science, we don't just fail compared to other industrialized nations, we fail ourselves.  Only 26% of our nation's high school seniors perform at proficient levels or above in mathematics and only 21% of our nation's high school seniors perform at proficient levels or above in science.  And, when these students do enter college on a pathway toward a degree in science or engineering, nearly 40% of them switch majors in what one expert has called "the math-science death march."

To improve these numbers, and to become a nation strong in innovation again, will require a lot of work, but it is work that is doable. Here's how:

I.                   Front-load STEM-related teaching.  Tap into children's natural curiosity and teach it earlier in school, and recognize subjects like math and science are as important as English. One recent story out of Chicago showed the benefit to students in learning math as early as preschool, where the lessons are integrated into "story time, puzzle time, just about any time of the day."

II.                Recognize that teachers, especially in the early grades, need training in math so  they can integrate it as much as possible into children's school life and curriculum.

III.             Do not segregate math and science classes from the rest of the school building or coursework. Turn away from the notion of specialized elementary and secondary schools whose focus is on math and science. These areas of study should be in all schools and deemed a critical part of each and every school's broad curriculum.  Students who excel in these areas should not be seen as "different" or libeled as "special" or worse.

IV.             Each and every class taught, where possible and relevant, should adopt forms of mathematical and scientific methods in its pedagogy, engage in practices of "building models, arguing from evidence and communicating findings" so as to "increase the likelihood that students will learns the ideas of science or engineering and mathematics at a deeper, more enduring level," as two STEM scholars recently suggested.

V.                School districts and principals should avail themselves of nonprofit organizations that are dedicated to supplemental training of teachers in STEM areas.  Most good teachers want additional training. And most adults cheer when students light up in these areas after they are inspired by a great teacher. Many of us have seen the Chevron commercial that shows an eighth grade student, Kaisaiah, building a robot and calling science "cool," with the help of Project Lead the Way (to which I'm a senior adviser).  Enterprising organizations such as Project Lead the Way host additional training for teachers.  Students who take courses from these teachers are more interested and dedicated to their coursework than those who are not. With teachers who can show the relevance and fun of STEM education, we can nurture more students to build the kind of experiments and models one sees at events such as the White House Science Fair.

We now know from study after study the value of great teachers.  Quite simply, the effect of a quality teacher on a child's life is monumental. Corporations should further endow nonprofits dedicated to enhancing teachers' abilities, and school districts and principals should further utilize these auxiliary institutions.

In the end, the test of whether we should do better at teaching STEM education does not require an analysis of what our leaders of industries say they are looking for or what international tests show as our failings. It is simply this:  Ask any adult not employed in a STEM area of work: "Don't you wish you studied and appreciated math and science courses earlier in school?"  The answer almost always is going to be: "yes."  And so, too, should it be for students now ... not adults later.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

@highlight

Reports show America is losing its competitive edge in math, engineering, science, technology

@highlight

William Bennett: We must do a better job in training our citizens and students in STEM fields

@highlight

Bennett offers 5 ways in which we can improve national math and science education

@highlight

He says that if America wants to stay on top, it has to do more to help students and teachers