(CNN) -- A major humanitarian crisis is unfolding in northern Sri Lanka with 250,000 unprotected civilians trapped in the crossfire between government troops and rebel forces, the Red Cross says.

A civilian, injured during fighting in rebel territory, lies on a bed at a hospital in Vavuniya on January 16, 2009.

The International Committee of the Red Cross (ICRC) has appealed to both sides to facilitate the movement of civilians out of the combat zone which has seen intensified fighting.

"People are being caught in the crossfire, hospitals and ambulances have been hit by shelling and several aid workers have been injured while evacuating the wounded," Jacques de Maio, ICRC head of operations for South Asia in Geneva said in a statement on the ICRC Web site."

The violence is preventing the ICRC from operating in the region.

In the capital, Colombo, Indian foreign affairs minister Pranab Mukherjee huddled Wednesday with Sri Lankan President Mahindra Rajapaksa on the potential humanitarian crisis.

"The Sri Lankan government has reassured that they would respect the safe zones and minimize the effects of conflict on Tamil civilians," Mukherjee said.

His discussions with Rajapaksa also envisioned a post-civil war Sri Lanka.

"We will work together with the government of Sri Lanka to enable all Sri Lankans, and particularly the Tamil community who have borne the brunt of the effects of the conflict, to lead normal lives as soon as possible," Mukherjee said.

But for now, the ICRC says hundreds of patients are in need of emergency treatment and evacuation to Vavuniya Hospital in the government-controlled area and has urged that humanitarian assistance be unhampered in the Vanni region.

"When the dust settles, we may see countless victims and a terrible humanitarian situation, unless civilians are protected and international humanitarian law is respected in all circumstances," Maio said.

"It's high time to take decisive action and stop further bloodshed because time is running out."

Meanwhile, U.N. Secretary-General Ban Ki-moon has also called for the safety of civilians as humanitarian groups try to provide aid to people trapped in the region.

"The secretary-general is deeply concerned about the safety and well-being of civilians caught in intensified fighting in the Vanni region of Sri Lanka," a spokesman for Ban said in a statement Monday.

Ban called on the government and the separatist Tamil Tigers to respect "no-fire zones" and civilians areas, including schools, hospitals and humanitarian posts. He also asked both sides to allow civilians trapped in the fighting to move to "safe areas."

Sri Lankan soldiers seized a key rebel stronghold in a surprise attack Sunday, even as humanitarian agencies feared for the safety of civilians.  Watch a report on the recent fighting »

"It's an incredibly serious situation," James Elder, a U.N. spokesman, said Monday. "We have a very large number of people, including tens of thousands of children, trapped in a fast-shrinking conflict zone."

Troops crossed a lagoon and entered the town of Mullaittivu before encountering heavy resistance from Tamil fighters, according to the government-run news agency.

"Our troops fought their way through a 40 km (25 mile) thick jungle track," Lt. Gen. Sarath Fonseka said in a televised address Sunday.

"This is the long-awaited victory and I am happy to say that our heroic forces today captured the Mullaittivu town after 12 years," the Sri Lanka Army chief said.

There has been no confirmation from the rebels that the strategic garrison has been overtaken.

The Liberation Tigers of Tamil Eelam (LTTE) -- commonly known as the Tamil Tigers -- have fought for an independent homeland for the country's ethnic Tamil minority since 1983. The civil war has left more than 70,000 people dead.

The rebels gained control over Mullaittivu in 1996 and established a military garrison there, according to the government.

In recent days, the military has said it has made significant progress in its campaign to recapture rebel strongholds.

Earlier this month, troops regained control of the northern town of Elephant Pass, the point at which mainland Sri Lanka links to the northern Jaffna peninsula.

It had been in rebel hands for more than nine years.

The recapture enabled the government to use a highway linking the mainland to the peninsula to move troops and supplies. Previously, it was done by air and sea.

"The area that the LTTE has dominated has shrank phenomenally," Sri Lankan High Commissioner to India, C.R Jayasinghe, told CNN. "They lost ... about 90 percent of what they had."

@highlight

NEW: ICRC says hundreds of patients need emergency treatment and evacuation

@highlight

NEW: Intensified conflict is preventing the ICRC from operating in the region

@highlight

NEW: Indian foreign affairs minister meets with Sri Lankan President over the crisis

@highlight

U.N. asks both sides to allow 250,000 trapped civilians to move to "safe areas"