Doctors are looking for more information about a "polio-like syndrome" that has caused paralysis in a few children in California.

Neurologists have identified five patients who developed paralysis in one or more of their limbs between August 2012 and July 2013. All five children had been vaccinated against the poliovirus. Treatment did not seem to help the children regain their motor function.

Samples from two of the children tested positive for enterovirus 68, a rare virus that has been linked to severe respiratory illness in the past. Samples from the other three children were not collected or tested soon enough to yield conclusive results, said Dr. Emmanuelle Waubant, a neurologist at the University of California, San Francisco.

Waubant and her colleagues will present a case report about these patients' illnesses at the American Academy of Neurology's annual meeting in late April. They are asking health care providers to be on the lookout for similar cases and send in samples from any patient exhibiting these symptoms.

Dr. Carol Glaser, chief of the Encephalitis and Special Investigation Section at the California Department of Public Health, said the state is aware of the paralysis cases but believes the risk to families is very low.

"We are evaluating cases as they are reported to us," Glaser said in an e-mail to CNN. "We have not found anything at this point that raises any public health concerns."

The poliovirus has been eradicated in the United States for more than 30 years. Only three countries in the world are not yet free of the disease: Afghanistan, Pakistan and Nigeria, according to the World Health Organization.

Why polio hasn't gone away yet

Poliovirus is part of the Picornaviridae family, which also includes enteroviruses and rhinoviruses (better known as the common cold). There are more than 100 types of enterovirus that cause 10 million to 15 million infections in the United States each year, according to the Centers for Disease Control and Prevention.

Most people who become infected with an enterovirus do not get sick or experience only mild symptoms, said Dr. Steven Oberste, chief of the Polio and Picornavirus Laboratory Branch at the CDC. Common symptoms include fever, runny nose, cough, skin rash and body aches.

Enterovirus is often the cause of "summer colds," whose cases spike in July, August and September. Children and teens are more likely to fall ill because they have not yet built up immunity to these common viruses.

However, some types of enterovirus are more serious. These can cause hand, foot and mouth disease; viral meningitis; encephalitis (inflammation of the brain); an infection of the heart; and paralysis in some patients.

Enterovirus 68 was first identified in a California lab in 1962, after four children came down with a severe respiratory illness. Between 1970 and 2005, only 26 cases of enterovirus 68 in the United States were reported to the CDC. Since 2000, the government agency has kept a closer watch and has seen 47 cases, Oberste said. Outbreaks have occurred over the years in Asia and Europe, but it's still one of the rarest types of enterovirus.

More common -- and more concerning to health officials -- is enterovirus 71, which was discovered by the same California lab in 1969, Oberste said. Enterovirus 71 is usually associated with severe neurological issues, including aseptic meningitis, polio-like paralysis and encephalitis. Waubant is not sure if the samples from this latest group of patients were tested for enterovirus 71.

According to a CDC report, several outbreaks of paralysis caused by enterovirus 71 were seen in Europe in the 1960s and 1970s. In the late 1990s and early 2000s, fatal encephalitis was a big problem in Malaysia and Taiwan.

"Ever since then, the virus has circulated in high levels in Southeast Asia," Oberste said.

In recent years, the outbreaks have spread to Australia; a cluster of cases near Sydney drew media attention in 2013.

Between 1983 and 2005, 270 cases of enterovirus 71 were reported in the United States. But none has resulted in a larger outbreak, despite the virus's infectious nature.

"That's the really odd thing," Oberste said. "We see cases from time to time in the United States. Occasionally they'll be severe. Basically it's identical to what's circulating in Asia ... but it doesn't cause the same big outbreak in disease. And we really don't know why."

The CDC is aware of the small cluster of cases in California but is not actively involved in an investigation, a spokesman told CNN. Waubant and her colleagues don't want to alarm anyone with their case report presentation; they're simply seeking help in finding the cause of these seemingly connected cases.

"We would like to stress that this syndrome appears to be very, very rare," one of Waubant's colleagues, Dr. Keith Van Haren, said in a prepared statement.

Parents need to know that vaccination is key to preventing polio from returning to the United States, Glaser said. While there is no vaccine to protect you from a non-polio enterovirus, washing your hands frequently and avoiding close contact with others who are sick can help.

@highlight

Five children in California have a "polio-like syndrome," according to neurologists

@highlight

Two of the children tested positive for enterovirus 68, a rare type of enterovirus

@highlight

Another type, enterovirus 71, is more commonly linked to paralysis

@highlight

Both are uncommon in the United States; state health officials say risk is very low