That foods can soothe, reduce anxiety and boost your mood is well known to anyone who has kept a vise grip on a pint of Chunky Monkey at midnight or dived into the deep end of a party pack of chips at the end of a day gone awry.

In a perverse way, ice cream and chips do represent a fast-track to happiness. A load of simple carbohydrates provides an instant lift because carbohydrates trigger the rapid release of serotonin, the mood-elevating "happy hormone." When the brain produces serotonin, we experience a calming effect.

But the problem with a simple carb overload is that it sets off a physiological chain reaction that wreaks havoc on the body. It also taxes the adrenals, suppresses the immune system for hours after intake and generally leaves a person feeling sluggish and off-kilter. And then there's the sugar crash.

Caffeine is no panacea either.

"People who are working a lot and not getting enough sleep often reach for that extra cup of coffee because they think it's going to help them. But in reality the caffeine makes things much worse," says Marjorie Nolan, a registered dietitian. "When you're anxious and stressed out, your body is already stimulated. Add caffeine, which is a stimulant, on top of that, and you're setting yourself up to crash and burn a few hours later. Plus, you're dehydrating yourself, which makes you feel even more fatigued and stressed. You also end up depleting valuable hormones in the long run."

Manuel Villacorta, a Bay Area-based registered dietitian and specialist in sports nutrition, says, "We used to have to run for our lives, literally, but we're not doing that anymore. Now most of us are sitting for our lives and livelihoods. People think all that sugar they eat is going to their cells -- and some of it does. But the extra sugar floating around is going straight to the fat cells. It usually builds up in your waistline. And that's how stress is related to gaining weight."

What's more, says Villacorta, another side effect of stress eating is that your brain becomes conditioned to want the cookies, bagels, chips and doughnuts.

"Over time, your brain creates these reward pathways. And come 2 p.m. to 3 p.m., you're craving those doughnuts. And that's when you become vulnerable, because once those reward pathways have been created, willpower alone is not going to work so well for you anymore."

I imagine my biggest vice, an oatmeal chocolate chip cookie, happily rolling down its very own reward pathway in my brain. So what do you do then?

"You need to create a new pathway, a new happy memory," Villacorta says. "I tell my clients that when afternoon comes and you have those cravings, maybe what you need to do is get up and take a two-minute walk. Or take 10 deep breaths, which will also help lower cortisol levels. Maybe you really are hungry, in which case you need to eat something both satisfying and nutritious. You have to find other ways of channeling the energy and coping."

Robin Kanarek, interim dean of the Friedman School of Nutrition Science and Policy at Tufts University, speaks to the psychology of stress eating: "Food is more than nutrition. It can have nutritional value, but it also has cultural and social value. Sometimes our beliefs about food may be influencing behavior as much as the nutrition."

She cites one study in which students were sent either a doughnut or banana, both with an equal of number of calories and sugar grams. The students who were given a doughnut reported feeling worse about themselves and their body image after they ate it.

In a second study, subjects were provided with the same milkshake, except one group was told it was high in calories, while the other was told it was low. The people who thought they had a high-calorie shake were much more likely to indulge in Ring Dings (frosted cream-filled devil's food cakes) afterward. "The thinking was, 'I've already messed up so I might as well keep eating.' "

Kanarek recommends having healthy snacks handy.

"Most people have a lull around 3 p.m. If you're stressed out and all you can find is junk food from the vending machine down the hall, you may start this cycle that can lead to even more stress," she says. "Having some fruits and vegetables readily available lets you indulge in something sweet that tastes good and has nutritional value, without the snowball effect."

According to Villacorta, when it comes to eating to reduce stress, your general goal is twofold: boost the happy hormones (serotonin and dopamine) and reduce the stress hormones (cortisol and adrenaline), which take a toll on the body over time.

Nolan and Villacorta, both national representatives for the Academy of Nutrition and Dietetics, offer nutrition-based recommendations for combating stress, including:

Indulging in complex carbs. All carbs prompt the brain to produce more serotonin. The trick is to stick to more complex carbohydrates because they digest more slowly and keep blood sugar levels stable. Nolan suggests a bowl of oatmeal, whole grain, high-fiber breads and pastas, beans and lentils, which are packed with B vitamins to help keep up energy levels. Villacorta also recommends quinoa, sweet potatoes and fruit.

Crunching some veggies. According to Nolan, crunchy raw veggies such as baby carrots, celery and radishes are great stress reducers because the act of crunching releases tension in the jaw without adding many calories.

Eating the right kind of fat. Foods high in Omega-3 fatty acids -- walnuts, almonds, flaxseeds, pine nuts, wild tuna and salmon -- help control unhealthy surges in stress hormones. They are also protective against mood disorders such as depression and are important for brain function. "If you are able to think clearly, you will be better equipped to deal with stress," Nolan says.

Increasing your C. Vitamin C-rich foods, such as citrus fruits, do double duty because they can reduce stress hormone levels even as they boost the immune system, which is often compromised when we are under a lot of stress.

Drinking tea. Studies show that theanine, an amino acid found primarily in green tea, can have a calming (but not drowsy) effect while helping to lower elevated blood pressure.

Ultimately, the big picture that emerges is much less about short-term solutions and more about creating a diet filled with less processed, more wholesome foods that can provide greater health, well-being and energy -- foods that can also help shore up the immune system by counteracting the pervasive stress in most of our lives.

"You have people consuming these 'light,' 40- to 60-calorie snacks, with lots of additives and very little nutrition," Nolan says. "With the sight and smell of food, and the chewing, our digestive enzymes are released. But lo and behold, 20 minutes later, there is no actual 'food' to be had. Our body isn't digesting anything remotely nutritious and thus isn't satiated. That can trigger a low-grade stress hormonal response, and when it's happening over and over again, it's really taking a toll on our bodies."

(If you're having trouble figuring out how to make better choices as you're wandering the supermarket aisles, check out Fooducate and ShopWell -- two smartphone apps and also websites that offer suggestions for healthier food alternatives.)

"Eat the right combinations of real food at the right time," Villacorta recommends. "Your body will be less taxed, and it will also be better able to handle stress."

@highlight

Experts: Stick to more complex carbohydrates because they digest more slowly

@highlight

Crunchy raw veggies like baby carrots, celery and radishes reduce stress, dietitians say

@highlight

Foods high in Omega-3 fatty acids help control surges in stress hormones, they say