Usually, airstrikes, rebels seizing control of oil fields and refineries, plus a severe refugee crisis are a recipe for market panic.

That is the situation unfolding in Northern Iraq, but without a spike in prices, even though energy companies are retrenching.

There's been a growing list of small and medium sized explorers who have suspended operations: London listed Afren, Dublin based Petroceltic and Abu Dhabi National Energy Company, known as TAQA here in the UAE. Chevron, a major oil company, is trimming non-essential staff and others will likely do the same.

Gulf Keystone, an early mover in the Kurdish Region, said the situation is not good, but after fortifying their facilities, production is holding steady at 25,000 barrels a day.

What we have now, after the initial panic when ISIS made its move into Iraq, are two distinct camps: Explorers suspending operations and producers battening down the hatches and producing as best they can. According to the Kurdish Regional Government, supplies up north are still above 300,000 barrels a day.

Tucked into the IEA's latest monthly report is one of today's harsher realities: ISIS has taken control of seven fields, which typically produce about 80 thousand barrels a day. Energy and security sources here in the region tell me that oil is starting to find its way onto the black market, offered at a heavy discount.

Beyond the fighting, other complex problems still exist that could easily tilt the balance in Iraq. In Baiji, near the country's center, 300,000 barrels of refining capacity is off-line after ISIS rebels fought for control, according to the Iraq Energy Institute's Luay al-Khatteeb.

Oil is being exported via pipeline from the Kurdish region through the Port of Ceyhan in Turkey.  Tankers have sailed, but Baghdad is blocking sales with an on-going dispute over who actually controls that oil.

Despite all that, Iraq continues to supply the market with an ample level of crude.  According to the IEA's monthly report, overall production is 3.1 million barrels a day, down slightly from the month before.  Exports are up again to 2.44 million and that is what the market is concentrating on.

But there is a price to pay for the violence in the north and political in-fighting in Baghdad. The country's original target of expanding capacity to over 4 million barrels a day will be missed, according to al- Khatteeb.

With this level of uncertainty, the international oil companies (IOCs) may tighten their purse strings, waiting to see if the U.S. intervention can help stabilize the country before committing more money for exploration and production.

The big bounty for Iraq and the energy majors remains the oil rich south around Basra which, despite initial security threats against international oil workers, is pumping and exporting crude at near record levels.

BP initially trimmed staff when ISIS began its march into Iraq, but at the end of July, CEO Bob Dudley went out of his way to assure investors production is back up to normal with plans for expansion.

"The Rumaila field is now the second largest producing field in the world at about 1.4 million barrels per day," said Dudley. "If you think about the map of Iraq, it is down in the bottom of the funnel, near the Kuwait border, in the desert, in an unpopulated area."

Lukoil has put $4 billion into the West Qurna 2 field in the south -- one of the world's largest oil fields -- and despite initial delays is still producing 300,000 barrels a day without interruption.

What we have learned in the past two months of fighting, is another harsh reality: Money talks.

Iraq may have difficulty staying glued together as a country or even passing a petroleum law to govern revenue sharing, but securing production and distribution have been paramount. And that persistence earned the country $53 billion last month alone.

REA D MORE: Iraq's 'new reality' shakes global oil markets

READ MORE: Why does the U.S. intervene militarily in Iraq but not in Syria?

@highlight

Airstrikes, rebels seizing oil fields and a refugee crisis would normally spell market panic

@highlight

But in Iraq, which has dealing with all three issues, oil prices have remained steady

@highlight

The militants storming the country's north have not taken the country's oil-rich south

@highlight

And investment is still being pumped into the region,  John Defterios writes