LONDON, England (CNN) -- Imagine if cars ran on household waste, if gas tanks were filled with ethanol made from wood chips. Well, the technology to make it happen is already a reality and companies are now racing to bring this kind of fuel to a gas pump near you.

Waste wood can be used to produce ethanol to fuel cars.

With the right processing, ethanol can be produced from pretty much any form of organic matter.

Cellulosic ethanol is made from the cellulose found in waste materials like wood chips and the non-edible parts of food crops, or from purpose-grown grasses such as switchgrass and miscanthus.

These grasses can be grown on land unsuitable for food production, meaning they're not in competition with food crops, and the whole plant can be used to produce fuel, making them a more efficient use of land than traditional biofuels.

Because cellulosic ethanol takes much less energy to produce than traditional biofuels, it's an even greener alternative to gasoline. According to the U.S. Department of Energy, cellulosic ethanol produces 85% less greenhouse gases than gasoline.

So far, the production of cellulosic ethanol has been limited to pilot plants demonstrating that the technology works, but a number of companies have announced plans to build commercial-scale plants.

INEOS Bio, an offshoot of UK-based chemical company INEOS, is soon to announce the location of its first commercial plant, which will produce ethanol from waste materials.

The INEOS Bio method involves superheating biomass to produce a synthesis gas that is converted to ethanol by microbes, meaning it utilizes the lignin content of the waste as well as the cellulose.

"We can use a wide range of materials but we want to stick with biodegradable materials. That could be household waste, garden waste, agricultural waste or forestry waste," a spokesperson for INEOS Bio told CNN.

"One of the exciting things is that a production plant could well be in a big city, allied to their waste disposal issues. We can take waste and rather than put it into landfill, we can turn it into ethanol.

"This is not a specialist thing; it's not for a few people here and there. We believe we'll be able to mass produce this for millions of cars. And if you use ethanol as a blend with gasoline, which is how it's most commonly used, you could find almost every car is one day running on this," the spokesperson added. How do you think our cars will be fuelled in the future?

Governments have already committed to using biofuels of some kind as a substitute for gasoline. The EU has required that 10% of petrol and diesel will come from renewable sources by 2020 and the U.S. is aiming to produce 36 billion gallons of biofuel annually by 2022.

Currently, biofuels are mostly produced from sugar cane, grain or oil-seed crops, but increasing demand for biofuels has meant an increasing demand for the crops used to make them, and that demand has been blamed for driving up global food prices.

There have also been claims that biofuel production in developing countries is accelerating the destruction of rain forests and doubts have been raised about the effectiveness of traditional biofuels in reducing greenhouse gases. The result is that attention is now turning to producing biofuels from other sources.

INEOS is one of the world's largest chemical companies and the involvement of big corporations is a sign that the technology is being taken seriously. General Motors has joined forces with U.S. firms Mascoma and Coskata, and Dupont has teamed up with Genencor to develop cellulosic ethanol, promising $140 million of funding for the project.

But cost is king and according to Neil Harl, emeritus professor of economics at Iowa State University, price is ultimately what will determine if cellulosic ethanol becomes the fuel of the future.

"You have to do more than demonstrate that it can be done, you have to show that it can be done profitably," says Harl, citing a 2007 IMF report on biofuels that describes cellulosic ethanol as twice as expensive to produce as gasoline and 75% more expensive than corn-based ethanol.

However, that report was based on oil trading at $65 a barrel and higher oil prices make alternatives like cellulosic ethanol increasingly attractive options, especially when you factor in technological advances.

"Right now funds are flowing out to new technologies but I think it really is going to come down to a question of what will emerge from this array of technological possibilities," says Harl.

"As we move forward the question becomes 'what is going to be the long-term least-cost energy source?'"

@highlight

Cellulosic ethanol can be made from wood, grasses or the waste parts of plants

@highlight

INEOS Bio is set to start commercial production of ethanol from waste products

@highlight

Production must become more economical if cellulosic ethanol is to succeed