(CNN) -- Family and friends of a well-known literary translator in Iran are concerned for his well-being after he was detained for unknown reasons nearly two weeks ago.

Mohammad Soleimani Nia, 39, has been held since January 10, according to a source close to his family.

The family doesn't know where he's being detained or why he's being questioned, but they fear he is in solitary confinement at Tehran's notorious Evin prison, according to the source. The prison is known for its harsh conditions.

Soleimani Nia's family is "so worried about his health," said the source, who did not want to be named for safety reasons. "He's not a strong person physically."

His ordeal began in late November when he was questioned by security and intelligence officers. Friends and family aren't sure the motive behind that questioning as phones are monitored in Iran and Soleimani Nia was tight-lipped about the experience, which resulted in him being banned from leaving the country, according to the source.

On January 10, officials called him to the Revolutionary Court, where he reported that morning. The court hears cases of smuggling, blaspheming, inciting violence or trying to overthrow the Iranian government.

After arriving at court, he was accompanied by security guards to the home he shares with his parents in Karaj, outside Tehran. The guards searched the house, seizing electronic devices and documents, and prohibited Soleimani Nia from speaking to his parents, the source said.

His whereabouts have been unknown since the guards left the home with Soleimani Nia in their custody.

Firoozeh Dumas, an Iranian-American author whose best-selling book "Funny in Farsi" Soleimani Nia translated for the Iranian audience, described her friend as "a very gentle soul."

"He's a very innocent, very delicate man," Dumas said, adding, "I don't think he would physically survive" the harsh conditions of prison.

The source close to the family offered a similar description: "He's a gentle, polite person," comparing his manner of speaking to "how poets and writers talk."

Both Dumas and the source were adamant in describing Soleimani Nia as someone who is not involved in Iran's politics, making the reason for his detainment even more of a puzzle.

"He made a point of distancing himself from politics," Dumas said.

Soleimani Nia's mother has gone to court daily to arrange a supervised meeting with her son, the source said, but each day she is told that he is still being interrogated. The family has tried to obtain a lawyer for Soleimani Nia, but they've been advised that until he has been formally charged, they cannot take up his case, according to the source.

In addition to his translating work, Soleimani Nia also runs a social media network in Iran called U24, similar to LinkedIn. The site has 60,000 members.

"He's basically somebody who likes to connect artists and he's never made any money -- he's somebody who is in it for the higher good," Dumas said. "He's always pursued things that have really benefited the people of Iran."

Soleimani Nia's case is just one of thousands circulating through Iran's justice system -- many as a result of religious or political persecution. But unlike the recent high-profile cases of American hikers detained for more than two years or a former U.S. Marine sentenced to death for espionage, many of those detainees' stories are never made public.

Iran's notoriously secretive trials have been assailed by human rights groups and governments around the globe.

The U.S. State Department's annual human rights report on Iran says the court system is, in practice, "corrupt and subject to political influence." And while the country's constitution provides a defendant the right to a public trial, presumption of innocence, and a lawyer of his or her choice, "These rights were not respected in practice."

For his family and friends, the lack of information is gut-wrenching.

"A man is in jail for no reason whatsoever and no one has heard from him," Dumas said, her voice breaking. "It's a nightmare. This is this man's life and I think about his parents and I got physically sick when I heard the news."

CNN's Mitra Mobasherat contributed to this report.

@highlight

Mohammad Soleimani Nia has been detained since January 10 for unknown reasons

@highlight

He translated "Funny in Farsi," a best-selling book by an Iranian-American author

@highlight

His family is worried about his health in harsh prison conditions