Washington (CNN) -- The Food and Drug Administration proposed two new rules Friday that it estimates could eliminate up to 1.25 million foodborne illnesses each year from such pathogens as Salmonella, Listeria and E. Coli.

The new regulations are part of the 2011 Food Safety Modernization Act, which aims to make the agency more proactive at preventing outbreaks.

Each year one out of every six Americans gets sick from foodborne illnesses, according to estimates by the Centers for Disease Control and Prevention. Roughly 128,000 people are hospitalized and 3,000 die.

"We really need to do more than react after the fact," FDA Commissioner Dr. Margaret Hamburg said in a news briefing. "Preventing problems before they cause harm is not only common sense, it is key to food safety in the 21st century."

One rule requires "science-based standards for growing, harvesting, packing and holding produce on domestic and foreign farms." It addresses a variety of possible routes of food contamination including the manure used as fertilizer, water sprayed on crops, animals in the fields, whether workers wash their hands and how packing houses process foods.

The other rule sets out guidelines for "preventive controls for human food" and would require companies to have plans for foodborne illnesses.

"It's basic common sense," said Michael Taylor, FDA deputy commissioner for foods and veterinary medicine. "In each individual facility the operator simply must identify the potential hazards, identify the controls that can work ... to reduce those hazards, implement those controls on a continuing basis, document, keep records and then make corrections when needed."

The two proposed rules will be available for public comment for 120 days. If they go into effect as written, companies would have up to four years, depending on their size, to comply.

Food safety advocates applauded the new rules.

"This is a really important step toward food safety standards that would prevent contamination whether it is produced in a food factory or being produced on a farm," said Chris Waldrop, director of the Food Policy Institute at the Consumer Federation of America. "Unfortunately, It took a series of large foodborne illness outbreaks to make people wake up and say this is a problem that needs to be addressed."

Salmonella in peanut butter sickened 42 people last fall and cantaloupes tainted with Listeria infected 146 people and killed 30 in 2011, according to the CDC.

"You can just look at a couple of recent outbreaks that were quite serious in terms of burden of illnesses and they occurred because of problems that would have been addressed by these kinds of approaches," Hamburg said, without referencing specific incidents.

Still, concerns remain over whether the agency will be able to make the new rules work as intended.

"One of the key questions here is resources for FDA and making sure that FDA has enough money, enough resources to enforce this," Waldrop said.

When asked about the cost of the program, Hamburg was not able to provide a price tag.

"It's difficult to answer both in terms of overall cost and initial cost to implement," she said. "There will also be savings overall to the system and new efficiencies, and of course prevention of problems that would have taken a toll both in health and on industry and health care."

The agency expects private companies will enforce the new guidelines on their suppliers and counts on partnerships with local governments to help police them.

"FDA may do some inspections, but we have limited resources to inspect produce operations and we have a clear direction from Congress to collaborate with state agencies so we expect much of the oversight to come at the state and local level," Taylor said.

The FDA says additional rules are expected, including those addressing foreign suppliers, animal food and third -party auditors.

CNN's Athena Jones contributed to this report.

@highlight

Rules address produce safety and preventive controls for human food

@highlight

They will be available for public comment for 120 days

@highlight

The goal is to prevent outbreaks of foodborne illnesses, FDA commissioner says