Hong Kong (CNN) -- Several Chinese cities have shown improvements with air quality information -- a politically-sensitive issue in China -- but improvements are still needed, according to a Beijing-based non-profit environmental group.

The report by the Institute of Public and Environmental Affairs assessed air quality monitoring in 113 cities across China.

The cities with the most transparency in air quality data included Guangzhou, Shenzhen and Beijing, with the most improved cities being Guangzhou, Nanjing and Nanning.

Compared with the organization's last report based on 2010 data, Chinese cities have made significant progress, said Ma Jun, the founding director of the Institute of Public and Environmental Affairs.

"Some Chinese cities have moved forward," he said. "Among all 113 cities, there is still a large number of them which are not making proper disclosure."

In January, Beijing started releasing information about air pollutants in finer detail by looking at the presence of smaller pollutants, PM2.5, which are particulate matter smaller than 2.5 micrometers. The previous standard was PM10. Smaller particles are believed to pose major health risks including risks of premature death, heart and lung diseases, according to the U.S. Environmental Protection Agency.

Analysts blame the thick haze that regularly shrouds the country's cities on rapid urbanization and industrialization. Beijing, for instance, burned some 27 million tons of coal in 2010, according to state-run media.

Despite efforts to limit the number cars with an auto-plate lottery, it's estimated that Beijing now has over 5 million cars, up from about 3.5 million in 2008. Pollution is more acute because of the sheer size of the city's population (17 million) and the rapid speed of its economic growth, experts say.

Some cities need time to get new air quality monitoring machines and to train new staff to operate them, Ma said. The worst level of disclosure of city air quality data was in western China, he added. Western China is less industrialized than its eastern counterpart.

But economic differences may not fully explain why some cities lag in releasing air quality data.

"We do notice that there are some other cities which are highly polluted, for example steel cities in the Shandong province. Their pollution level is very high, but they are not making much disclosure," he said.

Chinese authorities have been accused of not properly assessing the extent of the problem, prompting U.S. diplomatic missions across China to provide air pollution information to the American community so that "it can use to make better daily decisions regarding the safety of outdoor activities," according to U.S. Officials in June. The U.S. readings are widely viewed as a reliable alternative to the official index maintained by China's Environmental Protection Bureau.

Derived from a monitoring station in each of the embassy grounds, they typically paint a starker portrait of air quality than official reports, often falling within "unhealthy" bands, as defined by a rating system developed by the U.S. Environmental Protection Agency.

But this independent monitoring has provoked an angry response in China. In June, a senior Chinese official demanded that foreign embassies stop issuing air pollution readings saying that embassies lacked legal authority to monitor the environment.

Beijing has now added 35 new monitoring locations and ranks as the top city in monitoring for smaller pollutants, according to the Institute of Public and Environmental Affairs' report.

By August 2012, over 55 cities and 192 places published PM 2.5 data, the report added.

"There have been progress significantly in a very short period of time -- thanks to the push made by extensive public participation," Ma said.

Despite some progress, other Chinese cities have lagged behind. Twenty-nine cities, including Chongqing â€” China's biggest metropolis -- Hohhot, Zhengzhou, Shenyang, Jinan, Hefei, Changsha and Urumqi, did not publish any information.

Cities with highest air quality information transparency

1. Guangzhou

2. Shenzhen

3. Dongguan

4. Zhongshan

5. Beijing

Cities with lowest air quality information transparency

1. Jingchang

2. Qujing

3. Rizhao

4. Jining

5. Weifang

@highlight

Environmental group examines air quality monitoring in 113 Chinese cities

@highlight

Report by environmental nonprofit examined openness of Chinese air quality data

@highlight

But 29 Chinese cities publish no data about air pollution