London (CNN) -- It may be the biggest salvage operation in history, but no one would accuse it of being the fastest.

Now, two and a half years after running aground and sinking off the coast of Italy, the Costa Concordia cruise liner is almost ready to make its final voyage.

If everything goes to plan, over the next couple of weeks the rotting 951-foot vessel will be re-floated and towed north from the Italian island of Giglio -- its resting place since it capsized in January 2012, killing 32 passengers and crew in the process -- to the port in Genoa to be dismantled.

But let's not get ahead of ourselves. There's a lot of work to do before this decaying husk of a ship is back out on the open seas, and there's a lot that could go wrong in the meantime. CNN contributor Barbie Nadeau is writing a book about the Concordia, so we asked her to break down the big questions for us.

What's happening now?

Before the Concordia can be towed away, it first has to be re-floated. That process starts Monday, when crews will attempt to lift the 114,000-tonne ship off of the underwater platforms that it's been resting on since it was "parbuckled," or rolled upright, last year.

The re-floating process will take around five days. 30 huge steel hollow boxes, or sponsons, attached to either side of the Concordia are being pumped full of compressed air to give the ship buoyancy. Crews raised the ship two meters in the first six hours Monday before moving the ship off of its underwater platforms.

Crews will now check it for fissures, clean it and attach the flotation devices on each side together under the bottom of the boat with giant chains and cables, creating a false bottom.

Workers will then raise the decaying cruise liner one deck at a time by pumping more air into the sponsons. Each deck will take approximately six hours to raise and clean. Once they've raised the Concordia three decks above water, Italian environmental officials will inspect it for leaks. Then it's tow time.

When will it be towed and how long will it take?

With 60,000 tonnes of salvage gear attached to its 114,000 tonne frame, the Concordia isn't exactly a speedboat. Traveling at a maximum speed of two knots (2.3 miles per hour), it will take about five days to tow the ship to Genoa, roughly 200 miles north of Giglio.

It could happen as early as July 18th, but only if the weather grants the salvage team a clear five-day forecast. It's just too risky to attempt to tow the decomposing liner through anything less than calm waters.

The ship's been upright since September. What's taken so long?

Weather has accounted for a number of delays. It was September 2013 (more than 18 months after it sank) by the time the stricken vessel was rotated upright, and the ideal time to tow it away had already passed for the year. The Mediterranean is at its most tranquil from mid-July to early August, so salvage crews spent the past 10 months making final preparations for this window of time.

Interactive: How the ship was tipped upright

What does Greenpeace have to say about this?

Greenpeace has chartered a ship to monitor the Concordia operation. The environmental group is concerned that the ship will leak a trail of toxins into the Mediterranean during its five-day voyage to Genoa, and says the fragile liner should be taken to Piombino, a much closer port that could be reached in a single day.

So why is the Concordia going to Genoa?

The port at Piombino may be closer, but it would need to be dredged in order to be deep enough to take the Concordia. The port wouldn't be ready until the end of September, and by then the weather conditions would make Mediterranean waters too choppy to navigate until this time next year.

Costa Crociere, the firm that owns the Concordia, also runs a large part of Genoa's port. The company wants to bring what's left of their former marquee ship back to their home port, rather than having to keep tabs on it from afar. Costa also wants to recycle intact parts of the ship -- engine components, plumbing structures, anything else that's waterproof -- and use them in their other cruise liners.

How long will it take to "recycle" the Concordia?

It will take around 125 workers between 18 months and two and a half years. Once the Concordia's in Genoa, crews will construct a giant tent over the ship and none of us will ever see it again. The front and the back will be dismantled first, and any possessions that passengers left behind as they fled the sinking liner will be returned to their owners.

How much is this all going to cost?

Costa Crociere's Michael Tamm said the operation has already cost an eye-watering $1 billion, and will top $2 billion or more by the time it's done. That's more than three times the $612 million than it cost to build in 2004.

What are the chances of the ship making it to Genoa?

An optimistic 80%, according to the salvage firm. The worst case scenario was that the ship could fall apart during the first six hours, but things appear to have gone well. The next biggest risk is that it could break while it's being towed through the waters off the coast of Corsica, which is where the Mediterranean's currents are the strongest.

Is this the end of the story?

Not at all. Once the Concordia leaves Giglio, a company will come in to clean up the mess left by the salvage firms. Giglio's residents, meanwhile, are debating whether to turn their new underwater salvage platforms into a dive attraction, or to tear them down.

Costa Crociere is also being sued by dozens of survivors of the accident, and the Costa Concordia's captain, Francesco Schettino, is on trial for manslaughter and abandoning ship.

READ MORE: Will missing shipwreck victim surface?

@highlight

Two and a half years after running aground in Giglio, Italy, the Costa Concordia is being re-floated

@highlight

32 passengers and crew were killed when the cruise ship capsized in January 2012

@highlight

Crews hope to re-float the Concordia and tow it from Giglio to the port in Genoa

@highlight

Dismantling the ship could take two years; the total cost of the wreck is projected to be more than $2 billion