Washington (CNN) -- A political standoff that spanned five decades and 10 presidents began to crumble Wednesday with President Barack Obama's move to normalize relations with Cuba.

The announcement was the product of a year of clandestine back-channelling between the U.S. and Cuba, facilitated by the Canadians and the Vatican and with personal involvement from the Pope.

"Today, America chooses to cut loose the shackles of the past, so as to reach for a better future for the Cuban people, for the American people, for our entire hemisphere and for the world," Obama said in a statement announcing his decision.

He added: "It's time for a new approach."

Obama said he's instructed Secretary of State John Kerry to immediately begin discussions with Cuba to re-establish diplomatic relations, and that the U.S. will re-open an embassy in Havana. The administration will also allow some travel and trade that had been banned under a decades-long embargo instated during the Kennedy administration.

"Neither the American nor Cuban people are well-served by a rigid policy that's rooted in events that took place before most of us were born," Obama said.

Obama's move risks triggering another fight with Congress, which will come under the full control of Republicans in January.

Sen. Marco Rubio, R-Florida, told CNN's Wolf Blitzer he would do everything in his power to block any potential U.S. ambassador to Cuba even receive a vote.

He also called the easing of economic restrictions "inexplicable" in a statement.

"Appeasing the Castro brothers will only cause other tyrants from Caracas to Tehran to Pyongyang to see that they can take advantage of President Obama's naiveté during his final two years in office. As a result, America will be less safe as a result of the President's change in policy," he said.

Rubio promised that as the incoming chairman of the Senate Foreign Relations Committee's Western Hemisphere subcommittee, he'll "make every effort to block this dangerous and desperate attempt by the President to burnish his legacy at the Cuban people's [sic] expense."

RELATED: Five reasons why the Cuba deal happened

Speaking at the same time as Obama from his own country, Cuban President Raul Castro lauded the move.

"This expression by President Barack Obama deserves the respect and recognition by all the people and I want to thank and recognize support from the Vatican and especially from Pope Francis for the improvement of relations between Cuba and the United States," he said.

Obama's announcement comes as both nations have released political prisoners in a show of goodwill, with American Alan Gross headed home on "humanitarian" grounds from Cuba early Wednesday morning. In a separate swap, a U.S. intelligence source held for 20 years was released in exchange for three jailed Cuban spies.

Obama said he and Castro spoke Tuesday in a phone call that lasted about an hour and reflected the first communication at the presidential level with Cuba since the Cuban revolution.

But some Republicans are warning the move will only strengthen the Castro regime in Cuba, which has long been accused of human rights abuses and is listed by the State Department as a state sponsor of terrorism.

Obama said Wednesday he has instructed Kerry, however, to review Cuba's place on the State Sponsors of Terrorism list.

Wednesday's announcement that the U.S. will move toward restoring diplomatic ties with Cuba will also make it easier for Americans to travel to Cuba and do business with the Cuban people by extending general licenses, officials said. While the more liberal travel restrictions won't allow for tourism, they will permit greater American travel to the island.

While only Congress can formally overturn the five decades-long embargo, the White House has some authorities to liberalize trade and travel to the island. And Obama said he plans to "engage Congress in an honest and serious conversation" on lifting it.

In an effort to boost the nascent Cuban private sector, the President will also allow expanded commercial sales and exports of goods and services to Cuba, particularly building materials for entrepreneurs and private residences, and allow greater business training, as well as permit greater communications hardware and services to go to the island.

Other announced changes permit U.S. and Cuban banks to build relationships and travelers to use credit and debit cards. U.S. travelers will be allowed to import up to $400 worth of goods from Cuba, including $100 in alcohol and tobacco -- even Cuban cigars. Remittances by Americans to their families back in Cuba will also be increased to approximately $2,000 per quarter.

Senior administration officials and Cuba observers have said recent reforms on the island and changing attitudes in the United States have created an opening for improved relations. U.S. and Cuban officials say Washington and Havana in recent months have increased official technical-level contacts on a variety of issues.

RELATED: Five reasons why the Cuba deal happened

Both Obama and Castro in their Wednesday remarks acknowledged the nations' differences remain.

"I do not expect the changes I am announcing today to bring about a transformation of Cuban society overnight," Obama said.

But he argued that "through a policy of engagement, we can more effectively stand up for our values, and help the Cuban people help themselves as they move into the 21st century."

Castro said that even as the two nations "recognize having profound differences — especially in national sovereignty, democracy, human rights and foreign relations policies — we reaffirm our willingness to dialogue in all of these area."

To that end, Cuba has agreed to release 53 political prisoners from a list of names provided by the United States. At least one of the prisoners has already been released. Havana has also agreed to permit significant access by its citizens to the Internet and allow the International Committee of the Red Cross and United Nations human rights officials back on the island for the first time in years.

Talks between the U.S. and Cuba have been ongoing since June of 2013 and were facilitated by the Canadians and the Vatican in brokering the deal. Pope Francis — the first pope from Latin America — encouraged Obama in a letter and in their meeting this year to renew talks with Cuba on pursuing a closer relationship.

Gross' release was seen as one of the first clear benefits of those talks.

Sen. Jeff Flake, R-Ariz., and Rep. Chris Van Hollen, Gross' Maryland congressman, left Washington at 4 a.m. Wednesday for Cuba, and returned with Gross and his wife, Judy, according to government officials.

Gross, speaking at a press conference Wednesday, said he's "very happy" with Obama's moves, and heaped praise on the people of Cuba, "or at least most of them."

"It pains me to see them treated so unjustly as a consequence of two governments' mutually belligerent policies," he said. "Five-and-a-half decades of history shows us that such belligerence inhibits better judgment. Two wrongs don't make a right."

Gross was arrested after traveling under a program under the U.S. Agency for International Development to deliver satellite phones and other communications equipment to the island's small Jewish population.

Cuban officials charged he was trying to foment a "Cuban Spring." In 2011, he was convicted and sentenced to 15 years in prison for attempting to set up an Internet network for Cuban dissidents "to promote destabilizing activities and subvert constitutional order."

Gross' lawyer, Scott Gilbert, told CNN last month the years of confinement have taken their toll on his client. Gross has lost more than 100 pounds and is losing his teeth. His hips are so weak that he can barely walk and he has lost vision in one eye. He has also undertaken hunger strikes and threatened to take his own life.

With Gross' health in decline, a bipartisan group of 66 senators wrote Obama a letter in November 2013 urging him to "act expeditiously to take whatever steps are in the national interest to obtain [Gross's] release."

The three Cubans released as a part of the deal belonged the so-called Cuban Five, a quintet of Cuban intelligence officers convicted in 2001 for espionage. They were part of what was called the Wasp Network, which collected intelligence on prominent Cuban-American exile leaders and U.S. military bases.

The leader of the five, Gerardo Hernandez, was linked to the February 1996 downing of the two civilian planes operated by the U.S.-based dissident group Brothers to the Rescue, in which four men died. He is serving a two life sentences. Luis Medina, also known as Ramon Labanino; and Antonio Guerrero have just a few years left on their sentences.

The remaining two — Rene Gonzalez and Fernando Gonzalez — were released after serving most of their 15-year sentences and have already returned to Cuba, where they were hailed as heroes.

CNN's Eric Bradner contributed to this report

@highlight

President Barack Obama announced on Wednesday plans to normalize diplomatic relations with Cuba

@highlight

The move will ease economic and travel restrictions with the island nation

@highlight

Cuban President Raul Castro hailed the move