Some people think International Women's Day, which comes right in the middle of Women's History Month, is overdoing it. If "underdoing it" were a phrase, it's the one I would use. On most days in most months, most women and girls aren't able to raise their voices. Because no one knows the challenges they face, they're forced to face them on their own.

On International Women's Day, however, we make a point of hearing the voices of every woman and girl. Today, we make sure that every woman and every girl counts -- literally.

I'm talking about a project that combines two of my favorite topics: women's empowerment and data. The media sometimes call Bill and me "data nerds." I'm not sure they mean it as a compliment, but I wear it as a badge of pride anyway. Data is not boring. If you use it right, it tells the hidden stories of millions of women and girls.

That's why the Gates and Clinton Foundations are teaming up to conduct a global review of the status of women and girls everywhere. Where they're thriving -- and why. Where they're being held back -- and why. This initiative is called No Ceilings: The Full Participation Project.

The seed for this project was planted in 1995 at the Fourth World Conference on Women. That's where Hillary Clinton gave her famous speech declaring "women's rights are human rights." It's also where 189 countries came together to agree on an agenda for women's equality. Now, nearly 20 years later, it's time to check in to see whether we're meeting those goals.

My husband Bill and I used a trove of data to drive our decision making at Microsoft, and we brought that mentality to our work at the foundation, though the data is much harder to come by when it comes to development. It's troubling that it's possible to produce precise reports about software sales in Kansas, but we have only rough estimates of how many mothers die during childbirth every year.

Why is data an indispensible tool for improving the lives of women and girls? First, it helps us make the case to world leaders that empowering women isn't just the right thing to do, it's the smart thing.

The data says that women spend 90 cents of every dollar they make on their children. They prioritize things like health care, nutritious food, and education. As a result, a child in a household where the mother controls the budget is 20% more likely to survive -- and much more likely to thrive.

Healthier, more educated children today means a stronger workforce tomorrow. I've seen firsthand that this argument resonates with finance ministers -- even those who are otherwise skeptical about the need to invest in women and girls.

There's another reason data is so important. It helps us see where women and girls are being left behind, so we know where to target resources. For example, in the Indian state of Bihar, data showed that women were dying during childbirth at alarming rates and giving birth in hospitals at very low rates.

In response, health officials decided to encourage women to give birth in hospitals and to improve the quality of care in delivery rooms. Now, our partners in Bihar are collecting data every six months to monitor their progress and adjust their strategies as necessary to keep getting better results.

Above all, data is powerful because of the women behind it. We should never lose sight of the fact that every data point represents a mother, a daughter, or a sister. Every data point represents big dreams for the future.

On a recent trip to Tanzania, I met women who had pooled their savings. With their shared funds, they bought chickens so they could sell eggs for extra income.

When I asked them what they'd use the money for, they all said: their children's education. Their investments in their children were a monument to their hope for the future. All of these women could see a better life for their families -- and, as members of the savings circle, they could envision themselves helping create it.

On this International Women's Day, I hope you'll take the time to learn more about women who are working hard to raise their voices. Pick a topic you care about -- maternal mortality, women's economic participation, family planning -- and learn about the people whose lives it touches. As you read over the data, remember that the numbers you see tell the story of real women with real dreams.

It's up to us to make sure they count. And it's up to us to keep the spotlight on them all year long. If we do, then by next International Women's Day, we'll have even more reasons to celebrate.

@highlight

Melinda Gates: On International Women's Day, make every woman count--literally

@highlight

She says accurate data is crucial to assessing and meeting needs of women

@highlight

She says Gates, Clinton Foundations teaming for global review of women's status

@highlight

Gates: Data key to showing world leaders that empowering women makes difference