There is a saying that Mongolians are born on horses.

"That's how important these animals are to our culture," says Baocheng, as he smooths his leathery palms over a 200-year-old saddle.

His collection of more than 400 Mongolian horse saddles has been a labor of love since he stopped riding.

After more than 40 years of training and riding horses, the ethnic Mongolian says they're as much a part of him as the air he breathes.

"As a kid, everyone rode horses to herd sheep, but now we only see motorcycles" the 68-year old says, as he lights a cigarette. He reveals a toothy smile that carves even deeper wrinkles into his weathered skin. "We learned to ride when we could walk."

Baocheng, who like most Mongolians goes by one name, has witnessed many changes around the street where he runs an antiques shop. This was once a trading area for livestock in downtown Hohhot, capital of China's Inner Mongolia Autonomous region.

Unfortunately the most significant -- and damaging -- change is taking place on lands beyond the city that most Mongolians traditionally lived on. Overgrazing and drought have combined to threaten Inner Mongolia's grasslands.

Desertification in the Mamugeng grasslands, some 120 miles from Hohhot, has forced the government to place restrictions on some herders.

But ethnic Mongolians complain their nomadic lifestyle is being threatened. Though some have been handed government subsidies, others have reported being forced to move from grasslands into brick apartments in cities like Hohhot.

The nomadic way of life dates back to the days of Genghis Khan, leader of one of the largest empires in history that stretched from the Great Wall of China to Europe.

Grazing cattle, sheep and horses on the Mongolian steppe while living in circular white tents known as gers was the traditional way of life for many.

Erden is one of a decreasing number of herders still living off his family's land, which has been passed down three generations. He says he's content doing what his father and their ancestors have passed down and has no plans to move.

"We Mongolians used to have a big population here, but now our numbers are getting smaller and smaller," the 41-year old says.

He has 400 sheep and goats, and sells them for about 1,000 yuan (US$160) each, making a decent living for his family.

But not all ethnic Mongolians in the region are as content. The threat to traditional Mongolian culture, which includes allegations of illegal land seizures, has led to an uptick in protests in recent years. According to the New York-based Southern Mongolian Human Rights Information Center, repeated appeals have been made to the government to protect the nomadic culture from activities such as mining in this resource-rich country.

The group said at least 22 ethnic Mongolians were detained earlier this month after hundreds clashed with police during a protest against land seizures.

The government says it has introduced initiatives to protect Mongolian culture, such as promoting folk music, encouraging Mongolian language in schools and building heritage centers. But critics argue that without a nomadic lifestyle, it is impossible for young Mongolians to learn about their ancestors' way of life.

"Mongolians have peacefully led a nomadic lifestyle for centuries so we need to ask why it's being threatened now?" says Nars, the lead singer of Anda Union, a Mongolian throat-singing band. "It's important to prevent desertification, but at what cost? Why is this happening now and what other solutions are there?"

Rapid development and the spread of China's dominant Han population to minority regions, has meant that ethnic Mongolians only make up about 17% of the region's 24 million population, according to China's National Bureau of Statistics. Like Tibetans and Uighurs from the restive of Xinjiang region, experts say an underlying tension exists between ethnic Mongolians and Han people.

Anda Union hopes to bridge that gap by educating the masses with their music. The Hohhot-based band consists of 10 band members who play around the world with indigenous Mongolian instruments such as the horse head fiddle, three-holed flute and mouth harp. In March, the group played at the international music festival WOMADelaide in Australia and WOMAD in New Zealand, with plans to tour Europe this summer.

During a performance in their home town, the group demonstrated their music -- known for its rich blend of movement between hoomai, a deep guttural throat song, and the clear long notes of urtinduu, which uses the throat to create a whistle effect.

But ownership over throat singing has struck a sensitive chord with ethnic Mongolians in recent years after the United Nations Educational, Scientific and Cultural Organization (UNESCO) declared it an art native to China.

The UNESCO website states that Mongolian regions in Inner Mongolia, western Mongolia and Russia all practice the art, but the country of origin is stated as China.

"Personally, I think throat singing is part of our Mongolian culture, and it should belong to Mongolians," says Nars, who oversees a workshop that teaches students to make traditional Mongolian instruments.

"By teaching our art, we're hoping the next generation can carry on our culture."

@highlight

Grasslands of Inner Mongolia threatened by over-grazing, development and drought

@highlight

Traditional nomadic lifestyle threatened as people have been forced to move to cities

@highlight

Ethnic Mongolians now only make up 17% of Inner Mongolia's population

@highlight

Chinese government says efforts have been made to protect Mongolian culture