(CNN) -- Andrew Niccol's "In Time" is the winner of this year's "Most Obvious and Pun-Filled Allegory" competition and while it gets points for an excellent premise, some fine acting and for being, occasionally, genuinely exciting, the execution of the idea fails far more often than it succeeds.

"In Time" is set in some future time/alternate reality Los Angeles (the locations are referred to as Dayton and New Greenwich but it's all too obviously L.A.) where humans cease aging at 25 with only an additional one year on their internal clocks, displayed as a sub-dermal, glowing digital countdown on their forearms. Everyone in the film is young and (mostly) beautiful and aside from running out of time, people can only die by acts of violence, random or otherwise -- disease is apparently nonexistent.

But more time can be earned (or stolen) so those who are wealthy live, while those who are poor die.

As a result, the poor take risks because they have nothing to lose, while the rich play it very safe, some refusing to take even minuscule physical risks like swimming in the ocean.

The poor, those short on time, live in Dayton (downtown L.A., near the river) and if they have jobs at all, they live literally day-to-day, hoping that they can get enough work to purchase another day on their clocks. Those without jobs resort to begging or "fighting," a sort of arm-wrestling for time. Many work in a factory that makes time storage devices that can be used to move time around from place to place or person to person, like a wallet with money in it.

As with most films set in a poor neighborhood, the denizens of Dayton have dreams. In general, to have enough time so that they can live a decent life without having to wake up every day thinking it's their last. They are literally slaves to time, forced to either beg, steal or work at sub-standard wages simply in order to live.

While this set-up should give ample opportunity for visual and emotional shock, Dayton is spectacularly clean and well organized for what's essentially a factory slum. The only indication that the locals are in any peril at all is the (very) occasional shot of a dead "timed out" body on the street. You'd think it would happen more often.

Justin Timberlake plays Will Salas, a factory worker whose personal dream is to be able to celebrate his mother's birthday in the rich playground of New Greenwich (which looks very much like Century City and Malibu) and early on, it looks like he might have achieved that dream when he suddenly finds himself with over a century of time.

In a local bar, Salas rescues Henry Hamilton, a suspiciously well-dressed stranger ("White Collar" star Matt Bomer) from a group of time thieves called Minute Men, who "clean the clocks" of their victims. However, it turns out that the rescued man was trying to die. He's 105 and has simply grown tired of living.

Having been thwarted in his initial attempt at suicide, Hamilton gives Will all but a few minutes of his life while the latter man is asleep, leaving him the message "don't waste my time," hoping that Will will do something worthy with his new found riches.

Lo and behold, before Will is able to enjoy his windfall a personal tragedy sets him on his path towards addressing the injustices of the world, by single-handedly (at first) destroying the "monetary" system. If it were only that easy, eh?

After arriving in New Greenwich, he quickly attracts the attention of not only one of the richest men around (Philippe Weis, played by a perfectly smug Vincent Kartheiser) but also that of his daughter, Sylvia (Amanda Seyfried). Coming from the "wrong side of the tracks," Will proves to be an oddity among the swells, as he knows how to live and take risks, like swimming in the ocean or driving a car really fast on the empty Pacific Coast Highway.

While the setting of the film is ostensibly in the future, everyone is driving vintage Lincolns and Jaguars (although they do have the whine of electric vehicles) and people use pay phones. While of course it's perfectly OK for a future vision to have seemingly anachronistic touches, these play like prosaic failures of imagination. If you're going to ground a science fiction story in such mundane realities, at least give a reason why.

Timberlake continues to prove that his prolonged hiatus from music is a well thought out decision. For all the success his recording career brought him, it's entirely possible that he has a brighter career as an actor. He is as capable here at action adventure as he was at broad comedy in "Friends With Benefits." I could easily see him in a musical or a straight drama.

Seyfried, her doe-eyes framed with a cute bob a la Anna Karina or even more apropos, Faye Dunaway in "Bonnie and Clyde," does her level best with what she's given, but her "rich girl with a rebellious streak" isn't as well-developed a character as it could be.It's never really clear if Sylvia's transition from slightly rebellious rich girl to full-on criminal is due to her belief in Salas' Robin Hood-esque cause or to her having the hots for him. I suspect it's both, but the former aspect isn't really fleshed out.

The real crime here is that there is a potentially great movie in the premise. The concept of a brutally fascist world were time is literally money and where the poor are haunted and driven by the specter of impending death is an intriguing one. Alas, Niccol's screenplay doesn't quite nail it, giving us a flat, uncomplicated story, some rather herky-jerky character development and an endless stream of absurd plot points. Yes, there are some legitimately suspenseful moments, but not enough to make up for the rest.

There is a lot of dramatic fodder in the story of a future as horrific as this one and "In Time" doesn't really take advantage of the opportunities. It's not nearly as menacing or terrifying as its premise suggests and it doesn't say much, except in the simplest It's-bad-when-rich-people-hoard-resources fashion. I'm curious as to what a filmmaker like Sidney Lumet, Alan J. Pakula or William Friedkin would have done with as rich of a set-up.

The fact that "In Time" could have been an exceptional film is the most upsetting part. I would rather it have been a truly bad film than a mediocre film with the specter of greatness hovering just out of reach.

"In Time" is rated PG-13. There's a fair amount of gun violence, death, the occasional four-letter word (and their various variants) an underwater bare bottom, and some clothed sexual suggestions.

@highlight

Justin Timberlake plays Will Salas, a factory worker in a race against time

@highlight

Hamilton gives Will all but a few minutes of his life

@highlight

Tragedy sets him on his path towards addressing the injustices of the world