(CNN) -- They chased tornadoes not so much for the thrill, but in the hope that their research might help people avoid the fate to which they succumbed last week.

Veteran storm chaser Tim Samaras, 54; his chase partner of a decade, Carl Young, 45; and Samaras' son, Paul Samaras, 24, a photographer, died Friday in an EF-3 tornado in El Reno, Oklahoma. Crews hauled away their white truck Sunday. It had been crushed like a tin can, its metal frame violently twisted and its windows smashed.

Tim Samaras' brother, Jim Samaras, said he was stunned to learn of his brother's death, simply because Tim Samaras was so well-versed in the ways of tornadoes.

Storm chasing: Science, thrill-seeking or tourism?

"I just couldn't ever think it would ever happen to him because of his level of expertise, years of doing this," the brother said. "If I had to have a way for my brother to die, it would be doing what he did -- chasing tornadoes."

Tim Samaras, whose team's work was featured on the Discovery Channel's "Storm Chasers," had been on twisters' trails for more than a quarter-century, and The Weather Channel described him as a self-taught forecaster and engineer who developed much of the equipment he used to measure storms.

"He was a pioneer in terms of making surface measurements inside of tornadoes. He was always at the forefront of tornado measurements," said the channel's severe weather expert, Greg Forbes, who further described the elder Samaras as an "amazing scientist."

Tim Samaras told The Weather Channel years ago that he caught the engineering bug as a kid dismantling his mother's appliances -- "blenders, toasters, television sets, you name it" -- and reassembling them.

Yet he was no one-trick pony. He had a penchant for studying high-speed camera imaging, lightning and explosions. Per the latter, he participated in the investigations of the crash of TWA Flight 800 and of the Oklahoma City bombing. Per the former, his son in December posted a photo of a tornado on the horizon, an unpaved rural road buttressed by farmland in the foreground.

"As much as he denies it, my dad does have an artistic side," Paul Samaras wrote on Facebook, garnering 115 likes.

Tim Samaras also co-authored the book "Tornado Hunter," held a patent for a thermal imaging system for internal combustion engines and had a patent pending for a "new, 3-dimensional windspeed measurement," according to a copy of his resume posted at TWISTEX, a company he founded to learn more about tornadoes with the goal of increasing public warning times.

Carl Young had been heading out with Tim Samaras since 2003, according to his Discovery Channel biography. A native Californian who had worked on Hollywood film crews up until 2000, he began chasing storms as part of a two-month adventure to catch glimpses of the storms along the Great Plains.

"Experiencing the raw force of nature in Nebraska was unlike any pyrotechnic display on a high-tech Hollywood set!" the bio says. "This inspiration led Carl to the study of tornado dynamics and ultimately a masters degree in atmospheric science from the University of Nevada, Reno."

At a meteorological conference, Tim Samaras encouraged Young to gather data from inside tornadoes for his thesis, and a partnership was born. The pair would go on to track more than 125 tornadoes.

"Carl's finest moment came on June 11, 2004, near Storm Lake, Iowa. Working with Tim, they defied the odds and deployed their probes right in the path of a tornado," according to the Discovery Channel. "The six-camera video probe captured amazing footage from multiple angles while the sensor probe recorded data that revealed just how fast wind speeds are close to the ground."

Tornadoes rip through heartland again: How to help

Paul Samaras had recently started joining his dad on chases. In a National Geographic interview last month, ahead of a trip father and son would take together, Tim Samaras said Paul was becoming "quite a talented videographer" and joked about how well his team members got to know each other during their days-long pursuits.

"You spend three or four days in a vehicle, it develops a certain scent. After a three- to four-day trip, we've got a lot of knowledge of each other and what's going on in our lives," he said. "Fortunately, our group gets along really well. That's the secret -- you need people who are compatible. And of course, showering regularly is a good thing, too."

Paul Samaras "loved being out with his Dad," his sisters and mother said in a statement. "He had a true gift for photography and a love of storms like his Dad. They made a special team."

Fellow storm chaser Tony Laubach said on Facebook that he and his colleagues were often impressed with Paul Samaras' work from behind the camera. He and another storm chaser, Ed Grubb, "would always laugh cause we'd take great shots then see Paul's, and just shake our heads cause he just had the talent."

"Paul was goofy, and it was fun to watch him grow over the years. He was so quiet in the early times, and watch him become someone who could capture a moment so vividly. He shot one of the most amazing tornado photos I have ever seen hanging out the window of my mesonet car in Oklahoma back in 2011," Laubach wrote on his Facebook page, referring to the meteorological monitoring network known as a mesonet. "He was quirky, fun, and just so easy going. He always (rode) along with Ed and I during our missions, and you could count on him to make them all memorable."

The Samarases and Young fell victim to particularly unpredictable storm, even for a tornado. Not only does a preliminary National Weather Service rating peg its winds at more than 136 mph, many reports indicate it took a sudden left-hand turn along its path, about 30 miles west of Oklahoma City.

Photos from a professional storm chaser

"It was a wobbler. And it was big," CNN meteorologist Chad Myers said. "I think the left-hand turn made a big difference on how this thing was chased as well and why people were killed and why people were injured in their vehicles."

Mike Bettes, an anchor and meteorologist for The Weather Channel, felt the storm's ferocity when it picked up his crew's truck and tossed it 200 yards into a field. Bettes said the incident, the most frightening moment of his life, unfolded in slow motion, "especially when we were floating ... I kind of felt like I was being lifted to heaven or something."

"I think this was just an erratic tornado. I think the size of it and the speed of it changed very, very quickly," he told CNN on Sunday. "I think the direction of movement changed quickly. And I think there were a lot of people out there that, you know, ended up getting stuck in positions we didn't want to be in."

Bettes and his crew fared far better than Tim Samaras' team. One member had a broken backbone, rib and breastbone, while the rest suffered scratches and bruises.

In its April 2004 edition, National Geographic chronicled how Samaras and his team drove directly into a tornado's path at a moment's notice. They used a van carrying six probes called turtles, which are 45-pound metal disks resembling flying saucers.

Opinion: Why we chase storms

"Through embedded sensors, the probes can measure a tornado's wind speed and direction, barometric pressure, humidity, and temperature," the magazine wrote. "Samaras's mission, and his passion, is to plant them in the path of the funnel. His hope is that both he and the instruments survive."

The website for TWISTEX, which stands for Tactical Weather Instrumented Sampling in Tornadoes Experiment, says Tim Samaras in June 2003 secured a pressure drop measurement in a violent South Dakota tornado that has never been matched.

Samaras had received 18 grants from the National Geographic Society for his research, said Terry Garcia, the organization's executive vice president of missions. In a written statement, he described Samaras' studies of lightning as "pioneering."

"Tim was a courageous and brilliant scientist who fearlessly pursued tornadoes and lightning in the field in an effort to better understand these phenomena," he said.

Their tornado-chasing work may sound like cowboy stuff, but the trio's colleagues say they were professionals who operated with the utmost care.

CNN's Myers, who also covered Friday's storm in Oklahoma, said Tim Samaras was known for his attention to safety.

"There's just no one safer than Tim. Tim, he would never put himself in danger," Myers said. "He certainly wouldn't put his son in danger."

Myers also emphasized that Tim Samaras was in an upper echelon among his forecasting and storm-chasing brethren.

"We all know that this is difficult and dangerous and sometimes things go wrong. But I think to portray Tim as just a chaser out for a thrill is just the wrong thing," Myers said. "I just want people to know that Tim was a scientist. He was out there to put probes out there. He was out there to learn and understand and to make science more understandable. ... We all go out there and we try to protect the public, but Tim was even one step higher."

Doug Kiesling, a videographer who chases storms and calls himself The Weather Paparazzi, said the three men were more than storm chasers. "They're researchers," he said.

"This thing is really shaking up everyone in the chasing community," he said. "We knew this day would happen someday, but nobody would imagine that it would happen to Tim. Tim was one of the safest people to go out there. ... He's had close calls, but he's always had an escape route."

"Storm Chasers" aired for five years on the Discovery Channel. Its last season was in the fall of 2011. The network expressed condolences in a statement Sunday.

"We are deeply saddened by the loss of Carl Young, Tim Samaras and his son. Our thoughts and prayers go out to their families," it said.

CNN's Dave Alsup, Janet DiGiacomo, David Ruff, Stan Wilson, Nadia Bilchik, John Branch and Josh Levs contributed to this report.

@highlight

Tornado chaser's brother: "I just couldn't ever think it would ever happen to him"

@highlight

Tim and Paul Samaras and Carl Young were killed chasing a tornado on Friday night

@highlight

Paul Samaras, budding videographer, described as "quirky, fun, and just so easy going"

@highlight

Carl Young worked on Hollywood crews until 2000 adventure in Nebraska changed his path