There is a "night and day" difference between HealthCare.gov on October 1 and the same site on December 1, Jeff Zients, the top administration official responsible for improving the problem-plagued Obamacare enrollment site, said Sunday on a conference call with reporters.

Deadline Day: Will Obamacare site work?

Zients and Julie Bataille, spokeswoman for the federal agency charged with developing and operating HealthCare.gov, said the website now works "smoothly for the vast majority of users." The administration said the site can now handle 50,000 concurrent users and 800,000 consumer visits a day -- two capacity goals for the portal that date back to its launch two months ago. And Bataille said the site was now allowing "in the zone of 80%" of users to successfully complete a health care enrollment.

In short, after a concerted effort to improve HealthCare.gov, the administration said Sunday that the online Obamacare enrollment portal now essentially meets all of the previously stated goals for the website.

Obamacare site fix: 5 things to look for

A day after the administration's self-imposed deadline for improving the website, Zients detailed the turnaround efforts he's been leading. Work has fallen into three broad categories: creating a new management structure for the site to improve decision-making and accountability; putting in place hardware upgrades to increase the system's "redundancy, reliability, and scale"; and compiling a prioritized "punch list" of bugs and software improvements -- 400 of which had been completed by Sunday.

Prior to the turnaround effort, Zients said, management of the enrollment site had been plagued by slow decision-making and a lack of accountability. These issues were addressed by creating a new management structure led by general contractor QSSI, which was tapped to oversee the site's operations, and the creation of a 24-hour, rapid response team that constantly monitors the site and the experience users are having on it.

These management changes were intended, Zients said, to give the government-run website "the velocity and discipline of a high-performance private sector company."

Upgrades, trouble-shooting, and old pizza

On the hardware front, Zients said improvements have been made to the registration database, which plays a part in the front-end experience consumers have using the site; new servers and upgraded memory have been added; additional "application environments" are now online; and the system's firewall has been upgraded.

These changes have made "the underlying infrastructure of HealthCare.gov much stronger today," Zients said, adding that some of the critical upgrades were completed as late as Friday evening, when the site was down for 11 hours for maintenance as this weekend's deadline approached.

Zients likened the effect of the hardware upgrades to widening a highway's on-ramp, effectively taking the site from two lanes to four.

On the software front, Zients said 50 of the bug fixes completed during the turnaround effort had been done "just last night" during another period of maintenance. Going forward, Zients anticipates there will still be other bugs and software fixes for the rapid response to handle.

All these changes have made a noticeable difference in HealthCare.gov's operating metrics, Zients said.

The site's average response time -- the average time it takes for the system to respond to an action by a user -- is down from eight seconds to under one second in the past three weeks, said Zients. The site's average error rate is also down, according to Zients, with the system hitting a rate of 0.75% on Friday. And the system's "uptime," a measure of system stability, is consistently surpassing 90%.

Zients said the creation of the rapid response team means necessary fixes can now usually be made within an hour instead of the hours it used to take.

"We've doubled the system's capacity and the site can now handle its intended capacity," explained Zients, summing up the net effect of the turnaround effort he has led.

This means that two months after it originally launched, HealthCare.gov can now handle 50,000 concurrent users and 800,000 consumer visits a day.

If more than 50,000 people attempt to use the site at any one time, the site now has a queueing feature that will e-mail users with tips about when to return to the site at a less congested time and a link that will take them to the front of the line. "Nothing like this (was) in place" in October, Zients said Sunday.

With all the recent improvements, administration officials conceded Sunday that there is still work to be done.

"As with any website, the team will continue to address bugs and glitches," Zients said.

In addition, work on the back end of the site, which is of critical importance to insurance companies issuing policies to consumers, still needs to be completed.

The administration is still working with insurers on the "834" transaction forms generated by the system, said Bataille. "We're working with issuers on a daily basis and will continue those conversations," she said, adding that the site's management team would have more information about this issue with the data generated by the system on upcoming weekdays.

"There are still a number of problems with the back-end systems," Robert Zirkelbach, spokesman for health insurance industry trade association group America's Health Insurance Plans, said in a statement to CNN. "Insurers are still getting enrollment files that are duplicative and have missing or inaccurate information. In some cases they are not getting the enrollments at all."

Insurers: Site glitches persist

As the administration's self-imposed deadline for improving the troubled site has come and gone over the weekend, Republicans on Capitol Hill have been unusually quiet, after months of frequent criticism of HealthCare.gov and of broader changes to the health insurance market taking effect because of Obamacare.

Website progress garners muted reaction from Congress

Top House Republicans took issue Sunday primarily with Obamacare's changes to the insurance market rather than with the enrollment site's troubled history.

GOP Obamacare playbook: Spread negative perception

"This isn't just about a broken website, it's about a fundamentally-flawed law," Michael Steel, spokesman for House Speaker John Boehner, said in a statement. "Whether or not Americans can logon to Healthcare.gov, they are losing the health plans they like, the doctors they've always relied on, and -- to add insult to injury -- facing higher costs as well."

A spokesman for House Majority Leader Eric Cantor had a similar message.

"Millions of Americans being informed that the health care plans they liked are being canceled -- despite the President's repeated assurances otherwise -- and being forced to pay higher premiums, deductibles, or both, are a much greater priority than a broken website," Cantor Deputy Chief of Staff Doug Heye told CNN.

"Besides," added Heye, "based on past performance, it would be prudent to wait before determining that the website truly is fixed."

Comments from Steel and Heye echoed those of Sen. John Thune, R-South Dakota, just a day earlier.

Thune, who chairs the Senate Republican Conference, argued Saturday that Americans will continue to face problems with Obamacare's reforms "(r)egardless of whether the website is fixed by the administration's revised deadline."

"These are problems that no IT specialist working through the Thanksgiving holiday can fix," he added.

Obama: People do think I'm trustworthy

CNN/ORC Poll: Are Obamacare's flaws fixable?

High court to hear Obamacare birth control case

Boehner signs up for Obamacare

CNN/ORC Poll: Obama's marks for management, trustworthiness take hit

@highlight

Management changes, hardware upgrades, software fixes to HealthCare.gov cited

@highlight

Site operations now overseen by a general contractor and a 24-hour rapid response team

@highlight

Official: Hardware upgrades have made site's "underlying infrastructure" much stronger

@highlight

Spokesman: More work on back-end data sent to insurance companies remains to be done