(CNN) -- The most insistent political question of the past four years has been: How can more Americans get access to medical care?

The federal response was the Patient Protection and Affordable Care Act. Better known as "Obamacare," it is a complex mix of insurance changes and tax credits. When the act takes effect on January 1, 2014, it will provide access to insurance to about 30 million people who currently don't have it.

Unfortunately, that was the wrong question. So the looming "answer" is wrong as well.

Here's the right question: How can we improve medical care so that it's worth extending it to more people? In other words, how can we create a health care system that helps people become and stay healthy?

I have argued for years that we do not have a health care system in America. We have a disease-management system -- one that depends on ruinously expensive drugs and surgeries that treat health conditions after they manifest rather than giving our citizens simple diet, lifestyle and therapeutic tools to keep them healthy.

CNN special report: "Escape Fire"

The brutal fact is that we spend more on health care than any other country -- an estimated $9,348 per capita in 2013 -- and get shockingly little for our money.

The U.S. "currently ranks lowest on a variety of health measures," concludes a new report from an expert panel commissioned by the National Institutes of Health. Specifically, Americans have more obesity, more sexually transmitted diseases, shorter life expectancies and higher infant mortality than the inhabitants of nearly all of the 16 developed "peer" countries studied.

Why? A major culprit is a medical system based on maximizing profits rather than fostering good health.

Let me be clear. I am not against all forms of high-tech medicine. Drugs and surgeries have a secure place in the treatment of serious health conditions. But modern American medicine treats almost every health condition as if it were an emergency.

This leads to vast wealth for the corporate medical complex but poor health outcomes and empty wallets for the patients. Making this system more accessible by passing costs to taxpayers will simply spread its failures more broadly.

The medical philosophy known as integrative medicine offers a better alternative.

As defined by the National Center for Complementary and Alternative Medicine at the National Institutes of Health, IM combines mainstream medical therapies and complementary and alternative therapies "for which there is some high-quality scientific evidence of safety and effectiveness."

It uses high-tech medicine sparingly to treat the most serious conditions while employing nutrition, exercise, stress-reduction and other simple, low-cost (or free) interventions to foster long-term health and resilience.

It's one thing to read about the horrors of the modern medical system.

It's quite another to see them vividly displayed in the faces and bodies of suffering Americans. I was honored to be interviewed for the documentary "Escape Fire: The Fight to Rescue American Healthcare," premiering at 8 and 11 p.m. ET Sunday, March 10, on CNN. The film offers an unflinching look at the causes and effects of our medical system's problems and provides some hopeful solutions. Highlights include:

-- The torturous journey of Sgt. Robert Yates, an injured veteran wounded in Afghanistan. He was prescribed a shopping bag full of prescription medications that left him broken and miserable in body, mind and spirit. Watching Yates begins to regain his health through gentle, low-cost therapies, including meditation and acupuncture, is profoundly moving.

-- A look at the revolutionary Safeway Healthy Measures Program. It gives the supermarket chain's employees financial incentives for taking responsibility for their own health, decreasing Safeway's insurance costs significantly while improving participants' well-being.

-- The dramatic story of Dr. Erin Martin, an Oregon primary care physician fed up with being pushed to treat patients faster and faster to boost clinic profits. She enrolled in the Arizona Center for Integrative Medicine's Fellowship Program to find a better way, explaining that "I'm not interested in getting my productivity up -- I'm interested in helping patients."

The film takes its name from the practice of setting a small fire to clear out nearby brush, allowing a fast-advancing forest fire to pass by harmlessly. Will we be sufficiently clear-eyed and rational to take a similarly bold action to avoid disaster wrought by our dysfunctional health care system?

I hope so. In the film, I say, "The present system doesn't work, and it's going to take us down. We need a whole new kind of medicine."

I am grateful to filmmakers Matthew Heineman and Susan Froemke for making that case in this persuasive and eloquent documentary. Please tune in to CNN Sunday evening.

The opinions expressed in this commentary are solely those of Andrew Weil.

@highlight

Andrew Weil: Providing more Americans with health insurance is not enough

@highlight

Weil: We have a disease-management system, not a health care system

@highlight

He says our medical system is more about maximizing profits than fostering good health

@highlight

Weil: Watch "Escape Fire" at 8 and 11 p.m. ET Sunday, March 10, on CNN