(CNN) -- In an age where planes travel at record speeds and Google Earth gives visuals of every nook and cranny in the Grand Canyon, it may seem like the spirit of adventure and exploration that characterized the Wild West has gone the way of the T-Rex.

But along the Apache Trail outside of Phoenix, that spirit remains afire, accessible to anyone with a car and the heart of a cowboy.

The Apache Trail is a 40-mile circular road winding through the Superstition Mountains. Originally used as a migration route by the Apache Indians, it eventually became a stagecoach route and now a scenic drive.

Although scenic may be too tame a description.

Known for being one of the most treacherous routes in the United States, the road curves through steep mountainous terrain, surrounded by bush and cacti and a limited number of gas stations.

Adding to the treachery, a segment of the trail remains unpaved between Tortilla Flat and Roosevelt Dam. This patch of narrow road slithers through some of the most spectacular scenery on the trail, but can be dangerous and is not recommended for large vehicles, including RVs, caravans, and some SUVs. (If renting a vehicle, check that the company allows your particular car to travel down this portion of the trail.)

Paved or unpaved, a trip along the trail is a worthwhile expedition for anyone wanting a Wild West adventure in the 21st century. Check out these must-see stops:

Lost Dutchman State Park

Visitors at the first stop along the Apache Trail might expect to meet Annie Oakley or Jesse James ambling with guns in their hip holsters through cacti and inhaling the Arizona dry air. But it's Jacob Waltz whose name is famous here. Known as the Lost Dutchman -- though historical records indicate he hailed from Germany -- Waltz claimed to find a gold mine hidden in the Superstition Mountains, but he refused to reveal its location and no one has located it since his death in 1891.

Today, those in search of a fortune continue to traverse Lost Dutchman State Park in search of the mine. A handful have died in their quest. But for many others, the hiking trails provide an opportunity to explore the unique natural wonders of the Arizona desert. The park maintains hiking trails of varying difficulties as well as camping and RV sites for those wanting to spend the night.

Goldfield Ghost Town

Goldfield is a restored ghost town settled by miners a century ago. Tourists can take a tour of the old mine, sift for gold, dine at the saloon -- surrounded by antler and buffalo heads -- or amble down Main Street to LuLu's "family friendly" Bordello Museum and Gift Shop. Be sure to sample some of the root beer fudge and prickly pear cactus fudge at the General Store for a soda-shop-meets-Wild-West kind of treat. Gunfights occur hourly on weekends between noon and 4 p.m., and weddings can be held at the town church.

Canyon Lake

It's a curious sight to round a bend on the Apache Trail and find a 950-acre lake nestled in the desert valley. That's because Canyon Lake was formed as a result of the Mormon Flat Dam, which was completed in 1925. Today, the lake is a welcome oasis from the oppressive hot and dry air that characterizes the Southwest. Visitors to Canyon Lake may swim, sunbathe on the beach or rent a boat at the Marina. Canyon Lake also has campgrounds, a restaurant, and for a short romantic getaway, the Dolly Steamboat offers both daytime and dinner cruises.

Tortilla Flat

This outpost in the Superstition Mountains is home to six fearless residents and the tourists who pass through to see sites like Dutchman's Inn, founded by Jacob Waltz himself when he didn't like the town's restaurants. "Pardners, you're lookin' at the result," a sign outside the site says, "Jacob even made sure spirits were included since he could not resist a nip or two occasionally." (Sadly, there's no dining or nipping at the Dutchman's Inn now).

It is well worth a visit to the Superstition Saloon, where the wallpaper is composed of paper currency from a variety of countries, sarsaparillas flow freely, and the bar stools are made of horse saddles. A post office is also present so intrepid tourists can drop a postcard purchased from the general store into the mail. (The general store also stocks some particularly colorful and sparkly cowboy hats.)

Apache Lake

Like Canyon Lake, Apache Lake was formed by a dam erected along the Salt River. Today, the site offers intimate coves, hiking trails, fishing, boating and water skiing opportunities. Those walking around the 17-mile lake shouldn't be surprised to see wildlife including javelinas, deer and eagles. The site also offers a motel, restaurant and gas station. RV and camper hookups are available.

Roosevelt Dam and Lake

Like the Hoover Dam, Roosevelt Dam is a concrete arc designed to conserve water in the desert and provide electricity. Approximately 300 feet high, the Dam contains Roosevelt Lake, where tourists can swim, camp, boat, ride personal watercraft and shop at the general store.

Tonto National Monument

Visitors who reach the farthest point along the Apache Trail loop from the entrance at Lost Dutchman State Park will be rewarded with the sight of Tonto National Monument. This monument preserves cave dwellings used over 700 years ago by ancient residents in what used to be a bustling community.

Spectacular views of Roosevelt Lake are available from the monument. Tonto National Monument also has an 18-minute orientation video in the museum, which can be a welcome retreat if the weather is oppressive. Special activities including moon hikes, and off-site hikes are scheduled at various times of year, so be sure to check the website in advance of visiting.

The entire Apache Trail takes about six hours to drive through. For travelers wanting a shorter journey, it takes approximately 90 minutes to drive the loop from Lost Dutchman State Park to Tortilla Flat and back. (The sites are more condensed on this part of the trail and all roads are paved.)

But whether taking the long or short route, be sure to start off on the trail with a full tank of gas, refilling whenever possible to avoid running empty on the narrow road.
And keep an eye out for the Dutchman's lost mine -- anyone who finds it would surely prove that the age of expedition and adventure on the Apache Trail is far from over.

@highlight

Arizona's 40-mile Apache Trail captures the flavor of the Old West

@highlight

Goldfield Ghost Town, Tortilla Flat offer proof of hardy living past and present

@highlight

Canyon and Apache lakes provide welcome relief from the dry climate