BEIJING, China (CNN) -- If money is power, China is now in a powerful position to play a critical role at the Group of 20 summit in London.

U.S. President Barack Obama meets with Chinese President Hu Jintao in London on April 1.

So powerful, in fact, that some analysts speak of a "G-2", referring to the first meeting between the new U.S. president and his Chinese counterpart on the sidelines of the G-20. What matters most in the G-20, some say, is Barack Obama and Hu Jintao's meeting on the eve of the summit. "This is a summit of symbolism, where the meeting itself is the message," said China analyst Victor Gao.

To be sure, the closest U.S. allies are Great Britain in Europe and Japan in Asia. But with its growing economic and military clout, China is now a major player at the G-20.

China "appears to be actively setting the agenda," said Glenn Maguire, economist at the investment bank Societe Generale. China is awash with cash, its economy is still growing and its banking system is solvent. It is seeking a bigger role as global powers seek to reshape the economic and financial framework.

The global economic crisis has shown just how codependent the U.S. has become with China.  Watch how China is throwing its weight around before the summit »

For years, China has exported far more than it has imported, racking up a huge trade surplus and accumulating nearly US$2 trillion in foreign currency reserves. More than half of that money has gone to buying U.S. government debt. It's partly those Chinese dollars that have enabled the United States to keep its interest rates, including home mortgages, so low, helping create the housing bubble that burst late last year.

As America's biggest creditor, Beijing is now worried about its over-investment in U.S. Treasury debts. "We have lent a huge amount of money to the U.S.," Premier Wen Jiabao said last month. "Of course, we are concerned about the safety of our assets." He called on the Obama administration to "maintain its good credit, honor its promises and guarantee the safety of China's assets."

Washington has tried to reassure Beijing. "Not just the Chinese government, but every investor can have absolute confidence in the soundness of investments in the United States," President Obama said in response to Wen's worries. Still, Victor Gao said, "China is concerned that the massive printing of money by the United States will lead to massive inflation, which will decimate the underlying value of China's massive dollar holdings. Each dollar China holds now is hard-earned money mostly from the exports."  Watch Gao relate China's perspective at the summit »

With some 40 percent of its growth reliant on the exports of its products, China's economy has been hit hard since late 2008, as U.S. and Western markets for Chinese goods shrank. Annual economic growth dropped from nearly 12 percent in 2007 to 9 percent last year. This year's growth rate could slump to 8 percent or lower -- potentially leading to even more factory closures and widespread job layoffs.

To cope with this downturn, Beijing in November announced its own $586 billion stimulus package. It aims to encourage spending by Chinese consumers and businesses and create millions of jobs. But analysts say China cannot do it alone.

"It's almost impossible for China to engineer enough of an increase in domestic consumption to make up for the contraction in demand that we're seeing in Europe and the United States," said Michael Pettis, who teaches economics at Peking University. Put simply, Hu Jintao needs President Obama to succeed with his economic prescriptions -- and vice versa.

Such a congruence of goals is viewed positively in Beijing. "The degree of close U.S.-China cooperation in the process of coping with the global financial crisis will directly affect how fast the global economy can extricate from the difficult time," said a commentary in Global Times, a state-run Chinese newspaper.

Before the G-20 meeting, China's central bank chief, Zhou Xiaochuan, floated the idea of dumping the U.S. dollar as the world's reserve currency, replacing it with a super-sovereign international reserve currency. Zhou's proposal has received extensive support from other countries, according to political analyst Gao, who's also a key player in the private equity business in China.

Gao said: "It shows that the defects in using the U.S. dollar as the main reserve currency in the world are becoming more and more obvious, and more countries in the world are becoming more and more unhappy with the United States in its irresponsible way of handling its financial and budgetary matters, often at the expense of other countries."

But Peking University professor Zha Daojiong cautions against "over-interpreting" what Zhou seems to be saying. Instead of reducing the role of the U.S. dollar, Zhou may be asking for a greater role of the Chinese currency in "special drawing rights" (SDRs), an international type of reserve currency established in 1969 by the International Monetary Fund. SDRs operate as supplements to the existing reserves of IMF member nations.

"Rather than alluding to a goodbye to the U.S. dollar, Zhou may as well be making a case -- implicitly -- for including the (Chinese) renminbi into the list of currencies when the International Monetary Fund and the World Bank work on the SDR in the future," Zha explained.

Meanwhile, China hopes the G-20 meeting will reach a consensus on how to deal with the global crisis.

Said Victor Gao: "It is equally important to identify the root causes, and make fundamental changes to the international financial system, including cross-border financial regulation, increasing transparency, bringing the hedge funds into the regulatory framework, enhancing risk management, and preventing countries from excessive and irresponsible financial and budgetary activities," Gao said. Pointing the finger squarely at the United States, he said China hopes the U.S. will learn from its mistakes to avoid a repeat of the crisis.

Before leaving Beijing for London, President Hu Jintao remained circumspect. "We will continue our contribution to international economic development," he said in an interview with Xinhua News Agency. He called for efforts to resist trade protectionism while also calling for a revamp of the international financial system.

@highlight

Some say meeting of U.S., Chinese leaders on summit's eve is of most importance

@highlight

With its growing economic and military clout, China is a major player at the G-20

@highlight

China is dependent on exports to the West, so there is a congruence of goals

@highlight

The degree of U.S.-China cooperation will directly affect global economic recovery