(CNN) -- On a January night in 1961, a U.S. Air Force bomber broke in half while flying over eastern North Carolina. From the belly of the B-52 fell two bombs -- two nuclear bombs that hit the ground near the city of Goldsboro.

A disaster worse than the devastation wrought in Hiroshima and Nagasaki could have befallen the United States that night. But it didn't, thanks to a series of fortunate missteps.

Declassified documents that the National Security Archive released this week offered new details about the incident. The blaring headline read: "Multi-Megaton Bomb Was Virtually 'Armed' When It Crashed to Earth."

Or, as Secretary of Defense Robert McNamara put it back then, "By the slightest margin of chance, literally the failure of two wires to cross, a nuclear explosion was averted."

It's difficult to calculate the destruction those bombs might have caused had they detonated in North Carolina.

What might've been

The website, nuclearsecrecy.com, allows users to simulate nuclear explosions. It says that one bomb the size of the two that fell in 1961 would emit thermal radiation over a 15-mile radius. Wind conditions, of course, could change that.

The blast today, with populations in the area at their current level, would kill more than 60,000 people and injure more 54,000, though the website warns that calculating casualties is problematic, and the numbers do not include those killed and injured by fallout.

It's also worth noting that North Carolina's 1961 total population was 47% of what it is today, so if you apply that percentage to the numbers, the death toll is 28,000 with 26,000 people injured -- a far cry from those killed by smaller bombs on the more densely populated cities of Hiroshima and Nagasaki in Japan.

University of California-Los Angeles researchers estimate that, respectively, Hiroshima and Nagasaki had populations of about 330,000 and 250,000 when they were bombed in August 1945. By that December, the cities' death tolls included, by conservative estimates, at least 90,000 and 60,000 people.

Wayne County, North Carolina, which includes Goldsboro, had a population of about 84,000 in 1961. The state capital, Raleigh, is 50 miles northwest of Goldsboro, and Fayetteville -- home of the Army's massive Fort Bragg -- is 60 miles southwest.

The Goldsboro incident

The B-52 was flying over North Carolina on January 24, 1961, when it suffered a "failure of the right wing," the report said.

As the plane broke apart, the two bombs plummeted toward the ground. The parachute opened on one; it didn't on the other.

"The impact of the aircraft breakup initiated the fuzing sequence for both bombs," the summary of the documents said.

In other words, both weapons came alarmingly close to detonating.

Weapon 1, the bomb whose parachute opened, landed intact. Fortunately, the safing pins that provided power from a generator to the weapon had been yanked -- preventing it from going off.

Weapon 2, the second bomb with the unopened parachute, landed in a free fall. The impact of the crash put it in the "armed" setting. Fortunately -- once again -- it damaged another part of the bomb needed to initiate an explosion.

While it's unclear how frequently these types of accidents have occurred, the Defense Department has disclosed 32 accidents involving nuclear weapons between 1950 and 1980.

There are at least 21 declassified accounts between 1950 and 1968 of aircraft-related incidents in which nuclear weapons were lost, accidentally dropped, jettisoned for safety reasons or on board planes that crashed. The accidents occurred in various U.S. states, Greenland, Spain, Morocco and England, and over the Pacific and Atlantic oceans and the Mediterranean Sea.

Another five accidents occurred when planes were taxiing or parked.

Two months after the close call in Goldsboro, another B-52 was flying in the western United States when the cabin depressurized and the crew ejected, leaving the pilot to steer the bomber away from populated areas, according to a DOD document. The plane crashed in Yuba City, California, but safety devices prevented the two onboard nuclear weapons from detonating.

Catastrophe averted

The Goldsboro incident was first detailed last year in the book "Command and Control" by Eric Schlosser. The documents released this week provided additional chilling details.

Eight crew members were aboard the plane that night. Five survived the crash.

"I could see three or four other chutes against the glow of the wreckage," recounted the co-pilot, Maj. Richard Rardin, according to an account published by the University of North Carolina.

"I hit some trees. I had a fix on some lights and started walking."

The MK39 bombs weighed 10,000 pounds and their explosive yield was 3.8 megatons. Compare that to the bombs dropped in Hiroshima and Nagasaki: They were 0.01 and 0.02 megatons.

But Rardin didn't know then what a catastrophe had been avoided.

"My biggest difficulty getting back was the various and sundry dogs I encountered on the road."

Hiroshima atomic bomb attraction more popular than ever

Kennedy meets atomic bomb survivors in Nagasaki

By the numbers: Atomic bombs

CNN's Eliott C. McLaughlin and Dave Alsup contributed to this report

@highlight

Goldsboro one of 32 pre-1980 accidents involving nukes

@highlight

Weeks after Goldsboro, there was another close call in California

@highlight

The weapons came alarmingly close to detonation

@highlight

They were far more powerful than the bombs dropped in Japan