The first speech Eric Holder gave after he announced his upcoming resignation was fittingly at an event hosted by the Congressional Black Caucus, where the nation's first African-American attorney general said he's most proud of his efforts to protect voting rights laws.

"This work has been a top priority since I took office," he said.

After the Supreme Court rolled back key provisions of the Voting Rights Act in Shelby v. Holder last year, a decision Holder called "deeply flawed," the Justice Department aggressively challenged new laws that popped up in states around the country -- including North Carolina, Wisconsin, Ohio and Texas -- where lawmakers imposed more requirements, including a voter ID, to be allowed to vote.

At the event on Friday, Holder reminded the predominantly black audience of the progress that has been made since the passage of the Civil Rights Act 50 years ago, but he insisted that more has to be done.

"I want you to know that my commitment to this work will never waver, and in the meantime there remains, I think, a great deal that needs to be done," he said.

Holder's role in civil rights issues has been central to his tenure.

Changes in criminal justice system

He has also undertaken to improve the strained relationship between police and communities of color and worked to reduce sentences for some drug offenders, alter police officers' protocol for searches and arrests, restore felons' voting rights and improve the treatment of felons after their release.

Friday, he announced a new initiative focused on reducing the number of teens who enter into the juvenile justice system.

"We are striving to eliminate mistrust and to build strong relationships between law enforcement officers and the communities they serve so that we can defuse tensions that simmer just under the service in too many cities and towns across our country and that too often give rise to tragic events like those that captured our national attention, just last month in Ferguson, Missouri," he said.

Holder instructed the Justice Department to launch a federal review of the actions by local police in the shooting death of unarmed teen Michael Brown in Ferguson.

African-American leaders praised the outgoing attorney general.

"Attorney General Eric Holder has been the best qualified attorney general in the United States. His leadership, courage and his unrivaled commitment to justice for all people, especially communities of color, will certainly be missed. The progress the Department of Justice made under his leadership, most especially on civil rights, is unlike anything we have seen in generations," the NAACP's Hilary Shelton said.

'Good riddance'

While the first African-American attorney general serving under the first African-American President has been praised as a bold enforcer of equality by some, he has been described by others as a tactical partisan who disregards the Constitution.

The  many challenges of replacing Eric Holder

Congressional Republicans have accused Holder of using the Justice Department to defy the 2013 Supreme Court ruling that struck down a component of the Voting Rights Act, and they investigated him over Operation Fast and Furious, a botched gun-smuggling program. Weapons from that operation were later used in a gun battle that left U.S. Border Patrol Agent Brian Terry dead.

In June 2012, the House voted to hold Holder in contempt of Congress for refusing to turn over documents linked to that operation.

Commitment to racial justice

Some will also remember Holder for speaking about race when President Barack Obama didn't. When the community of Ferguson was desperate for answers and change, Holder gave a personal account of being stopped by a cop as a result of racial profiling.

"He was the driving force and the primary face of the administration on racial issues," said Tanya Clay House, with the Lawyers' Committee for Civil Rights.

These issues run deep for Holder. His sister-in-law was one of two black students who integrated the University of Alabama. He was also part of an activist group in college that forced Columbia University to change the name of a student area to Malcolm X Lounge, according to Errol Louis, the host of "Inside City Hall" in New York, in a CNN opinion piece.

Holder was also instrumental in the national shift to accept -- or not discriminate against -- same-sex marriage. He decided he would not defend the federal ban on same-sex marriage, prompting a domino effect of courts striking down state bans.

During his resignation announcement with the President Thursday, Holder vowed to continue the work he started.

"I will continue to serve and try to find ways to make our nation even more true to its founding ideals," he said.

Holder said he will remain in office until his successor is approved.

Eric Holder Fast Facts

@highlight

Attorney General Eric Holder said Friday he's most proud of his efforts to protect voting rights

@highlight

Holder's Justice Department aggressively challenged new voting laws

@highlight

He announced a new initiative to reduce the number of teens in the juvenile justice system

@highlight

He also spoke of race during times when President Barack Obama didn't