(LonelyPlanet.com) -- As temperatures plummet in the Northern Hemisphere, why not enjoy some of the great travel experiences that only a big chill can bring. We look at the world's top seven winterland marvels, as chosen by Lonely Planet authors:

1. The northern lights of Canada

It's the middle of night, in the middle of nowhere. It's so dark that you can hold your hand three inches from your face and not see it. The silence is so complete that the low thud of snow falling from a nearby tree makes you jump. Your eyelashes are close to frozen and it's a struggle to separate them when you blink. And yet you'd happily sit there all night, for many nights to come, for the chance to see nature's most mysterious sight: the northern lights.

Lonely Planet: The world's hottest cool places

With little light pollution, optimum weather conditions (very cold, with plenty of clear nights) and its position directly beneath the prime-viewing zone of the auroral oval, Churchill in Canada is one of the best places in the world to see the northern lights. The Arctic tundra and boreal forest surrounding the town see over 300 nights of auroral activity each year. Displays might last hours, or be gone in a minute.

Flashing neon pink, turquoise and green, the lights swirl across the sky in myriad imagined shapes (is that a walrus, a witch, a whale?) before whipping back on themselves and disappearing. In the presence of such a spectacle, it's easy to believe local Inuit myth that the aurora borealis are signals from the afterlife, particularly if you hear the sky crackle and swoosh as some claim. What is in no doubt during those moments when the lights whirl above your head is that you're part of the greatest show on earth.

2. Icebound St Petersburg

January in St Petersburg. The city's residents, long used to the cold, don fur hats and heavy coats to stand in line. Nowadays, they wait not for bread, but for art: frozen art. Every winter, sculptors transform blocks of ice into elaborate models of people, animals and objects. It's a tradition that dates back to 1740, when an entire ice palace was constructed to celebrate the birthday of the Empress Anna. Set against a backdrop of golden domes sparkling in the light of the low sun, the exhibit embodies the magic of St Petersburg in winter.

Locals bypass the city's bridges, slithering over the ice-covered rivers and canals to make their way across town. The Neva River is frozen solid, except for one large hole in front of the Peter Paul Fortress. This is the plunge pool for the Walrus Club, a group of swimmers who exhort the health benefits of a daily dip. When the cold finally seeps in, Petersburgers warm up with a vodka, served in an ice glass, from the ice bar. "At least we can do something with all this ice other than slipping and falling on it!" observes one happy patron.

3. Sweden's reindeer migration

One of the world's greatest migrations takes place each year just over a thousand miles north of Britain. As snow thickens on every surface, lakes freeze over and the temperature drops below -25ËšC, tens of thousands of reindeer make their way across northern Sweden. Descending from summer pastures in the mountains to the west, the herds travel east to spend the long winter foraging in the forests.

Accompanying them on a journey that can take ten days or more are their seminomadic Sami owners. While herding methods may have modernized over the centuries (snowmobiles -- and even helicopters -- have replaced snowshoes), reindeer husbandry is still a cornerstone of their culture. To fall in with the Sami and their herds is to be part of a heritage that stretches back millennia -- one of days dictated by the pace of the reindeers' steady trot, and of nights sharing stories round the fire under a chill, star-filled sky.

Lonely Planet: The UK's favorite winter pubs

4. Italy's sunken bell

Head to Italy's South Tyrol this winter and you're likely to come across one of Europe's most bizarre sights -- an apparently amputated church spire poking out from the frozen waters of Lago di Resia. The 14th-century bell tower, pointing like an arrow to the blustery skies above, is a forlorn monument to an entire village drowned beneath the waters of an artificial lake created as part of a hydroelectricity project in the 1950s.

Locals will tell you that the tolling of its church bell can still be heard on a cold night -- even though the bell was removed when the valley was flooded. Tall tales may have sprung up around it, but the church and the lake are very much part of local life, particularly in winter. Snow-kiters twirl across the ice, leaping high into the air as their kites catch a gust of wind, keeping an eye out for ice-skaters gliding around the lake's perimeter. Families slip and slide their way to the base of the tower, eager to slap their gloved hands on a piece of history that's out of reach most of the year.

5. Yellowstone's boiling waters

There are few places as beguiling as Yellowstone National Park. It is a landscape created by grinding glaciers and volcanic eruptions, a place of fire and brimstone where the very earth breathes, belches and bubbles like a giant kettle on the boil. Here, in a land roamed by moose, bears and wolves, geysers and hot springs seethe and simmer and finally blow, capturing the imagination as they have done since the park's inception in 1872. It is America made wild and primeval.

As the temperature drops and the snow piles high, the park takes on a special drama and grace. The tourist crowds thin, replaced by cross-country skiers silently swooshing along marked trails. Shaggy-coated bison pick their way through the deep snow to warm themselves in geyser basins, waiting for a waft of hot stream from shimmering thermal pools. They retreat a few paces as a hot spring suddenly erupts, sending an arc of boiling water high into the frigid air.

6. Korea's ice festivals

For much of the year, the sancheoneo -- a species of trout -- leads a blameless life in the rivers around Hwacheon, a town that lies in the mountains northeast of Seoul. When the cold, dry Korean winter arrives, the rivers freeze over and the sancheoneo disappear under 40cm of ice. And then the trouble starts.

Every January, the Hwacheon Sancheoneo Ice Festival brings a sudden energy to this quiet corner of the country. Hundreds of thousands of thickly clad visitors swarm over every frozen surface to try their hand at ice-fishing. Barbecues come as naturally to Koreans as baguettes to the French, and the smell of charcoal fires wafts along the banks, ready for the latest catch. For a few visitors, dropping a line through a hole in the ice to catch their fish is just not enough of an experience. Dressed in T-shirts and shorts, they plunge into a pool of near freezing water and learn just what slippery customers trout can be.

7. Snowbound London

Ten o'clock on a Monday morning in central London. No buses steam down Piccadilly, belching passengers at every stop. There are no crowds jostling for space on the pavements of Oxford Street and the doors of its department stores remain locked. The tubes stand empty in their tunnels, planes are grounded at Heathrow. The few people who've made it into work in the City turn back when they find their offices closed. This is not the scene from an apocalyptic Day of the Triffids-style film, but the reality of life in the capital on the rare occasion it lies under a thick blanket of snow.

The streets empty and all activity migrates to the parks. On Hampstead Heath, a running club has given up shuffling through the snow and is rolling a giant snowball down to the banks of the pond. In Richmond Park, the resident deer paw at the frozen earth, looking for twigs and shrubs.

Far to the east in Greenwich, a borough's worth of schoolchildren celebrate their unexpected day off by tobogganing down from the Royal Observatory, the distant skyscrapers of Canary Wharf barely visible through the grey murk. Back in the center, snow falls steadily on a deserted London, bestowing on anyone who ventures onto its streets the unimaginable magic of having a city all to themselves.

Lonely Planet: How to beat the winter blues

© 2011 Lonely Planet. All rights reserved.

@highlight

Enjoy some of the great travel experiences that only a big chill can bring

@highlight

From the northern lights of Canada to Korea's ice festivals, explore these icy sights

@highlight

Visit St. Petersburg during the winter for incredible scenery