(CNN) -- It's been more than 30 years since high-level officials from the United States and Iran sat down together to talk face-to-face.

That drought ended Thursday.

Secretary of State John Kerry and Iranian Foreign Minister Mohammad Javad Zarif met in New York as part of a meeting between the Middle Eastern country and the five permanent members of the U.N. Security Council plus Germany.

Both diplomats described as "constructive" the meeting, which explored the idea of restarting talks on Iran's nuclear program.

"We hope to be able to make progress towards resolving this issue in a timely fashion based on respecting the rights of the Iranian people to nuclear technology for peaceful purposes, including enrichment. And, at the same time, making sure that there is no concern at the international level that Iran's nuclear program is anything but peaceful," Zarif told reporters after the meeting.

Kerry, likewise, sounded cautiously optimistic.

"I think all of us were pleased that Foreign Minister Zarif came and made a presentation to us, which was very different in tone and very different in the vision that he held out with respect to the possibilities of the future," Kerry said.

"There's a lot of work to be done, so we will engage in that work obviously and we hope very, very much -- all of us -- that we can get concrete results that will answer the outstanding questions regarding the program," he added.

Zarif made a 15- to 20-minute presentation, a senior State Department official told CNN, laying out what Iran's interests were and his nation's desire to reach agreement with other nations and fully implement that agreement within a year. The State Department official called Zarif's presentation "thoughtful."

Outside of the larger meeting, Kerry and Zarif also had a short bilateral discussion.

"We stressed the need to continue these discussions to give it the political impetus that it requires, and hopefully to reach a conclusion in a reasonable time," Zarif said. "I'm satisfied with this first step. Now we have to see whether we can match our positive words with serious deeds so that we can move forward."

Such a high-level meeting involving the United States and Iran hasn't happened since Iran's 1979 revolution, which sent relations between the two into a deep freeze.

But the election of new Iranian President Hassan Rouhani, widely seen as more moderate than his predecessor, seems to have opened the possibility of a thaw in relations.

Rouhani made comments this week that have led many leaders to conclude there is a chance to strike a nuclear accord between Iran and the other nations.

He called on Thursday for an end to nuclear weapons, saying such disarmament "remains our highest priority."

"As long as nuclear weapons exist, the risk of their use, threat of use and proliferation persist," Rouhani told the U.N. General Assembly on behalf of the Non-Aligned Movement. "The only absolute guarantee is their total elimination."

The recent developments prompted President Barack Obama to dispatch Kerry to seek a deal with Tehran.

The United States and other world powers have long said they believe Iran wants nuclear weapons. Iran has said it only wants to harness nuclear energy for peaceful purposes.

Obama said on Tuesday that curbing Iran's pursuit of nuclear weapons, along with solving the Middle East conflict between Israel and the Palestinians, would be his highest foreign policy priority for the remainder of his term.

"While these issues are not the cause of all the region's problems, they have been a major source of instability for far too long, and resolving them can help serve as a foundation for a broader peace," he said during his address on the opening day of the U.N. General Assembly in New York.

Obama sounded cautious about any possible breakthrough, saying "the roadblocks may prove to be too great, but I firmly believe the diplomatic path must be tested."

Senior administration officials said Obama made the decision to appoint Kerry his point man on Iran to demonstrate an increased emphasis and importance the president is putting on improved relations with Tehran.

Until now, negotiations have been held at lower levels. But raising the dialogue through Kerry was intended to reiterate Obama's openness to move forward with a bilateral approach on Iran.

Upon taking office, Rouhani appointed Foreign Minister Zarif, a western-educated former ambassador to the United Nations, as his lead nuclear negotiator. The move was similarly seen as a gesture at improving relations with the West.

In his speech to the General Assembly, Rouhani said Iran was prepared for immediate nuclear talks that are "time-bound and result-oriented ... to build mutual confidence and removal of mutual uncertainties."

The Iranian leader also said he listened carefully to Obama's speech and hoped the United States "will refrain from following the shortsighted interests of warmongering pressure groups" so the two nations "can arrive at a framework to manage our differences."

In February, the bloc of countries leading the diplomatic effort offered Iran a package of economic incentives to abandon its nuclear ambitions.

In exchange for easing of sanctions barring trade with Iran in gold and other precious metals, the group wants Iran to shut its underground enrichment facility at Fordo, near the holy city of Qom, and ship out its stockpile of uranium enriched to 20% purity.

The group also proposed fuel for a medical reactor and easing sanctions on aviation spare parts in exchange for Iran suspending its uranium enrichment and shipping its stockpiles out of the country.

Iran has never formally responded to the deal and it remains to be seen whether the group would be willing to sweeten the offer in the new climate.

Rouhani told CNN's Christiane Amanpour that he has the full backing of Iran's supreme leader, Ayatollah Khamenei.

"The supreme leader, I can tell you, has given permission for my government to freely negotiate on these issues," he said in the interview. Obama administration officials have said they believe the Iranians are ready to negotiate because of the toll international sanctions have taken on their economy.

In his remarks Thursday, Rouhani said Iran would be willing to live under International Atomic Energy Agency safeguards against nuclear weapons, but scolded Israel for not signing on to international nuclear nonprofileration agreements.

"Israel, the only nonparty to the Non-Proliferation Treaty in this region, should join thereto without any further delay. Accordingly, all nuclear activities in the region should be subject to the IAEA comprehensive safeguards," he said.

"The international community has to redouble its efforts in support of the establishment of this zone. This would constitute a contribution to the objective of nuclear disarmament."

Israel has never acknowledged having nuclear weapons but is widely believed to possess them.

Israeli officials fear Iranian nuclear weapons pose a direct threat to their security, especially after years of bellicose rhetoric from the previous Iranian president, Mahmoud Ahmadinejad.

While Rouhani's tone has been different -- he recently wished Jews a happy Rosh Hashanah through his official Twitter account and on Wednesday acknowledged the reality of the Holocaust in Western media interviews -- Israeli Prime Minister Benjamin Netanyahu said earlier this week that he's not yet sold on Iran's seemingly more moderate tone.

GPS BLOG: Can Rouhani or Obama deliver on any deal?

@highlight

John Kerry and Iran's foreign minister have a quick bilateral discussion

@highlight

FM Mohammad Javad Zarif says "satisfied with this first step"

@highlight

"There's a lot of work to be done," says the U.S. Secretary of State

@highlight

The U.S. and Iran have had no high-level face-to-face contact since the 1979 revolution