NEWTON, Massachusetts (CNN) -- For Laura Geraghty, April 1, 2009, started out just as any other day. It was sunny but cool, she remembers.

Laura Geraghty was shocked 21 times before she came back from cardiac arrest with tales of the afterlife.

The mother of two, also a grandmother, was at her job, driving a school bus for the Newton Public School District in suburban Boston, Massachusetts.

Her passengers, special-needs children, were wheelchair-bound.

Seemingly in good health and in good spirits, Geraghty was finishing up her late-morning run, transporting a student and teacher back to Newton South High School, when she realized she was in trouble.

As she was pulling into the school parking lot, she began having sharp stomach pains. She was able to park her bus, but she kept feeling worse.

The pain "went right up my arm and into my chest, and I said, 'Uh-oh, I'm having a heart attack,' " she said.

The teacher ran from the bus to get help. Newton South's nurse, Gail Kramer, and CPR instructor Michelle Coppola arrived moments later with the school's new automated external defibrillator.

Geraghty, barely conscious, was fading fast. She was weak and having trouble breathing. And then she went into full cardiac arrest.

"Her eyes were wide, and all of a sudden she stopped talking to us," Coppola said. "I grabbed the two pads, stuck them on her, started it up, and I'd say within 20 seconds, she had her first shock."

Coppola and Kramer performed CPR while they waited for paramedics.  See an expert give a quick lesson in CPR »

At that point, Geraghty says, her body died. She remembers watching the scene unfold -- as if from above.

"I floated right out of my body. My body was here, and I just floated away. I looked back at it once, and it was there."

Geraghty says she saw deceased loved ones, her mother and her ex-husband.

"It was very peaceful and light and beautiful. And I remember like, when you see someone you haven't seen in a while, you want to hug them, and I remember trying to reach out to my ex-husband, and he would not take my hand. And then they floated away."

Next, she says, she was overwhelmed by "massive energy, powerful, very powerful energy."

"When that was happening, there were pictures of my son and my daughter and my granddaughter, and every second, their pictures flashed in my mind, and then I came back."

What Geraghty had was a near-death experience, fairly common in people who go into sudden cardiac arrest.

Geraghty was down for 57 minutes. No blood pressure, no pulse, no oxygen, no blood flow. She was shocked 21 times before she finally came back with tales of the afterlife.

According to the Near Death Experience Research Foundation, nearly 800 near-death experiences happen every day in the United States.

Dr. Kevin Nelson, a neurologist in Lexington, Kentucky, studies near-death experiences and says they're not imagined. The explanation, he says, lies in the brain itself.

"These are real experiences. And they're experiences that happen at a time of medical crisis and danger," Nelson said.

Humans have a lot of reflexes that help keep us alive, part of the "fight or flight" response that arises when we're confronted with danger.

Nelson thinks that near-death experiences are part of the dream mechanism and that the person having the experience is in a REM, or "rapid eye movement," state.

"Part of our 'fight or flight' reflexes to keep us alive includes the switch into the REM state of consciousness," he said.

During REM sleep, there is increased brain activity and visual stimulation. Intense dreaming occurs as a result.

And the bright light so many people claim to see?

"The activation of the visual system caused by REM is causing the bright lights," Nelson said.

And the tunnel people speak of, he says, is lack of blood flow to the eye. "The eye, the retina of the eye, is one of the most exquisitely sensitive tissues to a loss of blood flow. So when blood flow does not reach the eye, vision fails, and darkness ensues from the periphery to the center. And that is very likely causing the tunnel effect."

Nelson is doing studies now to prove that the same effect results from fainting.

"The most common cause of near-death experience in my research group is fainting. Upwards of 100 million Americans have fainted. That means probably tens of millions of Americans have had these unusual experiences."

But Geraghty says this was no dream. "I know I went someplace else. I know I went someplace else other than here."

Dr. Bill O'Callahan, the emergency room doctor who shocked her back to life, agrees. "Cynics out there would say and agnostics would say that's phenomenon that comes from a dying brain. I think that's hogwash. I firmly believe that people experience these events." Cheating Death: Back from the dead

Bob Schriever, co-founder of the Sudden Cardiac Arrest Association, was refereeing a high school football game seven years ago when he went into cardiac arrest, died and was revived.

He, too, questions the dream explanation. "Why are so many people dreaming the same thing? How can so many people, and there's hundreds of thousands of people who have experienced this, how can we all be dreaming the same thing and describe the exact same thing?"

Schriever says these experiences are so profound that only someone who has gone through them can truly understand.

Seven years later, he is still consumed with his own near-death experience.

"I think about that every morning when I wake up, first thing, during the day, I don't know how many times and every night before I fall asleep. I think about that. People do not understand or appreciate what we go through." Scientist uses poison gas to suspend life

For Geraghty, it's a daily struggle to put the pieces back together again.

"I've been someplace that not everybody can go, and there's not a lot of people you can sit down and have that conversation with," Geraghty said. "My own daughter tells me, 'It's freaky, Mom.' I've literally lost friends over this the minute they hear it." Tweet your own experience and you could win a copy of "Cheating Death"

Geraghty says she became depressed once she left the hospital because her perspective on her entire life changed. She still gets depressed, she says, and is on medication.

"I actually went to my doctor and said to her, 'I think I'm losing my mind. This can't be really happening,' you know, and she said it's OK, it's very hard to understand when you've been through an experience like that."

Geraghty has joined the cardiac arrest group, hoping that connecting with others who understand what she's been through will allow her to come to terms with what happened to her that cool spring day six months ago. And allow her to heal and move on.

@highlight

Woman whose heart stopped describes "floating," seeing dead loved ones

@highlight

"It was very peaceful and light and beautiful," Laura Geraghty says

@highlight

Doctor links "fight or flight reflex," intense dream state to near-death experiences

@highlight

Those who have experienced it say it has changed their lives