(CNN) -- Football's new Financial Fair Play rules have got some of the world's biggest clubs worried.

Facing the prospect of being punished with heavy fines and barred from European competition, they are desperate to make sure that generated revenues are equal or greater than expenditure.

Barcelona was one of the first to address balance sheet deficits when it allowed its first shirt sponsorship in 111 years, agreeing a $185 million deal with the Qatar Foundation in late 2010.

More recently European champion Chelsea, bankrolled since 2004 by Russian billionaire Roman Abramovich, signed a deal with energy giant Gazprom. One Turkish team has even gone down the surreal route of building a hydroelectric plant in a bid to raise revenue.

Inter Milan, owned by Italian oil tycoon Massimo Moratti, is selling a $67 million stake in the club to Chinese investors. Former Italian Prime Minister Silvio Berlusconi, who owns AC Milan, is reportedly seeking investment from his friend at the Kremlin, Vladimir Putin, also via Gazprom.

Are footballers on a par with bankers?

The decision to seek foreign funds is alien to Italian football, where only one club in Serie A has an overseas owner, and illustrates how the need to seek global sponsorship is being used to work around the new UEFA framework.

England's Abu Dhabi-owned Manchester City signed a $628 million deal with the emirate's airline Etihad that was described as an "improper transaction" by a Council of Europe Committee.

Welcome to the crazy world of beating FFP.

"Clubs are looking for more revenue-generating partnerships with sponsors in part to ensure compliance with the UEFA FFP regulations," football finance expert Daniel Geey of London firm Field Fisher Waterhouse told CNN.

"The concern for many clubs if they breach the FFP requirements is whether they will be sanctioned through expulsion from UEFA competition.

"Some sanctions for breaching the regulations may not be as harsh, but in order to fill a potential revenue shortfall clubs are looking for ways to beef up their accounts."

Will football clubs play fair financially?

Perhaps the most intriguing tale is that of Turkish club Trabzonspor, which has created a novel way of ensuring it does not fall foul of the FFP rules.

Based in the Anatolia region of the country, which is fast becoming Turkey's economic center, the six-time league winner -- whose chairman Sadri Sener is a civil engineer -- is investing in its future.

The Black Sea club will build a hydroelectric plant in a bid to raise revenues after receiving permission from the Turkish government, which is seeking an alternative source of energy after becoming reliant on the natural gas supplied by neighboring Russia, Azerbaijan and Iran.

The plant is expected to cost an estimated $50 million, with annual revenues expected to pull in $10 million a year. The deal could prove a masterstroke as Turkey's energy market is growing by 8% each year.

Trabzonspor, which will play in the second tier UEFA Europa League this season, is also considering plans for a second and smaller plant.

"The club needs a guaranteed source of income, and we have the ideal conditions for hydro power," the Financial Times quoted a Trabzon club official as saying.

The world's best-paid sports teams

The hydro project is just the latest in a line of schemes devised by clubs to work around the FFP which may come under scrutiny from European football's ruling body.

"Many of the more recent deals like Etihad's long-term agreement with Manchester City and Chelsea's arrangements with Gazprom have prompted some to suggest such sponsorship deals are a convenient way to use the facade of a sponsorship deal to boost revenues," Geey said

"Such analysis will ultimately be done through UEFA's Club Financial Control Body. They will have to assess whether such transactions fall under the 'related party transaction' provisions of the FFP regulations and if so, what the fair value of the transaction really is.

"Similarly, UEFA will also have to consider at the appropriate time whether Trabzonspor's innovative plan to build an energy power plant to boost club revenues would actually fall within what would be classed as relevant revenues for FFP calculations.

"Such investigations will only occur come the 2013-14 season when clubs have to submit their accounts for FFP compliance for the first time."

In a UEFA report published last year, it was estimated that about 50% of top European clubs were losing money and 20% were recording sizable deficits.

Under the new rules, owners can only contribute a maximum of $55.5 million for the 2013-14 and 2015 seasons together, and $37 million during the period covering 2015-16, 2016-17 and 2017-18.

Current rules state that should clubs incur losses in excess of $60 million over a three-year period, they will be hit with sanctions as well as exclusion from the Champions League and Europa League.

Bumper revenues for Premier League clubs tempered by soaring wages

But while the boardrooms are anxiously preparing for FFP, supporters across the globe may not see much change.

Although spending within the August transfer window is down from $761 million last season to around $392 million so far this year, Premier League supporters will still enjoy a first-class brand.

"People are talking about FFP more in the UK than elsewhere," Paul Rawnsley, director at Deloitte's sports business group, told CNN. "But I don't think the normal fan in the stands will really notice anything too different.

"There won't be any radical changes and all it will do is bring a better balance over time. At the very top end of the game we've seen that football is quite resistant to economic downturn.

"Players are still going to be rewarded well and this idea of FFP is not a new thing."

Rawnsley predicts clubs will adapt to the new framework and that none of the major players will fail to meet the FFP criteria.

"I'd be pretty surprised if some clubs across Europe weren't preparing for the FFP rules to come into place because this concept was approved back in 2009," he said.

"UEFA has already said it will impose sanctions on clubs which don't comply and that could be a financial penalty or even exclusion from a competition."

@highlight

Trabzonspor to build a hydroelectric plant in a bid to raise extra revenue

@highlight

Turkish club believes $50 million project will help bring in $10 million a year

@highlight

Teams across Europe looking at ways to raise extra revenue through sponsors

@highlight

Clubs submit accounts for Financial Fair Play for first time in 2013-14 season