(CNN) -- Over the past few weeks, cities have continued to remove Occupy Wall Street protesters from their encampments. Occupy has responded to these ejections by changing its focus from public spaces toward private property: foreclosed homes.

This shift may end up leaving Occupy even stronger than it was before the ejections began. It answers critics who have accused Occupy of lacking a political program and will help the movement build stronger ties with working-class Americans. To understand why, it helps to view Occupy in the context of earlier social movements that employed similar tactics.

A straight line runs from the 1930s sit-down strikes in Flint, Michigan, to the 1960 lunch-counter sit-ins to the occupation of Alcatraz by Native American activists in 1969 to Occupy Wall Street. Occupations employ physical possession to communicate intense dissent, exhibited by a willingness to break the law and to suffer the -- occasionally violent -- consequences.

Effective occupations, however, have managed to do more than convey intensity. They have crafted visible signs of the reality protesters hope to create, thereby spurring legal change. The sit-down strikes arguably laid the groundwork for the enforcement of federal labor laws; the lunch counter sit-ins led to the enactment of Title II of the Civil Rights Act of 1964; and the Alcatraz occupation paved the way for a milestone reversal in Federal Indian policy, leading President Nixon to support tribal self-determination.

The sit-down strike movement began January 27, 1936, when workers at the Firestone Tire and Rubber Co. in Akron, Ohio, sat down on the job to protest the company's suspension of an official in the workers' union. Fifty-five hours later, the company capitulated, reinstating the union official with back pay and even compensating the strikers (at half-pay) for the time during which they occupied the plant. Successful imitation strikes were soon launched at other tire factories.

Workers were willing to use nonlethal force to defend their occupations, and they managed to repel attempts to forcibly remove them. The number of strikes mushroomed. In 1937 alone, roughly 400,000 workers participated in nearly 500 sit-down strikes. The GM sit-down strike in Flint involved tens of thousands of workers and was resolved just as the Supreme Court was hearing arguments in a pivotal case concerning the constitutionality of federal labor laws. Indeed, several legal historians attribute the court's famous "switch in time" -- upholding the National Labor Relations Act in the case of NLRB v. Jones & Laughlin Steel Corp. -- to the sit-down strikes.

A generation later, the 1960 sit-ins began as seemingly spontaneous lunch-counter occupations by college students in Greensboro, North Carolina. They quickly spread to dozens of cities throughout the South. Now canonized, at the time they were extremely controversial, even among African-American civil-rights veterans. Thurgood Marshall was notoriously furious with the students for violating private property rights in a way that he both opposed in principle and feared might generate a backlash.

Despite Marshall's worries, the students were more successful than anyone could have hoped. They were well-organized and committed to nonviolence, and their quiet discipline was only made more visible by the hoodlums who frequently assaulted them. Their actions smoothed the road for the enactment of the Civil Rights Act of 1964, which (among other things) prohibits racial discrimination at lunch counters.

Although political theorists typically make room in their accounts of democratic politics for principled disobedience, most distinguish conscientious lawbreaking from disobedience motivated by self-interest. But the categories of self-interested and conscientious lawbreaking are not easily separated. Moreover, far from discrediting acts of disobedience, an intermingling of the strategy of principled lawbreaking with a degree of self-interest can actually render a protest more intelligible to nonparticipants.

What has puzzled many observers about the Occupy Wall Street protests is precisely the lack of an obvious connection between their disobedience (the occupation of parks and streets) and their political and economic complaints. This is why Occupy's turn toward foreclosed housing is so important.

While it takes heroic acts of imagination to connect the dots between the occupation of Zuccotti Park and worries about economic inequality, political corruption and the excessive power of banks, the connection between these issues and the occupation of foreclosed housing is obvious. A great deal of America's vacant housing sits in the hands of the very financial institutions whose profiteering brought us the current Great Recession. Not content with the billions in bailouts showered on them by a federal government that seems beholden to their interests, those institutions have resisted efforts to get them to restructure underwater mortgages.

To make matters worse, many of these same banks have brazenly abused foreclosure procedures through practices like robo-signing. As numerous state courts have observed, abuse of the foreclosure process has been the rule rather than the exception. The bankers' claims to foreclosed properties are morally suspect, and occupation of those properties directly confronts this illegitimacy.

The ejection of the Occupy Wall Street protesters from public spaces may, in the long run, work to the movement's benefit. In shifting their efforts away from public parks and toward foreclosed homes, Occupy is forging a tighter link between its acts of occupation and its political objections. This will ultimately enhance the effectiveness of its message. It also brings Occupy Wall Street more closely into line with the most effective occupation movements of the past century.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Katyal and Peñalver: Occupy Wall Street is shifting its focus to foreclosed homes

@highlight

This will help the movement build stronger ties with working class, the writers say

@highlight

Katyal and Peñalver: Occupy connects to social movements with similar tactics

@highlight

Occupy is forging tighter link between occupation and political objections, they say