Mexico City (CNN) -- Mexican authorities have opened an investigation into permits issued to Wal-Mart in light of allegations that the retail giant bribed officials in Mexico to speed up store construction.

"If any irregular activities attributable to federal public servants are detected, the federal government will take appropriate action," Mexico's Ministry of Public Administration said in a statement Wednesday.

The ministry also said Mexico's federal government was requesting information from U.S. officials about the case for its investigation.

Local authorities will be alerted if the investigation turns up possible corruption among local officials, the ministry said.

The announcement comes several days after a New York Times report detailed what the newspaper said was widespread bribery used by Wal-Mart's Mexican subsidiary.

The New York Times report cites a former executive, Sergio Cicero Zapata, who resigned from Wal-Mart de Mexico in 2004. Cicero told the newspaper he had helped organize payoffs to local officials -- including dispatching intermediaries to deliver envelopes full of cash. The aim of the bribes, he said, was to guarantee zoning approvals, reductions in environmental impact fees and support from neighborhood leaders, according to the newspaper.

After resigning, Cicero alerted a senior Wal-Mart lawyer about the deals in 2005, prompting an internal investigation, The New York Times said.

A paper trail found suspect payments in Mexico totaled more than $24 million, the newspaper said, citing an internal Wal-Mart review.

CNN has not independently confirmed the details in the New York Times report.

Wal-Mart de Mexico y Centroamerica, the company's subsidiary in Mexico, said in a statement that it is "fully committed to complying with the laws of the countries where it operates, including any state or municipal regulations pertaining to the application for licenses and permits."

"The allegations in the recent New York Times article, if true, do not accurately reflect Wal-Mart de Mexico y Centroamerica's culture," the statement continued.

Earlier this week, the CEO of the Mexican Stock Exchange declined to comment on the New York Times report.

"I have nothing more to say, other than that it is a great company, that Wal-Mart is a company that has been very appreciated by Mexican investors. It is one of the companies that has grown most in the country," Luis Tellez said.

Mexico was the first country in Wal-Mart's international division. Wal-Mart has 2,099 retail units in the country, including 213 supercenters, according to a company fact sheet.

While some experts and officials have called for investigations of the retail giant's Mexican subsidiary in light of the New York Times report, others see a symptom of a larger problem: widespread government corruption.

Mexico ranked 100 out of 183 countries in Transparency International's Corruption Perception Index last year. And only China and Russia ranked behind Mexico on the organization's Bribe Payers Index, which ranks the likelihood of companies to win business abroad by paying bribes.

Jose Luis de la Cruz Gallegos, who directs an economic research center in central Mexico, told CNN Expansion that such rankings "show clearly that businesses and people have to incur a great cost in order to get ahead."

"It's not so much the kinds of bribes that The New York Times mentions, even though those are important. It is the general context of impunity and abuse of the law that has characterized the growth of Wal-Mart over the past decade in Mexico," John Ackerman, a professor at the Institute of Legal Research at the National Autonomous University of Mexico, told CNN Expansion.

The retail giant, which also came under fire in the United States after the New York Times report, has stressed that it has been conducting a global review for months over whether its workers violated the U.S. Foreign Corrupt Practices Act (FCPA), which prohibits giving bribes to international officials.

"We will not tolerate noncompliance with FCPA anywhere or at any level of the company. We are confident we are conducting a comprehensive investigation, and if violations of our policies occurred, we will take appropriate action," Wal-Mart spokesman David Tovar said in a statement Tuesday.

Tovar also noted that the alleged activities in the newspaper's report "are more than six years old."

The company has taken steps to "establish stronger FCPA compliance" in Mexico, he said, including improving auditing procedures, policies and training.

CNN's Catherine E. Shoichet and Rey Rodriguez contributed to this report.

@highlight

Mexican federal authorities are looking into permits given to the retail giant

@highlight

The probe comes after a report alleged widespread bribery to speed up store construction

@highlight

Analysts say the bribery allegations are a symptom of a more widespread problem

@highlight

Wal-Mart says it has taken steps to ensure compliance with corruption laws