(CNN) -- Is President Barack Obama running against the GOP or the GDP?

In exactly one year -- November 6, 2012 -- we'll be lining up at polling places to cast our votes for the next president. How much of that decision will be determined by economic data and poll numbers?

Some of the smartest political pros believe you can gauge a president's chances of re-election by looking at just a couple of key indicators -- job approval, unemployment and growth in gross domestic product. Plug in the data and you get the election outcome -- pure, unsentimental and simple.

To test this theory, I compared Obama's standing right now with those of recent past presidents one year before the re-election vote. Here's what I found:

There is no reason for overconfidence at Obama election headquarters -- the man is presiding over a historically bad economy. But his popularity numbers could be worse, and a lot can change in a year. The most important factor is the momentum heading into Election Day -- and yes, the opponent matters.

For example, at about 1,000 days into their terms, according to Gallup, Presidents Richard Nixon and Ronald Reagan had mediocre approval ratings of 49% -- roughly one year out from their landslide 49-state re-elections in 1972 and 1984, respectively. Running against George McGovern and Walter Mondale, two weak candidates, certainly helped their efforts. Bill Clinton was also at 49% approval one year before his 1996 victory over Bob Dole.

Obama's 45% approval rating this week is a tick up from his third quarter average of 2011. He's doing better than the two one-term presidents of the 1970s. Gerald Ford was at 44% in the wake of Watergate and desperate promises to "Whip Inflation Now." Jimmy Carter was mired in the Iran hostage crisis with a rock-bottom job approval rate of 32%, despite a relatively decent unemployment rate of 5.9%.

So here's a reality check: Obama has never been anywhere near that low.

The biggest cautionary tale comes from the first President George Bush. He was riding high at 62% one year out from his 1992 loss. But euphoria from victory in the first Gulf War gave way to resentment over a relatively brief recession.

Unemployment was about 7% in 1991 -- two points lower than now. GDP growth in the third quarter of 1991 was 1.7%, up from negative 1.9% in the first quarter. The 2.5% GDP growth in the third quarter of 2011 looks pretty good by comparison. But Clinton was able to campaign successfully against Bush over the recession in 1992, despite 4% GDP growth that year. Sometimes the narrative gets so established that it can't be dislodged.

The closest unemployment rate to today's 9% was Reagan's 8.5% in 1983 -- but that was down from over 10 percent the previous year. The trend was Reagan's friend -- GDP growth was rocketing at 8 percent in the third quarter of '83 and continued at that clip into early '84 -- all of which made it feel like "Morning in America."

So where does Obama stand in this hall of presidents? His approval rating is in the murky area between the one- and two-termers, but given the historically high unemployment rate, it's remarkable that his job approval isn't lower. One explanation for this bit of gravity defiance is that Obama's personal approval rating remains quite high -- nearly 70% . But that makes him susceptible to the election-year argument that Mitt Romney is starting to make: Nice guy, good family, but it's time to give someone else a chance to turn the economy around.

The economy is finally showing some signs of improving, but it's not happening fast enough to add meaningfully to consumer confidence. And Europe's continued economic instability threatens to tank whatever glimmer of a recovery there is. While unemployment will hopefully continue to decline toward 8% or lower, it's hard to imagine that we'll see the kind of GDP growth that boosted Reagan in 1984 or Clinton in 1996. "The worst is over" isn't the most inspirational re-election slogan.

Likewise, the recent bump in approval ratings President Obama has enjoyed -- from 41% to 45% -- is nothing to really cheer about at the White House. It is due to three factors that could fade: the vindication of his intervention in Libya (foreign policy is an unexpected bright spot in this administration); the food-fight chaos among the Republican candidates; and, yes, the modestly positive economic data.

There's an additional headwind that President Obama faces -- 40% percent of Americans call themselves conservative while just 20% describe themselves as liberal. The landslides of the past 40 years have come from Republicans -- Nixon and Reagan -- while Bill Clinton was the first Democrat re-elected since FDR and never broke 50% of the popular vote, in large part because of Ross Perot's two independent campaigns.

It doesn't take a crystal ball -- or reams of data -- to say that the 2012 presidential election is going to be close. By any historical measure Barack Obama is a very vulnerable incumbent. Nonetheless, he has withstood tough economic winds without his popularity completely collapsing and he has the comparative benefit of a weak Republican field.

But if a week is a long time in politics (just ask Herman Cain), a year is a lifetime. We are in for a wild election ride, and a long election night one year from today.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Can one predict presidential chances by GDP growth, approval, jobs?

@highlight

He says Nixon, Reagan overcame poor approval ratings

@highlight

Avlon: Clinton hit George H.W. Bush over a small recession

@highlight

Obama faces strong headwinds in a 40% conservative electorate