(CNN) -- The massacre of students and a teacher within the seemingly safe hallways of Columbine High School reverberated so strongly that its reflection can be found in the creations of multiple artists, writers, musicians, and filmmakers over the past decade.

"Elephant," musician Marilyn Manson, and the bestseller "Nineteen Minutes" entered the spotlight post-Columbine.

"It wasn't the first school shooting, but it became the extreme case," said Robert Thompson, founding director of the Bleier Center for Television and Popular Culture at Syracuse University. "The word 'Columbine' became a word that represented something much, much larger than that particular high school."

Columbine, in some ways, represents the broad insecurity triggered by extreme acts of violence.

Littleton, Colorado, is as picturesque as the set of a family film.

And thanks in part to the 24-hour news cycle, the world witnessed scenes that appeared to be out of a movie: bloodied victims escaping through windows and frightened teens scurrying to safety as law enforcement descended.

Film critic Desson Thomson said films such as Gus Van Sant's "Elephant" do not have to reach far into the American psyche to tell a tale of horror in a post-Columbine world.

"Columbine is now a little like the way 9/11 is engrained in our cultural perspective, so that something like 'Elephant' doesn't even have to directly allude to it," he said. "Because we were so immersed in Columbine...the filmmakers know that the audience has that reference point, so it doesn't take much to even poke at that for all of that dimension to come swimming through our consciousness."

"Elephant," which won two awards at the Cannes Film Festival in 2003, dramatized a normal day at a high school that is about to become the scene of a planned mass slaughter by a pair of friends.

Television shows such as "Law & Order" and "Cold Case" also delved into the lives of fictitious teens on murderous rampages.

But music is the one medium that seemed almost primed for an interpretation of the day's events.

Shock rocker Marilyn Manson weathered speculation that his songs may have influenced the pair of young murderers. He addressed the issue in a Rolling Stone magazine article in 1999.

"When it comes down to who's to blame for the high school murders in Littleton, Colorado, throw a rock and you'll hit someone who's guilty," Manson wrote. "We're the people who sit back and tolerate children owning guns, and we're the ones who tune in and watch the up-to-the-minute details of what they do with them."

The spotlight on Manson didn't discourage other artists from referencing Columbine in their songs, music videos and lyrics. Genres from rock to rap reflected on the tragedy.

Manson himself released an album titled "Holy Wood (In the Shadow of the Valley of Death)" that contained songs alluding to the massacre.

In the single "The Nobodies," Manson appeared to reiterate statements from his first-person piece in Rolling Stone with the lyrics "Some children died the other day, We fed machines and then we prayed, Puked up and down in morbid faith,You should have seen the ratings that day."

Music, TV and film were not the only media that reacted to the shootings.

In 2005, an independent video game developer released "Super Columbine Massacre RPG!," a role-playing game that allowed users to imagine themselves as the Columbine gunmen and act out the violence.

Scott Steinberg, publisher of DigitalTrends.com, said the game is not indicative of the game market as a whole.

He pointed out that that 85 percent of video games are rated "E for everyone" "E10 plus" or "T for Teen."

Fewer violent video games are being produced today, Steinberg said, despite the perception that the industry mostly produces "spray and slay" entertainment.

"The industry is becoming a lot more sensitive in realizing that we have a medium that reaches more people than ever," Steinberg said. iReport.com: How did Columbine affect you?

Littleton, Colorado, was also very much on the mind of bestselling author Jodi Picoult when she came up with the idea for her popular 2007 novel "Nineteen Minutes."

"I have three children and I was watching all of them, at different points in their school careers, being bullied," she said. "It got me wondering why, in a post- Columbine world, we haven't figured this out yet."

Picoult's novel told the story of a bullied, alienated high school student who commits an act of violence. Records have since been released disputing that Klebold and Harris were outcasts or the targets of bullying.

Picoult said it was powerful for her to speak with Columbine survivors. She received a standing ovation from families in Littleton during a book event held there.

"It was really moving," she said. "You realize that the people who want to talk about it the most are the people who lived through it. The one thing I think we have learned, and the one thing I thing pop culture is good for, is the more that we see it pop up, the more we are reminded that this is a worthy subject."

@highlight

Columbine tragedy provided fodder for several creative works

@highlight

Musicians, writers, filmmakers and game developers responded with projects

@highlight

"Elephant" an example of film that tackled the tragedy

@highlight

Marilyn Manson responded to allegations his music helped inspire massacre