New York (CNN) -- A week before Barack Obama became the first U.S. president to mention gay rights in his inauguration speech, the French had already made history on that matter. Believe it or not, on January 13, there were half a million people on the streets of Paris, demonstrating against gay marriage.

The French Catholic church is supposed to be at its last gasp, but it seemed strong enough to mobilize parishes, religious school parents and the common conservative citizen against a project of "mariage pour tous" (marriage for everybody), that had long been part of the new Socialist President FranÃ§ois Hollande's election platform. Now that the law is being debated in parliament, it will likely pass within a month, but the ruckus will have stripped it of provisions deemed essential to the gay community: the equal rights, even if they are married, to start a family and raise their children. It may also trigger off a new culture war.

The Church would not have enjoyed that success alone, had it not found the most unexpected and efficient leader, in the person of Virginie Tellenne, alias "Frigide Barjot." The nom-de-scÃ¨ne of this enterprising entertainer, known for her long-time connection to the RPR, the party of Jacques Chirac, means "cookoo," and was a rallying cry for silly demonstrations, in the 80s, against cold weather in Paris, before she met God in 2004, and proclaimed herself "Jesus's PR person."

I saw her recently on a French TV channel while, in her trademark miniskirt and fishnets, she was debating a lesbian activist named Caroline Fourest, who asked Barjot how she felt about "gathering hundred of thousand of people in a demonstration against the equal rights of another community." She answered that she "loved gays," reminding the audience she often "partied like crazy" at Bananas, a well known hangout of the hip Parisian LGBT crowd. Translation: gay was okay as long as it stayed in the "cage aux folles," in drag, in an entertaining margin, but certainly not in the mundane realities of everyday life, where it is way more complicated.

Indeed. Frigide, just like a majority of the French, supported the civil union enacted in 1999, the so-called Pacs, designed mainly for same sex couples. It gives some rights, but doesn't legitimate partners as parents. Marriage would. And there is the rub: adoption, medically assisted procreation. "What about the bloodline? What about mother nature, and the right of kids raised that way to know their true origin?, shrieked Frigide, oblivious to the fact that children adopted or medically procreated with donated eggs by straight parents have the same problem. It all boiled down, at the minute of truth, to that question: "What about their right to be raised normally? she asked. By a mommy and a daddy?"

Having witnessed the debate on same-sex marriage in the United States, that episode confirms one more difference between our cultures. Contrary to the Americans who, in spite of blunt evidence, still worship the act of marriage, with its fairy-tale rituals of proposing and funny kneeling, the French have a much more pessimistic, more realistic even, vision of the knot. But when it comes to families and raising kids, they seem to believe in the enchanted world of yore.

In America, the same-sex unions were often seen as the sinful problem, as the Christian banners, "Adam and Eve, not Adam and Steve" proclaimed around the country. But children were nobody else's business for those willing to adopt, or procreate with the methods available to anyone able to pay for donated eggs, sperm or a surrogate mother.

France is another story. In a country where unrealistic conditions slacken usual adoption, gay prospective parents have had to act as any straight single person would, ask for an adoption authorization, and, to improve the chances ... get the child in another country. The law debated these days may grant their partner equal parental rights for adoption. As for medically assisted procreation, it is another problem: As of today, it is simply forbidden unless the couple is heterosexual and married or able to prove they has lived together for at least two years. Surrogate mothers are prohibited in France, plain and simple.

Hollande himself, though he promotes gay marriage as a progressive symbol, admitted he doesn't personally favor allowing medically assisted reproduction to homosexuals, and with the assent of many socialist party officials, had these corresponding measures postponed -- for parliament to decide -- as another law to a future debate, in March, or never.

One reason, besides the obvious fear of a culture war with the conservatives about sacred family values, maybe the fact that the government already pays four attempts of medically assisted procreation to heterosexual couples and doesn't wish to have to extend this costly favor to gays, nor, more importantly, does it want to change at any price the national moral doctrine.

Assisted reproduction is considered in France only as a way to treat the medical condition of infertility. Being gay is not an illness, neither is, for a woman, the fact that she has no man. As a consequence, French babies are born en masse from single and not-so-single mothers in nearby Belgium or Spain, where specialized services are legally available for a price. "These children already exist in France," concluded Caroline Fourest on the show."They were born from gay parents and they simply deserve to have it recognized."

The opinions expressed in this commentary are solely those of Philippe Coste.

@highlight

On January 13, half a million demonstrated against gay marriage in Paris

@highlight

Protests took place a week before Obama mentioned gay rights in inauguration speech

@highlight

French have pessimistic vision of marriage compared to Americans, says Philippe Coste

@highlight

French only consider assisted reproduction for treating infertility, says Coste