(CNN) -- Imagine a country where no one can find a job and everyone is younger than 25. This country, which exists as a diaspora, threatens the economic vitality, social fabric and long-term stability of much of the world. It is a country of lost potential.

In Europe, 24% of youth are unemployed. The numbers are particularly bad in Greece, Portugal and Italy. They are also bad in the Middle East and North Africa.

Unemployment is a slow-burning yet acute crisis that needs continuous attention from the world's businesses and governments.

The human cost is incalculable. Jobless young people struggle to become positive contributors to their families, communities and countries. Creating more job opportunities accelerates a virtuous cycle that boosts productivity and wages, reinforces a host of social virtues -- including greater stability, self-esteem, community commitment -- and decreases crime.

For business, the opportunity is great. Research indicates that for every 1 percentage point of sustained improvement in global youth employment, worldwide economic consumption increases by an estimated $72 billion per year.

We believe leaders in business, government and civil society should make a collaborative, concerted and cohesive effort to address unemployment with urgency in 2014. We've asked the 120 global CEOs who make up the World Economic Forum's International Business Council to join us in a new drive to reduce youth unemployment, starting this week at the Forum's Annual Meeting in Davos. One area with significant potential is education for and through employment, including developing function-specific and behavioral skills training programs that build experience, such as innovative internships and apprenticeships.

It is becoming increasingly clear that there is a wide and growing gap between the kinds of jobs available to new workers and the ability of young people to fill them.

According to a recent survey of employers in nine countries (Brazil, Germany, India, Mexico, Morocco, Turkey, Saudi Arabia, the United Kingdom and the United States), only 43% of employers say they are able to find enough skilled entry-level workers.

Public-private cooperation in developing the work readiness of the young generation provides a clear opportunity to reduce youth unemployment.

For example, automobile manufacturers and suppliers across more than a dozen U.S. states are now training new workers in collaboration with 30-plus community colleges.

More employers are also turning to apprenticeships such as those that have long been successful in Germany, Austria and Switzerland -- three countries with traditionally low youth unemployment. In these countries, dual education systems combine study with work experience and their results are recognized by companies and governments alike.

Such dual education systems provide a promising path forward to young people without university degrees, create a next-generation workforce for business trained by specialists. These systems generally cost taxpayers less than training efforts initiated and funded wholly by government.

These efforts are also effective in developing countries. For instance, since 2009, the Coletivo (Collective) program -- a public-private partnership between companies, local government and NGOs -- has equipped thousands of young Brazilians with the skills needed to find jobs in retail, recycling, entrepreneurship and more, impacting more than 70,000 people in Brazilian communities.

In addition, global corporations can work with government and civil society to build entrepreneurship cultures inside and outside their organizations, empowering youth through training in behaviors and attitudes that will help them get things done throughout their lives, and boost employment and innovation.

The World Economic Forum's Global Shapers initiative is helping to create new ventures and jobs by connecting more than 3,000 of the world's brightest young entrepreneurs

With our International Business Council colleagues, we will be determining how to develop better data and local information on youth employment and replicate existing solutions more widely.

With many parts of the world still struggling to reinvigorate growth, concerted efforts to help young people prepare for the workforce can help our global economy.

We believe the time has come for international business leaders to act decisively to reduce youth unemployment and create a brighter future for all.

The opinions expressed in this commentary are solely those of Klaus Schwab and Muhtar Kent.

@highlight

Klaus Schwab, Muhtar Kent: In Europe and elsewhere, many young people are jobless

@highlight

Schwab, Kent: Unemployment is an acute crisis that needs our continuous attention

@highlight

They say business leaders and governments should work together on this urgent problem

@highlight

Schwab, Kent: For businesses, it's an opportunity since jobs leads to consumption