(CNN) -- Steven Soderbergh made certain his new movie, "Che," about the life of revolutionary Ernesto "Che" Guevara, couldn't be attacked -- at least on a factual level.

Steven Soderbergh hewed close to the facts in making the four-hour "Che," starring Benicio Del Toro, right.

"I didn't mind someone saying, 'Well, your take on him, I don't really like,' or 'You've left these things out and included these things.' That's fine," Soderbergh said. "What I didn't want was for somebody to be able to look at a scene and say, 'That never happened.' "

But he's aware that he's going to be accused of romanticizing the Argentine doctor and Marxist guerrilla who helped Cuba's Fidel Castro launch the first and only victorious socialist revolution in the Americas. He doesn't buy the criticism.

"I don't have sort of a personal investment in making him look one way or another," Soderbergh said in one interview with CNN. "I picked [these periods in his life] because I was interested in the specifics of how you wage a war like this -- mostly because I don't believe you can wage a war like this anymore."

In a separate interview, he added, "He killed people and he was pretty up-front about it, and he was a hard character. And the movie's kind of a process film about trying to wage a certain kind of revolution. ... I think he comes across as pretty tough."

For the director, profiling Guevara meant a lot of research. Soderbergh read everything he could find on Guevara from both supporters and opponents; he wanted to make sure he correctly told the story many Cubans know by heart.  Watch an extensive interview with Soderbergh: Part 1 »  Part 2 »

"Che" is the kind of project that few directors besides Soderbergh might try. The director is known for varying his Hollywood productions, such as "Erin Brockovich" and "Ocean's Eleven," with quirky personal films such as "Full Frontal" and "Bubble."

"Che," shot in Spanish, is a two-part biographical film that runs more than four hours overall. Part one, "The Argentine," portrays Guevara's role in the revolution that overthrew Cuban leader Fulgencio Batista in 1959. Part two, "Guerrilla," shows his later efforts in Africa and Bolivia. Guevara was executed in Bolivia in 1967 after trying to foment revolution in the South American country.

"I have to say, it is probably one of the most difficult movies I've ever made," actor Benicio Del Toro said. "The way I felt on a Monday in [shooting] this movie is the equivalent to how I felt at the end of the week of another movie."

Del Toro, who also co-produced "Che," plays Guevara in the film, and Mexican actor Demian Bichir plays Castro. Although Del Toro is well known for his Oscar-winning performance in "Traffic" (also directed by Soderbergh), Bichir is not as recognizable outside his native country.

"Demian, though, was very crucial," Soderbergh said. "Because if we don't have someone who can go head to head with Benicio and feel like he's just as strong, then the movie doesn't work at all. And I was really impressed by [Bichir's] confidence. Because that's what Fidel really has more than anything, is that confidence."

Soderbergh, who said he was first approached by Del Toro to do the project while making "Traffic" in 2000, is just as happy with his language choice for the Spanish-language film. He feels "Che" would not have earned respect as an English-speaking movie.

"It seemed weird to make a movie about one of the most vocal anti-imperialists of the 20th century and use the language of the imperialists," he said. "That just didn't make any sense to me."

Soderbergh hopes the practice of doing foreign films in English will go out of practice completely, and Del Toro agrees. The actor believes it is time the United States, Britain and Australia see movies the way the rest of the world has been seeing them for decades -- with subtitles.

"I think it helps relationships," Del Toro said. "I think it's good to have movies from different cultures. And, you know, the only way you are going to understand them is [with] subtitles."

Though he was born and spent part of his childhood in Puerto Rico, Del Toro -- who describes himself as "a Hollywood actor" -- said speaking Spanish in "Che" didn't come easy. "I'm lucky that I'm bilingual," he said.

But Soderbergh readily admits he was greatly affected by the language barrier. Fortunately, he added, he understands enough Spanish to know when there was a problem with translation, and the rest he accepted peacefully.

"I found it really pleasant to not understand the language completely, because then it becomes like music and you can tell when the notes don't sound right," he said.

The cast filmed on location in Spain, Mexico, Puerto Rico and Bolivia. While Soderbergh was frustrated by the U.S. embargo on Cuba that kept him from filming in the country itself, he enjoyed working in remote places without distractions.

"I like the 'man with the movie camera' aspect of going out there and getting stuff that you can't get any other way," Soderbergh said. "I got a sense that that part really did appeal to Che. That he really did love being out there with the group, doing this one thing that they were trying to do."

The New Year marks the 50th anniversary of Guevara and Castro's overthrow of the U.S.-supported dictator Batista. Though realizing Cuba and its revolutionary personalities remain a subject of controversy in America, Soderbergh hopes people take a step back and look at the big picture from the perspective of history.

"I think there's a lot of information, a lot of detail about both these campaigns -- Cuba and Bolivia -- that don't generally come out in the stories about these two battles," he said. "I thought it was all pretty interesting."

Del Toro agreed.

"Because I got this job, I learned a lot about -- more than what I knew -- about the history of Latin America, the history of Cuba, the history of the '60s," he said. "That was part of the fun of doing this movie."

@highlight

Steven Soderbergh's new film a four-hour epic on Che Guevara

@highlight

Benicio Del Toro plays Guevara, Marxist guerrilla executed in 1967

@highlight

Soderbergh doesn't mind if people disagree with film, wants facts straight