(CNN) -- At the stroke of midnight, American beer drinkers were no longer breaking the law when they broke open a beer.

Brewers and beer lovers this weekend are toasting the return of legal brew 75 years ago.

Breweries and beer lovers around the country are celebrating the 75th anniversary of the return of beer on April 7, 1933, as the Prohibition era was drawing to a close.

It wasn't quite the end of Prohibition, and it wasn't quite beer, but after 14 thirsty years, it was close enough.

What became available that day was only 3.2 percent alcohol by weight (compared with up to 5 percent in full-strength beer), but still, it was a step up from the virtually alcohol-free "near beer" that had been sold since 1920.

"It's a big deal. ... The whole industry of beer has gotten together to say this date is definitely historic," said Julia Herz, spokeswoman for the Brewers Association, which represents smaller "craft" brewers.

In St. Louis, Missouri, megabrewer Anheuser-Busch is throwing a big bash, complete with historical exhibits and an appearance by the company's famous Clydesdale horses.

Also in St. Louis, but on a more intimate scale, Schlafly Beer is inviting folks to come out to its Bottleworks for a festival next weekend.

Remnants of Prohibition survive today in the form of state-owned liquor stores and local laws that, for example, prevent sales of alcohol on Sundays or in grocery stores. Some counties remain entirely dry, banning alcohol sales altogether, and 3.2 beer is still sold in six states (Colorado, Kansas, Minnesota, Missouri, Oklahoma and Utah), according to Modern Brewery Age magazine.

And there are those who think a beer-related anniversary is nothing to celebrate.

"It is the product of choice for underage drinking," said Michael Scippa, advocacy director for the Marin Institute, an alcohol industry watchdog group.

"We're not neo-Prohibitionists or teetotalers," he said. "We're not trying to tell adults what to do. " He said his group just wants the industry to operate more responsibly.

The crowds celebrating the anniversary are unlikely to match the size or enthusiasm of those that gathered around breweries all over the country on "New Beer's Eve," April 6, 1933, in anticipation of the return of legal beer that actually had some alcohol in it.

"There was dancing in the streets and lines outside brewery doors ... It was a big date, for sure," Herz said.

Franklin Delano Roosevelt had been president barely a month, having been sworn in on March 4 after a landslide victory the previous November. Sweeping into power with him was an anti-Prohibition majority in Congress known as "the wets."

Together they fulfilled their first campaign promise with passage of the Cullen-Harrison Act, which increased the amount of alcohol allowed in beverages from 0.5 percent to a discernible 3.2 percent by weight.

When the act took effect at 12:01 a.m. ET April 7, trucks and carriages burst out of brewery gates bearing cases and barrels of beer for a parched republic -- at least for the District of Columbia and the 20 states whose laws permitted it. Several breweries dispatched cases directly to the White House and the Capitol.

According to the Brewers Association, more than 1.5 million barrels were snapped up in the first 24 hours.

Full-strength beer and hard liquor were still a few months away. National Prohibition wasn't repealed until the 21st Amendment to the Constitution was ratified on December 5.

Bob Skilnik, author of eight books about beer, including "Beer & Food: An American History," holds that the December date is more significant and that the quickly brewed April 7 beer probably was of poor quality.

"I know everyone gets excited about it, but you were offered a watered-down version of beer. That's all you got," Skilnik said. "It probably wasn't a very satisfying drink. If you wanted to have a shot [of hard liquor] on the side, you still had to wait until December 5th for that to happen."

But the celebration was about more than getting a buzz.

According to a contemporary article in The New York Times, the revival of the brewing industry restored at least 50,000 jobs in the midst of the Great Depression, instantly breathing life into the economies of St. Louis; Milwaukee, Wisconsin; Chicago, Illinois; and other cities and towns where breweries were large employers.

"April 7th was really just ... FDR looking for an economic shot in the arm," Skilnik said. "And it was a very successful shot in the arm. There was a hell of a lot of money spent." He said $25 million was pumped into breweries and associated businesses -- helping farmers, truckers, and glassmakers as well as brewers and pubs -- in the first 48 hours of sales.

And that was good for cash-strapped governments, too.

"Everybody [in government], for the first time, started to wrap their heads around the notion that this is something that you could tax," he said.

The first day of beer sales reaped $7.5 million in tax receipts for the U.S. Treasury, he noted.

About half the nation's breweries went out of business during Prohibition, but others survived by converting to products such as oleomargarine, ice cream, cheese and smoked ham.

So at the Storck brewery in Milwaukee, for example, children could enjoy a sundae while Mom or Dad slipped away to a room where illicit beer was served from a hidden tap, according to the American Brewerania Association's Web site.

Yes, despite Prohibition, Americans could go for the gusto. Chicago had as many as 20,000 speakeasies, Skilnik said.

"If you couldn't find a beer during Prohibition," he said, "you really weren't trying." E-mail to a friend

@highlight

Brewers, beer lovers celebrate 75th anniversary of return of beer on Monday

@highlight

Change in law in 1933 made beer legal after 14 years of Prohibition

@highlight

"New Beer's Eve" provided instant economic boost during Depression

@highlight

Quickly brewed, weak beverage probably tasted bad, expert says