ISLAMABAD, Pakistan (CNN) -- Barely a year after the country celebrated its return to democracy, Pakistan is ensnared in a new political crisis.

Riot police block a street on Thursday leading to a court building in Karachi, Pakistan.

Thousands of lawyers planned a four-day march to the country's capital, Islamabad, on Thursday, demanding that the government immediately reinstate judges whom the previous president ousted.

The protesters plan a sit-in at the parliament building on Monday, and say they will continue their demonstrations indefinitely until their demands are met.

At the same time, the country's main opposition leader and his supporters have joined in the nationwide protests, but for reasons of their own.

The government responded by banning political demonstrations in two of the country's biggest provinces -- Punjab and Sindh. It also detained several hundred activists Wednesday.

The political chaos has forced the government's attention away from a deadly fundamentalist insurgency in its tribal areas and an economy that's on the verge of collapse.

To understand the reasons behind Pakistan's latest political chaos, one needs to keep three central characters in mind:

What do the lawyers want?

The lawyers want President Zardari to live up to a promise to reinstate judges sacked by former President Musharraf.

Musharraf fired about 60 judges when he declared a state of emergency in November 2007. The fired judges include 14 of 18 judges who sat on the Supreme Court, including Chief Justice Iftikhar Chaudhry.

Critics say Musharraf sacked the judges because they were preparing to rule against the legitimacy of his third term in office.

He had been re-elected president by a parliament stacked with his supporters, they said.

After sweeping into power in parliamentary elections last year, the ruling Pakistan Peoples Party promised to reinstate the judges within 30 days of taking office. The deadline came and went.

Why have the judges not been reinstated?

One reason behind the delay, some experts have surmised, may be that the Supreme Court was expected to look into the controversial amnesty granted to former PPP leader Benazir Bhutto and her husband and current party head, Zardari, for corruption charges.

When Bhutto was prime minister, Zardari was accused many times of corruption, stealing from government coffers and accepting kickbacks. Pakistanis derisively labeled him "Mr. 10 percent."

Zardari said the cases were politically motivated. He spent several years in jail on the charges but was never convicted.

Bhutto herself faced corruption charges in at least five cases, but was not convicted.

In October 2007, with his popularity plummeting and under pressure from the West to hold elections, Musharraf allowed Bhutto to return from exile and participate by granting her and her husband amnesty.

Bhutto was assassinated during a campaign rally. Her husband became head of the party and the new president of Pakistan.

Why is the opposition protesting?

The country's second-biggest party, the Pakistan Muslim League -- N (PML-N), is led by opposition leader and former Prime Minister Sharif.

Last month, the Supreme Court ruled that Sharif cannot hold public office, citing a criminal record that dates to the late 1990s.

The court also stripped Sharif's brother, Shahbaz, from his post as chief minister of Punjab -- the Sharif party's power center.

The Sharifs condemned the court's decision as politically motivated. They accuse the court of acting at the behest of Zardari.

Adding to their outrage, Zardari suspended Punjab's parliament and imposed executive rule there for two months.

The Zardari administration said the executive rule was needed to maintain stability in the province. Supporters of PML-N have rallied in large numbers opposing the ruling.

Why did the court bar Nawaz Sharif from elected office?

The case against Sharif dates to the late 1990s, when he was prime minister. At the time, Musharraf was military chief. And Sharif feared Musharraf was plotting his ouster.

When Musharraf was returning home from an overseas trip, Sharif refused the airliner to land.

That order eventually led to Sharif's conviction for hijacking and treason when Musharraf took power in a bloodless coup.

Separately, Sharif also was convicted of corruption. He went into exile instead of prison, but returned to Pakistan to challenge Musharraf's rule in late 2007.

However, the election commission barred Sharif from the parliamentary race.

His brother, Shahbaz, was shut out because of financial irregularities, the commission said.

The Supreme Court upheld the commission's decisions.

What does the turmoil mean for Pakistan?

The renewed tensions threaten to take the focus away from the government's attempts to quash an escalating pro-Taliban insurgency in the country.

At the same time, Pakistan's economy is in shambles. The worsening security situation is part of the reason. Rising food and oil prices have also contributed to the crisis.

In November, the International Monetary Fund approved a $7.6 billion loan to Pakistan to help the South Asian country of 170 million people avoid an economic collapse.

Many in Pakistan worry that the latest turmoil could once again force the army on to the streets if it worsens.

In its 61-year history, Pakistan has been under army rule more than half the time. For now, Gen. Ashfaq Kayani has said he will not interfere in political matters.

@highlight

Pakistan's main opposition will join protests demanding reinstatement of judges

@highlight

Political protests may divert attention from efforts against pro-Taliban insurgency

@highlight

Nation has been under military rule for more than half of its 61-year history