(CNN) -- The two major parties in Georgia each claimed victory in the nation's historic parliamentary elections as officials worked through the night to count the ballots.

The ruling United National Movement and the Georgian Dream Coalition both said it would win a majority of seats in the new 150-member body.

Billionaire businessman Bidzina Ivanishvili, who leads the underdog "Georgian Dream" alliance, claimed exit polls showed his alliance would win 100 seats.

President Mikheil Saakashvili conceded his rivals would win most of the seats apportioned by vote percentages but said he expected his group would gain most of 73 seats decided by majority vote.

In Georgia, voters pick a candidate for their district and also vote for a party list.

Polls closed at 8 p.m. (noon ET) and results were expected Tuesday.

An official from the Georgian Central Election Commission said that 61% of eligible voters took part in the election.

Both sides poured large amounts of money into the election.

The government's Central Electoral Commission has been professional and independent, however, said Lorne Craner, president of the International Republican Institute, a U.S. congressionally funded democracy support organization. "There's no question in my mind ... the election commission can be relied upon."

"But the question is will everyone stay calm when the results come out," Craner, who is in the Georgian capital of Tbilisi, added.

Observers: Georgia opposition may be premature in declaring victory

The result will affect the structure of political power in the southwest Asian nation, and the role of the presidency -- almost nine years after the Rose Revolution brought Saakashvili to power.

The new parliament will be elected as the country prepares to usher in constitutional changes that will go into effect once Saakashvili's term ends in 2013.

The new system, according to Thomas de Waal, an expert on Georgia and senior associate at the Carnegie Endowment for International Peace in Washington, will shift power from the president to a prime minister.

"The prime minister will be chosen by parliament, which thus hands important powers to whichever political force obtains a majority in parliament in the October 1 elections," de Waal said.

"Parliament will be the main body running Georgia, so it will be a much more diluted power," Saakashvili said. "There will no longer be a strong man or stakeholder of power and I think that is a fair system because in democracy there are checks and balances for different people."

Until recently, Saakashvili and the United National Movement have controlled much of political life in this country of 4.5 million people and has been praised by U.S. and European officials for making progress in the fight against corruption and continuing economic reform.

The evidence can be seen in gleaming new skyscrapers.

But critics, who have coalesced into the "Georgian Dream" alliance led by Ivanishvili, say reform is only skin-deep, charging that Saakashvili is pulling all the levers of Soviet-style "administrative measures." They have raised concerns about a level playing field for the opposition during this election, alleging harassment and limitations on their access to the media.

High stakes in polarized election

For his part, Saakashvili refers to the opposition leader Ivanishvili as that "big money guy."

The president accuses Ivanishvili of wanting to "buy the whole system," and sees the hand of Russia behind him, with which Georgia fought a brief but bitter war four years ago.

The president said he is concerned with the amount of wealth that Ivanishvili made in Russia, and that that money is being used to influence the elections.

"We know what Russian money is all about," he said. "How it was made, what kind of methods were used, and certainly it is a source of concern," he said.

Those charges are false stereotypes, Ivanishvili told CNN in a phone interview from the Georgian capital, Tbilisi.

A self-made businessman who made his money in Russia after the fall of the Soviet Union, Ivanishvili left Russia shortly after Vladimir Putin came to power.

His staff confirms his status as Georgia's richest man, with a fortune estimated at approximately $6.4 billion, equal to almost half of Georgia's economic output.

"It's not money and wealth which is my capital," he said. "It's trust from the people toward me. Money has nothing to do with this."

The billionaire said he has sold all his Russian assets, and defended his reputation.

But the president insisted that not only the opposition leader but Putin himself is trying to undermine Georgia.

"Vladimir Putin said clearly that he is interested in the Georgian election outcome. He clearly said that he wanted the Georgian government out. He clearly said that he wanted me to be physically destroyed, he said it publicly," Saakashvili said.

Georgia's electoral waters have been roiled by a shocking video that emerged last month showing abuse in a Georgian prison, including one male prisoner being sexually assaulted. The opposition claims the video is proof of a repressive system put in place by Saakashvili and his government.

Former Georgian prison guard: I witnessed abuse for years

Saakashvili said his government acted quickly and decisively to the video, citing an investigation that has led to arrests.

"Not only were the immediate perpetrators arrested," he said, "but two government ministers resigned because they shared political responsibility for allowing the system to fail."

Read more: Georgia interior minister quits over prisoner abuse videos

The torture shown on the video is no accident, but part of a system that is in shame, Ivanishvili said.

De Waal said the video is significant, as the prison population quadrupled over the last eight or nine years.

"I do think it (the video) supports the opposition narrative that the government is arrogant and unaccountable, and this is obviously a war of two narratives over Georgia that we're seeing in this election," he said.

Ivanishvili complained that opposition supporters have been arrested, beaten and had property seized, but nevertheless, "we still hope we will be able to achieve something close to a democratic election...we hope that the process will be carried out at least close to the democratic fashion."

Still, incidents of violence are possible, he said.

Read more: Country profile: Georgia

Georgia experts, too, point to the nation's political volatility because it is so polarized.

If such polarization is institutionalized through a vote, it can be healthy, but when it's not it can create a dangerous and unpredictable environment, said Cory Welt, associate director of the Institute for European, Russian and Eurasian Studies at George Washington University's Elliott School of International Affairs.

"We've seen the clash of the titans," said de Waal. "We've seen the clash of two very big figures in Georgian politics, Saakashvili and Ivanishvili, who do not want to share power. They both are claiming total victory, and this, obviously, will have some impact in the U.S., because both sides will be looking to the U.S. and calling on the U.S. to be arbiter, which is rather an unrealistic thing to happen, but I think Washington's going to have to brace itself for those calls."

Journalist Elene Gotsadze contributed to this report.

@highlight

NEW: Election workers counted ballots as the two main parties each said it would take power

@highlight

Constitutional changes mean the new parliament will have more influence

@highlight

Georgia politics are highly polarized, analysts say

@highlight

The U.S. and Europe has praised reforms under President Mikheil Saakashvili