(CNN) -- University of North Carolina whistle-blower Mary Willingham did not just review numbers on a spreadsheet, she emphasized to CNN, but worked with the "overwhelming majority" of the athletes she analyzed in a study about literacy -- one that was summarily dismissed by university officials the same day.

Her findings, that 8% of a sample of UNC students playing the money-making college sports of football and basketball were reading below a 3rd grade level, were met with scathing criticism by the university during a faculty council meeting Friday afternoon.

In the meeting, Provost James Dean said the university's initial analysis of Willingham's research determined that she made a "range of serious mistakes" in how she arrived at the reading levels of the athletes she assessed.

Dean said Willingham used the wrong measurement, and relied on data that isn't supposed to be used to determine the grade level of reading comprehension.

A second independent analysis of her research will be sought, Dean said.

"Our judgment at this point is that claims made based on this data set are nearly meaningless and grossly unfair to our students."

The university has not explained why it did not do this analysis, or take the time to review her claims, prior to a CNN report on the literacy of college athletes. CNN had asked for comment on Willingham's study as early as September.

Willingham said after the meeting: "My data is 100% correct. In addition, I worked with the overwhelming majority of the students in the data set on reading and writing skills between 2004 and 2010."

Willingham's study was part of a report by CNN on UNC -- and dozens of other public universities -- and whether student-athletes in revenue sports are able to keep up with their peers academically.

After meeting with university officials in the wake of the CNN story, Willingham got a letter informing her that her approval to research using university records was being pulled because she broke a rule related to having the identities of the athletes she was studying.

She immediately said she would reapply to continue her research.

"It's interesting that my (permission to do research) was pulled and I was told that I could not talk about it until it was resolved. Meanwhile the provost is allowed to discuss the findings," Willingham said, talking about the rescinding of her permission to continue research. "That is what is truly erroneous about all of this -- and at a research university -- wow. At UNC, we protect our brand at all costs."

"The gap in academic preparedness between profit-sport athletes and students at NCAA (Division 1) institutions perpetuates educational inequality," Willingham said. "Until we acknowledge the problem, and fix it, many of our athletes, specifically men's basketball and football players, are getting nothing in exchange for their special talents."

Willingham is one of just two people in the country CNN found who have researched the reading levels of student-athletes in the revenue-generating sports of football and basketball.

In talking to CNN, she also shared several compelling stories about working with unnamed student-athletes who could not write, could not sound out multisyllabic words and who could not have read a paragraph when they started school at UNC.

CNN also sought data from 37 other public universities. It asked for entrance exam scores of athletes on the SAT and ACT, because the kind of research that Willingham did is simply not available from other institutions.

Since September, UNC has been aware of CNN's reporting and was asked to comment several times including on Willingham's research. The university said it could not comment on her findings or methodology.

Not until after the story aired did the university release any data. On Thursday, it released an analysis of entrance exam scores that included all student-athletes --- not just the profit sport players. Based on that analysis, UNC said Willingham was wrong about the percentage of athletes who were not academically prepared for the rigors of college classes.

Included in the UNC analysis was a disclosure that 34 football or basketball players since 2004 scored below a 400 on the SAT verbal test, or below a 16 on the ACT reading and English test. At those levels, experts have told CNN a student would not be able to read a college text book.

UNC, again, disputes that expert opinion, and says all but four of those athletes are in, left in or graduated in good academic standing.

It's not the first time UNC has faced questions about the quality of its academics for athletes.

Two years ago, a scandal was unearthed where students, many of them athletes, were given grades for classes they didn't attend, and where they did nothing more than turn in a single paper.

The local newspaper, The News & Observer, did extensive reporting on that no-show class scandal and, based on public records and interviews, uncovered how counselors with the athletes' tutoring program used the fake classes to help keep academically challenged athletes eligible to play sports.

Willingham, who has been vocal in her criticism since that scandal was uncovered, informed the university of her latest research as far back as August.

@highlight

UNC claims Mary Willingham made "serious mistakes"

@highlight

Willingham was shocked by the number of UNC athletes who struggled to read

@highlight

She stands by her data

@highlight

University releases own data