A Federal Aviation Administration official warned this week about the dangers of even small unmanned aircraft, pointing specifically to a recent close call involving a drone and a commercial airliner that could have had "catastrophic" results.

Jim Williams, the head of the FAA's Unmanned Aircraft Systems (UAS) office, discussed various potential perils during a presentation Thursday to those attending the Small Unmanned Systems Business Expo. A video of his talk in San Francisco, and those of others, to those who operate, create or otherwise are involved or interested in such unmanned aircraft was posted to YouTube.

After saying "the FAA has got to be responsive to the entire industry," Williams referred to a pair of incidents in which drones caused injuries to people on the ground. One came at an event at Virginia Motor Speedway in which an "unauthorized, unmanned aircraft" crashed into the stands, and in the other a female triathlete in Australia had to get stitches after being struck by a small drone.

Then, Williams segued to a pilot's recent report of "a near midair collision" with a drone near the airport in Tallahassee, Florida. The pilot said that it appeared to be small, camouflaged, "remotely piloted" and about 2,300 feet up in the air at the time of the incident.

"The pilot said that the UAS was so close to his jet that he was sure he had collided with it," Williams said. "Thankfully, inspection to the airliner after landing found no damage. But this may not always be the case."

According to the FAA, the incident took place on March 22 and involved as U.S. Airways Flight 4650 going from Charlotte, North Carolina, to Tallahassee.

Flightaware.com lists that flight as a CRJ-200, with a capacity for 50 passengers.

The pilot claimed to pass "an unreported and apparently remotely controlled aircraft ... five miles northeast of the Tallahassee airport, according to the federal agency.

Such close calls are rare, the FAA notes.

The pilot reported that the small unmanned aircraft involved looked similar to an F-4 Phantom jet, and not like a helicopter that might hold a camera that many associate more closely with drones. Such planes have gas turbine engines and can fly higher than an average drone, according to the FAA. Neither the drone in this case, nor its pilot, have been identified.

In its own statement, US Airways said that it was aware of this reported "incident with one of our express flights, and we are investigating."

Explaining why this event is significant, Williams referenced to the so-called "Miracle on the Hudson" from 2009, when US Airways Flight 1549 safely crash-landed in New York's Hudson River after striking at least one bird upon takeoff from LaGuardia Airport.

Airplane crash-lands into Hudson River

Such bird strikes are dangerous enough; a drone, even a small one, getting sucked into a jetliner's engine could be even worse, Williams said.

"Imagine a metal and plastic object -- especially with (a) big lithium battery -- going into a high-speed engine," he added. "The results could be catastrophic."

All these incidents speak to "why it is incredibly important for detect-and-avoid standards (for small unmanned aircraft) to be developed and right-of-way rules to be obeyed," Williams said. He added that such standards are in the works.

His agency reiterated this sentiment in its statement Friday.

"The FAA has the exclusive authority to regulate the airspace from the ground up, and a mandate to protect the safety of the American people in the air and on the ground," the agency said. "...Our challenge is to integrate unmanned aircraft into the busiest, most complex airspace in the world. Introduction of unmanned aircraft into America's airspace must take place incrementally and with the interest of safety first."

As to current regulations, Williams noted the FAA has appealed a federal judge's decision in a case involving businessman Raphael Pirker.

Pirker used a remotely operated, 56-inch foam glider to take aerial video for an advertisement for the University of Virginia Medical Center. The FAA then fined him $10,000 for operating the aircraft in a "careless and reckless manner."

A judge on March 6 agreed with Pirker that the FAA overreached by applying regulations for aircraft to model aircraft, and said no FAA rule prohibited Pirker's radio-controlled flight.

Pilot wins case against FAA over commercial drone flight

But on Thursday, Williams said that another judge had stayed this ruling pending the FAA's appeal.

"Nothing has changed from a legal standpoint," he said, "and the FAA continues to enforce the airspace rules."

Drones banned from Yosemite, other parks

@highlight

Flight 4650 on March 22 was a 50-seat jet, according to Flightaware

@highlight

FAA: The unmanned aircraft looked like a miniature F-4 Phantom jet, pilot said

@highlight

FAA: A jetliner's pilot reported a near collision with a drone over Florida

@highlight

Drones getting sucked into jet engines could be "catastrophic," he adds