London (CNN) -- Bamboozled by eurozone debt crisis jargon? CNN is here to help you tell your bond yields from your banking interventions, your defaults from your haircuts. And if you need anything more explained, please submit your questions to Soundoff at the bottom of the story.

Eurozone

The euro is the common currency used by a bloc of nations within the European Union. The 17 states that use the euro -- including Germany, France, Italy and Spain -- form the eurozone. A further 10 EU nations -- including the UK, Sweden and Denmark -- continue to use their own currencies.

Recession

A recession is technically defined as two consecutive quarters of shrinking output -- or a country going backwards financially. The eurozone is currently teetering on the edge of recession, triggered in part by the crisis which has rolled on since May 2010. A double dip recession is when a country which has been in recession enters a downturn again after a brief and weak recovery.

Contagion

The "contagion effect" referred to in the eurozone crisis is the fear that one country's financial problems will spill over to another country. This happens because the capital markets -- where sovereign bonds are bought and sold -- can be influenced by sentiment as well as the fundamentals of each country. Contagion can also occur because the more countries within the bloc struggle, the higher the cost to others of giving aid.

Default

Countries, or companies, default when they can no longer pay their bills on time. Defaults can come in different forms: "Orderly" -- when investors holding the bonds can agree to take haircuts (see below) -- or "disorderly," where losses are unexpected and sudden.

Bond yield

Countries raise money by issuing sovereign bonds which are then purchased by investors. The '"yield" of the bonds - which can be thought of as IOUs -- is how much the investor wants to be paid to hold that bond. So, a higher yield indicates a higher risk bond. For sovereign bonds a yield of more than 7% is considered unsustainable for any extended period of time, because a country's earnings are unlikely to be able to cover repayments.

Liquidity

Liquidity is the oil which greases the world of finance. It refers to the ease at which funds -- cash, for example -- can flow through the system. A market with lots of buyers and sellers is liquid, while one without is illiquid.

Haircut

A haircut refers to a cut in the value of investments lenders are asked to take. For example, a 50% haircut on an investment means you'll get back only half of what you paid. Investors in Greek bonds have been asked to take a haircut on their debt. It would be in their interest to do so if they thought the value of the debt could drop further in the future. Investors can also be asked to swap bonds maturing soon for longer dated ones which would pay out at a much later date.

Junk

The ratings agencies -- Moody's Investors Service, Standard & Poor's and Fitch Ratings being the big three -- award scores based on a company or country's credit worthiness. "Junk" refers to when that rating drops below investment grade. Once a credit rating drops below the BBB level, it is "sub-investment" grade and is commonly referred to as junk.

Eurobond

Eurobonds are being suggested as a way to tie the finances of the eurozone's 17 countries more closely. A eurobond would be a bond -- or debt which investors buy in return for yield -- backed by all the countries of the bloc. The idea remains under discussion, although it has rejected by the eurozone's two most powerful leaders, German Chancellor Angela Merkel and French President Nicolas Sarkozy.

Fiscal union

Fiscal unity is centered on integrated taxation and spending. The eurozone is a monetary but not fiscal union, meaning its 17 members maintain their own taxation policies and also raise money to fund themselves. However, the bloc does have a central bank -- the European Central Bank (see below) -- which maintains monetary policy. The bloc appears to be moving toward closer fiscal integration as it seeks to stem the crisis.

European Central Bank

The European Central Bank, based in Frankfurt, Germany, was set up in 1998 to maintain monetary policy for the eurozone under its common currency, the euro. The ECB's mandate is to keep inflation at around 2% or below, and ensure some level of stability for the countries that use the euro. Like other central banks, the ECB's main tool for keeping to these targets is by raising or lowering interest rates -- a key tool for influencing financial markets. The ECB has also been actively buying the sovereign bonds of troubled eurozone economies, in the hope that it will lower those countries' funding costs.

European Financial Stability Facility

The European Financial Stability Facility (EFSF) is Europe's temporary bailout fund. It was hurriedly set up after Greece needed its first bailout in May 2010, and has since become a key tool to combat the debt crisis. European leaders have increased its lending capacity from around â‚¬250 billion to â‚¬440 billion, and are investigating ways to boost its clout. A permanent bailout fund, the European Stability Mechanism, or ESM, should be available as early as next year.

International Monetary Fund

The International Monetary Fund, which is based in Washington D.C., is an organization of 187 countries. It is designed to assist countries in financial trouble. Member countries contribute to the fund, relative to their economies, when assistance is needed. It has been a key player in the European bailouts.

@highlight

The crisis in the eurozone has dominated the region's finances and disrupted global markets

@highlight

The crisis has introduced financial jargon into everyday conversation

@highlight

CNN can help you understand your bond yields from your banking interventions