(CNN) -- Twitter was abuzz Thursday with the death of Apple visionary Steve Jobs but another topic was gathering steam as the day progressed. Who will win this year's coveted Nobel Peace Prize?

Not Jobs, though many among his huge global following posted messages that he should. The Nobel is never awarded posthumously and that rule also eliminates Mohamed Bouazizi, the unemployed college graduate whose self-immolation in Tunisia sparked a popular uprising that led to the fall of Zine al-Abidine Ben Ali's government. The Tunisian revolt began this year's so-called Arab Spring.

Some years, there are clear frontrunners -- Martin Luther King, Jr., Mother Teresa, Nelson Mandela, Aung San Suu Kyi.

This year, it's anyone's guess with a record number of nominations -- 241 -- received by the Nobel committee. Of those, 53 are organizations, including WikiLeaks -- the website founded by Julian Assange that facilitates the publication of classified information and made headlines for leaking documents and videos related to the wars in Iraq and Afghanistan. It also released thousands of U.S. diplomatic cables.

"Liu Xiabao was awarded the Nobel Peace Prize last year for his struggle for human rights, democracy and freedom of speech in China," blogged Norwegian lawmaker Snorre Valen of the Socialist Left Party, who nominated WikiLeaks. "Likewise: WikiLeaks have contributed to the struggle for those very values globally, by exposing (among many other things) corruption, war crimes and torture -- some times even conducted by allies of Norway."

Liu's win upset the Chinese and set off a diplomatic squabble. The year before, the world gasped collectively at Barack Obama's win, a shocker that the U.S. president had won even before he had completed his first year in office.

Despite the controversy that has swirled around perhaps the world's most prestigious prize, some experts say this year is a no-brainer, given the seismic events that have gripped the Arab world.

Kristian Berg Harpviken, director of Norway's Peace Research Institute Oslo shortlisted men and women who did their share in fomenting peaceful revolts against repressive regimes.

Harpviken's top choice is Israa Abdel Fattah, who helped organize Egypt's online April 6 Youth Movement in 2008.

She was arrested by Egyptian security that year and soon became a symbol of defiance against Hosni Mubarak's government. She has earned the monikers "cyber dissident" and "Facebook girl" and was named one of Arabian Business Magazine's 100 most powerful women in 2011.

The peace research institute's website said that Fattah is a good choice because the Nobel committee "has emphasized its wish to be relevant, to speak to dominant themes of the present, and to see the prize giving leverage in unfolding processes. Secondly, Harpviken believes that the prize is likely to be awarded to a female leader or activist who has been an innovator of new tools for bringing about peace."

Another potential winner is Wael Ghonim, the former Google executive who used social media to jump-start social change in Egypt. Ghonim fired off a steady stream of messages on Twitter and Facebook and worked behind the scenes to galvanize thousands to march on the streets to demand change.

Tunisian blogger Lina Ben Mhenni is also on many top lists. Censored in her own country, she criticized the regime long before the uprisings began, dispersing information to the outside world.

"A prize to Mhenni would be a prize to independent reporting, in the form of social media, as well as recognition of the peaceful protests of the Tunisian people at large," the peace institute website said.

Some experts think that Gene Sharp, an American scholar who founded the Albert Einstein Institution in Boston, could be recognized for his work on the principles of non-violence, including "From Dictatorship to Democracy." The downloadable writings in many languages have proved a source of inspiration around the world, including the uprisings in the Middle East and North Africa.

Harpviken also named Memorial, a Russian civil rights group known for its fight for to protect refugees and victims of political persecution and human rights violations in war zones.

Natalya Estemirova, Memorial's lead researcher in the Chechen republic, was abducted and killed in July 2009. Human Rights Watch said it "appeared to be clearly connected to her work uncovering human rights violations in Chechnya. "

Bookmakers Paddy Power listed Sima Samar, head of the Afghan Independent Human Rights Commission, as a favorite at 5/4 odds.

A physician and trailblazer for women's rights, Samar was named deputy premier after the toppling of the Taliban in 2001, the first woman to win such a high government post.

She has been threatened with death and harassed for questioning conservative Islamic laws and practices, including the burqua, the head-to-toe garment Afghan women have been forced to wear.

Paddy Power picked the right winner last year. That bodes well for Samar. Other names on global shortlists include:

-- Aung San Suu Kyi, the Burmese pro-democracy leader who was released from house arrest last year. Suu Kyi is already a Nobel laureate -- she was awarded the peace price in 1991. No individual has won it twice, though two organizations -- the International Committee of the Red Cross and the United Nations High Commissioner for Refugees -- are repeat winners.

-- German Chancellor Helmut Kohl

-- Cuban dissident Oswaldo Payas Sardinas

-- Ghazi bin Muhammad, a Jordanian advocate of interfaith dialogue

The winner will be announced Friday. Until then, the speculation continues to heat up.

Twitter user Alu Abunimah (@avinunu) offered one last candidate for consideration to his more than 16,000 followers.

"Maybe the Nobel Peace Prize will go to The Markets, to help Calm them and make them Feel Better," he said. "Also they need the money."

The Nobel Peace prize laureate will win about $1.5 million.

CNN's Joe Sterling contributed to this report.

@highlight

Many experts say an Arab Spring nominee will win the peace prize

@highlight

WikiLeaks and its founder Julian Assange have also been nominated

@highlight

The Nobel committee received a record number of nominations this year

@highlight

The winner will be announced Friday at 11 a.m. (5 a.m. ET) in Oslo, Norway