Editor's note: Ruben Navarrette Jr. is a nationally syndicated columnist and a regular contributor to CNN.com. Read his column here.

Ruben Navarrette Jr. says "Latino in America" tells the real story of his community, for better and for worse.

SAN DIEGO, California (CNN) -- Have you ever seen 47 million people hold their breath and hope for the best?

Take it from this Latino in America, when many of my compadres heard that CNN was putting together a documentary on being "Latino in America," that's pretty much what happened.

For those of us in the Latino community who worry that those of us in the media are missing the best and most nuanced stories about America's largest minority because we're too busy harping on stereotypes and accentuating the negative -- "I'll take an order of high school dropouts, with a side of gangbangers and mix in some gardeners and housekeepers" -- there was a concern that CNN would blow the assignment.

At least the cable network had the courage to take it on. Many of its competitors -- ABC, NBC, CBS, etc. -- still broadcast in black-and-white and haven't grasped the absurdity of producing Sunday morning talk shows where journalists and pundits gather for roundtable discussions that touch on Latino issues without a single Latino at the table.

Having watched the documentary, which airs October 21-22, I can see that it's time to exhale. This is good work. I can also see that the smartest decision network executives made was putting this project in the very capable hands of my Harvard classmate, María de la Soledad Teresa O'Brien -- more commonly known as Soledad O'Brien.

The award-winning correspondent -- whose mother is black and Latino, and whose father is Australian with Irish roots -- appears to have understood instantly why many Latinos are leery of projects like this. In a recent essay on CNN.com, O'Brien wrote:

"It was clear that the community felt starved for good solid coverage. No one asked me to do a snow job. Just please don't reduce us to crime, immigration and racial conflicts, they asked. Folks just didn't want to see their community hurt anymore and were very blunt about it. One afternoon I had lunch with Lupe Ontiveros in Los Angeles," O'Brien wrote. "She is a beloved Latina actor who has been reduced to the role of the maid or the nanny in scores of movies. I asked Lupe to be a major character in our documentary, and she offered an enormous amount of assistance. When I left the table she turned to my producer and said bluntly in Spanish, "Please, just don't f-- us."

In the end, what you see isn't all cotton candy and lemonade -- or, in this case, churros and chocolate. There are negative images, peppered throughout stories about dropouts, teenage pregnancy, illegal immigration, crime, depression, etc. But there is also plenty of the positive, and most of the clouds have silver linings.

Along the way, we meet "The Garcias" -- not one family, but a series of different individuals from throughout the country, all of them named "Garcia."

There's Isabel Garcia, a fourth-generation Mexican-American immigrants' rights activist in Arizona, who organized a protest against Maricopa County Sheriff Joe Arpaio, a media hound who rounds up illegal immigrants and is being investigated by the Justice Department over allegations of racially profiling U.S.-born Hispanics in the process. The protest turns into a piñata party when someone hangs a papier-mâché caricature of Arpaio and protesters whack it with sticks.

There's also Lorena Garcia, a Spanish-language TV chef and businesswoman who some consider the "Latina Martha Stewart," who was told to lose her accent and instead has found her language and culture to be assets that help make her unique and successful as she builds her brand.

We also meet Bill and Betty Garcia, who moved from New York to North Carolina and now feel disconnected from their culture. He's from Puerto Rico and she's from the Dominican Republic, but their sons think of themselves as American. One of them even flunked Spanish in high school.

To think that there are still Americans out there who think that Latinos aren't assimilating. In fact, conservative commentator Pat Buchanan insists that not only are Latinos not assimilating at present, but they also never have throughout history.

Buchanan is loco. Following the script laid out by the Irish, Italians, Germans and Jews who came before them, Latinos are learning English, having smaller families, starting businesses, moving to the suburbs, joining the PTA and sending their kids to college. Many of them are just -- like the Irish, Germans and Jews who came before them -- trying to find ways to do all that while still preserving their culture and heritage.

In the meantime, many of them are in a kind of holding pattern. They're considered too Mexican or too Cuban or too Puerto Rican to be Americans. And yet at the same time, were they to visit their ancestral homelands, they'd be considered too American to be Mexican or Cuban or Puerto Rican.

For American Latinos, this is the Dickensian era, the best of times and the worst of times. They're being pursued by Sheriff Joe and by Fortune 500 companies hungry for their slice of an estimated $800 billion in annual spending power.

Latinos are being told to learn English when, for many, the real challenge is preserving their Spanish. They are in all 50 states, representing 15 percent of the population now and on track to make up as much as 25 percent by 2032.

Meanwhile, with all the issues out there, some Americans still get stuck on the basics of whether they should call us "Latino" or "Hispanic" -- or Mexican, Cuban, Puerto Rican.

Who cares? You can call us whatever you want. You just can't ignore us.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette Jr.: 47 million Americans are Latino

@highlight

He says story of their community is told in detail in "Latino in America"

@highlight

He says Latinos are assimilating in America despite challenges

@highlight

For Latino-Americans, these are the best and worst of times, he says