Washington (CNN) -- Activists in the Tea Party movement tend to be male, rural, upscale, and overwhelmingly conservative, according to a new national poll.

A CNN/Opinion Research Corp. survey released Wednesday also indicates that Tea Party activists would vote overwhelmingly Republican in a two-party race for Congress. The party's GOP leanings, the poll suggests, may pose a problem for the Tea Party movement if it tries to turn itself into a third party to compete with the two major parties in this year's general election.

"If the Tea Party runs its own candidates for U.S. House, virtually every vote the Tea Party candidate gets would be siphoned from the GOP candidate, potentially allowing the Democrats to win in districts that they might have otherwise lost," said CNN Polling Director Keating Holland. "While the concept of an independent third party is extremely popular, most Americans, including most Tea Party supporters, don't favor a third party that would result in a winner who disagrees with them on most major issues."

According to the survey, roughly 11 percent of all Americans say they have actively supported the Tea Party movement, either by donating money, attending a rally, or taking some other active step to support the movement. Of this core group of Tea Party activists, 6 of 10 are male and half live in rural areas.

Nearly three-quarters of Tea Party activists attended college, compared to 54 percent of all Americans, and more than 3 in 4 call themselves conservatives.

"Keep in mind that this is a pretty small sample of Tea Party activists," Holland said. "But even taking that into account, the demographic gaps that the poll finds between those activists and the general public on gender, education, income, ideology, and voting behavior appear to be significant differences."

The poll indicates that about 24 percent of the public generally favors the Tea Party movement but has not taken any actions such as donating money or attending a rally. Adding in the 11 percent who say they are active, a total of 35 percent could be described as Tea Party supporters. That larger group is also predominantly male, higher-income, and conservative.

Some 45 percent of all Americans say they don't know enough about the Tea Party to have a view of the movement; 1 in 5 say they oppose the Tea Party.

According to the survey, most Tea Party activists describe themselves as Independents.

"But that's slightly misleading, because 87 percent say they would vote for the GOP candidate in their congressional district if there were no third-party candidate endorsed by the Tea Party," Holland said.

So what would happen if the Tea Party supported independent candidates for Congress?

The poll indicates that in a two-way race on the so-called "generic ballot" question, GOP candidates have a 47 percent to 45 percent edge. Throw a Tea Party candidate into the mix, and that two-point advantage becomes a 12-point deficit. That's because virtually everyone who would vote for a Tea Party candidate in a three-way contest would choose a Republican in a two-way race. The Democratic candidate gets 45 percent in both scenarios, but the GOP candidate's share of the vote drops from 47 percent in a two-way contest to just 33 percent with a Tea Party candidate on the ballot.

"Historically, that's the problem many political movements have faced if they try to become a full-fledged party. They often wind up ensuring the victory of the candidate they dislike the most," Holland added.

See Complete CNN/Opinion Research Poll (PDF)

Sixty-four percent of all Americans say they like the idea of a third party that would run against the Democrats and Republicans. But only 38 percent would support a third party if its presence on the ballot would mean that the winning candidate is one that disagrees with them on most major issues. According to the poll, Tea Party activists feel the same way: Only 4 in 10 favor a third party that would result in the election of candidates they don't like.

The CNN/Opinion Research Corp. poll was conducted by telephone February 12-15, with 1,023 adult Americans, including 124 respondents who said they had taken active steps to support the Tea Party, such as donating money or attending a rally self. The survey's overall sampling error is plus or minus 3 percentage points and plus or minus 9 percentage points for Tea Party activists only.

CNN Deputy Political Director Paul Steinhauser contributed to this report.

@highlight

Tea Party activists tend to be male, rural, upscale, overwhelmingly conservative

@highlight

Poll: Tea Party activists would vote overwhelmingly GOP in a two-party race for Congress

@highlight

Polling analyst: Third parties' problem is they siphon votes from closest allies

@highlight

Tea Party activists' views on third parties mirror national trend, poll shows