(CNN) -- With all the Facebook news lately -- the flat IPO, the regulatory interest, the Chan-Zuckerberg wedding -- it's highly possibly you've forgotten all about Twitter.

If so, you'd be like most Americans.

Only 8% of online Americans check their Twitter feeds on an average day, according to survey results released Thursday by the Pew Center for Internet & American Life.

That's up from 2% in November 2010 and 5% in August, the group says, but it's nowhere near the numbers Pew tallies when it asks about online social networks in general. In February, the group asked Americans if they "use social networking sites like Facebook, LinkedIn or Google Plus." Sixty-six percent said yes.

That's not an apples-to-apples comparison, since the questions were asked in different ways and since Pew didn't ask about just Facebook specifically. But it's fair to assume the vast majority of those respondents use Facebook, or Facebook in combination with some other social networks, said Aaron Smith, a senior research specialist at Pew.

That means Facebook appears to be reaching a much broader chunk of the population.

Perhaps confusingly, Twitter continues to make news for other reasons than popularity. The service was recently the basis for live question-answer-sessions with the U.S. president; it played a role in coordinating protests during the Arab Spring; and a Pakistani man inadvertently alerted the world to last year's raid that killed Osama bin Laden when he live tweeted it. It's also given consumers, including famous people such as director Kevin Smith, a way to complain about poor customer service. And it can create conversations between wildly different groups of people: Witness this exchange between Canadian rapper Drake and the billionaire oil tycoon T. Boone Pickens.

A Forbes writer described the dichotomy -- that Twitter seems essential to some forms of communication but, apparently, isn't all that mainstream -- in this way:

"Twitter is growing in all sorts of ways: in the number of tweets sent per day, in the ad revenue it's taking in, in the number of celebrities and brands using it in ways they quickly come to regret. But in terms of the overall proportion of the population engaging with the social messaging service, it might be in a bit of a lull."

User numbers also tell the story of Facebook's rise and Twitter's relative stagnation.

Facebook says it has 901 million active users at this point, and the site is widely expected to cross the 1 billion mark this year. Twitter, meanwhile, says it has 140 million monthly active users. The site went through meteoric growth in its early years. But it's been six years since Twitter launched, and by some metrics that growth appears to have slowed.

Unsurprisingly, a Twitter spokesperson saw things differently.

"Growth is extremely strong. We announced that we have more than 140 million active users in March. The previous number we shared was 100 million active users just last September," Carolyn Penner told CNN in an e-mail.

"To add to that, it took us 3 years, 2 months and 1 day to reach 1 billion Tweets. Now, we see more than 1 billion Tweets every 3 days."

In its survey, conducted in two chunks between January and April, Pew found that the percentage of online Americans who use Twitter has leveled off. Only 15% of online adults in February said they used Twitter -- and that's "similar to" the 13% who said they used the micro-blogging platform in May 2011, according to Pew's report.

While the overall popularity of Twitter may be about the same, the subset of people who use Twitter frequently appears to be growing, according to the report.

"The proportion of online adults who use Twitter on a typical day has doubled since May 2011 and has quadrupled since late 2010," Pew writes.

So it would appear that Twitter does matter quite a lot for some people. Smith, the Pew researcher, said in a phone interview that much of the growth in Twitter is driven by younger people who use the mobile Web or apps to access Twitter's services.

It's part of the trend of "constant access" to data, which "really pulls people more deeply into the (technological) tools they use," he said.

And maybe that's the trend to underscore, rather than pitting social networks at each other. Some tech pundits argue Facebook and Twitter serve very different purposes -- with Twitter becoming more of a news feed and Facebook becoming an online hub for friendships.

What do you think? Is Twitter falling behind? Or, at a time when the network is democratizing the spread of information, at least for some people, does Twitter still have an important role to play on the Internet?

If you're part of the elite, Twitter-addicted 8%, we'll await your responses on Twitter. And if not, CNN Tech also has a Facebook page.

@highlight

Pew survey finds 8% of American Internet users go on Twitter daily

@highlight

Forbes writer says Twitter "might be in a bit of a lull"