Capitol Hill (CNN) -- The politics of fear. Until recently, that seemed so 10 years ago, right after September 11, 2001. That is, until ISIS started beheading Americans.

Now, just six weeks before Election Day, security concerns could be a September surprise that shakes up the midterms.

Across the country GOP candidates on the ballot in November are using the threat posed by ISIS to dust off an old playbook -- attack Democratic opponents as weak on national security.

The sun had barely come up Tuesday after a night of new United States and coalition airstrikes in Syria, when New Hampshire Republican Senate challenger Scott Brown released an ad using an ominous image of a fighter holding a black ISIS flag, while Brown talks about the threat from "radical Islamic terrorists."

Brown, a retired member of the Army National Guard, touts his own experience in the ad before putting up side-by-side pictures of his Democratic opponent, Jeanne Shaheen, and President Obama, saying, "President Obama and Senator Shaheen seem confused about the threat, not me."

This ad could hit particularly close to home in New Hampshire; James Foley, the American journalist beheaded by ISIS, was from the Granite State.

Related: James Foley's mother "appalled" by U.S. government

But Republican strategists tell CNN that ads like this are driven by voter data from focus groups and polling all over the country, which signals that security is a rising priority among voters, especially with married women who Republicans rely on in midterm elections.

Neil Newhouse, a GOP pollster who does work in several competitive races this year, tells CNN security is now a "top-tier issue that no one saw coming."

CNN Poll: Spike in terror fears

In addition to his work for campaigns, Newhouse has polled for years on what he calls "Walmart Moms" -- female voters with children 18 or younger at home and shop at Walmart at least once a month.

During focus-group interviews Newhouse and colleagues conducted earlier this month in Arkansas and Iowa, two key battleground states this November, "Walmart Moms express specific concern about ISIS," Newhouse said in a memo about the data.

"This is an unusual for swing voters and not a common theme we have heard in previous groups," the memo said.

Rep. Greg Walden, the Oregon Republican in charge of getting more House Republicans elected in November, also told reporters last week that national security issues were "popping" in opinion polls.

The National Republican Congressional Committee is jumping on that -- rolling out four security-related television commercials last Friday in competitive races, including spots that warned Democrats' positions make them "dangerous" in the face of new threats from ISIS.

Walden cited "security moms" as a key group he believes are already gravitating towards Republican candidates. The issue, however, could ensure they go from supporting Republicans to actually making sure to vote.

Two new ads were released on Tuesday -- more proof that Republicans are all in on this new security strategy.

Back to the Future?

Both Republican and Democratic campaign strategists say this mirrors the approach the GOP used effectively in 2002 and 2004.

To former Georgia Sen. Max Cleland -- it is eerily familiar.

"That's exactly what they did to me," Cleland told CNN in a telephone interview.

In 2002, the year after 9/11, his GOP opponent Saxby Chambliss ran ads calling him weak on national security.

Despite the fact that Cleland was a Vietnam War veteran who lost three of his four limbs on the battlefield, Chambliss' attacks resonated with Georgia voters and Cleland lost his Senate seat.

Cleland says there were a lot of other reasons for his defeat, but that certainly was a factor.

So what is his advice to Democrats like Shaheen who are coming under fire on the New Hampshire campaign trail now?

"Fight like hell and tell the people of New Hampshire this is b*llsh*t," said Cleland.

"The Republicans will use any advantage. If the economy was sucking air they would do that now," Cleland added.

Shaheen did in fact release a statement Tuesday pushing back on Brown's ad questioning her national security chops, saying "I have supported and will continue to support aggressive action to destroy ISIL in Iraq and Syria."

She's not the only Senate Democrat under attack on security.

Republicans in North Carolina are hitting Democratic Sen. Kay Hagan for failing to focus on the terror threat. Hagan is locked in a tight race with GOP candidate Thom Tillis.

The National Republican Senatorial Committee and Tillis tweeted out a chart on Monday that showed that Hagan had missed half of the hearings on the Senate Armed Services Committee, and as chair of a subcommittee on emerging threats, had not held a hearing on the terror group ISIS at all.

A spokesman for Hagan acknowledges she did miss Armed Services Committee hearings because they conflicted with other Senate work.

But Democrats deny that Kagan ignored ISIS in the subcommittee she chairs, saying she held several hearings on counterterrorism, and that Iraq and al Qaeda have been a major focus of all of them. ISIS is such a big threat, the Armed Services Chairman wanted to chair hearings on the issue before the entire committee.

Hagan aides are fighting back by slamming Tillis for not taking a position on whether to arm and train Syrian rebels, which Hagan voted for.

Obama offers 'broad vision of American leadership' in U.N. speech

Democrats Push Back

There is some evidence Democrats are worried that what they call "the politics of fear" could work against them.

Former Iowa state Rep. Staci Appel, who was targeted by the NRCC on Friday, scrambled an ad of her own on the air to respond.

The GOP used footage of Appel's response to a question in a recent debate, and suggested she would not support taking away U.S. passports from suspected terrorists.

Appel responded in her new ad by speaking directly to camera and calling her GOP opponent David Young's charge "a lie."

"I support revoking passports for terrorists," said Appel in the ad.

Still Democratic pollster Anna Greenberg argues the concept of a "security mom" -- the kind of voter being targeted in these new ads -- doesn't exist. She says it's a myth.

"We should not conflate an expression of concern about terrorism with it as a driver of vote choice," says Greenberg in a blog for the Huffington Post.

"Voters typically look to the President and to the military for security, not to members of Congress," says Greenberg.

"Moreover, there is a world of difference between where we are now and where we were just after the 9/11 attacks."

On that, GOP pollster Neil Newhouse agrees, calling today's security concerns much lower than they were in the two elections after 9/11.

Still, he insists it has resonance -- especially given how close the ISIS beheadings happened to Election Day.

The chairman of the Democratic Campaign Committee, Rep Steve Israel of New York, says he still believes that middle class economics, not national security, is the dominant factor in how most people will vote.

Share your view on the airstrikes

Israel also argues that this GOP strategy will turn off independent and swing voters in key races.

"They [independent voters] want to be united during a time of threat and don't want a political party to divide Americans," Israel told CNN.

"Using ISIL as a political tool is meant as a strategy to turn out their base, but the inherent problem in pushing partisanship is losing persuadable voters," he said, predicting it would "backfire"

But Walden, Israel's GOP counterpart, says talking security on the campaign trail is a legitimate issue and fair game.

Walden told reporters that its' important for GOP candidates to engage voters on issues they are talking about, and recent developments in the Mideast have made national security one everyone is talking about.

CNN's Ted Barrett contributed to this report.

@highlight

GOP reviving politics of fear as nation worries about terror threat

@highlight

Former Sen. Max Cleland tells CNN: "That's exactly what they did to me"