Editor's Note: Arsalan Iftikhar is an international human rights lawyer, founder of TheMuslimGuy.com, and contributing editor for Islamica magazine in Washington.

Arsalan Iftikhar says Obama made progress in improving relations with Muslim world.

(CNN) -- Opening the Muslim-world leg of the "Audacity of Hope" world tour with the universal Islamic greeting "Assalamu alaikum" (May peace be with you) to thunderous applause, President Obama began his long-awaited major address by going straight to many of our pressing geopolitical issues.

He spoke from the hallowed halls of Cairo University in the heart of one of the largest Islamic capitals in the world.

From beginning to end, President Obama's speech was a concert of enlightenment compared to President George W. Bush's famous farewell news conference in the Muslim world (which resulted in two Iraqi size-10 shoes being boomeranged toward his head).

From the issues of violent Muslim extremism to the growth of the neo-racism known worldwide as Islamophobia; from Israel-Palestine to his overall Iraq and "Af-Pak" (Afghanistan-Pakistan) strategy, President Obama successfully used his Cairo speech to lay out his framework for several key foreign policy issues.

Additionally, with major sections of his address covering women's rights, democratic reforms and nuclear weapons, President Obama devoted much of his 40-plus-minute speech to offering concrete and tangible policy initiatives that he plans to implement in the near future.

He talked about his plan "to invest $1.5 billion each year over the next five years to partner with Pakistanis to build schools and hospitals, roads and businesses" to help the countless number of internally displaced persons caught in the fighting in Pakistan. Similarly, for Afghanistan, he outlined that we will be "providing more than $2.8 billion to help Afghans develop their economy and deliver services that people depend upon."

Aside from his concrete foreign policy proposals and tangible development initiatives, President Obama spent much of his Cairo address highlighting the "common aspirations" of the United States and the Muslim world.

He surprisingly cited the Holy Quran at least four times in his speech and noted that the first American Muslim elected to the U.S. Congress, Keith Ellison of Minnesota, "took the oath to defend our Constitution using the same Holy Quran that one of our Founding Fathers -- Thomas Jefferson -- kept in his personal library."

Wow, that is quite a change from your past political interactions with Muslims, Mr. President. As most Muslim-Americans vividly remember, during the 2008 presidential election, when certain nasty and xenophobic right-wing elements in America tried to paint Obama as some kind of "crypto-Muslim" Manchurian candidate, we did not see then-candidate Obama go, even once, within 12 feet of an American mosque entrance or Muslim political campaign event.

During the 2008 presidential election, the "Muslim" insinuation against Obama became so radioactive that two American Muslim women in Michigan were asked to sit out of camera range at an Obama campaign event in Detroit by campaign volunteers in June 2008 simply because the two women wore hijab, the traditional headscarf.

But I guess when in Cairo addressing the greater Muslim world, an American president has to be wise enough to talk, and walk, like an Egyptian.

On the essential need for a diplomatic, peaceful and final resolution to the Palestinian-Israeli situation, President Obama reaffirmed his commitment to a two-state solution on the condition that "Hamas must put an end to violence" and that "the United States does not accept the legitimacy of continued Israeli settlements."

By successfully addressing the major foreign policy issues affecting much of the Islamic world today, President Obama has succeeded in positioning the United States closer to a rapprochement or political détente with the Muslim world.

The Obama administration can bring some further resonance to the president's eloquent words by making sure that key administration players like Secretary of State Hillary Clinton, Richard Holbrooke and George Mitchell -- Obama's special envoys for the Af-Pak and Israeli-Palestinian portfolios, respectively -- further carry out the president's foreign policy agenda..

Finally, in the spirit of his event, President Obama concluded his remarkable Cairo address by highlighting the individual mandates for peace in each of the major Abrahamic religions.

He said that, "The Holy Quran tells us, 'O mankind! We have ... made you into nations and tribes so that you may know one another.' ... The Talmud tells us: 'The whole of the Torah is for the purpose of promoting peace. ...'"

"The Holy Bible tells us, 'Blessed are the peacemakers, for they shall be called sons of God.' ... The people of the world can live together in peace. We know that is God's vision. Now, that must be our work here on Earth."

Amen, Mr. President.

The opinions expressed in this commentary are solely those of Arsalan Iftikhar.

@highlight

Arsalan Iftikhar: Obama speech addressed key geopolitical issues

@highlight

He says president made progress toward detente with Muslim world.

@highlight

Iftikhar: As candidate, Obama avoided mosques and other Muslim symbols

@highlight

He says Obama should make sure his staff follows up on foreign policy issues