New York (CNN) -- After the Alzheimer's came, my mother could not know how shadows fell across our once ebullient family: our solidarity fractured, our tempers flaring in furious incomprehension, hearts breaking in mute despair.

None of us knew how to watch this woman disappear, her features slowly masked with blankness, her supple body rigid and wooden, her absolute vividness obliterated by the heavy fog of her disease.

As those of us touched in some way by Alzheimer's know too well, the emotional, social and economic burden of this disease is nearly unbearable -- for individuals, for families and for our country:

• 5.3 million Americans are living with Alzheimer's disease; a new case develops every 70 seconds.

• One in eight people aged 65 and older has the disease, and the risk is even higher for those over 85.

• Today, 9.9 million people are caring for a family member with Alzheimer's.

• Alzheimer's and other dementias cost Medicare, Medicaid and businesses $148 billion annually, a number that will grow quickly and substantially as baby boomers reach age 65.

Prevention. Cure. Hope. These are words seldom associated with Alzheimer's disease. But groundbreaking scientific research and an opportunity for powerful collaborations could lead to discovery of the ultimate cure for Alzheimer's disease: its prevention.

I know this is so because my friend Dr. Karen Hsiao Ashe, an internationally renowned Alzheimer's disease researcher at the University of Minnesota, has developed a research road map that calls for bringing together a group of the world's foremost laboratory and clinical investigators in the field to make prevention a reality by 2020.

This achievable goal adds "hope" to the vocabulary of Alzheimer's disease and holds the promise that my children and yours will never suffer its hardship.

My son, Alec, is an artist like his late grandmother. His paintings are large and uncompromising, stunning in texture, original in design. He's got the real thing. He's got "it," just as she had. But what if he also has something else, like the APOE-e4 gene, known to increase the risk of Alzheimer's? What if he is in line to inherit this devastating disease?

What I could barely endure happening to my mother, I know I could not possibly endure happening to my son. So, like my friend Karen, I embrace prevention as the ultimate cure for Alzheimer's disease. Anything short of that is too risky.

Karen is identifying the biological processes that occur in the earliest stages of the disease -- long before symptoms appear -- to develop cost-effective, widely available interventions. She compares Alzheimer's disease prevention to the polio vaccine: "Had a vaccine not been developed for polio, hospital wards today would be filled with people needing artificial ventilators to breathe. Similarly, not only is treatment of Alzheimer's likely to be less effective than prevention, it's also likely to be 10 to 10,000 times more expensive," she recently told Twin Cities Business magazine.

Karen and her colleagues are homing in on a promising possibility: a pill containing the molecular compound that could block the chemical chain reaction in the brain that leads to Alzheimer's.

So what's the holdup? Well, money, of course, and attitude, perhaps. Finding a treatment within the next 10 years that will prevent Alzheimer's disease will require a major national investment to bring together the scientists to develop an effective, safe and affordable way to block the disease.

According to Harry Johns, president and CEO of the Alzheimer's Association, "No other disease causes so much suffering, is so certainly fatal, affects so many and drives so much cost with so little spent to overcome it." Why is that? Johns names ignorance, age discrimination, stigma and denial as likely explanations.

My plea is deeply personal, but by 2050, Alzheimer's will affect as many as 16 million Americans, and none of us will be able to deny the reality. We must fight mightily now to prevent the shadow of this disease from darkening the lives of our children and grandchildren. We must invest today in research that will most swiftly lead to the ultimate cure: prevention.

The opinions expressed in this commentary are solely those of Kate Mulgrew.

@highlight

Kate Mulgrew says millions of Americans are affected by Alzheimer's disease

@highlight

New research aims to prevent the brain process that leads to the disease, she says

@highlight

Mulgrew: Nation must commit money, attention to developing a promising treatment