Washington (CNN) -- While the Senate passed legislation barring workplace discrimination based on sexual orientation and gender identity with a significant bipartisan vote on Thursday, the bill faces major hurdles to even start moving through the GOP-led House, and there's almost no chance it will come up for a vote this year.

House Speaker John Boehner opposes the Employment Non Discrimination Act, known as ENDA, and believes protections for employees already exist under other laws.

Senate passes LGBT anti-discrimination bill

"The Speaker believes this legislation will increase frivolous litigation and cost American jobs, especially small business jobs," Boehner spokesman Michael Steel said this week.

And Rory Cooper, spokesman for House Majority Leader Eric Cantor, told CNN "the bill is currently not scheduled" for consideration.

Instead, Cooper insisted the Senate should be doing other work.

"I hope (Senate Majority Leader Harry Reid) soon addresses the dozens of House-passed bills that have been ignored in the Senate that create jobs, improve education and create opportunity while Americans struggle to find a good-paying job."

But Rep. Richard Hanna of New York, one of the five GOP co-sponsors of the House version ENDA, pointed to his party's loss in the Virginia governor's race on Tuesday as a reason why the House needs to consider the measure.

"Certainly what we see in Virginia is a difficulty with women and minorities and that's something the party needs to reconcile and look broadly and think about," Hanna told CNN on Thursday.

Hanna's message to the GOP was "we need to understand that standing on our own principles is part of this, but the world is a pluralistic place and we represent a broad cross section of Americans of different races, generations, sexual orientations, and everyone has rights."

Sutter: It's 'way past time' for gay rights law

The Republican National Committee found after last year's loss in the presidential election that younger Americans, who voted disproportionately for Barack Obama, weigh their support for a political party based on its tolerance and inclusiveness, including on the issue of gay rights.

10 Republican Senators vote with Dems

Advocates of ENDA also point to national polls that show a majority of Republicans now support legislation protects gays and lesbians from job discrimination. On Thursday 10 GOP senators joined with Senate Democrats to pass the measure.

Several senior House Republican congressional aides acknowledge the political climate has shifted some since the House last considered ENDA in 2007, but they also believe most House GOP members would oppose it now.

They say members aren't hearing much about it from their constituents, so there's little pressure to vote on it this year.

Pennsylvania Rep. Charlie Dent, a five-term Republican whose district has been targeted regularly by Democrats, is another Republican who is pushing for a House vote.

Dent told CNN the party's loss to Obama is a key reason why it should get behind the bill.

"I do believe that we have to learn some lessons from the 2012 election, and to me this is one of them. This legislation, ENDA, is one way to reach out to the LGBT community in a way that is fair and reasonable and speaks to our shared values. I think we all agree we should not tolerate this type of discrimination in any form," Dent said.

Sexual orientation and ENDA: How we got here

Dent also said passing the measure "would be an upside to the party, particularly with young voters."

Outside advocacy groups spent the past year targeting states with GOP Senators to secure votes to pass the bill in the Senate.

Little pressure on House GOP

But House districts were redrawn in 2010 to make them more solidly red or blue so there are fewer "swing" districts like those Dent and Hanna represent, reducing leverage for supporters.

"As far as specific House races are concerned, I can't see it being a main issue," one of the House GOP sources said in predicting that the issue "will kind of fade by Friday" without any real push by members for a vote.

Even gay rights advocates who sought to pressure GOP Senators aren't sugar coating prospects in the House.

"It's an uphill climb. It's Mount Kilimanjaro," Fred Sainz, vice president of communications at the Human Rights Campaign, told CNN.

The House Education and the Workforce Committee, which has jurisdiction over the issue, has yet to announce a hearing on the bill, and doesn't plan any action on ENDA at this point, according to a spokeswoman for the panel.

One place where a House Republican could face blowback for lack of action is in upstate New York.

Second-term GOP Rep. Chris Gibson is running against an openly gay Democratic candidate, Sean Eldridge, who has worked as an advocate for same-sex marriage. Gibson recently signed on as a co-sponsor of the House ENDA bill.

Obamacare still a focus

But GOP aides believe that highlighting problems with the online rollout of Obamacare and focusing on economic issues should remain their top priorities, and say there is little pressure from GOP rank and file to move ENDA, because they largely oppose the bill.

Supporters believe the 2007 House vote, when 35 House Republicans backed the legislation, could be a marker of how many GOP members could vote for the bill now.

But of that group only a dozen still serve in the House.

Among those who supported that measure was 2012 GOP vice presidential nominee Paul Ryan, R-Wisconsin.

But that version of ENDA was drafted more narrowly and Ryan's spokesman says the Congressman is opposed to the Senate bill at this point.

"Congressman Ryan does not believe someone should be fired because of their sexual orientation. That said, any legislation to address this concern should be narrowly crafted to guard against unintended consequences," Kevin Seifert told CNN.

House Democratic Leader Nancy Pelosi said Boehner's move to avoid a vote is part of a pattern, criticizing his decision to spend money backing a court challenge to uphold a ban on same-sex marriage, which the Supreme Court overruled.

Fighting a losing battle in the House

Democrats might try to force a vote through a procedural maneuver but know it probably won't happen.

Sainz told CNN the effort to pass the bill will take some time, but the Human Rights Campaign is working to get at least 25 of the 35 House Republicans they believe would vote for the bill to publicly endorse it.

He said ENDA should fit into the House Republican's economic agenda since it promotes employees keeping their jobs.

Supporters are also looking for other ways to get it to the House floor.

One option is attaching the measure to next year's defense authorization bill in the Senate and sending that to the House.

By tucking the measure into a must-pass bill that House Republicans support, any effort to oppose ENDA would mean adopting an amendment to strip it out. Advocates believe they could muster the votes to block that.

This strategy was used to move another contentious issue involving gay rights -- the repeal of the "don't ask, don't tell" policy barring service in the military.

Dent believes outside advocates need to do some legwork to educate House Republicans, many of whom didn't serve in Congress the last time the issue came up for a vote.

But he notes this session of Congress doesn't wrap up until the end of 2014 so "they'll be time over the next 14 to 15 months to make progress in the House."

Sainz said he is prepared for the challenge and predicts the same constituents who moved the Senate to act will do the same in the House.

"There are gay people in every single member of Congress' district who we will mobilize," he said.

@highlight

Senate passes Employment Non Discrimination Act with help of 10 Republicans

@highlight

House Speaker John Boehner has said he opposes other laws that already cover the issue

@highlight

House congressional aides say they aren't hearing from constituents on the issue

@highlight

Democrats might try to force a vote in the House but know it probably won't happen