(CNN) -- Suppose the Supreme Court does rule that the health care mandate is unconstitutional? What happens then?

(I'm not saying that they will, but let's play "what if?")

The famous individual mandate is just one piece of the new health care law enacted in 2010. Take away the mandate, and here are two principal elements left behind:

-- A huge expansion of the Medicaid program. The majority of those who'd gain health coverage under the new health care law, an estimated 18 million people, would gain it from being enrolled in Medicaid, the health care program for the poor. Even before the new health care law, Medicaid was a huge program, covering one in six Americans. It's on its way to becoming bigger still, whatever happens to the individual mandate.

-- Tough new rules on insurance companies. The new health care law forbids insurers to refuse coverage on the basis of "pre-existing conditions." All applicants must be accepted, and they must be covered at the same price as the other members of the insured group.

Now let's war-game what happens post-mandate.

1. The private insurance market will crash in a spectacular train wreck.

Faced with big new costs and deprived of their expected new revenues from the mandate, insurance companies will have to raise prices. Faced with rising prices, employers will cut back coverage.

The 2010 law imposes new obligations on employers to provide health insurance but also presents employers with an option to escape those obligations by paying a (comparatively) small fine. As insurance costs surge in a post-mandate world, more employers will take advantage of that option. Their employees will join the new market for individual care, the famous health care "exchanges."

Minus the mandate, the policies on offer in the exchanges will be unexpectedly expensive. Minus the mandate, many individuals will choose not to buy. The law offers subsidies to buyers who cannot afford the full cost of the new policies. Minus the mandate, those subsidies will cost much more than expected.

2. The Medicaid program will grow.

The new health care law dramatically expands eligibility for Medicaid. In a post-mandate world, with employers dropping coverage and the individual market careening into dysfunction, Medicaid will likely grow faster than ever.

Costs of the Medicaid program are divided between the federal and state governments. As Medicaid surges, those governments will face an agonizing dilemma: Raise taxes to pay for all those new applicants or reduce coverage, leaving millions of people to clinics and charity.

3. Meanwhile, the Medicare time bomb will continue to tick.

The U.S. already has a single-payer health care system. It's called Medicare, and even today, it is one of the largest single-payer systems on Earth, enrolling more than 47 million people. As more and more of the baby boomers turn 65, the program is scheduled to expand rapidly -- to more than 63 million people by 2020 and more than 80 million by 2030.

We are headed, it would seem, to a post-mandate future that looks something like this:

Medicare will provide fairly generous government health coverage to about one-quarter of the population.

Medicaid will provide much less generous government coverage to one-quarter of the population.

The population outside Medicaid and Medicare will subdivide into two main groups:

The affluent and those whose labor is greatly valuable to their employers will be covered by an ever-more-expensive and ever-shrinking private-insurance market.

The people who can't pay themselves and whose employers won't pay for them will drop out of the private market, and either look for ways to qualify for Medicaid or wait and pray until they qualify for Medicare.

Political pressures will induce politicians to open Medicaid to more and more uninsured people. Fiscal pressures will force politicians to make Medicare less generous and more Medicaid-like.

If the Supreme Court rules unconstitutional the plan for universal coverage through private insurance, the U.S. will continue to evolve toward a government-led system -- albeit one much more expensive, and much less satisfactory, than the government systems of other advanced democracies.

Perhaps after a decade or two of discontent, somebody else will try another reform. But this time, the reform will proceed as an outright government program. There won't be any choice, if the Supreme Court of 2012 precludes as unconstitutional the private-sector alternative -- meaning that today's would-be champions of the free market will have unwittingly brought about the grandest expansion of government control since the 1930s.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

The U.S. Supreme Court may strike down the mandate to buy health insurance

@highlight

David Frum says elimination of mandate would spur more government-funded health care

@highlight

Without private insurance, more people will look to get Medicaid coverage, he says

@highlight

Frum: The court's free-market boosters could spark huge government expansion