(CNN) -- In the one-sided battle between pedestrians and the automobile, the first shot was fired in London in 1896 when 44-year-old Bridget Driscoll became what is believed to be the first pedestrian victim of a petrol-driven car.

Struck down by an automobile doing just 4mph during a demonstration at Crystal Palace, the grim sequence of events was so unfamiliar that one witness riding in the car told the inquest she felt a "peculiar sensation" as the car swerved to avoid Mrs Driscoll.

At the time, the coroner at the inquest expressed the hope that an incident of this type "would never happen again."

Fast forward 118 years and more than 270,000 pedestrians are killed on the world's roads every year.

Striking a balance between the rights of the pedestrian and the car driver was once the preserve of the traffic cop -- a human being that could judge traffic flows, calibrate changes and react to circumstances as they occur.

But as traffic volumes increased and the task became automated with traffic lights, the frustrations all too familiar to pedestrians -- lights that seem never to show the "green man" -- are now tolerated as a normal part of urban life.

London, however, is set to trial a new system that aims to use the latest technology to regain the fluid responses of the traffic cop.

Called Pedestrian SCOOT (Split Cycle Offset Optimization Technique), it is the first of its kind in the world and uses state-of-the-art video cameras to detect how many pedestrians are waiting at crossings.

When the cameras count a critical mass of pedestrians, the technology transmits data that keeps the "walk" sign lit for longer to allow more people to cross the road.

Similarly, when fewer people are waiting to cross the road, the traffic is given a longer set of green lights.

The SCOOT system already regulates London's traffic flows and has been credited with cutting delays by 12% in the capital. It is in use at 3,000 junctions in the British capital, with a further 1,500 earmarked for SCOOT upgrades by 2018.

The Pedestrian SCOOT system, however, would be the first time the technology has been used as pedestrian pinch points in the capital.

"Our SCOOT system has been used around the world for many years use to optimize and coordinate the traffic signal junctions and we've done that currently and historically for vehicles," explained Mark Cracknell, team leader of the Technology Delivery Group at Transport for London.

"We have inductive loops in the road that detect vehicles, do clever analysis of the traffic patterns and then coordinate the junctions to try to make the progress through the city as smooth as possible."

Currently pedestrians at many crossings in London get a standard six seconds to get onto the road -- known as the "green man" time -- before countdown technology takes over telling pedestrians how long they have left to get across the street.

What SCOOT technology aims to do is dynamically change that "green man" time.

"If there's only a few people waiting we'll just go for the standard six seconds to cross, but if we've got 100 people waiting to cross we can increment that up to the appropriate time.

"What we're avoiding is the scenario where we don't have enough time to get everybody on the crossing and then pedestrians have to wait for another cycle of the traffic signals to get across."

Cracknell said the system would have the most value where the pedestrian traffic is variable, for instance outside a school or a tube station.

"During the day there might be a low flow and you don't want to be fixed with a high crossing time when there's no one there," he said. "There are technologies out there that can detect whether a pedestrian is waiting, but the technology we use actually quantifies and counts the number of people.

"We're not aware that this is in use anywhere else in the world."

At the heart of the technology is a stereoscopic camera that allows the sensors to detect and count crowds of people in three dimensions.

"They're vision-based systems, the idea being traditional vision systems just have a single camera and there are a number of inherent flaws with that -- things like shadows, puddles and changing light conditions can cause problems.

"The stereoscopic camera allows us to get a sense of depth -- discount the puddles and the shadows -- and just get a picture of the people standing there."

Despite this it's not all one-way traffic. Pedestrians that press the button on a set of lights and then change their minds and walk away are another challenge to the free flow of traffic.

Transport for London is trialing new technology that would detect when a pedestrian has changed their mind and strolled off or crossed the road before the "green man" signal.

"This is what we call 'call cancel' technology and we're trialing it at different locations in London -- it's the combination of both SCOOT and 'call cancel' which we are looking at," said Cracknell.

Ultimately, however, developing technology that brings back the function of the human traffic cop is the Holy Grail for Transport for London.

"We're trying to be more intelligent with what we're doing. Rather than just tweaking the splits of the vehicles, we will be catering for everybody," Cracknell said.

Read more from Tomorrow Transformed:

Finally, a flying car for everybody? It's the idiot-proof aerial commuter

Will people still be useful in the 21st century?

Can this one-wheeled wonder change the way you commute to work?

@highlight

London to trial traffic lights that count the number of pedestrians waiting for the "green man"

@highlight

Known as "SCOOT," it will adjust the walk time at lights

@highlight

More people waiting at a crossing means they will get more time to cross the road

@highlight

The SCOOT system already regulates London's traffic flows and has cut delays by 12%