(CNN) -- As rockets and missiles fly across the Israeli-Gaza border, CNN's Ben Wedeman describes the mood on the ground in Gaza.

Is there a mood for war in Gaza?

No. Among people with no affiliation with one faction or another, there is little enthusiasm for this flare-up. People here are exhausted. They see no benefit whatsoever of firing missiles into Israel that result in airstrikes that are extremely disruptive to daily life.

Keep in mind that last summer after the overthrow of the Morsy government in Egypt, many of the tunnels under that country's border with Gaza were destroyed, so the economy is in abysmal shape.

Most Gazans would like to see an immediate return to peace. They're frustrated that since 2006 when Hamas won elections and took over, Gaza has been under siege. It's very difficult to leave here ... it's very difficult to earn a living, therefore few people are supporting this flare-up.

Why is this happening now?

Are people supportive of Hamas?

Hamas is defiant, saying the blood of the martyrs will be fuel for the Intifada. On Monday night it claimed responsibility for 60 missiles fired into Israel. They're on a war footing.

Hamas is blaming Israel for the current flare-up but it's not putting out any olive branches. They're going to contribute firing missiles into Israel until there's some sort of cease-fire.

In November 2012 the Egyptians were able to intercede between Israel and Hamas and that led to a ceasefire, but now you have a very different government in Cairo that is hostile to Hamas and seems uninterested in intervening and bringing calm to Gaza.

What is the attitude towards Israel?

The majority of people in Gaza are the descendants of those who were driven or fled from their homes in 1948-49, some from the very same areas currently being hit by rockets from Gaza.

There is a deep sense of loss, of dispossession which is particularly intense in times of conflict.

One man told me today "I hope they bomb the Knesset," referring to the militants firing rockets. Another outside a house in Khan Yunis that had just been struck by a missile that left seven dead told me "the Israelis have been killing us since I can remember. And they will continue to kill us after I die."

Are there dissenting voices critical of Hamas in Gaza?

Yes there are. Many people you speak to are opposed to it because all the rocket firing does is make the situation worse.

One man I spoke to said: "Of course we dislike Hamas and want them to go, but if I were to say that in public there would be trouble for me."

Obviously there are few dissenting voices in public; privately there are many. The only real opposition to Hamas is Fatah, but that faction that is dominant only in the West Bank, not in Gaza.

Has the crisis reached a tipping point?

Why has this flare-up happened now? Is it about more than just the tit-for-tat killings of the Israeli and Palestinian teenagers?

In the aftermath of the Israeli teenagers kidnapping on June 12, Israeli officials made it clear they were operating in the West Bank and elsewhere on a two-track approach. On the one hand they wanted to find the boys and catch the kidnappers; on the other they were cracking down on Hamas. That's certainly set the tone.

But you have go back to April 1 when Palestinian Prime Minister Mahmoud Abbas announced there would be a unity or reconciliation pact between Fatah and Hamas.

The pact had much to do with Israel's decision to stop negotiating with the Palestinians in U.S. Secretary of State John Kerry's Middle East peace initiative. And so the rhetoric coming out of Israel against Hamas and the unity pact has been intensifying since April 1, and redoubling since the June 12 kidnapping of the Israeli teenagers.

Is the situation affected by the unrest in Iraq, Syria and Egypt?

This is not a recent conflict: it goes back 100 years to the arrival of the first Zionist settlers in Palestine and this is just the latest chapter in a very long book. It's affected of course by the situation elsewhere in the region, but it's very much its own problem.

Some Israeli government and military officials in government are worried that the unrest elsewhere could impact the situation in the West Bank in particular. They understand the West Bank is unstable: you've seen clashes in Gaza, clashes in Palestinian-Israeli cities in northern Israel. They are aware that instability outside Israel could be mirrored by instability within Israel and the territories it controls.

How are conditions in Gaza compared to previous visits you've made there?

It's grim. Most stores are closed, and that may be a function of Ramadan, or it may be a function of the grim state of the economy since the upheaval in Egypt last year.

There's a weariness about the constant abnormal situation: keep in mind that the second Palestinian intifada began in September 2000 and Gaza saw the most intense clashes and fighting between Israeli forces and Palestinians. That was followed by the Hamas takeover in June 2007. Then at the end of 2008 into 2009 there was the Israel-Hamas war. Then in November 2012 there was another flare-up between Hamas and Israel. Now there's this.

So the economic situation being what it is, people are absolutely exhausted by the constant hammering of problems, crises, wars, clashes, upheavals.

The situation is getting worse. There's no sign that Israel's siege of Gaza, as they call it, is easing. Israel continues to maintain a strict control of what enters and leaves Gaza in terms of products, medicines and people. Egypt also has a tight grip on that border, and often the border is closed for weeks on end. Air and missile strikes are getting worse.

Many people are dependent on the United Nations, which provides a lot of relief supplies, in one way or another. If you're lucky you can get a job with the Hamas-led government, with the police or the bureaucracy. There are people engaged in farming and light industry. But jobs are few are far between.

What's likely to happen next?

We've heard from the Israeli defense ministry that the operation is likely to last for several days at least, so I think we can expect more of the same.

This morning an Israeli defense spokesman said they believed Hamas has an arsenal of about 10,000 rockets. At some stage they'll run out, but so far the defense ministry believes they've only fired about a tenth of that arsenal, so the firing is probably going to continue.

Israel says it has two objectives in this mission, which they call "Operation Protective Edge." One is to stop the rocket fire on Israel, and the second is to strike at Hamas.

But Hamas is not just a military organization: it is a political organization; it is the government in Gaza. It runs schools, hospitals and clinics, so what does it mean to strike at Hamas. In the past Israel has talked about destroying Hamas, which no one in Gaza thinks is a reasonable or realistic goal.

So this could go on for days or weeks. In 2009 the war went on for just over three weeks. I don't think this will go on that long, but it could last a while.

What is the international community doing to calm tensions?

It's not altogether clear. In the past Egypt had some sway with Hamas, but this isn't necessarily still the case. The Egyptian Prime Minister Abdel Fattah el-Sisi is extremely hostile to Hamas, which is the Palestinian off-shoot of the Muslim Brotherhood, which he has mercilessly cracked down on. So he won't be shedding any tears seeing Hamas taking a beating in Gaza.

The U.S. considers Hamas to be a terrorist organization, and to the best of my knowledge, does not talk to it. And therefore there seems to be no intermediary involved trying to defuse this situation.

The Turkish government of Prime Minister Recep Tayyip Erdogan has good relations with Hamas, and decent relations with the U.S., and that's one of the powers that could become involved. But as of yet there's no sign of this happening.

So there's no sign of urgency in the international community to become involved. There are of course many other fires burning in the region: Iraq, Syria, Libya. Gaza and Israel is an old conflict that has frustrated many potential peacemakers in the past, and scares off many others who may contemplate it in the future.

In Washington all we're hearing are the usual calls for restraint. They don't seem, in public at least, to put much pressure on Israel -- they're always hesitant to do that -- and they have very little means to pressure Hamas.

@highlight

CNN's Ben Wedeman says there's little enthusiasm in Gaza for the flare-up with Israel

@highlight

He says Hamas is defiant but in private many Palestinians are opposed to their leadership

@highlight

Israel's anti-Hamas rhetoric intensified after Hamas reached a pact with Fatah, he says

@highlight

There's been no sign of urgency in the international community to become involved, he says