(CNN) -- The massive tornado that devastated communities in Oklahoma Monday touched down near the town of Newcastle just five minutes after the first warnings went out, according to the National Weather Service.

But residents of Moore, which would be hardest hit by the killer storm, had about 30 minutes before the twister entered the western part of the city, CNN meteorologist Sean Morris said Tuesday.

It sounds like enough time to act, but in the wake of tragedy, the question always persists: Could more have been done to warn residents of the monster tornado?

The science and technology behind severe weather prediction continues to improve, and many of the tools in place were deployed during Monday's tornado.

Once the tornado had touched down and meteorologists had determined that it was heading toward a populated area, the National Weather Service issued a "tornado emergency," said Harold Brooks, a research meteorologist at the National Oceanic & Atmospheric Administration's Severe Storms Laboratory in Norman, Oklahoma, which is near Moore. The rarely used distinction is designed to make it clear that there is a dangerous situation.

Moore in bull's-eye twice, science may know why

"When you hear that, the response is that you better get your act together, now," Brooks said.

For the citizens of Moore, the tornado emergency was declared at 3:01 p.m., about 14 minutes before the tornado reached the city.

"I think it was a very well-warned and well-forecasted event," Brooks said.

EF5 tornadoes are terrifying perfect storms

The initial warning, which included the counties where Newcastle and Moore are located, would have been followed by alerts on television, radio, phone apps and sirens.

Once forecasters recognized that the tornado was violent and that a "potentially extraordinary event was occurring," the emergency declaration set off another round of warnings, Brooks said.

Still, at least 24 people lost their lives as a result of the tornado.

Considering the size of the tornado and the number of homes it affected, the death toll could have been worse, Brooks said.

"A lot of people survived the path of the tornado," he said.

Basements scarce in tornado-prone area: Here's why

The science behind predictions

Currently, the Severe Storms Laboratory can forecast weather conducive to tornadoes about seven or eight days out, Brooks said. This is a vast improvement over 15 years ago, when forecasts were available for just one day ahead.

In the case of the tornado that hit Moore, forecasters predicted severe weather in the Oklahoma area as early as Wednesday. But these forecasts are for weather systems that are capable of producing tornadoes, not predictions of where a specific tornado may hit.

Advances in technology and science are continuously improving forecasts.

"As computers have gotten more powerful, the models have gotten better," said Adam Sobel, a professor of atmospheric science at Columbia University in New York.

Computers use the laws of physics and mathematics to make predictions based on simulations of the atmosphere that are represented on a grid.

Opinion: How can we be safe from tornadoes?

Just like pixels on the digital cameras have become smaller and smaller, the grid that these computers use has gotten smaller, allowing for more precise forecasts, Sobel said.

But tornadoes are so small, relatively, that they are still too small for the models to see. The increased power of these computers have made it easier to spot storms systems that could spawn tornadoes.

New research may increase the window of prediction from the current seven or eight days to 10 to 12 days before the event, Sobel said.

NOAA is also working with several institutions to increase warning lead times for tornadoes and other severe weather. Known as "warn-on-forecasts," the new methodology would issue warnings based on forecasts rather than observations, said Jeff Trapp, a professor of atmospheric science at Purdue University in Indiana.

The new method is promising, he said, but it is still at an experimental stage. It might allow forecasters to provide cones of uncertainty for a tornado, similar to those used to predict where hurricanes are headed. These warnings for tornadoes could come one to six hours before the tornado, as opposed to the current 15- to 30-minute warnings, Trapp said.

Another innovation with the new research could result in forecasters providing the strength of a tornado at the time it is formed, instead of after the fact, as is currently the case. Residents may react differently if they know the intensity of the tornado heading toward them.

The challenge, Trapp said, is the same one that all forecasters face: A forecast depends on the data available.

Deadliest U.S. tornadoes on record

@highlight

Residents of Moore had time to prepare for tornado, but can more be done?

@highlight

Forecasters can predict tornado-worthy storms up to eight days in advance

@highlight

New technology could yield more warning, "cones of uncertainty" like with hurricanes