WASHINGTON (CNN) -- China's military is developing longer-range ballistic and anti-ship missiles that are "shifting the balance of power in the region" and could help Beijing secure resources or settle territorial disputes, a report released by the Pentagon said Wednesday.

U.S. and Chinese militaries need "resumption of dialogue,"  Adm. Timothy Keating told Congress.

China also continues to build up short-range missiles and increase its "coercive capabilities" against Taiwan. The report suggests such moves constitute an effort to pressure Taiwan into settling the cross-strait dispute in favor of China, though tensions between the two countries have receded over the past year.

The report, called the "Military Power of the People's Republic of China," is the Pentagon's annual briefing to Congress on the status of the communist country's military might.

While China continues to proclaim that its military buildup is for defense purposes to protect its interests, the report says the country's lack of transparency is worrisome and could lead to an unintended conflict.

"The limited transparency in China's military and security affairs poses risks to stability by creating uncertainty and increasing the potential for misunderstanding and miscalculation," according to the report. "Much uncertainty surrounds China's future course, particularly regarding how its expanding military power might be used."

The lack of transparency causes Washington "to speculate to some degree on what their intentions are," Pentagon spokesman Geoff Morrell told reporters at a Wednesday briefing.

According to Adm. Timothy Keating, the head of the U.S. Pacific Command, some of that uncertainty is due to the cessation of talks between the Chinese and U.S. militaries.

In March of 2008, the United States and China installed a hot line between the two countries' militaries. But there have been no military-to-military talks since November 2008, when Washington announced it was selling weapons to Taiwan.

"We are looking for the resumption of that dialogue so we can engage in discussion with our colleagues in the People's Republic of China and their Army, Navy and Air Force so we can have a sense of their way ahead," Keating told the House Armed Services committee on Tuesday. "We don't have a clear idea of their broad strategic way ahead."

The Pentagon report comes after a recent incident in which Chinese ships, including a Chinese navy vessel, confronted an unarmed U.S. Navy surveillance ship in the South China Sea in international waters. The confrontation prompted the United States to move a destroyer ship to the area to protect the surveillance vessel.

While the report does not discuss the incident, it notes the importance China puts on controlling its waterways and the surrounding territories because "China's economic and political power is contingent upon access to and use of the sea, and that a strong navy is required to safeguard such access."

The analysis also said that while much of China's capability is more for regional disputes, it did send two destroyers and one supply ship off the coast of Africa to protect Chinese vessels from pirate attacks.

That move was a sign of Chinese intent to expand its militaries to protect expanding economic and political interests around the world, according to a China analyst.

"The Chinese military is being told to develop capabilities to deal with Chinese national interests beyond the pure defense of Chinese territory," said David Finklestein, the Director of China Studies for CNA, a nonprofit research group that does analysis for the U.S. military and other clients. "China, with a global economy, now obviously has global political interests and clearly has expanding global security interests."

Though the Pentagon report concludes that "China's ability to sustain military power at a distance remains limited," it does have a growing space program, nuclear weapon system and cyber warfare capabilities, "the only aspects of China's armed forces that, today, have the potential to be truly global," the report explained.

In citing China's cyber warfare, the report notes that U.S. government computers were the target of "intrusions that appear to have originated" from China, although they were not confirmed to be from the military.

@highlight

Pentagon report: China's missile development "shifting balance of power in region"

@highlight

Beijing's lack of transparency could lead to unintended conflict, report says

@highlight

Cessation of talks between nations' militaries partly to blame, U.S. admiral says

@highlight

Report: Cyber warfare capability among the few areas of China's "truly global" reach