(AOL Autos) -- Regular readers of AOL Autos know that we have done a series of stories on the development and increasing popularity of cars that run -- or will eventually run -- on alternative fuels.

The mandatory use of CNG in public service vehicles began in New Delhi, India in 2000.

We've written about hybrids, clean-diesel engines, fuel-cell technology, ethanol and more.

That brings us to another entry in the auto industry's ongoing research and development of green-technology: compressed natural gas (CNG). Scientists are trying to determine which alternative fuel will best strike a balance between being environmentally friendly and commercial viability.

CNG might be the answer.

Vehicles running on CNG have actually been around since the early 1990s, but have not been a dominant force in the marketplace mostly because the infrastructure (i.e. re-fueling stations) is not yet in place to support high-volume sales of CNG-powered cars. Presently, there are only about 1,600 CNG refueling stations in the U.S, compared with up to 200,000 gas stations.

Currently there is only one CNG-powered model sold on the consumer market that is actually manufactured as a CNG-powered car. That's the Honda Civic GX, which boasts an EPA-estimated fuel economy of 24/36 miles per gasoline-gallon equivalent. AOL Autos: Best hybrids

Rich Kolodziej, president of Natural Gas Vehicles for America said there are other natural-gas-powered vehicles on the road -- about 130,000, he estimates -- but that the vast majority of those are part of commercial or transit fleets or have been converted from gasoline-powered cars.

"They're mostly fleet vehicles, like transit buses, delivery trucks, and the fleets maintained by the gas company, the electric company, etc," he said.

"We don't have hard figures about conversions, but I'd bet that about 25 percent of those 130,000 were once gasoline-powered vehicles that have been converted to CNG vehicles," Kolodziej said. "There are a growing number of companies making certified conversion systems and installing them."

NGVAmerica maintains a list of certified conversion systems on its Web site: www.ngvc.org. AOL Autos: Fuel-efficient used cars

Some of those 130,000 are also natural-gas-powered vehicles manufactured and sold by Ford, Chrysler and GM back in the early '90s, he says -- back when the U.S. manufacturers were still in the business of making CNG-powered cars. But we'll get back to that later.

But with the price of gasoline currently averaging over $4 a gallon nationally, Kolodziej predicts there will be more and more demand for CNG-powered vehicles like the Civic GX.

"I went to a conference a couple of months ago, and every manufacturer we talked to said that their phones were ringing off the hook, from people who are saying they'd be interested in buying a CNG-powered car," Kolodziej said. "And there are more and more people and companies who want to get into the conversion business." AOL Autos: Hybrid SUVs

The cost of conversions varies by the type of vehicle, Kolodziej noted. "But most cost in the $10,000 range. Most conversion systems are certified for Ford and GM models, among others," he said.

On the financial side, natural gas is about 30 percent less expensive than gasoline when it is purchased at a refueling station. It's about 50 percent less expensive when you fill 'er up at home, via home refueling appliance that tap into your natural gas line, Kolodziej said. Owners of the Honda Civic GX in New York and California who have natural gas piped into their homes can purchase the "Phill" re-fueling system for about $3,500.

This Phill system can be used whether your CNG vehicle was manufactured that way or converted, he said. AOL Autos: Luxury cars with best gas mileage

"The Phill is about the size of a pay phone, and you hang it on the garage wall, and vent it like a dryer and plug it into a gas line and also into an electric socket," Kolodziej explained.

The primary environmental benefit of a CNG car is that it produces 90 percent fewer smog-forming pollutants (oxides of nitrogen), compared to the output of a conventional gas engine, said Steve Ellis, manager of alternative fuels for American Honda Motor Co.

The Civic GX has reaped many environmental awards. This year, it was named by the American Council for an Energy-Efficient Economy (ACEEE) as the "greenest vehicle in the nation -- for the fifth consecutive year." The GX, which was first introduced in 1998, has the cleanest internal combustion certified by the EPA, Ellis noted. AOL Autos: Most-popular fuel-efficient cars

The Civic GX is not a high-volume vehicle in terms of sales. Ellis said annual sales have fluctuated between 500 to 1000 units a year since it was rolled out, with sales of 1,100 units last year. He expects that to go up in 2008. For comparison purposes, about 40,000 Honda Civic Hybrids were sold last year, with sales of 48,000 anticipated for this year.

Most of the sales of the Civic GX are concentrated in southern California, followed by Phoenix and Salt Lake City -- primarily because those markets are where many of the 1,600 re-fueling stations are presently located.

"As the infrastructure builds up, we'll sell more of them in other markets," Ellis predicted. "Right now, this is a car that people use regionally. If you live here in Los Angeles, you can drive to Las Vegas and back and not worry about being able to find a refueling station.

As for cost, the GX natural-gas vehicle is priced at about $24,500, compared to $17,000 for a comparably-equipped Civic LX, Ellis said -- except that buyers get a $4,000 tax credit on the purchase of the GX. And until recently, California buyers got an additional $3,000 rebate from the California Air Resources Board. "But the program was so popular, they are out of funds, and looking to add more money to the coffer so they can continue with the rebates," Ellis said.

"But people who buy a Civic GX, when we ask them about the math, in term of comparing those two Civics, they sort of give us blank stares," Ellis continued. "Most of these folks who are buying the GX are trying to get out of having to commute to work every day in a pick-up truck, SUV or even a passenger car that's only getting 15 or 20 miles a gallon. And they're also the same kind of people who've said they'd pay $25 or $50 a week to be able to drive in the car-pool lane."

Interestingly, many of the automakers, like Volkswagen, Mercedes, Fiat, GM Opel, Ford Europe, Peugeot and Renault, do produce CNG-powered vehicles for other countries, said NGVAmerica's Kolodziej, who noted that "about 1.5 million of the natural gas vehicles have been sold in Brazil, another 1.5 million in Argentina, another 1.5 million in Pakistan, and so on."

And, once upon a time, in the early '90s, U.S. automakers did sell CNG vehicles in the United States. "But the federal government kept adding more loopholes to the energy policy that was supposed to encourage the increased manufacture and sales of CNG vehicles," Kolodziej said. "Then the government opted not to expand the coverage of the program the way the law allowed -- or the way the automakers expected. Without that demand pull, the U.S. automakers didn't believe they could sell enough of them here."

"U.S. automakers zigged when they probably should have zagged" added Ellis of American Honda. "They turned their backs on CNG and began to focus on bio-fuels."

But, noted Ellis, "We're definitely keeping our stake in the CNG business, because we know we can add it to other platforms. We used to think of the Civic GX as 'The Little Engine That Could' -- you know, saying, 'I think I can, I think I can' in terms of becoming more commercially viable.

"But, with gas prices going up and up, now we're thinking more along the lines of 'I know I can, I know I can.' And more and more people are genuinely interested in going more green because of the environmental impact," he said. "A lot of people got into the hybrids, and then, after a while, began to ask, 'How can I do more?' And they're looking to natural-gas-powered cars as the answer to that.

"So, we're in this for the long haul," noted Ellis, who said the company is definitely looking to do bigger business and make a profit from the GX. "Now, it's just a matter of society continuing to change, and to continue to become more environmentally-minded. As they do, we think there will be increasing interest in CNG, and we'll see a shift in emphasis toward CNG and away from bio-fuels."

@highlight

Scientists trying to determine which alternative fuel is best for future

@highlight

Some say compressed natural gas could be the answer

@highlight

Only only one CNG-powered model sold on the consumer market today

@highlight

About 1,600 CNG refueling stations in U.S, compared to 200,000 gas stations