Skin cancer is on the rise, according to the American Cancer Society, with more cases diagnosed annually than breast, prostate, lung and colon cancer cases combined.

On Tuesday, the United States surgeon general issued a call to action to prevent the disease, calling it a major public health problem that requires immediate action.  Nearly 5 million people are treated for skin cancer each year.

"Until today, the surgeon general has never said, 'UV radiation is bad for you; protect your skin,' " acting Surgeon General Dr. Boris Lushniak said.

The U.S. Department of Health and Human Services has set five goals for communities to decrease the risk of skin cancer, such as providing shade at parks, schools and other public spaces, and reducing indoor tanning.

A dermatologist himself, Lushniak said it's important for parents to teach their children about sun safety, just as they would dental care and eating healthily.

"We have to change the social norms about tanning," he said. "Tanned skin is damaged skin, and we need to shatter the myth that tanned skin is a sign of health."

Melanoma, the deadliest form of skin cancer because of how fast it spreads to other parts of the body, accounts for only 2% of skin cancer cases but is responsible for the majority of skin cancer deaths, according to the American Cancer Society.

Each year, more than 63,000 cases of melanoma are diagnosed in the United States, and 9,000 people die from it.  From 1973 to 2011, melanoma rates increased more than 200%, according to the Department of Health and Human Services. The National Cancer Institute reported that melanoma is the most common form of cancer in adults ages 25 to 29 and second most common for young adults aged 15 to 29.

To reduce the risk of skin cancer, the Centers for Disease Control and Prevention recommends wearing a hat, sunglasses and protective clothing and using sunscreen with an SPF of at least 15.

On Monday, the House of Representatives passed the Sunscreen Innovation Act.

The bill includes a review process for all manufacturers submitting a new sunscreen to the Food and Drug Administration, with a deadline for the FDA to provide final decisions: one year for pending applications and 1½ years for new ones.

The last over-the-counter sunscreen ingredient approved by the FDA was in 1999, according to the Public Access to SunScreens Coalition. Eight new sunscreen applications have since been filed with the FDA.  All are still waiting for review, the coalition says; some have been waiting for over a decade.

Ecamsule was approved as a new sunscreen active ingredient in 2008, according to the FDA, allowing it to be marketed as the specific product provided in the application, Helioblock SX. However, Ecamsule is still under review to be added as an approved sunscreen ingredient that all manufacturers are free to use.

The current policy requires the FDA to undergo an extensive rule-making process before reviewing any new product application and adding it to the approved list, according to coalition policy director Michael Werner.  This can take years, making the process inefficient.

"This law takes out the rule-making aspect and allows the FDA to simply issue a decision," Werner said.

Many of the new sunscreens awaiting approval in the United States have been available in Europe, Central Asia and South America for years. Generally speaking, the ingredients waiting for approval are simply newer types of UVA filters than are currently being used, Werner said, but they differ slightly by manufacturer.

"The FDA will issue responses to the safety and efficacy data submitted for each ingredient in the near future," FDA spokeswoman Andrea Fischer wrote in an e-mail to CNN. "We are committed to completing the TEA (Time and Extent Application) process for the sunscreen active ingredients currently under review as quickly as possible, consistent with available agency resources and competing public health priorities."

Indoor tanning is also a major contributor to skin cancer.  It's estimated that more than 400,000 cases of skin cancer each year are related to indoor tanning, 6,000 of which are melanomas, according to Assistant Secretary for Health Dr. Howard Koh.

Sunlamps and tanning beds get FDA warning

There are laws requiring minors to have parental consent in 44 states, but only 10 prohibit minors from indoor tanning altogether. According to the CDC, about 30% of white women ages 18 to 25 report indoor tanning.

"The concern with indoor tanning is the concentrated burst of high-intensity UV rays on uncovered skin," Lushniak said.  "Although it's only a short burst, it's a higher intensity than what one would experience outdoors."

Two-thirds of adults reported having a sunburn in 2010, according to the CDC.  Because a single sunburn increases a person's risk for skin cancer, Lushniak said that it's important for people to realize that sun safety applies to everyone, even if you're not fair-skinned.

"We know that the risk level for skin cancer decreases with more skin pigmentation," he said.  "But no one is immune.  All races are still diagnosed and still affected by UV rays."

Medical myths: What doctors thought they didn't need to say

Sunscreen 101: Don't forget your nose

Some melanoma patients don't protect skin

New Jersey bans minors from tanning beds

@highlight

U.S. surgeon general issues a call to action to prevent skin cancer

@highlight

Goals include providing more shade and reducing harm from indoor tanning

@highlight

About 5 million people are treated for skin cancer annually

@highlight

A new bill may encourage the FDA to approve new UVA filters