Stephanie Mayweather is out of answers. Standing outside a corner market in crime-ridden North Philadelphia, she throws her arms up in desperation.

"I've been here for 13 years and I have watched the crime escalate, I have watched the neighborhood deteriorate. I have watched the police presence decline here. I don't know what the answer is," said Mayweather, executive director of East Division Crime Victim Services.

Behind her, stuffed teddy bears, balloons and flowers mark the spot where the store's clerk, Rosemary "Reyna" Fernandez-Rivera, was gunned down on January 23 because, police say, she witnessed a murder at the same spot the day after Thanksgiving.

"This is a vicious cycle," Mayweather said.

Out of the nation's 10 largest cities, Philadelphia's homicide rate is the worst.  Last year ended with 324 homicides, up from 306 in 2010.

And just one month into this year, there has been on average more than one homicide each day in Philadelphia, with many of the 34 deaths unfolding like episodes on "Law & Order."

A man ambushed a car packed with teens -- killing three of them -- for feuding with his stepsons.

A pizza delivery man was shot in the back during a robbery.

Another man was beaten to death hailing a cab on a busy downtown street.

Then there was the retribution killing of Fernandez-Rivera, the store clerk and alleged murder witness.

Aside from the murders, there have been ruthless beatings. On January 2, an off-duty police officer and Iraq war veteran was punched and kicked until he was unconscious outside a landmark restaurant after the Winter Classic hockey game. A couple of weeks later, a 64-year-old Vietnam veteran on his way to meet his wife at the bus stop was  attacked and robbed by two teens.

"I think folks are desperate. I think they're desperate and come from a culture where they learn the way to handle an argument is with a gun," said Chuck Williams, director of the Center for the Prevention of School-Aged Violence at Drexel University.

Williams, an education professor at Drexel University, works with educators and youth to prevent school fights, shootings and cyberbullying.

"Although the streets don't offer anything positive, to a lot of the young people, a lot of the boys, the young black men, (the streets are) consistent," he said.  "They know where they stand (on the streets)."

Philadelphia's mayor has made it clear  the city is waging an all-out war against violent criminals.

"If you want to act like an idiot, if you want to be an a-hole, if you want to be a low-life in this town, we will track you down like the dog that you are," Mayor Michael Nutter told CNN affiliate KYW last month.

At the end of January, city officials unveiled new crimefighting measures, including a reward of $20,000 for information solving a homicide and $500 for locating illegal guns, plus funding for the witness assistance program and increasing police presence.

At the news conference announcing the measures, Nutter put it this way: "To every criminal out there: I just put a $20,000 bounty on your head."

A violent trend

City officials say it's too early to determine whether Philadelphia's homicide rate will continue to rise this year.  Last year, as the city was besieged by teen mob attacks, Nutter made it clear  he would not tolerate the violence.

He raised some eyebrows last summer when he took to the pulpit to call out the predominantly black youths involved in the attacks.

"You damage yourself, you damage another person, you damage your peers, and quite honestly, you damage your own race," said Nutter, who is black and has two children.

In an attempt to stop the mob violence, Nutter moved up the weekend curfews for teens in two Philadelphia neighborhoods that bore the brunt of the seemingly random attacks.

"There is no excuse for young people being out so late at night by themselves and then making bad decisions and literally assaulting other citizens," Nutter said. "I will not tolerate that."

Philadelphia may have the worst homicide rate of the country's most populated cities, according to the most recent complete data (see fact box on left), but it pales in comparison with less-populated U.S. cities.

Based on statistics from 2010, Philadelphia's homicide rate is about 20 killings per 100,000 people, according to FBI statistics. By comparison, cities with smaller populations have murder rates far worse than Philadelphia, including New Orleans at 49.1, St. Louis at 40.5 and Baltimore at 34.8.

Criminal justice professor Jerry Ratcliffe says it's important to put Philadelphia's homicide data into a broader perspective.

"Nobody likes to have these homicide statistics," said Ratcliffe, director of the Center for Security and Crime Science at Temple University.  "You're talking about 34 homicides. That's in a city of 1.5 million people."

While the daily body count is a disturbing trend for the city and triggers rampant media coverage, it doesn't mean Philadelphia is on track to become the murder capital of the country, Ratcliffe said.

"I don't want to belittle the numbers, but it's really too difficult to assess the safety of the entire city based on little over a month of data," he said.

"The real test will be this spring or summer when we (normally) see the violence peak."

Sending a message

This year, most of the city's homicides have been confined to North Philadelphia, including the Kensington neighborhood, where Fernandez-Rivera was gunned down inside her store and where Stephanie Mayweather's nonprofit victims' support unit operates.

She said violence is now part of the fabric of the neighborhood and is as commonplace as a passing city bus.

"They're committing crimes in broad daylight. These crimes are heinous because they put the fear of God in these communities," she said.

"This homicide sent a strong message in this community. If you see something, don't say anything, because this could be you."

Mayweather said her East Division Crime Victim Services has helped more than 420 victims of violent crime since November, with several free services including court accompaniment and crime victim's compensation assistance, as well as short- and long-term counseling to victims of violent crimes ranging from shootings to rape.

Mayweather's building, a renovated former drug house now riddled with bullet holes, is one block away from the Caribe Mini Market where Fernandez-Rivera was killed.

It also sits around the corner from where the infamous "Kensington Strangler," responsible for at least three homicides, was apprehended last year.

Mayweather said she believes the situation in Kensington has worsened after a nearby police precinct closed in recent years.

"Some days, I'm afraid," she said. "But if all of the social services ran out of this community out of fear, who would be here?"

'There's still killing every day'

The city's daily violence has news outlets once again branding the city "Kill-adelphia." Public safety advocate Anthony Murphy said the moniker is unfair. He urged critics to "look beyond the body count."

"We aren't all going out shooting each other randomly. Things have happened, yes. There's a challenge, yes. But Kill-adelphia? No. Should you be afraid to be in Philadelphia? No," said Murphy, executive director for Town Watch Integrated Services, an organization of volunteers who patrol neighborhoods.

"Police can't do everything. We have a responsibility to address the challenges in our community."

That responsibility, Murphy said, starts with establishing a positive foundation for youth, particularly when it comes to conflict resolution.

Arguments are the leading motive for murder, and blacks make up nearly 84% of the homicide victims, according to police data.

Stopping arguments from escalating to deadly violence is a priority at City Hall.

"Prevention (is) a key portion of what we're doing," said Everett Gillison, Nutter's chief of staff and deputy mayor for public safety.  "But also just getting the community to act as one and come forward and say 'enough is enough. This stuff has got to stop.' "

Back in North Philadelphia, the gifts left behind in memory of Fernandez-Rivera join the collection of memorials honoring shooting victims across the neighborhood.

At a recent prayer vigil, Lizasuain "Mota" DeJesus released a dole of doves in memory of the slain store clerk, whom she knew from her regular visits to the corner store.

"She was a really nice lady, very respectable," she said. "I'm really in shock still that this has happened to her."

DeJesus is no stranger to violence. Her 5-year-old daughter, Iriana, was abducted, sexually assaulted, strangled and later found in an apartment building a block from her home in North Philadelphia. The alleged killer is one of the Federal Bureau of Investigation's 10 most wanted fugitives.

She said that while justice was served for Fernandez-Rivera through arrests for her slaying, she believes more needs to be done to stop the killing.

"I'm really disgusted with how every day you hear about a shooting, every day you hear somebody getting killed, every day something going on," DeJesus said. "One death is too many, but a thousand of them is never enough (to have any effect). There's still killing every day."

@highlight

This January, there were 34 homicides in Philadelphia

@highlight

In past years, it had the highest homicide rate of all big U.S. cities

@highlight

Victims' advocate says many crimes committed in "broad daylight"

@highlight

Philly mayor has warned criminals, "We will track you down like the dog that you are"