London (CNN) -- Europe's leaders are battling to keep the eurozone and the wider European Union together in the face of a financial crisis that threatens to split partnerships forged over more than half a century.

So why are they putting so much effort into preserving unity? And can they prevent today's debts and differences from dividing the continent for decades to come?

Why is unity so important to Europe?

The answer lies in Europe's history: The continent has historically been split by long-running conflicts that pitted neighboring countries against each other.

But despite this, the nations of Europe also share much in common, as Professor John Loughlin, of the University of Cambridge's department of politics and international studies explained.

"In the 19th century there was an idea that Europe had a natural unity, that its constituent parts shared an identity, a culture, a history," he told CNN.

"People were keen to recover this 'lost unity' which dated back to before the fragmented days of the individual nation states, to previous unions, and even to the Roman Empire."

Where did the idea of a European Union come from?

The idea of a united Europe goes back centuries, and has been proposed by everyone from William Penn -- the founder of the U.S. state of Pennsylvania -- to philosophers Immanuel Kant and Jeremy Bentham.

French novelist and activist Victor Hugo backed the idea of a "United States of Europe" in the 19th century, looking forward to the day when the U.S. of A. and the U.S. of E. would "stretch out their hands across the sea... and join together to reap the well-being of all."

Hugo, author of "Les Miserables" and the "Hunchback of Notre Dame," predicted that: "A day will come when there will be no battlefields but markets opening to commerce and minds opening to ideas. A day will come when the bullets and bombs are replaced by votes."

However, it was not until after World War II that a European union became a realistic prospect.

Why then?

By 1945, much of Europe had been devastated by two massive wars in quick succession. Amid the rubble and ruins, politicians and the public -- exhausted by years of violence -- shared the belief that such conflict should never be allowed to happen again.

Rather than focus on trying to find a shared ideology -- the reason behind much of the earlier conflict -- politicians saw economic unity as a way of preventing future clashes.

French politician Robert Schuman, regarded as one of the founding fathers of the EU, came up with the idea of pooling coal and steel production in the European Coal and Steel Community (ECSC), so that the "raw ingredients" for war -- munitions -- were placed out of reach.

He hoped the ECSC, created in 1951, would mean that, "any war between France and Germany [became] not merely unthinkable, but materially impossible."

What is it?

The ECSC, which was made up of six nations (France, West Germany, Italy, Belgium, the Netherlands and Luxembourg) later evolved into the European Economic Community (EEC) -- under which the member states established a common market, and worked to harmonize their policies on everything from agriculture and fisheries to monetary policy.

Over the following decades, the EEC became the European Union, and expanded from the original six nations to today's 27 members, from Finland in the north to Malta in the south.

That enlargement has also seen many members of the former Soviet Union join up -- highlighting another of the EU's key roles.

"During the Cold War, Western Europe united to form a bloc against the Soviet Union, because there was a genuine fear that the Communists would sweep across Europe in their tanks," Loughlin said.

"After the fall of the Berlin Wall, that part of the world was extremely unstable. It had had a kind of peace, but one built on oppression, and once that collapsed there were real fears of conflict.

"The EU was very important in ensuring peace and stability in the region -- it helped countries' transition to democracy, and build economic prosperity."

Has it worked?

Loughlin says the union has succeeded in its most basic aim.

"It is still a very important aspect of European unity that there has been no major war since World War II.

"There have been smaller conflicts, in Northern Ireland and in the Basque country, and of course there was the situation in the Balkans, but in that case, the prospect of joining the EU has been a very powerful factor in preventing further wars."

It hasn't all been plain sailing though -- national differences persist, and many issues have caused divisions and debates between the member states, from the introduction of a single currency to the war in Iraq.

"Not all the tensions have gone away," said Loughlin. "Not all the conflicts have been resolved.

"The old reflexes, the old fears persist. After the fall of the Berlin Wall, for example, [President Francois] Mitterand [of France] and [Prime Minister Margaret] Thatcher [of Britain] were very nervous about the prospect of a united Germany."

However, the euro crisis has provided the union with its biggest challenge yet -- and it is one that is playing on national prejudices and resentments.

"The Greeks are very upset that their whole character seems to be being called into question, that they are being portrayed as profligate, irresponsible.

"The old stereotypes are still there, and they tend to resurface at times of tension. The danger is that they can really affect the outcome of these situations, and there is just too much at stake here."

How determined are Europe's current leaders to support unity at any cost?

In 2011, France's President Nicolas Sarkozy insisted that Europe would never give up on the euro.

Speaking at the World Economic Forum in Davos, Switzerland, he said: "We will never abandon the euro. Never! Euro spells Europe, the euro is Europe. Europe has meant 60 years of peace on our continent. We will never abandon that.

"To imagine that we might pull out of that is to ignore the fact that as people who have been at each others' throats for centuries, we now have one wish, and that is lasting peace."

However, by the end of last year, both France and Germany -- the two driving forces behind the euro -- had admitted that in order to ensure the currency's survival, Greece may have to withdraw.

Can European unity survive the current crisis?

"The EU was formed for three reasons: To prevent war, to bring political unity, and for economic integration. If the euro collapses -- and I suspect it won't -- all three of these dimensions would be at risk," said Loughlin.

"At this stage I think the process is probably irreversible -- there is too much at stake to allow the whole thing to unravel -- if it did it would be worse than the U.S. subprime crisis. So many countries are locked in to the system; even those who aren't EU members, like Norway, have so much bound up in it.

"I suspect the EU will muddle through in the end -- but then who knows? There have been so many surprises recently, and you never really know what is around the corner."

@highlight

The European Union was designed to reduce risk of war in Europe

@highlight

Eurozone crisis is posing a serious threat to European unity

@highlight

There are concerns Greece's financial crisis may force it to abandon euro