(CNN) -- As you get older, it's important to make small changes to your diet to protect your long-term health. Here are seven nutrients to zero in on after turning 50.

Vitamin D

Why you need it: Scientific journals have been bursting at the seams in recent years with new research about the importance of vitamin D, and according the data, the vast majority of women aren't getting enough.

One recent study found that adults with the lowest blood vitamin D levels were about twice as likely to die from any cause compared to those with the highest levels. Other studies have linked adequate intakes to lower rates of obesity, type 2 diabetes, heart disease, high blood pressure, osteoporosis, depression, certain cancers, and brain disorders such as Alzheimer's disease.

This key nutrient is also tied to enhanced immunity, muscle functioning, and injury prevention (pretty impressive, huh?). Vitamin D's nickname is the "sunshine vitamin" because exposure to the sun's ultraviolet rays triggers its production in the body, but you can't rely on the sun as your sole source. Your location, cloud cover, smog, time of day and year, and sunscreen use all affect your UV exposure and vitamin D production.

How to get it: Some of the best natural food sources include wild salmon, whole eggs (the D is in the yolk), and mushrooms, and it's in fortified foods like dairy, but it can be difficult to eat enough of these foods to meet your needs, so a supplement may be your best bet.

Health.com: 12 ways to get your daily Vitamin D

How much is safe: To identify the right amount to take, get your blood level tested. Based on the results, your doctor can recommend the proper daily dose.

Calcium

Why you need it: Bone density declines more rapidly after 50, and one in three women over this age will experience a bone fracture. Research shows that in the first years after menopause, women may lose 3 to 5% of their bone mass annually, and increases in calcium intakes generally don't offset the losses.

Calcium is also required for muscle contractions, so this mineral allows you to get the most from every workout. It's also needed for nerve function, and helps maintain your body's acid/base balance, so there are plenty of reasons to strive to hit the suggested mark.

How to get it: While dairy may be your first thought, there are also several plant-based sources, including dark leafy greens, beans and lentils, nuts, and dried figs.

How much is safe: If you choose to use a supplement, just be sure not to go overboard. The recommended daily calcium intake for women over 50 is 1,200 mg per day, but the maximum advised limit, from both food and supplements combined, from age 51 on is 2,000 mg per day.

I've seen plenty of women exceed that amount (sometimes unknowingly, sometimes because they mistakenly believe more is better), and getting too much can be risky, with potential side effects including kidney problems, kidney stones, and calcium deposits in soft tissues.

High calcium intakes can also lead to constipation, and interfere with the absorption of iron and zinc, and recently, excess calcium has been linked to a higher risk of heart disease. Talk to your doctor or dietitian to be sure you're striking the right balance.

Health.com: 14 surprising facts about healthy bones

Probiotics

Why you need them: Probiotics have been shown to boost immunity, improve digestive and skin health, lower "bad" LDL cholesterol, fight gum disease, and enhance weight control, so there's plenty to benefit from for women over 50.

How to get them: While foods like yogurt, kefir, kimchi, and sauerkraut contain probiotics, it may be difficult to consume enough of these "friendly bacteria" on a daily basis through food alone.

How much is safe: If you opt for a supplement, ask your doc or dietitian for a recommended brand and amount. There's currently no standard dose for probiotics, like those that have been established for vitamins and minerals; and while probiotics are generally considered to be safe, your personal medical history should be taken into account before you pop a pill.

Omega-3 fatty acids

Why you need them: The omega-3s DHA (docosahexaenoic acid) and EPA (eicosapentaenoic acid) are essential fatty acids that have been tied to vision and brain protection, healthy hair and skin, improved circulation, reduced muscle soreness, a lower risk of heart disease and depression, and a reduction in inflammation, which is a known trigger of aging and disease. This remarkable list of benefits makes getting sufficient amounts of these good fats particularly important in your 50s.

How to get them: Fatty fish like salmon and sardines are rich sources, but a dislike of seafood or concerns about mercury may interfere with getting enough.

And while plant-based foods like flaxseeds and walnuts contain a type of omega-3 called alpha-linolenic acid or ALA, your body only converts a small percentage of this form into EPA and DHA -- the two types that the vast majority of the research has focused on.

How much is safe: If you choose to take a supplement that provides DHA and EPA (vegan options are available), it's important to note that there's currently no standard daily dose for healthy adults. Many experts recommend 1,000 mg of DHA/EPA combined, the amount advised for those with heart disease, and like some of the other nutrients I've mentioned, it's important not to go overboard.

Emerging research shows that too much omega-3 may weaken immunity, and excess intakes have been linked to bleeding, especially when combined with medications or supplements that like omega-3s, also have a blood thinning effect. Once again, to pinpoint the amount that's right for you, rely on advice from your personal health care providers.

Health.com: Good fats, bad fats: How to choose

Magnesium

Why you need it: Getting enough of this key "maintenance mineral" which is involved in more than 300 bodily reactions can keep your energy soaring and allow you to look and feel like you've turned back the clock.

Magnesium helps maintain normal muscle and nerve function, keeps heart rhythm steady, supports a healthy immune system, preserves strong bones, and slashes stroke and heart disease risk. It also helps regulate blood sugar levels and promotes normal blood pressure, but many women fall short of the recommended intake.

How to get it: Good food sources include spinach, almonds, cashews, black beans, quinoa, and pumpkin, sesame, and sunflower seeds.

How much is safe: If you opt for a supplement, look for one with no more than 100% of the daily value (400 mg), unless your doctor or dietician has advised differently. Too much magnesium can trigger nausea, diarrhea, appetite loss, muscle weakness, breathing problems, irregular heartbeat, and dangerously low blood pressure.

Fiber

Why you need it: Fiber-rich meals result in a steadier rise in blood sugar and a lower insulin response, as well as a slower rate of digestion and absorption, which keeps you fuller longer and delays the return of hunger.

It also keeps you "regular" by helping your digestive system stay in tip top shape, and getting enough fiber is also a smart weight control strategy. Research has shown that for every gram of fiber we eat, we eliminate about seven calories. That means if you eat 35 grams a day, you'll essentially "cancel out" 245 calories -- a savings that could effectively stave off age-related weight gain.

How to get it: To bolster your intake, rely on foods that are naturally fiber-rich, like fruits and vegetables (especially those with an edible skin and/or seeds or tough stalk) beans and lentils, and small portions of nuts and whole grains, including oats, whole grain rice, quinoa, and barley.

Health.com: 20 best foods for fiber

Water

Why you need it: Water, your body's most important nutrient, is required for every bodily process, and you lose water from your body each minute of the day. Replacing those losses adequately can help you reap the benefits of water, including optimized mood and metabolism, as well as better digestive health (especially if you're stepping up your fiber game), and glowing skin.

Good old H2O is also linked to weight control. A recent study found that when middle-aged and older adults drank two cups of water prior to eating a meal, they ate between 75 and 90 fewer calories.

Another 12-week study found that adults who gulped extra water lost about 30% more weight following the same diet compared to those who drank less. And a small German study found that drinking two liters of water a day could result in burning up to 95 extra calories, an effect that could help fend off age-related weight gain.

How to get (more of) it: According to the Institute of Medicine (IOM), women ages 19 and over need 2.7 liters of total fluid per day (more than 11 cups). About 20% of your fluid needs are met by food, but that still leaves nearly nine cups based on the IOM's guidelines. While other beverages may count as fluid, water is the best way to meet your daily needs, so strive for at least 16 ounces four times a day.

This article originally appeared on Health.com.

Copyright Health Magazine 2011

@highlight

Vitamin D is linked to enhanced immunity, muscle functioning and injury prevention

@highlight

Bone density declines rapidly after 50 so make sure you're getting enough calcium

@highlight

Probiotics have been shown to boost immunity, improve digestive and skin health