(CNN) -- Lawmakers drew battle lines for a fresh round of sparring over U.S. Army Sgt. Bowe Bergdahl after a classified briefing Monday on the prisoner swap that led to his release. Authorities released an update about his condition. And more details emerged about his time in captivity.

Details about why he disappeared off a military base nearly five years ago and ended up in Taliban hands remain murky. One thing is clear: the political debate over Bergdahl's release is showing no signs of dying down.

Here's a cheat sheet on the latest developments, based on CNN's reporting:

After classified briefing, lawmakers have 'more concerns'

Monday it was the House of Representatives' turn to hear the Obama administration's explanation of how it handled Bergdahl's case, as top White House deputies tried to convince lawmakers they made the right call when they didn't notify Congress in advance about the controversial exchange of Bergdahl for five Taliban figures.

But it didn't seem like many minds were changed after the classified briefing, CNN's Dana Bash reported.

"If anything, I have more concerns," said Rep. Peter King, R-New York. "Probably the most distressing thing or the most disturbing thing I heard was at least 80 to 90 people in the administration were aware of this proposed deal, and yet they couldn't notify anyone in Congress."

After Monday's briefing, National Security Council spokeswoman Caitlin Hayden said that figure was the number of people in the administration authorized to get intelligence information about the Taliban in Qatar.

"The specifics of the detainee exchange and the related military operation were more closely held," she said.

Why wasn't Congress told about the deal beforehand? Lawmakers at Monday's briefing said they were told concerns over possible leaks made the White House keep them in the dark over the deal.

Rep. Adam Schiff, D-California, told CNN's "Erin Burnett: Outfront" that the White House should have told congressional leaders, even if the law gave them wiggle room.

"I think the President had the constitutional authority ... to make this decision without consulting with Congress, but I think it would have been wiser, far wiser, for the administration to have notified certainly the leadership of Congress in the interest of having good relations," he said.

"Most of the leaks that have taken place have come from the administration and not from Congress," he added, "so they really should have brought at least the leadership within their confidence, and I think that was a mistake."

And that's not all. Some lawmakers are also steamed about the terms of the deal. They say they're worried that the five Taliban figures released could end up back on the battlefield -- a concern administration officials have downplayed in their public comments defending the deal.

Don't expect the sparring to stop any time soon. A briefing of the Senate Armed Services Committee is scheduled for Tuesday.

And the real fireworks are expected to come Wednesday, when Defense Secretary Chuck Hagel is scheduled to testify before the House Armed Services Committee, where he'll likely face questions about the administration's decision not to seek congressional input on the deal that secured Bergdahl's release.

Bergdahl hasn't spoken to his parents yet

Bergdahl is "continuing to improve every day" as he recovers at a military hospital in Germany, Pentagon spokesman Col. Steve Warren said Monday

But he hasn't spoken with his family yet.

The "decision to speak with the family is a decision the returnee has to make when he or she is emotionally in the right place to make the phone call," Warren said.

Doctors at Landstuhl Regional Medical Center, where Bergdahl was taken after his handover, have said he's in stable condition but not ready yet to travel to the United States.

"There is no predetermined timeline for Sgt. Bergdahl's recovery process," a hospital statement said Friday. "The duration will continue to be based on the pace of his healing and reintegration process."

When he is ready, Bergdahl will be flown to the San Antonio Military Medical Center in Texas, where he may be able to reunite with his parents.

He was kept in a cage

As Bergdahl recovers, details are slowly emerging about the conditions he endured during five years of captivity.

Citing an American official, The New York Times reported Sunday that Bergdahl told medical staff that the box he was kept in for weeks at a time was pitch black and like a shark cage.

CNN reported Friday that Bergdahl has said he was kept in a small box after trying to escape, according to a senior U.S. official, who spoke on the condition of not being identified. The official also told CNN that Bergdahl suffers from psychological trauma caused by physical abuse.

A Taliban source with knowledge of Bergdahl's captivity told CNN's Nic Robertson on Sunday that Bergdahl escaped at one point and was on the run for three days. When he was recaptured after that attempt, according to the Taliban source, he was not punished with a cage or cell, but was taken to a more secure location where he had no chance to escape.

A U.S. official told CNN last week that Bergdahl may have tried to escape his Taliban captors on at least two occasions.

He wants to be recognized by his old rank

The Times report added that Bergdahl has taken walks outside his hospital room while wearing his Army uniform, according to the American official. Bergdahl, who was promoted twice on schedule while in captivity, objects to being called sergeant, the Times reported.

Bergdahl said he wants to be recognized by his old rank, a senior U.S. official told CNN Pentagon Correspondent Barbara Starr on Sunday.

Bergdahl was a private first class when he went missing on June 30, 2009, in Afghanistan's Paktika province, where he was deployed with the 1st Battalion, 501st Infantry Regiment, 4th Brigade Combat Team, 25th Infantry Division.

"In his mind, he's a Pfc," the official told Starr.

His parents have received threats

The FBI is investigating threats against Bergdahl's parents, who have not been seen publicly since sending their son messages of love through a news conference days after his release.

"We are working jointly with our state and local partners and taking each threat seriously," FBI Special Agent William Facer told CNN in an e-mail Saturday.

Facer declined to detail the nature and severity of the threats, and a military representative for the Bergdahls declined to comment.

Bergdahl's father received threats in three messages via e-mail at his home, according to a law enforcement official familiar with the contents of the e-mail. The first threat came on Wednesday, the official said, adding that FBI investigators will be tracing the messages to pinpoint who sent them.

Since Bergdahl's release, critics, including a former member of his unit, have contended that Bergdahl deserted. The Army concluded in a 2009 report that he left his post deliberately. But the Army has no definitive finding that Bergdahl deserted because that would require knowing his intent -- something Army officials can't learn without talking to the soldier, a U.S. military official told CNN.

CNN's Elise Labott, Barbara Starr, Kevin Liptak, Jake Tapper, Qadir Sediqi, Ed Lavandera, Devon Sayers, Shimon Prokupecz, Deirdre Walsh, Ashleigh Banfield and Chloe Sommers contributed to this report.

@highlight

NEW: Lawmakers say they're still skeptical after a briefing on Sgt. Bowe Bergdahl's case

@highlight

NEW: King: "At least 80 to 90 people in the administration were aware of this proposed deal"

@highlight

NEW: White House official: Specifics of the prisoner swap "were more closely held'

@highlight

Bergdahl was kept in a pitch black cage for weeks at a time