Jos, Nigeria (CNN) -- An Islamic militant group in northern Nigeria has claimed responsibility for attacks that killed at least 25 people in a rash of violence against the country's minority Christians, officials said, after it issued an earlier ultimatum that gave Christians three days to leave the area.

Gunmen opened fire on residents Friday, killing at least 15 people who were mourning the deaths of two slain businessmen, said Rev. Paul Alhamdu, chairman of the Christian Association of Nigeria.

At least eight people were also killed on Thursday in a church shooting in northeastern Nigeria, a pastor at the church said, as sectarian violence spirals and the country is shaken by angry protests over fuel subsidies.

Gunmen attacked the Deeper Life church in Gombe, the capital of Gombe state, Thursday evening as worshipers held a prayer meeting, according to the Venerable Joseph Ninyo, a pastor with the Anglican Diocese of Gombe.

He said at least 20 people were being treated at a hospital, one of whom is in intensive care.

"Many tried to run but were gunned down," eyewitness Konson Danladi said. "I was just outside the church when the men came and started shooting, and I ran."

Police said the militant group Boko Haram claimed responsibility for both attacks, but CNN could not immediately confirm the claims.

The church targeted in Gombe is attended predominantly by Ibo Christians from southern Nigeria.

Boko Haram has been blamed for months of widespread bloodshed in Nigeria, with churches and police stations among the targets.

The group also claimed responsibility for a series of attacks on churches on Christmas Day.

The rising tide of violence led Nigerian President Goodluck Jonathan to declare a partial state of emergency in four northern states, in a bid to contain Boko Haram, whose name means "Western education is a sin."

The latest sectarian attack comes as Nigeria also faces a nationwide wave of popular protests over the removal of a gas subsidy that had kept prices artificially low.

What is behind Nigeria fuel protests?

Union leaders have called for a national strike beginning Monday if the government does not reverse the decision, which resulted in the cost of a liter of gasoline more than doubling virtually overnight.

Furious Nigerians have already taken to the streets this week, staging "Occupy Nigeria" protests and mass demonstrations across the country, and there have been calls from some quarters for the president to be impeached.

Are you there? Send your images or video

Nigeria, an oil-rich nation of about 167 million people, is regularly voted among the most corrupt countries in the world, and citizens complain that the money saved by ending the fuel subsidy is highly likely to be siphoned off by a few and salted away into offshore accounts.

The government has said the money will be used to fund infrastructure projects, such as building refineries so Nigeria can produce its own gasoline rather than having to import it.

Tires burn, protesters flood Lagos

Elizabeth Donnelly, with the Africa Programme at London-based think tank Chatham House, told CNN the two issues together -- the sectarian violence and the fuel subsidy protests -- present the biggest challenge yet for Jonathan, who was elected president last year after taking the reins in 2010 when the former president died.

Although the government struck a blow against Boko Haram in 2009 with the capture of its leader, Mohammed Yusuf, it has since become more of a "franchise," or umbrella organization, for the actions of individual groups, making it harder to manage the problem, Donnelly said.

Protesters make demands known

"We can trace these sorts of attacks to issues of underdevelopment, poverty, lack of resources and so on. The fact that it's framed in religious language is worrying," she said, particularly given the sectarian violence that has broken out in Nigeria in recent years.

The country's leadership needs to rise above politics and use the kind of language that will bridge the growing gap between different parts of Nigerian society, she said, rather than just treating the problem as a security issue.

But the challenge of restoring calm will be compounded by a widely felt skepticism toward government, from a population too used to corruption and political maneuvering.

That skepticism has grown since Jonathan came to power, Donnelly said, in part because of his lack of governing experience. The fact that he is southern also plays into tensions between the mainly Muslim north and predominantly Christian and animist south.

"It's a very challenging time for Nigeria, and for Goodluck Jonathan, it's a very interesting moment. It could be when he and his team really prove themselves -- or where everybody's suspicions about his lack of ability could be proved right," she said.

Resolving the tough times shouldn't be solely up to Jonathan's government, though, Donnelly added. State and local administrations, as well as religious leaders, must also play a part in resolving tensions.

Meanwhile, the fuel subsidy protests could prove a trigger for wider violence, she warned, as the large crowds may become targets for people who want to launch attacks. Clashes could also break out between protesters and police.

And while not directly linked, the two issues have common threads that must be tackled if calm is to be restored, she said.

"The reason the protests are happening is that so many Nigerians live such difficult lives. They don't have a lot of money, they do worry about putting food on the table, and the smallest change in fuel prices makes an enormous difference to them," she said.

"Boko Haram has grown in a region where there's very little in the way of development and public services, and not much in the way of industry or opportunity.

"Nigeria is really grappling with these issues at the moment, both political and economic. It is a developing democracy, and these issues are part of it creating this new identity."

Emira Woods, co-director of Foreign Policy In Focus at the Institute for Policy Studies, agrees that economic discontent is at the heart of the unrest, in a country where many live on less than $2 a day and are less well-off than their grandparents.

"It's people who are fed up, the have-nots seeing the haves continue to do well at their expense," she told CNN from Washington.

"The core issue is not Boko Haram, and Christians versus Muslims, it's economic inequality -- and unless and until the government is able to address that, they will continue to have these tensions increase."

Journalist Hassan John in Jos, and CNN's Laura Smith-Spark and Stephanie Busari in London contributed to this report.

@highlight

Sectarian violence and fuel policy protests are tests for the president, an analyst says

@highlight

Gunmen attacked the Deeper Life church in Gombe as worshipers met for a service

@highlight

An eyewitness describes how people were gunned down as they tried to flee

@highlight

An Islamist militant group, Boko Haram, has been blamed for other attacks on churches