(Oprah.com) -- In 1999, I moved with my wife and 8-month-old daughter from New York to Berlin. I'd been given an apartment to live in and a small stipend to survive on, compliments of the Berliner Künstlerprogramm, which has been bringing foreign artists to the city since 1961.

Among the things I'd packed in my large suitcase was the unfinished manuscript of "Middlesex." The fellowship had come at a fortunate time. Our landlord, a mean old man who owned the brownstone we lived in (hi there, Doug, still living alone?) was kicking us out for the offense of having a kid. We had nowhere else to go and little money in the bank.

My book, which I'd been working on for a number of years already, was far from finished, and the more I tried to put on an appearance of painstaking, Flaubertian calm, the more my inner self began to betray me. The shakes I had at my desk could not be entirely blamed on the massive amounts of caffeine I was imbibing.

Moving to Berlin solved all these problems. We had a nice two-bedroom apartment in the sleepy neighborhood of Wilmersdorf. My wife and I slept in one bedroom, I worked in the other, and we converted the surprisingly spacious broom closet into a nursery for our daughter. Vladimir Nabokov, it turned out, had lived in Wilmersdorf during the 1920s. A building one block from us had a historical marker indicating that Albert Einstein had rented an apartment there, too. Good neighbors.

Oprah.com: 7 gifts from the universe that everybody gets

When you're writing a book, not going outside much during the day, time tends to blur. Though I liked Berlin and enjoyed the anonymity of living in a foreign city where nobody cared if I ever finished my book or not, my reprieve from literary anxiety was only temporary.

At some point during our first or second year in Berlin, the physical symptoms I'd been suffering back in Brooklyn—a constriction in my chest, as though a corset were being tightened over my ribcage—returned. I grew irritable. More than usual, I mean. Sometimes when we were out bike riding, or pushing our daughter's stroller through the aisles of KaDeWe, the big department store in West Berlin, hoping she'd fall asleep so we could eat, I became paranoid that we'd left the gas stove on at home.

Fearing that my computer and manuscript would go up in the blaze, I made us race home, unjustifiably furious with my wife the entire way, only to find the burner off and the apartment intact. Shut up in my office all day, coming out to stand on the balcony and stare moodily down at the wet leaves on the pavement, at night either self-absorbed and silent or trying to loosen myself up with multiple glasses of German beer—that's what I was like at the time. That's what I was like to live with.

And then, one night, I had a dream.

I know dreams are boring, but bear with me. This one was special. Plus, it's short. All that happened in the dream was that an owl, descended out of nowhere, seized me in its talons and blew into my mouth a single breath tasting of blood. That's it. The dream lasted no more than four or five seconds. But it was one of those dreams that seems somehow more real than a typical dream, as if it were playing out at a level just below my conscious mind, or as if it originated not from my mind at all but from a source outside of me.

The owl, by the way, was gigantic. And not particularly realistic. In fact, the bird was stylized in the manner of a Klimt, with lozenges of color running up and down its wings and over its breast, and a large helmeted ceremonial head. Its eyes were fierce, omnipotent, bright yellow. It fixed these eyes on mine. When the owl lowered its beak to my lips, I opened my mouth. And then the owl exhaled one long forceful breath. With a whooshing sound, my lungs inflated. This inspiration had a taste: the mineral, meaty flavor of a predatory diet.

I awoke from this dream feeling that a message had been delivered to me. The great Owl in the Sky had taken a personal interest in me and my book. The owl had come to give me the power to write it.

Oprah.com: Page-turners you'll tear through

Did I believe this? In my half-awake state, I did. The dream put me in such a good mood that I didn't want to debunk it, even as I came to full alertness. At breakfast, I described it to my wife in detail. Later that same morning, when my German publisher arrived to take us to a local flea market, I described the dream to him. As we walked to the flea market, the sun was shining. I was nattering on my about my dream, saying that it was "prophetic." My publisher responded, "Well, I hope you are right about this dream because it would be very good, Eugenides, if you finished your book soon."

By this time we were entering the flea market. I looked up at the first table we came to and stopped in my tracks.

Arrayed on the table were a few hundred owl figurines. There were wooden owls, metal owls, owls carved from stone and jade, owls made of colored glass, owl bookends, owl ashtrays and owl lamp stands. The German guy who ran the stand must have thought it was his lucky day. Here was this American, who didn't even know the German world for owl, suddenly buying up much of his stock. I got about 15 different owls that morning.

Ever since that day, with increasing discrimination, I've hunted for owl-themed merchandise at any secondhand store I happen into. For Christmases and birthdays, my wife and daughter invariably give me something owl-related. I have owl cuff links, an owl tiepin and a wonderfully informative book by Desmond Morris titled, simply, Owl. From the shelves of the room I'm writing this in, these owls stare down at me. I keep them around to remind myself of the dream.

Of course, there's a perfectly rational explanation for all of this. I was in the middle of writing a long and difficult book when I had my dream. My unconscious, processing the anxiety of my waking life, sent me the owl as a kind of psychic Zoloft. The owl is sacred to Athena, goddess of wisdom. Traditionally, the owl represents vigilance, knowledge and sagacity. Morris tells us that, for the ancient Greeks, the appearance of an owl was a good omen.

Oprah.com: Why the best way to get creative is to make some rules

Likewise, my happening upon all those flea-market owls isn't that remarkable. As I've since learned from my collecting habit, there are always owl figurines for sale at flea markets. I'd just never noticed them before. That's how coincidence works: The signs from God people are always claiming to find are really a function of their own brain's selecting, from the myriad objects in the world, those that cohere to the story they're telling themselves.

All right. But explain this to me. We now jump forward 10 years. I'm living in Princeton, New Jersey, writing the last chapters of my recent novel "The Marriage Plot." It's winter, and my editor has given me until the end of the year to hand the book in. Working day and night, I soon reach a state of anxiety at least as great as the one I suffered in Berlin.

In this predicament, lying in bed late one night, sleepless with worry, I hear what sounds like an owl outside my bedroom window. An owl, hooting. Of course I think I'm imagining it. It's probably some other kind of bird, or not a bird at all. But the next night, it returns. Then a week later. Next, a few days after that. Finally, I go on YouTube, type "hooting owls" and am rewarded with a video of an owl that sounds exactly like the one I'm listening to in the darkness. A great horned owl. Indigenous to New Jersey.

It's real. And it's right outside my bedroom window.

Oprah.com: The best new books of October 2012

For two straight months, as I finished "The Marriage Plot," the owl visited me. As soon as I handed in the book, the owl vanished, so far for good. Did I believe Athena sent it? No. Still, it wasn't a dream owl this time but a living one, and lying in bed at night, listening to its cry in the frigid air, I couldn't help feeling encouraged, feeling that the owl was on my side.

In the end, whether my owls came from my unconscious, at the prompting of the universe, or due to a migratory pattern doesn't matter. What matters is that the experience—both of my dream owl and the living one outside my window—arrived at the point I needed it, and helped me persevere.

In the midst of my skeptical, cynical, often pessimistic nature exists a slender capacity to believe, if only temporarily, in a guiding, unseen power, and whenever this happens, I go with it. That's what inspiration is. You don't get it from the gods. You make it. The owl at my window was just a bird, after all, trying to get through the winter. The owl in my dream was my own creation. It was me, breathing into myself, in order to breathe out again in a flow of words.

Oprah.com: 12 pieces of advice from the world's best writers

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

One writer's experience with dreams and totem animals cures his anxiety

@highlight

Jefferey Eugenides just happened to be buoyed by owl imagery during writer's block

@highlight

Ultimately, whether or not the owls were divine messengers, Eugenides found them inspiring