(CNN) -- For the Scottsboro Boys, justice delayed may be justice denied, but for some observers, it's still sweet.

A three-person panel of the Alabama Board of Pardons and Paroles voted unanimously to issue posthumous pardons Thursday to the three Scottsboro Boys who had neither already received a pardon nor had their convictions dropped, a state official said.

Thursday's pardons "remedied a wrongdoing of social and racial injustice," said Eddie Cook, assistant director for the board, in an interview with CNN.

The pardons were issued to Charles Weems, John Andy Wright and Haywood Patterson, the last of the nine who had been accused in the 1931 rape case, said Cook.

"It has taken 82 years to clear the names of the Scottsboro Boys," said Sheila Washington, founder and director of the Scottsboro Boys Museum and Cultural Center. "And today it happened."

In the case, nine African-American males -- ages 12 to 19 -- were accused of raping two white females on a train in Alabama, said Washington.

It was during the Great Depression, and they had hopped aboard boxcars en route to Memphis to seek work, she said.

Also on the train was a group of white males who got into a fight with the blacks and were thrown off, she said.

The whites went to the police, who stopped the train in the town of Paint Rock, outside Scottsboro. Among those who were aboard the train were the two white females -- one of them 17, the other 21, she said.

The older of the two had already had a brush with the law and, under the terms of her release, was not supposed to cross state lines, Washington said.

"She knew if she got caught, she'd have to go to prison," she said.

So, when the sheriff asked them about why they were on the train, the woman asked him if he was going to arrest her "after what they did to us," Washington said.

"He said, 'What did they do?' She said, 'They raped us.'"

But James Goodman, a professor of history and creative writing at Rutgers University in New Jersey, said it was not clear how the women came to make their accusations to the posse.

When the posse stopped the train and found nine black men, they also found the two white women dressed in men's overalls, said Goodman, author of "Stories of Scottsboro" (1994).

"Thousands and thousands of people are hoboing around in search of a bread line, in search of work," he said. "Most of them, but hardly all of them, men. Women dressed in work clothes so they wouldn't be conspicuous."

"My guess is they saw the nine black men, saw the two white women and they said, 'Did they bother you?'"

The women may have faced trouble for crossing state lines or for hoboing, but that is not certain, he said. "All we know is that somehow, at Paint Rock, a charge of rape emerges and the case begins there."

The suspects underwent a series of trials in Scottsboro and Decatur and were found guilty each time.

All-white juries sentenced all but the youngest to death.

"A judge declared a mistrial in the last case, which saved their lives," said Washington.

Including the appeals, there were four trials and seven retrials, Goodman said. When all was said and done, each of the nine spent as few as six years and as many as 19 years in jail.

The last of the Scottsboro Boys was released in 1950, though one of them ended up back in jail again, said Goodman.

Alabama dropped rape charges against five of the defendants, and the sixth, Clarence Norris, received a pardon from Gov. George Wallace in 1976, she said.

The trials resulted in two landmark U.S. Supreme Court decisions -- one requiring that defendants be tried by juries of their peers, meaning blacks in their cases; the other requiring that indigent defendants receive competent counsel.

The three men's relatives had been invited to attend Thursday's hearing, but none did so, Cook said.

Attendees at Thursday's event included Arthur Orr, a Republican state senator who sponsored Act 2013-081, which passed this year giving the board the authority to grant posthumous pardons for convictions that occurred at least 75 years prior.

Also in attendance was a representative of Gov. Robert Bentley and several university professors, all of whom supported the bill.

The case helped reignite the civil rights movement after years of slumber, said Goodman.

"African-Americans had never stopped agitating for their rights after reconstruction, but this is the beginning -- once again -- of an interracial movement for equality that had been stalled between the end of Reconstruction and the beginning of the Depression."

He added, "Suddenly, white people who just hadn't been paying attention begin to say, 'Holy mackerel, they're going to put nine African-American teenagers in the electric chair?"

Much has changed since those days, Goodman said, citing the nation's first black president.

But the criminal justice system is still not colorblind, he added. "Sadly, our prisons are still full of youngish black people who have been falsely accused of crime. Your chance, even to this day, of being incarcerated for something that you didn't do are still much greater if your skin is black or dark."

Ryan Ferguson freed from prison after murder conviction overturned

@highlight

NEW: Professor says some details of accusations not known

@highlight

Three Scottsboro Boys had yet to receive pardons or had their charges overturned

@highlight

Charles Weems, John Andy Wright and Haywood Patterson got posthumous pardons

@highlight

Board of Pardons official: "wrongdoing of social and racial injustice" is remedied