(CNN) -- Beyond the golden beaches and beneath the blue waters of the Puerto Rican island of Vieques is a site that resembles more of a munitions graveyard than a Caribbean paradise.

James Porter measures a 2,000-pound Navy bomb in the waters off the Caribbean island of Vieques.

Hundreds of corroding and unexploded bombs litter the sea floor, leaking toxins and taking a toll on nearby marine life. The munitions were left by the U.S. Navy, which had a training site on Vieques for six decades.

"We know that these munitions are leaking cancer-causing materials and endangering sea life," said marine ecologist James Porter, associate dean of the Odum School of Ecology at the University of Georgia, who recently completed a research trip to Vieques.

Responding to a request by the governor's office of Puerto Rico, Porter tested the island's waters for the presence of radioactive material surrounding the sunken USS Killen, a World War II-era destroyer used as target practice for Navy missiles.

Instead, Porter stumbled upon another finding: cancer.

He discovered that feather duster worms, sea urchins and various types of coral found near bombs and bomb fragments contained high levels of carcinogenic material -- in some cases 100,000 times more than what is considered safe for commercially edible seafood.

"We have not yet traced these contaminants from the reef to the dinner table, but we definitely know these contaminants are in the marine ecosystem," he said.

Porter was scheduled to present his findings Thursday at the Second International Dialogue on Underwater Munitions in Honolulu, Hawaii. The conference brings together scientists, military officials and underwater technology companies to discuss how to identify and clean up hazardous undersea munitions dumps from the Caribbean to the Baltic Sea.

"Any country that has a coastline and has ever had war is going to be a place where you can find this problem," said Porter, who warns that removing underwater munitions takes careful planning. "If you pick up a bomb, you pick up a problem."

Vieques, which lies just east of Puerto Rico's mainland, has had a long history of U.S. military involvement. The Navy used the island as its main Atlantic training site for 60 years before pulling out in 2003.

In 2005, the Environmental Protection Agency designated portions of Vieques Island a Superfund site, classified under a federal program to clean up the nation's hazardous waste.

The U.S. Navy has allocated an estimated $350 million in recent years to clean up areas of Vieques where unexploded bombs could come into contact with residents or tourists, said Christopher Penny, head of the U.S Navy's Vieques Restoration Project. But these efforts so far have been limited to the land and shoreline.

Vieques is one of many ocean sites around the world affected by abandoned ordnances, said scientists and military officials.

"In the U.S. and countries around the world going back to World War II, it was common practice to ... take munitions to a site well offshore and dispose of [them]," said Addison Davis, Deputy Assistant Secretary of the Army for Environment, Safety and Occupational Health.

That changed in 1982, when the United Nations passed the Law of the Sea Treaty, which made it illegal for countries to dump excess weapons in open waters.

But cleaning up after history has its own unique challenges.

One of the many political and environmental obstacles to addressing this issue is the lack of a munitions "map." There is no national or international registry that can pinpoint where these dump sites are, Porter said.

Many of the bombs also have been corroded by saltwater over decades, making it more difficult for restoration crews to identify and safely remove them. Toxic elements such as TNT, mustard gas and the chemical weapon Lewisite also can be hard to detect in large bodies of water.

"It is a combination of looking at the safety, health and environmental risks and establishing levels for the cleanup," said the Army's Davis.

One highlight of this week's conference in Honolulu is the Army's plan to remove old explosive rounds dumped in the shallow waters of Pokai Bay off Oahu's Wai'anae Coast, an area known as Ordnance Reef.  The Army has allocated about $4 million to clean up the area, which is estimated to hold more than 2,000 explosives.

"What we're going to attempt to do is look at those munitions in the water that have the greatest potential for harm for people and the environment and to go after those first," said Davis.

Conventional and chemical weapons have historically been detonated or left to corrode, which presents a challenge when cleaning up ordnances from the sea floor.

But a retired Navy bomb-disposal technician has invented a remotely operated vehicle he says can find, collect and dispose of these munitions in a safe way.

James Barton calls his prototype an Ordinance Removal System. The machine picks up unexploded bombs off the sea floor and delivers them to a lift basket for surface disposal or deep-sea burial. It is operated remotely with toggle switches and relies on an underwater hydraulic system designed by Barton, president of Underwater Ordnance Recovery Inc.

"I built this technology to help this problem, because people want these munitions out of the water," Barton said.

Scientists and military officials hope Porter's findings and Barton's device will help bring attention to an environmental problem that for years has been out of sight, out of mind.

"The environmental cost, preparation and training for war has huge environmental impacts that normally are not considered," Porter said. "We normally think of this kind of defense as national security. But in the long term we live on one planet, and taking care of that is maybe our best self-preservation and self-defense."

@highlight

Scientists are concerned about corroding, unexploded bombs that litter the sea floor

@highlight

High carcinogen levels found in creatures near bombs in waters off Vieques Island

@highlight

A conference this week in Hawaii will address how to remove undersea munitions

@highlight

Inventor has developed a remotely operated vehicle to dispose of undersea bombs