(CNN) -- It is no accident that Hanukkah comes in the darkest time of year. The winter holidays are about light, about miracles, and about waking up to light when it is least visible to the naked eye. Food-wise, we jolt our senses alive through texture, taste and flavor with fried foods that couple warmth, crispness, and the smoothness of oil in order to reinvigorate and fine-tune us just as the sun begins to seemingly disappear altogether.

For some, Hanukkah is "the potato pancake holiday" -- a holiday that takes the mundane potato and gives it a massive makeover. It is shredded and tossed and recombined, squeezed and remolded into new form and then fried up lightly so that its texture shifts, its flavor alters. The latke (pancake) itself becomes the miracle of light, of oil, and of transformation.

Read more: Diwali, the Hindu festival of lights

Hanukkah has always been this "potato pancake holiday" in my house. No matter what I serve, my family likes simple crispy potato latkes best. Yet in this vastly changing landscape of food, I have tried all different kinds: zucchini, beet, sweet potato, celery root, and apple-horseradish. The favorite is still simple potato. Today we have tiny latkes served with goat's cheese, tomatoes, herbs, or topped with smoked salmon and dill at latke and vodka parties. Topped with salmon, they make great appetizers.

Potatoes have only been part of this holiday since the 18th century, when they came to Europe from the New World. The word latkes stuck, coming from "platke" in Ukrainian and potato pancakes spread throughout Europe. They came to the United States with immigrants from Eastern Europe at the end of the 19th century.

I have celebrated Hanukkah throughout my life, lighting candles each night for eight nights to recall the miracle of the oil. I then have at least one dinner of slowly cooked brisket complemented by crisp fragrant potato latkes cooked in oil and, of course, homemade applesauce.

More from CNN Celebrates: Your photos from Australia total solar eclipse

Yet of all the Hanukkahs of years past, the most memorable for me was spent in Israel with my children at the home of dear friends. As we walked past houses nearby, we saw the candles lit in the windows and everyone gathering with their own families. When we got to our friends, we lit the candles on several menorahs and had a festive meal. There were no latkes that night, only delicious Moroccan stuffed vegetables and sufganiyot, Israeli doughnuts stuffed with jam, much more popular than pancakes in the holy land. Unlike in America where there are too many presents, the highlight of this evening was being together with friends and family.

I also remember taking my children with me to the shuk (marketplace) in downtown Jerusalem to buy our own sufganiyot. We waded through crowds of people excitedly waving their money at the bakers in what felt like a giant pastry auction, all so we could sink our teeth into these massive orbs of fried dough, still warm, dripping with jam.

Share with us your defining moment of 2012

These doughnuts were no laughing matter in Israel, and in America, for the years that followed, we made our own renditions. We were revamping our traditions so that the food and the family, more than the material gifts, were the markers of our joyful memories.

For many years after, I went to my children's schools and helped teach the cafeteria staff about how to make jelly donuts from scratch. This was a process, again, of transforming the dough, that flat ball of flour, once something simple growing in the ground, and turning it into something both crispy and smooth, doughy, savory and sweet.

The doughnut and the latke, more than the tradition of presents and gifts, were the bright light of our winter holiday. Through the mixer and past the frying pan, the flour and the potato and everything else we added over the years transformed before our very eyes -- reminding us of an ancient tradition meant to recall the miracle of light.

Joan Nathan's latest cookbook is titled Quiches, Kugels, and Couscous: My Search for Jewish Cooking in France

@highlight

The word Chanukah or Hanukkah means re-dedication and is also known as the Jewish Festival of Lights

@highlight

It is celebrated for eight days and each day a candle on the Hanukiah -- an eight-stemmed candelabrum -- is lit

@highlight

Popular Chanukah food includes latkes (fried potato pancakes) and sufganiyots (doughnuts)