(Mental Floss) -- As you will be reminded countless times, when you cast your vote in Tuesday's presidential election, you're not taking part in a nationwide popular vote, but rather helping decide who your state's Electoral College delegates support.

Despite its name, the Electoral College never actually convenes as a unified group.

There are all sorts of arguments for and against using this system rather than picking a winner based solely on the national popular vote, but for the moment, it looks like the Electoral College will be sticking around for a while.

So what do you need to know about the least-fun college this side of the Catholic Church's College of Cardinals?

What are the Electoral College's admissions policies?

Different states choose their electors in different ways. Some states have nominations for electors during party conventions, while others choose their electors in primaries.

In Pennsylvania, the campaigns choose their own electors. The only real things that can disqualify you from being an elector are holding a federal office or having engaged in some sort of insurrection against the U.S. government.

Chosen electors are generally loyal party members who can be counted on to cast a ballot that's in line with their state's popular vote.

Where's the Electoral College's campus?

It doesn't have one. Although the name might make you think that all the electors meet in a centralized location to cast their ballots, the Electoral College never actually convenes as a unified group.

Instead, the chosen electors all meet at their respective state capitals on the first Monday after the second Wednesday in December to cast their votes. The votes are then counted in a joint session of Congress on January 6.

What if no one gets a majority of the Electoral College's votes?

If no candidate can grab a majority (currently 270) of the Electoral College's votes, the House of Representatives meets immediately to pick the new president.

In this situation, each state's Congressmen get together and pick a candidate among the top three vote getters in the Electoral College balloting.

Each state's delegation then casts one vote. This process keeps going on indefinitely until a single candidate receives a majority of the states' votes.

The House of Representatives has picked two presidents: Thomas Jefferson in 1800 and John Quincy Adams in 1824.

Mental Floss: Adams vs. Jefferson: Birth of negative campaigns

Since electors also ballots for Vice President, the same situation can arise with that office. In these cases, the Senate immediately goes into session to pick a Vice President, although each Senator has his own vote.

The Senate votes until a candidate receives a majority of the cast votes. This sort of contingent election has happened just once.

In 1836 Martin Van Buren's running mate, Richard M. Johnson needed 148 votes to win the Vice Presidency, but Virginia's electors refused to vote for him.

As a result, he ended up stuck with 147 votes, and the Senate had to hold a contingent election, where Johnson cruised by Whig candidate Francis P. Granger.

Can the electors change their mind?

They can, but they then become what are known as "faithless electors."

Technically, states make their electors pledge to vote in a certain way, and 24 states have laws that punish electors who decide to get cute and switch things up.

However, with a few exceptions like Michigan and Minnesota, votes cast by faithless electors still count in the final tally.

Yeah, but that never happens, does it?

Faithless electors have actually popped up fairly frequently in American electoral history.

One notable instance of faithless electors rearing their head occurred in 1972. Roger MacBride, the treasurer of the Republican Party of Virginia, was a pledged elector for Richard Nixon and Spiro Agnew.

Instead, he cast his ballot for the Libertarian ticket. While this vote put him firmly on the outs with the state GOP, he became something of a Libertarian folk hero. In fact, Libertarians were so enthused by his vote that he won the party's presidential nomination in the 1976 election.

Although most switcheroos don't benefit small-party candidates like this one did, they're not all that uncommon, and not a recent trend, either; Abraham Lincoln's winning total in the 1860 election included four electors who were pledged to Stephen Douglas.

Although Ronald Reagan won sound victories in 1980 and 1984, he also received a single electoral vote in 1976. Mike Padden, a faithless elector from Spokane, cast his vote for Reagan instead of Gerald Ford, as he'd pledged.

Mental Floss: Brief history of endorsements

It's winner-take-all for each state, right?

Yes, for most states, the winner of the popular vote gets all of the state's electors. However, Maine and Nebraska allocate their electors a little differently.

Because each seat in Congress is roughly analogous to one vote in the Electoral College, these states let each congressional district pick its own candidate.

The state's remaining two electoral votes, which correspond to the state's two Senators, go to whichever candidate wins the popular vote within the state.

Technically, this system could result in a state's electoral votes being split between two candidates.

In practice, though, all of the districts tend to vote the same way. Although Maine and Nebraska have been using this system since 1972 and 1992, respectively, neither state has ever split its presidential votes.

What happens if a president-elect dies?

The national election takes place Tuesday, but the Electoral College won't formally meet to cast their votes until December 15.

If a candidate dies or becomes otherwise unfit to take office in the interim, a thorny issue pops up.

Some states, like Virginia, legally bind their electors to vote for the candidate whose name was on the general election ballot. Other states, though, are more flexible and would allow their electors to vote for the ticket's vice-presidential candidate or other agreed-upon candidate.

Luckily, this scenario has never happened with an election winner.

In 1872, though, Democrat Horace Greeley died just over three weeks after Ulysses S. Grant thumped him in the election.

Because the Electoral College still had to meet to elect Grant, electors who would have voted for Greeley simply spread their 66 votes among other Democratic candidates.

As a result, Thomas Andrews Hendricks actually came in second in the election with 42 electoral votes despite not campaigning for the presidency; he was busy successfully running for Governor of Indiana.

Three electors actually voted for Greeley even though he was dead, which probably tells you all you need to know about the health of the Democratic Party during Reconstruction.

Mental Floss: SNL political quiz

If the President elect dies after the Electoral College's voting but before the inauguration, the Twentieth Amendment states that the Vice President elect becomes President.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

What happens if no presidential candidate gets enough electoral votes to win?

@highlight

What if president-elect dies after Electoral College votes, but before inauguration?

@highlight

Roger MacBride's electoral vote made him Libertarian Party folk hero

@highlight

Electoral vote "switcheroos" played role in Lincoln's presidential victory