(CNN) -- For foreign executives, doing business for the first time in India can be a bewildering experience. There's the new -- different business customs, bureaucracy and the dizzying scale of the population -- but also the familiar.

"You'll likely be dealing with people who speak the Queen's English, and who graduated from top Western universities," said Jitendra Singh, a management professor at the University of Pennsylvania's Wharton School.

"You can get lulled into a false sense of security -- "but for people dressing a little different and talking a little different, they are just like me,'" he said. "That's a completely false premise. There are all kinds of nuances in the culture, implicit cultural norms that we don't know about until we run afoul of them."

As the world's second most populous nation, with more than one billion people, India is projected to become one of its biggest economies. It is tipped by PricewaterhouseCoopers to nearly draw level with the United States by 2050.

"For companies with any kind of global interest, the writing is on the wall that they need to have a strategy for India," said Singh.

Read more: Doing business in China

But Singh said that for Western companies rushing to enter the Indian marketplace, it needs to be recognized that the country is a very different proposition -- both in terms of business practices and consumer preferences -- and must be treated accordingly.

"One of the common pitfalls in addressing the Indian marketplace is simply dusting off something you might offer in your home market," he said. "Indian consumers are very different -- enormously value conscious and very, very finicky."

Holding to too high a price point could be fatal for foreign businesses, as Indian consumers have less capacity to pay than Western consumers. But by making their products affordable to the mass market, businesses put them within reach of hundreds of millions of potential consumers.

The companies that fare best in the Indian market are those that customize their products to the particular preferences of Indian consumers, according to Singh. A case in point was the success of Korean auto manufacturers, he said.

"In the West, it's almost unheard of to have a driver, " said Singh. "But in India, labor markets being what they are, you can get a full time driver for a relatively modest wage, and even with a small car, you may want a chauffeur. This will clearly have ramifications for the design of the car -- the customer wants more space in the back."

Business practices are also different in India, and many foreign businesses underestimate the bureaucratic hurdles they will encounter, according to Pawan Budhwar, associate Dean of Research at Aston Business School and co-author of "Doing Business in India: Building Research-Based Practice." The secret, he said, was to factor in a realistic amount of time for delays.

"If the website of the ministry says it will take 13 weeks to get the required certificate, it's not realistic it will take 13 weeks," he said.

Budhwar said that often the reason for the bottlenecks was bureaucrats expecting a pay off. "That's why they're delaying things, although no one will say this out loud," he said. "If you have a local player, they can perhaps better handle local dynamics like this."

Budhwar said that within "modern sectors" such as IT, software and pharmaceuticals, and developed business enclaves such as those in Gurgaon, Pune and Hyderabad, levels of professionalism were often in line with international business expectations. "People will stick to meeting times, deadlines, promises; they will mean business," he said. But he added that dealing with the public sector and trade unions could be a different story.

Read more: Is your boss a psychopath?

Singh said another area where foreign executives could encounter turbulence was in failing to appreciate the relationship-based focus of Indian business.

"The U.S. is a much more transaction-oriented society, " he said. "When you're doing business, you're there to talk about a particular transaction, and you either do it or you don't. But Indian business is still very much relationship-based. Sometimes being too transaction-oriented can be not a smart way to go."

Singh's advice? "Do a lot of homework and figure out who might be the right people to deal with. There's a very tight network at the top of Indian business, and you need to get access to that network in order to succeed. Finding the right partners can be key, but you need to be diligent."

Budhwar said the key to succeeding in India was to be prepared by tapping into the networks and resources that can provide information on the subject, thereby going in with realistic expectations.

"Have persistence, and don't give up," he said. "The mileage to get into India is great. Don't expect it to be a smooth ride, expect it to be irritating. But once you're there, you'll enjoy it -- and you'll make a lot of money as well."

@highlight

India is projected to become one of the world's biggest economies in coming decades

@highlight

Experts say its business practices are very different from the West

@highlight

To succeed in India, products need to be specifically tailored to the local consumer

@highlight

Plenty of time needs to be factored in for bureaucratic delays