(CNN) -- President Barack Obama called Friday for Congress to fund proposals to expand public-private programs to build and repair modern ports, pipelines, schools and other infrastructure.

At a campaign-style event in Miami, Obama said strengthening the nation's infrastructure should be a non-partisan issue because it helps American business and creates jobs for the construction industry.

"We can't afford Washington politics to stand in the way of America's progress," Obama said, adding that "ultimately, Congress has to fund these projects."

Obama's proposals followed up on his call in this year's State of the Union address for such public-private partnerships to strengthen infrastructure development.

A White House aide told reporters traveling with Obama on Air Force One that the proposals outlined Friday would cost $21 billion, but added that they would not add to the federal deficit.

"Their impact on the economy will be substantially greater because they will be leveraged two to one, three to one, four to one, up to seven to one depending upon the particular program," said Alan Krueger, the chairman of Obama's Council of Economic Advisers.

He added that "they will not increase the deficit by a dime because they are paid for in our budget."

Obama's budget for next year is due in coming weeks.

Obama has unsuccessfully sought congressional approval throughout his presidency for a more aggressive national investment in road, rail, bridge and energy infrastructure construction to create jobs and spur economic growth.

While some states have embraced private-public partnerships, Congress has been less receptive, partly because Republicans want to offset any new spending with cuts elsewhere.

Lawmakers from both parties are also wary of losing more control over decisions on the scope and pace of infrastructure development, a key area of federal spending that they can direct to their states and districts.

Proponents of public-private partnerships argue that the nation's aging infrastructure needs repair broadly and modernization. But shrinking federal, state and local budgets as well as less revenue overall from other traditional financing sources, like fuel taxes, have undercut efforts to keep pace with demand.

The American Society of Civil Engineers said in a 2013 assessment that the United States had a "significant backlog of overdue maintenance" across infrastructure systems and a "pressing need for modernization."

For instance, the group estimates it will cost $21 billion to bring critical, aging dams up to speed.

It also says one in nine of the nation's bridges are rated as structurally deficient and spending on overall maintenance and construction is roughly $8 billion short of what's necessary to keep them in good shape.

More than 40 percent of America's major urban highways remain congested, costing the economy an estimated $101 billion in wasted time and fuel annually, the engineering group said.

Private equity, corporations and other investors have lined up billions to spend on projects that offer a financial return over time or other benefits, such as tax breaks. However, the lack of federal policy or new funding commitments for such arrangements has slowed that approach.

Obama favors a new bond-financing program similar to a now-expired one that was created for states and municipalities to stimulate infrastructure construction.

He also called for creation of a federally run infrastructure bank aimed at attracting outside investment, an idea he has floated previously that Congress has yet to embrace.

A White House document on the plan said the proposed $10 billion infrastructure bank would raise as much as $200 billion in leveraged private investment.

Citing a Miami tunnel project endorsed by both the city's chamber of commerce and labor unions, he said such agreement showed that politicians also should be able to sign on.

@highlight

NEW: Obama says Washington politics shouldn't slow America's progress

@highlight

President Obama calls for government-private sector partnerships for infrastructure

@highlight

His proposals provide details to an idea from his State of the Union address

@highlight

NEW: Engineering group cites deficient bridges and other infrastructure needs