Washington (CNN) -- One of the world's most famous poets and writers, an inspiration to countless women, recently celebrated her birthday. At her home in Winston-Salem, North Carolina, Maya Angelou celebrated turning 82.

Born in an era unfriendly to women whose ambitions would take them out of the home or away from a narrow range of "acceptable" jobs, she nonetheless succeeded in many fields. She has led an admirably peripatetic life; she has been an author, dancer, actor, civil rights activist, radio host. Hailed, above all, for her vivid written portrayals of adolescent life in the South and the horrors of her violent childhood, she's become a role model of resilience for generations of American women.

When she speaks, it is with intense clarity, as if her words are aligned, standing at attention. Untethered from convention and politesse by age, hard-won experience and inner strength, she expresses truths that many women may suspect but are loath to admit. "I love to see a young girl go out and grab the world by the lapels," she once said. "Life's a bitch. You've got to go out and kick a--."

But 41 years after the she grabbed those lapels with her groundbreaking novel "I Know Why the Caged Bird Sings," I found myself reflecting at her party on what has -- and has not -- changed for women heading out into the world. The truth is, it's still very hard to get to the point of accomplishment of a Maya Angelou. Modern women still struggle to succeed without being labeled the witch, ditz or office pariah.

Indeed, young women I meet when I speak with college students across the country are aware of this as they prepare to plunge into their adult lives. I find that regardless of the career opportunities that are at their fingertips, advances that their foremothers would scarcely have believed, some women (especially women of color) still brace themselves for limitations and obstacles.

Is there a magic key to a life lived free of gender and racial biases, they ask? There is not. There are barriers.

But how long must young women leaving high schools and universities expect to be swimming against generations-long waves? We have come a long way, but still we see reflected in the media daily the crude stereotypes that confront and trivialize accomplished and prominent women. It might be a first lady mocked for revealing a little cleavage, another first lady questioned for leaving her job to take care of her children or a candidate for vice president criticized for her commitment to family.

And though women represent more than half the voting age population and are a significant political force, at this "post-feminist" moment, only six of the nation's 50 governors and only 17 of the 100 U.S. senators are women.

At the same time, the U.S. Census Bureau's 2009 Educational Attainment Survey showed that more women than men over the age of 25 have bachelor's, graduate and professional degrees. And a recent AdAge White Paper, entitled "The New Female Consumer," cited statistics from a Catalyst survey that shows that women's median income rose 32.9 percent from 1990 to 2006, while men's only rose 6.3 percent.

Should we be surprised how young women respond to these mixed messages?

I talked with Angelou about such issues when she welcomed me as a guest on her program and later invited me to her home to discuss themes about womanhood that I would eventually explore in a book.

We talked about how the limitations placed on us as young girls began with our families. I still bristle, and told her so, about how my family had advised me to learn to type and become a secretary. She counseled that they had done that out of love, that their intention was not "to break you." Rather, the intent was "to keep you from breaking your heart."

But as we all know, the world can be much crueler than our families: The route to success for women, politically, economically and personally, is often lined with broken hearts and humbling moments that I would hope do more to ignite our determination than quell it. Maybe we can argue that our defeats kindle resilience?

I wonder if Angelou's living legacy reaches today into the lives of modern women whose intelligence, determination--and resilience--helped them surmount obstacles on the way to lofty positions in the world. Yes, there are mixed messages everywhere for young women, but then there are the achievements of a Hillary Clinton, a Michelle Obama, a Sarah Palin. Young, determined women willing to push aside the obstacles that a sometimes retrograde culture throws in their way can take inspiration from those women's successes.

And as Angelou once said, "History, despite its wrenching pain, cannot be unlived, but if faced with courage, need not be lived again."

The birthday girl speaks the truth.

The opinions expressed in this commentary are solely those of Leslie Sanchez.

@highlight

Leslie Sanchez says Maya Angelou, whose life has inspired many women, has turned 82

@highlight

She says Angelou tells women to "grab life by the lapels," but culture presents hurdles

@highlight

Women succeed in earning, education; lag in Congress, pop culture portrayals, she says

@highlight

Sanchez: Angelou can inspire women to be determined, resilient and to surmount barriers