The ball is now in Congress' court.

Less than one week after President Barack Obama asked Congress for $3.7 billion to address the tens of thousands of immigrant children who have crossed the southern border in recent months, Congress is now tasked with doing something about it. It can pass it, do nothing or craft a new bill.

It looks as if the latter approach is the most likely. The path to a solution, however, doesn't appear easy.

Democrats and Republicans are deeply divided on both the causes of the problem and the ways to solve it.

Republicans appeared on the political talk shows Sunday with a mostly unified message, and their message contrasted starkly with the Democrats' position.

Republicans indicated that Obama's request, which includes $1.8 billion to care for the children in U.S. custody, is not going to advance beyond their in-boxes.

While they support the allocation of some money, numerous Republicans said Sunday that any money should be "targeted" to quickly deport the youths and to beef up border security.

Fast deportations

"We should do targeted appropriations where it's needed to make sure that we are able to detain people and send them back to their countries," Rep. Bob Goodlatte, R-Virginia, chairman of the House Judiciary Committee, said on ABC's "This Week."

His colleague, Rep. Michael McCaul, R-Texas, chairman of the House Homeland Security Committee, is a member of a group appointed by House Speaker John Boehner to come up with border crisis solutions. He said funding should "provide more swift removal and return" to immigrants' Central American countries.

Change the law ...

A 2008 law that unanimously passed the House and Senate and signed into law by President George W. Bush is prohibiting most of the unaccompanied children from being immediately sent back to their home countries.

The William Wilberforce Trafficking Victims Protection Action Act was written to protect young victims of human and sex trafficking. It states that minors must be humanely cared for, united with relatives living in the United States if possible and given a day in court to present their need for asylum.

"We think that law needs to be changed," McCaul said on "Fox News Sunday."

Sen. John McCain, R-Arizona, who is considered a moderate voice on immigration and was a leading Republican to help pass comprehensive immigration reform through the Senate last year, said the children must be quickly sent home by the planeload.

McCain: Stopping child immigrant nightmare must include returning children, securing border

"All we need to do is change the act, the Trafficking Victims Prevention Act, to treat these children the same way as we do with Canada and especially Mexico," he said on CNN's "State of the Union," noting that children crossing borders from America's two neighbors can be immediately turned away.

... but don't

But as violence is pandemic in Honduras, Guatemala and El Salvador, the countries from where most of the children are coming, Democrats are reluctant to change the law, as some children are escaping violence and possible death. Many Democrats want to ensure that those who are facing life-threatening situations at home are given the opportunity to stay in the United States.

"I will say this: Follow the law, and the law said that we must put the children's interests first, which is what President Barack Obama is doing," Rep. Luis Gutierrez, D-Illinois, said on CBS News' "Face the Nation."

Rep. Joaquin Castro, D-Texas, agreed. He said the children should be able to make their cases for asylum. "I think we've got to be care when we consider completely doing away that that law."

But McCaul hinted that he didn't support wiping out the law, just altering it. "Those (children) with a fear of persecution and violence will have a legal basis to possibly stay," he said.

Not much time

While McCaul said the border crisis "demands action" that should occur "soon," time is slipping away. Congress' monthlong August break is quickly approaching.

Boehner last week said he will wait until his self-appointed working group comes up with a proposal before the House moves forward.

Coming to agreement in a Congress where the Senate is controlled by Democrats and the House by Republicans is not usually a quick process.

While 57,000 immigrant children have entered the U.S. since October, another 30,000 are expected in the next 2½ months.

Secure the border

The two sides are also sharply at odds over the issue of border security. Republicans say too little money is in the President's emergency request to protect the border. Of the $3.7 billion request, $433 million would be for Customs and Border Protection, the agency in charge of border security.

"The way to deal with it is to secure the border first," Rep. Marsha Blackburn, R-Tennessee, said on CNN's "State of the Union."

Texas Gov. Rick Perry is leading the Republican charge for additional resources at the border.

Perry to Texas reps: Don't approve Obama's border proposal

"If you have a patient who is bleeding profusely, the first thing you have to do is stop the bleeding, and that's the reason we have been so adamant about securing the border," Perry said on "Face the Nation."

He is calling on Obama to send 1,000 National Guard troops to the border that could "show the force."

Those troops would be temporary, until an additional 3,000 Border Patrol agents would be permanently placed.

"Gov. Perry's just wrong," is Gutierrez's reaction. "The border is secure; the fact is, the children are handing themselves over to the Border Patrol agents."

McCain said the U.S. needs to spend "about $6 billion" to secure the borders.

Since 2002, spending on border security has more than doubled. The budget for Customs and Border Protection has ballooned from $5 billion to $12.4 billion in just over a decade, with steady increases each year, according to Homeland Security Department budget documents.

The number of Border Patrol agents have also more than doubled. More than 18,611 agents patrolled the southern border in 2013, which comes to about 9.7 agents per mile, according to Customs and Border Protection.

But on "Fox News Sunday," Perry insisted that more money needs to be spent.

Obama needs to be "realistic about the problem and how you deal with the problem -- and it is a border security issue."

"You can keep throwing money and talk about enforcement, enforcement, enforcement, but you've got to put money also into your judicial system, and you've got to put money in a comprehensive program that deals with the issue," Gutierrez responded.

Rep. Mike Rogers, R-Michigan, succinctly framed the dynamics of the current debate on NBC's "Meet the Press."

It "certainly appears most of the parties have gone to their mutual corners," he said. "We've got to get past that."

Is the immigration crisis Rick Perry's second act?

Immigration statistics facts

@highlight

Republicans say more money should be "targeted" to quickly deport immigrant children

@highlight

Democrats say the youths deserve their day in court

@highlight

Republicans also say that lax border security is the problem

@highlight

Democrats point out that many children turn themselves in to the Border Patrol