(CNN)If you've hiked Yosemite and Yellowstone, roamed the streets of New York and wandered through the Smithsonian museums, it's time to enjoy some of the country's quirkier attractions.

What about a truckers' jamboree at the Iowa 80, billed as the world's largest truck stop? Or the annual Testicle Festival, also known as the Testy Festy, in Montana? Or an order of onion rings at the New Jersey diner where the fictional Tony Soprano had his last family supper?

Never mind the traditional tourism spots. Here are 15 quirky, intriguing, sometimes downright tasty -- and occasionally revolting -- ideas for 2015.

Cold War relic, Cooperstown, North Dakota

Want to see the Cold War close up? Check out the Ronald Reagan Minuteman Missile State Historic Site in Cooperstown.

OK, it's miles from anywhere, and it's surrounded by treeless prairie.

But still, it's a genuine (former) Minuteman missile base, the kind of place from which America could destroy the world. Take a tour! Cooperstown, a town of about 1,000 people, is about 90 miles from Fargo, and the site is open from May through September.

Chicken Shit Bingo, Austin, Texas

Head over to the Little Longhorn Saloon on Sunday afternoons for a bingo game unlike any you've ever played at your local senior center. At this Austin saloon, Chicken Shit Bingo requires very little of your attention.

There are no lettered and numbered balls, no leader calling out B5 or G2. There's a chicken and a piece of plywood with numbered boxes, covered with feed and bread. Buy a number and hope that the chicken eats the feed and poops on your square. You might win enough to cover your tab or your order at Lucy's Fried Chicken on the same block.

Celebrate like the Basques, Boise, Idaho

One of the largest Basque festivals in the world, Jaialdi 2015 celebrates Idaho's Basque community, a distinct culture tracing its roots back 2,000 years to northern Spain's Basque autonomous region.

The dancing and games (including jai alai) that are central to Basque life will be on display during the July 28-August 2 festival, pegged to the community's celebration of San Ignacio of Loyola, its patron saint. If you can't make the every-five-years festival, stop by Boise's "Basque Block" anytime to eat, drink and learn more about Basque culture.

Salt of the earth, Malden, West Virginia

Chef Nancy Bruns' relationship with salt runs deep. Her family's salt business goes back seven generations to the early 1800s, when Bruns' great, great, great, great-grandfather William Dickinson came to the Malden area. He made a life from the salt in the natural brine springs bubbling up from an ancient ocean underneath the Appalachian Mountains. The family dug wells to reach richer, heavier brine buried in the earth.

The family stopped harvesting salt in 1945, but Bruns and her brother Lewis Payne relaunched the business in 2013 with an emphasis on local, sustainable food and business practices. Tours of J.Q. Dickinson Salt Works are available by appointment. Bruns recommends visiting in spring, summer or fall, when salt production is in full swing and the surrounding farmland is blooming or being harvested.

World's largest truck stop, Walcott, Iowa

A slice of Americana in Walcott, Iowa, the Iowa 80 -- billed as the world's largest truck stop -- is hosting the 36rd annual Truckers Jamboree from July 9 to 11, with antique truck displays, a pork chop cookout, Trucker Olympics and more.

Even if you can't make the annual celebration of truckers, you can buy big rig lights and fenders amid the aisles of chrome in the Super Truck Showroom, get your teeth fixed at the dentist and catch a movie at the truck stop theater.

An 18-wheeler named "America the Beautiful" welcomes truckers to the stop. On its side is a landscape painting featuring famous sites along I-80, America's "Main Street." (The actual highway stretches about 3,000 miles from New York to San Francisco.) You can also learn about big rigs of old at the Iowa 80 Trucking Museum.

This land is our land, Tulsa, Oklahoma

The return of great American folk singer Woody Guthrie's archives to Oklahoma -- and the opening of a museum dedicated to his legacy -- is a huge boon for his home state. The Woody Guthrie Center houses instruments, drawings and writings by the late performer and many he inspired, including Pete Seeger and Tom Morello.

The archive vault of the "This Land is Your Land" singer holds stacks of notebooks of unpublished songs and poems available for research purposes. The center is the cornerstone of Tulsa's revitalized Brady Arts District, sharing a repurposed paper plant with a contemporary art gallery, an arts education center and a Philbrook Museum of Art satellite location.

Hot tour for hot sauce, Avery Island, Louisiana

Never mind that it's sold in more than 180 countries and territories and is mixed into South African meatballs and Polish "mad dog" vodka drinks. Your favorite Tabasco sauce is still manufactured by the McIlhenny Company at the Tabasco factory's original site on Avery Island, where it has been run by the same family since 1868.

You can tour the facility and sample a new addition: food tours launched in 2014 offering tastes of Cajun cuisine and culture. Come with an appetite. The new tours are three hours long, and reservations are recommended. An expanded factory tour and new visitor center is scheduled to open in late 2015.

Bull testicle treats, Clinton, Montana

The annual Testicle Festival will take place July 30 to August 3 in Clinton, a mountain town near Missoula.

A defiantly lowbrow, R-rated gathering, the Testy Festy features a tattoo contest, a wet T-shirt contest, a race where people run in their underwear and its showcase, the ball-eating contest, in which hardy eaters compete to consume vast numbers of deep-fried bull testicles. Its motto: "I had a ball at the Testicle Festival." No one under 21 admitted.

Tony Soprano's last supper, Bloomfield, New Jersey

Want a taste of Tony Soprano's last supper? Head to Holsten's Brookdale Confectionery in Bloomfield to see where David Chase chose to shoot the last scene of the finale of his award-winning HBO mob series, "The Sopranos."

Order the onion rings for the table, just like Tony did, enjoy Journey's "Don't Stop Believin' " and say a prayer for late actor James Gandolfini, who wowed us with his portrayal of the famous mob boss.

Home of the King, Tupelo, Mississippi

Before there was Graceland, there was Tupelo, Mississippi.

For diehard Elvis fans, it all began in a two-room house in Tupelo. Elvis Aaron Presley was born January 8, 1935, to Gladys and Vernon Presley in a home built by his father, uncle and grandfather.

Now the Elvis Presley Birthplace and Museum, the site includes the home, his first church (which was moved to the site) and a museum. After recent renovations and additions, the site now features indoor and outdoor theaters and a 15-acre park.

Genie in a bottle, Roxbury, New York

Want to deep dive back into your favorite TV shows and movies of the 1960s and 1970s?

Check into the Shagadellic Suite, the Genie's Bottle or the Partridge Nest at the Roxbury Motel in the Catskills, where innkeepers and spouses Gregory Henderson and Joseph Massa's love of whimsy and elegance will make your vacation experience one of a kind.

Animal Planet's "Tanked" show designed the aquarium in the Archaeologist's Digs three-bedroom cottage, which was inspired by Indiana Jones and other adventures. (Secret passageways and Mayan Temple bedroom included.)

Biker heaven, Sturgis, South Dakota

Love to ride? You probably already know that the tiny town of Sturgis, South Dakota, will become a mecca for hundreds of thousands of motorcycle riders August 3 to 9.

Now known as the Sturgis Motorcycle Rally and marking its 75th year in 2015, the town celebration has blossomed from a weekend of events to one of the largest motorcycle events in the country. There will be organized rides, races, bike shows, concerts and more. Nearby Custer State Park and Badlands National Park offer spectacular riding when the crowds thin out.

Calling all ducks, Stuttgart, Arkansas

Hear that quacking sound? It may not be a duck.

Head toward the 80th annual Wings Over the Prairie Festival and World Championship Duck Calling Contest in Stuttgart during Thanksgiving week to hear the best of the best. Imitating a duck doesn't always come easy: Many hunters use duck calls, made like musical instruments, to lure flying ducks closer to them during a hunt. Hunters must learn many different calls depending on the moods and flight patterns of the ducks crossing overhead.

Every five years, there is a Champion of Champions duck-calling contest that is open only to the former world champions, and that faceoff will take place in 2015.  Also a part of the activities is the 35th annual World Championship Duck Gumbo Cookoff.

A pile of dough, Skowhegan, Maine

If you love good bread -- the hand-baked variety, not the store-bought stuff -- you'll flip for the three-day Kneading Conference and Artisan Bread Fair in the picturesque town of Skowhegan on the Kennebec River.

The conference portion of this three-day celebration of dough features workshops on such bread-geek topics as building brick ovens and the benefits of milling whole grains with strange names like einkorn and spelt.

It's followed by a fair where vendors sell baked goods of every variety, from crusty rosemary boules to flatbreads to artisanal donuts. You can watch demonstrations of scything and wood-fired pizza baking, and even try your hand (foot?) at milling flour by pedaling a bicycle. The conference takes place July 30 and 31, followed by the bread fair on August 1.

Running after Rocky, Philadelphia

You may want to run up Rocky's 72 steps before they're modified. Star architect Frank Gehry's plans for the modernization of the Philadelphia Museum of Art would cut into the iconic steps to create an entrance and light for the museum's new lower level galleries. Sigh.

It's supposed to take at least a decade, and the museum needs to raise $350 million for the project, so you have time for more than a couple of sprints. Yo, take the whole Rocky tour while you're at it.

@highlight

Go beyond the ordinary to explore the country's quirkier side

@highlight

Tour a Cold War-era missile site in North Dakota

@highlight

Taste some of the country's finest salt in West Virginia