(CNN) -- Lewis Hamilton has always been driven by his emotions -- for better or for worse -- but has he found a new level of maturity with Mercedes?

The double world champion has been schooled in the harsh lessons that Formula One can mete out since he joined McLaren's junior program when just 13 years old.

But, despite this careful education by one of the most straight laced teams in F1, the British boy racer cannot help wearing his heart on his sleeve.

There have been some heady highs and mesmerizing meltdowns in his eight-year career at the highest level of motorsport.

Fizzing with energy, he bounded into the sport in 2007 and refused to lie down when faced with Fernando Alonso, a double world champion, as his feisty McLaren teammate.

With Alonso gone after a single acrimonious season, Hamilton drove the McLaren to the 2008 title with "my heart in my mouth."

At just 23 years old, he had sensationally clinched the championship at the last corner, of the last lap, of the last race to deny Ferrari's Felipe Massa -- and a seething crowd of home fans -- in Brazil.

If 2008 was the young gun's giddy zenith, the 2011 campaign was his gut-wrenching nadir.

His long-distance relationship with American pop star Nicole Scherzinger was more off than on and he had ditched his dad Anthony as manager in favor of a high-profile agency.

Hamilton teetered on the edge of controversy and despair. The torch paper was lit at the Monaco Grand Prix when he was penalized by the race stewards.

"It's an absolute frickin' joke," he exclaimed. "Maybe it's because I'm black. That's what Ali G says."

When Hamilton made a surprise switch to Mercedes in 2013, the team would have been well aware that while his impulses propelled him on track, off it they could do more harm than good.

"He is an emotionally driven individual," Hamilton's biographer Mark Hughes tells CNN. "You are never going to change that.

"His emotions were all over the place in 2007 and 2008, and in 2011 he was having big mood swings because of problems off track."

Locked in another intense title fight in 2014, the unpredictably passionate Hamilton had to sink or swim in the cauldron of competition.

But, despite the swirling emotions of fighting mano a mano with his Mercedes teammate and close teenage friend Nico Rosberg, Hamilton impressively kept his head above water to win a second world title with some style.

So, what's changed?

"He is essentially the same guy [as in 2008] but he definitely seemed more in control of himself at the crucial pressure points on race days," Hughes adds.

"He does seem to be in a calm place now and I'd say he's slightly more mature."

Hamilton's inner calm held out despite an F1 season filled with flashpoints that threatened to derail his peace of mind.

The Mercedes rivals tested each other's limits in Bahrain, where Hamilton had cut across Rosberg to retake the lead.

In Monaco -- where the pair happen to live in the same apartment block -- Rosberg was accused and cleared of blocking Hamilton during qualifying. In Hungary, the Briton then refused to cede to team orders to let Rosberg pass.

But the season's big bust-up bloomed in Belgium. Rosberg was forced to apologize to Hamilton after he collided with the rear of his Mercedes in an attempt to retake the lead, effectively putting his rival out of the race.

"Lewis has won the 2014 title in an entirely different set of circumstances to 2008," former McLaren F1 driver John Watson tells CNN. "He and Nico have been battling it out all season.

"Lewis has evolved to be able to deal with the stress. His destiny was in his own hands and he had the maturity to deal with it.

"Lewis always had the racing skill, the racing brain, the seat of the pants raw talent but he has matured into a driver that has come to a new level in terms of his own self-belief and self-confidence."

If Hamilton, who reconciled with Scherzinger at the start of the year, has discovered a Zen-like mental state, an instinctive impulse inside the cockpit has also been key to winning a second world title.

When it came to unlocking the pure pace from the Mercedes car in qualifying, Rosberg had the edge. The German out-qualified Hamilton 12-9, taking 11 pole positions to Hamilton's seven over the course of the year.

"Nico is clearly very good at unleashing the big lap at just the crucial moment," explains Hughes. "That induces Lewis to over-strive sometimes and that happened on three or four occasions in qualifying this year."

But when the points were handed out on Sundays, it was the Briton's racing nous that paid dividends as he racked up 11 victories compared to Rosberg's five.

"Even when Nico out-qualifies him, we see Lewis is faster in the race because the tires wear, the track temperature changes, the fuel load changes, the car is never perfection," Hughes adds.

"Lewis is a very improvisational driver, he is someone who can just head into the race and improvise his way around anything the car does."

Yet even Hamilton would probably have struggled to improvise his way around the loss of engine power at the season finale in Abu Dhabi, where Rosberg's title hopes ultimately ended.

Falling backwards through the field from second to 14th was an agonizing way to lose the title but the 29-year-old was generously gracious in defeat.

This may not have been a world title winning season for the son of 1982 winner Keke Rosberg but it has been a year of growth for the driver who was unflatteringly dubbed "Britney" -- for his pop star good looks -- by his peers.

"To be up against Lewis, the level was incredibly high and so I also had to find and deliver the next level," Rosberg reflected in Abu Dhabi.

Hughes, who has also followed Rosberg's career closely since he made his F1 debut with Williams in 2006, agrees.

"Nico's definitely stepped up," the Grand Prix Editor for Motor Sport Magazine adds. "I'd say he has discovered a core of steel within himself and his composure is very impressive.

"Even though he has been trounced by Lewis he has pulled himself back together and gone straight back out and given him a hard time all over again.

"Lewis' level has lent Nico a credibility that is greater than it would have been without Lewis."

Mercedes is expected to be the dominant force in F1 when the new season rolls into Melbourne, Australia for the opening race next March.

Red Bull -- the only other team to win races in 2014 -- will be hot on the champion's heels while a resurgent Williams -- the only team to deny Mercedes pole position -- is out to go one better on race day next season.

But given the hybrid Mercedes engine's power advantage over the rest of the field, Hamilton and Rosberg are set fair for another internal team tussle for the victory laurels.

The question is, can Rosberg dig deep over the winter and reach another level to prevent Hamilton winning a third world title?

"Nico has peaked," argues Watson. "This year he used every element of his driving skill and his mental capacity to take the championship to Lewis. He's not going to get any better.

"The feeling is that Lewis has won this championship as a man in development. This win has been so important because he will take from this and be a better driver in my opinion.

"Be prepared to see more domination."

The quicksilver combination of Hamilton and Mercedes now has the chance to emulate Red Bull's four-year era of dominance that was snuffed out by 2014's major rule change, which focused on engine technology.

"This is a golden opportunity for Lewis," says Hughes. "And it's probably one he's never going to get again.

"He's the favorite in 2015 because the Mercedes gap to the others is so big that even if it's reduced next year, it's probably still going to be there.

"It was looking for a time that Sebastian Vettel winning all those championships with Red Bull meant Lewis' was going to be the great career that never was.

"Now he's in a position to make it a great career and if he keeps winning titles he will be recognized as one of the giants."

Watson, who raced to F1 victories in the late 70s and early 80s, is even tipping Hamilton to succeed a very special member of the Silver Arrows stable.

"Juan Manuel Fangio is my idol as the greatest Grand Prix driver ever," says Watson. "He won the titles for Mercedes in 1954 and 1955.

"Lewis can go on and match that. If he does, his career will be held in great regard and respect.

"What marks you out as a great driver is moving forward and winning multiple world championships.

"But what is more critical is winning titles in different cars with different teams. Fangio has done that and now so has Lewis Hamilton."

@highlight

Lewis Hamilton added a second world title to his 2008 crown with victory for Mercedes in 2014

@highlight

"Hamilton is more mature," says the British racer's biographer Mark Hughes

@highlight

Teammate and title rival Nico Rosberg has raised credibility with his 2014 performance

@highlight

Hamilton can match Juan Manuel Fangio's two world titles for Mercedes in 2015, says former racer John Watson