(CNN) -- A school system in upstate New York, where more than a dozen female high school students are suffering from uncontrolled verbal outbursts and twitching, said it has hired a company to review environmental testing within the school and community.

The development comes as famed activist Erin Brockovich and other environmentalists are looking into whether a chemical that spilled in a 1970 train derailment about four miles from the school has anything to do with the girls' mysterious behavior. One of Brockovich's associates walked the grounds of Le Roy Senior High School on Saturday and traveled to the derailment site.

The Le Roy Central School District said it wanted "sound advice" from professionals on the situation, "void of self-interest."

"Our community has suddenly found itself at the center of national attention due to the students who have been exhibiting neurological symptoms," Superintendent Kim M. Cox said in a statement released Friday. "This has led to much speculation, conjecture and misinformation in the national media and consequently within our community."

Cox said the school district is working with local, state and federal health and environmental agencies.

A statement posted earlier on the school's website said, in part, "The medical and environmental investigations have not uncovered any evidence that would link the neurological symptoms to anything in the environment or of an infectious nature."

The school district posted air quality and mold reports on its website. "Water was also ruled out because the school is serviced by public water," it said.

The mother of one affected girl said she doesn't think enough testing has been done.

Health officials say the girls' symptoms are consistent with "conversion disorder."

Brockovich told HLN's "Dr. Drew" on Friday night that she will try to corroborate a note she said one of the affected family members received about the derailment.

"The contaminated rock, fill and soil was used to build the new school," Brockovich said of the note.

According to the U.S. Environmental Protection Agency, one ton of cyanide crystals spilled onto the ground in the December 6, 1970, derailment.

About 30,000 gallons of trichloroethene (TCE), a potentially harmful contaminant, also were released from two ruptured tank cars, the agency said.

"I have read and been involved in cases that we have had that TCE can be associated with neurological disorders," Brockovich told HLN.

The first significant cleanup and remediation did not start for 20 years, she said, adding she was worried about the chemical getting into bedrock and groundwater supplies. The TCE may have reached the school grounds, she said.

The EPA's Superfund website provides a progress report of the cleanup done in the area over the past 20 years.

"Drinking wells in the area were found to have TCE contamination," the EPA said. "Sampling of private wells between 1990 and 1994 detected TCE in approximately 50 wells located east or southeast of the site."

The EPA installed water-treatment systems at 37 locations where TCE levels were high. The New York State Department of Environmental Conservation used soil vapor extraction and bedrock vapor extraction to address the source of the contamination.

"A water-line extension was selected to provide a safe, potable water supply to all affected residents and businesses," the EPA said.

Robert Bowcock, an environmental water specialist associated with Brockovich, went to the derailment site Saturday and took water samples to test for contaminants. He also took water samples from wells at private residences. An HLN producer saw several dozen drums in a fenced-off area at the derailment site, but it was not clear what they may contain. One was rusted and had dirt-like material inside.

Brockovich gained fame after the 2000 movie bearing her name and starring Julia Roberts in the title role. It told the story of how she, as a file clerk at a law firm, established that a toxic chemical from a compressor station leaked into the groundwater of a nearby California town, according to a biography posted on Brockovich's website.

Medical experts, meanwhile, continue to investigate the girls' symptoms, which in some cases, include stuttering.

Dr. Jennifer McVige, a pediatric neurologist at the DENT Neurologic Institute who is treating many of the students affected, said, "Conversion disorder is a physical manifestation of physiological symptoms where there is traditionally some kind of stress or multiple stressors that provoke a physical reaction within the body."

McVige said the symptoms are real. "This is unconscious. It is not done purposefully."

Thera Sanchez, a senior on the honor roll at the school, said she has been fighting this affliction since October. She said after waking up from a nap, "I got upset, I couldn't stop stuttering."

During an interview with CNN's Jason Carroll, Thera's symptoms were apparent: She was twitching uncontrollably, flailing her left arm and jerking her head to one side. Thera said she also faints and has seizures. The seizures are a result of her pre-existing epilepsy disorder, which had been under control for years.

"I don't think that all physical aspects of this have been exhausted; not enough testing has been done," Thera's mother, Melissa Phillips, said.

She also disagreed with McVige's assertion that the girls are improving, saying, "Nothing is getting better, you know, the girls are still getting worse. They have good days and bad days."

McVige is not sure why so many girls at the same school are suffering all at once. "I do know that traditionally when they've (doctors) looked back at different events that occurred in a similar nature, a majority of the time it is girls."

According to the Mayo Clinic, females are much more likely to get conversion disorder and it is more common in adolescents or young adults.

McVige said she used the "diagnosis of exclusion" to determine what happened to the girls, which means using the process of elimination. She ruled out a laundry list of factors to reach her diagnosis, including infections, drug use, food allergies and vaccine reactions, specifically Gardasil.

The New York State Health Department agreed with McVige's diagnosis after speaking with several doctors who evaluated the students.

"There are many causes of tic-like symptoms. Stress can often worsen them," said spokesman Jeffrey Hammond. "The doctors all agree that the symptoms these girls are experiencing are real."

HLN's Liz Flynn reported from Le Roy, New York. CNN's Danielle Dellorto, Laura Dolan, Maggie Schneider and Jason Carroll also contributed to this report.

@highlight

School will review environmental tests in the area

@highlight

Activist Erin Brockovich is looking into a 1970 train derailment

@highlight

"Conversion disorder" causes twitching, stuttering, verbal outbursts

@highlight

Mayo Clinic says young females are much more likely to get conversion disorder