Washington (CNN) -- Top American officials welcomed Egyptian President Hosni Mubarak's decision to step down Friday but urged all sides in Egypt's rapidly unfolding political drama to ensure a peaceful transition to democracy.

"The people of Egypt have spoken," President Barack Obama said at the White House. "Their voices have been heard, and Egypt will never be the same."

Obama said the sudden conclusion to Mubarak's three-decade rule was not "the end of Egypt's transition. It's a beginning."

The U.S. president warned that there are "tough days ahead" for Egypt but declared his confidence in the ability of the Egyptian people to "find the answers" they are seeking "peacefully, constructively and in the spirit of unity that has defined these last few weeks."

"Nothing less than genuine democracy will carry the day," he declared, promising that his administration is ready to provide assistance to America's longtime Middle Eastern ally.

Obama praised the Egyptian military for acting responsibly over the past three weeks and urged it to help ensure a credible transition that, among other things, ends emergency rule, ensures the enactment of key legal reforms and brings "all of Egypt's voices to the table."

"The wheel of history turned at a blinding pace" the past few weeks and disproved the notion that "justice is gained by violence," Obama concluded.  "In Egypt, it was the moral force of nonviolence -- not terrorism, not mindless killing ... that bent the arc of history toward justice once more."

The president spent part of the afternoon huddling with his national security team in the White House Situation Room, said Tommy Vietor, a spokesman for the National Security Council.

Obama was in a meeting in the Oval Office when he learned that Mubarak was stepping down, Vietor noted. The president watched television coverage of the events in Egypt for several minutes afterward, Vietor said.

Obama did not talk to Mubarak or Egyptian Vice President Omar Suleiman before the announcement of Mubarak's resignation, according to White House Press Secretary Robert Gibbs.

Gibbs, however, also appeared to indicate that administration officials may have known Mubarak was stepping down before the official announcement was made in Cairo.

The White House had indications "that the last speeches may not have been given" by authorities after Mubarak delivered his poorly received address to the Egyptian people Thursday night, Gibbs said.

Vice President Joe Biden, speaking earlier to an audience in Kentucky, said the developments in Egypt marked a day of "historic" and "dramatic" change.

Violence and intimidation against protesters in the days ahead remains unacceptable, he warned. The universal rights of people "must be respected" and their "aspirations met."

Moments after the news broke, Senate Majority Leader Harry Reid, D-Nevada, issued a statement urging a peaceful transition.

"I am pleased that President Mubarak has heard and heeded the voice of the Egyptian people, who have called for change," Reid said. But "it is crucial that Mubarak's departure be an orderly one and that it leads to true democracy for Egypt, including free, fair and open elections."

He added, "We caution all sides against violence during this transition."

Senate Foreign Relations Committee Chairman John Kerry, D-Massachusetts, released a statement calling Mubarak's resignation "an extraordinary moment for Egypt."

But "what happens next will have repercussions far beyond Egypt's borders," he said. "We know from recent experience in Gaza that this requires not just elections, but hard work to build a government that is transparent, accountable, and broadly representative."

Gaza is currently governed by the militant Islamic group Hamas.

Florida GOP Rep. Ileana Ros-Lehtinen, the chairwoman of the House Foreign Affairs Committee, released a statement urging "the unequivocal rejection of any involvement by the Muslim Brotherhood and other extremists" in the transition of power.

Egyptians should reject those who "seek to exploit and hijack these events to gain power, oppress the Egyptian people, and do great harm to Egypt's relationship with the United States, Israel, and other free nations," she said.

Former President Jimmy Carter, a key architect of the 1978 Camp David accords between Egypt and Israel, noted that Mubarak's resignation was "only a first step toward self-governance" in Egypt and called for a "genuinely competitive and credible democratic presidential and parliamentary election process" this year.

Gibbs, expressing concern over relations between Egypt and Israel, said it's important for the next government in Cairo to recognize the Camp David accords.

Gibbs also took a swipe at the Iranian regime, saying "there is quite a contrast" between the way "the government of Egypt and the people of Egypt are interacting" and the way the Iranian government is treating its people.

Tehran is "scared," Gibbs said. The Iranian government "has met the concerns of its people with threatening to kill them."

As the Obama administration reacted, Washington was using a variety of intelligence assets to see what was happening in Cairo and other Egyptian cities, CNN has learned.

The U.S. military and intelligence community are using "national technical means" in the sky over Egypt to gather information about the demonstrations and the deployment of Egyptian security forces.

The phrase "national technical means" is used by the U.S. government to generally refer to the use of reconnaissance satellites to gather imagery or signals intelligence.

A senior U.S. official with direct knowledge of the operation confirmed the intelligence-gathering but declined to be identified because of the sensitive nature of the matter.

The official declined to say to what extent the Egyptian government is aware of the activity. The official would not say specifically which intelligence-gathering elements were being used but indicated that operations were being conducted in a manner that would not be visible to the Egyptian populace.

The official said the decision to use intelligence-gathering assets came in part after violence erupted in the early days of the Cairo demonstrations.

CNN's Alan Silverleib, Barbara Starr, John King, Dana Bash and Deirdre Walsh contributed to this report.

@highlight

"The wheel of history turned at a blinding pace," Obama says

@highlight

Vice President Joe Biden hails "historic" and "dramatic" change in Egypt

@highlight

Sen. Harry Reid, D-Nevada, urges all sides in Egypt to refrain from violence

@highlight

The U.S. government is using various intelligence assets to keep tabs on the situation