(CNN) -- With the latest reports of fake lists of dead veterans and alleged electronic coverups still going on at Phoenix Veterans Administration hospital, it's clear the disaster that has become the VA is just getting worse.

So now more than ever, we have a duty to call on our leaders to right the wrongs we have found and prevent more from taking place.

Our veterans, who survived hand grenades and bullets, are now facing a growing threat from three-ring binders and manila folders -- and a VA culture reluctant to measure, too slow to adapt and not responsive to their needs.

To truly fix this problem, we must follow where the evidence takes us.

For thousands of veterans in this country -- and those returning home from more than a decade at war -- the stakes could not be higher. The true cost of an antiquated system, slow technological upgrades, and the inability to track performance of the system itself can now be measured in thousands waiting far too long for care, and perhaps the tragic deaths of our brave heroes who may have waited too long for care.

The next leader of the VA has a lengthy to-do list. After all, Secretary Eric Shinseki's resignation did not reduce any backlogs or streamline the complex bureaucracy that exists and has harmed our veterans. And virtually all of those responsible for setting up and maintaining the culture of deception that has produced this scandal still have jobs.

Until we can accurately measure and use information to evaluate what works and what doesn't -- and then address the problems our veterans face -- the rooms piled full of files and paperwork are not going anywhere, and veterans will continue to be neglected.

The VA has had challenges under both Democratic and Republican administrations -- and if ever there was a bipartisan problem in need of bipartisan solutions, this is it. Here's where we should start:

1. Improve the systems: We must continue to modernize the VA system through technology and data-driven approaches that demand results and make evaluation possible. The transition to electronic medical records is good, but not enough.

2. Collect and evaluate data: The backlog, and outdated and inaccurate tracking systems, fogged our ability to realize the scope of the problem and provide the care veterans deserve. The VA has an opportunity to learn from their mistakes and change their culture to one that tracks results and is responsive to the data they collect. American veterans deserve a system that meets the standard of excellence they set through their service. Collecting data from not only the investigations, but into the future as well will enable the VA to evaluate what is working and what needs more attention, funding or repair.

3. Meet the needs of veterans through smart deployment of resources: As a former chairman of the House Budget Committee and director of the Office of Management and Budget, I can safely say that throwing money at a problem hasn't and doesn't fix it -- and neither does blindly cutting funding. I am glad the VA was spared from sequestration cuts, as the VA has, despite funding increases, a classic problem of supply and demand. They have a lack of sufficient doctors and health care workers to meet the growing needs of all veterans, including aging vets and those returning from two protracted wars. The VA must now ask: What does the evidence in other health care systems tell us about how to efficiently meet the needs of veterans, while strengthening the quality of care and VA health system itself? Funding boosts for an antiquated system alone won't help, but looking at what works in other health delivery systems, as well successful public and market strategies will.

4. Establish strong leadership and bipartisan buy-in: A lengthy and political Senate confirmation process for Secretary Shinseki's replacement will do nothing for our veterans. What the VA needs now is strong leadership and bipartisan support for the next secretary which will give that individual a mandate to change the culture and fix the broken systems.

5. Listen to the customers: In business, there is no substitute for listening to the customers. The same goes for our nation's veterans. A nationally representative survey of veterans accessing the VA health care system should be conducted immediately to fully understand the depth and breadth of the problems they have faced beyond long waiting periods for their appointments. It will also give the new VA leadership some informative data.

Together, we must get the facts, follow the evidence, listen to the veterans themselves, and we should use this as an opportunity for evidence-based, transformational change.

We made a promise to our military members and their families. It is our duty to keep it.

Join us on Facebook.com/CNNOpinion.

@highlight

Jim Nussle says even as the VA scandal gets worse, we have a duty to fix a broken system

@highlight

New allegations of secret lists and a coverup have surfaced at the Phoenix VA

@highlight

Nussle: If ever there was a bipartisan problem in need of bipartisan solutions, this is it