Hong Kong (CNN) -- Exports of French Bordeaux, Italian Tuscans and Spanish Riojas could get more expensive in China if a tit-for-tat tariff war bubbles over between the world's most populous country and the European Union.

On Wednesday, Beijing launched anti-dumping and anti-subsidy probes into imports of European wine. The inquiry follows new EU tariffs, only announced Tuesday, of nearly 12% on China-made solar panels that begin June 6. The European Commission has accused China's state-subsidized panel makers of flooding European markets with unfairly cheap products.

In a public statement, China's Ministry of Commerce said it had "received requests from domestic wine companies, accusing European wine companies of entering the Chinese market by dumping products, receiving subsidies and other unfair measures. Based on these requests, the Ministry of Commerce will initiate a serious investigation according to laws and regulations."

"This is what we call 'strategic play' in game theory. It is an action which is intended to have benefits in negotiation," says Dr. Xu Bin, Professor of Economics and Finance at the China Europe International Business School, or CEIBS, in Shanghai.

China is smart to pick on Europe's wine industry, adds Xu, because it is "not core to Europe's economy" yet "symbolic enough" that it will have an "immediate impact" on people's hearts and minds.

If a tariff war ensued, "it would be very damaging for France," says Carl Crook, Managing Director of Montrose Wines, one of China's biggest importers of foreign wine.

France is China's number one exporter of wines. In 2012, the country shipped more than 700,000 bottles to China, more than four times the volume of second-ranked Australia, according to the China Customs Information Center.

Yet Crook believes a tariff war -- if kept brief -- may actually help the bottom lines of China's foreign wine importers in the longer term. From 2002 to 2012, China's total imports of foreign bottled wine rocketed nearly 15,000% to more than 1.3 million bottles. But from 2011 to 2012, growth trickled to an anemic 8%.

"There has been a lot of enthusiastic buying that needs to be depleted," says Crook. "There is excellent inventory to last a short trade war. I'm not as alarmed as I think I should be."

While a quick tariff war might encourage Chinese consumers to drink their imported wine stocks -- and replenish their supplies -- a longer tariff war would have a more ambiguous impact, with potential winners and losers both in China and around the world.

"New world wines are waiting for this opportunity," says Crook. "Australia, Chile, Argentina and South Africa are well positioned." Both Chile and New Zealand recently implemented bilateral trade agreements with China that lowered duties on wine imports to zero percent, he adds.

"I don't think it's a good thing for us," says Judy Leissner, President of Grace Vineyards, a well-known domestic Chinese boutique label that aims to keep volumes at or below two million bottles each year. "Yes, we are in competition with imported wine, but that imported wine helps educate consumers. If consumers are more highly educated then it's better for us all."

Leissner expects a tariff war would only lead to a short-term jump in sales and that big-name, high-volume Chinese wine suppliers like Great Wall, Chang Yu and Dynasty would benefit most.

"If prices rise because of a tariff war, China's wine companies will have less reason to do better," adds Leissner. "Human beings are lazy."

Looking ahead, early August is the deadline to a tariff resolution.

In two months, the EU tariff of 11.8% on Chinese solar panels will rise to an average of 47.6%. If talks fail before then, the EU will decide in December whether to impose duties on panels for a maximum of five years.

"Ideally it would be better for both sides to retreat from their current positions," says Xu of CEIBS. "I understand the European economy is not in good shape, so there is a lot of pressure from domestic lobbies for protection from other countries."

"In the end, both will yield some inches," says Xu. "There is no winner in a trade war."

@highlight

China launches anti-dumping, anti-subsidy inquiries into European wine imports

@highlight

Probe seen as retaliation for EU tariffs on China-made solar panels one day earlier

@highlight

France is China's top wine exporter, Australia distant second

@highlight

EU tariffs on Chinese solar panels set to rise in August if no resolution achieved