(CNN) -- Mary Peterson of Des Moines, Washington, doesn't believe the vaccine for the novel H1N1 flu has been studied enough to get it for herself and her daughters, who are 1 and 3 years old.

Mary Peterson's daughters, 3 and 1, will not be getting the new vaccine, she said.

"I wrestled with it," she said. "I think the side of caution in this case is just waiting until we have more information."

Peterson is one of many parents who are discussing -- whether in real life or on Twitter -- their skepticism of the vaccine. The vaccine is being distributed as an intranasal spray this week, and will arrive next week in injection form, said Dr. Thomas Frieden, director of the  Centers for Disease Control and Prevention, earlier this week.

The CDC and other public health authorities say the new vaccine is safe, and are encouraging everyone to get it, especially those in high risk groups. But experts acknowledge that many people struggle with the decision.  Take a quiz about H1N1 flu »

"I bet half the people in the country have concerns," Dr. Mehmet Oz, host of the "Dr. Oz Show" and professor of surgery at Columbia University, told CNN's Anderson Cooper earlier this week.

"Be knowledgeable, though, that the H1N1 swine flu vaccine is built on a chassis of the older original seasonal vaccine. So, it should have similar risks, which have proven to be very low," he said.

Priority groups for the vaccine include pregnant women, caregivers and household contacts of children younger than 6 months, people between the ages of 6 months and 24 years, and anyone ages 25 to 64 with existing health problems, according to the CDC.

A recent survey from the Harvard School of Public Health found that just 40 percent of adults say they are "absolutely certain" they will get the H1N1 vaccine. An additional 41 percent said they "will not get it," and the rest of the sample had various degrees of certainty. iReport.com: Are you getting the vaccine?

"You've got a significant group of people who at the moment wouldn't do it," said Robert Blendon, professor of health policy and political analysis at the Harvard School of Public Health, who led the study. Still, nearly 60 percent of those who say they don't think they'll get vaccinated would change their minds if there were sickness or death in their community, the study found.  See H1N1 in your geographic area »

Moreover, 51 percent of parents said they were "absolutely certain" to get it for their children. Again, about 60 percent of the skeptical parents would change their mind in the event of community sickness and death.

One major group of people who say they probably won't get the vaccine are those primarily concerned about safety, Blendon said.

Peterson isn't against all vaccines -- she and her daughters have already gotten the seasonal flu vaccine, for example. But she is concerned about mercury in some of the new vaccine varieties. Thimerosal, a mercury preservative found in the multi-dose vial H1N1 vaccines, has been controversially linked to autism, though no studies have proved that theory. Peterson said she is also concerned about the toxicity of mercury.

But the CDC says there is no evidence that thimerosal is harmful to pregnant women or fetuses. Vaccine companies are making vaccine types for both seasonal flu and H1N1 flu without this mercury-based preservative.

The other main reason that people cite for not getting the vaccine is that they do not believe they are vulnerable to the disease, Blendon said.

Crystal Fincher, who works in sales in Seattle, Washington, has both safety and vulnerability in mind. She has decided against vaccinating herself and her 12-year-old son both because she doesn't believe there is enough safety information about it, and because she doesn't think she and her son are in high-risk groups.

Fincher said her son's own physician told her the risks of combining the new H1N1 vaccine with his other scheduled vaccines -- for example, tetanus and diphtheria -- are not yet known.

"I just don't feel like there's a risk of having a complication from swine flu is high enough to proceed to taking that, but I would be open in the future once there was more data available," she said.

Teresa Rogers, a pharmacy technician in Rockford, Michigan, said she will not be getting the swine flu vaccine because she believes it has not been tested enough. Her children, who are grown, will probably not get it either, and her co-workers at the pharmacy are split.

"I'm not going to be a guinea pig," she said.

But Karen Walrond, a photographer and writer in Houston, Texas, said she will vaccinate her 5-year-old daughter, whose asthma flares up as a result of colds and flus. "We will probably go ahead and risk it," she said.

Walrond herself will probably also get vaccinated, if only "in moral support" of her daughter, she said.

Oz said he will get the vaccine, but his wife will not, and the kids will go along with her, as in most families.

"I think we're going to have this battle within American families and within our culture. It should be a productive one, though," he said. "It's about getting the middle mass of Americans to say, 'You know what, this is what I think: I'm going to go with the system and get the vaccine.' "

@highlight

Dr. Mehmet Oz: "I bet half the people in the country have concerns"

@highlight

The H1N1 vaccine is made with the same process as the seasonal flu shot

@highlight

Survey: Only 40 percent of adults are "absolutely certain" they will get vaccine

@highlight

Two key issues for skeptics are the safety of vaccine and their own vulnerability