Beijing (CNN) -- China is a country where the rule of law is selective and often unjust.

One source of injustice is the 50-year-old system known as "laodong jiaoyang," or re-education through labor.

Under this system, tens of thousands of offenders are imprisoned in China without trial.

A United Nations Human Rights Council report estimates that some 190,000 Chinese were locked up in 320 re-education -- or "laojiao" -- centers in 2009. That is in addition to an estimated 1.6 million Chinese convicted in regular courts and held in the formal prison system.

The "re-education through labor" system dates back to the 1950s when the newly established communist regime swept up "counter-revolutionaries" and "class enemies" to maintain order.

Today it empowers police to jail accused offenders -- from petty thieves and prostitutes to drug abusers -- for up to four years without a judicial hearing.

Though the practice is supposedly meant for only minor offenders, critics of the system say it is often used as a tool to persecute government critics, including intellectuals, human rights activists and followers of banned spiritual groups like the Falun Gong, and is a major source of human rights violations.

Professor Yu Jianrong, a scholar at the Chinese Academy of Social Sciences, a government think-tank, acknowledged that the system "has played a certain role in maintaining social order and in preventing and reducing crime." However, he added, "as a compulsory re-education administrative measure, it is against the concept of law, lacks legal basis and is contrary to the principles of fairness and justice. It will cause political consequences if this system is not abolished."

Beijing officials say some rethinking is underway.

In a press conference last week, Jiang Wei, a senior official of a government taskforce on judicial reform, said the government was preparing to revamp but not abolish the system. Chinese society, Jiang said, has "reached a consensus on the need to reform the re-education through labor system."

Opinion on Chinese social media confirms that.

On the Sina Weibo micro-blogging site, an informal poll last week showed 97% of the nearly 13,000 respondents voted that "the laojiao system must be rescinded." Only 3% opined that it is "very good, very practical and must not be rescinded."

Public criticism of the practice resurfaced last August after Tang Hui, a woman in Hunan province, was sentenced to 18 months in a labor camp after she agitated for justice for her 11-year-old daughter who was allegedly abducted, raped and forced into prostitution by seven men.

Tang's plight earned support among lawyers, intellectuals, bloggers and even the mainstream media.

Ten lawyers wrote an open letter to government agencies, arguing that the system was neither transparent nor well-supervised.

"Current regulations do not require the laojiao management committees to release a written verdict to explain how their decisions were made, so it's difficult to know if a decision was fair," complained co-signatory Li Fangping, a Beijing lawyer.

Within a week, Tang Hui was released.

Wang Xixin, a Peking University law professor, supports the reassessment of the laojiao system. "The way it's implemented, looking at the deprivation and restriction of the citizens' personal freedom and the lack of openness, fairness and impartiality and procedural safeguards, the system itself needs to be reformed."

Chinese ex-convicts who have survived years in laojiao camps have bitter memories.

"It was physically exhausting and psychologically tough because isolation and starvation are always part of daily life," recalled a government functionary who was jailed for four years. In the camp, he said he was assigned to work in a vehicle-repair workshop.

Does the system work in re-educating convicts? "It's hard to say," he said. "Different people take different lessons from their experiences, but most people leave the camp still hating the system or the government.

"Reform is always a good idea, but you cannot do it without changing the whole legal system."

Reformers propose the abolition of the laojiao system, but hardly anyone expects that to happen soon.

The Chinese leadership remains divided about law reform and other aspects of political reform.

Faced with growing social unrest and political instability, China's leaders have increasingly relied on criminal and administrative punishment to contain rising demands for social justice, clean government, political transparency and accountability, especially among those left behind and marginalized.

Some legal experts agree that the system will take some time to change.

"The laojiao system should not be completely abolished," said Jiang Ming'an, professor at Peking University. "Instead it should be adapted and reconstituted. We need to take into account the protection of social order and maintenance of social stability."

A microblogger named Sanxiasheng agreed and tweeted: "If re-education through labor is abolished, you will see more gangsters around the neighborhoods."

Ma Huaide, a professor at China University of Political Science and Law, likened the laojiao system to an ax. "The ax may serve as a weapon, but we need not destroy all the axes," Ma said. "The key is to supervise the hand that holds it."

But Yu Jianrong, the researcher at the Chinese Academy of Social Sciences, unequivocally rejects the laojiao system. "It goes against the legal system, undermines the law and harms social justice," he posted on social media.

"It serves as the local authorities' tool of reprisal in the name of maintaining stability. It has to be abolished immediately."

China-watcher Anthony Saich said the planned reform of the system was "long overdue" but would proceed gradually.

"As with most reforms in China, the policy thrust is to be cautious and experiment first both for people to get used to the change and then to assess whether it has been successful," Saich, a professor of international affairs at Harvard Kennedy School, explained.

"I would imagine it will lead over time to its abolition."

@highlight

China has hinted it's rethinking its system of "re-education through labor"

@highlight

In 2009, around 190,000 Chinese were locked up in 320 centers, according to a UNHRC report

@highlight

System dates back to the 1950s when communist regime swept up "counter-revolutionaries"

@highlight

Accused offenders can be jailed for up to four years without a judicial hearing