(CNN) -- If humanitarian crises were listed by some sort of moral -- or editorial -- standards on the stock exchange, to help indicate which ones urgently require international news coverage and political action, shares of the situation in the Democratic Republic of the Congo (DRC) would have commanded international news headlines and extensive press coverage over the past 12 years.

The U.N. has labeled the DRC, Africa's second largest country, as the "rape capital of the world" because of the pace and scope of the use of rape as a weapon of war by proxy militia gangs fighting for control of Congo's easily appropriable and highly valuable natural resources, destined for sale in Europe, Asia, Canada and the United States.

The wars in that country have claimed nearly the same number of lives as having a 9/11 every single day for 360 days, the genocide that struck Rwanda in 1994, the ethnic cleansing that overwhelmed Bosnia in the mid-1990s, the genocide that took place in Darfur, the number of people killed in the great tsunami that struck Asia in 2004, and the number of people who died in Hiroshima and Nagasaki -- all combined and then doubled.

Yet we rarely hear anything about it. Indeed, one only need contrast media coverage of the latest Israeli airstrikes on the Gaza strip and Hamas rocket attacks into southern Israel, which have made front pages around the world, to the stunningly limited media coverage afforded to graphic accounts of atrocities committed that same week by M23, the newest militia gang terrorizing the local population.

Desperate families flee Congo

The same trend has been observed in the extensive coverage of the on-going, fast-moving and difficult-to-report civil war in Syria, which has claimed nearly 40,000 lives.

M23's murderous campaigns to besiege Congo's eastern mineral-rich provinces of North and South Kivu have left over 200,000 people in terrible conditions, killed countless and ushered in a dire humanitarian transgression.

The Rwandan government has been accused by the United Nations of backing M23 by providing it with arms, support and soldiers, but Rwanda's President, Paul Kagame, has denied the allegation.

The question here is not whether the human suffering in Congo deserves more media coverage because it is greater than that in Syria or Gaza, but rather, why has the crisis in Syria or Gaza qualified for extensive media coverage, but not the killing and raping industries in Congo?

I doubt that this is because of a shortage of sobering imagery of Congo's killing fields or a lack of first-hand testimonies from survivors, or a lack of human rights and humanitarian reports and assessments of the situation.

Is it due to the geographical or cultural distance between London or Washington and Congo? Or are Western media just reluctant, if not uninterested, to cover it because no Western interests or ally is endangered by it?

Would the coverage the situation in Congo receives be the same if it was happening in Europe or if Congo spoke English rather than French?

What if Robert Mugabe of Zimbabwe or his disciples were implicated in funding murderous militia gangs in Congo? Or if the killing was between black Africans and Arabs? Or if minerals funding Congo's killing and raping industries benefited the East more than the West?

But as an activist, I believe that the editors of news organizations such as CNN, Al Jazeera and the BBC must flood the airwaves with vivid images and news stories on the human sufferings in Congo. Newspapers such the Guardian, in the UK, and the New York Times must drumbeat front-page news stories on the wars and human tragedy engulfing that country.

Unless they tip that balance a little and force policy makers in Washington and internationally to pay more attention and act, the killing, raping and looting that have thus far claimed over 5.4 million Congolese lives, and continue to leave 1,100 women raped every single day, could continue to unfold undetected by the camera lenses of Western media and excluded from Western political agenda.

The opinions expressed in this commentary are solely those of Vava Tampa.

@highlight

Vava Tampa: Why does crisis in Syria get extensive media coverage, but not the killing in Congo?

@highlight

M23 is the newest militia gang terrorizing the local population

@highlight

Conflicts in DR Congo estimated to have claimed more than 5.4 million lives