Damascus, Syria (CNN) -- The United States has concluded Syria carried out chemical weapons attacks against its people, President Barack Obama said Wednesday, a claim that comes amid a looming diplomatic showdown over whether to strike against Bashar al-Assad's military.

Obama's declaration to "PBS NewsHour" came at the end of a day that saw Russia and China walk out of a U.N. Security Council meeting as word surfaced Britain planned to pursue a resolution to authorize the use of force against Syria, even as United Nations weapons inspectors were in Syria assessing whether chemical weapons have been used.

"We do not believe that, given the delivery systems, using rockets, that the opposition could have carried out these attacks. We have concluded that the Syrian government in fact carried these out," Obama told "NewsHour."

"And if that's so, then there need to be international consequences," the president added.

Obama said that he has "not made a decision" about whether to conduct a military strike in Syria.

Allegations of a chemical weapons attack carried out by al-Assad's forces in a Damascus suburb last week triggered the international machinations, which have been growing as body counts on both sides in the more-than-2-year-old civil war have increased.

Those who claimed to have survived the alleged chemical weapons attack described a horrific scene in the town of Zamalka.

"After the chemicals, they woke us up and told us to put masks on," a 6-year-old boy said, describing the alleged attack.

"I told my dad I can't breathe. My father then fainted and I fainted right after that, but we were found and taken to the emergency room."

CNN obtained video of the boy and others who made the claims to a journalist in the area.

Al-Assad's government has blamed rebels for carrying out the attack, a claim that Obama told PBS was impossible.

"We have looked at all the evidence, and we do not believe the opposition possessed ... chemical weapons of that sort," he said. "We do not believe that, given the delivery systems, using rockets, that the opposition could have carried out these attacks."

In the video obtained by CNN, one man claimed he evacuated two dead bodies during the attack. "Then there was another explosion. I couldn't breathe, I had cramps and I couldn't see. The doctors helped me."

The horror of the attack on civilians has jolted the world into potential action on a crisis that has killed more than 100,000 people, according to the United Nations.

Last week was not the first time chemical weapons are believed to have been used in the conflict. But it was by far the worst.

'Red line' debate: Chemical weapons worse than attacks?

"Syria is now undoubtedly the most serious crisis facing the international community," Lakhdar Brahimi, U.N. and Arab League special envoy to Syria, said Wednesday in Geneva.

"It does seem that some kind of substance was used that killed a lot of people," he said. The death toll could be in the hundreds, or possibly more than a thousand, he said.

Brahimi said the crisis in Syria shows how important it is "for the Syrians and the international community to really develop the political will to address this issue seriously and look for solutions for it."

NATO also followed suit with a warning of its own Wednesday.

"The Syrian regime maintains custody of stockpiles of chemical weapons. Information available from a wide variety of sources points to the Syrian regime as responsible for the use of chemical weapons in these attacks. This is a clear breach of long-standing international norms and practice.

"Any use of such weapons is unacceptable and cannot go unanswered. Those responsible must be held accountable. We consider the use of chemical weapons as a threat to international peace and security," NATO said in a statement. Some Syrians have told CNN they doubt their government used chemical weapons.

'Not warmongers'

Syrian Ambassador to the United Nations Bashar Jaafari lashed out Wednesday at the warnings and threats.

"We are not warmongers. We are a peaceful nation seeking stability in the area because instability would serve the Israeli interests," he told reporters at the U.N. headquarters in New York.

"We are in a state of war," and preparing for the possibility of such a scenario, he said. "The Syrian government is looking for stability."

Jaafari accused rebels of obtaining material to produce chemical weapons "from outside powers -- mainly speaking, Turkey, Saudi Arabia and Qatar."

Intervening in Middle East turmoil: Mission impossible?

In a letter to the United Nations, Syria asked for the U.N. weapons inspectors to stay in the country beyond their weekend deadline, Jaafari said.

U.N. Secretary-General Ban Ki-moon did not address the letter directly but seemed to ask for a reprieve Wednesday for the sake of the inspectors. "The team needs time to do its job," he said from The Hague, where he visited the International Criminal Court.

He said the inspectors had already collected valuable evidence.

'Groundless excuses'

Russia, a close ally of Syria, is expected to use its veto power to block a resolution, setting up a possible diplomatic showdown.

Foreign Minister Sergey Lavrov insists there is no proof yet Syria's government is behind the chemical weapons attack.

The ministry accused Washington of trying to "create artificial groundless excuses for military intervention."

"The West handles the Islamic world the way a monkey handles a grenade," Russian Deputy Prime Minister Dmitry Rogozin tweeted.

Missile strikes on Syria likely response to chemical attack

China, which also has a permanent seat on the council, would also probably object to military measures.

"It's time that the United Nations Security Council shouldered its responsibilities on Syria, which for the past two and a half years it's failed to do," British Foreign Secretary William Hague said Wednesday.

He added that even if China and Russia veto a resolution, "We and other nations still have a responsibility" to act.

Iranian Foreign Minister Mohammad Javad Zarif, meanwhile, warned of "graver conditions" if strikes are carried out against Syria.

"If any country attacks another when it wants, that is like the Middle Ages," he said.

Who wants what after chemical weapons horror

Syria: Chemical weapons -- how did we get here?

U.S. ruled out ground troops

For almost two years, Obama has avoided direct military involvement in Syria's bloody civil war as the death toll skyrocketed to more than 100,000, according to U.N. estimates.

But Obama had warned that a chemical attack would cross a "red line."

The White House previously ruled out sending ground troops to Syria or implementing a no-fly zone to blunt al-Assad's aerial superiority over rebels.

Syria strikes could worsen war, analysts say

Brahimi said international law requires that that the Security Council approve military action.

"I do know that President Obama and the American administration are not known to be trigger-happy," he said. "What they will decide I don't know."

Outside of the United Nations, a military coalition is taking shape among Western powers.

France has also signaled it would join Western military intervention against forces supporting al-Assad.

President Francois Hollande said France is "ready to punish those who made the decision to gas these innocent people."

The French Parliament will hold a session next week to debate the situation in Syria.

German Chancellor Angela Merkel and British Prime Minister David Cameron spoke by telephone Wednesday about the crisis.

"Both agreed that comprehensive use of poisoned gas against the Syrian civil population has now been proven sufficiently and that the Syrian regime has these corresponding poisons, the know-how for their use and the carriers to deploy them," according to a statement released by German spokesman Steffen Seibert.

"Both agreed this is a break in the already long ongoing internal conflict and that it cannot continue unpunished therefore an international reaction is inevitable. Both hope no member of the Security Council will close their eyes to this crime against humanity and that the corresponding consequences will be decided."

Britain's Parliament, meanwhile, is voting on a motion Thursday that would rule out any consideration of possible military action until the United Nations chemical weapons inspectors explain their findings to the U.N. Security Council.

After the inspectors have made their findings, members of Parliament would be required to take another vote, according to the motion being put forward.

Meanwhile, Iran is sending a delegation to Syria on Saturday to "study the latest developments," the semi-official Fars News Agency reported Wednesday, citing a senior parliamentary lawmaker.

The visit will examine "Syria's conditions and showing support for the Syrian government and nation after the recent US threats," Seyed Hossein Naqavi Hosseini, parliament's national security and foreign policy commissioner, told the news agency.

Opinion: For U.S., Syria is truly a problem from hell

Syria diplomacy: Why Jordan wants military meeting to be hush-hush

CNN's Frederik Pleitgen reported from Syria. CNN's Josh Levs and Chelsea J. Carter reported from Atlanta. CNN's Ben Brumfield Hamdi Alkhshali, Jomana Karadsheh, Boriana Milanova, Chris Lawrence, Jim Acosta, Samira Said, Joe Sterling, Elise Labott, Jill Dougherty and Saskya Vandoorne contributed to this report.

@highlight

NEW: Germany and Britain agree "Syria cannot continue unpunished"

@highlight

President Barack Obama says no decision has been made on Syria strike

@highlight

Obama tells PBS that Syria carried out chemical attacks

@highlight

Syria says rebels obtained materials for chemical weapons from other countries