(CNN) -- When a massive, muscle-bound American football player announced this weekend that he is gay, we watched yet another brick crumble in the monolith of American prejudice. To some, Michael Sam's words might have come as a shock, but most Americans know the country is in the midst of a fundamental social shift, one that conjures images of a different place.

Where? Well, if you traveled from the United States to the Netherlands a few years ago, what you saw -- and smelled -- in the streets of ultra-liberal Amsterdam probably shocked you. Young people smoking joints in an open-air cafÃ©, gay couples holding hands on the streets and people of all ages not batting an eye about any of it gave U.S. visitors a novel and exotic experience.

Back then, the United States and the Netherlands stood on opposite sides of the front line of the social wars. Not anymore. It's not because the Netherlands has changed. It is the United States, the American people, who have changed.

The transformation in U.S. public opinion, increasingly reflected in legislation, has narrowed what was an enormous gap between the two countries. Change is coming at such a fast, accelerating rate that one wonders, is America turning into the Netherlands?

I will save you the trouble of answering. No, but there is no denying there is a visible convergence on key issues.

As a frequent visitor to the Netherlands for many years, I can tell you that the disbelieving questions I used to face about America's puritanism have become much less frequent. (Others, mostly about guns in America, have not abated.)

In the summer of 1998, then-U.S. drug czar Barry McCaffrey triggered an unseemly diplomatic skirmish during a fact-finding visit to the Dutch capital. The four-star general, charged with leading America's war on drugs, tensed up as he saw the smoke wafting out of perfectly legal pot-selling cafes in Amsterdam. He surveyed the permissive drug environment and publicly judged Dutch drug policy an "unmitigated disaster."

Dutch government officials responded with a barrage of statistics to prove the visitor wrong, and coffee shop customers declared McCaffrey had no idea what he was talking about.

The general may have been too focused on the drug situation to notice what was happening on the same-sex marriage front in the Netherlands. Perhaps he would have found that also disastrous. The parliament had just approved an innovative concept of "registered partnerships," allowing couples, gay and straight, to be treated more or less the same as their legally married counterparts.

In the United State then, during the 1990s, the weapon of choice in the Republican arsenal was "family values." The approval of same-sex marriage was about as likely in the United States as, say, Russian President Vladimir Putin officiating a gay wedding in Sochi today.

The 1992 and 1996 Republican conventions, which I attended as part of the CNN team, were choreographed carnivals of anti-gay invective.

It wasn't just Republicans. By substantial majorities, Americans opposed gay rights and, incidentally, strongly supported drug laws outlawing marijuana use.

In a CNN poll in 1998, a majority said they believed gay people can change their sexual orientation if they chose to do so.

But at the same time, American views were beginning to budge. Just as President Barack Obama's public embrace of same-sex marriage gave a boost to popular support, Bill Clinton sensed an increase in acceptance and tried to propel change with an effort to end the ban on gays in the military.

The reaction would have been laughable had it not been so outrageous. Sam Nunn, then the Democratic chairman of the Senate Armed Services Committee, toured a submarine, expertly examining the bunks where sailors slept in close quarters. Obviously, the tour indicated, gay men would find the temptation of nearby sailors simply irresistible. Clinton changed course, approved the military's "don't ask, don't tell" policy and signed the Defense of Marriage Act, both of which caused enormous injustices, both of which stayed in place until recently.

In 2001, George W. Bush took office, invigorating Republicans. That same year, the Netherlands became the world's first country to legalize same-sex marriage. The day the bill became law, Amsterdam's mayor became a registrar and personally officiated the country's first such wedding.

A Pew Research Center poll clocked support for same-sex marriage among Americans then at just 35%.

Despite the head winds, the battle for equal rights has not stopped, not in the United States, not in other corners of the world. As the German philosopher Georg Hegel explained more than 200 years ago, history itself is the progress of the consciousness of freedom.

It can be slowed. It can be delayed. But it cannot be stopped.

Today, America looks like a different country. In fact, in many respects it looks very much like the Netherlands.

Today, a majority of Americans support same-sex marriage, which is legal in 17 states and the District of Columbia. And that majority is sure to continue growing, because the numbers are overwhelming among young people. Even the legalization of marijuana, which is picking up legal support around the country, enjoys majority support.

Does that mean America is becoming more liberal? Not really.

In the Netherlands, the driving philosophy is one of tolerance and compromise. In the United States, the shift reflects a closer alignment with the country's historic embrace of freedom from the government. The "family values" efforts to legislate morality run counter to that libertarian notion of freedom. Liberals have always been more comfortable with the differences between people. And conservatives are increasingly redefining their stance on a number of social issues, concluding that different people can live different lives. The government should not interfere.

There are many other factors, of course. Activists have worked persistently to educate the public. And the entertainment industry has played an important role.

And the changes in America are echoes of a global trend. Secular, affluent countries tend to be more accepting of different lifestyle choices. Homosexuality is gaining acceptance in the West, while it is overwhelmingly condemned in Muslim countries, and in sub-Saharan Africa.

The Western world's attitude toward drugs is changing. "Hard" drugs and addiction are seen more as a disease than a moral failing. Marijuana, once demonized, is increasingly viewed as less harmful than alcohol.

There are many areas in which progressive Western nations, such as the Netherlands, are still sharply different from the United States. Differences over gun policy will likely persist, while views over contentious topics such as the right to die are likely to converge. For America, the driving force behind the transformation is found in a changing definition of the meaning of freedom.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: The Netherlands once seemed permissive to U.S. on pot, same-sex marriage

@highlight

But changes in public opinion, laws have narrowed social gap in the two countries

@highlight

She says "family values" stance conflicted with libertarian notion of freedom

@highlight

Ghitis: U.S. differs with many nations on gun issue, but definition of freedom shifting