(CNN) -- Jon Meacham is quick with a quip when asked why he decided to write a biography of Andrew Jackson.

Andrew Jackson is the president of his time who is "most like us," says biographer Jon Meacham.

"Any president who tried to attack his own assassin is worth writing about," Meacham says.

But Meacham quickly turns serious when tallying the seventh president's historical importance -- and personal flaws.

"He is the president [of his era] most like us," the Newsweek editor says in a phone interview from Charleston, South Carolina. "He was capable of great grace, but he could also be terribly cruel. ... In his complexities, I saw our own."

It's those kinds of contradictions that have kept historians revisiting Jackson for the past 175 years, and got Meacham going on "American Lion" (Random House). Jackson was the first president not from Virginia or Massachusetts, a frontiersman and general not connected to the Founding Fathers or Washington aristocracy. He was viewed with distaste by some, admiration by others.

Some Washington colleagues, including Kentucky congressman Henry Clay, believed he was little more than an erratically tempered hick with dictatorial impulses.

"I cannot believe that the killing of 2,000 Englishmen at New Orleans qualifies a person for the various difficult and complicated duties of the Presidency," Clay once said, referring to Jackson's victory at the 1815 Battle of New Orleans.

But he also was the subject of hero worship among citizens who admired him for his military leadership, his steadfast loyalty to national ideals, and the fact that he wasn't what would now be called a "Washington insider."

Meacham, who had access to a trove of heretofore-unreleased letters from Jackson intimates, sees him as closer to the latter.

"He could use his passions and temper to his ends, or he wouldn't have been president," Meacham says. "I don't believe he could have been president, even in 1828, if he were a wild man."

Jackson obviously still inspires fascination today. Meacham's biography has been high on the New York Times bestseller list since it came out in mid-November.

As portrayed by Meacham, the president was not without wounds. Some were psychological: He "never recovered from being an orphaned little boy," says Meacham.

Some were political: He saw himself as the victim of a "corrupt bargain" in the 1824 election, in which he had won a plurality -- but not a majority -- of popular and electoral votes in a four-way race. By law, the election was thrown to the House of Representatives, where the presidency was awarded to John Quincy Adams (with, Jackson believed, the conniving of Henry Clay, who became Adams' secretary of state).

And some were both. Jackson married his wife, Rachel, before she was officially divorced from her first husband, unbeknownst to either of them; when she died at 51 just after the 1828 election of a heart attack, Jackson blamed the stress on the attacks of the national press, which had found out about her past. Indeed, Jackson's own health was often questioned, and some observers wondered if he would survive his first term.

A number of Jackson's policies still bother historians, most notably his instigation of "Indian removal," which forced Native American tribes from their homes east of the Mississippi River. Ironically, Jackson was friendly with a number of Native chiefs, but he was determined to open their lands to white settlement.

But Meacham finds much to admire in the seventh president. Though a religious man, he was a strong believer in the separation of church and state, "which was unusual for a man of his background," Meacham says. (He also didn't trust ministers; during his first term, one reason for a cabinet crisis was a clergyman's whispering sanctimony.)

And Jackson's passion came in handy, whether in shutting down the Bank of the United States (which he saw as a rival power center and a tool of the wealthy) or simply staying alive. When a deranged painter attempted to shoot him near the U.S. Capitol in 1835, Jackson -- as Meacham says -- attacked the man. (He also won a duel in 1806, killing a man named Charles Dickinson; he carried Dickinson's bullet in his chest for the rest of his 78 years.)

This was also the man who, upon leaving office in 1837, purportedly said he had only two regrets: "that I have not shot Henry Clay or hanged [former Jackson vice president] John C. Calhoun."

Though duels are no longer in vogue, Meacham says Jackson can still provide a template for the new occupant of the White House. Indeed, he says, Barack Obama would be wise to use Jackson's most noble passion: his belief in the power of the common man, which to Jackson was more than mere words.

"As long as our government is administered for the good of the people, and is regulated by their will; as long as it secures to us the rights of persons and of property, liberty of conscience, and of the press, it will be worth defending," Jackson once observed.

"[Obama should] keep people connected," says Meacham. "People want to be a part of things."

@highlight

President Andrew Jackson subject of new biography, "American Lion"

@highlight

Seventh president a man of contradictions, also modern in many ways

@highlight

Author Jon Meacham finds much to admire in Jackson's passion