Dallas (CNN)It has been almost one year since Corey Knowlton bid $350,000 for a hunting permit issued by the government of Namibia to hunt an endangered black rhinoceros. He hasn't gone on the hunt and it's still not entirely clear if he will ever shoot the animal.

The controversial auction, held inside the Dallas Convention Center on a chilly Saturday evening in January, sparked a contentious debate over the best way to protect the species that has been brought to the edge of extinction because of humans' appetite for its horn, which is used for daggers, ornaments and, in Asia, traditional medicine.

The auction became so heated that both Knowlton and the auction organizers feared for their safety after receiving strings of death threats that were investigated by the FBI.

The Dallas Safari Club sponsored the auction, and billed it as a fundraising effort to help save the endangered species in Africa.

Biggame.org and Knowlton said the auction was done in the name of conservation, to save the threatened black rhinoceros.  All proceeds were to be donated to the Namibian government and earmarked for conservation and anti-poaching efforts, according to club officials and the Namibian Ministry of Environment and Tourism.

Animal welfare groups strongly oppose the auction's conservation approach, and call the "kill it to save it" rationale misguided and outrageous.

In spring, Knowlton applied for a permit from the U.S. Fish and Wildlife Service that would enable him to import the "trophy" parts of the animal's body at the completion of the hunt in Namibia. The hunt would be organized and overseen by the Namibian authorities.

"In my opinion, I thought it would have happened by now," Knowlton told CNN in an exclusive interview, when asked if he was surprised that the permit process has taken so long.

Knowlton said he is waiting to see what will happen with the permit request before he makes his decision whether to move forward with the hunt.

"Namibia wants us to come and participate in the hunt desperately," Knowlton said.

"The entire point of the auction in the United States was to be able to import the carcass, the remains of the black rhino into the United States. That's why they had the auction here, in the hopes that it would bring more money to conservation than the previous permits they have sold in Namibia."

In addition to importing the rhino "trophy," Knowlton also plans to distribute the rhino meat to Namibian villages after the hunt.

The Endangered Species Act requires the U.S. Fish and Wildlife Service to determine that the import will enhance the species' survival and not be "detrimental" to the survival of the species.  The act also requires that any federally authorized activity may not jeopardize the continued survival of the species in any way.

"The service looks closely at the individual circumstances of each import application, including the biology of the species, its current status in and beyond the country where the hunt will take place, and the threats it may be facing, as well as the overall management program for the species in that country, where the funds for the hunt will go and how they will be used," said Gavin Shire, chief of public affairs for the U.S. Fish And Wildlife Service.

The U.S. Fish and Wildlife Service said it received over 15,000 public comments opposing the permit in the 30-day allocated comment period on its federal register, which closed on December 8.  Many of the comments were "identical or near identical form letters arguing to 'save the last of the black rhinos ... from American trophy hunter's greed and vanity.' "

Shire said all the comments will be "examined for substantive information," and was unable to provide a time frame for when the service will make a decision on the permit.

Helping or hurting the species?

Animal conservationists estimate there are  5,000 black rhinos in the world, about 2,020 of which are in the southern Africa nation. They are considered a "critically endangered species" by wildlife organizations around the world.

5 white rhinos left in the world

Dr. Michael Knight, chairman of the International Union for Conservation of Nature African and Asian Rhino Specialist Groups, said the Namibian black rhino populations have been performing very well, growing at a very healthy 7% per year, thanks to conservation efforts.

"In population terms it's of minor significance, as we are talking about one old bull that would have contributed genetically to the rhino population already. In monetary terms, it's important as it generates funds that go directly into the Wildlife Products Fund that feeds 100% back into rhino conservation," Knight said.

Knowlton stressed that the rhinos picked for hunting have no benefit to the population at large, and are in fact "a detriment to the population."

"The animals chosen are earmarked ... at the end of their life.  They are not going to help the enhancement of the black rhino species in any way. This way there is a chance that the death of that animal helps the entire species."

Knowlton said by raising money from hunters like himself, the Namibian government can use the money for much needed "anti-poaching" resources and "habitat enhancement."

But sacrificing one animal for the greater good of the endangered species is a move that critics and animal conservation groups call "perverse" and a "sad joke."

"They need to be protected, not sold to the highest bidder," said Jeffrey Flocken of the International Fund for Animal Welfare.

"It's a farce to say that this is being done for conservation," Flocken said. "It's saying the rarity of this animal is worth more dead than alive."

Several groups such as Flocken's argue it would be better to use these rhinos to promote wildlife viewing and ecotourism by charging people for the experience of seeing one of these ancient beasts up close in the wild.

"It also sends a dangerous message that these iconic and disappearing animals are worth more as dead trophies to be mounted and hung on a wall in a Texas mansion than living in the wild in Africa," Flocken said.

Namibia was the first African country to incorporate protection of the environment into its constitution, and said its conservation program has contributed to it having the largest free-roaming population of black rhinos in the world

The Dallas Safari Club obtained the hunting permit from the Namibian government, which would oversee every aspect of Knowlton's expedition.  It's the first time a black rhino hunting permit has been auctioned outside the country.

In recent years, the Namibian Ministry of Environment and Tourism, which oversees the protection of the black rhinos, has allowed three permits a year.

In a 2013 letter to the Dallas Safari Club, the Namibian government said, "To hunt a black rhino is not taken lightly by Namibia. ... Only old geriatric bulls, which are marginalized in the population and do not contribute to reproduction, are trophy hunted."

'It really is a dilemma'

The biggest threat to these massive beasts is poachers across the African continent. Rhino horns are lucrative on the black market. In Asia, where there are claims it can treat everything from headaches and food poisoning to rheumatism and cancer, horns can fetch up to $60,000 per kilogram, putting the value somewhere between gold and pure cocaine.

In the 1980s, the black rhino population had dwindled to just a few dozen. Conservation efforts have slowly helped increase herd numbers, but poachers are still a threat.

Marcia Fargnoli, chief executive officer of the Save the Rhino Trust in Namibia, which works with the government to fight poachers, said the group has tried to persuade the Namibian government to stop issuing hunting permits.

But a poor African country like Namibia, where the World Bank estimates the gross per capita income to be less than $6,000, struggles to fund conservation efforts, Fargnoli said. It's difficult for the government to ignore the chance to raise so much money so quickly.

"I really believe every rhino counts," said Fargnoli. "It really is a dilemma. ... But I really struggle to say I'm saving rhinos and then say that one can be hunted."

Knowlton hosts the hunting show "Uncharted" on The Outdoor Channel and he also organizes high-end hunting adventures around the world.

He described himself as a "passionate conservationist," and stressed that animal lovers should research the facts before having "emotional" reactions.

There is no doubt in his mind that what he is doing is extremely important in helping the black rhino species in the long run.

"The Namibian government is looking at it in a sustainable way.  And I believe hunters at large are looking at it as a way to maintain a population in a sustainable way."

@highlight

After nearly a year, hunter who bid $350K to bag a rhino hasn't hunted

@highlight

Namibian government says it's fine for him to kill an old, unneeded bull

@highlight

But U.S. Fish and Wildlife Service hasn't approved his plan to bring trophy parts home