How many ways can political reporters, pundits and book reviewers write that Hillary Clinton's memoir "Hard Choices" is devoid of salacious details or titillatingly news?

Many, apparently.

John Dickerson, Slate's chief political correspondent, wrote that it was "risk-free telling of Clinton's world travels" and Ana Navarro, a CNN Republican pundit, described it as "50 shades of boring."

The New York Times book review was even more stark: "There is little news in the book."

Clinton's book is a thorough retelling of her time as America's top diplomat, not a salacious tell-all written by somebody who is done with a life in the public sphere. In a methodical way, Clinton chronicles her time as secretary of state by jumping from hot spot to hot spot, describing each detailed problem as, quite expectedly, a "hard choice."

One of the most telling aspects of the book, however, is what's not in it. Here are the five things that are noticeably absent -- or not discussed in detail -- within the 656 pages of Clinton's "Hard Choices."

Hillary Clinton by the numbers

1. Gossip: Former Secretary of Defense Robert Gates used his tell-all memoir "Duty" earlier this year to blast many of his former colleagues. He wrote that Vice President Joe Biden "has been wrong on nearly every major foreign policy and national security issue over the past four decades" and described President Barack Obama's administration as distrustful and suspicious of military leaders.

The book was a way for the oft-subdued Gates to settle a few scores with Washington as he left to take over the Boy Scouts of America.

Clinton's book is not at all like that. It is careful, measured and thoroughly devoid of backbiting.

Sure, Clinton describes Russian President Vladimir Putin as a "thin-skinned and autocratic" and former Chinese President Hu Jintao as an "aloof chairman of the board," but most of the time Clinton describes people in more diplomatic, less derisive terms.

Putin on Clinton: 'It's better not to argue with women'

Instead of a tell-all, Clinton's book serves as a tome to diplomacy. She sums this up in her chapter on Iran in which she writes, "Engagement and pressure. Carrots and sticks. This is the nature of diplomacy."

And she sums up the lack of gossip in the book's "Author's Note," which was released weeks before the book came out.

"While my views and experiences will surely be scrutinized by followers of Washington's long-running soap opera -- who took what side, who opposed whom, who was up and who was down -- I didn't write the book for them."

2. Keystone XL pipeline: Zero. That's the number of times Clinton writes about the controversial pipeline, a 1,179-mile-long project that would move oil from Canada to refineries in the United States.

The pipeline has been a hot button issue since it was first proposed in 2008 and more recently as Obama and current Secretary of State John Kerry mull whether to approve the project.

Effort to approve Keystone collapses in the Senate

Republicans have seized on the issue and have hammered Democrats for not approving what they argue is a way to stimulate jobs. Environmental groups contend that the pipeline would be harmful for the environment and just deepen the United States' dependence on fossil fuels.

Though Clinton devotes a chapter of her book to energy and jobs and another to climate change, the pipeline goes unmentioned in both.

Clinton writes in a chapter titled "Climate Change: We're All In This Together" that "America's ability to lead in this setting hinges on what we ourselves are willing to do at home"

"The problems posed by global warming were evident, despite the deniers," Clinton notes. "There was a mountain of overwhelming scientific data about the damaging effects of carbon dioxide, methane, and other greenhouse gases."

Clinton has been hesitant to talk about Keystone since she left State.

At a March event in Vancouver, Clinton declined to comment on the ongoing debate over the pipeline because she said it would be unfair to Kerry, who is currently handling the Keystone question.

"She said it just wouldn't be appropriate to comment. She choose her words really carefully," said Iain Black, the organizer who introduced Clinton at the closed-to-the-press event.

Clinton's State Department was tasked with overeeing whether to approve the pipeline and in a 2010 speech to the Commonwealth Club in San Francisco, Clinton said she was "inclined" to approve it, according to the Washington Post.

3. NSA and Edward Snowden: Clinton gets into very little depth when it comes to Edward Snowden, the former contractor at the National Security Agency who obtained and helped publish troves of documents that have shed light and raised questions about U.S. surveillance practices.

Snowden and the NSA have been one of the biggest national security issues over the last  year, but in her memoir, Clinton devotes only a few pages to the debate and mentions Snowden only three times.

"His leaks revealed some of America's most sensitive classified intelligence programs," Clinton writes before discussing what Snowden revealed and some of the questions he raised. After a few paragraphs, though, Clinton finds herself somewhere between liberty and security and without answering a number of those questions on domestic surveillance.

"With liberty and security, it's not that the more you have of one, the less you have of the other. In fact I believe they make each other possible," Clinton concludes. "Without security, liberty is fragile. Without liberty, security is oppressive. The challenge is finding the proper measure: enough security to safeguard our freedoms, but not so much (or so little) as to endanger them."

A year after Snowden, the real costs of NSA surveillance

4. Boko Haram: In the weeks before the book's release, the Clinton State Department's failure to designate the tribal group that captured more than 200 schoolgirls in April as a terrorist organization was big news.

On Clinton's watch, the State Department -- at the urging of a number of experts on Nigeria and Boko Haram -- decided not to list the group as a foreign terrorist organization, but Kerry, her successor, designated the group as a terrorist organization in November 2013.

Republicans seized on Clinton's decision, especially after a Daily Beast article raised the issue.

But Clinton only mentions Nigeria once and never mentions Boko Haram. She notes, in a short story about Nigeria, that "corruption was the major impediment to growth in most of Africa," including Nigeria, but doesn't mention the terrorism that has ravaged the oil-rich nation's eastern territories.

The omission is noteworthy because Clinton has made extensive comments about Boko Haram since May.

How national Republicans plan to talk about Clinton's book

5. Any more certainty on 2016: Clinton waits 595 pages until she references the possibility that she will run for president in 2016 and then only repeats how she commonly answers the question.

"Will I run for president in 2016?" she asks. "The answer is, I haven't decided yet."

"Right now I believe we should be focused on the work to be done in our country that can't wait until 2016."

She then writes about a walk that she and Bill Clinton took where they talked about the future.

"We both know I have a big decision in front of me," Clinton writes. "Ultimately, what happens in 2016 should be about what kind of future Americans want for themselves and their children-and grandchildren. I hope we choose inclusive politics and a common purpose to unleash the creativity, potential, and opportunity that makes America exceptional. That's what all Americans deserve."

Clinton became more open to talking about 2016 as her book's release date neared. While in January 2013 she told a questioner that she was "not thinking about anything like that right now," she told People Magazine earlier this month that she knows she has "a decision to make."

Hillary Clinton talks Monica, Benghazi and her record

Hillary Clinton in 2001: We were 'dead broke'

'Hard Choices' recalls memories, regrets from Clinton's State years

@highlight

Hillary Clinton's memoir is a retelling of her time at State Department

@highlight

She says that she didn't write for "followers of Washington's long-running soap opera"

@highlight

While Clinton has spoken extensively about Boko Haram, group is absent from book

@highlight

Clinton also avoids controversial Keystone pipeline, which still awaits a decision