(CNN) -- An eco-friendly building material might have saved some of the 80 homes destroyed in a recent wildfire in Southern California. But it can't be used there.

Rajesh Kanwar built his Alpine, California, house out of AAC after his previous house burned down.

The masonry material, called autoclaved aerated concrete or AAC, can withstand a 2,000-degree fire for four hours, according to Underwriters Laboratories' test results.

"I just think the material's awesome. There's nothing like it," said Doug Edwards, an architect whose Edwards Design Group designs and builds green homes in the Scottsdale, Arizona, area. "It's the best building material in the world."

AAC is a mixture of sand, water, lime, portland cement and aluminum powder that is formed into blocks and cured in an autoclave, a sort of industrial pressure cooker. It has been used in Europe, where it was invented, for more than 70 years.

Besides being fire-resistant, AAC also deadens sound, is energy efficient, is impervious to termites, is bulletproof and waterproof, generates no waste in its creation, and can be recycled, its fans say.  See AAC survive a fire-and-water test »

A sort of concrete bread, it's full of tiny air pockets, making it one-fifth the weight of traditional concrete, which means more can be transported with less use of fuel. Workers can cut it and shape it with hand tools, and its thermal qualities significantly lower energy use, experts say.

Exton Quinn, an architect who fled her Santa Barbara, California, home as wildfires approached in early May, learned about the material at a green building seminar.

"It's a natural insulator, it's completely nontoxic, it's just absolutely fabulous," she said. "And with our homes going up here, we should be building with this. ... The idea that we can't build with a fireproof material, I think, is insane."

But in California, wildfires aren't the only concern. Small earthquakes are part of daily life in many areas, and stronger ones occur fairly frequently. And that's the regulators' problem with AAC.

"Autoclaved aerated concrete cannot be used to resist seismic forces because it has not been seismically tested," said David Walls, executive director of the California Building Standards Commission in Sacramento. The restriction is based on guidelines from the National Earthquake Hazards Reduction Program, he said.

The next International Building Code, slated to take effect in 2011, will permit use of AAC in more places that have minimal seismic activity, Walls said. But even under those somewhat relaxed standards, most of California would not qualify, he added.

Advocates for the product say California's qualms are baseless -- and political.

"We've done all the testing, and the testing showed the material works fine in any seismic area," said Felipe Babbitt, a Mesa, Arizona, engineer who helped develop code standards for AAC block. "It has not been approved by California not because it can't perform, but because they have not done a thorough review of the testing data and are not convinced that it performs."

California's standards are no different from those of other states, Walls insisted.

"We base ours off the national model code. For the most part, for private buildings in California, we do not add any extra stuff," he said. "So it would be strictly based on what is the national standard."

That's not entirely true, Babbitt said.

California is the only state that adopted the 2006 International Building Code without the companion housing code that includes acceptance of AAC in seismic areas, he said. The two documents were meant to be applied in tandem, he said.

"A lot of it's politics," Babbitt said. "Everybody's protecting their own interests. You've got the wood industry protecting theirs, you've got the steel protecting theirs, and the AAC is just going up against all these people."

The AAC industry hasn't been around long enough yet to earn its place in the code, he said. Wood, on the other hand, faces no challenge despite its obvious vulnerability to wind, fire, flood, pests, mold and earthquakes, he said.

"Each state has different code adoption laws and processes," Walls responded by e-mail. "I cannot explain what or why any other state makes their choices. I can tell you that California has never adopted a residential code."

Another architect isn't satisfied.

"What is baffling is this is a product that could be enormously beneficial in California," said Michael McDonough, a world-renowned New York architect who specializes in sustainable industry. "The testing standards they are rejecting are the testing standards that are used in 49 other states, and they've been extant for 10 years.

"Therefore we believe it's reasonable to assume there's some other agenda than the standards," he said. "This stuff has been tested within an inch of its life."

Walls denies that politics played a role.

"I have been involved in the code adoption in California for more that eight years and I am not aware of any 'agenda' in California," he wrote in an e-mail.

Mike Quaka, vice president-general manager of manufacturer AERCON Florida in Haines City, Florida, defended his company's product.

"From all of our independent testing, it meets all the seismic zones, just as it does in Europe," he said. "I think there's a lot of external variables floating out there when we talk about California and AAC. ... We can build anywhere else without a hiccup."

Richard Klingner, an expert in earthquake-resistant design at the University of Texas at Austin, conducted what the industry considers the definitive tests of AAC in 2000 and found it more than adequate to handle seismic loading.

"In my opinion, testing done by me and others has demonstrated that ductile shear walls of AAC can safely be used anywhere in the U.S.," Klingner said in an e-mail from Venezuela, where he was giving a lecture on the seismic resistance of masonry. Ductile shear walls are walls that flex slightly to resist lateral force, the main cause of damage in earthquakes.

"I do not know why AAC has not had wider acceptance in California," he wrote. "It may be a combination of lack of familiarity, caution, and 'not invented here.' That's too bad, because AAC offers many advantages."

A few houses made of AAC are scattered around California, built before restrictions were put in place. One is in Alpine, built by Rajesh Kanwar and Lori Ende after their previous house burned down in the 2003 Cedar Fire, which killed 13 people and destroyed more than 2,000 homes.

"When our home burned down, I looked into materials that were less likely to burn down," said Kanwar, who runs a small business.   "Before I went to the material, I did a substantial amount of ground work to make sure I wasn't doing something which was going to come back and bite me," he said. "So when I looked into that, I didn't just look into the fireproof aspect of it, I also looked into the seismic aspect of it, because I was really concerned about that.

"And from everything I learned ... it has done very well under earthquake conditions."

AERCON's Quaka admits to being a little discouraged by the long struggle for acceptance in California.

"You beat your head against a door so many times, your head gets sore. And we're not there yet with California, but our heads are pretty bloody."

@highlight

An eco-friendly masonry material can withstand a 2,000-degree fire for four hours

@highlight

Advocates say it may have saved some of the 80 homes destroyed in a recent wildfire

@highlight

But the product is banned in California because it hasn't passed seismic tests

@highlight

The material also is impervious to termites and is bulletproof and waterproof