Alpharetta, Georgia (CNN) -- A disease that Mackenzie Bearup compares to a bomb going off in her knee prompted the 16-year-old to seek escape in the comfort of reading. Now she's helping thousands of troubled children soothe their own pain -- within the pages of donated books.

"When I read, it's a real escape," Bearup says. "I try to take myself into the book instead of in the real world where I'm in so much pain."

Her personal discovery that books could be used to ease discomfort was an idea that Bearup ultimately chose to share with homeless and abused children throughout the country.

Bearup's journey began six years ago when she was jumping on a bed and dancing to TV's "American Idol." Suddenly her knee started "hurting unexplainably, extremely bad," she recalls. The next day, the fifth grader's knee swelled to the size of a grapefruit. After a week on crutches, it was even worse. Her knee collapsed when she tried to walk.

After a series of misdiagnoses, doctors later diagnosed Bearup with Reflex Sympathetic Dystrophy, also called Complex Regional Pain Syndrome. The disease causes the nerves and blood vessels in the affected area to tell the brain "that the injury is still there," says Dr. James Yost, Bearup's pain-management physician. There is no cure, Yost said.

From 200,000 to 1.2 million people have RSD, ranging from mild to severe, according to the Reflex Sympathetic Dystrophy Syndrome Association Web site.

"The kind of pain I feel is very hard to describe," Bearup says. "It will explode at random times [and] when something touches it, it's like I'm getting stabbed multiple times."

Medications and treatments failed to alleviate the constant pain in Bearup's knee. At some points, the extreme discomfort forced her to remain in bed for months, unable to walk. The only thing that took her mind off the pain, she says, was reading.

So when her pediatrician told her about kids living in nearby Murphy-Harpst Children's Center in Cedartown -- a residential treatment center for Georgia's most severely abused children -- Bearup had an idea.

"I think any child being in horrible, intense pain like this, they need something. And something that I knew that helped me was books."

She learned that the center had just built a library, but had no books to fill it with.

"I asked everyone I knew to donate books, and then I asked them to tell their friends," said Bearup, who spread the word further by stuffing flyers inside mailboxes, placing ads in newspapers, and launching a Web site.

Bearup's goal was to donate 300 books, but she soon had 3,000.

Once the library at Murphy-Harpst reached capacity, Bearup turned her attention to other places -- providing reading material to youngsters in homeless and domestic violence shelters, children's homes and treatment centers.    How to nominate a CNN Hero

"Reading isn't just an escape, you can learn a lot, too, and that's very important for homeless and abused children," said Bearup. "Staying in high school is one of the things that will help you most in life, to be able to get a job and be able to support yourself."

Since 2007, Bearup has collected and donated more than 38,000 books for homeless and abused children in six states. With her mother's help, the teenager launched her official nonprofit -- Sheltering Books -- in 2009.

Although donations are readily accepted, Bearup and her mom scour garage sales in the suburban Atlanta area to collect books.

With the help of her brothers -- Alex, 14, and Benjamin, 11 -- Bearup sorts the books into categories, such as age, gender and interest, and delivers them to shelters.

She's so far donated books for libraries and reading rooms in 27 different shelters.

"Sometimes a child will tell me how much they liked a book from a library I've helped to create and it really makes me happy," says Bearup. "I try to suggest books that kids will like. And sometimes, when I meet a 10-year-old girl, I'll suggest she check out the books I liked when I was her age."

To help further encourage reading, Bearup developed a pamphlet that suggests reading programs for groups, such as crafts based on books and family bonding through reading. While Bearup still lives with constant pain, she says she feels better helping others.

"If one homeless or abused child finds a love of reading through books that I've given them, then that will help them in school and just turn their life around entirely," she said. "I really think that reading can do that for someone."  Want to get involved? Check out the Sheltering Books Web site and see how to help.

@highlight

Mackenzie Bearup, 16, escapes painful disease through reading

@highlight

She created book charity to help troubled children soothe their pain too

@highlight

Bearup has collected, donated 38,000 books for homeless and abused kids since 2007

@highlight

Do you know a hero? Nominations are open for 2010 CNN Heroes