(CNN) -- It's happened to the best of us; you've seen an airfare on a travel site and decided to jump on it, only to watch the price plummet weeks later. Or worse, you've sat on it, only to see it leap beyond the reaches of your budget. Such a grating scenario may be a thing of the past, as price predictors are becoming a common feature on booking websites.

TheSuitest, a relatively new hotel booking website that not only lists available rooms, but grades the price on an A to F scale, is the latest venture to adopt the software. Last month, it became the first hotel booking site to add price forecasting, adding a function called "hotel time machine".

The tool analyzes over 10,000 different pricing models to predict whether the price will rise or fall, even providing a percent likelihood. Given the complexity of the algorithm, it should probably come as no surprise that TheSuitest is the brainchild of a former Goldman Sach's analyst.

"I come from an investment finance background, and my job was all about processing large volumes of info and distilling it into something you could make a split-second, actionable decision on," says Jeremy Murphy, TheSuitest's CEO and founder.

"We took that mentality and applied it to the website."

Murphy notes that it's only recently a site like his would be able to operate.

"Even a few years ago, it wasn't really practical for a site to collect and process the volume of data that are necessary to do the types of things that we're doing. We're dealing with billions of past prices and have to literally produce a trillion-trillion forecasts," he says.

Interactive: Which airlines have wi-fi?

TheSuitest is one of several sites to jump on the trend. In January, Kayak added a price forecast option to its website, letting guests use it to predict whether an airfare will stay put or take a leap.

"At Kayak, every employee randomly gets assigned user feedback. Enough of us saw users were asking for us to do this that we decided to allow our engineers to experiment," explains Giorgos Zacharia, Kayak's chief product officer.

Kayak's approach to number-crunching is slightly different, in that the company bases its data on the billion-plus search queries performed by users.

"That's the benefit of our approach: the user does the crowdsourcing for us," explains Zacharia. The advantage of Kayak's model is it relies on an enormous amount of data to make predictions. The downfall is that niche destinations (those that aren't searched as often) are often overlooked.

"They're not as accurate, because we don't have enough data on those regions, yet," admits Zachaia.

Looking to the future

Price forecasters aren't entirely new. Farecast.com brought the feature to the market back in 2005. The company was since bought by Microsoft and rebranded Bing Travel. The forecaster is still very much a part of Bing's model and, unlike at Kayak, it extends to both hotel rooms and airfares, though strictly in the U.S. market.

One might imagine that price predictors would make hotels and airlines somewhat nervous. After all, if a deal is rated "bad", or an airfare listed as likely to drop, aren't hotels and airlines less likely to sell at a premium price?

Murphy says he's found the opposite is true.

"We expected a hostile response from hotels, just because we were shedding light on their pricing policies. We've actually been approached by a lot of big name chains because they see an opportunity to sell people a nicer room."

Read more: Place your bids for business class

In other words, the more expensive rooms that don't necessarily sell as well could in fact be a better deal.

Though somewhat in its infancy, forecasting tools are going to become the norm, not just in the travel industry, but across a range or websites, according to travel industry analyst Brian London.

"As customers start feeling comfortable using it, more sites will copy the technology," he explains.

"Imagine the implications for the restaurant industry. If they know they'll be crowded on a Friday night, for instance, they can utilize this tool to incentivize people to eat dinner earlier."

@highlight

Last month, TheSuitest became the first hotel booking site to launch a price forecaster

@highlight

The site is the brainchild of a Goldman Sachs analyst, and crunches millions of bits of data

@highlight

Kayak and Bing Travel offer a similar feature for airfares, predicting if a price will rise or fall

@highlight

Kayak taps into the billion-plus searches made on its site for its data