Donetsk, Ukraine (CNN) -- More than a week after Malaysia Airlines Flight 17 went down in eastern Ukraine, Malaysian investigators have not yet been able to access the entire crash site, Malaysian Prime Minister Najib Razak said Saturday.

He urged both the pro-Russia rebels and Ukraine's armed forces to cooperate so investigators can access the site fully.

All 298 people aboard the plane died when it crashed on July 17. Of that number, 43 were Malaysian, including 15 crew and two infants, according to Malaysia Airlines.

Nine days later, some human remains still lie scattered amid the debris.

A statement from Najib's office said that since a deal was struck with the rebels on access to the crash site, a team of three Malaysian investigators has visited on three separate occasions, on Tuesday, Wednesday and Thursday. Each visit lasted about three hours, and the team was not able to visit all of the very large site.

The team believes that at least 30 investigators would be needed to cover the entire site, in addition to themselves, three Dutch investigators and one representative of the independent ICAO (International Civil Aviation Organization) allowed in so far, the statement said.

"Unfortunately, events on the ground -- including ongoing fighting between Ukrainian and separatist forces -- prevent such a large contingent of investigators being deployed," the statement said.

Najib's words come only a day after the rebels controlling the area -- the same rebels that Ukraine and the United States accuse of downing the plane -- hinted to an international monitoring group that they've nearly had enough, even with the limited number of investigators they've let in so far.

"We were given the indication ... that their patience is almost wearing out," said Michael Bociurkiw, a spokesman for the Organization for Security and Co-operation in Europe, which has had a small team touring the site for days. "They're saying maybe another week and then they don't know what would happen."

That scenario would be unlikely to please a number of nations that say a proper investigation still hasn't begun, including Netherlands, whose officials say they're negotiating with the Ukrainian government to send 40 Dutch military police to search for more bodies.

"Malaysia's agreement with those in control of the crash site has three central elements: the transfer of the black boxes to Malaysia; the return of the human remains; and full access to the crash site for international investigators," Najib is quoted as saying.

"The first two conditions have been met. My priority now is to ensure the third part of the deal is honored, and that international investigators are given full and secure access to the site. This will require the cooperation of those in control of the crash site and the Ukrainian armed forces."

More coffins flown out

Another 38 coffins arrived on two planes from the Ukrainian city of Kharkiv and were given a somber welcome in the Dutch city of Eindhoven. This is expected to be the last transfer of coffins from Ukraine to Netherlands for the time being. The search for further remains at the crash site will continue when possible.

Meantime, authorities for the first time released the identity of a victim with Dutch nationality. A team of more than 200 specialists are busy with the identification process, but officials have stressed the process could take months.

A group of Dutch forensic experts was unable to reach the crash site Saturday because of safety concerns prompted by renewed fighting in the Donetsk area, a spokesman for the Ministry of Defense said. He said it was also too dangerous for OSCE observers to return to the site.

As of Friday afternoon, 378 body bags containing remains of Flight 17 victims had been processed in Kharkiv, where discovered remains have been sent, Sergey Bochkovskiy, the head of Ukraine's State Emergency Services, told reporters there.

Officials say it's unclear how many individual victims' remains are contained in the bags.

Dutch citizens were 193 of the 298 people aboard the downed flight. By Friday, 198 coffins had either already arrived in Netherlands or were on their way Friday, Bochkovskiy said.

On Friday, the OSCE team toured the crash site, returning to a recently discovered section of fuselage from the plane. This time -- unlike Thursday -- victims' passports and other documentation were there, Bociurkiw said.

"We can't draw any conclusions. But for sure, those were not there the last time we were there," he said. "Perhaps someone placed it there. We don't know."

No Ukrainian government or international force has secured the site, raising concerns about tampering or pilfering.

The OSCE team on Friday toured with a few experts from Australia and, for the first time, some forensic experts from Netherlands.

Though many corpses have been recovered already, Bociurkiw said the group still has seen human remains among the debris several times this week.

Parliament to vote on international police

Ukraine temporary Acting Prime Minister Volodymyr Hroisman said Saturday that access to the crash site to allow its examination by investigators and the recovery of bodies is the key issue at stake, according to the Cabinet press office.

But, he said, an international police mission is needed to guard the experts on the site. For this to happen, he said, Parliament must ratify a treaty allowing the deployment.

"This document is being prepared and will soon be introduced to the Parliament. I hope it will be passed by the Parliament next week," he said.

The next parliamentary meeting is scheduled for Thursday. It would appear that no international police will be allowed at the site before Parliament votes.

Forty Dutch military policemen have arrived in Ukraine, where they will be tasked with helping to find human remains and belongings. They have not yet gone to the crash site.

Najib is expected to travel to Netherlands on Wednesday and will meet with Dutch Prime Minister Mark Rutte in the Hague, his office said.

The two leaders will discuss issues around securing the crash site and the process of identifying the human remains recovered from the scene so far.

Najib said the three Malaysian investigators were now preparing a preliminary report based on their observations so far. Once that is complete, they plan to return to the crash site, "if possible with a larger contingent of investigators and in more secure circumstances," the statement said.

Conflict continues

Accusations over who was responsible for bringing down the passenger jet, which was headed from Amsterdam to Malaysia, continue to be traded by the Ukrainian government, pro-Russian rebels and officials in Moscow and Washington.

MH17 was downed on July 17 by a suspected surface-to-air missile over eastern Ukraine, where groups of pro-Russian rebels are fighting Ukrainian government forces. The rebels have denied allegations from Ukraine and the West that they brought down the commercial airliner using equipment supplied by Russia.

Conflict continues to roil the Donetsk and Luhansk regions of eastern Ukraine.

Hundreds of vehicles crawled in heavy traffic Saturday as residents attempt to flee the center of Donetsk city heading south, following a night of intensified shelling and anti-aircraft fire on the northern outskirts of what is a stronghold for the pro-Russia rebels.

According to the Twitter feed for the press office of the self-declared Donetsk People's Republic on Saturday, fighting has occurred at five border check points that appear to be on the Russian side of the Ukraine-Russia border.

Russia's state-run RIA Novosti news agency also reported fighting at five border checkpoints, naming three places on the Russia side of the border, Novoshakhtinsk, Kuybishevo and Gukovo.

CNN's Ingrid Formanek reported from Donetsk and Laura Smith-Spark wrote and reported in London. CNN's Antonia Mortensen, Saima Mohsin, Bharati Naik, Jason Hanna, Jethro Mullen and Radina Gigova contributed to this report

@highlight

NEW: Netherlands makes its first identification of a victim

@highlight

Another 38 coffins carrying victims' remains arrive in the Netherlands from Ukraine

@highlight

Fighting prevents Dutch forensics team from reaching the crash site

@highlight

Malaysian PM says team of 3 Malaysian investigators has not yet been able to see full site