House Republican leaders were forced on Thursday to delay rolling out their bill to raise the nation's debt limit, after conservatives complained the package failed to include deep enough budget cuts and significant changes to entitlement programs.

Boehner signals GOP focus now on debt ceiling

The setback comes as Speaker John Boehner prepares to wrestle with his conference over how to ultimately handle short term spending and the prospect of a government shutdown beginning on Tuesday, if Congress does not act to refill federal coffers.

Boehner and his top lieutenants initially hoped to move ahead with their proposal to permit Washington to borrow more money to pay its bills while waiting for the Senate to vote on a plan -- called a continuing resolution -- to keep the government funded through mid-November.

The debt package includes a lengthy list of GOP priorities, including a one year delay of Obamacare, provisions to roll back regulations on businesses, tax reforms, and approval of the Keystone XL oil pipeline.

But the added items have not garnered enough support from House Republicans.

"It definitely has a lot of goodies in it. Things that arguably would grow the economy and would arguably would generate more revenue," Alabama Republican Rep Mo Brooks told reporters, saying he was undecided on how he would vote on the plan.

But he added that the issue of government spending overall must be considered.

"Washington has a spending problem and this debt ceiling bill does not address the problem," Brooks said.

Rep. Cynthia Lummis of Wyoming told CNN that she was also undecided but wanted to see deeper budget cuts on the measure.

"I came here to cut spending and to reduce the size of the federal government so when those opportunities arise I want to take advantage of them," Lummis said.

Some House Republicans questioned the strategy of skipping ahead to the debt ceiling fight before Congress resolved the question on spending and the possible shutdown. They argued the GOP still had some leverage to force a change to Obamacare on that measure.

"I think we need to focus on the CR first.  I think it's important that we complete that before we move onto the debt ceiling," Minnesota Republican Michele Bachmann said outside the House floor.

The draft plan GOP leaders had been working on was really a collection of bills previously approved by the Republican-controlled House.

Leaders learned from the last bruising fight in 2011 over the debt limit that a bloc of conservatives would resist any legislation to authorize new borrowing by the Treasury, so they decided to attach sweeteners.

Kansas Republican Rep Tim Huelskamp complained the GOP plan fell short of Boehner's pledge to demand an equal amount of spending cuts for the amount of the increase in new borrowing authority.

He also said it contained "very little" in the way of changes to entitlement programs like Medicare and Medicaid for the elderly and poor.

When asked early on Thursday about the scope of cuts, Boehner told reporters that "in this bill, we have spending cuts and we have issues that will help spur more economic growth.  We think the balance is correct."

House Republican leaders likely will need to modify the package.

They need a unified conference because House Democrats won't vote for it, insisting the House should pass an extension of the debt limit without any conditions. Senate Democrats mocked the proposal.

"The House is attaching the Republican Party platform to the debt ceiling. In a week full of absurdities, this takes the cake," Sen. Chuck Schumer, D-New York, said in a written statement.

At an event in Maryland on Thursday, President Barack Obama reiterated that he would not negotiate over the debt ceiling.

As Boehner works to corral his own members on the debt limit vote he also needs to beat the clock to avoid a government shutdown.

Senate Democrats are scheduled to vote Friday on the House GOP passed spending bill and are expected to strip out the provision that defunds Obamacare.

Boehner indicated on Thursday that House Republicans will modify that bill and kick it back to the Senate as the clock ticks down toward the deadline.

The speaker dodged questions on what specifically House GOP would tack on, but he downplayed that this move - with so little time remaining - would increase the chances of a possible shutdown.

"We have no interest is seeing a government shutdown, but we've got to address the spending problems that we have in this town and so there will be options available to us. There's not going to be any speculation about what we're going to do or not do until the Senate passes their bill," Boehner told reporters on Capitol Hill.

Multiple House GOP aides and members have told CNN that there are no final decisions, but the House could add a one year delay of the Obamacare requirement that all individuals enroll in health care coverage.

The administration already allowed a one year delay for corporations to provide coverage.

Another possible option, one most GOP aides believe could be used, is to add a provision that repeals a tax imposed on medical device manufacturers that helps pay for part of the costs of the new health care law.

On Thursday, Senate Majority Leader Harry Reid called the medical device tax a "stupid tax," but told reporters he doesn't want to deal with it as part of the stopgap spending bill.

Later, a Reid spokesman clarified that the Nevada Democrat was referring not to the tax itself, but to the idea of attaching that provision to the spending bill, saying the House should pass a "clean" spending measure.

Another option under consideration is adding a provision to the spending bill that repeals federal support for health care premiums that the government covers for members of Congress and their aides.

Under the Affordable Care Act, which is set to take effect in the states on Tuesday, members and their aides would obtain coverage under the new health care exchanges and the government, as their employer, would cover a major portion of that premium.

Pennsylvania Republican Rep. Charlie Dent told reporters he could support a so-called "clean" spending bill that continues funding, but warned "if there's going to be a relaunch it should be something that the Senate will accept before October 1st."

Boehner pushed back on the notion that continued back and forth over the measure only increases the chances of a shutdown. Though he said, "I do not expect that to happen."

@highlight

House speaker had hoped to roll out proposal to raise U.S. debt limit on Friday

@highlight

Conservatives complain package doesn't adequately address spending cuts, entitlements

@highlight

Wrangling over temporary spending bill needed to avert shutdown still raging in Congress

@highlight

Boehner wants to use debt bill to force Obamacare delay, add extras also favored by GOP