St. Petersburg, Florida (CNN) -- Oil from the Deepwater Horizon spill may have settled to the bottom of the Gulf of Mexico further east than previously suspected and at levels toxic to marine life, researchers reported Monday.

Initial findings from a new survey of the Gulf conclude that dispersants may have sent the oil to the ocean floor, where it has turned up at the bottom of an undersea canyon within 40 miles of the Florida Panhandle. Plankton and other organisms showed a "strong toxic response" to the crude, according to researchers from the University of South Florida.

"The dispersant is moving the oil down out of the surface and into the deeper waters, where it can affect phytoplankton and other marine life," said John Paul, a marine microbiologist at USF.

Results of the latest survey are scheduled to be released Tuesday, but CNN obtained a summary of the initial conclusions Monday night. Tests conducted offshore indicate the oil matches the 205-million-gallon Deepwater Horizon spill, which has been temporarily capped for a month, the summary states.

Some of it has spread into the DeSoto Canyon, a channel on the ocean floor east of the ruptured well. That canyon comprises part of the spawning grounds for much of the Gulf's commercial fish. "To date, this is the easternmost location for the occurrence of subsurface oils," the report states.

The oil is not "draping" across the bottom, but is spread out in "small, unevenly distributed droplets," the report states. USF chemical oceanographer David Hollander said that when an ultraviolet light used to detect oil was turned onto the sea floor, "All of a sudden, it turns out to be a constellation of little dots."

And the oil could well up onto the continental shelf and resurface later, Paul said. Or it could be eaten by fish and other animals and accumulate in the food chain, Hollander said.

"It's in such small droplets that you can see it -- you can filter it and see it," he said. "But if you look at it, it's transparent, and small larval fish see these droplets as food so they're ingesting pure oil."

The Environmental Protection Agency has previously reported some oil turning up in the sediment at the bottom of the Gulf, but has not determined whether it came from the Deepwater Horizon spill that erupted in April or whether it was already present. And on August 4, the head of the National Oceanographic and Atmospheric Administration warned that oil could persist in the water even though the well has been temporarily capped.

The oil company BP used more than 1.8 million gallons of chemical dispersants on the Deepwater Horizon spill between its eruption in late April and the time the well was capped in mid-July. BP says the chemicals allowed the oil to be broken up into droplets small enough that microbes can digest it, and the Environmental Protection Agency has said the dispersants were no more toxic than the oil itself.

Critics warned the full effect of the dispersants on the food chain was not known and that their use in deep water effectively concealed the full extent of the spill.

NOAA spokeswoman Mary Jane Schramm said on Monday that she had not seen the latest study and couldn't comment on it. BP spokesman John Curry, meanwhile, said the company wants "to know everything everyone wants to know."

The company is responsible for capping, cleaning up and compensating victims of the oil spill, and it has committed to spending $500 million to research the spill's impact over the next 10 years. The latest study will "add another piece to the puzzle," Curry said.

"There will be others that'll want to look at this study and want to look at doing some additional research," he said. "There's been extensive testing up to this point, and I'm sure there will be much more going forward."

CNN's Vivian Kuo contributed to this report.

@highlight

South Florida researchers find oil traces in undersea Gulf canyon

@highlight

Plankton showed "strong toxic response" to the crude, initial results show

@highlight

Researchers say the oil could resurface later