Seattle (CNN) -- While snow and ice continued to fall in parts of the northwest, others in the region struggled with the aftermath of the same winter storm -- including floods, slick roads, power outages and avalanche warnings.

The system itself remained a threat, with winter storm warnings from the National Weather Service in effect Thursday night for parts of eight states -- Washington, Oregon, California, Nevada, Utah, Wyoming, Idaho and Montana.

Yet fresh precipitation was just one of many continuing concerns.

Chief among them was flooding, particularly in western Oregon and southwest Washington.

Oregon's capital city, Salem, which is situated along the Willamette River, issued an emergency declaration Thursday afternoon. By then, at least 35 roadways had flooded and the Red Cross had set up a shelter amid fears that the situation will worsen.

"Water levels are projected to continue to rise," the city said in a statement, noting that the Willamette River is projected to crest in the city at 30 feet around 4 p.m. on January 20.

Flooding is also a concern elsewhere along that river, including in Harrisburg, Corvallis, Albany and Oregon City.

The city of Turner was evacuating about 50 families, including 30 to 40 elderly people, said Beth Myers-Shenai, spokeswoman for the Marion County Emergency Coordination Center. A shelter was also being set up as a precaution in the nearby town of Aumsville, she said.

Floods contributed to a car accident in Albany on Wednesday night, said Wanda Omdahl, a spokeswoman for the Albany Fire Department. One car full of people drove into deep water and was swept into a canal.

An adult and child were rescued, and a child's body was recovered, CNN affiliate KPTV reported. Fire officials still haven't said how many people are missing.

Zach Williams told the station that he and a friend saw the driver steer into a swollen creek, perhaps thinking it was a road.

"I did what I thought I could. I tried to open the doors. The doors were obviously locked. When he broke the window, I assumed the child in the back was old enough to get out through the window," Williams said. "Apparently, it was just an infant."

People in some mountainous areas were told to be on guard for avalanches. The National Weather Service noted that "heavy new snow" falling on top of a "weak snowpack" heightened the threat in sections of Washington, Montana, Idaho, Utah and Wyoming.

In more populated sections around Washington state, many restaurants closed, hotels full and roads cluttered by fallen trees Thursday.

Around Sammamish, south of Redmond, dozens of cars were parked on steep hillsides -- evidently stranded there by drivers. And CNN affiliate KOMO showed images of overturned vehicles and carports and awnings that collapsed under the weight of the snow.

Even after the worst of the snow and ice had passed, electricity outages remained a major headache.

Approximately 230,000 Puget Sound Energy customers were without power as of 4 p.m. Thursday, the utility said on its Twitter feed. The company said it had over 750 workers on the job, adding that "an additional 140 power line crews from other parts of the country will be assisting (with) repairs and restoration work."

"We can't make full estimate of how long the restoration effort will take until the ice and snow storm -- and the damage it's causing -- ends and our crews can make a comprehensive assessment of the damage," the utility wrote. "But right now, we think it will be 3 to 4 days...maybe longer."

Around Seattle, city spokesman Bryan Stevens said that about 2,200 households didn't have power late Thursday afternoon. But he said he expects all those to have electricity again by midnight.

Pacific Power reported only minimal outages in Washington, California and Oregon, including about 600 around Hood River, Oregon, who were expected to have their lights on again by midnight.

Roads remained perilous in large parts of Washington late Thursday, though the situation had improved markedly since earlier in the day.

The Washington State Department of Transportation noted, on its website, that disabled vehicles and collisions had caused back-ups on many major highways including I-5, I-90 and I-405.

"Collisions and tree limbs are piling up on state highways," the Washington State Department of Transportation reported at midday Thursday on its website.

CNN iReporter Lauren Miles said the Capitol Hill area of Seattle, where she lives, received more than 4 inches of snow.

"The streets are not very drivable," she said Thursday. "Most businesses are closed again today. Most hills near me have turned into places to sled instead of drive."

The storm also stranded scores of air travelers Thursday at Seattle-Tacoma International Airport, which got 6.8 inches of snow on Wednesday, shattering a 1954 record of 2.9 inches, officials said.

By late Thursday afternoon, all three of the airport's runways were open -- after two of them had been closer earlier -- spokesman Perry Cooper said. But he noted that some flights then were still being canceled, because ice was being removed from 70 to 80 planes that had been parked overnight Wednesday at the airport.

Even though the state hadn't received requests for assistance "so far," Washington Gov. Chris Gregoire proclaimed a state of emergency Thursday "purely (as) a precautionary measure." The step would allow for the activation of National Guard troops and give state agencies more options to help cities and towns.

"I want to make sure we have every resource available to ensure our communities are safe," Gregoire said in a statement.

The governor took action to ensure the delivery of dairy products with "a brief waiver of the restrictions on truck drivers' work hours."

The measure "is needed now to avoid shipment delays that could mean the loss of nearly $1 million a day for the state's dairy industry," Gregoire said.

CNN's Sara Weisfeldt, Thelma Gutierrez, Shawn Nottingham, Brad Lendon, Sean Morris and Christina Zdanowicz contributed to this report.

@highlight

NEW: Flooding is a concern along the Willamette River in Oregon

@highlight

NEW: Puget Sound Energy says 230,000 were without power

@highlight

Avalanche warnings are in effect in Washington, Montana, Idaho, Utah and Wyoming

@highlight

Winter storm warnings are in effect for portions of eight northwestern states