Beijing (CNN) -- Must art always serve politics?

To audiences overseas, contemporary art in China is typified by Ai Weiwei, the most trenchant critic of China's artistic and political restrictions.

But not all Chinese artists subscribe to Ai Weiwei's approach.

Ai Jing (no relation), once a popular singer-songwriter, is back in Beijing from a long hiatus, this time representing one school of China's contemporary art scene.

Her style is mostly uplifting and features politics as an afterthought, if at all.

Small wonder, perhaps, that she is the first Chinese contemporary artist to hold an exhibition in the iconic National Museum of China, next to Tiananmen Square, which is better known for revolutionary history exhibits than modern art.

Ai Jing's solo show opened just a few days after the Communist Party concluded its leadership transition in the Great Hall of the People, across the sprawling square.

"We chose Ai Jing based on our understanding of her artwork and of public expectation," said Chen LÃ¼sheng, the deputy director of the National Museum. "We believe Ai Jing's art pieces will connect China's 5,000 years history with modern art."

Chinese art-lovers know Ai Jing best as a pop singer and song-writer.

The 43-year-old Ai has cut five albums since 1992, becoming a widely popular folk and pop singer in the 1990s.

She moved to New York in 1997 and spent nearly a decade there honing her skills as an installation artist.

Her work has been featured in several New York art galleries, including the Urban Art Infill, which exhibited her piece "Sounds of New York".

Richard Vine, a New York-based art critic who has been visiting China since 2000, likes the universality of "My Mom and My Hometown," a tapestry of woolen patches knitted by Ai's mother and bedecked with the English word "LOVE".

"It expands outwardly, first for the family, community, nation and then the world. With one piece like this, she is able to touch both poles," Vine said.

Ai does not shy away from love's racier themes. One section shows square panels printed with "I love sex," and "love me, suck me."

She looks at the darker side too.

"The Tree of Life," an installation art, depicts a lonely raven perched on a leafless oak tree made of disposable chopsticks.

Her Warhol-inspired pop-art reproduces Marc Riboud's picture of "Flower Girl," which shows a woman holding a flower in front of gun-toting soldiers during an anti-war march in the United States during the 1960s.

"We hope to present the public with multiple styles of modern art to show that not all art is the same," Chen of the National Museum said. "Ai Jing may not be the most popular contemporary Chinese artist, but she is one of the most special."

Ai Jing's works are typically wholesome and uplifting, unlike many Chinese contemporary art works now popular overseas.

The paintings of Zeng Fanzhi, for example, are typically bold and edgy, sometimes dark -- and selling for millions of dollars in galleries and art auctions. (An art collector has called Zeng "The Jackson Pollock of the 21st century.")

Lin Tianmiao is now known for her bold surrealism, using naked body casts of herself or building a walk-in human "womb" strewn with disfigured bodies. She recently had her work featured at Asia Society in New York.

Also popular overseas are the irreverent creations of Ai Weiwei, some of which are blunt commentaries of what he sees are the dark side of life in China.

"We don't want extremist and esoteric pieces," Chen said. Ai Jing's message of love, he says, is what the Chinese public wants.

Her theme of love may seem "corny," art critic Richard Vine agreed, but "it's not something that she is just falling into thoughtlessly. It's a very considered conviction that this is after all the best response to the difficulties of life."

@highlight

Ai Jing, a popular singer, represents one school of China's contemporary art scene

@highlight

She is the first Chinese contemporary artist to hold exhibition at National Museum of China

@highlight

She is no relation to fellow artist Ai Weiwei

@highlight

Her works are typically wholesome and uplifting