(CNN) -- Never judge a book by its cover -- and never judge a major sports event before it has begun. Just ask Delhi, India, which was rocked by some dismal headlines on safety and infrastructure ahead of the 2010 Commonwealth Games before recovering to win praise from the head of the quadrennial event.

Still, with just under two days to go before the opening ceremony, preparations for the Sochi Winter Olympics are looking far from complete.

From hotels that don't appear to be finished, to ongoing security concerns, to reports of officials poisoning stray dogs -- none of this will be what Russian President Vladimir Putin would have hoped to see when he arrived in Sochi on Tuesday.

So, what are the biggest concerns? Four issues have been grabbing headlines this week for reasons that have nothing to do with the upcoming sporting activities.

Security

The most important duty of any host nation is surely to ensure the safety of athletes and visitors, but simmering tensions in the nearby North Caucasus region of the country -- where Islamic separatists have conducted a string of deadly attacks -- have meant that the threat of terrorism has loomed large over Sochi. Indeed, Doku Umarov, who has named himself emir of a self-proclaimed entity called the Caucasus Emirate, last year called on jihadists to do their "utmost to derail these satanic dances on the bones of our ancestors."

Tens of thousands of police and troops have been dispatched to the area to create what Putin has described as a "ring of steel" protecting the games.

But questions were raised about the ability to protect soft targets when Russian officials released photographs of three "black widows" -- young women whose husband purportedly were killed by Russian forces -- who allegedly were planning to bomb the Olympic torch relay. There was particular concern about a fourth suspect, Ruzanna Ibragimova, who officials said might be in the Sochi area.

On Wednesday, Russian media announced that police in Dagestan had killed the alleged mastermind behind twin bomb attacks in the Russian city of Volgograd in December. The bombings killed 34 people and injured 100.

Those attacks, along with a pair of January incidents in the restive North Caucasus republic of Dagestan -- a restaurant bombing that injured at least five people and a shootout that left three policemen and four militants dead -- underscored fears that terrorists might look to strike outside of Sochi during the Games, when all eyes will be on Russia.

"The Russians' task is complicated by remote, forested and often mountainous territory in the North Caucasus, as well as a devolved structure among jihadist groups, organized into autonomous military units known as jamaats," noted CNN's Tim Lister. "Terrorism analysts believe that some among the growing Chechen diaspora in Europe may also be raising funds for the insurgents."

Also Wednesday, a law enforcement source told CNN that the United States has advised airlines with direct flights to Russia to be aware of the possibility that explosive materials could be concealed in toothpaste or cosmetic tubes.

The source emphasized that there was no known threat to the United States, but the notice to U.S. and international carriers is based on new intelligence information ahead of the start of the Olympics.

Airlines warned about possible toothpaste tube bombs ahead of Olympics

And on Tuesday, Matthew Olsen, director of the U.S. National Counterterrorism Center, warned that the United States was tracking a number of "specific threats of varying degrees of credibility."

"[W]e're working very closely with the Russians and with other partners to monitor any threats we see and to disrupt those," Olsen added.

The United States already has dispatched at least two warships off the coast of the Black Sea city in the event that an evacuation is necessary, while a number of athletes have reportedly asked relatives to skip attending the games.

Americans apparently have noticed such concerns -- a CNN poll released Wednesday showed that 57% believed a terrorist attack on the Games is likely.

Infrastructure

If the security of athletes and spectators is the biggest issue for the organizers, then ensuring that facilities for both competitors and guests are up to scratch is surely the next concern.

After all, athletes have been training for years for this event. For some it will be their only shot at Olympic glory. Is having somewhere comfortable to sleep, perhaps with a fresh glass of water by the bedside, too much to ask as you prepare for the biggest two weeks of your life?

In Sochi, according to numerous accounts on social media this week, the answer might just be yes.

Bleacher Report has been highlighting some of the early reactions to the accommodations on offer, and draws particular attention to the size of the beds (Canada's men's hockey team may have been hoping to have a bit more space), the bareness of the rooms (reports of missing TVs, chairs and shower curtains) and, perhaps most troubling of all, the sign one reporter snapped warning that toilet paper should not be flushed down the toilet.

To cap it all, The Chicago Tribune's Stacy St. Clair reportedly complained that she had been warned about the hazardous water in her hotel room, and a picture she tweeted, showing two glasses of yellowish liquid she said were from the hotel, went viral.

Competition conditions

Setting aside the accommodation issues, will athletes be safe when they start competing? The withdrawal of U.S. snowboarding star Shaun White from one of the events could be a troubling sign. White didn't give a specific reason for his withdrawal, but even if a mere wrist injury is the only reason, Sochi organizers are said to have "faced fierce criticism over the layout at the Rosa Khutor Extreme Park, with competitors claiming that it is too dangerous to host the event."

Of course, one thing that the organizers have no control over is the weather, and after complaints about the lack of quality snow in Vancouver for the 2010 Winter Olympics, some had worried whether Sochi's climate could provide enough of the white stuff.

With such concerns in mind, Russia reportedly brought in state-of-the-art snowmaking equipment. But according to the Wall Street Journal, this won't be necessary.

"The weather for the upcoming week at all the Olympic venues will be just wonderful," the paper quoted the head of Russia's Hydrometeorological Center as saying this week. "Enough snow has fallen, the situation is completely relaxed. Nature has given us everything we need."

Warning to U.S. athletes: No Olympic uniforms outside Sochi venues

Those stray dogs

Yet, while issues like infrastructure and security seem destined to be perennial concerns at major sporting events -- just look at the controversy surrounding Brazil's efforts to prepare for this year's World Cup -- sometimes a story will appear out of the blue and make international headlines for all the wrong reasons.

On Wednesday, CNN correspondent Ivan Watson reported that Russian authorities have been rounding up and poisoning stray dogs in the city.

"They always poison the street dogs here," Watson quoted one Sochi resident as saying. "But in December it got terrible...they began poisoning the animals terribly before the Olympics."

Olympic officials, though, have a different take.

"All stray dogs that are found on the Olympic Park are collected by a professional veterinary contractor for the well-being of the people on the Park and the animals themselves," the Sochi 2014 Organizing Committee said in a statement this week. "All healthy animals are released following their health check."

Sochi's organizers will no doubt be relieved when the focus is on the competition and not the venue. At around 8 p.m. local time Friday, perhaps they'll get what they're hoping for.

Winter Olympics by the numbers

@highlight

NEW: Among the terror concerns is explosives in toothpaste tubes on planes

@highlight

Preparations in the Winter Olympics host city are up against the wire

@highlight

Complaints about accommodations, water are getting media attention

@highlight

One bright spot is the weather; officials say snowfall has been ample