"Mexico on the 17th woohoo!"

"On a jet plane. Bye bye USA. Hello Mexico."

"Last day in Mexico ... I could so live here ..."

Judging from social media, not everyone is avoiding Mexico this spring break. And, despite a steady stream of bad press and travel warnings, Mexico is counting on a good year for tourism.

Image problem notwithstanding, Mexico has been the top foreign country visited by Americans for more than two decades. Mexico welcomed more than 16 million Americans in 1990, according to the Department of Commerce's Office of Travel and Tourism Industries. With a few periods of fluctuation in between, that number reached 20 million in 2010, the latest year for which data is available from the U.S. Department of Commerce.

"When you hear about swine flu and the drug war and see grisly photos and stories that go along with them, people look at the country on a whole through that light," said Lonely Planet writer Richard Reid, who has been to Mexico 15 times in his 43 years. "That's not always an accurate representation of the entire country."

The Mexico Tourism Board estimates that 52 million domestic and international tourists will visit the southeastern part of the country in 2012, thanks to growing numbers of visitors from emerging markets and aggressive public relations campaigns to counter the perception that Mexico is unsafe.

The southeast consists of resort areas such as Cancun, Cozumel and Playa del Carmen, as well as Mayan cultural destinations, a key area of focus for the tourist board in 2012. Analysts say efforts to direct tourists to the southeast reflect the experience of most visitors to the country who stay away from areas in northern Mexico plagued by cartel-related violence.

"While there are security concerns in certain areas in the country, particularly in the north, travel to traditional tourist destinations along the Mayan Riviera remain safe," said Miguel Salazar of the Woodrow Wilson International Center in Washington.

The U.S. State Department issued a travel warning to Americans to avoid all but essential travel to all or parts of 14 of 31 Mexican states. No advisory is in effect for Yucatan, Quintana Roo or Campeche, states that make up the Yucatan Peninsula, or for that matter, Mexico City, the nation's capital.

"The fact that tourist destinations along the Mayan Riviera still remain safe is further underscored by the State Department's most recent travel warnings, which shows that not all of Mexico is experiencing increased violence as a result of efforts to confront organized crime," Salazar said.

That success might not be evident in the news that comes out of Mexico, but the numbers tell a different story: A record-breaking 22.67 million international visitors arrived in 2011, representing a 2% increase from 2010, according to figures provided by the Mexico Tourism Board.

That's not to say that bad things don't happen outside the hot zones. In February, 22 Carnival Cruise Lines passengers were robbed of valuables and their passports during a shore excursion in the Mexico seaside resort of Puerto Vallarta in the state of Jalisco.

The State Department warning advises travelers to defer nonessential travel to areas of Jalisco that border the states of Michoacán and Zacatecas. It also recommends exercising caution when traveling at night outside of cities elsewhere in the state.

The tour was driving on a remote highway about 15 kilometers (about 9.3 miles) outside Puerto Vallarta when an individual held them up, Rodolfo Lopez Negrete, chief operating officer of the Mexico Tourism Board, told CNN.

"I can assure this is an isolated, rare incident that shouldn't have happened," he said. "But at same time, I have to tell you that this is something that could happen anywhere else in the world."

Putting things in context is a large part of Negrete's modus operandi. While many rushed to interpret the State Department's recent expanded travel warning as a blow to Mexico, Lopez Negrete said he welcomed the extent to which it pinpointed areas to avoid with specific descriptions and a map and highlighted others where no travel warning was in effect.

And while the State Department's travel warning puts Mexico in the company of Syria, Libya and North Korea, none of those countries is described by the State Department as a place where "millions of U.S. citizens safely visit" for study, tourism and business.

"We try to put things within the proper context of making sure people understand that if there are problems in certain pockets of the country, that doesn't mean the major resort destinations and city center destinations are in danger," Lopez Negrete said.

"Mexico is a very large country, the size of western Europe, so it's unfair to paint Mexico with such a massively broad stroke," Lopez Negrete said in a phone call this week from Germany, where he was representing Mexico in ITB Berlin, the world's biggest travel trade show.

It was a sentiment he would repeat later in the week in response to the Texas Department of Public Safety's blanket warning against spring break travel to Mexico, citing drug cartel violence and criminal activity.

Texas officials highlighted an increase in murders of U.S. citizens in Mexico and other violent crime concerns.

"The Mexican government has made great strides battling the cartels, and we commend their continued commitment to making Mexico a safer place to live and visit," Texas DPS Director Steven C. McCraw said in a statement. "However, drug cartel violence and other criminal activity represent a significant safety threat, even in some resort areas."

This is the third year in a row that Texas has issued the warning, prompting allegations from the World Travel and Tourism Council that it was a ploy to encourage domestic tourism, according to Mexican news outlet Notimex. Last year's announcement prompted similar reaction, with several leading American tourism groups urging Texas to downgrade the warning to an advisory.

"We want to caution consumers against overgeneralizing -- taking isolated events and applying them to the whole country," said Lisa Simon, president of tour operator trade group, NTA.

"Mexico is a beautiful destination with incredible adventure and cultural experiences available. We advise Americans to travel with professional tour operators, because they know what's happening in specific areas of the country and can provide safe and secure travel arrangements."

American travel to Mexico has fluctuated over the past few years, coinciding with an overall decline in international travel during the recession, according to U.S. Department of Commerce numbers. Figures from the Mexico Tourism Board indicate that the number of American visitors dropped by 3% overall in 2011. But they consider it a promising sign the number of American visitors in the last four months of 2011 was up 10.6% compared with 2010.

The fluctuations prompted Mexico to woo new visitors from outside the United States by building relationships in emerging markets and easing the visa application process with online portals, Lopez Negrete said. Those efforts paid off in record-breaking numbers for 2011, with the biggest growth from emerging markets such as Brazil (66%), Russia (55%) and China (30%).

Those gains tend to be overshadowed by media coverage of cartel-related violence and occasional acts of violence toward tourists. Lopez Negrete acknowledges that parts of Mexico should be avoided, which is why the tourism board has focused efforts on driving visitors to southern Mexico with an emphasis on the "mundo Maya," or the Mayan world, and gastronomy tours.

The timing couldn't be better with doomsday travel ramping up ahead of the alleged Mayan prophecy of the apocalypse. But Lopez Negrete says the push is about diversifying Mexico's appeal.

Mexico's indigenous roots and UNESCO-honored cuisine have always been a big part of its culture, he said. Again, it seems to be a matter of changing perceptions.

"We see a great opportunity to share a part of our culture that many visitors don't normally see," he said. "For those who've been to Mexico before, it's a chance to see the country in a new light."

@highlight

Mexico says it expects 52 million domestic and foreign tourists to visit southeast region in 2012

@highlight

Citing State Department advisories, experts say southern Mexico resorts are safe

@highlight

International tourism council says Texas travel warning is ploy to drive domestic tourism