Western Cape, South Africa (CNN) -- In cafes across Cape Town, brewing the perfect cup of rooibos has become a fine art.

Measuring just the right amount of tea is key while great care is needed to not allow the leaves to swirl for too long. Once ready, the rooibos cups, gleaming in a sumptuous deep red color, bring with them a reedy scent that greets the noses of the customers waiting to enjoy a sip.

Grown only in South Africa's Western Cape province, the naturally caffeine-free tea used to be a specialist drink appealing to only some taste buds.

But in recent years, its refreshing taste and inviting aroma, coupled with its health benefits, have turned rooibos into a popular choice for tea lovers across the world.

"Germany really was the start of the big export boom," says Martin Berg, managing director of Rooibos Limited in South Africa, the largest rooibos tea processing factory. "Since then, Holland, UK, USA, Japan -- all the first world countries, rooibos has grown in there, grown in popularity," he adds.

Read more: S. Africa ostrich industry hit by major bird flu outbreak

The increasing popularity of rooibos, an Afrikaans word that means "red bush," has created an industry worth around $23 billion. Some 15,000 tons of rooibos are harvested every year and at least half of that is then exported to the increasingly health-conscious consumer.

Willem Engelbrecht, whose family have been farming rooibos for four generations, believes that the natural herb's popularity has increased because of the plant's health benefits -- documented in several studies -- including its anti-oxidant properties.

"It's also got a soothing effect, and that is what we need for our everyday high-speed lifestyles," says Engelbrecht. "The Japanese did a lot of research early in the 1990s. Once that research became public and also South African research, people all over the world started to drink the product, not only for its very exceptional taste, but also for its wonderful health attributes."

In Western Cape, the rooibos industry is a major employer during the summer months of harvesting. Under the hot South African sun, the workers, who are paid per kilogram, are constantly cutting down and piling up the tea to satisfy the increasing demand from abroad.

Read more: Is narcotic khat funding terrorism?

Once the bushes, which are actually green, are cut down into small pieces, they are laid out to dry. The intense sunlight in the Western Cape slowly then turns the rooibos into its rich dark red color .

After it has been processed and sterilized, the tea is ready for the consumer.

This trade has become so lucrative that the industry is now trying to protect the rooibos name and its heritage. Producers are lobbying for the tea to be given geographical indication status (see fact box) to protect this unique brand -- a lengthy lawsuit with a U.S. company, which tried to use the rooibos name, went the way of the South Africans.

But farmers, like Engelbrecht, believe more should be done.

"There is not currently the legislation in South Africa to protect the word rooibos as a geographical indicator or G.I., similar to what exists in France, where the French government makes sure that champagne can only be used by the wine producers in the Champagne region of France," he says.

"I think it is the responsibility of government to make sure that legislation come in place, because we need to protect our cultural assets," adds Engelbrecht.

Read more: Rise of the 'repats': Africans shun crisis-hit West for jobs back home

But while the industry waits for government reforms, plans are already in place for further expansion into new markets, such as India and China.

As a result, laboratory tests are underway to develop new products to broaden the tea's appeal and suit different palates across the world.

"We now have a vast array of different rooibos products, from the traditional unflavored tea to all the flavored tea, cappuccinos made from rooibos, cosmetics, rooibos used in cooking," says Engelbrecht.

Back in Cape Town, customers are already enjoying some of these new products. There's a whole new menu of fruit-flavored rooibos teas, rooibos cappuccinos and even espressos.

But despite this extensive range, the perfected traditional cups of rooibos remains the firm favorite.

@highlight

An increasing number of tea lovers are turning to rooibos for its health benefits

@highlight

The plant grows only in South Africa's Western Cape province

@highlight

The multi-million dollar industry is fighting to protect the rooibos name and its heritage

@highlight

Producers are lobbying for the tea to be given geographical indication status