Nashville, Tennessee (CNN) -- Aspiring entrepreneur Abigail Franklin began selling clothes from a truck because she was looking for a way to stay in one place.

That might sound odd until you learn she is a wardrobe stylist based in Nashville who tours the world with musical acts. It was 2010, and she had just married her husband, a sound technician she met while touring with Bon Jovi, when she decided to set down roots.

Given her two decades of experience dressing male performers including Prince and members of Creed, she set her sights on opening a menswear store. When she couldn't find a location that fit her budget, she went into business with Nashville fashion designer Kyah Hillis.

Drawn to the opportunity to keep startup costs low, they decided to take a chance on mobile retail, which was catching on in Nashville after starting a few years earlier on the West Coast. People buy tacos and barbecue from retrofitted trucks and campers and some even live in them, so it was likely just a matter of time before entrepreneurs started using them to sell clothes, jewelry and shoes.

"We can bring our products to you instead of waiting for you to come to us," said Franklin in an interview in her truck last week, a former Snap-On-Tools truck from Indiana she found on Craigslist.

It took about $25,000 to get "The Trunk" up and running in spring 2012, with Hill's dresses and jewelry on one side of the 10-by-5-foot retail space and Franklin's selection of men's hats and grooming products on the other.

People follow the Trunk's movements on Twitter and on its website. On any given day, it could be a music festival, a tailgate, a restaurant parking lot or outside a Bon Jovi concert when the band plays in Nashville.

Named so it could accommodate a rotating cast of products, brands or designers, Franklin sees it as a "medicine chest" of opportunities.

"It just made sense. There's less overhead, and we can usually cover it in one day," she said. "I love the possibilities of the truck. We can use it to sell clothes or whatever we want."

Most people launch mobile boutiques as faster and cheaper alternatives to traditional brick and mortar retail, said Jeanine Romo, who launched Le Fashion Truck with business partner Stacey Steffe in Los Angeles in 2010. Usually, there's no lease involved and monthly expenses are lower than they would be to run a store. Before inventory, Le Fashion Truck's monthly costs run from $1,500 to $2,000 for generator, liability and auto insurance, cleaning supplies and storage rent, for starters. That pales in comparison to rent alone for a retail space, which could start at $7,000 in Los Angeles, Romo said.

As budding entrepreneurs look for new ways to stand out from the crowd, interest in mobile retail appears to be growing. Romo and Steffe started the West Coast Mobile Retail Association in 2011 to unite and support mobile boutique owners. It now has 32 members, some of whom have taken active roles in proposing legislation and working with cities to develop regulations for mobile retail. In response to growing numbers of inquiries from outside the West Coast, the WCMRA expanded to become the American Mobile Retail Association, which has 60 members from across the country and new inquiries coming in each day, Romo said.

"It's just a new way of doing business. It's creative, it's interesting, it's the now," she said in a phone interview.

Most of the boutiques carry women's clothing and accessories and gifts in the vein of what you might find on Etsy, but some trucks are expanding into shoes and sneakers, records, even flowers.

But, it's labor intensive, physically and otherwise, the pair has learned. When they're not on their feet setting up and breaking down the 10-by-5-foot retail space, or checking the generator, they're looking for new places to show or ensuring their permits, licenses and knowledge of local codes are current. Recently, through WCMRA, they proposed new permit legislation.

"There's still no business plan template for this kind of business, so it's all happening on a case-by-case basis," Romo said. "The rules are still being written and figured out and the owners of mobile boutiques are at the forefront of the action."

The trucks are also becoming springboards for online boutiques and occasionally an actual storefront. It cost Vanessa Lurie of Portland, Oregon, (known for its truck-friendly policies) about $2,000 to gut, paint and re-panel a 1969 Cardinal Deluxe trailer formerly used for hunting excursions and transform it into a two-rack vintage boutique with a tiny dressing corner in 2010. By July 2012 she had nearly enough capital to open a store in Portland by the same name, Wanderlust.

Through the trailer, she learned how to run a retail business while generating revenue to invest in a real store. She worried at first that not having the novelty of the trailer would make it hard to distinguish herself from other vintage stores. But, she has found that having a permanent location makes it easier for her to build a loyal customer base that knows where to find her, she said.

"They're just really different experiences. People were so amazed by the trailer itself and the setup. You'd get into these really funny situations when people had to use the teeny dressing room," she said.

Though she misses the "intimacy" of the trailer, she can carry more inventory now and become involved in the business community, she said.

"Now, it seems like I'm a little more established. People know where to find me, and I have a lot more regulars. I'm a business owner and people in the community embrace me for that."

Lurie, 30, still plans to use the trailer on a more selective basis, like festivals and fairs, of which Portland has a lot in the spring and summer.

Franklin is also looking forward to spring in Nashville. Unlike its West Coast counterparts, who enjoy mobile retail-friendly weather most of the year, "The Trunk" had to hibernate for winter; it gets cold in Nashville, after all. When "The Trunk" reopens in 2013, Franklin plans to expand offerings for women since they make up the majority of customers, she said.

Being at the mercy of inclement weather is one downside to mobile retail along with hoping customers will find you, she said. Brick and mortar stores rely on the same good fortune, of course. But a truck can pick up and leave if business isn't good.

Follow Emanuella Grinberg on Twitter

Would you frequent a mobile retailer? Share your take in the comments section below.

@highlight

Aspiring entrepreneurs launch fashion trucks as cost-effective alternatives to brick and mortar stores

@highlight

"We can bring our products to you instead of waiting for you to come to us"

@highlight

Most mobile retail trucks sell Etsy-type clothing and crafts; some offer shoes, records