Refuge opened the UK's first safe house for abused women and children in west London in 1971. Back then, domestic violence was still thought of as a private issue, to be dealt with behind closed doors. It was shrouded in myth and misunderstanding. Fast forward 42 years -- and sadly, it seems that very little has changed.

Domestic violence takes place every single day, in households across the globe. People often think that it only happens in poor families, but the truth is that domestic violence affects women of all ages, classes and backgrounds. Abusive men are as likely to be lawyers, accountants and judges as they are cleaners or unemployed.

Sometimes domestic violence is kept hidden, perpetrated in ways that are difficult to spot to the outside world. Many women have told me that their abusers hit them on parts of their body that do not show, or only become violent when the children are asleep. They tell me that their partners are very charming to other people -- a 'true gentleman' or an 'all-round nice guy'.

But sometimes domestic violence spills out into the public arena. Abusive men may humiliate their partners in front of friends and family, putting them down, belittling everything they say. Sometimes they use physical force or gestures to intimidate and control their partners in social settings. In these situations, women may try to appease their partners to defuse the situation and reduce the risk of violence.

In 2003, Refuge conducted a survey of 1,000 UK households which found that 42% of people had witnessed someone being verbally or physically abused by their partner in a social situation. All too often, however, people respond to this type of incident by turning a blind eye. They feel uncomfortable. They don't call the police. They still regard domestic violence as a 'private' matter.

Shockingly, these attitudes are all too often echoed by the police, social workers and criminal justice professionals -- the very people who have a duty to safeguard the most vulnerable members of our society.  Police officers still fail to treat domestic violence as a serious crime. Reports of abuse are routinely dismissed, calls for help are downgraded, and dangerous men are left free to commit violence -- or worse.

Refuge is currently working with the family of Maria Stubbings -- a young woman from Chelmsford, eastern England, who was brutally killed by her ex-partner Mark Chivers in 2008, despite making repeated calls for help to the police (Chivers, who had been convicted of murdering another woman, was later convicted of Maria's murder). Together, we are calling on the UK government to open a public inquiry into the response of the police and other state agencies to domestic violence victims.

The truth is that domestic violence is a massive social problem. Last year, over one million women were abused in the UK, according to UK government statistics. Every week in England and Wales, two women are killed by current or former partners. Domestic violence is a crime. It is against the law.

By failing to speak out against domestic violence, we condone it. We minimise it. We give violent men social permission to continue their abuse.

By failing to speak out against domestic violence we also mirror the techniques used by perpetrators, who frequently try to deny or minimise their own behaviour. They may attribute their violence to things like alcohol or stress. They may blame the victim, saying that she 'provoked' or 'deserved' the abuse.

The truth is that violence is always a choice. No woman is responsible for her abuser's actions.

I have worked with survivors of domestic violence for 35 years. I know that domestic violence is rarely a one-off. We should never ignore that first slap or shove, because over time it can escalate into much worse. In extreme cases, domestic violence can be fatal.

It's important that we recognise the signs of abuse at the earliest opportunities, and help women to get support before the violence escalates. Research shows that strangulation is a key risk factor for domestic homicide. Last year, almost 50% of the women Refuge supported had been strangled or choked by their abusers.

Of course, in many cases, perpetrators don't use physical violence at all. Emotional abuse can be just as devastating as kicks and punches. The scars it leaves can be deeper, and take longer to heal. If a woman lives in a state of fear, changing her behaviour to avoid making her partner angry, she is being abused.

Domestic violence is not a private issue. It is a social issue. It is a political issue. It is a moral issue. Above all, it's a crime -- a crime as serious as any other violent crime. Domestic violence affects us all. We all have a part to play in ending it.

@highlight

Sandra Horley is chief executive of Refuge, domestic violence service provider in UK

@highlight

Domestic abuse has often been seen as a private matter, says Horley

@highlight

She says abuse often occurs in public situations and bystanders do nothing