(CNN) -- The biggest case of the Supreme Court's term involves a three-headed, hot-button appeal combining abortion rights, religious liberty, and Obamacare. It's also the last one, and a ruling is due on Monday.

The legal and social pique may not reach the heights of two years ago when the justices narrowly preserved the Affordable Care Act and its key funding provision in a blockbuster ruling.

But the stakes are still large, and the decision could serve as a primer for other pending challenges to the health law championed by President Barack Obama and in play as a campaign issue this midterm season.

The issue before the justices is whether Obamacare can mandate contraception coverage specifically for certain businesses that object for religious reasons.

"This case isn't that practically important, except for the employees and businesses involved. There just aren't a huge number of those," said Thomas Goldstein, publisher of SCOTUSblog.com and a Washington appellate attorney.

"But everyone can agree the social questions presented-- about when people can follow their religious convictions, and when people are entitled to contraception care-- are truly important," he said.

Hundreds of advocates and demonstrators representing both sides are expected to rally in front of the courthouse on Capitol Hill.

Contraception mandate

The section of law in dispute requires for-profit employers of a certain size to offer insurance benefits for birth control and other reproductive health services without a co-pay.

A number of companies equate some of the covered drugs, such as the so-called "morning-after" pill, as causing abortion.

The specific question presented was whether these companies can refuse, on the sincere claim it would violate their owners' long-established moral beliefs.

The First Amendment says that "Congress shall make no law respecting an establishment of religion, or prohibiting the free exercise thereof."

"How does a corporation exercise religion?" asked Justice Sonia Sotomayor at March's oral arguments, summarizing perhaps the key constitutional question at hand.

"This is a religious question and it's a moral question," added Justice Samuel Alito, suggesting the businesses have such a right. "You want us to provide a definitive secular answer."

Conestoga, Hobby Lobby

The justices have a good deal of discretion to frame the competing issues and could reach a limited "compromise" through narrow statutory interpretation.

They could conclude individual owners can make the religious freedom claim, bypassing the corporate rights argument, but still give female workers the flexibility to get covered drugs.

The court weighed two related appeals from Conestoga Wood Specialties, a Pennsylvania cabinet maker, and Hobby Lobby, an Oklahoma-based retail giant that will have more than 700 arts-and-crafts stores nationwide by year's end.

Both corporations emphasized their desire to operate in harmony with biblical principles while competing in a secular marketplace. That includes their leaders' publicly stated opposition to abortion.

The case presented a complex mix of legal, regulatory, and constitutional concerns over such thorny issues as faith, abortion, corporate power, executive agency discretion, and congressional intent.

Health law impact

The political stakes are large, especially for the future effectiveness of the health law, which marks its fourth anniversary this year.

The botched rollout last fall of HealthCare.gov, the federal Obamacare website, has become another political flashpoint along with other issues that many Republicans say proves the law is unworkable.

They have made Obamacare a key campaign issue in their fight to overtake the Senate, and retain control of the House.

Supporters of the law fear a high court setback on the contraception mandate will lead to other healthcare challenges on religion grounds, such as do-not-resuscitate orders and vaccine coverage. More broadly, many worry giving corporations religious freedom rights could affect laws on employment, safety, and civil rights.

The abortion link

The Hahn family, owners of Conestoga, and the Green family, owners of Hobby Lobby, said some of the mandated contraception prevent human embryos from being implanted in a woman's womb, which the plaintiffs equate with abortion.

That includes Plan B contraception, which some have called the "morning after" pill, and intrauterine devices or IUDs used by an estimated 2 million American women.

A key issue for the bench has been be interpreting a 1993 federal law requiring the government to seek the "least burdensome" and narrowly tailored means for any law that interferes with religious convictions.

Chief Justice John Roberts could be the "swing" vote as he was two years ago when siding with the court's more liberal members to allow the law's "individual mandate" to go into effect.

That provision requires most Americans to get health insurance or pay a financial penalty. It is seen as the key funding mechanism to ensure near-universal health coverage.

Searching for compromise?

But how will the divided court rule this time?

Unanimous opinions in recent days on separate issues involving presidential recess appointments, cellphone searches by police, and abortion clinic protests suggest Roberts may be on a private campaign to push his colleagues to rule narrowly to reach consensus.

Such an approach usually involves both left- and right-leaning justices reluctantly giving a little.

"At oral argument it seemed likely a majority of the justices were looking for a compromise," said Goldstein, "in which the closely held for-profit businesses wouldn't themselves have to pay for contraception care, but the employees would get it, maybe through the exchanges, maybe financed by the federal government."

Compromise may be nice, but as other contentious cases earlier this term demonstrated, it is not always easy to achieve.

Separate decisions this spring involving political campaign donations and voter-approved affirmative action limits produced especially sharp 5-4 divisions.

Under the Affordable Care Act, financial penalties of up to $100 per day, per employee can be levied on firms that refuse to provide comprehensive health coverage. Hobby Lobby, which has about 13,000 workers, estimates the penalty could cost it $475 million a year.

The church-state issue now in the spotlight involves rules negotiated between the Obama administration and various outside groups. Under the changes, churches and houses of worship are completely exempt from the contraception mandate.

Other nonprofit, religiously affiliated groups, such as church-run hospitals, parochial schools and charities must either offer coverage or have a third-party insurer provide separate benefits without the employer's direct involvement. Lawsuits in those cases are pending in several federal appeals courts.

Second generation

Monday's decision could signal how the court will approach other lawsuits against the health care law.

"We're now getting the second generation of challenges to Obamacare-- about the actual adoption of the statute, and its core provisions," said Goldstein. "We're probably going to see cases over the next five to ten years, as more and more details about the law get put into effect."

A Mennonite family's fight over Obamacare reaches

5 questions: Supreme Court and Obamacare on contraception

Opinion: How Obamacare can reduce abortions

@highlight

Justices to rule on controversial requirement affecting businesses

@highlight

Ruling could serve as template for future challenges to Obamacare

@highlight

Issue is whether businesses can opt out of mandate on religous grounds

@highlight

The law requires employers to offer insurance benefits for contraception