The race to develop an effective treatment or vaccine against Ebola is on as the largest outbreak in history continues to spread in West Africa. Meanwhile, questions about whether unproven treatments are appropriate to use, and who should get them, are inspiring passion and resentment.

On Wednesday, an Iowa-based company called NewLink said it has enough doses of an experimental Ebola vaccine to begin clinical trials in the next few weeks, if such trials are approved. Meanwhile, a shipment of 800 to 1,000 doses of the vaccine, known as VSV-EBOV,  were delivered to health officials in Liberia, as a donation from the Public Health Agency of Canada.

The Canadian agency developed the vaccine but says its stockpile is gone. Earlier in the week, we learned that Mapp Biopharmaceuticals also sent its entire stock of the experimental drug ZMapp to the government of Liberia. Left undetermined is which individuals will receive any of the drugs.

As we track these and other developments, here are 10 facts to keep in mind about Ebola and experimental drugs:

1. There is no approved or scientifically proven treatment for Ebola, and no vaccine. Whether the setting is primitive or in a developed country's advanced hospital, existing treatment is primarily supportive: giving fluids, carefully monitoring vital signs and responding to acute medical crises.

2. There are several experimental drugs in development, with the potential to be useful against Ebola. The market for these drugs is small -- Ebola is a rare disease, almost completely confined to poor countries -- so funding for drug development has come largely from government agencies in the United States and Canada.

3.  "Vaccine" and "treatment" are not interchangeable terms. A vaccine is given to prevent infection, whereas treatment generally refers to a drug given to a patient who has developed symptoms. ZMapp, given to American medical workers Nancy Writebol and Dr. Kent Brantly when they were seriously ill, is not a vaccine.

4. Another term you may hear is "post-exposure prophylaxis," meaning a drug that is given to a person who has been exposed to an infection, but is not yet sick.

A familiar example is the rabies vaccine, often given to someone after they have been bitten by a rabid animal. Some promising Ebola drugs, like Tekmira's TKM-Ebola, have been developed and tested as "post-exposure prophylaxis."

Be warned: The terms can become confusing because research is ongoing and there's no clear evidence to define the window of time for treatment to be effective -- or if this type of drug might still be helpful once symptoms develop. This uncertainty influences the decisions that doctors and health officials have to make in determining if and when to use experimental drugs, especially those in short supply.

5. No Ebola treatment has been formally tested in humans with the illness. ZMapp has been given to at least three people in the current outbreak (the two Americans and a Spanish priest); experts say they are studying the cases, but there is not enough evidence to say whether the drug will be effective in others.

6. At least one Ebola therapy (TKM-Ebola) has been tested for safety in a small clinical trial; it was given to healthy human volunteers to see if they suffered any adverse effects. To date there have not been serious side effects.

7. One experimental post-exposure prophylaxis drug was given to a German researcher in 2009 after he pricked himself with a needle thought to carry Ebola. He did not develop the disease.

8. A handful of potential treatments have been tested in primates that have been infected with Ebola. Macaque monkeys are the usual test subjects.

9. The U.S. National Institutes of Health says a safety trial of an experimental vaccine could begin as early as September. Other companies are also preparing for new clinical trials.

10. At least one group of researchers -- at the University of Texas Medical Branch -- is working with a $26 million award from NIH to test the possibility of combining multiple therapies, similar to the HIV-fighting "cocktail" approach.

@highlight

There is no approved or scientifically proven treatment for Ebola, and no vaccine

@highlight

"Vaccine" and "treatment" are not interchangeable terms

@highlight

There are several experimental drugs in development

@highlight

Several potential treatments have been tested in primates