Washington (CNN) -- Huge inflatable plugs -- now being developed by the federal government to protect subway tunnels from terrorist attacks -- likely could have saved some of New York's subway tunnels from storm-related flooding, according to plug developers, some of whom are wistful that development wasn't completed in time for Hurricane Sandy.

The Department of Homeland Security successfully tested a plug in January, using the 16-foot diameter prototype to hold back pressurized water at a test tunnel in Morgantown, West Virginia. Another test to demonstrate the plug's reliability is scheduled for next week.

But project managers said only one current-generation plug has been manufactured, and they say they are two years away from marketing them to the nation's transit and highway authorities.

Get the latest updates on Sandy on CNN.com's live blog

"If we would have had these things installed in the right places (in New York), they could have made a terrific difference," said Greg Holter of the Pacific Northwest National Laboratory. "The problem is we don't have a stock of things that we could put in place. It's not like we have a bunch of these sitting in a warehouse," Holter said. "It's a little frustrating really that we weren't at a better stage at this thing."

"We've proved that these plugs can hold back water," said Dave Cadogan of ILC Dover, the plug's manufacturer. "I wish we had moved a little bit faster as a team and had gotten this development done."

How giant tunnels protect Tokyo from flood threat

Ever Barbero, a West Virginia University professor who helped develop the idea, says he thought of the plug immediately when he saw a news report that New York was closing the Holland Tunnel in advance of the storm.

"I said to my wife, 'It's a pity that every tunnel doesn't have two of these plugs'," he said.

When he heard reports that tunnels had flooded, he said, "The first thing that came to us is maybe we have work cut out for the next 20 years. I think now everybody will say, 'I should have plugged this tunnel.' "

Engineers: Dangling crane tied securely to NYC building

But DHS project manager John Fortune, while bullish on the plug, says the plug is not ready for prime time.

"This is an experimental prototype. This is something that is probably two years away or so" from real-world applications," Fortune said. "It would be like asking Apple, 'Why can't I have an iPhone 6 now?' Because it's somewhere in the lab now. It's not ready to go."

The plug -- simple in theory, but sophisticated in design -- inflates like a balloon to fit the contours of a tunnel, and can reduce leakage to amounts manageable by pumps. Placed on either end of some of the tunnels under New York's East River, the plugs could have prevented flooding, team members told CNN. But plugs would not have prevented water from infiltrating porous underground subway stations and other infrastructure, they said.

Katrina, Joplin survivors offer advice to Sandy victims

In all, seven New York subway tunnels and two commuter train tunnels flooded during Monday's record flooding. Some of the tunnels were flooded from track to ceiling and "it is still too early to say how long it will take to restore the system to full service," the Metropolitan Transit Authority, which operates the rail systems, said Wednesday.

The Department of Homeland Security began the "Resilient Tunnel Project" in 2007, focusing on the threat of terrorist gas attacks and fires in transit tunnels. But almost from the start, developers believed the technology could serve a dual purpose, protecting tunnels from floods during natural disasters.

Sandy's impact: State by state

DHS teamed with the Pacific Northwest National Laboratory, West Virginia University and ILC Dover, a private Delaware company, on the project.

An early scaled-down plug, consisting of a single layer, was effective at preventing smoke or gas penetration. But when the team used a stronger, single-layer plug in a full-scale inflation test, the fabric failed, sending the team "back to the drawing board," Fortune said.

The current plug consists of three layers, including a tough outer layer that consists of thick webbing made of Vectran, a liquid-crystal polymer fiber.

The plugs must be fitted to individual tunnels.

"When you look at these things, you get the idea of a kid's balloon," Halter said. But "they are not at all stretchable. They are specifically made to fit a tunnel of a specific dimension. They are tailor made. Their ability to expand or contract is less than 1%."

Victims fall to Mother Nature's wrath

The plugs can be inflated in about three minutes. But once inflated, they are pressurized with either air or water.

The existing test plug is roughly 32 feet by 16 feet and holds 35,000 gallons of water.

ILC Dover, which also manufactures spacesuits for NASA, believes the product is ready for the marketplace.

"I'd say the technology is ready for implementation now," Cadogan said. "What we're doing now is in essence confidence testing, multiple deployments, just making sure."

If New York had had plugs, "I think they could have stopped a fair amount of incursion of water in the transit system," he said.

Team members say the plugs are cheaper than the leading alternative -- floodgates. The prototype plug cost about $400,000, and costs could go down if the plugs are manufactured in quantities.

"This would be a cheap solution," said Barbero, the West Virginia professor.

Transportation security officials initially were skeptical that a fabric device would hold back floodwaters, said DHS project manager Fortune. But that skepticism is fading, he said.

Developers said this week's disaster in New York will likely increase interest in the Resilient Tunnel Project.

Experts warn of superstorm era to come

"While we don't want to ride the back of a disaster, it's certainly our hope that people will look at this technology," Holter said. "This may be the worst storm ever recorded in the last 100 years, but that's no reason that we won't have another storm that will cause as much damage."

Should DHS have expedited development of the plug?

That's a hard question to answer, said terrorism expert Brian Jenkins, director of the National Transportation Security Center at the Mineta Transportation Institute in San Jose, California.

While officials can envision a wild spectrum of vulnerabilities, they have finite resources to address them, he said.

"There are lots of solutions that become obvious following a disaster of some type," Jenkins said.

"To a certain extent, security is almost always reactive, because it's hard to justify the costs of deploying technology for things that have not occurred. And once they do occur, it's almost impossible to resist spending the money on the technology to prevent a reoccurrence.

"That's the axiom. It's a sad one, but that's the reality."

How you can help

@highlight

Developers say inflatable plugs might have saved some subway tunnels from flooding

@highlight

They are under development as a tool to protect tunnels in a terrorist attack

@highlight

Manufacturer: "We've proved that these plugs can hold back water"

@highlight

Homeland Security: Plug has promise but not ready for use yet