Washington (CNN)In his upcoming State of the Union speech, President Barack Obama will call on Congress to simplify a tax code he deems overly complicated and weighted toward wealthy Americans, administration officials said Saturday.

The moves -- likely to meet resistance from Republicans in Congress -- are meant to pay for the long slate of new programs the President began laying out two weeks ago designed to bolster the middle class, including offering two free years of community college to qualified students.

Obama's aides have been seeking ways to expand a robust economic recovery beyond top earners, who have been buoyed by record closes on Wall Street. Despite reams of positive economic news, most Americans still say economic conditions in the country are only fair.

And, if they see improvement, they aren't crediting the White House.

"The middle class has yet to experience the prosperity shown in the recovery, and what you'll see Tuesday night is the vision for finishing that job," a senior administration official said.

Obama is set to propose Tuesday a $500 tax credit for married couples who each hold jobs; the intention, officials say, is to help alleviate the costs of child care and commuting that lead some spouses -- usually women -- to determine it makes more financial sense to stop working.

He'll also spell out ways to simplify the way taxpayers apply for education and child care credits, including increasing the top child care credit to $3,000.

The total cost for the new provisions: $235 billion, according to administration officials, who spoke anonymously ahead of the plan's official unveiling. For the first time since becoming president, all of Obama's changes would need to be approved both by a GOP House and a Senate with a new Republican majority.

Looking to increase capital gains rate

To pay for the changes, the administration is proposing about $320 billion in new revenue over the next decade. Obama wants to wring more taxes from investment income -- capital gains and dividends -- which are taxed at a lower rate than ordinary earnings. Since wealthy Americans are more likely to derive income from investments, they'd bear the overwhelming weight of a higher rate on that type of profit.

The tax rate for capital gains now stands at 20% for the highest-earning Americans. Officials said Saturday that Obama will call for that rate to increase to 28% for those taxpayers.

He will ask lawmakers to close a loophole allowing capital gains on inherited funds to go untaxed -- a so-called "trust fund" loophole the White House says allows billions of dollars in capital gains to go untapped by the government every year.

"This proposal is doing what it is intended to do, which is to make sure that the large, accumulated, unearned wealth of the wealthiest Americans is actually subject to tax," an Obama administration official said. "We are quite confident that we can do this in a way that achieves that objective while in fact helping middle-class families by putting those resources to better use."

The arguments against raising tax rates on investment income are well established: opponents argue it poses a "double tax" scenario, since the corporate profits that drive stock prices are already subject to taxes. And they stress some portion of investment gains is driven by inflation.

But Republicans aren't necessarily opposed to altering how investment income is taxed: last year's proposal from the top Republican on the House tax writing committee, Rep. Dave Camp, called for applying ordinary income tax rates on 60% of capital gains and excluding the other 40% altogether. That put the top rate at 21%.

In his speech Tuesday, Obama also plans to all for a new fee on large financial institutions which administration officials estimated would bring in $110 billion; Camp's plan called for an excise tax on large banks.

"I would say that a number of the ideas that the President is outlining in this new proposal do have --already have -- clear congressional bipartisan support," a senior administration official said Saturday.

Republicans were dismissive of the tax initiatives unveiled Saturday evening.

"This is not a serious proposal," Brendan Buck, spokesman for House Ways and Means Chairman Paul Ryan, told CNN. "We lift families up and grow the economy with a simpler, flatter tax code, not big tax increases to pay for more Washington spending."

Obama has spent the last two weeks offering up an advance look at his State of the Union address, including the community college proposal, a plan to expand high-speed Internet and reducing rates of federally backed mortgages.

The early look is meant to introduce Americans to each scheme individually, said administration aides, who determined the yearly laundry-list of plans -- combined with updates on America's foreign policy -- wasn't digestible during a single prime-time event.

That doesn't mean, however, the speech will necessarily be any shorter than the 65-minute address Obama delivered last year.

"It will still be a healthy speech in terms of breadth and length," one official said.

Why Obama's going to India after his State of the Union speech

@highlight

Republicans criticize tax initiatives

@highlight

Obama to unveil new tax proposals during Tuesday's State of the Union

@highlight

New plan would offer middle-class credits; wring more from rich

@highlight

Plan needs approval from Republican-controlled Congress