(CNN) -- By now the story has become familiar, though it's no less gut-wrenching: A grown man is accused of hurling a racial insult at a crying toddler on an Atlanta-bound flight and then slapping the child when he won't quiet down.

Joe Rickey Hundley of Idaho has been charged with assaulting 19-month-old Jonah Bennett and has lost his job. Hundley turned himself in to authorities on Tuesday and was released on bail. His first court appearance has not been set.

Hundley's attorney, Marcia Shein, said her client is being unfairly portrayed.

A good deal of the conversation surrounding the incident involves the fear that the youngster may be "traumatized forever." How likely is it that little Jonah will remember this incident or be affected by it long-term?

Not very likely, according to experts.

"He may remember it for a while, and he may be fearful, but a one-time experience won't have a long-term effect," said Atlanta pediatrician Dr. Jennifer Shu.

According to Shu, who has not treated the toddler, Jonah is too young to understand what is going on.

The incident was shocking in the moment, says Shu. The toddler understands the slap and knows that someone hit him and that it hurt. But he doesn't know or comprehend the significance of what happened. Nor would he understand the meaning if ugly words were directed at him.

Dr. Theodore Gaensbauer, clinical professor of psychiatry at the University of Colorado Health Sciences Center and author of the study "Emotional Expression in Infancy," agrees.

"I would not say it will cause lifelong trauma, depending on how it's handled," observed Gaensbauer, who is a national expert on preschool trauma. The experience may, however, create a vulnerability for a period of time, perhaps months or up to a year or so. If something else happens that is reminiscent -- such as being subject to racially charged slurs and violence similar to the alleged incident -- he may be more vulnerable.

Early childhood trauma is certainly a cause for concern. Dr. Rajita Sinha, director of the Yale Stress Center, told me last year that stressful experiences can effectively rewire the brain to respond to hardship by becoming more sensitized to stress. That is, the child becomes hard-wired to react much more strongly than someone who did not experience a lot of turmoil. As a result, the child may go on to have a permanently elevated level of stress, with its adverse implications for physical and psychological health.

But challenging situations, even one as dramatic as the one little Jonah Bennett experienced, do not necessarily lead to lifelong issues. Sinha observed that it's stress that is sustained, uncontrollable and overwhelming that is damaging.

"It is hard to be resilient that often," said Gaensbauer, who also has not examined Jonah Bennett.

But even then, protective factors like social and family support, education and optimism and emotional self-regulation can provide a safety net for children.

Both Shu and Gaensbauer observe that most children can work through and overcome a single traumatic episode without any obvious long-term effects, given supportive parenting and caretaking.

"How secure is the child's relationship with his caregivers?" Shu asked. If he's had good relationships and solid attachments, that will make him more able to deal with traumatic situations like this. On the other hand, if he's had a lot of stress in his life already, it may make it harder.

What's really important is how Jonah's family is dealing with the incident.

Shu says that if the family is calm and reassuring, the child will be comforted by that. If they are stressed out and expressing their anxieties, particularly within the toddler's earshot, he is likely to respond by becoming stressed as well.

After traumatic incidents, Gaensbauer always recommends that caregivers look out for subtle signs that children may be adversely affected: "Things like increased clinginess, bed-wetting or separation anxiety. He may need to be closer to his parents. He may have trouble sleeping, may be more hyper. Noises may make him fearful."

The child may even hit others, cautions Gaensbauer. And in such an instance, it's important that parents do not react punitively or generalize in terms of their child being more aggressive. "What he's doing is imitating and reenacting what he experienced, in an attempt to understand it."

Gaensbauer suggest that play therapy may be useful. Caregivers can use dolls, play materials and toy airplanes to create a scene that helps the child to conceptualize and develop a narrative around what happened.

Over and above providing reassurance and empathy, caregivers need to help children understand that the experience was unique, "so they're not living with this undercurrent of anxiety that no matter where I am, suddenly, for reasons I don't understand, something terrible can happen, and someone can come along and hurt me."

It's important to make the unconscious conscious, within the bounds of children's understanding, says Gaensbauer. At age 2, a child does not understand what happened, but with the wisdom, care and support of his loved ones, over time, he will.

@highlight

Joe Rickey Hundley is accused of slapping 19-month-old Jonah Bennett on a flight

@highlight

Hudley was charged with assault after incident, in which he allegedly used racial slur

@highlight

Many CNN commenters wondered whether the child would be traumatized

@highlight

Experts say a one-time incident of this nature is not likely to have lasting effects