Legal scholars expressed little surprise Thursday that the conservative chief justice of the United States -- John G. Roberts Jr. -- proved to be the key vote in upholding the constitutionality of the Affordable Care Act.

Breaking down the court's decision

"Had the court ruled as the four dissenters would have had it -- in a 5-4 decision, red versus blue -- that the signature act of a Democratic administration was unconstitutional, I think that would have been a very serious threat to the legitimacy of the court," said Timothy S. Jost, a professor at Washington and Lee University School of Law in Lexington, Virginia.

What the health care ruling means to you

"I think Americans are already very skeptical about the rule of law in the United States and believe that the court is essentially a third political branch," he said in a telephone interview.

The 57-year-old Roberts may have been thinking about the court's perceived legitimacy and about his own legacy when he crafted the decision, which couldn't have been an easy one, Jost said.

"I think he probably had to think very long and hard about how to rule in this case," the professor said.

No matter what it does, high court is seen as political

In 2005, when then-President George W. Bush tapped Roberts to be the 17th chief justice of the United States, then-Sen. Barack Obama voted against his confirmation. During his confirmation hearing, Roberts said he saw his role as a potential justice to make rulings based on the Constitution and not to set policy -- or, as he described it, "to call balls and strikes, not pitch or bat."

"I come before this committee with no agenda, no platform," he told the Senate Judiciary Committee at the time. "I will approach every case with an open mind."

Since then, Roberts' stances on campaign finance and affirmative action had led some observers to brand him a judicial activist.

Obama: Supreme Court ruling on health care a victory for all Americans

But Neal Katyal, a professor of law at Georgetown University in Washington, said that Roberts, "more than almost any justice on the court today, appreciates the institutional role of the Supreme Court and American democracy. He's a student of history, and I think today's decision was a really resounding reflection of the chief justice's values, which are (that) law is not just politics and the Constitution is not just politics, and we should think about decisions impartially and dispassionately and come to the right ones."

Katyal, who served in the Justice Department under the Clinton administration, called Thursday's decision "a resounding victory for the rule of law in America."

Ruling plays into campaign narrative for both sides

"I wasn't that surprised" by the decision, said Randy E. Barnett, a law professor at Georgetown who helped write the brief for the National Federation of Business that challenged the law. "I said from day one that the Supreme Court always bends over backwards to uphold laws of Congress. That's the reason why our fight was always an uphill fight."

The law's ultimate fate, he predicted, will be decided not in any court but at the ballot box in November. "The people will decide whether they approve of this tax, this so-called tax that has been imposed upon them," he said in a telephone interview.

And the election may also be about appointing justices who do not bend over backward to uphold the laws of Congress, he said, "because the Congress cannot be the judge of the scope of its own powers, and we need an independent judiciary to do that."

Regardless of what happens this fall, presidential historian Douglas Brinkley said that Roberts himself made a difference with his ruling Thursday -- not only affecting how some view the court, but how they see the chief justice himself.

The historian compared Roberts to former Chief Justice Charles Evan Hughes, a former Republican governor and presidential candidate who nonetheless sided with liberal justices -- and Democratic President Franklin Delano Roosevelt -- in finding Social Security to be constitutional.

"Supreme Court Chief Justice Roberts has etched himself in history now," Brinkley told CNN. "This, today, showed that Roberts had ... deep thought. He really played the constitutional lawyer and justice here, and I think his stock goes very high."

How the justices voted, what they wrote

Opinion: Are voters ready to move on?

@highlight

"Roberts has etched himself in history," a historian says

@highlight

A professor says that a vote against Obamacare would've threatened the court's legitimacy

@highlight

The court "always bends over backwards" to uphold Congress' laws, another professor says

@highlight

In his confirmation hearing, Roberts vowed he'd be open-minded and had "no agenda"