New Orleans, Louisiana (CNN) -- The House of Representatives on Thursday passed a bill that removes limits on financial damages that can be awarded for accidents off the U.S. coastline, such as the explosion of the Deepwater Horizon oil rig that killed 11 workers.

The bill updates maritime laws that have been on the books since the mid-1800s and early 1920s. Those laws restricted the amount of money families could obtain to compensate for lost wages and funeral expenses. The bill passed by the House Thursday would allow compensation for non-monetary losses such as pain and suffering.

A similar measure awaits action in the Senate.

Also Thursday, the U.S. Coast Guard and Environmental Protection Agency issued a directive to BP on how the company should manage recovered oil, contaminated materials and waste recovered in cleanup operations from the oil disaster in the Gulf of Mexico.

Among other requirements, the directive requires the oil giant to give the EPA and state agencies access to any waste storage site and to provide specific plans, waste reports and tracking systems for liquid and solid waste.

"While the states of Louisiana, Alabama, Mississippi and Florida are overseeing BP's waste management activities and conducting inspections, this action today is meant to compliment their activities by providing further oversight and imposing more specific requirements," the Coast Guard said Thursday. "Under the directive, EPA, in addition to sampling already being done by BP, will begin sampling the waste to help verify that the waste is being properly managed."

Waste sampling to date has been done in compliance with EPA and state regulatory requirements, the Coast Guard said.

The EPA on Thursday also released results from its first round of toxicity testing on eight oil dispersants, including Corexit 9500, which is being used in the Gulf.

In May, the EPA had asked BP to stop using Corexit and to substitute other, less toxic alternatives on the market. BP declined to change dispersant, arguing that it was the best one for the job.

The study showed that none of the eight dispersants tested displayed significant endocrine disrupting activity, the EPA said. Damage to the endocrine system is harmful to sea life, and can create reproductive problems.

The agency conducted the testing to ensure that "decisions about ongoing dispersant use in the Gulf of Mexico continue to be grounded in the best available science," the EPA said.

Of the dispersants tested, Corexit 9500 and one called JD-2000 were generally less toxic to small fish, and JD-2000 and Saf-Ron Gold were least toxic to mysid shrimp, the EPA said.

"We want to ensure that every tool is available to mitigate the impact of the BP spill and protect our fragile wetlands," EPA Administrator Lisa P. Jackson said. "But we continue to direct BP to use dispersants responsibly and in as limited an amount as possible."

Meanwhile, rough seas in the wake of Hurricane Alex kept oil skimming boats out of the Gulf on Thursday and could keep many tied up through the weekend, the retired admiral in charge of the federal response to the Gulf oil disaster said.

Thad Allen, briefing reporters in civilian garb after retiring from the Coast Guard on Wednesday, said seas over 5 feet hinder the effectiveness of most boats used to scoop oil. All but the largest vessels will likely be idled for another three days, he said.

"In general, we're waiting for the weather to abate so we can continue with recovery operations," he said.

A ship billed as the world's largest skimming vessel has arrived in the Gulf of Mexico and was awaiting approval to begin cleaning, according to a spokesman for the Taiwanese company that owns it. The A Whale arrived in the Gulf on Wednesday and was anchored in Boothville, Louisiana, about an hour south of New Orleans.

Frank Maisano, a spokesman for ship owner TMT shipping, said it is still awaiting approval to join the effort. Allen said the vessel -- estimated to be able to skim up to 21 million gallons a day -- is awaiting testing. That capacity is at least 250 times the amount that the modified fishing boats currently conducting skimming operations have been able to contain, the company says.

Built this year, the A Whale was initially designed to be one of the largest cargo vessels afloat. It was completed at a South Korean shipyard for transporting crude oil and iron ore. However, Maisano said in the statement, when the disaster unfolded, TMT modified the vessel to become the world's first large-scale skimmer.

"We're anxious to find out how effective it will be," Allen said. He cautioned that the area of the slick in which the ship will be most effective is a "congested" site above the ruptured BP well, which could make it harder to operate the 1,000-foot-plus vessel, but added, "Anything that's effective we're looking forward to using."

Hurricane Alex hit the Mexican coast, more than 600 miles from the center of the Gulf disaster, on Wednesday night with 105 mph winds. It had diminished to a tropical storm by Thursday afternoon, but it continued to stir up seas of 6 to 8 feet around the site of the 10-week-old disaster and forced the postponement of a planned overflight of the area by Coast Guard Rear Adm. Paul Zukunft.

And the system's prevailing winds have affected the direction of the oil slick, steering it away from the western Florida Panhandle toward the environmentally sensitive Mississippi and Chandeleur sounds off the coast of Mississippi and Louisiana, Zukunft said.

Researchers have estimated that between 35,000 barrels (about 1.5 million gallons) and 60,000 barrels (about 2.5 million gallons) of oil have been gushing into the Gulf every day since April 20, when the Deepwater Horizon rig exploded and sank off the coast of Louisiana.

In other efforts, the U.S. Navy said Thursday it was sending a silver-colored blimp to aid in oil disaster efforts. The blimp, known as the MZ-3A, will fly slowly over the region in order to view the area where the oil is flowing and how it is coming ashore. It can also direct oil skimming operations. It was on the way to the Gulf region from Arizona on Thursday, the Navy said.

In Gulf Shores, Alabama, meanwhile, the official tapped to oversee the payment of claims for damages from BP said he is working to speed up the process and get longer-term payments to those affected. Kenneth Feinberg, the attorney who handled a similar process after the September 11, 2001, attacks on New York and Washington, said after a meeting with Alabama Gov. Bob Riley that "time is the enemy."

"This is life for many people, in terms of their financial instability and the need for financial certainty," he said. "We do not have a lot of time."

Feinberg said Riley has suggested that affected residents get lump-sum payments for up to six months' worth of lost income rather than month-to-month payments, and "That is what we plan to do."

CNN's Ashley Hayes, Ashley Fantz, Vivian Kuo and Deirdre Walsh contributed to this report.

@highlight

NEW: EPA says dispersant BP uses is "less toxic" on small fish

@highlight

House passes bill that would allow more damages paid to victims' families

@highlight

Coast Guard directs BP on how to manage waste from cleanup

@highlight

Heavy seas affect cleanup and containment on several fronts