Los Angeles (CNN) -- A new cable network for Latino audiences will mark the culmination of two decades of filmmaking for writer-director Robert Rodriguez, who is leading the ambitious effort.

"I've been on this journey for 20 years now ... and this seems to be the reason," " Rodriguez said Friday during a conference of independent Latino filmmakers and documentarians.

"What's great about this is that no one is doing this for an audience that is growing so fast," Rodriguez said, referring to how Latinos are now the nation's No. 2 group in the latest census, surpassing the 50 million mark.

"When you think that there's nothing on television like this, it boggles the mind."

The El Rey network starts broadcasting between September 2013 and January 2014. It is a daunting venture as talk show queen Oprah has discovered at her struggling OWN Network, whose woes have resulted in recent layoffs.

But the film maker of "El Mariachi," "Spy Kids" and other features isn't deterred.

"I'm glad I'm so naÃ¯ve," Rodriguez said. "I don't think about the obstacles too far in advance."

The response has been overwhelming, according to Rodriguez, who was attending the Friday opener of the annual NALIP conference.

The network will allow Latino filmmakers to tell stories about the Latino community from their own point of view, he said. El Rey network will also appeal to general audiences, he added.

"It not only reflects the identity of a culture but shapes it," Rodriguez said of the new network.

Rodriguez is Mexican-American with deep roots in Texas, where his family can trace its history to a land grant in 1760, he said. He grew up making movies in his backyard with a home video camera and proved to the world that a film can be made "with very little money and no film crew" when he enjoyed widespread success with "El Mariachi" in the early 1990s.

The El Rey network will offer "an action-packed, general entertainment network in English for Latino and general audiences that includes a mix of reality, scripted and animated series, movies, documentaries, news, music, comedy, and sports programming," according to Comcast.

The Federal Communications Commission and the U.S. Justice Department last year approved the merger of Comcast and NBC Universal, and now Comcast is starting the Aspire cable network for African-Americans led by Magic Johnson; the Revolt network for pop music by Sean "P. Diddy" Combs and MTV veteran Andy Schuon; and Rodriguez's El Rey network, said NALIP board member Joseph Torres.

The independent Latino producers group was formed in 1999 when film documentarian Maria Agui Carter and other Latinos banded together to address their under-representation in mass media, Carter said.

"We used to be few hundred people that started in 1999, very frustrated at lack of access, trying to kick down the doors" of major media and film making outlets, Carter said. "Through our own community building, we finally realized that we are the ones that we were waiting for."

The group now touts a newsletter of industry trends with 10,000 subscribers, and this week will address how the nation's second-largest group watches more television, buys more movie tickets and consumes more media than any other ethnicity -- and yet comprises less than 1% of executives in Hollywood.

At its annual conference that began Friday in Universal City, California, the group will honor actress Rita Moreno, who has won an Oscar, an Emmy, a Tony and a Grammy Award, and will feature a keynote speech by Rodriguez.

NALIP describes itself as the nation's pre-eminent association for Latino independent film and video makers.

The NALIP 2012 conference, called "Diverse Voices, Universal Content," is chiefly sponsored by Time Warner (the parent company of CNN) and the National Latino Media Council.

"We are celebrating the incredible explosion of Latinos in the media both in front and behind the camera," Carter said.

"There are great improvements in the representation of Latinos, especially in television, but there are very few directors, vice presidents and above, film and TV executives and very few at the major and mini-major studios and few in the (talent) agencies and the management companies," Carter said.

"That, of course, affects the opportunities that Latinos in the media are able to take advantage of," she said.

The group points out how the presence of minority industry writers in film and television has been stuck at 6% since 1999 and the percentage of minority directors is even smaller. Meanwhile, Latinos are estimated to spend $1 billion on U.S. filmed entertainment and hold $1 trillion in general market buying power, NALIP says.

On Saturday, the organization will discuss "race and the media" in a closing plenary that will look at how systemic, economic and cultural factors affect representation in mass media.

Torres, co-author with New York Daily News columnist Juan Gonzalez of "News for All the People: The Epic Story of Race and the American Media," said among the ways to remedy the inequities is continued training of "the new generation of filmmakers."

Advocacy groups also need to hold media companies accountable through federal laws and policy, said Torres, who is senior director at the national media reform and public interest group Free Press.

Government policy "determines who are the corporate gatekeepers, who owns media outlets under mergers, and whether the Internet will continue to remain a communications network for people to express themselves," Torres said.

The El Rey network would be "the biggest opportunity, the biggest bellwether trend, for opening mainstream media to Latinos," Torres said.

"It's one of the biggest opportunities to come around in a while for Latinos, to have a presence in cable television," Torres said. "It's going to be an opportunity for jobs and producing content."

@highlight

Filmmaker Robert Rodriguez will lead El Rey, a new Latino network

@highlight

The network will launch between September 2013 and January 2014

@highlight

"When you think that there's nothing on television like this, it boggles the mind," he says

@highlight

He speaks at the National Association of Latino Independent Producers conference