Washington (CNN) -- Remember Rep. Paul Ryan? The 2012 Republican vice presidential candidate? He's still a member of Congress. He still represents Wisconsin's 1st Congressional district. And he still sits atop of the House Budget Committee.

Ryan has fallen out of the national spotlight since the GOP election loss, and he has remained largely silent while Republicans and Democrats battle amid a federal shutdown over how to move forward on a government funding bill and raise the debt ceiling.

Ryan's recent reticence is more noticeable because the prominent fiscal matters front and center now highlight his area of expertise. He is known in Congress as the budget wonk, the expert on federal government and spending. His colleagues look to him for guidance.

In recent years, he unveiled controversial budget blueprints that dramatically cut spending and altered entitlement programs such as Social Security and Medicare. His budgets, titled "Path to Prosperity," became the defining documents for Republican fiscal policy.

After stepping into the limelight of the presidential campaign last year, he became just as well known for his biceps as his budget, thanks to a Time magazine photo shoot.

Silence shattered

While President Barack Obama and House Speaker John Boehner remain at odds over the shutdown and the debt ceiling, and while House Republicans are involved in infighting, Ryan dipped his toe into the shark tank.

He broke his months-long silence with an opinion piece in the Wall Street Journal, putting forward a new path -- how to break the crippling stalemate in Washington with ideas that even some Democrats support. He did not emerge unscathed.

Op-ed doesn't mention Obamacare

Ryan took a measured tone in the op-ed. He placed blame on Obama for not being willing to negotiate but he implored both sides both sides to sit down at the negotiating table.

Ryan responds to criticism over op-ed

His idea: his old idea. He proposed "commonsense reforms of the country's entitlement programs."

2016 ambitions?

Ultimately, his timely emergence could be part of a larger plot. As a young politician with a bright future, speculation is rampant that he might be running for the Republican presidential nomination in 2016.

That speculation grows louder especially as he plans trips to Iowa and New Hampshire, the first presidential nominating states.

He will keynote a birthday fundraiser for Iowa's Republican governor next month and he is to attend a fundraising breakfast for a congressional candidate in New Hampshire.

While Ryan released the op-ed, he continues to play the cautious card, however.

CNN has asked every congressional member if they would support a "clean" government funding or debt ceiling bill with no strings attached -- something many Republicans are demanding. Ryan's office has not commented.

In new book, Paul Ryan asks 'where do we go from here?'

Ears opened

If his strategy is to speak little but make a big impact, Ryan definitely made an impact. It might not have been the one he had hoped.

Republican Sen. John McCain of Arizona, who has broken with his party on various issues, championed Ryan's op-ed. Via Twitter, McCain said Ryan's proposal is a "must read."

But not everyone was so enthusiastic.

Conservatives jumped on Ryan's for omitting their central demand -- dismantling Obamacare - in the government shutdown and debt limit fight.

A spokeswoman for the leader of that crusade, Sen. Ted Cruz of Texas, aptly noticed the omission.

"There is one big work missing from this op-ed. It's start with an O and ends with BAMACARE," she tweeted.

Ryan was forced to go on defense instead of push his agenda.

Appearing on conservative talk show "Bill Bennett's Morning in America," Bennett asked Ryan if dismantling Obamacare was no longer a priority. Ryan insisted that it still was.

"Obamacare's an entitlement just like any other entitlement," Ryan said, according to Politico. "If you look at the op-ed, I say we have to - ultimately we have to rethink all of our nation's health care laws."

Head of the Republican National Committee, Reince Priebus, came to Ryan's defense. He echoed Ryan's defense and said his op-ed included "OBAMACARE," even though it didn't specifically mention it.

At a weekly meeting of House conservative lawmakers that Ryan regularly attends, he attempted to explain the position he laid out in the Wall Street Journal. But some conservatives still insist that Obamacare be tied to any deal. Ryan dodged reporters after the meeting.

Opinion: Goodbye to the strategy Republicans knew was a fantasy

The dilemma

Twenty years ago, Ryan worked for the conservative organization Empower America, which later became FreedomWorks. While that organization successfully morphed from a group that promoted traditional fiscal conservatism and neoconservative foreign policies into a limited government tea party aligned group. Is Paul Ryan an Empower America Republican? Or a FreedomWorks Republican?

There lies Ryan's dilemma. It's the same scenario that is plaguing the Republican Party and also dictating the current debate in Washington.

Republican strategist and former Romney spokesman Ryan Williams his op-ed shows that he's "the adult in the room."

"He felt that it was important for him to speak up to address the seemingly never-ending stalemate that we're witnessing in Washington," Williams added.

But the conservatives intent on stopping the health care law at all political costs aren't interested in ending the stalemate if it doesn't end Obamacare.

Lisa Miller, Founder of the Washington-based Tea Party WDC, said she hopes the government shutdown leads to the chipping away of the health care law.

"Paul Ryan is a numbers guy; I just don't like his numbers," Miller said.

Williams insisted that Ryan has already proven his conservative credentials but his op-ed shows he's a "realist" given the miniscule probability that Republicans have in undoing the health care law.

Given the push back Ryan has received, three years before the presidential election, Ryan might have to decide if he's going to be a "realist" or a modern day, tea party conservative if he aspires to higher political office.

Supporters stand by representatives, and government shutdown

@highlight

Paul Ryan has fallen out of the national spotlight since last year's GOP loss in presidential election

@highlight

And the Wisconsin Republican House member has remained largely silent during budget crisis

@highlight

But he now has dipped is toe into the controversy, writing an opinion piece that grabbed attention

@highlight

Ryan offered ideas, called for negotiation but omitting GOP Obamacare demands was noticed