(CNN) -- Growing up in rural North Dakota, about 13 miles from the Canadian border and a 90-minute drive from the nearest McDonald's, Jessica Metcalfe relied on magazines for her pop culture fix.

The young Turtle Mountain Chippewa never saw anyone in the pages of Seventeen who looked like her. But as an adult, she's working to change that, promoting the work of Native American fashion designers and artists.

She began with the 2009 launch of Beyond Buckskin, a blog that highlights Native designers and discusses their place in media and pop culture. Even Metcalfe was surprised by its initial success -- by the size of its audience, the positive feedback, the readers asking, "Where can I buy that?"

The blog expanded to include an online boutique last year, placing Metcalfe at the center of a growing movement to reclaim what fashion labels "Native American." She's surrounded by a group of passionate Native designers, artists, stylists, photographers and bloggers who have already proven that by raising their voices they can hold companies accountable. Instead of just reacting to controversies, Metcalfe and her cohorts want to promote authentic examples of modern Native fashion. Their work reflects the diversity of North America's indigenous communities, from the southeastern United States to Canada's Pacific Northwest, but their message is clear: True Native fashion is more than what's for sale at Urban Outfitters or Forever 21.

Related: Native Americans fight cultural caricatures

When blogger Adrienne Keene of Native Appropriations outed Paul Frank last year for holding a powwow-themed party, the company not only apologized but invited Keene and Metcalfe to speak at an upcoming industry panel on cultural appropriation. The company is also working with Metcalfe to develop collections featuring four Native designers.

Whenever a celebrity dons a feather and long braids for a photo shoot, or a fashion brand releases a gaudy collection of "totem pole print" tracksuits, bloggers like Metcalfe and Keene are slammed with questions about why they're offensive. Metcalfe says they should be showing better examples -- tasteful, appropriate use of Native iconography, and talented Native designers.

It's the work of Taos designer Patricia Michaels, the first Native American to appear on "Project Runway;" the art of Virgil Ortiz, a Cochiti Pueblo artist and designer who collaborated with Donna Karan; the sexy couture gowns of Bethany Yellowtail and other designers who appeared in the first Beyond Buckskin Lookbook launched earlier this month to spotlight Native-made fashion from couture to street wear.

"Creativity is our tradition and there's a lot of talent in Indian Country waiting to be exposed," Metcalfe said.

Part of the work is advancing mainstream America's perception of Native fashion, going beyond headdresses, fringed jackets and, yes, buckskin. On a practical level, it's about finding places to market and sell Native-made goods, Metcalfe said.

The clothing and jewelry isn't only intended for Natives. It's meant to appeal to wide audiences, even if people don't know the significance of a pattern or design.

"These are not your stereotypical Native American designs. They're very contemporary, which is the point: to present new visions of what Native American fashion means," said Shelby Tisdale, the vice president of curatorial and exhibitions at Los Angeles' Autry National Center, a Native American history museum.

"They incorporate designs that have a lot of meaning to them, but to the average viewer they might just look like a dragonfly or zigzag lines, and that's OK."

Metcalfe was a guest curator for a show about Native couture at the Museum of Indian Arts & Culture in Santa Fe, New Mexico, while Tisdale was the museum's director. Metcalfe was completing her dissertation about modern Native American fashion.

"She's done a fabulous job of researching Native fashion's roots, but now she's taking it into the 21st century," Tisdale said. "She's moved it into the digital age, which not might seem like a big deal, but it's new and forward thinking for Indian Country."

The work occurs beyond Metcalfe's website. They're using fashion shows, pop-up boutiques and speaking engagements to spread their message. In March, Metcalfe was in Las Vegas, Santa Fe and Portland for events promoting Native fashion. Keene joined her for a talk this week, aptly named "More Than Just Trend," at Reed College -- one of many stops they make on college campuses.

Related: Atlanta Braves reject "screaming Indian" logo

Earlier this year, Metcalfe staged a three-day photo shoot of the latest looks in Native fashion, from couture to street wear, with fashion photographer Anthony Thosh Collins and L.A.-based designer Bethany Yellowtail. The result was the Beyond Buckskin Lookbook, which Metcalfe says is the first compilation of modern Native fashion produced exclusively by Natives. They launched the book in March at the Reservation Economic Summit in Las Vegas, an annual gathering of tribal leaders, state and local elected officials and top CEOs from Indian Country.

"The lookbook is a brilliant indigenous response to the rip-offs being marketed in mainstream media," said Valerie Taliman, a citizen of the Navajo Nation and West Coast editor of Indian Country Today Media Network, the largest Native-operated media organization in the country. "Here, you have a collection of 17 Native artists with all Native models, photographers, graphics artists and business management -- the whole package on their intellectual and cultural terms."

So, instead of jewelry that's all turquoise and silver, metalsmith Kristen Dorsey creates pieces she says honors the aesthetic traditions of the Chickasaw people. She works with copper, using the same relief sculpture techniques as her ancestors. Her signature "serpent cuffs" resemble reptile scales, referring to a deity from southeastern Native American spirituality. The cuffs are adorned with black freshwater pearls harvested from the Mississippi River watershed, a nod to where her tribe lived before the Trail of Tears. Each cuff starts at $700.

"If you have a family or tribal connection it becomes very personal," Dorsey said. "It's more than making jewelry; it becomes working for a culture that you want to pass on to future generations."

Then there's Jamie Okuma, who contributed two skirts and a jacket to the lookbook. She began working with beads and sewing as a child on the La Jolla Luiseno Reservation in California, and at 22, became the youngest artist to earn best in show at New Mexico's Santa Fe Market, the largest crafts fair in Indian Country. She makes elaborately beaded high heels, colorful jackets and dresses that evoke the patterns of the LuiseÃ±o and Shoshone-Bannock.

"Clothing is wearable art and I want to use my skills to create something beautiful that reflects the cultural heritage of my tribe," Okuma said.

Okuma said anyone who wants to interpret Native patterns and motifs should be allowed to do so, but they should do it in a respectful way.

"As long as they understand the importance of the symbols or patterns being utilized and they do so in a tasteful way, why not?" Okuma said.

Still, on major store shelves, Native fashion is still most likely to be "Navajo-inspired" prints, feathered headdresses or fake turquoise jewelry. The lookbook represents authentic, modern Native imagery, designer and co-creator Bethany Yellowtail said.

"It's disheartening to see Native American fashion as cheap knockoffs," Yellowtail said. "To change that, we have to be the voice for what Native American fashion is, instead of just complaining about it."

Growing up on the Northern Cheyenne Indian Reservation, Yellowtail's aunties taught her how to bead and make shawls in the tradition of her people, the Crow and Cheyenne who share the vast tribal territory. Thanks to a high school teacher who encouraged Yellowtail and helped her find a design school, she moved to California, where she broke into a career as a pattern maker. Five years after arriving in Los Angeles, she now divides her creative efforts between a full-time job designing for mass market retail brands and her own line, which is inspired by her love for Native culture and high-end couture, she said.

Yellowtail wants to inspire other Natives to follow their passion and show the rest of the world that Native Americans are a thriving, modern people that have plenty to contribute, especially in the fashion world.

"When I was in high school I never imagined that I could be a mover and shaker in the fashion industry as a Native woman," she said. "But now that I'm a part of the industry, there's this window of opportunity for me to be a voice for our communities."

Follow Emanuella Grinberg on Twitter

@highlight

New generation of designers create authentic examples of modern Native fashion

@highlight

Beyond Buckskin blog is at heart of movement to promote Native fashion

@highlight

First Beyond Buckskin look book features 17 designers and artists from Indian Country

@highlight

Editor: Look book is a "indigenous response to the rip-offs being marketed in mainstream media"