London (CNN) -- Abbey Road Studios in London. This is where The Beatles produced some of their classic records. It's a long way from the Cape Town townships where Pumeza Matshikiza grew up, but this is where the South African soprano is recording her debut album.

At the studio rehearsals, she is going over the notes again with her producer. Her plush and dark-hued voice has enabled her to enter the world of music, travel and hard work, and leave poverty and hardship behind.

"Cape Town was very hard because it was during Apartheid with black South Africans put in a very awkward position and discriminated against," Matshikiza says, reflecting on her childhood. "My mother was always looking for a job, sometimes I spent time without her. At some point I stayed with my uncles, my aunt, my grandmother, my two cousins in an informal settlement."

Read more: Charlize Theron crusades against AIDS

Matshikiza is one of the newest signings on London based label Decca, which has recorded with opera stars like Luciano Pavarotti and Joan Sutherland.

She left South Africa in 2004 and wants to explain her unlikely journey from townships to opera houses with her album, by fusing elements of traditional South African folk songs with popular opera arias by Mozart and Puccini. Some tracks will be accompanied by The African Children's Choir.

"I have in me the African heritage and I've studied classical music, so it's quite interesting that my debut album will have all the different textures of my musical heritage," she says.

The 34-year-old soprano discovered her voice and her love for music early on. She started singing at church and in school choirs. But then, as a teenager, she discovered opera on the radio.

"I felt a connection with opera. I heard (it) randomly on the radio before it was introduced to us in choirs or before I even went and studied music," she explains. "And when I heard this it was really incredible, the smoothness of the voice, the orchestra -- everything just was beautiful and I fell in love with it."

She currently has a three-year contract with Germany's Stuttgart State Opera -- one of Europe's foremost opera houses -- and has performed at London's Royal Opera House. It's a life that would have seemed like a fairy tale when she was growing up. But whilst first studying to become a surveyor, Matshikiza soon realized she had to follow her passion.

"I would go up to the lower campus and hear people singing, some playing the piano and other instruments and I thought, 'this is where I would love to be,'" she recalls. "I took one year off just to think about what I wanted to do then I went to register myself at the college of music."

A decision that would change her life. She auditioned for the South African College of Music and was discovered by the composer Kevin Volans. Impressed by her voice, he funded her ticket to London so she could audition for the Royal College of Music. After hearing her sing, they offered her a full scholarship.

"I was filled with excitement. Excitement of living in London, excitement of studying and absorbing as much as I was going to," Matshikiza says.

Read more: Why mixed-race comic was 'born a crime'

Despite starting a new life, her feelings for her home country remain strong.

"I think I'll always feel connected to South Africa. I used to miss it quite a lot when I left but now it's getting less and less so because whenever I go back everyone is still there, the place is not going to go anywhere," she says.

Back at Abbey Road Studios Matshikiza is rehearsing the carefully chosen South African songs that will go on her album.

"This music has never been sung in an operatic way with an orchestra, so you want to get the balance very well -- not to sound too operatic but not also to retain the African quality of the music," Matshikiza explains. "Which is also yourself, how you think about the music and find which keys are correct."

One piece she is particularly inspired by is a poem made famous by Nelson Mandela -- "Invictus," by William Ernest Henley.

"It's a beautiful poem and it fits everyone who's gone through a bad patch -- it gives hope," she says. "Nelson Mandela is the hero of the world really. He's done what he could do and people who come after him need to do more. Probably he's the beginning of good things in South Africa. And so I thought (the poem) would really fit."

The lyric soprano belongs to a new generation of emerging opera talents coming from South Africa. They are approaching a Western classical art form from a different perspective, inhaling the old, exhaling the new.

"I hope that I find good roles or good work that suits me and stick with that but also I would like to be involved with certain projects which I'm thinking about for later," Matshikiza says. "So at this moment I'm taking time to develop myself more. And when I have all the knowledge that I can pass to other people, I can do that."

@highlight

Soprano Pumeza Matshikiza grew up in the townships of Cape Town, South Africa.

@highlight

Matshikiza is part of the Stuttgart State Opera ensemble.

@highlight

Her debut album will include traditional South African folk songs