Beijing (CNN) -- Relatives of vanished Malaysia Airlines Flight 370 passengers wailed and yelled in a Beijing hotel Thursday as the airline announced it was closing the assistance centers where they'd been gathered for weeks -- effectively telling the families to go home.

The closures also will mean no more mass daily briefings for the relatives -- news that sparked a new wave of anguish and despair for the hundreds who heard it at Beijing's Lido Hotel.

"What can we do?" a relative yelled, as others kneeled in front of police who had assembled in the hotel briefing room to keep order.

"Who will find our family members?" another shouted.

The airline said the center at the Lido Hotel, where the company has hosted families since March, would close Friday. Centers elsewhere will close by May 7, it said.

"Instead of staying in hotels, the families of MH370 are advised to receive information updates on the progress of the search and investigation and other support by Malaysia Airlines within the comfort of their own homes, with the support and care of their families and friends," the airline said in a news release.

The briefing at the Lido Hotel came on the day that the Malaysian government released its preliminary report on the plane's March 8 disappearance.

The hotel has been an important hub of information for relatives in China. More than 100 passengers on the plane are Chinese.

The airline said it would open different "family support centers" in Beijing and Malaysia's capital; it wasn't immediately clear what those centers would do.

'People started to break down'

Sarah Bajc, the American partner of Flight 370 passenger Philip Wood, said she was one of about 500 people at Thursday's Lido Hotel meeting.

The briefing began with the airline's CEO making a seven-minute statement in English by video, Bajc said. Most of the relatives didn't understand the message until a Chinese translation was given afterward, she said.

"That's when people started to break down," she said.

Bajc said she left the room, saying the scene started to feel tense.

"I could hear a lot of yelling. Some of the police officers that were outside went in, and they started to file family members out through a separate exit," she told CNN's "New Day."

Calm was restored when Chinese officials continued the briefing and ensured the families that the search would continue, and that the relatives wouldn't be forgotten, a CNN crew outside the briefing room reported.

Bajc said Chinese relatives previously told her they dreaded the day that the hotel centers would close, fearing they wouldn't get timely updates at their rural homes.

"They are very distraught, because the average Chinese family member will be sent home to mostly a very rural place with limited access to (the) Internet, and they just feel like all lines of communications will be cut," she said.

Airline to begin compensation payments

The airline also said Thursday it would begin making advance compensation to the Flight 370 passengers' next of kin, to help with their immediate economic needs.

Under an international treaty known as the Montreal Convention, the airline must pay relatives of each deceased passenger an initial sum of around $150,000 to $175,000. Relatives of victims can also sue for further damages.

The airline didn't say how much of an advance the families would receive.

"Such advanced payments will not affect the rights of the next-of-kin to claim compensation according to the law at a later stage, and will be calculated as part of the final compensation," the airline's news release said.

Report: Four-hour gap before official search began

The news of the hotel center closures came on the day the Malaysian government publicly released the initial report on the plane's disappearance -- the report that it initially sent to the to the International Civil Aviation Organization, the U.N. body for global aviation.

The report said officials apparently didn't notice for 17 minutes that the flight had gone off radar -- and didn't activate an official rescue operation for four hours.

Relatives told CNN that Malaysian authorities e-mailed the interim report -- which contained both text and audio -- late Thursday.

Meanwhile, the Bluefin-21 undertook what was one of its longest, most extensive missions to search the depths of the southern Indian Ocean for signs of the missing aircraft.

Michael Dean, deputy supervisor of salvage and diving for the U.S. Navy, said the submersible's 17th mission lasted 27 hours and descended to 5,000 meters.

"It was a pretty successful mission in terms of what they covered," Dean said.

The Navy official noted that Australia's government has asked the U.S. Navy to extend its role in the search by a week or more -- a request that is under review.

The Bluefin later moved onto its 18th mission, after which -- assuming no wreckage is found -- it should return to port on its host ship, the Ocean Shield, to refuel, according to Dean.

GeoResonance defends Bay of Bengal claim

Meanwhile, the private company that says it may have found plane wreckage in the Bay of Bengal defended its claim, even though it wouldn't detail the technology it used.

GeoResonance said it used spectral analysis from satellite and plane images to reach its conclusion about the Bay of Bengal site.

The company said it conducted "large scale remote sensing" and detected the presence of aluminum, titanium and copper. Scientists went back to test for other elements that the company says make up a commercial jet.

GeoResonance has faced questions about how it could have found wreckage deep underwater, thousands of miles from the official search area.

"What we say to those people is that that is not about technology, that is about the fact that an object or a combination of objects which produce exactly the same signal as materials used in a plane are detected," GeoResonance Managing Director Pavel Kursa told CNN's Anna Coren.

The company said its search was self-funded and it wants to keep intellectual property private.

"Our technology comprises of 20 different technologies, and a lot of it is very valuable intellectual property," director David Pope said. "And we are not in the business of just giving out intellectual property for nothing."

Analyst: Experts don't support claim

The company said its analysis was done by a team of its scientists in Europe. But GeoResonance declined to name the scientists or the country they worked in and declined to give a reason.

CNN aviation expert Miles O'Brien said GeoResonance's claims are not supported by experts.

"My blood is boiling," he told CNN's "New Day." "I've talked to the leading experts in satellite imaging capability at NASA, and they know of no technology that is capable of doing this. I am just horrified that a company would use this event to gain attention like this."

Nevertheless, the company got its wish Wednesday, when Bangladesh sent two navy vessels into the Bay of Bengal to the location cited by GeoResonance.

The chief coordinator of the international search effort, Australian Angus Houston, held out little optimism that any such search would prove fruitful. He told Sky News International that the search area in the Indian Ocean had been set based on pings believed to have come from one or both of the plane's voice and data recorders.

"The advice from the experts is that's probably where the aircraft lost power and, somewhere close to that, it probably entered the water," he said.

But some aviation experts said officials have little choice but to look into the company's claim.

"The investigators are going to be hard-pressed to blow this off," said Mary Schiavo, a former inspector general for the U.S. Department of Transportation. "I think at this point, because of the lack of results where they've been searching for six weeks, they're almost stuck. They have to go look."

Searchers dispute company's claim that it may have found aircraft wreckage

Is GeoResonance on to something?

Plane audio recording played for first time to Chinese families

CNN's David McKenzie reported from Beijing. CNN's Jason Hanna and Holly Yan wrote from Atlanta. CNN's Tom Watkins, Allen Shum and Dayu Zhang contributed to this report.

@highlight

NEW: Submersible completes 27-hour search mission, starts next one

@highlight

Malaysia Airlines is closing relatives' support centers, urging relatives to return home

@highlight

Relatives wail, yell after being told to go home

@highlight

GeoResonance talks about its wreckage claim but won't give specifics on technology