We pay a lot of attention to revolutions when they emerge suddenly and violently, but when a transformation arrives gradually and peacefully it's easy to miss.

Let's stop for a moment and take a look at a slow-motion development changing the world as we know it: The United States is giving up its addiction to foreign oil.

For decades, we bemoaned the awful toll this addiction has taken. The need for oil and natural gas -- much of it from Middle Eastern dictatorships -- shaped the foundation of global geopolitics. It created morally questionable alliances and repeatedly placed Washington in a position to choose between its fundamental values and its economic interests. Now all that could change.

When President Obama started his first term, the country faced stiff economic headwinds. Now, as he prepares to start his second term, the country enjoys a rare and unexpected tailwind, propelling it in one of the most important areas, with a host of positive implications.

Clearly, the booming American oil and gas businesses are not problem-free, but the benefits -- economic, geopolitical and environmental -- of this impending energy independence far outweigh the drawbacks.

The days when Mideast oil-producing dictatorships and their friends at OPEC could so easily wave their power over a trembling, oil-thirsty West are on their way to becoming a relic of the past.

America still needs imported oil. But growing production and shrinking consumption have created a most promising trend. According to the International Energy Agency, the United States will become the world's leading oil producer in just a few years. Imagine that. The United States could produce more oil than Saudi Arabia as early as 2017 and become a net oil exporter by 2030.

And if you count other petroleum products, the future is already here. In 2011, the United States exported more petroleum products -- including gasoline, diesel and other fuels -- than it imported. That had not happened in more than half a century.

David Frum: A tax we could learn to love

The first major sign of impact is visible in Iran. The loosening of oil markets has strengthened the world's hand against oil-rich Iran. One main reason the international community has been able to impose strong sanctions on Tehran, aimed at persuading the regime to stop its illegal nuclear enrichment program, is that the global economy can do without Iranian oil. Iran's production has fallen 40%, a drop that not long ago would have created unacceptable economic hardships for the rest of the planet.

The trend is even more dramatic when you include natural gas, a product that is revolutionizing energy markets. The United States is about to become the second-largest exporter of natural gas behind Russia. Gigantic oil and gas finds in the United States and elsewhere are transforming the landscape, in some cases quite literally.

Other than rising oil prices, the reason for this shift is that new and controversial technologies such as fracking and horizontal drilling have multiplied the amount of viable deposits in unexpected places. The techniques take an environmental toll, but there are upsides.

Fracking, as we keep learning, is creating very troubling problems, which deserve  scrutiny. But it is helping to replace coal, the dirtiest form of energy production, with much cleaner natural gas.

Another dark lining in this silver cloud is that cheaper oil and gas will reduce incentives to produce green energies. Rather than abandoning the new sources of energy, efforts should focus on finding ways to reduce the negative impact of fracking and on continuing the push for alternative energy.

Fracking protesters say drilling jobs not worth environmental risks

The Obama administration now faces a balancing act as it starts its new term. Energy policy, the quest for full energy independence, must be weighed against the growing threat of climate change.

A decision on the controversial Keystone XL pipeline is imminent and political pressure against fracking will grow. The president should support strong climate legislation, without reversing the powerful gains of surging U.S. oil and gas production, with all its transformational benefits. The two goals are not mutually exclusive.

Once upon a time, America was the Saudi Arabia of whale oil, the fuel of its day. Whale oil was displaced by hydrocarbon production, which the United States also dominated. That started changing with enormous geopolitical consequences after easy, high quality oil was found in the Arabian Peninsula and other parts of the Middle East.

The United States built alliances with autocratic regimes as part of a commitment to satisfy its needs and preserve the free flow of oil, which became the life-blood of the global economy.

For oil-rich countries, this brought enormous fortunes, but it also brought something known as the "resource curse." With wealth concentrated in the hands of autocrats, corruption mushroomed, and other sectors of the economy withered.

A trend away from the concentration of oil production in such an unstable, undemocratic part of the world bodes well. It bodes well for human rights, and it also bodes well, ironically, for the economies of oil-rich countries, which may at long last find an incentive to diversify into other industries. It certainly bodes well for the U.S. economy, which is already creating tens of thousands of jobs in industries related to the new boom.

William Bennett: Damon's film overlooks fracking's boon

In what sounds like something from another era, the Energy Information Administration  forecast declining gasoline prices for the next few years. That's the first bit of good news for American consumers. The really good news is the knowledge that soon, every time you fill up your tank you will not be sending a piece of your paycheck to the Middle East.

That, among other things, is excellent news for America's balance of trade and for the soundness of the U.S. economy, which sadly now struggles with a politically dysfunctional Washington.

No matter how much oil the United States and its friends in the Western Hemisphere produce, the Middle East remains a principal global petroleum producer for the foreseeable future. The United States still needs to ensure the free flow of oil, because a stop in production will cause prices to spike on global markets, affecting the entire planet.

But America and its friends are becoming much less vulnerable to oil shocks. And supplies from other parts of the world are becoming more plentiful. The emerging changes in the world's energy markets, if they continue to develop, are nothing short of revolutionary.

As Obama prepares for a new term in office, they are gradually rerouting us from a destiny that we had thought was inescapable and rather dismal to one that, while far from assured, looks much more promising.

@highlight

Frida Ghitis: The U.S. will become the world's leading oil producer in a few years

@highlight

Ghitis: It is truly transformational that the U.S. is giving up its addiction to foreign oil

@highlight

Despite energy independence, we need to keep looking into green energy, she says

@highlight

Ghitis: It's beneficial for the U.S. to not rely on unstable, undemocratic Middle East for oil