Secretary of State Hillary Clinton on Wednesday took on Republican congressional critics of her department's handling of the deadly September terrorist attack in Libya.

Conservative GOP members challenged Clinton on the lack of security at the diplomatic compound in Benghazi as well as the erroneous account that the attack grew spontaneously from a protest over an anti-Islam film produced in the United States.

At two hearings, which together totaled more than five hours, Clinton acknowledged a "systemic breakdown" cited by an independent review of issues leading up to the armed assault and said her department was taking additional steps to increase security at U.S. diplomatic facilities.

Here are five things we learned from the hearings before the Senate Foreign Relations and House Foreign Affairs committees.

Read more: Clinton takes on Benghazi critics

1. What Clinton did the day of the Benghazi attack

Clinton spent the better part of last September 11 trying to get a handle on security at several other U.S. embassies in the Middle East where anti-American protests were in full swing over an anti-Muslim film produced in the United States.

She said the U.S. embassy was "under assault" by crowds trying to scale the wall. American embassies in Yemen and Tunisia were also facing a "serious threat. Clinton personally called the president of Tunisia, she said, to "beg him to send reinforcements, which he did, to finally save our embassy."

By 4 p.m. that day, Clinton was notified about the Benghazi attack. In the coming hours, she was in meetings and spoke with staff, the American Embassy in Tripoli and other U.S. officials.

Directing the U.S. response from the State Department, Clinton stayed in touch with officials across the administration and with the Libyan government.

She instructed her staff to "consider every option, to just break down the doors of the Libyan officials to get as much security support as we possibly could."

Clinton said in the hours and days following the attack in Benghazi, there were "no delays in decision-making. No denials of support from Washington or from our military," something an independent board established to review the matter cited in its report.

#whatdifferencedoesitmake: Clinton quote goes viral on Twitter

2. U.S. diplomatic posts in some 20 countries under threat

Clinton said threats to U.S. diplomatic posts are ongoing.

"Sitting here today, we probably have at least 20 other posts that are under a serious threat environment as I speak to you," she told senators. "We operate in places where we know that our facilities are being surveilled for potential attacks where we have a steady Intel stream of plotting."

Clinton detailed what the State Department has done to begin implementing the 29 recommendations of the Accountability Review Board to improve security at diplomatic posts in high-threat areas, in addition to a few of her own.

Opinion: Benghazi blame game is useless

Specifically, Clinton has appointed a team, led by her deputy, to focus on tightening security, sent joint teams of military special forces and diplomatic security threat analysts to more than a dozen high-risk posts and appointed a senior official to focus exclusively on those areas.

The State Department is also working to streamline requests for security so they make their way more quickly up the chain of leadership.

Despite the threat, Clinton stressed the importance of U.S. leadership and diplomatic presence in the Middle East.

"We've come a long way in the past four years, and we cannot afford to retreat now," Clinton told senators. "When America is absent, especially from unstable environments, there are consequences. Extremism takes root, our interests suffer, our security at home is threatened."

Read more: Pentagon releases official timeline of Benghazi attack

3. Clinton not shying away from a fight

Clinton grew emotional and held back tears when talking about U.S. personnel killed in the Benghazi attack.

"For me, this is not just a matter of policy, it's personal. I stood next to President Obama as the Marines carried those flag-draped caskets off the plane at Andrews," Clinton said as she choked back tears. "I put my arms around the mothers and fathers, the sisters and brothers, the sons and daughters, and the wives left alone to raise their children."

But she lost patience with the focus of Republican senators on talking points used by U.N. Ambassador Susan Rice on the next Sunday's talk shows that focused on a protest at the U.S. post in Benghazi, which turned out not to have taken place.

Opinion: Rand Paul vs. Hillary Clinton, clash of titans

When Sen. Ron Johnson pressed Clinton on why the State Department didn't call U.S. personnel who were evacuated from Benghazi to determine whether there was a protest, Clinton took him to task.

"With all due respect, the fact is we had four dead Americans," Clinton reminded Johnson as she banged her hand on the table.

"Was it because of a protest or was it because of guys out for a walk one night decided they'd go kill some Americans? What difference, at this point, does it make? It is our job to figure out what happened and do everything we can to prevent it from ever happening," she said.

Photos: Hillary Clinton through the years

4. Militants in Mali and Algeria have arms from Libya

Clinton warned the security situation in northern Mali, where international forces are battling militants, has been exacerbated by flow of weapons from neighboring Libya following the fall of Moammar Gadhafi.

She said there was "no doubt" such weapons were also used in an attack by militants on an Algerian natural gas plant last week.

She noted the aftermath of the Arab spring has changed power dynamics and stretched security forces across the region thin.

Calling the campaign struggle against the Islamic fighters a necessary response to "a very serious, ongoing threat," Clinton said the "United States cannot permit northern Mali to become a safe-haven for Islamist rebels that could eventually pose a more direct threat to U.S. interests."

Noting the increased strength of al Qaeda in the Islamic Maghreb, the regional affiliate of the al Qaeda network fighting along side local Malians, Clinton warned that the United States must prepare for the possibility that groups like AQIM could threaten direct attacks on U.S. interests as they gain power.

"You can't say because they haven't done something they're not going to do it," Clinton said. "This is not only a terrorist syndicate, it is a criminal enterprise. So make no mistake about it, we've got to have a better strategy."

Read more: Clinton lays out daunting security challenges in North Africa

5. Republicans still aren't buying it

While their tone was generally respectful, several Republican senators made clear they were unsatisfied with Clinton's answers.

Sen. John McCain, R-Arizona, one of the administration's toughest critics since the Benghazi attack, took Clinton to task for what he considered lackluster attention to the growing threat in Benghazi.

McCain wanted to know why Clinton hadn't read a cable from Ambassador Christopher Stevens warning that the mission in Benghazi could not survive a sustained assault.

Sen. Rand Paul said it would have been an offense worthy of firing Clinton had he been president.

McCain also blasted Clinton's answers to questions about the administration's claim that a protest had taken place in Benghazi.

"The American people deserve to know answers, and they certainly don't deserve false answers," McCain told Clinton.

Clinton was more diplomatic with her old friend, saying she respected his strong feelings for the incident given his own relationship with Stevens, but that they disagreed about what happened and when it happened with respect to explaining events.

In addition to lessons the State Department learned about improving security at diplomatic posts, Clinton, who called the Benghazi attack an act of terrorism since Day One, suggested the administration might learn another lesson.

"Just withhold. Don't say what you don't know for sure until it's finally decided."

Read more: Polls on Clinton's side

@highlight

Hillary Clinton testifies for more than five hours before two congressional committees

@highlight

Clinton, at one point, grew exasperated with line of questioning over Benghazi response

@highlight

Some Republican lawmakers say they are not satisfied with Clinton's answers

@highlight

Four Americans killed in September 11 attack, including U.S. ambassador to Libya