LILONGWE, Malawi (CNN) -- Like most African countries, Malawi has suffered from a severe shortage of nurses and key health workers.

Godfrey Mdzudzuma, a nurse at Embangweni Mission Hospital, delivers a baby in the maternity ward.

In the past, workers in the tiny southeast African nation of just 13 million inhabitants have been lured abroad by the promise of higher wages and better working conditions.

But, the country best-known as the homeland of Madonna's adopted children now has another claim to fame: It has succeeding in halting -- at least for now -- its crippling brain drain of nurses.

Malawi's solution? To expand educational opportunities for nurses at all levels and keep them out of poverty by paying modestly more money.

Countries don't come much poorer than Malawi, but its healthcare system worked well back in the 1970s and early 1980s.

When the former British colony gained independence in 1964, president Hastings Banda, himself a physician, maintained a high level of training for nurses that included teaching all classes in English.

By the late 1990s, however, Malawi was reeling from the AIDS epidemic. As if that weren't bad enough, the government also had to cut spending on health care and education as a condition for getting help from the U.S. and other countries to liberalize its trade and economy.

The publicly funded health system, on which more than 95 percent of Malawians still depend for treatment, quickly started to fall apart.

Watch a report about the impact of Malawi's nursing shortage »

Registered nurses began leaving in droves.

"Every day I received reports from Nurses' Council that so many nurses are now at the airport," Ann Phoya, the former head of nursing services for all Malawi told CNN.

"It was obvious that we needed to do something drastic."

Phoya worked with others in Malawi's Ministry of Health (MOH) to come up with an emergency plan that focused on nurses as they provided most of the primary care.

The MOH then applied for around $160 million (£100 million) in international funding for their six-year initiative, primarily from the Department for International Development of the United Kingdom.

The money was to be used to pay higher salaries to nurses -- quite a radical move in global development as donors worry it is unsustainable in the long haul.

However, the situation in Malawi was getting desperate.

The gamble paid off: The number of registered nurses leaving Malawi fell from a high of 111 (the equivalent of two years of Malawi's entire nursing graduates) in 2001 to just six in the first half of 2008. Enrollment at Malawi's nursing schools jumped up by 50 percent.

Success in one area has revealed a different problem -- that of an internal brain drain.

As more international aid groups and universities set up health programs in Malawi, they are hiring nurses, all trained at Malawi taxpayer expense, away from publicly funded hospitals and clinics.

The problem is even more acute in the rural areas, where most of Malawi's people live.

Embangweni Mission Hospital in northern Malawi has a good reputation but is located at the end of a long, dusty road, far from major towns, let alone cities.

"Young nurses with families do not really want to work here," said Catherine Mzembe, head of nursing at Embangweni.

"The local market is very small and although the hospital has running water, that is not the case in many homes."

Even so, the hospital has made impressive strides in the past five years preserving mothers' lives during pregnancy, as well as cutting the number of deaths due to malaria among children and adults.

And that is perhaps the most important lesson to draw from Malawi's efforts: it pays to look at how much has been accomplished with so little.

@highlight

Malawi's innovative national program lifts nurses out of poverty

@highlight

Since 2001 the external brain drain has slowed to a trickle

@highlight

Many challenges still remain as the public health service is depleted