(CNN) -- The Catholic church can't have it both ways on gay rights.

Either it must take steps to accept gay and lesbian people as part of its flock -- including them as full members, embracing their unions, decrying Catholic schools that fire gay and lesbian teachers and calling for the full protection of LGBT people around the world.

Or it can go back to emphasizing its condemnation of homosexual acts as "intrinsically disordered," as it does in the Catechism of the Catholic Church.

The current middle ground -- with church leaders saying "homosexuals have gifts and qualities to offer the Christian community," but not fully embracing them as equal humans in the church and under the law -- is unsustainable and dangerous.

Gay rights groups cheered on Monday when a draft document from a group of bishops and priests suggested the church could be more welcoming to the gay community. "Homosexuals have gifts and qualities to offer to the Christian community," they wrote. "Are we capable of welcoming these people, guaranteeing to them a fraternal space in our communities? Often they wish to encounter a Church that offers them a welcoming home." But on Tuesday the Vatican backtracked from its statements, saying it did not want to create "the impression of a positive evaluation" of same-sex relationships.

A generous reading of this flip-flop would be that a divided church is wrestling with a sensitive social issue, on which its members and clergy disagree. My sense is that the church wants to be seen as tolerating gay people -- and therefore not out of touch with the modern world -- without actually embracing them.

That sends a potentially dangerous and confusing message to young LGBT people, who look to the church for moral guidance, and who are more likely to fall prey to homelessness and even to commit suicide than their straight peers. (One report from the Williams Institute at UCLA found 40% of all homeless kids identify as LGBT.) These kids like that are looking up to Pope Francis, who famously said it's not his place to judge gay and lesbian people.

To his credit, Francis -- the people's pope, the guy who drives a old car and lives in a modest apartment -- is setting the right tone. But the church needs to follow his lead and move quickly toward real inclusion and acceptance of gays, not just tolerance.

Here are three simple ways it could do so:

1. Make a serious push for LGBT rights in Africa

The Catholic church wields significant influence in sub-Saharan Africa, which is home to 171 million Catholics, according to a Pew report. Some countries on the continent are known to persecute LGBT people -- including giving them prison sentences.

Catholic leaders have spoken out against the death penalty and violence being used against LGBT people. But they should go further.

In their statement, church leaders said on Monday that it is not "acceptable that pressure be brought to bear on pastors or that international bodies make financial aid dependent on the introduction of regulations inspired by gender ideology."

However, those very tools should be used to push for equality where it's needed most. Catholic leaders in Africa not only should speak out forcefully against discrimination and violence against LGBT people but also should work toward guaranteeing their safety and acceptance.

2. Embrace same-sex marriage

Catholic people are relatively welcoming to the idea of same-sex marriage or civil unions -- especially in the United States. According to a 2010 survey of 1,015 American Catholic adults, three-quarters support those practices. A poll last week found 42% of American Catholics support same-sex marriage, specifically. Globally, 30% of Catholics support same-sex marriage, according to a poll released this year. The church, meanwhile, in its report on Monday, continues to assert that "unions between people of the same sex cannot be considered on the same footing as matrimony between man and woman." Catholicism isn't truly welcoming to gay people until it updates that policy.

Regardless of public opinion, it's the inclusive and fair thing to do. Meanwhile, the church acknowledges "it has to be noted that there are cases in which mutual aid to the point of sacrifice constitutes a precious support in the life of the partners" in same-sex unions.

To hold that belief, it needs to act on it.

3. Stop the firings of gay teachers

It's become a sadly common occurrence for gay and lesbian teachers at Catholic schools to be fired when the administration learns that a man in Seattle has a husband or that a woman in Michigan becomes pregnant while in a same-sex relationship.

"The discharged teachers, of course, are the most seriously injured, but so are all the people associated with the schools -- students, graduates, parents, and staff," Charles J. Reid, Jr. wrote for the Huffington Post. "The Catholic school system is diminished in the eyes of the public. And the church as a whole is made to suffer."

Again, the emphasis should be on the students. What are they to think of institutions that would fire their role models simply because of who they are?

There are signs of hope. Nuns from Marian High School, in Michigan, where a lesbian teacher was fired, say they are rethinking their policies. "Pope Francis has brought a sense of hope to our lives and encourages us to look at our Church with new eyes," Sister Mary Jane Herb says in a letter posted on Facebook. "No, it is not likely that doctrine will change; however the Pope emphasizes that the values of mercy, inclusion and compassion need to be included in our response to complex situations."

It's unclear, however, whether the fired teacher, Barbara Webb, will be reinstated.

A Change.org petition in her support has 72,000 signatures.

More-inclusive dialog should be celebrated, sure.

But it shouldn't be conflated with actual acceptance.

@highlight

The Catholic church issues a new statement on the inclusion of gay people

@highlight

John Sutter says the statement is an advance -- but doesn't go nearly far enough

@highlight

He suggests three steps the church could take to actually include LGBT people