WASHINGTON (CNN) -- The United Kingdom has MI-5, which roots out spies and terrorists in the British Isles.

The RAND Corporation said one option would be for domestic intelligence to operate under the FBI.

Canada has CSIS -- the Canadian Security Intelligence Service.

Now Congress is asking: Should the U.S. have its own domestic intelligence agency?

On Monday, at the request of Congress, the RAND Corporation outlined the pros and cons of establishing a domestic intelligence agency. It also discussed different ways to organize a new entity, either as part of an existing department or as a new agency.

But there's one thing you won't find in the report -- a recommendation on what to do.

"We were not asked to make a recommendation, and this assessment does not do so," the report says.

Instead, says RAND's Gregory Treverton, the report provides a "framework" for policymakers to use when deciding whether and how to reorganize counter-intelligence efforts at home.

RAND is a nonprofit think tank seeking to help improve policy and decision making through objective research and analysis.

Collecting intelligence domestically always has been a sensitive issue, at least partially because of episodic abuses by the government, notably against civil rights leaders, unions, antiwar organizations or even communists and hate groups.

But the September 11, 2001, terrorist attacks renewed calls for increased domestic intelligence to prevent future attacks. Critics said that in the lead-up to the attacks, the FBI devalued counterterrorism agents and failed to heed signs that an attack was imminent.

"If you didn't carry a gun, you didn't count so much," Treverton said.

After the attacks, the FBI moved to transform its primary mission from law enforcement to counterterrorism intelligence and prevention. It now focuses on terrorism through its National Security Branch and the National Counterterrorism Center.

The RAND report focuses on two options to the current system.

In one, a new agency would be created using intelligence agencies from the FBI, Department of Homeland Security and intelligence community. A second option is to create an "agency within an agency" in the FBI or DHS.

The first option would result in an organization with a clear, unambiguous mission, and might be able to draw on a more diverse recruitment pool, such as linguists and historians who are not normally attracted to law enforcement. On the flip side, such massive reorganizations typically involve political compromises that could affect its performance.

The second option -- an "agency within an agency" -- could involve less short-term disruption, but could be hindered by a "lack of clarity of a single mission," the report says.

RAND also suggests a range of actions short of reorganization that could improve domestic intelligence gathering, such as increasing resources, improving leadership and changing bureaucratic cultures.

The report does not assess the FBI's performance since 9/11, Treverton said, but he believes Congress should seek an independent assessment.

A panel of experts that RAND convened guessed that the probability of a terrorist attack had decreased about one-third since the September 11, 2001. But "they were not enthusiastic about alternatives" to current counterterrorism organizations.

In a cautionary note, the report says that while public acceptance of domestic intelligence activities is imperative, public attitudes about what is considered acceptable "can both be fragile and shift significantly over time."

"Public demand for domestic intelligence is driven by the perceived threat, and those perceptions can change much more rapidly than the threat itself," the report says. For instance, immediately after the 9/11 attacks, 49 percent of people surveyed were worried "a great deal" about more attacks. Two years later, that had dropped to 25 percent.

@highlight

Nonprofit think tank RAND outlines pros and cons at request of Congress

@highlight

Group says government could create new agency specifically for domestic intel

@highlight

Other option includes agency operating under Homeland Security or FBI

@highlight

September 11 attacks renewed calls for domestic intel to help prevent future ones