(CNN) -- Ernie Bender was lean and athletic; he skied and walked a lot, and would go snowshoeing every Wednesday with his friends. A golf course superintendent, he lived in Vail, Colorado, with his wife and three sons.

One evening in 2000, he and his buddies decided to snowshoe up Vail Mountain and ride the gondola down. Bender complained of indigestion on the way up, which was odd because his last meal had been lunch.

He told his friends he needed to sit down before getting on the gondola. After the group got in the cable car, he lost consciousness.

Bender was not a smoker and only drank a glass of wine every now and then. His blood pressure was always fine. His physician had told him that his cholesterol was fine, too, but that he might need to watch it, his wife, Kim Tofferi, remembers.

But despite appearing healthy, Bender died of a heart attack at age 47.

"We did not see that coming at all," Tofferi said. "That was a tough one -- just when Dad was starting to become a good male role model for (their sons)."

Heart attacks may seem like a senior citizen phenomenon, considering that about 82% of people who die of coronary heart disease are at least 65, according to the American Heart Association. But sudden heart problems can occur much earlier in life, too.

"The Sopranos" actor James Gandolfini, 51, died in Rome Wednesday of an apparent heart attack.

Actor Michael Clarke Duncan died in September at age 54, having never recovered from the heart attack he suffered on July 13.

Sage Stallone, son of actor Sylvester Stallone, died of atherosclerosis, a condition that brought on a heart attack, according to the Los Angeles County coroner. He was 36.

Heart attack risk goes up in men older than 45 and women older than 55, but it can happen even earlier. While lifestyle modifications help reduce risk -- eating a healthy diet, maintaining good blood pressure and normal weight, not smoking -- sometimes it's not enough.

Family history is a big risk factor that can't be changed. Bender's father had a triple bypass surgery more than a year before Bender's death, Tofferi said. And men are more likely to have heart attacks than women.

What causes a heart attack?

A heart attack happens when the blood that flows to a section of heart muscle gets blocked. That section of heart muscle begins to die without a quick restoration of blood flow, according to the National Institutes of Health.

Heart attacks are often the result of coronary artery disease, which occurs when a waxy substance called plaque builds up in the coronary artery. An autopsy revealed that Bender had severe blockage, Tofferi said.

The location in the artery involved plays a role, said Alan Ackermann, a cardiologist in Miami. If there's a huge clot producing such extensive damage that the heart stops beating, it could only take a matter of minutes to be fatal.

Heart attacks in the United States are uncommon among people younger than 55, but the numbers could rise because obesity is a growing problem, said Dr. Lee Goldman, Hatch Professor and dean of the faculties of health sciences and medicine at Columbia University Medical Center.

Being overweight leads to Type II diabetes and increases in blood pressure and bad cholesterol. Heavy smoking is also a strong risk factor for heart attacks. Refraining from smoking and not becoming obese are key for avoiding heart attacks, he said. If you are obese, make sure your cholesterol and blood pressure are under control.

"There's no better prevention than addressing the reversible risk factors," Goldman said.

When a person who's especially young dies of heart problems, such as in their thirties or younger, something other than blockage to the heart may be at work, Ackermann said. The heart could be enlarged or thickened, or there may be a congenital abnormality that would predispose the person to die suddenly.

Because younger people don't believe they're at risk of heart attacks, they might not get themselves to a hospital right away when experiencing warning signs.

Who will get a heart attack is still somewhat mysterious

There's still a long way to go in terms of determining who is most at risk of a heart attack, he said.

"More often than not, the first symptom of heart disease could be heart attack," Ackermann said. "That is a huge gap in the profession that we're still dealing with."

Red wine, minus the alcohol, may lower blood pressure

A recent study showed that a test called a coronary calcium scan can be effective in predicting cardiovascular risk. This scan identifies specks of calcium in the arterial walls, which are an early sign of plaque buildup. It's relatively cheap -- about $200 -- but does involve some radiation exposure. Ackermann recommends it for women as young as 50, and for men 45 and older. But if you have a strong family history of premature heart disease, it may be best to start even earlier in the forties.

One of Ackermann's patients, Osvaldo Gomez, had his first heart attack at age 43. He drove himself to the hospital in 2008 when he started having pain in his chest, back, arm and jaw. He didn't know he had heart problems, but his grandparents and two uncles on his mother's side had cardiovascular disease.

The event was scary, but Gomez didn't follow his doctor's recommendations. His second heart attack was a month later.

"The second time, he was noncompliant with diet and his regimen of smoking," Ackermann said. "I wasn't surprised. When he was very compliant, he does great."

In the past four years, Gomez has had three stents and four balloon angioplasties. Stents can improve blood flow and treat narrow or weak arteries. A balloon angioplasty is a ballooning of the vessel to open it.

"I've seen the results of me not taking care of myself," Gomez said.

A more heart-healthy lifestyle

These days, Gomez is on a low-cholesterol, low-fat diet. He exercises six times a week, with at least 40 minutes of cardio and 20 to 30 minutes of weight lifting. He has quit smoking. Practicing these behaviors "keeps you out of the hospital and keeps you out of trouble," he said.

Tofferi, whose husband died after snowshoeing in 2008, watches out for trans fats and has warned her three sons about heart risks. They are in good shape, she said, and none of them smoke.

"They know, with Dad having a heart event that early," she said. "I hope I've impressed them -- or just general health knowledge has impressed them -- with the importance of taking care of yourself."

@highlight

Heart attack risk goes up in men over 45 and women over 55

@highlight

It can happen even earlier: Sage Stallone died at age 36

@highlight

Maintaining good blood pressure and normal weight can help reduce risk