NEW YORK (CNN) -- In that strange intersection of economics and politics, there is a new fashion: Trillion is the new billion.

One trillion $1 bills stacked one on top of the other would reach nearly 68,000 miles into the sky.

A billion is a thousand million, and a trillion is a thousand billion.

To provide some perspective on just how big a trillion dollars is, think about it like this: A trillion dollars is the number 1 followed by 12 zeroes. Or you can think of it this way: One trillion $1 bills stacked one on top of the other would reach nearly 68,000 miles (about 109,400 kilometers) into the sky, or about a third of the way from the Earth to the moon.

Some Republicans are hardly over the moon about the growing size of the proposed economic stimulus plan. Senate Republican leader Mitch McConnell said this week that Americans have become desensitized to just how much money that is.

"To put a trillion dollars in context, if you spend a million dollars every day since Jesus was born, you still wouldn't have spent a trillion," McConnell said.

CNN checked McConnell's numbers with noted Temple University math professor and author John Allen Paulos.

"A million dollars a day for 2,000 years is only three-quarters of a trillion dollars. It's a big number no matter how you slice it," Paulos said.

Here's another way to look at it.

"A million seconds is about 11½ days. A billion seconds is about 32 years, and a trillion seconds is 32,000 years," Paulos said. "People tend to lump them together, perhaps because they rhyme, but if you think of it in terms of a jail sentence, do you want to go to jail for 11½ days or 32 years or maybe 32,000 years? So, they're vastly different, and people generally don't really have a real visceral grasp of the differences among them."

Everyone is tossing around the words million, billion and trillion. With the national debt now topping $10 trillion, following a $700 billion bank rescue and proposed $800 billion-plus stimulus package, have we become numb to the numbers?  How much is a trillion? »

" 'Number' itself can be parsed 'number' or 'numb-er.' And maybe in this case, the latter is a better pronunciation," Paulos said. "I think to some extent, we have ... evolved in a context where such big numbers were completely foreign."

Perhaps a better way to get a "grasp of the numbers," Paulos said, is to use them to describe the budgets of government programs.

"The [Environmental Protection Agency's], for example, annual budget is about $7.5 billion. So, a trillion dollars would fund the EPA in present dollars for 130 years -- more than a century. Or the National Science Foundation or National Cancer Institute have budgets of $5 [billion] or $6 billion. You could fund those for almost 200 years," he said.

Times have certainly changed.

Back in 1993, President Bill Clinton wanted a $30 billion jobs and investment package. He didn't get it. Just last year, President George W. Bush signed an emergency economic stimulus of $168 billion --- a tally that seems paltry compared with the amount requested today.

The economic problem, many say, demands huge spending. Former Federal Reserve Chairman Paul Volcker has called it "the mother of all crises."

The numbers are big, but so is the United States economy. The gross domestic product, which measures the total value of goods and services produced in a country, is about $14 trillion. Still, many wonder if we can afford it.   "So we do have a big economy that may not be as vibrant as it was, but it is still a powerful economic engine. Knock on wood, we'll see what happens,"  said Paulos.  Last week, the House passed an $819 billion emergency stimulus, and the Senate version is approaching $900 billion. In the end, whatever lawmakers hash out probably won't reach $1 trillion. But consider this: If all of the financial market interventions, loans, guarantees, bailouts and rescues are approved, they will total more than $7 trillion.

@highlight

One billion is equal to 1,000 million; One trillion is equal to 1,000 billion

@highlight

One trillion stacked dollars would reach nearly 60,000 miles, one-third way to moon

@highlight

Professor: You couldn't spend $1 trillion if you spent $1M a day since Jesus' birth

@highlight

All financial market interventions, loans, bailouts total more than $7 trillion