Federal prosecutors say they'll seek the death penalty against Boston Marathon bombing suspect Dzhokhar Tsarnaev, arguing that he acted in "an especially heinous, cruel and depraved manner" and lacks remorse.

The highly anticipated announcement Thursday means that when the case against Tsarnaev goes to trial, jurors will not only weigh whether he's guilty, but also whether he deserves to die.

For Liz Norden, it's one small step forward.

Her sons, JP and Paul, each lost a leg in the bombings, which killed three people and injured more than 250 at the April 15 race.

"I just am relieved that it's going forward in the right direction, one step forward in the recovery process, just that the option is out there on the table for the jurors, if that's the way it goes," she told CNN's The Situation Room.

Whenever the case goes to trial, Norden said she plans to attend every day.

"It's important to me. I'm trying to make sense of what happened that day. My boys went to watch a friend run the marathon, and one came home 46 days later. The other one, 32 days later. And their lives are forever changed," she told CNN's Wolf Blitzer. "So I want to try and find out, somehow, to make some sense of how somebody could do this to all these innocent people."

Attorney general: Harm caused was factor

Authorities allege Tsarnaev, a Chechnya-born American, and his brother Tamerlan planted two homemade bombs near the finish line of the marathon, then killed a Massachusetts Institute of Technology police officer three days later.

The attacks triggered the massive manhunt that led to Tsarnaev's capture. Police shot and killed Tamerlan Tsarnaev during the manhunt.

"The nature of the conduct at issue and the resultant harm compel this decision," U.S. Attorney General Eric Holder said in a statement released by the Justice Department Thursday announcing that prosecutors would pursue the death penalty in the case.

Death penalty in the United States gradually declining

After Holder made his decision, prosecutors filed a notice listing factors that they argue justify a death sentence in the case. Among them: The attack killed multiple people, involved substantial planning and premeditation and involved betrayal of the United States, prosecutors said.

Dzhokhar Tsarnaev is charged with 30 federal counts stemming from the attack. He has pleaded not guilty to all charges.

The decision announced Thursday is no surprise, CNN senior legal analyst Jeffrey Toobin said.

"This is a case, that, if you believe in the death penalty, seems to cry out for the death penalty, even though the defendant is only 19 years old, and potentially the junior partner to his late brother," Toobin said.

But that doesn't mean it's an open-and-shut case.

"One of the most interesting, difficult, strategic decisions the defense faces," Toobin said, is whether to push for a change of venue for the trial.

"Boston was obviously deeply traumatized by this incident. And the jury pool is Boston, if the case remains where it is. But Boston is also probably the most liberal city in the country. Death penalty opposition there is higher than anywhere else," Toobin said. "So does the defense go somewhere else, where people don't have the immediate association with the crime? Or do they go somewhere that might not oppose the death penalty in the same numbers?"

Massachusetts abolished the death penalty three decades ago, but prosecutors can seek the death penalty against Tsarnaev because federal law allows for the penalty in certain circumstances.

Despite Holder's decision to authorize the death penalty in the Tsarnaev case, prosecutors still could reach a plea deal for a lesser sentence with his attorneys, who include death penalty lawyer Judy Clarke.

Boston Marathon terror attack timeline

Survivor speaks out

Federal officials weighed a number of factors before they announced their decision, including the opinions of victims of the deadly attack.

Survivors were asked to fill out a questionnaire about what they thought about the death penalty.

Marc Fucarile, who lost a leg in the bombing, said he has no doubt about where he stands: Tsarnaev deserves to die.

"I prefer the death penalty, because I prefer that people know that if you terrorize our country, you're going to be put to death," he told CNN affiliate WCVB. "And I strongly believe that's how it should be."

Life since the bombing hasn't been easy, he said.

"This is almost kind of too easy for him (Tsarnaev)," Fucarile told WCVB. "I still haven't walked for more than day in a prosthetic, and it's almost a year later. ... Life's good, you know. It's going to get better, but it's going to be a road, and it's going to be a long road for the rest of our lives."

In a statement Thursday, Gov. Deval Patrick urged the state's residents to stay strong.

"One way or another, based on the evidence, Tsarnaev will die in prison. In each milestone of the case -- today's announcement, the trial and every other significant step in the justice process -- the people hurt by the Marathon bombings and the rest of us so shocked by it will relive that tragedy," he said. "The best we can do is remind each other that we are a stronger Commonwealth than ever, and that nothing can break that spirit."

Victims' mom: 'It shouldn't have happened'

Tsarnaev's attorney did not immediately respond to a request for comment.

Reached before federal authorities announced their decision to seek the death penalty, Zubeidat Tsarnaev, the suspect's mother, did not comment on the specifics of the case.

"We are, you know, sickened about our child. ... We have nothing in our heads or in our hearts, so what should I say? We are just really sick," she told CNN's Nick Paton Walsh in a telephone interview.

"The only thing I want to say," she said, "is I want the whole world to hear that I love my son, my precious Dzhokhar. That's it."

Thousands of miles away, another mother -- Norden -- said her love for her own sons makes her want to learn more about Dzhokhar Tsarnaev during the trial, to try to understand why the deadly attacks occurred.

"I watch my sons, and it's sad. Their lives have changed, and they're OK with it. They've learned to accept it. But I can't," she said, her voice cracking. "You know, those are my kids, and they went to watch a marathon on the streets of Boston, and it shouldn't have happened."

For Boston Marathon bombing victims: $8.4 million of assistance

@highlight

Bombing victim: Dzhokhar Tsarnaev deserves the death penalty

@highlight

Prosecutors argue Tsarnaev acted in a "depraved manner," lacks remorse

@highlight

Tsarnaev's mother: "We are ... sickened about our child"

@highlight

Toobin: Defense will weigh whether to ask for change of venue