(CNN) -- The image of the Shinkansen bullet train streaking past Mount Fuji is a powerful part of the iconography of the resurgent post-war Japan.

Introduced in 1964, just months ahead of the the Tokyo Olympics, the bullet train represented everything that Japan wanted for itself: a sleek, cutting-edge and reliable mode of transportation.

The average annual delay of a Shinkansen train is 36 seconds -- even accounting for earthquakes and typhoons.

The Shinkansen network transports around 930,000 passengers every day. During rush hour, bullet trains leave urban stations around Japan as often as every six minutes.

But nearly 50 years on, Japan's hi-tech wonder desperately needs an update.

With the fastest speed of Shinkansen trains at a "mere" 320 km/h (200 mph) -- and some of its technology decades old -- Japan is now facing intense rivalry not only from European train giants France and Germany, but also China, whose 10,000-km (6,200 miles) "gaotie" track currently in operation is the world's longest high-speed rail network.

It has become crucial for Japan to search for a new technology so as not to lose its title as a pioneer and leader of high-speed rail, and to drive billions of dollars in contracts.

For Japan's Prime Minister Shinzo Abe, the answer lies in maglev, or magnetic levitation, trains that can reach speeds of 506 km/h (315 mph).

"It is truly a dream technology," Abe said in a speech at the New York Stock Exchange in September.

Maglevs use powerful electromagnets to float and propel a swiftly moving train above its tracks, eliminating metal friction. Japan currently holds the world speed record for a manned maglev train, hitting 581 km/h (361 mph) in 2003.

High speeds, high costs

The costs for these next-generation trains are eye-watering. Japan expects to spend more than $100 billion on the recently announced proposal to build a maglev rail to run the 286-km distance between Tokyo and Nagoya.

With 246 km, or 86% of the route, running through tunnels in the mountainous region -- a massively expensive undertaking -- there are concerns that the service, which is not due to operate until 2027, could become a high-speed white elephant.

See more: 11 things to know before you go to Tokyo

Unlike previous bullet train projects, the private rail operator JR Tokai, which operates the Tokaido Shinkansen line, intends to shoulder the entire 9 trillion yen ($88.1 billion) cost of building the maglev line. It also has plans to extend the run from Tokyo to Osaka in 2045.

Despite the dream of slashing the 100-minute journey between Tokyo and Nagoya down to 40 minutes and the 145-minute journey from Tokyo to Osaka to 67 minutes, the project is facing considerable skepticism.

According to Japan's National Institute of Population and Social Security Research, by the time the first Tokyo-Osaka maglev glides down the track in 2045, Japan's population will have declined to 105 million from the current 127 million.

Critics say there will simply not be enough demand for the high-speed service.

"Basically, JR Tokai is the most profitable train operator in Japan, but looking forward, a lot of their earnings will be used up for the capital expenditure in this project," says Paul Wan, transport analyst at CLSA in Hong Kong.

"That's the reason you're seeing some investors being pushed away by that -- especially by the very long time frame for this project to become operational."

See more: Japan's Kumano Kodo, world's best unknown hike

Even apart from the problem of demographics, Wan says that the Japan of 1964 -- when its economy was booming and its population was young and expanding -- was very different from the Japan of today.

"I can see why some people are quite negative on the project," he says.

"If you look at the Japan of the past 20 years, the economy has not really been growing -- it's been in a deflationary environment. At the same time the population is declining -- there just aren't enough babies there.

"Whether they will need such a service as the maglev in 30 years time is a big question mark."

Maglev between New York and Washington D.C.?

Meanwhile, JR Tokai is also seeking to export maglev technology overseas. Last month, it held a maglev road show for U.S. politicians, taking them on a test ride in central Japan.

With the offer of bankrolling billions of the operating costs for a maglev link between New York and Washington -- cutting the current three-hour journey down to one hour -- the company reasons that if the United States invests in its technology, then others will follow.

See more: Japan's trains as safe as they are fast

For Abe, it might be a hard sell, but one that has received his full backing.

"Making use of this technology would connect New York and Washington, D.C., in less than an hour. It would free people from the congested roads that frazzle their nerves while saving not only 443,000 gallons of gasoline but also 682,000 hours of time that are now wasted annually," the Japanese leader told the New York Stock Exchange

"In Japan, preparations are already well under way even now towards opening the Tokyo to Nagoya section. But before that, let's first connect Baltimore and Washington, D.C. I have already presented President Obama with a proposal to do exactly that."

Even with the sweetener -- which would involve Japan providing the maglev guideway and propulsion system free for the first portion of the New York to D.C. line, linking the U.S. capital and Baltimore -- doubts remain.

"For the U.S. it's all about jobs," says Wan. "If the project provides enough work then it may invest."

"The real test of whether Japan can export this technology will come (when) they actually have the maglev up and running rather than just talking about it."

CNN's On the Road series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

The Shinkansen network transports around 930,000 passengers every day

@highlight

A pioneer of high-speed rail, Japan faces intense rivalry from China and European train giants France and Germany

@highlight

Train company JR Tokai plans to build a $100 billion, 286-km maglev track to between Tokyo and Nagoya

@highlight

It also plans to export its technology overseas, pitching an offer to the United States