Boulder, Colorado (CNN) -- The media have begun to make comparisons between Hurricane Katrina and the earthquake in Haiti. And in some ways, the two events are comparable.

Like Katrina, the earthquake has produced effects of catastrophic proportions. Both events rank among the largest catastrophes ever experienced in the Western Hemisphere.

They both have resulted in large loss of life and immense human suffering and make the coordination of emergency resources extremely difficult. Ordinary citizens are left to fend for themselves in the wreckage. And as we saw in Katrina and see now in Haiti, residents of disaster-stricken areas are the true first responders.

The aftermath of such catastrophes brings more prolonged suffering and massive recovery challenges. People pay attention as the media cover them, but they turn their attention elsewhere when the cameras leave, even though many of the real challenges that victims and affected regions face emerge later. Like the Gulf region, Haiti will struggle for years and perhaps decades to rebuild and recover.

But there, the comparisons end.

To get an idea of the distinction between the two events, imagine that all of the U.S. west of the Mississippi were to be destroyed or extensively damaged by some immense catastrophe in one minute, with absolutely no warning. That is the situation Haiti faces.

As horrific as it was, Katrina was a region-wide catastrophe, not a national one. Damage was enormous in the Gulf region, but the resources of the larger nation remained intact and available for mobilization, even though aid was slow in coming.

Katrina did not flatten our nation's capital or prevent national leaders from communicating with one another. Impacts were catastrophic in areas where Katrina struck, creating significant logistics problems, but the infrastructure of the rest of the nation was untouched. Also important, it was possible to issue warnings for Katrina, which enabled the vast majority of those who were at risk to evacuate to safety. The victims of the earthquake had no such warning.

In contrast, the earthquake in Haiti destroyed much of its capital, Port-au-Prince, and affected approximately one-third of the population of the entire country. The proportion of the nation's population that has been killed, injured or left homeless is enormous. The facilities that could have assisted victims, such as hospitals, clinics and the UN headquarters for the nation, were destroyed or are not operational. Aftershocks, which will continue for weeks, months and perhaps even years, will do additional damage and further compound both rescue and relief efforts.

There is another distinction that makes these events non-comparable.

Katrina affected the most vulnerable in the impact region: the poor, the elderly, the disabled, nursing home and hospital patients, and other at-risk groups. But the concept of vulnerability takes on a new meaning in the Haiti earthquake. The entire nation is desperately poor; 80 percent of the population lives in poverty and more than half that number in abject poverty.

On almost all indicators of well-being -- health, education, literacy, income -- Haiti ranks very low. The nation has a long history of rule by dictators, political coups and savage violence. The capacity of Haiti's series of governments to provide services to its people has been abysmal for most of its history.

In many ways, residents of Haiti faced a daily disaster even before the earthquake. These differences matter, and they should be kept in mind by those seeking to see parallels between the two catastrophes.

The opinions expressed in this commentary are solely those of Kathleen Tierney.

@highlight

Haiti quake and Katrina resulted in suffering and death for many

@highlight

Though there are parallels, two disasters were very different, Kathleen Tierney says

@highlight

She says the Haiti quake came without warning, affected larger proportion of nation

@highlight

She says Haiti's desperate poverty made it particularly ill-equipped for the quake