(CNN) -- Barclays CEO Bob Diamond and COO Jerry del Missier have resigned in the wake of the interest rate-fixing scandal that has rocked the bank.

The resignations come less than a week after Barclays, one of the world's largest banks, was fined $450 million by British and U.S. regulators after admitting it purposely under-reported its interest rates as part of LIBOR (London interbank Offered Rate) -- an interest rate floor between big banks that is set in London each trading morning.

CNN interviewed analyst Ralph Silva, a former investment banker with more than 20 years experience in the financial services sector, about Diamond's resignation and what it means for the future of banking culture.

What does Diamond's resignation mean?

Bob Diamond's resignation sets a precedent -- we have to realize that Barclays was the first of 15 banks that are under investigation for LIBOR manipulation. Let's say that even half of those banks come to the same conclusion and are fined by the regulators. Does this mean we're going to lose seven or eight of the most powerful bank CEOs in the world?

If that's the case then this signals a complete and radical cultural change within the financial services industry, and the whole industry will change because of this. And that's why Barclays were so important to get this right.

This was an unforgivable situation for one simple reason: this affects the public. When banks beat up on each other, who cares? When banks beat up on professional investors -- high net worth individuals, people who should know better -- who cares? But when you start messing with grandmothers' pensions, everyone cares, and that's why this is a game-changer.

Explain how this scandal has affected the public?

The LIBOR rates for different currencies are directly connected to 99% of all (commercial) banking products -- mortgages, credit cards, and payouts for things like pensions are all based on LIBOR rates. So if banks are manipulating LIBOR rates, what they're basically doing is taking money out of the public's pocket, because their mortgage rates change, because their interest rates change, their loans/credit cards change -- or their pension income changes.

Various LIBOR rates are determined each day for different currencies (dollar, yen, euro) around the world, and these rates are the benchmark by which commercial banking operations around the world are conducted each day in those respective currencies.

What side of the bank was most interested in LIBOR?

This would be the investment bank, because they make money on LIBOR day in and day out.

As head of the Barclays investment wing when LIBOR was being manipulated, isn't it hard to believe Bob Diamond didn't know it was going on?

Actually it is believable, because it's about 15 people globally who handle LIBOR -- 15 people who pick up the phone and talk to their colleagues and say: "Let's make LIBOR this today," so he wouldn't know about these conversations, so we don't blame him or think what he did was criminal -- what we think was that he should've had more oversight at the bank.

How will this actually be a culture change? Won't it be a slap on the wrist?

The new management coming in is going to have to say "we have to look at every part of the bank that affects the public, and we have to have so many checks and balances that absolutely nothing can happen."

Up to this point, if you're a banker and you screw the public, whatever -- the assumption was that the net benefit to the economy of your bank was greater than one or two individuals (in the public).

What we're saying now is "no, if you screw one person, you're out of here -- you screw another bank, a professional investor, go ahead -- but if you screw a grandmother (out of money), you're out."

The next Barclays boss will be from the same banking culture as Bob Diamond. What will be different?

The change is very simple -- now they know they can get fired for those things. Before they thought they were untouchable.

The problem with culture is the degrees of separation -- these guys know the price of a bottle of Dom Perignon, but you ask them the price of a pint of milk and they have absolutely no clue.

The new management will come on and say, "I have to know the price of a pint of milk, I have to know what people pay on a mortgage, and I have to make sure that whatever I do at this bank isn't going to affect that." And that's a great change. It's something we need.

What qualities will a bank boss in this "new culture" need?

The next boss needs to be a general. Before a boss would only worry about money -- as long as at the end of the year the bottom line says you were profitable -- that's not enough anymore. You have to profitable, but you have to be moral as well. More morality in banking is exactly what we're talking about -- the culture has to be moral, what happened here isn't about money, it's a morality issue.

Where has this push for "moral" banking come from?

Banks are no longer on a pedestal. All of a sudden banks and grocery stores are at the same level -- we wouldn't accept a supermarket selling us spoiled bananas. Historically, whatever the banks said we would do, but now we won't accept that anymore. People are saying, 'hold on, you're a business like any other business, you make money off our backs, so do what I tell you to do.'

I remember the days when banks opened at 10:00 a.m. and closed at 3:00 p.m. with an hour for lunch. So you had to change your entire life to deal with the banks. Those days are over. The change is that the public understands what banks are doing and all of a sudden we say there are alternatives -- I can put my money into Tesco, Tesco has a bank. Other supermarkets have banks. I can get a credit card at Starbucks. So all of a sudden the banks are realizing they need to start doing the right thing.

How big is the LIBOR scandal going to get?

This is a potential scandal for the 15 biggest banks in the world, because they're the only ones who play with LIBOR rates -- these are huge organizations, which also poses some risk. These are enormous organizations employing millions of people.

The biggest problem with the Bob Diamond thing is people may believe that all bankers are evil. Fifteen guys cause LIBOR rates, and if the police have their say they're going to be in prison. But a million other people working for a bank get up and do an honest day's work for an honest living, they send their kids to school, they're honest people. We shouldn't paint everyone with the same brush.

How many people determine LIBOR? Is the system going to change because of this scandal?

It usually ends up being one person at each bank who determines LIBOR for the day. A bank determines what they want LIBOR to be for the day, and the LIBOR person calls up his equivalent and the other banks and they negotiate what the rate will be for that day. That number then pops up on every computer around that bank, and that's the rate.

The system absolutely has to change -- we've been talking about changing the system for some time, but we just believe that in a period of such change because of the economic crisis, we should wait until everything settles down and then change it.

If the Lehman Brothers-style bankruptcies that wrecked the global economy didn't bring real change, why will this scandal?

The difference is that all of Lehman Brothers' customers were all filthy rich. Their customers were governments, municipalities, professionals in the financial services industries -- they knew what they were doing, there were risks that they all understood.

But (Barclays) is retail banking: this is human-being-to-human-being, people who aren't expected to know anything about financial services, they're expected to be able to trust the banks. That's what makes this different. In fact, we give these banks a license on the agreement that they never put ordinary customers at risk, and that's what they did here.

So Bob Diamond resigning is the start of a new era of commercial banking?

It is, and the banks don't like to move fast, but the governments are going to insist on a culture change.

Let's see how things go with the other banks (that may be implicated in LIBOR rate-manipulation) -- if I were any of the other banks, I'd want to stay real quiet now. I'd want to keep this thing in the courts for 10 years until everybody forgets about it.

Any early favorites for the next Barclays CEO?

Would you want that job? That's the problem -- I think anyone who probably should fit into that job is smart enough not to want it.

Why would you do that? If you want to be in a bank right now, you want to be Number Two. You get just as much money as the top guy, but you're not in the press all the time -- so the next time a head has to roll, it's someone else's head.

But this culture change won't transform the investment bank-related issues that brought down the global financial system in 2008, will it?

That's fair, but we've been working on a solution to that problem for a few years now. So we're well under way to fixing that problem. If you look at the difference (since 2008), the banks are far better capitalized now, and they have all been moving in the right -- or "protect the banks" -- direction.

What banks have not been doing is moving in the "protect the customer" direction, and this is going to be make them move that way now.

CNN Wires contributed to this report.

@highlight

Barclays CEO Bob Diamond resigns in wake of LIBOR rate-fixing scandal at bank

@highlight

Silva: LIBOR rate fixing unforgivable because it affects public, not rich investors

@highlight

Silva: Top bankers will now have to be more in touch with concerns of the public