(CNN) -- There isn't just one Republican national convention that started on Tuesday; there are four of them going on.

There's the convention for the base, which is why Rick Santorum and Ted Cruz were up there, and why the day was suffused with religion.

Then there's the convention for the undecided -- or as they are called now, the persuadables. Anne Romney and Chris Christie were the headliners for this bunch. Mrs. Romney's role was to be the humanizer-in-chief, and the governor's role was to bring his blunt charm to independents looking for a lack of posturing and pandering. As the week progresses, other speakers will be carefully chosen for their ability to get fence-sitters to climb in their direction.

Of course, there's also the convention for the media, which in many ways might be the most important audience of all. There are 15,000 journalists in Tampa -- Jeff Jarvis accused them of squandering "ego-dollars." Since their coverage will influence a lot more people than actually saw the proceedings, their lens becomes the national lens.

Lastly, there's the convention for everyone else. That's most of America, but most of the country doesn't really care that much, which is why "America's Got Talent" on NBC pulled in more than 4 million-plus viewers than their convention coverage managed to scrape together.

Those are a lot of masters to serve, which is why the first night of the convention came across as such a fragmented affair. There were strands of a narrative -- end the culture of dependency, don't let us turn into Europe, Republican policies help immigrants succeed, you can trust Mitt -- but the strands were stranded, lacking a big cohering theme. What Peggy Noonan said about Anne Romney's speech actually describes the entire evening, that it was "scattered, full of declarations...that weren't built upon but abandoned."

There were a few moments of strong Republican branding last night; I thought the best single line came from Chris Christie, when he said "I believe we have become paralyzed by our desire to be loved." In the era of counting Facebook friends and Twitter follows, that's a message that cuts across parties and that speaks to everyone who in their heart knows and understands the risks of striving for popularity.

It's also a smart way to turn President Barack Obama's superior likeability numbers against him, although it's doubtful that Mitt Romney's lower numbers are based on his willingness to trade off short-term favorability ratings for unpopular stances.

Chris Christie is building his own political brand around a persona of strident rejection of the seductions of being an object of political eroticism (he is the anti-Clinton in that regard.) But the trouble for the Republicans is that the counterpoint to the "desire to be loved" -- what Christie described as "strengths greater than the passions and emotions of the times" -- is exactly what many find lacking in his candidate.

If political parties are essentially brands -- and they are -- then contemporary political conventions should be occasions when those brands are both strengthened and nuanced. But they rarely are -- the "bump" is notoriously ephemeral.

There's a reason for that. Successful brands -- those that are both enduring and changing below the surface -- have a strong hand at the controls. Not dozens of self-interested brand managers which their own constituencies, which is the way politics operates.

Great brands -- Apple, Nike, Starbucks, Virgin, you name it -- are not created and managed by committees. But that is exactly and literally what the parties are: The Republican National Committee; The Democratic National Committee. The flaws of "design by committee" are so well-known that they even have their own Wikipedia page.

Parties out of office, by definition, find it harder to create and project a unified, focused brand identity. The lack of a leader, an ability to hand out plum jobs, bitter infighting and posturing for the next election, are all brand-destructive.

The 2008 Democratic Party, despite a bitter primary battle between Barack Obama and Hillary Clinton, was an exception. Their titanic battle was one of personality more than a debate on the issues, so the core of the party wasn't riven by the fractiousness that comes from being out of power. Obama's singularity and aura of personal mission projected a massively powerful Democratic brand; in fact, it's the emotional investment in the Obama brand that the Republicans are now trying to turn against the president. It's a potent weapon; disillusionment stings.

It wasn't the Democratic Party that won in 2008, it was Obama. The personal brand was more potent than the party's. Now we face the reverse. In 2012, the Republicans lack a commanding personal brand at the top of the ticket, and it remains to be seen if their political brand is strong enough to overcome that absence. There's nothing I've seen, from the brand theater of Tampa -- including an inability to cut to anything but older white faces in the crowd -- that looks all that encouraging.

There are too many brand managers in the party, and at the party.

The opinions expressed in this commentary are solely those of Adam Hanft.

@highlight

Adam Hanft: These are four GOP conventions in one, playing to different groups

@highlight

He says the party is aiming at the base, undecideds, the media and everyone else

@highlight

He says GOP has fragmented message with too many masters

@highlight

Hanft: Can politics win anyway? So far it doesn't look good