Beijing (CNN) -- Beijing is a city where history and culture are almost tangible. They sprout, grow and bloom in unexpected places, around glittering new skyscrapers, in subway tunnels and in parks. And yet, despite their prevalence, history and culture in Beijing always seem to be teetering on the verge of extinction.

No doubt, the Chinese capital has its iconic landmarks that have been around for centuries and will likely endure for centuries to come. There is the Forbidden City, which is the ancient imperial palace where dozens of Chinese emperors ruled the country for 500 years. There is also the Summer Palace, a massive imperial garden built in the 18th century that is on the outskirts of the city. And outside of Beijing, there is, of course, the Great Wall of China.

Tourists flock to these landmarks to get a glimpse of the city's ancient imperial past. Yet, the problem for many other places that are emblematic of an old Beijing is that, in 21st-century China, they are caught in the middle of a collision between history and modernity. In most cases, modernity prevails.

Countless "hutong," as Beijing's traditional courtyard housing is called, have been knocked down and replaced by skyscrapers, shopping malls and apartment buildings.

In Qianmen, a district south of Tiananmen Square once home to Qing Dynasty scholars and opera singers, old hutong were demolished and replaced by renovated hutong that now house stores ranging from Starbucks to Zara.

Yet, visitors to Beijing do not have to go too far off the beaten path to find dingy alleyways lined by what remains of the old courtyard homes that exist in clusters, like islands on the verge of being swallowed by the tidal wave of new China. Further north of Qianmen is a neighborhood called Gulou that is home to the historic Drum and Bell Towers, which have helped Beijing mark the time of day for centuries.

See also: Ballet star takes inspiration from Chinese dance

The fate of the hutong in this area remains uncertain. Some have been destroyed. Yet for those that are left standing, there is a charm that endures. Numerous cafes, boutiques and galleries are hidden along the narrow lanes.

Peter Tan operates a coffee shop called Kaffa Cafe in a hutong called Guowang. Across the street from Tan's store is the hutong of a family that has lived there for three generations. Tan says he knows other families who have lived in the neighborhood for even longer. He adds that his neighborhood, and many others around him, are popular spots for travelers looking for a less-commercialized side of the city.

Tan says that the destruction of the old neighborhoods reduces Beijing into city that is "just like anywhere in the world."

About a 10-minute walk from Kaffa Cafe is the Bamboo Garden Hotel, which is located in courtyard homes that were once the residences of the postmaster general of the late Qing Dynasty. There are numerous other hutong that have been converted into hotels, offering travelers an authentic alternative to the dozens of international hotels throughout the city.

See also: Five top tips for China first-timers

Further outside of Beijing, situated on a broad tract of land that was once the grazing grounds for the imperial stables, is Caochangdi, an urban art village that also has an uncertain future. The village was started about a decade ago by Ai Weiwei, the now globally famous contemporary and controversial Chinese artist who was recently arrested, and later released, by the Chinese government.

In 2010, artists and gallery owners in Caoghangdi received official notices from the local government that their studios were on a demolition list.

Two years later, nothing has happened, and Caochangdi is flourishing. Caochangdi PhotoSpring, the village's annual photo exhibition held every April, now attracts photographers and tourists from around China and from around the world, while more artists are moving to the area from 798, another nearby art district, because Caochangdi is considered less commercial and more conducive to creative work.

Aside from occasional Ai Weiwei spottings (the artist still uses his studio in the village), other notable artists have studios interspersed between housing units mostly occupied by migrant workers and their families. The artists include Mo Yi, a Chinese artist from Tibet who once played professional soccer and now is known for his installations, performance art and photography both at home and abroad, and Wu Wenguang, an internationally renowned documentary filmmaker.

While Caochangdi is more rugged than the 798 Art Zone, which attracts thousands of tourists annually, it is becoming an increasingly popular destination for travelers seeking a glimpse of China's burgeoning contemporary art scene. It takes around four hours to walk around the dozens of galleries that occupy the grounds.

Some notable places to visit include F2 Gallery, which houses work from both Western and Chinese contemporary artists, as well as Galerie Urs Meile, which is housed in a complex designed by Ai Weiwei, and Three Shadows Photography Art Centre.

Despite Caochangdi's rise, there are still worries that one day that bulldozers might arrive and that it could fall.

"The people who live and work out in Caochangdi and the art community are optimistic about it and want it to be preserved and to be around," said Jillian Schultz, international program manager for Three Shadows Photography Art Centre, in Caochangdi. "But it is beyond our control."

Everyday in a park in western Beijing called Purple Bamboo (in Chinese its name is Zizhuyuan) groups of Chinese gather who are intimately aware of cultural loss that is beyond their control.

They are mostly retired and in their 50s and 60s, generations whose coming-of-age experience was during the Cultural Revolution, a traumatic and complicated period in Chinese history when all things cultural, from art to dance to music to literature, were all but erased from society from the mid-1960s until the mid-1970s.

In Purple Bamboo and in parks across Beijing these groups gather together to dance the tango, the waltz, the cha cha cha, the foxtrot, mambo and salsa. In all corners of the park loud speakers can be found blaring music while couples, groups, individuals simply dance.

The dancers are perhaps one of Beijing's most charming, and undiscovered, tourist attractions. They are not hard to find, and they are worth watching because they prove that culture in China's capital is, above all, resilient.

"Before 1980, no Chinese knew how to dance," said a man whose last name is Li (he declined to provide his first name) who stood on the sidelines of around a dozen couples dancing under snow-covered trees on a recent morning in Purple Bamboo. "They come here to dance because it makes them happy."

@highlight

Beijing is a city rich in culture, but its history is threatened by modernization

@highlight

Traditional courtyard housing is being demolished, but you can still find it if you look

@highlight

Caochangdi is an urban art village started by artist Ai Weiwei

@highlight

Real Beijing can be found in countless parks where locals gather to dance