(CNN) -- The Founding Fathers are frequently quoted in the gun control debate, but many of those quotations turn out to be fake.

The most popular comment on a recent story about gun control featured a purported quotation from Thomas Jefferson. More than 2,000 votes pushed it to the top.

"When governments fear the people, there is liberty," reads the quotation. "When the people fear the government, there is tyranny. The strongest reason for the people to retain the right to keep and bear arms is, as a last resort, to protect themselves against tyranny in government."

The same quotation has been posted dozens of times in other readers' posts. Some readers worked to debunk it by mentioning Monticello.org, the Thomas Jefferson Foundation's website, which has a section devoted to "spurious" quotations that have been attributed to the third president of the United States. The website lists several variations of the quotation, featured on two pages, and says staff "have not found any evidence that Thomas Jefferson said or wrote" those words.

Former Marines share dramatically different stances on gun violence

Duane Tigner, a commenter who said he teaches American government to high school students in Sanford, Michigan, described feeling a responsibility to educate young people about the need to develop a discerning eye about the information they come across. Tigner was one of the readers who mentioned that the quotation had been debunked. He suggests starting with a Google search, which often will quickly turn up information about a quotation.

"Many of these quotations are circulated and reposted on social media or appear in chain e-mails," he said via e-mail. "Every time I see one of these bogus quotes, I call it out as fake."

For others, the message of the quotation rings true even if the quotation isn't entirely accurate. A commenter named Henry from Charlotte, North Carolina, said he read through the Monticello page, but he isn't ready to declare that the comment is fake.

"I do not know if Jefferson actually ever made such a statement or not, (but) I find it odd that many people attribute it to him if it wasn't true. It's ridiculous in my opinion to propose that since nowhere in his writings there is trace of such a statement, then Jefferson has never said something like that. Jefferson could have come up with those words in any occasion of his public or private life and someone else recorded and then quoted him."

CNN decided to look at the reasons why apparently fake quotes can be so popular. Many have an underlying message.

A recent Facebook privacy hoax inspired users to share faux copyright legalese with all their friends. In the words of one worried Facebook poster, "It may have been a hoax, but it did not hurt!" The sentiment of the post text was important, regardless of where it originated.

Then, even more recently, actor Morgan Freeman found himself in a quotation controversy regarding comments attributed to him about last month's school shooting in Newtown, Connecticut, that left 20 children dead. The statement, which blamed the media for sensationalizing the tragedy, spread on social media.

"He neither wrote nor posted nor had any knowledge of it," Freeman's publicist told HLN.

Still, Freeman's star power helped propel a provocative idea. Likewise, Jefferson's words appear to have also been in great demand since the Newtown shooting.

The Monticello.org site techs have recorded an uptick in traffic to their quotations area since early December. Spokeswoman Lisa Stites sent along statistics indicating traffic increases of nearly 1,000% on some of the remarks, and especially on the "spurious" quotes. Several of these quotations have appeared in CNN comments.

Anna Berkes, research librarian at the Jefferson Library, said there are extensive records of Jefferson's writings and communications. Just about every quotation from Jefferson can be documented somehow, she said.

The earliest reference to the "tyranny in government" quotation that Berkes has noted thus far is within a 1989 opinion-editorial about gun rights from The Orlando Sentinel in Florida. She said the first part of the section of the article where the quotation appears, which begins with "No free man shall ever be debarred the use of arms," has been verified. But the rest of it has not been found in Jefferson's writings.

Berkes said there are often clues that help identify quotes from Jefferson, such as the vocabulary of his time and the typical sentence styles he used. Over time, Berkes added, a researcher gains a keen sense for these discrepancies; Jefferson composed mostly written communication rather than text meant to be spoken.

"Jefferson was very wordy, and a lot of the quotes I see are very snappy," Berkes said. "They sound like they were maybe composed by a 20th century speechwriter."

Stites said Monticello's keepers don't want to get caught up in the political debates about gun control, but there is a lot of community interest in Jefferson's real and falsely attributed quotations, so Jefferson Library researchers provide resources based on searches through electronic and physical archives of Jefferson's writings.

Stephen Halbrook, an attorney and author of the book "The Founders' Second Amendment," said he doesn't understand why someone would want to use a fake quotation.

"For years I've seen bogus quotes on gun issues in the Internet," he said. "Since the Founding Fathers were so positive on Second Amendment rights, I couldn't understand why anyone would feel compelled to invent quotes."

Halbrook said Jefferson was a big supporter of the right to own firearms.

"Jefferson wrote the Declaration of Independence, and served two terms as president," he said. "He personally possessed numerous firearms for hunting, target shooting, collecting, self-defense and defense against tyranny. He deemed being armed the mark of a true citizen. The American Revolution was won by an armed populace against the British standing army."

The GunCite website includes quotations from the founding fathers, but has pages for debunked and reliable remarks. Site creator Howard Picard said the quotes help explain the Constitution's meaning.

"There are politicians, scholars, jurists, and others who don't believe the Second Amendment was intended to preserve and guarantee an individual right to arms outside of active militia duty," Picard said. "Some go as far as to claim firearms ownership was solely a collective right."

He said the quotes show that the Second Amendment was intended to protect not only a "vigorous individual right" but also "to serve as a check against an usurpation of our government."

Saul Cornell, a professor at Fordham University, said some quotations may need context, especially those from the "losing side" of debates. He added that he believes both sides of the gun conversation tend to oversimplify the Founding Fathers' historical intent.

"Without being too professorial about it," he said, "depending on what theory of the Constitution we use, you can get very different interpretations of the Second Amendment."

Cornell, who is the Paul and Diane Guenther Chair in American History at the school, said the Constitution incorporates lessons learned while the nation was under the Articles of Confederation. He said the turmoil of Shays' Rebellion stirred up fears of mob rule among many leaders.

He also compared the militias of early America to a form of taxation, saying that citizens had what Jefferson referred to as a "right and duty" to be armed. That is, they were required to buy weapons in addition to being allowed to possess them. Militia membership was often compulsory, Cornell said.

He questions whether the Founding Fathers would have welcomed the idea of people taking up arms against their newly hatched constitutional government instead of using governmental procedure to settle differences, which sometimes is referred to as the "ballots vs. bullets" debate.

The Jefferson quotation's emphasis on battling the government caught the attention of reader David McSwain, a gun owner and Second Amendment supporter from Charlotte, North Carolina.

"I don't think the sentiment is out of line with Jefferson's thinking in view of his other verifiable statements such as 'a little rebellion now and then is a good thing,' etc.," he said. "Yet I think Jefferson would reject the ultraright modern day belief that armed rebellion will be needed in the near future against a socialist, unconstitutional federal government."

McSwain said he feels there is a need to avoid extremist views and added that he believes most people have a nuanced perspective on guns. He expressed a desire to define "that ragged line between civilian and military weapons."

"Exactly where that line gets drawn is something that Americans should think about, argue about, and then vote their convictions," he said. "I think the vast majority of Americans and Mr. Jefferson would agree with me."

What's your favorite (true) quotation from a historical figure? Share your thoughts in the comments area below.

@highlight

Story on ex-Marine's letter about assault weapons garnered lots of comments

@highlight

Thomas Jefferson quote was posted dozens of times, but researchers cannot verify it

@highlight

Readers shared theories about Founding Fathers' attitudes toward firearms

@highlight

What's your favorite historical quote? Share your views on CNN iReport