(CNN) -- A health care worker worker who just returned from West Africa is under a mandatory quarantine at a New Jersey hospital. New York, New Jersey and Illinois implement mandatory Ebola quarantine policies as the federal government considers a similar move. The 101st Airborne Division assumes control of the U.S. mission to fight Ebola in Liberia.

Here's the latest on the Ebola outbreak:

U.S. DEVELOPMENTS

Health worker quarantined in New Jersey

A health care worker who just returned from West Africa does not have Ebola, according to a preliminary test, New Jersey officials said Saturday. But Kaci Hickox, a nurse who cared for Ebola patients while on assignment with Doctors Without Borders in Sierra Leone, will remain in quarantine at Newark's University Hospital for at least 21 days under a controversial new state policy.

Hickox wrote in an editorial for a Dallas newspaper, "This is not a situation I would wish on anyone."

Quarantined Nurse: New Ebola policy in N.J., N.Y. an 'ordeal'

"Doctors Without Borders is very concerned about the conditions and uncertainty she (Hickox) is facing," an official with the organization said Saturday.

The hospital issued a statement that said, "While we understand that the required quarantine is an inconvenience, it is our primary goal to make sure that the patient is as comfortable as possible."

Hickox arrived at Newark Liberty International Airport on Friday and was thought to have a fever during an airport Ebola screening. She was then transported to the hospital.

Doctor's fiancee tests negative for Ebola

The fiancee of Craig Spencer, the Doctors Without Borders physician who tested positive for Ebola in New York this week, is healthy with no symptoms of the virus, according to NYC Health Department spokeswoman Jean Weinberg.

Morgan Dixon returned to her apartment after undergoing testing at Bellevue Hospital, the same hospital where Spencer is receiving treatment for Ebola.

Spencer, 33, tested positive for the virus Thursday after returning from Guinea on October 17 and is the first case of Ebola diagnosed in New York.

Three states implement mandatory quarantine policies

On the day medical worker Kaci Hickox arrived back in the United States, the governors of New York and New Jersey abruptly announced a new policy to increase airport screening for Ebola and to require anyone who has direct contact with Ebola patients to remain in quarantine for up to three weeks.

NYC official: New Ebola policy 'a real stunner'

"This is not the time to take chances," New York Gov. Andrew Cuomo -- joined by his New Jersey counterpart, Chris Christie -- told reporters. "This adjustment in increasing the screening procedures is necessary.... I think public safety and public health have to be balanced and I think this policy does that."

But New York City Health Commissioner Dr. Mary Bassett is concerned that the mandatory quarantine will discourage doctors and nurses from volunteering to take care of Ebola patients in West Africa, her spokeswoman said Saturday.

Illinois Governor Pat Quinn also ordered the state Department of Public Health to implement a 21-day home quarantine for "high-risk individuals who have direct contact with an individual infected with Ebola" while in West Africa, according to the statement from the governor's office.

"The mandatory quarantine order includes any high-risk medical personnel who have performed medical services to individuals infected with the Ebola virus. The order will be implemented by local health departments across the state." High-risk individuals were previously subject to a voluntary quarantine.

The United States is also considering a mandatory quarantine for all returning health care workers from West Africa, an Obama administration official said.

101st Airborne takes control of Ebola mission in Liberia

The 101st Airborne Division officially took control of the U.S. mission in Liberia to fight the Ebola epidemic. Army Major Gen. Darryl Williams attended a ceremony transferring control of the mission at Barclay Training Center in Monrovia.

"Thousands of my soldiers are arriving now, and they are excited and ready to join this great team you have formed, so together we can stamp out Ebola," said Major Gen. Gary J. Volesky, the unit's commander.

U.S. ambassador to U.N. travels to West Africa

The U.S. ambassador to the United Nations traveled to West Africa. Samantha Power will visit the countries at the center of the Ebola crisis: Guinea, Sierra Leone and Liberia.

Power will also make stops in Ghana and Belgium during her week long trip, according to a U.N. statement. The visit is designed to show "U.S. support for these nations and their efforts to combat this deadly disease and to draw attention to the need for increased support for the international response."

FDA OKs use of two new Ebola tests

The Food and Drug Administration has authorized the use of two new diagnostic tests for Ebola, the agency said Saturday. The tests, created by U.S. government contractor BioFire Defense, are designed to to detect the deadly virus in people with signs and symptioms of the infection, or those at risk for exposure, or those who may have been exposed to the virus, according to an FDA statement.

AFRICA DEVELOPMENTS

Mali quarantine after first confirmed case

At least 40 people are now under quarantine in the southwestern Mali town of Kayes, a Health Ministry spokeswoman said. A 2-year-old girl, who traveled to Mali from Guinea on Tuesday with her grandmother, died from Ebola in a Kayes hospital on Friday. She was the country's first confirmed Ebola case.

Another 10 to 15 people are quarantined in the capital of Bamako after the girl traveled there this week, said ministry spokeswoman Markatie Daou.

Ethiopia joins Ebola response effort

The Ethiopian government has announced plans to send 200 health care workers to West Africa to help fight the Ebola epidemic. The response comes a week after an urgent appeal by the African Union Commission for medical workers.

Mauritania closes border

Mauritania closed its eastern border with Mali after the nation's first Ebola death. Mauritania announced the closure on Friday, calling it a " precaution," according to Mauritanian news agency, Agence Nouakchott d'information (ANI). The Mauritanian government had already banned travelers from Ebola-affected African countries, ANI said.

Rising Ebola death toll

There have been 10,141 confirmed, probable, and suspected cases of Ebola, almost all of them in Liberia, Sierra Leone and Guinea, with 4,922 reported deaths, the World Health Organization said Saturday.

All but one district in Liberia and all districts in Sierra Leone have now reported at least one case of Ebola since the start of the outbreak, WHO said.

The agency also said 450 health workers were confirmed to have caught the virus worldwide, almost all of them in West Africa. Of those, 244 have died.

Complete coverage on Ebola

CNN's Ray Sanchez, Radina Gigova and Katarina HÃ¶ije, Laura Smith-Spark contributed to this report.

@highlight

Fiancee of Ebola-infected New York doctor returns home

@highlight

The 101st Airborne assumes mission in Liberia

@highlight

U.S. Ambassador to U.N. Samantha Power travels to West Africa

@highlight

FDA authorizes use of two new Ebola tests