(CNN) -- Even a sleep expert gets tired sometimes.

"It's been a long day," explains a weary-sounding Nick Littlehales, as he answers the phone to start an interview explaining how he went from aspiring golf pro to the go-to recovery guru for top soccer clubs and Olympic athletes.

While, for many of us, sleep deprivation often compounds into a seemingly neverending spiral of exhaustion, Littlehales has dedicated most of his adult life to finding the tools that break the cycle.

If he has a late night, he knows how to factor it into his schedule and immediately get back on track.

"Sleep, as far as mental and physical recovery goes, has never been more important to not only elite sport but everyone I bump into who struggles with their sleep hygiene," he tells CNN.

"They've just been getting worse and worse and suddenly so out of sync with the natural circadian process that does so much for us. Eventually you start to become somebody that's way below what you can achieve at a personal level."

Not only have we lost touch with our natural body rhythms, which for thousands of years were dictated by sunrise and sunset, Littlehales says most people have little awareness of their sleep patterns and habits.

"All the executives, all the people doing two jobs, three jobs, and trying to do a semi-amateur pro sport, they're all trying to make 28 hours out of a 24-hour cycle, putting too much pressure on it," he says.

"More and more athletes who've moved over to that time are moving back to taking the pressure off the nocturnal period."

Technology is also playing its part -- people in all walks of life spend more and more time with electronic devices, such as phones and tablets that stimulate the brain with artificial light, forever checking their email and social media updates.

"The phone I'm talking to you on now was simply a mobile phone when I was walking around Manchester United football club in 1998 -- it is now used for so many different things," Littlehales says.

"They have a counter-productive effect on a very natural process called our circadian rhythms, which has so many biological consequences in our bodies.

"What you see now is more different levels of insomnia with athletes either being not able to stay asleep for a long-enough period, or not being able to get into sleep easily enough."

The methods that he has used to help footballers at clubs such as United and Real Madrid, along with cycling champions like Bradley Wiggins, are surprisingly simple -- once you dump the widely-held sleep concepts that he says have become increasingly obsolete.

For starters, forget about the convention that dictates we all need eight hours' sleep every night. Try 7.5, nine or even six.

"It's dead easy if you look at it in 90-minute cycles, which is how sleep is measured," Littlehales says.

"If you build a sleep routine around 90-minute cycles it gives a clear indication subconsciously -- it's not a routine you have to follow every day, but you've got something to focus on and it allows you to be flexible and it's so easy to follow."

In his case, he aims to be asleep around 11 p.m. and wake up at 6.30 a.m. --- giving himself time for a 90-minute pre-sleep routine and the same period post waking before starting work.

If, say, he goes out for dinner after work and gets home later than usual, rather than scramble to get to bed at the usual time, he'll make sure he still has his 90-minute slowdown period and aim for the next sleep slot of 12.30 a.m. and still get up at the same time.

Six hours' sleep might not seem enough, but this is where Littlehales turns to the habit that has died out in many Western countries -- the afternoon nap.

"We've got three natural sleep periods every day, and we need to use them," he says.

So if you've missed out overnight, try catching up with a controlled 20-minute nap between 1-3 p.m. or 5-7 p.m.

The siesta is a traditional break in many countries, especially those in hot climates, and Littlehales noticed it when he went to Spain to advise coaching staff at Real Madrid.

"Come one o'clock the place was deserted. They've got 80-odd rooms of seven-star suites at their training center," he says.

"Some players will go there and spend 2-3 hours like they would a siesta -- they'd have some food, have a nap. Some of them will go home and come back.

"Although it may look on the outside that they play more matches than any other club in Europe, if not the world, and they play at ridiculous times at night, but within all of their schedules there is a very strong recovery balance against activity."

Football gave Littlehales his big break in sport, becoming known as Manchester United's "sleep coach" in 1998 after a chance email to then manager Alex Ferguson earned him an invite to work with the club physio.

By that stage, his ambitions of being the next Seve Ballesteros on the golf circuit were long gone, but he had used many of the sales and networking skills he learned as a club pro to work his way up to the board of British company Slumberland and a role as chairman of the inaugural UK Sleep Council.

"That was trying to change people's perceptions -- but it was solely driven by retailers trying to sell more beds, not from the premise of improving the way people slept. That was really the end of my road," he says.

United had a problem with veteran England defender Gary Pallister, who was plagued by constant back pain. Littlehales suggested switching his sleeping arrangements -- it didn't cure the problem but helped Pallister's posture and subsequent rehabilitation.

It led to the introduction of sleep rooms at United's Carrington training ground to allow players to cope with the demands of morning and afternoon sessions, and Littlehales went on to work with the club's Premier League rival Arsenal and the England national team.

His ideas also caught the attention of British Cycling, which in 2009 was developing the nascent Team Sky pro outfit that would feature Tour de France winner and Olympic champion Wiggins.

"They were looking at recovery as a big issue and decided that my approach made a lot of sense to not only them but also the individual riders," says Littlehales.

"We created a sleep kit, which is a replication of the ideal layers -- pillow, duvet, linen -- all put together to allow a small group of staff to go into the hotel and unzip Bradley's bag, he sleeps in it, they zip it back up and take it to the next hotel.

"While he's traveling on a three-week grand tour, every night he would know that that stuff that's specifically focused on him for mental and physical recovery, it works, he's tried it.

"They started to build an enormous perceived value around this area, which is one of the largest chunks of their recovery period every day."

Wiggins went on to triumph at cycling's biggest race in 2012 and that same year won the Olympic time trial, while Chris Hoy -- another fan of the sleep kit -- claimed two more Games golds to become the sport's most decorated rider.

It's not just athletes who need quality sleep. Rest deprivation has been shown to take its toll on physical and mental health, impacting on work performance and relationships.

"There's a lot of evidence that (sleep problems are) some of the real reasons why type two diabetes is going up quite dramatically ... weight control, depression, bipolar, anxiety, stress -- there's a lot of quite serious health issues," Littlehales says.

"They're finding things like breast cancer in shift-working nurses against non-shift working nurses."

So how do you fix broken sleep patterns?

"Although it's a very simple process, once focused on it you realize that you can actually be spending a lot of your valuable time wasting it trying to sleep," says Littlehales, who recommends the following steps.

First, work out if you are an early person or a late one ("lark or owl") and how it applies to your work situation. Next, set constant sleep and wake times using 90-minute sleep cycles.

Establish 90-minute periods before sleep that reduce outside stimuli (i.e. shut down electronic devices) and bring down your body temperature -- don't exercise too strenuously at night.

Make sure your bedroom is dedicated to sleep and rest. Keep the temperature cool. Wake up with the sun, or during winter with the help of machines that simulate daylight. Give yourself 90 minutes to get ready for the day ahead.

Use afternoon naps to catch up on any missed sleep.

Littlehales says the last of those is often difficult for foreign footballers who join English clubs, where the culture is very different to their homelands. But that is changing as high-flying Premier League teams such as Manchester City and Southampton have also taken his ideas on board.

City has followed local rival United in investing in sleeping areas at its training ground, building a complex that will serve as a hotel before home games.

Littlehales says attitudes towards sleep in sport have changed a lot since he started working in the area, which is being recognized as one of the remaining aspects where human performance can be improved.

"Nobody would ever put their hand up and say I can't perform in a team or do that event because I had a poor night's sleep," he says.

"As the years have gone by, the analysis that's available to sports science professionals has just grown and grown so they know far more about any individual athlete than they ever did before.

"The performance levels of athletes have continued to improve and increase, so the more and more that happens the human form can only go so far.

"You can keep improving equipment, nutrition and things like that, but the human being needs to develop in a much better way."

For many of us, not just sports stars, a better night's sleep is a good start.

@highlight

Nick Littlehales is a sleep coach who has worked with leading sports institutions

@highlight

His big break came back in 1998 when he contacted soccer club Manchester United

@highlight

The 54-year-old has more recently worked with European champion Real Madrid

@highlight

His sleep tips helped British cyclist Bradley Wiggins win Tour de France and Olympic gold