(CNN) -- The flu is hitting younger people harder this season than in years past, the Centers for Disease Control and Prevention reported Thursday.

People between the ages of 18 and 64 represent 61% of all influenza-related hospitalizations recorded during the current flu season -- a significant increase compared with previous years when this age group represented about 35% of cases.

More flu deaths than usual have also occurred in people under 65. Adults between 25 and 64 account for more than half of flu deaths this season, according to the CDC, compared with less than a quarter last year.

"Influenza can make anyone very sick, very fast and it can kill," said the CDC's director, Dr. Tom Frieden. "Vaccination every season is the single most important thing you can do to protect yourself."

CDC experts estimate only a third of people 18 to 64 had been vaccinated by November. About 40% to 45% of Americans get vaccinated each year, Frieden said.

Health officials continue to encourage vaccinations for everyone who is at least 6 months old. The CDC's Morbidity and Mortality Weekly Report noted this year's flu vaccine reduces the chance of having to go to the doctor for treatment by about 60% across all age groups. In past years, the vaccine's effectiveness has ranged from 30% to 65%.

The CDC has known for weeks that the dominant flu strain this season is the H1N1 virus, which first emerged in April 2009 and caused a pandemic. It's included in all flu shots and nasal vaccines this year, according to the MMWR.

"We are committed to the development of better flu vaccines, but existing flu vaccines are the best preventive tool available now," Frieden said.

Pregnant women are at particularly high risk of developing serious complications from the flu, such as pneumonia.

Leslie Creekmore of Arkansas was 20 weeks' pregnant when she contracted the flu this month. Five days after checking into a hospital, she miscarried. Three weeks later, Creekmore died. She did not get the flu vaccine.

Fifty pediatric flu-related deaths have been reported during the current flu season, according to the MMWR. Adult flu deaths are not reported on a national basis, but the CDC estimates that between 3,000 and 49,000 people die each year because of the flu and flu-related illness.

When H1N1 first surfaced, California health officials decided to make reporting fatal influenza cases in all individuals under 65 mandatory. As of February 14, local health officials had reported 243 deaths.

"The 405 reports of severe cases (i.e., fatal and ICU cases combined) were more than in any season since the 2009 pandemic," officials wrote in the MMWR.

Influenza activity in the United States remained elevated through February 8, according to the CDC. Twenty-four states reported widespread flu activity that week.

"Widespread" means that more than 50% of geographic regions in a state -- counties, for example -- are reporting flu activity. The designation addresses the spread of the flu, not its severity.

Experts expect elevated flu activity in parts of the United States for several more weeks, especially in states where flu activity started later.

"I want to remind you that the season is not over," said Dr. Anne Schuchat, director of the National Center for Immunization and Respiratory Diseases. "There is still a lot of influenza circulating. If you haven't been vaccinated yet, it's not too late for you to benefit."

In addition to getting the vaccine, washing your hands frequently and staying home when you're sick can help you and others get through the flu season. Doctors recommend using antivirals within the first two days of experiencing any flu-like symptoms.

CNN's Jacque Wilson, Miriam Falco and Ashley Hayes contributed to this report.

@highlight

People between 18 and 64 represent 61% of all flu-related hospitalizations, CDC says

@highlight

Health officials continue to recommend flu vaccines, including for pregnant women

@highlight

This year's flu vaccine reduces chances of having to see a doctor by 60%, report says