London (CNN) -- In 2011 UK Business Secretary Vince Cable lamented that a bunch of "right-wing nutters" was holding the American government and the world economy to ransom by refusing to agree the usually routine increase in America's legal debt limit.

World leaders might avoid the blunt description used by Cable but their thoughts are probably very similar. The U.S. is, once again, having another political gunfight over public funding and debt issues.

Internationally, America's fiscal shenanigans could be particularly harmful for eurozone countries trying to get their own public debt problems under control and strengthen their economic recovery.

Instability in the world money markets is the last thing that the likes of Greece, Ireland, Spain and even France need. And with the UK economy excessively dependent on its financial sector, the storms in Washington could turn into a tempest for the City of London.

If the U.S. imbroglio results in a debt default next month, it will serve as a very bad example to eurozone countries undergoing austerity to remedy their indebtedness.

READ MORE: How austerity kills

One political consequence of this may be the growth of nationalist/populist parties in Europe who seize on America's conduct to legitimize calls for default on their own countries' public debts.

Nothing new

There is nothing new in the standoff between the Republican House and the Democratic Senate over agreeing a budget to fund government operations for the 2014 fiscal year, beginning October 1.

Whether single party controlled or not, Congress has failed to pass a budget by the start of the new fiscal year annually since 1994. However, it has always approved a Continuing Resolution to fund government operations until a budget is agreed.

If this is not settled by midnight today, the U.S. government will experience a partial shutdown that will hit "non-essential services" (including federal payment of government contracts, social security benefits and the like).

There have been ten such shutdowns since 1981. All but one of these only lasted a weekend when most government offices were closed anyway. The exception, in late 1995-early 1996, went on for 26 days.

READ MORE: 10 ways a shutdown will affect you

We may be re-entering the same territory because Republican insistence on defunding Obamacare as part of any budget deal is staunchly opposed by the Democrats, reinforced by the threat of a presidential veto if any such measure were enacted.

All this may look like a local infighting but the possible consequences could be global in scope if the stand-off continues until mid-October, when the U.S. is scheduled to raise its debt limit.

The ceiling for borrowing was actually reached last May. The U.S. Treasury has been shuffling money from government accounts to pay America's creditors ever since, but the pot is now close to empty.

The U.S. is looking down the barrel at the first default in its history. If this happens, the very least of the consequences will be a reduction of its credit rating by Standard & Poor's ratings agency, along with others.

The fact that U.S. government creditors are mainly foreign governments and central banks may prevent panic on the money markets, but there will still be serious repercussions and dislocations stretching throughout Asia, Europe, and Latin America.

Global money flows

Even with a brief default, the U.S. government will probably find it more difficult thereafter to sell short-term Treasury notes at low interest to fund its operations.

The likely consequence of this would be greater reliance on medium- term and long-term borrowing that could require higher interest rates to be attractive.

READ MORE: What happens at the White House?

At a time when the Fed is still operating an easy money policy to boost recovery from the Great Recession, it may have to raise interest rates contrary to its expansionary preferences, with harmful consequences for the American and global economies.

If U.S. interests rate interest rates go up, America could become a magnet for global capital, leaving the European countries, in particular, short of credit needed to sustain their own economic recovery.

The more likely scenario is that a default will be avoided, but the fear that one was imminent and the worry that it could easily happen again this time next year is bound to make the money markets nervous.

Foreign creditors willingly lend to the U.S. because it is a safe bet in an uncertain world. But if its dysfunctional politics makes it look unsafe, they may look elsewhere.

The U.S. is fortunate that the euro is not a reserve currency in waiting, as it looked a decade ago, and the Chinese renminbi is nowhere near ready to challenge the dollar.

But what the world needs now is more certainty from its largest borrower and owner of its reserve currency.

Without this, there could be very damaging repercussions for global economic growth.

@highlight

The U.S. is facing up to yet another battle over its public funding and debt

@highlight

Iwan Morgan says this is nothing new -- but its impact on international markets is a worry

@highlight

Money markets will get nervous at the continued dysfunction in U.S. politics

@highlight

The eurozone is only just emerging from recession and certainty is needed