(CNN) -- While we'll never know for sure what he would have done differently, the hallmark of Steve Jobs' genius was that he reacted to changes in the marketplace by forging entirely new territory through powerful design and radical innovation.

Apple spent a decade far out in front of the competition through Jobs' almost uncanny combination of vision and showmanship. During that time, buying a new Apple device was always exciting and surprising (even if it was occasionally frustrating).

And now, Apple seems to be in danger of becoming a wallflower. Instead of leading, will the company increasingly become a follower?

Apple is reportedly testing larger screens for its phones and tablets, partly in reaction to the success of the devices released by its main rival, Samsung.

Sure, competition is tough in the mobile devices market. Samsung's Galaxy S4, with its 5-inch screen, has become the fastest selling Android phone in history.

Apple's iPhone 5 has a 4-inch screen and its iPad has a 9.7-inch screen. Devices that run the Android operating system come in a range of sizes, most of which tend to be bigger.

One can argue that most apps don't need a big-screen experience. In fact, a big part of the mobile revolution was about creating simple experiences that are vastly superior because they were designed to work on a small screen (Google maps and Instagram are two good examples). To put it another way, people may want an SUV because it's bigger, but a sports car would probably give them a smoother ride.

Although it's hard to argue that playing games and viewing videos can benefit from a big screen, it's perfectly fine to kill off all the pigs in Angry Birds or finish an episode of "The Walking Dead" in the confines of a 4-inch screen. If it's any indication, more than 50 billion apps have been downloaded from the Apple app store in just five years.

So if thing are great then why should Apple be thinking about bigger screens?

One reason is that Apple's stock has fallen in the past 10 months, with Wall Street feeling nervous about the company's future and its ability to come up with innovative products. On Tuesday, Apple released its quarterly earnings. While sales beat expectations, profits were down.

Apple has already put out a smaller iPad, the iPad mini. But every new screen size brings the company one step closer to the riot of sizes and resolutions that have made developing apps for Android devices far more difficult than for iOS devices.

We tend to tout changes in technology as a good thing. And like all companies, Apple is looking to make smart changes. Although Apple has modified its stance, it's clear that the iPad mini is not quite the device we would have seen if Jobs was around today.

In the hyper-competitive mobile market, two years is a lifetime. Since Jobs passed away in 2011, the current version of iOS already seems dated and stale. Android may not be better in many ways, but it's pulling ahead in innovation, including better meshing of apps, smarter and more interactive icons, and reinventing basic interface elements like the keyboard.

In response, Apple is releasing a new version of its operating system in the fall. Despite showing off some bold (and controversial) design choices, it seems more evolutionary than revolutionary.

Apple is well aware that innovation is still a key part of its appeal. But without its creative genius at the helm, the company is going head to head with Samsung in the marketplace. That still leaves us waiting for the next big thing. What Apple needs most are bold new ideas, not bigger iPhones or iPads.

The opinions expressed in this commentary are solely those of Andrew Mayer.

@highlight

Apple's quarterly earnings show profits have fallen but sales have beaten expectations

@highlight

Andrew Mayer: Apple seems to be in danger of becoming a follower

@highlight

He says Apple is testing larger screens for its mobile devices in competition with Samsung

@highlight

Mayer: What the company needs are bold new ideas, not bigger iPhones or iPads