(CNN)The Hillary Clinton presidential campaign surely anticipated the coming wave of inquiries and criticism about conflicts of interest involving big foreign donors to charities run by the Clinton family -- questions set to get a thorough airing in a new book called "Clinton Cash: The Untold Story of How and Why Foreign Governments and Businesses Helped Make Bill and Hillary Rich" by Peter Schweizer, coming out May 5.

My guess is that the issues raised by the book will prompt Team Clinton to put its candidate on the road, where she can continue holding loosely scheduled, informal meetings with ordinary Americans -- the sorts of people more concerned about local jobs than whether some foreign government or company paid a big speaking fee to Bill Clinton in hopes of getting special treatment by Secretary of State Hillary Clinton.

It's not that the alleged conflicts aren't potentially serious; as I recently noted in these pages, they are. According to The Wall Street Journal, in 2014 the Clinton Foundation "received money from the United Arab Emirates, Saudi Arabia and Oman, among others. The donors included Canada's foreign affairs department, which is promoting the Keystone XL pipeline."

That's the same Keystone XL pipeline from Canada that the State Department all but endorsed, concluding after a five-part analysis that ran to 17,000 pages that the project's environmental impact would be minimal. President Obama vetoed a bill that would have allowed the pipeline to be built, but it's legitimate to ask whether the donation from Canada directly or indirectly influenced the State Department's analysis.

And several news outlets have reported that banks and other companies with business before the U.S. government were donors to the Clinton Global Initiative, a sister group that was spun off from the Clinton Foundation. CNN's Alexandra Jaffe wrote last month that "listings for the Clinton Global Initiative's Annual Meeting found partnerships with at least six banks that were under investigation, involved in litigation or had been fined by government agencies and regulators at the time of the meeting. In every case, the bank in question was listed as a sponsor of the event even after the investigations were widely reported in the media."

Those are serious matters -- but so are stubborn unemployment, troubled schools, high taxes and other problems that top the list of voters' concerns. A bank giving money to charity in hopes of buying leniency from the government is a cause for concern, but until and unless a smoking gun appears in the form of a clear exchange of money for favors, it becomes hard to say what, exactly, is wrong with donating cash to aid in a good cause like combating world hunger or helping to rebuild Haiti.

Even among the banks fined for wrongdoing that contributed to Clinton charities, noted Jaffe, "there's no indication the Clintons had any knowledge of the ongoing investigations into banks supporting the foundation's efforts."

That doesn't leave much room for outrage. A more serious critique of the Clinton foundations is that they have been an administrative and financial quagmire from their origins, running deficits, expanding uncontrollably and cutting deals that not only raise ethical questions but cast the family's management skill in a less-than-flattering light.

In a well-known case of deception, a con man named Raffaello Follieri charmed his way into the foundation's good graces, earning public praise from Bill Clinton for promising $50 million to the Clinton Global Initiative -- money that never materialized.

A more serious problem developed internally, with staff members fighting over the direction and management of the charities. In 2007 and 2008, the foundation ran a $40 million deficit and in 2012 had an $8 million deficit.

So we already knew that the Clintons' charities suffered from poor management and took money from companies and governments that were clearly trying to curry favor. It's distasteful, but by now it's not news.

Unless the forthcoming book unveils some blockbuster new information, questions about the Clintons' charities is likely to wind up on the same political shelf on which voters seem to have parked concerns about Hillary Clinton's use of private emails to conduct State Department business.

According to a recent poll by the rightward-leaning Rasmussen -- taken after the email issue was splashed all over the news -- a survey of voters likely to vote in 2016 found that 57% expect Clinton to win the presidency.

No wonder Clinton seemed positively unconcerned about the forthcoming book. "We're back into the political scene, and therefore we will be subjected to all kinds of distractions and I'm ready for it," she said in New Hampshire.

Calling extensive exposure of conflicts of interest "distractions" suggests that Clinton knows what the polls suggest: that in a nation still struggling to emerge from a long recession, voters will likely judge her on something other than the efficiency and ethics of her charities.

@highlight

Errol Louis: New book to detail alleged conflicts of interest with foreign donors to Clinton family charities

@highlight

He says without smoking gun, it's likely not election deal-breaker for Americans worried about issues like economy, jobs, schools

@highlight

Louis: More notable is mismanagement, ethical history of Clinton charities