(CNN) -- If you are reluctant to challenge your physician on a certain procedure or medicine, you are hardly alone. Focus groups show that many patients feel intimidated by their doctors. They're reluctant to take an active role in discussing their care because they're afraid that the doctor will see them as "difficult."

Recently, nine medical associations each took the unusual step of listing five medical procedures commonly used in their fields that patients don't need, amounting to 45 tests or procedures. The associations report some of them might actually be harmful. Eight medical associations have signed on to release additional lists in the fall.

An annual EKG is an example of one test you can do without, unless family history or symptoms suggest otherwise. Some procedures, such as repeated abdominal CT scans without a significant change in the patient's condition, subject patients to a relatively high dose of radiation and can increase their cancer risk.

It is not the government or the courts that issued these lists; the physicians' own professional associations decreed that these procedures usually should be avoided. But many doctors perform them anyway. There are many reasons for this: One is that doctors are often paid a fee for each procedure, and it doesn't take much creativity to convince themselves the patient needs the intervention.

Another reason doctors I interviewed told me is that the medical associations' recommendations have no legal standing. These doctors said they can be sued for not screening properly if their patient has a heart attack or some other untoward event. And sheer inertia is also a powerful factor in preventing reform; the test is performed because "this is what we have been doing for years."

On these and on scores of other medical matters, you cannot be a passive bystander. You need to keep an eye on what is ordered to be done to you and why.

Form your own judgments, disregard those doctors who pooh-pooh the Internet. If you can find somewhere to park your general misgivings about the big, bad federal government, you will find that it runs excellent web pages where you can find very reliable information about what ails you, as well as information about possible treatments. For instance, the Centers for Disease Control and Prevention and the National Institutes of Health provide extensive resources.

And if you can let go of the notion that the private sector is the best way to get what you need, you will find that nonprofit organizations provide very sound guidance, for instance, the Mayo Clinic and the Cleveland Clinic. It's true there are dubious medical sites on the Internet, and you do best by following the same guidelines that serve well in the financial world: If something sounds too good to be true, it probably is. If anybody tells you that you can lose 30 pounds easily if you buy their junk, let alone cure your cancer with apricot pits and coffee enemas in a few easy visits, click off and move on.

Behavioral economics has shown that people are more swayed by anecdotes than by statistics. Parents will think the risks of vaccination are much higher after reading testimonials from parents whose children had negative reactions, in spite of having seen statistical information that says the risks are low.

You need to pay more attention to people who say it with figures. When I read in the New England Journal of Medicine that a procedure I was to undergo had a 10% risk of "esophageal injury with ulceration," I forced myself to pay more attention to this statistic than to the tale of a friend who had the same procedure and did well.

I am sorry to say that I know quite a few people who agreed to undergo major surgery upon their doctor's recommendation without investigating their options. Some of those surgeries went awfully wrong. But they would not dream of buying a lawn mower, let alone a car, in this way.

If you keep in mind what can and often does go wrong, you are likely to find the inner strength to ask questions, even if you have to apologize for not saluting the doctor and doing what you are told. And if you have to pay from your pocket for a second opinion, it's worth it.

I have been an inquisitive patient, which is one reason I am hitting 83. I refused to undergo more surgeries than I have and, politely, left some doctors who were too eager to conduct a lot of tests that seemed to me hard to justify. I am not saying it is easy; just that it is vital.

The opinions expressed in this commentary are solely those of Amitai Etzioni.

@highlight

Nine medical associations each listed common medical procedures you don't need

@highlight

Amitai Etzioni: Patients too intimidated to question doctors about procedures

@highlight

Etzioni: Doctors order tests anyway; for money, out of habit or fear of lawsuits

@highlight

Beware of doctors dismissing your research, he says. Stand up and demand answers