News alert: Some things you read on the Internet are not true.

As obvious as that may seem, and as savvy as you'd think we'd be a decade after deposed Nigerian princes began e-mailing us with the promise of vast riches, 2013 has turned out to be the Year of the Online Hoax.

And, guess what? Most of us seemed to love every minute of it.

In just the past week or so, the Web has been duped by the viral rise of a snarky Thanksgiving Day airplane spat, a not-so-poor poverty blogger and a Twitter feud between a comedian and a salsa company.

And it's no accident. Media experts say there are multiple factors at work when these sweet little lies rocket across the Web in what feels like mere minutes.

First, the obvious. To be too good to be true, a story has to be good.

"Sometimes, with these stories, we all want them to be true," said Brian Stelter, CNN's senior media correspondent and host of "Reliable Sources," on CNN's "Newsroom" Tuesday. "And we forget, maybe, the first rule -- trust, but verify. Check it out first."

So, when a pastor claims to teach his congregation a lesson by disguising himself as a homeless man, or a pistol-packing granny unloads on young punks playing "The Knockout Game," some of us are so enamored of what the tale says about our world that we miss the warning signs.

But there's more to it than that. Fun little Internet stories, it turns out, have become big business.

"There really is a virality industry, with websites that are in the business of finding these things and blowing them up with slide shows and stories," Stelter told CNN's Brooke Baldwin.

He named Buzzfeed, Huffington Post and Upworthy as just a few of the many sites that thrive, at least in part, on that model.

Many news sites seek to verify viral content before publishing it, although some of us occasionally get burned. In September CNN and other sites published a video of a girl appearing to catch on fire during a twerking mishap before the clip was revealed as a prank by Jimmy Kimmel's talk show.

There's obviously an appetite for these sorts of viral stories. So finding them, pulling them together quickly and relaunching them on social media within minutes equals page views. And online, page views make advertisers happy. And advertisers mean money.

"There's a million-clicks reward for being the first to pick up on it," wrote TIME's James Poniewozik, referring to Elan Gale's live-tweeting of his Thanksgiving Day airplane "feud." "And hundreds of follow-up, aggregations, commentaries and counter-commentaries get posted before anyone gets around to seeing if the flight data added up."

Here are just some of the fake viral tales that have swept the Web so far this year. We're willing to bet they won't be the last.

Manti Te'o's "girlfriend"

This one's almost a year old and still kind of confusing.

As his Notre Dame Fighting Irish were playing their way into the BCS national championship game, All-American linebacker Manti Te'o broke hearts when he told reporters his girlfriend, a 22-year-old Stanford University student, had died of leukemia within hours of his grandmother's death.

"I miss 'em, but I know that I'll see them again one day," he told ESPN after leading the Irish to an improbable 20-3 victory over Michigan State.

Except, the girlfriend never existed. Te'o would later say he'd never met Lennay Kekua in person, that their relationship had formed online and that he was the victim of what he called a "sick joke" and what Notre Dame dubbed "an elaborate hoax."

The homophobic non-tip

It had all the right ingredients to stir up Web outrage.

It wasn't enough for customers to refuse to tip waitress Dayna Morales, a 22-year-old Marine Corps veteran, who describes herself as "out, open and proud." Someone in the family of four also had to leave a note saying "I'm sorry but I cannot tip because I do not agree with ... your lifestyle and how you live your life."

That's the story Morales told media outlets, including CNN, last month, and the Web responded in kind. More than $2,000 flowed in to a PayPal account set up by her employer, Gallop Asian Bistro in Bridgewater, New Jersey. She said she'd donate the gifts to the Wounded Warrior Project and the restaurant planned to match the donations, giving to a local gay-and-lesbian support group.

But then, a local television station displayed a receipt from a family showing an $18 tip on a bill of $93.55 -- the same amount on the one Morales had originally shared on the Facebook Have a Gay Day group, and a credit card statement with the same total value, $111.55, to back it up.

This week, Morales was suspended at the restaurant, while it completes an investigation of exactly what happened.

The poverty blogger

Give Linda Walther Tirado this: she can write.

"You have to understand that we know that we will never not feel tired," she wrote in one of many heartbreaking blog posts about living in poverty that were picked up by the Huffington Post and others. "We will never feel hopeful. We will never get a vacation. Ever. We know that the very act of being poor guarantees that we will never not be poor. It doesn't give us much reason to improve ourselves."

But here's the problem. She's apparently not all that poor.

A Houston Press investigation last week revealed that Tirado owns her home, has worked as a political consultant, attended a private boarding school and is married to a U.S. Marine.

But by the time that story was out, Tirado had already raised more than $61,000 in donations via GoFundMe.

In an update on the GoFundMe page, Tirado wrote, "You have to understand that the piece you read was taken out of context, that I never meant to say that all of these things were happening to me right now, or that I was still quite so abject. I am not. I am reasonably normally lower working class ..."

She says she'll use the money to collect her writing into a book and maintains that her writing was misinterpreted by readers who thought she was always describing her current living conditions.

#RIP celebrity-who-is-still-alive

It's been more than four years since Jeff Goldblum "died" on Twitter. But, in 2013, the social media platform was still killing off celebrities with regularity.

Celine Dion. Tom Cruise. Cher. Chloe Moretz. All, to the best of our knowledge, still alive. But all mourned this year on Twitter where bad information, whether planted intentionally or accidentally, can spread fast.

It's gotten so bad that when word of actor Paul Walker's death in a car crash broke late Saturday, many fans remained skeptical even after legitimate news sources were reporting it.

Diane in 7A

A reality TV producer just made something up. Who would have thought?

Elan Gale, a producer on ABC's "The Bachelor," captivated Twitter with his Thanksgiving Day story about a fellow passenger who was rude to flight attendants on his flight to Phoenix. Gale came to the rescue with a cheeky note, a glass of wine and, ultimately, some lowbrow insults.

Within a day, the Web had split into two camps. Team Elan cheered a champion who delivered instant karma to someone being nasty to hapless service-industry folk. Team Diane declared Gale just as bad, if not worse, for preying upon someone clearly in distress and insulting her in crude language.

Gale declared both teams losers a couple of days later when he returned to Twitter to share a "photo of Diane" -- an empty chair.

Comedian vs. salsa

Fresh on the heels of Elan vs. Diane, comedian Kyle Kinane over the weekend started poking fun at what looked like an automated Twitter feed for Pace Picante Sauce that would "favorite" anything he wrote about the salsa -- no matter how derogatory or crude.

What followed was a hilarious and cringe-worthy back-and-forth in which Pace employees offered Kinane free salsa to stop writing bad things about them, argued amongst themselves and generally made a mess of things.

The main problem being that Pace Picante Sauce doesn't have a Twitter feed, says its owner, the Campbell Soup Co.

Kinane says he was himself pranked by other comedians who created the fake account.

@highlight

Viral hoaxes hit the Internet big in 2013

@highlight

Media analyst: Spreading viral stories fast is big business

@highlight

The fake "Elan vs. Diane" airplane spat captivated thousands on Thanksgiving

@highlight

Analyst: "Sometimes, with these stories, we all want them to be true"