Federal prosecutors were preparing charges Sunday against the surviving suspect in the Boston Marathon bombings even as authorities said they believed he and his brother were allegedly preparing to carry out more attacks when their plans were disrupted.

Authorities have not said publicly what charges will be filed against Dzhokhar Tsarnaev, but a Justice Department official, who has been briefed on the case, told CNN he will face federal terrorism charges and possibly state murder charges.

Tsarnaev, 19, remains in serious but stable condition with a gunshot wound to the side of the neck, a federal law enforcement source with knowledge of the investigation told CNN on Sunday.

It is unclear whether Tsarnaev was wounded during his capture or an earlier shootout with police that left his older brother -- the other man wanted in the bombings -- dead, said the source, who spoke on condition of anonymity.

"He's not in a condition to be interrogated at this time," Boston Police Commissioner Ed Davis told reporters at a news conference on Sunday afternoon.

However, another senior federal official who has been briefed on the investigation told CNN's Fran Townsend that Tsarnaev has communicated in writing with officials several times.

Even as prosecutors worked to put together a case against Tsarnaev, Davis said he believed the brothers were planning another attack before a shootout with police disrupted their plans.

"We have reason to believe, based upon the evidence that was found at the scene -- the explosions, the explosive ordnance that was unexploded and the fire power -- that they were going to attack other individuals," Davis said Sunday on CBS News' "Face the Nation."

He did not say whether investigators had identified a specific target.

Authorities believe the brothers bought bomb components locally, but their guns came from elsewhere, another federal law enforcement official with knowledge of the investigation told CNN. The official, who was not authorized to publicly discuss the case, said authorities are trying to trace the guns.

Tsarnaev was captured Friday night, days after he and his brother allegedly planted two bombs near the finish line of the Boston Marathon. The blasts killed three people and wounded more than 170 others.

Authorities virtually shut down Boston and some of its suburbs as part of a manhunt after authorities say the brothers went on a rampage late Thursday and early Friday. The brothers allegedly hurled explosives at police after killing Massachusetts Institute of Technology police Officer Sean Collier and hijacking a car.

What's next for the suspect?

There are questions about whether Tsarnaev will ever be able to talk given the nature of his wound, Sen. Dan Coats, R-Indiana, said Sunday on ABC's "This Week."

"It doesn't mean he can't communicate, but right now I think he's in a condition where we can't get any information from him at all," said Coats, a member of the Senate Armed Services Committee.

The government has invoked the public safety exception in the case, a designation that allows investigators to question Tsarnaev without reading him his Miranda rights and without a lawyer present, said another Justice Department official, also speaking on condition of anonymity for the same reason.

Secretary of Defense Chuck Hagel told reporters on a flight to Israel that he has not seen any intelligence that linked the brothers to any terrorist organization, but it was still early in the investigation.

But Davis told CNN that he was confident that the brothers were "the two major actors in the violence that occurred."

"I told the people of Boston that they can rest easily, that the two people who were committing these vicious attacks are either dead or arrested, and I still believe that," he said Sunday.

The sentiment was echoed by Watertown Police Chief Edward Deveau.

"From what I know right now, these two acted together and alone," he said. "I think we have to be ever vigilant, and we're learning as we go along, but as far as this little cell -- this little group -- I think we got our guys."

Hints of a radical?

While investigators piece together the actions of the brothers in the months and days before the marathon bombings, there appear to be hints that the elder Tsarnaev was becoming radical.

The Tsarnaev family hails from the Russian republic of Chechnya and fled the brutal wars there in the 1990s. The two brothers were born in Kyrgyzstan, authorities said.

Profiles of the two suspects

An FBI official said Saturday agents interviewed Tamerlan Tsarnaev in 2011 at the request of the Russian government. The FBI said Russia claimed he was a follower of radical Islam and a strong believer and that he had changed drastically since 2010.

But a U.S. official and a law enforcement source said Sunday the Russian government's request was vague. The lack of specifics limited how much the FBI was able to investigate Tamerlan, the law enforcement official said.

Tamerlan Tsarnaev apparently became increasingly radical in the last three or four years, according to an analysis of his social media accounts and the accounts of family members. But so far, there is no evidence of active association with international jihadist groups.

In August 2012, soon after returning from his visit to Russia, the elder Tsarnaev created a YouTube channel with links to a number of videos. Two videos under a category labeled "Terrorists" were deleted. It's not clear when or by whom.

A CNN analysis of the YouTube channel has established that one deleted video featured a militant named Abu Dujana, whose real name was Gadzhimurad Dolgatov. CNN has located a video clip of the footage in question.

Russian security services killed Dolgatov in December during an assault on an apartment in Makhachkala, the capital of the Russian Caucasus republic of Dagestan. Dolgatov led a small group in Dagestan that had links to the main Islamist militant group in the region, Imarat Kavkaz.

Older suspect in Boston bombings grew increasingly religious, analysis shows

Separately, a U.S. intelligence source told CNN that investigators are looking into whether Tsarnaev had any connections with the group, known in English as Caucasus Emirates. The source says Tsarnaev had several computer links to the group in his social media activities, and investigators are looking into the possibility that he received "operational plans" from this group.

Rebels who call themselves Mujahideen of the Caucasus Emirate Province of Dagestan issued a statement Sunday that appeared to distance the group from the Boston bombings, saying they are not fighting the United States.

"We are at war with Russia," it said. The statement also said that children are never targets of the group.

'He was just relaxed'

As an army of officers hunted for the suspects in Monday's marathon bombings, Dzhokhar Tsarnaev acted like any other college sophomore.

He was on the campus of University of Massachusetts Dartmouth every day after the attack until late Thursday, a university official told CNN. Tsarnaev attended classes and went to the gym and dorm parties while much of Boston was at a tense standstill.

On Tuesday, he and a fellow student were at the campus gym when the bombings came up in discussion.

Zach Bettencourt said he expressed his shock about the attack, telling Tsarnaev that it was the type of thing you hear about in Iraq or Afghanistan, not Boston.

He said Tsarnaev responded: "Yeah, tragedies happen man. Like these things happen around the world. It's crazy."

A student at the school told The Boston Globe she saw Tsarnaev Wednesday night at a party that was attended by some of his friends from intramural soccer.

"He was just relaxed," she said, asking the paper not to print her name.

At the dorm where Tsarnaev lived, students joked Thursday as they viewed the FBI photos of the bombing suspects on television, a senior who lived in that dorm told The Boston Globe.

"We made a joke like, that could be Dzhokhar," Pamala Rolon said. "But then we thought it just couldn't be him. Dzhokhar? Never."

The campus, which was closed during the search for the bombing suspects, reopened Sunday morning.

Moment of silence

Boston, meanwhile, is trying to return to semblance of normalcy with some streets and business reopening.

Federal investigators on Sunday were lifting crime scene tape and barriers erected during the investigation into the bombings near the marathon's finish line on Boylston Street.

People throughout Massachusetts are being urged to observe a moment of silence Monday at 2:50 p.m., exactly one week after the Boston Marathon bombings.

Of those injured in the marathon bombings, 55 remain hospitalized,  including three in critical condition, according to a CNN count.

Doctors, meanwhile, said Sunday that they are "cautiously optimistic" that a Massachusetts transit officer wounded in a shootout with the alleged Boston Marathon bombers will recover.

Richard H. Donohue, 33, remains in critical condition at Mount Auburn Hospital in Cambridge, said Dr. Russell J. Nauta, a surgeon who operated on the officer.

There was life before the bombings, and then life after.

"We are all scattered in the pain and horror of this week's violence," Boston's archbishop, Cardinal Sean O'Malley, told parishioners during Sunday services at the Cathedral of the Holy Cross.

"Some of those here were among those injured. But everyone has been affected."

He voiced what so many have been thinking: Why would anyone do this? What were the bombers thinking?

It has been "very difficult to understand what was going on in their heads," he said.

Timeline of the bombings and manhunt

@highlight

55 people remain hospitalized from the marathon bombings

@highlight

Doctors are ''cautiously optimistic'' a wounded transit officer will recover

@highlight

The surviving suspect was shot in the side of the neck, a source tells CNN

@highlight

Based on evidence, the brothers were going to attack others, an official says