(CNN) -- When Melissa Seligman's husband left on his second deployment to Iraq in 2005, their 2-year-old daughter began banging her head on the floor. The Army wife tried to rock the girl, sing to her. With a newborn to care for, too, sometimes all Melissa could do was quickly slide her hand between the toddler's head and the floor.

Exhausted and desperate, Melissa rushed to the store, wailing children in tow. She found a GI Joe doll with black hair like her husband's and placed it in her daughter's hands. "Daddy," the girl said. She stopped crying and stopped hurting herself.

Looking back, the 36-year-old mother remembers how some people, including other military spouses, dismissed her daughter's behavior as typical tantrums. "But I knew something was wrong with her," Seligman said. "I knew this child felt deeply the loss of her dad."

For years, military parents facing a deployment have said the same refrain: "My child is so young, they won't remember."

But very young children -- even babies -- can suffer psychological stress, developmental problems and cognitive damage when a parent goes to war, according to recent research by the Boston University School of Social Work.

For military youths in general, researchers have also found they are more likely than their civilian peers to have trouble in school and experience higher levels of anxiety and depression.

"What we're seeing over the last decade is an increase in kids being seen for behavioral health visits. We know there has been an increase," said Barbara Van Dahlen, a child psychologist. In 2005, she founded Give an Hour, a national nonprofit network of nearly 7,000 mental health providers who volunteer their services to warriors and their families.

"This is not shocking to those of us who work in this space," she said. "This is what you expect when you've got stress beyond what kids can successfully manage."

A generation raised by war

The Seligman children are among the more than 2 million who have been separated from their service member parents, both fathers and mothers, because of combat deployments, according to "The Future of Children," an academic series co-authored by psychiatrist and retired Army Col. Stephen Cozza, a researcher with the Center for the Study of Traumatic Stress.

America is raising a uniquely stressed-out generation of military children, other researchers say. Those who were 5 when the September 11 terror attacks happened are now 17; war is all they've known. While military children have always faced challenges and demonstrated resiliency, these children have parents who've been deployed multiple times.

Military spouses told me story after story about not just one or two birthdays missed, but about struggling to comfort children whose entire lives were lived essentially without one parent.

How Iraq and Afghanistan service members and their partners parent is being studied by Ellen DeVoe, a clinical social worker at Boston University School of Social Work. She's found that male service members tend to minimize their importance to their young children, and their female partners feel left out. The children tend to mirror the way their parents handle deployments.

"My husband has probably been gone for 80% of their lives," Seligman said of their children when I visited the family in November at their home in South Carolina. Their daughter, now 10, and son, 8, laughed and played while clutching that same GI Joe doll and a pillow with a picture of their dad, Army Capt. David Seligman.

The family stood out from other military families I met because they had, early on, connected with military-referred therapists. The children regularly saw their "feelings doctor," as did their mother and father.

A spouse teetering on the edge

David Seligman, a decorated service member who's done three deployments, was home when I visited but had to leave after our interview. He wasn't going to war this time, but to Georgia to take an eight-month career advancement course. That meant that he'd only get to come home once a month at most.

It was difficult explaining to his children that Daddy was going to a classroom like they did and wouldn't be in danger. He encouraged the kids to ask questions. They wanted to know if he was going to wear a helmet when he did homework.

This is how the Seligman household works -- every time the 36-year-old soldier leaves, the couple tries to keep communication strong and constant. He sends them letters with drawings. They color them in and mail them back. They send him the beginning of a story, and he fills in a part; they continue the plot.

The family gave up Skyping when he was in Iraq in 2009.

"It was almost cruel to them to be like, 'Look, there's Daddy, you can see him, but you can't touch him or smell him,' " David Seligman told me.

Seligman served in the Army Reserve from 1996 to 2000. He was in college, and Melissa had just finished graduate school when the 9/11 terror attacks happened. He was gripped him with an overwhelming urge to serve again. After discussing it with Melissa, he joined. The two married in June 2002. He left for Afghanistan in 2004 on a four-month deployment.

His daughter was then 6 weeks old.

"She won't remember anything, I thought; so what, Melissa will be there to handle things," he recalled. "I didn't feel like it was long enough for anybody to feel anything."

But Melissa wasn't handling it well. She was suffering from what she now recognizes was post-partum depression. But she was afraid to say anything. She recalled the mantra she repeated in her head.

I have to do this perfectly. I need to be good at this, because if I'm not good at this, I'm failing him.

In the brief time that her husband came home -- before he deployed to Iraq in 2005 -- Melissa got pregnant again.

While he was gone, her daughter's crying and banging of her head and the demands of a newborn consumed Melissa. An aspiring writer, she started to tell her story on a blog and on paper, an outpouring that turned into a memoir, "The Day After He Left for Iraq."

For a while, the writing worked to calm her. He came home and life went on. But when he was ordered to deploy a third time in 2009, she had a panic attack. Because she'd never treated her depression, she was terrified of how she would react to being a single parent again. She called Military OneSource, the armed services 24/7 nonemergency hotline.

She connected with a thoughtful operator who reminded her that she'd been through a lot, and to breathe.

Recalling that time, Melissa wept thinking about what might have happened had she not made the call.

"Thankfully I didn't hurt her ..." she said about her daughter. "And I didn't hurt myself."

A father at home, but not really there

David Seligman reflects on his choices, too. He is constantly torn between his love for his family and his love of the Army. With each deployment, his children acted differently toward him.

When he asked where his son's Thomas the Train was, the boy gave him a look and walked past him to play with toys David had never seen. During his third deployment, his daughter started drawing pictures of crying animals.

"After I came back from my second deployment, my daughter, she was very emotional," he said. "I didn't understand what any of that was about.

David Seligman's last deployment ended in 2010, and he came home. And yet, he's not really been home, Melissa said.

For the past three years, David Seligman has been a commander of a drill sergeant rotation at Fort Jackson in South Carolina. He would leave for work at 3 in the morning and, most of the time, if he was at home when they were, he was in bed. As a consequence, the children were never really sure if he was home or gone. "There's a misconception that when you come home from deployment, you're home," Melissa said.

That might be true for some people, but not the job her husband had.

That explains why, as David told me, when he is home and goes outside, to take the trash out or something, the children will panic if they call for him and he doesn't answer immediately. "They'll say 'Mommy, Mommy!' " he said. "They get terrified that we're leaving them."

All he can do is try to reassure them, not just with words but actions.

Some service members fear that seeking mental health care will adversely affect their careers. But Seligman said he's been unafraid to talk openly with Army counselors.

He didn't do it sooner, he said, not because he had concerns about his career but because of the pace of the wars. He didn't have time to stop and breathe, to figure out he needed to talk to someone.

"It was just, like, I gotta do this, that, go here, come back, do this, come here, go back," he said. "Once I was not feeling anticipation for a deployment, then I was not afraid."

His daughter runs up to him a few times as we talk, and smiles and presses into him. She lingers and watches him as we film, her GI Joe tight in her hand.

@highlight

More than 2 million children have been separated from a parent in the Iraq, Afghanistan wars

@highlight

Even babies can suffer cognitive and developmental problems when a parent goes to war

@highlight

Counseling is key says mom whose child started banging her head when father left for Iraq