(CNN) -- A humanitarian mission from the United Nations will travel this weekend to Syria to look for effects of President Bashar al-Assad's protest crackdown, a U.N. official said Thursday shortly after the release of a damning report.

"We have been guaranteed that we will have full access to anywhere we would wish to go," Under-Secretary-General for Humanitarian Affairs Valerie Amos told reporters after delivering to the Security Council the report. "We will want to concentrate on those places where there have been reports of fighting so that we can see for ourselves exactly what is going on."

The mission will last three or four days, during which the group anticipates being accompanied by a representative of the Syrian Red Crescent, she said. Rashid Khalikov of the Office for the Coordination of Humanitarian Affairs will lead the mission, she said. "It's an initial mission and we would hope to go back in to do detailed assessments."

She added, with diplomatic understatement, "There is continued concern about the humanitarian situation."

That concern was raised in the Fact-Finding Mission on Syria, whose report concluded that Syria is guilty of human rights violations in its months-long crackdown on protesters and that it may be time for the International Criminal Court to get involved.

"The mission found a pattern of human rights violations that constitutes widespread or systematic attacks against the civilian population, which may amount to crimes against humanity," the report said.

The violations include murder and disappearances, torture, deprivation of liberty and persecution, it added.

The U.N. mission, which was set up by the Human Rights Council in late April, issued its 22-page report Thursday covering mid-March to mid-July.

"Both the armed forces and the security forces are involved in the suppression of peaceful protests and related violations across Syria," the report says.

"Many of the victims and witnesses interviewed by the mission identified the heads of the security and intelligence branches in their governorates or cities as having ordered the commission of human rights abuses, including summary executions, arbitrary arrests and torture."

Among the steps it demands Syria take: "end impunity, including by abolishing legislation which grants security and intelligence personnel virtual immunity from prosecution."

The report called on the U.N. Human Rights Council to urge the U.N. Security Council to "address in the strongest terms the killing of peaceful protesters and other civilians in Syria through the use of excessive force and other grave human rights violations; to call for an immediate cessation of attacks against the civilian population; and to consider referring the situation in Syria to the International Criminal Court."

The Security Council was briefed Thursday on the matter by Amos, U.N. High Commissioner for Human Rights Navi Pillay; and a U.N. political officer.

Pillay said the report concluded that "the abuses and human rights violations going on on the ground undermine the proclaimed reform package," and that she had recommended Syria be referred to the International Criminal Court "because all the evidence produced by the commission's report support a finding of widespread and systematic violations of human rights -- equaling crimes against humanity."

After the Security Council met, representatives from Britain, France, Portugal and Germany said they would support a resolution to heighten pressure on Damascus.

"We believe that the time has come for the council to take further actions to step up the pressure against those who are responsible for the violence against the citizens of Syria," said Ambassador Philip Parham, charge d'affaires of Britain's mission to the United Nations.

Germany's representative said his country has asked for an emergency meeting Monday in Geneva, Switzerland, of the Human Rights Commission. He added that the draft resolution will ask for an independent inquiry into the situation by the commission.

The session may extend into Tuesday, said Cedric Sepe, press officer at the Officer of the High Commissioner for Human Rights.

Rosemary A. DiCarlo, U.S. Deputy Permanent Representative to the United Nations, said the United States would support a resolution that would include sanctions against Syria for its crackdown on peaceful demonstrators.

"We must again call for an immediate end to the violence, call for unhindered and sustained access for humanitarian and human rights workers and the media, and we must take collective measures against the Assad regime," she said.

Syrian Ambassador Bashar Ja'afari lashed out at the charges as untrue and unfair. "It is really pitiful to see these influential countries in the council making use of the council as an instrument to fulfill their illegitimate strategies against my own country as well as against the whole area," he told reporters outside the Security Council.

Ja'afari then ticked through what he said were other untruths that resulted in wars -- the 1964 Gulf of Tonkin Resolution that gave then-President Johnson authorization to send U.S. troops to Vietnam, the 1961 Bay of Pigs invasion of Cuba by Cuban exiles and the alleged weapons of mass destruction that U.S. officials proffered in 2003 as justification for the war in Iraq.

"All the invasions that were taken on behalf of the Security Council were based on lies," Ja'afari said. "Since when, and under which international laws, can a member state claim that the president of this country or that country is legitimate or not?" he asked rhetorically.

Ja'afari said that al-Assad has issued 20 reforms since March that will lead toward democracy in Syria by the end of the year. "This is, after all, what the peaceful demonstrators are calling for," he said.

The goal of the United States is to instigate further violence in the country, he said.

The fact-finding mission's report came as U.S. and European leaders called for Syrian President Bashar al-Assad to step down.

"The future of Syria must be determined by its people, but President Bashar al-Assad is standing in their way," U.S. President Barack Obama said in a statement. "His calls for dialogue and reform have rung hollow while he is imprisoning, torturing and slaughtering his own people. ... For the sake of the Syrian people, the time has come for President Assad to step aside."

British, French, German and Canadian leaders backed Obama's call, as did representatives of the European Union.

U.S. authorities imposed new economic sanctions against Damascus on Thursday, freezing Syrian government assets in the United States, barring Americans from making new investments in Syria and prohibiting any U.S. transactions relating to Syrian petroleum products, among other things.

U.S. Secretary of State Hillary Clinton said the United States "will take steps to mitigate any unintended effects of the sanctions on the Syrian people."

Switzerland became the latest nation to recall its ambassador from Syria.

Al-Assad and his regime have repeatedly denied allegations of violations against civilians, insisting that any military efforts have been against "armed gangs" and "terrorists."

Al-Assad told U.N. Secretary-General Ban Ki-moon that military operations have stopped, the United Nations said Wednesday. But anti-government protesters on Thursday accused Syrian forces of rounding up opposition members in the hard-hit port city of Latakia.

Security personnel clad in black raided homes in Latakia's al-Ramel district, making arrests in an ongoing military crackdown against protesters calling for al-Assad's ouster, two witnesses said.

Opposition members reported seeing security forces take up positions in and around a handful of cities.

Throughout the protests, the Syrian government has repeatedly said it was already taking key steps toward political and social reform.

CNN cannot independently confirm reports by witnesses, the opposition groups or the government because Syria refuses to allow international journalists to enter the country. The opposition assertions are based on reports from organizers, witnesses and medical professionals, who have been speaking on condition of anonymity out of fear for their safety.

The unrest in Syria, part of a wave of protests across much of the Arab world, began in March with mass protests following the arrest of teens for scrawling anti-government graffiti.

The protests quickly grew into a larger movement calling for free elections and an end to the reign of al-Assad, whose Alawite-minority led government rules Sunni-majority Syria.

The Local Coordination Committees of Syria, a loose coalition of groups that documents and organizes protests, puts the number at 2,545 people who have died since the protests began. The vast majority were civilians, and 391 were security personnel, the group said.

CNN's Joe Vaccarello, Joe Sterling, Alan Silverleib, Nada Husseini, Elise Labott, and Hamdi Alkhshali contributed to this report.

@highlight

Mission urges Security Council to consider bringing case to International Criminal Court

@highlight

Syrian government rights violations include murder and disappearances, report says

@highlight

U.S. and European leaders call on Syrian President al-Assad to step down

@highlight

U.S. executive order blocks Syrian property and bans U.S. investments