Gulu, Uganda (CNN) -- Mwaka Posiano trekked for miles to watch the World Cup on television -- a first for the teen born in rebel captivity during the decades-long insurgency in Uganda.

"I now know how Robihno and (Didier) Drogba look," Mwaka said with a beaming smile, referring to top players from Brazil and Ivory Coast, respectively. "I have seen how they play and run, I want to play like Robinho."

Mwaka was among about 40,000 mostly-war victims who gathered to watch the World Cup. MTN, the official mobile sponsor of the event, held a public screening in Gulu town in northern Uganda.

Before watching the game Sunday, Mwaka and other youth would huddle around a radio in his village to listen to commentaries.

"We'd rush out of school to ... listen on various radios tuned loudly in shops and quite often we'd find the match in second half," he said.

Mwaka, an AIDS orphan, is one of thousands of children rescued from rebel captivity. They tell chilling stories of atrocities experienced in the hands of the rebel Lord's Resistance Army and government forces, who have been battling for the past 23 years.

LRA rebels say they are fighting the government for the establishment of a democracy based on the Bible's Ten Commandments.

But for a moment, albeit briefly, all that is forgotten as the 14-year-old and his peers watch their sports heroes. They don't have televisions or radios at home. Neighbors with radios only tune in to select matches to save batteries.

"So we were not following it well, our teachers would update us of results every morning," Mwaka said.

Soccer is a big sport in Africa -- as big as the NFL is in American households. The English premier leagues are especially popular, with boisterous crowds gathering faithfully in city bars to watch games during the season.

This year's World Cup -- the first on African soil -- has sparked a fierce patriotism in the continent.

But millions who lack access to radio or television have not shared in the excitement. Intermittent power outages common in Africa add to the woes, forcing financially-struggling residents to watch the games in bars, restaurants and make-shift video halls.

"I have a TV, but I have not watched a single full screening of any game since the World Cup kicked off, mainly due to power cuts," said Ben Ochien, 31.

"I spend Shs 500 (about 5 U.S. cents) per match to follow World Cup in video halls ... (that) have generators.

In a country where the average person survives on less than two dollars a day, the money can add up.

The MTN viewing party helped bridge the gap and allowed others to be part of a historic global event.

Rural areas are becoming more stable, and as a result are getting more populated, said Dean M. Ravizza, a professor at Salisbury University in Maryland, who was in the area with students on research. This means a large segment of the population is left out during historic events.

"Unfortunately, access to viewing the events that unfold in the World Cup is not much different," Ravizza said.

In Gulu, the celebration brought a rare moment of unity -- a crowd gathered for a common goal.

"It allowed many of the war victims and their tormentors -- some I know (former rebels) -- to get united in excitement," said Luke Obongmin, 42, a truck driver.

Ravizza, a professor in the Department of Health and Human Performance, said such events help facilitate conflict resolution and participation.

"Facilitators of sport programs can use teachable moments of conflict in sports to practice strategies for resolution," he said. "These strategies can then be applied to other areas of their homes, school and community to promote peace within the region."

Most in the crowd, including Mwaka, walked as far as 9 miles (15 kilometers) to watch the game.

"Few who could afford jumped on trucks -- the main form of transport -- and a majority have trekked," Obongmin said.

The MTN advertised the opportunity by various ways, including drivers circling villages announcing using loudspeakers, a common way of communication in remote areas in Africa.

Most people spend Sundays cultivating on their farms, but they came in to share in the excitement, the truck driver said.

After the match, Obongmin loaded 40 people in his truck -- all headed to a nearby shopping center, where they would be dropped off to make the trek home.

Obongmin started his truck and waved. The noisy chatter of the passengers could be heard over the roaring engine.

@highlight

About 40,000 mostly-war victims gather to watch World Cup

@highlight

Residents trek for miles for public screening

@highlight

Game sparks fierce patriotism in the continent

@highlight

"I want to play like Robinho," teen says of top Brazil player