(CNN) -- Checking the weather display for our departure from JFK Airport in New York to London's Heathrow Airport, an awkward blob of green, yellow, and red is sprawled diagonally across most of the New England coastline. Studying the computer in Operations, the routing filed with ATC (air traffic control) appears to navigate through the least intense area of a very wide storm system. I pick up the company phone, taking a rare opportunity to consult with our dispatcher located in a central location at our main hub almost 1,400 miles away.

On most occasions, through our collaborative efforts, the dispatcher and I agree to the planning of the flight by electronic means. This day is different. On this day I require the verbal communication of a trusted professional who has more resources available to assist in our flight planning.

In light of the now-lifted FAA ban on flights into Israel's Ben Gurion Airport, it seems that the resources available will have to include intelligence on airborne hostile activity.

But let's be honest, why did the FAA exercise their authority in the first place? Israel has been the center of conflict since its birth in 1948, with the airport having been in existence even before that time. The answer for the FAA's decision had to lay in what happened to Malaysia Airlines Flight 17. I think we all get it.

So what? One rocket is launched from Gaza and lands within a mile of Ben Gurion Airport. Big deal. The Israelis said, "What's one missile when we have the Iron Dome? It's just another day in Tel Aviv for us. C'mon back."

Many flights soar over conflict zones

Well, one mile from the airport and one little ole rocket may not seem like much, but our arrivals to a runway begin at least 10 miles away. And our lumbering airliners are the most vulnerable in the approach phase, notwithstanding the initial takeoff phase of our flights. Airline pilots are paid to be paranoid. I've never flown with a colleague whom I considered too cautious.

That being said, U.S. airline pilots understand the concept of mitigating risk. Not everything we do as humans is completely safe. But Israel's El Al airplanes have a little more risk mitigation in their arena. The robust Israeli airline has missile detection and defense systems installed. Most of these systems are designed to automatically thwart an attack from shoulder-launched weapons and low altitude threats.

A similar system was proposed a couple of years after 9/11 for U.S. airlines but the costs were deemed to outweigh the potential risk. My airline went so far as to have the test hardware installed in three of our Boeing 767s. The technology was designed to defend against MANPADs -- a weapon considered to be the next terrorist threat. A cause for concern was that once the system was installed, the potential existed for it to be defeated by newer weapon technology.

But now that it seems the FAA has set an arbitrary standard for safety of flights into areas of conflict what exactly is the criteria? How can yesterday be unsafe but today is all clear? Should missile launch frequency and distance from the airport be calculated via an algorithm? Should the type of warhead be considered? If there is to be a standard, the requirement to have it disseminated for airlines and their flight crews is a must.

The Israelis have obviously set their own standards. I can't think of an area on the globe that is more focused on security than Tel Aviv. In that regard, should the criteria to halt flights be different for Ben Gurion Airport than it is for Cairo International Airport?

Because of our military, U.S. airspace is full of activity involving more live ordnance than anywhere in the world. Airspace that is off-limits to civilian flights dot the entire country. Our military is practicing war tactics in these areas both on the ground and in the air. One does not stray into restricted airspace that is "hot" without authorization from ATC even if it is required for a weather deviation.

A tense week for air travelers

I can guarantee that until the horror of Malaysia Airlines Flight 17, the furthest concept from an airline pilot's mind when it came to threats was a missile attack â€” and certainly not a missile attack at cruise altitude.

But if this is a new day, then airlines and their pilots need to be provided with the tools to make safe routing decisions around areas of conflict.

These tools will have to include appropriate intelligence. If airline pilots can be trusted with intelligence information after 9/11 but still can't take gels and liquids through airport security, something has to change.

And now, as crazy as it seems, in 30 years of flying for my airline, my dispatcher and I have to incorporate missile threats into pre-flight planning.

Join us on Facebook.com/CNNOpinion.

@highlight

Les Abend says a commercial pilot's pre-flight checklist just got much more complicated

@highlight

The FAA has lifted restrictions on landing and taking off in Tel Aviv

@highlight

Worrying about whether rockets are flying near airports makes a tough task more difficult

@highlight

U.S. airspace is also full of activity involving live ordinance, due to military training