(CNN) -- For CNN, Tiananmen Square was a watershed story -- a seminal moment in the network's history.

Beijing bureau chief Mike Chinoy, producer Nancy Lane and Moscow bureau chief Steve Hurst

Only nine years old in 1989, CNN was the only 24-hour news station on the air at the time. But staffers say the network suffered an inferiority complex when comparing itself to the major players in American television, who had dismissed the new upstart for years as "Chicken Noodle News."

Enter Tiananmen Square. Change the face of television news. Take your place in the big leagues.  "It put CNN on the map," said Mike Chinoy, CNN's Beijing bureau chief during the crisis.

"It was the first time an upheaval in a previously isolated, distant, inaccessible location suddenly was available on television sets in living rooms and foreign ministries around the world. It was a pivotal moment for television."

And it was an accident too. Foreign reporters had flooded Beijing to cover the historic visit of Soviet leader Mikhail Gorbachev. Suddenly, they found themselves covering a very different story.

For CNN, it all started in early April when Alec Miran, CNN's special events producer for the Gorbachev visit, went to Beijing to propose an "outlandish idea" to the Chinese authorities -- bringing in the network's own transmission equipment to beam live television pictures from China.

"It was unprecedented," said Miran. Before that, networks would feed their material from CCTV (Chinese Central Television), who would monitor -- and censor -- everything that was sent out.

"Our own transmission was a scary idea to them," said Miran. But he says he thinks the Chinese eventually agreed -- after much back and forth -- because, above all, they wanted international coverage of Gorbachev's visit.

The Chinese gave CNN permission to bring in their own "flyaway" satellite dish and additional microwave gear to be able to transmit live -- a permission unheard of at the time in closed, Communist China. CNN was granted exactly one week's permission, timed to coincide with the Soviet leader's visit.  See photos of the CNN team in Tiananmen Square in 1989 »

CBS was also granted permission to transmit live, but because CNN was on the air 24 hours a day, the permission it was granted turned out to be much more significant.

"On the first day of the Gorbachev visit, we not only had our own satellite transmission, we also had a live camera overlooking the square," said Miran. "We were really well set up."

But the situation was deteriorating rapidly for the Chinese leadership.

Huge groups of students demanding reform had occupied Tiananmen Square and had launched a hunger strike just days before the Soviet leader's visit was about to begin.

CNN's live camera, at the Gate of Heavenly Peace overlooking the square, showed the hundreds of thousands of demonstrators who had gathered in Tiananmen Square where Chinese leader Deng Xiaoping was due to greet Gorbachev at the Great Hall of the People.

"On the day of the big meeting, we waited, and waited, and waited, watching the signal from CCTV," said Miran. "No picture. We called our contact at CCTV to see if there were technical problems. Nope."

"They couldn't take Gorbachev in the front door of the Great Hall of the People because there were more than a million people in the square asking for reform," said Cynde Strand, CNN's cameraperson in Beijing at the time. "The students upstaged Deng in one of his biggest moments, his big rapprochement with the Soviet Union."

And the massive crowd -- as well as the non-appearance of Deng welcoming Gorbachev at the Great Hall of the People -- was all captured live on CNN.

Soon afterwards, the Chinese informed CNN they could no longer maintain their live position overlooking the square, a position that had become vital for the network's coverage. Entire shows anchored by Bernard Shaw had been taped there.

Miran and Chinoy huddled and decided that although the Chinese had forbidden further transmission from the Gate of Heavenly Peace, the network still had permission to use its portable microwave transmitter.

So for the next few days -- always looking nervously over their shoulder -- CNN continued live transmissions using their microwave transmitter, both from their bureau at the Sheraton hotel -- but also from the middle of Tiananmen Square.

"Everywhere you looked, there was a great picture," said Miran. "Soldiers would be on the steps of the Great Hall of the People and students would go up to them, offering flowers or to read to them. There were long staring contests between the armed soldiers and the students. It was riveting television."

On the night of May 19, after the network had gotten word that troops were moving towards Beijing, Shaw and Moscow correspondent Steve Hurst broadcast from Tiananmen Square for several hours -- in the dark. The students in the square were edgy and had asked them to turn off their lights.

"I don't remember what we were able to show people that night," Miran said, "little flickers of light."

The next morning, Chinese authorities arrived at CNN's bureau and ordered the network to cease transmitting -- before its week-long permission had expired.  Watch a Chinese official order CNN staff in Beijing to stop broadcasting »

Again, the entire exchange between CNN and the Chinese officials was captured on live television.  Watch the moment when CNN stopped transmitting »

"You get almost numb to it now," said Vito Maggiolo, CNN assignment editor on duty in Beijing at the time. "But that live capability -- people watching events as they happen -- was truly special at that time."

"It was our first big live moment," said camerawoman Strand, now director of coverage for international news in Atlanta. "And it became our signature, what we did very well."

At one point in the live stand-off, while CNN tried to buy time before pulling the plug on itself, Marin gave out his telephone number for the Chinese authorities to call him -- an attempt to squeak out just a few more minutes of air time.

The phone rang. It was a woman from Minnesota, a viewer who had been watching the events unfold in China from the comfort -- and safety -- of her living room.

"You're doing a great job' she said to me," Miran recalled. "Everybody's watching. And we're rooting for you."

"It was all just momentous," Miran said. "I felt like we had actually made a difference. And if people hadn't heard of CNN before, they had certainly heard of it then."

Daniela Deane was a chief sub-editor at the Reuters news agency in Hong Kong during the Tiananmen crisis

@highlight

The story "put CNN on the map," said former Beijing bureau chief Mike Chinoy

@highlight

Reporters had flooded Beijing to cover the visit of Soviet leader Mikhail Gorbachev

@highlight

For the first time, a TV network beamed its own live pictures from China

@highlight

As protests grew, Chinese authorities ordered CNN to stop transmitting