Jamal Lewis, Dorsey Levens and two other former NFL players have filed a lawsuit accusing the National Football League of misleading them and failing to protect them against on-the-field brain injuries they say caused health problems years after they retired.

Lewis and Levens, as well as Fulton Kuykendall and Ryan Stewart, filed the lawsuit Wednesday in U.S. District Court in Atlanta, according to four separate player statements.

"Despite overwhelming medical evidence ... the NFL not only failed to take effective action in an attempt to protect players from suffering, but failed to inform players of the true risks associated with concussions," the statements said.

The men accused the NFL of using a "hand-picked committee of physicians" to misrepresent evidence of the effects of head trauma, particularly concussions, which were later more publicly linked to heightened risks of long-term brain injury.

"We do believe the NFL knew and had that available information with them for many years now," said attorney Mike McGlamry. "Only recently had they come and acknowledged that concussions and multiple concussions do have this effect."

The four men said that since their playing days they've suffered from a range of symptoms, including headaches, sleeplessness and dementia.

Still, McGlamry acknowledged the difficulty of targeting the NFL, particularly when most players voluntarily engaged in similar conduct during their time at the collegiate and high school levels.

It's also unclear whether players' claims can be considered outside their current collective bargaining agreements, and whether the allegations are subject to a statute of limitations, most notable for players like Kuykendall, 53, who played for the Atlanta Falcons during the 1970s.

The league responded Thursday to the lawsuit, saying it "has long made player safety a priority and continues to do so."

"Any allegation that the NFL intentionally sought to mislead players has no merit," the statement added. "It stands in contrast to the league's actions to better protect players and advance the science and medical understanding of the management and treatment of concussions."

Lewis, 32, played for the Baltimore Ravens and the Cleveland Browns, ending his career in 2009. Levens, 41, played for the Philadelphia Eagles, New York Giants and the Green Bay Packers.

Stewart, 38, who played as a safety for the Detroit Lions, said that since his retirement, he's experienced frequent headaches, difficulty sleeping and tingling sensations in his arms and hands.

Knowing the risks associated with head trauma "probably would have made me at least play a little bit different," Stewart told CNN. "I would have used my head a whole lot less, or not at all, when it came to trying to make plays. But I was coached to do that. I did what I was coached to do, not knowing the ramifications that I'd be dealing with today."

Part of the problem, said former Atlanta Falcons linebacker Coy Wire, is a sports culture that encourages behavior largely out of step with the now recognized risks associated with head trauma.

Head trauma injuries are exacerbated when coaches, even at the high school level say, " 'Oh, you just got your bell rung. Get back out there and play,' " said Wire. This can contribute, he added, to the danger of long-term brain damage.

Later on Thursday, the NFL Players Association announced in a statement that it's "not a party to this lawsuit and has no comment at this time."

In recent years, the NFL has attempted to strengthen rules that govern player conduct on the field, adding sideline medical staff -- unaffiliated with the teams -- in an effort to more independently evaluate injured players.

In 2005, the league banned the practice of tackling a player by using his shoulder pads, a move commonly referred to as a "horse-collar" tackle, after concluding it commonly resulted in injury.

It also recently strengthened a 1979 rule that prohibits players from using their helmets to butt, or "spear" players during a tackle -- a rule that critics had often complained lacked official enforcement.

Players like Steelers' linebacker James Harrison have since faced hefty and repeated fines for helmet-first tackles.

Still, others have called for added protections following a series of high-profile incidents involving former players' health.

In May, scientists announced that an autopsy of the brain of former Chicago Bears safety David Duerson, 50, who died from a self-inflicted gunshot wound, showed evidence of "moderately advanced" chronic traumatic encephalopathy, or CTE, a dementia-like brain disease afflicting athletes exposed to repeated brain trauma.

CTE has been found in the brains of 14 of 15 former NFL players studied at Boston University's Center for the Study of Traumatic Encephalopathy.  Their cases share a common thread -- repeated concussions, sub-concussive blows to the head, or both.

John Grimsley, who died in 2008 at the age of 45, also from a gunshot wound, was the first deceased athlete studied for the disease at the Boston University center, according to its website.

"Examination of Mr. Grimsley's brain confirmed extensive CTE," the website said.

Mike Webster, an offensive lineman with the Pittsburgh Steelers who died at the age of 50, was also diagnosed posthumously with CTE.

Scientists at Boston University say they have found evidence of CTE in the brain of an athlete as young as 18 years old.

@highlight

Four former NFL players are suing the league

@highlight

The men accuse the NFL of using a "hand-picked committee of physicians"

@highlight

They say the league misrepresented evidence of the effects of head trauma

@highlight

The league says any allegation "the NFL intentionally sought to mislead players has no merit"