China has no wine-making tradition but the country now uncorks more bottles of red than any other.

It's home to a growing middle-class thirsty for new tastes, international vintners trying to win their share of the market and Chinese winemakers working to find their own identity.

Here, four wine experts, who appear on the latest episode of CNN's On China show that airs this week, examine some of the myths that have grown up about wine drinking in China.

Myth? Chinese don't know much about wine

Fongyee Walker, co-founder of Beijing-based Dragon Phoenix Wine Consulting, says that when she first started educating people about wine, her students were focused on a narrow selection of premium red wines.

"They talked about Bordeaux of course and some talked about Burgundy," she tells CNN's On China.

"Now I have students arrive in class and they say, 'Well I've heard about prosecco and I love drinking it.' Or 'I really like New Zealand sauvignon blanc, it's a very exciting drink, I love it in the summer.'"

"The sustainable 'I love wine' section of the market is still small but we have an appreciable number," she says.

Myth? China doesn't have the right conditions to produce good wine

Judy Chan, chief executive of Grace Vineyard in Shanxi province that produces 400,000 bottles of wine a year, says China is not an easy place to grow grapes, with summer rains and winter frosts.

And in most grape-growing areas, vines have to be buried under the soil during winter.

"This restricts our growing season -- we usually bury the vine in November and unearth in early April -- and not to mention the cost incurred as a result," she says.

What's more, she adds, given that China doesn't have a long wine-making tradition, it's hard to know which grape variety is best suited to each region.

But despite these challenges, Chan is confident of her product. "After 17 years of experiment, I think we can make very decent wine."

Myth? People don't drink the wine they buy

Historically, many Chinese didn't actually drink the wine they bought, says Simon Zhou, founder of wine distributor Ruby Red Fine Wine.

Instead, bottles of premium Bordeaux costing hundreds if not thousands of dollars were intended to impress as lavish gifts but this custom has come under scrutiny as part of a government anti-corruption campaign.

"There was a lot of gift giving six, seven, 10 years ago," he says. "Today, that market is not as important as it used to be."

More often, he says "it's about friends, it's about getting together with a group of people to share the experience of wine."

Although he adds that it's still rare to find people who drink a glass of wine by themselves or a husband and wife sharing a bottle at home.

Myth? Chinese like to mix their wine with cola

There's an often-shared notion that the Chinese wine drinker buys a bottle of Bordeaux and mixes it with Coca-Cola.  Is this fact or urban legend?

Twenty years ago, it might have happened, says wine consultant Walker, but it's a thing of the past and Chinese palates are increasingly sophisticated.

"To be honest, if you look at most of the wine they were probably drinking 20 years ago, I'd mix it with coke," she says.

Myth? China will never produce a truly top tier world class wine

Janice Robinson, wine writer for the Financial Times, says when she first visited China in 2002 the wine industry was in an "embryonic state" and local enthusiasts came up with just two names when she asked for recommendations.

"Now it would be closer to 200, I expect." But she says she's never tasted a Chinese wine that she would term "extraordinary."

"I have opened Chinese wine at home just to share with friends who are curious," she says.

"But I haven't yet found a Chinese wine that would be worth, on its own merits, serving at my dinner table, I'm afraid.  But I'm sure it will happen."

@highlight

Wine experts examine some of the myths about wine drinking in China

@highlight

China has no wine-making tradition but is now the world's largest market for red wine

@highlight

They say tastes are growing more sophisticated, with wine drinkers exploring new flavors

@highlight

China is developing its own wines although climate and soil conditions are tough