(CNN) -- Dagestan has hit the headlines, but this obscure, impoverished southern Russian republic on the coast of the Caspian Sea won't be familiar even to those who pride themselves on being news nerds.

Were it not for the fact that Tamerlan and Dzhokhar Tsarnaev, the two brothers implicated in the deadly Boston Marathon bombing, lived briefly in Dagestan before coming to the United States, and had Tamerlan, the elder sibling, not visited there last year, most Americans would have been blissfully ignorant about this patch of the planet.

But Dagestan has a special resonance to the people of the North Caucasus, especially to Muslims, the largest religious group in the republic. The legendary Imam Shamil, who led the war against the Russian Tsar's armies between 1834-1859 as they sought to conquer the area, belonged to Dagestan's Avar ethnic group.

LATEST: Boston suspect says brother was mastermind

More recently, the August 1999 incursion into Dagestan by militants based in neighboring Chechnya was among the triggers of contemporary Russia's second war there. Russian military installations in Dagestan were attacked in 1996, 1999, and 2002. The Russian authorities linked the 2010 suicide bombings of the Moscow Metro to a Dagestani militant leader, and the two female suicide bombers hailed from Dagestan.

Yet none of this explains why Dagestan is suddenly so prominent in international news headlines. What has made this little known place famous now is its connection to the Tsarnaevs, ethnic Chechens raised in the Central Asian republic of Kyrgyzstan -- particularly elder brother Tamerlan, who spent time in the poor Russian republic in early 2012. His recent turn to Islam and interest in radical Islamist websites has now raised question about what, if anything, connects the Boston bombings to distant Dagestan.

Dagestan is one of seven small republics within the Russian Federation that together comprise Russia's North Caucasus region, a predominantly Muslim area which itself is wedged between the Caspian and Black Seas. Dagestan adjoins Chechnya, lies at the eastern extremity of the Caucasus mountain range, and the Dagestani capital, Makhachkala, sits on the Caspian coast. Smaller than West Virginia and with under 3 million people, Dagestan is an ethno-linguistic kaleidoscope of some 30 nationalities, among the largest being the Avars, Dargins, Kumyks, and Lezgins.

Aside from the poverty of most of its inhabitants, several features mark Dagestan's recent history, few of them positive.

Though Chechnya, in late 1991, was the first North Caucasus republic to try to secede from Russia, an anti-Russian insurgency now covers the entire North Caucasus. It has metamorphosed from a primarily nationalist, secular revolt into one driven by militant Islamists, whose goal is not just freedom from Russia but the creation of a sharia-governed "emirate" encompassing the entire region.

Chechnya, ruled by the brutal, Russia-backed strongman Ramzan Kadyrov, is now relatively quiet, and its Islamist insurgents, while still active, are on the defensive. But Dagestan has gone in the opposite direction and is gripped by instability and violence. Radical Islamist groups tied to the war against the Russian state now have much deeper roots, and are far more active, in Dagestan than in Chechnya.

Drive-by shootings, kidnappings, bombings, and slayings of local politicians and law enforcement personnel are commonplace. Much of this upheaval can be traced back to militant Islamist groups, but it also stems from organized crime and turf battles, often waged along ethnic lines, to control sectors of the Dagestani economy and smuggling routes. Corruption is pervasive, as is the brutality of the security services.

Life in Dagestan, in a few words, can be chaotic and violent, and if you are in the wrong place at the wrong time, short. As for poverty, very few Dagestanis can escape it.

TIMELINE: A look at Tamerlan Tsarnaev's past

This, then, is the setting Tamerlan Tsarnaev visited recently and where he spent a short time as a teenager. But it's unlikely that Dagestan is where he acquired the worldview that allegedly turned him into a terrorist or where he allegedly received the training to build the bombs that killed and maimed Bostonians.

It's clear by now that Tamerlan felt estranged from American society and had become a devout Muslim before he returned to Dagestan. Indeed, he felt happy hearing the calls to prayer from Makhachkala's mosques because Islam had already become integral to his identity and outlook. Unfortunately, he seems to have been animated by variants of Islam espoused by extremists, not the Sufi Islam of the North Caucasus.

Did Tamerlan associate with militant groups during his Dagestani sojourn? We don't know yet. But it's unlikely that he would have received sustained training from professional terrorists while he was there.

The bombs allegedly made by the Tsarnaev brothers, while deadly, were primitive. The duo made no attempt to disguise themselves: Dzhokhar's friends reportedly spotted him in crime photos in which he wore his trademark baseball cap turned backward. The bombers killed an MIT police officer and carjacked a Mercedes SUV, not exactly an inconspicuous vehicle, while a massive manhunt for them was underway.

Murderous as the plot the brothers allegedly designed was, professional it was notâ€”and that's fortunate. Many more people would have perished had Boston been targeted by a well-established international terrorist group connected to Al-Qaeda.

There certainly is a violent Islamic insurgency underway in Dagestan and much of the rest of the North Caucasus, but the militants' main adversaries lie within Russia. America is peripheral to their pursuits.

Dagestan has its fair share of problems, but the answers to why the Tsarnaevs may have turned to terrorism will likely have much less to do with the republic than the changes they, especially Tamerlan, underwent in America.

The opinions expressed in this piece are solely those of Rajan Menon.

@highlight

Suspected Boston bomber Tamerlan Tsarnaev visited Dagestan last year

@highlight

Dagestan is an impoverished Russian republic in the North Caucasus region

@highlight

Radical Islamist groups warring against Russia are active, have deep roots in Dagestan

@highlight

Rajan Menon: Life in Dagestan can be chaotic, violent and short