Washington (CNN) -- As more than one pundit has noted, President Barack Obama now has three choices in Syria: Bad, worse, and horrible. At least the evidence is steadily stacking up to suggest that is the case.

Last year, Obama made it clear that the United States would take action if Syria crossed "a red line" by using chemical weapons in its civil war. And there's evidence that it has.

What's not clear is what kind of action the United States will or should take.

Some of the players in that troubled country's civil war are more unsavory than others, but there appears to be no clear or reliable "good side" behind which the president might deploy U.S. military might at this moment.

Indeed, military, political, and diplomatic analysts widely agree that every potentially positive move on the table is freighted with negative side effects.

"I think there are no good options in Syria," says retired Army Gen. James "Spider" Marks, a CNN contributor. "There is an array of bad options and you have to take the least bad option that is out there."

So let's break down those options, including some that have already come and gone in this tortured march toward a possible military engagement:

Option 1: Ground troops

The White House called this a non-starter from the get go. You don't have to be a political scientist to know that American voters are exhausted by more than a decade of war in Iraq and Afghanistan, and would show little or no tolerance for more boots on the ground in the Middle East.

Furl the flag, lieutenant; no one is going anywhere tonight.

What do Syria's neighbors think?

Option 2: Establishing a no-fly zone

Yes, it might work, but the administration has shown little taste for that, either. Maintaining such a presence over the months it might take to have an impact would be hideously expensive, and would involve endangering U.S. pilots with highly uncertain results in a battle that many Americans find confusing at best, baffling at worst.

Option 3: Arming the rebels

This is a monkey trap in which the United States has been snared before.

Some brave rebel group proclaiming its love of freedom and democracy arises to oppose a distant tyrant. America rewards the rhetoric with training, missiles and munitions. The coup is accomplished and suddenly, to paraphrase Woody Allen, the oppressed start looking a lot like the oppressors and they no longer return your phone calls.

In Syria it is even more complicated.

As the civil war has droned on against President Bashar al-Assad, interlopers affiliated with terrorist groups have become big-leaguers.

"Al Qaeda's affiliate in Syria, Jabhat al-Nusra, is generally acknowledged to be the most effective force fighting," says CNN National Security Analyst Peter Bergen who adds, "Al-Nusra's military prowess and close ties to al Qaeda make it a potentially serious threat to U.S. interests in the region."

Bergen: Syria is a problem from hell for the U.S.

Syria watchers roundly agree that no other rebel group is currently positioned to take control of the country. In other words, if the United States pushes too hard or too fast to overthrow al-Assad (even though in the long run, American officials do want him gone) the U.S. risks helping terror groups take power.

And you know what they say about the devil you know...

Option 4: Securing United Nations' support

Not going to happen without some other major developments in Syria. Russia and China have left no doubt that they will oppose any effort at the U.N. to approve a strike, and other countries have hardly shown much appetite for the subject.

Why Russia, China, and Iran are standing by Syria

President Obama calls it an "incapacity" on the part of the U.N., but there is no sign that the name-calling will change anything.

Does the public care about U.N. support?

Option 5: Assembling a coalition without the U.N.

A week ago, newscasts were buzzing with speculation about a nascent coalition, perhaps born of NATO allies -- a daring group of nations ready to stand with the United States as it punished al-Assad.

Secretary of State John Kerry is ballyhooing support from the Arab League, Turkey, and France, saying "We are not alone in our will to do something."

One by one, however, names have slipped off of the list from this support group. And with the British Parliament now having rejected the idea of Britain's military getting involved, Obama is looking more and more like the lone commander charging the hill while his allies hunker down in the trenches.

Option 6: Firing missiles from warships in the Mediterranean

Yes, it is pretty much down to that now, and even that option is complicated.

Make no mistake: Cruise missiles are magnificent, virtually unstoppable weapons capable of pinpoint, devastating strikes. However, all the days of wrangling have given the Syrians an immense amount of time to hide their own weapons, secure their airplanes, and disperse critical command and control assets.

Should the Tomahawks start flying, they may well find themselves crashing down into an inordinate number of empty buildings, according to Gen. Marks -- or worse, into places packed with civilians.

What's more, Syria's allies such as Iran could respond to what would undoubtedly be called an act of war by stepping up aid to al-Assad, and he could emerge with a stronger military as a result.

At home the situation is not much better.

The White House has blitzed the airwaves and the Internet with official statements. Defense Secretary Chuck Hagel has declared the military ready to go. Secretary Kerry has described the lurid pictures of chemical attack victims, saying "All of them show and report victims with breathing difficulties, people twitching with spasms, coughing, rapid heartbeats, foaming at the mouth, unconsciousness, and death..."

President Obama himself sat down with PBS to explain the broader, regional implications of allowing Syria to use chemical weapons with impunity.

"This is a volatile country in a very volatile region. We've got allies bordering Syria. Turkey is a NATO ally, Jordan a close friend that we work with a lot. Israel is very close by. We've got bases throughout the region. We cannot see a breach of the nonproliferation norm that allows, potentially, chemical weapons to fall into the hands of all kinds of folks."

But none of it seems to have mattered much.

The president faces stiff opposition in Congress. Democrats, like Rep. Dutch Ruppersberger of Maryland, are saying that America "cannot be the lone sheriff of the whole world. The United States must be careful in how it proceeds and must act together with a coalition of countries."

Republicans, like Sen. Jim Inhofe of Oklahoma, seem disturbed by the administration's lack of clarity on the mission and timetable. "The administration informed us that they have a 'broad range of options' for Syria," he says, "but failed to layout a single option."

As for the public, an NBC poll has found only half of Americans support any kind of military action against Syria, and 80% say it should happen only with congressional approval.

So we're back to where we started: The choices are dreadful and would be for any president, Democratic or Republican; the outcomes are wildly uncertain; and the consequences -- no matter which direction he turns -- are likely to be grave.

Against this backdrop of unspeakable acts and unfathomable causes and effects, perhaps it is small wonder that Obama keeps saying, "I have not made a final decision."

Although in the very act of doing that, he is committing to one choice not mentioned so far: Waiting.

Waiting to see if some new evidence, some new ally, some new intelligence clears the smoke over Syria and makes plain a way forward.

@highlight

Analysts say there are no good options for the U.S. in Syria

@highlight

The U.S. has laid out evidence that Syria has used chemical weapons

@highlight

Obama vowed to act if Syria crossed that 'red line'

@highlight

Syria's civil war began in 2011