As a country, Turkey is often described as a bridge between Europe and Asia. On Tuesday, for the first time, the two continents will be officially connected by a multi-billion dollar underwater railway tunnel.

Turkey's Prime Minister Recep Tayyip Erdogan and President Abdullah Gul, Japanese Prime Minister Shinzo Abe, Romanian Prime Minister Victor Ponta and numerous transport and trade ministers gathered to open the giant rail system, on the country's republic day.

The Marmaray link, named by combining the Sea of Marmara with "ray," meaning rail in Turkish, is a part of $4.5 billion, 76-kilometer mega-project launched by the government in 2004.

Erdogan, speaking at the event, said the project "connects history and future, past and the future, as well as connecting continents, Marmaray connects people, nations and countries."

Its scale, along with designs for a third airport, a parallel canal for the Bosphorus river and a third suspension bridge, are seen as overly ambitious plans by Erdogan to build his legacy and hark back to days of the Ottoman Empire.

The bold project brings the dreams of Sultan Abdul Medjid, first outlined more than a century ago, to reality as the Turkish Republic celebrates its 90th anniversary.

READ MORE: Silk Road railways link Europe and Asia

It is finally being completed by Erdogan after he faced  intense protests for the redevelopment plans of a central Istanbul park with Ottoman-era military barracks and a mosque. The 13.6 kilometer (8.5 miles) tunnel -- the deepest of its kind -- passes under the Bosphorus Strait, one of the busiest shipping arteries in the world.

The financial capital of Istanbul, with a population of nearly 15 million people, is often snarled with traffic, with some two million residents making the crossing between continents on a daily basis.

According to Erdogan, Marmaray "is not a project only for Istanbul Marmaray is a project for whole humanity."

The rail system, built by a Turkish-Japanese consortium, is expected to have a capacity of one and a half million people a day, connecting the two continents in about four minutes.

The Marmaray is being described as a vital link on the modern Silk Road, which will provide seamless rail transport from Turkey to China.

Turkey, under Erdogan, has looked east to tap emerging markets for growth. More than half its exports go to the European Union, and that slowdown has cut Turkey's annual growth in half after it peaked above 8% before the 2008-09 financial crisis.

READ MORE: The world's spectacular infrastructure projects

Beyond the size of such an undertaking, digging for the Marmaray uncovered some 40 thousand artefacts and helped archaeologists trace Istanbul's history back 8,500 years, 2,500 more than ever believed before.

However the discoveries delayed the project for four years, which frustrated the prime minister who, analysts and businessmen say, wants to put a permanent imprint on Turkey's financial capital.

The project also had to account for Turkey's long history of violent earthquakes, and the tunnel's position parallel to a major fault line. Transport minister Binali Yildirim has outlined the precautions, including that the tunnel is designed handle a quake of 9.0 magnitude due to construction that allows movement.

READ MORE: Connecting continents amid earthquakes

With these infrastructure projects Erdogan is aiming high, striving to increase Turkey's impact as the republic heads towards its 100th anniversary.

Erdogan believes Turkey can double its gross domestic product to $2 trillion, and by doing so stake its claim as one of the top ten economies internationally.

But obtaining the financing for this activity after such fierce public resistance may stand in the way of this government's master plan.

Tuesday, however, was a day in which Erdogan could point to his pride in Marmaray. It is, he said, "an artwork that will find its place in history as an environmentalist project as well as being a project of precision and excellence."

@highlight

Turkey is often described as the link between Europe and Asia -- now a tunnel will connect the two continents

@highlight

The Marmaray link is 76-kilometers long and has cost  $4.5 billion

@highlight

It is part of the government's ambitious plan to expand the country's economy

@highlight

Prime Minister Erdogan may, however, face public opposition to his infrastructure drive