Washington (CNN) -- U.S. officials said Thursday evening they have "specific, credible but unconfirmed" information about a potential threat against the United States coinciding with the 10th anniversary of the September 11 terrorist attacks.

"We have received credible information very recently about a possible plot directed at the homeland that seems to be focused on New York and Washington, D.C.," a senior administration official told CNN Pentagon Correspondent Barbara Starr.

The official said the plot was believed to involve three individuals, including a U.S. citizen. U.S. officials believed the threat was a vehicle laden with explosives, but "the intelligence picture is not completely formed," the official said. "Not enough is known about the potential operatives and their plotting."

The threat is believed to entail a vehicle bomb, but "we cannot rule out other means," a U.S. official said.

A senior law enforcement official involved in briefings about the matter told CNN Justice Department Producer Terry Frieden that his best information is that the three individuals had not yet entered the United States.

The information came in around noon Wednesday, one official said.

A senior federal law enforcement official intimately involved in counterterrorism efforts told CNN Chief National Correspondent John King authorities "aren't sure if this is or real or just chatter."

The official confirmed the threat was vehicle-related.

New York City Mayor Michael Bloomberg told reporters Thursday night that while additional police will be deployed around the city, "There's no reason for any of the rest of us to change ... our daily routines."

Gov. Andrew Cuomo urged residents to be cautious, but said "there is no reason to panic."

In Washington, local officials said the city has a robust plan in place and has been on heightened alert since September 1.

"I want to urge all of our citizens ... to remain calm and let our law enforcement professionals do their job.  At the same time, we ask people to remain vigilant," Mayor Vincent Gray said.  "If you see something, say something."

Unattended vehicles around key infrastructure will be towed, Washington Metropolitan Police Chief Cathy Lanier said.

Federal officials said they were taking the threat seriously, while evidently trying to temper the news by saying such threats are commonplace during key events.

"It's accurate that there is specific, credible but unconfirmed threat information," said Matthew Chandler, spokesman for the Department of Homeland Security. "As we always do before important dates like the anniversary of 9/11, we will undoubtedly get more reporting in the coming days. Sometimes this reporting is credible and warrants intense focus, other times it lacks credibility and is highly unlikely to be reflective of real plots under way.

"Regardless, we take all threat reporting seriously, and we have taken, and will continue to take, all steps necessary to mitigate any threats that arise. We continue to ask the American people to remain vigilant as we head into the weekend," Chandler said in a prepared statement.

A Department of Homeland Security official, speaking on background, said, "We will continue to respond appropriately to protect the American people from an evolving threat picture in the coming days and beyond. This may include an increased law enforcement presence at airports and other transit hubs, land and sea ports of entry, federal buildings, and other high-profile and critical infrastructure locations."

The information originated from the tribal border area of Pakistan and Afghanistan, a federal official told CNN producer Mike Ahlers.

Another source gave CNN conflicting information about possible details of the threat.

Rep. Peter King, R-New York, chairman of the House Homeland Security Committee, said very specific details were made known to lawmakers about the threat. "Many agencies are looking at this from every possible angle," he said.

But it is not known yet if the threat is real, he said, adding, "I would tell people now to go about their lives. There's no need to panic."

A senior administration official with firsthand knowledge told CNN National Security Contributor Fran Townsend that although there is "specific, credible but unconfirmed threat information," there are a lot of questions about this information -- "weird things."

A federal law enforcement official told CNN National Correspondent Susan Candiotti that the threat appears to go beyond intelligence gathered from Osama bin Laden's compound after he was killed by Navy SEALs. That information talked about aspirations to carry out an attack on U.S. interests on the 10th anniversary of the 9/11 attacks.

"The president was briefed," a senior administration official said. "He directed that the intelligence community and the administration take all necessary steps to ensure vigilance."

Earlier Thursday, Homeland Security Secretary Janet Napolitano told reporters that intelligence officials had picked up "lots of chatter" on jihadi websites and elsewhere about the impending 10th anniversary of the September 11 terrorist attacks "and we're taking it all seriously," but nothing yet that warranted issuing a threat advisory.

Nonetheless, the department will be at a heightened level of readiness as the nation commemorates the anniversary, "staffing up" the Federal Air Marshals Service and other agencies, she said.

Napolitano said it is not uncommon to see increased chatter before major events. "We know it's an iconic day to al Qaeda, in part because of what was found at the (Osama bin Laden) compound. So we are preparing accordingly," she said.

"I don't want to give those (details) out because I don't want to tell the bad guys exactly what we're doing," Napolitano said. "But I think it's fair to say that in addition to asking citizens to be vigilant and so forth, that we have ourselves leaned forward and have made sure that we are doing all that we can from the DHS perspective."

CNN's Jessica Yellin, Jim Barnett and Pam Benson also contributed to this report.

@highlight

NEW:  Washington officials say stay calm and vigilant

@highlight

New York leaders say there's no need to panic

@highlight

New York City and Washington are cited as possible targets

@highlight

The plot is believed to involve 3 individuals and explosives, official says