(CNN) -- No one hopes Hurricane Sandy lives up to its potential.

The storm that has already claimed nearly two dozen lives in the Caribbean churned Friday near the northern Bahamas, and meteorologists warn that it packs the potential to slam the U.S. Northeast as soon as Monday with powerful winds and pelting rain.

Worst case, Sandy could merge with a strong cold front from the west. The double threat could morph into a "superstorm" that could sit over New England for days, making untold trouble for millions of residents. Weather experts said it's a recipe not unlike 1991's "Perfect Storm."

"Expect it to move very slowly," said James Franklin of the National Hurricane Center. "The large size of the system and its slow motion will mean a long-lasting event with two to three days of impacts."

At 8 p.m. ET Friday, forecasters said Sandy was about 400 miles south-southeast of Charleston, South Carolina, heading north at 7 mph. It was a Category 1 hurricane with winds of 75 mph. It's possible, the hurricane center says, that Sandy may weaken to a tropical storm. Nonetheless, experts said, it's not to be taken lightly.

Keep a hurricane preparation checklist

"Forget about the category with this," said CNN meteorologist Rob Marciano. "When you have trees with leaves on them still, this kind of wind and rain on top of that, you're talking about trees that are going to come down, power lines are going to be out and the coastal flooding situation is going to be huge."

Sandy's death toll in Haiti, Jamaica and Cuba this week was 21 people.

The U.S. target area is hard to predict at this point. Some landfall computer models show the storm striking somewhere between the border separating North Carolina and Virginia north to Connecticut, some of the most densely populated areas of the country. The District of Columbia, Pennsylvania, Maryland, Virginia and New York have declared states of emergency, while Maine's governor signed a limited emergency declaration.

The National Hurricane Center reported tropical storm watches and warnings were in effect, covering parts of the Florida and Carolina coasts.

With a national election already under way in many early-voting states, Sandy's wrath could have a ripple effect on politics.

In Virginia Beach, a campaign rally scheduled for Sunday for GOP presidential hopeful Mitt Romney was canceled because of Sandy. There was no word yet on the status of other events scheduled later in the week. "We're keeping an eye on it," said a senior campaign adviser.

How Sandy was dubbed 'Frankenstorm'

Similarly, Vice President Joe Biden canceled his visit to Virginia Beach on Saturday, "out of an abundance of caution to ensure that all local law enforcement and emergency management resources can stay focused on ensuring the safety of people who might be impacted by the storm," according to the campaign of President Barack Obama.

Bad weather in Maryland or Washington, D.C., could make it harder for people to get out and cast their ballots. Early voting kicked off Monday in Washington and is scheduled to start Saturday in Maryland. But Friday, Maryland Gov. Martin O'Malley warned that his state's early voting could be affected by the pending storm, leaving open the possibility that the vote could be rescheduled, or relocated.

U.S. residents in Sandy's path, forecasters said, should prepare for the possibility of several days without power.

"There is potential for widespread power outages, not just for a couple of days but for a couple of weeks or more, if the storm stays on track," said meteorologist Kathy Orr of CNN affiliate KYW-TV in Philadelphia. The computer weather predictions are murky, but by Friday afternoon, it seemed unlikely the storm would bring freezing rain or snow to the coast. Snow is possible in mountain areas, including the Appalachians.

Sandy could be a storm "of historic proportion," Orr warned, and the City of Brotherly Love could take a direct hit.

In New York, the Metropolitan Transportation Authority is studying whether it should suspend all or some service ahead of the storm, according to Mayor Michael Bloomberg.

In Maryland, the Baltimore Gas and Electric Company expects that several hundred thousand customers could be affected, as early as Sunday.

"This could be like the 'Perfect Storm' 21 years ago," said CNN meteorologist Chad Myers.

A combination of three weather systems produced the famed "Perfect Storm" in the north Atlantic over Halloween 1991, when moisture flung north by Hurricane Grace combined with a high pressure system and a cold front, according to the weather service.

Hurricane safety: When the lights go out

The current weather conditions are not exactly the same as what produced the tempest. Although Grace contributed significantly to the storm, it did not progress to New England and did not make landfall, weather records show.

On Friday, residents in South Jersey were already stocking up on batteries and bottled water, and hardware stores have put up preparedness displays, KYW reported. One location quickly sold out of electric generators.

"This is the worst timing for a storm," Newark Mayor Cory Booker told CNN's Soledad O'Brien. "You have fall ending, a lot of loose branches.

"The storm itself will be bad, but I worry about the aftermath, people being caught without power."

Along the Jersey shore, storm preparations included bulldozers shoring up piers with mounds of sand. Worried residents filled sandbags in case of flooding.

'Superstorm' meets barnstorm as weather and politics collide

"We will be piling up as much sand as possible along the beachfront," said Frank Ricciotti, Margate, New Jersey, public works director. "I think the water damage is worse than another type of damage, and the hardest thing is to stop water, once it starts coming up."

Farther south, in the Norfolk, Virginia, area, more than two dozen ships were being sent to sea for their own protection.

Strong winds whipped Florida, where CNN iReporter Simon Davis shot video of an overcast Melbourne Beach.

"I was surprised at just how intense it was for a storm so far off the coast. I was thinking, wow and this is going north? Scary," he wrote.

Miami International Airport on Friday canceled more than 20 flights to or from Jamaica or Bahamas, CNN affiliate WSVN reported. Nearby Fort Lauderdale airport canceled 13 flights to the islands.

Stay well-fed in any disaster

CNN's Ed Payne contributed to this report.

@highlight

Sandy will move slowly, could merge with cold front to pose a double threat

@highlight

Winds whip Florida; "I was thinking ... this is going north? Scary," says a CNN iReporter

@highlight

As far north as New Jersey, residents prepare for long-term power outages