Cairo (CNN) -- About half all Egypt's registered voters had cast ballots through the second and final day of the country's historic presidential election, a top elections official said Thursday.

Voting continued into the night Thursday. Farouk Sultan, head of the Higher Presidential Committee, vowed on state television that the election would continue until the last person in any given polling station had cast his vote.

Amid worries by some that Egypt's current military rulers might somehow hijack the election, Sultan detailed the vote counting process -- including checks and balances aimed at insuring credibility.

According to the committee head, votes will be tallied in the various polling locales by a judge and in the presence of representatives of the candidates. Each final count will be announced aloud, then an official report will be filed that can be viewed by nonprofit groups, the media and candidates, said Sultan.

There are 13 candidates on the ballot, although two withdrew from the race after ballots were printed. If no candidate gets a majority of the vote in the first round, a second round will be held June 16-17.

Results of the first round are not expected before the weekend.

Government employees were given the day off work to vote to decide who will be Egypt's first president since Hosni Mubarak, who led the North African nation for 30 years before resigning amid a popular outcry. He is awaiting the court's verdict and could potentially face the death penalty after going on trial for allegedly ordering the killing of anti-government protesters and corruption.

Voting went smoothly in a northern suburb of Cairo earlier Thursday, where women waited between 30 and 45 minutes to cast their ballots.

A day earlier, a wave of enthusiasm swept across polling stations, with some waiting up to four hours to vote.

"Finally, Egypt is born," one weeping 80-year-old man told U.S. Rep. David Dreier, a California Republican who is in Cairo as an election observer.

Grandmother Nadia Fahmy, 70, was so determined to be the first one to vote at her polling station that she camped out in a plastic chair for 2Â½ hours before it opened on Wednesday.

"I am here to vote for the first time in my life," said Fahmy. "I want to see a new generation for my country. I want everything to change."

Zakaria: Is Egypt ready?

After polls closed that day, a former top U.N. official called the election a potential turning point for the country.

If "ordinary Egyptians see this as a legitimate expression of their own popular will," regardless of who wins, "then it can be a prelude to the real return of security and stability in the country," said Mark Malloch Brown.

The former top diplomat and development expert said he was very optimistic about what lay ahead for Egypt in a few years down the road, even if the country was probably in for a "bumpy ride" in the short term.

"We went through this with Eastern Europe after 1989," when the Communist regimes there fell, Malloch Brown told CNN's "Connect the World" program. "It just takes time. People need to settle into a new political order. Whatever happens in the next months, people need to just hold onto the fact that (Egypt) will get there."

He predicted that a post-revolutionary Egypt would be "a little bit more Islamic than it was before, a little bit more feisty and independent vis-a-vis the U.S. and Israel," while domestically, it would "really try and focus on doing a much better deal for poor Egyptians."

Egypt elections: 'Women need a champion'

The voting is a monumental achievement for those who worked to topple Mubarak in one of the seminal developments of the Arab Spring more than a year ago. And it could reverberate far beyond the country's borders, since Egypt is in many ways the center of gravity of the Arab world.

Egyptian police officers convicted of murder in protest crackdown

"Egypt has always set trends in the Arab world and for Arab political thought. Trends spread through the Arab world and eventually affect even non-Arab, Muslim-majority countries," said Maajid Nawaz, the chairman of Quilliam, a London-based think tank.

Egypt's election "bodes well for the rest of the Arab world and particularly those countries that have had uprisings," said Nawaz, a former Islamist who was imprisoned in Egypt for four years for banned political activism.

In a report released Thursday, Amnesty International was critical of the military leaders who rule Egypt in its annual report on human rights around the world.

"In some cases they've continued the abuses of the Mubarak regime, in that over 100 people have been killed in the streets in demonstrations as a result of excessive force used by security or military forces," said Philip Luther, deputy director for the advocacy group's Middle East and North Africa program.

Amnesty is also opposed to the use of "virginity testing" on some women protesters, saying it is "tantamount to torture and totally unacceptable."

The authorities have not done enough to ensure that women can contribute on an equal footing with men to the ongoing process of political reform, Luther also said.

Amnesty wants whoever takes office as president to end the state of emergency and end the use of military trials for civilians.

Egypt's revolution: 'We fell in love, but it was a trick'

The concern about the powerful military possibly swaying this week's vote persists despite the insistence of the Supreme Council of the Armed Forces that it will hand over power to an elected civilian government. The military leaders put armored personnel carriers on the streets with loudspeakers broadcasting a message that they will relinquish power, but that did not convince doubters.

Some 30,000 volunteers have fanned out to make sure the voting is fair, said organizers with the April 6 youth movement, which has long campaigned for greater democracy and rule of law in Egypt.

They reported only minor violations on Wednesday, mostly supporters of one candidate or another trying to influence voters at polling stations.

Nawaz, the analyst in London, said Egypt probably is not heading toward a simple case of the military either giving up control or rejecting the results of the election.

Instead, he anticipated, there will be an "unhappy settlement" where the military remains "ever-present, in the shadows," influencing the civilian government without controlling it.

Old politics joins new in Egypt

"Egypt is going along similar lines to Turkey or Pakistan," he said, naming two other countries that have formal democracies in place but where a powerful military can affect events.

The degree to which the military continues to exercise control in Egypt will depend on who wins the election, Nawaz anticipated -- but he laughed aloud when asked to predict who that would be.

Whoever wins the election, Nawaz said, will face tremendous challenges, even without worries about the army.

"They are inheriting a failed economy, an abysmal bureaucracy, a frustrated people, and a deep distrust on behalf of the people towards their military and any policing," Nawaz said.

Protesters are upset at what they see as the slow pace of reform since Mubarak's ouster. Some are also concerned that the country's military leadership is delaying the transition to civilian rule.

And Egypt has an elaborate political mosaic where alliances shift quickly, he added.

Secular democrats oppose military rule, for example, but if an Islamist candidate wins the presidency, "Some of the democrats would switch because they would rather have military rule than the Islamists," Nawaz said.

Opinion: Egypt's military must stop torturing detainees

"It's far more complicated than 'Islamists vs. liberal democracy.' It's rich vs. poor, (hardline) Salafists vs. the (more moderate) Muslim Brotherhood, secularists vs. Islamists," he said.

On top of that, the country does not yet have a new constitution defining the powers of the president or the parliament, after a court last month suspended the committee charged with writing it. The court ruled that the members of the committee did not reflect the national population well enough.

Among the candidates vying for the presidency are Mohamed Morsi, of the Muslim Brotherhood's Freedom and Justice Party; Amre Moussa, who served as foreign minister under Mubarak and headed the Arab League; Abdelmonen Abol Fotoh, a moderate Islamist running as a respected independent; Ahmed Shafik, who was Mubarak's last prime minister; and Hamdeen Sabahy, a leftist dark-horse contender.

In January, two Islamist parties -- the Freedom and Justice Party with 235 seats and the conservative Al Nour party with 121 seats -- won about 70% of the seats in the lower house of parliament in the first elections for an elected governing body in the post-Mubarak era. The rest of the assembly's 498 seats were divided among other parties.

CNN's Salma Abdelaziz and Hala Gorani and journalists Ian Lee and Mohamed Fadel Fahmy contributed to this report from Cairo. Richard Allen Greene and Laura-Smith Spark reported from London.

@highlight

NEW: A top Egyptian election official reports 50% turnout through the second day of voting

@highlight

NEW: He details the vote-counting procedures aimed at ensuring fairness and credibility

@highlight

If none of the 13 presidential candidates gets a majority, there will be a run-off

@highlight

The elections could help bring security to Egypt's people, a former U.N. official says