New Delhi (CNN) -- Narendra Modi took the oath of office Monday to become the 15th prime minister of India.

The swearing-in took place in a tightly guarded ceremony at the Colonial-era presidential mansion in New Delhi.

For the first time, leaders of an entire South Asian region attended, including Nawaz Sharif, the prime minister of India's traditional archrival, Pakistan.

But it's not just the guest list that makes this inauguration historic.

Never in the past three decades has a political party taken up the reins of the world's largest democracy with an absolute majority.

And never before has a provincial chief with no federal experience become head of a national government.

Unprecedented invitation

In attendance on the sprawling forecourt of the sandstone palace were the premiers of Pakistan, Bhutan, Nepal and Mauritius; the presidents of Afghanistan, Sri Lanka and the Maldives; and the speaker of Bangladesh, officials say.

"A promising gesture," read the headline of an editorial in the Indian Express on Friday about India's unprecedented invitation to the leaders of the South Asian Association of Regional Cooperation bloc.

Until his election to Parliament this month, Modi, a chief minister of the prosperous northwestern state of Gujarat, has been seen as hawkish by some political watchers, especially over relations with nuclear archrival Pakistan.

His Hindu nationalist Bharatiya Janata Party has often accused the administration of outgoing Prime Minister Manmohan Singh of being soft on its western neighbor, which New Delhi blames for a number of terror attacks in India, including the deadly 2008 assault in Mumbai. Both countries have fought three wars, two of them over the Himalayan region of Kashmir, which both claim as their own in its entirety.

An editorial in the Indian Express said Modi's "terrific" move to invite regional leaders "should help generate a more realistic appreciation of India's foreign-policy trajectory in the coming years."

"What matters in the end, however, is the prospect of a more self-assured government in Delhi that is ready to engage the neighbors without standing on protocol and precedent," it added.

Economic hope

Credited for his pro-business approach as the chief of Gujarat, India's new leader has also raised expectations that his government will succeed in turning around India's slowing economy, generate more jobs and rein in soaring prices and deeply entrenched corruption, issues that are widely believed to have brought about the fall of Singh's government.

Modi's party won 282 seats of the 543-seat lower house of Parliament on its own, the first independent win by any single political party in three decades. India has since been ruled by coalitions of national and regional groupings with varied political and economic philosophies.

"The BJP's single-handed majority in the new parliament ensures at least one thing: no more excuses of fractured coalition politics compromising policies and reforms," said Jahangir Aziz, J.P. Morgan's chief Asia economist, in a column in the Indian Express.

"More growth, more employment, more infrastructure, lower inflation is just motherhood and apple pie. Identifying and articulating the binding constraints holding these back is the heart of the problem," he wrote.

Political analysts also describe the debacle of Singh's Congress Party government as a vote against crushing prices.

"Moderation in prices of essential commodities is a potential challenge for Modi's government in a market-driven economy," political commentator K.G. Suresh said. "The honeymoon period will not last longer if measures are not taken in the next 100 days to bring costs down," he added.

Modi's Cabinet, observers say, will signify his government's model and course.

"It has to be a dream team that balances demands and side effects of growth with promises of low prices to millions of poverty-stricken Indians. It has to be a smart mix of youth and experience with a cohesive approach. With pressures of coalition politics no longer there, the last thing India would expect the new prime minister's core team to be is a chariot pulled by horses running in different directions," Suresh said.

Friend or foe? India's Narendra Modi an unknown quantity abroad

Securing India's energy a major challenge for new PM Modi

Memo to Modi: How to reboot India

@highlight

NEW: Narendra Modi is sworn in as prime minister

@highlight

The unprecedented event brings together regional leaders including Pakistan's PM

@highlight

Invitation to leaders described as a "terrific" move

@highlight

Modi is seen as hawkish by some political watchers