(CNN) -- Who, exactly, owns your Twitter account? It's a potentially complicated question when an account is used both professionally and personally. Now a case regarding whether a Twitter account belongs to a company or its former employee has raised questions about the use of the social media phenomenon.

PhoneDog, a website devoted to all things mobile products and services, sued former employee Noah Kravitz for $340,000, according to the complaint filed in US District Court in the Northern District of California.

The lawsuit, which was filed in July, alleges that Kravitz' continued use of a Twitter account he was "given use of" while employed with PhoneDog was a misappropriation of trade secrets and damaged the company's business, goodwill, and reputation.

Kravitz was a product reviewer and video blogger for PhoneDog for about four years, during which time he used the Twitter account @PhoneDog_Noah. The complaint states that Kravitz "used the Account to disseminate information and promote PhoneDog's services on behalf of PhoneDog."

But Kravitz told CNN he opened the account, linked it to his personal e-mail address and maintained it himself while tweeting both personal and professional things throughout his employment with PhoneDog, including links to his own articles and colleagues' articles, as well as tweets about sports, arts, and food.

"It's this melding of personal and professional which is why I've gained a modest following," Kravitz said. "Because it's not just the dry headline and link to something."

According to the complaint, PhoneDog asked Kravitz to let go of the Twitter account when he resigned in October 2010, but instead of getting rid of it, he changed the handle to @noahkravitz and continued to use and tweet under the account.

Kravitz, who says he left on amicable terms, disputes this claim, saying PhoneDog did not ask for the account back, but said it was OK if he kept the account and asked him to tweet from time to time on their behalf. "At no point until July of this year, a good 8 months after we parted ways, did they ask for the twitter account or claim in was their property."

PhoneDog alleges Kravitz "is attempting to discredit PhoneDog and destroy the confidence that PhoneDog's users have in PhoneDog" through continued use of the Twitter account.

In the course of Kravitz's employment, the Twitter account garnered about 17,000 followers.

The complaint states that according to industry standards, each follower is valued at about $2.50 per month, so incorporating that value, the 17,000 followers of the account, and the eight months since Kravitz resigned from PhoneDog, the company arrived at the $340,000 claim.

Who really owns a Twitter account? CNN's Richard Quest weighs in

As social media accounts become increasingly relevant for employers, the line between personal and professional Twitter accounts begins to blur, and a pair of intellectual property lawyers see new precedents on the horizon.

"This is an issue with Twitter, with Facebook, with any of the social media sites where people have accounts and they're using them for work purposes," Henry J. Cittone told CNN. "That ownership for those accounts is in play right now."

Mark V.B. Partridge noted that because Twitter is relatively new, disputes that have come up have been settled. But he compared this case to situations in the past in which employees who left a company tried to take registered domain names with them but were not allowed. Partridge said that if this one does go to a court decision, "it would certainly be a precedent out there."

Asked whether or not he thinks a case like this has any merit, Cittone said, "It's going to boil down to whether he was paid to create (the account) for the company or not."

And he thinks PhoneDog may have a chance at winning the case, "because they've patched the arguments quickly. They said they hired him to create this feed for them -- that is the way the company could dislodge a Twitter feed from its owner."

Kravitz, who is now editor-at-large for Techno Buffalo, said he is starting to understand the magnitude of the situation.

"This idea of what belongs to the employee, what belongs to the employers, where's the influence coming from, what constitutes doing something on company time -- these lines are all really blurry right now."

Neither PhoneDog nor Twitter responded to CNN's requests for comment.

@highlight

PhoneDog, ex-employee argue about ownership of Twitter account he used

@highlight

Company says Noah Kravitz was "given use of" account; he says he set it up himself

@highlight

Damages of $340,000 based on $2.50 monthly value of each follower, lawsuit claims

@highlight

Legal experts: Case could set precedents in social media account ownership