(CNN) -- Simply put, it's impossible to imagine the past 50 years of rock without Lou Reed, who died Sunday at 71.

Glam rock, punk and various strains of '80s and '90s indie and alternative rock would simply vanish without his example. Every New York rocker in a black leather jacket, from the Ramones to the Strokes, stands in Reed's shadow. David Bowie's early gender-bending persona was explicitly in Reed's debt.

His songbook was a building block for rock's front ranks in the '80s and '90s: R.E.M., Nirvana, U2. Even peers of his band the Velvet Underground looked up to it. The Rolling Stones' 1968 song "Stray Cat Blues," Mick Jagger later admitted, came from trying to emulate sound of the Velvets' "Heroin."

Appreciation: Lou Reed, the minimalist god

Yet Reed was the first rock star that wasn't actually a star. Only one of the four classic albums he made with the Velvet Underground from 1967 to 1970 -- 1969's "The Velvet Underground" -- made the "Billboard" album chart, peaking at just 197.

He would not climb high on the chart until 1972, when his solo single "Walk on the Wild Side" -- produced by Bowie -- reached No. 16, a position he never again came near.

"If something of mine ever got popular, maybe I could've stuck with that," he told Spin in 2008. "But that was never the point. I had other goals."

And those were long-term. "You may be drawing a circle for the thousandth time," he told Esquire in 2000, "but maybe it's a slightly better circle."

Nevertheless, he became infamous -- and grew visibly weary of being infamous -- for singing about pursuing pleasures of the flesh well past the mandates of healthy, polite society.

Bob Dylan had opened pop songwriting up to just about any topic, but Reed's refusal to flinch while singing about sadomasochism (1967's "Venus in Furs," or the 1969 recording "Foggy Notion," released on the great 1985 outtakes compilation "VU") and hard drugs on "I'm Waiting for the Man" and "Heroin" (both 1967) was unheard of in rock 'n' roll -- or really any music. So were the screeching, feedback-laden guitars.

That thorniness was ingrained in Reed's public persona, in his unflinching demeanor and permanently alienated worldview.

John Cale, his old Velvet Underground band mate, described Reed as gratuitously vicious, once "the most difficult person to work with I have ever known." Reed was, by many accounts, a fearsome challenge to interview; an anthology could be made of his most withering journalistic encounters (such as the Spin Q&A above).

Artistically, Reed could be equally contrarian.

In 1975, he issued a double-LP, "Metal Machine Music," containing over an hour of machine-generated feedback, to critical howls, dismal sales and irritated fans. Reed didn't care.

His last release, 2011's "Lulu" -- a heavily improvisational collaboration with Metallica -- was similarly derided. Chuck Klosterman, writing in Grantland, called it "appalling," while Pitchfork gave it a 1.0 (out of 10.0). As ever, Reed proudly did whatever he damn well felt like.

As a guitarist and songwriter, he practiced a conscious musical primitivism. The quote from Reed flying around Twitter the fastest in the wake of his death goes: "One chord is fine. Two chords are pushing it. Three chords, and you're into jazz."

But rock was Reed's lifeline. In a 1966 magazine essay written before the Velvet Underground took off, Reed declared, "The only decent poetry of this century was that recorded on rock-and-roll records." While that may have been an exaggeration -- Reed studied under poet Delmore Schwartz at Syracuse University and was in that poet's thrall for the rest of his life -- it candidly reflected his ardor for the music.

Having done so much to inspire punk and post-punk, Reed became a paterfamilias of the New York rock scene around CBGB's and Max's Kansas City in the 1970s; one of his finest solo albums, 1978's "Street Hassle," nodded to that scene. (It also featured a vocal cameo from another fan, Bruce Springsteen.)

It was the beginning of the phenomenon rock producer Brian Eno would allude to in 1982 interview with journalist Kristine McKenna, when he noted that while a relatively modest number of people bought copies of 1967's "The Velvet Underground & Nico," everyone who bought one started a band.

That process accelerated through the '80s. By 1986, Black Francis of Boston's Pixies -- whose sneak-attack approach to loud choruses was adapted by, among others, Nirvana -- was singing "I wanna be a singer like Lou Reed" on the band's first release, "Come on Pilgrim."

Punk rock and its many offspring weren't all that Reed touched.

In 1990, the rap group A Tribe Called Quest sampled Herbie Flowers' rolling bass line from "Walk on the Wild Side" on its hit, "Can I Kick It." Reed was a longstanding hip-hop fan; one of his last public acts was publishing a widely read paean to Kanye West's "Yeezus."

"There are moments of supreme beauty and greatness on this record, and then some of it is the same old s---" Reed wrote. "But the guy really, really, really is talented."

Sounds a lot like the guy who wrote it.

The opinions expressed in this commentary are solely those of Michaelangelo Matos.

@highlight

Michaelangelo Matos: Impossible to imagine past 50 years of rock without Lou Reed

@highlight

He says glam, punk and all alt rock in his debt; Stones, U2, REM among those influenced

@highlight

His music transgressed, with topics such as S&M, hard drugs; his view alienated, he says

@highlight

Matos: Rock was Reed's poetry, and he became paterfamilias to NYC's rock scene