Washington (CNN) -- Lou Klein, 64, shot his first gun when he was 11.

"My dad bought me a single-shot .22 rifle at an Ace Hardware store in Chicago for $19.95," Klein remembered. "I used to take that gun on the bus when I was 11 years old and go down to the shooting range. You couldn't do that now; you would have the FBI on you."

Those bus trips to the firing range started a lifelong passion for the Vietnam veteran and lifetime National Rifle Association member and recruiter who owns Lou's Sporting Goods in Bowie, Maryland.

Why would someone own a military-style rifle?

His shop sells everything from handguns to AR-15 semi-automatic rifles -- the military-style weapon used in several mass shootings, including the one last week in Newtown, Connecticut, that claimed 28 lives, including 20 children, their principal, the shooter's mother and gunman Adam Lanza, who took his own life.

Klein's business is booming. And like many gun owners, he said he doesn't think limiting firearms will prevent another massacre.

Parents defend right to keep guns in the home

"Gun control is not the answer; it's about education and about responsibility," said Klein, who supports background checks, a waiting period, gun safety courses and mental health screening.

Klein and millions of other small-town gun shop owners, hunters, housewives, former police officers and just plain everyday folks who proudly defend their right to bear arms have walked a tenuous line in the week following the Newtown shootings.

They've tried to balance responding to the nation's grief and horror at a crime that ended so many young lives, while worrying about what gun rights advocates see as a threat of knee-jerk legislation that could tread on their constitutional rights.

"I believe the Second Amendment provided that the average American citizen should have the same rights to armaments as the military. But do I want my next-door nut job neighbor to have a bazooka? No," said Noel Flasterstein, a Florida attorney and gun rights advocate.

Mike Zammitti, a young gun owner in New England, agrees.

Zammitti, 22, lives in Boylston, Massachusetts, and has three guns -- a .22 rifle, a .25-caliber pocket pistol and a .22 Luger handgun. He also is a Class-A license holder, which allows him to "conceal and carry" his guns with him. But that doesn't mean that he does it.

iReport: Was your gun banned?

His weapons, he said, are for protection. He also said he doesn't need an assault rifle to protect himself in his home and doesn't think other people need them either.

"I absolutely think we should ban assault weapons," Zammitti said. "There is no reason to have assault weapons on the market. ...Those are people killers; they are not meant to go hunting."

Still, even though he believes in some gun control laws, Zammitti said he fully supports the right to bear arms.

The NRA, a powerful gun lobby with roughly 4.3 million members, spoke out on Friday, calling for armed guards at schools to protect the nation's children.

The group signaled no willingness to consider any of the various proposals offered this week to change gun laws regarding access to assault weapons, universal background checks, limits on sales at gun shows, increased use of trigger locks or any other gun control regulation.

Instead, the group pointed at media sensationalism, violent video games, gun-free zones, the failure to enforce gun laws already on the books, issues with the nation's mental health system and other societal problems.

Policies banning guns at schools create a place that "insane killers" consider "the safest place to inflict maximum mayhem with minimum risk," Wayne LaPierre, executive vice president of the NRA said on Friday. LaPierre said U.S. society has left children "utterly defenseless."

"The only thing that stops a bad guy with a gun is a good guy with a gun," he said.

In the days following the school shootings, individual NRA members took to Twitter, Facebook, the airwaves and the comment sections of websites such as CNN.com to explain their position.

It usually went along these lines: They are not all gun-toting villains. They are, they proudly proclaim, patriots.

"Guns are what's kept this country free, and it's what's keeping our country free," Klein said, pointing to the militias in the Revolutionary War that fought against the British.

NRA breaks silence after shootings

The NRA plans to speak out Friday and "is prepared to offer meaningful contributions to help make sure this never happens again."

Not everyone is buying the "meaningful contributions," however.

"I think the statement they just released is a bunch of garbage; they just wanted to get ahead of the issue," Zammitti said. "If you look at their history, they are hard-core 'guns don't kill people, people kill people.'

"As soon as little kids get hurt, they try to get ahead of the picture saying, 'We're going to do something.' "

This week, President Barack Obama tapped Vice President Joe Biden to help lead a White House effort to craft proposals aimed at preventing another tragedy such as the Newtown shootings. The recommendations are due sometime in January.

That same month, several lawmakers have promised to introduce or reintroduce gun control legislation, ranging from a reinstatement of a federal ban on assault weapons to banning the sale of high-capacity magazines.

The NRA, which is regrouping in anticipation of that massive legislative push, will make its presence felt through congressional testimony and wielding the type of political sway the pro-gun lobby has carefully amassed over dozens of election cycles, experts said.

"I want to see legislators make correct appraisals, not emotional responses," said Richard Feldman, who was regional political director for the NRA during its rise to power in the 1980s and is president of a gun rights group called the Independent Firearm Owners Association.

The list: Despite emotions, little happens legislatively after mass shootings

Across the rest of the nation, attitudes about guns appear to be changing.

A CNN/ORC International poll released Wednesday indicates that a slight majority now favor major restrictions on owning guns or an outright ban on gun ownership by ordinary citizens and more than six in 10 favor a ban on semi-automatic assault rifles.

The number of Americans who favor major restrictions or an outright ban has typically hovered just under the 50% mark in recent years; now that number is 52%. That's a rise in 5 percentage points from a CNN survey conducted in August following the mass shootings at a movie theater in suburban Denver that left 12 dead and shootings at a Sikh temple in suburban Milwaukee, where six people were killed. The 5-point rise is within the poll's sampling error.

Forty-three percent said the elementary school shootings in Connecticut make them more likely to support gun control laws, a 15-point increase from January 2011 following the Arizona gun rampage that wounded U.S. Rep. Gabrielle Giffords. Half of those questioned said the school shootings have not changed their opinions on gun control, down 19 points from January 2011.

But that's just roughly half of the country.

The other half is made up of the kind of people who have flooded Klein's suburban Washington shop after the Newtown shootings. People who, like Klein, believe that if Sandy Hook Elementary School teachers were armed, they would have been able to kill the shooter before he killed all those children.

Lanza's guns: What we know so far

"Last night I didn't get out until 10," Klein said through a mouthful of a rushed lunch.

He's almost sold out of AR-15s, he said. He just sold two Wednesday morning to a man who wanted them for his sons.

Since the gun sales are not reported, trends in gun sales are typically tracked by the number of background checks the FBI conducts each year. In 2011 -- a record year -- the FBI conducted 16,454,951 background checks. In 2012, not counting the month of December, the FBI has already conducted 16,808,538. This includes the run on guns after Obama's re-election but does not include the recent sprint to buy up weapons after the Newtown shootings.

And Klein's store's sales are not an anomaly; gun stores across the country are reporting record sales in the week following the Newtown shootings. Klein said gun owners are worried they won't be able to purchase semi-automatic rifles such as the AR-15 in the future, so they are buying them up now.

Those concerns are rooted in the fear that tampering with Second Amendment rights could lead to a slippery slope of infringing on other constitutional rights, gun policy experts said.

"With respect to assault rifles, I have a constitutional right to have one. ... That's what our founding father and mothers recognized," said Feldman of the Independent Firearm Owners Association. "It's what it protects us from -- the possibility of a tyrannical government.

"I don't think we're going to have a tyrannical government, and I don't think Obama (is going to bring about a) tyrannical government. If we take away the Second Amendment, maybe it would."

Opinion: Strong case for gun rights

CNN's David Mattingly and Paul Steinhauser contributed to this report.

@highlight

NEW: The NRA calls for armed guards at schools

@highlight

Gun owners have walked a careful line in the wake of the Connecticut shootings

@highlight

Gun sales are up across the country in anticipation of possible gun-control legislation

@highlight

Some gun owners part with the NRA on policies, calling its recent announcement "garbage"