(CNN)Most of us can clearly recall where we were on December 26, 2004, when a massive earthquake off the northern coast of Sumatra, Indonesia triggered a deadly tsunami that swept across the Indian Ocean, killing more than 226,000 people and causing massive destruction along coastal areas of 14 countries.

The tsunami caused one of the worst natural disasters in recent memory, as its full horror unfolded on TV screens around the world.

Ten years on, it is important to reflect on what the tsunami has taught us and whether these communities are any safer from such disasters.

One clear lesson reinforced by the tsunami has been the importance of investing in disaster risk reduction (DRR) at both global and local levels.

In January 2005, The Hyogo Framework for Action (HFA) -- a global blueprint for disaster risk reduction efforts with a ten-year plan -- was adopted by 168 governments. Its goal was to substantially reduce disaster losses by 2015 by building the resilience of nations and communities to disasters.

In June 2006, the Indian Ocean Tsunami Warning System became active, consisting of 25 seismographic stations -- used to detect earthquakes early -- relaying information to 26 national tsunami information centers. This has resulted in timely evacuations of mass populations when alerts are sounded.

Removing red tape

The tsunami also highlighted how weak legislation led to blockages and major coordination challenges in the delivery of international assistance. The Hyogo Framework for Action calls for improved legislation to facilitate international disaster response, an area where the International Federation of Red Cross and Red Crescent Societies (IFRC) has been working closely with governments through its Disaster Laws program.

Twelve countries in Asia Pacific have made, or are progressing towards, legislative or regulatory changes. These include Indonesia, where the National Disaster Management Authority has revised its regulations relating to the participation of the international community in national emergencies. Another example is the Philippines, where, following Typhoon Haiyan in 2013, the government relaxed immigration requirements and established one-stop-shops to streamline the clearance process for incoming goods and equipment.

But global and national initiatives need to go hand-in-hand with investment in locally driven approaches towards reducing risk.

Working with communities to help them be better prepared to face future disasters was the thread that ran through the IFRC's recovery efforts after the tsunami. Supporting the rebuilding of physical infrastructure, including 57,000 new homes, was one step, but establishing community based disaster risk management programs was equally important. Sea search and rescue teams were set up in Thailand, training was given to thousands of first-responders in Sri Lanka, and early warning systems -- using HF Radio -- were established across Indonesia alongside mangrove planting projects to reduce the impact of coastal flooding. The legacy of those initiatives lives on today.

Improving communication

Community participation and engagement in risk reduction is vital and the tsunami cast a spotlight on the need to improve accountability and two-way communication with crisis affected communities. In Aceh, Indonesia, traditional and hi-tech approaches were used to enable people to raise questions or air concerns about the aid effort via community meetings, live radio and SMS. Such approaches have since become integral aspects of major operations and have proved essential in health promotion and social mobilization campaigns.

Next year, the Third U.N. World Conference on Risk Reduction takes place in Japan where HFA 2 will take shape. This represents a unique opportunity to re-focus attention on the need for greater investment in community level disaster risk reduction.

This means recognizing that local people and organizations are first responders in emergencies; understanding that they must be the drivers of change in their communities as they have the best understanding of the risks they face. It also means investing in strengthening the risk reduction capacities of local, city and regional authorities.

While we can't prevent another tsunami, we do know that many people in harms way today are now more aware and better prepared to face future disasters. The challenge ahead remains how we align global and local action to safeguard future generations.

@highlight

Lesson reinforced by tsunami is importance of investing in disaster risk reduction

@highlight

Tsunami highlighted how weak laws led to blockages and challenges in delivering assistance

@highlight

Establishing community based disaster risk management programs like search teams in Thailand, training in Sri Lanka also important