(CNN)Futuristic superstructures, shimmering glass facades and fuzzier lines between indoor and outdoor spaces.

These are some of the major trends expected in the coming year as the global aviation industry strives to meet ever-increasing demands.

With few major projects scheduled for completion in 2015, it's likely to be seen as a transition year as many airports upgrade facilities or begin new building projects to cope with a forecast 3.6 billion global air passengers in 2016.

Here's what to expect over the next 12 months.

China

China's efforts to rapidly expand its airport infrastructure are expected to reach a peak in 2015 with scores of regional airstrips scheduled for opening.

Official government plans have previously claimed that the number of airports will expand from 175 in 2010 to 230 in 2015 as the country ramps up its aviation industry in step with economic expansion.

While many of these are smaller facilities have yet to be officially announced, several larger projects have been widely publicized.

In Beijing, work gets underway in earnest this year on a $14 billion international airport in the city's southern Daxing district.

The facility is scheduled to come online in 2017 and is reportedly expected to handle up to 72 million passengers annually by 2025.

Meanwhile, at Chongqing Jianbei International Airport, serving the largest city in southwestern China, a new terminal three is expected to become operational this year.

It's claimed the facility, designed for further expansion to meet expected growing demand, will be able to handle up to 55 million people annually, the largest capacity of any single terminal.

In the same Chinese province, the city of Wulong is expected to get to work on its own airport scheduled for completion in 2017.

Japan

With low-cost carriers on the rise in Japan, Tokyo's Narita International Airport is adding a new terminal dedicated to exclusively to no-frills flights.

Terminal 3, designed to handle 50 million passengers a year, is expected to open in March or April.

It'll contain plenty of places where those budget passengers can spend their savings, including a vast duty free shopping area and Japan's largest airport food court.

Singapore

Once again Changi Airport Singapore, considered by many to be the world's best, appears to be raising the bar with a futuristic new complex that's likely to revolutionize terminal design.

After breaking ground in December, work begins in earnest this year on Jewel Changi Airport, an impressive-looking palace of glass that will shroud retail, entertainment and leisure outlets as well as a multi-level gardens and walking trails.

The centerpiece will be the Rain Vortex, a 40-meter-tall waterfall cascading from the roof of the glass dome.

Mexico

Construction on another eagerly anticipated international airport gets underway in 2015 in Mexico City.

Mexico City International Airport, a collaboration between world-renowned architects, Briton Norman Foster and Mexico's Fernando Romero, is designed to be the world's most sustainable when it opens in 2018.

Foster & Partners says that because the structure will be one massive terminal housed under vast canopies of glass, it'll require fewer materials and less energy than the standard multi-building airport.

Brazil

New management is taking over and re-branding Rio Galeao -- Tom Jobim International Airport.

The country's second-busiest airport after Sao Paolo is undergoing a long overdue facelift in anticipation of the 2016 Olympics.

About $2 billion is going into infrastructure construction, which covers everything from restrooms to runways.

The upgrade to four decades-old facilities should allow the airport to increase annual capacity from 18 million passengers to 30 million without the need for an extra runway.

The Netherlands

Mainly aimed at increasing retail opportunities, a revamp of Amsterdam Airport Schiphol's Terminal 2 departure lounge is scheduled for completion in the summer of 2015.

Without going into detail, information from the airport trumpets the renovated area's six themed sections, titled "luxury," "family," "travel and culture," "modern Dutch," "see buy fly," "fashion and lifestyle" and "care and wellness."

On a more boozy note, it'll get Europe's first Johnnie Walker House luxury retail concept store and, naturally, a Heineken bar.

Germany

Munich Airport's new satellite facility to expand its Terminal 2 should be complete by the third quarter of 2015, potentially increasing annual capacity to 17 million passengers.

After work is complete, there'll be an operational test phase to make sure everything's working.

If it is, Star Alliance member airlines (including Lufthansa, Air China, Singapore Airlines and United) will move some flights over to the new building.

During similar test phases, safety concerns emerged at Berlin's Brandenburg International Airport, originally slated to open around 2011 or 2012.

Despite appearances of having been completed, it's still not open.

A string of management and engineering setbacks have dogged the project and doubled its initial projected cost.

Brandenburg will not open in 2015, and latest reports say it may be 2017 before it's fully up and running.

Saudi Arabia

Also not opening in 2015 is an expansion project at Jeddah's King Abdulaziz International Airport, now slated for completion early in 2016 after originally being scheduled for a 2014 delivery.

The expansion is part of a project to up Saudi Arabia's passenger capacity to 100 million passengers annually by 2020.

Jeddah's airport was recently ranked the world's second worst in an annual survey by the Sleeping In Airports website.

Trends

As these facilities come on line, passengers may begin to notice new trends emerging in airport design -- chiefly a greater sense of space and place.

Angela Gittens, director general of Airports Council International, says the changes are all about meeting passenger demands, with surveys indicating they're looking for a greater sense of orientation, control, safety, visibility and openness.

In real terms this means bringing the outdoors into the picture.

Changi Airport Singapore has been a leader in this area, with its butterfly garden and rooftop green spaces, while passengers with a stopover at Munich Airport can wander through an outdoor plaza hosting exhibits and performances, or visit an outdoor terrace.

Updated facilities are also incorporating glass facades to bring natural light inside.

This strategy, says Gittens, also improves energy efficiency.

"Not only do these new windows allow for the use of natural light," she adds "but they are made with energy efficient materials that can repel heat and insulate against cold."

'A sense of place'

David Stewart, head of airport development for the International Air Transport Association, says airport authorities are increasingly understanding that passengers want to get a feel of what's local.

"They're craving a sense of place," he says.

Gittens says fashioning an airport to better represent the city it serves is becoming an important point of differentiation.

One of the easiest ways to do this is with food and big name chefs.

While McDonald's and Starbucks outlets will continue to exist, more airports are dishing out regional cuisine made by local chefs, such as Gordon Ramsay's Plane Food at London Heathrow and Carles Gaig's Catalan-inspired Porta Gaig in Barcelona.

It's not just high-end eateries bringing local to the airport.

Hung's Delicacies in Hong Kong International favors braised meats and regional dishes.

Airbrau in Munich Airport Plaza is a Bavarian brewery that serves its own beer, along with time-honored dishes like schnitzel, suckling pig and sauerkraut.

New music, old masters

National culture is also making its way into airports.

While many international airports have at least a little space devoted to displays of art, some are taking it up a notch.

At the Traditional Korean Cultural Experience Zone at Seoul's Incheon Airport, passengers can learn about calligraphy or fan-making, or check out handicrafts while listening to live musicians.

Workshops, demonstrations and performances are scheduled on a regular basis.

Amsterdam's Schiphol was the first airport to house its own art museum beyond passport control.

Currently under renovation, the pioneering Schiphol outpost of the Rijksmuseum provides a glimpse into local life through special exhibitions and the artworks of Dutch masters.

Airports are also literally being connected to the cities they serve by modern mass transit.

Airports as far flung from the cities they serve, including Washington Dulles and Xian Xianyang (among the 10 busiest airports in China), are developing linking train lines in order to accommodate travelers looking to make local connections.

@highlight

China said to be increasing its operational airports to 230 in 2015

@highlight

Tokyo and Munich to open new terminal facilities, Amsterdam and Rio will get upgrades

@highlight

Beijing, Mexico City and Singapore press ahead with impressive new projects

@highlight

More delays for Berlin's long overdue new Brandenburg airport, originally slated for 2012