(CNN) -- On Saturday, the "let's make ourselves feel better" club will convene in Geneva to try to figure out what to do about Syria.

The motives of those gathering in Geneva at the invitation of U.N. Special Envoy Kofi Annan -- the five permanent members of the U.N. Security Council (United States, France, China, Britain and Russia), plus Turkey and a number of Arab league members including Iraq and Qatar -- are well-intentioned. Their concern over the continued killing, more than 12,000 dead with thousands more wounded and imprisoned, is understandable.

But sadly, the results of the Geneva meeting, even with some added wind at its back (the Turks are madder than ever at Syria for downing a Turkish reconnaissance plane earlier this week), are not likely to produce much new.

The purpose of the meeting is to gain agreement on a new Annan plan for a national unity government and a political transition to stop the conflict. But this is unlikely to work any more effectively than Annan's earlier six point cease-fire approach. Chances are the conflict in Syria is going to get worse before it gets worse.

The core problem is that the options on Syria are all bad, and nobody wants to assume responsibility for a conflict that pits a regime that still has tremendous firepower against an opposition that is growing stronger but still isn't in a position to bring that regime down. There has been too much blood for diplomatic compromise, and military solutions are risky and too uncertain.

The other challenge is that the international community is fundamentally divided. Instead of a coalition of the willing and the determined, the group that will gather Saturday resembles a group of the unwilling, the uncooperative and the disabled.

Their motives and agendas diverge even while on the surface they all know that Syrian President Bashar al-Assad must go and that the current situation could harm all their interests. Still, the risks of changing the status quo through using force against the regime is still greater than maintaining it.

At the meeting, all will express that concern and try to come up with new ways to support and organize the Syrian opposition and pressure the regime. There may even be a notional agreement on the new Annan plan. But here's what the three main players -- the United States, Russia and Turkey -- are really thinking.

United States: The United States is appalled by the violence and would like to do more. But President Obama is really much more focused on domestic issues; he knows there is no will or stomach for new foreign commitments or for risky military adventures in the wake of Afghanistan and Iraq. The United States fears an open-ended military commitment and won't act alone. Nor does it want to see an outcome that leaves elements of the old regime in place. At the same time it has been wary of half-measures: safe zones and arming the Syrian opposition. Washington is too conflicted to lead.

The Russians: The fact is Russia's Vladimir Putin knows al-Assad is done, but he isn't going to let the Americans dictate the outcome as they did in Libya. The Russians have seen all their clients -- Saddam Hussein, Moammar Gadhafi and now al-Assad under pressure -- one way or another removed by the Americans.

As a great power, Russia is determined to preserve its influence in Syria; it sells arms and uses the Syrian port of Tartus as a key naval facility (Russia's only base outside the former Soviet Union). Putin also doesn't want to see a Saudi-backed Sunni regime in Damascus. He resents the Saudis for supporting Muslims in Chechnya and in the North Caucasus. So he'll push for a solution that preserves some of the old regime and the Alawi minority, and of course a major Russian role in the outcome Russia is too suspicious to help broker.

Turkey: The Turks are angry and embarrassed at the Syrian downing of one of their planes, which made them look weak. But if Ankara really wanted to play a leadership role, it could have used this incident as an excuse to push for military action. There's no real stomach among the Turkish public for a war with Syria, however. Turkey also is worried about Syrian support for the Kurdish PKK and its own Alevis minority. The fact is unless the refugee flows from Syria to Turkey get a whole lot worse or the killing reaches new levels, Turkey will be very careful about taking too high a profile on Syria. The Turks are too tentative to lead.

And so it goes. The contact group in Geneva may show new resolve, issue tough statements and make contingency plans. It could even endorse Annan's plan for a national unity government. But even if some new measure is announced, the meeting will be marked far more by what's not said than by what is.

The Syrian situation is a tragedy, but it's a tragedy nobody is yet prepared to take responsibility for. The costs of bringing down the Assads would be considerable, but the price of rebuilding the new Syria will be greater.

The Geneva group should start planning. Sooner or later the al-Assad regime will break. And when it does, the international community must be willing to step in with thousands of peacekeepers on the ground and billions in cash to reconstruct and keep the country running. If it doesn't, an even greater Syrian tragedy will begin to unfold with a heightened level of violence, sectarian killing and perhaps even the fragmentation of the country.

The international community may be too divided to bring down the Assads, but it must gear itself up to be united to avert an even greater catastrophe when they fall.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Aaron Miller: World leaders will meet in Geneva to discuss what to do about Syria conflict

@highlight

He says plan is to agree on plan for unity government, ending violence. Expect little else

@highlight

He says involved powers want al-Assad out, but have different, often conflicting agendas

@highlight

Miller: Al-Assad will inevitably go, powers must prepare to step in with costly help