(CNN) -- For decades, residents in Makoko have boarded wooden canoes to navigate through a labyrinth of narrow waterways crisscrossing a floating shanty town perched on stilts above Lagos Lagoon's murky canals.

Lacking access to basic infrastructure, including clean drinking water, electricity and waste disposal, and prone to severe environmental and health hazards, Makoko is one of the many chaotic human settlements that have sprouted in Lagos in recent years. Its makeshift shacks shelter thousands of people fighting for space in one the world's most crowded cities.

But in late July, scores of Makoko dwellers were left homeless after Lagos authorities swooped into the low-lying coastal community and demolished many of the community's houses and other illegal structures.

Interactive: Lagos - Engulfed by floods

Officials cited security concerns for the operation -- the water village had grown dangerously close to a major bridge and the electrical towers surrounding it. In the past, local authorities have also said that the ever-growing slums built on flood-prone wetlands put an additional burden on the city's inadequate drainage systems.

Yet the demolition left a large number of people displaced and homeless overnight, their possessions disappearing into the water. Without a place to go, many have since taken to their canoes for shelter or squatted with neighbors.

"We can't keep living like this," says Makoko resident Paul Adiroba. "We are human beings, we are not animals."

Related: A look inside Nigeria's floating slum

Some say that Makoko residents are paying the price of an ambitious urbanization effort.

Felix Morka, executive director of the Social and Economics Rights Action Center, says that Makoko residents were given just a 72-hour notice to evacuate their homes.

"The government has a duty to organize its resources and mobilize its resources to improve this city," he says. "But destroying people's homes without due process is not the way to go about it -- that is counterproductive."

Read related: Africa's daily commuting grind

But for others villages like Makoko need to be torn down if Lagos is to develop into a world class city.

Nigeria's commercial capital and economic nerve center, Lagos has a population of some 15 million people, making the sprawling city bigger than London, Buenos Aires and even Beijing.

In Metropolitan Lagos there are 20,000 people per square kilometer while authorities estimate that some 3,000 people from other states of the Nigerian federation enter the state every day without leaving.

Read more: Nigeria's growth leaves elderly behind

Professor Johnson Bade Falade, Habitat Program Manager for Nigeria, says that a number of socio-economic factors have led to Lagos experiencing an "astronomical growth" between the 1960s and now.

"At the time Lagos was growing there wasn't too much importance attached to physical planning," he explains. "We were left with the kinds of challenges that cities are growing, planning is not complete."

About 70% of the city's population is believed to live in slums, while a 2006 U.N report estimated that only 10% of households in the Lagos Metropolitan area were directly connected to a municipal water supply.

Beset by a swelling population, expanding slums and crumbling infrastructure, Lagos authorities have undertaken a series of urbanization efforts in recent years to modernize the sprawling city's facilities.

Read related: Underwater cables bring faster internet to West Africa

Falade says that "a breath of fresh air has come over Lagos," in the recent years. "The difference is clear, the evidence is the improved landscape of Lagos in the urban regeneration project."

The city has launched a regulated bus rapid-transit system and has begun work to develop a reliable and affordable urban rail system as part of efforts to sort out its legendary snail-paced traffic. A gleaming fleet of new garbage trucks is also being deployed to deal with the 10,000 tons of waste generated every day.

But perhaps the most impressive project for the Lagos of tomorrow is no other than the Eko Atlantic, a pioneering residential and business development located on the Victoria Island, along its upmarket Bar Beach coastline.

The ambitious project is being built on three and half square miles of land reclaimed from the Atlantic Ocean and is expected to provide accommodation for 250,000 people and employment opportunities for a further 150,000.

"This is a city for the 21st century, we are not using an old model," says David Frame, managing director of Eko Atlantic. "We are finding ways and means to produce a city that will reach international standards."

Many hope that urban renewal projects like the Eko Atlantic will bring more investment opportunities to the city.

"So we have a lot of opportunity for recreational facilities as well as providing a core business center and a good place to live right on the coast of Lagos," says Frame.

It's clear Lagos needs to quickly develop its overburdened infrastructure to accommodate the needs of a rapidly increasing population and provide jobs, education and proper infrastructure or risk significant social upheaval.

But it also seems that in the race to rebuild some, like the Makoko residents, may be left behind.

"There is a more responsible way to engage in development activity," says Morka. "The government must see the people not as marginal to the city, they must be seen as integral to the city. They are part of this population."

@highlight

Lagos authorities have demolished houses in one of the city's coastal slums

@highlight

Many people have been left displaced and without a place to sleep

@highlight

The city is taking a series of steps to modernize its overburdened infrastructure

@highlight

Lagos, one of Africa's most-populous cities, has some 15 million inhabitants