(CNN) -- A month ago, Google's three-year effort to push its Web browser, Chrome, took a major step when analysts said it had passed Mozilla's Firefox to become the second-most popular tool of its kind on the Internet.

Today, that climb continues and has some tech observers wondering whether Chrome could do the unthinkable and topple perennial leader Internet Explorer from atop the browser rankings.

According to Web analytics firm StatCounter, the most popular version of Google's browser, Chrome 15, edged out Internet Explorer 8 in early December to become the world's most used edition of a browser. (For those keeping score, the totals were 23.6% of worldwide browser usage compared to IE8's 23.5%.)

When all versions are considered, Chrome accounted for more than 27% of all worldwide browser use at the beginning of December, an increase of about 1.5% over the previous month. That's compared to about 37% for Internet Explorer, which dropped 2% from November, according to StatCounter.

Now in third place, Firefox remained mostly steady with about 25% of the browser market. Trailing far behind is Apple's Safari, with about 6%.

The numbers can vary in the browser race depending on who is counting. Web surveying firm Net Applications still has Explorer at 52%, Firefox at 22% and Chrome at 19%. But that represents a 10-point drop by Explorer since 2010, while Chrome use more than doubled and Firefox remained flat.

Gartner analyst David Mitchell Smith thinks Chrome has gathered momentum because it is a strong product.

"People like it because it's fast," he said. "Google has done a nice job advertising it recently, so that's increased awareness."

Since its rollout, reviews have been generally positive about Chrome. While some call it a work in progress, many have praised its features and speed.

"Super-fast browsing performance, now with hardware acceleration. Excellent security through sandboxing and malware warnings. Instant site prediction and loading," PCMag wrote in a review of Chrome 15, giving it 4 1/2 out of 5 stars. The review also praised it for strong support for the emerging HTML5 coding system amd built-in Flash player, while dinging it for still not being compatible with a handful of sites.

Smith also said people are more aware than ever that they have a choice of browsers. Internet Explorer has been the dominant browser for more than a decade, at least in large part because it comes installed on Windows machines.

"This was happening even more so when there was a real big difference between what you could get from someone else and what Explorer was," he said. "Now, that's not the case. Explorer 9 is pretty competitive with the other browsers, so maybe there's not as much need to go away from it."

StatCounter CEO Aodhan Cullen attributed at least part of Chrome's rise to its increased use among businesses.

"Google announced Chrome for business exactly a year ago and IT administrators appear to have embraced it in a remarkably short time," he said.

Chrome use already had overtaken Explorer on weekends, when personal use presumably trumps office use, since October. But Chrome 15 became the more popular from Monday to Friday on December 5, he said.

Microsoft, putting a positive spin on the numbers, emphasized that Explorer's latest (and generally well-received) version, IE9, is rapidly gaining ground as use of IE8 drops. IE9 was released in March.

(To its credit, Microsoft is also celebrating the demise of Internet Explorer 6. Widely reviled by Web developers and many users from the start, use of that version dropped below 1% in the United States last month, with Microsoft spokesman Roger Capriotti writing on the Windows blog that the company is breaking out the champagne and "as eager as anyone to see it go away.")

The statistics Microsoft used on its blog, which showed Chrome use mostly flat, only looked at browser usage on Microsoft's Windows 7 operating system.

The rise of Chrome comes as Google has expanded beyond its core product -- its search engine -- into such areas as mobile operating systems (Android) and social networking (Google Plus). Chrome has been a high point for Google in what has developed into a two-front clash of tech titans with Microsoft.

While Google tries to erode Explorer's browser share, Microsoft is taking aim at Google's longtime dominance in search. Launched in 2009, Microsoft's Bing has tried to make Web search a true two-way race.

And while Google's stranglehold on that market is still strong, Bing has chipped away. In December, Bing captured about 15% of the search market, compared to 61% for Google, according to Experian Hitwise.

One victim of Google's success (not to mention deep pockets) has been Firefox, long a favored browser among tech-savvy types.

"They (Mozilla) were not coming out with a lot of releases and new features for some time," Smith said. "They've really tried to change that in the last year, but perceptions got made during that time frame.

"They were the ones that were the sole recipient of the browser change -- they were the alternative browser for most -- but now they have to split that role with Google."

Whether Chrome's rise will continue remains to be seen, he said. Web users only tend to seek out a new browser if the one in front of them is lacking, and Internet Explorer appears to have stemmed that tide somewhat.

"Three or four years ago, if you wanted tabs, you had to go to another browser. If you wanted something fast you had to go to another browser," Smith said. "That's not the case any more."

@highlight

Google's Chrome browser continues to gain on market leader Internet Explorer

@highlight

Analysts say Chrome has 27% of the browser market, trailing only IE at 37%

@highlight

Chrome's rise is part of a two-front Google vs. Microsoft duel that includes Web search

@highlight

Gartner analyst: New IE9 may help slow Chrome's rise