(CNN) -- Jazz has always been a popular form of music because its improvisatory nature is easily adapted by a community or nation to reflect its individual identity.

Polish policemen watch a demonstration near the University in Warsaw in December 1981.

In Poland, jazz has been intertwined with its politics and through it, has gained its own particular identity and recognition, as has Poland as a nation.

The First World War marked a turning point in Polish history. After 300 years of divided rule under Prussia, Austria and Russia, Poland became an independent democratic republic lasting until the outbreak of the Second World War in September 1939. The end of the First World War also marked the spread through Europe of American jazz.

According to polishjazz.com, the first Polish jazz band was started in 1923 by Zygmunt Karasinski and Symon Kataszek, calling itself simply Karasinski & Kataszek Jazz-Tango Orchestra. It was an almost immediate success, playing in popular Warsaw venues of the time. Other popular dance bands established themselves during the 1920s and the first jazz recordings were being recorded by Polish record label Syrena Records.

With the rise of the Nazis and accompanying anti-semitism under Adolf Hitler in neighboring Germany, Jewish musicians such as Ady Rosner and Erwin Woheller came to Poland, enriching the Polish jazz scene with their talent. Rosner became the best and most popular jazz musician, who later on in his life became a driving force of Soviet jazz.

Throughout the 1930s, the music of American jazz artists such as Duke Ellington was widely available and popular, as were the first music magazines from London, Paris and America. This flourishing scene came to an abrupt end with the invasion and occupation of Poland by the German Army.

The end of the war saw Poland being occupied yet again, this time by the Soviet Red Army. Poland, now called People's Republic of Poland, became a Soviet-controlled puppet state. Music fell under Soviet control too and jazz, with its syncopated rhythms and free style, did not fall into the prescribed mould. In Stalinist Poland, jazz was banned and went on to develop its own style underground.

During the first half of the 1950s, the death of Joseph Stalin and Wladyslaw Gomulka's appointment as First Secretary in the Polish regime had a more liberalizing effect on the country.

Jazz was out in the open once more; being listened to, talked about and played without fear. The first jazz magazine behind the Iron Curtain was published; official jazz clubs were created and the Polish Jazz Federation was started by Jan Byrczek in 1964. Byrczek went on to found the Polish Jazz Society which became one of the largest jazz organisations of Europe. The 50s also saw the first official jazz festival taking place in Sopot beginning a tradition of jazz festivals in Poland that lasts to this day.

Initial hopes that Gomulka's reforms would move towards democratisation were dashed but despite political obstacles, Poland's cultural and intellectual life continued to grow and flourish during the following decade. Jazz was being featured in TV programmes; jazz critique was growing as were jazz festivals.

In 1964, the Jazz at the Oder River festival in Wroclaw started. Another milestone of the decade was the start of the recording of "The Polish Jazz Series" by the official recording label Polskie Nagrania-Muza. It continued doing so until well into the Eighties, later re-releasing all the volumes in CD format.

During the 1970s, Edward Gierek replaced Gomulka as First Party Secretary. He, being on a more friendly footing with Western neighbors than his predecessors, received loans and with them, the slow trickle of Western goods (notably Coca Cola) and TV shows into Poland.

The government's pro-Western stance also allowed Polish culture to reach out to the West. The leading Polish jazz magazine Jazz Forum was being published in Polish, English and German and distributed in 103 countries. Trumpeter Tomasz Stanko came to the fore during this period, receiving the first European Jazz Award in 2002 as one or Europe's most outstanding jazz musicians.

Towards the end of the 70s, Gierek's political career came to a close after a wave of labor strikes resulting from his policies. It was in this turbulent time that the independent trade union, the Solidarity Movement, was started in the Gdansk shipyards by Lech Walesa.

Solidarity's growing strength led General Jaruzelski to declare martial law in December 1981. However Mikhail Gorbachev's reforms in Soviet Russia; pressure from Polish Pope John Paul II and Western leaders forced the Communists to the negotiating table. This led to Solidarity's participation in semi-free elections 1989 resulting in a coalition government. Walesa became President of Poland until 1995.

The political events were reflected in the jazz scene. The early 80s brought the "Young Power" movement lead by Krzysztof Popek. According to allaboutjazz.com, musician Cezary Lerski described his movement as being "verbally critical and musically adventurous," revolutionzing Polish jazz. Popek is still a driving force of Polish Jazz today.

One of the purely Polish streams of jazz are the interpretations of the music of Polish composer Frederic Chopin started by pianist Andrzej Jagodzinski.

Reflecting the new freedom brought by democratisation another important band came to the fore at the beginning of the 90s. This was "Milosc," playing free jazz, going so far as to describe its form of jazz as "yass" thereby creating a new stream or genre in Polish jazz. But it too followed the path of the Young Power Movement by becoming more mainstream.

Current jazz reflects the diversity that democratic and economic freedom have brought Poland. A multiplicity of small jazz clubs have sprung up throughout the country as have a number of jazz festivals and independent record labels. Lersky writes that Polish jazz is" mature, vibrant and evolving" -- a reflection of the politics of the day?

@highlight

History of Polish jazz has been intertwined with its politics

@highlight

Born in democracy; banned by Communists; now evolving in new democracy

@highlight

Jazz is a popular, individual genre characterised by improvisation