Indiana, U.S. (CNN) -- North Korea will soon test its third nuclear device. Earlier tests in 2006 and 2009 drew worldwide condemnation, Security Council sanctions and led Pyongyang to withdraw from the six-party talks.

In resolution 2087, passed on January 22, the Council imposed new sanctions on North Korea for its December 12 space missile launch and made clear that new violations would be dealt with harshly.

In response, North Korea rejected Council legitimacy, asserted their right to nuclear weapons and deterrence and proclaimed it would soon conduct a new nuclear test.

In addition the North engaged in some strong saber-rattling aimed at South Korea.

Because some analysts believe this will be a uranium explosion, it is a game-changer for the region and poses new and unfavorable challenges to the Security Council. A successful uranium test indicates that Pyongyang has advanced centrifuge technologies and related support systems. It means that North Korea, if left unchecked, can both produce and export such material, raising new concerns that Pyongyang and Iran cooperate in such developments.

Politically the test will reveal that the new regime of Kim Jong-Un exceeds the defiance to U.N. dictates of his predecessors in pursuing his nation's nuclear goals. Neither the prospect of stronger sanctions, nor the growing discontent of Russia and China with his behavior, appears to deter North Korea's young leader.

OPINION: Rescind North Korea's license to provoke

These dilemmas confront the permanent five members of the Council with a harsh reality check regarding their unity of action and what message to convey to the north via what particular sanctions. If the Council follows the logic of resolution 2087, it will impose more extensive and punishing sanctions than ever before. Such sanctions will blacklist companies, government agencies and individuals long known for their role in illicit technology procurement and sanctions evasion. They will expand financial sanctions into areas of banking that would require substantial transnational enforcement to bite, and they may call upon countries in the region to inspect almost all North Korean trade. The economic squeeze and further isolation of the DPRK will increase substantially.

These sanctions would require China to play an enforcement role against North Korean economic actors it has hitherto resisted. Seizing prohibited goods that pass through Dalian harbor and other trans-shipment points, as well as shutting down various border activities, would also fall to China. These extensive sanctions as punishment operate from the assumption that at some point the north will forego its nuclear program in order to survive as an authoritarian state.

But there may be an alternative to the punishment approach that could bring Beijing on board with effective Council action. China might well accept specialized trade sanctions aimed to degrade the DPRK's ability to sustain the nuclear program for lack of material and due to prohibitive costs of sanctions busting, as a way of conveying to Pyongyang that it must return to the negotiating table.

The logic of extensive new product-focused sanctions is that DPRK can make -- or jerry-rig -- only a small fraction of the advanced technologies and specialty materials that sustain an ongoing uranium enrichment program. To choke off these materials -- and the illicit means of financing them -- provides the Council with a possibility to make it technically impossible for DPRK to have a functioning uranium-based bomb program.

Precise lists of dozens of the materials used in centrifuge operation that should be sanctioned are already recorded for the Council in the reports of their Panel of Experts for the DPRK. Lists of related materials have also been developed by the Nuclear Supplies Group. To date the permanent five have sanctioned only a very few of the materials on either list. The Council also needs member states to strengthen export, customs and financial controls on dual-use items that are "below grade" of those newly sanctioned items. This will stifle the North's ability to upgrade or jerry-rig these hitherto unsanctioned items as a way of maintaining their program.

Also critical to the success of this choking of supplies would be stricter controls of the illicit financing that supports such trade. Putting strong enforcement behind the 2087 resolution's concern about DPRK cash flows, especially through its embassies, is also in order.

Another, somewhat unprecedented, sanctions option would be a Council-issued travel ban on North Korea placed on all scientists, engineers and others with specialized expertise in centrifuge technologies and uranium enrichment.

Political agreement on these measures will not be easy to attain among the permanent five nations of the Security Council. But a product-focused sanctions approach -- especially leveraged to aim for more direct diplomatic engagement with the DPRK while denying them material to grow their illicit programs -- has the best chance of gaining Council consensus.

The opinions expressed in this commentary are solely those of George A. Lopez.

@highlight

Lopez: Uranium-based blast would pose new challenge to U.N. Security Council

@highlight

Indicates Pyongyang has advanced centrifuge technologies and related systems

@highlight

North Korea's young leader appears to care little about what U.N. or China think

@highlight

Product-based sanctions may stifle the North's ability to continue nuclear program