(CNN) -- Inside the city limits of San Antonio, mounds of churned up earth are piled knee high as far as the eye can see. Fresh green grass has disappeared and the only evidence of any shrubs is the exposed roots protruding from the carnage. What looks to be the path of a devastating tornado in America's heartland is actually the result of a small group of feral hogs in the Lone Star state.

Texas, along with many of the southern states, is facing a problem of "Hogzilla" proportions. From agricultural fields and farmland to golf courses and playgrounds, no property is off limits to these chubby eating machines. From 2 to 6 million feral hogs are wreaking havoc in at least 39 states. Texas is said to be home to over half of the country's feral hog population.

Recently, I co-hosted a special series on invasive species featuring the devastating impact feral hogs are having on the residents and livestock of Texas. This "pig explosion" is affecting anyone who drives a car or drinks tap water. In other words -- everyone.

The term, "feral hogs," refer to either domesticated hogs that are now wild or Russian boars, or the hybrid of the two. Hogs have roamed the U.S. since the 1530s and were an important source of food for the early pioneers. It wasn't until the 1930s when the Eurasian wild boar was released into the Texas landscape that things began brewing for the perfect pig storm. Given their ability to adapt well to most environments and their breeding capabilities, a pair of hogs can quickly become hundreds. Sows can become pregnant at 6 to 8 months old and are capable of birthing four to six piglets per litter.

In Texas alone the agricultural damage caused by hogs is estimated to be $52 million dollars annually. With millions of hog snouts rooting their way through the Southern states, the problem has grown from an agricultural and rural issue to a suburban nightmare.

As witnessed recently in the Atlanta suburbs, a torn up yard or demolished sprinkler system is a common occurrence. Imagine driving your car into a 500-pound black boar or worse ... a group of them. Hundreds of pig-vehicle collisions occur every year. In some cases, severe injury and death happen.

Along with costing taxpayers hundreds of millions of dollars in land, property and collision damage, another scary reality is the effect on water quality. Because hogs don't have any sweat glands they often wallow in creeks and rivers beds to keep cool. Defecating in and around these water sources produce high levels of bacteria. This same contaminated water is often used to irrigate agricultural fields that are growing your family's vegetables.

Some reports estimate the total damage feral hogs cause annually in the U.S. to be over $1 billion. Whether we're talking millions or billions, the big question looms in everyone's mind: What can we do about it? Is an "Aporkalypse" inevitable?

The first and most important step is to acknowledge and understand the problem at hand. The Invasive Species Council has made efforts to spotlight the problem both at the state and federal levels. With many shows highlighting hog hunting, even on prime time TV, the issue has been brought to the attention of the general public. That poses another question: Whose problem is it? Often people don't care about problems that aren't occurring in their own backyard.

While there's no easy solution, there are ways of helping manage their numbers. Being a lifelong big game hunter, I fully support any legal method of helping lower the population of feral hogs. Hunting and trapping are two of the best solutions.

I've hunted wild hogs in the swamplands of Florida. I've even hunted hogs in Texas at night. The only problem I see in hunting hogs is there are not enough hunters. Pigs are smart and typically more active at night. Hunting pigs is not as easy as one might think. And while hunting and trapping these destructive creatures can be very successful, hunters and trappers simply can't keep up with the population.

Now the thought probably crossed your mind: How about we eat them? Sure, these pigs will never win any beauty pageant but they are wonderful table fare. Butchered into bacon strips and pork chops or barbecued on the spit, they are simply delicious. In my opinion, wild hog meat is just as tasty as common, domesticated pig. In fact, trapped hogs in Texas are often sold to independent buyers who sell these swines overseas to Asian markets. But in order to get them to the dining table we still need to knock them down first.

Personally, I have witnessed the devastation on several visits to Texas while interviewing ranchers and wildlife officials. The severity of the situation hit home after I met a woman who demolished her pickup truck after it collided with a 300-pound boar.

The southern states are the ones most affected by the wild hogs but that won't be the case for long as their population grows. It's obvious this is a serious problem that needs to be addressed.

In the theatrical release of this summer's blockbuster hit "World War Z" Brad Pitt figured out how to save humanity from a virus. Texas could be in a world of hurt because of their pig population if they don't prepare for "World War P."

The opinions expressed in this commentary are solely those of Jana Waller.

@highlight

Jana Waller: Many southern states are facing a problem of "Hogzilla'"proportions

@highlight

Waller: Estimate says two to 8 million feral hogs are wreaking havoc in 39 states

@highlight

She says the hogs cause costly damages to property, agriculture and water supply

@highlight

Waller: I fully support any legal method of lowering the population of feral hogs