Reggie Hilaire was a rookie cop on September 11, 2001. He worked at ground zero for 11 days beside his colleagues -- many of them, including Hilaire, not wearing a mask. He was later assigned to a landfill in Staten Island, where debris from the World Trade Center was dumped.

For about 60 days between 2001 and 2002, the New York police officer was surrounded by dust.

In 2005, Hilaire was diagnosed with thyroid cancer. He underwent surgery and radiation. Just months later his doctor told him he also had multiple myeloma, a blood cancer that multiplies the body's plasma cells to dangerous levels.

It's a cancer that usually strikes much later in life. Hilaire was 34.

More than 1,100 people who worked or lived near the World Trade Center on 9/11 have been diagnosed with cancer, according to the Centers for Disease Control and Prevention.

A few months ago Hilaire received a letter from the CDC's National Institute for Occupational Safety and Health, officially offering him medical insurance under the World Trade Center Health Program. About 1,140 people have been certified to receive cancer treatment under the WTC Health Program, a representative told CNN.

These are the first numbers released since the program was expanded a year ago.

In September 2012, federal health authorities added 58 types of cancer to the list of covered illnesses for people who were exposed to toxins at the site of the World Trade Center in the aftermath of the 9/11 attacks.

Dr. John Howard, administrator of the WTC Health Program, had said the year before that cancer treatments would not be covered by the compensation fund. At the time, he said there was inadequate "published scientific and medical findings" to link 9/11 exposures to cancer.

9/11 responders wait for compensation for illnesses

Others argued that hundreds of chemical compounds, among them known carcinogens, were present in the dust surrounding ground zero.

Potential cancer-causing agents such as asbestos that coated the World Trade Center buildings' lower columns, and benzene, a component of jet fuel that caused uncontrollable fires when planes barreled into the twin towers, have long been a cancer concern for researchers. Scientists were also worried about the high volume of particulates and gases inhaled by responders, survivors and people who lived in the area.

Yet some officials were worried about making the connection between 9/11 and cancer too soon. When the proposal to add cancer coverage was made, experts estimated the cost would total between $14.5 million and $33 million. And while someone's cancer may have been caused by his or her work at ground zero, it might also have been a coincidence -- they may have gotten cancer anyway.

A long lag time makes it particularly difficult to study the link. Cancer doesn't develop quickly after breathing in something toxic, the way asthma might. Instead, leukemia can take five to six years to develop, and solid tumors can take 10 to 20 years.

Compensation comes too late for one man

In the end, it was a study of firefighters that helped persuade the government to include cancer in the WTC Health Program. Researchers found firefighters who worked at ground zero were 19% more likely to develop cancer than firefighters who did not. According to the 2011 study, published in The Lancet medical journal, the increase occurred during the first seven years after 9/11. There were subtle increases seen in a few cancers in particular, including gastro-esophageal cancers and blood cancers such as multiple myeloma and non-Hodgkin's lymphoma.

One theory about how the cancers may have developed so soon among responders is that the unique characteristics of ground zero dust, and the sheer number of chemicals contained in it, may have accelerated disease.

The WTC Health Program will act as a backup insurance for Hilaire, whose primary insurance through the city has been taking care of his medical expenses. Doctors aren't treating his multiple myeloma now; it's asymptomatic, so they're simply watching it. But when it does start to cause problems -- and it will, his doctors say -- they'll begin a treatment program.

For Hilaire, receiving the WTC Health Program welcome letter was more about recognition than assistance.

"They looked over my medical records ... determined cause and effect," he said. "After years saying, 'We don't know, we're not sure,' they finally said, 'Yeah, you got it from there.' "

And Hilaire knows the program will be a big help to those who don't have good health insurance -- folks who lived or worked in the area who have since been diagnosed. He said he thinks the number of people who have, or who will get, cancer related to 9/11 is a lot higher than 1,140, something only time will tell.

The WTC Health Program was created as a result of the passage of the James Zadroga 9/11 Health and Compensation Act.

The Zadroga Act, passed by Congress in December 2010, is designed to provide medical services and compensation for responders who were exposed to toxins while working at ground zero. President Barack Obama signed the $4.2 billion legislation in January 2011. The law is named after a New York police officer who died of a respiratory disease attributed to working amid the toxic chemicals at the attack site.

First responders, volunteers, survivors of the attacks and residents near the 9/11 site who meet specific qualifications are eligible for coverage, according to the CDC.

The program has also been recently expanded to include responders from the Pentagon attack and Shanksville, Pennsylvania, where United Airlines Flight 93 crashed. People are still enrolling from those locations so the National Institute for Occupational Safety and Health does not have an accurate count of how many people were affected, a representative told CNN.

To determine eligibility for the WTC Health Program, visit www.cdc.gov/wtc.

My son died as a first responder

@highlight

Under World Trade Center Health Program,  about 1,140 people will receive cancer treatment

@highlight

Others from the Pentagon and Shanksville, Pennsylvania, are applying now

@highlight

Federal health authorities added 58 types of cancer to the list of covered illnesses in 2012

@highlight

Study showed firefighters at ground zero were 19% more likely to develop cancer