Washington (CNN) -- Hillary Clinton told an audience last month that she is not thinking about her 2016 presidential plans and told supporters "not to think about it."

Nonetheless, they're laying the groundwork necessary to activate a campaign in a not-so-subtle attempt to convince her to run.

The party that was once known for duplicating efforts and an inability to accept the realities of federal election law believes it has found its groove with a cadre of organizations working in concert to elect the first woman president.

"Everybody is swimming in their own lane, which is very unusual for Democrats," said Paul Begala, head of pro-Clinton Priorities USA Action and a CNN contributor. "Usually Democrats bump into each other all the time."

Does Obama secretly support Hillary Clinton for 2016?

The message from pro-Clinton Democrats is that each group has their own goal: Priorities USA Action deals with high-dollar fundraising and making ads; Ready for Hillary builds grassroots support and a sizable e-mail list; Emily's List grows excitement in electing a woman president; and Correct the Record handles messaging, research and rapid response to attacks from opponents.

In South Carolina, Clinton forces try to tap Obama magic

Group known for backing Hillary Clinton also defends Biden

Each group's early efforts are unprecedented -- especially considering Clinton has yet to announce her presidential intentions -- causing some senior Democrats to worry that focusing on 2016 is taking Democrats' focus off the 2014 midterms with the balance of power in the Senate at stake.

Bill Clinton hits midterm trail with an eye on 2016

But what really sets these coordinated efforts apart are the close personal ties between organizations and a super PAC board that's stacked with a who's who list of pro-Clinton operatives.

The pro-Clinton board

When Priorities USA Action announced its new board last month, most on the list were either picking up a paycheck, closely tied to or advising one of the groups urging Clinton to run.

Allida Black, the chairperson of Ready for Hillary, is on the board. So is David Brock, the prolific fundraiser behind the liberal super PACs American Bridge and Correct the Record. Also earning a seat: Stephanie Schriock, president of Emily's List, and Harold Ickes, a longtime Clinton confidant and an adviser to Ready for Hillary.

The announcement made it clear that the Priorities board is shaping up to become the nexus of the groups pushing a Clinton campaign.

"If you look at our board, the Priorities board, that is coordination incarnate. That is coordinating," Begala said. "This is where a lot of conversation occurs. That, I think, shows the connection and the cooperation on my side."

And a number of sources close to the process of putting the Priorities board together said the intent was to center the body around these pro-Clinton groups.

The coordination extends to President Barack Obama's 2008 and 2012 presidential campaigns.

Earlier this year, Priorities made a big splash when it named Jim Messina, Obama's campaign manager, as the board's co-chairman. The move had some political experts questioning whether Messina's move to Priorities was a tacit presidential endorsement for Clinton.

White House Press Secretary Jay Carney said that Messina is "an independent American citizen" who is "not affiliated with the President, the White House."

Messina has started with the super PAC, including working with the new board. So far, the board has had a handful of conference calls and the expectation is there will be regular interaction between the pro-Clinton operatives.

Even longtime Democratic operatives like Brock say, "This kind of cooperation on behalf of a unified Democratic front is unprecedented."

The longstanding relationships

Also at play is the web of friends, confidants and former colleagues that have staffed the groups. Many of the top strategists at each organization have worked together, some for decades. Each organization said the trust between these individuals makes it easier to coordinate.

"If you have been in this town long enough, you have worked on the Hill, you have worked in politics, chances are you have almost worked with everyone in your age group in that level," said a source at Correct the Record. "With that, the line between work drinks and drinks with friends is oftentimes one in the same."

With this familiarity comes an ease and, sometimes, an expectation that the Democratic operatives with a common goal will help each other out.

Adam Parkhomenko, founder of Ready for Hillary, and other members of the super PAC's staff have a weekly call with American Bridge and Correct the Record. When Emily's List has an event for Madame President -- the group's initiative to elect a woman president -- Ready for Hillary will get an early heads-up.

Parkhomenko had lunch with Buffy Wicks, the executive director for Priorities USA Action, in early February, shortly after Priorities made clear it would be a pro-Clinton group with a focus on 2016. The lunch was set up in an effort to strengthen bonds between the groups and make sure the organizations weren't stepping on each others toes.

"They trust each other, they have worked with each other for a long time," said a source at Ready for Hillary. "It just makes it easier to work together."

The problems

Some senior Democratic operatives think that focusing on 2016 this early is a distraction from the upcoming 2014 midterm elections.

Earlier this month, Guy Cecil, the executive director of the Democratic Senatorial Campaign Committee and a longtime Clinton supporter, sent off a trio of tweets pushing operatives, fundraisers and donors to not lose focus on 2014.

"To those who are #ReadyforHillary, we've got another job to do before 2016," said one. "To the donors who want to expand the electorate, fight voter suppression laws & win in 2014, we need your help now," said another.

Cecil's job is to protect their blue majority in the Senate. Democrats also hope to win back the House in 2014, but the chances of that look dim.

David Axelrod, Obama's former campaign manager, tweeted earlier this month, "With the Senate seriously at risk, and the Koch Brothers spending prodigiously, shouldn't Dem funders be focused on '14 and not '16 races?"

In reaction, Wicks sent out a memo to Priorities USA supporters making it clear that the Democratic super PAC would not be sitting out the 2014 midterms.

"No one should sit out the 2014 midterm elections, period," Wicks wrote. "Priorities USA Action, which was founded to preserve, protect and defend the Obama presidency, was not born with an eye toward congressional races. However, the upcoming midterm elections are so critical for our future and the ability of the next President to govern that we must engage."

There are other problems that come with amassing a campaign infrastructure without having a candidate. Namely: What happens if Clinton decides not to run?

While many friends and confidants believe Clinton will run, most tell CNN that she has yet to decide.

There are Democrats waiting in the wings, but almost all Democratic focus for 2016 has been trained on Clinton. A CNN/ORC International Poll released earlier this month showed 70% of Democrats would support Clinton's nomination in 2016.

Poll: If not Clinton, then what kind of Democrat?

CNN/ORC Poll: Christie's loss appears to be Clinton's gain

The pro-Clinton groups have said they would help other Democrats should Clinton not run. Ready for Hillary would use the substantial e-mail list it has amassed to help different state parties and candidates. Earlier this year, Correct the Record showed it was a team player by defending Vice President Joe Biden against Republican attacks.

The groups are staffed by Clinton loyalists and all hope the former first lady will run. If Clinton doesn't run, the resources amassed to help her will be in question.

The irony

Back in 2010, the Supreme Court open the floodgates to outside campaign spending in their Citizens United ruling. At the time, Democrats derided the decision as "bad for American Democracy" and Obama bashed the ruling in his State of the Union address. Conservative groups seized the opportunity and spent millions of dollars in support of Republican campaigns.

Conservative super PACs outspent liberal groups by a 3-2 margin, $36.7 million to $24.6 million, according to analysis by the Center for Responsive Politics. That gap grew to 2-1 of the $609 million raised by super PACs in 2012.

Although many pro-Clinton Democratic operatives say they wish big money was not a part of politics, the pro-Clinton groups have embraced the law.

Advisers close to the groups equate the supervision from the Federal Election Commission to the "Wild West," where little is off-limits and groups can have a sizable impact years out from Election Day 2016.

"You have to play the game with the rules as they are," said the Priorities source. "We can't unilaterally disarm."

A source close to Ready for Hillary said they're using "Citizens United ruling to benefit Democrats. We wouldn't be doing this if we didn't believe it could work."

Rubio on 2016: Clinton would 'struggle'

Biden on 2016: If Hillary runs, it won't affect my decision

Jeb on Bush family name: 'It's an issue'

Christie's poll numbers still tumbling

What would Democrats do without Clinton in 2016?

2016 watch: Not your daddy's GOP

@highlight

A web of Democratic groups backing a possible second White House bid by Hillary Clinton is organizing

@highlight

Groups bound by close personal ties and board packed with pro-Clinton operatives

@highlight

But the early work for Clinton could distract Democrats from the 2014 midterms

@highlight

And the question remains: What if Clinton doesn't run in 2016?