Las Vegas (CNN) -- Mobile technology is no longer limited to laptops, smartphones and tablets. It's seeping into every corner of our lives, including television and movies, cars, the workplace, health care, education and eventually our bodies.

This expansion of mobile, and its next generation of highly mobile tech users, were the subject of Monday's Consumer Electronics Show keynote. Delivered by chip maker Qualcomm's chief executive Paul Jacobs, the talk marked the official kickoff of the show, which opens its doors Tuesday morning.

The CES keynote address was previously handled by Microsoft, a company whose products are instantly familiar to consumers around the world. Successor Qualcomm isn't a household name, even though it says it has shipped 11 billion chips in its 27 years and its mobile processors power the mobile devices you use everyday.

The challenge for Qualcomm on Monday was to illustrate how its technology is relevant to regular consumers. The resulting talk was as scattered and entertaining as its rooster of special guest stars, which included "Sesame Street's" Big Bird, Archbishop Desmond Tutu (via video), filmmaker Guillermo del Toro, NASCAR driver Brad Keselowski, "Star Trek" actress Alice Eve and pop band Maroon 5.

But the biggest guest star for this tech audience may have been Microsoft CEO Steve Ballmer, who ran out on stage to giddily show off three new Windows 8 products.

5 fun and odd gadgets from CES

The event kicked off with a skit featuring young actors playing stereotypes of the most annoying people you've ever been stuck behind in a Starbucks line. An OMG-spouting popular girl, a gamer geek who talks like a surfer and a Silicon Valley wannabe entrepreneur. What tied these characters together was the theme of the event: they were all "born mobile."

The primarily mobile phenomenon is international. According to Jacobs, 84% of people worldwide say they can't go a day without their mobile device. The smartphone interface is so commonplace, people now want it on their other devices. The Android mobile operating system is already expanding beyond smartphones and tablets to smart TVs, cameras and Google's Project Glass smart glasses.

Qualcomm's chips have an even broader reach, appearing in smart TVs, game consoles, home automation devices and even cars. During its keynote Qualcomm showed how its technology can be used to enable wireless charging for electric vehicles.

The tech industry assumes that eventually, everything will be connected to the Internet, with cars, household appliances and mobile devices all communicating with each other. The concept, called the "Internet of Things," has been kicking around for many years, but a recent boom in low-cost sensors and popular gadgets like the Nest smart thermostat have led to more gadgets that successfully add Web connectivity.

For example, wearable health monitors could be used to notify you or your doctor as soon as something is wrong with your vital signs.

Trends to watch at CES

"It's really going to empower us by giving us more information about ourselves and our environment," said Jacobs, who said most people look at their phones 150 times a day.

Even in the present, mobile phones are changing people's lives and behaviors. In developing countries, where a phone is many people's first and only device, phones are being used to deliver basic heath care. Augmented reality apps, like those powered by Qualcomm's Vuforia platform, are being used to help children learn to read.

Qualcomm also used the keynote to announce two new processors, the Snapdragon 600 and 800. Most people who will benefit from the faster, more energy-efficient chips probably won't know their names. But with this keynote, Qualcomm hopes to make a name for itself as a innovative company powering the mobile tech of the future.

@highlight

Chip-maker Qualcomm kicked off the 2013 Consumer Electronics Show with a keynote

@highlight

CEO Paul Jacobs highlighted the expansion of mobile technology beyond smartphones and tablets

@highlight

The talk featured random guest stars, including Big Bird, Guillermo del Toro and Maroon 5