(CNN) -- Hamza Ali al-Khateeb, the Syrian boy whose killing has enraged, mobilized and emboldened the country's opposition movement, once harbored dreams of being a police officer.

But the 13-year-old changed his ambitions when the government crackdown went into full swing.

"When he saw police officers kill the people in the revolution, he would say, 'The police kill the people and I don't want to be like them. I do not know what I will be but the police kill people and torture them,'" according to one of his relatives, who escaped to Kuwait amid the regime's suppression of protesters.

The relative asked not to be named out of fear for the safety of his family in Daraa, the southwestern city where the anti-regime demonstrations started in mid-March.

Family members say Hamza got separated from his father in the chaos during demonstrations around Daraa on April 29, when protesters marched on the city to break the Syrian military siege and force the delivery of important supplies, such as medicine and milk for babies.

A few weeks ago, the family received the boy's body. A video that showed up on YouTube displays an appalling and mutilated corpse; much of the video is too graphic to broadcast. The face is bloated and purple and his body is covered in bruises. There are gunshot wounds to his torso and his genitals are mutilated.

CNN cannot independently verify what happened to Hamza or the authenticity of the video.

His death has punctuated the domestic and international outcry against the clampdown by President Bashar al-Assad's government against peaceful protests. "I can only hope that this child did not die in vain," U.S. Secretary of State Hillary Clinton said this week.

Patrick McCormick, a spokesman for the U.N. children's agency, UNICEF, said children are not immune to the civil unrest across the region.

"The pictures are shocking. They have gone all over the world. And no one could see that without being deeply moved and ashamed about what happened to that boy," he said. "I have no idea why anybody would brutalize a young boy like that. I cannot even begin to go there. We just know that somehow it happened."

UNICEF is calling for investigations so the perpetrators can be brought to justice, "some sort of justice in a situation that's volatile," McCormick said.

"We want to get to the bottom of it."

The relative, interviewed Thursday by CNN, described Hamza as a smart kid who loved school and soccer, and who was raised in a modest setting where he was the youngest child of a laborer.

"He was only 13 years old but he had the maturity of a 30-year-old," the relative said.

The boy supported the demonstrations and would refuse to eat during the military's late April siege in Daraa because others didn't have food and he felt it would be unfair to eat while they went hungry.

Hamza would accompany his family to protests, waving a Syrian flag and chanting, "No Hezbollah and No Iran. We want freedom," the relative said.

The relative said he, Hamza and other members of their extended family took to the streets on the day the boy got lost and apparently swept up by Syrian officials.

Children accompanied the marchers, the relative said, because "we did not expect people to shoot."

"Hamza was among the children and carried a small Syrian flag with three stars, the flag of Syrian independence."

After he went missing, his family searched for days but failed to find him.

Eventually, another relative got a tip that Hamza was being held in prison, saw the boy alive and well, and begged the security forces to free him. Security officials asked Hamza's family to return in two days and said they would release the teen.

However, the first relative told CNN, "the security forces were angry at us, asking how we found out where Hamza was and infuriated that we had found him. Then they tortured the poor boy for two days."

When the parents went to the prison, security officials told them to go to the hospital. That's where they found the corpse.

"We went to the hospital and what we saw was horrific. His mother had a nervous breakdown. These are people who are not afraid of God who do not know God," the relative said of the security officials.

The family took Hamza back to his village for burial and held a wake in the child's honor.

"His father was destroyed and his mother seemed to have lost her sanity crying for him one minute and then yelling shrills of joy for his martyrdom the next," the relative said.

The relative said that the night the family received the body, Hamza's father was arrested and taken away by security forces.

The security forces threatened him and told him not to speak to any media outlets, human rights organizations or anyone else.

"They told him we have killed one of your children and we can kill the rest of them too," he said.

Syrian state TV on Tuesday ran a segment in which a person identified as the medical examiner in the case said the body's injuries were sustained when the boy was alive, but there was no evidence on the surface of the body that the boy had been subjected to torture, violence or retaliation.

The medical examiner said proper procedures to identify the body were followed after the body first arrived, and went on to describe how a body deteriorates in phases after death, turning dark brown, for example, with parts becoming enlarged.

The boy's death, he said, was the result of the three gunshot wounds he sustained.

Syria TV also said al-Assad met with members of Hamza's family on Tuesday, and it showed men it identified as the boy's father and uncle who said that al-Assad was very welcoming and understanding, and promised reform.

The relative had fled Syria by the time state TV aired the video of the father and uncle thanking al-Assad.

But, he said, "I swear to you they said this because they were threatened. The father is defeated. They told him they would kill his children and destroy his family. They forced him to say this."

The man said he is very concerned about the issue of child victims and feels the regime was purposely targeting children to "teach us a lesson."

"There is not just one Hamza in Syria," the relative told CNN. "There are hundreds of Hamzas, and these men do not know God so they will make a hundred more Hamzas."

CNN's Arwa Damon contributed to this report.

@highlight

NEW: UNICEF wants an investigation so there can be "some sort of justice"

@highlight

Hamza, a boy who loved school and soccer, had been protesting on April 29

@highlight

His death has sparked worldwide outrage

@highlight

Those who killed him "do not know God," says a relative who has fled to Kuwait