Five things kill more people in the United States than anything else: heart disease, cancer, lung disease such as emphysema and chronic bronchitis, stroke and unintentional injuries such as those on roads or caused by medication overdoses.

Together, these five conditions cause almost two-thirds of all deaths in the country -- nearly 900,000 each year.

On Thursday, the Centers for Disease Control and Prevention is releasing its first report on potentially preventable deaths from those causes in each one of the 50 states. The data suggest we could prevent at least a third of those deaths.

We already know how to do it -- now we need to act on what we know. Whether it's by investing resources, using proven strategies or coordinating with health care systems, we have within our communities the strengths to help people live long and healthy lives. Even identifying and focusing on just one issue that can be addressed in each community will make a difference.

The greatest impact comes when we make the default choice the healthy choice -- for example, making heart-healthy actions part of the normal course of everyday life.

CDC: 200,000 people die needlessly every year

We can make it easier for people to be physically active, avoid tobacco and have access to affordable, healthy food.

We can make it easier for people to get recommended clinical preventive services such as blood pressure management and cancer screening, and to have access to good quality health care when it's needed. And we can make it so that our children are likely to reach adulthood without being addicted to nicotine or facing a potentially lifelong struggle with obesity.

Here are some examples of communities making a difference:

• In San Francisco, 44,000 children have access to safe recreational space because public school playgrounds are now open during nonschool hours.

• Nearly 700,000 residents of Broward County, Florida, can increase their level of physical activity because their community is improving the safety and accessibility of walking, riding bikes and using public transportation.

These are just two examples of success stories, large and small, that make the healthy choice easy.

The Million Hearts initiative, launched by the Department of Health and Human Services in 2011, brings together communities, health systems, nonprofit organizations, federal agencies and private-sector partners to prevent heart attacks and strokes.

Americans suffer 2 million heart attacks and strokes each year, which cause one in every three deaths and add more than $300 billion to our annual health care bill.

Million Hearts will reduce these human and economic costs by improving care for high blood pressure and high cholesterol, helping patients quit smoking and increasing use of aspirin for those who will benefit from it.

Tobacco remains the leading preventable cause of death in this country and in the world. Tobacco use is a major factor in four out of the five leading causes of death: heart disease, cancer, lung disease and stroke. It causes about a third of heart disease and cancer, and most emphysema. Getting the last 20% of Americans who still smoke to quit will make a huge difference in the length and quality of their lives.

Most people in this country who smoke started as kids, most who have ever smoked have already quit, and most current smokers want to quit.

We know it can kill us: Why people still smoke

We can prevent children from starting to smoke, help motivate smokers to quit and protect nonsmokers from secondhand smoke by working at federal, state and local levels to eliminate loopholes in restrictions on tobacco marketing, pricing and products, and by expanding smoke-free regulations that cover all public places and workplaces without exception.

This kind of change requires political will, especially when faced with vocal and well-organized opponents funded by the tobacco industry.

We've learned from health systems around the country that big improvements can come from simple measures that focus clinical attention. These include effective use of electronic health records to identify and track the progress of patients who need support, team-based care and the use of protocols and prompt data feedback.

Change is never easy. But each year we don't act adds tens of thousands of preventable deaths to the toll. We owe it to the American people to do better.

@highlight

Heart disease, cancer and lung disease are among the top five U.S. killers

@highlight

Those five cause nearly two-thirds of deaths in the country

@highlight

New data suggest about a third of those can be prevented

@highlight

"We need to act on what we know," says CDC director