(CNN) -- While such situations are rare, the puzzling disappearance of the Malaysian jetliner is not the first time a plane has vanished without a trace. Here are nine cases of mysterious plane disappearances and disasters. Some remain unsolved, decades later.

2014: Malaysia Airlines Flight 370

The Boeing 777 passenger jet vanished early Saturday, about an hour into its flight from the Malaysian capital to Beijing. There was no distress call before contact with it was lost over the sea between Malaysia and Vietnam. Search teams from various nations are combing the waters on the Malay Peninsula for traces of it, but so far, nothing has been found. The mystery over the fate of the jet and the 239 people aboard has baffled government officials and aviation experts.

2009: Air France Flight 447

The Airbus A330 took off from Rio de Janeiro en route to Paris on May 31, 2009. A few hours later, as it crossed the Atlantic, it told control center its position.

That was the last contact with the plane. Its last known position -- two to four days by ship from the nearest ports -- and the ocean's depth hindered searches.

It took almost two years before the bulk of the wreckage, the majority of bodies, and the voice and data recorders were recovered. All 228 aboard died.

In 2012, French authorities said ice crystals disrupted the system used to determine the plane's airspeed, causing the autopilot to disconnect. The plane plunged into the ocean.

2003: Boeing 727

Eleven years ago, a Boeing 727 vanished in the Angolan capital of Luanda.

The plane took off from the Quatro de Fevereiro International Airport on May 25, 2003, headed for Burkina Faso. It departed with its lights off and a dysfunctional transponder.

There are conflicting reports on the number of people in the company jet, but flight engineer Ben Charles Padilla is believed to be one of them. Some reports say he was alone, while others say three people were aboard.

The plane has not been heard from since. Its whereabouts are unknown to this day.

1999: EgyptAir Flight 990

Fifteen years ago, EgyptAir Flight 990 made a rapid descent, plunging almost 14,000 feet in 36 seconds.

The 767 jet, en route to Cairo from New York City, crashed into the Atlantic Ocean off the Massachusetts coast.

Though its debris was later found, speculation remains on the cause of the October 1999 crash that killed all 217 people aboard.

Theories included a possible suicide by the pilot or co-pilot, complete with tales of a chaotic struggle for controls in the cockpit. Egypt said it was a mechanical failure.

1996: TWA Flight 800

The Paris-bound plane exploded in midair shortly after takeoff from New York City, killing all 230 people aboard.

Witnesses said they saw a streak of light and a fireball, leading to suspicions that terrorists struck the plane with a rocket. Others blamed a meteor or a missile.

The National Transportation Safety Board ruled that the explosion was caused by an electrical short circuit, which detonated the fuel tank and caused the Boeing 747 to break into pieces in the waters off Long Island.

Despite the explanation, conspiracy theories of a government coverup abound.

1947: British Stardust

Sixty-seven years ago, a British aircraft vanished in the Argentine Andes after takeoff from Buenos Aires, headed to Chile.

After searches for the plane named Stardust turned up nothing for more than 50 years, conspiracy theorists jumped into action. But theories of aliens, among others, were invalidated in 2000, when the wreckage of the plane was found buried deep in a glacier.

The crash on August 2, 1947, killed 11 people, the BBC reported.

Stardust's final Morse code transmission was the word "STENDEC." Decades later, the meaning of the word remains a mystery.

1945: Flight 19 Navy bombers

Flight 19 does not refer to a single plane, but to five Navy bombers that disappeared off the Florida coast on December 5, 1945.

A flight instructor flew one plane, and qualified pilots with 350 to 400 hours of flight time were in the others, according to the Naval History and Heritage Command.

Radio transmissions indicated that the instructor got lost when compasses malfunctioned. Radio contact was lost before the exact problem was determined, and no traces of the planes were ever found.

Adding to the mystery, a search aircraft sent to look for Flight 19 also disappeared. The patrol plane, which took off later that day, has not been seen or heard from since.

Flight 19 was reported in the area informally known as the Bermuda Triangle.

1942: British fighter

A stray Royal Air Force fighter crashed in the blistering sands of the Egyptian Sahara on June 28, 1942.

Its pilot was never heard from again, and the damaged P-40 Kittyhawk was presumed lost forever.

But two years ago, an oil company worker discovered it 70 years after the accident. Surprisingly, it was extraordinarily well-preserved, and most of its fuselage, wings, tail and cockpit instruments were intact.

Back then, experts say, planes flew with basic supplies, so its pilot's chances of survival were not good.

1937: Amelia Earhart

The disappearance of Amelia Earhart is possibly the most famous unsolved aircraft mystery.

The groundbreaking aviator was on her most ambitious flight, vying to become the first woman to fly around the world.

In 1937, she attempted the voyage in her twin-engine Lockheed Electra. With about 7,000 miles left to go, she made a challenging landing at Howland Island in the mid-Pacific.

Her radio transmissions became unclear, and the last thing she reported over her radio was, "We are running north and south," according to her biography.

After spending $4 million and searching 250,000 square miles of ocean, the U.S. called off its search.

Many theories exist today, but her fate and that of navigator Fred Noonan remain unknown.

INTERACTIVE: What happened to Malaysia Airlines Flight 370?

@highlight

This is not the first time a plane has vanished without a trace

@highlight

Eleven years ago, a Boeing 727 went missing in Angola

@highlight

In 1945, five Navy bombers disappeared on the Florida coast, never to be seen again

@highlight

While wreckage of some has been found, mysteries remain on the causes of the crashes