Tattooed and pale, with an Arabic vocabulary of a few dozen words at best, 24-year-old American Peter Kassig is not who you would expect to see striding up and down the corridors of a hospital in Tripoli, Lebanon, clutching a wad of bloodied bandages.

"This is one of the worst wounds we have on the floor; this one is pretty bad," he says as he works to help clean out the raw lower leg wound of a patient.

"They were going to have to amputate the leg, but they were able to reconnect the artery, right," he asks Marwan, a 27-year-old nurse from Homs, Syria, who, like most of those Kassig works alongside, fled his homeland to treat his countrymen in Lebanon.

Despite the language barrier, the two have bonded, as Kassig has managed to with all those he's been interacting with, the type of unique bond born of shared intense experience whether it's with the patients, some who don't survive or the doctors and nurses who have suffered horrors Kassig is only beginning to comprehend.

"There is this impression, this belief that there is no hope," he explains. "That's when it's more important than ever that we come in against all odds and we do something."

How did an American end up in a Lebanon hospital treating wounded Syrians from months of escalating violence?

Kassig's journey began when he joined the U.S. Army Rangers in 2006 and deployed to Iraq in 2007. He was honorably discharged for medical reasons after a brief tour  and returned to the United States to study political science and train for 1500-meter runs.  But something wasn't right.

"I was going to school with kids who look the same, were the same age as me, but we weren't the same," he says.  "I wanted more of a challenge, a sense of purpose."

Portraits of conflict: Can an image stop the bloodshed?

In 2010, Kassig took time off and began his certification as an emergency medical technician.

In the two years that followed he fell in love, got married and quickly divorced. Devastated and heartbroken, he went back to school, but he couldn't shake his depression.

"I needed to make a drastic decision. It was a huge identity thing; it was time to re-evaluate," he says. "I needed a game changer."

He decided he would head to Beirut, follow the situation in Syria and try to help. So on his spring break this year he packed his medical kit and flew into the Lebanese capital.

"I took a chance," he says. "There wasn't a single person when I told them I was coming to Lebanon who said, 'Yeah, that's a great idea. You should do that.'"

The next two weeks were filled with eye-opening misadventures as Kassig began to scratch at the surface of the complexities of the Syrian conflict and the Middle East as a whole.

"I had learned enough to know that I didn't know anything," he says.

After finishing the semester back in the United States, he returned to Lebanon, only this time with a plan.

"We each get one life and that's it. We get one shot at this and we don't get any do-overs, and for me, it was time to put up or shut up," he says. "The way I saw it, I didn't have a choice. This is what I was put here to do. I guess I am just a hopeless romantic, and I am an idealist, and I believe in hopeless causes."

Kassig is now working to start a number of projects to help those in need and putting his EMT skills to use whenever he can.

"I am not a doctor. I am not a nurse. But I am a guy who can clean up bandages, help clean up patients, swap out bandages, help run IVs, make people's quality of life a little bit better,"  he says. "This is something for me that has meaning, that has purpose."

Some of those Kassig helps to treat are rebel fighters, all who vow they will return to the battlefield as soon as they can.

Others are the innocent victims of a spiraling conflict.

Lying in one of the hospital beds is 24-year-old Louliya.  She says she and her three children were run over by a military jeep as they were trying to escape the Syrian military siege of their village.  Her spinal cord was crushed, leaving her unable to move from the neck down.  She was smuggled across the border to Lebanon for surgery.

She's only just started to be able to regain feeling.

She smiles bravely but is unable to stop the tears from rolling down her face.

"All I want is to be able to hold my children in my arms again," she says softly, trying but failing to imitate the cradling of a child.

Despite dangers, doctors honor oath in a secret Syrian field hospital

In a room across the hall, Yaseen smiles devilishly as she tells us she's 7, laughing as her older sisters correct her.  She's actually 5.

Both her little legs are bandaged, a result of gunshot wounds she sustained as her family was fleeing the violence and their vehicle came under fire.

"It just itches," she says, giggling and insisting she was never afraid.

Other wounds are more gruesome: Dr. Ahmed Obeid, also a refugee from Homs, shows pictures on his cell phone of a raw wound, crawling with maggots. There's another photo of a young man with all of the flesh on his back removed -- a patient they were unable to save.

It was a case that caused Kassig to begin to appreciate just what it was they were up against.

"The tissue had turned necrotic, which basically means it was dead," Kassig explains. "We had to cut out a huge piece of skin, the whole upper side of his back."

It's what happens when the wounded can't be evacuated in time. A bitter lesson Syrians know too well.

Kassig says his direct exposure to what was something of an alien conflict and culture before has now transformed his perspective.

"There is this mentality from where I come from back home that I have a little bit of a problem with," he says. "I don't want to get on a political soap box, but at the same time we have to think about why as a country we choose to help certain people and not others.

"We have to think about why we just chalk up the Middle East [as] this complex enigma that we will never understand because they are so different from us.  But at the end of the day, they are really not. It's just about whether or not you're willing to go out on a limb and understand something," he says.

"Peter can tell the American people who we are," says Marwan, the Syrian nurse. "We are not what the regime says we are -- terrorists and al Qaeda. Peter knows we are good people, who love joking and laughter. We just want to live."

Kassig has been struck by the resilience of the Syrians he has met, by their ability to smile and somehow joke even in the darkest of circumstances.

"This kid has his leg blown off," he says, "and he still had the ability to crack jokes and smile, and he had the doctor cracking up. He had the whole room laughing. That's just the way they are, the people that I have met and worked with in the hospital. It's been absolutely humbling."

Sitting in the room where the hospital workers also sleep, Kassig stares up at the TV screen, always following with everyone else the news in Syria, image after image of death and destruction.

He says he believes that America has lost its humanity, that the nation needs to take a firm political stance, although he's not advocating military intervention.

"This is real, and it's scary stuff, and it's sad what is happening to people here," he says. "People back home need to know about it, they need to know. Sometimes you gotta take a stand, you gotta draw a line somewhere."

When outrage isn't enough | Your take: Intervene or not?

@highlight

American, 24, helps treat wounded Syrians in Lebanon

@highlight

He has served in Iraq but ooked for a 'game-changer' after returning home

@highlight

He hopes Americans understand what's going on in the region