(CNN) -- The clouds looked ominous in Killeen, Texas, on Wednesday afternoon. So instead of letting her 14-year-old son, Jordan, hang out at the skate park at Fort Hood like he usually did when school let out, Sharon Rice decided to pick him up and bring him home. The military family had just moved off post, and mother and son were heading out of the gate to leave when they heard sirens.

"We thought there was a thunderstorm warning," she said.

By the time they arrived home shortly after 4 p.m., they heard the news: Someone was on base shooting at people.

Sharon's husband, Army Capt. David Rice, was still at work on Fort Hood.

She tried to call him, but the phone lines were jammed. So she sent him a text.

Capt. Rice's first response -- "Is Jordan at the skate park?"

She assured him their son was safe.

"Good," he texted. "I will contact you later."

This is what military families do during emergencies -- they handle the immediate needs and talk emotions later, she said.

David Rice texted her that the service members in his unit were all right, so she went into "key caller mode" and grabbed a roster of family contacts. The relatives were spread out around the country, so she had no problem calling them to tell them their loved ones were not harmed.

Then, Sharon Rice managed to have a talk with her teenager about what had happened just before it aired on the news.

Army Spc. Ivan Lopez had walked from one building to another on the Army's largest post, firing a .45-caliber handgun. He killed three people and wounded 16. The 34-year-old, who had served in the Iraq war, then shot himself to death in front of a military police officer who had confronted him.

The situation was nerve-wracking, but Rice steeled herself.

With a father who fought with a Special Forces unit and a mother who was a military nurse in Vietnam, she knows what it's like to go on autopilot when something terrible happens.

She said it's crucial to turn to "certain protocols."

"There's not a lot of time for emotion, at first. There will be later, there definitely will be later," she said Thursday. "I'm sure I'll have talks with the chaplain later and have my breakdown."

Thursday morning, Jordan didn't go to school. He's a military kid, Sharon Rice said; he's always seen service members carrying guns. That is normal to him. He seemed to be OK, but was he really? Better that she be with him. Her husband, however, went back to work Thursday.

"Yes, it's secure"

Less than five years ago, in November 2009, Maj. Nidal Hasan killed 13 people and injured dozens at Fort Hood. In 2011, Pfc. Naser Jason Abdo was arrested after he tried to build a bomb to blow up Fort Hood troops. A search of his hotel room revealed various items used to make bombs, including battery-operated clocks and a pressure cooker. A federal judge sentenced him to life in prison.

Considering this recent history, CNN asked Rice, did she have any concerns about security on post, whether anything that could have been different to prevent the shooting?

Rice laughed heartily. "Are you kidding me?"

It's very, very tight on Fort Hood, she said.

"Every time you get on installation, you have to have the tag on the car scanned. They do it every time, every time you go through the gate. And then there are random checks," she said. "Yes, it's secure."

Fort Hood is the nation's largest Army post, covering 340 square miles. It is home to more than 45,000 assigned soldiers and nearly 9,000 civilian employees, according to the post's official website. Compare Fort Hood to cities its size, Rice said, and the violence there doesn't feel especially alarming.

Changes after Hasan massacre

In the wake of the 2009 massacre, authorities launched various investigations and reviews.

"The tragic shooting of U.S. military personnel at Fort Hood in November 2009 underscored the need for the Department of Defense to thoroughly review its approach to force protection," Defense Secretary Robert Gates wrote in a memo shortly after that shooting.

A series of changes were put in place.

A kind of "neighborhood watch" was created to teach the Army community to recognize and report suspicious behavior.

Gates also called for a plan to educate commanders on signs of workplace violence and an enhanced 911 systems on military installations to enable emergency dispatchers to effectively determine a caller's location.

Other recommendations included upgrading health care to service members and hiring additional providers, especially in mental health, to help meet that goal.

Still, at least some soldiers at Fort Hood feel more needs to be done.

"This place is definitely a black hole. This place is a stressful place," a soldier, who spoke on the condition of anonymity, told CNN's Brooke Baldwin. "Until we have people step up and see, hey, there needs to be change here, we're going to continue to have incidents like this."

"People in jail have a better life than a lot of these soldiers here -- and if you don't have a family, and you're a single soldier living in the barracks, it can be miserable," the GI said.

"Nobody really understands how bad somebody's mental stability is, or how hard it is to keep your sanity here being at Fort Hood."

CNN asked U.S. Sen. Ted Cruz, R-Texas, to respond to the remarks on Friday, shortly after Cruz visited some of the wounded.

"Now is not the time to talk about public policy," Cruz said.

A soldier suffering

Lopez was being evaluated for post-traumatic stress disorder and going through the process required to diagnose the disorder. He had not been diagnosed with PTSD, said Lt. Gen. Mark Milley, the post's commander.

Lopez had suffered from depression, anxiety and other psychiatric complaints and was receiving treatment and taking medication.

Officials are trying to piece together what in his background and medical treatment may have triggered the violence.

Lopez was transferred to Fort Hood from another base in February. His former base was not identified.

Retired Army Maj. Gen. James "Spider" Marks, a CNN analyst, expressed surprise at the transfer.

Lopez should have remained at the other base for continuity of care, he said.

Milley said, "We will have to re-examine all of those programs to see if there were any gaps."

In the wake of the 2009 bloodshed, other measures were taken. Investigators said the Army had to transform how it protects its soldiers, collects information about internal threats and communicates with the FBI and terrorism experts.

But to residents like Rice and others, the changes haven't been obvious.

"There hasn't been a whole lot of extra protection on base," said Lynn Adams, who lives on Fort Hood.

Adams said authorities check identification and other things, but there has been no visible extra security.

Massacre site to be torn down

Guns on base

Lopez used a .45-caliber Smith & Wesson pistol that he recently purchased in the area but did not register on post.

Army regulations enacted in 1993 tightened gun restrictions, including a ban on carrying personal firearms on base.

In September 2013, Republicans in the U.S. House introduced legislation to repeal the ban. Texas Rep. Steve Stockman was one of seven Republicans who proposed the Safe Military Bases Act, saying the bill would help thwart mass shootings on bases.

Authorities will look at what, if anything, they could have done differently.

That might be an uphill challenge.

"Fort Hood, tens of thousands of people come and go from that every day," said CNN Pentagon correspondent Barbara Starr. "They have stickers in their cars; they have permits to get on base. They are waved through a gate, because traffic has to keep flowing."

"If they are permitted onto the base because they have the right paperwork on any given day -- it is not likely that their cars will be searched every time they go in and out. It is assumed that they are acting appropriately and acting legally. That's just the way the reality is."

Retired Gen. Russel Honore, who was once an assistant division commander at Fort Hood, said "military posts are our sanctuary."

"It's a place where you're not carrying a weapon 24 hours a day. It's meant and designed to give you a sense of security where you can relax in a family environment. So, when this happens, it breaks the sacred trust."

'Getting help helps'

Perry Jefferies retired from the Army in 2004. He spent more than 10 years living and working on Fort Hood and was there during the 2009 massacre. He's a current leader with Iraq and Afghanistan Veterans of America.

"The 2009 shooting is still very raw," he said. "And now here's another one. You just don't know what that's going to do to people."

Jefferies said he had his "own little moment" Wednesday night.

"It does bring back those feelings of last time," he said. "Something about listening to the medical press conferences -- it was a bit overwhelming. I had to step out of the room."

He said he was worried some people might be overcome by the experience and feel like there is nothing they can do. Jefferies urged anyone in that situation to reach out, citing a 24/7 veterans crisis line.

"There are people there that can help," he said. "If you're feeling bad, getting help helps."

CNN's Nick Valencia contributed to this report.

@highlight

Soldier at Fort Hood says post is stressful: "People in jail have a better life"

@highlight

Army wife whose husband was on post texted him to see if he was safe

@highlight

Her husband, Capt. David Rice, texted back that he was fine

@highlight

Sharon Rice says security at Fort Hood is tight, but changes haven't been obvious