On the surface, Facebook's $2 billion purchase of Oculus VR, which develops virtual-reality technology, doesn't make a lot of sense.

Facebook is a social network. Oculus makes gear that enhances video gaming. How is this awkward marriage going to work?

Maybe it won't: Facebook moms and Millennial gamers are an uneasy mix. Then again, this may be a savvy bet by Facebook CEO Mark Zuckerberg on the long-term future of how we communicate.

Either way, there's a lot of confusion surrounding this deal. So let us break down what Oculus VR does and why Facebook wanted it so badly.

What is Oculus VR?

Based in Irvine, California, Oculus (rhymes with "octopus," sort of) is a young company founded by Palmer Luckey, who designed its core product -- the Oculus Rift headset -- as a 20-year-old engineer at the University of Southern California.

In the hopes of raising $250,000 to make a few hundred headsets for diehard enthusiasts, Luckey launched a Kickstarter project in 2012. He hit that goal in four hours and within a month had raised nearly $2.5 million.

Early prototypes of the Oculus Rift soon drew raves at tech conferences. Gaming legend John Carmack, the lead programmer of pioneering games like "Doom" and "Quake," came aboard last year as Oculus' chief technology officer. And both CNN and Time honored the Rift in 2013 as one of the top inventions of the year.

Developer versions of the headsets began rolling out to Kickstarter backers and others last spring. A consumer version is expected sometime later this year.

How does the Oculus Rift work?

The headset, which looks like something a skier or scuba diver might wear, fits snugly over the wearer's face and is paired with headphones. A high-definition 3-D display immerses you in an interactive world -- a medieval village, a tropical jungle, a jet's cockpit -- which you navigate with the help of a game controller.

The goggles come packed with an extra-wide field of view, accelerometer, gyroscope and compass to track the position of your head and sync the visuals to the direction where you are looking. This technology has allowed Oculus to improve on the sometimes jerky visuals of other virtual-reality systems.

Those who have demoed the headset say it feels so real they have flinched involuntarily at perceived dangers. Reviewers have been wildly enthusiastic, inspiring such breathless headlines as "Mere Words Can't Do Justice To How Awesome The New Oculus Rift Gaming Headset Is" and "I Wore the New Oculus Rift and I Never Want to Look at Real Life Again."

Why did Facebook buy the company?

This is the big question. Given the potential demand for the Oculus Rift when it hits the market, Facebook may view Oculus purely as a new stream of revenue. Some observers suggest the purchase is an attempt to inject some futuristic cool into an aging social-media company that's falling out of favor with young users.

By buying Oculus, Facebook also is betting that the next tech wave could be ruled by wearable devices -- a similar path being trod by Google, with its Glass eyewear, and Samsung, with its Galaxy Gear smartwatch.

"After games, we're going to make Oculus a platform for many other experiences," said Zuckerberg in a post announcing the purchase. "Imagine enjoying a courtside seat at a game, studying in a classroom of students and teachers all over the world or consulting with a doctor face-to-face -- just by putting on goggles in your home.

"This is really a new communication platform. By feeling truly present, you can share unbounded spaces and experiences with the people in your life. Imagine sharing not just moments with your friends online, but entire experiences and adventures."

The Oculus Rift, however, remains an immersive but isolating experience -- it's not clear how Facebook would integrate social functions into a Rift game, or whether users would even want that.

How might Facebook use Oculus?

Oculus believes that over the next 10 years, virtual reality will become ubiquitous and affordable. Future technology could potentially allow two Oculus wearers to interact with each other in a virtual world -- like Skype on steroids.

"You start to realize how big this could be if you can see someone else, and you can actually look at them and your brain believes they're right in front of you, not through a screen," Oculus CEO Brendan Iribe told reporters in a conference call, as reported by Fortune.

So, yes, the Oculus Rift might be a real-world step toward the "Star Trek" Holodeck, a chamber which can simulate any environment. Instead of messaging your old college pals through Facebook, why not meet them for a virtual hike through the Grand Canyon?

"You get the goosebumps," Iribe continued. "You see how big this could be, and how social it is, and the impact it could have on other industries."

Still, however, some observers remain skeptical.

"The real question is: Does Mark Zuckerberg actually believe that Facebook's aging user base is going to be enthusiastic about the notion of a virtual social experience?" wrote Eric Mack for Forbes.

"While I'm sure that Facebook would love to integrate virtual reality gaming and chats with doctors on the other side of the world into its platform," Mack added, "could part of the calculus also be to hedge against the day that the era of the social network as we know it becomes totally played out?"

Facebook's top 10 purchases

@highlight

The company's virtual-reality headset, the Oculus Rift, has gotten raves from reviewers

@highlight

Mark Zuckerberg sees the Rift as a "new communication platform"

@highlight

Oculus CEO: "You start to realize how big this could be"