Editor's note: CNN.com has a business partnership with CareerBuilder.com, which serves as the exclusive provider of job listings and services to CNN.com.

Although this is a challenging market for new grads, remember: Attitude can be the key to your success.

Nate Torvik has mixed feelings about his upcoming graduation from Purdue University.

While there's relief that classes are over, exams have been taken and term papers turned in, what lies ahead is an extremely challenging and competitive job market.

"I feel like the wind has been taken out of my sails," says Torvik, who received a bachelor's degree in mass communication.

"There is so much pride and happiness that comes with graduation, but as soon as I step off that stage at graduation, I become another statistic of the current miserable economy."

Torvik is one of thousands of soon-to-be college graduates thinking about relocating for work this spring. While choosing the best place to settle down can be a daunting decision, the current economic climate has raised the stakes.

"I have been looking just about everywhere throughout the Midwest for a job because I do not want to be too far away from my family, but things are looking more bleak everywhere I turn," Torvik says. For now, he's working in retail and hopes it might open other doors to a job as an account executive at a marketing or advertising firm.

Allison Lackey is one of the lucky ones ... for now. She is graduating with a communications degree from Millikin University and starts a ten-month stint as a traveling field consultant for Delta Delta Delta women's fraternity. After that, she hopes to find a position as a marketing or PR specialist for a nonprofit organization.

"In a way, I am grateful to be searching for a job in this tough economy," Lackey says. "It has forced me to become comfortable with being able to articulate why I am the best candidate for the job and it has also forced me to learn how to network well with people in my field."

Top cities for new grads

While many new grads tend to look for jobs near their college or hometowns, scores of them are considering locations they might not have when they entered school four or five years ago.

"Given the current economy, new grads looking to relocate are becoming increasingly concerned with the cost of living as they are faced with more competition for jobs than seen in previous years," said Tammy Kotula, public relations and promotions manager at Apartments.com.

"With these very real concerns weighing on the minds of many, two leading online resources for apartments and jobs have come together to paint a realistic landscape of both the job market and cost of living in the most popular cities for young adults after college."

For new grads who plan to expand their job searches beyond their college or hometowns, Apartments.com and CBcampus.com just released the "Top 10 Best Cities for Recent College Graduates."

The list is based on the ranking of the top U.S. cities with the highest concentration of young adults (age 20 -- 24) from the U.S. Census Bureau (2006), inventory of jobs requiring less than one year of experience from CBcampus.com (2009) and the average cost of rent for a one bedroom apartment from Apartments.com (2009).

According to Apartments.com and CBcampus.com, the top 10 cities for new grads are:

1. Indianapolis Average rent:* $625 Popular entry-level categories:** sales, customer service, health care

2. Philadelphia Average rent: $1,034 Popular entry-level categories: sales, customer service, management

3. Baltimore Average rent: $1,130 Popular entry-level categories: sales, customer service, health care

4. Cincinnati Average rent: $691 Popular entry-level categories: sales, customer service, health care

5. Cleveland Average rent: $686 Popular entry-level categories: sales, marketing, customer service

6. New York Average rent: $1,548 Popular entry-level categories: sales, customer service, admin-clerical

7. Phoenix Average rent: $747 Popular entry-level categories: sales, customer service, marketing

8. Denver Average rent: $877 Popular entry-level categories: sales, customer service, health care

9. Chicago Average rent: $1,133 Popular entry-level categories: sales, marketing, customer service

10. San Antonio Average rent: $696 Popular entry-level categories: sales, customer service, management

Looking beyond your hometown

If you are considering expanding your job search to other cities, here are some tips:

• Contact an alumnus from your college who lives in that city and join your alumni chapter if there is one.

• Get an insider's perspective by familiarizing yourself with the local media and other resources. Read up on the city's business and community news.

• Develop a list of companies within the area and learn about their businesses and company cultures.

• Register with a national recruitment agency; interview with a recruiter in your local office and have that person put the word out to other offices in your target cities.

• Consider spending a few days in your desired city to learn more, network and set up informational interviews. In your applications and cover letters, tell hiring managers the dates you'll be in the city and available to interview.

Although this is a challenging market for new grads, remember: Attitude can be the key to your success. The reality is that the job search will take longer for these new grads thrust into the "real world" but the right mind-set can make you resilient.

Consider the words from Elaine Goodwin, who plans to graduate this fall from Northern Illinois University: "There is always something. I love the Japanese proverb that says 'Fall down seven, get up eight.' I understand that it is going to be a tough economy to graduate in, but I will take the challenge and show companies how I can be an asset to them. You can't get discouraged because the world is not going to give you a break."

*Average rent of one bedroom apartment **Using search term "entry level" in that city

Copyright CareerBuilder.com 2009. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority

@highlight

Current economic climate has raised the stakes in choosing a place to settle down

@highlight

Apartments.com, CBcampus.com release list of best cities for recent college grads

@highlight

Indianapolis, Philadelphia, Baltimore, Cincinnati, Cleveland top the list

@highlight

Tip: Consider spending a few days in your desired city to learn more and network