JERUSALEM (CNN) -- Israel makes no secret that it sees Iran is its biggest threat but the scale of the threat is less clear cut.

Israel's recent military exercises are seen by some as a show of strength to Iran.

Prime Minister Benjamin Netanyahu has not missed an opportunity to name Iran as the number one threat, and like his predecessors he has said Israel will not tolerate a nuclear Iran.

Tests are ongoing for Israel's arrow missile system, designed to intercept incoming rockets -- although Israel does not openly say which direction they'd come from.

Last week, CNN filmed Netanyahu aboard an F15 fighter-bomber jet while touring the Hatzerim air force base near Beersheva. He said: "My biggest impression today is the obligation to carry out the mission of defending Israel."

Last month, two Israeli warships and a submarine made a rare journey through Egypt's Suez canal. Last year, the Israeli air force tested its fighter jets and helicopters on a 870-mile sortie -- roughly the distance between Israel and Iran's main uranium enrichment plant at Natanz.

The official line... Israel's security is a continuing concern. The common perception is that some, if not all of these exercises were a show of strength for Iran.

Estimates of when Iran could have a nuclear bomb differ widely.

In February, the Institute for Science and International Security released a report that concluded Iran does not have a nuclear weapon but does have enough low-enriched uranium for a single nuclear weapon.

But an official at the International Atomic Energy Agency cautioned about drawing such conclusions. The U.N. nuclear watchdog agency said Iran's stock of low-enriched uranium would have to be turned into highly enriched uranium to be weapons-grade material.

The official said in February that Iran has not done so, and the agency's monitors and surveillance equipment at the Natanz facility would be able to detect any such activity.

Dore Gold, former Israeli ambassador to the United Nations said, "The IAEA has inspected the known nuclear sites of Iran. But it's believed they still have other clandestine nuclear sites where they may be enriching uranium or they may be pursuing a plutonium route like the North Koreans. So there's a certain amount of uncertainty in any assessment in the timeline of an Iranian bomb.

Iran says its nuclear ambitions are for peaceful means, and Israel is widely believed to have nuclear weapons itself.

But Israel's Defense Secretary Ehud Barak, at a meeting with U.S. Defense Secretary Robert Gates recently, made it clear he believes U.S. attempts at negotiations with Iran have a shelf-life.

"We clearly believe that no option should be removed from the table and this is our policy. We recommend to others to take the same position, but we cannot dictate it to anyone."

Efraim Kam, an Israeli analyst on Middle East affairs and author of "From Terror to Nuclear Bombs: The Significance of the Iranian Threat," estimates that "theoretically" Iran could develop a nuclear bomb within the next year.

But even if Israel's conviction is correct that Iran wants a nuclear weapon and it is close to achieving that desire, does that mean it would use it against Israel?

Kam said: "My personal view is that Iran would not do it because they understand that Israel does have a nuclear arsenal. It has to take that into account and because the U.S. will deter Iran as well.

"If you ask me, can you guarantee they will not use it, then no I can't."

But that question is a step too far for Israel. It is far more concerned with what a nuclear Iran could do to the balance of the Middle East and the likely nuclear race that would follow with many of Israel's neighbors.

As Gold says: "What is a prime minister of Israel supposed to do when he sees that threat growing to his east?"

@highlight

Senior Israeli lawmakers have Iran top of the country's threat list

@highlight

They believe U.S. attempts at negotiation could fall short

@highlight

Former diplomat says it is believed Iran still has secret sites for nuclear program

@highlight

One analyst says if Iran develops nuclear bomb it does not mean they would use it