(CNN) -- Anyone can shake hands.

Nelson Mandela made such a common gesture something transcendent -- a greeting that crossed all societal barriers, a symbol of reconciliation, even a declaration of victory.

"Hello! How are you? I'm so happy to see you," he would declare in his distinctive tenor, extending a huge right hand befitting the former boxer.

Before meeting visiting dignitaries or political adversaries in five-star hotel conference rooms, Mandela made sure to approach the security guards, servers and other workers outside to shake their hands.

At countless rallies of his African National Congress, crowds mobbed his path in hopes of a quick clasp from the graying leader.

"I want to put you in my pocket and take you home," he would tell them.

Such was his common touch, a personal warmth and accessibility that delighted adoring supporters and cemented global admiration for the longtime political prisoner who became South Africa's first black president.

'Our nation has lost its greatest son'

To me, a journalist who covered the "Mandela years" from a few months after his release from prison in 1990 through most of his presidency, he was the closest thing to a messiah I have witnessed, if you define messiah as one who brings hope to the hopeless.

Tall and trim, his face often beaming an incandescent smile, Mandela had his own style expressed in colorful African shirts he wore in lieu of business suits, a teasing rapport with youngsters, and his shoulder-swinging, celebratory dance dubbed the "Madiba shuffle" in reference to his clan name.

Leading a transformation

Wherever he went, people seemed to materialize out of the air -- scampering down alleys and around cars, scrambling over and through fences, even climbing any nearby tree or billboard for a better view.

The mood was festive, not frenzied, with crowds singing praise songs in deep-voiced harmonies that elongated the second syllable of his name in an African pronunciation -- Mon-DAY-la.

A lawyer of tribal royalty heritage, he possessed an unerring sense of his role as the nation's de facto leader at a time when the ANC struggled to evolve from a liberation movement to a full-fledged political party.

Images of him during those years create an indelible timeline of the nation's transformation from the white rule of apartheid to a multiracial democracy.

Nelson Mandela: The miracle years

There was the fist-waving, smiling Mandela who walked out of prison in 1990, his every move and word broadcast around the world as well as on national television that once banned black faces.

From that moment, the machinations of South African politics changed, and the new order became obvious when the nation's first multiparty political talks began in December 1991.

Watershed moments

Opening speeches by Mandela and other leaders were generally non-combative policy statements until South African President F. W. de Klerk, exercising his privilege to go last, attacked the ANC for refusing to disband its armed wing and turn over weapons.

Visibly furious at de Klerk's maneuver, Mandela requested an opportunity to respond and the sympathetic moderators agreed. That alone was a shift from the old days.

With the meeting hall spellbound, Mandela delivered a face-to-face upbraiding of the white president, telling de Klerk that "even a discredited, illegitimate, minority regime must observe certain moral standards."

No one had ever witnessed such a thing in South Africa.

Less visible were his efforts to control radical elements of his ANC. At the party's first legal conference in South Africa in December 1990, he lectured activists calling for a halt in secret talks between ANC leaders and the white government aimed at setting up formal negotiations.

''These statements can only be made by those who do not understand the process of negotiation," Mandela said in a stern voice. "... Let me take advantage of this opportunity to educate you on the problems that face the leadership.''

After the 1993 assassination of Chris Hani, a popular communist firebrand considered a possible future ANC leader, Mandela appeared on state-run national television to urge calm among his black supporters.

It was an unprecedented acknowledgement by the white government that the ANC leader was the only one who could head off potentially calamitous unrest.

"This is a watershed moment for all of us," he said directly to the camera. "Our decisions and actions will determine whether we use our pain, our grief and our outrage to move forward to what is the only lasting solution for our country - an elected government of the people, by the people and for the people."

Brazile: Nelson Mandela's legacy will live on

Mandela also had a humorous side, even flirtatious at times.

At election rallies in 1994, he repeatedly elicited trilling howls of ululation from women of all ages when he explained how voters should search their ballots for the picture of the "very handsome young man" -- referring to himself -- to mark their support for the ANC.

For the lone debate of the campaign between Mandela and de Klerk, I watched on a communal television at the YWCA in Soweto to write about the reaction of teenagers in the vast black township.

One handshake held a nation spellbound

As expected, they cheered each time Mandela spoke, but my lasting memory was how these young black South Africans seemed transfixed by the mere image of their leader sharing the screen with equal status to the white president.

They went wild when Mandela concluded his final statement by offering his hand to de Klerk as an expression of unity, saying that despite their differences, he was willing to work with his adversary. De Klerk had little choice but to grasp it.

Mandela's handshake could have another meaning. At his divorce trial in 1996, he testified in withering detail how his spouse, the popular activist Winnie Mandela, never once shared his bed while he was awake after his release from prison.

"The bedroom is where a man and woman discuss the most intimate details," Mandela told the court. "There were so many things I wanted to discuss with her, but she is the type of person who fears confrontation. I was the loneliest man during the period I stayed with her."

When he finished, Mandela approached his soon to be ex-wife and shook her hand, having destroyed any chance she had of gaining a favorable settlement.

I experienced many Mandela handshakes, mostly before news conferences or interviews in the usual exchange of pleasantries between political figures and journalists. Some are captured in photos that will always be prized possessions.

One that was not photographed occurred after a public dressing down from the president at a Foreign Correspondents Association dinner in 1996.

During the question period after Mandela spoke, I asked about his recent criticism of the South African media as biased against the ANC. Was he trying to intimidate newspapers, I wondered, or seeking to shift attention from his government's struggle to deliver promised development to poor blacks.

In an angry voice, he berated the foreign media for failing to report on what he called unfair treatment the ANC received from South African newspapers.

"Why are you defending them?" he asked of the room stunned to silence.

As he left the event shortly afterward, he made his way past my table where he stopped and reached out his hand, looking me in the eye. With no words spoken, we exchanged a single, slightly pronounced shake.

Another victory for his ANC secured, he headed to the exit.

@highlight

Before meeting visiting dignitaries Mandela made sure to shake hands with workers

@highlight

At rallies he would tell supporters, "I want to put you in my pocket and take you home"

@highlight

Mandela also had a humorous side, even flirtatious at times