(CNN) -- From the conversations you've had, what is your sense about how Iraqis feel about the prospect of any greater U.S. involvement?

Nic Robertson: They're divided. Certainly on the Sunni side, in Anbar province and among the tribes that are supporting the Islamic State in Iraq and Syria, they would see it as the Americans backing the Shia. That wouldn't put the Americans in a very good position to play a mediating type of role, although it would be different if, through American influence, Prime Minister Nuri al-Maliki was replaced by someone who was more tolerant and less sectarian.

Here in Baghdad, if you go and talk to the guys who are being recruited and who are volunteering to join the Shia militias, they are happy to have American support for their government. And there was perhaps a week ago more of a fear that ISIS might arrive in Baghdad and that they really needed to be stopped in their tracks.

But I would also say that there's caution, because everyone knows what American involvement looks like here. For example, one Sunni politician we talked to said that if the Americans come in, they would have to put right what they did wrong last time. What they mean is they left a sectarian leader in charge of the country, so if there's any chance of keeping Sunnis onside if there are airstrikes against ISIS, then it will have to involve getting rid of al-Maliki. The Americans have got to be seen to be giving something to both sides, if you like.

What kind of support is al-Maliki seeing in Baghdad?

Robertson: It depends who you ask. He has taken a tough line, and a lot of people in the Shia community are answering the call to stand up and join the fight against ISIS. But I think if you asked most moderate, middle-class people, and certainly anyone in the Sunni community, they would say that he isn't a guy for the future. They say that the way al-Maliki has responded thus far to the crisis -- one that many people feel he created through sectarian policies -- has further alienated the Sunnis he should be trying to build bridges with.

Have you seen many visible signs around Baghdad of a city preparing for a possible assault? There was talk last week of Baghdad being a target for militants -- how fortified does the city appear?

Robertson: The area has been fortified for some time. It's kind of like it was when I was here in 2007, 2008, 2009, back when it started to get more heavily fortified. I would say there are perhaps even a few more checkpoints than back then -- there are certainly a lot of checkpoints at all the main roads, all the main intersections, every few hundred yards.

Victoria Eastwood: Yes, as you're driving along the roads, at virtually every street corner there's a man in a uniform sitting there with a gun. The other thing that's quite noticeable is how many blast walls there are -- these very high concrete walls that are outside people's houses, or across roads. And you'll see someone's house, but it's surrounded by barbed wire and high walls.

Robertson: The other thing we experienced just today was when we were driving down the street by the river, and we saw an army patrol. And they will just suddenly close that street you are driving on, so you have to go another way -- there's no way to talk them out of it. So street closures come at random.

What has it been like trying to report from Baghdad, on the street?

Robertson: The hardest thing for us has even been getting permission to film on the street. We've been here for a week and we're still trying to get that permission. As a Westerner in Baghdad you stand out very clearly when you're on the street, and you attract a lot of attention with a camera. So unless you have permission to be using it, you will be shut down very quickly.

Hundreds of thousands of residents from cities like Mosul that have come under siege from militants have been fleeing the violence. Where are they going? Is the government offering any provision for the internally displaced?

Robertson: The government not so much, it seems, and we don't see this so much in Baghdad. Most of the people that fled out of Anbar have found accommodation with families, friends and others that have taken them in. They are very dispersed -- it's not like they have collected in a particular area.

The people that have just fled out of Mosul, for example, have mostly fled to the Kurdish region where it's safer and where there are displacement camps being set up. But in Baghdad, even though the fighting is only about a 45-minute drive northeast of the city, people fleeing Baquba, for example, aren't arriving here in perceptible numbers.

Eastwood: We just did an interview with someone from the (International Committee of the Red Cross) office, and what he said is that what happens for people in Baghdad who have been internally displaced from areas where there is fighting is that they get brought into their ethnic communities -- they are seeking shelter in these places because they feel safer, rather than necessarily going to NGOs. Many are seeking sanctuary in their ethnic neighborhoods, and these are very closed neighborhoods.

How optimistic are people here that Iraq can be prevented from falling apart as a unified nation? Do Iraqis you speak to care whether the country ends up being divided?

Robertson: I think people want to be safe. I think the Kurds, for example, have been able to take advantage of the situation and have taken control of the last big town that is important to them, Kirkuk, and they have no intention of giving it up. So I think whatever the Iraq is of the future, the Kurds are going to want the Kurdish region, which has had some autonomy, to have even more autonomy and greater separation from Baghdad.

I think as the sectarian tensions rise -- and you've already been seeing this over the past decade -- you will have, as Victoria just said, people fleeing to their communities. And this means you're going to have even more sectarian division -- the fault lines are opening up over sectarian lines. And at the moment there's no indication that this government has the ability to roll back wholesale the gains by ISIS and the Sunnis. Anbar and Falluja are a prime example of that -- they took control of these places at the beginning of the year, and the government has been incapable of taking them back. It has basically just built very big checkpoints on the roads, essentially cutting them off. The government has just walled off connections to large Sunni areas.

And that's probably quite symptomatic of the way this is likely to play out. But what this means is that any political compromise in the future is going to be short-lived, and may never be able to bring back the country to the way it was before.

Eastwood: From what we've been told, people that can afford it are trying to leave the country. We have just done an interview with someone Nic has known for a very long time -- he has reported on her story, and that of her family, over the course of a decade. And in that time, her husband was shot dead in early sectarian violence, her daughter was kidnapped. She only managed to get her daughter back by kidnapping another senior militant who then allowed her daughter to be released. And yet despite all this, it's only now that she says she has had enough and that she sees no future for this country.

Robertson: Her eldest daughter is a Shiite who is going to get married to a Sunni, and so they need to get to the Kurdish region so it is safe. Then they are planning to leave the country. She has been through hell. And now for her this is it -- there's no hope for the future of the country.

@highlight

Iraqis are divided about greater U.S. involvement in their country

@highlight

Blast walls, barbed wire and random road closures are common

@highlight

Getting permission to film in Baghdad is tough

@highlight

There is no sign the government can roll back militants' gains