Tokyo (CNN) -- Japan may set standards for long-term radiation exposure that would effectively extend the evacuation zone around the damaged Fukushima Daiichi nuclear power plant, a top government official said Thursday, as a strong new aftershock rattled the area

Government readings show that people beyond the current restricted zone may be exposed to dangerous long-term doses of radiation even though the readings fall below levels that now require an evacuation, Chief Cabinet Secretary Yukio Edano said.

"It is the time for the government to consider setting another category for accumulated exposure," Edano, the government's point man on the crisis, told reporters Thursday evening. "The safety of the people is the first priority, and social needs come after that."

There is no timetable for a decision, Edano said.

Residents within a 20-kilometer (12.4-mile) radius of the Fukushima Daiichi plant were ordered to leave their homes in the days following the March 11 earthquake and tsunami, which knocked out the plant's power systems. Those living within 20 to 30 kilometers have been told to remain indoors.

But readings released Thursday by the country's science ministry from areas outside that zone indicated that long-term exposure could top the government's one-time standards for an evacuation within a few months. Some of those are in towns to the northwest, where prevailing winds have blown radioactive particles released from the Fukushima Daiichi plant.

"We have been asking a team of the specialists about setting the line to evacuate by accumulated exposure to radiation," Edano said.

The recorded doses are far below those that would cause radiation sickness but could pose a long-term risk of cancer, according to medical experts. The anti-nuclear group Greenpeace and the International Atomic Energy Agency raised alarms about the spread of radioactivity beyond the 30-kilometer zone in late March.

Current regulations require an evacuation after radiation levels exceed 50 millisieverts in a short period of time. But cumulative doses in one area near Fukushima Daiichi have already topped 12 millisieverts in the month since the accident, and several readings are roughly double the 3 millisieverts a resident of a typical industrialized country receives in a year, according to science ministry data.

Edano said the government is also considering whether to allow the roughly 78,000 people who have been forced to evacuate the area around the plant to return temporarily, "but it is not easy, because we need to secure their safety." Troops and police who have been working in the area are wearing protective clothing and equipment, "so it is not realistic that they can go anywhere, anytime," he said.

At the damaged plant, engineers began injecting non-flammable nitrogen into the No. 1 reactor Thursday to counter a buildup of potentially explosive hydrogen. That work continued even after a strong aftershock rattled much of central Japan shortly before midnight, the plant's owner, the Tokyo Electric Power Company, reported early Friday.

The nine workers in the plant retreated to an earthquake-resistant shelter during the temblor, and the plant never lost power, the utility said. The Japan Meteorological Agency said the quake was a magnitude of 7.4. The U.S. Geological Survey said it was 7.1.

Hydrogen buildup is a symptom of overheated fuel rods in the cores of the reactors, which plant workers have been struggling to keep under control since the earthquake and tsunami. The nitrogen injections are aimed at displacing oxygen in the reactor shell, reducing the possibility of an explosion -- a chance Tokyo Electric called "extremely low."

A hydrogen explosion blew the roof and upper walls off the No 1. reactor building two days after the quake, and another blast two days later blew apart the No. 3 building. A suspected hydrogen explosion is believed to have damaged the No. 2 reactor on March 15 as well.

Tokyo Electric and Japanese regulators believe No. 2 is the source of the highly contaminated water they are now struggling to contain at Fukushima Daiichi, 240 kilometers (150 miles) north of Tokyo. Plant workers are pouring 8 tons of water (2,100 gallons) into that reactor every hour to keep it cool, and the water that flows out carries extremely high concentrations of radioactive particles.

That highly radioactive fluid is building up in the turbine plant and the service tunnels around the unit, leaving Japanese officials grasping for ways to contain it.

Until Wednesday, some of that water had been bleeding out into the Pacific Ocean through a cracked utility shaft behind the plant. On Saturday, the day the leak was discovered, concentrations of the reactor byproduct iodine-131 in seawater next to the shaft were 7.5 million times higher than the legal limit, according to sampling data taken by the utility.

Those levels prompted Japanese authorities to start dumping nearly 10,000 tons of less-radioactive water into the Pacific on Monday night, largely to make room in a waste treatment reservoir for the No. 2 reactor coolant. The move enraged the country's fishing industry and drew protests from neighboring South Korea, but Japan's government called it an emergency move to prevent a worse discharge.

Japan is currently consulting with Russian authorities on whether a shipborne decontamination plant has the capability to handle the wastewater, the Japanese Foreign Ministry told CNN on Thursday. But Tokyo has not yet asked for the vessel to be brought into the fight, said Tomosaburo Esaki, an official with the ministry's arms control and disarmament division.

The ship, the Suzeran (Lily of the Valley), can process up to 35 tons of radioactive waste a day and store about 800 tons. Japan built the vessel for Russia in the 1990s to help Moscow take aging nuclear submarines out of service.

Sergey Novikov, a spokesman for Russia's state-run nuclear energy company, Rosatom, told CNN that, "The ball is now in their court."

"We have responded to their questions regarding the plant, and they sent us their additional questions, to which we responded as well," Novikov said. "They are still studying this issue, and we hope to hear from them soon."

Reactors 1 to 3 are believed to have suffered damage to the fuel assemblies at their cores from overheating after the quake and tsunami knocked out cooling systems at Fukushima Daiichi.

Stopping the flow of radioactive water from No. 2 was a victory for plant workers, but Tokyo Electric and a top Japanese official warned the fight is far from over.

Hidehiko Nishiyama, a spokesman for Japan's Nuclear and Industrial Safety Agency, said Wednesday that the now-contained water "may lead to more leakage somewhere else," and the utility said Thursday that the water level in the basement of the unit's turbine plant had gone up about 4 centimeters (0.8 inches) since the leak was plugged.

The company says temporary storage tanks that can hold another 15,000 tons of water are expected to arrive late next week, but will need to be connected to pumps and water lines before they can be put to use.

Hiroo Saso and CNN's Junko Ogura in Tokyo and Maxim Tkachenko in Moscow contributed to this report.

@highlight

NEW: Japan considers new standards for evacuation zone

@highlight

Nitrogen is being used to counter a buildup of hydrogen in reactor No. 1

@highlight

Japan asks about a Russian ship to treat radioactive water

@highlight

NEW:  No damage is reported from the newest quake