(CNN) -- Ever since the Trayvon Martin case came to national attention, George Zimmerman has been described by some as having racially profiled the 17-year-old before he was shot and killed.

There's a difference of opinion about whether racial profiling was actually involved, but a key question that is often overlooked is the distinction between profiling by a citizen and profiling by a member of law enforcement. That distinction is likely to be crucial in determining the direction the case may go.

As a criminal defense attorney for more than 30 years, I can't even begin to recall how many cases my firm has handled that involved challenging law enforcement officers for the practice of stopping or searching an individual based on what is typically referred to as racial profiling.

Essentially, racial profiling occurs when race, national origin or ethnicity is the primary or sole consideration used by an officer of the law when intervening in a law enforcement capacity. Racial profiling is a form of discrimination that is not only despicable, but also is an illegal and improper basis for any police officer to stop, search, arrest or investigate another person.

The issue of racial profiling has been bandied about often in discussions of Martin's shooting. As with many things concerning the case, much misinformation has circulated.

Zimmerman was not a law enforcement agent. He was a civilian, operating under different legal standards than those applied to the police. Merely because he was a neighborhood watch captain does not attach law enforcement status to him.

Tape showed Zimmerman's anger over black man's beating

It has been reported that he acquired a concealed weapon permit, which legally allowed him to conceal the gun that was used to shoot and kill Martin.

Hence, although Zimmerman was possibly negligent, irresponsible and exercised poor judgment, it was not illegal for him to follow Martin, carry a gun when doing so or even ignore the opinion of the civilian 911 dispatcher when advised, regarding his following Martin, "OK, we don't need you to do that."

The only legal relevance as to whether race was the determining factor in the following and killing of Martin was whether it goes to establish if Zimmerman exercised a "depraved mind" regarding the killing.

This requisite depravity is a necessary element for second-degree murder in Florida, the crime for which Zimmerman has been charged. If racism or bigotry can be established as the basis for killing Martin, then a second-degree murder charge could be appropriate.

However, with the evidence that has emerged, especially that contained within the discovery documents released in recent days, proof of a racial motive concerning the shooting seems wholly lacking.

Opinion: What to take away from the death of Trayvon Martin

Even if a racial aspect was among the factors that led Zimmerman to be suspicious of Martin and follow him, the law regarding what a civilian may do when following another person was not necessarily broken.

Is it racial profiling for a black man to avoid going into a biker bar at night in a small rural town? Is it racial profiling for a white person to refuse to take a stroll through housing projects in a large urban city at midnight?. The biker bar and the projects both undoubtedly are filled with people who are racially colorblind, but most would assume that some might not be. Is it racial profiling or life's cumulative experiences and knowledge or simply common sense that would cause one to formulate an opinion?

A civilian standard of profiling is much different legally than that applied to a law enforcement officer. A civilian, as offensive as it may be, is allowed to personally act on biases or prejudices, whereas a law enforcement officer is prohibited from doing so.

From the first press reports, I believed the shooting was racially motivated. If so, life in prison would be wholly appropriate as a punishment upon conviction. However, research, investigation and learning the facts caused me to reverse this earlier opinion.

The apparent absence of reported previous acts of bigotry, the statements from family and friends indicating Zimmerman wasn't prejudiced, being raised in a multiracial family and having many ethnically diverse friends (which standing alone would be irrelevant but relevant to me when taken in totality with these other indicators), his mentoring of two black youth over a couple of years at his own expense and doing so without fanfare or attention and a review of prior calls and the 911 call indicating race wasn't the basis of the call are some of the reasons for reassessing my original opinion.

Moreover, documents released in the case indicate Zimmerman had previously expressed concern and was critical of the Sanford, Florida, police for the way they treated a case involving the beating of a homeless black man when they didn't arrest the white defendant immediately. (A lawyer in my firm represented the defendant in that case, who was the son of a Sanford police officer.)

There is a question about whether George Zimmerman primarily called the police to report suspicious activity of young black men. If true, this is quite troubling. But before its relevance could be fully determined, an analysis would need to be made of each call to determine the ratio of calls made relative to blacks, whites and Hispanics, whether other strangers who weren't black were ever seen in the complex and not called on and whether unknown black men were ever seen in the complex and the police not called. It would also be relevant to determine whether the race of the suspects in the rash of burglaries that had previously occurred in the complex were ever identified. Too much speculation has surrounded this tragedy and I think it important to fully evaluate such matters before conclusions are reached.

Barring new facts or possibly a more detailed analysis of Zimmerman's previous calls, there doesn't appear to be any evidence or support for the supposition that bigotry or prejudice played a role in Zimmerman's shooting of Martin

This doesn't mean Martin had to die. Would Zimmerman have been so bold if he wasn't carrying a gun? Likely not, and I've argued before that gun laws need to be reviewed in light of this case. This was the inevitable deadly consequence when an altercation occurred and a gun was legally allowed to be in a public place.

Without establishing that the killing was racially motivated, any claim that Zimmerman committed second-degree murder in shooting Martin will not survive. Interestingly, the state in its charging affidavit simply claimed Zimmerman "profiled" Martin, not that he racially profiled him.

This allows the state to keep such a claim open-ended, likely knowing early on that it couldn't sustain the burden of proving racial profiling. More and more, this case looks like it will be thrown out in criminal court and eventually be headed to civil court.

The opinions expressed in this commentary are solely those of Mark NeJame.

@highlight

Mark NeJame: Many have said George Zimmerman engaged in racial profiling

@highlight

He says civilians aren't subject to same restrictions as police officers face

@highlight

Evidence doesn't support the claim that his actions were racially motivated, NeJame says

@highlight

He says case may not hold up in criminal court, may go to civil lawsuit