(CNN) -- Nelson Mandela was always mindful that his leadership role in the liberation of South Africa from apartheid might not have been possible if he had not been imprisoned.

"It is possible that if I had not gone to jail and been able to read and listen to the stories of many people. ... I might not have learned these things," Mandela said of the insights that he gained during his 27 years in jail.

In an interview less than a year after he had stepped down as the country's first black president, Mandela shared with me reflections of how prison changed him.

He said that reading the biographies of great leaders who had been able to overcome their shortcomings and rise to do great things had inspired him. He said it also helped him to realize that behind every seemingly ordinary person lay the potential of greatness.

"I have been surprised a great deal sometimes when I see somebody who looks less than ordinary, but when you talk to the person and they open their mouths, they are something completely different," he said.

Mandela said that prison gave him time to think about the times when he had failed to acknowledge people who had been kind to him.

Mandela said that at the height of the struggle against apartheid, he and other leaders were understandably angry at the humiliation and loss of dignity of those who suffered under the unjust policy. It meant their actions were driven by anger and emotion rather than by reflection and consultation.

"But in jail -- especially for those who stayed in single cells -- you had enough opportunity to sit down and think," he said.

There was time to listen to the stories of people who were highly educated and who were widely traveled and experienced. "When they told of their experiences, you felt humbled," he said.

Mandela said that he had learned that when you had the moral high ground, it was better to sit down and talk to people and persuade them of the correctness of your cause.

"If you have an objective in life, then you want to concentrate on that and not engage in infighting with your enemies," he said. "You want to create an atmosphere where you can move everybody toward the goal you have set for yourself," Mandela said.

Nelson Mandela: A man of many handshakes

In his twilight, Mandela was at pains to publish and acknowledge his weaknesses and shortcomings in his family life, in his relationships with women and his first wife, Evelyn. He was keen to dispel any notion of sainthood that might be bestowed on him.

He also spoke increasingly about the importance of changing oneself.

"One of the most difficult things is not to change society -- but to change yourself," Mandela said in 1999 at a tribute to billionaire businessman Douw Steyn who had made his Johannesburg residence available to Mandela as a retreat after his prison release in 1990.

Mandela had given similar advice to wife Winnie in a letter written to her in 1981 after she had been jailed by the apartheid regime. Mandela noted that there were qualities "in each one of us" that form the basis of our spiritual life and that we can change ourselves by observing our reactions to the unfolding of life.

Ten years later, Mandela said that it gave him a feeling of fulfillment to see that Douw Steyn had changed and had learned to share his resources with the poor.

"It enables me to go to bed with an enriching feeling in my soul and the belief that I am changing myself" by reconciling with former adversaries, Mandela said.

I believe that the essence of Mandela's greatness was to change himself fundamentally during his period in jail and emerge as a potent leader and example for all humanity.

Opinion: Nelson Mandela saved my life

The reflections took me back to the extraordinary day of Mandela's release. The day the legend became a man. Even now, the moment seems frozen in time.

It was February 11, 1990, and the African sun shone from a clear blue sky on a windless summer's day in Cape Town. About an hour's drive from the city, the international media thronged around the entrance of a neat prison warder's house to await the emergence of one of the century's most iconic figures.

I had arrived late at the prison and wandered unnoticed into the prison grounds where my slate-blue cotton suit coincidentally blended in with the uniform color of the South African police. That might have had something to do with the fact that I was not challenged when I strode confidently into the prison grounds. But to this day I do not know.

An unscheduled wait of an hour while Mandela consulted an anti-apartheid delegation including his wife Winnie, who had arrived an hour late, seemed like an eternity.

When Mandela, flanked by Winnie, finally emerged walking down the driveway towards the prison premise gates, I lost all sense of time and self and strode towards Mandela to shake his hand and congratulate him on his freedom.

He recognized me from the photograph that accompanied my regular column I had written for the Cape Times, where I often analyzed the successes and setbacks of the anti-apartheid movement and the African National Congress in exile.

His face broke into a broad smile as we shook hands and he continued his historic walk to freedom.

At the time, I was the southern Africa correspondent for the Christian Science Monitor which was for many years the only international news publication that Mandela was allowed to read in jail albeit in a vetted form with pages and sections frequently removed.

On his first visit to the United States in 1990, Mandela broke from his official program on Sunday, June 24 to pay an unscheduled visit to the headquarters of the Monitor at One Norway Street in Boston to the astonishment of the editor and staff. (Today the Monitor is online only. The newspaper ceased daily publication in 2009.)

South Africa since apartheid: Boom or bust?

I received an incredulous call from my foreign editor, Jane Lampman, on that Sunday asking me if I could guess who was standing outside the building with two bodyguards asking to see the editor. It was, she said, Nelson Mandela. I was astonished too.

Mandela was intrigued that the founder of the newspaper, Mary Baker Eddy, also founded a religion. Mandela came to respect the Monitor's sustained and fair coverage of South Africa during his time in jail.

To this day, Mandela's weaknesses, his turbulent youth and his sometimes tempestuous relationships with women can still detract from the iconic status that Mandela achieved in his own lifetime.

But, the responsible airing of his weaknesses -- including his own acknowledgment -- in fact humanized Mandela and focused on his extraordinary strength of character and commitment in overcoming both his weaknesses and adversity in his own lifetime. It augmented Mandela's greatness.

Carrying on the work of Nelson Mandela

It is Mandela's achievement as a universal icon that has always fascinated me most. He first conquered his jailers by convincing them that they were the ones imprisoned by their own unsustainable policies based on fear and racial injustice. And then he negotiated them out of power with the sheer force of his moral authority and belief in himself.

Mandela's example and actions in becoming the country's first black president struck a mortal blow to racism worldwide and helped build confidence and pave the way for Barack Obama to pull off a similar feat in the United States.

If Mandela has a global heir in the ongoing campaign against racism and the quest for human dignity it has to be Barack Hussein Obama.

The power of Mandela's leadership was rooted in the fact that at key moments in his life he acted independently of the movement to which he dedicated his life and to which he deferred as a "loyal and obedient" member.

He did so when he decided in 1986 to begin negotiating with his jailers from behind bars not knowing where it would end. He did so in continuing to refer to former President F. W. de Klerk as a "man of integrity" long after it was less popular to do so in the ranks of the African National Congress.

And he did so again when he went out on a limb within his own constituency after his release to support the overwhelmingly white South African rugby team in the World Cup in 1995.

Mandela said that even if he wanted to he could not bind future generations to remember history in a particular way.

The lesson of Mandela's life is that he has no need to bind anyone to his legacy nor does he need any organization to do so.

His actions in his own lifetime are his legacy and they will remain indelibly etched in history for generations to come as a living example to inspire the leaders of tomorrow.

The opinions expressed in this commentary are solely those of John Battersby.

@highlight

Nelson Mandela, who freed South Africa of apartheid, has died at age 95

@highlight

John Battersby: Mandela said that being in prison for 27 years changed his world view

@highlight

"One of the most difficult things is not to change society ... but to change yourself," Mandela said

@highlight

Battersby: Mandela's strength of character made him a potent leader and example for humanity