New Orleans, Louisiana (CNN) -- The verdict so far: generally good news but still some uncertainty about whether there's a leak in BP's well in the Gulf of Mexico, now fitted with a containment cap.

That's the assessment of the retired Coast Guard admiral overseeing the government's response to the oil spill, more than 24 hours into a critical test checking the well's ability to hold up under pressure.

Thad Allen reported Friday afternoon that pressure is rising in the well, a sign that the well is holding and that the leak that had been spewing oil into the Gulf for nearly three months can be contained.

But pressure readings have not reached the optimal level.

Pressure was up to 6,700 pounds per square inch inside the well's capping stack, he said. More than a day into the "well integrity" test, pressure above 7,500 pounds per square inch would indicate "high integrity and low potential for a leak," according to Allen.

What does 6,700 pounds per square inch mean? Government scientists and BP experts aren't quite sure. It could be a leak, or it could simply be that so much oil has spilled out already, it's taking a while to build up pressure.

"In general, as the president noted today, this is generally good news," Allen said. But he added, "I think we're at a point where there's enough uncertainty about the meaning of the pressure that we're seeing that we have to use due diligence moving forward. We don't want to do harm or create a situation that cannot be reversed."

Allen said the government has told BP to proceed with the test but intensify monitoring of the well, by conducting seismic and acoustic tests and visual inspections of the sea floor using robots. In addition, a government ship is in the area, fitted with equipment for detecting methane gas, which would be an indication of a leak.

The "well integrity test" began Thursday after two days of delays, first as government scientists scrutinized testing procedures and then as BP replaced a leaking piece of equipment known as a choke line.

The oil stopped gushing out Thursday afternoon, the first time BP has been able to gain control since the Deepwater Horizon rig exploded April 20 and triggered the catastrophe.

All that was made possible by a new, tightly fitting containment cap.

BP Senior Vice President Kent Wells said later in a telephone conference following Allen's that two robots trolling the sea floor in the area of the well bore and two others capturing sonar data have not detected any breaching. "At this point, there is no evidence the well bore has been breached, so that's good news," he said. "The current monitoring that we do shows no negative evidence."

He said the well integrity test is proceeding as planned, and the pressure readings so far, while not optimal, are "consistent with BP's engineering analysis" and "do not give us any indication that we do not have well integrity."

Wells said also said that work restarted Friday on the drilling of the first of two relief wells, seen as a more permanent way to plug and seal the breached well. They're expected to be completed in August. One serves as a backup to the other.

When they are ready, mud and cement will be pumped into one of the relief wells to permanently seal BP's crippled well.

Allen and BP officials initially had said that the test results would be closely scrutinized at six-hour intervals and that the integrity test could go on for 48 hours. But at this point, they're focusing on each six hours, with no guarantee the test will last two days.

When the test is wrapped up, valves are expected to be reopened to resume siphoning oil to two ships on the surface, the Q4000 and Helix Producer, as government and BP officials assess the data and decide what to do next.

Two more ships are due to join them in coming weeks, bringing containment capacity to 80,000 barrels (about 3.4 million gallons) of oil a day, more than high-end estimates of how much oil had been leaking. But it's possible some oil may be released into the Gulf again, before all the ships are ready.

As results came in Friday morning, President Barack Obama spoke about the developments with a note of caution.

"I think it's important that we don't get ahead of ourselves here," he said. "You know, one of the problems with having this camera down there is that when the oil stops gushing, everybody feels like we're done, and we're not. We won't be done until we actually know that we killed the well and have a permanent solution in place."

The president expects to return to the Gulf Coast in the next few weeks.

The White House announced that first lady Michelle Obama will return to the Gulf region next week to meet with Coast Guard personnel who've been responding to the oil spill and to christen a Coast Guard cutter named in honor of Dorothy Stratton, the service branch's first female commissioned officer. The visit will take place in Mississippi on Friday.

Meanwhile, Gulf residents are happy simply that no oil is being released now.

"See the smile? That's my reaction," Jamie Munoz said. "But it's cautious optimism. Obviously, I'm very happy. It's been our goal for 88 days now. It's been a long run. But, hopefully, we get it done right and begin the cleaning. That's the most important part. Let's clean up and get our fishermen back to work."

BP also reported that it has paid more than $200 million in claims to 32,000 Gulf Coast residents. The largest groups of claimants include fishermen, who have received $32 million, and shrimpers, who have received $18 million, the company said in a news release. It said that about $77 million has been paid for loss of income to workers on ships, at seafood processing plants and other businesses.

.

@highlight

NEW: BP official: No indication we don't have well integrity

@highlight

"Well integrity" testing proceeds past 24-hour mark

@highlight

Pressure is still not at optimal level

@highlight

Government tells BP to step up monitoring