(CNN) -- "I just love it when I get milk-to-dark converts," says Kerrin Rousset, as she prepares to lead a small cocoa-hungry crowd through the narrow streets of Zurich's Old Town.

Rousset, who makes a living leading people to the city's finest chocolates, needn't worry too much -- we're already lost to the dark side.

We've joined her on a sunny afternoon in Paradeplatz, outside the flagship shop of Sprungli, a high-quality chocolate maker known for its delicate Luxemburgerli bite-sized almond meringues.

We're here because, although in Zurich you're never more than a praline's throw from an artisanal chocolatier (not that any sane person would throw away a perfectly good praline), it's surprisingly tricky to locate truly excellent chocolate.

It's a task for a local connoisseur who's already cracked the cocoa code.

Rousset is a New Yorker with bright eyes, an unbelievably slim figure and a constant smile fueled by chocolate.

She's also the founder of the Sweet Zurich tour.

A resident of Zurich for the past six years, Rousset shares her knowledge and passion about the small shops during tours she's been running since 2011.

Outside Sprungli, Rousset steers us away from what we thought would be our first chocolate hit.

"You should definitely visit Sprungli while you are here," she says. "The place is always lively, but it's not included in our tour as we will focus on the more hidden, artisanal shops that would be harder to discover on your own."

We follow obediently.

A few minutes later, we're on a lively pedestrian street in the Old Town, sampling the wares in Honold, a family-owned confectionery and chocolate shop founded in 1905.

Unexpected ingredients

I'm instantly hooked on Lotti's Best -- one of Rousset's suggestions -- a crumbly nougat feuilletine with tonka bean and a pinch of fleur de sel, covered with Criollo de Venezuela 65% and milk chocolate.

Naturally, it's easier, and much more fun, to taste than to describe.

During our next stops, we taste a variety of chocolate creations, often mixed with unexpected ingredients, such as lemongrass or galangal, that test our taste buds and preconceptions.

"The secret lies in the balance: if you find the correct one, then the combination simply works," Rousset says.

Cupcakes are included in today's menu and we happily try the moist, light cakes with cream cheese toppings (a refreshing alternative to usual butter cream) and playful names such as Marilyn Monroe and Kokos Chanel.

Between choc stops, we pause at some of the city's numerous fountains to cleanse our palates.

With church bells in the background, we discuss all things chocolate, such as cocoa bean origins and cocoa percentages.

We learn that, as with wines, it's important to know where the beans originate from, because their "terroir" significantly determines chocolate flavor.

It transpires the cocoa percentage figure given on many chocolate bars merely indicates darkness and sugar content and is no reflection of quality.

As well as feeding our chocolate-buzzed minds with facts about the world of cocoa, Rousset also tells us how she began leading tours of Zurich's sweet spots.

Becoming a chocolate tour guide

"When friends and family would come to visit, I would take them to my favorite sweet shops," she says.

"Of course we would go to Sprungli, a Zurich institution, but it was fun to go to the small local shops where the owners had become friends, where we would chat and taste lots, too."

While answering questions about Swiss confectionery on her blog, she realized that many of her friends who were either from Zurich or living there for years, didn't know about her favorite chocolate shops.

That's when she decided to do something about it.

Our sugary tour concludes in Conditorei Schober-Peclard, a legendary coffee house that's been successfully transformed into a pastry heaven.

Owned by gastronome Michel Peclard, it's housed in an impressive 14th-century building with a lavish interior and photogenic ornamental cash register.

The star here is the hot chocolate, which we taste in its cold edition, but there's an abundance of homemade pastries, cakes, ice creams and savory items.

While we're recounting our favorite tastings from the evening, the manager invites us to taste his latest discovery, a surprisingly refreshing cold brew of coffee mixed with tonic water.

Another great taste from the dark side.

Tasting instructions

We ask Rousset to share her expertise on the art of proper chocolate tasting.

"Use all your senses to recognize and appreciate a good quality chocolate bar; look for a nice sheen, not too glossy nor dull," she says.

"Sound: Break off a piece and you should hear a distinct snap, letting you know it was well-tempered.

"Smell: There are countless aromas in cocoa beans, so you'll smell a variety of natural aromas from fruits to spices to nuts, depending on the origin of the bean.

"Taste: Let it melt in your mouth -- don't chew -- and you should taste several flavors and no bitterness.

"A sign of a good quality chocolate is when there are several stages of flavor -- they develop in your mouth as it melts. More importantly, the flavor doesn't just disappear after you swallow, but lingers."

Sweet Zurich Tour; tours run Tuesday to Friday at 2 p.m. and last about two and a half hours (tour groups are typically two to eight people); CHF85 ($93)

Rania Margari is a freelance journalist with an interest in travel, food and lifestyle stories. She's based in Lausanne, Switzerland.

CNN Travel's series often carry sponsorship originating from the countries and regions we profile. However, CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Sweet Zurich tour focuses on local chocolate confectionery gems like Honold and Conditorei Schober-Peclard

@highlight

Rousset advises chocolate tasters to let the chocolate melt -- not chew

@highlight

As with wines, it's important to know where cocoa beans originate, because their "terroir" determines flavor