(CNN) -- In the Indonesian capital of Jakarta, not even the notorious traffic congestion can slow the voracious demand for property.

Roughly 10 million people live within the urban core of this vast city while a further 28 million populate the suburbs.

With affluent cash-buyers and local businesses driving the housing market at a rapid pace, anyone with a hope of climbing on the property ladder has to move fast to secure value.

"The prices go up really quickly," said Afifa Loutfie Abdousaalaam, a local property investor.

"If you think 'oh you know I don't have enough money now,' you're not going to then catch up with the race because property prices in Jakarta go up above 10% a year," Abdousaalaam added.

This is the reality of apartment hunting in what has become one of the hottest property markets in the world.

In the vast Metro Park residential building under construction downtown, for example, only a handful of the 1,200 units remain unsold -- a story that is repeated across the city.

According to David Cheadle, managing director of real estate agents Cushman and Wakefield Indonesia, Jakartans are keen to snap up new builds like these as soon as they come online.

"More Indonesians are buying high-rise now, either for primary or secondary residence, and also for investment purposes... given the growth in the economy and the buying power of the middle class," Cheadle said.

"I think coupled with that, the increase in traffic issues and rise in fuel prices, that has also been another major driver for people really looking to try to be located closer to the areas of the workplace and within the more central Jakarta areas," he added.

But land is scarce in this sprawling metropolis, ensuring throwing up new buildings is no easy task.

For each new multi-million dollar high rise or office tower threatening to change the skyline, kampungs (make shift dwellings found closer to earth) occupy the space in between.

Yet despite the lack of room and high demand adding to the premium of new-builds, some developers say there is still far more value for money to be found in Jakarta than in other popular Asian cities.

"Nowadays our range price of apartments is about $2,500 or $3,000 per meter square," said Agung Wirajaya, assistant VP for marketing development at property developer Agung Podomoro.

"If you compare to the other countries in Asia, in Hong Kong for instance, it could be per meter square it could be $15,000 or $20,000, so that's why compared the other city around the world, Jakarta it's a very attractive, exotic property for investors."

And with that international optimism, local expectations are rising.

The World Bank predicts solid future growth for Indonesia's economy although there remains much work to be done in improving infrastructure within Jakarta to ensure further expansion in the property market.

For now, however, local buyers like Abdousaalaam will have to remain sharp to secure that bargain.

Interactive: Property moods around the globe

@highlight

Property prices rising rapidly in Indonesian capital of Jakarta

@highlight

38 million people live in city and surrounding area and space is scarce

@highlight

Developers say Jakarta is smart investment as it is cheaper than other major Asian cities