A year ago, a fisherman Efren Forones came back from fishing trips with up to three and half tons of fish. In return he was able to buy 15 to 20 kilos of rice for his family every month and was planning to send at least one of his six children to college.

Not any more.

He now returns with just 400 kilos of catch at best, meaning he can only afford one to two kilos of rice a month, while school for his children is an expensive luxury and out of the question.

The reason? He says he can longer fish in the fertile waters around Scarborough Shoal.

A cluster of uninhabitable sand banks and small rocks set in a shallow azure water lagoon about 130 miles (200 km) west from the Philippine island of Luzon, Scarborough Shoal is one of a number of territories at the center of an international dispute in the South China Sea.

Both the Philippines and China lay claim to it.

Tense standoff

The long-term tensions between the two nations escalated last April during a one-month stand off between the two nations, after Manila accused Chinese boats of fishing illegally in the area. When a Philippines navy vessel inspected the boats it found "large amounts of illegally collected corals, giant clams and live sharks" inside one of the boats, according to the Philippine government. Manila then reported that two Chinese surveillance ships had taken up position at the mouth of the lagoon, blocking the way to the fishing boats and "preventing the arrest" of the fishermen. The vessels stretched a cable across the mouth of the lagoon, which also prevented Filipino fishermen from going there, according to the Philippines coast guard.

Earlier this year, the Philippine government took its feud with China to a United Nations tribunal, a move that Beijing has rejected. In an article on state-run CCTV last month, China pointed to a code of conduct it signed in 2002, known as the Declaration on the Conduct of Parties in the South China Sea, with fellow members of the Association of Southeast Asian Nations (ASEAN). It said the declaration expected that relevant disputes be solved through friendly talks and negotiations by sovereign states directly concerned.

That brings little comfort to the struggling fishermen in communities in west Luzon, the nearest region to Scarborough Shoal -- also known as Panatag Shoal here or Huangyan Island to the Chinese. One of them is Masinloc, a municipality of 40,000 people, which relies on the seas for almost 80% of its income, according to the Philippines Bureau of Fisheries and Aquatic Resources. It says thousands of fishermen have lost their regular jobs as catches decline.

Forones is one of them.

The 52 year old has been fishing in the waters off Masinloc for 22 years. He lives with his family in a traditional bamboo house mounted on pillars above the sea. His youngest daughter is four years old. Forones does not own a boat but used to be hired as a fisherman and paid a minimum of $85 dollars for a trip. Nobody is hiring now. He has tried to rent boats on his own and fish with his neighbors, but the little catch they bring back barely covers the rental fee and fuel.

He says the Shoal is the most important fishing ground in this region. "They (the Chinese) shoo us away, will not allow Filipinos to come near the area," he says. "They are the only ones that can fish there, not us. We lost Scarborough and it is hard. We earn nothing."

Beijing is unwavering in its claims. As recently as last month, the state-run Xinhua news agency reported that Chinese surveillance vessels were carrying out regular missions in the South China Sea.

The Xinhua report cited Liu Cigui, director of the State Oceanic Administration, as saying that China would continue the patrols "to secure the nation's maritime rights and interests" in areas it claims as its territorial waters.

China's claim on the area dates back to 1279 during the Yuan Dynasty, when Chinese astronomer Guo Shoujing conducted a survey. Then in 1935, China declared sovereignty over 132 islands, reefs and shoals in the South China Sea, with the Scarborough Shoal -- or Huangyan -- included as a part of the Zhongsha Islands, according to Xinhua.

However, Forones is in little doubt who the lagoon, which lies within what the Philippines declares as its Exclusive Economic Zone, belongs to.

"Of course it is ours. We own Scarborough," he insists. "But China is trying to get it from us. Our government should fix that. We should seek help from the United States if the Philippine government cannot handle it alone."

Nowhere else to go

Forones and his wife plan to stay in Masinloc, for now. He will try to start diving for shellfish. By selling clams, mussels and oysters, they can make around $5 a day. Enough to buy rice and other basic food to feed the family. "There is no other place where we can go. I will stay here, get shells from nearby and help my husband to make living," Forones' wife, Gemma, says.

The situation is similar in Subic, a town 55 miles (88 km) south of Masinloc. It used to host one of the biggest American naval bases outside the United States, before it closed in 1991.

Operators of the fishing market on the outskirts of the town of 90,000 say business is down 50% since the fishermen were blocked from fishing where they wanted to at Scarborough. Many fishermen here share a similar story to their counterparts further north.

"When we went there, a Chinese vessel, the Chinese Marine Surveillance blocked our path," says Ronnie Drio, 46-year-old father of eight children. "As we managed to get past through it, it looked like they called another one because a different ship appeared and blocked our way again.

"That's when we got trapped. Then a Chinese man stepped out. He looked like their highest officer. He flashed a sign that we had to leave immediately. We were kicked out like pigs."

A number of fishermen have already left Subic and Masinloc and many more are considering it. One of them, 58-year-old Tolomeo "Lomi" Forones, is Efren's cousin. He's been a fisherman for 30 years but now makes a living as a motorbike taxi driver. He makes around $2 on a good day.

"Our income was higher when we used to fish at Scarborough. I even used to save money.  But now we earn just enough for daily consumption and sometimes what we earn is not even enough to provide food."

Dangerous waters

He still does occasional fishing trips but against his wife's wish. Janet Forones wants to leave Masinloc and their low income is not the only reason: "Who would not get worried when they are out there? What if they get shot?" She was referring to the presence of the Chinese boats.

What puzzles the fishermen here most is the speed the whole situation has changed. Although the Philippine and Chinese governments have disputed each other's claim to the lagoon for many years, they could fish at Scarborough alongside Chinese fishermen up until a few months ago.

"I do not know why they don't like us or why they do not want us within that area. If Americans were still in the region, the Chinese would have never came to Scarborough because they would be scared. If our government allows the U.S. to come back over here, its OK with me," she says, referring to Washington's commitment to its mutual defense treaty with the Philippines that former Secretary of State Hillary Clinton reaffirmed last year.

But the solution to the dispute is as distant as ever. Litigation at the United Nations could last years. Most of the local fishermen do not have so much time. So while the governments squabble, many of these fishermen and their families will have to leave the only life they have known and start from scratch somewhere else.

@highlight

China, Philippines claim lagoon, some 130 miles (200 km) west of Philippine island of Luzon

@highlight

The uninhabitable sand banks and small rocks are located in prime fishing grounds

@highlight

Chinese and Philippines vessels have been involved in tense stand-off

@highlight

Fishermen from Luzon have suffered as their access to the region has been restricted