Boston (CNN) -- After 30 days and 63 prosecution witnesses -- including extortion victims, shooting victims, federal law enforcement agents, former drug dealers, and families of alleged murder victims -- defense attorneys began making their case Monday for James "Whitey" Bulger, allegedly Boston's most feared underworld crime boss.

Their first witness, a former FBI agent, testified that he was sent to clean up the "leaks" at the FBI in Boston in 1981, and that one of his assignments, given by the special agent in charge, was to evaluate Bulger as an informant and perform a "suitability study."

After an evaluation, he recommended "terminating" Bulger as an informant.

"You have a guy telling you he is not an informant ... telling you he has his own gang ... he pays, they (the FBI) don't pay him," Robert Fitzpatrick, the former agent, said Monday. "That automatically, in my opinion and according to the book, would nullify him as a trusted informant."

"You may call him an informant by name. According to the bureau, according to the file, he is an informant," Fitzpatrick, who spent more than 20 years with the FBI, said before a federal jury in Boston on Monday. He ultimately recommended that Bulger's file be closed.

On cross-examination, prosecution attorney Brian Kelly asked Fitzpatrick rhetorically, "You wouldn't go to close a window if it wasn't open right?"

Much of Bulger's trial has been focused on whether he was an open informant for the FBI in Boston for two decades during the time prosecutors say he reigned over crime in South Boston, participating in 19 murders, racketeering, extortion and money laundering -- all of which he has been charged with.

The prosecution previously introduced a 700-page document that suggests Bulger was an informant. That assertion has been the crux of the prosecution's case, which wrapped up Friday.

The defense argues that Bulger had FBI agents on his payroll to protect him from wiretaps and indictments, but he never fed any information to the FBI.

Defense attorney Hank Brennan's line of questioning indicated that Bulger's counsel is attempting to shift the pendulum, and put the FBI on trial for corruption.

The defense called Fitzpatrick, 73, to testify about being called in 1981 to "stop the leaking in Boston."

"Inside and outside FBI," there was a "leaking of information, causing lots of investigations to go south," Fitzpatrick said. He was assistant special agent in charge, head of the drug task force and white collar crime section of the FBI in Boston. Describing himself as a whistle-blower, he detailed instances when he tried to report leaks and corruption within the FBI in Boston.

In one instance, Fitzpatrick testified, the FBI and government strike force attorneys were resisting his efforts to get an FBI informant into the witness protection program.

"I was getting the impression that people were stonewalling our trying to get Halloran out of harm's way," Fitzpatrick said Monday. Brian Halloran, one of Bulger's former associates, agreed to cooperate with the FBI and implicate Bulger in the murder of a wealthy Oklahoma businessman. Two days after Fitzpatrick complained to his superiors that not enough was being done to put the man in witness protection, Halloran was shot to death, along with a friend, Michael Donahue, who was driving him home.

Bulger's "surrogate son" and former associate, Kevin Weeks, testified earlier in the trial that "Jim Bulger just kept shooting," describing Halloran's writhing, bullet-ridden body as "bouncing off the ground." Bulger was tipped off by his rogue FBI informant handler that Halloran was cooperating with the FBI, according to testimony from disgraced FBI agents.

Fitzpatrick contends he was ultimately forced to resign from his post in Boston because he was being retaliated against after reporting to headquarters that his boss was leaking information about grand jury testimony.

"The reason I left the FBI is because it was corrupt at that level," he said.

On cross-examination, sparks flew as prosecuting attorney Brian Kelly asked Fitzpatrick immediately, "It's fair to say you are a man who likes to make up stories?"

Kelly argued that in Fitzpatrick's memoir "Betrayal," the former agent falsely proclaims that he made the arrest of a mafia crime boss. Kelly produced the FBI report in court that made no mention of Fitzpatrick's name in the arrest report.

Fitzpatrick also contends in his book that he recovered the rifle used to shoot Martin Luther King Jr. Prosecutor Kelly brandished the 200-page report on the FBI's website documenting the MLK assassination, which does not make one mention of Fitzpatrick.

"Where's you?" Kelly asked Fitzpatrick.

"I was on the scene when shot was taken," he said.

Tension between attorneys is mounting as the trial gets into its final weeks. Kelly used words as ammunition as he read passages from Fitzpatrick's memoir amid a fiery line of questions. Bulger's attorney, J.W. Carney, had to reinforce his partner Hank Brennan's objections at one point, adding, "Apparently it takes two voices to get Mr. Kelly to stop talking."

Kelly got Fitzpatrick to admit that he was not working in the FBI during the time the government began to make its case against Bulger, and said aloud to a very attentive jury, "you have nothing to do with the charges that bring us here today."

Fitzpatrick is still in legal battles for his pension, which he lost as a result of being forced to resign five years early.

On why he titled his book "Betrayal," he said, "I felt betrayed.

"I think the government felt betrayed.

"The FBI was betrayed.

"The Justice Department was betrayed.

"There was a lot of betrayal going on."

The defense plans to call at least 11 more witnesses, but the attorneys indicated that is subject to change.

Also Monday, Judge Denise Casper heard arguments on a defense motion to sequester the jury. Kelly said that it was "not necessary" to suggest this to the jury "at the 11th hour."

Carney replied that there has "never been a more widely publicized or sensational case in this district," harkening to saturated media coverage and "statements that are so hyperbolic and prejudicial towards the defendant ... unlike anything anyone has seen."

Casper has not yet ruled on the motion

Fitzpatrick said he met with Bulger only one time to evaluate him as an informant, and Bulger did not give him any valuable information. He added that the only information he ever gleaned from Bulger came from his FBI file, which was written by Bulger's rogue FBI informant handlers, John Morris and John Connolly.

Connolly is serving time for leaking sensitive information that cost two cooperating witnesses their lives at Bulger's hands. Morris was granted immunity from prosecution in exchange for testimony in 1998 in which he confirmed FBI misconduct.

Morris, who reviewed all informant matters at the time, drove Fitzpatrick to a meeting with Bulger in January of 1981. Fitzpatrick said Morris was "pumping him (Bulger) up" to Fitzpatrick, saying that Bulger was a "great guy."

Morris previously testified he accepted more than $7,000 in cash and gifts from Bulger.

Fitzpatrick said that when he met Bulger in a dark corridor in Quincy, Massachusetts, Bulger was wearing a baseball cap -- "Boston of course" -- and sunglasses. Bulger would not shake Fitzpatrick's hand, he said. "That's not a really nice way to start a conversation."

"Most informants are really trying to help," he said. "They are trying to do the job. I didn't get that from him at first."

So Fitzpatrick asked him, "What are you doing for me?"

During a 30-minute conversation, Fitzpatrick said, Bulger never once gave him any valuable information. "Basically, he was not giving me info I was trying to get. ... He was not responsive to what I was out there to get."

Bulger "said he was leader of the gang, top guy. That resonated with me because, you know in the FBI, you can't have the head of the gang as an informant, because then you are validating the gang, you are a part of the management, if you will," he said.

Fitzpatrick said Bulger told him he would never testify, which is rare for an informant.

"At one point, he (Bulger) even said, 'I am not an informant.' At that point I made a mental reservation ... 'what am I doing here, what's going on here?'"

Then Fitzpatrick, who thought this was a private meeting, was "shocked" to see Connolly, Bulger's rogue FBI informant handler, who "popped up" out of nowhere at the meeting, which Fitzpatrick said he was not entitled to attend.

Connolly served time on federal racketeering charges and is now in state prison serving 40 years on related murder charges stemming from his relationship with Bulger. He tipped off Bulger and his crew that an associate, Halloran, was cooperating with the FBI and implicating Bulger in the Oklahoma businessman's murder.

Ultimately, Fitzpatrick recommended Bulger be closed as an informant. Fitzpatrick gave the information to the special agent in charge, who passed the recommendation on to Washington FBI headquarters. Headquarters determined that Bulger was too valuable to taking down the New England Mafia and decided to keep him open.

Morris testified that he wrote a letter to headquarters to persuade them to keep Bulger on as an informant because of all the help he was giving the FBI in taking down the Italian mafia, La Cosa Nostra.

The defense has argued that it was Bulger's partner and henchman Stephen Flemmi who was providing information about the mafia, and that the information was put in Bulger's file so that the FBI could preserve him as an informant.

Fitzpatrick testified that the only information he received from Bulger was information he read in Bulger's informant file, produced by rogue agents Connolly and Morris. He said he never had any reason "not to trust" the agents he worked with.

@highlight

A former FBI agent is the first witness for the defense

@highlight

He testifies he recommended "terminating" Bulger as an informant

@highlight

The defense files a motion to sequester the jury

@highlight

The prosecution rested its case Friday