LONDON, England (CNN) -- Pregnant women in Peru are dying at scandalous rates, according to the author of an Amnesty International report into maternal mortality in the South American country.

Vertical births where women are kneeling or crouching and holding on to a rope are common in Peru.

The report, "Fatal Flaws: Barriers to Maternal Health in Peru" found that hundreds of poor, rural and indigenous pregnant women are dying because they are being denied the same health services as other women in the country.

It also concluded that the government's response to tackling the problem was inadequate.

Peruvian government figures state 185 in every 100,000 women die in child birth, but the United Nations says the number is much higher at 240, which makes it one of the highest rates of maternal mortality in the Americas.

In wealthy developed nations, only nine women die for every 100,000 births.

The five main causes of pregnancy-related deaths in Peru are hemorrhage, pre-eclampsia, infection, complications following abortion and obstructed birth, according to Peru's Ministry of Health figures.

Amnesty's Peru researcher Nuria Garcia said in a statement: "The rates of maternal mortality in Peru are scandalous. The fact that so many women are dying from preventable causes is a human rights violation.

"The Peruvian state is simply ignoring its obligation to provide adequate maternal healthcare to all women, regardless of who they are and where they live."

Garcia added: "Health services for pregnant women in Peru are like a lottery: if you are poor and indigenous, the chances are you will always lose."

Amnesty's report highlighted the case of Criselda, a  22-year-old indigenous woman from the country's Huancavelica Department, one of the poorest regions of the country.

While seven months pregnant, she fell and hurt herself, and after feeling pains, she went to the health post for a check-up.

The doctor said she was fine and sent her away but she miscarried two days later, according to the report.

The report found that so many women are dying because they face a number of barriers, including a lack of health staff who speak indigenous languages like Quechua -- a native Andean language spoken by some five million people in Peru.

However, the vast majority of Peruvian doctors only speak Spanish, as they rarely come from areas or communities where indigenous languages are spoken.

Criselda told researchers she believes the doctor may not have picked up her symptoms accurately because she could not understand her, and interpreters were not available.

Transport problems are also a contributing factor to the high mortality rate among Peruvian indigenous women, as most of them usually have to travel long distances to a health center to get attention, the report found.

Criselda's husband Fortunato said in the report: "There is no ambulance when there is an emergency. To go from here it takes us two or three days and sometimes they die right here because there is no vehicle or ambulance."

According to the report, 27 percent of deaths of women from pregnancy-related causes occurred during pregnancy; 26 percent occurred during the birth itself; and 46 percent during the first six weeks after giving birth.

Amnesty has urged the Peruvian government to allocate resources to maternal mortality and reproductive health, prioritizing the regions with the highest mortality ratios.

The organization also recommends an increase in training, particularly in indigenous languages.

@highlight

New Amnesty report says Peru's poor pregnant women dying of neglect

@highlight

Peru has one of the highest rates of maternal mortality in the Americas

@highlight

In wealthy developed nations, only 9 women die for every 100,000 births

@highlight

Problems faced include a lack of health staff who speak indigenous languages