(CNN) -- Being coach of a nation's football team brings enormous responsibility. The stakes are high, and the weight of expectation is even greater.

Some say, for instance, that the England manager's job is second only in importance to the British Prime Minister's role -- and Roy Hodgson has already been subject to intense scrutiny before his first match in charge against Norway in this weekend's Euro 2012 warmup match.

But though undeniably demanding, Hodgson's job is arguably a walk in the park compared to the task facing Kevin McGreskin.

On another island group, half a world away -- and light years in terms of sporting and economic development -- the Scottish coach is getting to grips with turning a tiny nation's team into one recognized by football's governing body FIFA.

Hodgson may have the splendor of Wembley Stadium for home games, but Kiribati's main pitch has more sand than grass.

Part of the Commonwealth, Kiribati is made up of 33 coral islands about 2,500 miles southwest of Hawaii, with a population of just over 100,000. It is one of the world's poorest countries and the World Bank ranks it as having a gross domestic product only greater than that of Tuvalu.

Who are European football's "Most Valuable Players?"

McGreskin, recently appointed as the Kiribati Football Association's technical director and head coach, has worked closely with a number of professional clubs in the UK as well as helping deliver coaching courses for European football's governing body UEFA.

He must also be the only coach who holds the prestigious UEFA "A" License qualification through three different national associations -- England, Wales and the Republic of Ireland -- after deciding to research different approaches to the courses.

He is likely to need that raft of qualifications given that Kiribati suffered two 17-1 defeats at the 2011 Pacific Games.

"One of my aims now is to make us more competitive at international level within the Pacific region," McGreskin told CNN, laughing at the suggestion he has taken on the toughest coaching job in the world.

"While achieving this will improve the status of the national team I also think this will be a very important for the development of game in the country as a whole, as it will offer the young players something positive to aspire to."

While Hodgson's time will be taken up by analyzing the teams England will face at Euro 2012, handling the egos of millionaire players and enduring the barbed comments of a critical media, McGreskin's job description extends to helping the Kiribati Football Association find a sponsor and a kit supplier.

Oh, and given that it is a low-lying Pacific island, global warming could possibly be a concern down the line.

"Generating this funding will determine how we can implement a range of programs at various levels to really move the game forward in the country," said McGreskin.

His plan to rejuvenate Kiribati will evolve literally one game at a time.

"This year we plan to participate in an international fixture against Fiji, one of our 'local' neighbors, in July and this will require us to raise considerable sponsorship to achieve this," said McGreskin.

Big-spending Man City top EPL value table

There is also the small matter for McGreskin of helping the Kiribati FA win FIFA recognition, which would allow the islanders to play in international competitions and be eligible to receive funding from football's global governing body.

"Our recent application was unsuccessful but this will be an ongoing process for us," said McGreskin. "However, while delivering this disappointing news FIFA also promised some assistance in our efforts to develop the game.

"This will be a great help to us and we will continue working towards meeting the membership criteria. It is the country's ultimate ambition to compete in the World Cup qualifiers."

Of Kiribati's 33 islands, 21 are inhabited -- though most of its population is based in the Gilbert Islands. Thirty-two are atolls (ring-shaped islands with a central lagoon) while Banaba is a raised coral island.

Player selection is also a challenge, with just 2,351 registered male players over the age of 18 in Kiribati and only 468 women players. The islands extend 2,400 miles from east to west, so McGreskin also faces a travel headache as he scouts for talent.

"The land mass of the country may be small but it is spread out over a huge area, so it offers a fairly unique logistical problem -- particularly if you need to implement a regular league season," he said.

"There is a huge passion for the game in the country and although there isn't much room for football pitches, there is still at least one on each of the islands.

"This means that the pitches that are available are played on almost all of the time, which means the surfaces aren't the best."

Surrounded by palm trees, Kiribati's Bairiki National Stadium looks about as idyllic a location as you could want from a football ground, but with one small hitch -- it does not have much grass. Indeed it has so little, the pitch could double up as a beach.

"The installation of a 3G all-weather pitch would be of huge benefit to us on the main island as it would be used regularly and mean less wear on our stadium pitch, which would give us the chance to maintain it to international standard, and help us achieve our ambition of hosting a home international match," added McGreskin.

"Maybe this is one of the projects FIFA can help us with."

McGreskin might not be a household name but he is quietly establishing a reputation as one of Britain's more innovative coaches.

He believes that for too long England has been coaching players in "pretty much the same way, but expecting the end product to be different and thinking somehow talent will magically appear."

An advocate of overload training -- a method which encourages players to concentrate on doing several things at once -- he has devised one exercise in which players have to throw a tennis ball and call out colors while they are passing a football in sequence.

"We are not providing players with the challenges that they need to meet the demands of the modern game," said McGreskin, who has been working with Scottish professional team Partick Thistle this season. "Overload exercises help the player speed up the feet and the thought process."

McGreskin believes players' decision-making is often not quick enough, a weakness that is caused by their inability to scan the pitch when they are without the ball.

"Don't forget almost 98% of the game is played off the ball. Even in a basic passing drill I force the players to work on perception, scanning skills, technique, adjustability, concentration, attention focus and attention bandwidth. It's quite amazing the effect it can have on players."

So does McGreskin have any advice for Hodgson ahead of Euro 2012?

"In one word: win," he said bluntly. " I think that has become almost only thing that matters for a coach at that level of the game.

"England don't just want to be in a position to participate in the Euros and World Cups, they want to be competing and seriously challenging for the trophy.

"However, I also think people like to see a steady stream of young talent coming through that also offers hope for the future. So, while the England manager's focus is on the full team, I think he should be actively interested in the development squads at both international and club level."

@highlight

Roy Hodgson takes charge of England team for first time against Norway on Saturday

@highlight

England manager's role has been described as the "impossible" job

@highlight

Briton Kevin McGreskin has been brought in to coach the Kiribati Islands

@highlight

At the 2011 Pacific Games, Kiribati suffered two 17-1 defeats