(CNN) -- Earlier this year, Matt Keller sat down with officials in Afghanistan -- not to discuss troop deployments, suicide bombings or opium traffickers. He was there to talk about getting laptop computers into the hands of little girls.

Girls in India take a seat on the floor and get to work on their new laptops.

As Taliban insurgents continue to crack down on girls who go to school and women who dare to teach them, Keller was awestruck by the Afghan government's determination to educate all children, even if it means finding tools that allow them to intellectually grow in the privacy of their own homes.

"For them to propose this was astounding," said Keller, who works for One Laptop per Child, a Cambridge, Massachusetts, nonprofit committed to creating and distributing affordable, durable and solar-powered laptops to the world's poorest children. "That hunger for knowledge, that desire to learn, is pretty profound."

From Uruguay, Haiti and Mexico to Mongolia, Ghana and the small Polynesian island of Niue, at least 750,000 kids -- a number that will double by June, Chairman Nicholas Negroponte said -- are tapping away on One Laptop per Child-produced XO laptop keyboards.

They're exploring mathematics, composing music and art, learning new languages, designing animation, collecting data, collaborating with peers across borders and accessing learning tools (including textbooks) that they would never see otherwise.

Targeting current and historic conflict zones, including Iraq, Rwanda and most recently the Gaza Strip, not only fulfills the group's mission to offer equal-access education to the most isolated children, it may also promote world peace, Keller said.

By putting laptops "into the hands of kids who would otherwise be indoctrinated," he explained, "we can make the case pretty successfully that doing this is a long-term solution to root causes."

When the laptops, which incorporate free wireless Internet connectivity and open-source programming, first rolled out in 2007, they cost $205 each. Now, they're down to $180.

The price is higher than Negroponte's original goal of $100 a pop, but it's a figure he believes will keep going down as One Laptop per Child finds ways to engineer the product with fewer components.

The hope is that with corporate sponsorships and donations, collected through a program called Give One Get One, the computers can be delivered to kids at no cost to the poorest host-country governments.

The laptops allow students to engage in learning differently, enjoy a customized approach and hone critical thinking skills, explained David Cavallo, One Laptop per Child's vice president of learning. And their mere existence, he said, keeps kids coming to school.

Cavallo spoke of a school in Rwanda that lacks electricity and traditionally had a 50 percent attendance rate. It is now drawing 1,000 more students than its previous full capacity, he said, and is even attracting kids -- who in turn are teaching their parents and grandparents -- on weekends.

"Rwanda is recovering from genocide," he said. This is a "real engagement of a society directing itself to a different future."

And the kids, no matter their previous exposure to technology, immediately gravitate to the machines. Keller, the group's director for Europe, the Middle East and Africa, recalled a visit to rural Ethiopia.

As he passed out the laptops, he kept one eye on the children, the other on his watch. Seven seconds was all it took for an 8-year-old boy to flip open the never-seen-before computer, find and then hit the power button.

Within two weeks, that boy and his classmates would be programming. Meanwhile, the nearby adults stared at the oddball objects and flashed the international look of, "What the hell is this thing?" Keller said. "Kids are technology natives, and adults are technology immigrants."

Despite its ongoing successes, the downturn in the economy has taken a toll on the nonprofit. The last Give One Get One promotion brought in $2.5 million, while the first incarnation brought in $37.5 million, Negroponte said. And corporate sponsors fell from 11 to three in the span of 30 days, he added. Early this year, the organization laid off half of its staff, bringing the total on payroll to just 32.

These economic realities, though disappointing, won't impede the mission, said Negroponte, who created One Laptop per Child with others from the MIT Media Lab. Thousands of volunteers around the world offer technical support and training, and serve as translators and programmers.

"If we could get all the children in the world -- 1.2 billion of them between 6 and 12 -- to have a connected laptop, that would be success," Negroponte said. "Roughly half of those children have no electricity at home or school. The poverty is so extreme, and the environmental conditions are so extreme, we have to focus on them."

The push has been to reach out to developing nations, but that hasn't precluded the group from serving American communities that can pursue the program at a scale that makes sense financially.

Birmingham City Schools in Alabama, for example, now has 14,000 of the group's laptops in students' hands.

Michael Wilson, principal of Glen Iris Elementary School in Birmingham, opened his building's doors last year as the district's pilot school for the free laptop program.

"It's been an overwhelming success at our school," which has a poverty rate of 83 percent, Wilson said. Through professional development and a summer camp for kids, the school is learning how to best utilize the computers. And the students, who own their laptops, are learning about responsibility.

They're "totally engaged in what they're doing," Wilson said. "I have kids getting out of cars in the morning with their laptops open."

One of those kids might be Amicah Bitten, a fourth-grader who is using the computer on her own time to learn Spanish with her mother, Kamonia Bates.

"It gets me more interested because she's interested. ... She doesn't put it down," said Bates, who used to take her daughter to the library when she needed a computer.

"I like it because people can learn stuff," Amicah, 9, said after school. "You can listen to music. You can take pictures. You can also learn how to make different things. I can learn Spanish. I can learn French. I can learn how to use the keyboard. ... Yes ma'am, my laptop can do many things."

@highlight

One Laptop per Child targets kids in poorest and most conflicted regions

@highlight

Laptops can help girls learn in Afghanistan, where Taliban cracks down on schools

@highlight

1.5 million laptops will be distributed by June, chairman says

@highlight

Economy may be a challenge, but goal to give equal access to all kids won't stop