(CNN) -- There's always been something about Margaret Thatcher that makes grown men go weak at the knees, particularly members of the Conservative Party. Perhaps she revives memories of stern schoolmistresses; perhaps they just grudgingly admired a strong woman telling them what to do.

I suspect the same will be true of Meryl Streep's portrayal of the former British Prime Minister in the new biopic, "The Iron Lady," which the consensus appears to view as a pitch-perfect performance, accurately capturing the look, sound and general aura of the United Kingdom's first female premier.

For many, the movie will be a nostalgia trip, whisking viewers back to happier times when politics was politics, there were heated ideological battles and elected leaders actually believed in something. "The Iron Lady" plays on all of those things, although without explicitly taking sides. There's no real attempt to analyze whether she was right or wrong during any highlighted episode.

So we witness Mrs Thatcher taking on striking miners in the mid-1980s, taking on the Argentinians to recover the Falkland Islands early in her premiership, and -- the most consistent theme of all -- taking on the British Establishment to reach to top of what Disraeli called "the greasy pole" of politics in the first place.

Review: "The Iron Lady"

Biopics naturally simplify -- how else could an eventful career be crammed into just over 100 minutes of celluloid? But the essence of the Thatcher years are certainly there and besides, the collective memory of that turbulent decade is also simplistic and broad brush. A nuanced analysis of Thatcher's economic record would hardly have kept the box office busy.

That said the screenplay takes few serious liberties with historical fact. Mrs Thatcher's political love-in with the then US President Ronald Reagan is covered, albeit briefly, as is her attempted assassination by the IRA in 1984. The leadership crisis that ended her premiership in 1990 also features, as one might expect in a biopic.

Thatcher, of course, remains a deeply divisive figure in the UK -- not least in parts of northern England and Scotland -- so movie audiences, like the country at large, will be divided. Maggie fans will glean reassuring glimpses of what made her great in their eyes, while those who remember her less fondly will no doubt come away with their prejudices safely intact.

Gallery: "The Iron Lady" and other political biopics

But for the generation or so of moviegoers who have no direct memory of the events covered in the film, their perception of Mrs Thatcher -- her legacy and beliefs -- will undoubtedly be highly informed by "The Iron Lady." Although not really "political" in that it offers few judgments, Streep's performance is nevertheless useful historical propaganda for a Conservative Party grappling with many of the same issues today.

More interesting will be the reaction to the depiction of Baroness Thatcher's dementia, first (publicly) revealed by her daughter Carol a few years ago. Although it has often been mentioned in the press, few in the UK are directly aware of its extent and will probably be shocked at Streep's nuanced portrait of the Iron Lady displaying more than a little mental rust.

It's almost a taboo subject, looking back on Mrs Thatcher's political career through the eyes of an obviously frail old lady. How would an American audience have reacted to such a portrayal of Ronald Reagan in his dotage? I suspect not at all well. Political activists prefer to remember their heroes -- and heroines -- in their prime.

Older members of the Conservative Party often indulge in the wistful refrain: "If only Maggie was still leader of the party." They do so because they find the thought comforting, secure in the knowledge that with a click of her heel and a firm handbagging she would sort out all the old enemies. In that respect, "The Iron Lady" will probably bring tears to some veteran Tory eyes.

@highlight

David Torrance: Margaret Thatcher biopic "The Iron Lady" a nostalgia trip

@highlight

The movie shows Thatcher as PM in the 1980s, and as a frail elderly woman, suffering from dementia

@highlight

Torrance: 1980s were a time "when politics was politics and elected leaders actually believed in something"

@highlight

He says "The Iron Lady" may prove "useful propaganda" for the Conservative Party