(CNN) -- A month before Spc. Ivan Lopez opened fire at Fort Hood's First Medical Brigade Building, he was under the care of military doctors, having been evaluated and treated for depression, anxiety and sleep disorders, according to military officials.

Lopez reportedly purchased his .45 caliber Smith & Wesson handgun legally at Guns Galore, a gun store near Killeen, Texas, on March 1. He had no criminal history that would disqualify him from owning a gun in Texas. His background check was clear.

Barely a month later, that same gun would be used to end the lives of three people and wound 16 others before being used by Lopez to kill himself.

But should he have been allowed to have that gun in the first place?

The answer isn't as simple as some gun control advocates would want, nor as black and white as many Second Amendment advocates would claim, especially for those in the military.

Latest Fort Hood shooting revives broader gun debate

First, let me be clear: If Lopez had been determined to have been suffering from a severe enough form of mental illness to have posed a threat to himself or others -- or had a history of violence -- he should never have been allowed to remain in the Army in the first place, much less allowed to own a gun. There is, at best, conflicting evidence in this case whether that was true.

But if he was only diagnosed with one of the more common, milder form of mental illness -- the same kinds of ailments that afflict millions of nonviolent Americans every day -- then there is little evidence to support that taking away his right to own a gun would be the prudent or legal thing to do, even for a soldier in the military.

Psychiatric issues 'fundamental underlying causal factor'

Mental illness, much like physical illness, covers a whole spectrum, from mild disorders like depression to severe issues such as paranoia and schizophrenia. The military already attempts to screen out new recruits who have anything more than a mild problem.

There are screens as you come into the military -- some of which are based on self-reporting -- and there is screening when you return from a deployment or combat.

For instance, everybody coming back from deployment has a post-deployment health assessment. Then, three to six months later, they get a post-deployment health re-assessment. If primary care personnel see any problems with a soldier and depression or anxiety, then he or she is referred to behavioral health experts for a deeper assessment.

But there lies the tricky part. Because much of these issues rely on self-reporting, if a soldier, sailor, airman or Marine wants to stay in the military, by and large they'll just say "everything is fine."

There are two kinds of soldiers: the one who is trying to stay in the military, who is not going to admit to anything that may lead to being kicked out, and the one who is trying to leave the military, who is more likely to come clean and get treatment for things like post-traumatic stress disorder.

That's why their buddies play an important role. In the military, there is a strong sense of the need to watch out for your fellow soldier, but that also means taking care of fellow soldiers if they need treatment for difficulties.

As we have seen the skyrocketing of suicides among active duty military personnel, I helped to develop a card called ACE -- ASK, CARE, ESCORT. If you are worried about a buddy, ask if they are OK, take care of them if they need help and then bring them to a base chaplain, mental health official or their commanding officer.

But there is still much more to be done to prevent military suicides and tragic incidents like what we saw Wednesday at Fort Hood.

PTSD: 9 questions, answered

We've seen the immediate "stressers" that have led to the dramatic increase in suicides in the military tend to be either problems in relationships -- spouses, friends, family -- or problems in the workplace. Often, they both can be happening at once; we call that a psychological toxin.

For instance, say your girlfriend tells you she's pregnant by another man, or your boss or commanding officer is giving you a hard time on the job. If those happen separately, they can be difficult to manage, particularly for someone with severe mental illness. But when they happen at the same time -- particularly if there are delusions, paranoia and easy access to weapons -- it can be a deadly spark.

So, we need to be extra vigilant when looking for those stressers, and help those in the military who need someone to talk to.

But we also need to take a more complex approach. People tend to think there are easy answers: either strict gun control or throwing everybody who is mentally ill into the asylum. It's really a more nuanced conversation.

It's about how you promote responsible gun ownership. It's about trigger locks and gun safes and other ways to at least slow down someone in a fit of rage, to make it harder for them to take their weapon into a barracks or Navy yard and start shooting.

It's about how we provide for jobs and opportunities when people leave the service. A good job is a very good form of mental health intervention, as it often comes with good health benefits and a sense of structure and purpose.

It's less about whether we should be afraid of a soldier with PTSD, and instead more about how, as a society, we care for our returning veterans.

Join us on Facebook.com/CNNOpinion.

CNN's Evan Perez and Bryan Monroe contributed to this report

@highlight

Dr. Elspeth Cameron Ritchie: Debate around gun control and the mentally ill is nuanced

@highlight

A lone gunman killed three people and then himself at Fort Hood on Wednesday

@highlight

Mental illness can cover an entire spectrum, from mild to severe

@highlight

Military screens recruits and returning soldiers for severe mental illness, she says