(CNN) -- Twenty four hours after collecting his â‚¬80,000 ($100,000) pension lump sum on May 15, Spiros, a retired Greek public servant, called his London-based brother-in-law for his bank details.

Within two weeks, Spiros had transferred a large chunk of the money, which he'd saved over a 30-year career in the armed forces, to his relative. Spiros feared his savings would be destroyed if he left them in Greece. He wanted to protect himself from a "Grexit" -- the term coined for the country's exit from the eurozone -- and the likelihood of that slashing the value of his money.

"I had never wanted to move my money abroad it but I was forced to do it," says Thessaloniki-born Spiros, sounding depressed as he described everyday life in his crisis-struck homeland.

"We're living in constant uncertainty and we don't know if there is going to be food on the table or if we're going to be able to pay for our children's university studies. We don't want to see our children sacrificed and pay for the mistakes of the politicians."

Greece's financial crisis: The human cost

The father of three says Greece's leaders have failed their people. Spiros says finding a safer haven for his savings was the "last option" that came "out of the necessity" to safeguard the future of his family.

"I've always paid my taxes," he says. "This is now a way of protecting our family since the state is not protecting us."

Greece, the country whose collapsing finances triggered the eurozone debt crisis, is facing its fifth year of recession. It heads to the polls Sunday for the second time in six weeks. The first vote ended with stalemate with no party able to form a coalition.

This next vote is crucial; it could change not only the course of Greece, but all of the 17-country eurozone.

The weekend which could change the world

The race between the pro-bailout New Democracy party and the anti-austerity package Syriza coalition appears to be tight.

But should the country remain in political limbo, it risks a disorderly default on its next bill payment.

If Greeks vote against austerity there's a risk the international money that is bailing out Greece will stop flowing.

If they vote for austerity there's no guarantee that conditions will improve. After nearly three years of painful measures Greece's economy has sunk further into recession. Further, unemployment for youth under age 25 jumped from 30.2% in the first quarter of 2010 to more than 52% in the first three months of this year, according to Eurostat figures.

Amid the political turmoil and economic insecurity, many Greeks are simply looking to safeguard their money.

Analysts have estimated a "Grexit" and subsequent return to the drachma, Greece's currency before the euro, could drastically cut the value of existing cash.

What will Greek elections mean for the country's future?

Spiros is one of many Greeks unwilling to risk their savings. The Greek banks are bleeding cash: according to Bank of Greece figures, total deposits in the country fell by nearly 25% from June 2010 to April this year.

On May 14, uneasy Greeks pulled about â‚¬800 million out of local banks, prompting Greek President Karolos Papoulias to relay a message given to him by the country's Central Bank Governor George Provopoulos: Panic was possible.

But a major bank run could potentially trigger the collapse of Greece's banking sector, which could then prompt Greece to leave the single currency, analysts say.

"Greek bank deposits have been falling for a number of years now, this is not particularly new," Jonathan Loynes, chief European economist at Capital Economics says. "But there would appear to be clear signs of acceleration of a trend over the last few weeks."

The rise and fall of the euro

He believes people are driven by fears over a potential return to the drachma -- but warns widespread withdrawals run the risk of creating a self-fulfilling prophecy.

"If they're pulling their money out then that de-stabilizes the banking system and the economy further," says Loynes. "Then of course there's a danger that it becomes self-fulfilling that actually makes a Greece exit more likely."

Anxiety on the streets of Greece is being exacerbated by the absence of any precedent for exiting the currency. Different scenarios have surfaced -- including a return to the drachma, or having a Greek-specific euro -- but no one knows what the repercussions of a eurozone exit will be.

"We don't know what our fate is going to be," says Eirini, a 53-year-old public relations worker from Athens, echoing a widespread sentiment in Greece's capital. So far, she has left her savings in Greece but intends to transfer a large portion of her savings to the bank account of her daughter in the UK.

"This will certainly make me feel more secure," says Eirini, adding that many of her friends and relatives have already withdrawn their money from Greek banks.

"This feeling of the unknown is frightening us," she says. "We never imagined that something like this would happen -- it's something unprecedented and we're all shaken."

Family tragedy tells the story of Greece

At the same time, Greeks struggling under the austerity measures are being warned that an exit could bring even greater woes than those they are living with.

Late last month the National Bank of Greece warned an exit "would lead to a significant drop in the living standards of Greek citizens."

According to the bank, an exit could cut average income by 55%, while any new currency would depreciate 65% against the euro. The recession would deepen by 22%, says the bank, pushing up inflation and sending unemployment levels even higher than their current 21.9%.

Amid the gloom, nervous savers simply want to keep their money safe, according to Danai, a broker from Athens who also has moved some of her savings offshore. "If there's a switch from euro to drachma nobody can say with certainty what's going to happen," she says.

Meanwhile Spiros is determined to buffer his family against this uncertainty despite his deep patriotism.

"I love my country and I've always saw myself being in the frontline, especially now that the times are difficult. But our leaders have betrayed us," he says. "We have a responsibility towards our country but we also have a responsibility towards our families."

@highlight

Fears of a eurozone exit have fueled withdrawals of savings from Greece

@highlight

Greeks fear the value of their money will plummet if the country leaves the euro currency

@highlight

One told CNN: "This feeling of the unknown is frightening us"

@highlight

Greece have another election Sunday -- the decision could send ripples across the eurozone