(CNN) -- It's been in continuous production since the 1950s but Volkswagen Brazil -- the last country where the vehicles were still being made -- ceases production of the classic Kombi van today, the last day of 2013.

Rolling off the production lines in Hanover, Germany, until 1979 but continuing in Brazil, the VW Transporter, aka the camper van, is the longest-produced model in automotive history, according to Vokswagen.

Around 3.5 million of the affordable, utilitarian vehicles, with their classic cloth window curtains, have been made.

Attaching themselves to the mini-homes on wheels were equally numerous roof racks, surfboards and travel memories.

On a backpacking trip to Europe back in 1973, a 20-year-old Californian named Gary Garfield shelled out US$700 to set himself up for the months of travel ahead.

He spent a chunk of that money on a 1967 Volkswagen minibus, wanting to combine transportation and accommodation in one slightly rickety but reliable vehicle.

He ripped out the seats, put in a platform bed and installed shelves and cupboards.

Garfield spent the next 10 months in this mobile home with his wife battling desert sands in Algeria, food poisoning in Tunisia and enduring six-week stints with no contact with friends or family.

Similar stories are told by countless other travelers.

VW is calling it quits because the Kombi won't meet new safety standards set to come into force next year in Brazil.

Upgrading the van with dual front airbags and anti-lock brakes was ruled too costly.

Come next year, old Kombis sluggishly powering their way along highways and up mountain passes, being overtaken by virtually all other traffic, will be all that remain -- ageing steel bodies from a time when people were less concerned about getting somewhere fast.

It's worth pausing to reflect on what made the Kombi a travel icon.

Hippies and surfers

The Kombi became synonymous in the 1960s and 1970s with hippies and surfers, its utilitarian features -- capable of carrying surf boards, musical equipment and various loads inside or on its roof -- combining well with its cheap price (secondhand Kombis could be picked up for a couple hundred bucks) and easy maintenance.

Garfield's van required the repair of one flat tire and a new battery in 10 months of travel.

Many people named their Kombis, like iReporter Jason Kauffman, 40, who affectionately called his Kombi "Double D."

"I have no desire to own anything except an old VW," Kauffman insists.

Other iReporters named their vans "Bus Gus," "Homer," "Claire" and "Charlotte."

Vince Moellering, 32, explains, "Cars like the VW van are more than just cars, they're cultural icons."

Those who traveled in one in their youth keep the memories with them. Others own their van (or vans) for decades before passing them to offspring.

Even people without "VW lineage," as iReporter Bryan Scott calls it, can find themselves bitten by the urge to up and travel in a Kombi.

Second life online

Online communities provide space to share stories and trade "ideas that help keep our vans going," says Moellering.

Australia's Kombi Club is an online forum co-founded and sponsored by The Bus Stop, a parts distributor.

"Roy" from The Bus Stop says the business supplies Kombi enthusiasts in Australia, New Zealand, Singapore, South Africa and Canada and other countries.

"Once you've driven a Kombi, you're hooked for life," he says.

But why?

After all, these VW vans, at least in their original form, are underpowered, slow, have dodgy suspension and don't offer much comfort in either heat or cold.

"The Kombi exemplifies the free spirit of peace activists, lovers, world travelers, campers and families moving about together across this planet," says Garfield.

"Few vehicles scream: 'Let's go exploring!' the way a VW van does," says Moellering.

Modern modification

Simplicity has helped the Kombi remain relevant in a new century. It's undergone plenty of modifications, but its outward appearance remains instantly recognizable.

The model produced in Brazil was based on the second phase of the Type 2 (VW's Type 1 was the Beetle), which was produced in Germany from 1967--1979.

It differed from the first phase with a larger engine, greater weight and a bay window, rather than the previous model's split-windscreen.

Numerous iterations have brought speed and body width increases, automatic transmission and an engine switch from air- to water-cooled.

It's not a complicated machine -- handy when something goes wrong.

Kombi owner Bryan Scott says part of the VW's appeal to him was, "We'd always heard [they] could be fixed anywhere and by anyone."

Jason Kauffman says the Kombi's enduring appeal comes down to versatility: "You can travel in it, sleep in it, it gets decent fuel mileage and it's very compact compared to large motor homes."

Vince Moellering applauds the Kombi as a jack of all trades, saying he's used his "as a camper, a mountain bike hauler, a moving van and a construction supply truck."

German effectiveness

The versatility of a Kombi goes right back to its name, which comes from the German "Kombinationskraftwagen," a combination of passenger and cargo vehicle.

Its ability to carry both passengers and piles of stuff has made the Kombi more than a mode of transport.

"The bus is both our home and a member of our family," says Bryan Scott. "We talk to it as we decide a path for each day, coax it slowly over the next hill and thank it as we arrive at each new destination."

The vehicle is also a great conversation starter. "VWs are [like] a language understood throughout the world," says Jason Kauffman.

"People in each country we visit love the bus -- they stop to tell us their stories and ask to hear ours," says Scott.

Not the end of the road

Devotion to the Kombi helps loyalists remain upbeat about the end of production.

"As long as enthusiastic owners keep the remaining cars and their spirit alive, the end of active production won't mean the end of the vehicle," says Moellering.

When Gary Garfield completed his 1973 tour in the bus that had served him so reliably, he sold it for a $100 profit.

Then he "watched it drive away to offer its new owner's fond memories."

Even though the factory gates have shut, well-preserved Kombis will keep rumbling along the road and in the recollections of 63 years of travelers.

Originally published March 2013; updated September 25 and December 30, 2013.

@highlight

Volkswagen Brazil ceases production of classic Kombi van today after 63 years

@highlight

Kombis became the vehicle/hangout of choice for surfers and hippies in the 1960s

@highlight

Van was cultural icon and way of life, not just mode of transportation