(CNN) -- The entire eastern coast of the United States should prepare for Irene, a large and dangerous hurricane churning northwestward over the tropical waters of the Caribbean, the nation's emergency chief warned Tuesday.

At 8 p.m. ET, the National Hurricane Center said the winds in Irene remained unchanged from its previous update, at 90 mph, making the storm a Category 1 hurricane. However, the reduction is expected to be only temporary, and Irene is still forecast to become a Category 3 event, a major hurricane, by Wednesday night or Thursday, the center said.

Irene was moving through the southern Bahamas and will pass very near or over the Turks and Caicos islands later Tuesday night, CNN Senior Meteorologist Dave Hennen said early Tuesday evening.

The storm could threaten the North Carolina coast on Saturday and is likely to continue to be a hurricane all the way into New England as it moves along or over the northeast coast, Hennen said.

Widespread damage is possible from coastal Carolina all the way up to the Canadian Maritimes, including the major cities of the Northeast, Hennen said.

Conditions continue to be favorable for Irene to intensify to a major hurricane, a Category 3 or higher, with 110 mph winds or stronger, as it moves through the Bahamas on Thursday and passes just east of Nassau and Freeport, Hennen said.

But Craig Fugate, the Federal Emergency Management Agency administrator, noted that Irene's exact path cannot be predicted this far out.

The storm, he said, will affect a large area.

"People think hurricanes are a Southern thing but people in the mid-Atlantic and Northeast need to take Irene seriously," Fugate said. "We have a lot of time for people to get ready but we don't have forever."

Hennen said Irene is expected to pass well east of Florida so only minimal effects are expected Thursday and Friday as the storm moves northward toward the Carolinas.

A landfall is possible on Saturday as the storm approaches North Carolina. As of Tuesday, the most likely place for landfall appears to be on the Outer Banks of North Carolina as the computer models have continued to shift the track of the storm eastward, Hennen said. He added it's possible, if this trend continues, that the dangerous core of Irene may miss North Carolina altogether and stay just offshore.

Beyond Saturday, most of the computer models continue to show the storm very close or over coastal sections of the Northeast, Hennen said. Many models and the official forecast show a hurricane landfall in the Northeast anywhere from Delaware to New Jersey, Long Island, into Cape Cod and the islands.  Widespread damage from wind, rain, and heavy surf appears likely as the storm moves through, he said.

Even if the storm does not make a direct hit on the Northeast, the impact could be the same as a very intense winter nor'easter, Hennen said.  Hurricane-force winds may occur in major cities like Philadelphia, New York and Boston along with widespread power outages and severe flooding affecting possibly millions of people, Hennen said.

While the effects of a Category 3 or higher hurricane hitting the Outer Banks is potentially devastating, the bigger impact with Irene may be on the Northeast, which could take a direct hit from a hurricane for the first time in decades or experience a very intense storm that stays just off the coast, Hennen said.

Emergency officials in southeastern states have already stepped up operations in preparation for the first significant storm to threaten the United States in three years.

North Carolina's coastal Ocracoke Island on the Outer Banks and surrounding Hyde County have declared a state of emergency starting at 5 a.m. Wednesday. Officials declared a mandatory evacuation for all visitors and residents starting at 5 a.m. Thursday.

"We will be ready if Hurricane Irene reaches North Carolina," Gov. Beverly Perdue said. "Our teams are already lining up supplies, trucks and resources to reach anywhere the storm might touch."

Perdue said at a news conference Tuesday that "in North Carolina, we're prepared."

"Quite frankly (the state's) emergency center has done this over and over and over, and we have the best system in America, we know that ... and that system is very, very robust and strong."

But she advised coastal residents especially to make plans and to prepare hurricane evacuation kits: "food supplies, medicine, water -- begin to think about your pets, begin to think about those things all around your home or business that can cause damage if there are high winds."

In South Carolina, emergency officials in Beaufort County, which includes Hilton Head Island, worked to make certain that construction sites on major highways could be cleared quickly in case evacuations of coastal areas became necessary.

"We're contacting (construction crews) every day now to make sure if we should have to do something, that they could remove their barrels and construction equipment, etc. to clear the road so we don't have impediment in the roadways," county Emergency Management Director Todd Ferguson said Tuesday evening. "We ... will continue to do that until this threat is passed."

Irene became a Category 2 hurricane Monday evening, with maximum sustained winds of 100 mph.

The storm, moving at 10 miles per hour, is expected to strengthen to a Category 3 by Wednesday, which would make it a major hurricane, forecasters said, and then approach Category 4 status as it gathers steam and organizes over the warm ocean.

"We see no reason for it not to be a major hurricane," said Bill Read, director of the Miami-based National Hurricane Center.

Read said Irene could potentially affect the unveiling of the Martin Luther King Jr. memorial in Washington and cause problems with flooding in northeastern states that have already experienced high levels of rainfall this summer.

He said the Atlantic up to Cape Hatteras in North Carolina is warm enough to sustain a major hurricane.

Tuesday, Irene took aim at the Turks and Caicos islands after lashing the Dominican Republic with 100 mph winds and heavy rain. It is expected to reach the southeastern and central Bahamas by early Wednesday.

Forecasters said Irene could bring another 4 to 8 inches of rain to the Dominican Republic and Haiti, with as much as 15 inches in higher elevations. Potentially dangerous flooding and mudslides were a threat, the center said.

Rainfall accumulations of 5 to 10 inches are expected in the southeastern and central Bahamas and in the Turks and Caicos islands, it said.

On Grand Turk Island, the skies grew dark Tuesday morning.

Janet Williams, the office manager at the Osprey Beach Hotel, said many guests had evacuated but 11 remained and were planning to ride out the storm in the hotel.

With memories still fresh of Ike, a monster 2008 hurricane, residents were taking no chances, Williams said. The streets were empty and windows boarded up.

In Puerto Rico, the storm left widespread damage and about 600,000 of the island's 1 million electricity customers were without power, Gov. Luis Fortuno said Monday. Nearly 800 people were in shelters, but no injuries had been reported.

President Barack Obama signed an emergency declaration for Puerto Rico, which will allow for federal disaster assistance to the U.S. commonwealth.

CNN iReporter John Hall captured images of dark clouds in San Juan as strong winds whipped against his microphone.

"I have been prepared since the start of the hurricane season with plenty of water, food, flashlights, candles and of course all my camera and video equipment," he wrote to CNN.

CNN's Moni Basu, Ed Payne, Joe Sutton, Thomas Andres and Michael Martinez contributed to this report.

@highlight

North Carolina governor: "We're prepared"

@highlight

Landfall could occur Saturday on the N.C. Outer Banks, a CNN meteorologist says

@highlight

The Northeast could also take a direct hit from the hurricane, he says

@highlight

Hurricane-force winds could hit New York, Philadelphia and Boston