(CNN) -- The powerful winter storm that moved across the United States this week, dropping record-breaking snow and spinning dangerous tornadoes on Christmas, isn't over yet.

It dumped more snow on the Northeast on Thursday and left behind bitterly cold weather, especially in the South.

While the Northeast is used to dealing with heavy snow in late December, some parts of the country haven't seen this kind of weather in decades. Canadians were preparing for the white stuff, too.

"If you are in Atlantic Canada ... you are just getting going. If you are in New York City the cold air is coming down the Hudson (River)," CNN meteorologist Chad Myers said. "If you are off to the east, you're still going to get snow in Maine on up into New Brunswick. And that snow could be heavy at times. We're talking about another foot in some spots."

Send us your photos and video of ice, snow, storms and sleet.

Residents of Little Rock, Arkansas, awoke to a frosty 20-degree morning after Tuesday's record-breaking 9 inches of snow -- the highest Christmas snowfall in 86 years. To navigate the treacherous roads, the Arkansas National Guard deployed four-wheel-drive ambulances to help those needing medical attention in the state's hardest-hit counties.

More than 134,000 customers were without power Thursday.

The heavy snow and ice overwhelmed trees across Arkansas, where forests cover half the land.

"It was very quiet and still outside, except for the crashing of trees in the nearby forest as they succumbed to the weight of a quarter-inch of ice and 10 inches of snow," said Lanny Sutton, who lives in Cabot, outside Little Rock. "The snow is beginning to melt. It's coming off the trees now. We have three trees in the yard with at least two or three limbs broken off each one."

Since it swept across the country this week, the storm has killed 10 people, including two children in Arkansas and an 81-year-old Alabama man. He died Thursday of injuries he suffered when a tree fell on his house in Georgiana on Christmas, an official with the Alabama Emergency Management Agency said.

A 42-year-old man and a 26-year-old woman in Evansville, Indiana, died Wednesday after wrecking the scooter they were on and being hit by a truck, Police Sgt. Karen Kajmowicz said.

In Pennsylvania, a motorist who stepped out of his car and was apparently going to the aid of a stranded drive was stuck and killed by another vehicle on Interstate 78 in Lehigh County, authorities said.

As the storm moves across the Northeast, it will deliver plenty of snow in northern New England through Friday, including upstate New York, Vermont, New Hampshire and Maine. As much as 2 feet of snow is possible in central Maine, leading to hazardous roads, forecasters said.

In addition, "Strong winds will cause blowing snow to create potentially even taller snowdrifts," Schneider said. "Travelers across New England need to pay close attention to changing weather conditions and low visibility."

Caleb Clark, a CNN iReporter in Brattleboro in southern Vermont, called it a 'classic snowstorm.' "

"(It is) a nice and fluffy New England snow, not too dangerous and you could walk around without mittens," he said.

Clark measured 6 inches of snow -- with more falling -- on top of his car just after 1 p.m.

The storm left thousands of passengers stranded after flight cancellations.

On Thursday, more than 700 flights were scrubbed, according to the flight-tracking website FlightAware.com. The site, which doesn't distinguish between flights canceled for weather and those called off because of mechanical reasons, said airlines canceled more than 1,700 flights Wednesday.

Greyhound nixed six routes in the Northeast because of Thursday's snow.

Winter storm strands travelers

Here's the damage that the winter storm has brought so far:

Traffic nightmares

The storm triggered multivehicle pileups and other traffic nightmares across in the Midwest. In Ohio, nursing student Carrie Winger saw the aftermath of a fatal wreck in Cincinnati on Wednesday, which left one woman dead. She said she shared a photo of the crash site with CNN iReport to warn other drivers to slow down.

"We saw folks driving too fast and too close repeatedly the entire trip today," Winger said. "As soon as we passed this, people were speeding again. They apparently did not realize they had just passed a very immediate and very close encounter of a fatality. It could have been them."

Even drivers in the Northeast had a tough time navigating the icy conditions. Jim DeMarino said a normally four-hour drive from Pittsburgh to northern Virginia took eight hours Wednesday, the day after Christmas.

DeMarino, who lives in Alexandria, Virginia, submitted photos of what he called a "tricky drive" along highways that were "scattered with abandoned, crashed and disabled vehicles."

Tornadoes in Alabama, Mississippi

The same weather system that dumped heavy snow in the Midwest and Northeast spawned as many as 30 tornadoes on Christmas -- some with wind speeds over 100 mph -- across the Southeast.

Several of Tuesday's powerful twisters struck Alabama. In Mobile County, David Saraceno spotted something ominous as he sped down Interstate 165 on Tuesday. He was traveling with his wife and 1-year-old daughter to visit family when he saw a tornado on the side of the road. His wife videotaped it.

"It looked like it was about two miles away from us," Saraceno said. "I put the pedal to the floor to try and get out of harm's way, but it seemed to be getting closer and closer."

Panicked, Saraceno got off the interstate near the town of Chickasaw, drove in a different direction and then turned around to go home.

"We drove right back into a path of destruction," he said. "It appeared that the tornado turned and came over the interstate about three minutes away from where we would have been if I did not get off the interstate. We saw a roof that must have blown off a house. Cars were pulled to the side of the road. There was a lady whose windows were shattered. It was too close for comfort."

Winter wonderland in Dallas

For others, the winter storm system brought a rare white Christmas.

In Dallas, some residents had to change from short sleeves to winter coats Tuesday, as temperatures plummeted from the 60s to the low 20s in one day.

"We knew it was going to be a white Christmas in Dallas this year as per the weather advisory, but were not aware it will turn out to be so beautiful and freezing cold," Shail Bhatt said.

It's not often that Dallas gets more snow than Chicago, but that's what happened this week. "Sometimes we wear shorts on Christmas in Texas," said Chris Purcell, who told CNN there's still plenty of snow on the ground. "We built a snowman and went (sledding) and had a snowball fight ... all the basics."

CNN's Daphne Sashin contributed to this report.

@highlight

NEW: Weather responsible for 10 deaths, authorities say

@highlight

NEW: Some areas might see another foot of snow

@highlight

Storm has left thousands of passengers stranded after flight cancellations

@highlight

It also triggered multicar pileups and other traffic nightmares across Midwest