(CNN) -- The flow of undocumented immigrants into the United States has slowed in the past three years, a major think tank reported Thursday.

Illegal immigrants are processed in August at a U.S. Border Patrol station near Laredo, Texas.

The Pew Hispanic Center report cites no statistical reasons for the decreased rate. It notes that the U.S. economy has suffered a downturn and that greater immigration enforcement measures have been enacted, which a Pew survey "indicates has generated worry among many Hispanics."

According to the center's estimates, 11.9 million undocumented immigrants were living in the United States as of March. There were 11.1 million in 2005 and 8.4 million in 2000, the group said.

"Although the undocumented population has been rising, its net growth has slowed substantially since 2005, compared with earlier in the decade," the report states.

According to the report, from 2000 to early 2005, the unauthorized immigrant population grew by an annual net average of about 525,000. The growth pattern started changing substantially in 2005. From 2005 to 2008, annual growth has averaged 275,000 undocumented immigrants.  See how the numbers stack up »

"With the drop in the numbers of illegals coming, we now have more legal immigrants coming than illegals coming," said Jeffrey S. Passel, the study's lead researcher and author.

Unauthorized immigrants continue to make up 30 percent of the nation's foreign-born population of more than 39 million people, the study says.

Mexicans account for 58 percent of all illegal immigrants in the United States, the study says, adding that no other country has a double-digit share.

Pew estimates that there were 7 million illegal Mexican immigrants living in the United States in March, up considerably from 4.8 million during the 2000 Census. Growth has leveled off since 2007.

The number of undocumented immigrants in the United States from Latin American countries other than Mexico grew from 1.8 million in 2000 to 2.6 million in 2008, an increase of nearly 45 percent.

That population reached 3 million in March 2006 but has declined since then, the report said.

A previous Pew Hispanic Center showed that immigration from Mexico "varied substantially directly related to the employment situation in the United States," Passel said. That appears to be the case now, he added.

"This slowdown [in the U.S. economy], if anything, hits some sectors that undocuments [illegal immigrants] are involved in very hard: construction, obviously, being a big one," he said. "The other side of it is that a lot of Latin American economies are holding their own or doing well."

Stricter law enforcement has not been confined to the U.S.-Mexico border, Passel said.

"The other big difference over the past couple of years is that we've seen greater enforcement in the interior, at the work sites," he said.

"Numerically, there may not have been a big impact in terms of the numbers of people arrested and deported, but it's been very high profile. There's strong communication between the United States and the home country, so word gets back."

Among the study's other findings:

• More than 40 percent of the nation's undocumented immigrants -- 5.3 million people -- have arrived since the decade began.  • About 80 percent of undocumented immigrants come from Latin American countries. In March 2008, 9.6 million people from Latin America were living illegally in the United States.

Another Pew Hispanic Center study released Thursday looks at the economy, saying the current economic slowdown "has taken a far greater toll on non-citizen immigrants than it has on the United States population as a whole."

According to an analysis of new Census Bureau data, the median annual income of non-citizen immigrant households fell 7.3 percent from 2006 to 2007. In contrast, the median annual income of all U.S. households increased 1.3 percent during the same period, the report says.

Immigrant heads of household who are not U.S. citizens are more vulnerable, the report says, because "most arrived in the U.S. in recent years with only a high school education or less. Many are employed in blue-collar production and construction occupations or lower-rung occupations in the service sector."

The majority (56 percent) of non-citizen households are Hispanic. And nearly half (45 percent) of non-citizen households are headed by undocumented immigrants.

The Pew Hispanic Center is a part of the Pew Research Center in Washington and is an independent research group that does not engage in advocacy or take positions on issues.

@highlight

Illegals still arriving, but at lower rate, Pew Hispanic Center study says

@highlight

U.S. economy's ills, stricter immigration enforcement thought responsible

@highlight

30 percent of immigrant population is undocumented, researchers report

@highlight

Economic downturn hits non-citizen immigrants harder, separate study says