London (CNN) -- At an age when most of us were still mastering how to tie our shoelaces, Benjamin Grosvenor was working on his piano arpeggios and legato fingers.

The British former child prodigy is now barely out of his teens, but already has a reputation as one of the most exciting and distinctive pianists in the world today.

Having first hit the headlines at the age of 11 -- as the youngest ever finalist in the UK's Young Musician of the Year competition -- Grosvenor last year became the youngest musician to sign to the esteemed Decca Classics label, and the first British pianist to do so in almost 60 years.

So it's surprising to learn that the precocious star has only the faintest memory of early childhood encounters with the instrument.

"There was always a piano in our house because my mother was a piano teacher and we had an upright which was there from when I was born. But I don't have any strong first memory of my interaction with it," he recalls.

More from Human to Hero: Former Olympic rower Matthew Pinsent

According to his mother, he says, he "didn't have any interest in it at all" in the piano aged five and only resumed playing a year later after he discovered that his friends were taking lessons.

"I had no great desire to practice, but then some friends at school started playing and I was spurred on to work by the thought of them catching me up. It was a competition," he remembers.

Grosvenor likes to relay memories of his formative years in competitive terms: He admits that he didn't care much for the music as a child, but rather saw playing the piano as a "challenge" that needed "overcoming."

Indeed, such are the physical demands of regular practice that he describes himself as an "athlete." But, today, his passion for playing is driven by a profound belief in the power of music.

"The ability it has to communicate emotions to people. I think that is what it's all about," he says.

Grosvenor's fans certainly believe in his ability to transmit emotions. A "romantic pianist, almost from another age ... He jumps inside the music's soul," is how British newspaper The Times described him recently.

More from Human to Hero: Chinese archer Gao Fangxia

Tellingly, Grosvenor says he spends almost as much time developing an emotional bond with a piece of music as he does physically practicing the notes at his piano.

"There are really two sides to playing the piano, I suppose," he says. "The ability to just play the notes and the ability to find meaning in them.

"Part of it is physical -- playing the same things over and over again to get them under your fingers and to get them in your muscle memory ... but playing something over and over again doesn't necessarily make it better."

Instead, Grosvenor often develops an interpretation of a piece of music in his head, "away from the piano."

For one so accustomed to regular public performance since childhood, Grosvenor still wrestles with debilitating nerves.

"There are concerts before which you have about half an hour where you feel pretty awful and during that time you are questioning, saying to yourself, 'Why am I doing this to myself again? Why am I putting myself through this?

"And then invariably by the end of the concert you look back at that and think, 'How silly, that was quite easy.' But then by the next time you have forgotten that and you go through the same thing again," he says.

In order to combat performance anxiety, Grosvenor recently conjured an unorthodox mental preparation that he deploys before appearing onstage.

More from Human to Hero: Michael Phelps' photo finish

"I have been trying to picture the contours of an image of a valley I once saw, something completely irrelevant to what I'm about to do and just to look over it and try and picture all the small details -- and I think that helps to calm me down," he says.

Whatever nerves he may feel inside, it certainly hasn't affected his performances as far as everyone else is concerned. Last month alone he played to sold-out concerts at the Sydney Opera House, London's Royal Albert Hall and the Parc du Chateau de Florans in France.

And yet despite this extraordinary ongoing success, Grosvenor -- who just graduated from the Royal Academy of Music in London -- still sometimes wonders if he's made the right career choice.

"I could be doing a degree in something else or working in a more steady profession I suppose, because as a performer it is not a regular job, it is not something that is guaranteed -- you have to keep up the standard."

It's a sobering thought, so how does Grosvenor maintain the force of his convictions?

"It is never playing the piano that is the problem -- it is the outside pressures. It is the pressures of the career and that is something to remember. You go through periods where you feel like all the work is piled on top of you but there is always an end to that and you just have to get through it ... It is usually alright in the end."

@highlight

Benjamin Grosvener is regarded as one of the finest concert pianists working today

@highlight

Grosvenor hit the headlines at the age of 11; now 20, he plays sell-out concerts globally

@highlight

Originally spurred on to practice by competition with friends, he now plays for love of music

@highlight

Despite his success he still gets stage fright and wonders if he's chosen the right career