(CNN) -- Arizona's divisive SB1026 -- which supporters claim protected religious freedom, and critics say served as cover for businesses to discriminate against gays and lesbians -- didn't come from nowhere.

It took time to hash out among both state lawmakers and interest groups. In this case, advocates from the Arizona Center for Policy and Alliance Defending Freedom -- whose website says it "coordinates legal efforts (for) Christian legal and policy organizations" all across the United States and in 31 countries -- were among those who played a part in crafting the legislation.

But from where, or from whom, did the impetus come? And who paid for the Arizona push and similar ones in a host of other states?

America may never know.

The reason has to do partly with the often collaborative, coordinated way that legislation takes shape. Numerous players inside and outside government, and based inside and outside of Arizona, helped make it happen. Some of them spoke publicly; others worked behind the scenes.

Plus, it takes money to coordinate and spread such a message and legislative proposals nationwide. Good luck tracking such funds, given the ways that groups -- known as 501c4s -- can pop up overnight, spend money on causes and campaigns (without disclosing their donors), then disappear.

"Because there are holes in the disclosure regime," said Ian Vandewalker from New York University law school's Brennan Center for Justice, "there are things that we just don't know."

Efforts under way in at least 14 states

Other states have proposed legislation aimed at protecting what their authors call "religious freedom." Some essentially use identical language.

For instance bills in Arizona, Georgia and Ohio all contain these words: "'Exercise of religion' means the practice or observance of religion ... including the ability to act or refusal to act in a manner substantially motivated by a ... religious belief."

This congruence isn't a coincidence. It's not uncommon for legislation born one place to be copied -- sometimes word-for-word -- somewhere else.

State-by-state breakdown of 'religious freedom' initiatives

But absent explicit proof, it's hard to say that one person or one donor is behind any such effort. As the head of the conservative Ethics and Public Policy Center's American Religious Freedom program, Brian Walsh, says, "a couple of dozen organizations (might be involved) with any legislation."

Walsh, who says his group "defends religious freedom for all faiths" and has "probably consulted on 12 to 15 different types of legislation in states over the past couple years," says the push for such bills stems from a belief that, since 1990, the U.S. "Supreme Court does not protect religious freedom as a matter of constitutional law." (His group was more deeply involved in pending legislation in places like Kansas, according to Walsh.)

"At that point, ... anybody who had any degree of foresight knew you were going to have conflicts over religious freedom," Walsh said of what he calls the fateful Supreme Court ruling, Employment Division v. Smith.

In that case, the plaintiffs were denied unemployment benefits in Oregon after being fired from their jobs for using peyote in a ceremony associated with their Native American Church. The Supreme Court sided with the state, saying the plaintiffs still had a responsibility to follow state law if that law is not specifically targeted toward that religion.

Not everyone agrees that there's a crisis at hand, including conservative Republicans like Brewer.

"Senate Bill 1062 does not address a specific and present concern related to religious liberty in Arizona," Brewer said Wednesday to explain her veto. "I have not heard of one example in Arizona where a business owner's religious liberty has been violated."

The money trail

Regardless of whether one thinks it's justified, there's no doubt that many efforts are actively under way along similar lines. CNN counted 14 legislative initiatives in various states similar to Arizona's.

But it typically takes more than ideas for such a national push: It takes influence and money.

But where that influence and money are coming from is hard to decipher.

That's because of how money moves, and is spent, in politics -- especially on hot-button issues that, from the standpoint of many in the public, emerge out of nowhere.

For one thing, as Vandewalker notes, the federal government "has its own set of rules and each state has its own set of rules about what has to be disclosed and what can be spent."

Under the federal rules alone, a lot of information doesn't have to be released, says Robert Maguire from the Center for Responsive Politics. The groups known as 501c4s are officially corporations that, per the law, can spend as they wish. At some point, they might spell out their spending in tax forms but, by then, the issue may be over and the group -- which needs little more than a P.O. Box to set up shop -- might no longer be operational.

"With an issue like (the 'religious freedom' issue), where there is suddenly ... a large number of debates, it's entirely possible that groups have popped up, and nobody knows anything about them," Maguire said. "... It's becoming more common to have these churning networks of money so that nobody can track it."

He and Vandewalker both say this kind of spending is "happening more and more" since the U.S. Supreme Court's 2010 Citizens United ruling, which gave big businesses, unions and nonprofits more power to spend freely in federal elections.

"There was a kind of cultural change after that, it opened this Pandora's box about outside spending," said Vandewalker. "Outside spending exploded."

What's next?

So what are the chances that any of this -- whether it has to do with movements of religious freedom/anti-gay bills or the sometimes mysterious players behind them -- changes?

While some are demanding change, there appears to be no real momentum in Washington for significant campaign finance reform that might make it easier to determine who is behind these efforts. While some key figures may come out publicly in support of reform, it's hard to tell who exactly is leading the way behind the scenes or even how widespread this push is.

What will happen with these bills in other states, though, remains to be seen. It's not a good sign when a Republican governor -- a conservative widely known nationally for her support for a controversial law that some felt unfairly targets Hispanics -- not only vetoes a proposal, as Brewer did in Arizona, but blasts the proposal so thoroughly as ill-timed and unnecessary.

Everyone acknowledge that times are changing. The issue of gay rights is example No. 1: Year after year, voters in state after state passed initiatives overwhelmingly to codify gay marriage bans in their states' constitutions.

But the views have been shifting. Last June, for the first time, a CNN/ORC International poll found a majority of Americans -- 55% -- backed same-sex marriage, up 11 percentage points from 2008.

A total of 17 states now allow such legal unions, due to actions by voters, state courts or their legislatures. Federal courts have also helped move the needle on the issue, especially over the past year, with district judges striking down constitutional bans and the Supreme Court ruling that same-sex spouses legally married in a state may receive federal benefits.

Walsh, the American Religious Freedom program's executive director, believes the "religious freedom" initiatives now working their way through the various states can succeed even if the Arizona one did not.

"Ten years ago, the bill would have been innocuous and no one would have thought twice about it," he said, blaming a high "level of misinformation" for sinking the Arizona bill. "The whole dialogue about it was unproductive."

In light of what happened, Walsh said there has to be better "public education" to avoid a repeat of what he called "this hysterically uninformed approach" by making sure "the intent of what the legislation says is clear." He added that there also has to be a deeper, broader discussion within the "faith community" about their top priorities as well as a need for all "to bend over backwards and take stock of the minority (faiths') interests."

However this process unfolds, Walsh said the fight isn't over.

"The faith community, in general, needs to take stock in the state of religious freedom," he said, "...so that the public gets a better idea of what religious freedom is (and that it) needs to be addressed."

CNN's Halimah Abdullah contributed to this report.

@highlight

Arizona's governor vetoes a "religious freedom" bill that critics ripped as anti-gay

@highlight

It's one of several such initiatives that have been floated in at least 14 states

@highlight

Federal, state disclosure laws make it difficult to determine who's behind this push