The United States needs to overhaul its support for clean energy research to keep recent gains alive as subsidies that have fueled a boom in the field expire, researchers urged Wednesday.

Federal support for clean power "will have been largely dismantled by the end of 2014," a new report by a trio of think tanks warns. More than 70% of the programs now on the books -- many of them part of the Obama administration's 2009 economic stimulus bill -- are set to expire in the next two years, the report concludes.

"Neither Congress' attitude or the public purse right now is going to allow business as usual," said Mark Muro, policy director for the Brookings Institution's Metropolitan Policy Program and one of the report's authors. But he said the end of programs in current law was in sight, "and it's going to be broader and deeper than people imagine. It's time to start thinking about this very seriously."

The report, "Beyond Boom and Bust," urges Washington to rethink rather than eliminate its support for projects that produce power with little or none of the carbon emissions most scientists blame for an increase in global temperatures. It was produced by Brookings, the Washington-based World Resources Institute and the Breakthrough Institute, a California-based center that focuses on energy and the environment.

About two-thirds of the $24 billion Washington spent on energy subsidies in 2011 went to support energy efficiency and renewable sources such as wind, solar and biofuels. In addition, private investors poured another $48 billion into renewable energy last year, a report from the Pew Charitable Trusts found last week.

That boosted the United States back to the No. 1 slot worldwide after two years trailing China, Pew found -- a move aided by many of the subsidy programs that are scheduled to expire. The research and investments have led to sharply higher electric generating capacity and reduced cost to a point where renewable energy is nearly competitive with natural gas, said Jesse Jenkins, director of energy and climate policy at the Breakthrough Institute.

In some places, wind power is as cheap as electricity from gas, largely because of a federal tax credit, Jenkins said. But much of that success is because of subsidies aimed at helping those technologies win a foothold in the market, which is still dominated by coal.

"We need to make sure we're not walking away and pulling the plug on that sector right now," Jenkins told CNN.

The report calls for a tripling of energy research and development funding and replacing current federal loan guarantees with programs aimed at helping private companies get low-carbon technologies to market faster. In addition, the current interest among military planners in projects such as solar power -- spurred partly by the wish to reduce the risks involved in shipping fuel to troops in the field -- could lead to commercial applications, the researchers state.

The study didn't calculate a price tag for those plans. Jenkins said the money needed might not be as much as the peak of spending under the stimulus bill and earlier programs, which was as high as $44 billion in 2009 -- "but I think it needs to be quite a bit higher than the downward slope we see going forward."

Among the Republicans who control the House of Representatives, however, there appears to be little support for keeping clean energy programs alive. In particular, the 2011 failure of the solar-panel manufacturer Solyndra became a lightning rod for critics of the Obama administration.

Supporters say Solyndra was undermined by the explosive growth of the solar industry in China, but the GOP has attacked the loan-guarantee program as a boondoggle that rewards politically favored industries.

"What's going on in the Department of Energy is unbelievable," Ohio Rep. Jim Jordan, the chairman of a House subcommittee that oversees stimulus spending, told reporters Tuesday. "This loan guarantee program -- 27 companies got your tax dollars. Twenty-three of those companies had ratings of double-B-minus from Fitch and Standard and Poor's, which is another way of saying they were junk rated. No private money would go there."

Solyndra's failure "certainly crystallized a lot of concerns," Muro said. "It exacerbated a kind of backlash that has made all of this more difficult, and it has complicated the ability to have clear pragmatic discussions about how to support these industries and continue driving them towards subsidy independence."

Solyndra received more than $500 million in loan guarantees from the Department of Energy before filing for bankruptcy, putting 1,000-plus workers out of their jobs. Another Energy Department-funded company, Arizona-based First Solar, announced Tuesday that it would lay off 2,000 people -- most of them in Europe, where the solar market has weakened in recent months, the company said.

Jenkins said the current boom in natural gas is being driven by drilling techniques that were largely the result of federally funded research and technology since the 1970s. However, that "sort of moved the bar on wind and solar," sharply dropping natural gas prices just as those technologies were becoming more competitive.

@highlight

U.S. clean energy subsidies will be "largely dismantled" by 2014, report finds

@highlight

The effect will be "broader and deeper than people imagine," one of its authors says

@highlight

The programs have fueled a boom in solar and wind power

@highlight

Opponents call them a taxpayer-funded boondoggle