(CNN)The HIV/AIDS epidemic might not make as many headlines as it used to, but it continues to infect tens of thousands in our country each year. And, unfortunately, some groups in the United States are being affected at the kinds of rates you would expect to see in hard-hit developing countries.

National Black HIV/AIDS Awareness Day, being marked Saturday, is a good moment to reignite the conversation over a crisis that should have ended years ago.

Despite representing only 13% of the U.S. population, African-Americans account for nearly half of all new HIV infections each year. True, the impact of HIV varies across the black community -- HIV infection rates have declined among injection drug users, black women, and black infants born to seropositive mothers. And new HIV infections among black heterosexual men are stable.

But the Centers for Disease Control and Prevention (CDC) has recorded a troubling spike in new HIV infections among black gay and bisexual men. Black gay men have been the only black population in which new HIV cases have been growing since 2001. Indeed, the CDC estimates that one in three black gay men in major U.S. cities is HIV positive.

HIV deaths among African-Americans drop 18%, CDC says

Meanwhile, although HIV rates have declined among black women and black injection drug users, there are regions of the country where mortality among HIV-positive black women exceed other populations, while viral suppression, a goal of HIV medication that limits transmissibility to others and often ensures a long and healthy life, continues to remain elusive for many injection drug users.

A common misconception about the higher prevalence of HIV among black people is that it is caused by engaging in more risk-associated behaviors. Several studies demonstrate that black Americans do not necessarily engage in more high-risk behaviors than others.

So why are black communities typically disproportionately affected?

A new report released by the Foundation for AIDS Research tries to shed some light on this issue, and why the disparities have deepened over time. A close examination of the epidemic within the black population is important because it will mean that we are better equipped to fight HIV/AIDS in America through better understanding how racial discrimination, poverty, lack of access to health care and other socioeconomic factors contribute to the disproportionate burden of HIV among Black Americans.

Given the fact that a substantial number of black Americans are uninsured or underinsured, the Affordable Care Act has been a crucial policy development for black Americans living with or at risk for HIV. Historically, many people with HIV were barred from accessing health care services.

Now, health insurance programs expanded under the ACA are prohibited from denying coverage on the basis of preexisting conditions.

Further, certain preventive services, such as routine HIV screening, must be provided at no cost to the beneficiary.  And all plans must provide treatment. This is especially beneficial is tackling the problem as early HIV treatment has been found to reduce the risk of transmitting the virus to other partners by 96 percent.

But obstacles remain in delivering health care to black Americans with HIV. For example, an essential tool to fight HIV and racial health disparities is Medicaid, the single largest source of coverage for people with HIV in the United States. However, a Supreme Court decision ruled that Medicaid expansion under the ACA can only be available to uninsured people living in states that choose to implement it.

Unfortunately, about 20 states have opted out. In these states, an estimated 8.5 million uninsured Americans who would have qualified for full Medicaid coverage will most likely remain uninsured. Black Americans living in those states are twice as likely to be uninsured and more than six times as likely to have HIV. This is most notably the case in the Deep South, where nine states with high rates of HIV/AIDS diagnoses have opted not to expand Medicaid.

Focusing on populations at highest risk for HIV -- especially black gay men -- must also be a priority. "When new infections among young black gay men increase by nearly 50 percent in three years, we need to show more that their lives matter," said President Barack Obama during a World AIDS Day address in 2011.

This mandate was heard, and notable efforts are now underway across various federal agencies to better address HIV among black gay men.

One encouraging sign has been the way the private sector has responded. For example, a multi-million dollar initiative was just announced by ViiV Healthcare to address the HIV epidemic among black gay and other men who have sex with men in Baltimore, Maryland, and Jackson, Mississippi, two U.S. cities hit hard by HIV/AIDS.

But more must be done.

One thing that should be the focus of policymakers is ensuring that we prioritize and dedicate resources to boost treatment and prevention programs targeting black gay men, and improve care for HIV-positive black women and injection drug users

We should also expand our education and awareness initiatives to diminish the stigma and discrimination that prevent too many people from seeking HIV testing, prevention and treatment services. And finally, we can do more to ensure proper access to health care for millions of Americans living in poverty and deliver essential care to people with HIV, and help prevent its spread.

Closing the gap on racial disparities in the HIV/AIDS epidemic in the United States will require that we confront the underlying factors that fuel the epidemic among black Americans and tackle them head-on, with the urgency they deserve.

@highlight

Saturday is National Black HIV/AIDS Awareness Day in the United States

@highlight

Greg Millett:  African Americans account for nearly half of all new HIV infections each year