(CNN) -- Graydon Grotberg remembers when his hometown of International Falls, Minnesota, had no commercial airport. Now, he can't imagine life without it.

More than a half-century ago, Grotberg boarded a Greyhound bus for the 300-mile trip to Minneapolis-St. Paul where he enlisted in Marine Corps boot camp amid the Korean War. Two years later, he returned home to Minnesota and a bus brought him back to International Falls, safe and sound.

But Greyhound doesn't service International Falls anymore. Neither does Amtrak.

So Grotberg, now an 81-year-old retired widower, relies on a Delta Connection flight from the International Falls airport to the Twin Cities, where he receives medical treatment for his eye condition. When he can't make the flight, he shares a VA hospital van with several other travelers willing to endure the six-hour drive.

Grotberg would drive himself -- if it weren't for his eye condition -- which he says is similar to macular degeneration. It restricts his driving to daytime only -- on non-interstate roads.

"If nobody else is scheduled to take the van, then I have to fly," Grotberg says. "if we didn't have a flight out of here that I could take, I don't know what I'd do. We're kind of stranded up here."

Grotberg's situation could get a lot worse. A House bill proposes virtually killing a subsidy program that helps 162 small rural airports, like the one in International Falls, stay in business. Airports in Alaska and Hawaii would be spared.

Subsidized airport locations and amounts

It's a threat that could leave Grotberg and other travelers who rely on tiny local airports with frighteningly few travel options.

Without the program -- which is called Essential Air Service, International Falls would change radically, say community leaders.

Commercial airlines would pull out, they say, leaving the airport with nothing but income from private aircraft and charter flights.

The airport ferries business travelers for a local paper mill as well as hunters and other outdoor sports enthusiasts. Over the long term, officials say, the airport infrastructure would suffer due to the loss of funding.

Not only would those travelers be left with few options, the economic effects on the town, they say, would be staggering.

"It would be incredibly difficult, probably impossible, to find another carrier to come here without an EAS contract, unless the economy surges astoundingly and fuel prices simultaneously decline," says Susan Baratono, executive secretary of the airport commission.

Falling numbers, crucial connections

International Falls' airport started getting the EAS subsidies in 2009. "For many, many years we never needed it," says airport commission chairman Bob Anderson, until the nation's economic crisis took its toll.

In the last two to three years the facility's annual commercial airline traffic has plunged from about 25,000 departures and 25,000 arrivals, to recent figures of 13,000 or 14,000 each way, Anderson says. "But we're seeing those numbers starting to increase."

A recent price for the least expensive round-trip ticket from International Falls to Minneapolis was more than $450, says Pam Pavleck , Minneapolis-area branch manager of Travel Leaders.

"We have a lot of people who come down from International Falls to Minneapolis-St. Paul and shop -- they go to Mall of America -- and we have a lot of people who visit their family," Pavleck said. "And if they're going to stay awhile, they might drive down so they can have their cars, but for weekend trips -- yes they want to fly."

Vacationers from International Falls and Minnesota's other small towns also rely on their local airports to ferry them hundreds of miles to Minneapolis where they must make crucial airline connections in their itineraries.

EAS is projected to pay more than $1.3 million in subsidies this fiscal year to Delta Connection for its International Falls service. That works out to a subsidy of about $49.79 per passenger, according to the Department of Transportation.

Now Delta Connection is looking to pull its service from the community.

Under EAS, airlines can't pull out of an airport until a replacement carrier agrees to fill the gap. Negotiations are now ongoing with Great Lakes Airlines to have that airline replace Delta Connection, Anderson says.

Is it obsolete?

EAS opponents point to news reports out of Ely, Nevada, describing outrage over last year's sky-high average per passenger subsidy of $3,720.

The Essential Air Service program began in 1978 as a temporary way to help small airports survive federal deregulation. Rep. Tom Petri, chairman of the House aviation subcommittee, says the program is obsolete.

"Why should the government have to pay for all this?" asks Petri, a Wisconsin Republican.

Being from a big state, Petri is very aware that small airports are important to rural voters. What does he tell them when they complain about his plan to cut subsidies?

"Up in northern Wisconsin, a number of people weren't happy about this sort of thing," he admits. "I say well ... my part of the state, Appleton, had air service and it was canceled numerous times and each time it was canceled people got together and started a new airline themselves. It's not that hard. You just need a pilot and a small plane."

Petri suggests that these airports join a federal small communities program which provides grants to help start new air service.

Supporters say taxpayers shouldn't have a problem with EAS because much of the fund doesn't come from taxpayer dollars.

According to the Department of Transportation, $50 million of the fund's $193 million is paid for by foreign airlines through fees they pay to fly over the United States.

If EAS dies, says Petri, that money will continue to be collected and could possibly go toward many other goals, including deficit reduction and speeding up implementation of NextGen -- the FAA's massive overhaul of the nation's air traffic system.

Petri says it's time for small airport operators to put free enterprise in the driver's seat.

For Grotberg, getting in the driver's seat for a holiday visit to see his three daughters and grandchildren is not an option.

His eyesight has failed him and now, he fears the airlines and Congress might fail him too. He supports EAS. "I favor it more than other kinds of government subsidies," says Grotberg. "It's more important than subsidizing oil companies."

House and Senate negotiators are hammering out a compromise bill this month. Petri says they're "very close" to an agreement. but it's unclear if the EAS program will survive. If so, full House and the Senate votes on a final bill are expected sometime in January.

Some might suggest that Grotberg consider moving closer to his doctor and family in Minneapolis-St. Paul. But after living in International Falls nearly his entire life -- working at the local paper mill and raising his three daughters -- he says that's just not going to happen.

"It's a small town and it's so easy to get around and it has such friendly people. I like my home. I'm comfortable. I don't know if I could ever relocate."

@highlight

Minnesota man relies on small airport for medical treatment

@highlight

House bill aims to kill subsidies to dozens of small airports

@highlight

Airport: Killing subsidies would hurt town's economy

@highlight

Opponent: Subsidies waste federal money