(CNN) -- Any pedometer will count how much you've walked, but a good, connected mobile app can push, encourage and sometimes even shame you into putting down the milkshake, getting out of the beanbag chair and meeting a fitness goal.

Sensors that record data about your fitness, daily routines, vital signs, weight or sleep habits have been around for years, but at this year's Consumer Electronics Show in Las Vegas, the spotlight is on devices that wirelessly sync data to the cloud and smartphone apps and how they use that information to effectively promote and maintain good health.

Digital health tech is a booming area at CES this year with 210 booths in the section reserved for health technology companies. It's a mixed bag of activity trackers, health insurance companies, smart scales, disease management tools and sports gadgets.

Wearable sensors have become smaller, cheaper and more powerful in the past few years. More recently, low-energy Wi-Fi and Bluetooth synching capabilities have made syncing to smartphones, cracking open a world of product possibilities.

On the show floor, sensors popped up in watches, wrist bands, belt clips, underwear and bra clips, in-ear headphones, fitness equipment and adhesive patches you wear on your skin. Many device makers said it was only a matter of time before they show up in everyday clothes, maybe even in your body.

Here are some ways health tech is helping people now:

Encouraging physical fitness

The biggest booths are for the fitness trackers. Pedometers, devices that count steps and distance, have been around for hundreds of years; they were first introduced to the U.S. by Thomas Jefferson. But recent technology has inspired a digital resurgence for the lowly pedometer, with tricked-out new devices that also track calories, how many stairs you climb and sleeping patterns.

Fitness tracker company Fitbit unveiled its latest product, the Fitbit Flex, at CES. The $100 wristband comes in a variety of colors, is waterproof and has no display other than a tiny row of dots that light up. It automatically uploads data to your iPhone, Samsung Galaxy Note II or Samsung Galaxy S III every 15 minutes. Once synched, the data is displayed on the app or website as colorful graphs, your progress charted and goals outlined.

The smartphone app acts as the hub for your Fitbit, as well as the company's Aria smart scale. If food is something you need help monitoring, you can keep detailed logs of your meals to calculate how many calories you've consumed.

"It's not about the numbers, but how you can be motivated," said Fitbit's Woody Scal.

Fitbit has integrated effective coaching and training tricks to keep users on track. For example, it can send encouraging or taunting text messages or e-mails and award badges, depending on what motivates you. It also acts as a little social network, letting you connect with and compete against friends.

The teeny Fitbug Orb fitness tracker also records steps and sleep, but this round device is designed to fit into an assortment of holders, including a watch band or underwear clip. It also has an app and online coaching services but will only cost $50 when it comes out this summer.

French company Withings debuted its newest smart scale at CES, the Smart Body Analyzer, which measures weight, body fat and your heart rate. A healthy home environment is important for health, so the scale tracks air quality, measuring Co2 levels and room temperature. The data is sent wirelessly to an iOS or Android device. The scale will be available in early 2013 and cost $150.

Keeping kids healthy

Can video games be used to keep kids healthy?

UnitedHealthcare, the largest health care provider in the U.S., thinks it's possible. According to the CDC, 17% of children and adolescents from 2 to 19 in the U.S. are obese. Investing in kids' health now and lowering that percentage could save all health insurance companies money down the line.

UnitedHealthcare just launched a test program in three schools using a popular video game to encourage exercise. It partnered with the makers of "Dance Dance Revolution" on a gym-class friendly version of the popular dancing game.

Up to 48 kids recreate the dances displayed on a large screen, while sensors in the wireless dance platforms record data about how well they are doing. The information is tracked over time and shared with the school, parents and the kid so everyone can see their progress. The idea is to make working out fun and gym class something to look forward to.

"We want to get it into areas where there are limited options for physical activity," explained Robert Plourde, the vice president of innovation and research and development at UnitedHealthcare.

The company is also working on an interesting beta project that turns an Xbox Kinect into a physical therapy coach. It counts reps and monitors the body's movements to ensure the exercises are being done properly.

The GeoPalz ibitz PowerKey activity tracker and paired mobile app are just for kids. The $50 pedometer, counts steps as "keys," which are points that can be collected to win prizes on Amazon, unlock game levels and earn badges. Parents can check in on their kids' progress on their own smartphones.

A headset that detects the brain's electrical activity is being used to improve children's mental health. NeuroSky's $149 Focus Pocus game, released last year, helps people with ADHD hone concentration and impulse control skills. Players don the a headset and place an attached sensor on their forehead, which can tell when they are concentrating or distracted. As they play the wizard-themed game, they are rewarded for focusing and completing tasks. Trials of the game saw improvement in concentration after a period of training.

More recently, Puzzlebox used the same technology to power a toy helicopter. Less therapeutic and more just cool, the Orbit flies up when you concentrate and can drop back down when you break concentration. The product, which started as a Kickstarter campaign, costs $189 and will begin shipping soon.

Monitoring the chronically ill and seniors

Some of the most promising developments in the health tech area are for people with chronic issues such as heart failure, Parkinson's, hypertension or diabetes.

With the right sensors and apps, they can take a reading at home and transmit data to the cloud, where their doctors can monitor progress and look for red flags that they might miss during a short office visit.

Ideal Life's connected systems include small devices that measure blood glucose, blood pressure, heart rates and oxygen saturation, and it has a scale specifically for congestive heart failure patients. At CES, the company announced it was teaming up with ADT on an integrated alert system.

These remote health management services are appealing to hospitals, doctors and health programs because they can cut down on costly medical care by catching issues early and helping people avoid trips to the emergency room. But all that data being collected is valuable in other ways. Providers can amass the anonymous data for all patients to look for trends, assess programs and fine-tune treatment programs.

Having an outsider be notified of changes in health is also helpful for senior citizens living on their own. Instead of the classic emergency buttons worn around the neck, sensors can alert care givers to anything out of the ordinary. They don't even need to be health sensors. Connected home systems such as Lowe's Iris can be programed to send a text message when a senior doesn't do a regular activity such as opening the fridge or turning on a light.

A final smartphone-connected gadget for seniors (or anyone who takes a lot of pills) is the clever uBox. This round, functionally designed box reminds people when it's time to take their pills with a combination of beeps, blinking lights and smartphone reminders.

If they've already taken the pill for that time period, the box remains locked so anyone who is forgetful or suffering from dementia won't take a double dose. The uBox will notify family members or health care providers if a dose is skipped. The company, founded by MIT engineers, is raising money on Indiegogo.

@highlight

At the Consumer Electronics Show, there are 210 companies in the digital health area

@highlight

Sensors are smaller, cheaper and can transmit data about your health to smartphone apps

@highlight

New games and pedometers aimed at kids are the latest tools for fighting childhood obesity

@highlight

Sensors to monitor the health of seniors and sick people share data with doctors, family