ATLANTA, Georgia (CNN) -- For 8-year-old Ryan Mohar, an elevator isn't just an elevator. He spends hours pressing the buttons and riding up and down, preferring this to the slew of alternatives that his teachers offer -- even candy.

Ryan Mohar, who has autism, gets treated with ABA approaches at the Marcus Autism Center.

Ryan is one of many American children with autism, a neurological disorder characterized by repetitive behaviors or limited interests, and difficulties with communication and social interactions.

At the Marcus Autism Center in Atlanta, Georgia, Ryan and other children with communication and behavior difficulties get help through a rigorous empirical method called Applied Behavior Analysis.

"Decades of research has shown that that is the treatment of choice, and results in the best gains in terms of skill acquisition and behavior problem reduction for kids with autism and other developmental disabilities," said Alice Shillingsburg, program coordinator of the center's Language and Learning Clinic.

The effectiveness and nature of ABA is particularly relevant as many parents fight for insurance companies to cover it and other autism treatments. The organization Autism Speaks has endorsed bills in 25 states that would require private health insurance policies to cover the diagnosis and treatment of autism spectrum disorders for anyone under the age of 21. The legislation would specifically be targeted at ABA and other structured autism therapies. Only eight states have autism insurance reform, according to Autism Speaks.

While ABA encompasses a broad range of practices of studying and changing behavior, the one usually associated with autism is called discrete trial instruction. A trial consists of a cue, the opportunity to respond and a reward.  Watch therapists using applied behavior analysis on Ryan »

For example, a therapist might try to teach a child who likes sweets to request candy. The trial gets repeated over and over so that the child learns that candy comes only as a result of the request. The clinicians at Marcus Autism Center carefully record how many trials the child successfully completes.  Learn more about autism »

"If suddenly they can emit some vocal response, and suddenly when they do that, candy appears -- someone delivers candy to them -- that's a very powerful response for that child," said Nathan Call, director of Behavior Treatment Clinics at the Marcus Autism Center.

Analysts examine progress based on such data at least once a day -- sometimes five or six times a day -- and will change the treatment plan if necessary.

In Ryan's case, a trial begins when his clinical specialist takes him near the elevator and asks him to hand over a card -- his way of requesting access to the elevator. If Ryan gives the card, he gets to go to the elevator, and that is the end of one trial. If he does not, his helpers walk him away, and a new trial begins.

Experts working with Ryan hope that teaching him to ask for the things he enjoys -- elevator rides, elevator buttons -- will help him stop running away, which he does even at home. In fact, Ryan wears a GPS-equipped ankle bracelet so that police can track him if he gets far from home.

ABA is very effective, but the term "cure" is inaccurate, experts said. Autism describes a broad range of characteristics, not an underlying cause, Call said. ABA techniques can produce significant behavior changes, however.

"The goal is not necessarily for the child to have hit all of their developmental milestones, necessarily, but rather it's hopefully to get them to a point where they're able to take advantage of a more typical or less restrictive educational environment," he said.

Studies have shown that 60 percent of high-functioning children can lose their diagnosis of autism by age 8 by using ABA, according to the Kennedy Krieger Institute, a leading center in autism research and treatment in Baltimore, Maryland.

Not everyone is so enthusiastic about ABA, however. Dr. Max Wiznitzer, associate professor of pediatric neurology at Case Western Reserve University in Cleveland, Ohio, cautions that the treatment should fit the child, and ABA may not work as well for some children as other types of therapy.

An alternative approach is play-based therapy, whereby the therapist takes cues from the child rather than the other way around. For example, if a child is bouncing a ball, the therapist would take that as an opportunity to encourage the child to bounce the ball back to him or her, Wiznitzer said.

One of the pioneers of ABA is Ivar Lovaas, a child psychologist who in the 1960s began investigating how to help children who injured themselves. His research showed that components of ABA could reduce these behaviors.

The therapy has evolved since then, however. In the beginning, the approach to ABA was more dogmatic and "cookie-cutter," Wiznitzer said. A child who cooperated got a reward, but a child who did not cooperate got a punishment such as yelling or a squirt of water.

"ABA in a classic sense is a very restricted, very limited program that has issues with the ability to generalize the learned skill outside of the ABA environment," he said. A family once told him that their child showed great restaurant manners -- but only in the basement, he said.

Today, many analysts who use ABA as a guide go more with the flow of the needs of the child, he said.

ABA isn't just for children with autism -- the methods have been used for people of all ages, with and without disabilities.

Staff members at Marcus Autism Center try to help children use the skills they learn outside of the artificial environment of the classroom.

"They're doing research here on finding the best way to create those moments where the child really needs information in order to complete a preferred task or to gain access to a preferred activity or a preferred outcome," Call said.

Another criticism of ABA is that children become mechanical because they learn to have only one specific response for a given prompt in real life. Call's response is that variability is just another behavior that can be taught, but noted that there are trade-offs. Parents have input in the decision to focus more on teaching a lot of different skills, rather than to teach several responses in any one situation.

"Oftentimes, the goal is to focus more on giving as many functional skills as possible to that child, so they can have as fulfilling a life as they can," Call said.

ABA is extremely costly, however. For the behavior clinics, therapy sessions at Marcus Autism Center begin at $60 per hour, and go higher in price depending on the expert who is providing the treatment -- a session with someone with a master's or doctorate may cost more.

A person with autism costs society about $3.2 million over the course of his or her lifetime, according to a 2007 study in the journal Archives of Pediatrics & Adolescent Medicine. Direct medical costs for the first five years are, on average, about $35,000, the study said.

For children from non-English-speaking families, two staff members at Marcus Autism Center speak Spanish, and an outside translator can be brought in if necessary for other languages, said Chris Tullis, a clinical specialist. But the Association for Behavior Analysis International told CNN that it does not have any "board-certified therapists" in Atlanta who report speaking Spanish.

As for Ryan, after only about two weeks at Marcus Autism Center, his screaming has come down from more than 200 times an hour to about 38, Call said.

"It looks promising, but we've got 10 more weeks to actually find out what's really going to work the best with Ryan," Tullis said.

@highlight

Applied behavior analysis is a rigorous empirical method to teach behaviors

@highlight

Autism Speaks has endorsed bills in 25 states to make insurance cover ABA

@highlight

Research: 60 percent of high-functioning kids can lose autism diagnosis with ABA

@highlight

Five-year medical costs for children with autism, on average, about $35,000