Princeton, New Jersey (CNN) -- New Jersey Gov. Chris Christie made headlines last week when one of his aides admitted that he had surgery to lose weight. Christie said that the surgery had nothing to do with politics and everything to do with his health and his family. Christie said: "It's not a career issue for me. It is a long-term health issue for me and that's the basis on which I made this decision. It's not about anything other than that."

It is impossible to know whether we should take Christie at face value. Given that there has been ongoing speculation about his presidential aspirations for 2016, often coupled with discussions of his struggle with weight, it is certainly not unreasonable to wonder whether these are related.

Why do Americans care about the weight of a candidate and why is appearance an issue in presidential elections? There is very little chance that the issue will go away. Certainly, old-fashioned bias has something to do with this concern.

The willingness to ridicule obesity and make fun of appearances based on weight remains more acceptable than other kinds of biased comments that are no longer tolerated. One study by Yale University recently showed that male jurors were biased against heavy women, and more likely to find them guilty than leaner women. Some have called obesity the last acceptable bias in American life.

Opinion: Congrats Gov. Christie - You saved your life

We are also in a political era when politicians are more in the public eye than ever before. Like it or not, appearance matters. When William Howard Taft -- weighing in at over 300 pounds -- was president, most Americans rarely saw him, though jokes about his weight still circulated. But it was still a very different world. In the early 20th century, there was no television or Internet broadcasting constant footage of the president in action. Other than the occasional still image in the newspaper, or the footage in the newsreels before movies until the 1940s, politics was still a medium of words and print.

Since the emergence of television, however, we live in a visual political culture where appearances have become much more important. We vote based on what we see, or at least that is part of the calculation. It has become more important for presidents to convey the charisma of a John F. Kennedy and harder for those who are not as easy on the eye.

Shallow visual preferences are not the only dynamic at work, however. The last half century has witnessed massive improvements in personal health. Americans are living longer and living better as a result of great advances in our understanding of nutrition and physical care. It is no longer uncommon for Americans to use a gym on a regular basis and to be much more cautious about what they eat. We expect politicians to live by the same standards. Indeed, we want our leaders to set examples for the rest of the nation.

Christie is certainly not the only candidate to face these kinds of questions. When Bill Clinton ran for the presidency in 1992, the media covered his tendency to eat junk food on the campaign trail and his weight gains were treated as problematic. After Clinton gained 30 pounds during the Democratic primaries, Hillary Clinton noted, "The good news is, my husband loves to eat and enjoys it. The bad news is, he loves to eat, even when things are not always right for him."

Another reason that weight and other physical health concerns have become more important is that the job of the presidency has become much more demanding. As the role of the federal government has expanded at home and the presence of the United States overseas has intensified, there is much more for a president to handle on a daily basis. The massive size of the executive branch and intense 24-hour news cycle makes the presidency a physically brutal job.

We often watch as presidents enter the White House looking young and spry, then exit with gray hair, tired and visibly worn down.

As with many other high-powered jobs, physical health is important to the ability of a person to handle these kinds of tasks, so it is logical that these considerations enter into the conversation.

All of this is to say that there are many reasons why voters and reporters will talk about Christie's weight, and why Christie's weight could become a major issue if he runs for president in 2016.

It's important to note that there is some social science evidence that in certain cases voters may not be swayed by weight. In fact, according to one study, voters in certain cases can prefer obese to non-obese candidates. The studies showing this finding are still limited and, from the evidence of the presidential races of the past century, the signs still point to voters preferring candidates who are leaner.

There is clearly a huge risk in making our decisions about leaders based on appearances, which really do tell us little about what a person would do when faced with the big challenges of the day. Regardless, the conversation is unlikely to subside, given the times in which we live.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Chris Christie, a potential presidential candidate, had weight-loss surgery

@highlight

Julian Zelizer says candidates shouldn't be judged on appearances

@highlight

But Americans will inevitably take weight and fitness into account, he says

@highlight

Zelizer: Job of presidency is constantly in public eye, and extremely demanding