(CNN) -- Children's lives are at risk in swimming pools across the country as government agencies waffle on how to enforce a new federal law, child safety advocates say.

A child's stomach shows the injuries of being sucked into a drain in a swimming pool.

The law requires new drain covers on pool filtration systems.

The covers prevent children from being caught in the suction, disemboweled and completely eviscerated -- "turning your insides basically into your outsides," said Alan Korn, public policy director of Safe Kids USA, a Washington-based nonprofit organization dedicated to preventing injuries to children.

But despite the dangers -- and the federal law -- many pools are not in compliance with the law. It went into effect December 19, and pool operators have known about it for more than a year.

Some children caught in the drains can be saved, though they might be paralyzed. Some will bear the scars, in the form of welts shaped like the drain, on their bodies forever.

But others die. Kids like Virginia Graeme Baker.

The 7-year-old granddaughter of former U.S. Secretary of State James Baker, who went by her middle name, was in a hot tub during a school graduation party in Virginia in 2002.

Her horrified twin sister ran to their mother, Nancy Baker, saying Graeme was trapped.

"The tub was just dark. I couldn't see anything," Baker said. "Only bubbles."

But when she jumped in and stuck her head under the water, she saw her daughter.

Her daughter's eyes were pinched shut, and her limbs were being ripped in every direction by the suction. She was "essentially cemented" to the bottom of the pool.

"I was thinking she was tied down or caught on something," Baker said. "Honestly, I couldn't figure it out. All that adrenaline was running through me, and I was just trying to get her out."

With all of her strength, Baker tried to pry her daughter free from the hundreds of pounds of suction force.

"I couldn't understand why, despite all of my efforts, I couldn't pry her free. I couldn't get her off the drain," Baker said.

It took two other adults to pry Baker's daughter free. When Baker got to the hospital, doctors said there was nothing they could do. Her daughter was gone.

So Baker went on a crusade of sorts to raise awareness and help save other children from what Korn calls "particularly horrific deaths."

"There's a moment in time when the child realizes that something is wrong, that they can't break themselves from the suction," Korn said.

The statistics for entrapment are probably grossly underestimated (only 33 deaths have been officially listed as being caused by entrapment between 1985 and 2004) because nobody knew the dangers that lurked at the bottom of the pool, according to Safe Kids USA, which was founded by Children's National Medical Center in Washington.

That was until Baker, Safe Kids USA and legislators lobbied for a law so those deaths were not in vain.

The law applies to all pools with public access, including those at hotels, apartments and residential communities.

But experts advise owners of residential pools, like the one Virginia Graeme Baker died in, to make the modifications, too.

Several pool operators nationwide who spoke to CNN said they simply weren't given enough time to get the covers and claimed some models weren't available until weeks before the law went into effect. Others said the models they requested are on back order.  See how one town is handling the change »

Complicating matters further is the different way that states are enforcing the law. Because the agency overseeing the law -- the Consumer Product Safety Commission -- is so small, it is looking to state public health and safety departments for help.

And some states and towns are being more lenient than others enforcing the law.

Baker says there should be only one standard: saving children's lives.

"If you make the choice not to put on this cover, you're leaving open the chance for a child to sit on a drain and then be so horribly injured that they'd be without their intestines, without their colon, and basically live a life on a feeding tube," Baker said.

Still, many states are allowing pools to remain open, or at least have not begun inspecting the pools and actively shutting them down. Without offering details, some health and safety officials said the law wasn't being followed because they didn't have the authority to enforce it.  See examples of safe and unsafe drain covers »

The public health department in Riverside, California, said it will not enforce the law until a similar law is passed by the state legislature. The Connecticut Department of Health said that although the law wasn't on the books in that state either, it was the "expectation" that state and local health departments would close noncompliant pools.

"I know I wouldn't let my child swim in a pool without these new covers, and I'd give that advice to any stranger," Korn said. "Nobody should be in these pools."

Heeding that advice, some pools across the country have closed or been shut down, including those at several high schools.

For some, it was a city decision. In some cases, state health departments granted extensions if the pools turn off the suction at the bottom until covers arrive. For others, like a baby pool at the North Platte, Nebraska, Recreation Complex, the decision to shut the pool came at the request of insurance companies.

Scott Wolfson, a spokesman for the safety commission, said the agency that knows some pool operators have problems obtaining the drain covers and said it is focusing its efforts on the most high-risk pools, such as wading pools, kiddie pools and the shallow end of larger pools.

Wolfson said that ultimately, a pool owner will be held liable if there is an injury or a death at a pool lacking the proper drain covers.

Jeff Long, communications director for the Fox Valley Park District in Illinois, has been waiting for drain covers for the pools he oversees. But he hasn't gotten them.

"It's not a matter of us ignoring the law," Long said, adding that many of the pools he oversees will remain open. "We obviously want to protect children, but what can we do if we can't get the product we need to save them?"

The answer is simple for Baker: shut down the pool until you get the product.

"Everyone has the mentality of 'it can't happen here; it won't happen to me,' " Baker said. "If you would have told me eight years ago that there was any chance that I'd live out the rest of my life thinking about the fact that my child was cemented at the bottom of a hot tub, I'd say that was impossible, but it does happen, and it always leads to grisly, devastating misery or death. How can anyone be OK with that?"

@highlight

New federal law requires drain covers that prevent children from being sucked in

@highlight

Some states say they don't have authority to enforce law, allow pools to stay open

@highlight

Many operators say pool covers are on back order, waiting to receive them

@highlight

Law named after Virginia Graeme Baker, 7, who died after hot tub incident