Remember "peak oil"?

Five years ago, some oil market speculators became convinced that the world was nearing the limits of oil production. Sometime soon -- the 2010s? the 2020s? -- oil production would begin a long steady decline.

Think again. World oil production continues to rise. Leading the oil renaissance: the United States. The International Energy Agency predicts that the United States will overtake Saudi Arabia and Russia to become (again!) the world's leading oil producer by 2017. If the agency's estimates prove correct, the United States and Canada together will become net energy exporters by about 2030, and the U.S., which uses 20% of the world's energy, will achieve energy self-sufficiency by the mid-2030s.

Predictions that the world would imminently "run out of oil" have been worrying oil consumers since at least the 1920s. They always prove wrong, for reasons explained by the great oil economist M.A. Adelman after the last "oil shortage" in the 1970s:

Oil reserves, Adelman writes, "are no gift of nature. They (are) a growth of knowledge, paid for by heavy investment."

For all practical purposes, the world's supply of oil is not finite. It is more like a supermarket's supply of canned tomatoes. At any given moment, there may be a dozen cases in the store, but that inventory is constantly being replenished with the money the customers pay for the cans they remove, and the more tomatoes that customers buy, the bigger an inventory the store will carry.

Someday, of course, consumers will decide they want less oil at the current price. Someday we may move beyond oil altogether. When that day comes, the investment will stop -- and nobody will ever know or care how much oil remains in the ground.

Adelman's assessment is being corroborated once more, this time in Mexico. Mexican oil production has been declining over the past decade, mostly because of under-investment and mismanagement by the state oil monopoly, Pemex. (On January 31, a deadly tragedy reminded the world of Pemex's troubles when a methane leak in a Pemex building in downtown Mexico City exploded, killing more than 30 people and injuring 120 others.)

In October, Pemex announced discovery of a big new field in the Gulf of Mexico. Newly elected Mexican President Enrique Pena Nieto is urging his country to amend its constitution to allow foreign investment in Mexican oil fields. Experts assess that opening the Mexican oil industry to global investment will revive Mexican oil production and boost Mexico's economic growth by potentially 2 points a year. Nieto's PRI party -- the very party that nationalized Mexican oil 80 years ago -- is expected to vote this weekend to approve the new policy.

Meanwhile, the International Energy Agency is warning oil markets to ready themselves for a "flood" of cheap oil from Iraq. Last year, Iraq for the first time exceeded pre-1990 oil production. The agency expects Iraq eventually to overtake Russia as the world's second-largest oil exporter.

In 1972, the year of the famous "Limits to Growth" report by the Club of Rome, the world produced about 55 million barrels of oil per day. In 2011, the world produced almost 80 million barrels. If today's prices hold, many experts expect production of 90 million barrels by decade's end.

Our oil problem is not that "we're running out." Our oil problem is that we're producing so much of the stuff that we are changing the planet's climate.

Yet on the environmental front too, there's reason for optimism. One of the technologies developed by the oil industry -- fracking -- has made available vast new supplies of cheap natural gas. Gas has become so cheap that it can be substituted for coal as an electricity-generating fuel. In just eight years, coal's share of the U.S. electricity market has tumbled from one-half to one third -- and still falling. Gas emits only half the carbon per unit of energy of coal. The transition from coal to gas explains why U.S. carbon emissions declined 8% from 2011 to 2012, reaching the lowest level since 1992.

Soon the United States and Canada will be producing so much gas that they can export it to Europe, perhaps also to China, helping to cut carbon emissions in those economies as well. No, it's not the answer to everything: Gas still emits carbon. But it's an improvement -- and that's how progress comes.

Instead of fantasizing about catastrophes (running out of oil) and miracles (a rapid transition to solar power), our energy thinking needs to emphasize the achievable and the incremental. Convert from coal to gas. Tax gasoline to induce people to live closer to work and to buy more fuel-efficient cars.

We can enjoy a rising quality of life with declining energy inputs. Put us on the path to the right kind of "peak oil" -- and peak carbon -- the peak that comes, not because we find less and less, but because we want less and less.

@highlight

Five years ago, speculators predicted that oil production was peaking

@highlight

David Frum says recent evidence is that energy sources are plentiful

@highlight

Iraq and Mexico can produce much more oil, and United States is awash in natural gas, he says

@highlight

Frum: Gas surplus is enabling U.S. to reduce carbon emissions that change climate