(CNN) -- The United States has a dignity problem. The concept of dignity is recognized by law in countries all over the world. It is a cornerstone of both international humanitarian law, which governs the treatment of prisoners of war, and international human rights law.

But it has little power in American jurisprudence. A robust recognition and protection of dignity is precisely what we need, particularly if we are to understand how racism has broken its tether and become enshrined again in state laws and policies across the United States.

Take racial profiling -- the single most explicit manifestation of racial prejudice in the United States today. Nearly 700,000 individuals a year are subject to the brutal indignity of the New York Police Department's stop-and-frisk policy. The vast majority are young African-American and Latino men. In a New York Times op-ed in December, 23-year-old Nicholas Peart heart-rendingly described his initiation into the world of stop-and-frisk beginning at age 14. This rite of passage for innocent young black men requires submitting without complaint or question to being harassed and targeted by the police. Even showing an "attitude" can escalate encounters into an arrest or even death.

Stop-and-frisk policing is only one aspect of the national indignity of racial profiling. Police surveillance of law-abiding Muslims (here again the New York police play a central role) and the pulling over of motorists for "driving while black" are two others. Rather than recognize how these practices strike at our bedrock constitutional rights to due process, equal protection and freedom from unreasonable searches, the Supreme Court recently doubled down on racial profiling. It decided that the discretion of police may be complemented by the discretion of jail officials to strip-search the 14 million Americans who are arrested each year.

In this way, the conservative majority on the court is turning back the clock on the greatest successes of the civil rights movement -- the understanding that the Civil War amendments to the Constitution were designed to uphold the inherent dignity of blacks as human beings and citizens.

Even more alarming and insidious is the court's ability to provide legal support for racial profiling without ever mentioning race. In key, high-profile cases in which racial profiling was either explicitly or implicitly at the core of the complaint, the conservative majority simply ignores the racial implications of sweeping decisions that leave racial minorities subject to arbitrary law enforcement practices.

Opinion: A jury's race can deny justice

In 2010 in Ashcroft v. Iqbal, a case brought by a Pakistani man who argued that racial and religious profiling after 9/11 resulted in his arrest and mistreatment in jail in New York, the court raised the standard for complainants in civil cases. It insisted that plaintiffs must show before discovery that their claim appears plausible to a trial judge. The court expressed confidence in the "common sense and experience" of trial judges to know a plausible discrimination claim when they hear one. The court also found it implausible that federal law enforcement officials might have engaged in racial profiling after 9/11.

In 2011 in Connick v. Thompson, the court held that a black man railroaded by the district attorney's office in New Orleans and convicted of a murder he did not commit could not recover a judgment in a civil rights action he brought and won after serving 14 years on death row. Just a month ago in Florence v. Board of Chosen Freeholders, the court held that jail officials were legally entitled to strip-search an African-American businessman, Albert Florence, twice after he was wrongly arrested and held for a week in two New Jersey jails. In each case, the conservative majority never once addressed the racial context or racial implications of their decisions.

The court appears poised to do the same next month in the case involving Arizona immigration law, which gives local police the right to demand proof of citizenship from people they suspect are here illegally. This is at bottom a license for nationwide racial profiling under the guise of immigration enforcement and state's rights. Perhaps this is why Chief Justice John Roberts insisted on limiting the parameters of the case by stating at the outset of the solicitor general's argument, "I'd like to clear up what (this case is) not about. No part of your argument has to do with racial or ethnic profiling."

The meek acquiescence of the solicitor general to this judicial bullying was a failure of colossal proportions. The conservative majority may have the power to legalize racial profiling in this country, but they should not be permitted to pretend that this is not precisely what they are doing.

This is precisely why we need a more robust and coherent understanding of how the concept of dignity underlies key provisions of our Constitution. Although the Constitution does not include an explicit right to dignity, as one scholar has recently explained, the Supreme Court has long invoked dignity interests in its decisions.

Civil rights lawyers, scholars and activists need to remind the court and our nation about the centrality of dignity to our core constitutional protections. Without this understanding, this court will continue unchecked until racial minorities in this country find themselves once again in a posture of abject indignity before the irrational policies of the state.

The opinions expressed in this commentary are solely those of Sherrilyn A. Ifill.

@highlight

Sherrilyn Ifill: Recognition of dignity crucial to grasping how racism cropping up in laws

@highlight

Ifill: Examples of profiling include stop-and-frisk policy, post-9/11 Muslim surveillance

@highlight

She says Supreme Court has left racial consideration out of rulings when it's clearly relevant

@highlight

Ifill: Several rulings appear to make racial profiling part of law, and courts should admit it