(CNN) -- U.S. Secretary of State Hillary Clinton will this week make her first visit to South Sudan, a nation barely one year old that is locked in a bitter dispute with its northern neighbor, as part of a six-country tour of Africa.

Clinton sets off Tuesday on the 11-day trip, which is intended to emphasize U.S. efforts to strengthen democracy, encourage economic growth and further peace and security in Africa, Victoria Nuland, a State Department spokeswoman, said in a statement Monday.

The visit begins in Senegal, a small country on Africa's west coast that has been an outpost of democratic stability in a region with a history of electoral chaos, civil wars and coups.

Despite outbreaks of violence in Senegal earlier this year surrounding former President Abdoulaye Wade's decision to seek a controversial third term in office, power passed peacefully to the eventual victor in the presidential election, Macky Sall.

Clinton will meet with Sall and "deliver a speech applauding the resilience of Senegal's democratic institutions and highlighting America's approach to partnership," Nuland said.

The secretary of state will then travel to one of the tensest areas of Africa: South Sudan, which has edged close to full-scale war with Sudan, the nation from which it separated in July 2011 after decades of bloody conflict.

The two African countries still disagree over the demarcation of the border between them and the transportation and processing of oil from South Sudan, which obtained around 70% of the formerly united country's reserves when it became independent.

The U.N. Security Council is pressuring the countries to find a peaceful resolution of the disputes. Border clashes have displaced at least 150,000 people and created a huge humanitarian crisis.

While in South Sudan, Clinton will meet President Salva Kiir in order to "reaffirm U.S. support and to encourage progress in negotiations with Sudan to reach agreement on issues related to security, oil and citizenship," Nuland said.

Clinton's next stop is Uganda, where the authorities are dealing with an outbreak of the highly infectious Ebola virus that has killed at least 14 people this month.

Uganda is "a key U.S. partner in promoting regional security, particularly in regard to Somalia and in regional efforts to counter the Lord's Resistance Army," Nuland said.

A highly effective celebrity-backed social media campaign earlier this year by the nonprofit group Invisible Children focused worldwide attention on the Lord's Resistance Army and its leader, the fugitive warlord Joseph Kony.

The African Union has stepped up efforts this year to capture Kony, deploying 5,000 troops in March after a resurgence in attacks by his forces displaced thousands of people in Uganda, South Sudan, the Democratic Republic of Congo and the Central African Republic, according to U.N. estimates.

Kony is wanted by the International Criminal Court at the Hague for war crimes and crimes against humanity, stemming in part from allegations of his vicious tactics to conscript children as soldiers and sex slaves in his army.

President Barack Obama ordered 100 troops to central Africa last year to help in the hunt for Kony. The troops are advising regional forces.

After Uganda, Clinton will visit Kenya, where she will meet local officials, as well as Sheikh Sharif Ahmed, president of the transitional government of Somalia, which is trying to emerge from years of civil war.

Security appears to be improving in Somalia, long considered a failed state, since African Union troops pushed Al-Shabaab, an Islamic militant group affiliated with al Qaeda, out of central Mogadishu last year after prolonged urban fighting.

Clinton will then head south to Malawi where she will "discuss economic and political governance," Nuland said.

Lastly, she will visit South Africa to participate in a strategic dialogue between the two countries and pay her respects to Nelson Mandela, the former president.

The frail icon has not appeared in public for years, but he was celebrated worldwide on his 94th birthday earlier this month for his role in reconciling a country torn apart by apartheid.

@highlight

South Sudan, the world's youngest country, is in conflict with Sudan

@highlight

Clinton's visit aims to encourage negotiations between the two sides

@highlight

She will also travel to Uganda, which is dealing with an Ebola virus outbreak

@highlight

While in Kenya, Clinton will meet the leader of Somalia's transitional government