(CNN)On Friday, ISIS claimed responsibility for Yemen's deadliest terror attack.

A day earlier it claimed responsibility for the worst terror attack in Tunisia.

Last week it welcomed into the fold Boko Haram, a Nigerian terrorist group with thousands of fanatical fighters that dominates territory the size of New Jersey.

All this came in the wake of the group's rapid expansion across Libya, its assimilation of a powerful Egyptian terrorist group, and the founding of small chapters in Saudi Arabia, Afghanistan, Pakistan and Algeria, where its new affiliate last year beheaded a French hiker.

The group's momentum may have stalled in Syria and Iraq, but its supporters from the Atlantic to the Hindu Kush appear to be heeding its leader Abu Bakr al-Baghdadi's call to "erupt volcanoes of jihad."

By far the most surprising development was its claim of responsibility for the twin suicide bomb blasts that killed over 130 in Houthi-Shia mosques in Sanaa, Yemen, on Friday and another attack in the north.

ISIS was only thought to have a fledgling presence in Yemen and had only claimed one previous attack, the assassination of a Yemeni security official north of Aden earlier this month.

Al Qaeda in Yemen, or AQAP, has for years been the dominant Jihadi group inside Yemen, but it denied involvement in the mosque attacks, saying it was against its principles to target mosques, bolstering the ISIS claim.

This indicates ISIS has very quickly built up an operational capability inside Yemen in the months since jihadis inside the country released an audiotape declaring allegiance to Baghdadi last November.

Only two developments could explain this: defections from AQAP or the return home of Yemeni ISIS veterans skilled in urban warfare and explosives.

There is no love lost these days between the two groups. Since Baghdadi declared ISIS had expanded into Yemen late last year there has been an escalating war of words between them, with ISIS claiming AQAP was not doing enough to target Houthis and AQAP declaring that the ISIS caliphate was illegitimate.

While AQAP has acknowledged previous internal disagreements about whether to support ISIS, there have been relatively few defections. Its charismatic leader, Nasir al-Wuhayshi, al Qaeda's global number two, is extremely popular among the group's rank and file. In recent months the group has reaped a recruitment windfall from Sunni tribal anger over the Houthi takeover of Sanaa, allowing it to expand its operations across Yemen.

But ISIS appears now to have laid down the gauntlet, declaring its attacks Friday were the "tip of the iceberg." In targeting the Houthi mosques in Sanaa, ISIS would be quite deliberately repeating the sectarian strategy of its founder, Abu Musab al-Zarqawi, who launched a devastating suicide bombing on Golden Mosque in Samarra in February 2006, which plunged Iraq into a full-blown sectarian civil war. Al-Zarqawi correctly calculated that the Shia, infuriated by the attack on their most sacred shrines, would violently retaliate, driving Sunnis into the embrace of the jihadis.  Yemen appears now to be on the brink of a similar civil war.

The terrorist attack on the Bardo Museum in Tunisia on Wednesday that killed 23 was the worst terrorist attack on tourists in the Arab world since the 1997 massacre in Luxor, Egypt.

It would also be ISIS' most spectacular act of international terrorism since it carried out coordinated suicide bombings on American and international hotels in Amman, Jordan, in 2005.

But Tunisia is right on Europe's doorstep, just 30 miles across the sea from the southern Italian island of Pantelleria.

ISIS has so far offered no proof to back up its claim it was responsible.

Yet several factors give the claim credence.

Firstly, as of late Friday no other group had claimed responsibility.

Secondly, Tunisian investigators have established that two members of the cell that carried out the attack trained in the Derna and Benghazi region of Libya late last year. In November, CNN reported that ISIS was running several training camps in the Green Mountains between these two eastern Libyan towns where it was instructing recruits from across North Africa, including Tunisians.

Thirdly, up to 3,000 Tunisians have traveled to Syria and Iraq, many to fight with ISIS. Five-hundred are believed to have returned home, including a significant number of trained killers, skilled in handling automatic weapons.

The three most powerful new ISIS affiliates are in Egypt, Libya and Nigeria.

Last November the Egyptian Sinai-based jihadi group Ansar Beit al-Maqdis pledged allegiance to ISIS. Bolstered by the return home from Syria of Egyptian ISIS veterans, in recent months the group has escalated its campaign of attacks against security forces in the Sinai and across Egypt and has put out its own gory beheading videos. The threat it poses to Western tourists was underlined last summer when it killed an American oil worker in the deserts southwest of Cairo in a carjacking.

In Libya, ISIS is taking advantage of chaos and simmering civil war to rapidly expand. Last autumn it established a foothold in eastern Libya, bolstered by the return of 300 Libyan ISIS veterans and the arrival of a top deputy of al-Baghdadi. It is now the dominant force in Derna, has a presence in Benghazi and controls part of the town center in Sirte, on whose beaches it beheaded more than a dozen Egyptian Christians in February. It also has a growing presence in Tripoli, where its fighters in January carried out an attack on the five-star Corinthia hotel that killed several Westerners.

In Nigeria, Boko Haram pledged allegiance to ISIS earlier this month and brought celebrations to the streets of Raqqa, ISIS' headquarters town in Syria. Boko Haram hopes it will bring a recruitment, fundraising and propaganda windfall.

"The merger with the Islamic State was a strategic, calculated, and long-term decision coming from the top of the Boko Haram leadership and communications structure," wrote Jacob Zenn, an expert on the group, in a just released West Point Combating Terrorism Center study on ISIS' growing array of affiliates.

Though military operations by Nigeria and Chad have eroded Boko Haram's safe haven in northeastern Nigeria in recent weeks, the group still has formidable capacity to terrorize the region. A signature tactic: beheading its enemies with chain saws.

For reasons of geography, there appear to be fewer organizational ties between ISIS and Boko Haram than between ISIS and its affiliates in Libya and Egypt. "The numbers of Boko fighters who have fought or trained with ISIS in places such as Syria, Iraq, Turkey, and Libya and returned to Nigeria is believed to be small: fewer than 20 fighters and video-propagandists," Zenn, who was recently briefed by Nigerian intelligence officials, told CNN.

ISIS' expansion into the southern shore of the Mediterranean has alarmed European governments. Italian fishermen operating off the south coast of Italy are so concerned they could be targeted by ISIS gunmen launching from Libya in speedboats that they have demanded protection from the Italian navy.

Then there is the threat of trained European fighters returning home from the killing fields of Iraq and Syria. Over 3,000 Europeans have traveled to fight in Syria and Iraq, many with ISIS. More than 750 have returned. Among their number, according to Belgian counterterrorism officials, was a Belgian terrorist cell dispatched by ISIS from Syria to carry out a major terrorist attack in the heart of Europe. The plot was thwarted when several of the cell were killed in a gunbattle in eastern Belgium in January. European officials told CNN ISIS is increasingly pivoting toward plotting attacks in Europe.

There is also concern ISIS could infiltrate non-European Union passport holders into Europe. Last year more than a hundred-thousand refugees arrived in Italy from Libya, according to the United Nations.

French Prime Minister Manuel Valls warned Thursday that Europe faced the greatest terrorist threat in its history, the starkest warning yet from a head of a European government since ISIS set up its caliphate in Syria and Iraq.

"The problem is not if there will be another attempted attack in France and in Europe, but to know when and where," he said.

@highlight

ISIS was only thought to have a fledgling presence in Yemen, but claims responsibility for bombing there

@highlight

ISIS supporters appear to be heeding its leader Abu Bakr al-Baghdadi's call to "erupt volcanoes of jihad"