(CNN) -- It's fitting that Warren Buffett would be making political headlines the same month that reviews started tumbling in for the new book "Leak: Why Mark Felt Became Deep Throat". Both Buffett and Felt are cautionary examples of what happens when journalists drop their skepticism to embrace a source who says what they want to hear.

The Deep Throat of "All the President's Men" lore, revered by two generations of young reporters, was a shadowy but selfless G-man with intimate knowledge of the administration, who reluctantly but decisively chose to reveal corruption going all the way to the top of the Nixon White House, out of a sense of decency and patriotism.

What Max Holland reminds us in his new book is that Felt, who was outed as Deep Throat in 2005 not long before his death, was motivated by the much baser impulse of wanting to get the FBI director fired so that he could take his place. In the process, Felt allegedly spread misinformation to Watergate reporters and committed his own indecent and illegal abuses of power, including overseeing the burglarizing of various anti-war groups.

You'd think that Washington journalists wouldn't need reminding that sources have their own tawdry motivations for using the press, but when the subject is as important as the criminal venality of Richard Nixon -- or better yet the irreplaceable role of the fourth estate in safeguarding democracy -- then there is a disincentive to treat corroborators with the skepticism they deserve. It detracts from the story journalists want to tell.

Which brings us to Warren Buffett. The Oracle of Omaha, as he was reliably referred to when his pronouncements were mostly limited to the financial pages, has become the general-interest media's (and President Barack Obama's) go-to billionaire for quotes, policy ideas, and other bon mots. Why? Because he's a rich dude who -- like his new fans -- wants his fellow rich dudes to pay more taxes.

Buffett has been making his crowd-pleasing calls to tax the rich for more than a decade now, but it was his 2006 announcement that he would give away most of his massive wealth -- or "claim checks on the activities of others in the future," as he put it -- that triggered a journalistic standing ovation that shows no sign of abating.

During the financial crisis in September 2008 and the ensuing wave of bipartisan bailouts, Buffett was routinely treated as an almost impartial voice of wisdom and calm, advocating the Troubled Assets Relief Program (TARP), the stimulus, a mortgage-restructuring plan, and increased spending on high speed rail. Left out of most press accounts: He profited enormously from every one of these programs.

As Peter Schweizer put it in a recent excerpt from his new book, "Throw Them All Out," Buffett's Berkshire Hathaway, beginning that fall, began buying up large chunks of Goldman Sachs and General Electric on extraordinarily favorable terms, in addition to its growing stakes in Wells Fargo, Bank of America, American Express, M&T Bank, and the Burlington Northern Santa Fe Railway. "All told," Schweizer wrote, "TARP-assisted companies constituted a whopping 30% of Buffett's publicly disclosed stock portfolio."

As of July 2009, Buffett's investment in Goldman Sachs alone had already netted him $2.5 billion.

(Buffett has objected to Schweizer's critique, pointing out in an interview with the Omaha World Herald that TARP was passed after his investment in Goldman Sachs and under the Bush administration which he said he didn't support: "Anyone, he said, could have invested in banks or other stock based on statements by Federal Reserve Board Chairman Ben Bernanke that the Fed would 'do whatever it takes' to help the ailing financial system.")

Earlier this month, an Obama administration foreclosure settlement increased the potential value of Buffett's Bank of America holdings by $154 million in a single day. The man who has become the left's favorite billionaire in the service of bashing plutocrats could be perceived as the single most successful crony capitalist in the country.

This does not mean, as New Jersey Gov. Chris Christie said earlier this week, that Buffett "should just write a check and shut up." It's a free country, and Buffett's recommendations should ultimately be weighed on their own merits.

But on that score, it's worth noting that Buffett has profited one hell of a lot more than the country that was supposed to benefit from all these Buffett-approved bailouts and stimuli. He gets billions; we get a big coulda-been-worse! Meanwhile, even the sitting treasury secretary acknowledges that the country's fiscal trajectory is "unsustainable," with no solution in sight to the bailout-exacerbated problems of debt and entitlement-commitments.

I'm not one who thinks that Warren Buffett needs to write a $10 billion check to the government in order to prove his policy sincerity. But it is worth noting that his big 2006 media breakthrough came not by pledging his fortune to the U.S. Treasury, but to private charity. It's clear which vehicle he finds the most effective use of his personal money.

Which suggests an ultimate test for raising the federal tax burden in a way pleasing to Warren Buffett, Barack Obama, and most of the fourth estate: Are we currently getting our $3.8 trillion worth of services? Has the rapidly increasing price tag of government -- from $1.9 trillion in Bill Clinton's last proposed budget -- come with a commensurate increase in quality?

If not, then we need to be cutting and improving government, not having it swallow up more of the private sector. If so, then that's an argument the media should be having, instead of just uncritically high-fiving a billionaire with massive vested interests.

The opinions expressed in this commentary are solely those of Matt Welch.

@highlight

NJ Gov. Christie says Buffett "should just write a check and shut up" about tax rates

@highlight

Matt Welch says the media tends to view Buffett as a selfless sage on policy matters

@highlight

He says the billionaire has a vested interest in many of the actions government takes