(CNN) -- Spring has sprung and as far as golf fans are concerned, that means only one thing -- it's time for the Masters.

Golf's first major of 2014 begins at the famed Augusta National on Thursday, this year marking the 78th installment of one of sport's most enduring contests.

They are four captivating days in Georgia that never fail to throw up a myriad of storylines, sub plots and sensations.

With the field as wide open as ever, CNN World Sport looks at six Masters headlines waiting to be written.

Mickelson assumes Tiger's mantle

The buildup to any major championship is always dominated by Tiger Woods -- whether he is playing or not.

Even Phil Mickelson has said it will be "weird" not to have Woods prowling Augusta's fairways.

With the world No. 1 missing his first Masters due to a back injury, most homegrown fervor will focus on "Lefty," the man who already has three green jackets in his wardrobe.

The 43-year-old has had his own fitness worries, withdrawing from two tournaments this season, but returned his best finish of the year at the Shell Houston Open just a few days ago.

The only current player who can hold a candle to Mickelson in terms of Masters success is Woods, whose four Augusta titles match the feats of Arnold Palmer -- two behind the record haul of another legend of the game, Jack Nicklaus.

Mickelson's most recent triumph came in 2010 and featured a shot that has gone down as one of the finest in the tournament's illustrious history.

It also showcased Mickelson's game perfectly, as he launched a six-iron from pine needles behind a tree onto the 13th green, over the stream that protects the front of the green.

Should Lefty find his very best this week, a fourth Masters crown is a distinct possibility.

A wide open field

Trying to predict the next major champion is a futile exercise.

Since the start of the 2009 season, there have been 18 different winners of the 20 major titles on offer -- and 15 of those were first-time victors.

Such is the talent being stockpiled at the top of the game, the winner could come from pretty much any continent and be stationed at either end of the age spectrum.

Northern Ireland's Rory McIlroy was 22 when he won the 2011 U.S. Open at Congressional -- the youngest winner since 1923, when the legendary American Bobby Jones triumphed.

And Mickelson clocked in at 43 years young when he secured the fifth major of his career at the 2013 British Open at Muirfield in Scotland.

Talented teenagers and voracious veterans lurk at every corner of a major championship field, and of the 97 players competing, around 70 will think they have a realistic chance of winning.

McIlroy's redemption?

Until McIlroy is cloaked in a green jacket, the abiding memory of his Masters experience will be of a red-faced youngster slumped over his club as one of golf's greatest chokes took hold.

At the tender age of 21, he went into the final round at Augusta in 2011 with a four-shot lead, and blew it in epic style.

The sight of McIlroy wandering around the VIP cabins 50 yards to the left of the 10th fairway looking for his errant tee shot are now the stuff of legend.

By the time he signed for an eight-over final round of 80, to sink from first place to a tie for 15th, there wasn't a right-minded spectator who didn't feel the urge to give him a consoling hug.

A typically stoic interview on the 18th further endeared the youngster to viewers the world over, as he admitted he couldn't put his finger on why he had "unraveled" in such a fashion.

He later said he "wasn't ready to win a major" but just a few months later, he was.

At the very next major, he shot a record low U.S Open score to win at Congressional in Maryland by an emphatic eight shots.

The next year he doubled his major tally, adding the U.S. PGA Championship to his trophy cabinet, but you get the feeling he won't be content until his redemption at Augusta is complete.

The Asian invasion

Adam Scott became the first Australian to win the Masters last year but how long will it be before the first Asian winner of golf's most prestigious prize?

Last year's tournament was abuzz with the sight of China's Guan Tianlang striding the famous fairways at the tender age of 14, and winning the low amateur medal.

The child prodigy represents a burgeoning talent pool in Asia, seeking to build on the breakthrough success made by Y.E. Yang at the 2009 U.S. PGA Championship.

Not only did the Korean serve notice of Asia's arrival at the top table of golf, he did it by beating the greatest golfer of a generation -- Tiger Woods.

The highest-ranked Asian player is Japan's Hideki Matsuyama, who sits 26th in the world list on only his second year on the PGA Tour.

Matsuyama won the leading amateur prize on his Augusta debut as a 19-year-old in 2011 and already has a top-five finish on this season's PGA Tour.

His compatriot Ryo Ishikawa has a top-10 place to his name this season despite languishing in the lower reaches of the top 100, while Korean veteran K.J. Choi has been a longstanding representative of Asia at the top level.

Another one to watch is Thailand's 51st-ranked Thongchai Jaidee, who has five European Tour titles to his name.

The Great Scott sequel?

The last person to retain the Masters crown was -- yep, you guessed it -- Woods back in 2002 but could Scott be about to double Australia's tally of wins at Augusta?

No-one is ranked higher than the 33-year-old going into the tournament. In fact, only a poor final round at the Arnold Palmer Invitational in March prevented him from returning to Georgia as world No. 1.

He spoke on Tuesday of the privileges afforded to a Masters champion -- playing the course with his father Phil and hanging out in the champions' locker room.

And after an arduous few years trying to land his maiden major, with his slump a the British Open in 2012 a particularly bitter pill to swallow, Scott's game has been freed up after last year's win.

"It has been incredible to see the reception I get every week I play since being a Masters champion," he said in his press conference. "It has been a real buzz for me to be welcomed at all the golf courses I'm at.

"This week has been something I have been really looking forward to. But as the last week came around, I also realized it would be time for me to bring the green jacket back and leave it here maybe.

"So that motivated me to work harder that last week at home and try and get myself into some kind of form that can maybe go back-to-back and keep the jacket for another year."

A European 2014?

The last European to don the famous green jacket was Jose Maria Olazabal in 1999.

It was the second time the Spaniard had triumphed at Augusta, having won the Masters in 1994.

Arguably the third leg of a hat-trick of Olazabal's career highlights also came on American soil, when he masterminded what will forever be known as the "Miracle of Medinah" when serving as Europe's Ryder Cup captain.

Trailing 10-6 going into the final day of singles matches in the Ryder Cup clash between Europe and the United States, Olazabal's men pulled off one of the greatest sporting comebacks of all time to eventually triumph 14Â½ points to 13Â½.

The U.S. team, led this time by veteran Tom Watson, are plotting their revenge ahead of the next clash in Scotland in October, but what better way to lay down a marker than for a European to end the continent's 14-year drought at Augusta?

There are four European players in the world's top 10 and two of them -- England's Justin Rose and McIlroy -- are already major champions.

Sweden's Henrik Stenson won both the PGA Tour's FedEx Cup and the European Tour's Race to Dubai last year, while Sergio Garcia has finished in the top five in all four major championships during his career.

Don't be surprised if Europe marches off with another major honor come Sunday.

And finally .... The Tiger factor

He might not be playing but that doesn't mean Woods won't still be a talking point in Masters week.

Whether it is clips of his famous chip-in back in 2005, or reams of column inches detailing his four Masters wins, Tiger's absence certainly doesn't mean he'll be absent from the debate.

And of course, once the green jacket has been placed on the shoulders of the winner, a popular refrain might be "What if Tiger had been playing?"

@highlight

CNN World Sport takes a look at six potential storylines ahead of the 2014 Masters

@highlight

Rory McIlroy and Adam Scott dominate most of the buildup to Augusta tournament

@highlight

Could the season's first golf major throw up the Masters' first Asian winner?

@highlight

Masters runs from April 10-14 at world famous Augusta National Golf Club