San Diego (CNN) -- Did you ever wonder why Charlie Brown kept charging at the football, despite the fact that Lucy always pulled it away and he wound up flat on his back? You would think that experience has made him skeptical. It's because he really wanted to believe that, this time, things would work out. And when you really want to believe in something, you have a short memory when it comes to past disappointments.

That's how it is with many Latinos and other immigration reform advocates. They want President Obama to become the person they voted for -- who promised Latinos that he would fix a broken immigration system, stop dividing families, and push through Congress a Dream Act-like legislation that would give undocumented young people a pathway to legal status if they go to college or join the military.

None of that happened, and so Latinos -- who, in 2008, voted overwhelmingly for Obama -- are ambivalent about the president's re-election.

Something had to be done to convince Latinos that the president is on their side.

Today, something was done. Or rather, something was promised. The Obama administration announced that it would stop deporting younger illegal immigrants who came to the United States as children -- provided they meet certain conditions -- and begin granting work permits to them.

Illegal immigrants will supposedly benefit from the new policy if they were brought to the United States before they turned 16, if they are 30 or younger, if they have lived in the country for at least five years, if they have no criminal record and if they attend or graduated from a U.S. high school, or have served in the military.

The policy change could affect as many as 800,000 immigrants -- so-called DREAM'ers -- who would have benefited from the DREAM Act had it not been blocked by Congress. These people have been living in fear of being deported by the same administration that is now offering the pardon.

Confused? Just wait. It gets better. We've only just begun to make our way down this rabbit hole.

The administration is obviously trying to "checkmate" a nearly identical proposal floated by Republican Sen. Marco Rubio of Florida, which reportedly would also stop DREAM'ers from being deported and issue them work permits. The Rubio plan would not offer a pathway to citizenship. About this omission, the left was incensed. But Obama isn't offering a pathway to citizenship either, and yet many in the left couldn't be happier. Where is the consistency?

Then there is the inconvenient fact that we're not supposed to even need this kind of policy change because, according to Obama, his administration isn't deporting DREAM'ers at all; instead, it's concentrating its enforcement efforts on criminals. That's exactly what Obama told Univision anchor Jorge Ramos during a March 2011 trip to El Salvador. A couple of weeks later, Obama had to swallow those words when -- during an education town hall meeting in Washington, sponsored by Univision -- he was confronted by a DREAM'er holding deportation papers. So now we're supposed to applaud the administration for not deporting people the president had claimed weren't being deported in the first place.

Of course, the administration is deporting DREAM'ers, along with gardeners, housekeepers, nannies and ice cream vendors who represent no threat to public safety. It's a waste of time for officials to deny that.

Just this week, I wrote in my CNN.com column about another one of Obama's broken promises. The administration pledged to use prosecutorial discretion to free from deportation proceedings individuals who had been in the country for a number of years, had U.S.-born children, or were otherwise rooted in the United States. That included DREAM'ers. So far, the promise hasn't amounted to much of anything.

I expect a similar outcome with DREAM'ers. Some of them may benefit from Obama's new initiative, but many probably won't. That's because the idea behind the DREAM Act -- trading legal status for college attendance or military service -- is still unpopular with most voters in this country. The administration has no interest in antagonizing a wide portion of the electorate in an election year.

It doesn't matter anyway, at least not to the president. All he cares about is his bid for re-election, and whether this latest stunt helps improve the turnout of Latino voters. It might. People get fooled, especially if they're not paying attention. In fact, I've realized that Obama's immigration record is most impressive to those who follow it least closely. In other words, the closer you follow the record, the less impressive it seems.

Overheard on CNN.com: Decision to defer some deportations symbolic

In the words of Ronald Reagan, the last president to actually grant an amnesty to illegal immigrants and not just talk about it, Latino voters, immigrant advocates and the DREAM'ers themselves should -- in response to this latest promise -- "trust, but verify." And, given the administration's record, they can skip the first part.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Obama administration says it will stop deporting young illegal immigrants

@highlight

Ruben Navarrette: This is a stunt to help improve Obama's chance with Latino voters

@highlight

He says some DREAM'ers may benefit from Obama's initiative, but many probably won't

@highlight

Navarrette: Obama's immigration record is most impressive to those who follow it least closely