(CNN) -- Racist abuse, fan violence, attacks on players -- on the face of it, English football seems to be experiencing a return to the dark days that led to its clubs being banned from Europe in the 1980s.

One respected English newspaper declared the sport to be "toxic" and "spinning out of control" following Sunday's tumultuous Manchester derby.

"Disturbing ... deplorable ... unacceptable" was how Football Association chairman David Bernstein described the pitch invasion, coin throwing, allegations of racist abuse and 13 arrests made during and after United's 3-2 victory at City.

That the Premier League's two leading clubs could be involved in such a poor advert for one of the world's most popular and lucrative sporting competitions has led many to question its leaders.

The headlines point to a descent back down the slippery slope that resulted in the 1989 Hillsborough and 1985 Heysel stadium tragedies. The latter occurred when fighting fans at the European Cup final caused a crush that killed 39 supporters of Italian club Juventus.

English team Liverpool was also involved at Hillsborough, where 96 people died during an FA Cup match -- an independent review this year found that the fatal crush was caused by the way British police penned rival fans into small enclosures as part of its anti-hooliganism strategy.

But there is another view to counter this week's media hysteria -- namely that football is only now facing up to realities deep at the heart of its foundations to which society has turned a blind eye for years.

What's more, this could be a vital turning-point in trying to eradicate behavior that would not be tolerated in everyday life.

"Previously there were behaviors that we have just passed off as 'Ah, that's football,' " said Clarke Carlisle, chairman of the English Professional Footballers' Association.

"Aggressive behavior in crowds, aggressive chanting, throwing things onto the pitch, certain levels of abuse -- people have been all too happy to say 'It's at a football match,' " he told CNN.

"Now the tolerance levels for behavior like that are coming right down. That's why we're seeing increased numbers of incidents reported, of fans making monkey gestures in isolation, small numbers of people throwing things on the pitch.

"It has been happening for a while but now we are clamping down on these anti-social behaviors."

Arrests at Premier League matches actually dropped by 30% last season, but conversely the numbers for race-related transgressions have been steadily rising.

The world is watching

The images of blood dripping from the face of Rio Ferdinand after the former England captain was hit by a coin thrown from the crowd on Sunday, and then of the Manchester United defender being confronted by a pitch-invading City fan -- all broadcast worldwide -- have been a lightning rod for criticism after a year of damaging controversies both in the Premier League and the lower divisions.

But Carlisle, a former top-flight player now plying his trade in the fourth tier, believes it has just highlighted something that has been a regular occurrence for years.

"There have been many televised games where guys go to take corners and you see projectiles coming onto the pitch, but it's only on a rare occasion that they actually hit someone," said the 33-year-old, who in a television documentary explored the racist abuse his father suffered as a black player in a semi-pro English league.

"There's been a shift in people's acceptance of these behaviors," said Clarke.

"We're expecting people to behave far more reasonably at football matches, we are expecting the football authorities to take control of the situation with all the technology they have available, and we are expecting repercussions for those behaviors, for people to be accountable whether it's a player, a referee, club official or a fan."

Moral vacuum?

However, there is a growing perception in Britain that those in power are not doing enough -- despite strongly worded statements by the likes of Bernstein.

Herman Ouseley, chairman of the anti-racism group Kick It Out, has criticized the FA and the Premier League in their handling of the John Terry/Luis Suarez cases in the past year, labeling it "12 months wasted in hypocrisy."

Terry lost the England captaincy before being cleared in court in July of racially abusing an opponent, but was then banned for four matches by the FA almost a year after the original incident.

"There is very little morality in football among the top clubs," Ouseley told British newspaper the Guardian.

"Leadership is so important; you have to send a powerful message that racism is completely unacceptable. But there is a moral vacuum.

"The big clubs look after their players as assets. There was no bold attitude from them, to say that they would not put up with it."

CNN asked the FA to respond to these accusations, but was told the ruling body would make no further comment on the Terry/Suarez cases.

Clarke agrees that clubs should not just look out for their own short-term interests.

"There has to be individual responsibility and accountability at the football clubs for the behavior of their employees," he said.

"There's an element of responsibility that needs to be addressed. The FA's sanctions for players, for entry-level discrimination, need to be far sterner."

The FA has said it will review its sanctions, but no changes can be implemented until the start of next season. Clarke's PFA said on Twitter this week that it had agreed to an FA proposal of five-match bans for racial abuse.

Growing problem?

The Manchester incidents completely overshadowed Saturday's events at another EPL game hosted by Swansea, where a man was arrested and charged after Norwich defender Sebastien Bassong complained of being racially abused.

Norwich revealed later that police are investigating four cases of racial attacks on the Cameroon international in the past fortnight, three of them on social networking website Twitter.

Coming soon after two West Ham fans were arrested for alleged anti-Semitic abuse of Tottenham supporters last month, and several other troubling incidents this season, it doesn't paint a healthy picture of English football --- but shows the size of the challenge faced by the authorities.

Clarke said the question of suitable punishments requires an all-inclusive approach.

"It's easy for me to say a fan should get 'X' punishment, just as it's easy for a fan to say a player should get 'Y,' " he said.

"If we have some kind of consultation across the board to establish acceptable parameters or unacceptable behavior then we will be seen to be putting something into place that everyone has had an input in."

Guidelines needed

The FA is working with the British government to work out ways of dealing with football's problems, and Clarke says this will only be effective if there is a clear set of guidelines laid down for all areas of the game.

"The biggest change we need in football is some kind of protocol for issues that have come to pass over the past year," he said, when asked about club managers such as Kenny Dalglish and Andre Villas-Boas publicly defending their players Luis Suarez and John Terry while racism investigations were ongoing.

"We haven't got any definitive outlines on what should happen when there are incidents of discrimination, especially racial abuse. It's very much a gray area. The defenses go up at the club, they have their own brand and their own assets to protect.

"This is all before official investigation and procedure is taking place to ascertain whether that is valid support of the player or club. I think the first thing we need to do is to have a protocol where everyone knows exactly what should happen in these incidents, exactly what behaviors are expected of the people involved, of the club employees and of the press, as well."

He said the incident involving referee Mark Clattenburg, who was accused of racially abusing a Chelsea player before being cleared, showed both the improvements football has made and yet how far it still has to go.

"Procedurally it was a real step forward: something was claimed, it was reported, it was investigated and conclusion was drawn. I think that was outstanding, it was done promptly as well," he said.

"But because the whole issue went into the press and speculative domain instantly, there were questions that were being proffered and answered that people didn't really have the grounds to answer.

"A lot of speculation was drawn and it's possible and plausible that Mark Clattenburg's character had been tainted on the back of that. I believe we need a definitive outline on the protocol in such incidents."

Cultural differences

It has emerged that the FA is considering cultural lessons for foreign players in order to prevent a repeat of the Suarez-Patrice Evra case last season, where the Liverpool striker was banned eight matches for constantly taunting the Manchester United defender with the term "negrito" during a match.

Liverpool's lawyers argued that it was an acceptable, and often affectionate, term in Suarez's native Uruguay -- but the FA ruled that it had much more negative connotations in Britain.

"There is very much a line of thought that we expect people to know what the levels of acceptability and tolerance are over here when it comes to abuse, discrimination etc. I don't think we should do that," Clarke said.

"There shouldn't be any gray areas. If we're expecting people to adhere to certain values and a disciplinary schedule then it's our duty to ensure they know what those values are. It's an excellent idea to get rid of any ambiguities for players coming from overseas who may not be familiar with our values."

A new era?

Ouseley, the first black person to lead Britain's Commission for Racial Equality, is planning to stand down from his role on the FA Council, according to the Guardian.

The 67-year-old has been frustrated by an apparent lack of progress by the ruling body. He would be "a big loss" to football's anti-racism cause, Clarke said.

"But that opens the door for somebody else to fill that space. His experience will definitely be a loss, but it doesn't have to be a loss to the initiative -- the ideals and the ethos can still be carried forward. It's an opportunity for the FA to carry on their diversity principles."

@highlight

English football's ruling bodies face criticism after increase in bad behavior by fans

@highlight

Violence during Sunday's Manchester derby has sparked fury in British media

@highlight

Players' union chairman denies claims that the problems are getting worse

@highlight

He says it is more a sign that society is finally not accepting such behaviors