A New York Times report on the September 11, 2012, attack that killed four Americans -- including Ambassador J. Christopher Stevens -- in Benghazi, Libya, calls into question much of what Republicans accusing the Obama administration of a cover-up have said about the incident.

The three main points of contention have been whether the attack was planned, whether it was sparked by an anti-Muslim video, and whether al Qaeda was involved.

However, the Times says, the administration's version, focusing on outrage over the inflammatory video, and first delivered by then-ambassador to the U.N. Susan Rice on Sunday morning talk shows five days later, isn't exactly right, either.

"The reality in Benghazi was different, and murkier, than either of those story lines suggests. Benghazi was not infiltrated by Al Qaeda, but nonetheless contained grave local threats to American interests. The attack does not appear to have been meticulously planned, but neither was it spontaneous or without warning signs," according to David D. Kirkpatrick's article in the Times.

It's a conclusion that CNN has drawn in its previous reporting.

The attack at the Benghazi diplomatic compound has become a political flashpoint in a long-running battle between the White House and Republicans, who accuse the Obama administration of not bolstering security before the attack, of botching the response to it and of misleading the public for political gain less than two months before the November election.

The GOP suggests the administration removed specific terror references and stuck to the explanation advanced by Rice -- later proved untrue -- that the attack was the result of spontaneous demonstrations over the U.S.-produced film "Innocence of Muslims," which contained scenes some Muslims considered blasphemous.

The White House and its allies in Congress have said any confusion and conflicting information in the early hours and days after the assault stemmed from the "fog of war," not any deliberate effort to mislead the public.

The White House had no comment when CNN requested a response to the Times article.

After reading it, Obama's former national security spokesman Tommy Vietor unleashed a series of tweets, including these, condemning Republicans who've spent more than a year lambasting and investigating the Beghazi incident:

-- "If Rs spent 1/50th as much time as @ddknyt learning what really happened in #Benhazi, we could have avoided months of disgusting demagoguery."

-- "Republicans inflated the role of al Qaeda in #Bengazi to attack Obama's CT record. They were wrong, and handed our enemy a propaganda win."

-- "Credit to @ddknyt but also disconcerting that his #Benghazi article offered more insight into what happened than all Congressional hearings."

The Times' article, which includes interviews with several Libyan militia leaders who helped bring down Col. Moammar Gadhafi's dictatorship in 2012, says no evidence supports speculation about al Qaeda's involvement in the Benghazi attack. To the contrary, the Times reports that the diverse and fractured opposition militias, many of whom were at least somewhat friendly toward U.S. interests, most likely contributed to the attack.

That dovetails with the findings of the State Department investigative panel report on Benghazi.

"The Benghazi attacks also took place in a context in which the global terrorism threat as most often represented by al Qaeda (AQ) is fragmenting and increasingly devolving to local affiliates and other actors who share many of AQ's aims, including violent anti-Americanism, without necessarily being organized or operated under direct AQ command and control," the report said.

The Times report zeroes in on militia leader Abu Khattala as well as the like-minded Islamist militia Ansar al Sharia.

In a recent interview with CNN's Arwa Damon, Khattala acknowledged being at the Benghazi mission after the attack but denied any involvement.

Damon spent two hours interviewing Khattala at a coffee shop at a well-known hotel in Benghazi. He allowed Damon to use an audio recorder to tape the conversation, but refused to appear on camera.

Khattala's narrative of the events that night was sometimes unclear and, at times, seemed to be contradictory, Damon said.

He admitted to being at the compound the night of the attack, but denied any involvement in the violence.

Asked about allegations he may have masterminded the attack, Khattala and two of the men he brought with him to the interview "burst out laughing," Damon said.

Khattala told CNN that he had not been questioned by either Libyan authorities or the FBI.

The militia leader was one of those whom U.S. prosecutors charged in the attacks, as CNN first reported.

Ansar al Sharia is more a label than an organization, one that's been adopted by conservative Salafist groups across the Arab world. The name means, simply, "Partisans of Islamic Law."

In Benghazi, Ansar al Sharia was one of many groups that filled the vacuum of authority following the overthrow of Gadhafi.

The group's central belief is that all authority is derived from the Prophet Mohammed, that democracy is un-Islamic and that other branches of Islam, such as the Sufi, are heretical.

There do not appear to be organizational links between Ansar al Sharia and al Qaeda, but there is solidarity.

Among the group's Benghazi membership is Mohammed al-Zahawi, who fought to overthrow Gadhafi and praised al Qaeda leader Ayman al Zawahiri in a BBC interview. He said al Qaeda's statements "help galvanize the Muslim nation, maintain its dignity and pride."

A different Ansar al Sharia is affiliated with al Qaeda in the Arabian Peninsula in Yemen, and budding franchises are said to exist in Tunisia, Morocco and Egypt.

@highlight

New York Times article says competing storylines about 2012 Benghazi attack likely are both wrong

@highlight

The report says contrary to GOP assertions, al Qaeda was probably not involved in the attack

@highlight

The article suggests independent Libyan militias played a key role instead

@highlight

Report: Anti-Muslim video may have sparked the violence, but not solely, as suggested by Obama administration