The crash of a small plane in Nashville appears to be a familiar story: A pilot not authorized to fly in foul weather meanders into a foggy soup and tries to land.

Things go wrong. The plane crashes. The pilot is killed.

But in other respects, Tuesday's crash is anything but ordinary. The doomed Canadian pilot flies to a major airport apparently without radioing controllers. And when the plane crashes just off a main runway, erupting in fire, the crash goes undetected.

By anyone. Likely for hours.

On Wednesday, the National Transportation Safety Board painted some broad outlines to an accident picture that is begging for specific details.

NTSB investigator Jay Neylon said the NTSB is focusing on a seven-hour window in which the Cessna 172R crashed along runway 2C at Nashville International Airport.

The crash, he said, occurred sometime between 2 a.m. -- when an airport worker conducted a routine runway check  -- and 8:45 a.m. -- when a taxiing aircraft reported seeing "debris on the runway."  Rescue workers were dispatched and found the plane's sole occupant dead amid the fire-scarred wreckage.

"At this point we have no idea the exact time (of the crash)," Neylon said.

Neylon said the safety board had not yet determined whether the pilot attempted to contact air traffic controllers.

"We will look at everything in the investigation, and that does include air traffic control," he said.

The pilot was Michael Callan, according to a source at the Ontario-based Windsor Flying Club, which owns the plane. The source spoke on condition of anonymity.

The club previously said the pilot was a club member who rented the plane and planned to return it the next day.

The accident is "certainly a little unusual, to say the least," said Bruce Landsberg, president of the AOPA Foundation and Air Safety Institute.

"To have an airplane, even a small airplane, crash at a major airport and go unnoticed for quite a while does seem unusual," said Tom Haueter, former director of the NTSB's Office of Accident Investigation.

Both men say the dense fog, which may have contributed to the crash, likely prevented controllers from seeing the incident. The control tower is roughly one mile from the end of Runway 2C, the crash site.

But they said the crash raises intriguing questions about the actions of the pilot and controllers.

"My biggest question is Why? Why was the pilot there? Why wasn't he talking to anybody?" said Landsberg. Aircraft are required to communicate with controllers when entering controlled airspace.

Haueter echoed that thought.

"Whether it's day or night, when you're approaching an airport of this size and density, you have to start contacting controllers well in advance, usually from about 25 miles out... to let them know you're arriving," Haueter said.

If the pilot was unfamiliar with Nashville airport's frequencies, he could have used a universal frequency to contact controllers, Landsberg said.

Both men speculated that the pilot could have strayed into foul weather and been too preoccupied with flying the plane to contact the tower.

The Federal Aviation Administration said the tower had normal staffing early Tuesday, but it declined to specify the number of controllers on duty.

Landsberg and Haueter said the accident also raises questions about the air traffic controllers.

"How did the airplane get to the airport without the controller saying, 'Hey what is this guy doing out there?'" Landsberg said.

Said Haueter: "Certainly this is an airport that has very good facilities. It has radar; it has lots of capabilities and how an aircraft could approach, possibly circle, we're hearing, then crash short of the runway, unnoticed for so long, does raise some questions."

David Gillies, president of Windsor Flying Club, said the pilot, who was unaccompanied, rented the club plane for an overnight trip. "It is not usual for this individual to rent an airplane overnight," he said.

The pilot was certified to fly under "visual flight rules," allowing him to fly in fair weather, and was qualified to fly at night. But the pilot did not have an instrument rating allowing him to fly into weather systems, Gillies said.

Gillies said Nashville airport officials told him the pilot "circled" over the airport "for some time" and that the plane crashed while trying to land about 2:30 a.m. "They've indicated to us that they have tapes of him circling and that the time of his demise was about 2:30," he said.

Airport officials have declined to discuss the accident in detail, citing the NTSB investigation.

The Metropolitan Nashville Airport Authority, in a statement, said "the time of the crash has not been determined and reports to the contrary are not factual.  These facts will be determined as part of the NTSB investigation."

On Wednesday, the NTSB surveyed the crash site, investigator Neylon said. He plans to examine air traffic control tapes and radar soon.  And the NTSB will examine the pilot's flight records and interview his instructors.

The investigation, Neylon said, is in the early stages, and it may take a year before the board determines a probable cause.

Asked whether this wreck was anomalous, Neylon said, "Every accident's unusual."

Southwest plane returns to Nashville after striking birds

@highlight

Investigator says plane crashed some time after 2 a.m., wasn't noticed until 8:45 a.m.

@highlight

Pilot may not have been in contact with control tower

@highlight

NTSB: Single-engine Cessna crashed unnoticed at Nashville International Airport

@highlight

There was a dense fog the night of the crash, but investigators unsure if it was factor