HANCOCK, Massachusetts (CNN) -- Imagine climbing 276 steps to change a light bulb. That's all in a day's work for Rian Harford.

The Zephyr wind turbine towers over Jiminy Peak Mountain Resort in Massachusetts.

He's a mountain operations mechanic at Jiminy Peak Mountain Resort. And that light bulb isn't just a regular light bulb. It belongs inside an air-traffic warning light that sits 253 feet high upon a wind turbine.

Jiminy Peak, in Hancock, Massachusetts, touts itself as the first ski resort in North America to feature such a structure.

The idea to build the turbine came to company president and CEO Brian Fairbank after years of struggling with the astronomical cost of making snow.

"Somebody suggested we take advantage of the wind. You use the energy the most in the winter," Fairbank said. "That's when the wind blows the most."

But such a simple concept wasn't so easy to execute. It took more than three years to take the idea from conception to fruition.  Watch what it's like on top of the giant turbine »

Before even placing an order for a turbine, the resort had to study everything from Federal Aviation Administration regulations to the structure's effect on airplanes, birds and endangered species.

Once everything fell into place, Jiminy Peak was tasked to get 500 tons of parts and equipment up the mountain, via a two-mile-long gravel road.

"Once we got everything to the top of mountain, putting it together only took a couple days, but getting it up there was the biggest challenge," Fairbank said.

In fall 2007, the $4 million project was complete. The turbine is nicknamed Zephyr, after the Greek god of the west wind. And Zephyr isn't afraid to make its presence known.

The tower is more than 250 feet tall. The hub adds 10 feet, and the blades extend an additional 123 feet, creating a 386-foot green machine.

Zephyr works its magic to produce about a third of Jiminy Peak's electric needs, shaving $450,000 a year from the resort's energy bill. To put that in perspective, the energy from the turbine is enough to power more than 600 homes.

And Zephyr's power doesn't stop there. It has also drawn the interest of many visitors. Louise Pinho did her homework to find out how effective the wind turbine really is.

"When you read about what it's able to do for the resort, that it can take up to 33 percent off of their bills, then you realize that there is more of a need for this," Pinho said. "With what's going on right now, we have to have some alternatives to our energy sources that we have available to us."

But Pinho isn't blind to Zephyr's visual and environmental drawbacks. Studies show that wind turbines destroy the habitat that many animals live in. Bats, which play a large role in consuming insects and pests, are an example of a species that's most affected.

According to Thomas Kunz, a biology professor at Boston University, these bats aren't necessarily being struck by the blades of a wind turbine. Their bodies are affected by a low-pressure system caused when the blades move through the air.

"They die from hemorrhaging," Kunz says. In areas close to wind turbines, "80 percent of the bats that we know about today are killed in that fashion."

Kunz says that specifically, migrating bats seem to be more affected, mainly during their fall migration, which lasts from late summer to early autumn.

At Jiminy Peak Mountain Resort, the turbine produces electricity year round, but more than 60 percent of its output takes place in the winter months.

Regardless, Fairbank is no stranger to negative feedback. Some people in the community didn't want the turbine to obstruct their view of the mountains.

But he says that only a small part of the community complains. In fact, some neighbors reap Zephyr's benefit. In the summer, when the resort's demands are lower, Zephyr's electricity trickles downhill to power local homes and businesses.

"So all those communities become green when we're not using the power," Fairbank said.

And when it comes to being green, this Massachusetts resort isn't new to the game. Since 1985, the company has implemented various environmentally friendly practices. From recycling motor oil to heat lodges to installing waterless urinals, Fairbank says, the business is always looking for ways to conserve.

And that may be paying off. In a time when many businesses are closing their doors, Fairbank said, "we're 12 percent ahead of our best year ever."

@highlight

Jiminy Peak bills itself as first North American ski resort with wind turbine

@highlight

Ski resort's turbine shaves $450,000 a year from energy bill

@highlight

Turbine produces enough power for more than 600 homes

@highlight

Boston professor warns that wind turbines kill bats that help ecosystem