(CNN) -- Miranda Lynch believes a vegetable garden has the power to revolutionize a community.

It's the idea behind of Isipho, the nonprofit organization Lynch conceived when she was just 12 years old. It all started in 2008 when her father, Tom, won a trip to South Africa at an auction.

The father-daughter adventure began with a stay on a wild game reserve in KwaZulu-Natal. Assuming it would be the only time he and his daughter would set foot in South Africa, Tom wanted Miranda to see more than the commercialized landscape of the reserve.

"It was important, as she was turning 13 that year, for her to see that the world that she knew was not the entire world," Tom says.

So they drove through the foothills of the Drakensberg Mountains, about 10 miles past where the tar road ended and into a remote Zulu village, where they had arranged to stay with local family.

Confronting reality in South Africa

On the side of a hill overlooking a sparse but picturesque valley sit a few hundred round mud huts that comprise the village of Inzinga.

"The thatched roofs just looked so pretty up on this hillside but as you get closer and closer you start to see the condition that they're in ... and as you get closer and closer you just see the poverty," Tom says.

When the Lynches arrived they were greeted by their hosts, the three Zuma sisters, and immediately went to work chopping wood and helping prepare dinner.

"I was completely overwhelmed and I wanted to leave. That night I told my dad I just couldn't take it and I wanted to leave and I was crying," Miranda says.

But they chose to stay. The next day, while Tom was helping the caregivers from a local crÃ¨che plant potatoes, Miranda stayed inside to play with the children.

"It was exactly like playing with kids here because 2- and 3-year-olds don't speak English well in the first place. They love the same things. They just want to play. They just want to have fun. They want to explore," Miranda says. "I just connected with these 2- and 3-year-old babies."

During their five-day stay, Tom and Miranda attended a wedding, helped in the schools and worked side by side with women in the garden as they tilled the soil with old tree branches and metal scraps.

"When it was time to leave, I cried again, but this time it was because I didn't want to leave. I wanted to be able to come back. I didn't want to leave and not know what happened to my friends and family there," Miranda says.

While waiting for their flight home, Miranda looked up at her father and with the bold naiveness of a preteen suggested they start a nonprofit to help the village and the children she had grown to love.

"Literally we were sitting in the airport about to come home, and we decided to name the nonprofit Isipho, which was my nickname in the village, which means gift," Miranda says. "And we registered the domain name and called my mom and told her were doing this."

Growing vegetables and hope

The Lynches have returned to Inzinga every year since, working to break the cycle of poverty by planting school and family gardens.

"Poverty starts with the fact that people just aren't healthy because they don't have the right food to eat. Nobody's starving but they're malnourished," says Tom.

The soil is fertile in Inzinga, but many people can neither afford the supplies nor have the knowledge to cultivate the land. With the help of a local site manager and the South African Department of Environmental Affairs, Isipho provides fencing, seeds, tools and training to families and schools in the community.

As of this planting season, Isipho has helped start gardens at every crÃ¨che, primary school and secondary school in Inzinga. The organization has also helped create about 65 family gardens, and it wants to see that keep growing.

"There is a cooperative that is being formed there from people who were early adopters of our family and school gardens and who have had success and have wanted to do more," Tom says.

The struggle for a sustainable food system in Inzinga is not unique. According to the United Nations Food and Agriculture Organization, the world has the ability to eliminate hunger yet nearly one in seven people suffers from undernourishment.

On World Food Day, celebrated each year on October 16, the Food and Agriculture Organization is highlighting the way cooperatives can help small farmers like those in Inzinga, calling them the "key to feeding the world."

"This theme was chosen to highlight the many concrete ways in which agricultural cooperatives and producer organizations help to provide food security, generate employment and lift people out of poverty," says Food and Agriculture Organization Director-General JosÃ© Graziano da Silva in a statement.

Join the fight against hunger

If you want to join the fight against hunger this World Food Day, there are many ways to get involved.

Volunteer your time or make a donation to help Isipho provide fencing, seeds and know-how to the people of Inzinga, South Africa. The Lynch family says their hope is that Inzinga will become completely self-sustaining and a model for other villages in South Africa.

Give a cow, a camel or a goat to a family in need through Heifer International's Gift Catalog. Heifer International provides animals and training to families and communities worldwide, which gives them a reliable source of food and the potential for extra income.

Share a meal and start a conversation. Oxfam says one billion people go hungry not because of lack of food but a broken food system, so the organization is encouraging people to host a World Food Day Dinner and talk about ways to fix it starting at home. Find conversation starters on the Oxfam website.

Watch a video and help the World Food Programme feed children around the world. For every person who watches Molly's story and learns more about why the fight against hunger is important, a child will receive a school meal.

@highlight

Miranda Lynch started Isipho to fight hunger and poverty in Inzinga, South Africa

@highlight

She came up with the idea after visiting the village with her dad when she was 12

@highlight

Isipho provides fencing, seeds and training so schools and families can plant gardens

@highlight

You can help Isipho and other organizations fight hunger around the world