Arroyo Grande, California (CNN) -- First, an 11-foot wooden cross was stolen from Saint John's Lutheran Church in Arroyo Grande, California.

Then, weeks later, the cross was discovered set aflame in the middle of the night outside the bedroom window of a 19-year-old woman of mixed race.

Now authorities are investigating the case as a theft, arson and hate crime, police said Tuesday. The burning cross was erected in a neighbor's large front yard adjacent to the house rented by the woman and her mother.

The mystery of who stole the cross and set it afire has deeply disturbed the small coastal town of Arroyo Grande, located midway between Los Angeles and San Francisco. It sits in the heart of a wine region, just 47 miles northwest of the vineyards depicted in the movie "Sideways."

Police Chief Steven Annibali told CNN Tuesday that a cross-burning is unheard of for his community of 17,000, and that only three hate crimes have been reported in his town the past 15 years, mostly for uttering slurs. That figure is the lowest for San Luis Obispo County, he said.

With a picturesque mountain backdrop and only about 5.5 square miles in size, Arroyo Grande calls itself "the gem" of the central California coast.

Authorities have announced a $3,500 reward in the case and even established a "Justice for All in Arroyo Grande" fund-raiser to raise that amount.

But an attorney for the alleged victim and her mother has criticized the police investigation.

"The family is trying to go about daily business, but they have ongoing concerns about their security and the direction of the investigation," attorney Louis Koory told CNN on Tuesday.

"For example, if there are known racist elements in the community, it is not clear that the police are looking at these groups. It appears that it would be a logical starting point for an investigation, if there are known racist groups in the community. The first problem is that the police initially treated this as a prank and may have lost the opportunity to conduct an effective investigation," Koory said.

Arroyo Grande police have not released the name of the 19-year-old woman, citing confidentiality provisions under California hate-crime laws.

Annibali, the police chief, said his agency moved quickly over the weekend following the cross burning, which occurred on a Friday, and is now working with the FBI, the California Department of Justice, San Luis Obispo County District Attorney's investigators and the San Luis Obispo County Sheriff's Department. His agency is also working with the Anti-Defamation League and the NAACP, he said.

"It's funny that he would even say that because we have a very good relationship with the victim and the mother from the start," Annibali said about the family's attorney.

"Like with most crimes, you look at who would want to do this, and have you been involved in any activities that would lead someone to do this, or do you know somebody who would," the police chief said.

"I'm very comfortable that we handled this appropriately," he continued. "We have been given access to any resources that the FBI has. And for a local agency like this, it's unprecedented."

Annibali said police never called the cross-burning a "prank," saying that word was misattributed by local media.

Agencies are now pursuing several leads, and he believes the cross-burning isn't the work of an organized hate group, he said.

"We feel right now that it's people who are local. We don't think it's an organized group or anything like that. It's bloggers who want to raise that issue," the chief said. "There's no active hate groups in Arroyo Grande, none that we're aware of. We're working with the FBI, so we're pretty confident."

Arroyo Grande police submitted physical evidence from the cross-burning scene to an independent crime lab for forensic analysis, authorities said. Authorities are also analyzing an "accelerant" used on the cross, Annibali said.

In an interview with CNN at her home, the mother said she and her daughter looked out their window after midnight March 18 and were horrified by the sight of a burning cross just 12 feet from their house.

"We were just blindsided. My daughter does not have a beef with anyone. We were both terrified. My daughter had a friend over and we looked out the window and there it was, a huge burning cross," the mother said.

"We are just trying to maintain normalcy. We would like to see whoever did this caught," the mother said.

She added that her daughter "is doing better now -- I bought her a puppy. She can give some love instead of all that hate and anger."

The cross was stolen from the grounds of Saint John's Lutheran Church between February 5 and March 5, police said. The exact date is uncertain because church members weren't aware of the theft for a month, police said. The cross is ceremonial and wasn't an architectural fixture on the church, police said.

At 12:30 a.m. on March 18, local police and firefighters were called about the cross-burning. By the time they arrived, they found large pieces of charred wood in the wet grass, still burning with about 5 inches of flame, police said.

Randy Ouimette, pastor of the church where the cross was stolen, said he was disturbed that "a cross which is revered and gives hope was used to put fear into this family and disgust into the community."

"First, the cross in Roman times became this symbol of crucifixion, punishment and awful death. Then it became the symbol of resurrection, renewal, the symbol of Jesus Christ of reconciliation, peace and hope. Now to see it used as a symbol of hate, intolerance and rejection is a misuse and desecration," Ouimette told CNN.

The cross, which was hollow and made of different types of wood, had been used in a local production of "Jesus Christ Superstar" in the community theater, Ouimette said. It was often brought to the beach on Easter mornings and adorned with bright flowers, Ouimette said.

Many in the community are outraged at the incident. The Rev. Stephanie Raphael, president of the San Luis Obispo County Ministerial Association, said the group's 35 religious leaders representing Christians, Jews, Muslims, Buddhists and others, signed a letter to the San Luis Obispo Tribune condemning the incident.

"Catching someone is less important to me as people coming to grips with the fact that we do not live up to all the ideals of our democracy here in America," Raphael told CNN.

"Even in a wonderful place like Arroyo Grande, bad things happen. I think that that is why some people in Arroyo Grande had such a hard time dealing with this: They did not think a cross-burning could happen in their city," she said.

"But I think the good thing is that people are talking about this, discussing this, people of all faiths engaging in dialogue about what happened. I think that is very healthy."

The police chief described his community as "one of the best secret places in California to be."

"It's not what I would describe as a heavily multicultural community. It's heavily white, but we do have a number of other cultures represented in the community," Annibali said.

CNN's Paul Vercammen contributed to this report

@highlight

Police in Arroyo Grande, California, are investigating a cross-burning as a hate crime

@highlight

A 19-year-old biracial woman found an 11-foot cross burning outside her bedroom window

@highlight

The police chief defends his investigation from criticism by the victim's family attorney