Jerusalem (CNN) -- It was a different Mitt Romney who arrived in Jerusalem at the weekend. The man who landed on the campaign flight from London was unusually circumspect, even for a candidate not noted for unbridled displays of exuberance and emotion.

But if the Republican front-runner seemed wooden and tense as he stood beside his old friend and onetime professional colleague Benjamin Netanyahu on Sunday, he had his reasons.

The Israel whistle-stop of Romney's current three-nation tour may prove the most crucial to his chances of defeating Barack Obama in November. Republican strategists hope that the policy and press-the-flesh pilgrimage to Jerusalem would help Romney sway the hearts and votes of traditionally Democratic Jews in battleground states.

After a rocky showing in a visit to England, as well as a flap over the scheduling of a fund-raising dinner in the shadow of one of Judaism's most solemn fast days, there was little margin here for error.

More: 'Romneyshambles' after London Olympics gaffe

The visit has also served to illustrate the observation that at some point, all those who spend time in Jerusalem find themselves suspended between the 21st century and the 1st. When his trip was still in the planning stage, events that occurred thousands of years ago had a direct effect on the former governor's schedule, down to his plans for supper.

"Everything was already prepared," began Orly Azoulai, a Washington correspondent for Israel's mass-circulation Yediot Ahronot newspaper, opening a featured magazine spread on the eve of the visit with an account of the fund-raising dinner originally set for Sunday evening.

"The guest list was glamorous and elite, the menu abundant, the tickets a minimum of $50,000, all proceeds to go to the Romney campaign," she wrote. "Only then were the organizers reminded of one small detail -- the dinner was scheduled for Sunday, the Ninth of the (Jewish) month of Av (a fast day marking the anniversary of the destruction of the ancient Holy Temples of Jerusalem) -- so that the wealthy Jewish donors would not be able to participate at all."

Campaign staffers, stung by criticism that they had paid little heed to Jewish sensibilities, maintained that the dinner would, in any case, have taken place after the fast had ended. Taking no chances, however, they moved the meal to a Monday-morning breakfast just before Romney was to leave for a final travel stop in Poland, and took the unusual step of closing the fund-raiser to the press before ultimately reversing course and allowing some reporters to cover his remarks.

More: Romney raises more than $1 million in Jerusalem

If, mindful of the British media frenzy sparked by Romney's having called preparations for the Olympics "disconcerting," Romney campaign officials sought to lower the profile of the Israel visit, their wish has been granted.

Even in Israel Hayom, the mass circulation daily newspaper owned by U.S. billionaire and major Romney donor Sheldon Adelson, a guest at the Jerusalem fundraiser -- the candidate's arrival in Israel was placed on the Sunday paper's page nine. It appeared alongside a report on Barack Obama, one day before the Romney visit, announcing a $70 million allocation for Israeli rocket defense systems and signing a measure to bolster U.S.-Israel security ties.

Nor has the visit stirred a public inured to all but the most apocalyptic of events. At week's end, in the open market of Machaneh Yehuda, downtown Jerusalem's fragrant, teeming buffet of produce and political ferment, neither Romney nor Obama seemed to generate much in the way of affinity or even interest.

"To tell you the truth, neither of them is to my taste," said shopper Avichai Edri, 48, sifting through a bin for the perfect eggplant. By contrast to the current candidates, Edri said, presidents Bill Clinton and George Bush communicated genuine concern and warmth to Israelis.

In the end, he said, "It doesn't really matter who wins in November. I believe that Americans, the American people, will come through for us whenever we are in trouble, and the president will, too. Whoever he is."

More: Romney says Jerusalem is Israel's capital

Even some of those who side with Romney politically are decidedly qualified in their endorsements.

"Among all the sectors of the (American) population which I'm not fond of, I may be least fond of the Republicans," said Avri Gilad, a television and radio host, during his show on Israel Army Radio before Romney arrived.

"Regrettably, though, the Republicans, with all their fouled up personal dealings, view the (world and regional) situation more accurately than do the Democrats, who are much more personable, likable people."

He would much rather choose Obama as a partner for dinner conversation or a trip to the Galapagos Islands, Gilad told his Israel Army Radio audience.

But as a president, "even Mitt Romney the Ridiculous, this cartoon of an American, is preferable to the Obama the Terrific."

@highlight

Romney visited Israel as part of three country tour that also includes Britain and Poland

@highlight

Romney fundraiser attended by American tycoon Sheldon Adelson

@highlight

Burston: Neither Romney nor Obama seem to generate much enthusiasm