Imaginations everywhere have been stoked since Amazon CEO Jeff Bezos announced his company plans to start offering 30-minute deliveries via drone-like "octocopters."

What's not fascinating about a near future in which fleets of whirring sky robots can drop our every impulse buy on our doorstep faster than we can get Chinese delivered? (You know, aside from accidental strayings into restricted air space or the rise of the machines.)

But when Bezos took to "60 Minutes" on Sunday to introduce the world to Amazon Prime Air, his idea prompted more questions than it provided answers.

So how close are we, really, to door-to-door drones becoming a reality? And how would they work?

We reached out to Amazon, where official details are still scarce, and chatted with drone expert Missy Cummings, an associate professor at MIT and one of the Navy's first female fighter pilots. Here's some of what we've been able to piece together on a project that Amazon says is, at the very least, a couple of years away from takeoff.

Could drones really be delivering packages by 2015?

That's what Bezos said is the best possible scenario. But Cummings, a longtime advocate for the commercial use of drones, thinks that's optimistic.

The Federal Aviation Administration needs to sign off on Amazon's flight plans, and Cummings says the agency hasn't been quick to move on the domestic use of drones.

"I think they (Amazon) are stepping out in a typically naive way, (but) maybe they have some secret insight to the FAA that I don't have," she said.

Cummings predicts the company will get approval to start Prime Air in other countries before the United States, but she says that having a retail and technology giant like Amazon pushing for it could speed things up for everyone.

"I don't want anybody to think this is right around the corner," Bezos warned during the "60 Minutes" interview.

How will I know if I'm eligible for a drone visit?

Bezos said the octocopters will have a 10-mile radius. So, it's likely that folks in big cities near Amazon distribution sites would be a lot more likely to qualify than those in more remote areas.

He says they'll initially carry items up to five pounds, which is roughly 86% of all deliveries Amazon makes.

The best Twitter jokes about Amazon's drones

But for even that 10-mile range to work, Amazon better be onto something about battery life that the rest of us don't know. Cummings said drones the size of the octocopters have a battery life of about 30 minutes, and the weight of their cargo could make that even shorter.

What will keep people from shooting them down?

OK, it's perhaps a little off-topic. But every single conversation we've had about the Amazon drones has, at some point, ended up focused on the innate human desire to knock stuff out of the sky, preferably with a loud bang.

Cummings joked about producing a reality show in which marksmen from different states compete to see how many octocopter targets they can bag. At least, we're pretty sure it was a joke.

Perhaps not surprisingly, Amazon doesn't directly address its drones becoming high-tech clay pigeons in a statement about safety.

"The FAA is actively working on rules and an approach for unmanned aerial vehicles that will prioritize public safety. Safety will be our top priority, and our vehicles will be built with multiple redundancies and designed to commercial aviation standards," the statement reads.

But Cummings says it's a real issue.

"It's not just people who hate drones," she said. "It's people who want those packages."

She speculated the drones will need to fly at an altitude of at least 300 feet for as long as possible to avoid attracting pot shots from target shooters or thieves. She also envisions safe "drop spots," at least at first, instead of delivery to any address within range.

"There are lots of details that need to be worked out, but nothing that is technologically overwhelming," she said.

Will the drones work when the weather is bad?

Amazon's official statement doesn't address this obvious question. But Cummings says that to make the drones reliable in most weather conditions, Amazon would need to improve on currently available technology.

"They can fly in some precipitation, but certainly not heavy precipitation," she said. "Sleet or snow ... would obscure some of the sensors. It's hard to make it a really solid business if the weather holds you back. They're going to have to work on that."

What could come next?

Amazon isn't the only company at least toying with the idea of using unmanned aerial vehicles for commercial purposes. Domino's posted video of the "DomiCopter" delivering two pizzas in the United Kingdom earlier this year. In June, the Burrito Bomber, the creation of a couple of engineers from Yelp, demoed its ability to fly that tasty treat to your doorstep as well.

And in Australia, Zookal, a textbook company, is already using drones for deliveries.

Cummings hopes that's all just the beginning. Using drones for beneficial civic or commercial purposes, instead of military actions, is a growing trend.

"Medical supplies, wildlife monitoring, cargo, firefighting -- it's a pretty long list of things that drones can do," she said. "It's reinvigorating a dying aerospace industry."

@highlight

Amazon Prime Air would use unmanned flying vehicles for delivering packages

@highlight

CEO Jeff Bezos says drone deliveries are at least a few years away

@highlight

Drone expert thinks approval will be easier outside the United States

@highlight

Weather, safety and battery life all will have to be addressed