(CNN) -- A third case of Middle East Respiratory Syndrome in the United States has been reported. An unidentified Illinois man was infected after having "extended face-to-face contact" with an Indiana man who was diagnosed with the MERS virus. Fortunately, he is no longer ill.

The rise in the reported number of MERS cases in the United States, Asia and Europe has fueled concern that this may be the big one: the 21st century equivalent of the 1918 influenza pandemic that killed 3% to 5% of the world population.

Concern is appropriate, because the coronavirus responsible for MERS can evolve to become more potent public health threats. However, I don't yet see evidence that will happen.

For one thing, an increase in the number of reported cases is not equivalent to an increase in the number of actual cases. As MERS testing is expanded from people with severe disease to include those with mild disease or only a history of potential exposure, we will detect more cases of infection. The mortality rate associated with infection will decrease from the current estimate of 30%. In short, we don't yet know the extent to which an increase in the reported number of cases only reflects better case ascertainment.

MERS, like 70% of all emerging infectious diseases, including influenza, SARS, HIV/AIDS and ebola, originates in wildlife. With MERS, both bats and camels may be implicated. Studies of camels in Saudi Arabia indicate that the majority have a history of MERS coronavirus infection. Infection appears to occur in early life and then clears. Up to a third of young camels carry this infectious virus. Because camels are born in the spring, there may be an increased amount of virus circulating in camels in spring and summer months. This may contribute to a seasonal spike in the reported number of MERS cases.

Humans may become infected through contact with infected animals, meat or other animal products such as milk. However, pandemic spread cannot occur without efficient human-to-human transmission. The MERS coronavirus grows deep in the human respiratory tract, so it is less likely to be transmitted than viruses that grow in teh nose, mouth or upper airways where a sneeze or a cough is sufficient to create an infectious aerosol.

Hospitalized patients with pneumonia-like MERS receive vigorous respiratory interventions such as intubation, assisted ventilation, drugs that dilate airways and chest percussion. These interventions may bring virus into the environment in aerosols and on the surfaces of medical equipment, resulting in infection of hospital personnel and other patients. Since the MERS coronavirus has been shown to be stable for up to 48 hours, it may be difficult to determine the source of infection as people and equipment circulate in the health care environment.

To date, cases of human-to-human transmission have only been reported in hospitals and in families where there is intimate contact with an infected person. If we notice a change in this pattern such that clusters of infections begin to appear in communities with more casual contact, that would be a strong sign that the virus is evolving to become a pandemic threat.

The MERS cases in new countries are disturbing but not surprising given how globally connected we are. International travel and foot traffic make it easier to spread a virus.

The first two cases reported in the United States, in Indiana and Florida, were health care workers returning from Saudi Arabia. Although a third case has been linked to contact with the Indiana case, I am cautiously optimistic that a cluster of cases will not be triggered.

Nonetheless, vigilance is essential. Saudi Arabia has more than 7 million foreign workers and hosts more than 3 million religious pilgrims annually. If new cases arise they will almost certainly be imported.

The key to an effective pandemic response is to acknowledge that infectious disease challenges are global rather than national. Information and biological samples must be shared freely to facilitate surveillance and the development of diagnostics, drugs and vaccines.

In this spirit, the government of Saudi Arabia has recently invited teams of international experts to join forces in addressing the global challenge of MERS. Although we are focusing on MERS now, the reality is that viruses and antibiotic resistant bacteria with pandemic potential are continuously emerging and re-emerging worldwide.

The recent MERS cases should not trigger an alarm. But if a pandemic happens, it is important we are prepared to combat it.

@highlight

A third case of Middle East Respiratory Syndrome in the U.S. has been reported

@highlight

W. Ian Lipkin: The recent rise of MERS cases should not cause panic

@highlight

He says if we see clusters of infections that would be cause for concern

@highlight

Lipkin: New MERS cases are not surprising given how globally connected we are