Days before he became the first person diagnosed with Ebola on American soil, Thomas Eric Duncan answered "no" to questions about whether he had cared for a patient with the deadly virus.

Before leaving Liberia, Duncan also answered no to a question about whether he had touched the body of someone who died in an area affected by the disease, said Binyah Kesselly, board chairman of the Liberia Airport Authority.

Witnesses say Duncan had been helping Ebola patients in Liberia. Liberian community leader Tugbeh Chieh Tugbeh said Duncan was caring for an Ebola-infected patient at a residence in Paynesville City, just outside Monrovia.

Earlier Thursday, Kesselly told CNN that the authority "will seek to prosecute" if Duncan lied on his health screening questionnaire before leaving West Africa.

Liberian President Ellen Johnson Sirleaf told Canadian public broadcaster CBC on Thursday that she would consult with lawyers to decide what to do with Duncan when he returns home.

"The fact that he knew (he was exposed to the virus) and he left the country is unpardonable, quite frankly," Johnson Sirleaf told CBC. "I just hope that nobody else gets infected."

"With the U.S. doing so much to help us fight Ebola, and again one of our compatriots didn't take due care, and so, he's gone there and ... put some Americans in a state of fear, and put them at some risk, and so I feel very saddened by that and very angry with him, to tell you the truth."

Duncan's family said he hadn't mentioned any exposure to Ebola in Liberia.

His girlfriend says he told her he hadn't been in contact with anyone with Ebola. Wilfred Smallwood, Duncan's half-brother, said Thursday that he doesn't believe Duncan knew he had Ebola when he left Liberia for the United States. But he said it isn't out of the ordinary to come to the assistance of suffering people.

Asked about whether Duncan had contact with Ebola patients, he said, "(it's) what we do in Liberia -- our tradition is to help somebody who needs help."

Ebola reaches U.S.: A tragedy of errors

Complete coverage on Ebola

Screened several times before leaving Liberia

The health questionnaire typically contains questions about the passenger's recent contact with Ebola patients. Passengers also are asked whether they've experienced any symptoms consistent with Ebola, such as vomiting, diarrhea or joint pain, in the past couple of days.

Duncan was screened three times before he boarded his flight in Liberia to Brussels, Kesselly said.

"The first screening was at the gate, before you get to the parking lot. The second time is before you enter the terminal building and the third is before you board the flight. At every point your temperature is scanned."

His temperature at those checkpoints was a consistent 97.3 degrees Fahrenheit, Centers for Disease Control and Prevention chief Thomas Frieden told reporters Thursday. "Basically, he didn't have a fever," Frieden said, noting that the Ebola patient's temperature was taken by a trained CDC health care worker with a thermometer approved by the Food and Drug Administration.

Kesselly said airport authority would seek to prosecute Duncan "if it is determined that he made a false declaration during the health screening questionnaire."

"We cannot make the (Ebola) risk zero until the outbreak is controlled in West Africa," said Frieden. He went on to say that isolating West African countries completely through travel restrictions would make it more difficult to assist in controlling the outbreak, and would eventually put the United States at greater risk.

Family quarantined

Duncan is in serious condition at Texas Health Presbyterian Hospital. So far, no one who had contact with Duncan has shown any indication of having contracted Ebola, Dallas County Judge Clay Jenkins told reporters Thursday.

Smallwood said that when Duncan first visited Texas Health Presbyterian Hospital, neither Duncan nor the hospital knew then that he had Ebola.

This was Duncan's first time in the United States, Smallwood said. The Liberian national was visiting his son and his son's mother in Dallas, Smallwood said.

The partner of Duncan has been quarantined in her Dallas apartment where Duncan became sick with the virus, the woman told CNN's Anderson Cooper. The woman, who asked to be identified only by her first name, Louise, is quarantined with one of her children who is younger than 13 and two nephews in their 20s. The four of them were in the apartment when Duncan became ill, Cooper said.

Louise and her family are in isolation with sheets and towels used by the Ebola-stricken Duncan, Cooper said. Louise did use bleach to clean her apartment, "but it's not clear to me how systematic the cleaning was," he said.

Authorities are working to find "more suitable living arrangements" for the family, Jenkins said.

Up to 100 people being contacted

Health officials are reaching out to as many as 100 people who may have had contact with Duncan, a spokeswoman with the Texas Department of State Health Services said Thursday. These are people who are still being questioned because they may have crossed paths with the patient either at the hospital, at his apartment complex or in the community.

"Out of an abundance of caution, we're starting with this very wide net, including people who have had even brief encounters with the patient or the patient's home," spokeswoman Carrie Williams said. "The number will drop as we focus in on those whose contact may represent a potential risk of infection."

The number of direct contacts who have been identified and are being monitored right now is "more than 12," a federal official told CNN on Thursday. "By the end of the day, we should have a pretty good idea of how many contacts there are," the official said.

Being "monitored" means a public health worker visits twice a day to take the contact's temperature and ask them if they are experiencing any symptoms.

None of the people being monitored has so far shown symptoms. Most are not being quarantined, though Dallas County health officials have ordered four close relatives of the patient to stay home and not have any visitors until at least October 19.

"The family was having some challenges following the directions to stay home, so we're taking every precaution," Texas Department of Health spokeswoman Carrie Williams said about why the state had issued a legal order.

Two things are still spreading in Dallas: fear and frustration.

Some parents are scared to take their kids to the schools that his girlfriend's children attended. Attendance at those schools Thursday was down to about 86% on Thursday, said Mike Miles, superintendent of the Dallas Independent School District.

Custodians are stepping up cleanup work at the schools, he said. "We don't think there's any virus at any of those buildings, but we'll take that off the table, so we're doing extra cleaning and disinfecting," Miles said.

Others are upset at the hospital where Duncan first sought care, which sent him home and raised the possibility he could infect others for at least two additional days.

U.S. President Barack Obama contacted Dallas Mayor Mike Rawlings on Thursday to make sure Dallas was getting the federal resources it needs "to treat the patient safely, and control this case so that it does not spread widely," the White House said.

Your Ebola questions answered

Should Americans worry about getting Ebola?

How Ebola spreads

Hospital: 'Flaw' in electronic records hid travel history

On September 24, four days after he arrived in Dallas from Liberia, Duncan started feeling symptoms. That day is significant because that's when he started being contagious.  Late the following night, he went to Texas Health Presbyterian Hospital Dallas with a low-grade fever and abdominal pain, the hospital said.

Duncan told a nurse he had been in Africa.

But "regretfully, that information was not fully communicated throughout the full team," said Dr. Mark Lester, executive vice president of Texas Health Resources.

Duncan was sent home with painkillers and antibiotics, only to return in worse condition on September 28. That's when he was isolated.

"It was a mistake. They dropped the ball," Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases, said of the miscommunication at the hospital. "You don't want to pile on them, but hopefully this will never happen again. ... The CDC has been vigorously emphasizing the need for a travel history."

Why didn't doctors know Duncan had been to Liberia?

The hospital said Thursday night that a "flaw" in its electronic health records prevented doctors from seeing Duncan's travel history even though he shared it on his first visit to the hospital.

Duncan told a nurse he'd been in Africa, but that information was entered into a document that isn't automatically visible to physicians, Texas Health Presbyterian Hospital Dallas said in a statement Thursday.

After discovering this, the hospital says it has changed the system so doctors and nurses will see travel history documentation.

"We feel that this change will improve the early identification of patients who may be at risk for communicable diseases, including Ebola," the hospital said.

The hospital released a detailed description of what it said was the chain of events when Duncan first came to the hospital on September 25.

"In the interest of transparency, and because we want other U.S. hospitals and providers to learn from our experience, we are, with Mr. Duncan's permission, releasing this information," the hospital said.

Nurses and doctors at the hospital followed protocols, the hospital said.

"When Mr. Duncan was asked if he had been around anyone who had been ill," the statement said, "he said that he had not."

@highlight

"Flaw" in electronic records hid Thomas Eric Duncan's travel history, hospital says

@highlight

Thomas Eric Duncan denied contact with Ebola in Liberia, official says

@highlight

"The fact that he knew and he left the country is unpardonable," Liberia's President says

@highlight

So far there's no sign anyone else in Texas has contracted Ebola, officials say