Washington (CNN) -- Several key U.S. senators on Wednesday tore into private contractors working in Afghanistan for the company formerly known as Blackwater, accusing them of flouting regulations and endangering the U.S. mission.

One of the keys to beating the Taliban in Afghanistan is the ability of U.S. forces to win support from the Afghan people, many of whom do not distinguish between U.S. contractors and the U.S. military, Sen. Carl Levin, D-Michigan, said during a Senate Armed Services Committee hearing.

A top executive at Xe Services, the new name for Blackwater, acknowledged past mistakes on the part of the company's contractors. He asserted in testimony before the committee that the company is now "reformed" and operates "with a different approach."

Levin, the chairman of the Armed Services Committee, said that if the United States is going to win the war in Afghanistan, "we need to know that our contractor personnel are adequately screened, supervised, and held accountable -- because in the end the Afghan people will hold us responsible for their actions."

He also warned that "if we don't fix the problems of oversight and make sure contractors like Blackwater play by the rules and live up to their commitments -- we'll be doing a disservice to our troops by making their already difficult and dangerous job even more so."

Sen. Claire McCaskill, D-Missouri, said the U.S. mission is experiencing setbacks because of the lack of oversight of military contractors.

"We have two sets of rules and one image," she said. Until that changes, "we're going to continue to be stalled on progress in terms of accomplishing this mission."

The committee's top Republican, Arizona Sen. John McCain, agreed with Levin's and McCaskill's assessment.

"Given the stakes and the primary focus of our counterinsurgency strategy to protect the Afghan people, we must not tolerate gross misbehavior or criminal misconduct by individual civilian contractor employees," McCain said.

"We cannot afford to tolerate lax oversight by the government entities directly responsible for policing these companies and civilian employees in Afghanistan."

Though more than 100,000 contractors operate for a variety of contractors in Afghanistan, the senators singled out Paravant, a company with "no meaningful distinction" from Xe Services, Levin said.

Levin cited a December 9, 2008, shooting at the U.S. military's range at Camp Darulaman during which a Paravant program manager carrying an AK-47 got on the back of a moving car, then shot and wounded a Paravant trainer on his team when the car hit a bump, Levin said.

Though the program manager lost his job, the others on his team who allowed his activities did not, he said.

Combined Security Transition Command-Afghanistan, a multinational military formation that trains the Afghan National Army, did not appear to have investigated the incident, he said.

Had it done so, the U.S. Army "would have seen that Paravant personnel were using weapons improperly and unsafely, with inadequate supervision, and that they were carrying weapons that they weren't even supposed to have," according to Levin.

He also cited a widely reported May 5, 2009, incident in which two Paravant personnel fired their weapons, killing two Afghan civilians and wounding a third. The two men have been charged with murder in connection with the shootings.

An Army investigation appeared to find that the contract personnel had "violated alcohol consumption policies, were not authorized to possess weapons, violated use-of-force rules and violated movement-control policies," said Levin, who cited as his source the man who then led the Combined Security Transition Command-Afghanistan.

Paravant's contract required it to "ensure that its personnel ... behave at all times in accordance with the highest professional and ethical standards," he added.

Records for the two men responsible for the May 5 shooting show the company failed to properly vet them, Levin said. One man's military record "apparently included assault, insubordinate conduct, absence without leave, failure to obey order or regulation, larceny and wrongful appropriation," he said. And his criminal record showed convictions for reckless driving, disturbing the peace, assault and battery, driving while intoxicated, resisting arrest and trespassing.

The other man was cited in a news report for having been discharged from the U.S. military after being absent without leave for 22 days and testing positive for cocaine, Levin said.

Other Paravant personnel were fired for alcohol use and drug use, he said.

During his opening statement before the committee, Xe Services Vice President Fred Roitz acknowledged the company's culpability in the incident.

"The independent contractors' actions that night clearly violated company policies against use of alcohol, unauthorized use of official vehicles, and taking weapons outside the training area," he said.

"Those contractors are being held accountable by the law, as they should be."

Roitz also noted that three individuals involved in the May 2009 shootings had been relieved of their responsibilities prior to the incident.

He conceded, however, that "Paravant's policies and procedures were not followed because of failures by Paravant's prior management."

Paravant's "leadership reported to me at the time, and I accept my share of the responsibility," he said. "That leadership and company director failed to keep me adequately informed that well-established, basic policies and practices were not being followed."

Roitz, in his statement, told the committee members that "the new Xe Services would act differently today. We simply will not send our personnel overseas without a proper authorization for a weapon (where needed) and without full compliance with all requirements."

He said the company has "put in place new leadership and procedures to help ensure this commitment is kept."

After the shootings, Raytheon, which had subcontracted the work to Paravant, accused the company of having failed to properly oversee its personnel.

Paravant responded that it would need more money to do that, Levin said, calling the company's response "deeply troubling" since its contractual obligation already called for that.

In addition, Paravant called its personnel "independent contractors," despite "compelling evidence" that they were company employees, Levin said. That meant that the company withheld no income taxes and paid no Social Security, Medicare, or unemployment tax for them, he said.

The Internal Revenue Service is currently considering Paravant's classification.

Levin also took to task the U.S. Army for "apparent lack of contractor oversight."

Before last May's shooting, the Army said it had no contracting officer representative in the area, telling the committee that it relied on a Dutch contractor to oversee the project. The Army said it also monitored the contractors from an office in Florida by calling the chief of training and education for the Afghan National Security Forces at Combined Security Transition Command-Afghanistan.

But the chief has told the committee that he did not travel to the training sites to observe Paravant's personnel, Levin said.

On December 3, 2008, prior to the first shooting incident, Raytheon told the Army by e-mail that Paravant workers had weapons without authority, Levin said, but the Army "apparently failed to take action."

Raytheon issued a statement Wednesday in response to the hearing.

"The contract for these services, including sub-contracting support, was addressed through a competitive bidding, evaluation and selection process that involved our customer. Paravant employees subsequently violated policies of their contract which led to our termination of the relationship for cause last year.

"Raytheon has been working closely with our customers to enhance controls, procedures and oversight of contractor and subcontractor personnel. We will continue to work with our customers to ensure that strong oversight supports the success of our training services programs," the statement said.

A separate report released earlier this month by the inspectors general of the Department of Defense and the State Department criticizes the State Department for its oversight of Afghan training contracts, specifically a $1 billion contract to train Afghan National Police. The State Department failed to keep track of the money and materials, including weapons, and failed to prepare the police to fight off insurgents, the report said.

Additionally, Levin said a key mission of U.S. forces in Afghanistan is to train and equip Afghan security forces to take the lead in the war, adding that they use a U.S.-operated facility near Kabul to store weapons for the Afghan forces.

Though no policy exists that allows contractors or subcontractors to use weapons stored at the site, called Bunker 22, Blackwater personnel "acquired several hundred weapons, including more than 500 AK-47s, from the facility on multiple occasions," Levin said.

Though the company said last June that it had returned them all, Levin said that was not the case, citing one AK-47 that was not returned until late last month.

"These are weapons that belonged to the Afghan National Police -- not Blackwater," he said. "And it is only on the eve of this hearing that the company is giving the majority of them back to the Afghan government."

Levin concluded his opening remarks by saying that the contractors need to understand that they have an impact on how the U.S. military is perceived.

"Even one irresponsible act by contractor personnel can hurt the mission and put our troops in harm's way," he said.

CNN's Charley Keyes contributed to this story.

@highlight

Contractor personnel need to be adequately supervised, senators said

@highlight

A top executive acknowledged past mistakes on the part of the company's contractors

@highlight

Committee chairman also blasts U.S. Army for "lack of contractor oversight"