(CNN) -- When Neil Armstrong took one small step onto the moon in 1969, it seemed only a matter of time before the advent of thriving space colonies and summer vacations on distant planets. But after an initial flurry of moon landings, manned lunar expeditions dwindled: the last time an astronaut left his footprints on the moon was in 1972.

Plants such as lettuce, peppers and tomatoes will be on the menu at Moon Base One.

Then, in January 2004, President Bush announced NASA's intention to return humans to the moon by 2020, and in 2006, NASA announced plans to set up a manned lunar outpost by 2024, with the European and Russian Space Agencies now planning bases of their own. After years in limbo, the dream of living in space is alive once more.

Sustaining long-term space habitation presents space agencies with a whole new set of technological and logistical challenges. Currently, the International Space Station supports three astronauts in a low Earth orbit, with food supplied periodically by space shuttle. But, just as home cooking is cheaper than getting takeout, when it comes to more permanent settlements, this kind of supply voyages would be prohibitively expensive: we will need to grow our own food in space.

Raymond Wheeler, a plant physiologist at Kennedy Space Center, explained to CNN, "In the near term it's not needed, for example on the space station and initial short sorties to the moon, but as you go further and stay longer, regenerative systems become much more cost effective."

Wheeler sees this development of space farming as a gradual process in which space outposts become increasingly self-sufficient. "It would probably be evolutionary," he said. "The first human missions to Mars might set out with everything stowed, but they might set up the beginnings of an in-situ production system -- maybe a plant chamber -- that you could use to grow perishable foods. You wouldn't be providing everything, but in subsequent missions if you returned there you could expand the infrastructure."

Of course, this means growing plants in conditions very different from those on Earth. Yet research has shown that plants are surprisingly adaptable. For example, while plants normally use gravity to direct the growth of their stems and roots, in low gravity conditions they can use light to orient themselves. And research suggests that plants can grow well even at very low atmospheric pressures. That reduces the leakage of oxygen and carbon dioxide from their growth chamber out into space, but crucially, it also reduces the structural requirements of a "space greenhouse," meaning less construction material needs to be shipped into orbit.

Nor is the absence of soil a problem. Many supermarket vegetables are already grown hydroponically in nutrient-enriched water, and research indicates this technique could work well in space. Some have even suggested the loose rock regolith on the surface of the moon or Mars as a growing medium, although additional minerals would need to be brought from Earth.

So what's on the menu at Moon Base One? Well, initial crops would need to be small in stature and grow well in controlled environments with artificial light. Plants such as peppers and tomatoes are already extensively grown hydroponically, while lettuce, with its short lifecycle, would yield fast returns for pioneering space colonists.

But again, Wheeler sees the choice of crops as part of an evolutionary process. He tells CNN, "The first things you might grow would be perishable foods -- maybe vegetables or fruits -- things that don't keep very well if you're on a journey to Mars. Even though you're not providing a lot of calories, these things could have a strong impact in terms of adding color, flavor and texture to the diet."

"The other reason for considering freshly consumed foods on early missions is that they don't require any processing," he continued. "If you were to grow grains, like wheat, you'd have to thresh the seed out of the head, then clean it and mill it to make flour. Staple crops like wheat, soy bean, rice and potato -- things that would provide carbohydrates, protein and fat -- they're the final end point."

Crops need a sheltered environment, protected from the extreme temperatures and frightening levels of radiation found on the moon's surface, with water, carbon dioxide and light. Researchers at the University of Arizona's Controlled Environment Agriculture Center (CEAC), in collaboration with Sadler Machine Company (SMC), have come up with one solution: to house plants and astronauts in an inflatable habitat. They are working on a full-scale prototype Mars Inflatable Greenhouse.

Space-worthy inflatable structures have been around since the 1960s and are lightweight, compact in transit and easy to assemble on landing. But what's novel about the CEAC design is that it incorporates a bio-regenerative life-support system -- the kind of technology that could one day not only feed an outpost on the moon or Mars, but also provide it with oxygen and recycle its water.

Gene Giacomelli, Director of CEAC, told CNN, "If people get to Mars we want to be able to feed them, but maybe even more importantly revitalize the atmosphere -- allow the plants to consume the carbon dioxide as they do so well here on Earth, and provide oxygen."

In the prototype designed by Phil Sadler (SMC) and evaluated by Giacomelli and graduate student Lane Patterson, plants are grown hydroponically. As water evaporates from their leaves, air moisture is condensed and re-used for irrigation. The inedible bits of plants, the stems and leaves, are fed into a composter that breaks down the biomass, releasing carbon dioxide that can be re-used by growing plants. In a working moon base, waste water from the astronauts' showers and laundry could also go into the composter, where it would be cleaned by microbes and then used in the plants' hydroponic system, before being condensed and re-used by the astronauts once again.

The CEAC team intends to test the finished prototype in Antarctica, a harsh and remote environment that provides a realistic analog of conditions on the moon. The team has already provided a food growth chamber for the Amundsen-Scott South-Pole Station and the time Sadler and Patterson have spent there has provided a unique insight into some of the other benefits that bio-regenerative life support might provide for inhabitants of a space base.

"It's not just oxygen, fresh water and food that it provides, but it's also the green, living plants that psychologically become so important to people living and working in a confined, harsh, black and white space at the South Pole or in a moon or Mars base," says Giacomelli. Patterson adds, "Bright lights, high humidity, green plants and the fragrance as well -- these are things that are missing in that environment. Those things shouldn't be underestimated."

The CEAC project offers a tantalizing glimpse of the kind of habitat that may house settlers in the space colonies of the future. And perhaps one day, as you relax in your inflatable villa by the Sea of Tranquility, plants will provide much more than just your dinner.

...................................................................................................................

Do you think farming on the moon will be a reality by 2024? Should man be developing stations on the moon? Send us your thoughts by using the "Sound Off" below.

@highlight

NASA plans lunar outpost by 2024

@highlight

Long-term space habitation will require space farming

@highlight

CEAC and SMC working on prototype Mars Inflatable Greenhouse

@highlight

Greenhouse could provide food, oxygen and recycle water