Beijing (CNN) -- Wang Jingyao creaks open a metal door to let us into his cramped apartment.

In a modest living room, he shows us a meticulously kept shrine to his wife.

"My wife had always been a kind person since she was young. She was kind-hearted and gentle," he says.

The photos come from a different era in China. One shows Wang and his wife, Bian Zhongyun, shoulder to shoulder and smiling at the camera. They made a handsome couple.

Both joined the Communist Party in the heady post-revolution years of the early 1950s. Wang was a historian at the Chinese Academy of Science. Bian became a respected educator at an elite Beijing middle school. They dreamed of helping the Party build a new China.

But just a few years later, Party loyalty proved no protection for Bian. As the madness of the Cultural Revolution engulfed Beijing, she became the first victim.

"We trusted the Party, but no one ever thought it would become a party that murders people," says Wang.

Red Guards, Mao's enforcers

In one sense, the events that led up to Bian's death began with the bruised ego of Mao Zedong.

In the early 1960s, China's great revolutionary hero was still smarting from the catastrophic failure of the Great Leap Forward, a policy of collective farming and industry that directly and indirectly caused the deaths of millions of Chinese.

Mao called on a new revolution to stamp out what he called bourgeois and counter-revolutionary influences. Conveniently, for Mao, the ensuing chaos helped shore up his personality cult and get rid of his political opponents.

The early enforcers were the Red Guards, a proxy army of children and young adults that violently struck out at anyone not toeing the Maoist line. Intellectuals, educators as well as artifacts were all targeted. A favorite method was to whip their elders with the heavy metal buckles on their leather belts.

But this was no random chaos.

"There was absolutely a top down approach to the violence and there is plenty of evidence that everything was very carefully planned," says historian Frank DikÃ¶tter. "There were constant messages going from the Party to the students. There was nothing spontaneous about it."

Beatings, then an awful climax

The trouble started in the early summer at Bian's school in Beijing.

Led by their leader Song Binbin, the students labeled Bian as a counter-revolutionary and "opposing Chairman Mao," according to historian Wang Youqin, who attended the school at the time.

Soon the attacks got physical with Bian and other teachers put through so-called "struggle-sessions."

"Students ran onto the stage to strike Bian with iron-clad wooden training rifles. Each time Bian fell to the floor, someone would douse her with cold water and drag her upright again by the hair to endure further criticism," says Wang.

Bian reached out to the Party to stop the beatings but she got no reply. Despite the obvious risks, Bian kept returning to the school. Perhaps she felt there was nowhere to hide.

On the afternoon of August 5, 1966, the beatings reached their awful climax.

'We couldn't stop the beatings'

The students of '66 are now in their 60s. I meet a group of them in a teahouse in Beijing. They have had careers and full lives but all seem haunted by the bloody events of that August.

Liu Jin was a student leader at the school when the Red Guards targeted Bian.

"I didn't know what to do," she says, "I blame myself for not stopping it."

"We couldn't stop the beating, because it would have been doing something against the trend. I respected Ms. Bian, but I was too afraid to say anything," says Feng Jinglan, another former student.

The mob beat Bian for three hours. They used the legs of their school desks spiked with nails.

"She looked miserable. I could never forget this. She lay on the ground, her eyes were blurry, she was foaming at the mouth," recalls Liu. She says they carried Bian in a wheelbarrow to a hospital across the street from the school.

Wang Jingyao got the news about his wife in a phone call from the school.

"They told me that she was injured and I should go. So I went with my four children," says Wang, "I remember that hospital very clearly."

Sensing the worst, Wang took a camera. He took pictures of his mortally wounded wife as evidence. The images are haunting and graphic. In one, his four children stand over their mother who lies on a gurney still clutching her handbag.

"I laid a cloth over her face so my youngest wouldn't see. She had already passed," says Wang.

No charges, no justice

The authorities quickly cremated the body and no one has ever been charged despite, presumably, hundreds of witnesses.

Instead of condemning the murder, Mao seemed to embrace it. Just days later, he held a mass rally for the Red Guards in Tiananmen Square where Song Binbin presented a Red Guard armband to the Chairman.

The official sanction of the violence was complete.

"After Song Binbin presented the armband to Mao, the number of murders increased massively," says Wang Youqin, who has obsessively tracked the killings by interviewing hundreds of family members. "The Red Guards killed almost 2,000 people in the first two weeks alone."

She says they only stopped when the Beijing municipal government eventually called them to halt in September. The Cultural Revolution would drag on for a decade.

In a society where educators and elders are traditionally revered, the brutal violence against teachers shocked many, but over the decades, the Communist Party has helped erase discussion of the stain on their history, and the violence is rarely discussed in public.

But that may be changing.

Breaking the taboo

Over the past year, those closest to the events are tentatively trying to break the taboo. Song Binbin, Liu Jin and a handful of former classmates publicly apologized for the killing of Bian.

"I participated in the revolution voluntarily, no one forced me," says Liu, "but after Bian's death my faith was turned. I had to question my beliefs." All of the former students we interviewed said they were powerless to stop the killing.

Song declined to be interviewed.

But their apologies haven't led to a widespread reckoning with the past. And few, if any, believe the Communist Party will tackle the issue.

"There is hardly a person within the Cultural Revolution whose hands are not dirty in some way. It is socially and politically explosive and that is why the apologies are not likely to go much further than they have already," says DikkÃ¶ter.

For Wang Jingyao, they are too little, too late. He says he still wants justice for his wife's murder.

"I can't accept them, the so-called apologies are hypocritical and not sincere. They just want to cover up their involvement," he said, "they just want to slip away unpunished and turn this page over."

@highlight

Decades later, former students apologize for failing to stop teacher's murder

@highlight

Red Guards beat Bian Zhongyun to death in 1966 for "opposing Chairman Mao"

@highlight

Husband Wang Jingyao wants justice for his wife, whom he described as "gentle"

@highlight

Couple used to dream of helping Communist Party build a new China