(Health.com) -- People with diabetes are at increased risk of having a heart attack or stroke at an early age, but that's not the only worry. Diabetes appears to dramatically increase a person's risk of developing Alzheimer's disease or other types of dementia later in life, according to a new study conducted in Japan.

In the study, which included more than 1,000 men and women over age 60, researchers found that people with diabetes were twice as likely as the other study participants to develop Alzheimer's disease within 15 years. They were also 1.75 times more likely to develop dementia of any kind.

"It's really important for the [public's] health to understand that diabetes is a significant risk factor for all of these types of dementia," says Rachel Whitmer, Ph.D., an epidemiologist in the research division of Kaiser Permanente Northern California, a nonprofit health-care organization based in Oakland, California.

Health.com: Signs and symptoms of type 2 diabetes

Whitmer, who studies risk factors for Alzheimer's but wasn't involved in the new research, stresses that many questions remain about the link between diabetes and dementia. The new study was "well done" and provides "really good evidence that people with diabetes are at greater risk," she says, "but we really need to look at other studies to find out why."

Diabetes could contribute to dementia in several ways, which researchers are still sorting out. Insulin resistance, which causes high blood sugar and in some cases leads to type 2 diabetes, may interfere with the body's ability to break down a protein (amyloid) that forms brain plaques that have been linked to Alzheimer's. High blood sugar (glucose) also produces certain oxygen-containing molecules that can damage cells, in a process known as oxidative stress.

In addition, high blood sugar -- along with high cholesterol -- plays a role in the hardening and narrowing of arteries in the brain. This condition, known as atherosclerosis, can bring about vascular dementia, which occurs when artery blockages (including strokes) kill brain tissue.

Health.com: 25 signs and symptoms of Alzheimer's disease

"Having high glucose is a stressor to the nervous system and to the blood vessels," says David Geldmacher, M.D., a professor of neurology at the University of Alabama at Birmingham. "The emerging information on Alzheimer's disease and glucose shows us that we do need to remain vigilant on blood sugar levels as we get older."

Studies dating back to the late 1990s have suggested that people with diabetes are more likely to develop Alzheimer's disease and other types of dementia, but the research has been marred by inconsistent definitions of both diabetes and dementia.

The authors of the new study, led by Yutaka Kiyohara, M.D., an environmental medicine researcher at Kyushu University, in Fukuoka, sought to address this weakness by using the gold standard of diabetes diagnosis, an oral glucose tolerance test. This involves giving a person a sugar-loaded drink after they have fasted for at least 12 hours, and then measuring how much glucose remains in their blood two hours later.

Health.com: Exercise tips for people with type 2 diabetes

At the beginning of the study, the tests showed that 15% of the participants had full-fledged diabetes, while 23% had prediabetes, also known as impaired glucose tolerance.

The participants were all dementia-free when the tests were done, but over the next 15 years 23% received a diagnosis of dementia. Slightly less than half of those cases were deemed to be Alzheimer's disease, with the remainder roughly split between vascular dementia and dementia due to other causes. (The diagnoses were confirmed with brain scans of living patients and brain autopsies in deceased patients.)

Both diabetes and prediabetes were associated with an increased risk of dementia diagnosis, although the association was weaker for prediabetes. And the link persisted even after the researchers took into account several factors associated with both diabetes and dementia risk, such as age, sex, blood pressure, and body mass index.

Health.com: Natural ways to lower blood pressure

The results were published today in the journal Neurology.

The next step, Whitmer says, will be to understand whether controlling blood sugar and reducing risk factors for type 2 diabetes also reduces dementia risk. She and her colleagues have several studies underway investigating these questions.

Copyright Health Magazine 2011

@highlight

People with diabetes were twice as likely to develop Alzheimer's disease

@highlight

Diabetes could contribute to dementia in several ways

@highlight

The study included more than 1,000 men and women over age 60