(CNN) -- Rio de Janeiro's Maracana Stadium was packed to the rafters: 200,000 expectant spectators prepared to celebrate Brazil's first World Cup triumph and its arrival as a football superpower.

It was the moment the South American country's love of the game, and of its most prestigious competition, became a dangerous obsession.

July 16, 1950, the final match of the final group stage. Brazil faced Uruguay, and a draw would be enough to see the host crowned as champion.

The champagne was put on ice when winger Friaca gave Brazil a 1-0 lead just after halftime.

But the samba beat was silenced when Juan Alberto Schiaffino equalized for Uruguay -- and then the unthinkable happened.

World Sport Presents: Racism in Football

Uruguay came forward, Brazil goalkeeper Barbosa stepped off his line, Alcides Ghiggia scuffed a low shot towards the near post ... and the ball nestled in the back of the net.

Brazil had lost.

A nation's hearts were broken. Lives were forever altered and a national obsession was born.

The 63 years since have seen Brazil become football's dominant force. The five World Cups won by "A Selecao" is more than any other country in the quadrennial competition's 83-year history.

But not one of Brazil's quintet of triumphs has banished the shadow cast by the failure of Moacyr Barbosa Nascimento and his teammates.

"The idea the rest of the world has about Brazil, and perhaps Brazil has about itself to a certain extent, is that it is all about 'joga bonito,' it is all about the beautiful game," says Jonathan Wilson, journalist and author of "The Outsider: A history of the goalkeeper."

"Actually it is all about winning in Brazil, far more than anywhere else despite the perception," he told CNN. "There's no such thing as heroic failure in Brazil.

"Barbosa was named goalkeeper of the tournament, but he was scapegoated in Brazil because of what happened in the final game.

"He didn't get picked for the next couple of years. He was a very good goalkeeper, but all he is remembered for is that one mistake."

The error which led to Uruguay's second goal hung over Barbosa until his death in 2000.

But the saddest moment of his life, he said, was not in the final or its immediate aftermath.

Some 20 years later, a woman in a supermarket pointed towards him and declared to the young boy by her side, "Look at him, son. He is the man that made all of Brazil cry."

"Under Brazilian law the maximum sentence is 30 years," Barbosa remarked on his 79th birthday, just two weeks before he passed away. "But my imprisonment has been for 50 years."

The disappointment looms large in Brazil's national psyche, and all the more so with the country to host the World Cup again next year for the first time since that fateful day.

"Nelson Rodriguez, the playwright, spoke about 'Our Hiroshima," Wilson said. "It seems monstrously disproportionate and it is, but I think what he means is that it's Brazil's national disaster.

"They've never been in a war, they've never really had a great disaster. They just expected to win. The newspapers on the morning of the game were saying 'Brazil World Champions.' "

The newspapers were wrong.

It is this weight which the present day team must carry as it prepares to host the Confederations Cup, a warmup event for the World Cup, which Brazil kicks off against Japan on Saturday.

Once again the World Cup is coming to Brazil and once again a nation expects.

"Everybody knows the bad experiences we had in the World Cup in Brazil in the '50s -- we lost, but now we have to recover," says Pele, one of football's greatest players and a triple World Cup winner with Brazil between 1958 and 1970.

Barbosa's tale is a cautionary one for the current Brazil squad. A mistake by any player next year could be the costliest they ever make.

Luiz Felipe Scolari, coach of the last Brazil team to lift the World Cup in 2002, was reinstated in November 2012 to inspire a floundering team.

The results have been unspectacular.

Scolari has won two, drawn four and lost one of his seven matches back at the helm and the team languishes in 22nd in the FIFA world rankings.

A 2-2 draw with England in June was the first match at the refurbished Maracana, a stadium which is both a monument to Brazil's sporting prowess and a mausoleum for past failure.

"We always have good players, but we don't have a good team right now," Carlos Alberto, captain of Brazil's World Cup winners of 1970, told CNN. "We don't have experience, the players are very young.

"Everybody says to these players, 'You have to win, you have to win.' It's not good because they are young, they don't have the experience to play an international tournament."

That 1970 team is often referred to as the greatest of all time, given the style and swagger with which it crushed Italy 4-1 in the final match of the Mexico tournament.

The advent of color television made the players, bedecked in iconic vibrant yellow with green trim, appear as if soccer stars from another planet.

Alberto does not think the current generation is yet capable of emulating his team's achievements, but he is backing his countrymen to succeed four years later.

"They are going to take the experience of playing in the World Cup next year into 2018. In Russia, I bet you any money Brazil will win!" he declared.

"Next year, if they get to the semifinals it is OK."

Edu, a midfielder capped 15 times for Brazil between 2004 and 2005, shares Alberto's reservations.

The former Arsenal player is concerned a change of management has disrupted a squad short on international experience.

"We're not prepared yet," Edu, now director of football at Club World Cup winners Corinthians, told CNN. "We've changed the coach, which is not normal.

"Usually a coach has four, five, six years to get used to his team. Scolari is lucky, because Brazil has a lot of players to build a good squad. But I'm not sure if they will be prepared enough for the World Cup.

"The Brazilian team is not in the best moment."

One player of whom a huge amount is expected is Neymar, a flamboyant attacker recently signed by Barcelona who is frequently hailed as "the new Pele."

If Brazil is to finally win the World Cup on home soil, the fleet-footed, shock-haired attacker will have to prove he has shoulders broad enough to carry a nation's hopes.

"Listen, winning the World Cup is very hard because it is a box of surprises. No doubt Brazil is one of the best, but this doesn't mean Brazil is going to win ... The best players in Europe, they are Brazilian," Pele told CNN.

"In Brazil we have had a lot of excellent players like Zico, Tostao, Rivelino, Pele, Ronaldinho, but the last two years we have had Neymar.

"He is very talented. I hope he has luck in Barcelona. I didn't like it so much because he used to play in my team, Santos, I lost a good player. He deserves to go to the best team.

"I said to be the new Pele would be very difficult, because my mother and my father, they closed the machine (gestures). But no doubt he is one of the best players who we have in Brazil."

@highlight

Brazil will host the football World Cup for first time in 64 years in 2014

@highlight

The South American country lost to Uruguay in the final match of the 1950 tournament

@highlight

Flamboyant attacker Neymar is the star of the current Brazil team

@highlight

Brazil hosts the Confederations Cup, which begins on Saturday