(CNN) -- Ten years ago, stock car racing's last great roughneck hit the wall and the wall won.  Dale Earnhardt would not grow old and slow, clogging up life's left lane. He would not gracefully slide into a senior citizenship of driving to the Wal-Mart in a Grand Marquis with plastic flowers waving from the antenna.

He would die a legend's death at the age of 49, on the last turn of the last lap of the greatest race his kind knows. He died running, as he used to put it, WFO -- Wide (Bleeping) Open.

In third place of the 2001 Daytona 500, shielding the two cars ahead of him -- both owned by him, and one driven by his namesake son -- Earnhardt yielded not an inch of asphalt. Sterling Marlin bumped him ever so slightly from the rear, and in the ensuing chain reaction of bumper cars at 160 mph, Earnhardt's famous black No. 3 Chevy was sent up the track and nose-first into the wall.

The sport had seen a thousand worse-looking wrecks in which everyone walked away angry but unmarked. Something was bad wrong with this one, though. Witnesses knew it immediately after the driver was lifted from the wreckage and rushed to the hospital, when workers draped a tarp over Earnhardt's car like cops covering a body at a crime scene.

Two hours later, NASCAR President Mike Helton faced the world and announced, "We've lost Dale Earnhardt."

At the 10-year mark of the death of a seven-time Sprint Cup (formerly Winston Cup) champion, there will be many tributes laid at the feet of Earnhardt's memory. Some will come from the television booth on February 20 at the next running of the Daytona 500.

NASCAR's tribute to Earnhardt

"Dale Earnhardt was to NASCAR what Elvis Presley was to rock-and-roll," said Larry McReynolds, Earnhardt's crew chief when he won his only Daytona 500 in 1998, and currently a racing broadcaster with Fox.

"When Elvis passed, rock-and-roll didn't stop, but it was different. After Dale died, racing didn't stop. We trudged on to Rockingham five days later. But it was different. It's still different today."

This morbid anniversary also is a milepost at which to slow for just a moment and consider how Earnhardt's sport has radically changed in the decade since his death. In doing that, those who came to racing with him may well find themselves missing Earnhardt all over again.

One positive consequence: The sport is definitely safer. Earnhardt's was the fourth death suffered on a NASCAR track in nine months. There have been no on-track deaths in NASCAR's three major series in the 10 years since his death.  Losing Earnhardt this way was to NASCAR what losing Michael Jordan to a heart attack in mid-dunk would have been to the NBA. The soul-search that followed the death of racing's biggest star resulted in extensive revisions in NASCAR's safety practices.

Mandatory now is a head and neck restraint system that might have saved Earnhardt from his fatal basilar skull fracture. And the pace quickened on installing so-called "soft wall" technology at tracks, barriers that absorb more of the force of a collision.

Over that same period, NASCAR has seen its popularity seemingly peak. Once the hottest growth property on the sporting landscape, it has faced a steady erosion in television ratings and track attendance. In the four years since NASCAR signed a multibillion-dollar media deal, average race viewership has fallen from 7.85 million at its height to 5.99 million last year, according to the Sports Business Journal.

In a time of tight money, there were more gaps apparent in the circuit's grandstands in 2010. The attendance still can be huge, and television viewership is surpassed only by the NFL, but the drops are noticeable. With 140,000 at last year's Brickyard 400, that throng still was roughly half that of the 2007 race.

No one has pinned the slump on Earnhardt's death. Rather, that tragedy is coincidental to a general loss of connection between the old-school, rank-and-file fan and a sport that had seemed to homogenize both its cars and its drivers.

What died February 18, 2001, was an important bit of racing's soul.

"Dale Earnhardt's story is really the story of so many of the great drivers in NASCAR history, someone who came up really tough," said Daniel Pierce, head of the history department at the University of North Carolina-Asheville and author of "Real NASCAR: White Lightning, Red Clay and Big Bill France."

Earnhardt, the son of dirt track campaigner Ralph Earnhardt, was a ninth-grade dropout, divorced twice before he was 30, a subsistence racer early in his career who took mill work and cleaned industrial boilers to keep himself fed.

"There were times," Earnhardt once told an interviewer, "we probably should have been on welfare."

He'd become fabulously wealthy, a shrewd capitalist who, as McReynolds said, "proved to drivers that it was a business, too." He was the Bill Gates of personal branding.

Still, many of those in the infield continued to see themselves in him.

"Here's a guy who really lived a classic country music song, Pierce said. "His whole persona early on was very rough around the edges. For a lot of people -- particularly the traditional NASCAR fans, the people who really grew up with it -- it was really something visceral with them. This was more than just a pastime; it was a metaphor for life. And here's someone who lived this very rough existence, who was on the fringes of society, who succeeded beyond anyone's wildest dreams."

Earnhardt drove as if his next meal depended on being out front, even when it didn't. He was one hard-charging SOB, a signature moment coming in 1999 when he spun-out Terry Labonte on the final lap to win at Bristol. "I wasn't trying to wreck him, I just wanted to rattle his cage," The Intimidator said then in one of his classic utterances.

Back when they both were racing, Darrell Waltrip once declared, "With Earnhardt, every lap is a controlled crash."

The face of NASCAR used to have the sharp features of a bird of prey, possessing also this moustache-thatched smirk that told media he was not a man for idle chatter and warned other drivers not to get too comfortable when he put that big black car six inches off their rear quarterpanel.

Now that face belongs to the impeccable Jimmie Johnson, no less driven to win, a Sprint Cup champion five years running, but as buttoned down as a Savile Row suit.

Like a good many of his generation of drivers, Johnson came up on the sunnier side of the middle class, a kid who cut his teeth on speed by racing motorcycles in the California desert with the support of hard-working parents.

Where Earnhardt would spar with media and NASCAR officials alike, Johnson's public presence is seamless. He has done well for himself off the track as well, marrying a former Wilhelmina model six years ago. The couple had their first child last year.

For those who would draw too stark a contrast between Johnson and Earnhardt, McReynolds cautions, "Fans see (Johnson's) beautiful wife, his beautiful child, the big motorcoach, the jet airplane. They don't realize his mom drove a school bus and his dad worked on heavy machinery to take him motocross racing.

"We have to put it on our (the broadcasters') shoulders to help bring back the personalities of who these drivers are."

Earnhardt's was a two-sided mystique. His ability to polarize a grandstand is unmatched today. What is forgotten in the lionization that naturally follows death is the counter-Earnhardt culture that drove much of NASCAR's passion.

After Earnhardt's death, fans paid homage to his No. 3 by standing and holding three fingers aloft on the third lap of every race. Pierce fondly recalls the first race he went to -- Bristol, 1994 -- and one particular nearby fan who rose every time Earnhardt drove past. And this man required only one finger to salute the driver.

"There were a number of fans who would pull for anybody who would beat Earnhardt," McReynolds said.

The history prof and race fan says there are a couple drivers who could fit the role of black hat in today's weekly on-track dramas: Kyle Busch and Brad Keselowski, both known to get sideways with the spectators. Tony Stewart also can rouse some rabble. Still, there is no one who can fan the flames of partisanship like Earnhardt did.

And Dale Jr., well, he has yet to fill his father's firesuit. His inherited popularity has not translated to great performance. The last of his 18 Sprint Cup victories came 93 races ago (2008) and he has missed the series' season-ending chase for the championship the last two years.

His father's death "is part of a process that NASCAR is really suffering from now," Pierce said. "They may have appealed to some new fans but I think those people's commitment is very shallow. There are people the sport has lost who once felt racing was akin to religion.

"I've been to (Kentucky's) Rupp Arena, to (North Carolina's) Carmichael Auditorium. I went to Alabama and have seen Alabama-Auburn football. I've seen people passionate about their sports. But the thing that caught my eye when I first went to races was how that was even more characteristic of NASCAR.

"I don't quite see that as much anymore."

They can hang luxury condos from the rim of the tracks. They can expand beyond racing's motherland of the old South, introduce a new playoff-like format and even bring Toyota into the all-American mix.

But while the sport gets all clean and corporate, the traditional race fans just want to find that one good ol' driver who can make them care. That one personality who will inspire them to carve out a few precious days off, pack up the truck with beer and barbeque and blow the budget to watch the cars go fast ... turn left ... and repeat.

@highlight

Stock car racing legend Dale Earnhardt died February 18, 2001

@highlight

Crew chief: "Dale Earnhardt was to NASCAR what Elvis Presley was to rock-and-roll"

@highlight

NASCAR.com's Earnhardt tribute includes photos, memories, and reflections on his legacy