(CNN) -- Hospitals in at least eight states want to know how many hundreds or thousands of their patients have come in contact with a lab technician accused of spreading hepatitis C.

The man, David Kwiatkowski, has the disease, which can pass through contact with contaminated blood, most often via shared needles. Authorities say the Michigan native injected himself with painkillers meant for patients when he worked at Exeter Hospital in New Hampshire and left the syringes for reuse.

He was arrested this month in connection with spreading the disease at Exeter and has been charged with obtaining controlled substances by fraud and tampering with a consumer product, according to an affidavit filed in federal court. He is suspected of stealing fentanyl, a powerful analgesic that is substantially more potent than morphine, the affidavit said.

Former hospital worker accused of transmitting hepatitis C

Thirty Exeter patients have been diagnosed with the same strain of hepatitis C that Kwiatkowski has. Now, officials want to be sure that outbreak has not spread past New England.

Kwiatkowski, 33, worked as a traveling medical technician on a contract basis for hospitals in Arizona, Georgia, Kansas, Maryland, Michigan, New York and Pennsylvania in the past five years, hospitals and health officials in those states confirmed.

Asked Wednesday whether anyone in the health care industry ever reported anything about Kwiatkowski, he said: "Many health care practitioners view drug diversion as a problem that requires treatment only. It does require treatment, but it's also incumbent on someone to report it to law enforcement authorities. This may be a big teaching moment for the industry."

Authorities in the states where Kwiatkowski worked want patients who may have come in contact with the man to be tested for the disease. Kwiatkowski told authorities he found out he had hepatitis C in May 2012, but further investigation revealed he tested positive for the disease in June 2010.

Hepatitis C is considered to be among the most serious of hepatitis viruses. It is typically asymptomatic, going undetected until liver damage shows up, according to the Mayo Clinic website.

New Hampshire's health department is asking that anyone who was a patient in Exeter's operating rooms and the intensive care unit between April 1, 2011, and May 25 of this year be tested.

Those are two areas that Kwiatkowski visited during his "routine duties to transport patients," Exeter Hospital said in a written statement. But it added that he "was not involved with procedures or patient care."

The hospital said "there is an extremely small chance that anyone will be found to have been infected with a hepatitis C strain that is genetically linked to Kwiatkowski outside of the Cardiac Catheterization Unit."

"However, as we continue to learn about Kwiatkowski's history in other states from the ongoing criminal investigation, and out of an abundance of caution, Exeter Hospital supports the (health department's) decision to offer expanded testing to patients treated in these two other areas even though Kwiatkowski had no formal role supporting procedures in those areas."

Kacavas said his office interviewed employees at Exeter who said they had seen Kwiatkowski sweating profusely and with bloodshot eyes.

"One of them described him as unfit to provide medical care and his supervisor sent him home," Kacavas said. "He provided a plausible explanation for his condition, which was that he had been crying his eyes out because his aunt had died and he was an emotional wreck."

According to state and hospital officials, he worked in as a radiology technician and in cardiac catheterization labs in the following locations:

-- Oakwood Annapolis Hospital in Wayne, Michigan, January to September 2007;

-- Saint Francis Hospital, Poughkeepsie, New York, November 2007 to February 2008;

-- UPMC Presbyterian, Pittsburgh, March 2008 to May 2008;

-- Baltimore Veterans Affairs Medical Center, May 2008 to November 2008;

-- Southern Maryland Hospital, Clinton, Maryland, December 2008 to February 2009;

-- Johns Hopkins Hospital, Baltimore, July 2009 to January 2010;

-- Maryland General Hospital, Baltimore, January 2010 to March 2010;

-- Temple University Hospital, Philadelphia, April 2010;

-- Hays Medical Center, Hays, Kansas, May 2010 to September 2010;

-- Houston Medical Center, Warner Robins, Georgia, October 2010 to March 2011.

Arizona health authorities and Maricopa County, Arizona, public health officials have been told the man worked briefly in Maricopa County during 2009 and 2010 "for a temporary health care staffing agency." It is not known exactly where he worked.

"We are in the process of confirming details so that we may accurately inform the public of any potential risk and actions to take," said Bob England, director of the Maricopa County Department of Public Health

Johns Hopkins is calling in about 200 patients who had a procedure at the lab during the time Kwiatkowski worked there. About 460 patients had procedures at the lab in Kansas during Kwiatkowski's stint there.

But the number of people who may be tested might change as officials peruse medical records and see who needs to be seen.

These and the other institutions are calling old patients in and offering free testing. The U.S. Centers for Disease Control and Prevention is helping state health officers and hospitals tackle the problem.

Like Exeter and New Hampshire, other hospitals and states are, as Johns Hopkins puts it, "erring on the side of patient safety and contacting anyone who came in during that time."

"He didn't necessarily have contact with all patients who were at the lab during that time period," said a statement from Johns Hopkins.

Kansas Department of Health and Environment Secretary and State Health Officer Robert Moser said he understands patient concerns but is reassuring people that "we have no reason to be concerned about additional risks to the public" because Kwiatkowski worked in Kansas two years ago.

Authorities across the United States want to know as much as they can about Kwiatkowski's whereabouts since he became infected. The New York health department asked the state's hospitals and radiology facilities to identify any place where Kwiatkowski might have worked since January 1, 2007, either as a facility employee or as a "traveler" employed by a contracting agency.

Kwiatkowski was arrested earlier this month in a Massachusetts hospital where he was being treated. He is now being held in the Strafford County, New Hampshire, jail. He could face more than 20 years in prison if convicted.

"The evidence gathered to date points irrefutably to Kwiatkowski as the source of the hepatitis C outbreak at Exeter Hospital. With his arrest, we have eliminated the menace this 'serial infector' posed to public health and safety," U.S. Attorney John P. Kacavas in New Hampshire said.

Kwiatkowski appeared in New Hampshire federal court Tuesday and waived his right to a detention hearing. Kacavas said it is possible more charges could be filed.

A negligence complaint and a class action lawsuit have been filed in U.S. District Court in Omaha, Nebraska, against Triage Staffing, a health care company that hired and placed Kwiatkowski at Exeter.

One of the cases, filed by Seabrook, New Hampshire, resident Robert Oliver Fowler claimed Kwiatkowski was negligently hired and retained.

"Triage failed to exercise reasonable care in view of all of the circumstances surrounding the job Mr. Kwiatkowski was to perform at Exeter Hospital. Triage failed to exercise the degree of care required related to the severity of risk to Mr. Fowler. Triage knew or should have known of Mr. Kwiatkowski's likelihood of causing harm to Mr. Fowler when it supervised Mr. Kwiatkowski. Triage failed to conduct a reasonable investigation that could have found Mr. Kwiatkowski's likelihood of causing harm to Mr. Fowler," the suit said.

Joe M. Grillo, a spokesman for Triage Staffing, told CNN in an e-mail that "we are aware of issues involving a former contract medical technologist at Exeter Hospital. Given that there is an ongoing criminal investigation, as well as pending civil litigation, it would be inappropriate for us to comment at this time."

Fowler's attorney, Domenic Paolini of Boston, said firms like Triage need to perform due diligence in vetting employees. At present, he said, a cashier at a hardware store gets "more scrutiny" for hiring than people working in important health care jobs.

Firms that employ traveling health care workers need to rethink their hiring procedures, he said, and "hospital policies and procedures need to be changed as well."

Spate of hepatitis C cases linked to New Hampshire hospital

CNN's Jennifer Bixler and John Bonifield contributed to this report.

@highlight

Staffing firm says it's aware of the issue but has no immediate comment

@highlight

The suspect worked in several states as a lab technician

@highlight

Lawsuits have been filed in federal court in Nebraska

@highlight

Kwiatkowski is called a "serial infector"