United Nations (CNN) -- The opposition Syrian National Council called Monday for urgent military intervention on the part of the international community to help halt the grinding violence and protect civilians.

The SNC, an umbrella group that represents the opposition abroad, also demanded a no-fly zone across Syria and a "speedy operation" to arm the Free Syrian Army, a group of fighters made up primarily of defectors from forces loyal to President Bashar al-Assad.

"Sympathy messages are no longer enough. ... What is needed is actions on (the) ground and decisions and measures against Assad's gangs," the group said in a statement after a meeting in Turkey.

Its demands came as diplomatic efforts to resolve the yearlong Syrian conflict faltered.

The U.N. Security Council took up the issue of Syria again on Monday, with the United States and Britain pushing for quick action on a resolution and Russia warning against a "take-it-or-leave-it" approach.

All sides called for an immediate end to the violence even as an opposition group said that dozens of women and children in the city of Homs had been stabbed and burned to death over the weekend.

"There is a growing understanding of the need not to talk to each other on the basis of take-it-or-leave-it, but bring the positions together and be guided not by the desire of revenge, of punishment, who is to blame and so on and so forth, but by the basic interests of the Syrian people," Russian Foreign Minister Sergey Lavrov told reporters after the Security Council met. "And this requires an immediate end of violence as the number one priority."

Lavrov invoked the specter of Libya, whose government was overthrown last year after U.N. Security Council resolutions authorizing NATO enforcement of a no-fly zone to protect innocent civilians led to widespread bombing of Libyan military forces.

He cited reports that members of al Qaeda are responsible for fomenting violence in Syria and pointed to the Free Syrian Army as also being to blame.

Still, the Russian foreign minister described a cease-fire in Syria as "an absolute must." He said he hoped weekend meetings between al-Assad and Special Joint Envoy Kofi Annan "would succeed in developing some ideas which would make it possible for us to agree on how to stop the bloodshed immediately, how to stop the fighting, irrespective of the source of the violence."

For others at the meeting, the fount of the violence was not in doubt.

"The United States believes in the sovereignty and territorial integrity of all member states, but we do not believe that sovereignty offers a grant of immunity when governments massacre their own people," U.S. Secretary of State Hillary Clinton told reporters. She described as "cynical" the Syrian army's "fresh assault on Idlib and continuing its aggression in Hama, Homs and Rastan," even as al-Assad was meeting with Annan in Damascus.

In an acknowledgment that Russia and China last month vetoed a Security Council resolution that would have condemned al-Assad and called on him to step aside, Clinton called on "all nations, even those who have previously blocked our efforts," to speak with one voice in calling for the killings of civilians to end and a transition to democracy to begin.

Valerie Amos, U.N. humanitarian chief, described as "clear deadlock" the situation on Syria at the world body. "It's not an ideal situation," she told CNN. "But we have to keep working on this, we have to keep trying, because there are people who need help."

Amos said she recently returned from a refugee camp across Syria's border with Turkey, where she spoke with displaced Syrians "who were very angry about what's happening in Syria and being abandoned by the international community."

Asked whether Annan had left Damascus empty-handed, British Foreign Secretary William Hague said it was "far too early" to draw that conclusion. "He has said that he has made proposals. Clearly, all concerned will be taking some time, but I hope not much time, to react to those proposals," he said.

The U.N.'s Human Rights Council met Monday in Geneva, Switzerland, to discuss an International Commission of Inquiry report issued last month. The report said Syrian government officials were responsible for "crimes against humanity" committed by security forces against opposition members.

Monday's diplomatic efforts came in the wake of continuing bloodshed. In the Syrian city of Homs, at least 45 women and children were stabbed and burned to death, opposition activists said Monday. The massacre took place late Sunday, activists said.

The killings occurred in the Karm al Zaytoun neighborhood, according to the Local Coordination Committees of Syria, an opposition network. The Adawiya neighborhood of Homs was also involved, according to the London-based Syrian Network for Human Rights.

Children were stabbed to death in front of their mothers, and women and girls were sexually assaulted and then shot, the network said.

Hadi Abdallah, a spokesman for the opposition Syrian Revolution General Council, said the attacks occurred after "Syrian forces and thugs" stormed homes.

Life and death under Syria's military onslaught

The LCC called the killings a "massacre orchestrated by the regime" of President al-Assad.

Another 108 people were killed Sunday nationwide, activists said. The LCC reported Monday's death toll was 44.

Tuesday will be a day of mourning across Syria, the LCC said.

"Stores should remain closed; work, universities, and schools should not be attended; and streets should be blocked," the group said in a statement. "We urge everyone to participate, even if only symbolically, by wearing black ribbons, raising black flags, or wearing black."

CNN's Arwa Damon: Activists say no optimism for peace

After sunset Sunday, a live video feed online from opposition activists showed bodies from the Homs massacre.

The Syrian Network for Human Rights described a scene of brutality, saying the men were separated from the women and children and "systematically tortured" for hours. Some were sprayed with gasoline and set afire, while others were shot, the network said.

Activists recovered 31 bodies, the human rights network said. Others were burned, and still others were taken to unknown locations by security forces.

Syrian state-run media said the bodies shown were killed by "armed terrorist groups," which the government blames for the violence in the nearly year-long uprising.

"The terrorist armed groups have kidnapped scores of civilians in the city of Homs, central Syria, killed and mutilated their corpses and filmed them to be shown by media outlets," the state-run Syrian Arab News Agency reported.

On Monday morning, state-run TV aired a montage of telephone calls reportedly from Homs. The anchor listened to callers denouncing the killings and blaming the Karm al Zaytoun massacre on what they called anti-government armed gangs.

The state-run news agency reported that 15 army and law enforcement "martyrs" targeted by armed terrorist groups were buried Monday.

CNN cannot independently confirm reports of casualties or attacks in Syria because the government has severely restricted the access of international journalists.

But the majority of reports from inside Syria indicate the regime is slaughtering civilians to wipe out dissidents seeking al-Assad's ouster. The al-Assad family has ruled Syria for more than four decades.

CNN's Hala Gorani: Witness to killing fields

The United Nations says more than 7,500 have died in the past year, and at least one activist group says more than 9,000 people have been killed.

A funeral was held Monday for American Marie Colvin, one of several journalists killed in Homs, on Long Island, New York. She and French photographer Remi Ochlik were killed February 22 in a shelling attack on a makeshift media center in the neighborhood of Baba Amr.

CNN's Saad Abedine, Bharati Naik, Kareem Khadder, Salma Abdelaziz, Hamdi Alkhshali, Kamal Ghattas, Holly Yan and Josh Levs contributed to this report.

@highlight

NEW: The Syrian National Council also urges a no-fly zone

@highlight

At least 45 women and children are said to have been stabbed and burned to death

@highlight

Tuesday will be a day of mourning, an opposition group says

@highlight

Nations agree on little beyond the need to end the violence