Hong Kong (CNN) -- Japan's main trading index, the Tokyo Nikkei, plunged more than 7% Thursday, ending a red-hot rally that saw the bourse climb nearly 50% since the start of the year.

Investors reacted to negative news from the United States and China. U.S. Fed Chair Ben Bernanke left an open question on whether quantitative easing would end earlier than hoped, while new China data revealed factory activity fell the first time in seven months.

Though questions loom over the world's first and second largest economies, analysts and economists agree that for Japan, the world's third largest, things are just fine -- despite this week's stock slump.

The fact that investors pulled out is "a sign of health rather than a sign of worry," said Jesper Koll, Director of Japan Equity Research at JPMorgan in Tokyo. "When markets go one way then it's time to be concerned. The (Nikkei) has been up basically 70% over the last seven months."

In the history of global stock markets, such a major rally is very rare, added Koll. Since World War II, similar events have happened less than eight times. A correction was due.

"This looks like the selloff that so many on the sidelines have been waiting for," said Nicholas Smith, CLSA's Japan Strategist in Tokyo. "The Topix was undoubtedly overbought."

Prime Minister Shinzo Abe's fiscal policies for growth and inflation -- known to many now as Abenomics -- are not to blame so much as financial quakes and questions from the world's other major economies. In support of Abenomics, the Bank of Japan this past Wednesday affirmed its own policies to buy long-term debt and securities. The move would double the central bank's monetary base over two years.

"Such conduct of monetary policy will support the positive movements in economic activity and financial markets, contribute to a rise in inflation expectations, and lead Japan's economy to overcome deflation that has lasted for nearly 15 years," the bank said in its policy statement.

During those years of deflation and up through Abe's election to the premiership in December 2012, Japan had a fiscal policy of "musaku" or "no policy" -- "all talk but no action," explained JPMorgan's Koll.

Now "the most import thing is that Japan does have a policy. With Abe there is action. That's what has been making investors confident."

Signs of proof can be found in the return to profit of some of Japan's exporters, in part due to the yen's weakening against the U.S. dollar past the 100-yen mark. Toyota, the world's biggest automaker, reported net income of $9.7 billion in the fiscal year that ended March 31 -- more than triple its earnings from the year prior. Panasonic forecasts a net income of nearly $500 million in the 2014 fiscal year, versus a net loss of some $7 billion in 2013.

"We think they (corporate profits) are going to rise by about 50% over the next twelve months," said Koll, who also forecasts Japan's Topix -- considered more representative of Japan's stock markets -- will climb to 1,400 by the end of 2013 -- a rise of nearly 17%.

@highlight

Koll: Tokyo Nikkei 7% plunge Thursday more 'sign of health' than 'sign of worry'

@highlight

Nikkei has rallied 46% since the start of 2013 thanks to PM Abe's fiscal policies

@highlight

Japan's central bank affirmed buying of long-term debt in support of Abe

@highlight

JP Morgan forecasts Japan's Topix to climb 17% by end of 2013