(CNN) -- Caroline Kennedy, who spent most of her life looking to steer clear of the spotlight, is capping off a year of unusually public -- and political -- activity with interest in the Senate seat that would be vacated by Secretary of State-designate Hillary Clinton.

Caroline Kennedy could join her uncle Edward in the U.S. Senate.

And her interest in that seat could mean the continuation of a Kennedy legacy in the Senate that began 56 years ago with the election of her father, John F. Kennedy, as the junior senator from Massachusetts.

Her uncle Edward has represented Massachusetts in the Senate for more than four decades. Her uncle Robert served as junior senator from New York from 1965 until he was assassinated in 1968.

"Remember, [Clinton's] seat in the Senate was once held by Robert Kennedy," CNN Senior Political Analyst Bill Schneider said Saturday. "Her other uncle, Ted Kennedy, is ill right now. If [New York Gov. David] Paterson appoints Caroline Kennedy to the Senate, it means there could be a Kennedy staying in the Senate for quite a long time."

Paterson confirmed to CNN Saturday that Caroline Kennedy called and "asked a few questions" but did not express interest in the seat.

"I am sure if she's interested, she'll call back, but I'm not going to rate any of the candidates or talk about prospective candidates. It just adds speculation to the speculation," Paterson said.

But one Democratic source close to the Kennedy family said Caroline Kennedy "is interested to say the least" about discussing the Senate vacancy. The source said Kennedy has asked a tight circle of family friends and political advisers for advice.

A second source, who has knowledge of Kennedy's conversation with Paterson, tells CNN that Kennedy reached out to inquire about the responsibilities and impact such a move would have if she were selected by the governor to fill the position.

A Senate appointment for Caroline Kennedy would mark a change for the woman who has rarely run into the glare of political attention.

"Apparently, she has acquired a taste for politics, having endorsed Barack Obama early this year," Schneider said. "She wants to be part of this new regime in America, clearly playing a key role in the Senate if she gets that appointment."  Watch CNN's Bill Schneider discuss Caroline Kennedy's prospects »

Widely described as extraordinarily shy, self-deprecating and down-to-earth, Kennedy has tended to limit her forays into the public sphere to nonpartisan activity, penning books on civil liberties and serving as the de facto guardian of her father's legacy.

But in January, she backed a political candidate for the first time, announcing her endorsement of Obama during the Democratic primary season with an opinion piece in the New York Times that drew days of the kind of media attention she has spent her life avoiding.

"I have never had a president who inspired me the way people tell me that my father inspired them," she wrote. "But for the first time, I believe I have found the man who could be that president -- not just for me, but for a new generation of Americans."

Kennedy willingly lingered in the spotlight, serving on Obama's vice presidential search team, speaking at the Democratic National Convention and stumping for him through the primary and general election seasons.

In a campaign ad that featured video images of her father followed by images of Obama, Kennedy said, "People always tell me how my father inspired them. I feel that same excitement now."

There are a slew of high-profile candidates for Clinton's Senate seat -- including Attorney General Andrew Cuomo, whose last name carries some star power of its own in the Empire State -- but their odds grew just a bit steeper when stacked against the wattage of a storied Democratic dynasty.

Robert Kennedy was elected to the Senate with few ties to his adopted home state, but his niece's New York roots run deep.

Jacqueline Kennedy relocated to New York City after her husband's assassination in 1963, with children Caroline and John F. Kennedy Jr.

Caroline Kennedy has spent most of her life in the city, working there after graduating from Harvard, meeting her husband, Edwin Schlossberg, on the job at the Metropolitan Museum of Art and attending Columbia Law School there.

Her most prominent public roles to date involved overseeing her father's presidential library and presenting the annual Profiles in Courage Award.

She's also edited several books, from a volume of children's poetry and an updated edition of her father's book "Profiles in Courage" to a collection of patriotic verse ("A Patriot's Handbook: Songs, Poems, Stories, and Speeches Celebrating the Land We Love.")

Most of her leadership positions have been based in the arts: hosting the annual nationally televised Kennedy Center Honors in Washington and serving as the honorary chairwoman of the American Ballet Theatre, as her mother had.

Still, in late spring and early summer, she was whispered as a possible vice presidential candidate -- and more recently as a contender for secretary of education in an Obama Cabinet -- but elected office would mark a major shift for Kennedy.

Her history of avoiding partisan efforts, her limited policy track record and the lingering legacy of her father's presidency translated into a far less brutal Republican criticism than that experienced by the other members of Obama's vice presidential search committee, and there was a widespread continuing sense that she would not want to put herself in line for the tough criticism aimed at elected officials.

"I don't think she'd go that far," Kennedy White House speechwriter Theodore Sorenson told USA Today this summer after being asked whether he thought Kennedy wanted to hold office herself.

In his memoir, "Counselor," he quoted Jacqueline Kennedy saying her daughter had "gotten her horror of the press from me" and said the younger Caroline Kennedy used to hide her face when she spotted a cameraman.

But in a 2002 Time magazine interview promoting the updated "Profiles in Courage," Kennedy would not rule out the possibility of a run for public office.

"I don't have any plans to do that right now," she said. "I don't plan ahead. My kids are young, and I'm really happy to be able to be around. But I do care about issues, and I'm interested in them. So I don't see that now, but you know, I have a long life ahead of me."

The 51-year-old mother of three has still not spoken publicly about her interest in the job -- or whether, after months of campaign-trail conditioning, she might be comfortable with the idea of seeking election in her own right when Clinton's term ends.

CNN's Rebecca Sinderbrand and Monte Plott contributed to this story.

@highlight

Late president's daughter has expressed interest in Hillary Clinton's office

@highlight

Move would put Kennedy in seat once filled by her uncle Robert

@highlight

Kennedy has a history of avoiding partisanship and spotlight

@highlight

She said this year she was inspired by Barack Obama