(Real Simple) -- Here are some tips for keeping your plants healthy, plus suggested flowers and plants for container gardens.

1. Choose the pots

Make certain there are one or more holes in the bottom of your container to allow water to flow out freely. Insufficient drainage can cause roots to drown, and the plant to die prematurely.

Almost anything can be used as a container for plants, so what type of pot you choose depends upon your style preference and budget. If you prefer lightweight containers, which are easy to move around and can weather winter temperatures, look for resin, fiberglass, and plastic. Added bonus: These materials are not porous, so they absorb less moisture than unglazed clay or wood -- leaving more for the plant.

2. Choose the potting mix

Do not use soil from the yard or garden. It can be filled with weed seeds, insects, and fungal diseases.

Buy potting soil at your local garden center. It is a loose and light mixture of materials like peat moss, vermiculite, and, often, decomposed organic matter. If you are planting succulents or cacti, use a mix especially formulated for them.

To reduce plant maintenance, buy potting mix containing a time-release fertilizer and moisture-retaining polymer crystals. If that type of mix is not available, buy a time-release fertilizer (such as Cockadoodle Doo) and a jar of water-retaining crystals (like Soil Moist) and follow the package directions for adding to the potting mix.

3. Choose the plants

Make "Right plant, right place" your motto. You must take into consideration the conditions of your space. Don't try to grow a flower like a rose -- which requires six hours of full sun -- on a porch that gets only an hour in the early morning.

Do your homework (read books and plant tags), ask for advice at the garden center, and determine which plants will thrive in the available sun or shade.

When deciding what to buy, the simplest approach is to use one kind of plant per pot. If you choose to combine multiple types of plants, make sure they all like the same light and moisture conditions. Don't put a cactus and a pansy together in one pot and expect them to get along.

4. Prepare the pots

If your containers are large, place them where they'll ultimately go before filling them. Once they are full and watered, they may be too heavy to move.

Put a basket-type coffee filter or a shard of broken pot over the hole(s) in the bottom of the empty pot. This will prevent the potting mix from washing out but will still allow water to escape.

Before pouring in the soil, check its moisture content. Read directions on the bag for wetting it properly. Generally, you need to add water a little at a time and knead the mixture with your hands. A good rule of thumb is to wet the mix until it feels like a damp sponge.

Fill the container with the soil. Put in enough potting mix so the base of the plant (where the stem sprouts from the soil's surface) is about 1 inch from the top of the pot (to help visually estimate, position your plant while it's still in its nursery container). Before planting, pat down the soil lightly with your fingers to eliminate any big air pockets. Don't pack it down too hard.

5. Pot the plant

Remove the plant from its nursery container. (It's a good practice to water plants in their original containers at least an hour before transplanting. This will ease their removal and diminish transplant shock.) Support the top of the "root ball" (the semisolid mass of soil and roots) by placing a finger on each side of the stem; then tip the pot and let the plant fall gently into your hand. Never pull a plant out by its stem. If it is stuck, tap the sides of the pot to loosen it.

If the roots are circling around and around, the plant is "root-bound." Gently tease the ends of the roots free before planting.

Set the plant on top of the mix. If you are potting more than one plant, leave at least an inch or so around each root ball so you can add mix in between them. Carefully fill in with small handfuls of soil. Pat gently to eliminate air pockets. Do not pile soil on top of the plant -- make sure the stem is completely above the surface. Leave about an inch between the soil surface and the rim of the pot.

Water the container. This will settle the roots into their new home. If the soil level drops below the top of the root ball, add additional mix to bring it back up.

Watering

If you plant in the spring and the weather is mild, you can probably get away with watering about once a week. As the summer continues, plants need more water. Not only is the warm weather evaporating the moisture before the plant can use it, the plants need more water as they grow larger. Hanging plants and small pots may need watering twice a day (best times are morning and evening); once a day is enough for large pots.

Water your plants until the water comes out of the drainage holes. That way you know the soil is getting moisture all the way to the bottom.

Water the soil, not the leaves and flowers. Wetting the foliage can lead to fungal diseases and sometimes scorched spots on leaves.

Don't worry if plants and flowers look wilted in the hottest time of the day. As long as the top of the soil is moist, you probably don't need to water. Wilting is a self-protective mechanism to prevent too much moisture loss from the root area. Wait and see if the plants perk up after the sun goes down.

Don't let pots sit in water; this can cause root rot and death. If you are using saucers, empty them after you water and after it rains.

Feeding

Plants growing in containers need more fertilizing than those in the ground. The more you water, the more quickly you flush the nutrients out of the soil.

It's good to use a time-release fertilizer when planting (see Step 2 on the previous page), but it's the bare minimum. If you want really healthy and happy plants, feed them a liquid or water-soluble fertilizer every couple of weeks according to package directions.

Deadheading

Pinching or cutting off faded blooms, known as deadheading, is essential. It encourages a plant to keep producing more flowers.

Some plants have so many tiny flowers and stems, it would be too time-consuming to snip or pick off individual flower heads. For those types, it's best to shear the whole plant back to about one-third of its size. It will look "whacked" for about a week, but you will soon be rewarded with a flush of new buds and blooms.

Some flowering plants are "self-cleaning," meaning they don't generally require deadheading or shearing. These are usually prolific bloomers covered in smallish flowers, which just shrivel up and almost disappear on their own. Some examples are impatiens, mini petunias, diascia, and browalia. If they start to flag late in the summer, cut back the plant by one-third to rejuvenate blooming.

Good container flowers for sun Angelonia African daisy (Arctotis) Dahlia Purple fountain grass (Pennisetum setaceum 'Rubrum') Lantana Verbena Zinnia

Good container flowers for shade Tuberous Begonia Fuchsia Impatiens Browallia Torenia

Good colorful foliage plants for sun and shade Caladium (shade) Coleus (sun and shade, depending on variety) Phormium (full sun to part shade) Canna (full sun to part shade) Ferns (various types, filtered sun to shade) Persian shield (Strobilanthes dyerianus, full sun/part shade) Ornamental sweet potato vine (Ipomoea batatas, full sun/part shade) Ornamental grass (various types, full sun)

Good container flowers for sun and shade Twinspur (Diascia, full sun/part shade) Mini petunia (Calibrachoa, full sun/part shade) Nemesia (full sun/part shade) Scaevola (full sun/part shade) Salvia (Salvia guaranitica, full sun/part shade)

Note: Where only one name is listed, the botanical and common names are the same. E-mail to a friend

Get a FREE TRIAL issue of Real Simple - CLICK HERE!

Copyright © 2009 Time Inc. All rights reserved.

@highlight

"Right pot, right place" is key to beautiful container gardens

@highlight

Choose plants for amount of sun they need -- don't mix types

@highlight

Water them before transplanting into potting soil

@highlight

Potted plants need more fertilizer than garden plants