(CNN) -- When she was about 8, Frida Sepulveda developed dark folds of skin around her neck. It's a well-known warning sign of type 2 diabetes.

Blanca Sepulveda, right, was "devastated" when her daughter Frida began showing signs of type 2 diabetes.

Frida's mother, Blanca Sepulveda, who has watched other family members struggle with diabetes and obesity, was "devastated" to see her daughter experience similar health problems.

Now at age 11, Frida is about 5 feet, 6 inches tall and weighs around 180 pounds, her mother said. Despite a high body weight for her age and height, Frida does not seem to have additional symptoms of diabetes -- or any other major health concerns -- but her parents are trying to reverse the weight problem Frida has had since infancy.

The San Diego, California, family is among a disproportionately high number of Latino-American families with overweight and obese children. According to the 2007 National Survey of Children's Health, 16.6 percent of Latino high school students were obese and 18.1 percent were overweight. The corresponding national averages for high school students were 13.3 percent obese and 15.8 percent overweight.

It's an epidemic that shocked and saddened Lorena Garcia, a chef who appears on Univision and Telemundo.

"I travel all over the country to the major Hispanic festivals and I realized that 90 to 95 percent of the kids that I saw at the festivals were overweight," said Garcia, who established the Big Chef Little Chef program to teach Latino youth healthy cooking and eating habits.  Watch Garcia interact with her fans »

The problem is caused by a wide range of cultural, social, economic, environmental and possibly genetic factors. Experts agree it is an uphill battle to solve.

"You can't just try to change someone's behavior necessarily without trying to change their environment," said Dr. Michael Goran, director of the University of Southern California's Childhood Obesity Research Center. How can childhood obesity be reduced?

Blanca Sepulveda, 38, believes her own upbringing in Mexico before coming to the United States in junior high school ultimately contributed to her daughter's weight problem.

"The way I was raised ... you don't [leave] the dinner table until you're done with all your food. That's instilled in you," Sepulveda said.

Back in Mexico, she said, the food was healthier and fresher, and she didn't drink soda. But she still applied that mentality to her own children, who were born and raised in the United States, where sugar-laden and fattening foods are widely available.

The Sepulveda family's story is similar to that of other immigrants who are healthier than their American-born children: Those born outside the United States are less likely to be obese than native-born children, said Luisa Franzini, Ph.D., of the University of Texas School of Public Health.

Despite the trends, more study is necessary to determine whether American acculturation is entirely to blame for poor diets among Latinos, an expert says.

Rafael Pérez-Escamilla, a nutrition and public health professor with the University of Connecticut, wrote in the June 2009 issue of Journal of the American Diabetic Association that adaptation to U.S. society may explain, to some degree, "deterioration of dietary quality" and the risks of diabetes and other chronic diseases. However, he wrote, it's still not completely clear.

Healthy food harder to come by

Economic factors play a major role for many Latinos in their weight struggles.

Angelica Delgado is trying to overcome the obstacle with the Healthy Latino Families initiative, a culturally tailored nutrition and exercise program in Milwaukee, Wisconsin. As the Community Research Supervisor for the United Community Center, Delgado is trying to get healthy school lunches in the Bruce-Guadalupe Community School, with which she's working on Healthy Latino Families.

About 80 percent of Bruce Guadalupe's student body, which is 97 percent Latino, come from low-income households and therefore are eligible for reduced-price or free lunch.

Without money coming in to support the lunch program, it's difficult to fund better quality food and equipment to ensure that it's freshly cooked, Delgado said. For now, she hopes the fun, bilingual setting of Healthy Latino Families will teach children to make smart food choices.

The lack of availability of inexpensive, fresh, healthy food is a common for low-income populations in general, Franzini said.

Research suggests that more affluent neighborhoods have a higher availability of healthy food, she said, adding that the cost of healthy food is lower in more advantaged communities.

The community factor

Exercise also poses tricky problems for Latino children struggling with weight, as many live in disadvantaged areas may make it tough for them to play outside or walk to school.

From a physical point of view -- in terms of sidewalks and litter -- those areas tend to be in worse shape than an average neighborhood, Franzini said. But her research also suggests that the social component of a neighborhood affects children's physical activity levels.

"It's not sufficient to just clean up the neighborhood -- pick up the trash and build sidewalks," said Franzini, whose study on the impact of neighborhoods' social characteristics was published earlier this year in the American Journal of Public Health. "It also needs to be a neighborhood where people feel safe and they feel that they can go out and walk and run and exercise and do whatever they want to do."

To that end, Franzini's research indicates that those Latinos living in tight-knit communities often get more exercise than those in more mixed neighborhoods.

"Having a neighborhood which is more connected, where people feel safe -- I think it's all a matter of feeling empowered in a way. And so those who feel that they have this stronger neighborhood from a social point of view, they are also more likely to be physically active," Franzini said.

Finding solutions

Researchers and community advocates are attempting to combat the Latino youth obesity problem. But the multitude of factors makes the issue a moving target and results of interventions are mixed.

For example, about a year after a previous phase of Healthy Latino Families in Milwaukee wrapped up, children reportedly ate better and watched less television per day. Delgado said they are awaiting results from the current program, but she has seen some success already.

USC's Goran worked with Latino teenagers over 16 weeks to improve their diets, promoting fiber-rich tortillas and altering recipes of aqua fresca so it would have less sugar. But at the end of the four months, he saw "no significant improvement in the outcomes."

"We have to do those studies over longer time periods than we have previously done to kind of give these things a chance to work and kick in," Goran said. "We're ... taking it one step at a time."

And Frida's mom, Blanca Sepulveda, said she is focusing on modifying her own behavior to help her entire family.

"It's a retraining of the mind," Sepulveda said. "It gets hard because you have to be an example."

@highlight

A disproportionately high number of Latino-American families struggle with obesity

@highlight

Programs designed specifically for Latino children have had mixed results

@highlight

Economic factors play a major role for many Latinos in their weight struggles

@highlight

Exercise, and whether or not children feel safe to play, is another factor