WASHINGTON (CNN)  -- Taken alone, a California woman's 20-minute video "scrapbook" is basically a collection of photographic memories spanning her 19-year-old daughter's all-too-brief life. Birthday parties, picnics, graduations -- all set to evocative music and narrated matter-of-factly by the mother.

John Paul Stevens was one of three justices who wanted to grant further review of the defendant's case.

What makes this video unusual is that it was presented at a California murder trial as "victim impact evidence."

The Supreme Court on Monday gave an indirect endorsement to such videos when it rejected an appeal from a defendant who argued that the presentation violated his right to a fair trial.

The high court also rejected a similar capital case, also from California, involving a woman who narrated a video montage of her slain parents. With the court's refusal to intervene, the death sentences imposed by the juries in the two cases were upheld.

At issue was not whether any testimony can be used showing the impact a crime victim's loss had on family, friends and society at large. The question for the justices was how that testimony is presented. Some trial courts, but not all, have allowed such videotapes to be played in court, while often placing limitations on the content.

One case involved Douglas Oliver Kelly, convicted in the 1993 slaying of Sarah Weir. The teenager had befriended Kelly at a Burbank gym. Her body was found stabbed 29 times, probably by a pair of scissors.

During the penalty phase of the trial, the prosecution presented just one witness to provide victim impact evidence: the victim's mother, Martha Farwell, a Los Angeles-area attorney. She had prepared the video, describing how her daughter had been adopted from Canada and was a Blackfoot Indian. In the background is the music of Enya, an Irish singer and composer.

Most of the video simply describes the photos and home movies, but near the end is a shot of Weir's grave and Farwell's narration: "As time goes by, I try very hard not to think of Sarah in terms of this terrible tragedy that we've had to deal with here in court, but rather of her in a place like this."

Over photos of the Canadian landscape, Farwell concludes, "This is filmed in southern Alberta, the land where Sarah's people lived for so many generations. This is the kind of heaven she seems to belong in."

The trial judge had allowed the video to be presented, calling it a "very compelling tape" and adding that "it has more probative value than any prejudicial effect."

Kelly appealed, saying the video so influenced the jury that the panel was unable to render a fair assessment of the penalty. California's highest court allowed the verdict and death penalty to stand, but urged judges to use caution in allowing such video evidence.

Supreme Court Justice John Paul Stevens, in a brief statement, said Monday he would have accepted Kelly's appeal of his sentence and held oral arguments on the issue.

"The videos added nothing relevant to the jury's deliberations," he wrote, "and invited a verdict based on sentiment, rather than reasoned judgment."

But it takes four justices to grant further review of a case, and only Justices David Souter and Stephen Breyer joined Stevens.

Breyer called the Kelly video "poignant, tasteful, artistic and, above all, moving," but he noted that was the problem. "Those aspects of the film tell the jury little or nothing about the crime's 'circumstances' " the jury had to consider during sentencing.

The companion case dealt with Samuel Zamudio, convicted in the February 1996 slayings of Elmer Benson, 79, and his wife Gladys, 74, in the South Gate area of Los Angeles. The defendant lived next door to the Bensons and owed money to them. He robbed and stabbed the elderly couple, and a jury sentenced him to death.

The Bensons' daughter, Linda Bouffard, narrated 118 scenes from her parents' life. The trial judge forbade the playing of accompanying audio, and instructed Bouffard not to make inflammatory comments, an order she complied with.

Courts around the country have offered differing rulings on the issue of such videos. Juries in Maryland, Missouri, Montana and Arkansas have been allowed to see video of victims playing the piano, with their families at Christmas time, and playing with their children.

But a federal court in Massachusetts barred a video of about 200 photos of a victim, set to Beatles and James Taylor music. And a Texas court tossed out a murder conviction after a slain man's father showed a video tribute, also with Enya music, during the penalty phase.

The Supreme Court in 1991 upheld the use of victim impact evidence, saying it balanced what the justices at the time said was almost unlimited mitigation evidence the defendant could offer. But the high court said such evidence has its limits. Then-Chief Justice William Rehnquist wrote that a criminal defendant could seek judicial relief "in the event that evidence is introduced that is so unduly prejudicial that it renders the trial fundamentally unfair."

The justices in 2006 unanimously upheld the conviction of another California killer after the victim's family members wore buttons with a picture of the slain man as they sat silently in front of jurors throughout the trial.

@highlight

Case involved case of Sara Weir, stabbed to death in California

@highlight

Victim's mother, a lawyer, put together moving video scrapbook

@highlight

Defendant Douglas Oliver Kelly contended video was prejudicial

@highlight

Justices rejected Kelly's appeal, indirectly endorsing victim impact videos