(CNN) -- The pilot of the Asiana Airlines plane that crashed in San Francisco on Saturday was making his first landing with a Boeing 777 at San Francisco International Airport, the airline said.

But it wasn't his first time flying to San Francisco.

The pilot, Lee Kang-gook, had flown from Seoul to the city several times between 1999 and 2004, the airline said.

He has also clocked 43 hours flying a Boeing 777.

[Previous story, updated at 10:14 p.m. ET]

NTSB: Pilots attempted to abort landing 1.5 seconds before impact

(CNN) -- The cockpit voice recorder of Asiana Airlines Flight 214 appears to show the pilots tried to abort the landing less than two seconds before the plane crashed on the runway at San Francisco International Airport, the head of the National Transportation Safety Board said Sunday.

The plane's voice and flight data recorders show that the flight from South Korea was coming in too slow and too low and that the pilots appear to have increased speed seven seconds before impact, Deborah Hersman said. A stall warning sounded four seconds before the crash, and the crew then made an internal decision "to initiate a go-around 1.5 seconds to impact," she said.

The NTSB's preliminary assessment of the plane's cockpit and flight data recorders appear to indicate that the flight went from a routine landing to a disaster in a matter of seconds. But when asked if pilot error was to blame, Hersman said the crash landing was still under investigation.

"I would discourage anyone from drawing any conclusions at this point," she said, adding that investigators are still working to corroborate the information on the recorders.

But what happened inside the cockpit of the Boeing 777 may well be the key factor in Saturday's accident that killed two people, injured 182 and forced the temporary closure of one of the country's largest airports.

Amateur video obtained exclusively by CNN on Sunday shows the plane approaching the runway and striking what appears to be a seawall before spinning counterclockwise and coming to a stop. Fred Hayes said he shot the video about a mile from the crash scene.

Related: Asiana Airlines crash: At a glance

Some of the answers to what happened may just hinge on what investigators found on the voice and flight data recorders.

"What we need to do is corroborate the information we have both on the flight data recorder and the cockpit voice recorder," Hersman said.

"...But I'll tell you some of the things we are seeing on the flight data recorder are mirroring some of the things that are going on on the cockpit voice recorder."

For example, she said, the increase of power in the engines appears to correlate with the cockpit crew's internal decision to do a "go-around," a call to abort the landing and try it again.

Asiana Flight 214, with 291 passengers and 16 crew members, was at the end of a more than 10-hour direct flight from Seoul, South Korea, when it began its descent.

According to the recorders, the flight's approach appeared normal as the 777 descended, and "there is no discussion of aircraft approach" among the crew.

The target air speed for the approach of the flight was 137 knots, and the crew can be heard on the cockpit voice recorder acknowledging the speed, Hersman said.

But the speed was significantly below 137 knots, and "we are not talking about a few knots," she said.

At about four seconds before the plane crash landed, the pilots received an "aural and physical" warning inside the cockpit that the plane was on the verge of an aerodynamic stall, meaning it was about to lose its ability to stay in the air.

The warning -- known as a "stick shaker" -- included a verbal warning the plane that was flying too low and a physical warning when the throttle shook.

South Korean and NTSB investigators will jointly question Lee Kang-gook, the pilot who was sitting in the captain's seat of Asiana Flight 214, on Monday, Choi Jeong-ho, the head of South Korean's Aviation Policy Bureau, said.

Lee had 43 hours of experience flying the B777-200, he said.

They will also question Lee Jeong-min, who was sitting in the co-pilot's seat, Choi said.

Asiana CEO and President Yoon Young-doo has said there was no engine failure, to his knowledge. South Korean investigators will work alongside U.S. investigators.

The NTSB has ruled out weather as a problem and said that conditions were right for a "visual landing."

But investigators are looking into whether construction at the airport may have played a role.

Construction to extend a runway safety area temporarily shut off the so-called glide slope system, which is one of several options pilots have to help them land planes safely, Hersman said.

Internal damage to the plane is "really striking," she said, and officials are thankful there weren't more deaths.

Survivors of the crash were being treated Sunday for injuries ranging from paralysis to "severe road rash."

In all, 182 people were hospitalized and 123 others walked away from the crash landing. The number who emerged unscathed prompted the city's fire chief to describe it as "nothing short of a miracle."

On the runway, medics found the bodies of the two teen girls lying next to burning wreckage. They were identified by Asiana Airlines as Ye Mengyuan and Wang Linjia, both Chinese nationals.

"We were expecting a lot of burns," said  Dr. Margaret Knudson, San Francisco General Hospital's chief of surgery. "But we didn't see them."

At San Francisco General, 17 survivors remained hospitalized, six of them in critical condition.

Related: Passengers knew they were too low

Many of the injured said they were sitting toward the rear of the aircraft, said Knudson. Several suffered abdominal injuries and spine fractures, some of which include paralysis and head trauma, she said.

Many patients also were treated for "severe road rash," which suggests "that they were dragged," Knudson said.

The conditions of victims at other hospitals were not made public Sunday.

Survivors and witnesses reported the 7-year-old airliner appeared to be flying too low as it approached the end of a runway near the bay.

Expert: The plane 'should never have been close to the seawall'

Airport technology called the Instrument Landing System, or ILS -- which normally would help pilots correctly approach the runway -- was not operating at the time, according to a Federal Aviation Administration bulletin.

The ILS integrates with the aircraft's cockpit to trigger an audible warning, consultant and retired 777 pilot Mark Weiss told CNN. "You hear a mechanical voice that says, 'too low, too low, too low.'"

The ILS is "nice to have," Weiss said, "but it's not critical on the 777."  There are redundant systems aboard the aircraft that would provide similar warnings if the plane was coming in too low, said Weiss, who has landed 777s hundreds of times.

The pilot operating the aircraft was a veteran who had been flying for Asiana since 1996, the airline said.

Witnesses recount the crash

Survivors reported hearing no warning from the cockpit before the landing.

Passengers scrambled to exit a crash scene that one survivor described as "surreal."

When rescuers arrived, they found some passengers coming out of the water, said city fire chief Joanne Hayes-White.

"There was a fire on the plane, so the assumption might be that they went near the water's edge, which is very shallow, to maybe douse themselves with water," she said.

Related: Why the crash was survivable

Some jumped out or slid down emergency chutes with luggage in hand.

Statistically, 2012 was the safest year in terms of aviation accidents worldwide since 1945, according to the Aviation Safety Network.

Data show that there were 23 fatal airliner accidents, which caused 511 deaths, according to ASN stats. That's well below the 10-year annual average of 34 accidents and 773 fatalities.

Survival rates have improved due to better staff training and safety advances during the 1980s and 1990s, according to the group.

Asiana's flight history over last 20 years

@highlight

This was the pilot's first time landing a Boeing 777 at the San Francisco airport

@highlight

The pilot had 43 hours of experience of flying the 777, South Korea says

@highlight

NTSB: Plane was well below the target air speed for approach

@highlight

Pilots called for a "go-around" 1.5 seconds before impact, NTSB says