(CNN) -- Thailand's warring political factions hardly need red shirts and yellow shirts to identify themselves: a short few hours by road from Bangkok reveals a dramatic shift in culture.

In central Bangkok, the young and moneyed throng the bars of Thong Lo where the men have the well-groomed detachment of the younger Abhisit -- the Eton and Oxford-educated leader of the opposition, whose 2008-2011 government launched a violent crackdown on the largely rural pro-Thaksin Shinawatra red-shirt protesters in 2010.

Amid the jazz bars and cool beer gardens of Thong Lo, these young Thais represent not only an urban and educated middle class but also the money of some of Thailand's most established families.

Just a few hours to the northeast and the prevailing culture gives way to pick-up trucks, cowboy hats and the whine of electric organ and guitar that comes from "mor lam" music: the Thai "up country" version of country and western.

Even the King of Thailand, whose image beams from billboards dotted along the highway, is shown in his up country guise wearing the ubiquitous slouch hat favored by Thai farmers.

Traditionally the poorest region of Thailand, Isan, in the northeast of the country, accounts for a third of Thailand's population. However, it is rapidly turning from its economic staple of subsistence farming to an economy driven by trade and services.

Booming economy

If growth in Thailand -- South East Asia's second largest economy after Indonesia -- is slowing, in the northeast of the country it's booming.

Economic growth in the region hit 40% from 2007 to 2011, compared with 23% for the rest of Thailand over that period and just 17% for greater Bangkok, according to government figures.

Isan, which once exported people to Bangkok and the rest of the world as cheap migrant labor, is seeing its workers return.

Prime Minister Yingluck Shinawatra -- the sister of deposed prime minister Thaksin Shinawatra -- has brought in a raft of policies that ensure Thaksin's populist policies, which included practically free healthcare and low-interest loans, continue to underpin the boom in the red shirt heartland.

Chief among them is a 2.2 trillion baht (US$71 billion) infrastructure program aimed at the northeast and a nationwide minimum wage of 300 baht (US$10) a day. In some parts of Isan, this boosted household incomes by more than 35%.

An expensive rice subsidy, which guarantees farmers 40% above market price for their crops, that has led to a conservative estimate of losses in the region of 136 billion baht ($4.3 billion), has been widely criticized in Thailand and even recently drew fire from the International Monetary Fund, which urged Thailand to drop the $21 billion scheme.

Sleeping giant

As the boom fuels a growing middle class, Bangkok's elite now realizes that it ignores the northeast -- which holds a third of the electorate -- at its peril.

Paul Quaglia, director at PQA Associates a Bangkok-based risk assessment firm, said that while Thaksin's populism has been demonized in Bangkok, it has awoken a sleeping giant in the northeast.

"There's this cultural overlay," Quaglia told CNN. "Thailand's system has been fairly feudal with the social ascendancy of a small group of historic families in Bangkok lording it over the rest of the country.

"There's an attitude that says 'it's not so wrong to have smart and good people in Bangkok running the entire country'. They don't really want to see one man, one vote.

"It sort of echoes U.S. history when women and blacks fought to get their vote. The underlying supposition is that these people aren't smart enough to really cast an intelligent vote, they're prone to corruption, you can buy their vote for $5."

Social revolution

He said the advent of social media had also changed the political landscape in Thailand, giving both sides of the political divide a means of organizing quickly and challenging government.

"In Bangkok, we saw the so-called 'V for Thailand' movement where thousands of people changed their Facebook pages," Quaglia said, referring to anti-Shinawatra protests in June.

"But also in the northeast, there's a robust social media exchange among people."

According to Thitinan Pongsudhirak, Professor of Political Science at Chulalongkorn University, the political and socio-economic divide in Thailand is further complicated by the position of the Thai monarchy.

"In Thailand, we are seeing the rise of a citizenry that used to be merely loyal subjects," Pongsudhirak told CNN. "This means that in Thailand almost all Thais are monarchists and democrats at the same time. Most Thais will not reject democracy and they want to protect the monarchy -- they embrace both."

However, he said that divisions have emerged in this widely held position.

"Some people will embrace electoral democracy first and foremost; these are the people that keep voting for the Thaksin party because they feel that it gives them a voice, it gives them rights, it allows their grievances to be expressed and everything else is subservient to that.

"On the other side you have the anti-government protesters. They don't reject the electoral democracy but they prefer the monarchy-based social and political hierarchy at the top. That's why they keep calling for good people to run a good government to eradicate corruption."

He said that the monarchy will be critical to the stable future of Thailand.

"The monarchy has become the fault line of Thailand's entrenched polarization and its future, including the succession, is where the battle lines will be drawn."

CNN's Kocha Olarn contributed to this report.

@highlight

Thailand's protests reveal an increasing divide between the urban south and the rural north

@highlight

Bangkok's cosmopolitan urban middle class contrasts with a growing middle class in the north

@highlight

As Thailand's economy slows, in the northeast government policies are fueling a boom

@highlight

Analysts say the advent of social media had also changed the political landscape in Thailand