(CNN) -- President Barack Obama's re-election campaign is spending record amounts of money for online advertising and more than twice as much as his Republican rival, a CNN analysis of campaign finance data shows.

In the first few months of 2012, Obama's campaign bought nearly $16.4 million worth of online ads after spending almost $2.2 million last year -- even though he didn't face a Democratic challenger. That means he is on pace to spend a record amount on digital ads, according to ad spending experts.

The campaign for Mitt Romney, who survived a heated primary race to become the presumptive Republican nominee, spent $7.8 million for online ads this year, in addition to the $500,000 it spent in 2011. The numbers are compiled by the Federal Elections Commission from reports by the campaigns.

Zac Moffat, digital director for Romney's campaign, predicted online ad spending would pick up for both camps as the general election contest kicks into high gear.

"We plan to do a ton more now that the primaries are over," he said. The Obama campaign won't comment on its digital strategy.

Moffat said that while TV ads are like hitting voters over the head with a hammer, Internet ads are more like using a scalpel.

Obama's campaign going to the dogs -- and cats and chickens

When it comes to reaching specific voters, Moffat said, "you can be a lot more precise with your message online." Plus, compared with broadcast, online ads are cheaper and easier to track.

"We can show the value of a particular message right away by seeing who clicks through or who spends time with a particular message," he said. "We can immediately demonstrate its value, and we have hard numbers to show a person's engagement."

In theory, such targeted ads can help the candidates better engage with the key voters they need in what's sure to be a close election: the elusive swing state independents, the coveted Hispanic groups, the Catholics who vacillate between Republicans and Democrats. The campaigns buy ad space on sites such as elNuevoHerald.com to reach Latino groups and SuburbanChicagoNews.com to find the Catholics who could vote either way, and look for independents on general news sites such as CNN or e-mail sites such as Yahoo!

"They can find where these coveted voters specifically are online and get their message to them," said Kate Kaye, senior editor for ClickZ, a trade publication that covers the digital advertising industry, and author of "Campaign '08: A Turning Point for Digital Media."

"It's a major advantage."

Moffat also noted that Romney's campaign, like Obama's, has posted multiple videos to Hulu and YouTube to reach people who don't watch TV much. There's another strong advantage to online video ads: You generally can't fast -forward through them like you can if you use a DVR to watch TV.

Both campaigns have already spent millions on TV ads. The Obama campaign spent nearly $13.3 million from January 19 to May 22, while the Romney campaign spent more than $15 million from November 22 to May 22, according to Kantar Media/Campaign Media Analysis Group, which tracks political ad spending.

Online, the Romney campaign has spent much of its early money on Google search terms. Type in "George Romney," Mitt's father, and an ad for his son appears on the top of the page. "Mayor Booker" pulls up a "Stand With Cory Booker" ad from the Republican National Committee criticizing Obama.

The Obama campaign is doing the same on Google, but ad buys for both sides may change, as the political debate shifts. When "Buffet Rule" was a hot topic a few weeks back, a Google search turned up a link to WhiteHouse.gov. That ad has since disappeared now that the term is no longer in the news.

Romney's online campaign seems pretty traditional so far. Type Romney's name into Moat.com, a visual ad search site, and 20 ads appear, most with a simple message such as "Stand with Mitt," "Ready to Lead" or "Vote for Mitt." In many of the ads, the candidate stands alone smiling confidently, looking off into the distance.

Prove Mitt's not a unicorn, group says in satirizing 'birthers'

"What he is trying to do here is essentially show Romney is the strong leader, implying that Obama is the weaker leader," said Drew Westen, an Emory University psychology professor who wrote "The Political Brain," a book about the role of emotion in deciding elections.

For now, Romney's ads are most likely to show up online where readers may be sympathetic to his message, or on sites that would catch the attention of voters in a particular primary state.

According to a CNN analysis of Nielsen Online AdRelevance, which tracks online ad spending, Romney's campaign made its largest online ad purchase -- some $32,000 -- on DrudgeReport.com. The site had more than 5 million Romney ad impressions between January and April. His ads also ran on local news sites such as TheState.com in South Carolina and OrlandoSentinel.com in Florida.

By comparison, Obama's campaign spent the most at Comcast.net, paying more than $1 million for ads that have appeared on the site more than 238 million times. His ads also pop up regularly on general news sites such as CNN and The New York Times. They also turn up in some unexpected places -- games.com, elyrics.net and match.com.

The images in the 145 Obama online ads that surface on Moat.com stand in stark contrast to Romney's. Most feature first lady Michelle Obama or the president's entire family. There's even one that features their dog, Bo. The messages encourage people to "Enter to win dinner with Barack" or "Wish Michelle a Happy Mother's Day" by clicking the ad.

"It makes a lot of sense to put Michelle front and center," Emory's Westen said. "She is so much more popular than the president is at this point. It makes him likable to be associated with her. I think Romney should be doing more of this, because his wife seems quite likable in a very different way. It will be key for Romney to share who he is in a real way with voters so they can feel some connection."

Borrell Associates, which tracks ad spending, predicts online ad purchases will make up about 1.5% of the candidates' overall campaign ad budgets. While that may not sound like much, Borrell said it would be $159 million more than in 2008 -- a sevenfold increase. And it's likely that as technology improves, that number will grow.

"What TV and radio used to do exclusively is now something, with the improved technology, that online ads can do very well," Kaye said. "So you can be sure to see a lot more political presence online in the very near future."

@highlight

President Obama spent $16.4 million this year on online ads, twice as much as Mitt Romney

@highlight

Online ads are seen as a better way to target specific voters

@highlight

Romney's ads appear traditional; Obama's feature his family, wife, even his dog