(CNN) -- Do you know how long your cell phone company keeps records of whom you text, who calls you or what places you have traveled? Do you know how often cell phone companies turn over this information to the police and whether they first ask the police to get a warrant based on probable cause?

No, you don't. Not unless you work for a cell phone company or a law enforcement agency with a specialty in electronic surveillance. You aren't alone: Congress and the courts have no idea either.

The little we do know is worrisome. The companies are not legally required to turn over your information simply because a police officer is curious about you. Yet wireless carriers sell this information to police all the time.

As far as the cell phone companies are concerned, the less Americans know about it the better.

Whom you text and call and where you go (tracked by your cell phone as long as it's on) can reveal a great deal about you. Your calling patterns can show which friends matter to you the most, and your travel patterns can reveal what political and religious meetings you attend and what doctors you visit. Over time, this data accumulates into a dossier portraying details of your life so intimate that you may not have thought of them yourself. In comparison with companies such as Facebook and Google, which collect, store and use our information in one way or another, cell phone companies are less transparent.

U.S. Rep. Edward Markey, co-chairman of the Congressional Bipartisan Privacy Caucus, recently requested that cell phone companies disclose basic statistics on how our personal data is shared with the government. Let's hope the companies are forthcoming -- but don't hold your breath.

To be sure, there can be legitimate reasons for law enforcement agents to track individuals' movements. For example, when officers can demonstrate to a judge that they have a good reason to believe that tracking will turn up evidence of a crime. But with a surveillance technique this powerful, the public has a strong interest in understanding how it is used to ensure that it is not abused. While the details of individual investigations can legitimately be kept secret, the public and our elected representatives have a right to know the policies in general so their wisdom can be debated.

Cell phone companies have long concealed these facts, and they're fighting vigorously to keep it that way. In California, the cell phone industry recently opposed a bill that would have required companies to tell their customers how often and under what circumstances they turn over location information to the police, complaining that it would be "unduly burdensome."

What little has come to light so far about the companies' practices does not paint a comforting picture. Addressing a surveillance industry conference in 2009, Sprint's electronic surveillance manager revealed that the company had received so many requests for location data that it set up a website where the police could conveniently access the information from the comfort of their desks. In just a 13-month period, he said, the company had provided law enforcement with 8 million individual location data points. Other than Sprint, we do not have even this type of basic information about the frequency of requests for any of the other cell phone companies.

The poorly understood relationship between cell phone companies and police raises grave privacy concerns. Like the companies, law enforcement agencies have a strong incentive to keep what is actually happening a secret, lest the public find out and demand new legal protections. More than 10 years ago, the Justice Department convinced the House of Representatives to abandon legislation that would have required law enforcement agencies to compile similar statistics, arguing that it would turn "crime fighters into bookkeepers."

The excessive secrecy has frustrated the ability of the American people to have an informed debate on just how much information police should have access to without judicial oversight or having to show probable cause. It has also prevented Congress and the courts from effectively addressing these intrusive surveillance powers. That is not how our system of government is supposed to work.

It would not be difficult for the carriers to tell customers how their data is collected, stored and shared. In fact, an internal Justice Department document from 2010, dislodged through a public records request by the American Civil Liberties Union, showed the data retention policies of all major carriers on a single piece of paper. The phone companies have all created detailed handbooks for law enforcement agents describing their policies and prices charged for surveillance assistance, a few dated versions of which have seeped out onto the Internet.

If the cell phone companies can provide this information to law enforcement agencies, they can and should provide basic information about their sharing of data with law enforcement to their customers, too. While law enforcement sometimes argues that making members of the public aware that cell phone companies can track them will make it more difficult to catch criminals, it is too late in the day for that argument now that cell phone tracking is a staple of television police procedurals.

Why aren't these policies available on the companies' websites? With such information, consumers could vote with their wallets and punish those companies that don't protect privacy. Keeping their customers in the dark about surveillance is better for business, it seems.

We pay the cell phone companies to provide us with a service, not keep tabs on us for the government. And yet the companies that now have access to some of our most private information refuse to reveal even the most basic facts about their policies? We deserve better.

The opinions expressed in this commentary are solely those of Catherine Crump.

@highlight

A number of cell phone companies are selling users' private information to police

@highlight

Catherine Crump: Wireless carriers have been secretive about their actions

@highlight

She says the public needs to be informed so that this surveillance technique is not abused

@highlight

Crump: Wireless carriers should tell customers how data is collected, stored and shared