Jerusalem (CNN)In a sea of Jewish parties campaigning at Hebrew University, Ayman Odeh was the star attraction.

But this powerful new face in Israeli politics is not Jewish. While he is an Israeli citizen, the charismatic 41-year-old lawyer is of Palestinian descent -- one of 1.6 million Israeli Arabs living in Israel.

Under Odeh's leadership, Israel's tiny, splintered Arab parties have teamed up for the first time to form a slate known as the Joint List. Come election day on Tuesday, they are poised to take as many as 15 seats. This could potentially make them the third-largest party in the Knesset after Benjamin Netanyahu's Likud party and his main rival, the Zionist Camp coalition, potentially giving them the balance of power.

It is a game-changer, giving a significant voice to one-fifth of the population that has long complained of being treated as second-class citizens.

His most immediate goal is to deny a new term to Netanyahu, who he says has led the "most racist government in history."

"Netanyahu says the danger to Israel is not Palestinians in the West Bank, but rather Arabs in Israel. What is that telling me as a citizen of Haifa?" he asked in an interview on Saturday. "With 15 seats in the Knesset, no one will ever be able to ignore us again."

Until now, Arab parties have failed to unite because of deep ideological differences. They run the spectrum from communist to Islamist. But a law passed by the last Knesset, sponsored by the right-wing party of Foreign Minister Avigdor Lieberman, raised the threshold of votes a party must receive to be admitted to the Knesset.

Many believed Lieberman's goal was to push the Arab parties out of the Knesset. It's a theory that was given credence when, in recent televised debate, Lieberman warned Odeh, "You are here for now."

"Why are you even here?" Leiberman said to Odeh. Baiting him by accusing him of "representing terror groups," Lieberman turned to Odeh and said, "You're not wanted here."

Odeh politely noted that his Joint List was polling well ahead of Lieberman's party.

"I'm very wanted in my homeland," he said. "I'm part of the scenery. I resemble it."

With that calm, dignified response, Odeh attracted political star status among Jews and Arabs alike. At the Hebrew University forum, event students campaigning for the Labor Party and the left-wing Meretz Party wanted to take selfies with him.

More importantly, he has given hope to the 1.6 million Palestinians who hold Israeli citizenship that they might finally enjoy social and economic equality.

In the Wadi Nisnas neighborhood of Haifa where Odeh grew up, the shopkeepers and restaurant owners welcome him as a native son.

Odeh goes door to door with the ease of a natural politician, speaking about the importance of turning out to vote to ensure the Joint List gets enough seats to change the face of the Israeli government.

Over hummus and stuffed vegetables, he speaks about a 10-year plan to close the social gaps between Israel's Jews and its Arab population, speaking about issues such as education, housing, employment for women, public transportation in Arab towns and recognition of unrecognized Bedouin communities in the Negev.

Growing up, he says he identified with Malcolm X. But as he got older, he began to feel he should follow in the footsteps of Martin Luther King Jr.

With a large block in parliament, Odeh says he would have a greater platform to press for better treatment of Palestinians in the occupied territories and to speak out about the need for a Palestinian state living beside Israel.

"What makes people vote is the hope of change," he said. "We have been ceding hope again and again. But we are 20% of the population. We can prevent the right from forming a government."

There is some skepticism here that Arabs will finally have a say in how the government is run, but most are hopeful.

Sitting on a stoop chopping celery stalks for the grocery store across the street, Sami Abuliat says Odeh is a good spokesman for Palestinians living inside Israel.

"We've asked for so many rights we don't we won't get," Abuilat says. "The big eat the small. But united, we can be strong. This is a good first step."

If, as many expect, Likud or Labor fail to strike deals with smaller parties to get the 61 seats needed to form a government, they may be forced to join together in a "national unity" government. That would make the next biggest group of parties, and Odeh, the official opposition.

It's a position he says he would prefer over joining an Israeli government, which he says dedicates a large chunk of its budget to policies that discriminate against the Palestinians.

The Prime Minister is required to brief the leader of the opposition at least once a month on diplomatic and security matters. Odeh would be entitled to a seat on Israel's foreign affairs committee in the Knesset and is obligated to address the Knesset after every speech by the Prime Minister. He would also protected by the Shin Bet security service. He would have the ear of foreign leaders, who would reach out and meet with him to hear his views.

Odeh says he needs the help of Israeli Jews, who he hopes one day will become a greater voice in the cause of social justice for all Israelis.

"Arabs alone cannot make a democracy strong. It has to be Arabs and Jews," he says. "My dream is one day we will build a real Arab-Jew party, and I tell Jews to come join us and build a true democratic party in this country."

It's a message that resonates back at Hebrew University, where some Jewish students are joining the fight against what they call institutional discrimination in Israel.

"It is not only a struggle of the Palestinian minority living in Israel. It is the struggle of the Palestinian minority together with democratic Jews like myself," says Ofer, a student with the Jewish communist Hadash party.

It's not a vision shared by most in Israel, but Odeh's message to students is "this is your chance."

By finding their voice and using their vote, he says, they can make the dream of equality a reality.

@highlight

Ayman Odeh is a new face in politics: He is an Israeli citizen and a charismatic lawyer of Palestinian descent

@highlight

Under Odeh's leadership, Israel's tiny, splintered Arab parties have teamed up

@highlight

They are poised to take as many as 15 seats in the Knesset