Palau, Mexico (CNN) -- Fermin was a mechanic, not a coal miner, but on the morning of February 19, 2006 he had to go down into the Pasta de Conchos mine near here to fix a broken cart that couldn't haul the coal out.

Five years later, Fermin's remains are still more than 100 meters (109 yards) below the ground, together with dozens of miners who worked that night.

Daniel Ezquiel, Fermin's only son, doesn't remember his father. He was just 1 year old when "the mine swallowed the miners."

So that he won't forget, his mother, Maria de Lourdes, sets aside part of her widow's pension -- 2,200 pesos a month -- to buy any newspaper that publishes something about the incident. She cuts articles and photos, and pastes them in an album.

That Sunday, just past 2:30 a.m., an explosion left 65 miners buried who were working inside the Pasta de Conchos mine, in the Mexican state of Coahuila, in northern Mexico.

The mine is owned by Grupo Mexico, one of the largest mining companies in the country.

Then-President Vicente Fox never visited the relatives mourning at the mine site. President Felipe Calderon has also avoided meeting with the more than 300 family members.

After five years, the relatives and about five widows continue asking for the bodies to be retrieved from the mine. Citing dangerous conditions, the company abandoned the attempts to pull them out.

Maria de Lourdes says that a year and a half ago, she stopped receiving the 420 pesos the-ex governor of Coahuila sent so that the children of the miners could continue studying.

She sells baby clothing to complement her income and keep her son in school. She doesn't want Daniel Ezequiel to be a coal miner.

There are several versions about the cause of the incident that killed the workers. Grupo Mexico says that there was an explosion caused by a ball of gas -- gas that escapes from the earth at the moment of the coal extraction -- and that as a consequence, the temperature in the mine rose to more than 900 degrees Celsius (1,652 degrees Fahrenheit).

However, according to the autopsies of the only two bodies that were pulled from the mine, their deaths were caused by asphyxiation, not burns.

Those two bodies were located in the ninth diagonal tunnel in the mine. Grupo Mexico says it went nearly 2.8 kilometers (1.7 miles) into the mine, but hadn't found the other remains.

In February 2007, the Coahuila state government produced 65 death certificates certified by a medical examiner, even though only two bodies had been recovered.

With 63 bodies still underground, Grupo Mexico decided to suspend the rescue of the bodies in April 2007. At that time, the company argued that according to their investigations, 25% to 75% of the mine was flooded and "the water possibly is contaminated by HIV, tuberculosis, hepatitis, that could contaminate the rescuers, their families and entire populations." These findings were given to the Pasta de Conchos Family Organization, which has advised the victims' relatives.

Inspection records from a few months before the blast revealed that the ventilation system was failing and that there were problems with the electrical equipment. Some family members say the workers complained of a strong odor of gas.

Through a spokesman, Grupo Mexico declined to speak about the incident, citing internal policies.

Cristina Auerbach, lawyer for the victims' relatives in the Pasta de Conchos Family Organization, said that explosions in the regions' mines had been recorded since 1889. Even then, the only times that bodies were left inside the mine were 1889 and 2006. In the rest of the cases, the bodies were always recovered, alive or dead.

Auerbach recalled one of the biggest blasts that happened in 1969 in the town of Barroteran. In the Guadalupe mines, more than 160 people died. A little over a year later, all the bodies were recovered.

"The question isn't whether Chile could and Mexico couldn't, because the answer that they will give is that it was different because that mine was mineral and this one was coal, and this one had gas and that one didn't. What you can compare is the government's attitude," she said. "Neither Vicente Fox nor Felipe Calderon has wanted to meet the families. Not only that, but in coal mining region, the bodies are always rescued. Only at Pasta de Conchos they are not."

In northeast Coahuila, it's common to find someone who has a miner in the family. Walking down the streets of towns like Nueva Rosita, Palau, San Juan Sabinas and Muzquiz, you can see trucks full of freshly mined coal at all hours.

At the end of each shift -- around 3 p.m., 10 p.m. and 6 a.m. -- trucks pass by with men whose faces are painted black by the carbon dust that fell on them during their 12 hours of work.

Nearly all the coal in Mexico is produced in Coahuila, according to the National Institute of Statistics, Geography and Information.

Raul Villasana, retired at age 67, also was a miner. He worked for more than 20 years in Grupo Mexico's mines. One of his sons remains inside Pasta de Conchos. He and his wife Trinidad have traveled several times to Mexico City to participate in demonstrations in front of Grupo Mexico and the Labor Ministry to plead for the excavation of their son.

"We were recently at the Interior Ministry in November and what I asked for was my son's rescue. I have asked for that since the beginning. Because the mine is not a cemetery, right? It's for people to work in," he said. "What we are asking the company and the government to do is to give the bodies to us, so we can do a holy burial and take him flowers, go see him, go visit him with his daughters, wife, sister, who also have asked for this."

Villasana's son left behind a son and two daughters. The widow decided to invest the 750,000 pesos that the family received from the company to set up a used clothes business that she supplies from the United States.

Maria de Lourdes, Fermin's widow, knows the mining life well. Her father, Arsenio, was also a miner. He mined black gold from Pasta de Conchos. He retired several years before the blast.

Five years after the tragedy, she says some rescuers have dared to confess that at night they heard "noises like pickaxes striking on metal."

Arsenio thinks those were the sounds of the last surviving miners.

"Though after all that time there is no way that they could come out alive," he stated.

For residents like Villasana and Arsenio, Pasta de Conchos turned from a mine into a cemetery the morning of February 19. 2006.

@highlight

5 years ago, explosion buried 65 coal miners

@highlight

Owner of mine, Grupo Mexico, refuses to bring bodies out

@highlight

Attorney for families compares situation to Chile's