(CNN) -- My grandfather Jacques Yves Cousteau shared with me many stories about the United Nations Earth Summit in 1992 and the sense of hope that surrounded it. I have kept a copy of the speech he made there on June 5th outlining his concerns for the future of humankind. The insight it provides now, on the eve of the 20th anniversary of that historic event, is particularly poignant.

Chief amongst those concerns was the issue of population, and how it directly relates to women and education.

To be clear, my grandfather was not a proponent of draconian policies restricting birth rates or depriving people of their right to have children. While growing up, I heard his constant refrain that the key to solving the population crisis is to empower women.

As he pointed out in his 1992 speech: "In all the countries with an excessive birth rate, women are segregated, deprived of appropriate health care; the rate of illiteracy among women is one-third higher than for men."

My grandfather believed that when women are empowered socially, economically and given access to family planning and general education, the birth rate drops. He was not alone; the rise of the micro-credit movement and the success of organizations such as the Grameen Bank have radically changed the way a woman's role is viewed in communities around the world.

See also: Can Rio +20 solve the world's environmental problems?

As Abulkalam Abdul Momen, Vice-President of the United Nations Economic and Social Council pointed out during a 2011 meeting of the Council: "Educated women are better able to plan their families and are more aware of employment, schooling and health opportunities for themselves and their children. On a wider level, fewer children in a society mean that more resources are available to every individual child."

Why do Jacques Cousteau's words continue to resonate today?

Since 1992, the global population has increased from 5.6 billion people to approximately 7 billion in 2012, and is expected to balloon to 9.5 billion by 2050.

Like too many people packed into a vault with an ever-dwindling oxygen supply, this drastic growth still presents unprecedented problems for the global community as we continue to consume natural resources and emit pollution at a staggering rate.

For example, just to keep pace with current population growth, it is estimated that food production will have to increase 70% by 2050. The lack of access to clean, potable water is still the number one killer of children under five years of age, and the United Nations estimates that without concrete action to solve the world's water crisis, billions more people will lack access to clean water by the middle of the century.

See also: Earth Summit timeline

Add to that the effects of climate change, ocean acidification, dwindling biodiversity and collapsing global fish stocks, and the magnitude of the problem comes into dismal focus.

Now, from June 20-22, 2012, leaders from around the world will gather again in Brazil for the United Nations Conference on Sustainable Development, or Rio+20 as it is often called.

There is no doubt that this conference comes at a difficult time; a time when the world economy is in crisis and global political action is particularly halting, especially and embarrassingly in the United States thanks to vitriolic partisan battles over any environmental legislation as well as the failure to enact even basic carbon-cutting initiatives.

Nevertheless I believe that there are still grounds for hope. Because while the challenges we face are even more urgent than in 1992, the growing chorus of voices supporting sustainable practices in the private sector, the growing prominence and respect for women in countries around the world and the general willingness to face the realities of carbon pollution are cause for cautious optimism. We must never stop fighting for a better world.

As my grandfather said in his closing remarks: "I wish that at this Rio Conference, heads of state and their delegates realize the urgency of drastic, unconventional decisions. The people of the world are anxiously awaiting a new light."

Now, almost 20 years later, humanity stands on the edge of a knife that becomes sharper with each passing day. We must act boldly and courageously to build a world that realizes the simple birthright of every child ... to live in a world where they can breathe fresh air, drink clean water, and walk on green grass under a blue sky. The silent cries of future generations demand it.

The opinions expressed in this commentary are solely those of Philippe Cousteau.

@highlight

Philippe Cousteau's grandfather Jacques was at first Earth Summit in Rio in 1992

@highlight

Cousteau says empowerment and education of women is key to achieving Rio+20 summit goals

@highlight

Rising global population combined with changing climate puts "humanity on the edge of a knife" says Cousteau