New York (CNN) -- Two of the three suspects believed to be involved in a potential 9/11 anniversary plot against New York or Washington are of Arab descent and traveled to the United States last week, according to a U.S. government official.

Authorities are operating under the assumption that two of the suspects have arrived on U.S. soil, and have been piecing together clues gleaned from flight logs and manifests, among other sources, said the official, who declined to be named.

A third plotter is believed to have been traveling in Europe, though it is not clear whether that person has arrived in the United States, the official said.

American spy networks had intercepted communications of an attack from an al Qaeda operative in Pakistan, derived from a source who has provided accurate information in the past, official say.

No other corroborating evidence of an attack has been uncovered, but it has prompted intelligence officials to sift through communications from other al Qaeda cells.

The information suggests the plan -- thought to involve a vehicle-borne explosive device -- is meant to coincide with the 10th anniversary of the September 11 attacks. The exact type of strike, however, is largley unclear and still remains unconfirmed.

U.S. officials rarely speak on the record about intelligence intercepts. And in the days following the raid on Osama bin Laden's compound, officials indicated al Qaeda had gone to great lengths to avoid having its communications intercepted by the United States.

While the precise nature of communication intercepts is rarely discussed, U.S. officials repeatedly have indicated their comfort with sharing the results of those intercepts.

Authorities also say they have picked up "chatter," or widely divergent communications, from extremists that suggest the newly tapped al Qaeda head, Ayman al-Zawahiri, is in some way involved in the current plot.

Meanwhile, heightened security was visible Saturday in New York and Washington as intelligence officials worked to pin down information about the potential threat.

A senior U.S. official said the plot was believed to involve three individuals. It is believed to entail a vehicle bomb, but "we cannot rule out other means," the official said.

U.S. Vice President Joe Biden also weighed in Friday, saying the information was at least in part gleaned from the May raid against bin Laden in Abottabad, Pakistan.

"This is the first ... credible piece of information we've gotten," Biden told NBC's "Today" show. "All hands are on deck."

It is not clear how the bin Laden raid helped authorities connect the dots to the prospect of an anniversary attack, but Biden downplayed the threat of a widely sophisticated plot involving multiple conspirators.

He said the administration's principal concern is a plot from a "lone actor, not some extremely complicated plan like it took to take down the World Trade (Center) towers or the plane in Shanksville (Pennsylvania) or the Pentagon."

He added, "It doesn't mean they couldn't happen, but it's much less likely. The lone actor is the more worrisome thing because there are fewer trails to follow, there are fewer leads to move on."

On Saturday morning, police officers stopped and searched box trucks as they approached the George Washington Bridge, which links New Jersey with New York, as well as the Queens-Midtown Tunnel, the Holland Tunnel and the Verrazano-Narrows Bridge, connecting the boroughs of Staten Island and Brooklyn.

Police also manned checkpoints in Midtown and downtown Manhattan, where they examined vehicles, particularly vans and trucks, for possible bombs.

New York police also are sweeping parking garages for explosives and using digital license plate readers to check for stolen vehicles.

New York Gov. Andrew Cuomo has directed state police and asked National Guardsmen to help secure areas during the anniversary weekend, bolstering an already heightened level of security.

"We already had a great security plan in place, and in an abundance of caution, we're deploying more resources," he told reporters. "We shouldn't allow this threat to diminish the importance of the 9/11 anniversary, because that would be doing just what the terrorists want us to do."

A senior U.S. administration official said Friday that it is the "origin" of the intelligence information that is causing particular concern.

U.S. officials believe that operatives came out of the tribal Pakistan-Afghanistan border region -- a volatile semi-lawless area that is home to extremist groups -- and that they are part of al Qaeda "central."

The official also noted a possibility that Pakistan-based groups such as Lashkar e-Tayyiba or Tehrik-i-Taliban Pakistan could be involved.

A senior White House official said President Barack Obama had been updated about the potential threat after his speech to a joint session of Congress on Thursday night, and White House counterterrorism adviser John Brennan briefed him again Friday.

No changes have been made to the president's schedule for the weekend.

New York City Mayor Michael Bloomberg told reporters Thursday night that while additional police will be deployed around the city, "There's no reason for any of the rest of us to change ... our daily routines."

A joint intelligence bulletin issued by the FBI and the Department of Homeland Security on Thursday indicated other methods than a truck or car bomb could be used, including attacks with small arms, homemade explosives and poisons.

Al Qaeda probably would provide its operatives with enough autonomy to select the particular target and method of attack, the bulletin said, and an attack may involve operatives carrying U.S. documentation.

Intelligence officials believe al Qaeda "likely maintained an interest since at least February 2010 in conducting large attacks in the Homeland timed to coincide with symbolic dates, to include the 10-year anniversary of the 9/11 terrorist attacks," according to the intelligence bulletin.

Bin Laden's death and the "removal" of senior al Qaeda figures since then could add to the organization's desire to stage an attack on a symbolic date such as September 11, the bulletin said.

In Washington, local officials said the city has a robust plan in place and has been on heightened alert since September 1.

"I want to urge all of our citizens ... to remain calm and let our law enforcement professionals do their job. At the same time, we ask people to remain vigilant," Mayor Vincent Gray said. "If you see something, say something."

Unattended vehicles around key infrastructure will be towed, Washington Metropolitan Police Chief Cathy Lanier said.

Federal officials said they are taking the threat seriously, while trying to temper the news by saying such threats are commonplace in connection with key dates.

Rep. Peter King, R-New York, chairman of the House Homeland Security Committee, said specific details were revealed to lawmakers about the threat. "Many agencies are looking at this from every possible angle," he said.

But it is not known yet if the threat is real, he said, adding, "I would tell people now to go about their lives. There's no need to panic."

CNN's Mike M. Ahlers, Lesa Jansen, Allan Chernoff, Thomas Evans, Terry Frieden, Jessica Yellin, John King, Jim Barnett, Pam Benson, Fran Townsend and Ross Levitt contributed to this report.

@highlight

NEW: Two Americans of Arab descent are believed to be involved in 9/11 plot

@highlight

NEW: Authorities are piecing together clues gleaned from flight logs and manifests

@highlight

NEW: A third plotter is believed to be have traveling in Europe

@highlight

Gov. Andrew Cuomo directs state police to help with security at major transport hubs