Tuscaloosa, Alabama (CNN) -- Almost nothing stood.

Where the awful winds bore down, massive oaks, 100 years old, were shoved over like stems of grass, and great pines, as big around as 55-gallon drums, snapped like sticks. Church sanctuaries, built on the Rock of Ages, tumbled into random piles of brick.

Houses, echoing with the footfalls of generations, came apart, and blew away like paper. Whole communities, carefully planned, splintered into chaos. Restaurants and supermarkets, gas stations and corner stores, all disintegrated, glass storefronts scattered like diamonds on black asphalt. It was as if the very curve of the Earth was altered, horizons erased altogether, the landscape so ruined and unfamiliar that those who ran from this thing, some of them, could not find their way home.

Southern Living: Stories from the Storm

We are accustomed to storms, here where the cool air drifts south to collide with the warm, rising damp from the Gulf, where black clouds roil and spin and unleash hell on Earth. But this was different, a gothic monster off the scale of our experience and even our imagination, a thing of freakish size and power that tore through state after state and heart after Southern heart, killing hundreds, hurting thousands, even affecting, perhaps forever, how we look at the sky.

But the same geography that left us in the path of this destruction also created, across generations, a way of life that would not come to pieces inside that storm, nailed together from old-fashioned things like human kindness, courage, utter selflessness, and, yes, defiance, even standing inside a roofless house.

Southern Living: What Stands in a Storm: Fellowship

As Southerners, we know that a man with a chainsaw is worth 10 with a clipboard, that there is no hurt in this world, even in the storm of the century, that cannot be comforted with a casserole, and that faith, in the hereafter or in neighbors who help you through the here and now, cannot be knocked down.

I know this to be true because I came home to it the day after the storm.

My street, a quarter-mile of small, historic homes and lovely trees, had looked as though it were painted on canvas and hung on the air. It was ruined April 27, and also spared.

No one died in Glendale Gardens, while, yards away in Rosedale, rescue workers pulled the dead from houses blasted as if in war. It is why, even as they piled their neighborhood into trash heaps two stories tall, my neighbors said, over and over, how fortunate they were.

Our little white house, on the edge of a mile-wide tornado, was hammered by flying 2-by-4s, stripped of its shingles but, somehow, still standing when we returned from New Orleans. My wife, Dianne, cried when she saw it, and cried more as she looked down our street. A third of the houses were destroyed. Others will be torn down. The trees that gave this place its name were gone or splintered. In our yard, a single, ancient dogwood survived, my wife's pride, a reminder of what this used to be.

People say it will never be the same. I don't know about that.

How do you leave?

It had been a bad spring. The sirens screamed every few days, in Mississippi, Alabama and beyond. In Tuscaloosa, just days before the big storm, Mary Kate Jemison Cochrane and her daughter, Emily, walked through the family house in Glendale, looking for a place the 91-year-old Mrs. Cochrane could shelter when the weather turned. They settled on a hall closet, removed two Electrolux vacuum cleaners, silent since antiquity, and put in a chair. When sirens did sound on April 27, Mrs. Cochrane stepped inside and shut the door.

She passed the time by looking through things, forgotten and dusty. She picked up a cookie tin, and pried off the lid. Neatly rolled inside was her christening gown, the one she wore as a baby, almost 92 years ago. She had been looking for that.

Southern Living: What Stands in a Storm: Faith

She is hard of hearing. Inside, with her memories, she did not hear the destruction. She felt the house shake, but it had shaken before. Then she heard someone calling her name.

A neighbor, Michael Carr, had huddled as the storm tore at his walls. The first thing he did, when it passed, was break into her house, damaged but intact, and shout for her. It was the same all along the street, as people ran from house to house, shouting, hoping.

Carr called for her again. The closet door swung open.

"Well I am fine, Michael," she said graciously, "and you are just so kind, to come check on me."

She stayed here because it was where she raised her children, where she once found a live horse in a bedroom, where every cardboard box bulged with history. It took the storm of a lifetime to move her.

She walked through the ruin, and rode away. But she sent Emily back for the gown.

There will be great-grandchildren to baptize. They must be properly dressed.

Outside, minutes after the winds died down, people gathered in the street. Tammy Elebash, our boy took her daughter to prom, held a phone. "I see the Pitts ... I see the Petrovics ... yes, Mrs. Brannon is fine. She's on my arm. ..."

Inez Rovegno and John Dolly had grabbed their wedding album and crawled into the tub. Mary Pitts had hidden with her triplets in a hallway as flying glass stabbed the walls. Beverly Banks had held to her big, white dog as her house disintegrated around her.

Then, one by one, people noticed the change. The once verdant place was laid open, stripped, flattened. You could see things you had never seen, like a water tower that used to be invisible behind the curtains of green. It was like the storm had picked these people up and set them down someplace ugly, broken, new. How awful it would have been, to have landed there alone.

'I always thought we lived on a good street. Now I know'

I have seldom felt helpless in my life. I hold to the hillbilly standard that there is no situation so hopeless that, through perseverance, I cannot make worse. It is why my wife will not let me have a chainsaw -- "You will cut off your own head" -- and will not allow me on the roof. So there I stood, giant trees across my driveway, my roof naked, helpless. What happened next still seems like magic.

Within a minute of stepping into my yard, I was met by a never-ending stream of neighbors, some I only slightly knew, who left their own crises to help me clean up mine.

There are too many to list here -- I would leave someone out -- but they came, capable men who knew how to run a saw or twist a wrench. Some came, worked like a dog, and vanished before I could thank them. I hope they are reading this, men and women who lifted and dragged tons of trees, and almost killed me and my stepson Jake, trying to keep up.

Every church group in Tuscaloosa, it seemed, clawed rubble out of my yard, or out of the playground across the street, meaning I can never again say anything mean about the Episcopalians. I came to enjoy the company. That first afternoon, I straightened up from tugging on an unmoving limb to see Allen McClendon, the husband of my son's music teacher, saw through a tree that blocked my drive. He brought his father, Rick, and an old, brown dog named B.J., and we told duck hunting stories and I don't think any lies, but it was hard to tell over the roar of the saws. And then they, too, were gone, to help someone else, somewhere down the road.

Southern Living: What Stands in a Storm: Food

There was no end to this generosity. Food just appeared. No one would take a dime. The college students on our street, the ones I had yelled at for driving too fast, cooked all the meat from our melting freezers, and let me pet their puppy.

Mrs. Cochrane's Emily asked if we needed a generator. Our boy's friends brought gasoline. Folks with gas water heaters offered hot showers. That night, I went to sleep under the luxury of an electric fan. The next morning, my neighbors were in my yard before I was.

So I wonder. If a street is made of people, not oaks and tulip trees, how can this place not be as fine as it ever was? I think the best I heard it put was by Mary Pitts. "I always thought we lived on a good street," she said. "Now I know."

A few days after the storm, on a Sunday morning, I awoke to a tap-tap-tap on my roof. I should have gone to see what it was about, but after a while the rhythmic tapping got to be almost soothing, and I ducked inside a dream.

Later, I learned that my neighbor James Mize had scaled the roof and tacked down some covering that had blown loose.

He did not ask me where I went to church, or how I voted, or who my family was. He did not climb that ladder for money, or attention, or even thanks.

He did it, he said, because it looked like rain.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright 2009 Southern Living magazine. All rights reserved.

@highlight

Author Rick Bragg is used to covering disasters, but never expected one so close to home

@highlight

In April, the most devastating tornado in Alabama history cut a swath through Tuscaloosa

@highlight

Read more tales of survival and watch the documentary on Southernliving.com