(CNN) -- Even for an employed schoolteacher like Narinder, it is hard to find a bride these days.

Narinder is a shy, slender 36-year old with a certain anxiety about him -- as if he has resigned to a fate that he is unable to change. He is very polite and at first, reluctant to talk about his situation.

Narinder is one of four sons and only one of his brothers has managed to get married. In his district in the state of Uttar Pradesh, there are only 858 girls born for every 1,000 boys, a ratio that doesn't occur naturally without medical intervention. The northwestern state of Uttar Pradesh is home to one of the largest skewed sex ratios in India.

INFOGRAPHIC: India's gender gap

"Only the rich and men with government jobs manage to get a bride these days," he says. "Anyone who earns less cannot find a bride here anymore."

In India's conservative society, remaining a bachelor is not an option.

A new bride would help his parents, he says. "They would have had an easier life. They would have had someone to cook and to take care of them."

She should clean. She should run the household. She should bear children. And Narinder plans to share her with his two unmarried brothers, who live in the same house.

But he cannot find a bride in his village, where so few exist. So, he contacted an agent to find one from another state.

Narinder may be a victim of the heavily-skewed male sex ratio in his community; more broadly, the desire to buy a bride is also fueling bride trafficking.

Decades of sex-selective abortion have created an acute lack of women in certain parts of India. Traffickers capitalize on the shortage by recruiting or kidnapping women ensnared in poverty to sell as brides. It's a cycle influenced by poverty and medical technologies, but one that ultimately is perpetuated by India's attitude towards women.

India grapples with rape and sexual violence

Where India's trafficked brides come from

Across the country, in the northeastern state of Assam, the sobs of a couple fill a hut made of mud and bamboo.

An aging couple cannot hold back their tears when they look at a passport-sized image of a dark-haired teenager, whose expression is washed out by water spots. This faded photo is all what's left of Jaida, their 16-year-old daughter.

Jaida's family ended up in the village of mud houses at a safe distance from the Brahmaputra River, after floods had destroyed their livelihood. The family retains a few of their possessions: pots, pans, a few goats and two Indian daybeds. They had no access to farmland and Jaida's father earned a living by weaving baskets and mats out of straw.

Jaida disappeared more than two years ago from their makeshift settlement along the Brahmaputra River. She was last seen talking to a stranger on a rainy day.

Her parents' hopes rest with Shafiq Khan, a human rights activist, who has come to find out why more than 3,000 women went missing in the state of Assam in 2012. The National Crime Records Bureau estimated in 2012 that about 10 women are kidnapped in Assam every day. Some of these women are found again. Some go missing forever.

Eastern Indian states like Assam, Jharkhand, West Bengal and Odisha turn into source areas for bride trafficking, because they have much more balanced sex ratios. Meanwhile, India's northwestern states are more conservative and also more affluent, meaning they're able to afford ultrasound scans and selective abortions.

Halida, a 14-year-old girl, lives in a neighboring village, near Jaida's family.

In December 2012, as a violent gang rape in Delhi shocked the world, Halida was fetching water when she was kidnapped by a man on a motorbike. He took Halida to a house, locked her up and raped her over two days. Only when the man said that he would sell her in Delhi, did Halida muster the courage to escape.

Opinion: India can learn respect for women

While Halida managed to escape her captor, she could not escape the blame her community cast on her.

When her village found out about the attack, children started to tease her, making school a nightmare. Nobody would hire her father, a day-laborer, so he has to venture ever further afield in search of work.

During the interview, Halida's mother sat quietly in a corner, but didn't hide her opinions: That her daughter had brought shame on the whole family.

Shafiq Khan, the human rights advocate, says there is a cruel logic to this: Rape is a means for the trafficker to exert power over their victims. And the social stigma attached to rape puts the victim in an even more vulnerable situation.

India's northeastern states have all the ingredients for turning poor women into traffickers' prey. The question is why?

Opinion: Where have India's females gone?

When everyone wants a son

India's preference for sons transcends all religions and castes.

"As fertility declines, people choose not only the number of children they have, but also choose the sex of the child," says Poonam Muttreja, a prominent campaigner for women's rights and an adviser to the government. "And everyone wants a son."

The skewed sex ratio is due to what Puneet Bedi, a Delhi suburb gynecologist, calls "mass murder on an unprecedented scale." Census data shows some districts in India have fewer than 800 girls born for every 1,000 boys, leaving male-heavy villages.

A maverick amongst India's medical community, Bedi accuses his colleagues of helping parents use ultrasound scans to determine the sex of the baby and abort females, because of a cultural preference for sons. If this practice doesn't stop, Bedi fears the worst for the future of India.

"The social fabric of society we accept as normal is unimaginable when a good 20 or 30% of the women are missing," he says.

Opinion: How terrible is it to be born a girl?

Why such a strong preference for sons exists is a matter of heated debate. Some point out that it is expensive to marry off daughters, because of the practice of dowry. Although dowry is outlawed in India, this practice persists. Others maintain that daughters only look after their in-laws, instead of their birth parents, when they grow old.

Muttreja calls this pure myth. Women have been shown to be much more reliable when it comes to looking after relatives or using their earnings responsibly, she says. "While working women send money back to their families, men hold back money for liquor, cigarettes and perhaps going to sex workers, too," she says.

The middle-class especially selects for sons, suggesting that economic development isn't likely to solve the problem, according to recent census data.

When brides are sold

Although women are outnumbered by men in northwestern states, trafficked brides do not arrive into their new homes as prized wives. They have a name for the purchased brides -- paro -- which is derogatory for foreigner or stranger.

We met 32 of them in a village of less than 1,000 people in the northeastern state of Haryana. Tasleema and her sister Akhleema are originally from Kolkata. Their family was so poor, they decided to sell them to a trafficker.

The sisters are married to two brothers in a dusty village in Haryana. During their childhood in Kolkata, they recalled, on a few lucky days, there was money to go to the cinema. After being sold as brides, their lives are spent cooking, cleaning and working in the fields. They tell us of beatings and abuse.

"Even the village children talk to us like dogs," the sisters say.

Faced with the allegations, the husbands maintain they paid more than $2,000 to traffickers, before they married the sisters. They emphasize that the men are stigmatized too, because they didn't manage to find a bride locally and instead had to buy one of the "paro" women.

"Patriarchy is so entrenched in our society. Girls are unwelcome visitor(s) in our own homes, and that's how they are treated," says Muttreja, the activist.

The men and women alike speak of their situation with surprising frankness.

The public outrage after the Delhi rape case has shown India's ability for self-criticism and the willingness of a significant part of its society to leave behind a deeply entrenched patriarchy.

But this vicious cycle of aborting girls, kidnapping women and selling off brides continues -- the byproduct of a culture that sees sons as a blessing and daughters as a curse.

@highlight

Employed schoolteacher seeks to purchase bride and with the intention of sharing her with unmarried brothers

@highlight

Bride trafficking is part of a vicious cycle that aborts females and causes a shortage of women

@highlight

Fewer than 800 girls are born for every 1,000 boys in certain Indian states leaving male-heavy villages

@highlight

Shortage fuels bride trafficking where women are kidnapped and sold