Los Angeles (CNN) -- AEG is not backing down from its charge that Michael Jackson's mother and her lawyers leaked e-mails to a reporter, in violation of a court order, despite a claim of responsibility by someone not connected to the Jackson's wrongful-death lawsuit against the concert promoter.

The dramatic e-mails, published in the Los Angeles Times on Sunday, revealed the promoter for Jackson's "This Is It" concerts expressed doubts about the star's health and his ability to be ready for the shows for several months before his death.

Howard Mann, who partnered with Katherine Jackson on a book about her family, acknowledged to CNN Wednesday that he gave the controversial documents to Times reporter Harriet Ryan.

Mann said he obtained the documents from various sources, but none of them came from the Jacksons or their lawyers. Some of the documents were part of discovery in other cases, including the criminal trial of Dr. Conrad Murray, he said.

"The Times does not comment on sources," Ryan said in response to CNN's request for comment on Mann's claim that he gave them to her.

Mann was involved in a bitter copyright dispute concerning that book with Jackson's estate at the time he gave the reporter the documents, but the lawsuit was settled earlier this week.

E-mails show promoter's doubts before Jackson's death

AEG lawyer Marvin Putnam, who said Tuesday that he had "unequivocal evidence" showing that MIchael Jackson's mother and her lawyers leaked the e-mails, has asked the judge in the wrongful-death suit to punish Jackson with fines and exclude the e-mails as evidence in the case.

"The documents released to the press were given to Mrs. Jackson and her attorneys -- and to no one else -- confidentially in discovery and subject to a court order," Putnam said Tuesday.

On Thursday, he called it "convenient that Howard Mann -- a longtime business partner of the Jackson family -- has come forward in this fashion."

"Whether these documents were leaked through an intermediary or directly by Mrs. Jackson and her counsel, this remains an egregious violation of the court's order requiring immediate sanctions and an investigation," the AEG lawyer said.

Putnam accused Jackson and her lawyers of leaking the documents -- despite that their "publication hurts her son's memory and her grandchildren more than anyone else" -- because they "know they cannot win on the law and are losing control over the case."

"After months of discovery, plaintiffs now know what we have known all along -- there is nothing to support their claims," the AEG lawyer said.

Jackson lawyer Kevin Boyle said the admission by Mann that he was the source of the e-mails should settle the matter.

"He (Mann) definitely never received any documents from Katherine, Prince, Paris, or Blanket Jackson, nor from their lawyers in the wrongful death suit against AEG," said Jackson lawyer Kevin Boyle. Prince, Paris and Blanket Jackson are Michael Jackson's children.

Boyle criticized AEG's lawyers for their haste in pointing the finger at the Jacksons.

"AEG made these accusations against the Jackson family and their lawyers apparently without doing even the most rudimentary investigation," Boyle said. "We are further disturbed that the motion for sanctions filed by AEG was given to the press before it was served on Katherine Jackson or her counsel."

If the AEG lawyers had reached out to the Jackson lawyers earlier, they could have helped solve the mystery of the leaked documents, he said.

"AEG has known about the alleged leak since a week before the article was published," Boyle said. "AEG never contacted the Jackson's counsel to inquire about the article or the documents."

The documents made public in the Times story are not the most damaging to AEG that were uncovered, Boyle said.

"We can assure you that we are in possession of documents that make for an extremely compelling story in the wrongful-death case, and that completely support the plaintiffs' claims," he said.

Jackson copyright dispute settled

CNN has learned from a lawyer for an insurance company embroiled in a lawsuit with AEG that Mann approached him several weeks ago offering the same documents to help their case against the promoter. The company declined to follow up since they did not know their authenticity, attorney Paul Schrieffer said.

Mann alerted the lawyer Saturday that the e-mails would be published in the newspaper Sunday, Schrieffer said. "The first time we saw these documents was in the Los Angeles Times article."

The existence of the e-mails, which were not turned over to the insurance company during the discovery phase of the case, have complicated AEG's effort to prevent a court from voiding the $17.5 million policy that AEG purchased through Lloyds of London, he said.

"We are looking for information about Michael Jackson's prior drug use and the failure of AEG to disclose the facts and what the truth was prior to our client's issuance of the policy," Schrieffer said.

The AEG lawyer said the insurance company can expect to get the e-mails eventually.

"It appears the lawyers for the insurance company did what any ethical lawyer would do: they refused to receive documents leaked in violation of the Court's order. And I have every reason to believe the insurers will now receive those same documents as discovery continues," Putnam said.

Jackson died on June 25, 2009, from what the Los Angeles County coroner ruled was an overdose of a surgical anesthetic and sedatives, drugs that Dr. Conrad Murray told police he used to help the entertainer sleep as he prepared for the concerts set to start two weeks later.

The insurer contends AEG hid Jackson's health problems and failed to respond to repeated requests for his medical history when applying for insurance for the 50 shows scheduled for London's O2 Arena.

The wrongful-death suit, filed by Katherine Jackson and her son's three children, contends that AEG contributed to the pop star's death by pressuring him to prepare even though the promoters knew he was in a weak condition and by its hiring and supervision of Dr. Murray.

Murray was convicted of involuntary manslaughter and sentenced to four years in prison last year.

"Defendants did not hire Dr. Murray nor were they responsible for the death of Michael Jackson," AEG lawyer Putnam told CNN Tuesday.

Randy Phillips, the president of AEG Live -- the concert-promotion branch of AEG -- called Jackson's death "a terrible tragedy" in one e-mail written weeks after he died, adding "but life must go on."

"AEG will make a fortune from merch sales, ticket retention, the touring exhibition and the film/dvd," Phillips wrote. In fact, AEG Live was allowed to sell Jackson tour merchandise and share in the profits from the documentary "This Is It," produced from rehearsal video.

The e-mails suggest AEG Live's president saw Jackson's problems first-hand the day the pop star was to appear at the O2 Arena to publicly announce the shows.

"MJ is locked in his room drunk and despondent," Phillips wrote in a March 5, 2009, e-mail to AEG Live's parent company, the paper reported. "I (am) trying to sober him up."

"I screamed at him so loud the walls are shaking," Phillips wrote. "He is an emotionally paralyzed mess riddled with self-loathing and doubt now that it is show time."

The promoter blamed London traffic when Jackson was 90 minutes late for the announcement that day.

"He's as healthy as he can be -- no health problems whatsoever," Phillips told CNN two months later to refute reports Jackson's health was threatening the concerts.

The Los Angeles Times story, however, said the e-mails indicated major doubts about Jackson's ability to perform.

"We cannot be forced into stopping this, which MJ will try to do because he is lazy and constantly changes his mind to fit his immediate wants," AEG Live executive Paul Gongaware e-mailed to Phillips.

Jackson's missed rehearsals in June triggered concerns in e-mails that he was slow in learning his dance routines and would have to lip-sync on stage, the newspaper reported.

"MJ is not in shape enough yet to sing this stuff live and dance at the same time," one e-mail from the show's music director read, the paper reported.

A production manager wrote: "He was a basket case. Doubt is pervasive."

A loud warning from show director Kenny Ortega, who worked closely with Jackson on previous tours, came in mid-June, just over a week before his death. Ortega wrote to Phillips that Jackson had "strong signs of paranoia, anxiety and obsessive-like behavior" and suggesting they bring a "top psychiatrist in to evaluate him ASAP."

"It is like there are two people there. One (deep inside) trying to hold on to what he was and still can be and not wanting us to quit him, the other in this weakened and troubled state," Ortega wrote. "I believe we need professional guidance in this matter."

Ortega testified at Murray's trial about his concerns about Jackson's frail condition and missed rehearsals. It resulted in a meeting six days before Jackson's death in which Murray assured the promoters he would have Jackson ready for rehearsals that next week.

An e-mail from Phillips after that meeting said he had confidence in Murray "who I am gaining immense respect for as I get to deal with him more."

"This doctor is extremely successful (we check everyone out) and does not need this gig, so he (is) totally unbiased and ethical," Phillips' e-mail said.

@highlight

NEW: AEG's lawyer calls it "convenient" Howard Mann accepted responsibility for leak

@highlight

NEW: An insurance company wants to know why AEG didn't disclose the e-mails in its lawsuit

@highlight

Mann says none of the documents came from the Jacksons or their lawyers

@highlight

The Jacksons are suing AEG Live for wrongful death