The millennials are growing up, but they are not growing out of their liberalism.

The generation born since 1981 is the age group most likely to vote Democratic. The eldest of them are in their 30s now, and they continue to be much more liberal than previous-age cohorts at the same point in their lives. A big new survey by the Pew Research Center seeks to understand why. Its report carries political warnings for conservatives -- and some larger warnings for us all.

The warning for conservatives is: Millennial attachment to the Democratic Party is not a phase. Millennials are far less likely to be religiously affiliated than their elders. They are more likely to have children outside marriage (47% of their children are born outside marriage, compared with only 35% of Generation X children in 1996). They are poorer than their predecessor generations at the same point in their life cycles.

Despite facing higher levels of unemployment and student loans, millennials stand out -- in Pew's phrase -- "as the nation's most stubborn economic optimists." A majority expect that they will earn enough money in the future to live the lives they want. Let's hope their dreams come true. But looking at the demographic and economic statistics, that's not the way to bet. What then?

Here's a generation detached from religious institutions and only weakly attached to the country: Only 49% of millennials describe themselves as patriotic, compared with 64% of the next older cohort and 75% of baby boomers. Millennials are alienated. What will happen if they feel disappointed as well?

One prediction about their future is already coming true: The millennial generation will be a generation characterized by high levels of inter-ethnic political conflict.

Among the young as among the old, political preferences are cleaved by race and ethnicity. One obvious example: Non-white millennials approve of President Obama's job performance by a 2-1 ratio. White millennials disapprove by almost the same margin.

By a margin of 52% to 39%, white millennials prefer a smaller government that offers fewer services to a bigger government that offers more. Non-white millennials say the opposite by a margin of 71% to 21%. These numbers show a racial gap about the same as among the older cohorts.

However, since non-whites make up a bigger portion of the millennials than in older generations, their overwhelming preference for a more activist government will sway future elections even more than recent ones.

Good news for liberals? Maybe. But maybe not. Since John F. Kennedy's clarion "ask not," liberals have tried to call Americans to a politics of common purpose. The continuing sharp divide between the politics of the country's dwindling white former majority and its emerging non-white new majority may portend that common purpose will recede even further out of reach than ever.

A quality of millennials that leaps out from the survey is their deep mistrust of other people.

In response to the question, "Generally speaking, would you say that most people can be trusted or that you can't be too careful in dealing with people," just 19% of millennials say most people can be trusted, compared with 31% of Generation Xers, 37% of the silent generation and 40% of boomers.

Pew hypothesizes that this low level of trust is a consequence of the economic vulnerability of the milllennial generation: "People who feel vulnerable or disadvantaged for whatever reason find it riskier to trust because they're less well-fortified to deal with the consequences of misplaced trust."

Yet there's another -- and more ominous -- explanation lurking in the numbers. Robert Putnam of "Bowling Alone" fame has collected data showing that social trust declines as a community becomes more ethnically diverse.

"The short run effect of being around people who are different from us is to make all of us uncertain -- to hunker down, to pull in, to trust everybody less. Like a turtle in the presence of some feared threat, we pull in."

In other words, in a more diverse society, it's not just those who feel vulnerable who trust less. In a more diverse society, everybody trusts less. The clarion call of common purpose begins to sound more like a warning alarm that your group is about to be used for the benefit of another. The accusation that the (non-white) "takers" are plundering the (white) "makers" has powered protest politics since 2009. If anything, that accusation looks likely to increase in its political effect in the years ahead.

As America has become more ethnically diverse, political leaders have insisted ever more persistently that this diversity is a source of strength. Let's hope that proves to be true. America will need that strength in a future that, by the number, seems likely to be more mutually suspicious, more alienated, more unequal and less united by patriotism.

@highlight

A Pew report says millennials are most likely to vote Democratic

@highlight

David Frum: Survey indicates that they are less trusting, patriotic, more alienated

@highlight

Some say social trust declines as a community becomes more ethnically diverse

@highlight

Frum: As U.S. becomes more ethnically diverse, will diversity be a source of strength?