It's no secret that more and more people are speaking español in the United States, but what you probably didn't know is that in the future more of those Spanish speakers will not be Hispanic.

That's right -- as immigrant families become more established here, future generations will follow the pattern of previous immigrants from Europe and Asia and stop using their native language.

But at the same time, non-Latinos will be learning Spanish and helping their kids to grow up bilingual because they want to pass on what they learned in school, take advantage of business opportunities or even because they have a Spanish-speaking spouse.

"On the one hand, the number of Spanish speakers is projected to grow to about 40 million by 2020 (from 37 million in 2011.) This reflects Hispanic population growth and a large number of non-Hispanics who will also speak Spanish," said Mark Hugo Lopez, director of Hispanic Research at the Pew Research Center.

"But, even though the number of Spanish speakers is projected to grow, among Hispanics, the share that speak Spanish is projected to fall from about 75% now to 66% in 2020," Lopez said.

In a previous study, Pew found that third-generation Hispanics are more likely than immigrant Hispanics to be English-dominant. They say they watch television mostly in English and the same was true about music and thinking.

'Mama, would you please speak English!'

In other words, third-generation Hispanics are not likely to speak Spanish at home, if at all. They are growing up in a world where speaking Spanish is not vital.

Which is exactly the case for Darlene Freire-Geller's two youngest daughters, Emily, 9, and Hailey, 5, who live in New Jersey.

"When I had my first daughter, Ashley, my mother helped me take care of her and only spoke to her in Spanish so she's fluent," said the Cuban-American mom.

"But when I married my husband, who is white and only speaks English, teaching Emily and Hailey Spanish just didn't happen, it didn't seem necessary, plus, they didn't spend as much time with my mother like Ashley," she said.

Freire-Geller, who is a second-generation American, knows Spanish but speaks English at work and at home. Her husband, Ira, only speaks English.

Her daughters are part of the phenomenon that people born in the United States will make up more of the Hispanic population growth than new immigrants, with the rate of arrival of Spanish-speakers slowing significantly in recent years.

Hispanics in the U.S.

It's not just the attitude of parents that will affect who speaks Spanish, but also schools, argues Florida International University assistant professor of linguistics Phillip M. Carter.

He said schools nationwide are set up to bring immigrant children and children of immigrants into "the mainstream," which means turning them into monolingual English speakers. The attitude of most schools is that children will learn their heritage language at home and they cultivate identities that are rooted in speaking English.

There are few schools that offer compressive bilingual education programs, such as two-way immersion programs, where students receive half of their education in each language, and that can create a loss, Carter said.

"Language is just as much about value, culture, identity, context, emotion, behavior and usage. Children learn in their school setting that the only language that really matters in this society is English," Carter explained. "They therefore cultivate identities that are rooted in English speaking."

The changing face of America's youth

Carter conducted research in North Carolina, where the Latino population has grown 394%, from 76,726 in 1990 to 378,963 in 2000, according to the census, making it the state with the fastest growing Latino population in the country.

"In North Carolina right now, Spanish is a 'new' language where immigrant children experience shame for speaking Spanish, and many children pretend not to speak or even understand the language," said Carter, "This is not in the third generation, but in what we call generation 1.5, the young children who come with their parents from abroad."

Carter said it is unlikely that these children will transmit Spanish to their own children, adding to the trend already being seen among more established immigrants.

He adds that unless politicians stop linking Spanish to "the ghetto," claiming that Mexicans don't "assimilate," arguing the national anthem should not be sung in Spanish and that English is the "language of the future," then Spanish will not have a future in the United States.

But speaking Spanish appears to be thriving in new communities, with parents seeking out resources for their children to learn from.

A guide to raising bilingual children

Roxana Soto, author of "Bilingual is Better" and co-founder of Spanglishbaby.com, says many of her readers are non-Latino parents who want their children to grow up bilingual.

"They are pushing for more dual language immersion schools where kids are immersed in Spanish from day one, ensuring they become bilingual and biliterate."

And, it's not only in children. Non-Latino professionals who work with Hispanics are also jumping on the Spanish-language wagon.

"I work in a high school where the majority of the kids are Hispanic; it only makes sense for me to learn Spanish. I don't need Italian; I need to learn Spanish," said guidance counselor Frank Gioia at Memorial High School in West New York, New Jersey.

"Spanish is the second-most popular language in the country. It's important that non-Latinos learn it as well as their kids," he said.

Gioia's parents are second-generation Italians but only spoke English at home.

"And, with the way the country is changing, we will need Spanish to communicate with newcomers, business if involved with Latin America and even job opportunities. I know I want my kids to be multilingual," he said.

Carter, the language researcher, sums it up: "What is happening is simply a function of immigration, related as it is to the globalized economy, etc.

"As a linguist, the big story is that Spanish is being lost at the same time that new immigration continues to make the language a viable, visible and important language in the U.S."

Will Spanish in the U.S. thrive or decline? Share your thoughts in the comments.

@highlight

Non-Latino Spanish speakers in the United States are on the rise, Pew finds

@highlight

Latinos to follow pattern of previous immigrants and stop using their native language

@highlight

Some Latinos feel there's no need to speak Spanish

@highlight

But learning the language is seen as vital by other Americans