WASHINGTON (CNN)  -- Afghan President Hamid Karzai discussed his sometimes-turbulent relationship with the United States on Friday as more details emerged about U.S. airstrikes in his country that killed dozens of people this week.

Afghan President Hamid Karzai said his government does not tolerate corruption.

Karzai reflected on the past seven years of his leadership of Afghanistan and characterized his relationship with the United States as having "serious bumps along the way, especially in the conduct of the war on terror."

The theme he emphasized Friday was the problem of Afghan civilian casualties caused by American airstrikes. Karzai said he has raised the issue repeatedly since 2007.

"We have complained bitterly about civilian casualties," he said. "We needed to get Washington's attention."

The issue of civilian deaths has been at the foreground of Karzai's trip to Washington, where he's meeting with President Obama and other top officials. Afghan officials say that more than 100 civilians were killed in a U.S. airstrike Wednesday in Farah province, on the western border with Iran.

If that death toll is confirmed, it will be the single deadliest incident involving Afghan civilians since the American-led invasion of the country in 2001 to oust the Taliban from power.

A senior U.S. military official said Friday that 30 to 50 people were killed in the strikes, most of them insurgents. But the rest were civilians, including women and children.

The U.S. military thinks some civilians were killed when they were caught up in the ground fighting and others in the airstrikes. The Taliban held some civilians against their will in the buildings that were attacked, according to the official.

Karzai said senior Obama administration officials immediately and personally apologized to him about the incident when he met with them this week.  Watch Karzai discuss U.S. airstrikes that allegedly killed civilians »

At the White House on Wednesday, Secretary of State Hillary Clinton told Karzai and Pakistani President Asif Ali Zardari that she "deeply regretted" the death of Afghan civilians and pledged that  the United States "will work very hard with your governments and with your leaders to avoid the loss of innocent civilian lives."

In response to recent suggestions by U.S. military officials that the civilian deaths in Farah province might have been staged by the Taliban, Karzai said that an Afghan government team was investigating the incident and that "there was no doubt that the casualties were caused by bombings... and the use of air power."

As the president grapples with the latest incident, he's also dealing with criticism of his administration by American officials for its perceived tolerance of corruption.

An independent assessment by the non-governmental organization Transparency International rated Afghanistan as one of the most corrupt countries in the world.

Karzai said his government does not tolerate corruption.

"That is not right! That is not right!" he said firmly.

The president pointed out that Afghan courts had recently convicted 600 people on corruption charges or on counts of major drug dealing.

Karzai used the issue of corruption to segue into a critique of the way in which aid has been disbursed to Afghanistan. He asserted that of the $32 billion the international community had given his country since 2001, only $6 billion -- or 20 percent -- has been funneled through the Afghan government.

The other $26 billion has been spent by the donor countries themselves, and Karzai implied that the Afghan government should not be held accountable for how those funds have been spent.

Support for Karzai's critique came last year in a study by the leading British charity Oxfam that concluded that a large portion of the money the international community has given to Afghanistan does not end up in the country itself. The report estimated that 40 percent of the money spent is returned to donor countries, such as the United States, in the form of consultants' salaries and corporate profits.

Turning to the election, to be held August 20, the Afghan president said that if he wins another five-year term, he will put a special emphasis on building dams and bringing electricity to the Afghan people. The U.S. government assesses that less than 10 percent of Afghans have access to electric power.

Karzai is likely to win the vote in a landslide, given his advantages of incumbency, relative popularity and the few plausible opposition candidates.

Karzai emphasized also the importance in the coming years of what he described as the "peace process" with the Taliban. He characterized it as being at "the heart" of what his government hopes to achieve and said he is "glad that the Obama administration is backing this."

The Afghan president said Saudi Arabia, one of the few governments to recognize the Taliban when they were in power, is "very important" in this process because of its leadership of the Islamic world.

CNN's Nic Robertson reported that in September, representatives of the Afghan government and former Taliban officials met in Mecca for preliminary discussions about peace in a meeting hosted by Saudi King Abdullah.

But peace with the Taliban may be a long time coming.

Taliban leader Mullah Mohammed Omar has in the past several months announced at every opportunity that he has no interest in a deal with the Afghan government.

And one of Mullah Omar's deputies announced last month on a Taliban Web site that the militants would launch "strong and robust" operations in Afghanistan to counter the additional 21,000 American soldiers who are deploying to the country this year.

@highlight

Afghan president says airstrikes have strained dealings with Washington

@highlight

Latest incident is said to have killed 100 civilians Wednesday

@highlight

Karzai critical of how aid money is distributed to his nation

@highlight

He emphasizes importance of "peace process" with Taliban