Washington (CNN) -- The Justice Department on Tuesday defended its decision to subpoena phone records from Associated Press bureaus and reporters, saying the requests were limited and necessary to investigate a leak of classified information.

The AP revealed Monday that federal agents had collected two months of telephone records for some of its reporters and editors without notifying it of the subpoena.

In a letter to Gary Pruitt, the news service's president, Deputy Attorney General James Cole said the Justice Department had balanced the public's right to know with national security.

"Any subpoena that is issued should be drawn as narrowly as possible, be directed at relevant information regarding a limited subject matter and should cover a reasonably limited period of time," Cole wrote. "We are required to negotiate with the media organization in advance of issuing the subpoenas unless doing so would pose a substantial threat to the integrity of the investigation. We take this policy, and the interests that it is intended to protect, very seriously and followed it in this matter."

Justice officials haven't specified the leak that triggered the probe, but the AP has said it believes the investigation focuses on its account of a foiled plot to bomb a U.S. airliner in May 2012.

AP blasts feds for phone records search

In response to Cole, Pruitt wrote that government officials "assured us that the national security concerns had passed" before it ran the story.

"Indeed, the White House was preparing to publicly announce that the bomb plot had been foiled," Pruitt wrote. "The White House had said there was no credible threat to the American people in May of 2012. The AP story suggested otherwise, and we felt that was important information and the public deserved to know it."

Speaking Tuesday evening to CNN's Erin Burnett, AP Executive Editor Kathleen Carroll said the news service is "shocked" by what unfolded.

"We've never seen anything along the size and scope of this particular investigation," she said.

In all, federal agents collected records from more than 20 lines, including personal phones and AP phone numbers in New York; Hartford, Connecticut; and Washington, he wrote in a letter of protest to Attorney General Eric Holder.

Among those staffers whose phone records were subpoenaed was the news service's Washington bureau chief, Sally Buzbee, AP spokeswoman Ellen Hale said Tuesday. Investigators sought call records from five other reporters and an editor, the AP reported Monday.

Carroll said the phone lines were used by about 100 journalists, casting a "very broad net" of AP operations "that have, as far as I know, no particular connection to the story that they (authorities) seem to be investigating."

Holder said Tuesday that he had stepped aside to avoid any potential conflict of interest in the case and left the decision to subpoena the phone records to Cole. He said his recusal was necessary because he had been questioned by FBI agents as part of the leak probe and wanted to make sure "that the investigation was seen as independent."

The story the AP says is at the center of the probe broke the news that the CIA had thwarted an al Qaeda plot to blow up a U.S.-bound jetliner around the anniversary of the killing of Osama bin Laden by American commandos. Sources later told CNN that the operative who was supposed to have carried the bomb had been inserted into al Qaeda's Yemeni affiliate by Saudi intelligence, and that the device had been handed over to U.S. analysts.

Holder said the leak being investigated was one of the most serious he has ever seen.

"It put the American people at risk, and that's not hyperbole," he said. "It put the American people at risk, and finding who was responsible for that required very aggressive action."

It's not the first time the Justice Department has taken flak for seeking the phone records of an AP reporter. In 2002, Iowa Sen. Charles Grassley criticized the department for its subpoenas of John Solomon, an AP writer who had written about an investigation into then-Sen. Robert Torricelli, D-New Jersey. The subpoena also spurred a protest from the journalism association Investigative Reporters and Editors.

The Obama administration has launched several high-profile leak probes, leading to the prosecution of two government employees accused of revealing classified information.

Thomas Drake, a former National Security Agency official, was sentenced to one year of probation and 240 hours of community service in 2011, while former CIA officer John Kiriakou was sentenced to 30 months in prison after admitting to identifying a covert intelligence officer.

Documentary filmmaker Robert Greenwald, whose previous movies have criticized the war in Iraq, Fox News and Walmart, called the administration's pursuit of leakers "an effort to silence and scare whistleblowers, and to get the press to be quiet and do what it wants them to do."

"This is a systemic, continuing problem," said Greenwald, whose latest film, "War on Whistleblowers," focuses on the issue. "It's not a one-off, and it's not an accident, sadly."

CNN legal analyst Jeffrey Toobin said Monday that the subpoenas were likely legal, but go further than previous administrations in pursuing private information of journalists.

"I have never heard of a subpoena this broad," Toobin said.

The White House had no knowledge of any attempt by the Justice Department to seek the records, spokesman Jay Carney said Tuesday.

"We are not involved with the White House in any decisions made in connection with ongoing criminal investigations as those matters are handled appropriately by the Justice Department independently," Carney told reporters at a news conference.

Carney said the administration supports the right of the press to pursue investigative journalism, but said a balance must be struck between that right and national security interests.

"The president is a strong defender of the First Amendment and a firm believer in the need for the press to be unfettered in its ability to conduct investigative reporting and to facilitate a free flow of information," Carney said. "He also, of course, recognizes the need for the Justice Department to investigate alleged criminal activity without undue influence."

CNN's Jessica Yellin, Carol Cratty, Kevin Bohn, Greg Botelho, Joe Sterling and Josh Levs contributed to this report.

@highlight

NEW: AP exec: "We've never seen anything along the size and scope" of this probe

@highlight

AP says its Washington bureau chief was among those whose records were subpoenaed

@highlight

Deputy attorney general says leaks were limited and necessary

@highlight

Holder says the seriousness of the leak required "very aggressive action"