On Monday, Pakistan's long-awaited report into the death of Osama bin Laden in the city of Abbottabad two years ago was leaked in full to Al Jazeera.

The independent Abbottabad Commission was established by Pakistan's parliament to investigate what for many Pakistanis was an embarrassing double national humiliation. First, that bin Laden lived in Pakistan for nine years undetected before he was killed. Second, that the U.S. conducted a military operation inside Pakistan that, from the moment that four U.S. helicopters penetrated Pakistan's airspace, lasted for more than three hours without detection by the Pakistani military.

In more than 300 pages, the report paints an intimate picture of the final days and years of the leader of al Qaeda and is also a devastating indictment of what it describes as the incompetence of many institutions of the Pakistani state.

A senior Pakistani government official told CNN the Abbottabad Commission report is authentic.

Report: Osama bin Laden -- doting grandpa, paranoid terrorist

The night of the raid

The report describes the "fateful night" of May 2, 2011, when bin Laden was killed by a U.S. Navy SEAL team and begins with a flourish out of a Harlequin romance: "Today was Amal's turn for the Shaikh [bin Laden] to be with her. She was the youngest of his wives."

The report goes on to describe in almost minute-by-minute detail the SEAL raid on the bin Laden compound in Abbottabad, which, it estimates, took between 36 and 38 minutes.

Bin Laden and Amal were sleeping in their top floor bedroom with their 3-year-old son Hussain when they were startled awake by a noise that sounded like a "a storm," the report recounts.

Amal reached to turn on the light in the bedroom but bin Laden told her: "No!"

Soon bin Laden and his young wife were joined by two of bin Laden's adult daughters. Together they quickly recited verses of the Koran and bin Laden informed them that American helicopters had arrived. He ordered his children to leave his bedroom.

Suddenly, an American soldier appeared in the room. Amal saw a red beam of light from the laser of the soldier's gun but she heard no sounds, as the weapon had a silencer. Amal rushed the soldier who shot her "in the knee," the report says.

A shot from the U.S .soldier hit bin Laden in the head and he died at around 12:50 a.m. on May 2, 2011, according to the report.

The report -- by four retired senior Pakistani military, diplomatic, police and judicial officials -- is based on 201 interviews of government officials and other witnesses.

Bin Laden's death: How the story unfolded

An obsession with security

Bin Laden went to great lengths to avoid detection, according to the report's description. When he left his three-story residence to tour his Abbottabad compound, he wore a cowboy hat that prevented prying eyes or satellites from recognizing him.

Bin Laden's two bodyguards also practiced careful operational security, making phone calls from public call booths in cities at least an hour's drive from the Abbottabad compound, where they lived with al Qaeda's leader.

When one of the bodyguard's young daughters saw a picture of bin Laden on a television program and recognized him to be the tall Arab man who was living on the Abbottabad compound, the report says, the bodyguard banned any further TV watching and any subsequent contact between his family and the bin Laden family.

After the arrest of 9/11 operational commander Khalid Sheik Mohammed in Pakistan in March 2003, bin Laden decided to stop meeting with any al Qaeda members in person, with the exception of his two bodyguards.

During bin Laden's nine years on the run, his wife Amal gave birth to four children in Pakistan. To avoid any troublesome questions, when Amal gave birth in a hospital the nurses and doctors were informed that she was "deaf and dumb."

The bin Laden bodyguards installed four separate gas and electricity meters at the Abbottabad compound to ensure that there wasn't ever a suspiciously large gas or electricity bill betraying the presence of the 16 members of the bin Laden family.

Despite bin Laden complaints of pains in his heart or kidney he never saw a doctor, preferring to treat these ailments with "traditional Arab medicine," the report says.

When bin Laden traveled around Pakistan, which he did relatively frequently in the early years of his life on the run, he shaved off his distinctive beard.

Opinion: From bin Laden to Boston

The Family Man

The report shows bin Laden to be an involved father and grandfather to the dozen or so of his children and grandchildren who were living at the Abbottabad compound. He supervised their playtime, which included cultivating vegetable plots and he handed out "prizes for best performance."

Bin Laden was also strict when it came to his Islamic beliefs. In the bin Laden family, girls were completely separated from males at the unusually early age of three. And even when men appeared on TV, the bin Laden women would leave the room.

For the scion of one of the richest families in the Middle East, bin Laden certainly was careful with money. He had only a few changes of clothes and was paying the two bodyguards who were his only connection to the outside world around $100 a month each, according to the report.

The CIA

The Abbottabad commission also examined the recruitment of Pakistani doctor Shakeel Afridi, who, according to the commissioners, was paid 10 million rupees by the CIA -- around $100,000 -- to mount a hepatitis-B vaccination program in Abbottabad. The aim was to confirm the presence of bin Laden at his suspected hideout by extracting blood samples from his children.   The CIA hoped to compare that DNA  to DNA the U.S. government had already obtained from other members of the bin Laden family.

Afridi met with CIA officials on a number of occasions, including with two female operatives named "Kate" and "Sue," who posed as officials with the U.S. Agency for International Development.  Dr. Afridi's CIA handlers provided him with a satellite radio so they could stay in touch with him and easily track him.

Two weeks before bin Laden was killed, Dr. Afridi arrived outside the bin Laden compound. He called one of bin Laden's bodyguards on the phone seeking entry, but the bodyguard told him there that no one was at home. The CIA plans to extract blood samples from the bin Laden kids never panned out.

Afridi is now serving a 33-year prison term in Pakistan for what the independent report characterizes as the "trumped-up charges" of providing support to the Taliban.

Opinion: Who really killed bin Laden?

Pakistani government failures

The report found that the at the time of the raid on bin Laden's compound, the Pakistani Air Force was focused on its traditional Indian enemy on its eastern border and its radar systems were in "peacetime mode" on its western border with Afghanistan. This helped explain how the U.S. was able to insert four helicopters into Pakistan without detection.

When the Pakistani Air Force finally scrambled jets to intercept the American helicopters they were long gone from Abbottabad.

The report faults local officials in Abbottabad for their "collective incompetence and negligence" for not paying more attention to the mysterious compound where bin Laden was hiding out. And it faults Pakistan's intelligence agencies for not mounting any kind of serious effort to discover if bin Laden was living in Pakistan. The report also lambastes the same intelligence agencies for not detecting the "nationwide CIA network" in Pakistan.

On two occasions the report makes reference to bin Laden's "diary" which was recovered at the Abbottabad compound. Hopefully, the U.S. or Pakistani government will at some point make public the contents of that diary, which will doubtless provide important new insights about the life and thinking of al-Qaeda's founder.

@highlight

Peter Bergen: Abbottabad Report gives intimate picture of bin Laden's life hiding in Pakistan

@highlight

He says it's sharp  indictment of what report calls Pakistan intelligence's "incompetence"

@highlight

It recounts bin Laden's daily life, tactics to evade discovery, and the drama of the night of the raid

@highlight

Bergen: It calls out CIA ploys that used doctor to help find bin Laden; fault's local government