Washington (CNN) -- The year 2012 was supposed to herald Hillary Clinton's swan song, a golden departure amid speculation that she might consider another run at the presidency in 2016.

Instead, the outgoing Secretary of State has found herself and her agency at the center of a scathing report about bloody attacks on the U.S. diplomatic mission in Benghazi, Libya, which left four Americans dead, including Ambassador Christopher Stevens.

On Wednesday, four State Department officials, including two who oversaw security decisions at the diplomatic outpost in Benghazi, were disciplined after a review of security failures there, senior State Department officials told CNN. One resigned, while three others have been placed on administrative leave and relieved of their duties, said State Department spokeswoman Victoria Nuland.

An independent review released Tuesday cited "systemic failures and leadership and management deficiencies" at the agency Clinton heads. The review board completed its investigation this week. Clinton received a copy of the report on Monday and said in letters to the heads of those committees that she accepted every one of its recommendations, including strengthening security, adding fire safety precautions and improving intelligence collection in high-threat areas.

Benghazi siege: The ambassador's last minutes

Citing health reasons, Clinton delays testimony

Clinton, who had been recovering from stomach flu last week and a concussion following a fainting spell, informed the Senate Foreign Relations and House Foreign Affairs committees over the weekend that, at the advice of her doctors, she would be unable to testify at upcoming hearings about the deadly events in Benghazi. In her place, deputies Thomas Nides and Bill Burns testified on Thursday.

Read more about the Benghazi hearing

Initially, that did not sit well with some members of Congress, especially Republicans, who have been highly critical of the Obama administration's handling of the Libya attack.

CNN Poll: Majority dissatisfied but don't think administration misled on Benghazi attack

"I know that Secretary Clinton was unable to be able to testify tomorrow in an open setting," Sen. Bob Corker, R-Tennessee, told reporters Wednesday. "I do think it's imperative for all concerned that she testify in an open session prior to any changing of the regime. I think that that's very important for her, I think it's very important for our country, and I think it's very important to really understand sort of the inner workings of the State Department itself."

Clinton to testify before House panel in January

However late Wednesday, House Foreign Affairs Chairwoman Ileana Ros-Lehtinen, R-Florida, indicated that Clinton will indeed testify in front of the committee sometime in mid-January.

Ros-Lehtinen issued a statement saying, "We still don't have information from the Obama administration on what went so tragically wrong in Benghazi that resulted in the deaths of four patriotic Americans. We have been combing through classified and unclassified documents and have tough questions about State Department threat assessments and decision-making on Benghazi. This requires a public appearance by the Secretary of State herself. Other Cabinet secretaries involved should also be held publicly accountable."

Lawmakers are right to demand answers of Clinton, said David Rothkopf, editor of Foreign Policy magazine.

"Hillary Clinton must take her fair share of responsibility for the mismanagement that led to the Benghazi disaster. And I believe she has. Her response to it, the appointment of a serious review effort led by (Ambassador Thomas) Pickering and (Adm. Mike) Mullen, its swift, thorough and unflinching completion of its duties and her acceptance of all its recommendations has been a textbook case of how to handle a crisis responsibly," Rothkopf said.

Sizing up Kerry as secretary of State

It is a crisis that has left an indelible mark on the careers of several high profile Obama administration officials.

Rice attacked for Benghazi comments

U.N. Ambassador Susan Rice withdrew her name from consideration to become the top U.S. diplomat after drawing heavy criticism from Arizona Sen. John McCain and other Republicans over her public statements about the Benghazi attacks.

In a letter to Obama, Rice said the Senate "confirmation process would be lengthy, disruptive, and costly â€” to you and to our most pressing national and international priorities. That trade off is simply not worth it to our country."

Clinton praised Rice as a capable leader and insisted "she made very clear in her appearances that the information was subject to change, as more facts were gathered and analyzed by the intelligence community" in a press conference at the Organisation for Security and Co-operation in Europe (OSCE) conference in Dublin earlier this month.

Disciplinary actions at State

Eric Boswell, assistant secretary of diplomatic security, has resigned his post. Deputy Assistant Secretary for Diplomatic Security Charlene Lamb is among the other three officials placed on administrative leave pending further action, a source told CNN.

Boswell and Lamb oversaw security for the Benghazi mission. Lamb testified before Congress about the security precautions. Documents show Lamb denied repeated requests for additional security in Libya.

State Department resignations follow Benghazi report

But there is no reason to think Clinton's presidential prospects are dimmed, political experts say.

Positive public support

Before the report came out, Clinton had enjoyed wildly popular approval ratings in nationwide polls. A Bloomberg National Poll released this month showed 70% of Americans have a mostly or very favorable view of Clinton, with 24% holding a mostly or very unfavorable opinion of the nation's top diplomat. Similar polls from Politico/George Washington University, ABC News/Washington Post and the Siena College Research Institute showed consistent high marks.

"The report certainly isn't the 'hail and farewell' Hillary Clinton hoped for, and it isn't pretty. But two points: Clinton has been in the national public eye for 20 years, so any new piece of information is put into a much larger context. That will help her," said Larry Sabato, director of the University of Virginia's Center for Politics.

Though the Benghazi attacks will likely come up should Clinton venture a presidential run, the impact will have lessened, Sabato said.

"Think about 2012 when Benghazi was a fresh issue. How much did it help the GOP in the end? Somewhere between nada and zilch. Only a small portion of the electorate seemed interested, and overwhelmingly, they were already voting Republican," Sabato said. "I have a hard time believing that Benghazi will make much difference after the passage of four more years."

Rothkopf agrees.

"I do not believe the Benghazi case will have any impact on her presidential prospects. No one in public life for as long as she has been has an absolutely blemish-free record, and hers is vastly more distinguished and blemish-free than most," Rothkopf said.

"Further, truth be told, the misfires prior to Benghazi really occurred much farther down the food chain within the State Department," he said. "Suggesting errors in judgment regarding a particular post in a particular country fall within the direct purview of the Secretary of State is a gross misreading of the nature and demands of her job."

CNN's Dana Davidson, Dana Bash, Elise Labott , Adam Levine and Paul Steinhauser contributed to this report.

@highlight

Secretary of State Hillary Clinton plans to step down from her Cabinet position in January

@highlight

A review oF Benghazi cited "systemic failures" at the State Department

@highlight

High-ranking State officials have resigned or been disciplined

@highlight

If Clinton runs in 2016, the sting of the Benghazi report will have lessened, experts say