(CNN) -- It's a condition practically unheard of in the United States and most Western countries. But in a culture where a woman's status and dignity is decided by her ability to provide a husband with multiple children, it can be a fate worse than death.

"Obstetric fistula" is a mouthful. But to these women, it's much more than just a physical injury. They see themselves as the walking dead, says Dr. Justin Paluku Lussy, head of the department of obstetrics and gynecology at HEAL Africa Hospital in Goma, Democratic Republic of the Congo.

An obstetric fistula occurs when a woman withstands days of obstructed labor, when a baby's head is constantly pushing against her pelvic bone during contractions -- preventing blood flow and causing tissue to die.

This creates a hole, or a "fistula," between a woman's vagina and her bladder or rectum. Her baby is unlikely to survive. If the mother lives, she is unable to hold her urine and, in some cases, bowel content, Paluku Lussy says.

A woman with a fistula, who is perpetually leaking urine and sometimes feces, is often rejected by her husband and shunned by her village because of her foul smell and inability to bear more children.

"These women have so much shame and so much fear. They spend so much money on perfume trying to cover up the smell," says Alison Heller, a doctorate student at Washington University in St. Louis who is leading a research study of 50 women in Niger awaiting fistula surgery. The women range in age from 15 to 70.

Tanzanian women find hope in corrective surgery

An estimated 20% of Paluku Lussy's fistula patients report feeling ostracized by their communities, and divorce is common, says the doctor, who started his residency in 2001 at HEAL Africa, a 155-bed tertiary hospital with a fistula repair unit.

"People think fistula patients are witches and just have bad luck," he says.

Although an estimated 2 million women in Asia and sub-Saharan Africa live with untreated obstetric fistula, according to the Fistula Foundation, it's unlikely for these women to meet or hear of anyone else suffering from the same injuries, because of the lack of modern forms of communication and also the women's reluctance to discuss the condition, Heller says.

In most cases, a woman with a fistula doesn't know what a fistula is or that it's treatable with surgery. And if she does, she is far from any hospital and doesn't have money for -- or access to -- transportation, let alone the average $450 cost for repair surgery plus postoperative care.

One of the youngest in Heller's study, a 15-year-old girl who was married off to her uncle at age 8, spent eight months selling bags of candied peanuts in order to raise enough money to pay for a taxi so she could get to a fistula center.

Such concerns are foreign concepts to most Westerners, says Dr. Lewis Wall, a professor of obstetrics and anthropology at Washington University in St. Louis. That's because obstetric fistulas were largely eradicated from the United States by the 20th century, with strides in prenatal care and the use of cesarean section.

But pregnancy complications and childbirth are among the leading causes of death and disability for African women, Wall says.

Mom's death inspires doctor's life work

Typical West African hospitals do not have the trained staff or resources to identify and treat fistulas, Heller says.

"Habsu," one 32-year-old woman in Heller's study, contracted a fistula in her ninth pregnancy and has had three previous surgeries, all of which have failed. During the latest pregnancy, she was in labor for several days at home in a rural village before receiving medical care. Like many African women, she was malnourished and her pelvic bones were too small for a natural birth.

After hours of unsuccessful labor and not knowing how to perform a cesarean, the doctors used a scalpel to sever the baby inside the woman's birth passage. Over the next few days, the mother delivered her baby, piece by piece, Heller says.

Another West African woman in Heller's study, "Amina," also has a severe fistula but only leaks when she sits down. After the seated interview with Heller, Amina apologized, saying she would leak urine once she stood up.

"It was as if a gallon of water was thrown to the ground," Heller says. "She was so ashamed."

Many Africans -- both educated and uneducated -- believe there is no cure for fistulas, Paluku Lussy says. When he was in medical school at the University of Goma, he says, "they used to tell us not to even try to fix them."

But, he says, that's not the case. Fistulas can be repaired with delicate surgery, which has a fairly good success rate. However, surgeons must be well-trained in the principles of the operation, and good follow-up care is essential so the surgery won't fail. Patients with more severe fistulas may need multiple surgeries.

Too many mothers still dying

Although he is a full-time professor, Wall last year opened the Danja Fistula Center in Niger, a 42-bed hospital specializing in fistula repair surgeries with an operating room, outpatient clinic and hostel facilities for about 100 women.

Since opening the fistula center, Wall estimates the facility has taken on 50 fistula cases per month.

But it's very difficult to get trained staff to run a fistula hospital, because of the lack of available education in Africa, he says. Fistula centers rely on donations and cannot afford to hire American gynecologic surgeons.

But even they aren't ideal candidates for the job -- since they never see fistula in their own country, they have no experience with it, he says. It's best to have the institution run by locals trained specifically in fistula repair surgery and care.

Those who want to help should focus on spreading the word -- awareness is key, he says. Thursday is the first International Day to End Obstetric Fistula; the United Nations Population Fund will host a variety of events to raise awareness.

That's true for Washington resident Olivia Bowen. She had never heard of obstetric fistula until she read a book featuring a detailed story of an African woman with the condition. Bowen was shocked at how affordable fistula repair surgery is, by Western standards.

Bowen started a fundraiser called "One Week to End Fistulas," which raises money for repair surgeries for underprivileged women who otherwise lack access. She asks that participants practice yoga daily for a week and raise enough money for one woman to have fistula repair surgery.

"I'm not a runner. I do yoga. So it's something that just came naturally to me," Bowen says.

So far, participants have raised about $2,250, or enough to fund five surgeries.

Bowen, who is in the process of making the fundraiser a nonprofit organization, says she hopes to help women who have already developed fistula, while the bigger organizations tackle other issues such as poverty, maternal health and human rights. Ultimately, she says, fistula is not just a women's issue; it's a human issue.

@highlight

African women with obstetric fistula see themselves as the walking dead, doctor says

@highlight

Fistula can be repaired with delicate surgery and follow-up care

@highlight

Many African hospitals and doctors lack education and expertise

@highlight

Thursday is the first-ever International Day to End Obstetric Fistula