Do you want to keep your vision clear as the years go by? Put fish, olive oil, and nuts on the menu, but stay away from trans fats, according to new research from Australia.

Age-related macular degeneration occurs when blood vessels or cells in the center of the retina break down.

Studies from two different teams published Monday in the Archives of Ophthalmology provide more evidence that these foods -- which contain healthy fats -- can reduce the risk of developing a retina-destroying condition known as age-related macular degeneration (AMD).

The studies aren't the first to suggest fish and omega-3 fatty acids may help protect vision; in fact, the first findings pointing in this direction are more than a decade old. But experts not involved in the research agree that the new studies are well done and rigorous.

"The studies are notable for that alone," says John Paul SanGiovanni, a staff scientist with the National Eye Institute in Bethesda, Maryland, who published 12 years of follow-up data on omega-3 fatty acids and AMD risk earlier this year with very similar results. "It's sort of consoling to see that we have this convergence of findings coming from different continents," he says, noting that researchers from Iceland and the Netherlands have turned up pretty much the same thing. Health.com: Eat right advice: Fiber, starch, fats, serving sizes

AMD is the top cause of blindness among people 65 and older living in the developed world. It occurs when blood vessels or cells in the macula, the central portion of the retina responsible for central vision and seeing sharp detail, begin to break down. In early AMD, people have no vision loss or other symptoms, but do have yellow deposits in the retina called drusen. Some people with early AMD (but not all of them) will develop late AMD, in which a person has larger drusen and a blurred area at the center of their visual field.

Right now, the only confirmed risk factors for the condition are age, genes, and smoking, so scientists are hoping to identify things that people can do to reduce their risk for the condition. And it's looking more and more like eating the right kinds of fats is one of them.

In a group of 2,454 men and women followed for up to a decade, Dr. Jennifer S. L. Tan and colleagues from the University of Sydney found people who ate a serving of fish every week were 31 percent less likely to develop early AMD than those who did not. A couple of servings of nuts each week reduced risk by 35 percent.

And Elaine W. T. Chong, M.D., Ph.D., of the University of Melbourne and colleagues, in their study of more than 6,700 58- to 69-year-olds, found those who consumed the most omega-3 fatty acids were at 15 percent lower risk of early-stage AMD. People who ate the most olive oil (at least 100 milliliters, or about seven tablespoons, per week) were about half as likely to develop late AMD as those who consumed less than 1 mL per week. Health.com: Can olive oil fix your split ends?

Dr. Chong and her team also found people who ate the most trans fat were 1.76 times more likely to develop late AMD during the study's follow-up period. Trans fat, a type of fat often found in commercial baked goods and fried foods, is known to boost LDL or "bad" cholesterol. Health.com: Everyday diet strategies to lower LDL or "bad" cholesterol

It makes sense that omega-3s would be helpful in saving your eyesight, says Elizabeth Johnson, Ph.D., a research scientist at the Carotenoids and Health Laboratory in the Jean Mayer USDA Health and Nutrition Research Center at Tufts University in Boston, Massachusetts. Nervous tissue and the retinas contain high levels of omega-3 fatty acids, especially one known as DHA (docosahexaenoic acid, a particularly beneficial omega-3), she says.

According to SanGiovanni, healthy fats likely guard against AMD by fighting inflammation.

To date, all studies of dietary fat and AMD have been observational, meaning researchers have looked at what people eat and checked their vision over time. SanGiovanni is running a clinical trial -- AREDS 2, in which people have been assigned to take omega-3 fatty acids (and/or two pigments found in the retina called lutein and zeaxanthin) or a placebo -- the gold standard for determining cause and effect. He says he's hesitant to make nutritional recommendations until the results are published, which he expects will happen about four years from now.

But Johnson points out that the nutritional recommendations revealed by the current study -- including eating a healthy balance of omega-6 fatty acids in relation to omega-3s -- can easily be accomplished by following the USDA "My Pyramid" diet guidelines.Health.com: Myths and facts about cholesterol

"I recommend to my patients that they consume a diet rich in omega-3 fatty acids and fish, especially salmon, sardines and mackerel, as well as nuts and green, leafy vegetables," says Johanna Seddon, M.D., of the New England Eye Center and Tufts University School of Medicine. "Those not able to consume these foods should consider taking supplements containing fish oil or lutein."

Seddon and her colleagues first reported findings linking omega-3 fatty acids and fish intake to lower AMD risk in 1994.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Studies: Consuming healthy fats reduce risk of age-related macular degeneration

@highlight

AMD is the top cause of blindness among people over 65 living in developed world

@highlight

Risk factors for AMD are age, genes, and smoking

@highlight

Study: People who ate the most trans fat had higher risk of AMD