Washington (CNN) -- Last November, Hispanic voters planted the seeds for serious immigration reform when they backed President Barack Obama by a record margin.

This April, we'll see if those seeds can grow in Capitol Hill's toxic partisan soil.

Congress returns from spring break Monday, and immigration reform tops the agenda. The Senate's bipartisan "Gang of Eight" is preparing to release its long-awaited plan for resolving the status of 11 million undocumented men, women, and children now living in America's shadows.

Can a unique confluence of factors -- a Democratic president trying to build his legacy, a Republican Party grappling with new demographic realities -- overcome the usual strong bias for inaction in a sharply divided Congress? The answer remains unclear.

"What we have now is not a 21st century legal immigration system," GOP Sen. Marco Rubio of Florida, a key conservative at the heart of the talks, said back in January. "We have an obligation and the need to address the reality of the situation that we face."

Who's in the Gang of Eight? The list includes Rubio; Sen. Lindsey Graham, R-South Carolina; Sen. John McCain, R-Arizona; Sen. Jeff Flake, R-Arizona; Sen. Robert Menendez, D-New Jersey; Sen. Dick Durbin, D-Illinois; Sen. Michael Bennet, D-Colorado; and Sen. Chuck Schumer, D-New York.

Farm worker dispute holding up immigration bill

Details of the Senate plan

A source familiar with negotiations recently told CNN that the eight senators have tentatively reached agreement on some of the thorniest issues, including the establishment of a path to citizenship and the creation of a system to assess the state of border security.

The Senate proposal could come "in the next couple of weeks," Graham said Sunday on NBC's "Meet the Press." But McCain told reporters later Sunday morning that he still thinks "it's very likely" and "very possible" to have it done by the end of the week.

"I'm guardedly optimistic. I can't guarantee it. But we have literally almost all of the issues resolved," he said.

Specifically, the senators have agreed to a 13-year path to citizenship, the source said. It would take 10 years for undocumented workers to get a green card, and then another three years to gain citizenship.

Along the way, undocumented workers would have to pay a fine and back taxes, and pass a background check. The size of the fine remains unclear.

No undocumented worker would be eligible for citizenship until the border is considered secure. To measure border security, a commission would be created with the task of establishing and assessing a set of quantifiable criteria. The commission would be made up of officials named by state and federal leaders.

Sides reach broad agreement on immigrant guest workers

Disagreement over agricultural workers

A sharp disagreement over the future treatment of undocumented workers on America's farms, however, is currently holding up progress on the bill.

The two key sticking points are wages and the number of visas to be granted to undocumented farm workers, two other sources close to the talks confirmed Friday. Four senators -- Rubio, Bennet, Utah Republican Orrin Hatch, and California Democrat Dianne Feinstein -- are trying to deal with the matter.

"It's the one major unresolved issue," one of the sources told CNN.

The sources were unable to provide specifics in terms of the number of visas or wage levels under consideration. But generally speaking, agricultural businesses have an interest in more visas and lower wages. Labor leaders, in contrast, typically support fewer visas and higher wages.

Saying there are a "few little kerfuffles" to work out in the drafting of the legislation -- referring to the disagreement over agricultural workers -- Schumer told CNN on Sunday the senators have written "most of the bill" and feel hopeful that they can announce a full agreement at the end of the week.

"We've solved most of the issues, there are a few more to go, there are a few more today and tomorrow. I'm very optimistic we'll be able to solve those last few problems," he said, declining to get into specifics.

Language like 'illegal immigrant' seen as a challenge

Agreement on nonagricultural workers

Business and labor leaders appear to have settled on a deal establishing a new immigrant guest worker program for nonagricultural workers.

The compromise, according to another source, is the creation of a new "W" visa for lesser-skilled workers not working in agriculture. Those workers would be allowed to enter the country based on labor market shortages, and could enter with the possibility of eventually applying for citizenship.

The W visa would affect housekeepers, landscapers, retail workers and some construction workers, the source noted. The agreement does not address visas for high-skilled workers or family members.

According to the AFL-CIO's understanding of the agreement, the visa program would launch in April 2015. The number of visas issued would never go below 20,000 per year and could rise as high as 200,000 annually, depending on employment levels.

One third of the visas would be reserved for businesses that employ fewer than 25 people, while no more than 15,000 visas per year would go to construction workers, the AFL-CIO said.

A new government department, the Bureau of Immigration and Labor Market Research, would determine specific industries with labor shortages and make recommendations to Congress. The agency would also play a role in setting an annual cap for W visas. The bureau would fall under the existing U.S. Citizenship and Immigration Services, and its director would be appointed by the president and confirmed by Congress.

"The beauty of this program is that it rises and falls with the economy," the AFL-CIO's Ana Avendano recently told CNN. "When the economy is booming, there will be more visas available for foreign workers. When it's not, there won't be, and that's something we've never seen in the United States before."

Randy Johnson, senior vice president of the U.S. Chamber of Commerce, released a statement declaring the proposed new visa program "a sound and workable program for the business community."

Immigration tops agenda as senators tour border

Senate resistance

The Gang of Eight may be ideologically diverse, but that doesn't mean there won't be significant resistance to the plan once it's released -- especially among wary conservatives. GOP base voters remain vehemently opposed to any plan which could be construed as amnesty for those who entered the country illegally.

Liberal Democrats, meanwhile, remain concerned that conservatives will never agree the country's southern border is secure, and will try to use that issue to continually deny citizenship to undocumented residents.

In the Senate, Alabama Republican Jeff Sessions and others have repeatedly expressed the fear that Democratic leaders will try to ram the Gang of Eight's plan through before other members have a chance to properly consider the bill.

Top Democrats "want Congress to pass a far-reaching bill before the American people know what's in it," Sessions said in a statement released April 2. "Now that the special interests have what they want, the deal has been made: Force it through and set the public interest aside."

Rubio has also said he's worried the legislation may be rushed through Congress -- a concern some observers say reflects political necessities as the Florida freshman balances his role in immigration reform with possible presidential ambitions.

Responding to GOP pressure to release details of the secretive Gang of Eight deliberations, Rubio promised Friday to brief his fellow Republican senators on Tuesday.

"This proposal will be a starting point," Rubio wrote to four GOP colleagues. "I expect you will have ample opportunity to review, comment, and amend as you see fit."

Senate Judiciary Committee Chairman Patrick Leahy, D-Vermont, who will oversee the committee-level markup of the bill once it's released, has repeatedly dismissed Sessions' and Rubio's concerns.

The Judiciary Committee "has already held several widely-attended hearings to examine the urgent need for comprehensive immigration reform," Leahy said in an April 2 statement. "If we do not act quickly and decisively we will lose the opportunity we now have."

Leahy said he hopes for a final Senate vote by this summer.

Immigration debate: High-stakes political poker

A House alternative

While most eyes are focused on the Senate, a bipartisan group of House members is working on its own version of immigration reform. Speaker John Boehner, R-Ohio, told reporters last month that the members are "essentially in agreement" on a plan to deal with the issue.

The House members involved in the talks are Rep. Mario Diaz-Balart, R-Florida; Rep. Sam Johnson, R-Texas; Rep. John Carter, R-Texas; Rep. Raul Labrador, R-Idaho; Rep. Xavier Becerra, D-California; Rep. Luis Gutierrez, D-Illinois; Rep. Zoe Lofgren, D-California; and Rep. John Yarmuth, D-Kentucky.

The members of the House group have been reluctant to talk publicly about their bipartisan negotiations. Some of them have been working on the issue since Congress failed to get a deal done in 2007.

However, two members of the House "Gang of Eight" sounded confident Sunday that their upcoming proposal will ultimately mesh well with the Senate's proposal, despite expected battles over the issue in both chambers in the months ahead.

"I am very, very optimistic that the House of Representatives is going to have a plan that is going to be able to go to a conference with the Senate in which we're going to be able to resolve differences," Rep. Luis Gutierrez, D-Illinois, said on CNN's "State of the Union."

He was joined by his Republican colleague Rep. Mario Diaz-Balart of Florida.

Asked if the House version would have a similar border security prerequisite, the two House members seemed less certain.

"You can't have a bill without border security. You just can't," Diaz-Balart said.

Pressed further on whether that provision would be a priority, Gutierrez said, "I think we can do this simultaneously."

"I think first thing we're going to do is, we're going to put people in a safe place. That is 11 million people, you can give them a work permit, Social Security card, driver's license," he added. "And then the second part is the path to the green card, that permanent residency that leads to citizenship."

House members optimistic about immigration overhaul

CNN's Dana Bash, Deirdre Walsh, and Jessica Yellin contributed to this report

@highlight

Senate negotiators are close to a comprehensive immigration reform deal

@highlight

One key sticking point is visas and wages for agricultural workers

@highlight

Despite the bipartisan talks, many conservatives remain skeptical

@highlight

The House is working on its own bipartisan plan