Editor's note: Ann Curley is the assignment manager for the CNN Medical News unit. She has been a type I diabetic for 40 years. This is her story of life with diabetes.

Ann Curley uses a pump attached to a catheter in her body to monitor glucose levels and administer insulin.

(CNN) -- When I was 7 years old, my mom took me to the doctor because I had lost a lot of weight, despite a voracious appetite.

My family had just moved from the San Francisco Bay Area to Pasadena, California, and this visit to the doctor's office was my introduction to a man who would come to have a huge impact on my life.

His name was Dr. Robert Deputy, and he was the pediatrician who diagnosed me with diabetes. He spoke to me directly, rather than to my mother, and he asked me questions: Did I feel thirsty? Did I need to urinate during the night? The answer to both questions was yes. He asked for a urine sample and the result was immediate. Dr. Deputy told me and my mother that my body wasn't processing sugar properly. I had diabetes.

That is how my 40-year journey with diabetes began. I was checked into a hospital to learn how to test my urine for sugar, give myself injections of insulin, follow a diabetic diet and control my diabetes. I spent several days in the hospital learning how to manage my disease, and then they sent me home.

Dr. Deputy would call our house each afternoon to check on me and see how I was doing. Much to my parents' chagrin -- and to my delight -- he wanted me to be self sufficient and responsible for monitoring myself. I refused to let my parents give me injections or test my urine. This demand for self sufficiency turned out to be one of my best life lessons, and not just for managing my diabetes.

While some diabetics may feel their disease is a burden, I feel that being diagnosed with diabetes was a blessing in disguise. It forced our family to eat healthily, and it taught me about good nutrition -- something I practice every day. I know carbohydrate counts in most foods, and I understand dietary concepts that most people don't even care about.

Being active is also a way to burn off high blood sugar, so when my urine tested positive for glucose, my older sister Robin was in charge of exercising me. We had countless jump-rope contests, bike rides and roller-skating excursions, keeping me and my three sisters active and fit.

And I felt like a little mad scientist, using a test tube with drops of water, urine and fizzy tablets to see if there was sugar in my urine.

Fortunately, over time, technology improved. First, test strips were developed that could be dipped in urine to reveal whether sugar was present in it. But the truth is, testing urine for sugar was a primitive method. By the time sugar gets into the urine, it's a signal that the body doesn't have enough insulin to process sugar.

And the urine test didn't give an actual number for the amount of sugar in the urine. It simply gave a color reading that corresponded with a range of how much sugar was present in the urine. Inaccurate was really an understatement when you talk about urine testing.

Home blood glucose testing kits became available in the early 1980s, and they were a huge move toward precise control and management of diabetes.

With the kit, the diabetic uses a device to poke a finger and produce a drop of blood. The blood is placed on a test strip that fits into a device that produces a reading of the blood glucose within seconds.

While I initially balked at the idea of pricking my finger several times a day, now I can't imagine not doing it in order to monitor what my blood sugar is doing.

The 1980s also saw the advent of the insulin pump. This device is the size of a pager and contains a reservoir filled with insulin. The reservoir connects to a tube that infuses the insulin into the body with a tiny plastic shunt.

So rather than taking multiple injections to mimic the body's insulin patterns, the pump drips insulin into the body to keep blood sugars constant, then gives extra amounts with meals.

Another life-altering development in diabetes, which I have discovered in the last year, is the continuous glucose monitor, or CGM.

This is a small device inserted into the tissue -- usually the abdomen, hip or leg -- and it has a tiny sensor that reads the glucose level of the body's fluids. The data is transmitted to a receiver, and patients can see a constant reading of their blood sugar levels.

I have participated in clinical trials for three different CGM devices, and I found them all to be quite accurate. Some sensors transmit data directly to an insulin pump, so you can use the reading to adjust and fine-tune the amount of insulin being pumped into the body.

The patient still has to test his or her blood sugar to confirm the sensor is properly calibrated, but it's amazing to be able to see constant readings and graphs of what your blood sugar is doing and better manage blood sugars.

CGM technology is a step toward the ultimate goal of controlling type I diabetes using what's called a "closed loop system." This means diabetics someday will be able to wear a pump that gathers data from a sensor so precise that the pump can be programmed to act on its own and make adjustments all by itself. The current systems are "open looped," meaning the diabetic controls when the doses are given.

The goal is to eventually create a pump that is more like a robotic delivery system, and all the patient has to do is wear it. Once that technology is perfected, this type of device would be implanted, which would be the next best thing to not having diabetes.

I mentioned to my sister Robin that I had tracked down Dr. Deputy for this article. She told me something I didn't know when I was 7. Forty years ago, before the advent of all of the cool diabetes technology such as insulin pumps, continuous glucose monitors and blood sugar testing, parents were given a fairly grim prediction for how their child would fare.

Dr. Deputy told my parents that I would probably only live to the age of 20 or 30, which apparently -- but not surprisingly -- had the whole family freaked out. I spoke with Dr. Deputy, who recently retired from his pediatric practice, and he seemed to remember me.

When I asked him about his dismal prognosis for my survival, he said sadly, "At that time, that was what we told parents back then. ... Everything changes with time -- diabetes, leukemia -- technology has changed with the pump and the equipment."

I think he was relieved that his prognosis was wrong. I know that I certainly am. In fact, I am hoping to live another 40 years! E-mail to a friend

@highlight

CNN Medical Unit assignment manager Ann Curley is a type I diabetic

@highlight

She learned she had diabetes when she was 7 years old

@highlight

Testing progressed from fizzy tablets in urine to continuous glucose monitors

@highlight

With changes in technology have come improvements in prognoses