Nightly gunshots wake Veronica Morris.

When the community organizer walks down her block in Chicago's Englewood neighborhood, she is reminded of the officer who was shot there.

Violence even surrounded her high school. Shots constantly rang out around the streets by the school building. Her junior year, a police car crashed right in front of her class.

"The violence is something we deal with daily and it's a real struggle," Morris said. "You get scared and youth here are angry when their friends are shot. The violence really does something to a person."

"It's sometimes bigger than the crime itself," Morris said. "It affects you more, maybe even more than the person injured, because it lingers."

Studies show her experience is shared by thousands of Americans who live in tough urban areas.

A growing number of programs treat post-traumatic stress disorder (PTSD) in war veterans. But far fewer treat Americans who suffer from the PTSD that comes with their ZIP code. And this kind of PTSD may be affecting even more people.

PTSD can directly hurt a person's brain by messing with the amygdala -- the part of the brain that triggers a chemical to release to help you decide between "fight or flight" in a threatening situation.

If someone is exposed to prolonged, repetitive, or extreme trauma, the amygdala stays in alert mode. And the neurons, the pathways to this part of the brain, lose their ability to recover.

A person's memory becomes corrupted like a bad computer hard drive and it can hurt a person's ability to separate out new experiences and determine whether they are safe or dangerous.

The longer a person stays in the hyper-vigilant mode, the greater the chance of permanent damage. In a child, damage can be magnified and lead to problems like dissociative identity disorder.

Chicago anti-violence program didn't do much, audit finds

A recent study that ran in the American Journal of Orthopsychiatry found that you don't even need a direct experience of a violent crime to be hurt by it. When there is a perception that there is disorder in a particular neighborhood, it causes some residents to suffer from PTSD.

While the overall rate of violent crime has gone down in the United States -- so much that some sociologists call this the era of the "Great Crime Decline" -- there are still pockets where violent crime is so concentrated that neighbors can't escape it.

After interviewing some 8,000 people in Atlanta, Emory University professor of psychiatry Dr. Kerry Ressler and his colleagues say that they are seeing evidence of higher rates of PTSD in this urban population than in war veterans.

"It's outrageous. This is -- well, it is not an epidemic of violence, that is not the right term for this. This is a pandemic," Ressler said.

An epidemic is concentrated in a particular region. A pandemic is spread over a wider geographic area and impacts a much larger population.

"We are seeing the same (high instances of PTSD) in cities like D.C. and Chicago and L.A."

In surveying patients picked at random from Atlanta's Grady Memorial Hospital -- one of the busiest Level 1 trauma centers in the United States -- Ressler and his team found that at least half knew someone who had been murdered. Some two-thirds said they had been victims of a violent assault. A third had been sexually assaulted. This wide range of trauma experience meant that 32% of this population suffered PTSD symptoms.

In continuing these surveys, the team wants a better scientific understanding about the lasting consequences of living in violent neighborhoods, Ressler said.

"We find you don't only lose a generation to this violence," in terms of the people who are directly hurt, he said. Instead, "you are losing multiple generations (to the violence) in these war-torn inner cities."

"With pandemic levels of disorder there are serious consequences," Ressler says. The violence "makes it harder for kids to go through school or to play by the rules. It makes it harder for a parent to get a job or avoid addiction to drugs."

Community leaders often talk about education being key to lifting people from poverty, but Ressler believes that won't be enough.

"It is important to have programs like Head Start to help begin to break the cycle of poverty with education, but if we are not doing something for people's mental health, we may not be able to change this cycle," Ressler said.

The chances that young men who experience trauma in their neighborhood will end up in jail are astronomically high, studies show.  Studies have also shown a high correlation between neighborhood disorder and physical abuse. There are further cognitive consequences as well.

A study by Andrew Papachristos, a Yale sociology professor, found that some neighborhoods in Chicago have seen high violent crime rates for decades. Frequent violence has dramatically limited academic achievement in these neighborhoods. Exposure to violence is associated with cognitive and emotional stress that can lead to reductions in working memory.

Another study looking at local violence in Chicago found that children who lived within 1,500 feet of a homicide had lower verbal and impulse control scores a week after the incident happened. Tests of older students showed similar results.

She survived a standoff with a gunman -- could you?

This concept that "deteriorated" neighborhoods have an impact on one's mental health is not new. At least 70 years ago, Chicago school researchers Robert E.L. Faris and H. Warren Dunham went through 30,000 psychiatric hospital admission records. They found high rates of substance abuse and even schizophrenia in these neighborhoods. Later studies found that high rates of depression were also common.

One compounding problem is that there is an overall element of mistrust in rougher neighborhoods, studies show. People feel powerless to change their overall circumstances; therefore, PTSD -- which carries symptoms of hyper-vigilance, social separation and avoidance -- may amplify that mistrust.

In an absence of a national public policy to address this serious problem, there are a handful of nonprofits that have overcome some of that neighborhood mistrust. Cure Violence, one of those nonprofits, takes a public health approach to violence prevention.

Epidemiologist Dr. Gary Slutkin started the program after returning from Africa, where he had been fighting tuberculosis and AIDS epidemics. When he returned to Chicago, he saw similar patterns in outbreaks of violence and thought an epidemiological approach may stop it.

Cure Violence concentrates its efforts on those who are at highest risk to cause violence. Workers living in the tougher Chicago neighborhoods listen for trouble. When they hear rumblings about a fight brewing, they intervene, talk to involved parties and try to mediate the problem before it escalates into violence.

They also work with at-risk individuals to develop a plan to reject violence, whether that be through anger management, job training or substance abuse programs.

"If we can stop the violence and stop people's exposure to the violence early, we reduce its impact from spreading through the community," said Charlie Ransford, Cure Violence spokesman.

Morris, meanwhile, is turning her experience growing up in a tough neighborhood into motivation to organize it. She's led highly visible protests to raise awareness of the consequences of violence.

"I always believe in hope, and I feel as an organizer that we've got to reinvest in these communities so that more of us won't have to continue to live this way," Morris said.

Mother loses both sons in 19 days to gun violence

Ressler hopes there will be some kind of public policy initiative to address the consequences of violence before it is too late.

"By having a lifetime of trauma baggage and coming from multiple generations with trauma baggage, this is hard to overcome without help," Ressler said. There will be trouble, he said, "if we don't start paying attention soon."

More from the series: How you make moral judgments

This is your brain on knitting

@highlight

An Atlanta survey found half of respondents knew someone who had been murdered

@highlight

A number of programs treat veterans' PTSD, but few help urban PTSD

@highlight

Urban violence reduces cognitive ability in those living near it, studies show