(CNN) -- Seventy-one years have passed since that ninth day of April, 1942, on the Bataan Peninsula in the Philippines, where we witnessed the defeat of a once-proud Army.

It was where Gen. Edward King, commander of all U.S. armed forces on Bataan, told his men, "We have no further means of organized resistance, we are low on ammunition, have virtually no medical supplies, and our food is all but gone. Our front lines are destroyed and both flanks severely weakened. The situation has become hopeless."

Then he continued, "If I do not surrender all forces to the Japanese today, Bataan will be known around the world as the greatest slaughter in history."

Those haunting words of surrender, following the Battle of Bataan, drifted down to the fighting men and women on Bataan that sad day, which marked the worst U.S. military defeat in our nation's history.

Gen. Douglas MacArthur planned to keep troops on the peninsula and Corregidor Island until the U.S. Navy could provide supplies and reinforcements. But, according to an Army history, the Navy was still in shambles after the December 1941 attack on Pearl Harbor, and no ships were capable of bringing reinforcements.

Lacking supplies, the men on Bataan fought bravely for four months against the well-fed, well-armed Japanese military. The Japanese believed in the unwritten Samurai code of conduct, known as Bushido, which held that the true warrior was willing to die for the Emperor and would never surrender.

King's decision to surrender was in direct conflict with an order he received from Gen. MacArthur. But he nevertheless ordered all of his troops on Bataan to lay down their arms and surrender to the Imperial Japanese. King told his men, "You did not surrender; I ordered you to surrender."

Some 12,000 Americans and 58,000 Filipino soldiers were surrendered that day; records show that of the 70,000 men captured, more than 20,000 were patients in field hospitals, and the remaining forces were unable to perform effectively due to being impaired by malaria or dysentery.

A POW's 'Tears in the Darkness'

Of the 12,000 Americans, only about 1,700 lived to return home. The actual number is very hard to ascertain due to the large number killed on the Bataan March, with their bodies left on the side of the road or in the Pacific.

Once the surrender took effect, the Japanese marched emaciated soldiers toward Camp O'Donnell, 65 miles away, according to the Army history.

The march became known as the Bataan Death March, not just because of how many died, but because of the way they died. If you stopped, you were killed. If you had a malaria attack and had to stop for help, you were killed. If you had dysentery and had to stop to relieve yourself, you were killed.

Without food or water, and with constant beatings, the march became unbearable. Seeking a drink of water from a caribou wallow resulted in dysentery, and drinking water from a free-flowing artesian well resulted in being killed.

And how did they kill you? By shooting or bayoneting you, or by decapitation. And, in one instance, burying the soldier alive. The March was the beginning of three-and-a-half years of hell.

If you survived the Bataan Death March, you were then sent to Japan on old Japanese freighters whose military officers refused to place Red Cross or POW markings on the ships -- thereby making them targets for American submarines and air forces fighter planes.

The freighters were known as "Hell Ships" because they were attacked and severely damaged or sunk, by American fighting forces, leaving watery graves for thousands.

If you survived the Bataan March, the POW camp in the Philippines and the ship to Japan, you were then placed into forced labor with some of Japan's leading industrial giants, and required to work in their mines, on their docks or in their factories.

The companies failed to feed us adequately, failed to take care of our medical needs, and failed to stop the physical abuse that was orchestrated and carried out by the civilian workers of those same Japanese companies. The everyday beatings with shovels, hammers and pick-axes caused severe lifetime injuries to those of us who survived.

U.S. to pay 'forgotten' Filipino World War II veterans

The U.S. military document we former POWs had to sign as we were released from our POW camp stated, "You shall not discuss your experience as a POW with any source without prior approval from the War Department, doing so may result in severe penalties, or court-martial." And the threat kept us quiet all these years.

We have unfinished business with those companies who used and abused us American POWs during WWII.

Just last year, after 70 years of waiting, we received Japan's apology for the "inhumane" treatment by the Japanese military, but we need an apology from those companies who allowed their employees to beat us on a daily basis for failing to work hard enough, work fast enough or bow low enough.

We survivors want our honor returned, and one way to do that is through an apology issued by those companies who used and abused us during WWII. We have found that dying was easy: It's the living that's hard.

As we recall this anniversary of the Bataan Death March, we acknowledge that although the Japanese stole our honor, deprived us the simplest necessities of life, and forced us into slavery, still our values remained intact and we never lost faith in our country or our God.

The opinions expressed in this commentary are solely those of Lester Tenney.

@highlight

Lester Tenney, 92, survived the Bataan Death March during World War II

@highlight

He was held as a Japanese prisoner of war

@highlight

Tenney returned home and became a successful college professor

@highlight

He started an organization that sends care packages to U.S. troops