President Barack Obama prodded Congress to eliminate the United States' decades-old Cuba embargo Friday, saying that improving relations with the communist country will help open its "hermetically sealed society" -- even if changes come in "fits and starts."

He said he doesn't expect lawmakers to strip the embargo away immediately, and that Congress will need time to digest a deal he struck this week to free American contractor Alan Gross, trade imprisoned spies and ease U.S. economic restrictions on Cuba in exchange for the release of dozens of political prisoners and expanded Internet there.

His comments came during a feisty year-end news conference Friday, just hours before Obama and his family boarded Air Force One for a holiday vacation in Hawaii.

"I don't anticipate overnight changes. But what I know deep in my bones is that if you've done the same thing for 50 years and nothing's changed, you should try something different if you want a different outcome, and this gives us an opportunity for a different outcome, because suddenly Cuba is open to the world in ways that it has not been before," Obama said.

"The more the Cuban people see what's possible, the more interested they are going to be in change. But how societies change is country-specific. It's culture-specific," he said.

Obama offered some notes of caution, saying a presidential visit Cuba or Cuban President Raul Castro coming to the United States isn't "in the cards."

His moves have already triggered controversy among potential Republican 2016 presidential contenders. Florida Sen. Marco Rubio, who accused Obama of giving up leverage, is sparring with Kentucky Sen. Rand Paul, who advocates a smaller U.S. footprint overseas.

Obama said he expects a "healthy debate" to rage in Congress.

"I think that ultimately we need to go ahead and pull down the embargo, which I think has been self-defeating in advancing the aims that we're interested in," Obama said. "But I don't anticipate that that happens right away."

Obama sounded an optimistic tone, saying he is "energized" and "excited" about the final two years of his presidency even after Democrats in Congress were shellacked in November's midterm election.

"My presidency is entering the fourth quarter," Obama said. "Interesting stuff happens in the fourth quarter. And I am looking forward to it."

The President immediately made headlines by saying Sony "made a mistake" canceling a movie after North Korea's hack.

He also drew attention for calling on female journalists for all eight of the questions he took -- which White House Press Secretary Josh Earnest said was intentional.

"The fact is, there are many women from a variety of news organizations who day-in and day-out do the hard work of covering the President of the United States," Earnest said. "As the questioner list started to come together, we realized that we had a unique opportunity to highlight that fact at the President's closely watched, end of the year news conference."

Obama touched on the clashes that are guaranteed to come once Republicans take full control of Congress in January, setting up showdowns over Obama's signature health care law, the Keystone XL pipeline that conservatives would like to green-light, financial regulations and more.

He identified international trade and tax reform as areas he might be able to find common ground with the GOP-led House and Senate, and said staff-level conversations will take place between Obama's White House and GOP congressional leadership between now and the Jan. 20 State of the Union address about individual and corporate tax reform. Obama said he'll issue proposals of his own to overhaul the corporate tax structure.

"Then there are other companies that are paying zero because they've got better accountants or lawyers. That's not fair," he said. "There are companies that are parking money outside the country because of tax avoidance. We think it's important that everybody pay something if they are effectively headquartered in the United States."

But he threatened to veto any bills that would weaken the health care law or rolls back any of the 2010 Dodd-Frank financial services reforms -- which were recently thrust into the spotlight after liberals howled over the roll-back of one of those reforms in a deal this month to fund the government.

"I think there are going to be some tough fights on those areas where we disagree," Obama said. "If Republicans seek to take health care away from people who just got it, they will meet stiff resistance from me. If they try to water down consumer protections that we put in place in the aftermath of the financial crisis, I will say no, and I'm confident that I will be able to uphold vetoes on those types of provisions."

Here's what Obama said about several other issues Friday:

KEYSTONE PIPELINE -- President Barack Obama said the Keystone XL pipeline -- which Republican congressional leaders have said they intend to approve legislation to authorize early next year -- is "not even going to be a nominal benefit to U.S. consumers."

Obama didn't threaten to veto a bill that would take approval of the 1,179-mile, Canada-to-Texas pipeline out of the State Department's hands. But he downplayed its potential effects and said that if Congress wants to create the kinds of construction jobs that could accompany the pipeline, it should instead approve bills to improve the country's infrastructure.

"There's very little impact, nominal impact, on U.S. gas prices -- what the average American consumer cares about -- by having this pipeline come through," Obama said. "And sometimes, the way this gets sold is, 'Let's get this oil and it's going to come here,' and the implication is, it's going to lower oil prices here in the United States -- and it's not. There's a global oil market."

RACIAL TENSIONS WITH POLICE -- Obama argued that "really concrete, practical" law enforcement reforms will result from a review his administration is currently producing, and sounded an optimistic tone about preventing deaths like Michael Brown's in Ferguson, Missouri and Eric Garner's in New York City in the future.

"What I don't think is always captured in our political debates is, the vast majority of people are just trying to do the right thing. And people are basically good and have good intentions," Obama said. "Sometimes our institutions and our systems don't work as well as they should. Sometimes you've got a police department that has gotten into bad habits over a period of time and hasn't maybe surfaced some hidden biases that we all carry around."

"But if you offer practical solutions, I think people want to fix these problems," he said. "This isn't a situation where people feel good seeing somebody choked and dying. I think that troubles everybody. So there's an opportunity of all of us to come together and take a practical approach to these problems."

THE ECONOMY -- He called 2014 the "strongest year for job growth since the 1990s" and pointing to rising middle class wages, increased energy production and lower gas prices, and highlighted recent economic reports that have identified a 57-month streak of job growth, producing 11 million new positions.

"As a country, we have every right to be proud of what we've accomplished: More jobs, more people insured, a growing economy, shrinking deficits, bustling industry, booming energy -- pick any metric that you want; America's resurgence is real. We are better off," Obama said.

He said gas prices are 70 cents lower this year than they were last Christmas, and the Obama administration's bailout of the automotive industry is "effectively over."

"Yes, there were crises that we had to tackle around the world -- many that were unanticipated," Obama said. "We have more work to do to make sure our economy, our justice system and our government work not just for the few but the many. But there is no doubt we can enter into the new year with renewed confidence that America is making significant strides where it counts."

NORTH KOREA'S SONY HACK -- Sony "made a mistake" in halting the release of its film "The Interview" after hackers that the FBI has linked to North Korea stole the company's documents and threatened theaters that showed the film," Obama said.

"We cannot have a society where some dictator someplace can start imposing censorship here in the United States, because if somebody is able to intimidate folks out of releasing a satirical movie, imagine what they'll do when they see a documentary that they don't like, or news reports that they don't like -- or even worse, imagine if producers or distributors or others start engaging in self-censorship because they don't want to offend the sensibilities of somebody whose sensibilities probably need to be offended," Obama said.

"So, you know, that's not who we are. That's not what America's about. Again, I'm sympathetic that Sony as a private company was worried about liabilities and this and that and the other. I wish they'd spoken to me first. I would have told them, do not get into a pattern in which you're intimidated by these kinds of criminal attacks," he said.

@highlight

President Barack Obama said Sony "made a mistake" canceling its movie release

@highlight

Obama called on Congress to end the Cuba embargo

@highlight

Obama said he might be able to work with congressional Republicans on tax reforms and trade

@highlight

The news conference came just hours before the Obama family departs for vacation in Hawaii