Tyrone Woods became a Navy SEAL after his mother suggested he join the military.

Friday afternoon, Cheryl Croft Bennett attended a ceremony to honor the life of her son, Ty, and grieve his death alongside three other Americans in Tuesday's assault on the U.S. Consulate in the Libyan city of Benghazi.

Woods, who had retired from the Navy, handled security for diplomats and perished with fellow former SEAL Glen Doherty, computer expert Sean Smith and U.S. Ambassador Chris Stevens.

"Tyrone's friends and colleagues called him 'Rone,' and they relied on his courage and skill, honed over two decades as a Navy SEAL," Secretary of State Hillary Clinton said.

U.S. Embassy in Cairo was warned

"In uniform, he served multiple tours in Iraq and Afghanistan. Since 2010, he protected American diplomatic personnel in dangerous posts from Central America to the Middle East. He had the hands of a healer as well as the arm of a warrior, earning distinction as a registered nurse and certified paramedic. All our hearts go out to Tyrone's wife Dorothy and his three sons, Tyrone Jr., Hunter, and Kai, who was born just a few months ago."

Back at home in California, Woods worked as a registered nurse in his wife's dental practice in La Jolla, his mother told CNN affiliate KGW TV in Portland, Oregon, but he gained fulfillment in his military role.

"He loved the cutting edge. He loved danger. He loved an adrenaline rush," Bennett said.

"But he loved the thinking part of it, too. He was very street smart, and he was the guy you would want to have in your corner if you were in a tight situation."

A diplomatic source told CNN that Doherty was in Libya to search for shoulder-fired anti-aircraft missiles -- a mission given high priority after the fall of longtime Libyan strongman Moammar Gadhafi.

Opinion: Arab Spring nations don't yet grasp freedom of dissent

Doherty grew up in Massachusetts with a passion for the outdoors, particularly the mountain West, his family said. Outside the family's home in Woburn, near Boston, his sister remembered him as "our American hero."

"Glen lived his life to the fullest," Katie Quigley told reporters. "He was my brother, but if you ask his friends, he was their brother as well."

The 42-year-old graduated from high school in 1988 in neighboring Winchester, where flags were displayed at half-staff on Thursday. He played on the varsity tennis and wrestling teams, school officials said in an announcement marking his death. His junior-year English teacher, Judy Hession, recalled him as "bursting with life."

"Every day his huge smile and his happy-go-lucky optimism filled my classroom," Hession said in a statement released by the school district. "He got along with all types of people, was a class leader and, from the perspective of 30 years of teaching, one of my most memorable students."

After college in Arizona and stints as a "ski bum" and raft guide in Utah, Doherty joined the Navy and became a member of the elite Navy SEAL commandos in 1995, his family said in a statement.

"He told me he wanted to be a SEAL and I tried to use reverse psychology with him and say, 'Well, you won't make it. You can't make it. You don't pay attention to me -- never mind a superior officer,'" his father, Ben, told CNN affiliate WCVB in Boston. "He showed me."

Doherty had planned to leave the service after knee surgery in 2001, but after the al Qaeda attacks on New York and Washington, he "was not allowed to leave and didn't want to," his family said.

Doherty served two tours of duty in Iraq, starting with the U.S. invasion in 2003, before leaving the military in 2005. He then became a private security contractor, working in Afghanistan, Pakistan and Yemen -- a job that took a toll on his home life and contributed to a divorce, his family said.

He also joined the advisory board of the Military Religious Freedom Foundation, a group that has battled religious intolerance in the U.S. armed forces. Its president, former Air Force officer Michael "Mikey" Weinstein, said he was "in a state of shock" after learning of Doherty's death.

"He was one of our most active advisory board members," Weinstein said. "I was surprised he was willing to come on and lend the gravitas that comes with being a Navy SEAL to our cause." Doherty's involvement "made it easier for others to come to us," Weinstein added.

Arrests made in attack on U.S. Consulate in Libya

He said Doherty believed the kind of violent jihadists American troops faced were "a very small percentage of the overall mosaic of the Muslim faith," and saw anti-Muslim sentiment in the United States and in the ranks as something that hurt U.S. national security.

"He went back to the Middle East because he cared deeply about the Muslim people, and because he cared about bringing freedom and democracy and human rights to the Middle East," Weinstein said. Doherty "was a kind and caring person, and I'm sure that he gave every last bit of his courage and strength" to defend the consulate and Stevens, he added.

"All this is going to do is light a further fire under us in Glen's name and memory to continue to fight for religious freedom and respect and tolerance."

He also co-authored a 2010 book, "The 21st-Century Sniper: A Complete Practical Guide," with former comrade Brandon Webb. In a statement accompanying the family's, Webb said, "Don't feel sorry for him, he wouldn't have it."

"He died serving with men he respected, protecting the freedoms we enjoy as Americans and doing something he loved," Webb said.

In her statement, Clinton said Doherty, a paramedic, was referred to as "Bub" by his friends and family. "In the end, he died the way he lived -- with selfless honor and unstinting valor," she said.

Smith's death was among the first reported in the Benghazi fracas. Clinton eulogized him Wednesday as a 10-year veteran of the Foreign Service, an information management officer who had served in Iraq, South Africa, Canada and the Netherlands.

Smith was better known by his online alter ego, which was legendary in the gaming world.

Six things to know about the Benghazi attack

In real life, he was an Air Force veteran with a wife, a son and a daughter. But in the virtual universe of the computer game EVE Online, Smith was "Vile Rat" -- one of the leaders of a gamers' alliance renowned for his diplomatic skill in the multi-player space warfare simulation.

"If you play this stupid game, you may not realize it, but you play in a galaxy created in large part by Vile Rat's talent as a diplomat. No one focused as relentlessly on using diplomacy as a strategic tool as VR," Smith's friend Alex Gianturco wrote in a tribute posted on his website.

Gianturco wrote that Smith had been under fire before, while posted to Baghdad. When that occurred, he usually broke off his messaging. "We'd freak out and he'd come back OK after a bit," Gianturco wrote. But Tuesday night, after reporting "GUNFIRE," Smith "disconnected and never returned," he added.

A few hours earlier, Smith had posted, "assuming we don't die tonight. We saw one of our 'police' that guard the compound taking pictures," he recounted.

The death of Stevens also left many across the United States and in foreign posts around the world reeling.

The U.S. ambassador died in the very city where he had arrived aboard a cargo ship in the spring of 2011 to help build ties between the upstart rebellion and the rebels.

Stevens graduated from the University of California, Berkeley, in 1982, then took a pause in his studies to join the Peace Corps. He later worked as an international trade lawyer in Washington before joining the Foreign Service, the career diplomatic corps, in 1991.

"When he went to Libya, he had no illusions about where he was going," said longtime friend Daniel Seidemann. "He has probably done more than anybody on the planet to help the Libyan people."

On Friday, in a ceremony marking the return of the four victims to the United States, President Barack Obama said that amid all of the horrific images coming out of Benghazi this week, "I also think of the Libyans who took to the streets with homemade signs expressing their gratitude to an American who believed in what we could achieve together.

"I think of the man in Benghazi with his sign in English, a message he wanted all of us to hear. It said, 'Chris Stevens was a friend to all Libyans.' Chris Stevens was a friend."

Analysis: In Libya, militias 'running the show'

Mystery shrouds anti-Islam film

Blog: Arrest, violence updates

@highlight

Security officer's dad remembers dedication

@highlight

President Barack Obama: "Chris Stevens was a friend"

@highlight

Computer expert Sean Smith was renowned in the gamers' universe

@highlight

They died in Benghazi with Chris Stevens, the U.S. ambassador to Libya