Washington (CNN) -- A 5-year-old's birthday party with no cake and candles? Unheard of, except in politics.

Monday marked the fifth anniversary of President Barack Obama's signing of the 2009 stimulus bill, the focus of a hyper-partisan debate over the first major legislation of his presidency.

By most assessments, the $800-billion-plus spending and tax-relief program helped reverse job losses and restore economic growth, though not as fast or strong as originally predicted.

Arguments based on political ideology persist over whether it helped or hurt the county in the long run.

Obama and Democrats argue it was crucial to the recovery from what is now called the Great Recession, while Republicans who opposed the stimulus then still call it the wrong prescription.

CNNMoney: States' unemployment rates

White House relatively silent on anniversary: For Monday's milestone, the White House took the somewhat muted approach of releasing a blog post by Jason Furman, the chairman of Obama's Council of Economic Advisers, who touted a new report on the benefits from the American Recovery and Reinvestment Act.

"The economy has now grown for 11 straight quarters, and businesses have added 8.5 million jobs since early 2010," Furman's blog post said. "While far more work remains to ensure that the economy provides opportunity for every American, there can be no question that President Obama's actions to date have laid the groundwork for stronger, more sustainable economic growth in the years ahead."

Vice President Joe Biden will mark the anniversary on Wednesday in Illinois, but otherwise, Furman's post and the final report on the stimulus by the council he heads accounted for the total administration commemoration on the Presidents Day holiday.

No silence from the right: Republicans, meanwhile, kept up their consistent drumbeat of criticism.

The Republican National Committee sent reporters a morning email headlined: "The Stimulus That Wasn't: Five Years Later, It's Clear Obama's Stimulus Was A Waste Of Taxpayer Dollars."

"If you recall five years ago, the notion was that if the government spent all this money -- that, by the way, was borrowed -- that somehow the economy would begin to grow and create jobs," GOP Sen. Marco Rubio of Florida said in a video. "Well, of course, it clearly failed."

The differing reactions continue a pattern that pre-dates congressional approval of the stimulus law in 2009 with almost zero Republican support.

CNNMoney: Where's the debt ceiling now?

Republicans 'set terms' for economic debates: To Peter Hamby, CNN Digital's national political reporter, the Obama administration has been weak in communicating economic accomplishments compared to Republicans, who he said "really set the terms ... for these economic debates."

That was obvious on Monday. Along with the RNC and Rubio attacks, Senate Republican leader Mitch McConnell of Kentucky and two other Senate GOP leaders -- John Cornyn of Texas and John Thune of South Dakota -- also launched broadsides.

The Republican criticism is part of GOP strategy to frame this year's congressional elections as a referendum on Obama's presidency, with the party's conservative base relentlessly hammering Democrats over still-sluggish economic growth and the Obamacare health reforms.

A Pew Research poll from 2012 showed Americans divided and uncertain on the stimulus issue, with 37% supporting it, 41% registering disapproval and nearly a quarter of respondents unsure. As usual, a wide partisan divide existed, with two-thirds of Democrats in support compared to only 12% of Republicans.

CNNMoney: 3 problems Congress should stop asking the Fed to solve

White House says legislative goals reached: The White House report on the stimulus released Monday said the legislation along with subsequent legislation intended to boost job growth achieved their goal.

"Considerable evidence suggests the federal government's efforts to jump-start the economy were successful," it concluded, adding that the stimulus bill "provided an important and timely boost to GDP in 2009 and 2010."

Obama calls for continued government investment in job creation, such as funding infrastructure projects to rebuild roads and bridges, as well as jobs training programs.

Republicans say stimulus proves their point: Republicans say the legacy of the stimulus bill showed a big government approach doesn't work.

"Five years later, underemployment is still too high, the number of people that have dropped out of the workforce is astounding, unemployment remains stubbornly high and our economy isn't growing fast enough â€” proof that massive government spending, particularly debt spending, is not the solution to our economic growth problems," Rubio's video said.

In response to the fresh GOP attacks, the left-leaning ThinkProgress.org website noted that Republicans who opposed the stimulus bill in 2009 were happy to receive its benefits in ensuing years, with some claiming credit for projects funded with stimulus money they had opposed.

Government intervention in response to the recession began in the final months of the Bush administration that preceded Obama, with bailouts of the financial system and auto industry. Obama continued and built on that strategy with the stimulus bill and expanded auto bailout.

The stimulus plan included almost $300 billion in tax relief as well as spending on various programs and initiatives including education, medical research, health care, infrastructure, local law enforcement, energy and job training.

CNN's Paul Steinhauser contributed to this report.

@highlight

White House report says stimulus bill achieved its goal of reversing downturn

@highlight

Republicans lambaste the $800-billion-plus measure signed in 2009

@highlight

Five years later, it remains a partisan dispute based on differing political ideologies

@highlight

Vice President Biden heads to Illinois on Wednesday to commemorate the bill signing