(CNN) -- The goal of Common Core is laudable: Give all students a common experience in English and math. But the path to that end has been fraught with problems. For one thing, more parents and educators are upset over all the tests students now have to take. Teachers are concerned about the negative impact of teaching to the test.

Supporters of Common Core insist the standards and tests are necessary for holding schools accountable and ensuring a better future for America. But they may want to take a page from China, which has experienced the good, bad and ugly of a testing culture.

For over a thousand years, Chinese emperors used the imperial exam system keju to select government officials. When the great empire was shattered by Western powers in the 19th century, keju was blamed for China's failure to cultivate the creative and diverse talents needed for modernization. It was officially ended in 1905. But the keju spirit lives on today in the body of the college entrance exam, or gaokao.

Because it is practically the only way for upward social mobility, gaokao wields as much power as keju. It orients all aspects of education at all levels toward preparing for the exam. As a result, the modern day education system in China remains a test-prep machine as it was in the days of keju.

China has certainly benefited from high-stakes testing and a focused common curriculum. The imperial exam system did a perfect job in cultivating obedient and homogeneous intellectuals, who contributed to China's continuous pre-eminence as an agricultural empire. The modern-day test-prep education has produced the best test-takers in the world.

Students from Shanghai have twice ranked No. 1 on the Program for International Student Assessment, or PISA, earning China the reputation of having one of the best education systems in the world.

Why Finland's schools are top-notch

The Chinese system has also produced many extremely hardworking, highly motivated and excellent professionals. It's true that the very best ones are sought after by Fortune 500 companies. But they are a tiny fraction. One study shows that fewer than 10% of Chinese graduates would be qualified to work in a foreign company in occupations such as engineering, finance and accounting.

The truth is that the testing culture of China has taken a big toll. Corruption such as bribery, cheating and other forms of fraud intended to boost test results has been rampant in the past as well as today. Stress, anxiety, poor physical health and a lack of social and practical life skills are well-known characteristics of Chinese students.

The biggest price China has paid is the loss of creative talents. Its education system stifles creativity, suppresses individuality and induces conformity by forcing all children to compete for better test outcomes in a narrow set of subjects.

Testing rewards those who are willing and able to give the right answers in the right way as demanded by the authority, while eliminating those who are unwilling or unable, but who may be talented in other areas. It thus fosters the spirit of compliance. It also results in impoverished educational experiences by forcing schools and teachers to teach to the test.

Parents, too, are forced to narrow their children's education experience to improve their children's test performance. Children are thus deprived of the opportunities to explore their interests and find their passion.

China has become keenly aware of the damages of its test-oriented education. Over the past few decades, China has launched multiple rounds of reforms to reduce the importance of testing. Last year, for example, the Ministry of Education issued the order to ban testing for grades one through three. For grades four and up, standardized testing is only allowed once per term for three subjects (Chinese, math and foreign language). Tests cannot be used to admit students during the compulsory education stage.

There is no reason to believe America can be immune to the corruptive power of high stakes testing China has suffered. The increase in standardized testing that resulted from No Child Left Behind has already led to an increase in the number of cheating scandals in schools across the country, narrowing of curricula, and stress on teachers and children.

Thanks to China's outstanding PISA performance, America has been encouraged to learn from China. But the Chinese lesson that matters most is not what it did to do well on international tests. Rather, it is the country's recent reform efforts to de-emphasize testing.

China wants to have the same kind of creative and entrepreneurial talents America desires for the future. It is doing so by minimizing testing, because it has learned that testing and standardization do not help with, and more likely hurt, the development of creative and entrepreneurial talents. This is the Chinese lesson that America can learn.

@highlight

Yong Zhao: Common Core's advocacy of more tests for students is not a great idea

@highlight

Zhao: China's education system is a test-prep machine, and that's been problematic

@highlight

He says a testing culture stifles creativity, fosters spirit of compliance, imposes stress

@highlight

Zhao: The lesson for U.S. is that China is trying to turn away from a test-oriented education