Washington (CNN)  -- In case you didn't notice, London is on fire. Rioters are setting blazes, hurling stones, beating up famous statues and some of them kicked Prince Charles' car. Which is a little like beating up a statue, but still...

Students have come unhinged over a plan to triple university fees. The government says it had to approve the increase to fight soaring budget problems.

Americans are, of course, quite different from the Brits in many ways. But our young people certainly have this in common: Here, as there, tuition rates have steadily risen, job opportunities for graduates have grown more scarce, and the prospects of maintaining the "good life" so many younger folks enjoy now have dimmed. And history has shown time and again, that when young people get upset they have a nasty tendency to take it to the streets.

Which has me wondering if maybe we're setting the stage for similar unrest here on the American side of the pond.

We have a deficit problem. We're talking about hefty cuts of services and/or tax increases. And we always seem to have reasonable numbers of disaffected youth, no matter how many iPhones we buy for them.

Now, I would never want to encourage wild civil disobedience. To the contrary, I was one of the first reporters on the streets for ABC News during the 1992 Los Angeles riots. I spent 50 straight hours in the fray amid smashing bottles, rampant looting, occasional gunshots and more major building fires than I could count.

"You need to get out of here, right now!" a shop owner shouted at me shortly after the mob sacked his place. "You're going to get killed."

More than 50 people were killed. Hundreds of others were hurt. It was fascinating, especially the guy I saw carrying a looted refrigerator from Sears entirely on his own, but it was also dangerous, destructive, and in the end, pointless.

Note to potential rampagers: Wrecking your own neighborhood does little to improve the conditions that made you mad in the first place.

That said, however, circumstances now appear favorable for some sort of similar outbreak of mob violence, given the right catalyst.

First, unemployment is high. When people lose their paychecks, they get irritable. Combine the frustration of these folks with a job market that stubbornly refuses to give them any hope and you can see how fear of long-term joblessness can turn into anger -- at big business, at the government, at society in general.

The U.S. Bureau of Labor Statistics shows Los Angeles County had almost 11% unemployment in 1992. It hasn't been that high since. Um, except for now. Last year it smashed that ceiling and is now well over 12%.

Second, political and cultural divisions are deep and deepening. I have a caveat to add here. My travels and a variety of polls have suggested that regular voters are substantially more interested in cooperation, compromise and moderation than the hard core partisans who dominate Washington politics. But the parties, as the current Bush tax cuts fight shows, are still often more compelled by the idea of making their opponents lose than in helping the whole nation win. Compromise is what keeps fights from happening in most of America. In D.C. it is a dirty word.

And again, we can look to Europe to see parallels. They, too, have watched the gulf widen between opposing political parties as the economy has strained each ruling majority to find quick solutions or pay the price at the polls.

Third, the hard times are far from over. Even as the nation emerges (we hope) from the recession, all the warning signs say high unemployment, low housing values, rising taxes and much lower limits on what government can afford may well be the new normal.

And one more time, the similarities hold true. Europe has a long slog ahead of it too, with likely many more privations that will profoundly affect the plans and ambitions of the young.

None of this means that rioting is inevitable. As I mentioned above, there would have to be a catalyst, some event or decision that spurred all that potential angry energy into action. Figuring out what the catalyst might be requires less scientist than psychic. But remember the health care town hall meetings? No one initially expected them to be as explosive as they were, and yet several bordered on getting out of control.

There is also this: Every society has some folks in it who are really just aching for a good riot. One of the best reads about riots is Bill Buford's book, "Among the Thugs." Buford spent time with English soccer hooligans trying to understand what drove them to tear cities apart when their teams lost, or won, or tied, or just showed up at the stadium.

Part of what he found is that soccer had little to do with it. The hooligans used their rioting as a steam valve, a way to crash against the barriers of social limits, express their fury over their lot in life and generally spice up otherwise boring weekends. Ultimately, they fought because they liked fighting.

What might keep us from having riots? Well, there is inertia. Getting people motivated enough to storm the Bastille is not as easy as it looks, and despite our troubles we are still a wealthy society. When you have enough entertainment and life is not completely unbearable, it's hard to persuade the crowd to gather pitchforks.

But the question "Why do riots start?" remains largely an enigma, despite many efforts to produce an answer. We may be able to trace any given riot back to its roots, but that information doesn't seem to help us much in preventing the next one.

I don't know if we are headed for riots now. I hope not, because I have seen how terrible they can be. But my experience tells me that the conditions, like dry woods in a season of lightning, are favorable for a fire. And once it starts, putting it out can prove costly and difficult.

The opinions expressed in this commentary are solely those of Tom Foreman.

@highlight

Tom Foreman wonders if U.S. might have unrest similar to Britain's

@highlight

He saw rioting first-hand while working in Los Angeles in 1992

@highlight

Foreman says figuring out what would trigger a riot is extremely difficult