Washington (CNN) -- What's the most emotional and divisive issue in American politics?

Abortion, right?

Just this weekend, former Republican front-runner Rick Perry used the abortion issue to slam current Republican front-runner Herman Cain at the Iowa Faith and Freedom forum.

Perry said:

"It is a liberal canard to say I am personally pro-life, but government should stay out of that decision. If that is your view, you are not pro-life, you are pro having-your-cake-and-eating-it-too."

Over the previous week, Herman Cain had alarmed anti-abortion voters with a series of verbal miscues, indicating both that abortion must be stopped but also that the decision should be left to the individual woman, with no role for government.

At the Faith and Freedom forum, Cain over-corrected for his week of stumbles: "No abortions. No exceptions." That new position goes far beyond the usual pro-life policy, which allows exceptions for rape, child abuse, and to save the life of the mother.

Pro-life activists must unhappily confront the probability that many of the leading candidates for the GOP nomination in 2012 - while all professedly pro-life - in reality neither care very much nor think very much about the abortion issue.

But now look at the world from the politicians' point of view. They must hold together a coalition that is sliced apart by the abortion issue. Pro-choice Republicans do not hold forums. But they exist, and they have power. With the result that while you can't get nominated for president by the GOP if you are pro-choice (see Giuliani, Rudy), you also can't get nominated if you oppose abortion too much (see Huckabee, Mike).

For the politicians, it's all baffling and vexing.

And yet -- incredible as it sounds now -- there is reason to expect that the abortion issue may someday just vanish from national politics. After all, that's what happened to the last great moral issue to rattle the American party system: alcohol prohibition.

For 70 years from the end of the Civil War to the Great Depression, a human lifetime, the "drys" and the "wets" mustered all the passion, commitment, and moralism of the pro-life and pro-choice movements of our day.

"It is my opinion that the saloonkeeper is worse than a thief and a murderer. The ordinary thief steals only your money, but the saloonkeeper steals your honor and your character. The ordinary murderer takes your life, but the saloonkeeper murders your soul."

That's from the famous "booze sermon" of Billy Sunday, the great popular preacher of the 1910s and 1920s. Thousands of such passionate speeches -- millions more passionate words -- were uttered by names now brown with history: William Jennings Bryan, Carrie Nation, Elizabeth Cady Stanton. It was not all talk. Ferocious legislative battles were bought to prohibit alcohol at the county, state and then ultimately national level. The great scholar of American politics, Judith Shklar, estimated to her graduate students that through the long run of American history, more elections at more levels of government have turned on alcohol than any other issue, including slavery.

Politicians hated the alcohol issue for the same reason they now dislike the abortion issue: It sliced apart the existing party structure.

The Republicans could not win a national majority without the support of Protestant immigrants from Germany in cities like Milwaukee and St. Louis. The Democrats could not win without the enthusiastic support of Irish Catholics in New York and New England. City-dwelling Germans and Irish intensely resented attempts of their country-dwelling neighbors to regulate their behavior for them.

"If they don't feel like takin' a glass of beer on Sunday, we must abstain," a contemporary Irish-American politician bitterly complained. "If they have not got any amusements up in their backwoods, we mustn't have none."

National politicians responded to Prohibition then in the same way they respond to abortion now: by looking for ways to avoid and de-escalate a destabilizing issue. "Questions based upon temperance, religion, morality, in all their multiplied forms, ought not to be the basis of politics," declared Senator John Sherman of Ohio in 1873. "We don't want to alienate anybody!" complained a Michigan Republican leader of the 1880s as quoted in a contemporary newspaper.

As Richard Jensen observes in his classic history, "The Winning of the Midwest", "Very few prominent Republican politicians were abstainers ... The politicians were not less likely to be churchgoers (many voters, after all, attended church), but they had developed their own standards of personal morality." Then as now!

And yet a century later ... the issue is dead. Vanished. Forgotten. What happened?

Three things.

1. Alcohol prohibition did finally get a national trial, from 1919-1933 and was universally experienced even by former supporters as a disaster.

2. The problem addressed by prohibition has dwindled away. While it's difficult to know with any precision how much people drank in the years after the Civil War, it's almost certain that 19th Century Americans drank much more than they do today. (For that matter, Americans today drink nearly 20% less than they did as recently as 1980.)

3. And maybe most important, drinking and non-drinking are no longer so intimately associated with other ethno-cultural divisions within American life. As alcohol ceased to be a cultural symbol, the appropriate regulation of alcohol ceased to be an ideological issue. When alcohol regulation flared up again in the 1980s, during the debate over stricter punishments for drunk driving, the debate never turned into a culture war because "alcohol" was not code (as it had been a century before) for a dozen other identities and grievances.

Can we imagine such a fate for the abortion issue?

Condition number one could well happen, and would be revolutionary.

But even in its absence, condition number two is beginning to obtain in the United States. In the early 1980s, there were some 29 abortions per 1,000 women of child-bearing age. Today that rate has declined to about 19 abortions per 1,000 women. The rate will never reach zero, but we may expect that it will continue to decline as contraceptives improve and attitudes to out-of-wedlock birth become more accepting, and as younger generations increasingly reject abortion as an acceptable resolution of a pregnancy.

What about condition three? Alcohol became central to American politics at a time when Americans were arguing whether the country should be rural or urban, a farm economy or industrial, and whether Catholics could ever become good Americans. As those arguments lost their intensity, so did the alcohol issue. Abortion became central to modern politics at exactly the same time as Americans were arguing over sexuality generally, over the status of women and the rights of gays.

I think it's a good guess that if we come to a new consensus about the status of women -- absorbing and digesting the sexual revolution of the 1960s and the feminist revolution of the 1970s into a new dispensation more comfortable with both women's equality to men and their differences from men -- disagreements over abortion will come to matter less. Such disagreements won't disappear, any more than we've seen the end of debates about whether bars should open on Sundays. But the disagreements won't matter so furiously much as they now seem to do.

Too bad for Herman Cain that day still seems at least a couple of decades remote.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Herman Cain's comments on abortion brought him heavy criticism

@highlight

David Frum says abortion may be the hottest social issue, but it may not always be so

@highlight

He says American politics was riven by debate over alcohol for generations

@highlight

Changing social views and behavior may greatly lessen abortion issue, he says