(CNN) -- Driving a lorry or a truck across the country isn't easy. In the United States, by law truckers have to take a break after 11 consecutive hours. In Britain, the maximum driving time is nine hours per day.

But imagine a world where trucks drive through the night without ever stopping. There's no need for a coffee break or a nap, and yet there are never any accidents. That's because these trucks don't actually have any drivers.

The age of the driverless vehicle is upon us. Some famous names have been developing and testing prototypes with the aim of making them commercially viable. Google, a pioneer in the field, started its self-driving car project in 2009 and its autonomous vehicles completed 100,000 miles (about 161,000 kilometers) on public roads 18 months later.

The United Kingdom recently allowed the vehicles on the road, joining California, Florida and Nevada in the United States in changing the laws to accommodate the new technology.

Businesses stand to benefit in a multitude of ways, whether they are waiting for delivery of goods or for executives to arrive for meetings or conferences. Smoother traffic flow will make journey times more predictable and scheduling simple. Maintenance of a steady speed will reduce fuel consumption and carbon emissions. And the "drivers" -- if vehicles have them -- may carry out other tasks while traveling and arrive fresher.

And it's not chump change. For example, in Europe, 76% of total goods traffic in 2011 were transported by road, according to the European Union.

Daimler, the German car giant, says that, despite European roads becoming over-congested as the highway network has hardly grown in recent years, goods traffic is set to increase substantially in the coming years. The company is developing the Mercedes-Benz Future Truck 2025 with the promise that in a decade drivers of the vehicle will be "transport managers" rather than truck drivers.

"We are facing completely new models for freight traffic," said Prof. Sabina Jeschke, director of the faculty of information management in mechanical engineering at RWTH Aachen University in Germany. These new intelligent cars "are able to initiate and organize their collection, transport and delivery at their destination. They are thus able to react flexibly to spontaneous situations like traffic jams or increased cargo volumes by negotiating new delivery times with each other or customers."

Under Daimler's system, once driving at 80 kph (around 50 mph) on a highway, the driver will be prompted to activate the Highway Pilot that puts the truck in autonomous mode, leaving him or her free to pivot the seat 45 degrees. The driver will then have access to a center console "in the style of an office workstation" and will be able to use a removable tablet touchscreen computer for other tasks such as sending invoices or completing tax returns, according to Daimler.

Nissan successfully carried out its first public road test of the technology using its Leaf electric vehicle on a highway southwest of Tokyo last November. Carlos Ghosn, the chief executive of Nissan, said recently that innovations to ease congestion and emissions are badly needed due to the increasing number of "global mega-cities." Nissan is making progress on an autonomous car in both Japan and France, where the government recently authorized testing with a view to opening French roads to the vehicles by 2020.

The Japanese carmaker has been working with universities including MIT, Stanford and Oxford. It says around 90% of road accidents are currently caused by human error. Under its system, drivers remain at the wheel but the vehicle can automatically steer, brake, accelerate, change lanes, merge into traffic and maintain a safe distance from other vehicles. "At the moment lorry drivers need to stop every four hours," under British laws for rest breaks, said Prof. Will Stewart of the University of Southampton's Optoelectronics Research Center, " but driverless trucks can go 24 hours a day."

Driverless technology could help companies reliant on the roads in much the same way as unmanned drones like those tested by Amazon and Google's solar-powered Titan Aerospace unit hold the promise to speed up deliveries by air.

But there are some other considerable obstacles to overcome, including extensive legal issues. For example, does a driver have to be in a driverless car -- just in case? An amendment to the U.N. Convention on Road Traffic was agreed to allow a car to drive itself so long as the driver is present and able to take the wheel and the system "can be overridden or switched off by the driver," according to the consultancy SBD.

A lack of standardized technology is a concern, as are issues of public and private responsibility. Britain's Department for Transport review is currently inviting submissions up to September in order to establish regulatory, safety and social obstacles to the testing of self-driving cars on public roads -- and how they can be removed. Such consultations may help to clear up the ethical conundrum of whether man or machine is responsible for accidents.

And if the technology is to realize its full potential, large numbers of vehicles must be able to communicate with each other and with computers integrated into the roads. But there is mounting evidence to suggest that within a decade or so, it will be commonplace for the average person to drive past a heavy-goods lorry with no-one at the wheel - and be perfectly comfortable with that. Market research company Frost & Sullivan reckons that by 2030, more than 40% of all vehicles in Europe are likely to be equipped with driverless car technology.

Quite what this means for the humble roadside truck stop remains to be seen.

WATCH: Driverless cars could let you sleep

READ MORE: Google's new car: no driver, and no steering wheel

WATCH: Keeping up with the technology boom

@highlight

Vehicles being developed that can automatically steer, brake, accelerate, and change lanes

@highlight

Google, Daimler and Nissan are a few of the firms testing this technology

@highlight

Driverless trucks could aid businesses by running around the clock