(CNN) -- Forget the 4G marketing hype. Which U.S. carriers really offer the fastest mobile-data networks? According to a new report from RootMetrics (a company which conducts its own field tests of wireless networks), Verizon Wireless currently offers the nation's fastest 4G -- by far.

RootMetrics recently compared 4G networks from the four major U.S. carriers in 27 cities. Across all cities, Verizon performed at 4G speeds in 66% of tests.

What qualifies as 4G speed? According to RootMetrics, that's a download speed of at least three megabits per second -- fast enough to download a 30-minute standard-definition TV episode in less than 10 minutes.

"In cities where we could test Verizon's LTE (network), their average download speeds were roughly equivalent with the other carriers' maximum download speeds. In several markets, Verizon's average download speeds actually exceeded the maximum speeds of the other carriers," the report said.

What about the other carriers? According to the report, "AT&T, T-Mobile, and Sprint offered similar performances to one another overall and jockeyed back and forth behind Verizon across the markets. AT&T and T-Mobile were especially close: AT&T offered 4G speed in 40.7% of our tests, while T-Mobile recorded 4G speed in 39.5% of our tests."

Of course, carriers do not deploy 4G networks evenly across a given metro area. They tend to focus deployment in more densely populated areas, and along major highways and office or shopping districts. Depending on the city and the carrier, they may also deploy more 4G resources in wealthier neighborhoods.

So the report noted: "In those cities where LTE was not available, Verizon performed markedly slower. Where LTE is present, Verizon is easily the fastest; where LTE is not, Verizon is among the slowest carriers for data delivery."

Most mobile users don't download huge files to their phones, so "upper 3G" download speeds (1.5-3 Mbps, according to RootMetrics) will still seem pretty impressive to a typical mobile user. And even "lower 3G" speeds (between 500 kilobytes/second and 1.5 Mbps) are adequate for most mobile activities. On this front, AT&T's HSPA+ network is pretty dependable, said RootMetrics:

"AT&T delivered 3G speeds more consistently than the other carriers: they recorded upper 3G speed in 28% of our tests and lower 3G speed in 20% of our tests. AT&T fell below 3G speeds in only 11% of our tests, the lowest percentage of any of the carriers."

T-Mobile's performance was mostly similar to AT&T's in terms of 4G, but "disparities emerge when comparing T-Mobile's non-4G tests to AT&T's. When T-Mobile didn't hit 4G, they ... were more prone to slipping to slower 3G speeds."

Sprint may offer more consumer-friendly 4G data plans than AT&T or Verizon -- but there's a performance tradeoff. RootMetrics found "a significant disparity between cities where Sprint had WiMAX available and those where WiMAX was either not present or access to it proved sporadic. For instance, Sprint delivered a market-best average download speed of 4.6 Mbps in WiMAX-enabled Kansas City, while recording a noticeably slow 0.5 Mbps in non-WiMAX Buffalo."

If you like to post or live-stream audio or video from your phone to the Internet, you probably care about upload speeds -- which means you might want to avoid Sprint, unless it offers a WiMAX network in your city.

"Sprint's average upload speeds were consistently slow. Sprint was the only carrier to never record an average upload speed above 1.0 Mbps in any of the markets we tested," said the report.

Sprint also markets cell phone service through several discount carriers that focus on no-contract mobile plans, such as Virgin Mobile and Boost Mobile -- and some of these brands are starting to market 4G phones and service.

Julia Dey, vice president of marketing for RootMetrics, clarified that the company's numbers for Sprint would apply to other carriers that rely on Sprint's networks. If you're unsure, you can ask the discount carriers whether they use Sprint's network in your city -- and whether it's a WiMAX network or not.

MetroPCS (which never rolled out much of a 3G network) has been aggressively deploying its own 4G LTE network. The current RootMetrics 4G comparison report does not include MetroPCS, but Dey says RootMetrics is starting to add MetroPCS and other carriers to its field testing regimen. The company plans to start publishing city reports with data from these carriers by the end of this year.

In addition to rating carriers' 4G performance across all of the cities, the report rated cities according to how much choice local residents have in 4G carriers.

When rating cities for 4G access and quality, RootMetrics took more than speed into account: By their reckoning, a "4G city" must also offer a choice of reliable 4G providers.

In all, 19 of the 27 cities RootMetrics examined had at least three (and sometimes four) carriers offering download speeds of at least 3 Mbps in more than 40% of their field tests. Denver and Portland, Oregon, topped this list, achieving 4G speeds in over 61% of tests.

The remaining eight 4G cities had at least two carriers meeting this benchmark. Philadelphia and Chicago were at the bottom of this category, each reaching 4G speeds in about 42% of field tests.

If you're trying to find the best cell phone network where you live, don't just rely on carrier coverage maps or speed claims -- which are often based on theoretical maximum output from cell towers. RootMetrics offers coverage maps based on data gathered via its own field testing team, plus crowdsource data gathered via its iPhone and Android apps. In the last year it has also published mobile performance reports for about three dozen major U.S. metro areas.

OpenSignalMaps, another source to check, offers similar crowdsourced data gathered via its Android app.

The opinions expressed in this column are solely those of Amy Gahran.

@highlight

Verizon performed at 4G speeds in 66% of tests -- better than AT&T, Sprint, T-Mobile

@highlight

4G speed means a download speed of at least three megabits per second

@highlight

RootMetrics compared 4G networks from the four major U.S. carriers in 27 cities