(CNN) -- The Secret Service scandal has all the elements of a salacious story: Sex, alcohol, national security, politics, exotic tropical settings and sex -- or did I already mention sex? But beyond the breathless coverage and oh-so-shocked commentary lie some serious repercussions.

The scandal originated in the Colombian city of Cartagena when an agent allegedly refused to pay a local woman the agreed fee of $800 for her sexual services at the historic white-arched hotel where American taxpayers paid for him to sleep while traveling on official duty.

Colombia has asked the White House to issue an official apology for tarnishing the country's image. The city of Cartagena, the country's top tourist destination, is a UNESCO world heritage site. Its residents are bristling under the harsh and damaging spotlight.

But the government's demand comes in a political year, with President Obama facing criticism that he's too quick to apologize for America.

Obama should not apologize. Instead, he should do something much more important, much more useful for all concerned, including the American people. He should take this opportunity to begin taking Latin America seriously.

It is sadly symbolic that we now hear about Latin America -- Colombia, and perhaps El Salvador and Argentina -- as places where official representatives of the U.S. government may have crossed the line. The incident and the coverage are emblematic of a low regard for the region.

Obama had traveled to Cartagena to attend a Summit of the Americas, a gathering of some 30 presidents and an opportunity for the U.S. to strengthen ties and renew a position of leadership in partnerships with its neighbors. The summit, as it happens, was a disaster for the U.S. Washington emerged isolated and unable to produce any positive results. But, of course, few people in the U.S. noticed, because the news focused on sex, prostitutes and vodka.

The U.S. has been ignoring Latin America, at its own peril, while other powers are capitalizing on the region's renaissance.

And it's not just the Obama administration. Remember when President George W. Bush declared, "the U.S. has no more important relationship in the world" than the one with Mexico? He said it on September 7, 2001. Four days later, on 9/11, Mexico fell off the agenda.

But while Washington has remained focused on admittedly urgent problems elsewhere, not everyone else has neglected Latin America.

Not long ago, Washington was the region's undisputed top trading partner. Since then, China has moved in. And Beijing has made inroads precisely at the time when Latin America is emerging as a key global player. Also making inroads in Latin America, incidentally, is Iran.

China's trade with most countries in Latin America has skyrocketed. Beijing has become Brazil's top economic partner, just as Brazil has emerged as the world's sixth-largest economy, bigger than the UK., Russia or Canada.

Washington, meanwhile, delayed and played politics with a free trade agreement with Colombia it signed six years ago. The pact finally goes into effect on May 15.

On May 15, Obama should take action. That's the day when the president should announce a new initiative to overhaul America's relations with Colombia and the rest of Latin America.

Obama should announce plans to promote trade and tourism, so that people North and South will learn about the other and erase dated stereotypes while spurring prosperity. He should convene a commission to explore innovative ways to combat drug cartels, an urgent issue for the region. And he should leverage America's huge Latino population to link the two sides and highlight a common history.

If Obama fails to do this, then Mitt Romney, the presumptive Republican nominee for president, should take the lead. Because overhauling relations with Latin America -- improving trade ties, developing stronger person-to-person bonds, coordinating diplomatic and international policies -- will benefit both sides, and it will also earn votes to the candidate who champions the approach.

Colombia, as it happens, is the perfect place for Washington's pivot.

Time magazine carries a cover story called "The Colombian Comeback" on the most recent international edition, featuring a full-page photograph of Colombian President Juan Manuel Santos. That's because Colombia has truly performed a miracle, emerging from half a century of armed conflict and horrific violence to a position of strong economic growth.

The Colombian economy grew 6% last year, and it is on track to surpass Argentina to become the second-largest economy in South America. Colombia has recently become a major oil producer. OPEC members are trying to entice it to join the oil cartel.

Colombia still has many serious problems, including violence and a great deal of poverty, but it has remained committed to democracy and free markets. Its capital city Bogota is America's best friend in South America. But as in all neglected love affairs, the two have been growing apart.

Santos has repaired damaged relations with Venezuela and others in the region. He said that Colombia sees itself as "a bridge" between Washington and all of Latin America, including countries with which it does not have good relations.

As the American public continues to learn details of the Secret Service scandal -- and you can bet the coverage will not soon die down -- Obama has an opportunity to turn this scandal to everyone's advantage.

Don't apologize. Instead, make up for America's failings by changing course. Increase a push for trade so that the U.S. and Latin America can benefit from stronger economic ties and building a hemispheric bloc that makes North and South, together, stronger on the global stage. It will help both sides, and it will also help on Election Day.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

After the Secret Service scandal, Colombia asked President Obama to apologize

@highlight

Frida Ghitis: Obama shouldn't apologize, but he needs to start taking Latin America seriously

@highlight

She says the U.S. has been ignoring, at its own peril, a region amid its renaissance

@highlight

Ghitis: Obama should push for stronger economic ties and partnership with South America