Tripoli, Libya (CNN) -- "Indescribable" violence rippled through the Libyan city of Zawiya on Friday, according to a witness who said pro-government forces gunned down peaceful protesters there.

The witness said battalions of forces loyal to Moammar Gadhafi attacked protesters with mortars and machine guns as they were demonstrating in the city's Martyrs Square, and they assaulted an ambulance, killing its occupants.

"We buried nine people so far," the witness said. "The attack was indescribable. Direct gunfire was opened on people."

It was unclear who controlled the city.

People in Zawiya, west of Tripoli, and "their public leadership have secured and took control over the city from the armed terrorist elements," state TV reported. Libyan government spokesman Majid al- Dursi told CNN that "Zawiya has been captured, Zawiya has been liberated."

However, the witness said protesters retained some control inside the city, which security forces were surrounding.

"They (Gadhafi's forces) haven't been in control and they never were in control," said one rebel fighter, who said his forces lost seven men in fighting in Zawiya on Friday, versus what he said were some 20 casualties among government fighters. Referring to Gadhafi, he said, "All the man has left is his lies."

By late Friday, the situation was quiet, he said. "However, we're surrounded by three areas -- the east, the west and the south."

At least 15 people died and 200 others were wounded in the city, according to one doctor, who said there was "a river of blood" at the hospital where the wounded were being treated. "The situation is very bad," he said, adding that the facility was short of medical supplies.

It was not clear if the casualties at the hospital were wounded during the Martyrs Square confrontation. The doctor said the wounded started arriving at the hospital Friday morning, and most of the wounds were from gunshots.

In the capital city of Tripoli, security forces aboard flatbed trucks shot tear gas and rubber bullets to disperse crowds of protesters who had formed after Friday prayers in the Tajura neighborhood, witnesses said.

Government officials would not allow CNN into Tajura, whose outskirts were patrolled by a heavy security presence. Security forces were searching cars along the Corniche, a main street in the city.

Protesters had said they were hoping to march from the Corniche to the center of the city but were unable to do so.

Witnesses said anti-government protesters hid journalists in abandoned buildings and helped move them from location to location so that they could report firsthand in safety.

Near Green Square, in the center of the city, anti-government protesters emerged from a mosque to find pro-government supporters outside. Police intervened and fired shots in the air to head off a confrontation, ushering the anti-government protesters back into the mosque for their safety.

In the eastern city of Ras Lanuf, meanwhile, forces loyal to Gadhafi fought with opposition members Friday, opposition fighters and commanders said.

Thuds could be heard in the distance, indicating heavy fighting around the city itself.

"It's a war," said CNN's Ben Wedeman, in Ras Lanuf. "The protests are now over."

He described seeing truckloads of people "organizing themselves in a rather haphazard way" and headed toward the front with no command-and-control structure. "It's complete chaos, really," Wedeman said.

Such clashes have spurred throngs of people to flee the country. The number of people trying to leave the country has declined in recent days, however, as heavily armed government forces have intensified their presence at the Tunisian border and on roads leading up to it, the United Nations refugee agency said Friday.

"We are concerned that the presence of the forces and the large drop in evacuees could mean that people are being prevented from leaving," said Sybella Wilkes, a spokeswoman for the Office of the U.N. High Commissioner for Refugees.

Roughly 15,000 people had been crossing the border every day, but that number plunged to fewer than 2,000 per day on Thursday and Friday. In all, 200,000 people have fled Libya, according to the International Organization for Migration, which has been working with the U.N. refugee agency on mass evacuations.

Meanwhile, a doctor on the northwestern town of Misrata said it was attacked by forces loyal to Gadhafi. The assailants fired at doctors and ambulances, the doctor said.

"We are holding our city, we are trying to protect our city," the doctor told CNN Friday morning. "We are doing our job in the hospital and trying to treat everybody. This morning, they shot at our ambulances. One of them exploded ... they shot at our doctors."

At least 40 people were killed in the city and 300 wounded, the doctor said.

While CNN has staff in some cities, the network cannot independently confirm reports for many areas in Libya. CNN has gathered information through telephone interviews with witnesses.

Musa Ibrahim, a spokesman for Gadhafi's regime, has denied reports of attacks on peaceful protesters and military installations.

In an interview late Friday, Gadhafi's son Saif Gadhafi told CNN that reforms will not begin until "militias" in the east have been defeated.

He called international efforts to persuade his father to give up power "a big mistake," and said his father remains a popular figure in the country.

"Even if we were to hold tomorrow an election, my father would win with a big majority," he said.

Gadhafi's aerial attacks have prompted the West to step up discussions about imposing a no-fly zone over the country.

U.S. military and diplomatic officials have said enacting a no-fly zone would be complicated and risky, and international support is not strong.

"If it's ordered, we can do it," Defense Secretary Robert Gates said earlier this week, but imposing a no-fly zone "begins with an attack on Libya to destroy the air defenses."

The United States is exploring a "full range" of options, Obama said Thursday.

Analysts said the Iraq war has prompted nations to be more cautious.

"We went into Iraq with a very dubious understanding of the situation on the ground," Christopher Hill, a former U.S. ambassador to Iraq, told CNN. "So I think there is some concern about whether refugee reports are entirely accurate in a sort of macro sense."

He added, "I think what the president is trying to do is to try to build diplomatic support and see where we can go with this. And I think it would be highly problematic if he just jumped into something."

The Arab League has rejected international intervention, saying Libya is facing "an internal affair that is decided by the people and their governments."

But the league cannot ignore the suffering of civilians and would consider the imposition of a no-fly zone in coordination with the African Union if fighting were to continue, said Hisham Yousef, chief of staff of the Arab League.

The protests have left more than 1,000 people dead and many more injured, according to the United Nations. Libya's ambassador to the United States has estimated that the death toll was about 2,000.

The United Nations has proved to be a sore point for the Libyan government. On Friday,

the United Nations said it was studying Libya's request to install a more loyal diplomat as its ambassador.

A letter from Libya's government asked that former Foreign Minister Ali Abdussalam Treki be approved as its envoy. Treki would replace Mohamed Shalgham as ambassador in New York.

Shalgham and his deputy, Ibrahim Dabbashi, have denounced Gadhafi and requested that he stop leading Libya.

A separate letter from Libya to the United Nations demanded that Shalgham and Dabbashi be denied the right to speak for Libya. In emotional scenes last week, the New York-based ambassadors were hugged by fellow ambassadors after the Libyans criticized Gadhafi and pleaded in the Security Council chamber for international assistance to the country.

U.N. spokesman Martin Nesirky said the situation "is complicated" and that the world body's legal office was looking into the dueling diplomats' situation.

The International Criminal Court said Thursday that Gadhafi and some of his sons and advisers are under investigation for alleged crimes against humanity.

Venezuela's president has said Gadhafi is receptive to the idea of an international commission coming to the country. The two heads of state spoke this week.

"I consulted with him. I asked him if he was willing to accept a commission of countries," Hugo Chavez said on state-run VTV Thursday night.

CNN's Nic Robertson, Ben Wedeman,  Jill Dougherty, Catherine E. Shoichet and Salma Abdelaziz contributed to this report

@highlight

NEW: "They never were in control" of Zawiya, a rebel soldier says

@highlight

A doctor reports casualties in Zawiya; "indescribable" violence, a witness says

@highlight

Tear gas and rubber bullets are used in Tripoli, witnesses say

@highlight

Forces loyal to Moammar Gadhafi clash with fighters in eastern Libya