(CNN) -- It's an oval-shaped, bitter tasting leaf that makes you chatty after chewing it, while inducing a feeling of euphoria and alertness.

The East African plant khat, a mild narcotic, has been chewed for centuries by people in the Horn of Africa and parts of the Middle East for its stimulating effects. The green leaf is central to cultural and social activities for many communities across the area and key to the economic survival of thousands of khat farmers who grow it legally.

In recent years, high demand for the herbal stimulant by the Somali diaspora -- despite it being illegal in several western countries, including the U.S. -- has helped open up a booming industry in fertile parts of Kenya, such as the Meru county.

But now the livelihood of these farmers is under threat after the Netherlands, which has a vibrant Somali community and is a key khat hub to other European countries, announced a ban on all imports of the plant in January.

Until now, the Netherlands and Britain were the only major European countries allowing the trade and consumption of the flowering shrub.

"If the ban is accepted or if it is enforced, the whole Meru county, the economy of the Meru county will be crippled," says Kenyan khat farmer Edward Mutuura, who exports the majority of his crops to the Nertherlands. "The economy of the population here where khat is grown will be totally crippled and people will have no source of income," he adds.

Read also: Agriculture's 'critical role' in Africa's future

The Dutch government cited health concerns as well as social and economic reasons for the prohibition of khat. According to the U.S. Drug Enforcement Administration, khat can induce manic behaviors, hyperactivity and hallucinations while chronic abuse can result in symptoms such as physical exhaustion, violence and suicidal depression.

However, some observers believe that the ban, which is expected to start later this year, has been imposed after suggestions of purported links between the international khat trade and the funding of terrorist groups like Al Shabaab -- a claim Dutch officials deny.

"There are legitimate businesses whose end product may end up in the hands of Al Shabaab, yet if governments resort to banning these businesses then it hurts the ultimate owners of these businesses," says analyst Emmanuel Kisiangani of the Institute of Security Studies.

"I think it is a tricky situation, it is a precarious balancing act -- governments need to think of mechanisms that ensure that these legitimate businesses don't end up benefiting these terrorist organizations."

Al-Shabaab, a militant Islamist group that controls much of southern Somalia and is active around the capital Mogadishu, has been battling the country's weak transitional government for years.

Read also: Somali women defy danger to write basketball history

A recent U.N. report said the terrorist group, which has connections to al Qaeda, gets funds by taxing the khat exported to Somalia.

Analysts believe that the khat trade in Europe may be following a similar pattern. They say some of the businessmen in Europe who act as middlemen to khat exporters and farmers could be sending the money back to Al Shabaab.

"So, ultimately, the contributors are doing this in good faith but the end result is that you have people with wrong motives along and in between who take these resources, this money, and channel it to terror organizations," says Kisiangani.

Somalia analysts Jessica Lincoln and Frans Barnard say the use of international khat trade to fund militant activities has long been suspected by intelligence agencies but evidence is difficult to prove and remains circumstantial.

They note that the Dutch ban has been driven by health, socio-economic and local political factors, along with a tougher stance on "softer" drugs, but add that this needs to be balanced against the security context of Somalia and the increasing prominence of Al Shabaab in recent years.

"This is of course a huge concern for the international community in their anti-terrorist operations so any suggested links to the funding of terrorist activities will demand movement for cessation of such activities or pressure to regulate," says Lincoln of Rubicon Resolution.

Olle Schmidt, a Swedish member of the European parliament who's been raising the issue of the drug's detrimental social and health effects for many years, says that several security services have admitted that there might be a link between Al Shabaab and illegal khat trade but it is very difficult to track the cash generated by the trade and ultimately know who the end receivers are.

"They can follow the money to Dubai and then further into Somalia but then they really don't know," he says.

In the UK, anti-khat campaigner Abukar Awale says that Al Shabaab targets vulnerable young addicts in the British-Somali community for recruitment. He says that parts of the multimillion dollar khat trade is being controlled by people "who are very sympathetic to Al Shabaab" and calls on the UK government to follow the Netherlands' example and ban the drug.

"In my opinion, by allowing khat to be legal, Britain is providing tools, manpower and resources to Al Shabaab," he says.

Read also: Somali militants target addicts in UK's 'khat cafes'

But back in Meru county, the khat farmers who are separated from the end user and any regulation further down the chain say that banning khat could kill off the region's economic future.

"Khat farming is the heart of the economy of this place," says Mutuura. "We cannot educate our children without khat -- if we don't have khat to sell, this means our economy is grounded."

With the Kenyan government having entered talks with the Dutch government to reverse the ban on khat, the farmers hope the talks will bear fruit or their livelihood will be plucked away.

"This is only what we know in our life, nothing more," says Mutuura.

@highlight

Khat is plant that once chewed gives a mellow high to its consumer

@highlight

It's been consumed for centuries by people in the Horn of Africa and parts of the Middle East

@highlight

Farmers in Kenya have been hit by a Dutch ban on imports of khat

@highlight

Some analysts say there are purported links between the khat trade and terrorist funding