Le Bourget, France (CNN) -- Is it a plane? Is it a drone? Next time you look up and see vapor trails spreading across the sky, bear in mind that the aircraft you're looking at might just be both.

As the aviation industry tightens its belt, its attempts to save money and stay relevant have led to a new rise of "transformers" -- including crop-dusters and business jets given a new lease of life as surveillance aircraft.

With the financial crisis continuing to bite -- not least in the U.S. defense sector -- more and more aircraft manufacturers are trying to secure their future by turning older aviation staples into innovative new ones, creating a new breed of "transformers."

In a former life, Piaggio Aero's HammerHead was a business jet (the Avanti II), used to ferry well-to-do travelers to and from high-powered meetings or red carpet events.

Today the twin-engine turboprop is being turned into a drone, with surveillance equipment and remote flying systems replacing the nine passengers and pilot.

Unveiling the new-look aircraft at last week's Paris Airshow, Piaggio Aero's CEO Alberto Galassi said the HammerHead -- which the company expects to be approved for use by 2014 -- offered "an insight into what an advanced UAS [Unmanned Aerial System] of the future will look like."

Iomax's ArchAngel, also on display at Le Bourget is, the company says, a border patrol aircraft designed to provide "airborne surveillance for intelligence and security."

But in its slightly more down-to-earth pre-modification past, the aircraft was originally conceived as the Thrush, an agricultural crop-duster.

Also joining the hybrid ranks at the Paris Airshow was Centaur, the plane that thinks it is a drone. Or is that be the other way around?

The aircraft, designed for surveillance missions, can be flown remotely as a UAV by a ground-based operator, or in the traditional way with a pilot at the controls.

Its creators, U.S.-based Aurora Flight Services, say it takes Centaur's two-man crew just four hours to switch the plane from one mode of flying to the other.

Bill Sweetman, international defense editor of Aviation Week, said the trend for turning existing aircraft into others, rather than creating them from scratch, was down to two main reasons: the financial crisis, and the end of the Cold War.

Both mean that completely new aircraft are not being designed as often as they have done in the past.

"Instead companies are modernizing, adapting aircraft they've already got to allow them to do something different, because the industry's needs now are very different to what they were during the Cold War, and they will be something different again in the next 10 years or so," he told CNN.

"It is proving very hard to get the FAA to approve a simpler, cheaper aircraft designed from the start to be unmanned," said Graham Warwick, Aviation Week's technology editor.

"Instead it is easier to take an aircraft that the FAA has already certificated for manned flight, and take the pilot out of it," he said.

"If a company takes an existing aircraft -- which they know flies, works, is safe and reliable -- and converts that into an unmanned vehicle, that allows them to develop it much more quickly," said Sweetman.

And then there's Project Zero, an entirely different sort of "transformer." This super-futuristic looking electric-powered aircraft is formed of a graceful aerodynamic swoosh of carbon fibre enclosing a cockpit (like the drones above, it has so far only been flown unmanned) and two massive rotor blades.

It is these rotor blades which are the secret to the aircraft's groundbreaking nature. Facing the ground, they allow Project Zero to take off vertically, like a helicopter. But once in the air, the rotors can be tilted, enabling it to fly forwards like a traditional plane.

Project Zero, which has been in the works -- but firmly under wraps -- for several years, was unveiled at this week's Paris Air Show.

James Wang, Agusta Westland's vice president of research and technology, who oversaw work on the aircraft, said it was designed "to be as radical as possible," reflecting the motto of the advanced project group behind it: "'Live to Dream' - if it can be dreamed, it can be built."

Just how high and how fast the aircraft is capable of flying is still a closely-guarded secret, but Wang insists "it works, we have flown this thing."

There's just one catch though -- despite being proven to work in flight tests, Project Zero is not likely to go into production any time soon. Instead it is intended as a "technology incubator," a way of trialing and showcasing all the latest innovations at once.

Still, the company hopes that even if we're not going to be flying a Project Zero within the next 10 years, some of the technology it has helped develop will become the norm on more everyday aircraft.

"Project Zero might or might not make the basis for a future UAV or form of transport, but it's the parts in there that are important, that have potential," says Sweetman.

And that could help to transform the whole industry, not just one aircraft.

@highlight

Aviation manufacturers are turning older aircraft into drones

@highlight

An agricultural crop-duster can be transformed into an airborne surveillance machine

@highlight

It takes just four hours to switch the Centaur aircraft from a plane into a UAV

@highlight

A new breed of "transformers" could change the whole industry