Port-Au-Prince, Haiti (CNN) -- Already devastated this year by a killer earthquake and a deadly cholera outbreak, Haiti felt the brute force Friday of Hurricane Tomas, which could dump up to 15 inches of rain and trigger flash floods and mudslides.

The hurricane's punishing rain continued to pound Haiti even as the storm churned away from Hispaniola.

As of 8 p.m. ET, the storm's center was about 135 miles (220 kilometers) east of Guantanamo, Cuba, and about 50 miles (80 kilometers) south of Great Inagua island in the Bahamas, according to the National Hurricane Center in Miami, Florida.

Earlier Friday, Tomas had passed within about 140 miles (230 kilometers) of Port-au-Prince.

In the westernmost tip of Haiti, which juts into the Caribbean Sea and is closest to the hurricane, there were reports from the town of Jeremie of destroyed houses, downed trees and flooded rivers, said Francois Desruisseaux, an emergency team leader with CARE in Haiti.

Also, he said, CARE workers near the coastal city of Leogane reported the area has been inundated with several feet of water. Downtown streets turned into rivers, said Desruisseaux.

Tomas was also felt in Port-au-Prince, the nation's capital, but the worst of the storm appeared to have passed there after rain pounded the city overnight. By Friday afternoon, rain had stopped falling. It started again in fits and spurts later.

"We were expecting something perhaps a little larger, but it's still quite significant," Desruisseaux said about Hurricane Tomas, adding that rescue teams throughout Haiti are still working to assess the damage. "In the capital so far, we've been relatively lucky, all things considered."

The threat of ongoing rain remains real, as does the possibility of the spread of waterborne diseases, Desruisseaux said.

Relief worker Roseann Dennery of Samaritan's Purse was near Cabaret, about 20 miles north of Port-au-Prince, on Friday morning, touring camps that hold some of the 1 million people left homeless by January's 7.0-magnitude earthquake, which killed some 250,000 people.

"It's almost eerie," she said. "It's rainy, it's dark and there's really not a lot of movement."

The few people moving from tent to tent were wrapped in sheets and cloth to provide some protection against the constant rain, she said. The ground was soaked and some low-lying areas had minor flooding.

Some people rode out the storm in open-air community centers with supposedly sturdy roofs, she said. But many just huddled in their tents, waiting for the wind and rain to pass. Most didn't have anywhere else to go.

"A lot of them do not have families or relatives," said Dennery.

Many structures that would usually be used for storm shelters -- schools and hospitals -- are no longer standing.

She said her agency, an international Christian relief organization, evacuated 30 staff members from Leogane out of fear of mudslides there.

Michael Dockrey, the director in Haiti for the International Medical Corps, also expressed his deep concern Friday.

"Particularly," he told CNN, "with mudslides that can cut off whole communities. We have pre-positioned medical supplies, tents, tarps and staff in areas that we know will be isolated."

Aid workers already were struggling to keep up with the cholera outbreak, which has killed nearly 450 people and hospitalized about 7,000. The bacterial disease causes diarrhea and vomiting that can lead to deadly dehydration within hours.

"It's obviously stretched us all real thin," Dockrey said. "We could certainly use more help ... as can all the other responders."

The hurricane will likely only make matters worse.

"Even if Tomas only brushes Haiti, it may exacerbate the epidemic, facilitating the spread of the disease into and throughout metropolitan Port-au-Prince, where a third of the population remains homeless and in camps," the International Organization for Migration said.

Tomas became a Category 1 hurricane as it approached Haiti early Friday, forecasters said. It was previously a Category 2 hurricane and then weakened to a tropical depression before reintensifying.

Forecasters predict the storm could strengthen during the next 24 hours before weakening again Saturday night and Sunday.

The biggest threats were mudslides and flash flooding, said CNN meteorologist Reynolds Wolf. Port-au-Prince is bounded on three sides by hills, and rain runoff could cause flooding, Wolf said. The low-lying port city also borders the Caribbean Sea.

Winds from the storm had slowed to 75 mph (120 kph), the Hurricane Center said Friday evening, adding that Tomas was moving northeast at 14 mph (22 kph). The eye of the storm was expected to pass near or over the southeastern Bahamas and the Turks and Caicos islands Friday night or early Saturday.

Rain associated with the storm started falling on Haiti on Thursday as aid agencies scrambled to move as many people as possible into storm shelters.

As it did after the earthquake, the United States offered its assistance.

The U.S Agency for International Development had pre-positioned supplies, but rushed more into the country before the airport closed ahead of the storm, said Mark Ward, acting director of the Office of Foreign Disaster Assistance.

Citing Haitian authorities, Ward said at a Friday briefing for reporters that about half the residents at temporary camps left those facilities overnight to stay with family or friends. He said the Haitian government has confirmed one fatality.

In addition, the U.S. Navy redirected the USS Iwo Jima to Haiti from Suriname, where the ship's crew was conducting a four-month humanitarian mission.

In addition to search-and-rescue-trained helicopter crews, the ship is carrying more than 200 medical personnel and 60 Navy construction engineers who can help with recovery efforts. The ship is also carrying a 500-member Marine task force and personnel from nongovernmental relief agencies.

Negus, who participated in the Navy response to the earthquake, said he did not expect the fallout from Tomas to be anywhere near as severe.

"It's everyone's prayer here that our capabilities will not be required," Negus said. "But everyone should be very confident that we are prepared if they are."

CNN's Michael Pearson and Ashley Hayes contributed to this report.

@highlight

NEW: Leogane appears to be one of the hardest-hit cities

@highlight

Reports tell of destroyed houses, downed trees and flooded rivers

@highlight

Aid workers are already struggling to keep up with a cholera outbreak

@highlight

Tomas could dump 15 inches of rain over Haiti and cause flash flooding and mudslides