Tokyo (CNN) -- Thousands of Japanese filled evacuation shelters or joined foreigners seeking a way out of the country Thursday in the aftermath of last week's devastating earthquake, tsunami and resulting nuclear crisis at stricken reactors.

Cold, snowy weather in parts of the Asian nation further heightened the hardship of a nation facing what its leaders call its biggest disaster since World War II.

Fears of possible nuclear catastrophe were evident. After rallying Wednesday, stocks in Japan fell early Thursday, with the Nikkei 225 index, the most prominent measure of stocks traded in Tokyo, down about 2% in early trading.

Concerns spread far beyond Japan's borders, with U.S. stock markets falling and the U.S. military dispatching a radiation-sniffing aircraft to determine if toxic clouds were rising from disabled reactors.

Nearly 13,000 people are dead or missing and several hundred thousand have been left homeless from Friday's earthquake and tsunami.

An extraordinary television address Wednesday by Emperor Akihito showed the magnitude of the catastrophe.

Such a speech by a sitting emperor is usually reserved for times of extreme crisis or war, and Emperor Akihito's direct appeal to the public was the first time he has spoken to the public amid such a crisis.

"I truly hope the victims of the disaster never give up hope, take care of themselves, and live strong for tomorrow," said the dignified and understated Emperor Akihito, in a calm and poignant oration delivered from the Imperial Palace. "Also, I want all citizens of Japan to remember everyone who has been affected by the devastation, not only today but for a long time afterwards -- and help with the recovery."

The 77-year-old ceremonial but deeply revered chief of state underlined Prime Minister Naoto Kan's earlier assertion that Japan is going through its worst crisis since World War II.

The emperor delivered his speech on the same day that white smoke and a new blaze at the damaged Fukushima Daiichi nuclear plant added to radiation fears.

"Currently, the entire nation is putting forth its best effort to save all suffering people. However, under the severe cold weather, evacuees are having a very difficult time because they lack food, water, and energy sources," he said. "Also, I am deeply concerned that the current nuclear plant situation is critical. I truly hope that with so many people working together to help, the situation will not worsen."

On Thursday morning, helicopters operated by Japan's self-defense forces made four passes over the plant's No. 3 reactor to dump water. Public broadcaster NHK reported that at least 12 water-cannon trucks would be brought in, so that forces could try to douse the reactor from the ground,

While Japan has called for anyone living within 12 miles of the disable nuclear plant to evacuate, Great Britain and the United States dramatically expanded their evacuation warnings Wednesday, telling their respective citizens within 50 miles to either stay indoors or move away.

It was the first time since the nuclear crisis began that the United States and Japanese governments have differed on advising what their citizens should do. Before Wednesday, the United States had urged American citizens in Japan to follow the recommendations of the Japanese government.

A cloud of smoke seen at the stricken plant sparked fear there might have been a breach in the containment vessel in the nuclear plant's No. 3 reactor, government officials said. Earlier explosions and fires also had hit other reactors at the plant.

Officials asked workers at the plant to evacuate Wednesday after the cloud rose above the plant and radiation levels spiked. The levels later fell and authorities allowed the workers to return, the Tokyo Electric Power Company said.

Tests on tap water in Fukushima city, 80 kilometers (50 miles) away found radiation -- though at levels not harmful to the human body, and later tests showed no radiation in the water, government officials said.

Officials have been working to resolve cooling problems at four of Fukushima Daiichi's six reactors in the wake of the 9.0-magnitude earthquake and ensuing tsunami.

Japanese authorities could not rule out the possibility of a meltdown at the troubled reactors. Workers have been pumping sea water into reactors in an effort to prevent further damage.

A meltdown occurs when nuclear fuel rods cannot be cooled, thus melting the reactor core and causing a release of radioactivity. In the worst-case scenario, the fuel can spill out of the containment unit and spread toxic radioactivity through the air and water. That, public health officials say, can cause both immediate and long-term health problems, including radiation poisoning and cancer.

As the government and workers scrambled to stabilize the plant, the search continued for survivors from last week's cruel combination of natural disasters.

By Wednesday night, the National Police Agency reported 4,314 deaths. Another 8,606 people are missing and 2,282 were injured, the agency said. The number of dead is expected to go up as rescuers reach more hard-hit areas.

Public broadcaster NHK has reported that 450,000 people were living in shelters, where people grieved over lost loved ones and worried about relatives who are missing from villages and towns inundated by the tsunami waves off the east coast of Honshu.

Thousands of people packed Narita International Airport in Tokyo, with some sitting on floors.

"We just headed for the mountains directly away from the nuclear power station," Richard Struthers, who lives about 70 kilometers (43 miles) from the Fukushima plant. He said he is "taking no chances" with his baby son.

Boris Suban of Moriya -- about 210 kilometers (130 miles) from the nuclear plant -- decided to travel across the country to Hiroshima prefecture -- a location he admits is ironic. U.S. planes dropped atomic bombs on the cities of Hiroshima and Nagasaki during World War II.

'We thought that the reactor is not safe and too near," Suban said. "Plus, if the panic spreads, we will be unable to leave Japan and get the full exposure sitting on our sofa."

Meanwhile, across the country, emergency workers from Japan, foreign governments and international aid groups continued to scour tangled and displaced piles of debris, searching for survivors. Scores of countries, regions and international organizations have offered assistance, according to the Japanese foreign affairs ministry.

Rescue work is being complicated by the hundreds of aftershocks that have rocked Japan since Friday's quake. Since the initial earthquake, the U.S. Geological Survey has reported about 35 quakes with magnitudes of 6.0 or greater, and more than 200 others greater than 5.0.

John Roos, the U.S. ambassador to Japan, said the U.S. military has delivered over 7,000 pounds of food and water to the disaster area so far and more than $5.8 million of U.S. aid has come to Japan.

He said nine U.S. ships are assisting in the relief operations, and helicopters and other aircraft have now flown over 50 missions to conduct survivor recoveries, transport passengers, and distribute food and water supplies in the most needy areas.

Donations rolled in. Delta Air Lines is pledging $1 million in cash and "in-kind support" to disaster relief efforts, for example.

Meanwhile, the crisis has rekindled debate and concern over nuclear power.

Energy Secretary Steven Chu told members of Congress Wednesday that the Obama White House still backs the further development of American nuclear power -- a stance opposed by some key congressional Democrats.

Spanish Prime Minister Jose Luis Rodriguez Zapatero announced Wednesday that the government will review safety at all of Spain's nuclear power plants.

The massive quake was the strongest in recorded history to hit Japan, according to USGS records that date to 1900.

CNN's Kyung Lah, Stan Grant, Jill Dougherty, Anderson Cooper, Kevin Voigt, Jiyeon Lee, Michael Martinez, Holly Yan and Sean Morris contributed to this report.

@highlight

NEW: Britain joins the US in urging residents within 50 miles to evacuate

@highlight

NEW: Water is dropped from above on the Fukushima Daiichi plant's No. 3 reactor

@highlight

Nearly 13,000 are dead or missing, police say

@highlight

Emperor Akihito: 'Remember everyone who has been affected ... and help'