Beijing (CNN) -- When it comes to Russia's annexation of Crimea and possible further expansion in eastern Ukraine, Defense Secretary Chuck Hagel is taking the long view.

"This isn't a matter of one or two days or one or two weeks," Hagel told CNN's Jim Sciutto in an interview Wednesday during a visit to China. "When Russia has taken the action it has to violate the integrity and sovereignty of a nation, there will be long-term consequences."

Now, he said, "those long-term consequences are playing out."

Long-term consequences

News headlines chronicle continued political instability in the region, with pro-Russian separatists occupying government buildings in eastern Ukraine while Russian troops are gathered across the border.

The unrest follows a similar scenario in the Crimean Peninsula, where pro-Russian forces seized effective military control earlier this year and a hasty referendum chose independence from Ukraine, followed by Crimea's annexation by Russia.

Hagel rejected any finality to the Crimea annexation, saying the United States and most of the world didn't accept it.

The United Nations overwhelmingly condemned the move, he noted, and the United States and its European allies imposed new economic sanctions with more pending if the situation worsens.

"Russia has done great damage to its standing in the world," Hagel said, adding that the sanctions will hurt.

"There may be more consequences so I don't agree that they have gotten away with this," he said. "Yes, they are still in Crimea. Yes, they still have troops on the border, but these are long-term dynamics that need to play out."

Russia isolated

Russia has "really isolated itself in a global community that Russia needs," Hagel argued, adding that "we all need to be part of a global community for our own economic interests as well as security and stability."

The United States and others have accused Russia of fomenting the separatist unrest in eastern Ukraine as a pretext for military intervention.

Hagel said the United States and NATO remained "vigilant" about the Russian troop buildup along the Ukraine border, adding that "we are always looking at the options that we need to take."

So far, the Western allies have boosted the number of jet fighters patrolling the region and suspended all military cooperation with Russia.

Hagel said that Gen. Philip Breedlove, NATO's supreme allied commander in Europe, has been asked to come up with "new and additional measures and options."

Secretary of State John Kerry warned Tuesday of increased sanctions targeting Russia's banking, energy, mining and arms sectors if the Russians "cross over" into eastern Ukraine. Current sanctions target individuals over the Crimean annexation.

Fort Hood shootings

On another issue in the news, Hagel told CNN that the latest shootings at Fort Hood in Texas would be thoroughly investigated to find any problems, but he didn't think it reflected a deeper problem in security at military bases.

A soldier who brought a personal handgun onto the base in violation of regulations allegedly killed three people and wounded 16 before taking his own life.

Last week's shootings occurred five years after an Army major killed 13 people and wounded 32 in an attack at Fort Hood. Security changes followed that attack, including restrictions on personal firearms on the base.

"If there was an issue here, a procedure or process that wasn't followed, we'll find out," Hagel said of the recent Fort Hood shooting. "If we need to do new things in order to protect that base and all bases, we will do it.."

He noted that security generally is good at the thousands of U.S. military installations, but added that even one attack on soldiers at a base "is too many."

Hagel becomes the first foreigner to visit Chinese aircraft carrier

Building trust with China

Hagel's visit to China came amid tensions between Beijing and U.S. ally Japan over disputed islands in the East China Sea, as well as American concerns over China's role in cyberattacks on U.S. businesses.

In the interview, he said that despite differences with China, a series of steps continued to expand contacts and improve cooperation between the armed forces of the the two nations. As an example, he noted eight new military-to-military initiatives he signed with China's defense minister.

"Now, this doesn't resolve every difference, every challenge and question that we have," Hagel said. "But it continues to build a floor, a confidence and trust in each other, opening up more dialogue, opening up more conversation -- direct, clear conversation -- about controversial issues."

In addition, Hagel became the first foreigner allowed to board the Chinese aircraft carrier Liaoning, an event he called "a big deal."

At the same time, he reiterated the U.S. commitment to a mutual self-defense treaty with Japan, but emphasized that "this is not a zero-sum game" between relations with Tokyo or China.

"We all need to get along in the world through peace, prosperity, stability, security," Hagel said. "It's in China's interests. It's in America's interests. It's in all of our interests."

CNN's Jamie Crawford and Jennifer Rizzo contributed to this report, which was reported by Jim Sciutto in Beijing and written by Tom Cohen in Washington.

@highlight

CNN's Jim Sciutto interviews Defense Secretary Chuck Hagel during his visit to China

@highlight

Hagel says sanctions and isolation will hurt Russia

@highlight

Not a matter of "one or two days or one or two weeks," Hagel says

@highlight

NEW: Hagel notes efforts to build trust with China despite differences