(CNN) -- For the first 45 of her 50 years of living, Bonnie Neighbour used to wake up feeling sorry to be alive.

Bonnie Neighbour has struggled with mental health issues for almost all of her 50 years.

"Even when I wasn't actually depressed, I would open my eyes in the morning and wonder if there wasn't something else; I would have preferred an alternative to being alive," she says.

She recalls being depressed as a young child. In her late teens, she started having mood problems that eventually escalated into clinical depression.

"At some point, I was suicidal. I would suffer cycles of depression and mania," Neighbour said. "I wouldn't sleep for days, and the less sleep I would get, the more revved up I'd become, and then I would make irrational decisions and act out. Then I'd alternate with serious depressive episodes.

"At one time, for nine months, I wasn't even able to leave the house [because of depression]." At age 30, she was diagnosed with bipolar disorder.

Neighbour's story isn't uncommon.

"Action Steps for Improving Women's Mental Health," a new report by the U.S. Department of Health and Human Services' Office on Women's Health (OWH), explores the role gender plays in the diagnosis, course and treatment of mental illness. It calls for specific actions to counteract the inadequacies in this field.

According to the report, women are nearly twice as likely as men to suffer from major depression. They are three times as likely to attempt suicide, and they experience anxiety disorders two to three times more often than men.  Chart: Gender and mental health »

While these statistics are not new, their importance is generally underplayed, says Wanda Jones, Dr.P.H., health scientist and director of the OWH. She notes that whereas past reports have focused on bringing mental health to the forefront of concern -- such as the 1999 publication "Mental Health: A Report of the Surgeon General" -- few have focused primarily on the specific mental illness issues specific to women, hence the need for such a publication.

Among the actions recommended by the new report are the needs to underscore the essential importance of women's mental health to overall well-being, improve how primary care doctors and mental health professionals interface with each other, develop a greater understanding in the role of gender in mental illness,  recognize the role of trauma and violence against women and its subsequent impact on mental illness and address cultural biases that serve as barriers to treatment for many women.

Reasons for the gender disparities in mental health are still unclear, according to Jones. Part of the difference is based on biology. Female hormones, thyroid disease and brain biochemistry have all been cited as possible reasons. Genetics also play a part, as family history has proven that mental illness repeats itself across multiple generations. Socio-cultural reasons also contribute to the difference.

Jones stresses that the "one-size-fits-all" approach to diagnosing and treating mental illness is not an effective approach and that acknowledging the gender differential is key to adequately and appropriately treating women.

The new report also underscores the relative young age at which mental illness often sets in for both males and females. Half of all mental illnesses occur before age 14, and three-fourths occur by the age of 24, according to the publication. Among the more common mental illnesses seen among young women: eating disorders, which can start in advance of puberty and yet last a lifetime.

Jones emphasizes the dire need for early detection and treatment of mental illnesses in young women. "When these young people grow into adults, they're more likely to end up in the criminal justice system, homeless on the streets, poor performers in school and ultimately bounced into a system that's incapable of helping them with their needs," she explains.

Another point Jones stresses is about the negative stigma around women's mental health issues. "We have to accept that mental illness is not a sign of weakness; it's not a choice. But it is treatable, and our own innate resilience protects us and plays a critical role in combating mental illness, especially depression and anxiety," she says.

Despite the relief Neighbour initially felt after finally being diagnosed with bipolar disorder, she recalls that instead of getting better, she started to get worse. The mood-stabilizing medications she was prescribed were so sedating that she slept 16 hours a day, which led her deeper into her depression. "The doctor said, 'This is how things are, and it will only get worse,' and that's what I started to believe. It became a self-fulfilling prophecy," she says.

There is a common thread to Neighbour's experience and that of other women suffering from mental illness: societal beliefs often pressure women into accepting their mental illness as "just how things are," citing hormones and traditional views of women as the emotional, weaker sex as reasons to simply accept their current situation. According to Jones, it's a barrier that keeps women from seeking treatment for an otherwise largely treatable disease.

Despite numerous barriers to access and adequate mental health treatment for women, recent developments in female-specific care provide a new area of hope. Over the last decade, researchers have begun to develop trauma-informed care services, which focus on the high prevalence of trauma -- such as childhood sexual abuse, relationship violence and coerced sex -- that women are more likely to have experienced compared to men. The HHS reports that 40 percent of women report a history of sexual violence, compared to only 10 percent of men. In some mental health treatment programs, recognizing these underlying factors and treating women accordingly has led to dramatically improved outcomes.

In 2005, Neighbour discovered the concept of mental health recovery, which is focused on identifying triggers and symptoms that would cause her behavior to get worse, and responding with actions that she recognized helped her calm herself. She learned that there were other tools beyond medications that could help treat her mania and depression. "I went from focusing everything on 'being' my illness, to focusing on finding fulfillment."

After holding 30 jobs in 15 years, Neighbour now holds a steady full-time job and serves as a volunteer to help others in their own recovery from mental illness. She describes her healing as an ongoing process and critical to it is a network of peers who have had similar life experiences.

"Now I wake up, and I ask how can I go out and change things? I just get excited when I wake up every morning," she says.

@highlight

HHS's Office on Women's Health releases new report on women's mental health

@highlight

Women suffer from major depression, anxiety disorders at higher rate than men

@highlight

Half of all mental illnesses occur before age 14 in both men and women

@highlight

Need for early detection and destigmatization of mental illnesses, researcher says