(CNN)  -- Moments after President Obama said a "mix of human and systemic failures" allowed a man to try to bomb a passenger jet on Christmas Day, federal agencies said they had done all they could.

"A systemic failure has occurred, and I consider that totally unacceptable," Obama told reporters Tuesday during his vacation in Hawaii, referring to what authorities allege was Umar Farouk AbdulMutallab's failed attempt to blow up a Northwest Airlines plane preparing to land in Detroit, Michigan.

The president said information on AbdulMutallab should have sufficed to alert authorities to prevent him from getting on the flight from Amsterdam, Netherlands.

"What already is apparent is that there was a mix of human and systemic failures that contributed to this potential catastrophic breach of security," Obama said. "We need to learn from this episode and act quickly to fix the flaws in our system because our security is at stake and lives are at stake."

Federal authorities have charged AbdulMutallab, 23, of Nigeria, with trying to detonate explosives hidden in his underwear as the flight made its final approach. The device failed to fully detonate, instead setting off a fire at his seat.

Obama has ordered preliminary results of an investigation into what went wrong by Thursday.

However, the president said U.S. intelligence officials had received information signaling AbdulMutallab might be a terrorism threat but failed to take steps to prevent the man from boarding the flight.

"It's been widely reported that the father of the suspect in the Christmas incident warned U.S. officials in Africa about his son's extremist views," Obama said. "It now appears that weeks ago this information was passed to a component of our intelligence community but was not effectively distributed so as to get the suspect's name on a no-fly list."

Obama cited "other deficiencies," saying "there were bits of information available within the intelligence community that could have and should have been pieced together."

The airport security system created after the September 11, 2001, terrorist attacks on the United States was "not sufficiently up to date to take full advantage of the information we collect and knowledge we have," Obama said.

"Had this critical information been shared, it could have been compiled with other intelligence, and a fuller, clearer picture of the suspect would have emerged," Obama said. "The warning signs would have triggered red flags, and the suspect would have never been allowed to board that plane for America."

Obama said that the inability to take proper action on "information on a known extremist" showed the system had failed.

Soon after Obama delivered his remarks, a reliable source told CNN's Jeanne Meserve that AbdulMutallab's father talked twice about his son's extremist views with at least one CIA representative at the U.S. Embassy in Nigeria and a report was prepared, but the report was not circulated outside the agency.

U.S. officials said the father, a former Nigerian banker, expressed his concerns about his son's radicalization during two meetings and more than one telephone call with embassy officials.

The information was sent to CIA headquarters in Langley, Virginia, but sat there for five weeks and was not disseminated until after the Christmas Day incident, the source said.

Had that information been shared, the man might have been denied passage on the flight, the source said.

An administration official who spoke on condition of anonymity said the federal government had information that, meshed with other information, "would have allowed us to disrupt the attempted terrorist attack" before the suspect boarded the jet at Schiphol Airport in Amsterdam.

"What we have here is a situation in which the failings were individual, organizational, systemic and technological," the official said. "We ended up in a situation where a single point of failure in the system put our security at risk, where human error was compounded by systemic deficiencies in a way that we cannot allow to continue."

But a U.S. intelligence official said that the son's name, passport number and possible connection to extremists were indeed disseminated.

The official said AbdulMutallab's father never said his son was a planning an attack.

"The old man wanted help finding his kid," the intelligence official said. "If he thought he was a bona fide terrorist, and he wanted him back, the embassy in Nigeria would have been the last place to go. The U.S. doesn't send terrorists home, no questions asked. I'm not aware of anything that suddenly would have lit up the board and flagged AbdulMutallab ... as a terrorist on his way to America. But it's the season for second-guessing, so anything goes."

The official added, "I'm not aware of a magic piece of intelligence -- somehow withheld -- that would have put AbdulMutallab on the no-fly list."

CIA spokesman George Little defended the agency's actions regarding AbdulMutallab.

"We learned of him in November, when his father came to the U.S. Embassy in Nigeria and sought help in finding him," Little said. "We did not have his name before then. Also in November, we worked with the embassy to ensure he was in the government's terrorist database -- including mention of his possible extremist connections in Yemen. We also forwarded key biographical information about him to the National Counterterrorism Center."

Little said the agency is reviewing data to ascertain whether more could have been done.

State Department spokesman Ian Kelly said department staff did what they were supposed to have done by sending a cable to the National Counterterrorism Center in Washington about the matter. Kelly said any decision to have revoked the suspect's visa would have been an interagency decision.

But a U.S. government official said the information in the cable offered nothing specific and was just one of hundreds of such reports that the center evaluates daily.

Meanwhile, in the Yemeni capital of Sanaa, authorities were questioning congregants at a mosque and students and faculty at a school attended by AbdulMutallab, the spokesman for Yemen's Embassy to the United States said Tuesday.

Mohammed al-Basha told CNN's "The Situation Room" that an assertion by the local al Qaeda group that AbdulMutallab's action was in retaliation for airstrikes against them was "unfounded" and "most likely" propaganda, but left open the possibility links could emerge.

"I think the al Qaeda statement that came out recently saying that this is an attack in retaliation for what happened the 17th and 24th of December is unfounded, because we know that he bought the ticket a few days before that," al-Basha said.

AbdulMutallab bought his ticket from Lagos, Nigeria, to Detroit, Michigan, via Amsterdam on the day before the December 17 airstrike, Nigerian officials said.

Conversations with the suspect's former acquaintances have turned up no link to al Qaeda, al-Basha said.

"Umar, according to the questionings carried on today by his classmates and administrative officials of the school, he was a friendly person and did not ring any alarm bells," he said.

But senior Obama administration officials said Tuesday they are starting to see a link to the terrorist group.

"Some of the new information that we developed overnight does suggest that there was some linkage there," one of the senior administration officials said.

The senior administration official was referring to intelligence that White House officials obtained late Monday and then briefed Obama about on Tuesday in a secure conference call.

Al Qaeda in the Arabian Peninsula claimed responsibility for the failed bombing, calling it retaliation for what it said were U.S. airstrikes on Yemeni soil.

Al-Basha said airstrikes launched against AQAP on December 17 and December 24 were launched solely by the Yemeni government, but acknowledged the United States has provided assistance since the September 11, 2001, attacks.

U.S. officials say they have provided intelligence on AQAP targets to Yemen's government, but won't say whether U.S. aircraft or drones have taken part in strikes.

@highlight

NEW: Source: CIA had report on AbdulMutallab weeks before bombing attempt

@highlight

NEW: Source says report wasn't disseminated; CIA spokesman says info in terrorist database

@highlight

President: Authorities should have prevented suspect from boarding flight

@highlight

Man accused of attempting to detonate explosive on flight to U.S. on Christmas