(CNN) -- Teams from across the globe will soon learn whether their green designs will take top prize at Solar Decathlon Europe 2012 -- a competition that challenges collegiate designers to build houses powered exclusively by the sun.

But beyond their use of photovoltaic panels, these sustainable homes of the future will also be judged on overall design, construction quality and the level of innovation.

The 19 small houses that run solely on solar power were built over two weeks in September at Villa Solar in Madrid, Spain, and provide an architectural spectacle that the public can tour for free.

Read more: Solar Decathlon Europe 2012

Teams from Europe, China, Japan, Brazil and Egypt, designed these houses to produce minimal waste throughout the structures' life cycle.

The lighting, heating and cooling must be fully functional in each house, as do any household appliances inside them, like televisions and ovens. Plumbing is the only component not set up in these showcase homes.

During their final days on display, the houses accumulate points through a series of 10 mini-contests, each measuring specific parameters like architecture, engineering, energy efficiency and market viability. The team with the most points after the final judging wins.

With two more contests to go, a French team's house, "Canopea," is leading the pack, followed by a Spanish team's "Patio 2.12" and an Italian team's house, called "Med in Italy."

Ecolar, a team from Germany, is in fourth place right now but its team member, Jakob Winter, says just completing the house the way they had conceptualized it is gratifying enough.

"The most rewarding thing is the feedback of the visitors," he said. "So many people have come to me after the tour to say what a wonderful building it is, and the atmosphere inside the house. We're just very happy because we feel the same inside our house."

Feedback is important for a team like Ecolar, which is one of the teams that already has concrete plans to take its prototype to the market.

"We already have several inquiries from all around the world of people who would very much like to purchase an Ecolar home," Winter said.

Ecolar won the award for having the best engineering. It is a prefabricated modular home, meaning that they have designed several structures that can all be pieced together in a broader system.

The team enhanced the house's "passive" temperature regulation to save energy, which meant using hemp in its walls, ceiling and floor for better insulation, and installing clay plates on the ceiling to absorb heat. Like several of the other houses, Ecolar uses vertical, semi-transparent solar panels on the house's faÃ§ade, which lets in natural light while helping to supply energy.

Sustainable materials were taken into consideration for most entrants. A team from RWTH Aachen University in Germany, which designed the Counter Entropy House, found several innovative ways to incorporate items normally thought of as unusable: melted CDs were used to build plastic panels for the house's facade, and salvaged beams and wood from the university's stadium also served as building material. The house was also designed so that all of its parts can be easily separated for recycling.

Amid the boxy structures, one house, designed by the team from the Technical University of Denmark, took an unusual yet striking shape. The house is called Fold, which looks lopsided with slanted walls and a slanted roof. The angles are meant to be adjustable, depending on where the house is built, to maximize the solar panels' exposure to the sun.

Like many other of the entrants, Fold produces more energy than it consumes, which means the excess power can be sent through the grid for other uses. At Villa Solar, the prototype houses' overall surplus energy powers event spaces.

The competition was spun off from the original Solar Decathlon held biannually by the U.S. Department of Energy in Washington, D.C., and is the result of an agreement between the U.S. and Spain, which is hosting the European edition for the second time.

@highlight

Solar Decathlon Europe brings together university teams from around the world

@highlight

The 19 small houses that run solely on solar power were built over two weeks

@highlight

The public can tour the houses at Villa Solar for free

@highlight

Many of the teams have plans to sell their houses commercially