(CNN) -- The district attorney of Boulder County, Colorado, says he cannot say if he would have signed an indictment against the parents of JonBenet Ramsey -- the 6-year-old beauty queen killed in 1996 -- as a predecessor declined to do three years after the child's death.

"I don't know if I would have made the same decision, but I know how difficult these decisions are," Stan Garnett wrote in his first comments after the release of the indictment.

Previously sealed court documents released Friday show that a Colorado grand jury voted in 1999 to indict John and Patsy Ramsey, JonBenet's parents, on charges of child abuse resulting in death and being accessories to a crime.

But then-District Attorney Alex Hunter said there was insufficient evidence to warrant filing charges, and he did not sign the indictment.

From the beginning, John Ramsey and his late wife maintained they had nothing to do with their daughter's death. His lawyer has said there was no evidence to prosecute them, and they were later exonerated by DNA tests.

Garnett, who took office in 2009, wrote a lengthy op-ed in Sunday's Daily Camera of Boulder explaining his position on the case, which captured national media attention after the little girl was found dead in her family's home the day after Christmas 1996.

Garnett wrote that he had his staff look at the case after he took office four years ago. His appellate department told him the statute of limitations had run out on the charges in the indictment. As for any other charge, the DA's staff found nothing to pursue, he said.

Garnett wrote he will not comment on the case -- at this time.

"My, or my staff's view of what the evidence in the Ramsey case proves will only be stated in open court if a case is ever filed," he wrote, adding the Ramseys are entitled to the "full presumption of innocence."

Ramsey attorney wants full review

On Friday, an attorney for John Ramsey and his family urged Garnett to publicly open "the entire grand jury record and not just four pages from an 18-month investigation that produced volumes of testimony and exhibits."

The released indictments "are nonsensical," said attorney L. Lin Wood. "They reveal nothing about the evidence reviewed by the grand jury and are clearly the result of a confused and compromised process. The Ramsey family and the public are entitled to the benefit of the full and complete record, not just a historical footnote. Fairness dictates that result."

Wood, in a statement, said the grand jury didn't have what was later to be "the conclusive 2008 DNA testing that led to the unequivocal, public exoneration of the Ramsey family by the Boulder district attorney."

That year, another district attorney, Mary Lacy, wrote a letter to John Ramsey, saying that new DNA evidence tests had cleared him, his late wife and their son. She formally apologized for the cloud of suspicion the Ramseys had lived under for years.

Garnett wrote that a district attorney's job is to seek justice, not to forgive, "and rarely to 'exonerate.' "

He said he believes "straying from this role can be very confusing to the public and can create false impressions of certainty about uncertain evidence, subject to conflicting inferences, that has never been presented and tested in open court."

'A killer on the loose'

The Ramsey case has never been tried, something that frustrates the community, Garnett wrote.

"Because no case has ever been brought against anyone in (the) Ramsey (case), the community has had no resolution and the tabloid press has been free to speculate, sometimes recklessly, based on only parts of the evidence," he said.

In the days after the killing, Boulder police and the media focused on John and Patsy Ramsey. The parents always insisted that an intruder had killed JonBenet.

"There's a killer on the loose," Patsy Ramsey said a few days after her daughter's body was found. "I don't know who it is. I don't know if it's a she or a he, but ... there's someone out there."

Investigators say they did not find any sign of forced entry into the family home in 1996. No footprints were found in the snow outside the home, either.

A paintbrush from her mother's hobby kit was used to tighten the rope that choked JonBenet, according to investigators. An alleged ransom letter came from a notepad inside the house and made reference to little-known details about the family's past finances.

In October 1999, grand jurors assigned to the case went back home, sworn to silence. The eight women and four men had convened regularly for 13 months. They heard from dozens of witnesses, considered 30,000 pieces of evidence.

Today, the investigation stands almost where it started -- no arrests and no solid suspects.

Documents unsealed

Judge J. Robert Lowenbach last week ordered the release of four pages of sealed documents, as requested by Boulder journalists.

The court documents show how the grand jury sought to charge each parent with two identical counts.

The grand jury had alleged that Patsy Ramsey, who died from ovarian cancer in 2006, and John Ramsey "did ... permit a child to be unreasonably placed in a situation which posed a threat of injury to the child's life or health which resulted in the death of JonBenet Ramsey."

The grand jury also had alleged that each parent "did ... render assistance to a person, with intent to hinder, delay and prevent the discovery, detention, apprehension, prosecution, conviction and punishment of such person for the commission of a crime, knowing the person being assisted has committed and was suspected of the crime of murder in the first degree and child abuse resulting in death."

The documents provide no further details on who that "person" was.

The grand jury had accused the couple of committing the offenses "on or between December 25 and December 26, 1996."

CNN legal analyst Jeffrey Toobin said the indictment merely shows that a majority of the grand jurors felt there was probable cause to charge the parents -- a lower standard than proving guilt beyond a reasonable doubt.

@highlight

'I know how difficult these decisions are," Stan Garnett writes

@highlight

He says staff has reviewed case, which remains unsolved

@highlight

Parents owed presumption of innocence, he writes

@highlight

JonBenet Ramsey was killed in 1996 in her parents' home