London (CNN) -- Jane Austen is one of the English language's best-known and most-loved writers. Celebrate the 200th anniversary of her most popular book, "Pride and Prejudice," with a tour of some of the key locations in her life and works -- and in the big-screen adaptations they inspired.

Film and TV locations

The location every "Pride and Prejudice" fan wants to visit is, of course, Pemberley -- "a large, handsome, stone building, standing well on rising ground, and backed by a ridge of high woody hills," as Austen describes it.

Just where to look for the house and grounds (and whether you're also looking for that all important lake, of course) depends which adaptation you favor: The 1995 TV version was filmed at Lyme Park in Cheshire (exterior scenes), and Sudbury Hall in Derbyshire (interior scenes).

For many readers and viewers, the house which best corresponds to the Pemberley of their imagination is Chatsworth, in Derbyshire.

Pride and Prejudice turns 200

In the 2005 film, it is Chatsworth Keira Knightley that is referring to when she jokes that her love for Darcy dates from her "first seeing his grounds at Pemberley," but Austen expert Janet Todd, of Cambridge University's Lucy Cavendish College, says this is a mistake.

"The great houses we see in the TV and film versions of 'Pride and Prejudice' are too great," she insists, arguing that by imagining the action of Jane Austen's novels taking place in such grand houses, we change their tone.

"Darcy is not the Duke of Devonshire [the owner of Chatsworth]; the owner of Chatsworth would not be seen at the Meryton Ball. Austen's stories are those of the middle class, the gentry, and not the upper class, the aristocracy."

Other locations to feature in the 2005 film include Burgley, and the village of Stamford in Lincolnshire; Haddon Hall in Derbyshire (which also features in three versions of "Jane Eyre," "The Princess Bride" and "The Other Boleyn Girl"); and Groombridge Place in Kent (which also has links to Arthur Conan Doyle, and Sherlock Holmes) which doubles for the Bennets' home, Longbourn.

In the 1995 adaptation, the village of Lacock in Wiltshire stands in for Meryton, while nearby Luckington Court, in the Cotswolds, plays the part of Longbourn; scenes at Rosings, the imposing stately home of Lady Catherine de Bourgh, were shot at Belton House in Lincolnshire.

Bath

Bath is the city perhaps most closely associated with Jane Austen; it features prominently in two of her novels ('Northanger Abbey' and 'Persuasion'), and she lived here with her family from 1801 to 1806.

In the Georgian era, it was a fashionable spa town, where the well-to-do came to 'take the waters' -- and to see and be seen, at the Assembly Rooms, the Pump Room, and the theater.

Today, much of the city's Georgian architecture remains, making it almost as popular with film and TV crews making costume dramas as it is with tourists.

Austen fans can visit the Jane Austen Centre, take the waters -- and then take their taste away with tea at the Pump Room -- and wander the streets that the novelist herself walked down: Royal Crescent, The Circus, Gay Street, Queen Square and Sydney Place, where Austen lived at Number 4.

"Parts of the city look the same as they did in Jane Austen's day," explains David Lassman, of the Jane Austen Centre, "So visitors can see the same buildings she saw, get a sense of what it was like in her day, and walk in her footsteps."

VisitBath, the local tourism office, offers a free audio tour, "In the footsteps of Jane Austen" and there is also a Jane Austen Tour of Bath iPhone app, guiding visitors around the city using photos, paintings, Regency music and quotes from her work and letters.

Hampshire

Jane Austen was born and brought up in the Hampshire village of Steventon, where her father was the local vicar. Her birthplace, the rectory, no longer exists, but there are several memorials to Austen in St Nicholas' Church, including a weathervane in the shape of a pen.

Austen spent the last eight years of her life at Chawton, and it was here, in the red brick cottage where she lived with her mother and sister that she revised her earlier works for publication, and wrote "Mansfield Park," "Emma" and "Persuasion."

The cottage is now a museum of Austen's life and work, home to family portraits, manuscripts, and the table at which she wrote some of her most famous work.

In 1817, Austen became ill, and was persuaded to travel to Winchester to be close to her doctor; she stayed in a house in College Street (now marked with a plaque), and died there on July 18, 1817, aged 41.

She was buried in the north aisle of Winchester Cathedral; her gravestone makes no mention of her career as a writer, instead reading: "The benevolence of her heart, the sweetness of her temper and the extraordinary endowments of her mind obtained the regard of all who knew her and the warmest love of her intimate connections."

A brass tablet recognizing her literary talents was added in 1872, and her final resting place was celebrated in a poem by Rudyard Kipling: "Jane lies in Winchester, blessed be her shade! Praise the Lord for making her, and her for all she made."

Have you visited any of these spots, or do you have any suggestions for must-see Austen locations? Share your thoughts and tips in the comments below.

@highlight

Jane Austen is one of the English language's best-known and most-loved writers

@highlight

Her most popular book, "Pride and Prejudice" is celebrating its 200th anniversary in 2013

@highlight

Join the festivities by taking a tour of some of the key locations in her life and works

@highlight

Share your memories and suggestions for further trips in the comments below