Tammy Baldwin made history Tuesday night -- twice. She became the first openly gay politician, and first Wisconsin woman, elected to the U.S. Senate.

The seven-term Democratic congresswoman edged past former Wisconsin Gov. Tommy Thompson in a win that advocacy groups hailed as a significant stride toward bringing diversity to the Senate.

Baldwin said she ran "to make a difference" and not to make history. But she said she hopes the Senate will be more reflective of America and the "life experience" of women.

"Having a seat at the table matters and I think we will see a Senate that is more reflective of America. We're certainly not there yet, but this will be a change that moves us forward," she told CNN.

"People ... see our country and our states moving toward full equality in many respects," Baldwin said. "When you have legislative bodies that look more like America, that happens."

Baldwin was one of many successful gay and lesbian candidates in local and state races this election cycle, which also included her successor in her legislative district in Madison, state Rep. Mark Pocan. At least 118 gay and lesbian candidates won their races as of Wednesday, according to political action committee Victory Fund, which supports gay and lesbian candidates.

Political commentator Sally Kohn was ecstatic.

"This is a big day for gay women in America, and really, for all communities who aren't the typical straight, white, wealthy men elected to Congress," she said.

Share your reaction to the election

There has never been an openly gay or lesbian member of the U.S. Senate, according to several LGBT advocacy groups. Baldwin is one of four openly gay House members of the 112 U.S. Congress, along with fellow Democrats Barney Frank of Massachusetts, David Cicilline of Rhode Island and Jared Polis of Colorado.

"For the LGBT person growing up in Wisconsin or anywhere across the country, seeing an openly gay woman who is able to rise up to become a senator in the U.S. Congress is an incredible role model," said Chad Griffin, president of the Human Rights Campaign.

Though Baldwin's sexual orientation makes her victory notable, it rarely came up during the campaign, unless it was called a nonissue. The race pitted Thompson's "conservative leadership" platform against Baldwin's progressive agenda. Thompson, a four-time governor and secretary of Health and Human Services under George W. Bush, said he returned to politics to make America a better place for his grandchildren.

"I wanted to so much help lead back America," he said in his concession speech. "To be the country of growth and opportunity. To build America for future generations. I certainly didn't need the job. And I guess I'm not going to get it."

What started as a long shot for Baldwin eventually narrowed to a close finish, with the born-and-raised Wisconsinite capturing 51% of the vote, according to CNN projections.

"This campaign has been run on who's the most qualified candidate and who has the best vision for the state," Griffin said. "We're eager to have her move from one side of the Capitol to another and take a seat in the chamber as the first openly gay person."

Maryland, Maine approve same-sex marriage

To those watching the race, it was no surprise that Wisconsin, a state that approved a gay marriage ban six years ago, would send the first openly gay politician to the Senate. Baldwin has made no secret of her sexual orientation as she rose through local and state politics during the last two decades. When she was elected in 1998 to represent Wisconsin's second congressional district, she was the first out candidate to be elected to the chamber, said Chuck Wolfe, president and CEO of the Victory Fund, a political action committee that supported LGBT candidates including Baldwin this election.

"The electorate already knew what they needed to know about her, and they continued to elect her every step of the way," Wolfe said.

"She is a force with very deep roots in Wisconsin. She has a backbone of steel, but she's polite and compassionate, and people enjoy their interactions with her."

Born and raised in the Congressional district she has represented for the past decade, Baldwin's track record reflects a commitment to LGBT issues and diversity. As a Wisconsin representative, she was a co-founder and co-chairwoman of the Congressional LGBT Equality Caucus, leading efforts to advance the Employment Non-Discrimination Act and other civil rights initiatives. She also led successful efforts in the House in 2009 to pass expanded hate crimes legislation and was the lead author of legislation to extend benefits to same-sex partners of federal employees.

"Tammy has been a driving force because of her ability to tackle issues without having to use double-speak," Wolfe said. "Having someone like her in the Senate changes the tone and tenor of this discussion."

Democrats keep control of Senate

Others are hopeful that more women in Congress will change the discussion of policies affecting women and families. Women in the 112th Congress made up 17% of both the Senate and the House, according to the Center for American Women and Politics.

"A lot of research has shown that more women in leadership leads to better outcomes for the community," said Tiffany Dufu, president of The White House Project, which trains women for leadership.

"We know that women in political leadership reach across the aisle more often and are inclusive when it comes to taking constituents into consideration. They care deeply not just about the outcome, but the process," she said.

"For us, the biggest thing about Tammy Baldwin is her visibility. You can't be what you can't see."

How the election unfolded

@highlight

Tammy Baldwin one of at least 118 successful gay and lesbian candidates this election

@highlight

Baldwin says her victory means states are "moving toward full equality"

@highlight

She won a Senate seat over former Wisconsin Gov. Tommy Thompson

@highlight

Campaign watchers: Race rooted in voter issues, not sexual orientation