Joy Ross says it was love at first touch.  Ross, who is now blind, likes to tease that she met her husband, George, on a blind date.  At the end of the night, he took her hands in his.

She had little sight then and none now, but her journey into darkness started more than 30 years ago, long before she met her husband. As a small child, she developed arthritis that also attacked her eyes, eventually robbing her of her sight.

When she was about 3 years old, Ross says her mother noticed she was bumping into things as she'd play. After going from doctor to doctor, Ross was diagnosed with juvenile arthritis and a rare eye disease called uveitis. The same inflammation that caused swollen painful joints had spread to her eyes.

What it's like to be a blind parent

"The best I remember seeing, even as a child, was the big E on an eye chart with my left eye," says Ross. Her right eye saw far less, glimpsing only peripheral shadows.

Her eye disease, uveitis, means inflammation or swelling in the middle part of the eye called the uvea.

Doctors only diagnose about 2,250 cases each year in children younger than 16. Most young people with uveitis also have juvenile arthritis. But only about one out of 10 children with arthritis also develop the disease in their eyes.  If not treated early, uveitis can damage vision and in some cases lead to blindness, according to the Arthritis Foundation.

"In children who typically get uveitis, it starts so gradually, so insidiously, that the eye never becomes red and they never experience pain and they don't know that they're losing vision. In fact, a common way to pick it up is to be screened with your vision when you're starting school," says Ross' physician, Dr. James Rosenbaum, chief of rheumatology at Oregon Health and Science University in Portland, and chief of ophthalmology at Legacy Devers Eye Clinic.

Because 80% of childhood uveitis occurs in children with juvenile arthritis, Rosenbaum suggests parents should immediately take their children in for a checkup as if they would take them in for a complaints about an ankle or knee.

Ross got steroid eye drops to reduce swelling; that's the standard first line treatment for uveitis. But because her case was severe and the medications limited, she developed cataracts and needed eye surgery.

In high school, she tried methotrexate, a chemotherapy drug, to treat both her eyes and her painful arthritis.  But Ross didn't respond well to the treatment and had to stop.

15 diseases doctors often get wrong

In 2002, a couple of years after getting married and moving to Portland, she discovered a new drug called Enbrel that brought relief to her aching joints. She also discovered she was pregnant with her first daughter, Isabella.  A little over two years later, she gave birth to Georgiana.

And then after a family vacation in January of 2008, Ross' eyesight started to change, her vision literally disappearing.

"I remember looking in the mirror and thinking, I'm fading away. It was like a white fog, like in the shower when it gets fogged up.  It was thickening and thickening, and I was struggling to see," says Ross.

And in the months after her world went dark forever, her oldest Isabella who was about 5, started limping around on her ankle.

"We noticed that her foot was very swollen and very feverish to the touch and it was really severe," says Ross. They thought it was badly sprained, but it turned out to be juvenile arthritis.

And shortly afterward, 3-year-old Georgiana went with her dad for a routine eye exam.

Invisible chronic illness

"My husband called me after the appointment that day, and he was quiet.  He was crying, and he said that Georgiana was diagnosed with uveitis," says Ross.  They were devastated.

But the family tried to turn the bad situation into something fun.  Friday night in their house was shot night -- not your typical bar shots for a Friday of celebrating -- but injections.  George gave all three girls shots.  At that time, Isabella and Joy got medicine to suppress their immune systems to fight inflammation and Georgiana got methotrexate.  Afterward, they piled in the car to go get ice cream.

And now more than five years later, Georgiana is in remission and her eyesight has not been affected.

Thanks to early diagnosis and treatment with biologic drugs such as Enbrel, which control swelling, she is doing well. These new medicines put the brakes on the misbehaving parts of the immune system that fuels inflammation. These were not available when Joy was a young child. Their doctor says Georgiana has a good chance of retaining her sight throughout her life.

New smartphone app promises easy eye testing worldwide

Isabella's arthritis still does flare up from time to time, making it hard to go up and down stairs or participate in PE at school. Both girls do tend to get sick more than other kids because their medicines leave their immune system less able to fight infections. But their doctors don't think either sister will develop the other's illness.

And though Joy knows there are more struggles ahead for all of them, she says, "Find joy in everything if you can. Joy, I say, is a choice. It's more than just my name; it's a choice our family has had to choose."

And when she wants to visualize her world, she returns to one of her best tools, touch.  As she cuddles with her girls, she takes their faces in her hands.

"I feel them grow, and their faces change. I feel their smiles," says Ross.

@highlight

Most young people with uveitis, a rare disease, also have juvenile arthritis

@highlight

Only about one out of 10 kids with arthritis also develop the disease in their eyes

@highlight

If not treated early, uveitis can damage vision and in some cases lead to blindness

@highlight

Early diagnosis and treatment with biologic drugs, such as Enbrel, can control swelling