Washington (CNN) -- Bipartisanship is usually seen as a good thing.

It's about opposing sides working together to reach a middle-ground, crafting legislation that gets things done.

In times when neither political party is able to compromise on issues like forced spending cuts, gun control or even saving the Postal Service, bipartisanship -- like what was seen in the passage of funding legislation to avoid a government shutdown in late March -- has rarely been more important.

But what about times when both parties worked together and things went wrong?

Politicians from both sides supported throwing Japanese-Americans in internment camps in the early days of World War II.

In the 19th and 20th centuries, state legislatures across the South locked arms to pass laws restricting the right to vote of millions of people.

And a nearly unanimous vote by Congress in 1964 led to a virtual blank check for President Lyndon Johnson to escalate America's involvement in Vietnam.

"You can go through history and there has been bipartisan support for bad things," said Curtis Gans, director of the Center for the Study of the American Electorate at American University.

The Japanese interment camps resulted from an executive order, but neither side in Congress spoke out against it.

"In wartime, you know, that was clearly unjustified and clearly a basic violation of everything we stand for in terms of human rights," Gans said. "What you had was a very, very fearful American public, which influenced what happened."

Kevin M. Kruse, a history professor at Princeton, pointed out the Gulf of Tonkin Resolution on Vietnam in 1964. It passed the House unanimously and the Senate with only two votes in opposition.

"A lot of unfortunate things have been passed because both parties can get swept up in the fear and urgency of the moment and nobody's willing to or brave enough to stand up and say this is wrong," said James N. Gregory, a history professor at the University of Washington.

Gregory pointed to the Patriot Act in 2001 and the resolution to go to war with Iraq as his examples of bad pieces of bipartisan action.

The Patriot Act was passed little over a month after the 9/11 terror attacks, but questions were subsequently raised about expanded law enforcement surveillance powers in terrorism investigations. Allowing detainment of non-U.S. citizens suspected of terrorism without specific charges also drew scrutiny.

Congress voted overwhelmingly in favor of going to war in Iraq in 2003, citing imminent fears that Saddam Hussein was hiding weapons of mass destruction. But none were ever found and the war went on for nearly a decade.

There have been other cases not involving war or national crisis.

"Chinese exclusion was pretty popular by Democrats and Republicans," said Gregory about the Chinese-Exclusion Act passed by Congress at the height of anti-Chinese sentiment in the U.S in 1882.

The law imposed severe restrictions on Chinese immigration -- which originally focused on "skilled and unskilled laborers employed in mining" but later was extended to all Chinese wishing to immigrate to or remain in America.

Another example of bipartisan acquiesce was in civil rights.

"Republicans in the early 20th century allowed Democrats to control the South and the disenfranchisement of African-Americans in the South," said Robin Einhorn, a history professor at the University of California-Berkeley.

Led by Democrats, state legislatures throughout the deep South passed several laws in the late 19th and early 20th centuries to discourage or prevent blacks from voting.

Einhorn said with Jim Crow laws, immorality was condoned because neither side wanted to do the right thing and fight.

"The partisan response would have been to support African-American voting rights," he said.

Those laws were largely curtailed by the Voting Rights Act of 1965. But enforcement of the landmark measure is under review now by the U.S. Supreme Court. Justices are considering an appeal that federal government intervention is no longer necessary to ensure that African-Americans can go to the polls.

When asked about good pieces of partisan legislation, Gregory looks at events right after the Civil War.

"If you go back to the 1800s, Republicans jammed through all of the civil rights legislation -- including the 13th, 14th and 15th amendments -- that were crucial to our framework of rights," said Gregory, "And that was done in a highly partisan manner."

Alan Abramowitz, a political science professor at Emory University, pointed to Social Security, Medicare and key pieces of civil rights legislation that were opposed by many, including conservatives, but passed anyway because of support from members of both parties.

"It took strong partisan majorities in Congress to get those things," said Abramowitz, "It wouldn't have happened without that."

@highlight

The ability of both sides to come together has long been valued in Washington

@highlight

There are several instances where questionable action is bipartisan

@highlight

In most cases, decisions are driven by conflict or national crisis

@highlight

In other cases, inaction by both parties leads to immoral policy, experts say