(CNN) -- Forests in the Pacific Northwest are dying twice as fast as they were 17 years ago, and scientists blame warming temperatures for the trend, according to a new study.

This photo of Rocky Mountain National Park in Colorado shows dying pines and firs among healthy trees.

The study, to be released Friday in the journal Science, is the first large-scale analysis of environmental changes as contributing factors in the mortality of coniferous forests.

The data for this research was gathered by generations of scientists over a 50-year period at multiple sites in Oregon, Washington, California, Arizona, Colorado, New Mexico and southwestern British Columbia. Seventy-six forest plots, all more than 200 years old, were monitored by scientists doing some of the most rudimentary research -- counting trees.

"It's not a happy story, but, an important one," said Phillip van Mantgem, a research ecologist with the U.S. Geological Survey and the lead author of the study. "These are beautiful places. They do change and respond to their environment, sometimes quickly."

"If in your hometown where you live, the death rates of your friends and neighbors doubled and there are no compensating birth rates, wouldn't you want to figure out what's going on?" said Nathan Stephenson, research ecologist with the U.S. Geological Survey and one of the authors of the report.

The study primarily focused on three types of coniferous trees: pines, firs and hemlocks. Older-growth forests -- some up to 500 years old -- have trees of all ages, and researchers found that mortality rates have increased for all age groups. Since mortality rates went up across the board, scientists ruled out a number of other possible causes, including ozone-related air pollution, long-term effects of fire suppression and normal forest dynamics.

In the end, California had the highest tree death rate. Of the three types of coniferous trees studied, pines were found to be dying at the fastest rate. Ultimately, higher tree mortality may lead to significant shifts in forest structure and function, the report states.

"Much of the world's population in North America, Europe, most of China and large portions of Russia live near temperate forests, so what happens in these forests has global importance," said Jerry Franklin, a professor of forest resources at the University of Washington whose work was instrumental in maintaining the research plots.

"My guess is that forest loss has the potential to greatly exceed forest establishment," he added.

The new findings concern scientists who see the study as further confirmation of the harmful effects of climate change on ecosystems.

According to the Intergovernmental Panel on Climate Change, a scientific intergovernmental body, concentrations of carbon dioxide in the atmosphere are now at their highest levels for at least 650,000 years. Scientists on the panel say the increase began with the birth of the Industrial Revolution 250 years ago.

The new research also suggests that as trees die, they actually emit more carbon than they absorb. Trees are key players in regulating climate because they convert carbon dioxide, which they store in their trunks and roots, to oxygen. Changes in climatic conditions or various diseases can cause the gradual dying of plant shoots.

"The concern here is that these might be early warning signs of dieback," said Stephenson.

Some scientists say that tree species unable to tolerate warmer conditions might just re-establish themselves in cooler areas. Given the speed at which warming appears to be occurring, it's not clear whether tree species will be able to migrate fast enough to survive, said van Mantgem of the U.S. Geological Survey.

"Warmer temperatures cause earlier summer droughts, less snow pack, and cause ideal breeding grounds for invasive species and pathogens," he added.

"One hypothesis is that warmer climates can make it easier for invasive species to reproduce and grow in these temperate forests. If the trees are already under a lot of environmental stress, they are more prone to serious insect attack," he said.

Scientists say forests in the Western U.S. have been increasingly damaged in recent years by invasive insect species such as the bark beetle -- a sign that rising temperatures are having an adverse effect. Bark beetles are known to attack trees already weakened by other environmental factors.

"Many of these beetles cannot survive in cold temperatures, and it's getting warmer," said Tim Barnett, a ­research marine physicist at Scripps Institution of Oceanography at the University of California, San Diego. Barnett authored a research paper linking drought conditions in the American West to increased human activity.

"It is perfectly reasonable to assume that this problem is going to get worse, not better," he said.

@highlight

Forests in the Pacific Northwest are dying twice as fast as they were 17 years ago

@highlight

Scientists blame warming temperatures for the trend, according to a new study

@highlight

Data was gathered over a 50-year period at sites in the Western U.S. and Canada

@highlight

Scientists: study confirms the harmful effects of rising temperatures on ecosystems