(CNN) -- Dan Kruse started to feel weak one day while hanging out with his friends in a park. The next day, the eighth-grader woke up completely jaundiced -- the whites of his eyes were yellow -- and he urinated blood.

Dan Kruse, now 23, had food poisoning from E. coli bacteria as a teenager.

Deeply concerned, his mother took him to the doctor, who told him to go to the hospital immediately.  Doctors determined he had a severe form of food poisoning that made his kidneys shut down in a condition known as hemolytic uremic syndrome, caused by the bacteria E. coli. A priest gave him last rites, and doctors said he would most likely spend the rest of his life on kidney dialysis.  "I didn't go to the bathroom at all for seven to nine days because of my kidneys shutting down," said Kruse, now a Web developer in Philadelphia, Pennsylvania. "I definitely almost died."

But with the help of an experimental treatment involving medicine "like a fine grain sand" that he ate six times a day, Kruse began to improve, and made a full recovery without dialysis.  Food poisoning from strains of E. coli is less common in the United States than salmonella, a bacteria that has caused more than 1,000 infections in a recent outbreak since April, according to the Centers for Disease Control and Prevention. Tomatoes have been implicated in this outbreak, but many other foods, such as raw meat and poultry, can spread salmonella and other kinds of bacteria.

Food borne illnesses result in more than 300,000 hospitalizations in the United States every year, according to the CDC. About 76 million cases of food borne disease occur annually in the United States, the CDC said.

Salmonella and E. coli present themselves in such similar ways that doctors can't tell which is which without testing a stool sample.  Learn more about the differences between salmonella and E. coli »

Both kinds of bacteria can lead to infections involving diarrhea, vomiting, abdominal cramps and sometimes a low-grade fever. In most cases, an infected person will recover within a week without medicine simply by staying hydrated, doctors said.

People who experience voluminous, bloody and persistent diarrhea should seek medical attention, and may need antibiotics, said Dr. Jennifer Christie, gastroenterologist and assistant professor of medicine at Emory University.

When should you go to the hospital?

When you're not able to tolerate fluids, vomiting so much that you can't keep anything down, or have profuse watery diarrhea, said Dr. Iris Reyes, associate professor of emergency medicine at the University of Pennsylvania. A racing heart along with diarrhea and vomiting indicates dehydration, she said.

People with compounding medical problems such as cardiac conditions or diabetes should also seek medical attention, doctors said.

In some cases, especially among small children, the elderly, and people with compromised immune systems, the infection may become more severe and lead to long-term complications.

Salmonella can lead to a condition called Reiter's syndrome that involves joint pain, eye irritation and painful urination. Chronic arthritis may result, regardless of whether a person takes antibiotics.

A common strand of E. coli, often called E. coli 0157, can lead to hemolytic uremic syndrome, which makes bacterial toxins go into the bloodstream and destroy red blood cells. This can result in kidney failure as a result of damaged cells clogging tiny blood vessels, according to MayoClinic.com.

That strain of E. coli is distinct from enterotoxigenic E. coli, which causes traveler's diarrhea. People traveling to developing countries of Latin America, Africa, the Middle East, and Asia are at particular risk for traveler's diarrhea, but it usually resolves in a few days and is rarely life-threatening.

Symptoms of food borne bacterial infections are also similar to those of some viruses, though bloody diarrhea is sometimes a telltale sign of bacteria.

To prevent these infections, medical professionals emphasize the importance of washing your hands after handling raw meat, poultry, and uncooked eggs. You should also wash your hands after using the bathroom, touching pets or coming into contact with a person who has a bacterial infection.  Read more tips about food safety »

While it is always a good idea to wash produce, a rinse doesn't always get rid of bacteria. In fact, you would have to scrub a vegetable for several minutes with antibacterial soap to kill the invisible offenders, Reyes said.  "In the operating room, surgeons scrub for at least several minutes to make sure there's no bacteria on their skin," she said. Food is the same way -- it would take a long time to actually make sure that no bacteria remains.   The best solution is to just stay away from any foods, like tomatoes, that have been reported to be contaminated.   You may be tempted to eat that piece of salami of indeterminate age sitting in your refrigerator. But if  you do take a bite and it just doesn't taste right, Reyes has some advice for you: Stop eating.

This may sound like a no-brainer, but Reyes said it's not unusual for people to contract food borne illnesses this way.

"Make sure your food looks good and tastes good before you eat it," she said.  Cooking at high temperatures also kills bacteria, but people do not typically cook tomatoes and other produce, Reyes said.   Avoid anything containing raw eggs, such as Hollandaise sauce, Caesar salad dressing, and undercooked French toast, Christie said.

Food that has been sitting out for hours at picnics or buffets may also be contaminated, Reyes said. Hot food should typically be eaten hot, and meat should never cool below 140 F before reheating.

Below 140 F, bacteria thrive and multiply, regardless of the time that the food has been sitting out. Similarly, cold foods like shrimp cocktail will go bad if allowed to warm.

"You want to avoid a situation when your bacteria find your food just as appealing as you do," she said.  Kruse said he avoids alfalfa sprouts, which have been associated with E. coli outbreaks, but still eats meat.  "I love meat, I'm a meat eater. It was a fluke," he said. "The doctors told me that the body will fight it off better" since he had the infection as a teenager.

@highlight

There are about 76 million cases of food borne illnesses in the U.S. each year

@highlight

Symptoms include diarrhea, vomiting, abdominal cramps and a low-grade fever

@highlight

Salmonella and E. coli infections present similar symptoms initially

@highlight

Washing hands after handling raw food is key to prevention