(CNN) -- A federal judge on Friday denied a stay of execution for a California man who raped and murdered a 15-year-old, but gave him a choice of whether to die by single injection or the state's recently revised three-drug method.

If the execution proceeds as scheduled on Wednesday, Albert Greenwood Brown could become the first person to be executed in California since 2006, when legal challenges arose prompting the state to revise its lethal injection procedure.

He could also become the first inmate to be put to death in California's new lethal injection chamber, which was modified to meet requirements to come out of the review.

If, however, Brown elects to be executed by a single injection of sodium thiopental and the state refuses, a stay of his execution will be ordered, U.S. District Judge Jerry Fogel wrote in a decision issued today.

Read the judge's ruling (PDF)

Fogel noted that present litigation had nothing to do with "the wisdom or morality of the death penalty" but rather, the narrow issue of whether the 56-year-old was entitled to a stay of execution.

"The passions that surround these issues are deep and entirely understandable, but they have little to do with the limited legal question presented here," he wrote.

"The court is painfully aware that however it decides a case of this nature, there will be many who disagree profoundly with its decision. The moral and political debate about capital punishment will continue, as it should."

Brown was sentenced to death in 1982 for the rape and murder of Susan Jordan, who was walking to Arlington High School in Riverside when Brown pulled her into an orange grove, according to court documents.

He raped and strangled her with her own shoelace and took her school identification cards and books. Later that evening, he looked up her family in the phone book and called their home, the documents state.

"Hello, Mrs. Jordan, Susie isn't home from school yet, is she?" court documents quoted him as saying. "You will never see your daughter again. You can find her body on the corner of Victoria and Gibson."

He also placed a call to police directing them to her body. During the investigation, three witnesses identified Brown as being near the scene of the crime. Police also found Susan's school books and newspaper articles about her death in Brown's home, and clothing with semen stains in Brown's work locker.

During the penalty phase of Brown's trial, his lawyer presented psychiatric evidence suggesting that he had emotional problems, including sexual maladjustment and dysfunction and claimed he was remorseful.

The jury deliberated for three hours before returning a death verdict, according to an opinion issued September 19 by the Ninth Circuit Court of Appeals.

Brown had exhausted all his state and federal appeals and habeas corpus issues, according to the Riverside District Attorney's Office, when he petitioned the court last week to join the case that led to an overhaul of the state's execution procedures, which took effect August 29.

Among the changes, according to the California Department of Corrections and Rehabilitation: the revised three-drug method, which includes new directives on how to prepare and administer the mixture; a new selection process and training program for members of the "lethal injection team," which consists of groups including the security sub-team, the intravenous sub-team and the infusion sub-team.

The state also built a new execution facility at San Quentin Prison, home of California's male death row, with a bigger death chamber and observation room that separates guests of the condemned inmate from witnesses related to the victim.

Brown argued that, until the court had an opportunity to conduct a full review of the regulations, no executions should proceed, according to Fogel's opinion.

Lawyers for the state argued that the defense failed to show the new regulations created "a demonstrated risk of severe pain," as required by the most recent U.S. Supreme Court decision to test lethal injection protocol, Baze v. Rees.

They also argued that the regulations had come about after years of review and public hearings, and in direct response to issues raised by the Supreme Court, and expressed concerns over deviating from them.

Fogel wrote that allowing the condemned inmate to choose which injection protocol to use would address that concern.

"Allowing a condemned inmate to make such a choice is consistent with Ninth Circuit authority in cases arising both in California and elsewhere," he wrote.

California's last execution was on January 17, 2006, when Clarence Ray Allen was put to death for three counts of first-degree murder with special circumstances. From behind bars, he had helped orchestrate a deadly armed robbery at a convenience store.

@highlight

If it proceeds, Albert Greenwood Brown's execution will be first since lethal injection review

@highlight

Federal judge gives Brown choice between single injection or three-drug injection

@highlight

Brown was sentenced to death in 1982 for rape, murder of 15-year-old Susan Jordan

@highlight

Execution will be first in lethal injection chamber designed to meet new regulations