(CNN) -- Art has emerged as a major vehicle for expressing the Occupy Wall Street movement.

In addition to news this week that street art from Occupy Wall Street and Occupy D.C. was being collected by the Smithsonian National Museum of American History, the movement's Arts and Culture Committee showcased spoken word performances and poetry readings in Manhattan's Zuccotti Park.

Elsewhere in the city, a group known as Occupy Museums demonstrated at New York's Museum of Modern Art, the Frick Collection and the New Museum protesting the corporatization of art, and the "No Comment" pop-up exhibition similarly represented itself as art inspired by the movement. Then there's the sudden popularity of anti-establishment Guy Fawkes masks, distant kin to the masked protests of the Guerrilla Girls, a collective of anonymous artists who wear Gorilla masks to protest sexism.

But perhaps most provocatively, Shepard Fairey -- the artist who famously created the Obama "Hope" poster -- contributed "You Are Invited to the Occupation Party," featuring a portrait of a woman evocative of the black power movement, and placing Occupy Wall Street within a deeper history of civil rights protest.

Occupy art might just be the movement's most politically potent tool in its dramatic reframing of the racial dynamics of a populist uprising frequently characterized as largely white and "hippie."

Fairey's "You Are Invited" is an especially compelling example. It offers an image of a young black woman with turtleneck sweater and iconic Afro, a la Angela Davis -- the "uniform" of the Black Panther Party of the 1960s and '70s. The poster's retro look recalls a militant past, almost startling in our new millennial moment, and surely is meant as a challenge to the idea that as a society we are anywhere near "post-race" enlightenment.

For evidence of this, we need look no further than the grossly disproportionate use of force by Oakland city police in clearing peaceful Occupy protesters recently. Comedian and social critic Jon Stewart said on his late-night show that the only threat that could possibly warrant such a police response was Godzilla. His comment, though humorous, was seriously spot-on, for the "beast" perceived as a threat in that city has long been its black and brown citizens. It is no accident that the Black Panther Party was founded in Oakland, where for decades inequities in health, education, income and incarceration have affected the communities of color there.

Indeed, some have called for more black people's involvement in the movement, but Fairey's "You Are Invited" goes beyond an appeal for and to black people. Imagine its even more revolutionary effect as a poster carried by people of all backgrounds and social position, symbolically calling for a pan-ethnic alliance.

Of course some may complain that this repurposing of black power imagery associates the Occupy movement with a dated and narrow cultural nationalism with no place in our post-civil rights era. The poster's invitation to an "occupation party" -- suggesting both a political party as well as a hip, happening event -- may not mobilize a younger generation unfamiliar with appeals to rise up or sit in. Others may criticize the poster as implying a purely token inclusiveness that masks the real tensions between the occupiers' often competing and sometimes confused agenda.

These are justifiable concerns. But "You Are Invited" is powerful precisely because it invites identification with this long history of marginalized people striving for social and economic equity, however imperfect and unfinished those efforts.

More subtly but as importantly, the poster is a mini-tutorial, offering some much needed direction and instruction to a new movement missing some important elements for success. Occupiers are invited to take a page from the past, for instance, and go revolutionary with some style. The Panthers dressed for success and worked their cool look to great political effect. Even more essentially, they also had a plan. The Panthers' Ten-Point Program, which called for "Land, Bread, Housing, Education, Clothing, Justice and Peace" and included a successful Free Breakfast for Children program, sought very practical forms of redress (some realistically possible, some less so) to the social and economic injustices they experienced.

"You Are Invited," with what we might call its black art of occupation, is a reminder of the historical relationship between art and politics. Plato was anxious about the power of art to rouse emotions and challenge authority, and to be sure, art can be reduced to mere propaganda and demagoguery. But we should not forget that Aristotle, Plato's own student, disagreed with him, insisting that the arts had a profound social function.

In 1926, the renowned black intellectual, W.E.B. Du Bois, argued passionately that art should be used for social justice, that beauty can and must be marshaled for a larger good: "I am one who tells the truth and exposes evil and seeks with beauty and for beauty to set the world right." Similarly, the "No Comment" organizers claim that, "The purpose of the exhibition is to provide a platform for an open dialogue about serious sociological issues."

Let the Occupy movement's camps and protests and marches continue generating such art -- art that inspires interracial unity where it may not yet exist, art that reminds us of the voices unheard, art that galvanizes practical social change when nothing seems to give, art that, in Du Bois' words, tries to make the world both beautiful and right.

The opinions expressed in this commentary are solely those of Michele Elam.

@highlight

Michele Elam says art is emerging as potent tool of Occupy Wall Street movement

@highlight

She says this especially true of Shepard Fairey poster that recalls black power imagery

@highlight

She says image links movement to long history of marginalized people striving for equity

@highlight

Elam: Art serving social function in Occupy as it urges interracial unity, galvanizes social change