(CNN)In one month Nigerians will vote in what may be the country's most competitive and contentious elections yet. But this important process will take place in the shadow of a worsening threat -- Boko Haram, the Islamist insurgent group otherwise known as Jama'atu Ahlis Sunna Lidda'awati wal-Jihad, which killed as many as 2,000 people in the northeastern town of Baga on January 3.

The attacks of the past few weeks -- Boko Haram's biggest ever in terms of casualties on Baga, and on markets using children to detonate devices -- have drawn international focus back to the crisis.

But such appalling events are not new -- they are an intensification, a next step in a crisis which has steadily worsened since Boko Haram's 2010 reemergence. And they raise a number of questions about the trajectory of the insurgency and the response to it.

Why did Boko Haram take Baga now?

For Boko Haram, taking Baga -- a small town in Nigeria's Borno State -- closes a gap in its map, fulfills a strategic purpose with its proximity to the border with Chad, where it is reported to have set up camps on islands in Lake Chad, and further bolsters its resources and sense of confidence with a win over a multinational military force.

The small town near Lake Chad was home to the base of the Multinational Joint Task Force, comprising troops from Nigeria, Niger and Chad -- but despite the military presence, Baga was surrounded in the country's northeastern corner by what has become Boko Haram territory.

The most recent attack was not the first fighting Baga had seen: in April 2013 nearly 200 people were killed and around 2,000 homes burnt by insurgents and soldiers in attacks and counterattacks, according to Human Rights Watch. Baga was already vulnerable.

What do latest attacks say about Boko Haram's tactics?

The history of Boko Haram is one of ever-expanding extremes.  Looking back at the changing situation in the northeast and the nature of Boko Haram's targets and scale of its attacks, there are events since 2009 that can be seen as markers in the next stage of its evolution -- from the extrajudicial killing of the movement's founder Mohammed Yusuf in 2009, to the 2011 suicide attack on police headquarters in Abuja, to the 2013 introduction of the state of emergency in three northeastern states, to last year's killing of schoolboys and abduction of the Chibok schoolgirls. The scale of the killings in Baga and the reported use of children, perhaps as young as ten, to carry and detonate bombs is Boko Haram further pushing the boundaries of what it will do.

The indiscriminate ferocity of its killings isn't necessarily all about tactics. There still isn't a clear picture of what happened at Baga and who did the killing -- the age, the motivation, the state of mind of what may have been militants, conscripts or armed and terrified child combatants. What is clear is that Boko Haram kills because it can and because it's likely those who are not core loyalists or ideologues are expendable resources for the movement. Whereas previously its attacks had been in revenge for some grievance or focused on the Nigerian state, it has become much harder to explain its targets and identify its endgame.

Is Nigeria doing enough?

The 7th Division of the Nigerian army has been struggling to respond effectively to an insurgency that abducts and uses civilians, that is well equipped with captured military hardware and that knows the terrain of the region better than a federal force which comprises troops unfamiliar with the context, people and language in the northeast. The overstretch of this force is showing. There are many potential reasons for this overstretch -- from lack of clear directive, to lack of equipment and training. Many also cite corruption: billions of dollars have been spent as a result of the insurgency, but it is not clear what proportion of this has been spent in or on the fight in Borno State.

The federal government has been silent on or has had a delayed response to many attacks and key developments during this crisis. As criticism increases of the federal government for its handling of the threat, which has gotten worse over the years, a lack of or confused messaging only bolsters perceptions that it sees the situation in the northeast as peripheral or as a conspiracy to discredit President Goodluck Jonathan and his administration.

Is the international community doing enough?

Boko Haram is a Nigerian movement that is mostly targeting Nigerians. Nigeria's federal government and security agencies have the responsibility for resolving this crisis in cooperation with regional and international actors, who look to the Nigerian government and forces to lead and coordinate.

Nigeria's international partners offered assistance in training, advice and technical support, and some of this was accepted after the Chibok abductions of April 2014 and amid the international outcry that followed.

The international community could do more to speak with one voice and coordinate better amongst itself to galvanize further and faster action in Nigeria, back those agencies and actors which are making progress, and identify gaps for greater support. An immediate priority is humanitarian relief and energies need to be focused on how to get essential help to internally displaced people and refugees.

Will the latest attacks affect next month's election?

The attack in itself is unlikely to have an effect on the outcome of the elections, but security and law and order are a primary concern for all Nigerians. Some voters -- not all -- will assess Goodluck Jonathan's performance as president since 2011 through his handling of the Boko Haram crisis.

What kind of threat does Boko Haram pose regionally now?

Despite increased attacks in northern Cameroon and growing concern in southern Niger and western Chad, it is not clear that Boko Haram would seek immediately to open new fronts in this conflict by taking on the armies of Chad and Niger. As Nigeria's army pushes back, Boko Haram may continue to look across borders for refuge. The war economy of the northeast is also poorly understood; it is possible that these border regions are important in order for Boko Haram to sustain itself as the economy in the northeast declines as farming and fishing have become impossible.

Should the West be worried?

The West -- and others -- should be worried because of the human cost of the Boko Haram crisis and the legacy this violence will leave. With a few exceptions, Boko Haram has not attacked western targets; its focus is Nigeria. But Nigeria is Africa's largest economy, democracy and producer of crude oil -- it is important to the stability and economy of the region.

African leaders and Nigeria's international partners should also be worried if a more effective response is not forthcoming from Nigeria, and if Boko Haram seeks to start pushing south and west in the country. In the immediate term, it is crucial that the Nigerian military protects state capitals in the northeast and that Nigeria holds credible elections in a month's time.

The opinions expressed in this commentary are solely those of the author.

@highlight

Boko Haram massacred as many as 2,000 people in Baga, Nigeria on January 3

@highlight

Donnelly: Taking Baga helps group consolidate control in northeast Nigeria

@highlight

Donnelly: Group's tactics are unclear; Boko Haram kills because it can