(CNN) -- The letter Jacki Monaco wrote was fraught with emotion:

"Dear food," it began.

"You have given me a reason to live, a cotton candy cloud to land on, a spaghetti pool to swim in, a sweet and sometimes sour pat on the back after long days. You have been my dearest friend and my most painful enemy. My love, my hate, my utter confusion."

It's a letter Monaco still has, though she penned it nearly two years ago at a weight loss retreat. She reads it when she's angry or upset and is starting to think, again, that food can fix whatever is bothering her.

"I was married to food for so long," she said. "That was the only relationship that mattered to me. Every food has its own story."

There's the salad she ate for breakfast, lunch and dinner that tells the story of her summer of starvation. There's the box of Golden Oreos that got her through the aftermath of her college roommate's death. There's the pizza she used to order from the restaurant across the street, the one she could eat by herself in under an hour, with a bowl of pasta on the side and a large piece of cake for dessert.

"Roller coaster" doesn't even begin to describe Monaco's struggle with her weight. It's a struggle she's learned to accept -- even embrace -- as an important part of her past.

"I don't think people go through huge obstacles to amount to nothing," she said.

Freshman 15

At 5 feet 5 inches tall, Monaco kept active with sports in high school, and her weight hovered around 150 pounds. When she wanted to drop a few, she hit the gym with friends. It was fun, casual and never a major focus in her teenage years.

In fall 2007, she headed to Emmanuel College in Boston. The dreaded "freshman 15" crept up on her, and when she headed home for the summer, Monaco decided to fight the weight gain by counting calories.

The first day, she ate sandwiches, pita chips and vegetables. But full, healthy meals soon turned into tiny salads. After a couple weeks, Monaco was limiting herself to only 800 calories a day. (Experts warn against eating less than 1,200 calories a day because it sends your body into starvation mode.) One day a week, she binged, allowing herself to eat whatever she wanted as a reward.

One night after downing a hamburger, a chicken sandwich and some fries, she attempted to throw up her food for the first time. "I was scared of having all those calories in my body," she remembered. "I didn't know what to do to get rid of them."

But bulimia didn't "suit" her body, she said. "I just wanted the act of eating."

iReporter shakes off 170 pounds

Over the summer, Monaco lost more than 30 pounds. She got tons of compliments from her classmates, who couldn't believe she'd dropped so much weight in such a short amount of time.

She weighed her 127-pound body daily and wrote down everything she ate. She even brought her own salad dressing to the dining hall to make sure she knew exactly how many calories she was consuming. Monaco ran four miles a day, six days a week, and spent an additional hour at the gym doing weights.

"It became an obsession," she said. "Did I do good today or bad today? It was always all or nothing."

It was an odd time in her life. In between salads, she remembers sneaking to the grocery store to buy cake and then eating it in the bathroom of her dorm so her friends wouldn't see. "I cared very much how other people thought of me."

A tragic accident

On the morning of St. Patrick's Day 2009, Monaco got a call. Her roommate, who had spent the previous night in another room, was dead.

"It broke me," Monaco said, refusing to talk about what happened even now.

For days, she couldn't eat. Then one afternoon she asked her boyfriend to pick up some Golden Oreos and a box of Toaster Strudels. The carbs comforted her. "I thought, 'This helped. This feels good. I don't have to think right now about what happened,' " she said.

She started using food to cope with her pain and then blaming herself for using food to cope -- although it's unlikely she knew she was doing so at the time. She felt depressed and guilty, and food simply made her feel better.

When her boyfriend of a year and half broke up with her shortly after her roommate's death, she went to the grocery store and bought bags of chips and several boxes of crackers. In the months that followed, she forgot all about the lean proteins and vegetables that used to make up her diet.

'I couldn't walk': Woman loses 276 pounds

Monaco's mom and dad were concerned about her but didn't realize food was becoming an issue, she says. Before her junior year, they moved her into a new apartment because she was nervous about sharing space with someone again. But living alone just enabled Monaco to binge without worrying about people looking over her shoulder. She started to ignore calls from friends and threw herself into her schoolwork.

The day after she graduated college in May 2011, Monaco stepped on the scale for the first time in years.

Her legs trembled when she saw the number: 240. She had gained more than 100 pounds in two years. She sat down at the kitchen table with her mom, and together they cried.

A new balance

Until DSM-5 -- the latest version of the psychiatric diagnostic manual -- was released this month, binge eating wasn't an official eating disorder. Many who have it simply think they are gluttons who lack self-control, says Marsha Hudnall, a registered dietitian and co-owner of the Green Mountain at Fox Run weight loss retreat in Vermont.

The disorder is characterized by frequent episodes of overeating in a short periods of time. People with the disorder feel out of control during binges and are often disgusted with themselves afterward. The usually eat alone because they're uncomfortable consuming so much in front of others.

It's estimated that 3.5% of women and 2% of men in the United States have the disorder, but Hudnall says experts believe it's "extremely underdiagnosed."

Doctors used treat the disorder by putting patients on a diet. They now know "that is absolutely the wrong thing to do," Hudnall said.

"Many people who have binge-eating disorder, they're eating food to cope with their feelings. If you try to take away food without giving them something else to cope, you're stranding that person. And you make them feel guilty when they go back to the one strategy they know."

Monaco went to Green Mountain in the summer of 2011. She chose the retreat because it focused on helping women have a healthy relationship with food rather than focusing solely on losing weight.

The first priority at the retreat, Hudnall says, is to get patients to eat regular, small meals that are based on the government's MyPlate guidelines. Many people who binge go long periods of time in between without eating to try to save calories, which can lead to more binge eating later on.

The next step is therapy, where the patients learn other strategies for coping with their emotions.

For Monaco, that meant writing. She purged her emotions into a journal and tried to forgive herself for using food to cope. She bonded with other women at the retreat who were all just "trying to get to a happy place."

"For the first time, I was not alone," she remembered. "I was not sitting alone in my car or in room somewhere or in a bathroom stall, eating. ... This place really acknowledged that we're all real people with real problems."

Four weeks later, Monaco left with a better understanding of her disorder. She knew that she couldn't go back to the same environment that had led her to this pain, so she packed up and moved cross-country to live near her brother in California.

Learning to eat again: Man drops 130 pounds after surgery

A happy place

Monaco hasn't had a binge in two years. Since leaving Green Mountain, she's lost 70 pounds.

She lives with her new boyfriend and another roommate, a significant step in her recovery. She no longer feels the urge to eat mass quantities of pasta; food is fun now, though she still struggles with certain types. Pizza, for instance, scares her, since it was a binge eating trigger.

"It's kind of like seeing an ex-boyfriend and not being sure how to handle that situation," she explained. "I get a whole slew of emotions that run through my body: I want to devour you. I need to stay away from you. I want you in my life."

She keeps healthy snacks like baby carrots and cottage cheese on hand but allows herself gummy bears when she wants them. She's back at the gym but has made it into an activity she does with her boyfriend rather than an obsession.

Monaco is also writing for Green Mountain's blog, FitWoman.com, in hopes of reaching out to other women who are struggling.

"My goal is to just feel better," she said. "I'm hoping that with this story and with my blog ... I'm hoping that what I've gone through is really going to make a difference in somebody else's life."

Have you lost weight? Share your story on iReport

@highlight

Jacki Monaco was diagnosed with binge eating disorder in 2011

@highlight

The disorder was officially added to the psychiatric diagnostic manual this year

@highlight

In two years, Monaco has lost 70 pounds and hasn't binged once