(CNN) -- The final, violent moments in the life of their son, Trayvon Martin, no longer dominate the national news, as they once did. Tens of thousands no longer attend rallies demanding justice for the slain teenager; pundits no longer debate the case on every media platform imaginable. What once had been the big story has increasingly become yesterday's news.

But Sybrina Fulton and Tracy Martin haven't stopped fighting.

One year ago Tuesday, they were grieving and relatively anonymous parents, trying to come to grips with the sudden death of their 17-year-old son. But in time, they became celebrities of sorts in a world of gun violence and vigilante justice.

To their supporters, they were the faces and the voices of victims of racial profiling.

Talk Back: One year later, what have we learned?

While the spotlight largely has faded since then, they say their commitment has not.

"We (want to) make sure that no other parents have to go through what we have gone through in the last year," Fulton told CNN's Piers Morgan on Monday night.

On February 26, 2012, her teenage son was walking back to the Sanford, Florida, home of his father's fiancee after picking up some Skittles and an iced tea at 7-Eleven. That's when, and where, then-28-year-old neighborhood watch volunteer George Zimmerman spotted him.

What happened the night Trayvon Martin died

What happened between then and when Zimmerman fatally shot the teen is subject to dispute, one that could be settled by a jury starting June 10, when Zimmerman is set to go on trial on a second-degree murder charge.

As the prosecution and defense lawyers battled in court in the weeks and months that followed, Trayvon Martin's parents became less visible on the national scene.

But they've still been active, said Fulton, including continuing to work on behalf of the Justice for Trayvon Martin Foundation, which they started.

They held a benefit dinner for the nonprofit organization, as well as a peace walk in Miami "to let teenagers know they have a right to walk in peace," she said Monday. On Tuesday, the anniversary of their son's death, they'll be in New York for a candlelight vigil.

Five things to know

Their efforts include continuing to speak out on issues. Among them is gun violence, a debate over which is brewing in Washington and nationwide after several grisly mass shootings, including one that left 20 children and 6 adults dead at a Connecticut elementary school last December.

"It's just too much senseless violence; it's overwhelming the homes right now," Tracy Martin said Monday, referring to the Newtown massacre as well as murders in places like Chicago. "We, as parents, certainly feel the pain."

Even as they continue to fight, Trayvon Martin's parents acknowledge that -- after months in the spotlight, trying to ramp up pressure on authorities to go after Zimmerman -- much about their son's case is now out of their hands.

Their lawyer, Benjamin Crump, on Monday asked rhetorically if Zimmerman is "not held accountable, what message does that send to the next child that's killed, unarmed, on the ground?"

Still, Sybrina Fulton said that, to a large extent, she and her ex-husband have gotten what they asked for. Zimmerman was arrested and, unless something unforeseen happens, he will stand trial.

Opinion: What we can learn from Trayvon Martin shooting

"We just want to have that trial, and let the jury decide," she said. "And whatever decision comes out of that, we're going to accept that.

"We may not like it, but we're going to accept it."

The jury will have to decide between two starkly different versions of what happened that night.

Zimmerman told police that, after the two exchanged words, Martin went after him. According to his account, the teen, who didn't have any weapons on him, punched him, forced him to the ground, and slammed his head on the concrete. That's when Zimmerman shot Martin in self-defense, he claims.

Martin's family and supporters, though, have long had a different story.

One of the first to tell it was Tracy Martin, who initially addressed reporters last March 8, trying to raise the case's profile and hike pressure on authorities. He and, soon, others suggested Zimmerman had targeted his son, an African-American youth wearing a hooded sweatshirt, because of his race.

Timeline of events in the Trayvon Martin case

The parents' legion of supporters grew exponentially as the weeks wore on after the shooting, with no one charged. They created a petition on the website Change.org calling for Zimmerman's arrest. Within a week, it was the second most-popular petition in the website's history, with 877,110 signatures.

Protests drawing thousands of people sprung up nationwide demanding "Justice for Trayvon" and blasting local authorities' response. As their reason for not immediately arresting Zimmerman, police cited Florida's "stand your ground" law, which states that people who feel threatened don't have to retreat from danger and can use deadly force to protect themselves.

Zimmerman was charged on April 11, with a probable cause affidavit stating he "profiled" Martin and disregarded a 911 dispatcher's request that he wait for police.

The weeks that followed produced more news. For example, Zimmerman posted $150,000 bail, only to have it revoked after the judge said he'd mislead the court about his financial situation, including tens of thousands of dollars he'd raised online for his defense fund.

Opinion: Trayvon Martin did not die in vain

Watch Piers Morgan Live weeknights 9 p.m. ET. For the latest from Piers Morgan click here.

@highlight

Trayvon Martin, 17, was shot dead by George Zimmerman on February 26, 2012

@highlight

Zimmerman says he acted in self-defense; Martin's family says the black teen was profiled

@highlight

Martin's mother says she wants to ensure others don't suffer the pain she has

@highlight

"We're going to accept" a jury's verdict on the case, even if we don't like it, she adds