Tunis, Tunisia (CNN) -- While the world focuses on the gruesome images of a dead Gadhafi in Libya, many are missing another big game-changer taking place Sunday in the Arab world -- through ballots, not bullets.

It's happening in Tunisia, which is once again making history.

With popular protest, Tunisia pushed its dictator Zine al-Abidine Ben Ali from power on January 14. On Sunday, it will hold elections for the constitutional assembly that will determine the nation's future; it will be the first time many Tunisians have gone to the polls.

This is a historic moment for Tunisia, and for the world. But there are no colorful banners or the festival atmosphere that often proclaims election seasons. Instead, Tunisian streets are quiet.

Campaign posters are confined to designated spots on carefully marked walls. Walking around Tunis, one occasionally stumbles upon the checkerboard series of posters, usually with nearly identical slogans. Otherwise, it's business as usual.

In part, this is because laws restrict campaign activities to indoor spaces with prior approval. These laws may be intended to level the playing field, but have the effect of muting debate.

Beyond this, most would-be voters find the elections confusing. More than 100 parties, 1,500 party lists (which offer proportional representation) and 10,000 candidates are vying for 199 seats in Tunisia's 27 in-country districts. (Tunisia has established another six districts to represent Tunisians living outside the country.)

This is combined with decades of authoritarian rule that has left many Tunisians cynical, uninformed and detached from politics. Only 4.4 million of an estimated 7.5 million to 8 million eligible voters are registered to vote, despite an extended registration period.

For some, though, stakes seem incredibly high. Some Tunisians worry that "old forces" under Ben Ali's regime will find a foothold in the new order. Tunisian authorities banned those who held positions of responsibility in the old ruling party from running in elections. The ban technically excluded thousands and clipped the wings of the old regime, but few believe their influence has disappeared for good.

Perhaps more palpable is the concern that Islamists will hijack the process. Some point to Islamist demonstrations against the airing of the animated film "Persepolis" on the private Tunisian TV station Nessma as a clear sign that Islamist forces are strong and determined to undo Tunisia's secular regime.

Islamists opposed to the depiction of God in the animated, award-winning French film about the 1979 Iranian revolution marched in central Tunis, until riot police used tear gas to disperse them. In defense of freedom and rights, secularists mounted a counter-demonstration, marching with tape over their mouths to protest limitations of freedom.

There is finger-pointing on both sides. Those who fear the Islamist party, al-Nahda -- by far the strongest, best organized in the country -- point to the demonstrations as evidence that al-Nahda can't be trusted, or at best will be forced by Salafis to take more radical policies.

Those favoring al-Nahda tell a story of incitement and conspiracy, in which anti-Nahdists intentionally incited the conflict to undermine Islamists.

More generally, they fervently pledge to respect women's rights, with loudspeaker announcements reminding voters that women make up an important half of society.

On the bright side, debate is clearly alive and well in Tunisia. It is found around dinner tables, in conference rooms, schools and universities.

Moreover, Tunisians seem determined to succeed. There is a sense of self-restraint and compromise among many, underpinned by formal agreements, that they must keep the process on track.

It is incredibly important that the electoral process succeed, not just for Tunisia, but for the world. Just like the demonstrations that led to Ben Ali's downfall, the elections receive little attention. Yet, just as the demonstrations ultimately changed the face of the Arab world, the elections can alter the course of history.

The opinions expressed in this commentary are solely those of Ellen Lust.

@highlight

Ellen Lust: Historic election Sunday will determine Tunisia's future, but there is little fanfare

@highlight

She says this is because laws restrict campaign activities and huge ballots are confusing

@highlight

She says years of repression have left Tunisians cynical, uninformed, apathetic

@highlight

Lust: Worry that Islamists will dominate or that old regime will intrude make vote crucial