(CNN) -- George H.W. Bush marked his 80th and 85th birthdays with parachute jumps. He said after the second jump: "Just because you're an old guy, you don't have to sit around drooling in the corner. Get out and do something. Get out and enjoy life."

Now 88, Bush has been struggling with serious health concerns, including bronchitis. We need him to recover, to set an example for the world of how a man can mark his 90th.

The son of a U.S. senator, Bush has been a naval aviator hero, oil millionaire, member of Congress, ambassador to China, CIA director, vice president of the United States and then the president who managed the end of the Cold War. He has lived more life than seems possible for any single human being.

The achievements of that remarkable life are overshadowed by one negative fact: Along with Herbert Hoover and Jimmy Carter, George H.W. Bush is only one of three 20th-century presidents to have lost re-election. Yet while Hoover's presidency and Carter's are largely regarded as failures by posterity, the judgment on Bush's has become more forgiving over time.

Eighteen months ago, former President Bill Clinton paid this tribute to his predecessor in office:

"George W. Bush did me one of the great favors of my life. He asked me, not once,but twice, to work with his father to help people in need: first in South Asia in the tsunami and then in the Gulf Coast after Katrina. All told, we took seven trips together. It was an amazing experience. This man, whom I'd always liked and respected and then run against in a painful campaign in some ways, I literally came to love."

In the years ahead, we will hear more such tributes -- tributes that may at last do justice to a president whose most important accomplishment has been persistently undervalued and misattributed.

In the summer of 1987, President Ronald Reagan visited divided Berlin and urged, "Mr. Gorbachev, tear down this wall."

It was a stirring moment, a stunning speech. In documentaries about the end of the Cold War, that speech always gets prominent attention, as it should. Yet it is also true that after Reagan spoke his words ... nothing much happened. Nothing much happened for a year. Nothing much happened for a second year. Not until deep in 1989, two years later, did the communist system in central Europe begin its implosion: first in Poland, then in Hungary and only in November of 1989 in eastern Germany.

In one ecstatic night, the East German regime's border guards did nothing as local protesters overwhelmed the dividing wall. Then morning came, and Europe confronted the same question it had confronted for half a century: What would Russia do? Since 1945, the Soviet rulers had made clear they would plunge the world into war rather than accept a reunited Germany. In November 1989, they still commanded the power to do just that.

Over the next few months, the Soviets changed their minds. They acquiesced to the surrender of their single most fundamental geopolitical claim. They acquiesced without violence and without getting much of anything in return. In the history of world diplomacy, there has never been a negotiation like this one. That work of negotiation fell not to the eloquent Ronald Reagan but to George H.W. Bush, who never saw a speech he didn't mangle.

There is no "tear down this wall" clip by Bush. But it was during his presidency that the wall was in fact demolished -- and not by some lucky accident but after months of agonizing work by Germans and Americans together.

There's a saying in Hollywood: "He who will not toot his own horn, his horn shall not be tooted." George Herbert Walker Bush is an inveterate non-horn-tooter. He did not toot his horn over the end of the Cold War. He did not toot his own horn over his deficit reductions. He believed that horn-tooting risked alienating the very people whose cooperation had made the accomplishment possible in the first place. Very likely, he was right, too.

As the former president fights off the illness that sent him to the hospital, though, perhaps it would be well if he did hear a few toots from other people's horns: the Germans and other Central Europeans whose progress to freedom his diplomacy assisted; the Kuwaitis who owe their country to him; and too-neglectful Americans, to whom he bequeathed a world more peaceful, more stable and more free.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: George H.W. Bush, 88, must recover to continue to inspire on way to 90

@highlight

Bush has packed much into life: war hero, ambassador, CIA chief, VP, president

@highlight

He says elder Bush not given enough credit for role in shepherding end of Cold War

@highlight

Frum: Bush will not toot own horn; others (Kuwaitis, Eastern Europeans, Americans) should