Oslo, Norway (CNN)  -- President Obama accepted the Nobel Peace Prize Thursday by talking about war and the limits of non-violence.

But he also praised the peacemakers of the past, and said the world can and should still strive for peace.

"Let us reach for the world that ought to be," he told the 1,000-member audience at Oslo City Hall. "Clear-eyed, we can understand that there will be war, and still strive for peace."

The Nobel committee's choice of Obama as this year's laureate sparked controversy, in part because he is a president waging two wars abroad. Obama said force is sometimes necessary, but said that is simply "a recognition of history, the imperfections of man, and the limits of reason."

Read a transcript of Obama's acceptance speech

"Whatever mistakes we have made, the plain fact is this: The United States of America has helped underwrite global security for more than six decades with the blood of our citizens and the strength of our arms," he said. "The service of our men and women in uniform has promoted peace and prosperity from Germany to Korea, and enabled democracy to take hold in places like the Balkans."

Waging war is not a way of imposing the will of the United States on the world, he said, but a way of seeking a better future for its people.

"The instruments of war do have a role to play in preserving the peace," he said.

Preserving the peace in Oslo Thursday came with a price -- $60 million worth of security preparations. Norwegian police said they had more than 2,000 officers on the streets, along with snipers, canine patrols, and helicopters in the air, in the biggest security operation they have ever mounted for a single person.

Force can be justified on humanitarian grounds, Obama said, because inaction can tear at the world's conscience and lead to more costly intervention later.

But peace can be justified too, he said, and he outlined three ways to build a just and lasting peace in the world.

First, Obama suggested the world find a better way to deal with nations like Iran and North Korea that break or ignore rules and laws.

"If we want a lasting peace, then the words of the international community must mean something," he said. "Those regimes that break the rules must be held accountable. Sanctions must exact a real price."

What did you think of Obama's speech?

There should be consequences for countries that "game the system," Obama said -- and that may sometimes mean engagement.

But peace, Obama said, "is not merely the absence of visible conflict." He said the world needs to seek a just peace based on inherent human rights.

Obama praised pro-democracy leader Aung San Suu Kyi in Myanmar, Zimbabweans who voted despite election violence, and pro-democracy protesters in Iran.

"It is telling that the leaders of these governments fear the aspirations of their own people more than the power of any nation," Obama said.

Obama also defended engagement with such repressive regimes, mentioning President Nixon's trip to China in the 1970s, Pope John Paul II's trip to Poland, and President Reagan's efforts on arms control and talks with the Soviet Union.

"There is no simple formula here," he said. "But we must try as best we can to balance isolation and engagement, pressure and incentives, so that human rights and dignity are advanced over time."

His third point was that peace should be based not only on rights, but also on economic security and opportunity.

"True peace is not just freedom from fear, but freedom from want," he said.

Development rarely happens without security, and security does not exist in places where people don't have enough food, water, or medicine, he said, adding that it also doesn't exist if people can't aspire to decent education or employment.

"The absence of hope can rot a society from within," he said.

Another controversial aspect to Obama's selection was the question of what he had done to deserve the prize. He had been in office for only days when he was nominated, and the prize recognizes his work toward peace for most of 2008, largely when he was still a presidential candidate.

Some of the protesters outside the awards venue questioned whether Obama should have received the Nobel Prize in the first place, with one sign reading, "Obama: You won it. Now earn it!"

Norwegian Prime Minister Jens Stoltenberg, who joined Obama at a news conference earlier in the day, said the prize was deserved because Obama has provided leadership on key issues facing the world like disarmament, nuclear nonproliferation, and fighting global warming.

"I cannot think about anyone else who has done more for peace during the last year than Barack Obama," Stoltenberg said. "It is a well-deserved peace prize and hopefully it is really in the best spirit of Alfred Nobel, because it can contribute in itself to strengthening the efforts of the president to work for peace."

Thorbjorn Jagland, chairman of the Nobel prize committee, also said Obama deserved the award. Echoing the title of one of the president's books, Jagland said, "Obama has the audacity of hope and the tenacity to make these hopes come true."

Obama, who earlier in the day said he had "no doubt" that others were more deserving of the award, acknowledged those questions early in his acceptance speech.

"I am at the beginning, and not the end, of my labors on the world stage," he said. "My accomplishments are slight."

He said he accepted the prize with "great humility."

@highlight

NEW: Protesters demonstrate outside venue; Norway spent $60 million on security

@highlight

"Instruments of war do have a role to play in preserving the peace," Obama says

@highlight

President Obama receives peace prize during ceremony in Oslo, Norway

@highlight

Obama acknowledges others may have been more deserving