(CNN)Walking through the 400-acre Moerenuma Park on the outskirts of Sapporo can be a curious experience.

Two perfectly geometric hills rise from the pancake-flat landscape, trees planted in rows form a circular copse, while a glass and steel pyramid looms nearby and three huge stainless steel columns point out of the ground like the antenna of a giant subterranean satellite dish.

Seen from above the layout is less recognizable as a park and more akin to the ancient line drawings in the Peruvian Nazca desert.

And all this built on top of a former sewage works.

As far as municipal parks go, it might be one of the world's most understated yet intriguing -- a fusion of classic Japanese principles of quiet, natural beauty with 20th-century modernist art.

It was the final act of Japanese-American sculptor Isuma Noguchi whose career spanned seven decades -- much of it spent fusing art, architecture and public spaces.

But Noguchi did not live to see the park built.

More than sculpture

Noguchi drew up plans for the park in November 1988, but died, aged 84, just one month later.

It then took 17 years to complete his final project.

"It was thrilling to finally see all the ideas that hadn't been realized during his life," says Jenny Dixon, curator of the Isamu Noguchi Museum in New York, who was at the park's opening ceremony in 2005.

Some of the concepts used in the park go back to some of Noguchi's ideas from the 1930s.

Noguchi's training with celebrated Romanian sculptor Constantin Brancusi in the 1920s helped fix his desire to be a sculptor, but it wasn't until the 1940s that he found critical acclaim and larger commissions.

Far from being solely an abstract sculptor, Noguchi designed playgrounds and gardens, turned his hand to industrial design (creating what's now regarded as a classic table top and lamp) and even designed sets and costumes for celebrated 20th-century dancer and choreographer Martha Graham.

"This was very much at a time when the canon was either you're a painter or you're a sculptor and only that. He very much wanted to prove that wrong," says Dixon.

As well as moving across media he straddled two cultures.

With an Irish-American mother and Japanese father, he spent much of his life promoting artist exchange between the two countries, often at times when relations between them were tense or downright hostile.

Wartime disruptions

When Japanese-Americans were sent to internment camps in the United States during the Second World War, he volunteered to live in one in Arizona.

Showing solidarity with those forcibly moved there, he tried to design camp equipment to make them better places to live.

However it proved easier getting in than out, and after seven months he moved back to New York.

After the war he was one of the first American artists to visit and engage with Japanese architects and artists, which led to an invitation to design the railings for the Peace Bridges in Hiroshima in 1951.

Later he went on to collaborate with Kenzo Tange, the architect who left a huge impression on the skylines of Japanese cities in the 1960s and 70s.

'I do not hide'

Like other planned Japanese gardens, Moerenuma Park changes with the seasons.

In winter it's buried under deep Hokkaido snow, where skiers hurtle down 62-meter-tall Mount Moere or ski cross-country throughout the grounds.

Cherry trees blossom in spring and in summer the whitewashed concrete "music shell" provide a stage for concerts and organized events.

Another example of Noguchi's emphasis on fusing the natural world with the manufactured lies inside the pyramid with a summertime cooling system that uses snow stored underground during the winter months.

On his respect for nature and his own modern ethos Noguchi said: "The art of stone in a Japanese garden is that of placement. Its ideal does not deviate from that of nature ... But I am also a sculptor of the West. I place my mark and do not hide."

Despite his work appearing in 17 cities across the United States and around the world, Dixon believes Noguchi is appreciated more in Japan than in the United States, citing hundreds of thousands of visitors to an exhibition of his work just 10 years ago in Yokohama.

"I think in Japan he's seen much more as a hero," she says.

Moerenuma Park, Moerenuma-koen 1-1, Higashi-ku, Sapporo, Hokkaido, Japan; daily 7 a.m.-10 p.m. (entrance closed at 9 p.m.)

@highlight

Moerenuma Park on the outskirts of Sapporo was the final act of Japanese-American sculptor Isuma Noguchi

@highlight

Fusing art, nature and industrial design, Noguchi's park took 17 years to complete

@highlight

He volunteered to live in an internment camp during WWII to design better equipment for the people in the camp