(CNN) -- Police officers do heroic, often frightening work. And they do it for our sake -- to protect us.

So, first of all, thank you. But the fact is that police in the United States are killing far too many people. That has to change.

In the aftermath of Michael Brown's killing in Ferguson, there has been much discussion about race relations, the justice system, gun ownership and other factors that may have played a role in the incident. But the most urgent issue, the one that demands the most immediate attention, is the frequency with which police in this country shoot suspects, guilty or not.

The difference in the number of killings in the U.S. and the rest of the world is startling. While police in other major countries typically kill a few people every year, the numbers here are enormous. (More on that in a moment.)

In the U.S., hundreds of people are killed by law enforcement every year. A large percentage of them are mentally ill. And although all ethnic groups have become victims, minorities are getting shot in numbers much greater than their proportion in the population.

How many people are shot by police every year? Nobody seems to know the exact number (something that is itself disturbing -- no official government agency tracks the full data for the entire country).

The FBI, compiling voluntarily submitted data from 750 out of 17,000 law enforcement agencies, reports about 400 "justifiable homicides" by police each year. That figure, of course, is incomplete and does not include killings deemed "unjustifiable," or shootings that do not result in death.

Police officers are not necessarily guilty of misconduct when someone is killed. In most cases, they are following training and protocol when they shoot. But unless you believe that it is acceptable for police to kill hundreds every year -- people who still deserve due process even if they are guilty -- there is surely a need to review and revise those protocols.

Of course, there are situations in which police have no choice but to shoot to kill -- where members of the public or officers themselves are in imminent danger. But it should only happen when there is no other reasonable way to save the officer's life or other people's lives. In other cases, shooting to incapacitate -- or not shooting at all -- may be a better option.

Unfortunately there are far too many cases where our consciences have been shocked. Take the case of a man widely reported to have had mental health issues, who was shot and killed not far from Ferguson after allegedly stealing a doughnut and a couple of energy drinks just two weeks after Michael Brown's death. He asked police "Shoot me! Shoot me!" What he likely needed was medical care.

Many will have seen the images of a 12-year-old boy who was shot last month in Cleveland after someone called police saying he was pointing a gun at people. The caller reportedly added that the gun was probably fake. It was indeed a toy, but the boy is dead.

There has to be a better way.

Official nationwide statistics don't exist for the number of people who have been killed who were suffering from a mental illness, but my own analysis of 2,800 entries compiled by the private Fatal Encounters project suggests that almost 500 of those killed were mentally ill. Of those killed by law enforcement officials, 853 were white, 673 African-American, 305 Hispanic, 4 Middle Eastern.

Many remain uncategorized, so the breakdowns are inexact, but the numbers are telling. Regardless of ethnicity, every one of these people, guilty of a crime or not, died without a trial.

Some experts say police should aim not for the legs or arms but for the torso, the largest target in the body, which improves the odds of stopping an assailant. But the sheer number of deaths of unarmed suspects, or knife-wielding individuals who were not within reach of the officer, surely demands a rethink of the policy.

In many cases, shooting to incapacitate would be sufficient and at least worth trying. Of course, a split-second decision is difficult in the heat of the moment. That's why thorough training is indispensable.

On average, at least one person is killed by a cop every day in the U.S. In contrast, not a single one was killed in Britain last year, where police fired their guns a grand total of three times, according to The Economist. In 2011, when the FBI reported 404 justifiable law enforcement homicides in the U.S., police killed six people in Australia, two in England, six in Germany.

It goes without saying that no two countries are exactly the same, and the U.S. has its own specific characteristics, and many of the factors raised in the wake of the Ferguson case are valid and deserving of attention.

But in addition to the obvious costs in human lives and the weakening of trust in police and the legal system, the killings must surely be taking a toll on police officers. One can only imagine the emotional burden of having shot a civilian.

Cops have incredibly stressful jobs, particularly in the U.S., where guns abound and thousands of people are shot to death every year. Last year, 30 police officers were killed. We should therefore consider ourselves in the debt, not only of the brave men and women who are putting their lives on the line, but their families as well.

So we should not see it as putting cops on trial when we review the system as a whole. But it is also in the interests of officers themselves that we engage in a systemic quest for solutions.

The first step in this process should be to start keeping proper and comparable statistics, which would allow us see where the problem is most severe, how the numbers are trending, and where police departments are doing a particularly good job, so that they might share best practice. This would make it easier to review procedures and protocols.

Ultimately, our law enforcement officers should only kill people when there is no other alternative. Yes, in the heat of the moment mistakes will sometimes be made. But the scale of what is happening now is unacceptable.

@highlight

Frida Ghitis: Police in United States are killing far too many people

@highlight

Lack of official statistics on shootings worrying, she says

@highlight

Ghitis: Police should rethink shoot-to-kill policy