(CNN)Three likely presidential candidates shared the stage Sunday night before a roomful of wealthy donors, engaging in a rapid-fire policy discussion that underscored sharp disagreement within the GOP over global affairs and national security.

Republican Sens. Marco Rubio, Ted Cruz and Rand Paul took part in a largely friendly, but occasionally fiery, panel at the Palm Springs event sponsored by mega GOP donors David and Charles Koch, better known as the Koch Brothers.

The event, moderated by ABC's Jonathan Karl, marked the first time potential GOP contenders gathered on the same stage at the same time to talk about policy in 2015, a year that's expected to see a hoard of candidates compete for the Republican nomination in forums and debates.

RELATED: 2016 race kicks off with auditions in Iowa

It also offered a window into the unofficial campaign that's largely playing out behind the scenes, with White House hopefuls traveling the country and meeting privately with donors — in settings much like the California desert Sunday — to gauge the kind of the financial commitments they could secure for a 2016 endeavor.

The first-term senators were keenly aware of their immediate audience — at one point Cruz blatantly said, "I admire Charles and David Koch" — but knowing their remarks would be public, they also sought to show off their command of the issues in a high-pressure scenario.

The senators revealed little disparity on domestic and economic policies, but roughly half way into the event, the discussion shifted toward President Barack Obama's new Cuba policy — and Paul instantly found himself on defense.

"I'm kind of surrounded on this," Paul joked. Rubio and Cruz both have parents who emigrated from Cuba, and Paul is also the odd-man-out on substance, being the only one on stage who's backed the President's call for relaxing the Cuba embargo.

The Kentucky Republican explained that in hindsight, President Richard Nixon "made the right decision" by opening relations with China, saying it prevented war and opened up trade.

"China not a good example," Rubio disagreed, saying the country may be "more prosperous...but it is not a free country."

That launched the two into a deeper debate over whether the U.S. should place sanctions against all countries with a record of human rights violations. "I'm not a big fan of a lot of these regimes but I don't want to isolate ourselves and not trade with people who aren't perfect," Paul said.

His answer was also a masked response to critics who label him an isolationist due to his push for less intervention abroad.

Rubio, answering Paul, stressed that Cuba stands out because of its close proximity to the U.S. "The difference is that Cuba's 90 miles from our shores," Rubio said. "What happens there we will feel immediately."

The negotiations with Iran over its nuclear weapons program also became a major flash point on the panel. Paul is supporting Obama's push to avoid imposing sanctions against Iran while the negotiations are still ongoing. "Diplomacy is a good thing, not a bad thing," Paul said.

His argument, however, failed to generate much excitement in the room.

That's when Rubio swooped in to warn that the U.S. is dealing with a country that's run by someone whose mission is "to bring the whole world under the flag of Islam."

"So I am a little cautious...about negotiating with someone who has openly said he wants to force all of us to either be like him or die," he said, generating a strong response from the audience.

Cruz also won heavy applause when he underlined the threat of Islamic extremism, declaring that a nuclear Iran would be the single biggest threat to the U.S. and argued Ayatollah Khomeini and the country's leaders are "radical religious Islamic nutcases" who "glorify death or suicide."

Combating Islamic extremism was a common theme Saturday when potential candidates, including Cruz, took turns speaking at a marathon event in Iowa, where attacks on Obama's foreign policy, in particular with regard to ISIS, stirred some of the loudest responses from the audience.

Each of the senators delivered an impressive grasp of the issues, firing off statistics on a wide range of topics and punctuating their positions with personal stories that touched on their own background.

But it was Rubio who commanded the most time, delivering fast-paced but forceful answers. He jumped first at questions and frequently sat on the edge of his seat as he would crescendo into some of his more impassioned arguments, like on Cuba or Iran.

Style-wise, Rubio sported a suit and looked the part of his day job, while Paul donned a navy sport coat with blue jeans, and Cruz wore the same tan colored coat he wore to a conservative event in Iowa the day prior.

Rubio, who has already said he won't run for re-election to his Senate seat in 2016 if he runs for president, held the middle seat of three seats and drew frequent laugh lines in addition to applause.

When Karl asked if the super wealthy have too much influence on elections, Rubio made the audience roar when he quickly rattled off a snarky response that both validated his audience and took a shot at the left.

"As opposed to Hollywood or the mainstream media, you mean?"

While all three men praised Mitt Romney on a personal level, none expressed any faith that the 2012 GOP nominee would be successful in another bid at the White House.

Paul said Romney would have been a better president than Obama, but when asked if a revised Romney campaign would fare better in 2016, the Kentucky Republican joked: "I'm kind of with Ann Romney on this one 'No. No. No. No. Never'."

(It was actually Mitt, not his wife Ann, who repeated the word "no" 11 times to the New York Times last year when asked if he planned to run again)

The next nominee, Paul argued, needs to be someone who can "reach out and appeal to new constituencies," and he questioned whether the millionaire with a long history in politics would be able to strike that "visceral connection" with "enough people to win a general election."

For his part, Cruz used Romney's infamous comments about nearly half the country being dependent on government to illustrate his case against the 2012 nominee.

"The reason Republicans lost can be summed up in two words: Forty-seven percent," the Texas Republican said. "I don't just mean Mitt Romney's comments that were caught on tape... the central narrative of the last election, what the voters heard, was we don't have to worry about the 47%."

"I think Republicans are and should be the party of the 47%," he added, seeking to drive home a message about the GOP needing improve its standing with middle class voters.

Things certainly grew tense when the discussion focused on foreign policy, but the men didn't deliver any blows or direct attacks against each other on stage. In fact, Cruz tried to round out the event with a glowing tribute to his soon-to-be rivals.

The senator, who was elected in 2012, pointed out that both Rubio and Paul mounted long-shot Senate bids in 2010 and won despite facing establishment money and resources.

"All of the money in their state was against them, and they ran campaigns that inspired me, inspired me to run," said Cruz, who also won an underdog campaign.

Instead, knowing it's never a bad idea for Republicans to attack the media, they directed any confrontational tones towards Karl for trying to get the men to give "yes or no" answers.

"When and if any of these people run for president, there should be an absolute rule: no 'yes or no' questions," Paul said to the moderator, drawing applause from the audience and getting a "here, here" from one of his colleagues on stage.

@highlight

Sens. Marco Rubio, Ted Cruz and Rand Paul debated foreign policy Sunday night

@highlight

They sat on stage for a panel hosted by the Koch brothers

@highlight

It was the first time potential presidential candidates shared a stage at the same time this year