Motilal Kushwaha had promised the Hindu goddess Gadhimai that he would offer her a male goat if one of his children found a job.

Last year his son was successful -- and on Saturday he was one of tens of thousands of people killing the animals at the temple of Gadhimai in southern Nepal as part of the biggest religious mass slaughter in the world.

"From my village everyone has made a vow [to offer animals]," says Kushwaha from Bariyarpur, a community in Bara district about 60 miles south of Kathmandu. Some, he explains, are glad they have got a son or a daughter, others that a different form of good fortune has befallen them.

The ritual sacrifice of goats, buffaloes and roosters in temples and at home is widespread in Nepal where 80 percent of the population are Hindu.

Some five million people from adjoining districts -- and also from the bordering Indian states of Bihar and Uttar Pradesh -- will attend the festival, according to local authorities, although only two days are dedicated to the sacrificial ritual itself.

The slaughter follows a set pattern: on Friday male water buffalo calves are killed while on Saturday attentions switches to goats.

Officials estimate that up to 10,000 buffalo calves and 150,000 goats will be offered to Gadhimai -- the goddess of power -- during the ritual.  Watch a CNNi report on the ritual

But these numbers will be much lower than those of 2009, the last time the five-yearly Gadhimai festival took place, thanks to advocacy efforts by animal rights activists. In that year nearly 20,000 buffalo calves were killed, according to temple officials and more than 200,000 goats were slaughtered.

"We object to the cruelty with which animals are treated," says Pramada Shah of Animal Welfare Network Nepal. "There is random hacking of animals in open space. Not all animals have their heads chopped off. Some take up to 40 minutes to die."

The participants --  who hack the animals in an enclosed arena with large knives -- are licensed by the Gadhimai Festival Management and Development Committee. This year about 400 people will kill animals, according to Kushwaha, who is also the committee's secretary.

The animals not only suffer while they are being killed: they are also transported over long distances on foot. "By the time they get to the festival venue they are half dead," says Shah. "They are kept two or three days without food after they are brought here."

Activists have gone to the courts in Nepal and India to halt the sacrifices. Last month Nepal's Supreme Court did not stop the animal sacrifices but ruled that existing laws have to be followed.

"If the existing laws are implemented there would be no ritual sacrifices," says Shambhu Thapa, the lawyer who filed the case, explaining that only animals killed in a slaughterhouse are fit to be eaten. (The meat of the sacrificed animal is usually eaten, or given away to meat-eaters for their consumption.)

Courts in India also directed the Indian government not to control the unnecessary export of animals to Nepal. The Indian authorities, for their part, had directed security agencies and state governments to check the flow of livestock to the neighboring country. In a letter to the Uttar Pradesh government seen by CNN, India's Home Ministry estimated in September as many as 90,000 buffaloes would be "illegally" transported to Nepal for the festival.

But animals continue to flow into Nepal through the porous and open border. "The border cannot be controlled and corruption is endemic," says Shah.

Nepalese authorities are also reluctant to stop the ritual sacrifice. "We cannot do this," explains chief district officer Dulal. "We cannot speak against it. This is something to do with culture."

Kushwaha adds: "If we tell the people to stop the sacrifices, they will come to kill us. This is something related to people's religion and faith." Hindu religion does not support the ritual sacrifice of animals, says Shah. "We consulted religious priests on the matter," she says.

Activists in Gadhimai, meanwhile, are confident that there will be changes in people's attitudes.

Uttimlal Chaurasiya, from Bariyarpur, claims that some 40 percent of the women in the village have said that they will not sacrifice animals. Three years ago he started a campaign showing videos of cruelty to animals at the festival to villagers. While awareness is being raised at a local level, he believes binding laws are still needed to stop the sacrifices.

"All living creatures are equal in the eyes of god," he says. "Instead of animals we can offer gourds, pumpkins, coconuts and sweets to the goddess."

The festival management committee cannot stop the animal sacrifices, but if the government asks the committee can discuss the issue, says Kushwaha.

Shah and other activists had been working with the government since the last festival in 2009 to stop the sacrifices but although there was some progress, a government decision was not reached.

Meanwhile, on Friday morning tens of thousands of people gathered around the temple in Bara district, southern Nepal, waiting for the sacrificial ritual to begin. "People seem to be in a merry mood and look like they have been waiting for this moment for ages," says Niraj Gautam, an animal welfare activist, from Bariyarpur. "But it is a sad day for us."

He estimates 6,000 to 8,000 water buffaloes will be randomly hacked, not necessarily by having their heads chopped off.

"Any part of the body can be cut," he says. "Last time round we saw buffalo walking with their head hanging."

@highlight

Thousands of water buffalo and goats will be slaughtered in Nepal's Gadhimai festival

@highlight

Held every five years, the festival is dedicated to a Hindu goddess of power

@highlight

Animal rights activists have campaigned to change attitudes and reduce the killing