(CNN) -- Investigators looking into the crash of a Malaysia Airlines jet over Ukraine face a series of unusual challenges. From access to the debris, to volatile militant activity in the area, here's a look at some investigation concerns after the plane with 298 people aboard fell from the sky.

Who will lead the investigation?

The answer is not so clear-cut. But aviation experts say an investigation should not include parties involved in the conflict between Ukraine and Russia-backed separatists.

Ukrainian President Petro Poroshenko said experts from the International Civilian Aviation Organization, an agency of the United Nations, have joined the Netherlands, Malaysia and the United States on a special commission.

Malaysian Prime Minister Najib Razak called for an international team to have full access to the crash site.

What will happen to plane's data recorders?

The families of people on board will demand a transparent international investigation, and so will the global community, CNN aviation analyst Richard Quest said.

Finding and examining the plane's data recorders will be key -- but the fact that the crash occurred in such a volatile region makes what comes next anything but certain, CNN aviation analyst Miles O'Brien said.

"The big question will be, in whose hands will they fall, and will this be a really objective, international investigation?" he said.

Who will win the blame game?

Washington and Kiev have said it was a surface-to-air missile that brought down the Boeing 777, though the United States couldn't say who fired the weapon.

Anton Gerashchenko, adviser to the Ukrainian Interior Ministry, said in a Facebook post that "terrorists" fired on the plane operating a Buk surface-to-air missile system.

Malaysia's government said it wasn't ready to say what happened.

A spokesman for Russian President Vladimir Putin said any talk of Russia being involved is "stupidity."

Putin said Ukraine's military campaign against the separatists was to blame, but he didn't accuse either side for the suspected shoot-down.

What evidence do officials have so far?

Ukraine's state security chief accused two Russian military intelligence officers of involvement and said they must be punished.

Valentyn Nalyvaichenko said he based his allegation on intercepts of phone conversations between the two officers. "Now you know who carried out this crime. We will do everything for the Russian military who carried out this crime to be punished," he told reporters.

Philip Mudd, a former senior official for the FBI and CIA, said that after an incident, people start to talk and intelligence agencies, like the U.S. National Security Agency, will pick up on those conversations.

How did officials conclude it was a missile attack?

The United States came to the conclusion of a missile attack through radar data.

A U.S. radar system saw a surface-to-air missile system turn on and track an aircraft right before the plane was shot down, a senior U.S. official told CNN. A second system saw a heat signature -- which would indicate a missile rising from the ground into the air -- at the time the airliner was hit, the official explained.

The wreckage path, O'Brien said, will also reveal a lot. If a plane breaks up in midair, which is likely what would happen in a missile strike, there would be a large swath of wreckage, he said, but if it breaks down due to mechanical failure, the debris field would be more concentrated.

How long will it take to determine who was responsible?

Putin probably knew Thursday what happened, according to Mudd, who said Russia is one of a few countries with the capability to follow missiles.

Obama will probably walk into the Oval Office on Friday to find an assessment that gives a pretty clear picture on where the missile was launched. That report will be based on human and technical sources such as radar.

Are separatists giving investigators access to crash site?

The area where the plane crashed isn't under control of authorities in Kiev. Pro-Russia separatists were in control of the site Thursday night, according to Noah Sneider, a freelance journalist on the scene.

Separatists were among the first to the crash site and some of them went through the wreckage. Photos of the crash site show people standing on pieces of the wreckage.

"The mere fact that this is not a secure, sterile site at the moment -- is of concern," Quest said.

CNN Senior International Correspondent Nic Robertson said that it was hours before five government rescue teams were allowed into the crash area and armed groups were getting in the way of their work.

Phone calls intercepted by Ukraine authorities indicate some of the debris was being looted and taken away.

What role will the United States play?

It certainly will get involved on the ground if any of the passengers are Americans. And it likely will send a team from the National Transportation Safety Board because the Boeing 777-200 was built in the United States.

NTSB officials said Thursday they are waiting to see how they will be involved, but a senior administration official told CNN a team would go in an advisory capacity. The FBI would also send agents, the official said.

There are complications, however, because the area where the plan crashed isn't under control of authorities in Kiev. And U.S. authorities likely wouldn't be able to travel to territory controlled by separatists in eastern Ukraine who have declared themselves independent.

U.S. intelligence agencies are analyzing the trajectory of the missile to try to learn where the attack came from. It will also look through satellite images to pinpoint the launch spot.

The State Department would assist in diplomatic discussions between Ukraine and Russia. It would also help families of victims, if any of those on board had ties to the United States.

CNN's Barbara Starr, Evan Perez, Elise Labott and Mike Ahlers contributed to this report.

@highlight

Experts: Investigation should not include parties involved in Ukraine conflict

@highlight

Intelligence agencies likely to have assessments by Friday

@highlight

U.S. will help in several areas, including diplomacy

@highlight

The fact that pro-Russian separatists control the crash area will hamper the investigation