(CNN) -- Declaring himself frustrated with political fighting in Congress, President Barack Obama on Thursday blamed some of the nation's continuing economic troubles on government inaction and urged Americans to tell their elected representatives in Washington to pass bills that will create jobs.

In an energetic speech to workers at a Holland, Michigan, hybrid car battery plant helped by government stimulus funds, Obama said the U.S. economy and American workers are capable of being the best in the world, but were being held back by political stalemate in Congress.

"There is nothing wrong with our country. There is something wrong with our politics," Obama declared to applause.

Last week's first-ever downgrade of the U.S. credit rating by Standard & Poor's "could have been entirely avoided if there had been a willingness to compromise in Congress," the president said, adding: "It didn't happen because we didn't have the capacity to pay our bills. It happened because Washington doesn't have the capacity to come together and get things done."

"You hear it my voice. I'm frustrated," Obama said, referring to what he called the "worst kind of partisanship" and the "worst kind of gridlock" in Congress.

While Obama called on Democrats and Republicans to put the welfare of the country ahead of partisan gains, his comments appeared aimed at GOP opponents accused by Democrats of pursuing a narrow political agenda in the House and stalling progress in the Senate.

Citing "things we can do right now to accelerate job growth," Obama complained that "the only thing keeping us back is our politics."

He called for Congress to immediately approve measures that he said were "ready to go," such as a payroll tax cut extension, a road construction bill and free trade agreements with South Korea, Colombia and Panama.

"The only thing preventing these bills from being passed is the refusal of some in Congress to put country ahead of party," Obama said.

He called on people to tell their senators and Congress members to "stop sending out press releases, start passing bills," adding: "They've got to hear from you."

Obama also promised more proposals in coming weeks intended to stimulate job growth, but he acknowledged that Congress also has to address mounting federal budget deficits.

The debt ceiling agreement passed by Congress last week and signed by Obama cuts government spending by more than $900 billion and creates a special congressional committee to work out another $1.5 trillion in deficit reduction steps.

Despite the agreement, the subsequent S&P downgrade and global economic instability has caused wild fluctuations on Wall Street this week.

Repeating his call for a comprehensive approach to deficit reduction, Obama said the country needs to continue investing in education, clean energy and other vital areas while also ensuring that entitlement benefits for senior citizens are protected. That means a balanced approach to deficit reduction in which wealthy corporations and individuals are paying their fair share toward a solution, he said to applause.

"Everybody's got to chip in," he said. "That's fair. You learn it in kindergarten."

It was Obama's second visit to Holland, an emerging hub for hybrid car battery technology. Until recently, it was best known for sugar-white Lake Michigan beaches and its annual tulip festival.

Obama toured a Johnson Controls-Saft plant that was built with a $299 million grant from his administration's 2009 economic stimulus program and now expects to employ 500 people when fully operational.

Before the speech, Obama got some good news when the Labor Department reported the number of first-time filers for unemployment benefits fell last week, dipping below 400,000 for the first time in four months. The figure of 395,000 beat economists' forecasts of 409,000, according to consensus estimates from Briefing.com.

"It's a good sign," said Brett Ryan, U.S. economist with Deutsche Bank. "The trend in claims is going to be one of the most important things we watch over the next few weeks or so, to gauge whether we're entering another recession."

However, the unemployment rate remains above 9%, and Obama's visit to Holland was intended to highlight his job-creation policies.

Both Johnson and Korea's LG Chem have built battery plants in Holland. LG Chem received $150 million from the American Reinvestment and Recovery Act, and Obama appeared at the groundbreaking of its 200-worker plant in 2010.

LG employee Shane Vander Jagt told CNN that the plant's future was "very bright."

"This technology is not a fad," said the 34-year-old Vander Jagt, who said he has been laid off "more than once" in the past few years. "It's only going to grow."

Holland, a city of 34,000 located 30 miles southeast of Grand Rapids, had an unemployment rate of 13.2% in July 2009. It's currently 9%.

Even without stimulus funds as an enticement, the area has been drawing other players in the industry. Switzerland-based fortu PowerCell is building an advanced battery plant in Muskegon, 30 miles north of Holland -- a decision company spokeswoman Deb Muchmore called "good common sense."

Michigan "is the automotive capital of the world," Muchmore said. "Its work force is manufacturing-savvy (and has) tremendous expertise with all things mobility."

Muskegon's unemployment rate peaked at 15.7% in July 2009, and it was hit again by the 2010 closure of a paper mill that added hundreds more to the unemployment rolls. By June 2011, that figure had fallen to 10.8%.

CNNMoney's Annalyn Censky contributed to this report.

@highlight

NEW: President Obama says he is frustrated with Congress

@highlight

NEW: Obama urges people to tell Congress to get to work

@highlight

Unemployment benefit claims are down to a four-month low

@highlight

Obama visits an advanced battery plant helped by stimulus funds.