(CNN) -- As things have been going for Ukraine lately, Wednesday could easily go down as the best day yet for the new government of Arseniy Yatsenyuk.

Topped by a high-profile Oval Office visit, it was a welcome distraction from a string of humiliations and provocations from Russia -- not least of which was the creeping occupation of the Crimea.

If Yatsenyuk left Washington dissatisfied, he clearly wasn't showing it. The visit brought promises of $1 billion of desperately needed loan guarantees, an immediate surge in U.S. bilateral assistance that ranges from a doubling of support for the May 25 presidential elections to increased academic scholarships and even Meals Ready to Eat (MREs) for the Ukrainian military.

Read more: Senate committee approves Ukraine aid package, Russia sanctions

Washington's overtures came as the G7 group of nations and the European Union rallied to throw additional support to a beleaguered Ukraine. Aside from strong talk of more sanctions for Russia -- should a referendum branded illegal by the West and Ukraine go ahead this weekend -- there were gifts of $685-million in trade benefits from Brussels and hints of an accelerated signing of an EU Association Agreement after presidential elections.

Yet, despite all that, Yatsenyuk, one of the most polished and articulate Ukrainian politicians of this generation, hinted that his new government is going to have to deal with autonomy demands -- both present and future - from pro-Russian regions.

"We need to start a nationwide dialogue on the autonomy of Crimea," Yatsenyuk said at an Atlantic Council speech in Washington, D.C..

But he added that there are no legal grounds for Sunday's referendum -- a referendum that he and the West see as a rogue act backed by pro-Russian thugs and a show of brute and unprovoked military force.

"This is an illegitimate, unconstitutional referendum," Yatsenyuk said, echoing the talking points heard from the corridors of power in London, Brussels and Berlin.

To his credit, Yatsenyuk and Ukrainian President Oleksandr Turchynov have, so far, come across as a national unity government of peace and reconciliation. As Yatsenyuk correctly noted, Kiev has resisted Russian provocations and has made real conciliatory gestures to the Russian majority in the east and south - for example not backing legislation limiting the use of the Russian language at the administrative-regional level.

To say that the stakes are high is almost an understatement. With Russian military might also amassing on Ukraine's eastern borders there was talk of the region even descending into a quagmire equal to that of "another Afghanistan."

History of Western promises

While the arrival of an unprecedented tide of Western support and rhetorical embrace has been received with glee in Ukraine, it is undeniable that the history of Western promises has been less than stellar. As one Diaspora member pointed out Wednesday, not one international pledging conference for Chernobyl has ever met its goal.

Curious too that the West is acting only now, with Ukraine on the precipice and when Western experts have been warning for years that Putin has long since been developing separatist scenarios.

And if the sentiments of ordinary Ukrainians in the Maidan Square are anything to go by, Western assistance has come too late.

"Any moment Putin could land a helicopter in here and destroy us," said a pensioner from Dnipropetrovsk who was tending his tent Friday morning on the fringes of Maidan.

Said another Maidan protester from western Ukraine: "What was promised doesn't make any difference to me. They've promised in the past and then what?"

The precedent being set by the holding of a Crimea referendum is surely the main reason for the panic from the White House to Westminster.

Brazen land grab

In his Atlantic Council discussion, Yatsenyuk was asked how confident he was of receiving the Western support being promised to him.

Yatsenyuk said the issue was one of global security. He cited the 1994 Budapest Memorandum -- inked by the U.S., UK, Ukraine and Russia -- which guaranteed Ukraine's territorial integrity in return for the dismantling of its massive Soviet-era nuclear arsenal.

"We executed this memorandum," he said. "And today we ask for the protection. If we don't get this protection, tell me the way how the world is to reinforce or ask another countries to stop their nuclear programs."

Of course there are other international legal provisions which should prevent Russia from grabbing Ukrainian territory; these include the provisions of the Conference on Security and Cooperation in Europe (CSCE) treaty and the U.N. Charter. But, as with the Budapest Memorandum, there aren't any clear enforcement mechanisms.

International legal experts say they are hardly surprised by the Kremlin's brazen land grab, pointing to what seems a long-term policy of strategic separatism in the Black Sea region.

Lada Roslycky, a past fellow of the Harvard Black Sea Security Program, said that aside from violating national and international laws, the Crimea referendum is being held under the duress of Russian military occupation.

"The referendum, if recognized, will deface non-proliferation and support illegal Russian Federation operations elsewhere," says Roslycky.

Putin says Russia's actions fall within the scope of the 1997 Friendship Treaty between Ukraine and the Russian Federation. But with Russia apparently in operational control of the Crimea it's absurd to claim Ukraine's territorial integrity has been respected.

At the end of the day, it will be the actions of greater powers that will determine whether Putin blinks over his Crimea strategy. With talk of suspending Russia's membership of the G8 and even of barring its participation in the World Cup, the Kremlin could decide to back down.

But with Putin being quoted as saying such nonsense as Ukraine did not leave the former Soviet Union in a legal way, it is anyone's guess what might happen next.

The views expressed in this commentary are solely those of Michael Bociurkiw.

@highlight

Ukraine's interim PM Arseniy Yatsenyuk visited Washington and the White House this week

@highlight

He left with promises of loan guarantees, bilateral assistance as EU nations also rallied

@highlight

Michael Bociurkiw says it's curious the West is only acting now Ukraine is on the precipice

@highlight

He says Western assistance may have come too late and it's unclear what will happen