(CNN) --  I spoke at TED in 2006, the year they started to put the talks online. I'm told that since then, the talk has been downloaded more than 3.5 million times in more than 200 countries. The number of people who've seen it may be 20 times that or more.

I have a stream of e-mails, tweets and blog posts round the world from young people, parents, students, teachers, cultural activists and business leaders of all sorts. They tell me how deeply they relate to the talk and often that they've seen or shown it many times at meetings, conferences, workshops and retreats.

Parents tell me they've shown it to their children; young people tell me they've shown it to their parents. They say they've laughed and sometimes cried together and had a different sort of conversation as a result. Changing the conversation is one of the primary purposes of TED.

Why has this talk had such an impact? I think there are several reasons.

To begin with, the talk is short. The 18-minute talk is part of the genius of TED. In a world of instant messaging, rampant data and overspecialization, brevity is a virtue. (Even so, I've seen blogs that strongly recommend the talk but warn that it's almost 20 minutes long.)

A second factor is that, based on the audience's reaction, the talk is entertaining and funny at times, which always helps. And I'd just had my hair cut. We may never know how much that simple act contributed to the global appeal of the talk. But the real reason for its impact is that what I'm saying clearly resonates deeply with people of all ages and across many different cultures. I believe that the argument is becoming more urgent by the day.

What is the argument? In a nutshell, it's that we're all born with immense natural talents but our institutions, especially education, tend to stifle many of them and as a result we are fomenting a human and an economic disaster.

In education, this vast waste of talent involves a combination of factors. They include a narrow emphasis on certain sorts of academic work; the exile of arts, humanities and physical education programs from schools; arid approaches to teaching math and sciences; an obsessive culture of standardized testing and tight financial pressures to teach to the tests.

The result is a disastrous waste of talent among students and their teachers. To sense the scale of this disaster, you only have to look at the alarming rates of turnover among faculty and the levels of drop out, disaffection, stress and prescription drug use among students. Even for students who stay the course and do well in education, the rules of success have changed irrevocably. Just look at the plummeting value of college degrees.

The waste of talent in education is not deliberate. Teachers are as anxious about this as everyone else, but many of them feel trapped in the awkward groping of national reform policies, many of which misunderstand the problems as well as the solutions. The waste of talent isn't deliberate, but it is systematic.

It happens in part because the dominant systems of education are rooted in the values and demands of industrialism: they are linear, mechanistic and focused on conformity and standardization. Nowadays, they're buttressed by major commercial interests in mass testing and by the indiscriminate use of prescription drugs that keep students' minds from wandering to things they naturally find more interesting.

The tragedy is that meeting the many social, economic, spiritual and environmental challenges we now face depends absolutely on the very capacities of insight, creativity and innovation that these systems are systematically suppressing in yet another generation of young people.

Reforming these systems is not enough. The truth is that we are caught up in a cultural and economic revolution. This revolution is global in scale and unpredictable in nature. To meet it, we need a revolution in the culture of education.

This new culture has to emerge from a richer sense of human ability. To shape it, I believe we have to leave behind the manufacturing principles of industrialism and embrace the organic principles of ecology.

Education is about developing human beings, and human development is not mechanical or linear. It is organic and dynamic.

Like all living forms, we flourish in certain conditions and shrivel in others. Great teachers, great parents and great leaders understand those conditions intuitively; poor ones don't. The answer is not to standardize education, but to personalize and customize it to the needs of each child and community. There is no alternative. There never was.

The good news is that all around the world there are wonderful examples of people and organizations that are making determined efforts to do things differently in education -- and in business, health care, architecture, communities and cultural programs.

There are examples of these all over the TED Web site and in the expanding ripples of the TED prizes. TED itself is a great example of the spirit of collaboration and inter-disciplinarily that is the essential to a genuine culture of creativity.

What are the principles of this culture? Towards the end of my talk, I mention a book I was working on called "Epiphany."

It was published this year under a much better title, "The Element: How Finding Your Passion Changes Everything" (Viking) and is now in 11 languages. It draws on conversations with people in science, business, education, the arts, sports and more on how they found in themselves the talents and passions that have shaped their lives. But the book is not about them: it's about you and your children, if you have any; and your friends too, if you have any of those.

There's a wealth of talent that lies in all of us. All of us, including those who work in schools, must nurture creativity systematically and not kill it unwittingly.

The opinions expressed in this commentary are solely those of Sir Ken Robinson.

@highlight

Sir Ken Robinson: We're born with great natural talents

@highlight

He says schools systematically suppress many of those innate talents

@highlight

Schools use testing and other systems to narrowly assess students, he says

@highlight

He says they devalue forms of creativity that don't fit in academic contexts