With the beheading of a second American journalist, Steven Sotloff, militant group ISIS delivered another brutal message to the Western world.

And, as with the execution of journalist James Foley before him, ISIS ended its video -- titled "A second message to America" -- with a threat to another Western hostage, this time a Briton.

The three are not the only Westerners held by the militant group. And their plight has raised fears for the safety of all those taken hostage.

Thousands of Syrians and Iraqis have been slain by ISIS militants as the Sunni extremist group seeks to build an Islamic caliphate stretching across a swath of territory.

But the execution of Western captives holds greater shock value outside the region's borders -- and represents a powerful propaganda tool.

CNN terrorism analyst Paul Cruickshank said that the method of killing has a specific purpose for ISIS.

A video like the one showing Sotloff's killing "really energizes" supporters of ISIS, and beheading is employed for "maximum propaganda" to "terrify" ISIS' enemies, Cruickshank said.

Alternatively, Western hostages, often journalists or aid workers, can be a useful tool if kept alive: either freed for hefty ransoms, used as bargaining chips for the militants' ends or sold on to other extremist groups.

It's hard to know how many captives there are because governments, employers and families tend to keep kidnappings quiet for fear of putting the victims in greater danger while negotiators work to secure their release.

ISIS is believed to be holding a number of Americans, a U.S. official told CNN after Foley's execution. The official, who spoke on condition of anonymity, declined to identify them or say exactly how many Americans are being held.

Missing journalists

The Committee to Protect Journalists estimates that about 20 journalists are missing in Syria -- most of them local, some from outside Syria. It says many of them are believed to be held by ISIS.

Among them is American Austin Tice, a freelance journalist who was contributing articles to The Washington Post. He disappeared in Syria in August 2012. There has been no word of or from him since his abduction.

Altogether, more than 80 journalists have been abducted in Syria since the conflict started, according to the CPJ.

Some have been freed, others killed. Often a media blackout on journalists' abductions is lifted only in best- and worst-case scenarios.

The kidnapping of American journalist Peter Theo Curtis was publicized only after he was handed over to U.N. peacekeepers in August by al-Nusra Front, a Syrian rebel group with al Qaeda ties, after almost two years in captivity. Qatari officials helped secure his release, his family said.

It emerged after Foley's death that U.S. special operations units were sent into Syria this summer to rescue him and other hostages, but their mission proved unsuccessful.

Richard Byrne, a spokesman for the news website GlobalPost, also revealed that ISIS had demanded a ransom of 100 million euros (about $132 million) for Foley's release. The journalist freelanced for GlobalPost and other news organizations.

After his death, Foley's mother, Diane, expressed concern about other hostages on the Free James Foley Facebook page.

"We implore the kidnappers to spare the lives of the remaining hostages. Like Jim, they are innocents. They have no control over American government policy in Iraq, Syria or anywhere in the world," she wrote.

Sotloff's mother, Shirley Sotloff, also had directed an emotional plea for her son's release to ISIS leader Abu Bakr al-Baghdadi, to no avail.

Beheading of American journalist recalls past horrors

To pay or not to pay?

Fears for the safety of Westerners held by Islamist militants have also highlighted the different approaches taken by governments when it comes to kidnappings.

The UK government has a hard-line policy of never paying ransoms. The U.S. government also does not negotiate with terrorists. At the same time, other European governments in the past are thought to have handed over cash to terror groups to ensure the release of nationals.

The United States, as in the case with the thwarted Foley mission, has in the past attempted hostage rescues.

Sometimes these can work out, as happened in 2012 when Navy SEALs rescued U.S. aid worker Jessica Buchanan and fellow aid worker Poul Thisted of Denmark after three months' captivity in Somalia. They had been abducted while traveling there for the Danish Refugee Council.

But sometimes, such attempts fail. Linda Norgrove, a kidnapped British aid worker, was accidentally killed by a U.S. grenade during a SEAL rescue bid in Afghanistan in 2010.

The UK government said it had attempted to rescue the British citizen shown in the latest ISIS video "some time ago" but failed.

UK Foreign Secretary Philip Hammond provided scant details of the rescue attempt or any other plans in the works.

"You wouldn't expect me to discuss various options that we will be considering," he said. "But I can assure you that we will look at every possible option to protect this person."

Tortured, beaten in captivity

While negotiations for potential releases continue, little or nothing is made public about the hostages' background or their plight.

Out of public view, Sotloff's family members, their congressional representative and a number of government agencies had tried to gain his release for the past year.

U.S. Secretary of State John Kerry highlighted the efforts made behind the scenes in a statement Wednesday.

"For so many who worked so long to bring Steven and the other Americans home safely, this was not how the story should've ended," he said.

"It's a punch to the gut. The U.S. government has used every military, diplomatic and intelligence tool we have, and we always will. Our special operations forces bravely risked a military operation to save these lives, and we've reached out diplomatically to everyone and anyone who might be able to help. That effort continues, and our prayers remain -- as they always are -- with the families of all hostages who remain trapped in Syria today."

Beaten, tortured

After Foley's death, details slowly emerged of the experiences he endured after his abduction while he was on a reporting trip in northern Syria in November 2012.

A source who says he was held last year with Foley told CNN's Bharati Naik that he, Foley and another journalist were held from March to August 2013 in a prison in Aleppo, Syria.

At the time, the source -- who spoke on condition of anonymity -- said they were being held by al-Nusra Front. At one point, according to the source, there were nearly 100 people -- including European journalists -- in the prison.

The source said Foley and the other journalist, who was not Sotloff, were transferred to an ISIS training camp. Foley and the other journalist, according to the source, were tortured in prison -- mostly beaten.

French journalist Nicolas Henin, who was taken hostage in June 2013 with French photographer Pierre Torres, told CNN that he also had been held with Foley in northern Syria before his release this year -- and that Foley "had to endure more because he was American."

Henin and Torres were freed along with two other French journalists, Didier François and Edouard Elias, on April 19. It's not known what went on behind the scenes to secure their freedom, but French Foreign Minister Laurent Fabius insisted that France had not paid a ransom, Radio France Internationale reported at the time.

Other Westerners held in Syria also have been released in recent months.

Two Spanish journalists held for more than six months in Syria -- El Mundo staff correspondent Javier Espinosa and freelance photographer Ricardo Garcia Vilanova -- were freed in March. At the time of their capture, El Mundo said the journalists' captors were reported to be members of a group linked to ISIS.

And a Danish photographer, Daniel Rye Ottosen, was freed in June, the Danish Foreign Ministry said, having been held captive in Syria since May 2013.

ISIS puts pressure on Obama to act

@highlight

ISIS has other Western hostages besides the two murdered American journalists

@highlight

Hostages can be useful bargaining chips or exchanged for ransom payments

@highlight

U.S. and UK governments have policies against paying ransom for hostages

@highlight

Abductions are often kept quiet for fear of jeopardizing efforts to secure the release of the victims