Brussels, Belgium (CNN)"It's a nightmare," says Zaki Chairi.

Chairi, a 27-year old Belgian comedian who performs with a humorous theatrical group that calls itself the "Muslim Raiders," was speaking several days after a deadly gun battle erupted last week between suspected jihadists and police in the eastern Belgian town of Verviers.

News of the suspected Belgian terror cell immediately sent ripples of fear through this small European country's Muslim community.

"I was freaking out. Really scared," said Chairi, who fears young Belgian-born Muslims could become victims of a backlash after the raid.

"My mom said no one can go out tonight because of what happened," said Camelia Lakhdar. The 19-year old waitress said her frightened mother made her skip work the night of the anti-terror raid.

Both Chairi and Lakhdar were speaking in the lounge of a Muslim youth center, Espace Poincare.

Espace Poincare opened little more than a year ago, with the goal of promoting a peaceful and productive blend of European and Islamic values.

But the center's director said the recent reports of a suspected homegrown Belgian terror cell -- emerging so soon after French jihadis massacred cartoonists in the Paris office of the satirical magazine Charlie Hebdo had threatened this vision of moderation and integration.

"We condemn what's happened. This is not our vision, our understanding of our religion," said director Hajib El Hajjaji.

In French-accented English, he explained how Belgium's Muslim community was finding itself increasingly trapped between two ideological extremes.

"We face [Islamist] radicalization. But we also face the increase of Islamophobia in Belgium," El Hajjaji said.

"We know that stigmatization, Islamophobia, discrimination help this radicalization of young Muslim people here in Belgium."

The January 15 raid in Verviers resulted in the shooting deaths of two Belgian citizens. Police said they were found in possession of assault rifles, handguns, explosives and police uniforms. The suspects have been accused of being part of a plot to target Belgian police, inspired by the ultra-violent ideology of ISIS.

The gun-battle triggered an international manhunt. Since January 15, Belgian authorities have arrested and charged at least seven Belgians with participation in a terrorist organization.

The federal prosecutor's office announced three of the suspects were intercepted at the airport in Brussels while trying to fly to Greece, with plans to then travel on to Syria.

A senior Belgian counter-terrorist official tells CNN the suspected leader of the Verviers cell is a young Belgian of Moroccan descent named Abdelhamid Abaaoud.

Abaaoud -- who is still at large- appeared in an ISIS propaganda video laughing and joking to the camera while driving a pick-up truck that was dragging at least half a dozen corpses through a field.  He also brought his teenage brother to Syria, who has since appeared in photos posing alongside ISIS fighters.

Abaaoud originally hails from a district of Brussels called Molenbeek.

He is not the only Molenbeek native to embrace the ISIS jihad.

"There are several people who left here to fight in Syria.  And some who came back. That's the danger," said Molenbeek Mayor Francoise Schepmans.

She spoke to CNN in the neighborhood's central square, which is ringed with halal butcher shops and grocery stores advertising their goods in French and Arabic.  A polyglot procession of residents -- many of them women wearing Islamic headscarves- strolled.  In the side streets, one could over hear conversations in French, Arabic and Turkish.

Molenbeek has a large, predominantly Muslim population of first, second and third generation immigrants from North Africa. The mayor said the neighborhood also suffered from soaring youth unemployment estimated at more than 40%.

Molenbeek raids

As part of their effort to stop the suspected ISIS-linked cell in Verviers, Belgian police have carried out multiple raids in Molenbeek over the course of the last week.

The defense attorney for a Molenbeek native arrested by police last week said his client was innocent of terrorism charges.

Didier De Quevy argued that his client, an unemployed former 25-year old security guard named Marouane el Bali, did not fit the terrorist profile because he had no previous criminal record.

"He lives in Molenbeek, which is one of the neighborhoods most infested by terrorism, and thus it's a miracle not to have problems with the authorities when you live there," De Quevy said.

While unemployment is rampant, online propaganda for ISIS' bloody interpretation of jihad is often only a button click away.

Chairi, the comedian who also hosts a radio show that touches upon Belgian Muslim affairs, laments that his radicalized peers "don't learn their Islam in mosques or in institutions.  They learn it on the Internet."

He recalled meeting a young Muslim convert. Just a few months after embracing Islam in Belgium, Chairi said he read in a newspaper that the young man was killed fighting on the battlefields of Syria.

"It goes so fast ... even the religious leaders, they don't understand it," Chairi said.

"People radicalize themselves," said El Hajjaji, director of Point Espace.

El Hajjaji says he has taken to social media, to denounce online propaganda urging volunteers to join ISIS.  But he confesses the jihadi message can be tempting to vulnerable youths.

"The speech to get you to go to Syria is very simple: you have your enemy, you want to have the power to build your future, and you don't need to find a solution to the complexity of your life that we have here in Belgium," El Hajjaji said.

It is this toxic mix of unemployment, marginalization and the clarion call of jihad, that have helped make Brussels, the capital of Europe, a recruiting ground for terrorism.

Belgium terror cell has links to ISIS

Journalist Carmen Paun contributed to this report

@highlight

On January 15, a gun battle during a raid by police in Verviers left two Belgian citizens dead

@highlight

The suspects have been accused of involvement in an ISIS-inspired plot to target police officers

@highlight

The Muslim community fears a backlash and rise in Islamophobia that could increase radicalization