(CNN)Today, Katie Meyler might be meeting with Google executives or maybe giving a talk at the United Nations about girls' education, poverty or Ebola. But just a few months ago, she was on the front lines fighting the Ebola epidemic in Liberia.

"I think anybody that has any feelings for the countries in West Africa that were hit was feeling helpless," Meyler said.

Meyler had spent the last nine years of her life in Liberia setting up the More Than Me Academy, a tuition-free school for at-risk Liberian girls. While she was on summer break last year, visiting her family in the United States, her mind kept going back to Liberia and the Ebola outbreak. She couldn't sit idle as her neighbors, friends and students were fighting for their lives.

Meyler, who is not a medical professional, flew back to the front lines of a global epidemic, the last place most Americans wanted to be during the outbreak.

Back in Liberia, Meyler quickly realized that fighting Ebola would be more complicated than administering medical care. With dozens of aid organizations descending on the country, few of them had a history or relationship with it.

Meyler saw an opportunity to leverage her relationship with the community of West Point, the slum in which her school is located. Her ability to speak the Liberian-English dialect facilitated logistics.

"The people knew what was needed," Meyler said. "They knew what to do. They just didn't have the resources."

Her organization met with community leaders and they decided more ambulances were needed. In some instances, it took up to four days for an ambulance to show up. Meyler was able to bring in four ambulances and coordinate with the fathers of her students, who responded to calls by driving the ambulances.

Meyler and community leaders identified what was most needed and then came up with steps to meet those needs, said Meyler. Next, they formed a group of active case finders, people who would go door to door in the poorest parts of West Point, looking for anyone that had fallen ill. Once a sick person was identified, a nursing team was dispatched to determine the next steps and treatment.

The hardest part for Meyler, who often describes herself as a "big kid," was seeing children abandoned and orphaned by Ebola. According to UNICEF, 16,600 children have lost one or both parents to Ebola in Guinea, Liberia and Sierra Leone. Meyler's school turned one of its guesthouses into Hope 21, a place to quarantine children suspected of having the Ebola virus.

During the good times and the bad, Meyler took to Instagram to post photos and her thoughts. For nearly 100,000 of her followers, her Instagram became a window into the battle against Ebola.

Social media have played a major role in the success of Meyler's organization since its inception nine years ago. To launch More Than Me, she did everything from fund-raising on MySpace to participating in clinical research studies. In 2012, the group was awarded a $1 million grant from JPMorgan Chase's American Giving Awards, after Facebook users voted for the organization.

Long before Meyler became an Ebola fighter, she grew up in a working-class family from New Jersey. She always felt underprivileged, until she became involved in community service. That's when she decided to dedicate her life to helping people.

Meyler has since won a number of awards and has been recognized for her work in Liberia. She was one of the Ebola fighters honored as Time's Person of the Year in 2014.

"I'm not the same person that I was before Ebola hit," said Meyler.

Reflecting on the months she spent fighting Ebola, she said, "The people on the front lines that were risking their lives were the people who were fighting for their own lives, who were fighting for their children's lives."

Now it is about learning to live with Ebola, said Meyler, whose school has dozens of students who are Ebola orphans and survivors.

Meyler continues to focus on girls and education in Liberia, meeting with tech giants and innovative education labs to come up with ways to better serve her students at More Than Me.

@highlight

Meyler worked with the community in Liberian slum to develop Ebola response

@highlight

Dozens of Ebola orphans now attend More Than Me Academy