(CNN) -- The fate of Darren Wilson -- the Ferguson, Missouri, police officer who killed Michael Brown -- is heading to a jury.

But it may not be what you think.

For the first time Wednesday -- after 11 days of often emotional, sometimes violent protests demanding "justice" in the form of formal charges against Wilson -- his case could move to court.

Yet, in stark contrast to the media frenzy on the streets of Ferguson in the aftermath of Brown's death, cameras won't be allowed into the courtroom. As activists stress the need for transparency, these proceedings will be secret.

Here are a few things to know about how the grand jury system should work as it pertains to this case and others in Missouri.

Is the grand jury the only way that a person can be charged with a crime?

No. In fact, it's not the way most people are charged with crimes. It's used by prosecutors only in a small percentage of cases.

Authorities can file a criminal complaint, which could then lead to a probable cause hearing in court. Such a proceeding is open to the public and media.

That's not the case with a grand jury proceeding.

So it's closed to the public?

Yes.

And that doesn't sit well with Brown's family.

"It's about transparency," family lawyer Benjamin Crump told CNN. "This community has a distrust for the local enforcement officials. So if you have a secret grand jury proceeding, where nobody knows what the prosecutor presents ... and the grand jury comes back and says we find this (shooting) justified, I think that's going to be very problematic for this community to accept."

Still, while they might not like it, the Brown camp's opposition to the secretive grand jury process won't open it up.

This may be convenient for St. Louis County Prosecuting Attorney Robert McCulloch given the intense public pressure on the case, said veteran criminal defense lawyer Mark Geragos.

"He's already, I think, kind of punted this over to the grand jury," said Geragos, a CNN legal analyst. "So that (if) they don't bring an indictment, he can say 'well, it's out of my hands.' The members of the community said that there is no crime here."

How is a grand jury picked?

Just like any other jury. Citizens get a summons in the mail telling them to come to court. If they make the cut, they are on a grand jury.

In this case, the jurors will come from St. Louis County, Missouri.

How many people are on a grand jury?

In Missouri, it's 12 people. (The number might be different in other cases.)

Does their decision have to be unanimous for a charge to be filed?

No. It's true that, in a criminal trial, all jurors must agree to convict someone on a given charge. But in Missouri only nine jurors -- or three-fourths of the grand jury -- have to agree.

So what are the grand jurors deciding?

According to the Missouri state attorney general's office, a grand jury is looking at two things. One, was a crime committed? Two, is there probable cause that the accused -- in this case Officer Darren Wilson -- committed the crime.

It is very significant that this is a lower standard than for a criminal trial. In that case, jurors must decide if someone is guilty of a crime "beyond a reasonable doubt." "Probable cause" isn't as stringent.

Is the process overseen by a judge?

No. As Neil Bruntrager, a criminal defense lawyer and general counsel for the St. Louis Police Officer Association explains, it's just the grand jurors, the prosecutors and the witnesses. That means no judge or defense lawyers.

"The prosecutor simply presents the information that they have," Bruntrager explains.

Does that mean the accused can't present a defense?

Yes and no.

First off, unlike during a regular trial, defense lawyers can't rebut the prosecution or cross-examine a witness. It's the prosecutors who present their case, without interruption.

That doesn't mean that the voice of the accused isn't heard. As the attorney general notes, "defendants do not attend unless they are testifying as witnesses." Since Darren Wilson witnessed what happened on August 9 as much, if not better, than anyone else alive, he might be invited to testify in court.

"Usually an accused will not be invited to testify," Bruntrager told CNN. "But I would expect, in a case like this, that an invitation would be extended to him."

What will the prosecution present to the grand jury?

In a word, everything.

Just take McCulloch's word for it, according to the Wall Street Journal: "Absolutely everything will be presented to the grand jury. Every scrap of paper that we have. Every photograph that was taken."

Will McCulloch himself present the case?

Ed Magee, a spokesman for the prosecutor's office, told the St. Louis Post-Dispatch that the prosecution will be "handled by the attorney regularly assigned to the grand jury. It will not be by Mr. McCulloch."

So how long will this process take?

A grand jury could indict some one as early as tomorrow. But that doesn't mean it's going to happen that fast. In fact, it could be weeks or months.

After all, U.S. Attorney General Eric Holder has said the Justice Department -- conducting a parallel federal civil rights investigation into this case -- has interviewed hundreds of potential witnesses. There's no reason to believe local authorities haven't similarly conducted lots of interviews and collected various pieces of evidence to sort through and present to the grand jury.

Doing so should take some time.

5 things to know about the shooting

Complete coverage of Ferguson shooting and protests

CNN's Jean Casarez contributed to this report.

@highlight

A grand jury could soon start considering the case of Darren Wilson

@highlight

The Ferguson, Missouri, police officer fatally shot Michael Brown, 18

@highlight

Grand jury proceedings are secret, with no judge or defense lawyers

@highlight

9 of 12 grand jurors must agree on probable cause to press charges