Athens, Greece (CNN) -- Greek riot police fired tear gas to disperse stone-throwing demonstrators Tuesday, as thousands rallied to protest proposed austerity measures on the first day of a two-day strike.

Twenty-one police officers and one demonstrator were hurt, and at least five people have been arrested, police said. About 3,000 officers are deployed on the streets of Athens.

The protesters are rallying outside the Greek Parliament building in the center of the country's capital, where lawmakers are set to vote Wednesday on a tough five-year package of tax increases and spending cuts.

The newly appointed head of the International Monetary Fund, France's Christine Lagarde, used one of her first media interviews to appeal to the Greek opposition to overcome their political differences and join a national consensus on the reforms.

Speaking to French network TF1, she urged Greece's lenders to come to its aid and said Greece must take charge of its affairs in a responsible way, while looking after those people who had the least.

Her words came hours after European Council President Herman van Rompuy also urged lawmakers to pass the measures, for the sake of Greece and the wider economy.

"There are decisive moments and the coming hours will be decisive, crucial for the Greek people, but also for the Eurozone and the stability of the world economy," he told the European Parliament in Brussels, Belgium, on Tuesday.

As the demonstration continued into the evening, thousands of protesters -- some newly arrived -- faced police in riot gear manning barricades outside the Greek Parliament, but the mood had quieted.

Earlier Tuesday, live television footage showed clouds of tear gas as police and protesters clashed, and black smoke from small fires billowing through the streets. A truck belonging to a mobile telecom company was also set alight.

Police appeared to be trying to force protesters out of Constitution Square, CNN reporters said, but some were returning and others gathered in side streets ready to move back in.

Drumming and music reverberated around the square, as well as shouted slogans.

One group of protesters chanted "Bread, education, freedom," an old rallying cry from 1973, when thousands of students clashed violently with police during protests against the military government.

The 48-hour general strike kicked off in the early morning hours of Tuesday, hobbling most of Greece's transportation systems but freeing workers to participate in demonstrations.

Members of the Communist PAME labor union took to the streets first, waving socialist signs in front of the Greek Parliament. The main rally, a cooperative effort between two much larger, mainstream unions, launched later.

Cloth banners reading "No sacrifices for plutocracy" flapped in chorus with chants of "Workers, you can live without a boss," and "We want workers' rights, not profits for the boss!"

Government offices, schools and courts had closed, the unions said. Hospitals were operating on skeleton staffs, according to Greek state television broadcaster ERT.

Transportation disruptions took place on land, on sea and in the air.

Air traffic controllers periodically stopped work and flight traffic, according to their union. Stoppages also disrupted sea travel in the maritime nation, which encompasses many islands.

Trains and municipal transportation also shut down, but Athens metro workers abstained from the strike, according to the country's transportation union.

Train operators provided continuous service to demonstrators headed for central Athens. Bus drivers were on strike, keeping city buses off Athens' streets.

Greece must pass the austerity measures if it is to win the last $17 billion portion of a $156 billion bailout package from other European nations that was granted in 2010 -- and also to clear the way for an additional potential bailout package to keep Greece afloat going forward.

Greece needs the bailout funds to avert a default on debt repayments that are due as soon as mid-July.

Such a default would send shock waves through the European banking sector and potentially dent global economic confidence.

European Union Commissioner Olli Rehn, the bloc's lead negotiator on the bailout, warned Tuesday that Greece faced "a critical juncture," as he pressed Parliament to pass the austerity measures.

"Both the future of the country and financial stability in Europe are at stake," Rehn said in Brussels. "I trust that the Greek political leaders are fully aware of the responsibility that lies on their shoulders to avoid default."

He warned that there was "no Plan B" to avert default, and insisted that economic reforms -- although challenging -- were a better alternative for the Greek people.

"The European Union continues to be ready to support Greece. But Europe can only help Greece if Greece helps itself," he added.

Protesters lament that the cuts are being carried out on the backs of those who can afford it least.

"With the policy followed since the bailout, we have seen people's living standards going down. It is the workers and the pensioners who are paying the debt," said electrical engineer Ioanna Lagonika.

Lagonika, who marched in PAME's demonstration, said, "The PM (prime minister) has said that this is a new start for Greece, but to us it feels like this is our end."

Accountant Pericles Panagakis, who also participated in the Communists' march, would rather see Greece go through bankruptcy. The austerity programs mean "even tougher measures for the people and just for the people," he said.

Panagakis would also like to see Greece's wealthiest make up for the government shortfalls. "The solution is to take the money from people who have money, not from the workers," he said.

The parliamentary vote, which comes a day later than originally planned, will be followed by a meeting of European Union finance ministers on Sunday to approve the final part of funding from last year's bailout.

The head of Deutsche Bank warned politicians Monday against taking steps that might lead the crisis to spread beyond Greece.

"If it is Greece alone, that's already big. But if other countries are drawn in through contagion, it could be bigger than Lehman," Josef Ackermann said, referring to the financial meltdown that followed the collapse of the Lehman Brothers investment firm in the U.S. in 2008.

International lenders have insisted Greece cut spending, lay off public workers, raise taxes and raise 50 billion euros ($71 billion) through selling off state-owned enterprises in exchange for a further bailout of the cash-strapped nation.

The latest demands follow austerity measures imposed last year that included pension cuts; a sales tax boost; excise taxes on fuel, cigarettes, alcohol and luxury goods; and a rise in the average retirement age to 65 from 61.

The economic crisis has inspired rioting in the streets of Athens in recent weeks, where protesters have thrown firebombs and clashed with armored police.

The Parliament plans to vote on the austerity package sometime after 1 p.m. Wednesday. All three unions that marched Tuesday have also planned rallies for Wednesday evening.

CNN's Elinda Labropoulou and Diana Magnay contributed to this report.

@highlight

NEW: New IMF chief appeals to the Greek opposition to join a national consensus on reform

@highlight

At least five arrested; 21 police officers and one protester hurt in the clashes, police say

@highlight

Protesters show no sign of leaving despite the clashes, as a two-day strike continues

@highlight

Parliament is to vote on the tough austerity package on Wednesday