(CNN) -- You won't find the word "Englishization" in the dictionary, but Google it and your search will lead you to links discussing imposed multilingualism and the loss of Japan's indigenous culture.

Hiroshi Mikitani sees nothing wrong with the word, incorporating it easily into our discussion about Japan's future. The internet entrepreneur and CEO of Rakuten Inc, Japan's largest e-commerce site, intends to change his country from the inside out.

"And Englishization is a part of it," he says bluntly.

With 6,000 employees and sales topping $3 billion a year, Mikitani intends Rakuten to keep growing into a global player. The goal: be as common a household name as Google in 10 years.

The path to that goal, believes Mikitani, is to speak the global language of business, English.

"English is the only global language. We're doing a global business. I think this is the only way a Japanese service organization can become a global organization."

By 2012, Mikitani's pledge is to make Rakuten an English-only corporation. All communication, verbal and email, would be sent not in Japanese, but in English. It's a daunting task for a Japanese company headquartered in Tokyo.

Last year's Test of English as a Foreign Language (TOEFL) rankings showed Japanese test takers scored second worst in the East Asia region, below North Korea and Myanmar. Only Laos ranked lower than Japan.

Honda's CEO, Takanobu Ito, recently weighed in, saying publicly,"It's stupid for a Japanese company to only use English in Japan when the workforce is mainly Japanese."

Mikitani doesn't flinch at the criticism. In fact, he seems to relish it.

"The nature of our business is totally different," he says, pointing out Honda manufactures a hardware item and Rakuten deals with users on the internet.

Then he jabs back at his elder corporate colleague: "If you want to become successful in other countries, you need to internationalize the headquarters."

Rakuten is expanding despite Japan's macro-economic struggles. They are starting a Chinese version of Rakuten and purchasing e-commerce sites in the U.S. and France.

"One thing I know, the definition of 'country' is going to change. Definition of 'currency' is going to change," says Mikitani.

"There is going to be less importance which country you're operating from. And there's going to be global competition, not local to local."

Mikitani is everything "Corporate Japan" is not: young, a risk-taker, outspoken and fluent in English. He started his company with a friend in 1997, using their own money. The two friends grew the business into the public corporation and powerhouse it is today.

The 45 year old, energetic CEO says he is, at the core, utterly Japanese. But he disagrees with how corporate Japan and the policy makers have run the economy and country.

Look at the aging demographics and the economy of Japan, says Mikitani, and the writing is on the wall for corporate Japan. Growth, he says, can only happen if Japanese companies go outside of the country for expansion and look for opportunities outside of Japan's famously produced cars and electronics.

"I felt (sic) those kind of ages is over. Now we need to really dramatically change the structure of economy of Japan and IT is going to be an extremely important part of it," says Mikitani.

"But none of the Japanese... for example, politicians, truly understands from the bottom of the heart, how important that is."

Mikitani feels the two decades-long economic stagnation for Japan has fundamentally affected the country's young, which spells trouble for the country's future.

"Japanese society, especially younger people, are so inward looking. They don't even want to go to other countries. They want to stay here. They want to have a good life, they don't want to be rich. They want to have a good day to day life. That's it. And I think we need to be more sort of dynamic, outward looking," he says.

The solution, hopes Mikitani, will be found in concrete economic policy from Tokyo's lawmakers and strong leadership from Japan's companies.

Japan can produce innovative, high quality ideas and products, says Mikitani, but the talent needs a direction. He remains positive about his country's future, despite its problems. Rakuten means optimistic, he points out.

"I think that in absolute terms, we [Japanese] are lagging. We are slowing down. I don't think we need to be pessimistic, but our window is not so long."

@highlight

CEO of Japanese e-commerce giant says English should be first language

@highlight

Hiroshi Mikitani aims to make Rakuten an English-only company by 2012

@highlight

Increasing "Englishization" is criticized by Honda's CEO