(CNN) -- I vividly recall those 13 days in the fall of 1962, watching President John F. Kennedy on our black and white television in Cambridge, Massachusetts. I was a professor at MIT focusing on the emerging field of leadership studies, and the Cuban Missile Crisis was about leadership writ large for the world to witness.

Fifty years after the Kennedy assassination, there is conversation everywhere about JFK's unrealized potential. Amid the wave of sentimental reflection this year, there has been much focus on the mythical elements of Camelot or too many details about that tragic day in Dallas, and not enough on the real-world challenges of the JFK presidency.

I believe Kennedy's legacy as a leader during the immensely difficult times of the early 1960s has been underestimated -- today, his imprint on the world political scene is powerful and far-reaching.

From the outset of his presidency, Kennedy had a great deal to prove to the country and to his hometown of Boston. There was a saying that the 617 area code, which included Boston and Cambridge, was the most opinionated enclave in the country, which I believe to be accurate. Many of my colleagues and friends at MIT and Harvard were skeptical of Kennedy. There was a sentiment that perhaps he did not have the gravitas to be president, that he was too young, too inexperienced, too dependent upon his powerful family.

I met John Kennedy in 1959 in Hyannis Port during the early stages of his presidential campaign, and would later serve on a Federal Aviation Administration task force that he created. I was initially impressed with him -- he was engaging and moved easily from the daily demands of campaign responsibilities to the larger issues before him in the presidential race.

Still, after he was inaugurated in January 1961, we could not have predicted how the presidency would unfold. For me, and for many others, the defining moment of his administration remains the Cuban Missile Crisis. Watching Kennedy and his team play one of the highest stakes poker games that the world had witnessed was at once exhilarating and frightening. His mastery of diplomacy and politics succeeded in getting the Russians to withdraw nuclear missiles from Cuba.

This was a very different Kennedy from the uncertain president who failed miserably in the Bay of Pigs invasion. The difference? JFK had learned from his mistakes and the groupthink mentality of the Bay of Pigs. His management of the Cuban Crisis became a legendary example of a leader drawing the best from multiple advisers and making his decisions only after weighing each very different contribution.

Kennedy learned that in order to succeed, he must create a culture of candor among his inner circle, that he needed the confidence to hear their truths, and his team in turn the courage and freedom to speak those truths. This remains today a lesson that far too few presidents -- or CEOs -- since Kennedy have embraced.

The successful outcome of the Cuban Missile Crisis would not have been possible had Kennedy not recruited some of the sharpest minds of his era, those David Halberstam would later famously describe as the best and the brightest. Kennedy intentionally made government service attractive, to ambitious, intelligent achievers through his diverse cabinet and state department appointments.

Much like Thomas Jefferson, Kennedy believed in the value of great ideas and people, surrounding himself with the smartest people in any room.

But perhaps Kennedy's greatest quality as a leader was his ability to inspire -- to reach the American people on an emotional and personal level.

Like FDR, Kennedy transcended a patrician background to touch the hearts of everyday Americans. His inaugural speech set the tone for his presidency, and when he implored an optimistic audience to do for their country, they listened and responded. They believed in him as he launched an aggressive space exploration program, they volunteered as he created a new global volunteer program called the Peace Corps, they followed the every move of his beautiful wife and children.

Almost 50 years after that horrific day in Dallas, Caroline Kennedy -- the only living member of JFK's Camelot -- stood in front of a Senate committee and was confirmed as the U.S. ambassador to Japan. She captured the enduring leadership legacy of her father as she pledged that she was committed to "public service, a more just America and a more peaceful world."

The opinions expressed in this commentary are solely those of Warren Bennis.

@highlight

Warren Bennis: JFK had a lot to prove to people when he was elected

@highlight

The President who dealt with disastrous Bay of Pigs invasion learned a lesson, he says

@highlight

Bennis: In Cuban missile crisis, JFK created a culture of candor in his inner circle

@highlight

He says few presidents or chief executive officers have followed in his path