(CNN) -- The U.S. Supreme Court on Wednesday granted a request to delay enforcement of an appeals court ruling that overturned Virginia's same-sex marriage ban. That means gay and lesbian couples cannot legally wed in the state for now.

The Richmond-based U.S. Court of Appeals for the 4th Circuit last month struck down Virginia's voter-approved ban, following what other state and federal judges have done in the past year when finding such laws to be unconstitutional.

The high court in coming weeks or months will announce whether it will have the final word, and accept pending petitions from one or more various states, including Virginia, to review their bans on same-sex marriage.

A binding ruling from the justices on the constitutional issues would be one of the most contentious and closely watched from the Supreme Court in recent years, and could apply to all 31 current states that forbid same-sex marriage.

Judges hear four states defend same-sex marriage bans

Virginia's situation was somewhat unique since the state's governor and attorney general have refused to defend the ban in court. That left the court clerk in Prince William County-- a suburb of Washington -- to ask the high court for temporary legal relief.

Lawyers for the clerk applauded the Supreme Court's intervention.

"Virginians deserve an orderly and fair resolution to the question of whether they will remain free to preserve marriage as the union of a man and a woman in their laws," said Byron Babione, senior counsel of the Alliance Defending Freedom. "The Supreme Court acted wisely in restraining the lower court from implementing a ruling of this magnitude before the high court has a chance to decide the issue."

But Virginia Attorney General Mark Herring also supported postponing any same-sex marriages until the issue is fully settled.

"Although it is painful to keep Virginia's same-sex couples and their children waiting any longer to enjoy the rights guaranteed by the Fourteenth Amendment, the rule of law requires that this court be afforded the time needed to settle the question," said Herring.

The appeals ruling covered marriage laws in those states within the court's jurisdiction: Virginia, Maryland, West Virginia, North Carolina and South Carolina. Only Maryland has legalized same-sex marriage.

The divided three-judge panel had concluded that same-sex marriage "makes some people deeply uncomfortable. However, inertia and apprehension are not legitimate bases for denying same-sex couples due process and equal protection of the laws."

Gay rights groups urged swift action from the justices.

"This Supreme Court's stay of yet another freedom to marry ruling underscores the urgency of the court's granting a full review and bringing the country to national resolution by next year," said Evan Wolfson, president of Freedom to Marry. "It is time for the Supreme Court to affirm what more than thirty courts have held in the past year: marriage discrimination violates the Constitution, harms families, and is unworthy of America."

The Virginia prohibition has effectively been in place since Colonial days, but only incorporated into the state's constitution in 2006.

Elton John: Jesus would support same-sex marriage

The appeals decision continued a near-unbroken string of state and federal court victories nationwide in the past year, giving marriage-equality supporters unbridled encouragement that their ultimate goal will be achieved: striking all laws limiting the rights of homosexuals to wed.

The issue has been moving swiftly in the judicial front.

A federal appeals court on August 6 heard arguments in same-sex marriage bans in four states: Ohio, Michigan, Kentucky, and Tennessee. A ruling is due by year's end. A separate appeals court early next month will hear two other Western states defend current prohibitions: Idaho and Nevada. , and Oregon.

Same-sex marriage is legal in 19 U.S states plus the District of Columbia: California, Connecticut, Delaware, Hawaii, Illinois, Iowa, Maine, Maryland, Massachusetts, Minnesota, New Hampshire, New Jersey, New Mexico, New York, Oregon, Pennsylvania, Rhode Island, Vermont, and Washington state.

The challenge to Virginia's ban was brought by several plaintiffs, including Timothy Bostic and Tony London of Norfolk.

@highlight

Supreme Court stays enforcement of decision overturning Virginia gay marriage ban

@highlight

An appeals court in Richmond ruled the prohibition unconstitutional

@highlight

The Supreme Court could have the final word on same-sex marriage bans