(CNN) -- For those fascinated by the meticulous craft of watchmaking, there are few more important events than Baselworld -- the annual trade show for the international watch and jewelry industry in the Swiss border city of Basel. Culminating April 3, everyone from giant heritage brands to young horologist upstarts will submit their latest wares to the critical gaze of 150,000 experts and enthusiasts from around the globe.

But for the average consumer, investing in a quality watch can still be a daunting and surprisingly complicated business. There are a raft of considerations to balance before committing to a luxury timepiece, and so we spoke to three leading industry insiders on how to make an informed decision.

Classic stays in style

Toby Bateman, the buying director at fashion retail site MRPORTER.COM, says first-time buyers should avoid anything too outrÃ©. "Keep it simple and timeless with classic design, something that would look good with a suit or your weekend clothes," he says. "If you follow this advice then you are unlikely to see your watch 'go out of fashion."

Size matters

Ariel Adams, the founder and editor-in-chief of aBlogtoWatch.com, the world's most popular watch blog, follows two simple rules. Watches should not look petite on the wrist, and the lugs should not extend past the edge of the wrist. "Most people look best with a round case, and a watch sized between 40-44mm wide looks good on the wrists of 95% of men," he says.

There are few exceptions to this rule. As Batemen says: "Avoid going too oversized unless you happen to be 6 foot 5' and it's in proportion to your gigantic wrists."

Read more: Death before dishevelment: Enter into Congo's cult of elegance

Iconic brands make for a good first splurge

"It is often safe to go with a well-known brand with a lot of history," says Adams. "The longer a brand has been making watches the better the results in many instances." There are at least 20 very reliable brands with a proven track record for quality. Given their popularity, they often prove easier to repair and service as the years tick by.

Don't think of your watch as a financial investment

"You'll never get the money back that you spent on it," says Andrew Block, the president and CEO of leading luxury watch consultancy Second Time Partners. "It's like buying a car. The minute you put it on your wrist it's worth less than what you paid for it." If maintaining the value of a watch is still important to you, he says Patek Philippe and Rolex will fare the best. For women, he suggests Cartier.

Off-the-radar brands are worth a look

There are literally thousands of brands to choose from, so do your research. Bateman suggests those graduating to luxury consider Bremont, a British brand which takes inspiration from the military, and Nomos Glashutte, an established brand in Germany that is making a push internationally.

Bling doesn't always justify price increases

The number one expense in watch-making is labor. It's not the materials, and it's not diamonds and gold. "Some watches are more branding than substance," says Adams. "Watch out for brands with bloated prices thanks to merely adding precious metals and jewels to base watches and movements that aren't worth very much."

Don't fear the funky or avant-garde

Over time, buyers should feel comfortable adding new designs to their collection. From fashion watches to sports watches, every timepiece can up your style quotient, says Block. "I believe in watch wardrobing," he says. "You wear one watch today and one watch tomorrow. You can have a different watch for every occasion. It's a concept women already understand, and which men should embrace."

Choose it yourself

A watch may not be a financial investment, but it is an emotional one. It reflects something about the person who chooses it. Because of that, it's unwise to let a relative or friend select the watch that you'll be wearing for the next five to ten years. This is an opportunity to express something about yourself.

Trust your instincts

"People tend to doubt their own taste and try to buy what they think people want them to wear," says Adams. "People should realize that their own taste is the most important and that legibility and wearing comfort are the two most important factors in allowing them to enjoy it the longest."

Read more: Beauty from the crypt: Mystery of Europe's jeweled skeletons

Technology can create problems

Added functions, such as a second time zone function, an annual calendar and a chronograph, can be useful. But if you don't know what these are, you should ask yourself if you really need them. "Highly complicated mechanical watches add value but also fragility and potential service problems," Adams says. "Those with very complicated timepieces are advised to have a few of them so that they have something else to wear if they need to be repaired."

Don't feel bad about rewarding yourself

Watches are practical purchases. Assuming you care for them, they can also last decades and become important markers of your personal history. "A fine watch can signify an achievement, like branching out on your own, graduating university, or getting your first job," says Block. "It can mark a new stage in your life."

Read more: Scrap metal find turns out to be $33 million Faberge golden egg

Read more: The dark drama of Venice Carnival

Read more: AK47s, ammo, and art: The unsettling allure of South Africa's beaded guns

@highlight

Last weekend, heavyweights of the luxury watch industry gathered for the annual trade show

@highlight

CNN brings you the most extravagant and complex models unveiled

@highlight

We also talked to experts about what to look out for when buying your first timepiece