The horrifying crash of Malaysia Airlines Flight 17 has put the pro-Russia rebels operating in Ukraine's eastern regions center stage -- and raised all kinds of questions about who they are, what they want and who's in charge.

U.S. and other officials have said it appears the plane was shot down by a sophisticated surface-to-air missile located within rebel-held territory.

The rebels have repeatedly denied responsibility and instead point the finger at Ukraine's armed forces.

Where are the rebels?

The rebels are pro-Russia militants concentrated in the eastern regions of Donetsk and Luhansk, with the industrial city of Donetsk a particular stronghold.

Recent gains by Ukrainian armed forces have seen the territory controlled by the rebels contract. But the rural area where MH17 crashed to earth July 17 remains under the rebels' sway.

The various rebel groups operating across the region do not appear to have a strong central command.

When did they first appear on the scene?

After popular protests toppled Ukraine's pro-Moscow President Viktor Yanukovych from power in February, pro-Russia rebels first appeared in Ukraine's Crimea region, where they seized key infrastructure. The region was subsequently annexed by Russia.

Unrest then broke out in eastern Ukraine, a heartland of support for Yanukovych, where many people speak Russian and feel closer ties to Moscow than to Kiev.

Rebel leaders in Luhansk and Donetsk seized key government buildings and declared themselves the heads of the People's Republics of Donetsk and Luhansk. In May, a referendum was held in each region on secession from Ukraine.

Who are the main rebel leaders?

Alexander Borodai, a Russian citizen, was appointed prime minister of the self-declared Donetsk People's Republic and has been a prominent public face for the rebels.

He's the rebel leader who after speaking with Malaysian Prime Minister Najib Razak agreed that the plane's flight data recorders would be handed over.

According to Andrew Kuchins, a Russia expert at the Washington-based Center for Strategic and International Studies, there are rumors Borodai is a Russian intelligence officer who has reached the rank of general in the FSB, the successor to the KGB.

"Borodai himself has denied (the rumors), but I would say that given his trips back and forth to Moscow, he has certainly been consulting with parts of Russian intelligence over the past couple of months," he said.

In an interview with CNN's Chris Cuomo, Borodai denied any responsibility for the downing of MH17.

Another name that crops up frequently is that of Igor Girkin, also known as Igor Strelkov, the self-proclaimed defense minister for the people's republic.

According to U.S. Secretary of State John Kerry, Strelkov on July 17 "posted a social media report bragging about the shoot-down of a transport plane -- at which point when it became clear it was civilian, they pulled down that particular report."

Also a Russian, Strelkov was a military commander in the rebel redoubt of Slovyansk before it was retaken by Ukrainian forces, later reappearing in Donetsk city. He was also present in Crimea at the time of its annexation.

Added to an EU sanctions list in April, he was described as being on the staff of the Russian military's main Intelligence Directorate.

What is the rebels' response to the claim they shot down MH17?

After three months or more of bitter fighting against the Ukrainian authorities, the rebels are disinclined to believe anything they hear from Kiev or the West, says freelance journalist Noah Sneider in Ukraine.

They deny shooting down MH17 and many instead claim it is a provocation conjured up by the Ukrainian authorities in Kiev, he said. Many of them claim they don't have the equipment to have hit the plane.

"Anything that's released by the current authorities in Kiev is seen in rebel eyes as fabricated, as intended to -- essentially to draw NATO into Ukraine," Sneider said.

Asked about the growing weight of evidence gathered by Washington and Kiev, such as social media postings and phone intercepts, Borodai told CNN it was fake.

"It is very simple to disprove it. All of the information that comes through the Internet, in my opinion, is practically all lies," he said.

Would the rebels have been able to shoot down the plane?

Russia denies claims by Kiev and the West that it has provided training, heavy weaponry and logistical support to the rebels. It also dismisses any direct involvement of Russian forces in Ukraine.

In recent weeks, rebel forces have brought down a number of Ukrainian military aircraft in the eastern regions, including two Antonov AN-26 transport planes, several Mi-8 and Mi-24 helicopters, an Su-25 fighter jet and an Ilyushin IL-76 cargo plane.

However, Ukrainian and U.S. officials believe Russian expertise would have been needed to operate the SA-11, or Buk, antiaircraft system that seems increasingly likely to have been used to shoot down MH17.

Vitaly Nayda, Ukraine's director of informational security, told CNN that he is certain a Russian officer personally pushed the button to shoot down the plane.

CNN's Nick Paton Walsh, who has reported extensively from Ukraine and met many of the rebel fighters, said it was hard to say if any of them had the specialist training needed to operate the Buk system.

"The people we've met, the militia, they're ragtag, a lot of them have old military experience, and that's mostly ground, street-to-street fighting, rather than the technological stuff you need to know to run something like that."

A lot of heavy weaponry has flooded in during the past few weeks, said Paton Walsh. "But the majority of video you see of separatist armor and weapons, lighter artillery, even Grad rocket launchers sometimes, are nothing of the scale of the Buk."

What weapons do the rebels have?

The military aircraft brought down by the rebels were flying at relatively low altitudes and were for the most part brought down by shoulder-launched SA-7 missiles and ZU 23-2 anti-aircraft guns. Such weapons were seized when pro-Russian rebels took control of several Ukrainian military depots and bases.

But those weapons are a world away from the Buk system, effective at a higher altitude, at which the Malaysia Airlines plane was flying.

Peter Felstead, an expert on former Soviet military hardware at IHS Jane's, says that "the Buk is in both the Russian and Ukrainian inventories, but it's unclear whether the one suspected in the shoot-down was taken by rebels when they overran a Ukrainian base, or was supplied by Russia."

Video posted by Ukraine's Interior Ministry on its Facebook page shows a Buk system, according to the Ukrainian officials, heading toward Russia, with one missile missing.

Borodai told CNN that the rebels had never been in control of a single Buk missile system.

What does Russia say?

Russia insists it has no direct influence over the separatists. Russian President Vladimir Putin has also been consistent in his denials of any Russian involvement in the bringing down of MH17.

"No one should have the right to use this tragedy to achieve selfish political objectives," he said.

Foreign Minister Sergey Lavrov said Russia wanted to see an objective, open and independent investigation, adding that Ukraine must take the initiative since the tragedy occurred on its territory.

"With regard to the claims raised by Kiev, that it was almost us who did it: in fact I haven't heard any truthful statements from Kiev over the past few months," he told state TV channel Russia 24.

Russian state media reports have sought to suggest that Ukraine's own armed forces may have been involved in bringing down MH17.

Vitaly Churkin, Russia's ambassador to the United Nations, also blamed Ukraine for the crash in remarks Monday. But when asked about audio recordings of purported pro-Russia separatists talking about shooting down a plane, he suggested that if they did, it was an accident.

"According to them, the people from the east were saying that they shot down a military jet," he said. "If they think they shot down a military jet, it was confusion. If it was confusion, it was not an act of terrorism."

@highlight

The pro-Russia rebels are concentrated in the eastern regions of Donetsk and Luhansk

@highlight

The leader of the self-declared Donetsk People's Republic is Alexander Borodai

@highlight

Analysts say he is rumored to be a senior Russian intelligence officer

@highlight

The rebels have denied any involvement in bringing down Malaysia Airlines Flight 17