(CNET) -- High-quality, high-definition videoconferencing is coming to the living room, but consumers should expect to pay top dollar for it.

Today not one but two major technology companies will be announcing new videoconferencing products for the home.

Cisco Systems, which already has a well-established telepresence line of products for large companies, and Logitech, which makes Webcams and other PC peripherals, each in separate press conferences plan to announce products that will bring telepresence videoconferencing to consumers in the home.

For years, technology companies have been describing a day when grandmas halfway around the globe could dial in to a video call to watch their grandchildren take their first steps. Loved ones separated by oceans could share in all kinds of special moments via high-quality videoconferencing that makes them feel as if they are in the same room.

Finally, the promise will soon be reality. As high-speed Internet access and high-definition TVs become more ubiquitous, and the cost of high-definition cameras and high-end processors comes down, the time is finally right for high-quality videoconferencing technology to come to the home.

But even with price drops on these components and the ubiquity of broadband, getting this high-quality video experience won't come cheap. The Wall Street Journal reports that Cisco is expected to charge $600 for new hardware and a $30-a-month service fee for its home telepresence service.

Other news outlets cite a lower-end Cisco solution that costs $200. If Cisco teams up with service providers, such as Comcast or Verizon Communications, it may offer the device for a subsidized price and make up the difference on monthly service fees.

Regardless of exact pricing, the home edition of telepresence will be considerably less than the $100,000 the company charges large companies to set up telepresence conference rooms. Still, it may be too high for the average consumer, especially when much less expensive options are already available.

For example, Skype offers free videoconferencing through its peer-to-peer service. People can use the Skype client on a computer or they can use it on an HD TV. Skype's service is already bundled into several models of high-definition TVs sold by Panasonic and Samsung that connect directly to the Internet.

What's more, later this fall Microsoft will be adding videoconferencing to its Kinect motion controller for the Xbox 360 game console. This device also offers a camera and microphones, making it yet another inexpensive solution to the videoconferencing dilemma. And there are other low-cost solutions already available. For instance, Sony's PlayStation 3 also already offers online video chat.

Cameras that can be used with Microsoft's Xbox 360 video chat solution and Skype's service cost about $150 a pop.

Even though Cisco isn't officially commenting on its upcoming news, the company would likely argue that the price difference between what it plans to offer and what Skype offers comes down to quality.

When Cisco first introduced its telepresence videoconferencing products for the enterprise, it bet that companies would pay for a higher-quality experience that made executives feel like they were sitting across the table from their virtual counterparts. Cisco was right. Its enterprise telepresence business has been growing steadily since it was first introduced four years ago.

The life-like experience that Cisco promises with its technology certainly is not what people expect with less-expensive services from companies, such as Skype and Microsoft. Because the quality expectation is less, these services can get away with using the public Internet, and existing processing capability on devices like a TV, computer, or game console to offer the service.

By contrast, Cisco is introducing dedicated hardware that will provide a much higher-quality service.

And if reports of a Cisco $30 monthly service charge are accurate, the Cisco home telepresence service will not travel over the public Internet. Instead, it will likely be delivered over a dedicated sliver of bandwidth from a broadband provider that will guarantee a certain quality of service. (This is the same setup Cisco uses to offer its corporate customers service guarantees for its enterprise-class telepresence service.)

What this means is that Cisco will likely offer consumers a high-end service, which would appeal to people who are willing to pay top dollar for better quality. And Skype and others may offer a less expensive option that addresses a different segment of the market.

Pricing for Logitech's offering, which will be part of its Google TV launch, hasn't been revealed yet. So it's difficult to know if Logitech will fall in the lower-end Skype competitor category or if it plans to go after higher-end customers as Cisco is likely to do.

"We think there will be a range of products and services available based on quality," said Cullen Childress, senior director of product management for Polycom. "This is already the case with a lot of products in the consumer electronics market. People expect to pay a lot more for quality and a better experience."

Polycom is one of Cisco's major competitors in the enterprise telepresence market. Polycom has already been offering a home videoconferencing service of its own.

But the company has focused on business users rather than consumers. Its home office offerings range in price from $100 for a desktop software license to $10,000 for a hardware optimized experience. The difference in price is mainly dictated by the additional hardware and software necessary to guarantee a higher-quality experience, Childress said.

Even though Polycom hasn't yet introduced a consumer product, the company is exploring the market. In January, it teamed up with IBM to demonstrate a consumer home telepresence system at the Consumer Electronics Show in Las Vegas.

IBM's smarter-home demonstration at CES included several different applications for the connected home via a cloud-based Internet service powered by IBM. The telepresence videoconferencing application demonstrated how Polycom's technology could be integrated with an HD TV to make and receive video calls.

Polycom still hasn't announced a commercial consumer product. But Childress said that ensuring higher-quality video necessitates dedicated hardware, which would drive up costs.

"Software-driven experiences work on smaller form factors, such as on mobile devices and laptop screens," he said. "But when you want to ensure quality, especially on a 50-inch screen, you'd want to do optimization with hardware."

Market getting more crowded

Even with a higher-quality service that may set them apart from low-cost solutions such as Skype, Cisco and Logitech will soon be competing in an increasingly crowded market.

While Logitech has competed previously in the consumer market, Cisco has much more experience in the enterprise where cost is less of an issue. While it has consumer brands, such as its Flip video cameras and Linksys home Wi-Fi routers, Cisco has had a harder time hitting the sweet spot in terms of pricing for its home-grown consumer products.

For example, its Wireless Home Audio offering introduced over a year ago, which is a suite of six products that allows users to share music in multiple rooms throughout their homes wirelessly, comes in three bundles that range from $550 to $1,000, a hefty price tag for a function some systems do for a lot less.

© 2010 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

Consumers should expect to pay top dollar for high-definition videoconferencing

@highlight

Two tech companies announcing videoconferencing products for the home today

@highlight

Skype already offers free videoconferencing through its peer-to-peer service