McDONOUGH, Georgia (CNN) -- Huddling in a dark parking lot outside a budget motel near Camp Shelby, Mississippi, the Callaway family held on to the two things they value most in this world: their faith and each other.

Ryan Callaway, left, Jared, center, and Seth enjoy a moment before shipping out to Afghanistan in June.

Crying, Mark and Karmen Callaway and their daughter Anna Katheryn clutched the family's three soldier sons before the trio shipped off to serve in Afghanistan.

Karmen wasn't thinking about how rare it is for three brothers to go off to war together. She was thinking about Ryan, 25, Jared, 23, and 20-year-old Seth all returning home unharmed.

"I know people lose their children every day," Karmen said a week later as she sat in her kitchen in McDonough, Georgia.  Watch the Callaway family on how they cope »

"A fear that I have is that something might happen to all three of them. But at the same time, I have an assurance that I will see them again."

Mark Callaway, describing the farewell, said he was trying to ignore a group of curious beer-drinking construction workers gathered around a nearby truck watching the tearful scene play out.

"These construction workers saw three boys crying and Karmen and Anna Katheryn crying, and I'm sure they were wondering what's going on, because the boys were still in their civilian clothes," Mark said with a smirk. "It was just rough leaving the three of them."

Anna Katheryn, at age 18 the family's youngest child, seemed confident about her brothers' safety with U.S. and other NATO forces fighting Taliban and al Qaeda some 7,400 miles away.

"They're Callaways," she said with a smile. "They're going to be all right. Sometimes, it does worry me, but you have to give it to Jesus and know that he's going to take care of them."

Family sacrifice

All three brothers are serving in Bravo Company, 1st Battalion, 121st Infantry Regiment of the 48th Brigade, Georgia Army National Guard. The Pentagon says it's unusual for three siblings to serve in the same Army company, which consists of about 100 to 125 soldiers. But it's not unheard of.

Siblings who enlist in the National Guard in the same state are more likely to serve together because Guard forces are state-based units, military officials said. Enlistees in regular armed forces could be deployed in units based across the nation.

For example, Nevada's Army National Guard counts nine sets of brothers among its ranks deploying for Afghanistan this summer, according to a spokesman.

There are no regulations banning siblings from serving together, but for obvious reasons, commanders don't send siblings on the same missions.

Carol and Michael Ewens of Gig Harbor, Washington, know the worry of having multiple sons in battle and the pain of losing a child to war. In 2006, an Afghan roadside bomber killed their 25-year-old son, Army Lt. Forrest Ewens. Now, three more of their sons will be serving in the region.

Lt. Oaken Ewens, 28, and Staff Sgt. Elisha Ewens, 26, are in the Army's 10th Mountain Division.

Just six weeks after his brother's death, their youngest son Stephen Ewens, now 24, announced he had enlisted in the Army's 2nd Infantry Division -- eventually deploying with a Stryker brigade.

"I threatened to shoot him in the foot," his mother joked. "I felt almost like doing something to make him ineligible to go because I didn't want to have a third son there. But no matter how much I begged and cried, it didn't count."

Fighting in the same war that took his brother's life "was something he felt like he had to do," Carol Ewens said. "It was part of his expression of honoring Forrest and grieving for Forrest and wanting to carry on what Forrest was doing."

She said she relies on God to pull her through.

"My faith has been the only thing that has given me peace with Forrest's death, so I have to prepare myself and trust that God has a greater plan," she said. "When one of my children is taken away from me, I have to believe that it's good."

God and country

Reminders of God and country dot the Callaways' rural Georgia neighborhood about 40 miles southeast of Atlanta.

"God bless our troops," said a roadside sign outside a church along a two-lane roadway in Henry County.

Afghanistan is the second war that Ryan and Jared Callaway have fought for their country. From 2005 to 2006, they also served in Iraq. But Afghanistan will be the first war for Seth, whom Karmen Callaway calls her "baby boy."

"I just know that he is going to do something very important over there," she said.

Karmen and her husband recall how the brothers as kids would pretend to be soldiers in the woods behind their house.

"They were always out there playing army and making bike trails," said Mark. "They're still playing war, too, but they're playing it for real this time."

Sitting at the kitchen table at the family home, Karmen is surrounded by three sparkling ornamental stars hanging from a shelf on the wall -- reminders of her sons.

Karmen said she'll be comforted by the thought that her boys will be relatively close to each other. "They might see each other some, but it won't be like they're together all the time," Karmen said.

For most parents, protecting young sons or daughters who aren't serving in a war zone can be stressful enough.

Karmen bears the added burden of preparing herself for an unspeakable possibility -- something she learned to deal with when the oldest two were in Iraq.

When describing each of her sons, Karmen briefly began to cry. After quickly pulling herself together, she held out three rocks -- all smaller than her palm -- marked with the words, "count your blessings," "pray," and "laugh."

Each of her sons, Karmen explained, carries a rock with a special word describing their personalities.

Ryan's rock is imprinted with "accomplish." Jared's bears "courage." Seth's says "strength."

The stones represent her assurance that she will see her sons again, she said. They're meant to ease her worries during the yearlong deployment.

Family of educators

The Callaways are a family of educators. Karmen, who teaches an after-school program at a nearby elementary school, will pursue a teaching degree this summer, before returning to help students in the fall. Daughter-in-law Louie just wrapped up her first year as a teacher -- after eloping with husband Ryan.

"We met in November and got married in January, so it's just been crazy," said Louie, her family's nickname for Louise. "The most stressful part was taking a week off work and going to Mississippi ... so I have my students to think about -- getting them prepared for eighth grade -- and my husband's leaving for Afghanistan. So that was a bit overwhelming, I would say."

Louie and Ryan have almost daily contact, thanks to the Internet, as do Jared and his wife, Heather. Sometimes, when Ryan and Louie chat by phone, Louie feels the need to be upbeat and "try to have something good to tell him."

"He doesn't want to hear my play-by-play about the students, and I don't want to hear about the danger he's in," she said, looking at Karmen across the kitchen.

The Callaway home is decorated with scores of family photos in every room. A large, round, old-fashioned analog clock hangs above the family room fireplace, as if the Callaways need to be reminded of the passage of time.

The Callaways' 'miracle'

In a room off the foyer, Anna Katheryn sometimes plays the family's baby grand piano, a talent that -- in retrospect -- seems more like a miracle to Karmen and Mark.

On a rainy night in 2001, Anna Katheryn and Jared nearly lost their lives when their vehicle hydroplaned and Jared lost control of the car.

The Honda flipped off the road and into a fence post, leaving Jared shaken and Anna Katheryn in a coma for seven days, Karmen recalled.

Doctors told the family that Anna Katheryn probably had suffered brain damage and that they should "be prepared for a different child."

With support from their church and after multiple surgeries and rehabilitation, AK-47, as she's nicknamed, made a full recovery, graduating from high school with honors this year, her mother said.

The real-life nightmare provided Karmen with a valuable lesson in faith that she plans to lean on during the coming months.

"What I learned during that time is that if something were to happen to one of my children, God could sustain me and I could go on," she said.

She turned to look at the kitchen shelf and the hanging trio of ornamental stars -- gifts from an Army family support group.

"I got three because I have three soldiers, and we decided to put them up and keep them up until the boys return," Karmen said quietly. "That will help us when we're in the kitchen and when they're not around. We will feel that they're near us."

@highlight

It's unusual: Three brothers serve in same Georgia National Guard company

@highlight

Another three brothers from Washington state also serve in Afghan war

@highlight

Two mothers open up about the stress of having three sons in harm's way

@highlight

Nevada Army National Guard unit has nine sets of brothers serving in Afghanistan