I pump the gas to the crest of the muddy hill, engine roaring.

A sharp hairpin bend immediately requires a swift swing of the wheel, but the tires keep their grip and I bump my way down a steep incline of mud, rocks and tree roots.

At the bottom I'm greeted with a deep flooded section of track and as the vehicle plows through, a colossal splash of muddy water swamps the hood.

Through the swampy greenery of reeds and ferns, I feel, for a moment, like a khaki-clad explorer of the Empire, navigating the jungles of British East India.

In fact I'm cruising in a brand new Land Rover Discovery, from London to Eastnor Castle in the Malvern Hills, on day two of Land Rover's "Best of British" tour, having kicked off in style with a night of world class luxury at the legendary Savoy Hotel.

My mission is to become even more British than I already am, delving into my own culture with abandon, discovering the land and its history, in order that one day I might be able to order a "Gee 'n' Tee," play a game of croquet and use the word "chap" in a dozen different ways without sounding like a charlatan.

If my lunch stop is anything to go by, it won't be long before I'm ordering that quintessential Brit drink from a butler too -- after a pass of Windsor Castle and the Chiltern Hills we pull up at the gilded gates of Blenheim Palace.

5 must-play golf courses in the Canadian Rockies

Blenheim Palace

"Welcome to the birthplace of Winston Churchill and residence of the Duke and Duchess of Marlborough," announces our host in a cut-glass accent.

This 18th century Baroque masterpiece is a UNESCO World Heritage Site and despite a recent land-selling controversy, it remains a day trip destination that'll tire the kids out nicely, with an adventure playground, maze and mini-train just some of the attractions besides the house tour and grounds.

Quickly, we're whisked off for our victuals in the Indian Room, its colonial furniture and tropical decor harking back to a time when Britain really did rule the waves.

A retired army colonel gazes at the exotic milieu, "Ah, could be Bombay 1895," he muses wistfully.

The days of the Raj live on in this corner of England.

Strolling around the gardens, I do a mental check of my kit list for the next few days.

Green wellies -- yep. Barbour jacket -- yep.

Trusty hound and a tweed deerstalker cap? Er... well, maybe that would be taking this whole aristocracy fantasy a bit far but it's easy to get carried away on this trip.

This is the England of Downton Abbey and Gosford Park -- an exclusive tour through our green and pleasant land, staying in historic palaces, ancient manor houses and chocolate box villages along the route.

Traditional country pursuits are all part of the fun too, although nothing as contentious as fox hunting.

And though I'm doing this tour in that icon of British motoring, the Land Rover, it of course doesn't take a 4WD vehicle to negotiate the tarmac roads of southern England.

Which is why we are heading for Eastnor Castle, Land Rover's training and testing ground since 1962.

The sumptuous castle will be our home for the next two days and when we're not bouncing around on our antique four-poster beds or rubbing shoulders with suits of armor we'll be out in the 5,000-acre estate, putting our off-road driving skills to the test on a private network of forest tracks, steep hills, deep water and of course, this being England, plenty of mud.

Having "done the practical," later we'll find out how this car favored by England's land-owning elite is actually put together too.

Driving and discovery

The Barbour jacket and green wellies come into their own the following day as we stride out across the castle's grounds, shotguns over our shoulders for our own version of the legendary hunting parties of the Victorian and Edwardian age when shooting skills were considered the mark of a man, alongside horsemanship and a stiff upper lip.

While no feathered friends are bagged (just pigeons of the clay variety), we do get to hang with some top birds -- falcons.

"Now, this is real hunting," says the falconer with pride.

"People have been hunting with birds of prey in England for 1,200 years, since the Saxon times."

Never mind the history; seeing these predators in action gives you a sense of the wild like few other things and its popularity is booming in the country.

But we mustn't dither, for after heading across country, stopping for a proper English cream tea and a night in the honey-stone village of Lower Slaughter (it really deserves a nicer name) we arrive in Gaydon, the home of Land Rover.

This is where we get our petrol head on for the engineering tour of the plant plus a chance to drive some of the vintage vehicles, harking back to a time when men were men and Land Rovers were workhorses.

We'd already run these machines through their paces at Eastnor, careering through flooded fields and up and down muddy hillocks on the test track -- and now we got to see how all that engineering was put together.

From what was simply a riveted steel utility vehicle to today's air-conditioned dream machine with computerized terrain response, the Land Rover really has come a long way since the first Series 1 model rolled off the production line back in 1948.

Take it from me -- the men on the trip found it fascinating.

Shaking it all off

Of course, this being the Best of British tour means it can end only one way -- with Shakey.

We're off to Stratford-Upon-Avon to experience the genius of the Bard at the Royal Shakespeare Company with the added bonus of dinner on the theater's rooftop restaurant and Champagne and petit-fours during the interval.

And did I mention that we have the best seats in the house?

A final day in the luxurious surroundings of the William Cecil Hotel on the Burghley Estate sees some of the group attend the famous Burghley Horse Trials.

But for me, the fantasy is over.

The last six days have been an immersion in elegance, excellence and impeccable good taste -- and a unique window into the grandeur of Britain's past.

I hand over the keys to my Land Rover with a farewell pat, as I know it is unlikely we'll ever be reacquainted, and make my way back to real life.

Now. Where can one find a decent "Gee 'n' Tee"?

The Land Rover 'Best of British' tour runs from August 31 to September 8. Limited availability.

Prices from £3,995.00 ($6,463) per person. Burghley Horse Trials extension from £1,695.

More details and bookings here: Abercrombie & Kent;  +44 845 482 0832

@highlight

Eastnor Castle has been Land Rover's training and testing ground since 1962

@highlight

Visitors can try their hand at off-road driving through the forest tracks, steep hills, deep water and mud around Eastnor Castle

@highlight

The Best of Britain tour ends with a chance to attend the famous Burghley Horse Trials