(CNN) -- A burger grown in a laboratory. Sounds like science-fiction? Well up until very recently it probably was but now the prospect of lab-grown meat appearing on our supermarket shelves is closer than ever.

Synthetic or test-tube meat involves taking a small amount of cells from a living animal and growing it into lumps of muscle tissue in the lab, which can then, in theory, be eaten as meat for human consumption.

As well avoiding killing animals, scientists believe it could help reduce the environmental impact of meat production.

The technology to create artificial meat has been around since the turn of the century -- NASA once looked into developing it for their astronauts -- but making an edible and commercially viable product has remained out of reach. It also remains to be seen whether consumers will accept it as an alternative to farm animal-based meat.

But now a U.S. scientist says he is closer than ever to achieving the technological breakthrough. What's more, he believes a market for his lab-grown meat does exist.

Hungarian-born Gabor Forgacs, of the University of Missouri, is a specialist in tissue engineering, working to create replacement tissue and organs for humans. He realized the same technology could be used to engineer meat for human consumption.

He became the first scientist in the United States to produce and publicly eat some of his tissue-engineered meat, at the 2011 TEDMED conference.

His company, Modern Meadows, has already attracted a number of investors since being launched in 2011, including, says Forgacs, funding from the U.S. Department of Agriculture.

See also: 3-D printing: the shape of things to come

Initially at least, his engineered meat is likely to be more of a "niche" product, priced somewhere close to Kobe beef, which is currently around $125-$395 a kilo.

"This product isn't going to be for the masses at the beginning, it's going to be for eco-conscious people and people who don't eat meat for ethical reasons," says Forgacs.

However, Forgacs is not the only scientist working on lab-grown meat. Dutch researchers, led by professor Mark Post of Maastricht University, are promising a high-profile launch for their synthetic hamburger by the end of the year.

"It's not going to be as easy as some people imagine," says Forgacs, and adds, "I am not racing him (Mark Post)."

In fact, rather than attempt to race to produce an engineered meat product, Forgacs said his first lab-grown product is going to be leather, which he says "is a similar product to some extents but not as controversial and doesn't require the same legislation that meat does".

When it comes to producing meat, Forgacs says the most difficult part is creating muscle tissue that tastes, looks and feels like animal flesh.

"What the final outcome is going to be is difficult to predict," says Forgacs. "One thought is that it'll be something like an ingredient to a lot of staples which are based on animal protein -- for example we make something which has the consistency of ground meat and that can be used for patÃ©, meatballs.

"Take the analogy of flour. You don't eat flour, it's not very tasty but you eat a zillion products that contain flour and are very yummy. Whether or not this is going to be a major application of our product I don't know but this is definitely something I envisage it leading to."

See also: 'Scrambler software' to protect phones from prying ears

Forgacs says lab-grown meat is becoming increasingly necessary as the world struggles to cope with an unsustainable meat industry.

As well as animal welfare concerns over rearing large numbers of farm animals in close proximity, the water use, farmland for animal feed, waste and greenhouse-gas emissions associated with meat production make it one of the most significant environmental problems in the world today.

The U.N. Food and Agricultural Organization estimated that 18% of global greenhouse emissions are accounted for by the livestock sector, and demand for meat is predicted to double over the next 40 years.

Research from the University of Oxford, published last year, estimated that lab-grown meat produces 78-96% lower greenhouse gas emissions than conventionally produced meat within the EU. It also had a 99% lower land use and a 82-96% lower water use.

"The rules of the game of meat production are not the same as they were 100 years ago," says Forgacs. "It's not sustainable. We are destroying this planet with intensive meat production. Seventy percent of arable land today is one way or another connected to animals through grazing animals or growing food for them. We're running out of it."

He adds: "What we're doing is a transformational idea. We're going to produce something that is not exactly the same but it is going to be cost efficient and much less harmful to the environment."

What still remains uncertain is whether or not consumers will accept a lab-grown meat product.

Neil Stephens, a sociologist from the Cesagen Centre at UK's Cardiff University, has been studying the emergence of lab-grown meat and has interviewed a number of researchers working on the technology.

"Is this stuff really meat or something else?" says Stephens. "Some want it to be meat, and recognized like any other meat. Others think it is better to be seen as a new type of meat and as such OK to taste or look different. Then there is a minority who feel it is a meat substitute, very meat-like but not meat."

Without a product available for people to see, smell and taste, Stephens says it is difficult for any debate about how to classify it to move forward.

"If it ever becomes a marketable product it will still be a small one. It is not going to be plumped in the supermarket. It will take time to gain acceptability," says Stephens.

Many of the scientists working on lab-grown meat still see their research as marginal and are striving to get synthetic meat accepted as a reality, according to Stephens.

Whatever the final outcome, lab-grown meat is no longer in the realm of science fiction. "It is coming. There is no question that someone will hit it big and if we are the ones then so much the better," says Forgacs.

@highlight

U.S. scientist says he is close to creating commercially available meat in a laboratory

@highlight

Gabor Forgacs is taking cells from a living animal and growing them into muscle tissue

@highlight

His first lab-grown product is going to be leather

@highlight

Some experts question if there is a market for lab-grown meat