(CNN) -- What do you do when your baby lies limp in your arms, staring blankly into the distance while never crying?

What do you do when tests show signs of liver damage and your baby's seizures won't stop, but doctors can't tell you what's wrong or how to fix it?

Thanks to the Human Genome Project, which was completed in 2003, identifying new genetic mutations has gotten easier and cheaper. But geneticists often struggle to find patients who share these rare DNA quirks. Studying multiple patients with the same gene mutations and similar symptoms is crucial to identifying a new genetic disorder.

That's why a paper published Thursday in the journal Genetics in Medicine is so remarkable.

The paper identifies NGLY1 deficiency as an inherited genetic disorder, caused by mutations in the NGLY1 gene. The researchers have confirmed eight patients with these mutations who share several symptoms, including developmental delays, abnormal tear production and liver disease.

And they credit an "Internet blog" with bringing the patients and scientists together.

Grace's genome

Grace Wilsey's parents knew something was wrong right away. Their newborn daughter was lethargic. Her eyes seemed hollow and unfocused. She refused to eat. Doctors at the hospital ran multiple tests, but couldn't come up with a diagnosis.

Eventually, the Wilseys took Grace home.

As she grew older, Grace continued to exhibit troubling symptoms. Her cognitive and motor development were far behind other children her age. She had hypotonia, a condition that made her constantly limp like a rag doll. Tests revealed she had high levels of AST and ALT liver enzymes, a sign of liver damage, but no one could figure out why.

The Wilseys traveled the country with their baby girl to find an answer. They visited Johns Hopkins Hospital and the National Institutes of Health on the East Coast, and several children's hospitals on the West.

"We've probably seen over 100 doctors," Matt Wilsey said. "We've seen the best clinical minds in the United States."

Not one of whom knew what was wrong with Grace.

When Grace was 2 years old, the Wilseys started doing whole genome sequencing at Stanford University near their home in the San Francisco Bay area and at Baylor College of Medicine in Texas.

It was at Baylor that they first met Matthew Bainbridge, who was working on his doctorate in structural and computational biology and molecular biophysics in Baylor's Human Genome Sequencing Center.

'One was very bad, and one was pretty bad'

The first thing geneticists look for when searching for the cause of mysterious symptoms is known DNA mutations, Bainbridge said.

"Your first instinct shouldn't be 'I'm going to find something new. (It should be) 'I'm going to find something someone has already discovered.'"

Once he's crossed known disorders off the list, he looks for unusual mutations. All of us have mutations in our DNA that don't affect us in any noticeable way; if you sequence 500 healthy people's genomes, the same mutated genes would likely come up time and again.

But unusual mutations -- like those Bainbridge spotted in Grace's NGLY1 gene -- are a sign that a particular gene may be causing a problem.

Think of your DNA as a recipe, Bainbridge said. Some gene mutations are like little typos in that recipe. Maybe your body adds a bit too much flour or an extra teaspoon of sugar. Other gene mutations are more destructive; they make your body leave out an entire ingredient, or delete half the recipe.

Grace's mutations of the NGLY1 gene were the destructive kind.

"One was very bad, and one was pretty bad," Bainbridge said.

The scientist knew he was onto something. He began searching online for any references to the NGLY1 gene. Some work had been done in fruit flies and mice, showing the gene's mutations could cause the lab animals to function improperly. Then he came across a paper published in the Journal of Medical Genetics that mentioned a young boy who had a genetic disorder that may be related to NGLY1 mutations.

Bainbridge dug deeper and found a blog written by a man named Matthew Might, an assistant professor at the University of Utah.

"My son Bertrand has a new genetic disorder," Might had written on May 29, 2012. "Patient 0."

Scientists at Duke University had used whole-exome sequencing to discover Bertrand had two different mutations on the NGLY1 gene, which encodes the enzyme N-glycanase 1. N-glycanase 1 is typically found in a healthy person's cells. It helps break down defective proteins so they can be reused throughout the body.

"My son is the only human being known to lack this enzyme," Might wrote.

Bainbridge read Might's previous posts about Bertrand's symptoms. They were similar to what Grace's parents had described. But the key seemed to be Bertrand's inability to cry.

Could Grace produce tears? Bainbridge asked Kristen Wilsey via e-mail on February 26, 2013.

Not really, came Kristen's reply. She'd seen a large tear once or twice; Grace's eyes would become moist, but multiple tears rarely fell.

It was one of those moments as a scientist, Bainbridge says, where everything falls into place. You know, the one where you would run down the street yelling "Eureka!" if that was something people actually said.

"You start shaking a little bit. You force yourself not to tell anyone for 24 hours," Bainbridge said. "Then you make a Powerpoint presentation and see if you can convince other people."

Finding others like 'Patient 0'

When the scientists at Duke University first identified the mutations in Bertrand Might's NGLY1 gene, they didn't know for sure that the mutations were causing the 4-year-old boy's symptoms. With only one patient, they had nothing to compare it to.

Still, "it was a huge relief," Might told CNN in an e-mail. "It meant that we'd reached the end of a long and painful diagnostic odyssey... Being the only patient in the world was shocking, but we knew there must have been other NGLY1 patients out there that were undiagnosed, just like Bertrand."

Bainbridge e-mailed Might through his blog, and the Wilseys put the geneticist and others on Team Grace in contact with the scientists working on Bertrand's case.

Others discovered Might's blog, as well. Clinicians and genetic researchers around the globe who had sequenced the genomes of six isolated patients and found mutations in the NGLY1 gene did the same thing Bainbridge had. They searched for "NGLY1" online and found hope.

"I think cognitively it's really nice to have a label," Kristen Wilsey said. "Once you do have a name, you can then start looking for a cure."

Matt Wilsey teamed up with Matthew Might to write an editorial accompanying the Genetics in Medicine journal paper. In the editorial, the two fathers propose a new model for genetic researchers. Their model uses a Silicon Valley approach of sharing successes and failures, and asks scientists not to underestimate the power of social media or a parent's need for answers.

"In order to diagnose patients, we must admit the limitations of our medical knowledge," they write. "Sometimes the best ideas come from individuals 'outside the box' (i.e. patients and parents)... Sometimes the least likely gene candidate is the answer."

Thanks to the "relentless digging" of the families, five treatment approaches are being studied, the fathers say. And the list of confirmed patients with NGLY1 deficiency is up to 14, according to Wilsey.

"This represents a complete change in the way we're going about clinical medicine," said Gregory Enns, co-lead author of the paper and a geneticist at Lucile Packard Children's Hospital Stanford. "This is happening so quickly because... so many people are coming at this from so many angles."

@highlight

A new genetic disorder called NGLY1 deficiency is identified in eight patients

@highlight

NGLY1 deficiency causes developmental delays, liver disease

@highlight

Kids with the disorder are usually unable to produce tears

@highlight

Fathers of two kids with NGLY1 deficiency propose new model for scientists