As a tide of Sunni militant fighters sweeping toward Baghdad threatens the government of Shiite Prime Minister Nuri al-Maliki, a flood of refugees sought safety in the autonomous region of Kurdistan.

At one checkpoint in northern Iraq, CNN's Arwa Damon witnessed a bumper-to-bumper procession of cars and trucks fleeing from Mosul and surrounding villages.

A virtual parking lot of vehicles filled with woman and young children, the two-lane road was choked with dust and engine exhaust as Iraqi civilians fled the rapid advance of the militant Islamic State in Iraq and Syria, an al Qaeda splinter group also known by its acronym ISIS.

"Mosul has fallen to the terrorists," one young man told CNN. "It's fallen to al Qaeda."

That unraveling began in earnest on Tuesday as Iraqi security forces fled and militants overran Iraq's second-largest city in a stunning collapse that heightened questions about  al-Maliki's ability to control not only Mosul, but the entire country.

Militants seized Mosul's airport, TV stations, the governor's office and other parts of the northern Iraqi city. There also were incursions into the oil refining town of Baiji.

Fighting alongside ISIS militants are other Sunni insurgent groups active during the U.S. invasion of Iraq that believe in fighting the Shia dominated government and its perceived anti-Sunni agenda, though they don't subscribe to ISIS's ideology or the establishment of an Islamic caliphate.

But this is much more than a battle between an insurgency and a government.

Much of the lands that have fallen to ISIS and its current allies is predominantly Sunni, where much of the population despises al-Maliki and his Shia-dominated government's polarizing policies.

It's a battle of survival between Sunni and Shia contingents.

Additionally, Shia religious leaders and others have called for volunteers to join Iraqi security forces in the fight.

Numerous reports of police and soldiers running from their posts in Mosul -- leaving uniforms, vehicles, weapons and ammunition behind -- raised the prospect that the Iraqi government did not either have the will or resources to combat the advancing threat.

"They have melted down, unfortunately," Foreign Minister Hoshyar Zebari said of a video purporting to show hundreds of Iraqi forces captured by militants in Tikrit, hometown of former dictator Saddam Hussein. "I mean, two army divisions in the city and their commanders escaped to the north. The government needs to take serious action."

On Friday, President Barack Obama said the United States "will not be sending U.S. troops back into combat in Iraq," but that he would be reviewing a range of other options in coming days.

Pressure for the United States to provide military support to Iraq's struggling government has increased, with conservative Republicans blaming Obama for the crisis by pulling out U.S. troops in 2011 to create a security vacuum.

The conflict could potentially escalate with reports that Iranian special forces were in Iraq to bolster the government of al-Maliki, a fellow Shiite. Iran rejected that claim.

At the northern Iraqi border crossing, families waiting in traffic described relative calm streets on streets where militant gunman roamed. Running water and gasoline were available, they said, but their biggest concern was airstrikes by the Iraqi military.

One such airstrike came against a former Iraqi military base south of Mosul where ISIS militants were believed to the staying. There also were warnings from Baghdad for residents to stay away from government buildings.

On Friday, Iraqi State TV reported that military airstrikes had killed 70 ISIS militants and wounded 40 others in Tikrit.

At the border crossing between Mosul and Iraqi Kurdistan, some returning refugees explained their willingness to come back by noting that ISIS had not conducted mass executions or pillaged towns.

A few hours later, however, ISIS published "rules" for residents based on a strict interpretation of Sharia law. A spokesman for the U.N.'s High Commissioner for Human Rights reported summary executions of Iraqi security forces and of 17 civilians thought to be working for the police in Mosul.

@highlight

Iraqi civilians flee toward Kurdistan region

@highlight

Chaos as Islamic militants scatter Iraqi security forces

@highlight

Government planes target ISIS with airstrikes