(CNN) -- In general, digestive diseases are hidden in the bathroom. You don't talk about anything that happens there unless it's with your spouse or a close friend.

Being ashamed and scared, you tend to pull back and hide. Nobody wants to stand out on a corner and say, "I've got an ostomy," myself included.

I have an ostomy -- just like more than 500,000 people in the United States, according to the United Ostomy Associations of America. An ostomy is a surgically created opening in the body that allows for the external elimination of body waste. They call mine a colostomy because it involves my colon. There are many types of ostomies, such as those involving the bladder or the ileum (the final part of the small intestine).

My path to this crossroads involved being diagnosed with Crohn's disease at the age of 17. The chronic disease left me doubled over in pain during flare-ups that sent me to the bathroom frequently for days. Some of the symptoms people experience are nausea, life-threatening bowel obstructions, incontinence, dehydration, intravenous feeding, fatigue and depression.

Living with Crohn's disease: 'Today I will fight again'

My illness was punctuated by multiple surgeries, hospitalizations and a body fighting to stay alive. I am thankful for the amazing doctors and nurses at UCLA who saved my life not once but twice.

Six years ago, my Crohn's had gotten so bad, I had a temporary ostomy where my colon was reattached several months later. I remember my emotional status after that: I didn't want to leave the house. If my bag filled up, I didn't want to use a public restroom to change it.

I found myself facing a permanent colostomy in 2010. I knew that I needed the procedure to save my life, but I was faced with the impending realization that my body and my life would change forever.

FAQ: Adapting to life after an ostomy

I would no longer be able to hit the beach and take my shirt off without people staring or getting grossed out. Nor would I be able to sleep with my shirt off, because it would mean one less layer of protection against a leak. I was afraid to leave my house or even let anyone see my bag; I have even hidden it from my inquisitive 8-year-old daughter.

I found myself trying to cover up noises and smells that I was convinced others always heard and smelled, although they rarely did. I knew that I had to make a choice between living my life in fear or meeting this new challenge head-on.

Eventually, I came to a realization: I refused to be part of a stigma and go into hiding because of embarrassment.

Now I am sharing my story in an effort to help educate the general population about ostomies. We need to start a national conversation about ostomies and let people know they are not alone.

David Rudzin, president of the United Ostomy Associations of America, agrees. "It would break the stigma and the silence, since no one talks about ostomy surgery. People consider it disfiguring and gross," he said.

"Ostomies, like mastectomies, save lives, period," he said. "Unfortunately, all people focus on is crapping in a pouch."

Designs to disguise and emphasize external devices

You see, all of my fears 2Â½ years ago were for nothing. Besides my efforts to raise awareness, I have traveled, gone to the beach (my shirt stays on, though), swum freely in pools and oceans, and even gone ziplining.

Having the ostomy has done nothing to impede my way of life. If anything, it has improved it. I am no longer living a life inside the bathroom.

My mission now is to convince everyone to start the conversation about ostomies. Maybe then we can reach those people who feel lost and scared, educate the public about greater acceptance and, most important, raise awareness so that no one fears having an ostomy or knowing someone with one.

The opinions expressed in this commentary are solely those of Doug Yakich.

@highlight

Doug Yakich has had Crohn's disease for more than 20 years

@highlight

Yakich had a life-changing colostomy about two years ago

@highlight

He hopes his essay will inspire a national conversation about ostomies

@highlight

Have a personal essay to share with the world? Submit at CNN iReport