(CNN) -- We've come to expect fees for hotel WiFi and parking, but as lodging fees pile up, there are some that may come as a surprise to even the seasoned business traveler.

Early check-in? Some hotels charge for it. Restocking that $5 bottle of water you drank out of the minibar? Yes, some properties charge for that, too.

The amount of fees and surcharges being tacked onto hotel bills has reached an all-time high, according to a report from the NYU School of Continuing and Professional Studies, which estimates that the U.S. lodging industry collected $1.95 billion in fees in 2012 -- up a whopping $100 million from the previous year.

Airports where architecture soars

"Fees and surcharges emerged as an industry practice in about 1997," notes Bjorn Hanson, the divisional dean of NYU's Tisch Center for Hospitality, Tourism, and Sports Management, which compiled the NYU-SCPS report. According to the study, the amount of hotel fees collected has risen every year since 1997 except for select periods following 2001 and 2008, when the demand for lodging declined.

The rise in hotel fees can be attributed to two things, explains Bill Carroll, a PhoCusWright hotel analyst and senior lecturer at Cornell University.

"There is a unique opportunity for hotels to produce additional revenue from their asset. Second, the consumer choice to purchase additional services is not encumbered by competition. The consumer has already chosen among competitors to stay at the property. Given that decision, the property can now offer additional services, without direct (price) competition. In addition, the property knows a lot more about the guest (traveling alone or with family, staying over a weekend as a leisure guest versus midweek as a business traveler, etc.). Targeted service offerings can be made."

Check in: World's best airport hotels

Hotel fees for things that add customer value are one thing, says Carroll, but "on the negative side are fees that bet on the guest not paying attention to folio charges."

Here are a few examples of the new batch of fees that have been creeping onto hotel bills.

Early check-in fee. If you want to check in to your room before the preset time, you could incur a charge of as much as $50 for the privilege.

Early check-out fee. You may also be charged anywhere from $50 to the cost of a night's stay if you have to leave a day or more earlier than expected.

Cancellation fees. Need to cancel your stay altogether? Whereas before you might have been able to cancel your reservation without penalty by 6 p.m. on the day before your scheduled arrival, some hotels are now charging you a night's stay if you don't cancel within 48 or even 72 hours prior to arrival.

Minibar restocking fee. At some hotels you'll not only have to pay to enjoy an item from the minibar, you'll also have to pay a restocking fee to have the item replaced. So that $12 can of nuts may end up costing you more like $19.

Automatic gratuities. Before you tip anyone, check to see if an automatic gratuity for their services has already been added. For instance, you may incur a one-time $10 to $30 fee to cover housekeeping and bellman gratuities, while your bill for room service or spa services may already include a 10% to 20% tip.

Gym fee. Some hotels are pumping up their bills by charging anywhere from $5 to $40 a day for the use of the fitness facilities.

Baggage holding fees. Need to stash your luggage at the bellhop stand? You might have to shell out a couple of bucks per bag to have them tucked away.

Tiered WiFi charges. Some hotels are charging for Internet access based on how you use it. For example, basic Internet service for things like checking your e-mail may be free, but if you need high-speed access, then it could cost you upwards of $10 a day.

Airlines collect $27 billion beyond ticket revenue

What irks travelers even more than having to pay the growing number of hotel fees is the fact that they may not even know about them until they've already booked the room, or worse, gotten their bill. So you need to do your due diligence and find out ahead of time what to expect.

In the minds of some hoteliers, the fees are a way to give guests what they want and not charge them for what they don't.

"Many guests don't require the full amenities a hotel offers, so fees are implemented to offer additional services the guests can add to their basic stay without penalizing other guests who don't need them," says Marc Sternagel, general manager of the Novotel New York Times Square. "Guests like the option of choosing additional add-ons, and therefore they are able to customize their experience in accordance with their personal needs for any specific stay."

Others hoteliers worry that bombarding their guests with fees will cost them customers.

"At all of our resorts, valet parking, Internet and minibar refreshments are extended to our guests on a complimentary basis," says Caroline MacDonald, senior vice president of marketing for Auberge Resorts. "Several resorts also provide breakfast as part of the daily rate. We find that our guests really appreciate the small gestures, and have found that they value the overall experience."

World's best airport spas

Benji Homsey, president of Hotel ZaZa, a collection with locations in Dallas and Houston, says his company puts convenience and the guest experience first. "We've never charged for WiFi. We consider technology an investment for the hotel, since 65% of our midweek guests are business travelers."

However you see them, hotel fees aren't likely to be going away anytime soon.

"Such fees will continue," predicts Carroll. "The smart hotels will structure offerings that are both reasonable to the consumer and add value. A few hotels will challenge the very notion of hospitality â€” 'Mary and Joseph, there will be an additional straw fee for the manger.'"

Hanson forecasts that the number and variety of hotel surcharges will likely taper off, but the number of hotels charging fees will increase, as will the amount of the fees being charged.

Explains Melanie Nayer, a veteran travel journalist and hotels expert: "Like everything, prices fluctuate with the economy and also based on demand. And hotels are just calculating appropriately based on industry standards."

Besides, she says, you were basically already paying these fees, you just didn't know it since they were lumped into a flat rate. "These aren't new fees so much as they are fees that have been separated from your room charge and put into a different line item."

Luckily, there are some ways you can avoid the glut of hotel surcharges.

"Loyalty programs are the best way to avoid extra fees and surcharges, since loyalty programs typically offer fee waivers," says Nayer. "You can also avoid fees in many cases by calling ahead to the hotel and asking about packages, many of which include fee waivers, especially for WiFi and parking."

Avoiding hotel fees may mean a little extra work on your part, but it could make a noticeable difference, especially for business travelers who may have trouble explaining all those extra line items when they turn in their expense reports.

What kinds of hotel fees have you encountered? What's your take on line-item billing?

@highlight

The U.S. lodging industry collected $1.95 billion in fees in 2012, NYU study says

@highlight

Fees started to emerge in the hotel industry in 1997, expert says, and fee revenue keeps increasing

@highlight

Joining hotel loyalty programs is one way to avoid line-item charges