Editor's note: In our Behind the Scenes series, CNN correspondents share their experiences in covering news and analyze the stories behind the events. Here, CNN's Arwa Damon describes the hardships faced by Iraqi women. Her documentary airs this weekend on CNN and CNN International.

Nahla's husband returned to Iraq after the fall of Saddam Hussein. He was killed in a bomb blast in 2007.

BAGHDAD, Iraq (CNN) -- The pain here is choking -- it's a dark, suffocating sorrow.

"They took my husband away in front of me. I found his body in the morgue a few days later. He had multiple bullet wounds and his eyes had been gouged out," one woman tells me, forcefully twisting a tissue in her hands as if it somehow could ease her agony and erase the chilling memory.

She didn't want her story told, too afraid that she would meet the same fate as the man she loved.

Her husband's body bore the "signs of torture." How many times has that phrase been used? It's such a common phrase it's as if what really happened gets glossed over: skin scraped off their bodies, fingernails ripped out, horrifying screams of pain before death.

How many times have we reported death tolls from one horrific bombing or another and not been able to get across that these are lives that literally were blown apart? No matter how hard we in the media try, Iraq remains a nation filled with untold tragedies, the scope of which so often is overwhelming.

And no matter how hard Iraqis try to shield themselves and those they love from the horrors here, more often than not they fail. Yet they keep fighting.  See the sacrifices of Iraq's women »

Nahla works at a radio station and is one of those women. She's tall, slender, elegantly dressed and has a firm handshake. I look at her and it's nearly impossible to imagine what she's been through.

"This numbers game, you always think that you are exempt from the numbers," Nahla tells me, referring to the daily death toll. "You're pained by them, but you are outside of them."  Watch Nahla's struggle to live on »

On April 14, 2007, her world shattered. There was an explosion on a bridge in the capital and 10 people were killed. Her husband, Mohammed, was one of them.

"And with it, I am motionless," she says. "Truly, life was in color and now it is in black and white. I feel like it is a game of musical chairs we used to play with others. ... One time you are hit with the chair; another time, someone else is. Now, my son and I are out of the game completely, completely."

The image of the man she loved, tall and proud, is of a doctor who moved his family back to Iraq after the fall of Saddam Hussein because he believed his country needed him. He was a father who doted on their 6-year-old autistic son.

Also etched into her memory is the image of his charred body, melted together with nine others, a twisted pile of black, scorched flesh.

Yet Nahla's voice is calm as she speaks, only breaking at the very end of our conversation, when the pain, buried so deep, rises to the surface. She couldn't suppress her gut-wrenching dry sobs.

I don't know how many times I have heard stories like hers after nearly five years of war here, and yet I still get chills. I can't stop being in awe -- nor can I stop looking at these women in amazement. Life in Iraq has forced people to confront horror that would leave many of us paralyzed.  Watch a divorcee forced to live amid squalor with her kids »

Where do they find the strength to keep going?

Some don't and choose to live out their lives as hollow shells, just waiting for this wretched existence to be over. But so many others refuse to be beaten down, refuse to allow the horror that is Iraq to win and kill their spirit.

"If I want to see Baghdad again from before the war, I have to do my part while the other person will do his part and the other person will do his part," says Dr. Eaman, a children's doctor, as her bright smile seems to shine unnaturally in Baghdad's grim atmosphere.

"This is the dream, and I wish everybody would believe it and it will happen, I'm sure, and this is what is keeping me here," she continues. "I have been attacked by three insurgents and was going to be kidnapped."

She now lives at the hospital, choosing to disassociate herself from her 8-year-old son to keep him safe.  Watch why "I must help my people" »

"I wish I can have him with me, live with me, you know, raising him, and just show him how to do things more than anything else," Eaman says as she laughs and apologizes for her tears. She knows she chose to live with that pain because she believes other children need her more.

"Iraq is my life, is my country. Being a woman and knowing what other [countries] look like, I want to make a change. I want to make a change for the future for a lot of people."

Yanar is another fighter, petite with curly dark hair and a commanding presence.

"You have been beaten, pushed, kicked and blindfolded," Yanar says, describing today's Iraqi woman. "You cannot see, you cannot hear, but you are kicking back. It's not OK to be like that. You kick back and you fight for what you deserve ... you should not be turned into a prisoner."

She started the Organization for Women's Freedom in Iraq to act as a watchdog to help safeguard women's rights amid war and conflict. She is another woman who exhibits jaw-dropping courage.  Go inside Iraq with CNN's Arwa Damon »

She left her family and her comfortable life in Canada and came to Baghdad to build growing support for women's rights. She lives a life that at times sounds more like a James Bond movie -- having to constantly move because of death threats -- than that of a mother of a 9-year-old.

"At many stages I had to change my house so my address is a secret; nobody knows where I am other than 10 very close allies," Yanar says nonchalantly, as if what she is saying is completely normal. But in Iraq it is -- it's a country where a person's parameters of what they accept as being "normal" have to shift to survive.

"What brings me here," Yanar says, "it is that everybody that I love, all the people that I love have been crushed."

She adds, "This cannot happen, should not happen, cannot be allowed to happen."

What we as journalists cannot allow to happen is for these voices to go unheard. No matter how hard it is for us to find them -- literally navigating roadblocks and checkpoints or spending days chasing down someone -- the voices of the innocents caught in war must be heard. E-mail to a friend

@highlight

Iraqi woman perseveres because "all the people that I love have been crushed"

@highlight

CNN's Arwa Damon reveals stories of horror, tragedy among Iraq's women

@highlight

Doctor says she wants all Iraqis to do their part: "I wish everybody would believe"

@highlight

One woman's husband was killed in 2007; his melted flesh is etched in her mind