(CNN) -- The same Obama administration that is under fire from critics for allegedly leaking classified information has used a 1917 law to target suspected leakers in twice as many cases as all previous presidential administrations combined.

Under Obama, the Justice Department has prosecuted six cases under the Espionage Act in recent years; federal prosecutors had used the law in three cases before Obama took office.

"They've been very tough on these issues," said Jeffrey Toobin, senior legal analyst for CNN. "I think Democratic administrations feel especially obligated to prove that they can be as tough as Republicans on law enforcement. That was true during Clinton, and it's true now, perhaps even excessively."

Congressional leaders call for halt to 'cascade of leaks'

Toobin said he believes the prosecutions are "mildly excessive," but "I think it's par for the course. I think it's reflective of a very tough law-enforcement culture that spans the parties." In a post-9/11 world, perhaps administration officials feel the stakes of leaking are higher, he said.

The issue of leaking classified information has been thrust into the national spotlight this week.

Several leading members of Congress argue that the Obama administration has not done enough to prevent leaks about a puported cyberwarfare program against Iran, the administration's efforts to expand its drone program and Obama's personal involvement in "kill lists" of militants in Yemen and Pakistan.

Some Republicans, including Sen. John McCain of Arizona, Obama's opponent in the 2008 presidential race, say the White House must be knowingly involved in the recent leaks. They allege that the White House has leaked information to paint the president as a strong commander in chief, a sensitive election-year allegation that the White House has strongly denied.

Read House Minority Leader Pelosi's reaction to McCain's accusation

The fact that the Obama administration has aggressively used the Espionage Act surprised people such as Steven Aftergood, director of the Project on Government Secrecy for the Washington-based Federation of American Scientists. He said the uptick in prosecutions was "not what anybody expected."

He said he believes there are several reasons why "there's something new and different going on."

"The aggressive pursuit of leaks is extraordinary and unprecedented," he said. "Why is it happening? I think there are probably multiple reasons. Those include the fact that it is probably easier to identify the source of leaks today than it was a couple of decades ago because there are more tracks of communications -- electronic communications, e-mail and phone records -- that are accessible to investigators than there were in the past."

Another reason could be a backlash stemming from the "wholesale disclosures of classified information by WikiLeaks," he said. The disclosures, he noted, "crossed so many different policy boundaries, they shocked and horrified government officials ... the tolerance for such leaks, to the extent there was any before, has gone away."

An additional factor is political pressure on the administration from Congress to stop the leaks, he said.

Analysts: 'The ship of state always leaks'

"Nobody is saying, 'You're overreacting. Back off. There are too many prosecutions.' That is not the message coming from Congress," Aftergood said. "Instead, congressional leaders of both parties are saying, 'We want more prosecutions and fewer leaks.'"

"That is not my position," he said. "I think Espionage Act prosecutions are, in most cases, inappropriate responses to the disclosures."

Passed after America entered World War I, the act is basically the only law prohibiting such leaks, Aftergood said.

"There are a couple of other lesser statutes that sometimes are invoked, such as misappropriating government property, that are more of a stretch, but there is no law that says you may not disclose any classified information under any circumstances," he said.

"And the Espionage Act is the closest fit. It doesn't mean they are being accused of espionage, but this statute is being applied to fit the facts of these cases. And the courts have said, when challenged that that's permissible."

However, he said, the prosecutions don't mean Obama has abandoned his pledge to provide the most transparent administration in history.

"If that seems like a contradiction, it's only on the surface," he said. "The administration never pledged not to enforce classification rules or to invite defiance of limits on disclosure of classified information."

It is true, however, that the law has only been used recently to prosecute low- and mid-level employees.

"That's one of the problems with leak prosecution in general," Toobin said. "High government officials feel no compunction about leaking, and the rare times anyone is prosecuted, it's usually someone at a low level."

"And also, I react to this as a journalist -- an interchange of information and ideas between government and the news media is indispensable to a functioning democracy, and if you start scaring sources with the possibility of years in prison, the loser is not going to be the news media -- it's going to be the public," he said.

White House press secretary Jay Carney said Thursday that Obama "has demonstrated his commitment to transparency through the variety of steps he has taken, unprecedented in American presidential administration history.

"But he is also president and commander in chief, and he will not countenance the leaking of classified information that can harm our men and women in uniform, harm Americans who work on our national security, harm counterterrorism operations," Carney said.

Aftergood said the prosecutions of lower-level officials reflect "one of the basic incongruities" in the law.

"Is it only the Army privates and the mid-level bureaucrats who are leaking? Is it never White House officials or senior agency officials? Judging by the government's prosecution record, you'd think that senior officials never leak, because they're never being prosecuted, and we know that's not true," he said. "What appears to be a pattern of selective prosecution is another aspect of the unfairness of the way these statutes are being enforced."

The government, he said, has several tools at its disposal to respond to leaks, including revocation of security clearances, terminations and other administrative penalties and fines.

"A felony prosecution for disclosure of information to the media ought to be the response in only the most egregious and damning cases," Aftergood said. "Instead, it seems to be the first response, even in the mildest or most questionable cases, like that of Thomas Drake."

Drake, a former National Security Agency official, was indicted in 2010 on 10 counts of willful retention of national defense information, obstruction of justice and making false statements. Prosecutors accused him of leaking information to a reporter.

But prosecutors decided they could not pursue the charges after a federal judge ruled classified information would have to be presented in open court. Drake pleaded guilty to a misdemeanor charge of exceeding his authorized use of an agency computer after authorities dropped the most serious charges -- including some under the Espionage Act -- against him. He was sentenced to a year of probation in July.

Drake's attorneys said the case did not involve "the handling or mishandling of classified information. Rather, it relates to Mr. Drake's decision to communicate with a Baltimore Sun reporter about his belief that NSA was engaged in waste, fraud and abuse."

Other cases include that of former CIA officer John Kiriakou, who pleaded not guilty in April to charges he gave classified information to reporters and lied to a CIA review board about material in a book he wrote; and Bradley Manning, the Army intelligence analyst suspected of leaking hundreds of thousands of classified military and State Department documents while serving in Iraq, many of which ended up on the WikiLeaks site.

Also, there's Shamai Leibowitz, a former FBI contract linguist who pleaded guilty to providing classified documents to the host of an Internet blog, who then published information on the blog. Leibowitz was sentenced to 20 months in prison in 2010.

Aftergood said he believes authorities should take into account whether the leak resulted in damage.

"There's too much passion at work here, too much zeal and not enough judgment," he said.

CNN's Tom Cohen and Carol Cratty contributed to this report.

@highlight

NEW: Obama will not accept harmful leaks, spokesman says

@highlight

Democratic presidents may feel the need to be tough on law enforcement, CNN analyst says

@highlight

Congressional pressure may be one reason for increased prosecutions, an expert says

@highlight

Technology also makes it easier to determine the source of leaks, he says