(CNN)ISIS apparently claimed responsibility Thursday for the deadly terrorist attack at a landmark museum in the heart of that country's capital, a mass shooting that has shaken the birthplace of the Arab Spring and stirred questions about militants in the country.

In an audio statement posted online Thursday, ISIS identified two men -- Abu Zakariya al-Tunisi and Abu Anas al-Tunisi -- it said used "automatic weapons and hand grenades" to kill and injure what it called "crusaders and apostates" in the Bardo Museum in Tunis. Tunisian Health Minister Said Aidi said 23 people are believed to have been killed, including at least one who died at a hospital overnight.

And that bloodshed, the ISIS message warned, is "just the start."

CNN cannot independently verify the legitimacy of the audio statement.

A U.S. official told CNN there is no reason to doubt the claim's authenticity. That said, American officials are checking the platform that the statement went out on, including the extent to which it's tied to the group calling itself the Islamic State.

The current U.S. thinking is the attack may have been carried out by local "franchise" adherents to ISIS, rather than centrally directed by the Islamist extremist group's leadership, which is now thought to be in Syria.

The two attackers were carrying explosives, Tunisian President Beji Caid Essebsi said in an interview Thursday with the French broadcaster TF1.

He credited Tunisian security forces for responding so quickly to the attack to avoid a larger tragedy because "terrible explosives were found on these (attackers) and they didn't have time to use them."

Tunisia has been viewed as the lone democratic success story in the Arab Spring. But the North African nation is not without its issues, including an uneven economy and the distinction of having more citizens -- up to 3,000 Tunisians -- thought to have gone to Iraq and Syria to fight as jihadists than any other country, according to the International Centre for the Study of Radicalization in London.

Authorities there have already arrested nine people in connection with Wednesday's attack, including four directly linked to the bloodshed, according to a statement from Essebsi.

Earlier Thursday, Tunisian Prime Minister Habib Essid identified two suspects, Yassine Labidi and Saber Khachnaou, in an interview with French radio station RTL. It's not clear if those two men were the pair killed at the museum by Tunisian security forces, or if it's possible they're the same people as those identified -- using new names -- in ISIS' audio statement.

Labidi was "known to the security services, he was flagged and monitored," Essid said. But he added the man wasn't known or being followed for anything special.

The siege took place just days after a Tunisian jihadist tweeted that a pledge of allegiance to Abu Bakr al-Baghdadi, the leader of ISIS, was coming soon, according to the SITE Intelligence Group, which monitors terrorist propaganda.

In his message, the jihadist claimed to belong to Jund al-Khilafah in Tunisia, a group that in December pledged allegiance to ISIS, even though that vow hadn't seemed to have fully registered with the Islamist extremist group. His post comes after an ISIS fighter in the extremist group's stronghold of Raqqa in Syria recently appeared in a video questioning why militants in Tunisia had not pledged fealty.

"This raises the possibility that the museum attack could be ISIS' debut on the Tunisian stage, timed to precede a pledge of allegiance from Tunisian jihadis for maximum impact," CNN terrorism analyst Paul Cruickshank said.

The attack may have been in and about Tunisia, but the vast majority of the victims were foreigners.

They came from various backgrounds, from a Spanish couple to a Colombian mother and son. In addition to those pairs, the dead included three Italians, three Japanese, two French, two Poles, a Belgian, a Russian and a Briton, according to cruise ship companies and their respective governments. Three Tunisians, one of them a security officer and another a job applicant, also were killed, according to Aidi.

Twelve of those killed had been aboard the MSC Splendida, a cruise ship with more than 3,700 passengers and nearly 1,300 crew that docked in Tunis hours before the bloodshed, its parent company said in a statement. Five more victims came from a similar vessel, the Costa Fascinosa, which was at port in the Tunisian capital at the same time, according to Costa Cruises.

Another 36 people remain hospitalized, while eight others were treated and released.

The Bardo had been a logical stop for these tourists, housed next to Tunisia's Parliament in a 19th century palace and cast as a "jewel of Tunisian heritage," with its exhibits showcasing the country's art, culture and history.

Its prominent place in Tunisia's economy -- which banks heavily on tourism, with millions visiting the country each year -- also made it a logical target for terrorists.

"They hit the heart of our livelihood," said Mohammed Ali Troudi, a taxi driver in Tunis.

It's too early to tell how tourists will react to the attack. Both the MSC Splendida and the Costa Fascinosa have since left Tunis, even as the search continues for some of their missing passengers -- at least four from the Splendida and two from the Fascinosa, according to their respective companies.

The question is whether more passenger-packed cruise ships, as well as commercial airliners filled with tourists, will come to Tunisia in the future.

Travelers warned of risks as Tunisia reels from attack

The economy and terrorism are linked in Tunisia, in the sense that high youth unemployment and sparse opportunities are thought to have contributed to the large numbers becoming jihadists -- whether abroad or at home. Attacking what Tunisian lawmaker Sabrine Ghoubantini called "a symbol of sovereignty in Tunisia" likely won't help.

"It's really sad," Ghoubantini told CNN from Tunis, "and I hope that it won't really affect our economy."

The government has been battling a jihadist presence in the Chaambi Mountains. And in February, the country's Interior Ministry announced the arrests of about 100 alleged extremists and published a video allegedly showing that the group possessed a formula for making explosives and a photograph of ISIS leader al-Baghdadi.

Mehrezia Labidi, another parliamentarian, says it's imperative that the message gets across to would-be jihadists that "life in democracy is better than" what terrorist recruiters are telling them.

"We have really to work on the culture, the level of ideas," she said.

Meanwhile, she and others stressed that the vast majority of Tunisians -- including secular-minded citizens and moderate Islamists -- need to come together for their country and against these extremist views and tactics.

"They are trying to terrify us. But the whole Tunisian people is unified -- all the parties, all the civil society organizations, all the countries are unified," Ghoubantini said. "... I'm sure that we will fight terrorism and that we will really eradicate it from our country."

CNN's Hamdi Alkhshali, Barbara Starr, Karl Penhaul, Marilia Brocchetto, Mohammed Tawfeeq, Arwa Damon, Salma Abdelaziz and journalists Yasmine Ryan and Livia Borghese contributed to this report.

@highlight

Attackers were unable to use their explosives, Tunisia President tells broadcaster

@highlight

ISIS statement: Attackers used weapons to target "crusaders and apostates"

@highlight

Tunisian authorities arrest 9 in connection with the Bardo Museum attack