(CNN) -- The mother had less than a minute to decide: Let her daughter go on alone and break up the family, or keep everyone together, unsure when they would ever make it out.

"No, Mommy!" her younger daughter shrieked as the older one looked at her solemnly, eyes pleading to let her go.

"You have to decide now!" said the uniformed attendant holding the door open, voice loud and stern.

This may sound like the dramatic climax of a harrowing tale of escape, and in a sense it is. It's just one of many typical standby travel scenarios, in which passengers are faced with tough decisions in their efforts to snag unclaimed airline seats at deep discounts.

There are two forms of standby travel: One covers most of us, who have paid to reserve a seat and for whatever reason find ourselves trying to get on a different flight. This includes people who get bumped from a flight and those trying to switch to a flight earlier or later in the day.

Then, there are "nonrevs," the term for passengers from whom the airline doesn't earn any revenue, which included the family in this particular scenario witnessed recently at the Zurich airport. This elite fellowship consists largely of airline employees, their families and acquaintances -- the mythical buddy passengers. Technically, they don't buy seat reservations. Instead, they list their names on a standby registry prioritized by relationship to the airline, giving them the chance to vie for remaining open seats after all of the paying passengers have boarded a flight.

Still, the wait could be days, as another family learned last week. Curtis Saxton, his wife, and his two children, ages 13 and 4, spent five days at the Salt Lake City airport waiting for a seats on a flight home to Virginia. The family was flying on buddy passes and couldn't afford to buy seats, Saxton told CNN affiliate KTVX. Finally, after five days without a shower, they lucked out when a KTVX viewer purchased tickets for a flight home.

Standby travel gets harder

With its reliance on ever-decreasing empty airline seats, standby travel appears to be going the way of free food in coach. But savvy travelers with time to spare and the right mindset are still finding ways to game the system into free and discounted flights.

It's hard to quantify exactly how much standby travel has decreased in recent years, because airlines contacted by CNN would not share specific figures on nonrev travel. But interviews with several longtime standby pros suggested that it has become increasingly harder, simply because it's hard to find an empty seat. Travelers might arrive at the airport for the first flight out and wait until the last one. If returning standby, they might end up spending several extra days overseas or flying around Europe to catch connecting flights that will get them closer to home.

However, a bold contingent of nonrevs remains undaunted. You can spot them at the airport watching flight information monitors like hawks, waiting for their initials to appear on the cleared list. But civility is also a requirement of standby travel as part of the airlines' terms and conditions for taking advantage of this benefit. Passengers keep a safe distance from the desk to avoid becoming a nuisance to airline staff, who are their only allies. After all, nonrevs know it's out of their hands. There's nothing anyone can do but wait and let the airline fates shine upon them if there's room and their standby priority ranking is high enough.

It's not for the faint of heart, requiring a vast reserve of patience and a "que sera, sera" attitude. There is no guarantee of success -- often up until the very last second -- which was the scenario this family found itself in one Saturday morning in July. There was only one seat left, and there were three of them. Raising the stakes was the fact that Sunday was a blackout day, meaning whoever was left behind would have to tough it out in Zurich for two days.

'You can't be in a hurry'

"I can do it," the older daughter said as the other started whimpering. "OK, yes," the mother said. Tears welled up her eyes as her daughter skipped toward the jetway without a second glance back. The mother choked back sobs as the door closed, and clutched her younger daughter as she wailed, "Let me go."

"One of the toughest things to deal with is the lack of control that you have over the whole process," said Albert Boquet, associate professor and chair of the Embry-Riddle Aeronautical University's Human Factors and Systems Department in Daytona Beach, Florida.

"You can't be in hurry and you have to be fairly philosophical about it," Boquet said. "If you go in with the mindset and understanding that when things go wrong or you don't get on a specific flight or two or three, you have to be able to say this is part of the game."

There was a time when this manner of standby travel was open to anyone. If you weren't in a hurry, you could show up at the airport or call the airline ahead of time and get on the standby list, agreeing to wait until a flight had empty seats. Boquet did it as a college student in 1981, waiting at the New Orleans airport most of the day until he got a seat on a flight to London for less than half the price of a reserved seat. Even then, getting back posed a bigger problem, and Boquet waited several days before he got a flight back to New Orleans.

Fewer empty seats to fill

That was before airline deregulation, which made seats cheaper and more accessible.

"Now airlines are good at filling seats," Boquet said. "With Internet (travel) sites and last-minute deals and travel agents, it's very rare today to have a flight taking off, especially at a busy destination, with 15 to 20 seats empty."

The risk is great, but so are the rewards: tickets averaging less than half the cost of a reserved seat, or nothing at all for some active employees, depending on the airline. Plus if the open seat is in first class, then you could be flying first class to London for the cost of taxes.

"If one assumes the mindset that travel in general, and standby travel in particular, is akin to a game that one plays, or is a challenge that one overcomes ... then the rewards of the novelty, excitement, and fun of travel are, ironically, all the more rewarding," said travel expert Michael Brein, who flew standby for free in 1984 after winning United Airlines' 50 States in 50 Days contest.

"You know that there are challenges, but there are also the rewards. I think many of us implicitly expect travel difficulties inherent in going standby, so it is, in a way, a sort of 'attitude inoculation.' Somehow, knowing and expecting travel hurdles in conjunction with standby traveling -- and realizing that it is part and parcel -- is somewhat 'arming' and preparing."

Standby travel with conditions

Some airlines offer a form of standby to customers who have already purchased a seat reservation. It's called same-day standby travel, but it sounds more like changing your flight on the same day without paying a fee. It's often restricted to members of loyalty programs and even then, sometimes only to high-priority travelers.

Alaska Airlines' "Free Same Day Standby" program for an alternate flight is available on departure day to certain customers and those traveling between specific cities. Otherwise, anyone else can request same day standby for a fee while checking in online or at the airport. Or you can just call and pay to change your flight, which is what many people end up doing to curtail the uncertainty.

Some airlines still offer standby revenue travel in limited circumstances. AirTran offers traditional standby tickets through its "AirTran U" program, in which passengers 18 to 22 years old can call or go the airport and agree to wait until a seat opens up on a flight.

One airline with less restrictions is JetBlue, which allows all passengers the option of listing standby within 24 hours of a reserved flight for travel between the same cities. Passengers may travel one flight earlier than the scheduled departure on the same day, except when traveling out of a city with one daily flight. Then, you can try to get on the flight the day before.

Of course, "Standby travel is based on seat availability and is not guaranteed," JetBlue says on its website.

A cheaper flight, by necessity

"People who do standby travel normally do so out of necessity rather than choice. For most of us, traveling standby is anxiety-inducing, stressful," said Brein. "It takes increasingly 'rare' people who are equipped to be able to cope with the potentially ever-increasing chaotic mess of their travel-lives that results from standby travel."

Having a backup plan helps, he said, like knowing whether you plan to sleep in the airport or to get a room. Sometimes, travelers find another city to fly out of, leading to all kinds of adventures and misadventures. But those are tales for another day.

@highlight

As empty airline seats become rarer, standby travel is getting harder to swing

@highlight

Family of four flying on buddy passes was stuck at Salt Lake City airport for five days

@highlight

"You can't be in hurry and you have to be fairly philosophical about it," industry expert says

@highlight

Nonrevenue travelers with time to spare find ways to game system into free or cheap flights