Washington (CNN) -- U.S. Air Force investigators found "serious misconduct" in the handling of remains of the nation's war dead at the Dover Air Force Base Mortuary, the Office of Special Counsel said Tuesday.

At a news conference Tuesday afternoon, Air Force Chief of Staff Gen. Norton Schwartz referred to "gross mismanagement" in some aspects of the mortuary's operations. Schwartz said Secretary of Defense Leon Panetta has appointed a panel to review operations at the Dover mortuary.

"What I want to talk about is tough stuff. Given the context of this, if I find difficulty in finding the right words, you'll understand," Schwartz said at the news conference.

The findings came after the Air Force conducted a year-long investigation into 14 allegations of wrongdoing made by whistleblowers involving the remains of four U.S. service members killed in action, the Pentagon official said. Although some of the specific allegations were not substantiated, the official said several cases of concern were confirmed, including:

-- Several instances in which portions of remains from troops killed in action were lost or unaccounted for. It included losing an ankle that had been in storage and some bags that held other body parts and remains.

-- The body of a dead Marine being prepared for viewing by his family had a badly-damaged arm sawed off because it could not be arranged suitably for viewing purposes. The bone had fused at a 90-degree angle, according to officials. The report said Quinton Keel, a Dover mortician, had the arm sawed off without consulting the Marine's family. The Air Force found no wrongdoing and officials say preparing badly damaged bodies can be very difficult. But the federal Office of Special Counsel, which also investigated the matter, said the family should have been notified, according to a statement issued by that office Tuesday.

-- A Pentagon official confirmed that elements of the Army and Air Force were criticized for shipping fetal remains from military families to Dover in cardboard boxes.

At his news conference, Schwartz said the investigation began after allegations from three employees "became known to us." He did not identify the employees or their positions. But the report from the Office of Special Counsel identified the three as James Parsons, Mary Ellen Spera, and William Zwicharowski. The Air Force said all three are still employed by Dover Air Force Base.

"The fundamental result of the investigation was that senior Air Force mortuary operations affairs officials did not meet standards in that they failed to act with clear indications that processes and procedures ... were inadequate to ensure accountability of remains," Schwartz said.

He said among their findings, investigators "concluded that the loss of two specific portions of remains constituted gross mismanagement."

Those two cases involved the remains of an Army soldier and those of an Air Force airman.

"In one case we have reason to believe that the remains were properly disposed of; in the second case, we cannot make that argument. It is simply unknown what happened to the second set of remains," Schwartz said.

"This gross mismanagement dealt with the fact that ... supervisors, of which there were three, failed to properly perceive and then act upon ... clear indications that there were systemic issues with respect to accountability of remains in the mortuary."

A Defense Department official confirmed that Keel, a civilian, was demoted to a non-supervisory job and now works in another area at Dover outside the mortuary. Another civilian, Trevor Dean, a mortician and funeral director there, has been transferred to a non-supervisory job. Col. Robert Edmonson, the mortuary commander between January 2009 and October 2010 when the incident occurred, was issued a letter of reprimand, which is usually a career-ending move.

Special Counsel Carolyn Lerner said the Air Force hasn't taken "sufficient disciplinary action against the officials responsible for wrongdoing," the OSC statement said.

But Schwartz said that he did not believe the situations cited in the report were intentional. He emphasized that "this was difficult work, 24/7. And while their performance did not meet standards, this was not a deliberate act, in my personal view."

The Air Force said it is improving procedures at Dover but admitted that "the mortuary staff failed to maintain accountability while processing remains for three service members."

"While it is likely that the disposition of remains was by appropriate method, it could not be shown that it was in accordance with the families' directions," the Air Force said in a statement.

Panetta noted that "one of the Department's most sacred responsibilities is ensuring that the remains of our fallen heroes are recovered and returned to their families with the honor and dignity they have earned.

"I was deeply disturbed to learn about questions involving the possibilities of improper handling and preparation of remains of four service members at the Air Force's Dover Port Mortuary," Panetta said in a statement.

The Office of Special Counsel -- an independent federal investigative and prosecutorial agency -- said that while the Air Force investigation "confirmed most of the whistleblower's factual allegations," it "nonetheless failed to admit wrongdoing."

"The Air Force did, however, respond positively by changing numerous practices at the mortuary," the OSC said in a statement.

The OSC said that in the incidents in which "three body parts of service members killed while on active duty were lost by the Port Mortuary," the Air Force acknowledged its "negligent failure," but "still concluded that there was no obligation to notify the families."

The families of the fallen whose remains were not properly handled were first notified of the investigation, and the results of the probe, over the past weekend.

Gen. Schwartz said Tuesday regarding the timing of the informing the families, "We waited until it was clear that the Office of Special Counsel was going to render their report, we got 48 hours notice and we acted upon that notice."

The OSC also criticized the handling of some fetal remains from military families that "were shipped to Dover inside plastic pails, which were in turn placed in non-reinforced, used cardboard boxes, even though military guidelines require that remains be treated with 'reverence, care and dignity.'

"The Air Force acknowledged that this handling was 'substandard' and that it 'wasn't very dignified,' but nevertheless said the remains were afforded the requisite reverence, care and dignity," the OSC statement said.

The remains of those killed in Iraq and Afghanistan have regularly been flown to Dover since the wars began. More than 6,300 deceased individuals have been returned there. Due to combat injuries, remains are often difficult to identify and officials have long acknowledged that Dover does retain some human remains and parts that are so damaged they are not possible to identify.

During his tenure as defense secretary, Robert Gates allowed the media for the first time to attend some return-of-remains ceremonies with the permission of the service members' families. President Barack Obama has also attended ceremonies at Dover.

Lerner said the OSC was investigating claims by three of the whistleblowers that the Air Force retaliated against them for bringing up the problems, in one case attempting to terminate the employment of one of them.

"The mortuary for the United State military should boast the best conditions and best practices of any mortuary," Lerner said. "These events are deeply troubling, as is the Air Force's failure to acknowledge culpability."

In a letter to Obama, the OSC said the report "demonstrates a pattern of the Air Force's failure to acknowledge culpability for wrongdoing relating to the treatment of remains of service members and their dependents. While the report reflects a willingness to find paperwork violations and errors, with the exception of the cases of missing portions, the findings stop short of accepting accountability for failing to handle remains with the requisite 'reverence, care, and dignity befitting them and the circumstances.'"

The Air Force has contacted families of the war dead and Schwartz has asked Panetta for an independent assessment of mortuary operations at Dover. Former Surgeon General Richard Carmona will lead that investigation and provide a report to Panetta within 60 days.

Schwartz said that he and Air Force Secretary Michael Donley "have taken personal responsibility for this."

"I want to assure our men and women in uniform, and the American public, that the Air Force mortuary standards they expect for our fallen heroes are being met," Schwartz said in a statement.

The Air Force has set up a toll free number for the families of fallen service members to call if they have questions about the investigation. They can call 1 855 637 2583 or e-mail dover.pm@pentagon.af.mil.

CNN's Larry Shaughnessy contributed to this report.

@highlight

The mortuary at Dover Air Force Base handles returning war dead

@highlight

It also serves as the mortuary for military families overseas

@highlight

Some remains were lost or unaccounted for, the Office of Special Counsel says

@highlight

The Air Force chief of staff says a panel will review operations at the mortuary