(CNN) -- How does your sex life measure up? That's the central premise of "The Normal Bar," a new book by Chrisanna Northrup and sociologists Pepper Schwartz and James Witte.

Based on the responses of an Internet survey of some 70,000 people, "The Normal Bar" endeavors to ease people's concerns about their sexual relationships by providing readers with an idea of what's "normal" for most couples -- from how often they have sex, to how sexually adventurous they are, to how they romance each other outside the bedroom.

"It isn't about a 98.6 kind of normal -- just the normal of exceptionally happy couples (gay and straight) and what we can learn from them," Schwartz says.

One juicy nugget -- 86% of all men and women are intrigued by having kinky sex. "This just goes to show that both men and women want to be kept on their toes," says Patty Brisben, sex educator and entrepreneur. "I can't think of any couple who would be 'satisfied' with predictable sex for the same reason people don't watch the same movie every weekend: There's no mystery, no excitement."

Admittedly it's hard to resist checking out how we match up to other people between the sheets. "Couples that come into my practice with complaints about their sex life are often comparing themselves to a rather unrealistic and fictitious standard," Dr. Sue Varma says. "They have grown up watching Hollywood flicks believing that bedroom passion should be spontaneous."

Adds social psychologist Justin Lehmiller, "Almost all couples, both heterosexual and same-sex, worry about how their relationship stacks up. This naturally leads us to compare our relationships to those of other couples."

It may be natural, but is that comparison healthy? It depends, say experts.

"It's tempting to think that statistics about how often other people have sex can tell you how often you should be having sex," explains Emily Nagoski, a sex health educator. "But other people's sex lives have nothing to do with yours. Experiencing sex differently doesn't mean you're doing it wrong, it just means you're doing it differently."

On the other hand, the quest to keep up with the Jones' sex life can have its perks, too. Although comparison "can be destructive if you think of the 'norms' as being ideals to strive for, it can also be empowering if it makes you feel that your experience has been validated and that you are less alone," says Margie Nichols, a sex therapist and pioneer in her work with the lesbian, gay, bisexual, and transgender community.

"Because kink and open relationships are more common among lesbian, gay and bisexual people, these couples face more options and choices, something that can add a layer of complexity to a couple's sex life as well as more freedom."

Comparison may even inspire you to amp up your sex life a bit. For instance, "The Normal Bar" authors found that 48% of men want their female partners to be more romantic -- and that the No. 1 thing they want more of is communication, not sex.

"Responses like these might encourage some women to raise the bar on how they talk and act in the bedroom," sex educator Jamye Waxman says.

The survey results call into question stereotypes that men compartmentalize sex and emotions, says Jean Malpas, a psychotherapist in New York.

"Men are often described as rigidly separating sex and feelings," he says. "However, many straight, gay or bisexual men I encounter in my clinical practice appreciate meaningful sexual intimacy. They often long for a sexuality anchored in the complicity and playfulness of their romantic relationship."

One of the goals of "The Normal Bar" is to get couples talking about their sex lives and trying new things. It's an experience that Nagoski sees reflected in her own work as a college sex educator.

"By the end of the semester, my students know they're normal, but not because their quantity, quality or frequency of sex falls within some statistical range, compared to other people," she says. "They feel normal because they understand how varied people are, how many different ways there are to be 'normal,' and that the real measure for 'normal' is mutual consent and satisfaction."

@highlight

"The Normal Bar" aims to get couples talking about their sex lives

@highlight

Survey shows 86% of all men and women are intrigued by having kinky sex

@highlight

Expert: It's hard not to wonder how we match up to other couples in bed