(CNN)Nigerians go to the polls Saturday to determine who will lead Africa's most populous nation.

The stakes are high in this election as the nation faces intensified attacks by extremist group Boko Haram. With security catapulting into a key issue, which candidate will voters trust to keep them safe?

As Nigeria decides, here's what you need to know:

Nigeria is home to about 173 million people and is considered a powerhouse in the region. Its stability is crucial to combating the growing risk of Islamist terrorists, who thrive on instability.

As Boko Haram seeks to extend its tentacles with its recent pledge of allegiance to ISIS, Nigeria has teamed up with neighboring Chad and Cameroon in a counteroffensive against  the terror group. And it appears  to be working, with its military  saying it has recaptured several key cities from the militants.

The next leader will have to ensure the gains stay on track. As we have learned with ISIS in Iraq and Syria, any unaddressed local insurgency has the potential to spiral into an international problem.

And let's face it, the world does not need another failing state, especially one with such a massive population.

Nigeria is also one of Africa's largest oil producers and is a major supplier of crude oil to the United States. It hosts many international oil companies and workers.

The key issues are power, security and the economy.

But with the rise of Boko Haram, security has taken center stage.

Just this year alone, the extremists have killed at least 1,000 civilians, Human Rights Watch says.

One of the militants' most brutal acts was the kidnapping of nearly 300 schoolgirls last April, a majority of whom are still missing. Boko Haram has become increasingly brazen, seizing towns in bloody attacks and declaring them Islamic caliphates. Militants have bombed schools, churches and mosques; kidnapped women and children; and assassinated politicians and religious leaders alike.

Although the current government is "having successes here and there" in its fight against Boko Haram, it's not winning the war against  the terror group, says Ayo Johnson, a documentary filmmaker and analyst on African affairs.

And despite recapturing some key towns from militants, he says, the government's big picture on security is still hazy.

"This elections will come down to who can protect Nigeria," Johnson says. "Who can make Nigerians feel safe."

Nigeria overtook South Africa as the region's largest economy last year.

The government has made tremendous gains on the economy, Johnson says, but those gains have  been buried under the constant threat of Boko Haram.

But many complain that the country's vast wealth from oil exports does not trickle down to the average citizen. As many as 70% of Nigerians live below the poverty line and survive on less than a dollar a day, according to the CIA World Factbook. Nigeria is under economic pressure because of falling crude oil prices worldwide and a weakened currency. Corruption has been a hindrance to building a stable economy despite years of democracy, analysts say.

There are 14 candidates on the ballot, but the race is more of a rematch between the current president and a former military ruler. The two faced off in the last election in 2011.

President Goodluck Jonathan:

Jonathan rode a wave of popularity in 2011. At the time, he portrayed himself as a man of the people. During campaigns, he talked about growing up without shoes,  a message that resonated with average Nigerians. But in recent years, his popularity has plummeted, with Nigerians saying he has not delivered on his promises for change. Key officials have defected from his ruling People's Democratic Party to the newly formed All Progressives Congress.

Muhammadu Buhari:

The retired general has unsuccessfully run for election three times. Buhari ruled Nigeria in the 1980s following a military coup and was known for his tough regime, which some say was marked by human rights abuses. But he has pledged to make fighting graft and insecurity a priority if he wins, which might appeal to those who've run out of patience with the current government.

His military rule background could be a plus or a minus.

"Many Nigerians will not forget he was a military leader, during a dictatorship," Johnson says. "Or maybe they will feel that they need a military leader to address fundamental problems such as terrorism."

The election was originally scheduled for February 14, but was delayed for six weeks.

In addition to the presidential elections, Nigerians will elect  governors in 36 states.

Like their U.S. counterparts, the nation's governors have a lot of clout.

Not only do they set priorities for federal funds, they are also responsible for security in their states and are thus the first line of defense against extremists, especially in the North, where militants have free rein.

In populated cities such as Lagos, governors manage economies larger than those of some African countries.

To avoid a runoff,  a candidate must get more than 50% of the vote and at least a quarter in two-thirds of the states.

If no candidate wins, a runoff election will be held seven days later.

CNN's Christian Purefoy contributed to this report.

@highlight

The election was delayed for six weeks

@highlight

It comes as the nation battles extremist group Boko Haram