(CNN)Earlier this month, a 32-year old male gamer was found dead at a Taiwanese Internet cafe following a non-stop three-day gaming session. This followed the death of another male gamer who died in Taipei at the start of the year following a five-day gaming binge.

While these cases are extremely rare, it does beg the question of why gaming can lead to such excessive behavior. I have spent nearly three decades studying videogame addiction and there are many studies published in both the medical and psychological literature showing that very excessive gaming can lead to a variety of health problems that range from repetitive strain injuries and obesity, through to auditory and visual hallucinations and addiction.

I have to stress that there is lots of scientific research showing the many educational and therapeutic benefits of playing but there is definitely a small minority of gamers that develop problems as a result of gaming overuse.

But what is it that makes gaming so compulsive and addictive for the small minority?

For me, addiction boils down to constant reinforcement, or put more simply, being constantly rewarded while playing the game. Gaming rewards can be physiological (such as feeling "high" or getting a "buzz" while playing or beating your personal high score), psychological (such as feeling you have complete control in a specific situation or knowing that your strategic play helped you win), social (such as being congratulated by fellow gamers when doing something well in the game) and, in some cases, financial (such as winning a gaming tournament).

Most of these rewards are -- at least to some extent -- unpredictable. Not knowing when the next reward will come keeps some players in the game. In short, they carry on gaming even though they may not have received an immediate reward. They simply hope that another reward is "just around the corner" and keep on playing.

Added to this is the shift over the last decade from standalone console gaming to massively multiplayer online games where games never end and gamers have to compete and/or collaborate with other gamers in real time (instead of being able to pause the game and come back and play from the point at which the player left it). Many excessive gamers report that they hate logging off and leaving such games. They don't like it as they don't know what is going on in the game when they are not online.

The last five years has seen large increase in the number of scientific studies on problematic gaming. In May 2013, the American Psychiatric Association published the  fifth edition of the "Diagnostic and Statistical Manual of Mental Disorders"(DSM-5). For the first time, the DSM-5 included "internet gaming disorder" (IGD) as a psychological condition that warrants future research.

Throughout my research career I have argued that although all addictions have particular and idiosyncratic characteristics, they share more commonalities than differences such as total preoccupation, mood modification, cravings, tolerance, withdrawal symptoms, conflict with work, education and other people, and loss of control. These similarities likely reflect a common etiology of addictive behavior.

So when does a healthy enthusiasm turn into an addiction? At the simplest level, healthy enthusiasms add to life and addictions take away from it. But how much is too much? This is difficult to answer as I know many gamers who play many hours every day without any detrimental effects.

The DSM-5 lists nine criteria for IGD. If any gamer endorses five or more of the following criteria they would likely be diagnosed as having IGD: (1) preoccupation with internet games; (2) withdrawal symptoms when internet gaming is taken away; (3) the need to spend increasing amounts of time engaged in internet gaming, (4) unsuccessful attempts to control participation in internet gaming; (5) loss of interest in hobbies and entertainment as a result of, and with the exception of, internet gaming; (6) continued excessive use of internet games despite knowledge of psychosocial problems; (7) deception of family members, therapists, or others regarding the amount of internet gaming; (8) use of the internet gaming to escape or relieve a negative mood;  and (9) loss of a significant relationship, job, or educational or career opportunity because of participation in internet games.

The good news is that only a small minority of gamers suffer form IGD. Most online games are fun and exciting to play. But like any activity that is taken to excess, in a minority of cases the activity can become addictive.

Any activity if done for days on end could lead to severe health problems and even death -- and gaming is no exception. Instead of demonizing games, we need to educate gamers about the potential dangers of very excessive use.

@highlight

Earlier this month a man was found dead in a Taiwan cafe after a three-day gaming binge

@highlight

Any activity taken to excess can become addictive for a minority, writes Mark Griffiths

@highlight

He says instead of demonizing games, more education should be given on excessive use