(CNN) -- Omar Hammami is living proof that there is no one road to terrorism.

U.S. officials believe the journey for Hammami -- one of 14 U.S.-born and naturalized citizens to be indicted last week on charges of conspiring with a Somali terrorist organization affiliated with al Qaeda -- took him from a small town in Alabama to a radical command role in Somalia.

Hammami was a late convert to Islam, becoming passionate about his father's faith during high school in Alabama. He was born in Daphne, a small town nestled in the Bible belt where Islam was not only uncommon, but rebuffed. His hijab and public prayer made Hammami a target for insults in the conservative community.

He dropped out of the University of South Alabama in 2002, moving to Toronto, Canada, and then to Cairo, Egypt, as he searched in vain for a setting where Islam was practiced as rigidly as he believed it should be

It is possible that Christof Putzel -- a correspondent for Current TV's documentary series, "Vanguard" -- once brushed arms with Hammami. Putzel was finishing a story in Somalia in 2006 as Hammami entered the country to seek out al-Shabaab. Putzel later created a documentary that retraces Hammami's steps from young American to "American Jihadi."

"American Jihadi" culminates in Somalia, where Hammami joined the ranks of al-Shabaab, or "The Youth."

Hammami is a top commander of al-Shabaab and the organization's most successful recruiter, Putzel says. Since he appeared on the Al-Jazeera TV network and the YouTube website in 2007, more than 30 young Muslims have disappeared from Hammami's old stomping grounds in the U.S and Canada, only to reappear fighting with al-Shabaab.

"Omar Hammami is making jihad look like a camping trip with weapons. You don't see the brutality of war. You see guys who look really cool, and they look like they are taking their religion really seriously," Putzel says.

Although he alone is effective, Hammami is not the only American jihadi on the Internet. Born in New Mexico and wanted by the FBI, Anwar al-Awlaki has been using social media sites to spread his lectures to larger audiences.

According to Putzel, these videos address Western youths in terms they understand, using both English and modern slang. "What is pretty clear is that groups like al-Shabaab or al Qaeda are in a war for the hearts and minds of young Muslims in the U.S. They are telling them that they're not wanted here ... and that by living here, they're a traitor," Putzel says.

To Steve Hassan, this narrative is strikingly familiar. He is a cult counselor, mind-control expert and former follower of the Rev. Sun Myung Moon and his "Moonies." It is Hassan's belief that a terrorist organization is little more than a cult with a strong violent streak.

"There are totalitarian mind-control cults that use deception and manipulation to get people in, and then indoctrinate people with new identities -- which are dependent and obedient on their superiors -- that often cause a divorce from their past identities and refutation of family and friends," Hassan says.

Drawing upon more than 30 years of personal and professional experience, Hassan says indoctrination is dependent upon timing and social influence, not personal weakness or an intrinsic character flaw.

"People from the outside looking in try to find all kinds of theories and justifications ... but speaking from the inside-out in terms of my own personal experience, I would have flown a plane into the World Trade Center if I had been ordered to. But I did not join a group to blow up people. I wanted to make the world a better place, and I wanted to make the world filled with God," Hassan says.

It is that ideology in radical Islam that Nasser Weddady sees as the greatest draw for young Westerners. Weddady is the civil rights outreach director for the American Islamic Congress -- and a Muslim.

"This is not just some poor victim who, because he was unable to make it in life, became a terrorist. One of the allures of radical Islamist ideology is it gives a person a purpose for their life, an evil purpose I would say, but nonetheless, they are fighting for something," Weddady says.

As a child growing up in Syria, Weddady's first brush with terrorism occurred when he witnessed car bombs set off by Islamist extremists. He observed Islamist operatives recruiting in schools and says it wasn't uncommon to walk past someone considered a terrorist by the U.S.

Due to their Middle Eastern appearance, Weddady and a friend were falsely held by the FBI following the September 11, 2001, terrorist attacks. Racial profiling has compelled many Muslims to hide their roots and suppress their religion. According to Weddady, a lack of identity and leadership within the Muslim community has prompted some youths to combat the temperance that surrounds them.

"These young Muslims in America are looking for answers, are looking for ways to deal with that aspect of their identity," Weddady says. "Some decide to erase it, some decide to explore it and express it. The problem is the message that is most available to them is not one you want them to hear."

Steve Emerson is the founder of the Investigative Project on Terrorism, a research group that studies Islamic terrorism worldwide. He says governments are mistaken in "reaching out to certain Islamist groups that still push the narrative that the U.S. is at war with Islam and that refuse to condemn Hamas or Hezbollah."

"The Islamist narrative is that there is a conspiracy against Islam, waged by the West and led by the United States, and this alleged 'conspiracy' is to suppress Islam," Emerson says. "Radical leaders will all say and repeat a litany of crimes against Muslims by the West, going as far back as the crusades in 1095. Therefore, these Islamist terrorist acts are perceived to be defensive reactions to defend Islam."

Emerson's organization works closely with the FBI to share information and prevent future terrorist attacks.

Robert Blitzer is the senior fellow at ICF International -- a global consulting firm -- and former chief of the domestic terrorism and counterterrorism planning section in the FBI. His work included investigating terrorists within the United States.

"We conducted investigations into terrorist activities based on what we were authorized to do," Blitzer says. "We would ... determine what sort of group they might be affiliated, who they were in contact with in the United States or abroad and essentially what kind of activities they might be engaged in. That could be as simple as collecting money and sending it back to folks, or as complex as engaging in planning and conducting terrorist attacks."

Blitzer says that since 9/11, intelligence and law enforcement communities have been successful in averting terrorist attacks of that magnitude, but that isn't to say it will never happen again. "The intelligence has to be right every time, but the terrorists only have to be right once to carry out a significant attack," Blitzer says.

To carry out attacks, Emerson says, Islamist groups deliberately try to alienate Muslim populations from any loyalty to the host country, and thereby to have leverage over that country.

"If you look at the European continent, there's been a lot of immigration by Indians and Latin Americans," Emerson says. "They are not the ones who are carrying out terrorist attacks. There is something else going on in the Muslim communities."

Ghaffar Hussein, head of the outreach and training unit for the Quilliam Foundation -- which calls itself the world's first counterterrorism think tank -- says there are ways to prevent this alienation of Western Muslim youth.

"Western societies need to strengthen civic identity and make all members of society feel like they belong," Hussein says. "They need to treat Muslims as citizens and not as homogeneous blocs or groups with monolithic interests."

As a cult expert, Hassan suggests offering radicalized youth the same treatment he offers his clients. He says the universal way to free someone from a cult's clutch is to dissipate their phobias that by leaving, they are betraying God or Allah.

"A lot of people get into these groups following a dream or following an ideal. If people can see that the dream is not going to be a part of this group movement, that would help somebody reevaluate," Hassan says.

Weddady, meanwhile, says that while the support of the West is necessary, "to a larger extent, this is a Muslim problem that only Muslims can solve." He says his moral compass ultimately led him down a path very different from some young Muslims in the world today.

"I am an outspoken critic of some of the most extreme and intolerant elements within Islamic society, but at the same time, I am proud of my Islamic heritage and Muslim culture." Weddady says.

"Those things are not in contradiction in my mind. The supreme irony of this story is that I can't be any more Muslim that I can be in America. If we Muslims were not living in a free society, we could not take a stand against extremism and reclaim our heritage."

@highlight

Omar Hammami is one of 14 U.S. citizens indicted last week on terrorism conspiracy charges

@highlight

Hammami went from a small town in Alabama to a command role in Somalia

@highlight

Terrorism experts say extremist groups are battling for the hearts and minds of young U.S. Muslims