(CNN) -- A drought in Louisiana has lowered the Mississippi River, leaving its southern tip awash in saline from the Gulf of Mexico and prompting health officials in Plaquemines Parish to issue a drinking water advisory.

"The water's perfectly safe to drink," said Guy Laigast, director of the parish's Office of Homeland Security and Emergency Preparedness, in a telephone interview Wednesday. "It's just got the elevated salt."

With the mighty Mississippi near its all-time low, the salty water has crept in as a wedge, he said. Because salty water is denser than fresh, it tends to collect at lower depths, he said.

Watch dryness overtake U.S.

But pipes that pull drinking water from the river tend to draw from those same depths, Laigast said.

The logical fix would be simply to raise the pipes, but that would be tough to do. "You're talking about large pipes that have been down there for years and years and years," he said.

The wedge has been moving up the Mississippi since early this month, reaching mile marker 89 -- signifying that many miles from the river mouth -- by Wednesday, Laigast said.

"You can taste a little salt water content," he said. "But it's nothing that's harmful."

Anyone on dialysis and/or low-sodium diets was urged to check with a health care provider about drinking parish water.

Salt, of course, is sodium chloride. Neither sodium nor chloride is considered a known health threat, the parish said, citing EPA data. Chloride, considered a secondary contaminant, could affect drinking water's taste, smell and color.

EPA's secondary maximum contaminant level for chloride is 250 mg/L. The maximum chloride detected in drinking water in the Port Sulphur area was 362 mg/L, it said.

Sodium is classified neither as a primary nor secondary contaminant, but it can adversely affect people on low-sodium diets for health reasons, such as high-blood pressure or kidney disease, the EPA said.

Sodium levels in the parish's drinking water ranged from 60 mg/L to 200 mg/L -- far exceeding the EPA recommendation of no more than 20 mg/L for people on very low sodium diets.

Meanwhile, the U.S. Army Corps of Engineers started work Wednesday on an $8 million underwater levee -- positioned at mile marker 64, just below Belle Chasse -- to stop the wedge's progress, as it did with success during a similar drought 24 years ago. "It's a sill," Laigast said. "It (the salt water) runs into that levee just as if it was a dry wall."

Interactive map: Drought conditions

He predicted the effects of the sill will become apparent on the salinity of the water within the week.

In addition to creating the sill, officials are planning to take 2.5 million gallons of fresh water from farther north in the river -- past mile marker 100 -- then carry it by barge southward "and suck it into our water treatment facilities," Laigast said.

The salt water in the river has had a benefit for some anglers: "The redfish follow it up, so we're able to fish right in the Mississippi now instead of having to go to the gulf," he said.

The drought's impact has had effects that extend beyond the river. It led the U.S. Department of Agriculture on Wednesday to designate four Louisiana parishes and seven contiguous parishes as natural disaster areas.

Morehouse, Richland, Union and West Carroll parishes were declared primary natural disaster areas. The seven parishes named as contiguous disaster areas were: Caldwell, Claiborne, East Carroll, Franklin, Lincoln, Madison and Ouachita, according to the Louisiana Department of Agriculture & Forestry.

According to the department, 63% of the nation's hay acreage and about 73% of cattle acreage are in drought areas, as are about 87% of U.S. corn and 85% of soybeans.

Can the military save America's livestock growers?

N.C. farm recalls melons after listeria found

Opinion: Extreme heat and droughts -- a recipe for world food woes

@highlight

The drought has lowered the river, letting Gulf of Mexico water enter

@highlight

"The water's perfectly safe to drink," says emergency preparedness official

@highlight

The salty water has traveled nearly 90 miles into the river

@highlight

Caution urged for dialysis patients and low-sodium dieters