(CNN) -- The recipe for bingsu, Korea's beloved shaved ice dessert, used to be simple.

A little bowl of shaved ice, red beans boiled in sugar water, a little bit of condensed milk and maybe some fruit or ice cream heaped on top.

That was before the Park Hyatt Seoul debuted the first so-called luxury bingsu three years ago, to spectacular sales and a frenzied following.

Competing Seoul hotels promptly entered the fray with spoons blazing.

With bingsu now at the top of every hotel restaurant's summer agenda, the battle to come up with the most luxurious, inventive, delicious variation of the dessert has gotten more intense this year.

Here are the hotels that are currently winning the war.

Park Hyatt Seoul

This Gangnam luxury hotel started it all.

In 2010, the hotel dreamed up a sweet pumpkin bingsu, made with a base of dunggulle tea made from the dried root of Solomon's seal, and an omija bingsu using shaved frozen berries.

While most bingsu in Korea is made with frozen ice, the hotel debuted bingsu with a frozen milk base, and found that customers loved the change.

They bought an expensive shaving machine in 2011 and also ordered traditional Korean pottery known to keep cold food insulated longer.

Seoul's bingsu fanatics promptly fell in love with the new menu.

The hotel's berry bingsu in particular came as a shock.

Korea's best bars for summer

The combination of blueberries, blackberries, raspberries, black currant compote with handmade dark chocolate, whipped cream, pistachios and mint created a completely new taste.

The hotel became mobbed at meal times and on the weekends, and raked in several hundred thousand dollars of profit in a season, to the amazement -- and likely some envy -- of its competitors.

Since that memorable debut, the Park Hyatt has had to top its own bingsu menu each year.

In 2012, it introduced a peach bingsu and a chocolate bingsu.

And this summer?

The Bingsu Colada, made with pineapple, coconut chips, caramel sauce and macademia nuts, is new to the menu. Another new addition is the Tirami Bingsu. It's made with mascarpone cream, espresso sauce, Kahlua, Amaretti cookies and almonds.

Despite the new dishes, the Berry Bingsu remains the hotel's most popular.

Park Hyatt Seoul, 606 Teheran-ro, Gangnam-gu, Seoul; +82 2 2016 1205; bingsu prices start at ₩33,000 ($29) a bowl

Intercontinental Seoul Coex

The effort that the Intercontinental Seoul Coex has put into its bingsu menu has been extreme.

Since the beginning of the year, the hotel's top chefs have created approximately 30 variations of the dessert, presenting a different version each week for tastings and deliberation.

From this process, a final three bingsu have ended up on the menu.

The Kurumba bingsu is made with shaved frozen pure coconut water from the Philippines, mixed with coconut biscuits and coconut jelly, all made at the hotel.

The Mango Rosa Sparkling bingsu is dubbed the "19-plus" bingsu, for its alcoholic content (19 is the legal drinking age in Korea).

The sweet Rosso Degli Anjelli Rose Sparkling Wine is frozen, shaved, then blended with frozen mango shavings and fresh mangoes.

10 best Korean restaurants in Seoul

When creating the latter bingsu, hotel chefs went through dozens of trials to capture the "sparkling" aspect of the wine in the actual bingsu.

In order to make the perfect red bean paste, which can be ordered separately with each bingsu, a designated red bean chef has the arduous job of boiling the red bean until wrinkles form, then pouring cold water until the wrinkles are stretched out again, and repeating the process over and over until the perfect moist texture is reached.

Some of the hotel's bingsu are sweetened with natural xylitol from Finland.

Intercontinental Seoul Coex, 521 Teheran-ro, Gangnam-gu, Seoul; +82 2 3430 8603; bingsu prices start at ₩29,000 ($25)

The Westin Chosun Seoul

The green tea bingsu at the Westin Chosun's The Circle uses the top-shelf ingredients: matcha (fine green tea powder) from Shizuoka, Japan, and red beans from Ganghwado, South Korea.

The lounge takes its bingsu ice seriously -- in order to recreate ice most similar to natural ice, a "maturing process" is used to make the ice "smoother."

Chef Jun Sung-kyu did the research for his recipe by visiting restaurants in Japan famous for their ice desserts.

World's 50 best foods

Upon returning to South Korea, he created green tea syrup using a maturing method at low temperatures, and also came up with the perfect red bean recipe by soaking the beans in water for a day, then boiling them for eight hours and adding three kinds of sugar at varying intervals. The result is the chewiest and shiniest red bean paste imaginable.

Westin Chosun Seoul, Sogong-dong, Jung-gu, Seoul; +82 2 317 0365; bingsu price is ₩28,000 ($24)

Sheraton Grande Walkerhill

The variety of bingsu at Sheraton Grande Walkerhill is impressive.

The basic menu lists apple mango, persimmon, triple berry, affogato and milk bingsu that are all served with organic red bean sauce, ddeok (sticky rice cakes) and ice cream.

The hotel uses shaved frozen milk as its bingsu base, somehow managing to make the shaved ice is as soft as cotton candy.

Each of the five bingsu has several layers of ingredients. It's fun to eat layer by layer, but mixing it all vigorously is the Korean style and recommended.

On Saturdays and Sunday from 2-5 p.m., diners can create their bingsu with the option of 10 different types of fruit, various nuts and cookies. A variety of sauces, including melted chocolate, are available.

Bingsu is served with complimentary tea and coffee.

Sheraton Grande Walkerhill, Walkerhill-ro 177, Gwangjin-gu, Seoul; +82 2 450 4467; bingsu prices range from ₩15,000-42,000 ($13-36)

The Shilla Seoul

While The Shilla Seoul has been under renovation since the beginning of the year, it still receives calls asking when its apple mango bingsu will be available again.

One commenter on the hotel's website even left a note saying he couldn't forget the taste of the dessert and was planning to visit Seoul again for that specific reason.

Explosively popular since its 2011 debut, the apple mango bingsu has had customers literally lining up for bowls -- an unusual sight in the austere luxury hotel.

"We use the highest quality apple mangoes from Jeju Island and have opted to use a minimum amount of ingredients to keep the taste very clean and healthy," says hotel a representative.

The sought after bingsu will return with The Shilla's reopening on August 1.

The Shilla Seoul, 202 Jangchung-dong 2-ga, Jung-gu, Seoul; +82 2 2230 3389

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Park Hyatt Seoul debuted the first luxury "bingsu" shaved-ice dessert three years ago

@highlight

Since then, Seoul luxury hotels have been battling to roll out the best bingsu

@highlight

It's not just a vanity chase -- dessert sales are big business

@highlight

Hotels are debuting fancy new bingsu this summer