(CNN) -- Google+ has a problem.

It's not engagement or the lack of a clear way to monetize itself. It's not those sometimes-unwieldy friend-organizing circles, or even the perception that no one other than nerds uses the service.

The problem, its creators believe, is that many people keep comparing it to Facebook -- or, more broadly, social networks. While social interaction is a key part of Google+, the project is much more ambitious. Google+ is nothing short of a wholesale upgrade to all of Google's products and services, but with the identity of the user incorporated.

Mashable sat down with Vic Gundotra, Google's senior vice president of social business, and Bradley Horowitz, Google+'s vice president of product, at the Google I/O developer conference. They were excited about the new Google+ features that were announced -- the Events feature and the new tablet app -- but they were also quick to downplay any comparisons to Facebook, or any suggestion that many people aren't interested in joining Google+.

"Google+ is just an upgrade to Google," says Gundotra. "People have a hard time understanding that. I think they like to compare us with other social competitors, and they see us through that lens instead of really seeing what's happening: Google is taking its amazing products, and by bringing them together, they just become more awesome."

Gundotra and others have said this before, and you get the sense that they really believe in their recipe for Kool-Aid. Google also released some new statistics to parry any stabs at accusing the network of not having a large and engaged audience -- 250 million total users, with 150 million of them visiting every month, and half of those people signing in every day (if you're doing the math, that's 75 million daily active Plussers).

Wading Into Google+'s Stream

But with the definition of Google+ so broad, what constitutes "active daily use" becomes a little hazy. If I'm signed into Google+ and simply do a Google search or upload a photo to Picasa, does that count? As Google defines the service, it would appear so.

However, a user performing such basic Google tasks may never visit the Stream, Google+'s main social feature. That brings the question: Just how engaged are Google's users with the Stream? This week at I/O, Gundotra revealed that "active" users of Google+ spend an average of 12 minutes in the stream, up from 9 minutes three months ago.

Still, that's not quite on par with Facebook, which sees its users spend a grand total of 10.5 billion total minutes spent on the network every day, according to its IPO filing. While that becomes about the same 12 minutes if you divide by Facebook's 900 million users, remember that we're talking about active users here, so Facebook's actual engagement is actually much higher.

So since this area is actually where the comparison to Facebook is valid, how can Google both increase the proportion of active users as well as boost engagement on the Stream?

"That's a fair question," says Gundotra. "I think there we boost engagement by giving people ways to connect things that they care about and are exciting — that nobody else has. Like Google hangouts. Like Events. Like beautiful photos."

Horowitz believes as more users "upgrade" to Google+ — which essentially just means letting Google know who you are — it'll become clear to them that Google's many services become much more useful. And at some point they'll find the Stream.

"When Google knows that I'm a man, and I live in this zip code, and I went to this school, and I have these interests, my entire experience gets better," he explains. "You will discover our engagement is massive, and guess what? Your friends, family and loved ones are already here. It's not as if we need to acquire users. We just need to bring them into the light."

Money Money Money

The way Horowitz and Gundotra describe it, upgrading to Google+ is almost a religious conversion: You weren't really living (i.e. using Google) until you make the transition. Still, Google is a business, and it doesn't undertake massive projects like Google+ without some kind of plan to monetize them.

So far, Google+ doesn't have anything like Twitter's trending topics (although it has a "What's Hot" stream that's a click or tap away for users) or Facebook's sponsored stories. When asked if we might someday see similar features introduced in Google+, Gundotra wouldn't say, but his change in manner betrays a disdain for how Google's competitors incorporate advertising.

"Our business model is very different," he says. Some of our competitors are like going to a baseball stadium. If you have 90,000 people there, you're going to put up ads everywhere, and that's basically the core business model. You're looking at a picture of your daughter, we're going to show you an ad.

"We have a very different philosophy. We think the right time to show and ad is when you are at the moment of commercial intent. When iIm doing a house remodel, and I'm looking for a microwave oven, then I see Bradley's +1 on a GE appliance, that means a lot more to me."

Gundotra repeated a statistic that Google has released before — that when brands use Google+'s social extensions in their ads, the click-through rate (CTR) jumps by 5-10%. While some have questioned that statistic, the fundamental idea of incorporating recommendations from friends into the ads they're seeing online makes a great deal of sense, and it's the business model of more than one company.

Still, Gundotra won't rule out the possibility of sponsored stories down the road.

"We don't serve ads [on Google+], but that doesn't mean we won't have sponsored stories," he says. "There may be more relevant forms of advertising that we do believe work."

The Business of Hangouts

There may be other sources of revenue for Google+, though. One of the much-touted advantages Google+ has over competitors (perceived or otherwise) is Hangouts — video chats you can have with multiple people, even through a mobile device and are absolutely free.

Hangouts have been a major differentiator for Google+ since the beginning, but until recently Google had positioned them as a casual, consumer-friendly feature, not a business tool (a new ad for Hangouts shows a work group having a meeting). Since their introduction, many businesses (including Mashable) have adopted Hangouts for collaboration, and it begs the question: why hasn't Google been more proactive about courting business users?

"We hear this so much," says Horowitz. "So many startups are running their business on Hangouts. Even big companies who would be embarrassed if I told you which ones. Their expansive camera units take longer to boot up than it takes to launch a hangout with commodity hardware and webcams in your laptop."

"There are lots of examples of great consumer tech coming into the enterprise," Gundotra adds, "because it's just so awesome. You could go back to 1991 with Windows. Enterprises really didn't want it, but it was just so great. If we can solve a problem for every human on earth, then businesses of course will use it."

So when will Google announce Hangouts for Business?

"We're very well aware of the opportunity in enterprise. We're not ignoring it. You should expect announcements from us in the future that add unique features that enterprises would need."

Google+'s Long Game

To some, Google+ made too many stumbles along the way to become a real Facebook competitor. As Gundotra and Horowitz see it, that's the wrong way of looking at it. Google+ is simply Google's way of taking its many disparate services — search, YouTube, Maps, etc. — and making them more relevant by incorporating the user's personal data. If some of those services then end up rubbing up against what Facebook offers, so be it.

In the bigger picture of platforms, though, the comparison is more than appropriate. Both Facebook and Google want you to spend your time on their site, not the other's. Facebook began with social interaction and spread to broader services such as messaging. Google's taking it the other way around — creating a suite of extremely popular products and then persuading users to get social with them.

Which approach is better? I don't think there's much question that Google's services improve greatly when you add in personal data, be it location, gender, interest or other factors. But the social component is incredibly powerful, and in that aspect Facebook is king (Facebook's engagement numbers are massive compared to Google+ — the stream, anyway). For the longest time, people have been trained to socialize there. It's difficult to imagine a world, even in the long term, where that activity shifts to Google.

But maybe it doesn't need to. Can Google+ still be considered a success even if the Stream never quite becomes as influential as Facebook's news feed? Google probably would like to think so, but it's clear that, for now at least, many perceive Google+ as a poor man's Facebook. And if perceptions are great enough, it has a way of become reality.

Yep, Google+ has a problem.

© 2013 MASHABLE.com. All rights reserved.

@highlight

Google+ creator says the site shouldn't be compared to Facebook and Twitter

@highlight

Vic Gundotra says Google's social tool is meant to enhance other Google offerings

@highlight

Video-chat Hangouts have been a highlight for Google+