(CNN) -- Tuesday, Attorney General Eric Holder delivers a major speech on voting rights at the Lyndon Baines Johnson Presidential Library in Austin, Texas. The location is significant: In 1965, President Johnson signed the Voting Rights Act into law, a landmark piece of civil rights legislation that banned the worst forms of racial discrimination in American elections.

Over the past five decades, the VRA and other federal and state election reforms have greatly expanded access to the ballot box. As a testament to their success, the 2008 presidential electorate was the largest and most demographically diverse in the history of the United States. But the protections the VRA affords have not lost their relevance, or their indispensability. In the past year, lawmakers in 40 states have introduced legislation that would make it harder for all eligible Americans to vote -- and harder disproportionately for people of color, young Americans, and our seniors.

Some Southern states, like Florida, South Carolina, and Texas, have not only passed legislation restricting the right to vote, but also have refused to comply with their responsibilities under the VRA. The law requires certain states with histories of voting discrimination to submit any change in election law to the U.S. Department of Justice for "preclearance" before it can be implemented. Because these states for so long flaunted an obstinate refusal to allow African-Americans equal access to the voting booth, the VRA requires they demonstrate that new changes will not have a discriminatory effect.

South Carolina and Texas both passed requirements that voters present restrictive forms of government-issued photo ID at polling places, even though 25% of African-Americans and 19% of Latinos lack the necessary form of ID. After passing their laws, both of these states filed preclearance letters with DOJ, but neither could explain how the new law avoided repeating an abhorrent history of discrimination.

Florida severely restricted voter registration drives, although minority voters register through drives at twice the rate of white voters. The Sunshine State also cut early voting, the process through which more than half of the state's African-Americans cast ballots in 2008. Florida implemented its restrictive bill in violation of the VRA and only submitted the legislation for preclearance after it was sued in federal court. When DOJ questioned the discriminatory impact of these changes, Florida removed the most controversial parts of its law from the department's consideration and instead asked a federal court to excuse it from its obligations under the VRA.

These states are seemingly unable and have clearly failed to craft election laws that will affect all equally. And, apparently, they don't even want to. Rather than work toward solutions that allow more eligible Americans to vote, some states have filed lawsuits arguing that parts of the VRA -- one of our nation's most successful pieces of civil rights legislation -- are unconstitutional.

Ensuring that all citizens can exercise their right to vote extends beyond just those states with significant histories of race discrimination. In 2011, many other states have embarked on voter suppression efforts. In a new report, "Defending Democracy," the NAACP and NAACP Legal Defense Fund examine the past year's assault on voting, demonstrating that the "onslaught of restrictive measures" was "designed to stem electoral strength among communities of color."

This is only the latest in a series of reports highlighting the wrongheadedness of this movement against voting rights. Earlier this month, the Democratic National Committee's Voting Rights Institute released a major report which said Republicans have undertaken this effort purely for partisan gain. Earlier this year, the Brennan Center for Justice and Advancement Project also released substantial reports.

Testifying before Congress in November, Holder said that legislation aimed at voter suppression is "inconsistent with what we say we are as a nation." I couldn't agree more. Johnson signed the VRA to ensure that the right to vote extended to all Americans, regardless of their race. The VRA was more than just another federal law; it was -- and remains -- the embodiment of years of struggle, resulting from countless sacrifices of brave men and women who built the civil rights movement.

We must not allow a new generation of restrictions to condition the right to vote on arbitrary qualifications and discriminatory rules. I welcome Holder's voice to the chorus of millions of Americans who have defended the sanctity of the vote. And I hope that DOJ will continue to move our nation forward and protect every eligible citizen's fundamental right to vote.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

The reforms of the 1965 Voting Rights Act are under threat, says Donna Brazile

@highlight

Brazile: Lawmakers in 40 states have introduced legislation that would make it harder to vote

@highlight

Voting would be harder especially for people of color, the young and seniors, she says

@highlight

The Department of Justice must continue to safeguard American voting rights, Brazile says