STOCKHOLM, Sweden (CNN) -- Four men behind a Swedish file-sharing Web site used by millions to exchange movies and music have been found guilty of collaborating to violate copyright law in a landmark court verdict in Stockholm.

A Pirate Bay server, confiscated by police last year, on display in Stockholm's Technical Museum.

The four defendants -- Fredrik Neij, Gottfrid Svartholm Warg, Peter Sunde Kolmisoppi and Carl Lundstrom, three founders and one patron of The Pirate Bay -- were sentenced to one year in jail and also ordered to pay 30 million kronor ($3.6 million) in damages to several major media companies including Warner Brothers, Columbia, Twentieth Century Fox, Sony BMG and EMI.  The defendants are free without restrictions while they appeal the judgment.

The Pirate Bay allows users to exchange files including movies, music, games and software, but does not host the files itself. It claims more than 3.5 million registered users.

The court case, which involved both a criminal case and a civil claim brought by the media companies, marks a key victory for anti-piracy campaigners, who had long targeted the Web site. Should the perpetrators of Internet piracy be punished? Have your say

The year-long prison terms are for violating Swedish law, while the damages are compensation to the media giants in the civil case -- though the court ordered the men to pay just one-third of the 110 million kronor ($13 million) which the companies had asked for.

Friday's verdict did not include an order to shut down The Pirate Bay site.

Its owners have consistently shrugged off legal threats and police raids, posting letters from entertainment industry lawyers on their Web site with mocking responses.

When Dreamworks studio demanded that the site act over file-sharing of Dreamworks' movie "Shrek 2," The Pirate Bay threatened to sue for harassment and lodge a formal complaint "for sending frivolous legal threats."

"It is the opinion of us and our lawyers that you are ... morons," the response continued, suggesting that studio representatives perform a sexual act. The response closed with an obscenity.

Site owners dismissed the effects of a police raid in 2006, saying the site had been down longer on other occasions due to illness or drunkenness than when "the U.S. and Swedish government forces the police to steal our servers ... yawn."

But Magnus Eriksson, who in 2003 co-founded the "loosely formed group of theorists, artists and programmers" that spawned The Pirate Bay, says there are serious issues at stake.

He does not think copyrighted material should be free for everyone, "but that it already is."

"The control over what people communicate is lost and we have to adapt to this new state of things," he said via e-mail. "To monitor all communications, fight all new digital technologies and spread a culture of fear in what should be a free and open communication network is not a desirable option."

Entertainment companies claim The Pirate Bay has hurt their box office profits, part of an annual loss the Motion Picture Association of America claims to be about $6 billion a year worldwide.

"Hollywood studios are businesses. They're there to make money," said association lawyer Thomas Dillon. "It costs $100 million to make a feature film, so of course they're quite keen to get some back. So I don't accept this argument that there's some benefit to culture in allowing people to make copies of commercial films and getting them for free."

Monique Wadsted, a Swedish lawyer for the MPAA, said The Pirate Bay was also harming individual artists.

A victory for the entertainment companies "will, of course, be for all authors all around the world, some kind of redress... because what is going on now is actually a plundering of the author's works," she said via e-mail.

"If some authors find it good to market their products using file-sharing or whatever, they are free to do that," she added. "But that is not what is happening at the moment. What's happening at the moment is that authors' and rights holders' works are file-shared against their will and that is not acceptable."

She argued that The Pirate Bay "is specifically tailored for copyright infringement."

The prosecution claims the site provides a search engine that helps people find and download copyrighted material including movies, music and games -- in effect, enabling copyright theft.

The site's supporters say they're doing nothing wrong under Swedish law because the site doesn't actually put the copyrighted material on the Web site.

Internet piracy and illegal downloading from peer-to-peer systems are some of the biggest piracy problems in Europe, the MPAA argues.

Internet piracy is growing at a faster rate in Europe than anywhere else in the world, the MPAA says, because of increased broadband use, weak laws, and lenient public perceptions.

Sweden's official efforts to battle online piracy have been weak, the MPAA says.

Eriksson, the co-founder of the group that led to The Pirate Bay, says the MPAA's argument that file-sharing hurts movie studio revenues is "nonsense."

"Cinema is doing better than ever," he said by e-mail. "They only claim this because they calculate losses by looking at the number of downloads and imagining that all of them would have been a purchase if they hadn't been downloaded first."

Eriksson said what was at stake in the Swedish courtroom was the future of the Internet itself.

"The Internet revolution meant that we created a global network where any digital entity could connect and exchange information with any other," he said. "Anti-piracy efforts must be seen in the light of a counter-revolution against this that goes all the way to the very infrastructure of the net."

He suggested that even if The Pirate Bay is convicted of facilitating making works public through its indexing service, which he does not expect, Internet piracy will not stop.

"The prosecution can't understand that The Pirate Bay is just one stratification of a social and technological change that is decentralized," he said.

"Piracy does not have a head that you can cut off, and The Pirate Bay is just a technology allowing communication, a part of the Internet infrastructure."

CNN's Neil Curry in Stockholm, Sweden, and Mairi Mackay in London, England, contributed to this report.

@highlight

Four men sentenced to a year, fined $3.6M in Sweden over file-sharing Web site

@highlight

Prosecutors said The Pirate Bay lets users download copyrighted material

@highlight

Site allows users to exchange movies, music, games, but does not host the files

@highlight

Supporters said The Pirate Bay doesn't put copyrighted material on Web site