(CNN) -- As the United States commemorates a decade since one of the most tragic days in its history, there will be plenty of television programming to mark the occasion.

Beyond the news coverage of the 10th anniversary of the September 11 attacks, there are more than 40 specials, documentaries and other shows planned.

The programs seemingly cover every aspect, from Animal Planet's "Saved," about how the bonds with their pets helped two New York City families cope with 9/11, to Paul McCartney's documentary "The Love We Make," about the benefit concert he organized after the tragedy. The latter was only recently completed and will air on Showtime.

And McCartney won't be the only famous face weighing in.

"Access Hollywood" will offer reflections from celebrities, and BIO will offer "When Pop Culture Saved America," a two-hour documentary examining how "Comedians, singers, actors, entertainers all did their part with concerts, telethons and specials to help bring the nation back to the new normal."

David Bushman, a curator with The Paley Center for Media in New York City, said the amount of programming is to be expected, given the magnitude of the attacks on the World Trade Center in New York and the Pentagon in Washington, D.C.

"It's such a major event and story in our history that it's very hard to ignore it and seem relevant," he said. "And yet there are lots of things that are difficult about it. One of the things, as crass as it sounds, is how do you do something that is distinctive from everyone else."

In the week leading up to the anniversary, CNN will feature four hourlong documentaries: "Footnotes of 9/11," in which investigative correspondent Drew Griffin chronicles eight people mentioned in "The 9/11 Commission Report"; "Dr. Sanjay Gupta Reports: Terror in the Dust," which will examine the health effects of the attacks on responders; the Soledad O'Brien-helmed "Beyond Bravery: The Women of 9/11"; and a special CNN/Time/HBO presentation: "Beyond 9/11: Portraits of Resilience."

At NBC, "Today" will have coverage in the days leading up to September 11, and the network will air a "Children of 9/11" special on September 5 and "America Remembers" on the anniversary.

MSNBC will offer "Days of Destruction -- Decade of War," about how the country has changed, and Fox will have a two-hour special on the rebuilding of ground zero titled "Fox News Reporting: Freedom Rising with Shepard Smith."

The Discovery Channel will feature the Steven Spielberg-produced documentary "Rising: Rebuilding Ground Zero," and the Spanish network Telemundo will broadcast a five-hour show from that location.

Even children's network Nickelodeon will feature "Nick News with Linda Ellerbee: What Happened? The Story of September 11, 2001" to explain the events to its viewers, some of whom weren't even born when the tragedy occurred.

The National Geographic Channel will feature a week of programming starting August 28, including an exclusive sit-down with former President George W. Bush, who was in office on 9/11.

Michael Cascio, senior vice president of production for the channel, said the abundance of programming just makes sense.

"Seems to me you probably could do more than a week and still not get at all of the issues and angles we need to get at," he said. "We're actually concerned about making sure the viewer has enough information and a depth of it."

Robert J. Thompson, founding director of the Bleier Center for Television and Popular Culture at Syracuse University, said such coverage is easily planned, as the anniversary is expected.

"You can't predict a tsunami, but anniversaries are kind of like royal weddings in that you know when they are going to happen and you can put them together," he said. "And let's face it, this programming is for the most part relatively inexpensive to do. It's playing clips and putting stuff together and all the rest of it."

Anniversaries have always been important culturally, he said, and he points to the World's Columbian Exposition in Chicago in 1893, which famously celebrated the 400th anniversary of Christopher Columbus' arrival in the New World.

Coverage of anniversaries has exploded, in part because of cable television, Thompson said.

"There are so many hours of cable television to fit this stuff into," he said. "Where it used to be you might recognize a special, but when there were only three networks, there weren't that many hours to fit it in."

Blogger Kelly West wonders how much coverage viewers can take.

She wrote an article, "September 11th Tenth Anniversary TV Specials Scheduled: How Much Will You Watch?" for the site Cinema Blend, and said she hopes networks respect the commemoration.

"How much coverage we expose ourselves to and how we want to acknowledge the anniversary is our choice," West said in an e-mail to CNN. "The advertisements for these programs could present an issue, however."

"With so many 9/11 programs scheduled to air, I would hope that the networks take a tactful, respectful approach to letting people know what they have available," she added. "9/11 isn't 'Shark Week' or some event that needs to be hyped up and sold to people in the days leading up to the anniversary."

At least one television drama will offer its interpretation of the painful look back.

On September 7, The FX series "Rescue Me" will end its run after seven seasons. The show was inspired by the events of 9/11 and followed the lives of New York City firefighters.

The series star and co-creator, Denis Leary, told Canada's Postmedia News that the timing fit.

"There's a natural summing up, of having the guys stop and think about where they are," Leary said. "There are going to be memorials. We have to deal with 9/11 again. So it was only natural to end it this way."

@highlight

Television will mark the anniversary of September 11 with more than 40 programs

@highlight

The shows will lead up to and encompass 9/11

@highlight

The FX drama "Rescue Me," inspired by 9/11 events, will end 4 days before the anniversary