(CNN) -- "If personality is an unbroken series of successful gestures, then there was something gorgeous about him, some heightened sensitivity to the promise of life, as if he related to one of those intricate machines that register earthquakes ten thousand miles away. This responsiveness had nothing to do with that flabby impressionability which is dignified under the name of the 'creative temperament' -- it was an extraordinary gift for hope, a romantic readiness such as I have never found in any other person and which it is not likely I shall ever find again. No -- Gatsby turned out all right at the end; it is what preyed on Gatsby, what foul dust floated in the wake of his dreams that temporarily closed out my interest in the abortive sorrows and short-winded elations of men."

â€• F. Scott Fitzgerald, The Great Gatsby

Seriously, now ... how can any movie director achieve a stretch of moving images that can even sneak up on the ineffable beauty, the limpid grace, the near-magical intersection of metaphor and tone found in such prose? You'd be just as well off trying to "adapt" one of Keats' odes or Wordsworth's pastorals into a filmed version. "Rosetta Stone: The Movie," anyone?

Again, seriously, why can't filmmakers let "The Great Gatsby" be? Mostly because the rest of us can't. Though F. Scott Fitzgerald's 1925 masterwork was regarded as something of a failure in his brief, sad lifetime, it has since the 1940s steadily risen in the kind of popularity broad enough to take in generations, cultural backgrounds and whole nations.

There have been five attempts to make a movie version of Fitzgerald's Jazz Age tale about a wealthy young man with a mysterious, vaguely sinister past and how, having reinvented himself, sets about trying to reinvent his romantic destiny.

Australian Baz Luhrmann's turn at bat with this Great American Novel opened Friday with Leonardo DiCaprio playing the eponymous Jay Gatsby, Tobey Maguire as his circumspect neighbor Nick Carraway and Carey Mulligan as Nick's moneyed cousin Daisy Buchannan, the glistening, potential fulfillment of Gatsby's dearest (or, maybe direst) wishes.

Reviews, saying the least, have been mixed, with some, like the Miami Herald's Connie Ogle declaring it a "failure" and the Philadelphia Inquirer Steven Rea describing it as "audaciously miscalculated" while others, notably the New York Times' A.O. Scott and New York magazine's customarily finicky David Edelstein, admit being entertained by what Scott characterizes as a "splashy, trashy opera."

News: 'Unfilmable' novels? No such thing, says Hollywood

Such impressions seem to have been anticipated because of Luhrmann's reputation for mounting such gaudily apportioned accounts of thwarted love as 1996's "William Shakespeare's Romeo + Juliet" (which also starred DiCaprio) and 2001's "Moulin Rouge!"

Even those who praise the movie do so acknowledging its lavish set pieces (Oh, those parties!), its hyped-up theatricality and its often-anachronistic musical background (Oh, that hip-hop!). But as Edelstein writes, "For all its computer-generated whoosh and overbroad acting, (the movie) is unmistakably F. Scott Fitzgerald's 'The Great Gatsby.' That is no small deal."

What Edelstein means (and I agree) is that Luhrmann's "Gatsby," in ramping up the opulence of the era and the intensity of the romance, comes closer than any previous movie adaptation so far in touching the emotional spirit of Fitzgerald's novel.

But the story's visceral appeal presents a problem for those who contend that the novel's poetic language and resonant imagery are merely cloaking devices for what amounts to a thin, lurid storyline that would barely pass muster in a bottom-feeding pulp magazine. In a meticulous deflation of the book's repute found on the same New York magazine website as Edelstein's review, writer Kathryn Schulz's disdain even spreads to the characters, none of whom she regards "as likeable. None of whom are even dislikeable, though nearly all of them are despicable."

Look: Gatsby's Gold Coast: 8 grand estates

One could argue that the shallowness of Fitzgerald's glamorous strivers is precisely the novel's point. The "abortive sorrows and short-winded elations" to which Fitzgerald refers in the opening quote account to most, if not all, of America's transient aspirations, practically from the country's inception. Moreover, theirs is the kind of shallowness upon which we can repeatedly project not just our own apprehensions of desire but those of everyone we know and will come to know throughout our lives.

And so what if the novel's skeleton is little more than pulp? What would have happened if the storyline were any more elaborately designed? Would it have become even more lachrymose? Or more farcical? Something would have been thrown off-balance. With each rereading, one finds that Fitzgerald made all the right choices and arranged them all with as much precision as he was able to summon.

This also applies to the language -- which has left many so dumbstruck with wonder and admiration that it threatens to paralyze even one's effort to express admiration for it. Recall 1974's more immaculately fashioned movie version of "Gatsby," which was directed by ace literary adaptor Jack Clayton ("The Innocents"), boasted a screenplay by "The Godfather's" Francis Ford Coppola and starred Robert Redford as Gatsby, Mia Farrow as Daisy and Sam Waterston as Nick.

That film was enormously faithful to Fitzgerald's novel -- and not much else. Luhrmann's, for the record, is just as faithful. But Clayton's film of "Gatsby" doesn't so much render the book so much as one's reverential reading of it. Luhrmann's response is more rapturous and unruly -- and, perhaps, this brings it closest of all to the spirit of the emotionally clumsy but romantic dreamer who created this enduring story in the first place.

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Gene Seymour: How can any director translate beauty of Fitzgerald prose in "Gatsby?"

@highlight

They keep trying, he says. Lurmann film comes close to touching novel's emotional spirit

@highlight

The book is thin, its characters distant, and that's precisely the point, he says

@highlight

Seymour: Reverent, literal adaptations don't capture novel. But Lurmann's succeeds