(CNN) -- When researchers at Harvard Business School set out to study top-level leadership within a major organization, it would have been easy to focus on a high-flying CEO from the commercial or financial worlds.

Instead, the academics cast convention aside and approached a football manager with an avowed commitment to socialism -- Sir Alex Ferguson.

The former Manchester United manager is one of the most successful coaches of all time, winning a veritable treasure trove of trophies and championships in a managerial career that stretched across five decades.

All very impressive, but what could Ferguson possibly know about business leadership that would be of use to an in-depth study on the subject?

See also: There's no escape from Robo-boss

Quite a lot according to management consultant and author, Mike Carson, who has spent the past year interviewing top-level soccer managers, including Ferguson, for his book, "The Manager: Inside The Minds of Football's Leaders".

"People think football is about buying and selling players and picking the team, but actually that is just a relatively small part of it," Carson explained. "It's also about how do I lead myself? How do I lead my team? And how do I lead others?"

"Whether you're leading a football club and all the infrastructure behind that ... or whether you're leading an executive company, the human skills are quite similar," he added.

Tactical game

Like the researchers who studied Ferguson at close quarters and invited him to speak at Harvard last year, Carson draws parallels between the best CEOs and football managers in how they strive to introduce long term structures and values to foster a culture of success.

He also points out the similarities in managing top talent, developing an effective one-to-one leadership style as well as taking into account the needs of different interests groups within an organization.

This final quality is something the best soccer managers do particularly well, Carson noted.

See also: The 10 worst bosses from TV and film

"Football management is not unlike being a senior executive where you have to balance the needs of multiple parties: investors, shareholders, committees, customers, clients, consumers and stakeholders in general."

"No-one gets it right all the time; and for the managers of the big clubs and national teams, the stakes are very high indeed. The likes of JosÃ© Mourinho, ArsÃ¨ne Wenger and recently Sir Alex Ferguson are under constant press and media scrutiny, and have frequent high-profile and high-impact dealings with press, club owners, agents and top talent, high-priced players," he added.

Contrasting styles

Yet despite these broad similarities, the day-to-day methods used to nurture relationships in sport and business will in most cases be vastly different.

Jose Mourinho's often barbed public attitude towards officialdom and competitors, for example, would unlikely meet the level of decorum expected of a public facing CEO or executive.

Sir Alex Ferguson's infamous hairdryer treatment (where he stands inches away from a players face and screams at the top of his voice) or the temperamental touchline persona of Borussia Dortmund head-coach, Jurgen Klopp, meanwhile hardly seem suited to the more refined sensibilities of the business world.

According to Professor Ian Clarke, dean of Edinburgh University's business school, however, these emotional techniques still display leadership attributes that businesspeople can adapt for their own purposes.

See also: Neurotics shine over time in team settings

"[One of the main] things those in business can learn from leaders in sport is passion," Clarke explained. "Many top sports coaches have this, but so few business leaders display it openly in their organizations or externally."

In this regard, Clarke says there is "a huge amount that businesspeople can take from those in sport. I don't think enough of that goes on as it is."

Transferring skills

Perhaps one of the main reasons for this lack of learning across football and business is the fact that so few have operated at the sharp end of both disciplines.

One man who has is former Tottenham, Celtic and Cagliari defender, Ramon Vega.

The former Swiss international founded his own asset management firm, Vega Swiss Asset Management, in 2009 after hanging up boots several years previously. His organization now looks after $1 billion of clients' funds under advisory management, according to a 2012 profile in the Times of London.

Although never a football manager himself, Vega spent more than 15 years studying at the feet of inspirational coaches such as Martin O'Neil, Christian Gross and Roy Hodgson which he said prepared him for the rigors of leading a successful company.

"There are similarities between the two (football and business) as you always have pressure to perform," he said. "On the football side this is something that you can really bring over into the business world as you are trained from a very young age to cope with major pressure."

See also: Is investing in a college degree worth it?

Like Carson and Clarke before him, however, Vega highlights the ability to deal with people on an individual level as the major similarity between leadership roles in the two fields. He believes those in business can glean much from football if they were to analyze the methods and behavior of leading coaches.

"People skills in any form of management are about 80% to 90% the most important part of the job," Vega said.

"Of course you also have to have knowledge and know-how of a specific industry as well, but if you have these skills and effective communication then people will do the job for you very well.

"If managers take the time to think about it and see the positions of people then they can only learn a lot from the sports world," he added.

@highlight

Football managers can offer valuable insight into leadership, says author Mike Carson

@highlight

Sir Alex Ferguson, Jose Mourinho and Arsene Wenger all exhibit powerful leadership traits, Carson states

@highlight

Ex-player Ramon Vega believes communication skills gleaned in the football world can be transferred to business