(CNN) -- "This is a big change, consumers don't always love change, and there's a lot of education we have to provide to make sure that people understand."

This is the extremely diplomatic way Microsoft Xbox Chief Marketing and Strategy Officer Yusuf Mehdi spun his reaction to the PR challenges surrounding the Xbox One of late.

And it's true, consumers around the world (and around the Internet) loudly expressed how much they dislike the changes Microsoft announced to its game licensing terms (and online requirements) for the Xbox One last Thursday, giving Sony the ammunition it needed to win E3 by basically doing nothing.

The reaction wasn't a surprise to Mehdi, though. In fact, he said a lot of the way people have responded to Microsoft's moves was "kind of as we expected." But the implication of his statements in an in-depth interview with Ars Technica was that this temporary confusion and discomfort among the audience would be worth it as gamers and consumers adjust to a console world without game discs.

"We're trying to do something pretty big in terms of moving the industry forward for console gaming into the digital world. We believe the digital world is the future, and we believe digital is better."

Mehdi made a comparison to the world of home movie viewing, where inconvenient trips to Blockbuster Video have been replaced with Netflix streaming on practically any device instantly. On Xbox One, having all games exist as cloud-connected downloads enables new features like being able to access your entire library at a friend's house with a single login, or loaning games to up to ten "family members" digitally and remotely.

Those digital "benefits" will be available at launch, but Mehdi hinted that the digital rights management transition might unlock some more interesting game access and distribution methods later on.

"In the future, you can imagine the capability to have different licensing models, different ways that people have to access games. This all gets unlocked because of digital."

He wouldn't get drawn into details, but when I suggested ideas like an "all-you-can-play" Netflix for games or purely digital game rentals, he didn't shoot me down. "Sure. It could be a variety of ways."

He also suggested that the transition to a world of strictly downloadable and online-connected games would help allow for "a diversity of business models" for publishers to take advantage of, from free-to-play titles to $60 AAA games to Xbox Live Arcade games somewhere in between.

"As you go into a digital world, what's happening is publishers are choosing to have different business models and consumers are saying 'Hey, if I can't resell the title, provide me a different way to get value to get into your game.' And we think the market will be efficient in finding good models that work for consumers."

In essence, Mehdi said, consumer demand for good value from games will drive prices down, even if a publisher decides to fully cut off the market release valve of used game resale.

Publishers, of course, have been the most forceful proponents of cutting off the used game market, with some suggesting that used games are comparable to piracy for their bottom line. But Mehdi said that Microsoft wasn't simply "giving in" to publisher demands with its new game licensing terms.

Instead, it was trying to balance the needs of its four main "constituents," including the consumer (who comes "first and foremost" he said), game publishers, retailers, and Microsoft itself as a company.

"Within that, we've tried to optimize, and I think we've found a great balance across all of those dimensions," Mehdi said. "But there are tradeoffs.

"We do want to support everyone in that system, beginning with the consumer. But we want publishers to get paid for the great IP they work on. We want retailers to be able to drive and sell our products and make a profit. So we are trying to balance across all those."

Mehdi noted that purely digital game marketplaces like the iOS App Store have thrived despite having absolutely no physical media. Implementing that kind of disc-free system on the Xbox One "may not [have been] the best thing for consumers, and it may not [have been] the thing they [would have] wanted," Mehdi said, which is part of why Microsoft decided to keep discs as an option. Still, he did concede that, without discs, the licensing norms for the system "would be easier to understand."

The way Mehdi talked about Microsoft's licensing decisions reinforced the idea that he saw the limited abilities to share and transfer Xbox One games as a step up from other, purely digital marketplaces, even if some others see it as a step down from current disc-based distribution systems.

On the Xbox One, Mehdi said the company has "tried to... bridge the two in a way that no one has done -- to give you the power of digital and then give you all this power in physical ... . We know we're providing a lot more value to consumers, but in that comes a lot of need to clarify, 'How come disc? How come digital? How's that work?'"

While the Internet is decidedly up in arms about the way the Xbox One handles game ownership and online check-ins, Mehdi said it was "hard to say" what the larger reaction from the less attentive mainstream consumers would be.

"I think it's fair to say there's a segment of consumers at this show in particular who really pay attention, who are very passionate about all aspects of gaming, and that we listen to closely. In a broader set of community, people don't pay attention to a lot of the details. We've seen it in the research, we've seen it in a lot of the data points."

One data point in particular Mehdi pointed to was the success of the initial pre-orders for the Xbox One, which started as soon as Microsoft's press conference concluded Monday.

"Amazon basically says they are on path to sell out ... . Amazon is saying it's one of their best-selling consumer products. We're seeing the same thing from other retailers."

To be fair, PlayStation 4 pre-orders were also a quick sell-out on Amazon after the company's press conference on Monday. Still, "it's very clear there are a wide variety of other consumers that love to game that are excited about what we have to offer with Xbox One," Mehdi said.

While the Xbox One will sell for $100 more than the PlayStation 4, Mehdi suggested that the extra money spent would be worthwhile to consumers looking for the best value in their next gaming system.

Besides exclusive titles and gaming content, Mehdi said players would see value in the system being "backed by 300,000 servers backed by Microsoft that enable incredible game experiences."

For another, the Kinect in each box provides for better gameplay and "ease of use for the entire system." Things like live TV support and exclusive NFL and Skype partnerships will also help show consumers the Xbox One's "tremendous value."

"We want to have our offering be differentiated relative to all others," he said. "It has value that is in so many areas that is not in competing systems ... . That is a thing that each consumer will choose... and ultimately consumers will decide which is better. It's a big market."

This story originally appeared on ArsTechnica.

COPYRIGHT 2011 ARSTECHNICA.COM

@highlight

Xbox spokesman says change has rattled gamers

@highlight

Going digital will lead to new sales models, says Yusuf Mehdi

@highlight

At $100 more than PlayStation 4, Mehdi says gamers will see the value

@highlight

Amazon says Xbox One is on pace to sell out in pre-order