(CNN) -- The epiphany occurred at a baptism.

With more than 800 people waiting, Pastor Rick Warren took them one by one and immersed them in the church's baptism pool. During this spiritual rite at Saddleback Church, the pastors hold the people briefly underwater, and then pull them out.

"On that particular day, I was baptizing 858 people," Warren told his congregation last fall. "That took me literally four hours."

"As I'm baptizing 858 people, along around 500, I thought this ... 'We're all fat.' "

Warren turned his realization to himself.

"But I thought, I'm fat," he said. "I'm a terrible model of this. I can't expect our people to get in shape unless I do."

Warren, considered one of the most influential pastors in the country, delivered the inaugural prayer for President Obama in 2009 and wrote the best-selling book "The Purpose Driven Life." Now, he was embarking on a new mission: Curbing the obesity epidemic at church.

Warren seems like an unlikely man to lead an anti-obesity crusade. A ruddy man with plastic frame glasses, he has admitted to gaining 90 pounds over the last 30 years and failing at various yo-yo diets. He declined an interview for this story.

Based in Lake Forest, California, Saddleback is one of the largest churches in the United States and has eight locations throughout Orange County. Warren has a casual style in his ministry, usually preaching in jeans.

Since January 2011, Warren has been shrinking. He gave up carbonated drinks, dairy and fast food, he told the church. He works out twice a day, according to his trainer, Tom Wilson. Warren shed 60 pounds on a diet-lifestyle program devised at Saddleback Church called the Daniel Plan.

The program's name comes from the biblical story about Daniel. In the story, Daniel and his friends, who are Israelites living in Babylon, refuse to consume royal food and wine. By eating vegetables and water, "they looked healthier and better nourished than any of the young men who ate the royal food," according to Daniel 1:15 in the Bible's New International Version.

The Daniel Program, which started at Saddleback Church last January, advises how to eat healthier foods, encourages workout routines and urges participants to join small groups. The program was free.

Warren recruited three doctors to develop the plan: Daniel Amen, a psychiatrist; Mark Hyman, a family doctor; and Mehmet Oz, a TV host and cardiac surgeon.

"The secret sauce of Saddleback is we do this as a community," said Amen, one of the medical contributors. "It's very different than most health plans where you do it with yourself or your wife. You get to do this with a whole community."

Studies indicate that people who try to lose weight or adopt healthier habits in groups are more likely to be successful than individuals working independently.

The small groups have health and spiritual curricula, and provide a support network. Saddleback was the ideal place, because small groups already existed at the church and Warren had "instantaneous capacity to make this happen," said Hyman, another contributor to the Daniel Plan.

"The church was the perfect incubator," he said. "This was a way of leapfrogging and getting a social experiment done."

Chiquita Seals, a member of Saddleback, said that having a small group was instrumental to her 125-pound weight loss. Her group met twice a month to discuss their health, and they also hiked together. Each small group has a health champion, whom Seals credits with "helping me emotionally, physically."

"The health champion guides the group -- 'This is what we're cooking, this is what we're doing' -- and cheers you on and helps you out. It's not just the food you're eating, it's also mental gain," she said.

The church held a race, cooking demonstrations and various workout classes led by Tae Bo founder Billy Blanks. It overhauled the menus and vending machine products sold at church and placed symbols to indicate which choices were healthy. Doughnuts often given to the congregation were replaced with trail mix. The church developed a website with recipes, advice on physical activity and health information.

"It's not a diet, not a healthy quick scheme, it's designed to be a way to create health," Hyman said.

At the end of the first year, about 15,000 people had registered for the program and 250,000 pounds were lost, according to Saddleback Church. The Daniel Plan is a program the founders intended to spread to different faith communities across the globe, Hyman said.

But many at Saddleback wondered why the church would get involved in health and weight loss.

"I wondered whether this was something church should be doing," said Julie McGough, a member of Saddleback Church for 18 years.

McGough and her husband decided to try the plan, because they had gained weight during his illness with multiple sclerosis. Between his doctor's visits, hospital appointments and busy schedule, the family came to rely on fast food as their staple.

The couple and their two kids, ages 10 and 16, cleaned out their pantry, gave up the In-N-Out burgers and started cooking as a family activity. They started eating chicken, broccoli, squash and a variety of vegetables, and in smaller portions. They bought a trampoline for the kids and also started hiking.

One year later, McGough has lost 28 pounds. Her husband has lost 55 pounds and stopped taking as many medications.

"This is what we should be doing," McGough said about the church's involvement in the health plan. "I am far more able to serve God because I'm healthy."

Warren said in several speeches to the congregation that he never paid much attention to the perils of obesity such as diabetes and heart disease. But when he heard that obesity could affect a person's brain power, it snapped him into action. Growing evidence indicates that obesity is associated with impaired cognitive function, such as attention and memory problems.

Warren often repeats the same phrases when discussing the Daniel Plan. "The Father made your body, Jesus paid for your body, the Spirit lives in your body. You better take care of it."

@highlight

Pastor Rick Warren started a health plan addressing diet and fitness at church

@highlight

Warren has shed 60 pounds in one year

@highlight

The Daniel Plan uses small groups to encourage healthier habits