Washington (CNN) -- The Justice Department is scrambling to meet a federal court's Thursday deadline to answer fundamental constitutional questions dealing with the health care law championed by President Barack Obama, an escalating political battle that has embroiled all three branches of government.

Administration officials said Wednesday they were deciding how to respond to an order from a three-judge appeals panel hearing a separate challenge to the Affordable Care Act. Department lawyers were told to explain whether federal courts could intervene and strike down congressional laws as unconstitutional. Such a power has been guaranteed since the Supreme Court's landmark 1803 ruling in Marbury v. Madison.

This came after a federal judge appeared to be deeply concerned by the president's comments this week, in which he challenged the high court not to take what he called an "unprecedented" step of overturning the law.

The White House tried to defuse the ideological firestorm, saying President Obama's words were misunderstood.

The three judges are Republican appointees from the 5th Circuit U-S Court of Appeals, meeting in Houston. They were hearing a challenge to the health care law from physician-owned hospitals, despite the fact the Supreme Court is deciding the constitutional questions. The high court's rulings expected in June would take precedence over any other courts hearing similar appeals.

The latest dispute surfaced Monday when the president said, "I'm confident that the Supreme Court will not take what would be an unprecedented extraordinary step of overturning a law that was passed by a strong majority of a democratically elected Congress and I just remind conservative commentators that for years, what we've heard is, the biggest problem on the bench was judicial activism or a lack of judicial restraint, that an unelected group of people would somehow overturn a duly constituted and passed law."

Some conservative commentators accused the president of trying to "bully" the federal courts into backing the law, or risk attacks on their credibility.

A day after the president's remarks, the federal appeals court held its open hearing. Judge Jerry Smith, a Reagan appointee, was especially tough on a Justice Department lawyer defending the law, specifically mentioning the Obama quotes.

"I'm referring to statements by the president in the past few days to the effect, and I'm sure you've heard about them, that it is somehow inappropriate for what he termed 'unelected' judges to strike acts of Congress that have enjoyed -- he was referring to, of course, Obamacare -- to what he termed broad consensus in majorities in both houses of Congress," said Smith.

"That has troubled a number of people who have read it as somehow a challenge to the federal courts or to their authority or to the appropriateness of the concept of judicial review," he continued. "And that's not a small matter. So I want to be sure that you're telling us that the attorney general and the Department of Justice do recognize the authority of the federal courts through unelected judges to strike acts of Congress or portions thereof in appropriate cases.

Government lawyer Dana Lydia Kaersvang appeared initially taken aback, but replied such authority has existed for centuries.

Nevertheless, Smith and Judges Emilio Garza and Leslie Southwick then ordered the Justice Department to submit by noon Thursday a three-page, single-spaced letter addressing whether the Obama administration believes courts do indeed enjoy that power. Smith's phrasing in open court of the law as "Obamacare" mirrors a term used by many opponents of the law.

The specific issue before the appeals court was a provision in the law restricting doctor-owned hospitals from expanding their facilities. The challenge was brought by an East Texas spine-and-joint hospital in East Texas.

Just hours after the appeals court hearing, Obama on Tuesday clarified his earlier statements, saying, "The point I was making is that the Supreme Court is the final say on our Constitution and our laws, and all of us have to respect it, but it's precisely because of that extraordinary power that the court has traditionally exercised significant restraint and deference to our duly elected legislature, our Congress. And so the burden is on those who would overturn a law like this."

White House Press Secretary Jay Carney, facing a flurry of reporter questions, said the president was articulating the view the high court has for 80 years generally deferred to congressional authority, specifically on economic legislation based on the Constitution's Commerce Clause, and was not challenging the Supreme Court.

"It's the reverse of intimidation, he's simply making an observation about the fact that he expects the court to adhere to that precedent," he said. "It's obviously, as he made clear yesterday, up to the court to make its determination, and we will wait and see that the court does."

Attorney General Eric Holder defended the president. "I think that you know what the president said a couple of days ago was appropriate," said Holder, speaking at a health care fraud prevention event in Chicago. "I don't think he broke any new ground in the comments that he made."

There was criticism aimed at both Obama and the federal courts over the divisive political issue.

Senate Minority Leader Mitch McConnell accused the administration of trying to "browbeat" and "intimidate" the justices.

"The president, more than anyone else, has an obligation to uphold the legitimacy of our judicial system," said the Kentucky Republican. "But his remarks on the [Supreme] Court reflect not only an attempt to influence the outcome, but a preview of Democrat attacks to come if they don't get their way."

Carrie Severino, chief counsel of the Judicial Crisis Network, said President Obama was out of bounds.

"The president is tying to bully the court here, threatening them that if they don't come down his way, they're going to have the same thing that happened in the State of the Union address 2010. He's going to be calling them activists, he's going to be saying they're political."

The president two years ago attacked the conservative majority for striking down a campaign finance reform law, giving corporations greater power to spend in federal elections.

But some conservative legal sources privately expressed disappointment in the appeals court's order, saying it appeared punitive and petty to demand the Justice Department defend a position it had never disputed in court.

"It was like he [the judge] was giving a homework assignment to an unprepared student," said one right-leaning lawyer, who opposed the law. "It has the effect of putting the judiciary on the defensive, and could give rise to concerns the courts will look at the law from a political, not constitutional perspective."

The high court held three days of oral arguments last week, dealing with four major questions surrounding the health care law. The justices have not, and by custom will not, comment on pending appeals. Their written opinions due in the next three months will be the final word on the Affordable Care Act's constitutionality, particularly the "individual mandate" provision that requires most Americans to have health insurance by 2014, or face a financial penalty.

The outcome of the cases have raised the stakes in a presidential year, and could have a lasting effect on the credibility of the federal courts, which are supposed to be beyond policies.

"I think what we are seeing here is the courts, and the confrontation between the administration and the courts, being drawn in to overall polarization that defines so much of modern political life. Every aspect of this has been extraordinary," said Ron Brownstein, a CNN political analyst. "Obama's comments Monday were more pointed and sharp than a president usually directs toward the Supreme Court; the response by a Reagan-appointed judge, more pointed and sharp than you might have expected from a lifetime-tenured member of the judiciary. And you really see here how even the idea of the court as something of an island apart from the intensity of political conflict is really breaking down."

CNN's Brian Todd and Dugald McConnell contributed to this report.

@highlight

A three-judge appeals panel is hearing a challenge to the Affordable Care Act

@highlight

Judges order letter from Justice Department on administration's stance on judicial review power

@highlight

U.S. Supreme Court is deciding constitutional questions about the Affordable Care Act

@highlight

High court's rulings, expected in June, would override decisions in other courts