(CNN) -- I watched as the sellers and beggars descended on her. I was thankful she was walking in front of me although I knew my turn would soon follow. There were women hawking iced water and children with prayer beads, wooden sculptures and cotton pants. Everyone trying to get her attention by saying, "Lady, lady ... You want water? Buy something ... pants, water? Madame, lady, you buy something ..."

The woman who was the target of this avalanche of requests -- who, like me, was a tourist at the Angkor Wat temples in Cambodia -- walked along the road toward the area where the buses and drivers waited to pick visitors up. As the seconds passed, she said "no" and "no thank you," and some of the sellers and beggars relented. Some did not.

They dug in and stuck with her, pulling on her shirt and saying again and again and again, "Buy something, lady." The woman finally shrieked "NO!!!!"

I was surprised and actually relieved to see this. I had done the same thing the day before. Of course, I felt embarrassed at my strong and exasperated response.

It is a simple word understood across languages and cultures. No. But clearly as I saw this stranger demonstrate, making ourselves understood when saying what seems to be so simple is another matter.

We have all been there on the receiving end of a request that we do not want or simply cannot accommodate, and many have much higher stakes than the answer we give to strangers at a tourist spot 12 time zones away.

We know that feeling of "here it comes" in anticipation of a request that may not fit with our lives. We have all been there -- a request comes in via e-mail -- and we are loath to agree. For a variety of reasons, we simply cannot, must not, will not, we tell ourselves, but we do.

These requests come from people in our lives: Our bosses, colleagues, brothers, sisters, children, friends, partners, even from friends of friends, otherwise known as strangers. For things big and small, easy and difficult to accomplish. For some reason, saying no is much harder than it should be.

Out of curiosity, and with guidance from Dan Ariely, a professor of economics and psychology at Duke University in North Carolina, I crafted a survey asking people about their experiences in turning down requests. We wondered whether there was a way to say no that did not involve guilt or anger for either the rejected or rejected. We discovered a number of interesting things: Many of us are saying no in limping, half-baked ways that leave neither us nor the rejected party feeling good about the answer.

Judging by the roughly 500 people who took the time to answer our survey, the experience of saying no and feeling badly about it is common -- and interestingly, falls along gender lines. Specifically, women were more likely to anticipate they would feel badly if they said no and did in fact feel badly when they did say no.

Our results also indicated women felt even worse about saying no when the request came from another woman. Men were more likely to anticipate they would not feel too badly. They reported after the fact that they felt just as they had anticipated when they rejected requests made of them.

It was eye-opening to see the actual requests that were made. From money and co-signing for student loans and new cars (from nonfamily members) to taking care of untrained, "scary" dogs and even children who jump on the furniture and generally ignore house rules.

There were requests for time to volunteer at church, to cook meals, to make long car trips and to provide places to live, couches to sleep on, letters of recommendation and even the ashes and urn of a loved one.

Most people seemed to really take time to see whether getting to yes was even possible. It was not rare for people to include explanations about the constraints that would prevent them from being able to say yes.

Some even thanked the person making the request for thinking of them. Overall, respondents were thoughtful and tried to be helpful. In their rejection of the request, they sometimes offered other solutions or compromises. This stands in sharp contrast to the recent tussle on LinkedIn between a communication professional and a job seeker.

As hard as it is to say no, in many cases, people have to learn the skill, or they risk finding their time, money and resources exhausted. If you are someone inundated with requests, here are a few suggestions to get past your own resistance to saying no:

1. Take your time in deciding: Do not feel obligated to give an answer on the spot. Some people use e-mail auto-responders to buy them time to consider all requests, and this seems to be a strategy that works well.

2. Get more details about the request: Often requests end up involving much more work than it may seem initially. Make sure to get all the details necessary to make an informed decision. Also feel free to change your mind.

Many participants reported saying yes and then going back and rejecting the request after a couple of days' thought. See No. 1.

3. Align with your priorities: Saying no may be difficult but if what you are being asked to do does not align with your priorities or values, then it will be a poor use of your time and energy -- no matter what the request.

One participant shared how her stepchild had asked for the urn and ashes of his father, her deceased husband. They had been married 20 years; she wanted to keep "him" with her even after death. She told her stepson that when she passed away, the ashes would go to him, but in the meantime, she was going to keep them. A sensible compromise can go a long way.

4. Find a "go-to" system: A number of the participants said that they had set up a go-to system to help them both make and deliver the decisions.

For instance, they had rules about certain kinds of requests: They had a predetermined number of requests they would agree to each month or year. Others had several pre-written responses in their e-mail accounts that they could send out once they had classified what category the request fell into for them. Others indicated they preferred to say no in writing via text or e-mail instead of verbally, because it made the process easier for them.

5. Give up the guilt: The research indicates that many women anticipate and feel badly about saying no. That does not help. Give up the guilt, consider what you agree to do and what you are able and then just get on with it. Know that saying no will create fallout -- feel OK about that. It is an inevitable part of the process.

The results to the initial survey only increased our curiosity about the whole process of saying no. Because the responses were so rich, we are eager to explore the topic more deeply to get a better sense of what works and what strategies people are using.

We are also curious about how positions of authority as well as emotions such as regret, fear and anger influence our ability to say no. We also hope to gain more insight into how relationships and gender frame the rejection of requests. We invite you to take a few minutes to participate in the survey.

In this case, please don't say no.

The opinions expressed in this commentary are solely those of Julianne Wurm.

@highlight

It's common to feel pressure when you receive too many requests from many people

@highlight

Julianne Wurm: While people want to say no, they often feel trapped into saying yes

@highlight

Some simple rules can help people navigate the requests and set their priorities, she says