Atlanta (CNN) -- We are still living in Woodrow Wilson's America, says A. Scott Berg -- for better or for worse.

It's not just the income tax and Federal Reserve, cornerstones of the financial system that were put into place during Wilson's administration. By aggressively meeting with Congress and fighting for legislation, Wilson gave the executive branch new power. It was under Wilson that the State of the Union address became a major speech to Congress. It was Wilson who began the modern presidential press conference.

And it was Wilson who, by stating that "the world must be made safe for democracy," established the United States as an outward-looking, internationalist state.

"Every incursion America has had in the last 100 years has been based on that," says Berg, relaxing in an Atlanta hotel restaurant.

Even the debt ceiling is a remnant of the Wilson era, having been first enacted as a measure during World War I.

Other biographies have focused on Wilson the statesman and president. In his new biography, "Wilson," Berg wanted to humanize the man who was president from 1913 to 1921.

"I've not seen a book that I felt had captured the essence of the man," he says. "All the books are filled with his deeds, but not about the person behind those deeds. So the attempt was to write a genuinely personal biography of Woodrow Wilson."

That meant wading into some roiling waters. Wilson was once hailed as an American exemplar for his intellect -- he was president of Princeton for several years -- and for his progressive politics. But his reputation has suffered in recent years because of his racial policies and suppression of free speech. Once ranked among the five greatest presidents, he's since fallen out of the top 10 at times, though in recent years he's moved back up.

But the 28th president has long been a particular passion for Berg, who won a Pulitzer Prize for his 1999 biography of Charles Lindbergh.

"I've long had an interest in Wilson, going back to my teenage years," he says. "He's just somebody who's never failed to interest me."

CNN spoke to Berg about Wilson's political savvy, his personality and some of the myths surrounding the man. The following is an edited and condensed version of the interview:

CNN: Your take on Wilson is sympathetic, despite his thoughts on race. He was born before the Civil War and raised in the Reconstruction and Jim Crow South. Was he a man of his time?

A. Scott Berg: I think he was much more enlightened than many of his countrymen. But he knew the darkness of the Southern spirit when it came to race, and I honestly believe he felt the country was not ready to integrate. On top of that, he had a political agenda as well. He knew he could not pass his progressive agenda without the complete backing of the bloc of Southern Democrats, who made up a third of the legislature. He needed that as a base.

CNN: I always thought of Wilson as humorless. But you reveal there are some deep emotions there, and some wit.

Berg: There are a couple of scenes that are so moving to me. Everybody writes about Wilson going to Congress and asking for a declaration of war. He gives an incredible speech, and the place goes wild. But most biographies leave out the next moment: Wilson and (his wife) Edith get in the car and drive back to the White House in silence. Wilson goes into his office, puts his head on a table and sobs.

The bookend of that is a few years later when he's in Paris, concluding the peace agreement on Memorial Day of 1919, Wilson gives a speech about the American soldiers buried there. In essence he says, I killed them, and that's why I have to go home and fight for this League of Nations, so that no mother will ever have to bury her son again. I can't name another President who has copped to war deaths. They really moved him. He has the melancholy of Lincoln.

CNN: He did have high-minded ideals. He knew about the rough-and-tumble of politics, but he seemed caught up short when he had to immerse himself in it.

Berg: A little. Although he proved to have pretty sharp elbows -- and he had the power of oratory. He really knew how to use that. He was always the smartest man in the room, so he could lord that over people as well.

CNN: When you started this a decade ago, you had no idea that Barack Obama was coming down the pike -- another professorial type, a powerful orator with little political experience who had a sudden rise to the presidency. Do you think there are comparisons to be made?

Berg: I think Wilson was intrepid. He used his lack of Washington background as a great tool and used his knowledge of the Constitution and the way the government worked -- or should work -- to his advantage. A few months ago, I wrote an open letter to Obama, which (recommended he) take some pages from the Wilson playbook.

CNN: Wilson has been credited with -- or blamed for -- the idea of the modern imperial presidency. Before, power had been in the hands of Congress.

Berg: That drove him crazy. He felt that was not the founders' intention. He also felt that Congress had accrued too much power and it had also had become corrupt. Wilson really wanted to level the playing field for Americans, and he wanted to provide a genuine balance of power.

CNN: You write that the story about Wilson and "Birth of a Nation" -- that he described it as "history writ by lightning" -- is false.

Berg: It's one of the great myths. Wilson wasn't even there for the whole screening. He knew how incendiary it was.

CNN: Another rumor is that his wife, Edith Wilson, ran the presidency after his 1919 stroke, but from the book it seems like she deferred whenever possible.

Berg: Mrs. Wilson said she was nothing more than a steward. I think she's something more than that, but she was no Lady Macbeth. It was not a power grab for herself. It was really all to keep her husband healthy and alive.

CNN: And after leaving office, despite his severely weakened condition, Wilson still had fantasies of returning to the White House.

Berg: They weren't fantasies. He was planning it. It was a genuine mental condition, probably as a result of the stroke.

CNN:  Franklin Roosevelt, who served under him, drew lessons from Wilson.

Berg: There's a scene where James Cox and FDR are running in 1920 (as the Democratic ticket) and they pay a visit to the Wilson White House, and FDR can't believe what has happened to this man. But you can see him recording it all. The whole FDR demeanor in office -- robust, look straight ahead -- he takes from Wilson. I suggest a baton being passed at the end of the book.

CNN: Did you come out of this experience with greater admiration for Woodrow Wilson?

Berg: I come out with greater admiration, and also greater frustration, and also occasional detestation. He is a giant of the century. He just changed everything.

All that being said, the deeper I got into the racial issue, and the suppression of free speech, the more I really disliked him. And ultimately, you can't romanticize what happened with the League (which the U.S. never joined).

I think he did himself in, stabbed himself in the heart by not giving an inch. He had numerous opportunities to make small compromises, and he just wouldn't do it.

@highlight

Woodrow Wilson established many federal institutions we take for granted

@highlight

He had fast rise -- from Princeton head to N.J. governor to 28th President

@highlight

Wilson's opinions on race and speech suppression have hurt reputation

@highlight

Author A. Scott Berg set out to write "genuinely personal biography"