(CNN) -- When Pakistanis go to the polls on Saturday they will be electing key players battling to govern one of the world's most complicated countries.

From corruption, claims of international interference, terrorism and religious extremism to overpopulation, inflation, poverty and unemployment, Pakistan has been famously dubbed by some as the world's most unstable nuclear power.

For much of its 66-year existence, the nation of 193 million people has been ruled by a military government. But this year's election is being hailed as one of the most democratic to date.

According to the Election Commission of Pakistan, there will be 36 million new voters among the 86 million registered to vote and more than double the number of candidates (161 up from 64 that contested the 2008 poll) will be women, according to U.N. Women.

"There's a new hope for the country and I hope that this will change the situation in Pakistan; voting this time will make a difference," one Pakistani woman told CNN's Saima Mohsin.

First full term

While the governing Pakistan People's Party (PPP) became the first civilian government to complete a full five-year term -- the three governments following the death in 1988 of military strongman Zia ul-Haq were all brought down by the army -- its legacy is a deeply fractured country with a faltering economy.

Violence in Pakistan's tribal regions remains a key challenge for the country. Since April, the Taliban in Pakistan has killed dozens of people in attacks on the three main political parties. Many urban voters and parties regard resurgent fundamentalism as one of the biggest threats to Pakistan.

The PPP, however, is hoping to gain a second term led by Bilawal Bhutto Zardari, the son of assassinated former Prime Minister, and party leader, Benazir Bhutto.

While, at 24, he is too young to become prime minister in a country where the minimum age to hold the office is 25, Bhutto Zardari -- as part of the Bhutto political dynasty -- is regarded as a key PPP asset.

Top challenger

The PPP's main opposition comes from the Pakistan Muslim League-N, led by one of the country's leading industrialists and richest men, Nawaz Sharif. He has been prime minister twice before and was overthrown in a coup and exiled when General Pervez Musharraf seized power in 1999.

Viewed as a religious conservative, his party, Pakistan's second largest, believes it would have won elections in 2008 had the assassination of Bhutto not given a massive boost to the ruling PPP.

Following closely behind is Pakistan's third force Imran Khan, the former star cricketer and heartthrob who leads the Tehreek-e-Insaf (Movement for Justice) party.

While he has struggled to turn his celebrity status into votes, analysts say he remains popular with Pakistan's urban middle class who support his call to end drone strikes in the country's restive tribal regions and his pledge to sweep away rampant corruption by ending foreign aid.

His party boycotted the 2008 elections, calling Musharraf a dictator. Musharraf's party admitted defeat in those elections and he was succeeded by the PPP's Asif Zardari, Bhutto's widower. Now in 2013, with the PPP fighting to win a second term, this is likely to be the first real electoral test for Khan's movement, which is seen by many analysts as having wide appeal for Pakistan's millions of new voters.

Khan on Tuesday was rushed to hospital with spinal fractures and a head injury after falling off an improvised platform attached to a forklift truck during one of the final rallies of his campaign. Analysts say that while his party is unlikely to form a government, the accident is likely to boost his standing in the polls.

Return of Musharraf

Conspicuous by his absence in the 2013 poll is Musharraf, who returned from four years of self-imposed exile in March to take part in the elections, but has been banned by a court from taking part in politics. His party, the All Pakistan Muslim League (APML), has announced a boycott.

Secular and liberal parties such as the Awami National Party (ANP) and the Muttahida Qaumi Movement (MQM), meanwhile, have borne the brunt of Pakistan Taliban attacks in the run-up to the elections. Offices of the major secular parties have been bombed by the Taliban and its leaders assassinated, making open campaigning all but impossible for those parties.

As a measure of the danger of Pakistani politics, Bhutto Zardari will not be present for the May 11 poll due to security threats, according to Pakistan's Dawn newspaper.

Attacks by the Pakistani Taliban have been particularly virulent in the election campaign -- the first time Pakistan will experience a civilian-to-civilian transfer of power -- not only targeting secular and independent parties but even attacking a rally held by a right-wing religious party that's normally sympathetic to the militant movement.

At least 18 people were killed in the blast on Monday at the rally organized by the Jamiat Ulema-E-Islam (JUI) party. The Taliban claimed responsibility for the attack, saying that one of the party's candidates had handed over members of the mujahedeen to the U.S.

Like many Pakistanis that have endured years of bloodshed and unrest, the party has vowed to continue campaigning despite the violence.

@highlight

Pakistanis go to polls Saturday to elect key players in world's most complex region

@highlight

Pakistan famously dubbed by some as world's most unstable nuclear power

@highlight

The election will be the country's first civilian-to-civilian transfer of power

@highlight

The governing PPP is the first government to complete a five-year term