London (CNN) -- An international manhunt is under way for the fighter shown in a video of the beheading of journalist James Foley -- and its focus is on Britain.

The Islamic State militant on the video has his face covered, except for his eyes. But he has what sounds like a distinctly British accent.

UK media reports are rife with speculation about where he's from. Linguistics experts say his accent indicates he is from southeast England or London, perhaps the capital's East End.

As details of the cold-blooded execution of Foley emerged, British Prime Minister David Cameron interrupted his summer vacation to head a meeting of the government's emergency committee, known as COBRA, in London.

Speaking to the media, he condemned the killing as "a murder without any justification" and said that while the man has not been identified, "it looks increasingly likely that it is a British citizen."

Opinion: Why James Foley's murder was a message to Britain

A lengthy process

With an estimated 400 to 500 British recruits in Syria and Iraq -- though some believe the number to be much higher -- it may take time to identify the killer.

And UK Foreign Secretary Philip Hammond said the government is well aware of the threat these British jihadis pose, at home as well as overseas.

"We've been saying for a very long time that there are a significant number of British nationals, both in Syria and Iraq, operating with extremist organizations," he said.

"Many of these people may seek at some point to return to the UK and they would then pose a direct threat to our domestic security.

"This is a poison, a cancer, what's going on in Iraq and Syria, and it risks spreading to other parts of the international community and affecting us all directly."

Easy recruits

Analysts who study the Islamic State say they are not surprised by the role played by a Briton in Foley's killing.

"The British fighters who have been going out to the Islamic State, who we've been monitoring now for many years, are really wanting to be at the forefront of this conflict," Shiraz Maher, a senior research fellow at King's College London, told CNN. "They're not backseat drivers in any sense."

The power of the Internet means radicalization and recruitment of fighters is also alarmingly easy.

According to a defector from the ranks of ISIS, the jihadist group runs a series of Internet chat groups to begin the process of indoctrinating and filtering potential recruits from outside Syria.

Captors originally asked for huge ransom

Europeans sought after

The defector, who agreed to an interview with CNN earlier this summer but wanted to hide his identity, said that European recruits were more sought after and treated in a different class by the recruiters.

"There was special treatment for the Europeans," he said. "One British guy said he was called Ibrahim, then told me he was from Manchester. One asked my emir (his unit's head) if he should fight in his own country, or come to Syria. He was told if God doesn't give you martyrdom in Syria, then he could wage war in his own country."

Maajid Nawaz, co-founder and chairman of Quilliam, a London-based counter-extremism think tank, told CNN that British jihadis -- writing on social media websites -- had made plain their intention to carry on their jihad when they return home. Some have posted pictures of themselves posing with homemade bombs.

Nawaz said the estimated 500 British fighters in the region equates to roughly one in every 800 Sunni Muslim British men of fighting age.

'Fighters don't emerge from a vacuum'

"That's a huge proportion of this country's Muslim population who have succumbed to this level of violence," he said.

"Those fighters don't emerge from a vacuum, they don't just spring up from nothing. There must be some form of residual atmosphere that's prevalent within our communities here that somehow incubates that type of mindset. So it's definitely very worrying for us.

"There are roughly 3,000 from across Europe and of course we can travel throughout Europe without a visa -- so that means any country can succumb to these kind of attacks as soon as they return home."

Other attackers

Other Britons have helped carry out brazen attacks in Syria.

Earlier this year, father-of-three Abdul Waheed Majid is believed to have become Britain's first known suicide bomber there, when he blew up a truck bomb as part of an ISIS assault on an Aleppo prison.

The 41-year-old, from Crawley, south of London, told his family he was in Syria as a humanitarian worker -- not as an ISIS fighter.

His uncle, Mohammad Jamil, said, "He was a good family man. He had his head in the right place you know. We never thought he was linked to anyone other than his family and doing good deeds."

Beheading of American journalist James Foley recalls past horrors

Propaganda value

Analysts say some of the propaganda value of the Western foreign fighter lies in that contradiction between their past and present identities.

"In showing a Briton decapitating an innocent civilian American, they've shown that they've deconstructed the boundaries of any former life of this British citizen," said Charlie Cooper, a researcher at the Quilliam Foundation.

"He has left his country and he has gone to fight for the Islamic State, and in doing so he has completely rejected his former life. He's rejected all ideals that he used to live in and now he's happy to decapitate someone who is unarmed in front of a camera to further the message and threaten the rest of the world, as well as the United States.

"To break down someone to that level, to brainwash them like that, is immensely powerful."

London's Metropolitan Police confirmed Wednesday that its Counter Terrorism Command was investigating the video. Britain's MI5 domestic intelligence agency is also said to be involved in the hunt, as are U.S. authorities.

Besides the brutality of his own actions, that potent capacity to radicalize others will only add to the urgency of the hunt for James Foley's killer.

CNN's Nick Paton Walsh, Isa Soares and Jo Shelley contributed to this report.

@highlight

The ISIS fighter who talks in the execution video has what sounds like a British accent

@highlight

Britain's counter terrorism police have joined the hunt for the killer of James Foley

@highlight

There are an estimated 400-500 British jihadis in the Syria and Iraq region

@highlight

UK Foreign Secretary: "This is a poison, a cancer, what's going on in Iraq and Syria"