Atlanta, Georgia (CNN) -- The National Association for the Advancement of Colored People, one of the oldest civil rights groups in the nation, will announce the successor to Chairman Julian Bond on Saturday as the organization strives to prove its relevance and influence to a new generation.

NAACP Vice Chair Roslyn Brock has emerged as the favorite to fill the seat left by Bond, a civil rights leader who has held the post since 1998.

Bond, a stalwart of the civil rights movement, helped found the Student Nonviolent Coordinating Committee, known for its student sit-ins in the early 1960s, and served as the first president of the Southern Poverty Law Center. He served in both houses of the Georgia Legislature, totaling two decades in office, before leading the NAACP.

"I think he's been enormously effective; he's just a thoughtful person with a rich history in civil rights struggles," said historian Patricia A. Sullivan, whose book, "Raise Every Voice," chronicled the history of the NAACP.

Sullivan said Bond brought his experiences from the forefront of the civil rights movement to his role as chairman to take on disparities in the criminal justice system, education, housing and unemployment to the national level.

Most recently, amid internal, grass-roots level tensions over whether the NAACP would support same-sex marriage, Bond appeared at the National Equality March in Washington in October.

"I'm fond of saying there's no such thing as saying gay rights or black rights. There's civil rights, and every American deserves civil rights," he said at the time.

"He's very clear on what has long been the NAACP message of civil rights and inclusive democracy," Sullivan said.

Bond also is known for some of his political criticism, doling it out consistently against the Republican Party and the Bush administration in the earlier years of his tenure.

At the 2001 NAACP convention, which was held before the September 11 attacks, Bond sharply criticized some of President George W. Bush's political appointments, saying Bush had "selected nominees from the Taliban wing of American politics, appeased the wretched appetites of the extreme right wing and chosen Cabinet officials whose devotion to the Confederacy is nearly canine in its uncritical affection."

Bush spoke before the NAACP in 2000, during his first run for the presidency, but he did not make another appearance until 2006, during his second term.

Bond has called out Democrats as well, complaining they are too often "not an opposition; they're an amen corner. ... When one party is shameless, the other party cannot afford to be spineless."

"Julian has been very effective," said Mary Frances Berry, former chairwoman of the U.S. Commission on Civil Rights. "He came out of a tradition of conflict and advocacy, and has taken on people rather vocally at times.

"Probably, the next person will need to take into account the change in terms of people they're dealing with."

Bond, 70, indicated he was ready to leave the organization in 2008, but stayed on in 2009 as the NAACP celebrated its 100th anniversary.

At the time, there was talk about whether the organization was still relevant in what some observers called a "post-racial" United States. John McWhorter, a linguist and conservative political commentator, spelled it out in a February 2009 column titled, "If the NAACP ceased to exist tomorrow, would it have a significant effect on black America?"

For Bond, the answer was obvious.

"We have for the first time a black man who can open the doors to Air Force One, but we now know his children couldn't go to a pool in Philadelphia," Bond said in July, referring to a decision by a suburban Philadelphia, Pennsylvania, swim club to revoke privileges of a largely minority day care center last year.

"So, as long as this disparity exists, we're not the national association for the advancement of one colored person, we want all colored people to advance," he continued. "And for us, people come in all colors -- black, brown, yellow, everything. We want everyone to advance, everyone to progress, and until that's true, the NAACP is going to be here."

To ensure it will be here, the organization has showcased youthful leaders among its ranks, most notably by tapping Benjamin Todd Jealous as its president in 2008. At 35, Jealous was the youngest person to hold the post at the NAACP.

Berry, who now teaches history at the University of Pennsylvania, was on the NAACP search committee at the time.

"It's a generational change," she said Friday. "The organization is clearly doing what every organization should do. They should renew their leadership and reach out to the next generation. ... Otherwise they'll die."

Selecting Brock -- who made history in February 2001 when she was unanimously elected vice chair of the NAACP National Board of Directors at age 35, making her the youngest and first women to get the job -- as chairwoman will only support that vision, Berry said.

"She's very different from Julian. But the fact that she's younger, vibrant, very dynamic -- I think it's great," Sullivan said. "It's an important position, and I think having someone like her in that position says something."

She added that the NAACP has managed to stay effective by maintaining its large grass-roots support, with chapters in every corner of the country.

Bond, in his interview last year, said, "What we do has not changed -- we fight racial discrimination. But the way in which we do it has changed remarkably."

"We need to be more aggressive, we need more members, we need to do more of everything we do right now," he said. "I've never thought we were the perfect organization. I've always thought we could do better tomorrow than we do today."

In his speech on the 100th anniversary of the NAACP, President Obama said "the pain of discrimination is still felt in America" among African-Americans, Latinos and Muslim-Americans.

"Even as we inherit extraordinary progress that cannot be denied, even as we marvel at the courage and determination of so many plain folks, we know that too many barriers still remain," he said.

For the NAACP, that means there is decades of work left to be done.

@highlight

NAACP Vice Chair Roslyn Brock has emerged as the favorite

@highlight

Some question need for NAACP in "post-racial" American

@highlight

Bond says group is needed as long as racial disparity exists