(CNN) -- For nearly 30 years, one man has dominated Egypt.

Hosni Mubarak, 82, has survived would-be assassins and ill health, crushed a rising Islamist radical movement and maintained the peace with neighboring Israel that got his predecessor killed. His government's continued observance of the Camp David accords with Israel is the cornerstone of what peace has been achieved in the decades-long Arab-Israeli conflict.

Following the revolt that toppled Tunisia's longtime strongman, demonstrators in the streets of Cairo are standing up to riot police and chanting, "Mubarak, Saudi Arabia is waiting for you." Experienced observers say it's the most most significant challenge to his rule yet.

It's far from clear, however, that the demonstrators have the support or the coordination to bring down the man critics have called Egypt's last pharaoh.

"He's been in power a very long time, and he is very wily," said Juan Cole, a Middle East historian at the University of Michigan. "He's developed all kinds of techiniques for dealing with opponents that have proven relatively successful."

But longtime observers of the region say the stability Mubarak has purchased has come at the cost of entrenched poverty and repression in the Arab world's most populous nation.

"Egypt is a broken country," Fawaz Gerges, a professor of Middle Eastern relations at the London School of Economics, told CNN. "It used to be the jewel of the Middle East. It's the capital of its cultural production." But now, Gerges said, "Egyptians have no outlets. They don't feel that they have a sense of hope for the future."

Mubarak was a Soviet-trained pilot who was chief of staff of Egypt's air force during the 1973 Mideast war. The early success of Egyptian pilots against Israel made him a national hero, and then-President Anwar Sadat made him vice president in 1975.

Six years later, Sadat died in a hail of gunfire at a military parade, killed by Islamic militants from within the army's own ranks after he took the dramatic step of making peace with Israel. Upon assuming office, one of Mubarak's first acts was to declare a state of emergency that allowed barred unauthorized assembly, restricted freedom of speech and allowed police to jail people indefinitely.

He has made extensive use of those powers in the ensuing decades. The Egyptian army put down riots by disgruntled police officers in 1986, and he threw an estimated 30,000 people in jail when jihadists carried out a string of attacks on tourists.

"He pretty much wiped them out," Cole said. "It's not an accident that they were in Afghanistan instead of Egypt." And the government has also penetrated opposition movements so thoroughly that "If five people sit down to plot something, the fifth person writes a report to Hosni Mubarak about it," he said.

The result is "a regime that has very little legitimacy, but presents itself as something there's no point in trying to change," said Nathan Brown, a professor of Middle Eastern politics at George Washington University in Washington. But Brown said the January 14 overthrow of Tunisian President Zine El Abidine Ben Ali, who fled to Saudi Arabia after 23 years in power, has changed the thinking of many in the region.

"I think what the events in Tunisia did was take that sense that nothing could ever change and lead a few people to question it," he said.

Mubarak has headed off a similar movement before, in 2005, when Egyptians mounted large-scale protests to demand fundamental and widespread reform. He intimidated the leaders of the officially banned but tolerated Muslim Brotherhood, harassed middle-class demonstrators and managed to pick off the leadership of those protests, Brown said.

But the current movement "has no real leadership, so it can't be decapitated the same way," he said. "If Mubarak decided tomorrow, 'I'll sit down and engage with you,' it's not clear who that 'you' is."

Mubarak won four terms as president in elections that were considered formalities. His fifth, in 2005, was Egypt's first multi-party presidential vote, but it was widely criticized as a "sham," Cole said.

Meanwhile, the country's economy stagnated for the first 20 years of his rule. Development has picked up in the past decade, fueled by a move away from state control and by billions in tourist dollars, but its gains have been "very unevenly distributed." About 40 percent of Egyptians currently live in poverty, Gerges said.

The aging autocrat has escaped at least two assassination attempts, including a close call in 1995 when Islamic militants opened fire on his motorcade at a pan-African conference in Ethiopia. And in recent years, he has had several bouts of illness but has never picked a vice president. He is widely believed to have anointed his son Gamal as his successor, but no formal announcement has been made.

In 2003, he collapsed while delivering a televised speech to the Egyptian parliament -- returning later to blame his illness on the flu. He had back surgery in Germany in 2004, returning in 2010 to have his gall bladder removed. He has largely withdrawn from public view in recent years and has not addressed his country during the current crisis, Brown said.

His situation is being closely watched overseas, particularly in the United States. In the past decade, Egypt has been major player in Israeli-Palestinian peace talks, and it contributed troops to the U.S.-led coalition that drove Iraq out of Kuwait in 1991. It gets about $1.3 billion in military aid from Washington every year, second only to Israel, and has received nearly $30 billion in economic aid since 1975, according to State Department figures.

But it opposed the U.S. invasion of Iraq in 2003 -- and while sticking with Camp David, Egypt's ties with Israel amount to a "cold peace," Cole said.

President Barack Obama noted Thursday that Mubarak has been "very helpful on a range of tough issues," but he said he has pushed the Egyptian leader to take steps toward reform.

"You can see these pent-up frustrations that are being displayed on the streets," Obama said. He urged the Egyptian government to avoid resorting to violence to put down the demonstrations, adding, "I think it's very important that people have mechanisms in order to express legitimate grievances."

Brown said Mubarak probably has to endorse some political form to survive. But he will have to do it "extremely carefully, so it's not seen as a desperate measure of last resort."

Cole said Mubarak could bow to one of the protesters' demands and lift the state of emergency.

"Egypt does have a fairly liberal constitution and it does enshrine a lot of rights in it," he said. "But it's just a piece of paper. It's sidestepped by the emergency." If lifted, "The judges and the courts in Egypt are very feisty, and they will take on the government."

He could also hold a free and fair presidential election this year, "but it's asking a lot," Cole said.

But Gerges said the Middle East has seen "the barrier of fear" removed since the events in Tunisia.

"Arabs really no longer feel terrified of the security apparatus, regardless of whether Mubarak remains or goes," he said. "We're going to have a new era of politics."

@highlight

Hosni Mubarak has held power since 1981

@highlight

A 30-year state of emergency has aided his rule

@highlight

He now faces widespread demonstrations after Tunisia's revolt

@highlight

The uprising removed the "barrier of fear," one analyst says