Charlotte, North Carolina (CNN) -- When first lady Michelle Obama took the stage Tuesday night at the Democratic National Convention, she told the kind of tale about President Barack Obama that only a wife can.

She told of the profound impact of watching his grandmother and single mother's efforts to work and raise children in a system that often didn't value their efforts.

"Barack's grandmother started out as a secretary at a community bank, and she moved quickly up the ranks. But like so many women, she hit a glass ceiling," Michelle Obama said. "And for years, men no more qualified than she was, men she had actually trained, were promoted up the ladder ahead of her, earning more and more money while Barack's family continued to scrape by.

"But day after day, she kept on waking up at dawn to catch the bus, arriving at work before anyone else, giving her best without complaint or regret. And she would often tell Barack, 'So long as you kids do well, Bar, that's all that really matters.' "

The first lady's remarks were much more than a counterpoint to stories Ann Romney told last week of her husband, Republican presidential nominee Mitt Romney, during the GOP convention last week. The first lady was a heavy hitter on a female-dominated opening night speakers' roster that included Nancy Keenan, president of the National Abortion Rights Action League-Pro-Choice America; Lilly Ledbetter, for whom a gender pay equity law is named; and House Minority Leader Nancy Pelosi and a cadre of Democratic women from that chamber, among others.

First lady seeks to reignite flame for president

Both presidential campaigns say their female-heavy convention speaker rolls are about underscoring that women's issues are America's issues. However, the female-centric messages also speak to the parties' battle over the deeply coveted female voting bloc.

"It's aimed at a specific group of voters that both parties need," Jennifer Duffy, senior editor at the Cook Political Report said. "This whole argument is aimed at appealing to this group and keeping them in the fold."

In Charlotte, Democratic women took the stage and hammered home the message that on issues of equal pay, reproductive health, health care for seniors, education and other matters they are poised "to move America forward." When "Sisters are Doin' It For Themselves" played, both the women on stage and those in the crowd waved and swayed to the beat.

On Wednesday, Sen. Patty Murray of Washington, chairwoman of the Democratic Senatorial Campaign Committee, is scheduled to speak at an Emily's List reception where she's on tap to discuss the "historic number of women running for Senate this year." Sandra Fluke, the Georgetown University law student and birth control advocate who made national headlines when conservative radio host Rush Limbaugh called her a "slut," is slated to speak at the DNC on Wednesday.

"At this time the Democratic Party is the only party for women because of the controversial stance the Republican Party has taken," said Alabama delegate Susan Brown.

Not to be outdone, the first full day of last week's RNC was also heavy with female speakers including congressional candidate Mia Love of Utah, Rep. Cathy McMorris Rodgers of Washington, Sen. Kelly Ayotte of New Hampshire and Govs. Mary Fallin of Oklahoma and Nikki Haley of South Carolina. New Mexico Gov. Susana Martinez and former Secretary of State Condoleeza Rice had prime-time speaking spots later that week.

"The Republican Party is doing a good job of demonstrating the softer side of the GOP, that it is not just the party of business guys in suits," CNN contributor and Republican strategist Alex Castellanos said.

In his acceptance speech, Romney offered full-throated support of women's equal role in the political process.

"When my mom ran for the Senate, my dad was there for her every step of the way. I can still hear her saying in her beautiful voice, 'Why should women have any less say than men about the great decisions facing our nation?' "

But, despite a week in which Republican speakers sought to appeal to female voters, a CNN/ORC International survey conducted just after the end of the RNC found that the double-digit gender gap between Obama and Romney was unchanged.

Over the past few months, the battle over women voters has taken some nasty turns.

U.S. Senate candidate Todd Akin's recent comments that "legitimate rape" rarely resulted in pregnancy sent Republicans trying to push him out of the way and revived the contentious "war on women" debate from earlier this year. Democrats pounced and tried to connect Romney and running mate Paul Ryan to Akin's comments through a Web video called "The Romney-Ryan-Akin Platform for Women."

Earlier this year, both presidential campaigns were roiled by heated rhetoric over a federal requirement that religious institutions provide contraception coverage for employees.

Democrats said Republican pushback against the law and other proposed contraception regulation measures in several statehouses was an attempt to roll back women's rights. Republicans said Democrats were oversimplifying the issue in a ploy for female voters.

"I think it's a manufactured war on women, this narrative that Republicans want to take away birth control and access to doctors," Amy Kremer, chairwoman of the Tea Party Express said. "This is a manufactured crisis to get the women's vote."

According to the most recent CNN/ORC International poll, Romney trails the Obama-Biden ticket by 12 points among women. When George W. Bush won a second term in 2004, in a relatively close election, he had only a 3-point deficit among women.

Opinion: What candidates' wives are telling us

In a TIME/CNN poll of likely voters released last week, Obama led Romney by 12 points in Florida and 10 points in North Carolina among women voters.

Women make up roughly 51% of the nation's electorate.

The GOP women gathered at the Woman Up Pavilion at the Republican National Convention last week were a perfectly coiffed phalanx of policy parsing, politically-savvy conservatives on a mission to show their party does speak to women's concerns.

As they lounged on chic white chairs beneath chandeliers dripping with pink flowers, the women plotted how to leverage social media to elevate the party's platform and bemoaned the nation's current economic state. However, the ladies steered well clear of discussing the types of polarizing social issues such as abortion and contraception that led Democrats to claim Republicans are launching a "war on women".

"Women have always played a huge role (in the Republican Party); one of the big problems has been the rhetoric," said Mary Anne Carter, policy director at the YG Network, a conservative think tank that put on the "Woman Up" event.

However, Kremer and some Republican women said they also feel the tension between supporting their party and GOP leadership's push for social policies which some Republican women, including several high-profile members of Congress, disagree with. Earlier this year, both Sen. Olympia Snowe, R-Maine, and Sen. Lisa Murkowski, R-Alaska, said they were concerned about some of the GOP rhetoric on women's rights.

Some rank and file GOP women agree.

"Republicans are for getting government out of the boardroom, so they should be for getting the government out of the bedroom," said Ann Stone, chairwoman of Republicans for Choice, from the convention floor in Tampa last week.

In the meantime, groups that represent women say all the pomp and circumstance surrounding both conventions is fine for the television cameras, but they are encouraging female voters to look beyond the flash and concentrate on such issues as reproductive health and stabilizing the economy.

"It's important not to be sidetracked by larger rhetoric; tune in to the specific ideas. Both conventions are trying to set a tone. Dig deep," said Deirdre Macnab, president of the nonpartisan League of Women Voters of Florida. "We need the candidates to do more than tell about their childhood. What are they going to do?"

Five things we learned from Day One of the DNC

CNN's John King, Kevin Liptak and Paul Steinhauser contributed to this report.

@highlight

Democrats kicked off convention with a lineup heavy on women

@highlight

Democrats and Republicans are locked in a fight for the female vote

@highlight

Obama leads Romney by double digits among female voters

@highlight

Women make up more than half of the electorate