(CNN) -- Yet again, politics and race got mixed up together today, and this time with an added bonus -- adoption.

In a segment on her MSNBC show, host Melissa Harris-Perry highlighted Mitt Romney's family photo, in which the former GOP presidential candidate held his newly adopted African-American grandson on his knee. She encouraged her panel to "caption that" picture. What followed was unfortunate, thoughtless commentary from the panel. (One of the panelists, Dean Obeidallah, appears on CNN shows and writes op-eds for CNN.com.)

The exchange was a cold reminder of us of just how easy it is to flippantly do harm, and also of the dearth of understanding and sensitivity surrounding race and adoption

I am a transracial adoptee and advocate for children and families, so the complexities of race and adoption resonate on a personal level. I see myself in that Romney family photo.

I was adopted from foster care when I was about 8 months old. My white parents recall that during the adoption process, there was little conversation about race or what it meant to have a baby of another race enter the family. The "non-identifying" adoption records I received as an adult articulated the agency's noncommittal stance on my race and noted that there was a birthmark present that "could indicate" I was of mixed race.

With the reality that race was not something that was going to be discussed, how could anyone expect me or my family to know how to deal with issues of race and adoption? There was little to no education, so we were left to our own devices. When people did and said insensitive and cruel things, my sturdy New England parents simply loved me and cared for me the very best they could.

According to a 2007 National Survey of Adoptive Parents, about 40% of adoptions in America are transracial (most are international adoptions) and that number is growing.

Most transracial adoptions are with white adoptive parents. While there is a strong sense of community support surrounding many intercountry adoptions -- such as from South Korea and China -- black and white adoptions tends to be more polarizing.

Thankfully, more resources are available today than during my 1971 adoption. Families can proactively seek out books, online help and support groups to be more in tune with the needs of their adopted children.

But they have to be self-starters because transracial adoption is poorly studied and not tracked appropriately. What's lacking are longitudinal studies that focus on the transracial adoption experience. Without these, it's difficult to create and target additional programs and support systems, indeed to even make the case that they are needed. While to many, research that would yield such information would be useful and important, it seems to fall low on the funding priority list.

Because of this, available data is old, limited and often inconsistent. This might also have something to do with issues of class, race and history that for many attend the idea of white parents adopting black and brown babies.

Today there is no set national standard for training pre-adoptive parents that want to adopt a child of another race. Some agencies make it their mission to do as much as they can to prepare families, while others simply do not include differences in race and what that means to a family as part of their training.

Against this backdrop, the misbegotten MSNBC jokes hurt. They don't help. They are another reminder that adoptive families need to be always at the ready to support their children on matters of race and adoption. White parents will never fully understand what it means to be black or brown, but they can and should do their best to support their children.

And they should have help: Even the best adoptions managed by well-trained practitioners should offer robust post-adoption services and education that includes the language and tools to help adopted children as they grow and develop. When someone says or does something careless, the people that should know how to comfort the adopted person should not be at a loss.

I remember in my white neighborhood that people during the summer would ask me if I was a "fresh air" child. While I did not understand it, I got the distinct impression that I did not belong where I was for some strange reason. And kids in my school would throw out barbs such as "at least I know who my real parents are."

So often, the thoughtlessness and carelessness of others results in deep pain for adoptees, who are already faced with navigating a life-ong search for identity that begins with losing their original family.

I can't help but feel for innocent little Kieran Romney as he is singled out at the very beginning of his adoption journey. When transracial adoption is mocked, it only works to undermine the foundation adoptees and adoptive families are trying to build. One hopes Kieran's parents received guidance before adopting him on the challenges they could face.

Insensitivity, ignorance and intolerance will fuel negative comments. The answer is to better to prepare and educate adoptive parents, practitioners, educators and the media to the sensitivities of adoption and race. Transracially adoption children should be protected and empowered, not singled out and mocked.

The opinions expressed in this commentary are solely those of April Dinwoodie.

@highlight

April Dinwoodie: MSNBC panel's flip jokes about Mitt Romney's grandchild were thoughtless

@highlight

She is a transracial adoptee and says such adoptions have scant guidance or support

@highlight

She says MSNBC jokes hurt and don't help adoptees already facing identity issues

@highlight

Dinwoodie: Transracial adoptive families need preparation and media should be sensitive