(CNN) -- Speculation abounds ahead of the awarding of the 2012 Nobel Peace Prize in Oslo, Norway, on Friday, as the eyes of the world turn to those who are trying to end its many conflicts and injustices.

This year's winner (or winners) will be picked from 231 different nominations, 43 for organizations and the rest for individuals, the five-member Nobel committee says. The names of the nominees are not revealed.

Last year's prize came as a surprise to many observers, split as it was among three women: Liberian President Ellen Johnson Sirleaf and grassroots activist Leymah Gbowee, and Yemeni media freedom campaigner Tawakkul Karman, a symbol of the Arab Spring.

Will this year's winner of the coveted prize also come out of the blue?

Here's a list of some possibilities, compiled with the help of Kristian Berg Harpviken, director of the Peace Research Institute Oslo and a keen Nobel Prize watcher.

Gene Sharp

At the top of Harpviken's list and in the top two on betting sites Unibet and Paddy Power as of Thursday lunchtime, Norwegian time, is the American academic Gene Sharp.

Gene Sharp: A dictator's worst nightmare

Sharp, the understated star of the 2011 British documentary film "How to Start a Revolution," is professor emeritus of political science at the University of Massachusetts Dartmouth, and author of numerous works considered to have influenced the peaceful Arab Spring uprisings.

He's "one of the world's most prominent thinkers on the use of nonviolence," Harpviken said. "His writings have been very widely used. They were read on Tiananmen Square in 1989, they were read on Tahrir Square in 2011 and 2012."

Maggie Gobran

Also known as "Mama Maggie," the Egyptian Coptic Christian was jointly nominated by five Republican U.S. congressmen for her work helping families and children living among the garbage slums of Cairo.

"This is a woman who has dedicated her life to serving the poorest of the poor in Egypt and has often been referred to as the 'Mother Teresa of Cairo,' " the nominating letter read, posted on the website of one of the five, Rep. Frank Wolf of Virginia. "She has given a voice to the poorest of the poor."

Gobran, whose charity Stephen's Children provides health services, education and training for needy Egyptians of all faiths, including Coptic Christians and Muslims, was the favorite on betting outlet Unibet as of Thursday lunchtime.

Thein Sein

Could this year's winner come from Asia? If so, Myanmar's President Thein Sein could be an interesting dark horse candidate, Harpviken said.

"He comes out of a military junta of course, has a background within a repressive regime, but once he came to power himself he initiated major political reforms," Harpviken said.

Read more: U.N. envoy warns of 'serious' human rights situation in western Myanmar

Under Thein Sein, the Myanmar government has released hundreds of political prisoners and allowed the opposition National League for Democracy to compete in elections. Western governments have responded to the efforts by starting to ease sanctions put in place to pressure the military regime.

Read more: Myanmar removes names from blacklist

Myanmar's longtime opposition leader and pro-democracy activist Aung San Suu Kyi was honored with a Nobel Peace Prize in 1991 but was under house arrest. Freed in 2010 and elected to the Myanmar parliament this year, she finally gave her Nobel speech in Oslo this summer. Bookie Unibet says her odds of winning the prize a second time this year are 25 to 1.

Radio Echo Moscow

Rights groups and European leaders have raised concern about the growing crackdown on free speech and intimidation of opposition activists in Russia -- making those people with the courage to speak out all the more important.

Opinion: Pussy Riot and Russia's surreal 'justice'

For this reason, Harpviken names Radio Echo Moscow, which has been critical of President Vladimir Putin and Kremlin policies, as one of his top picks. "Radio Echo Moscow is one of the most important free media outlets in Russia," he said.

Putin earlier this year accused the radio station of "pouring diarrhea" over him day and night, according to state media reports. Radio Echo Moscow is majority owned by Russia's state gas monopoly Gazprom.

Memorial

In a similar vein, Harpviken highlights the work of the Memorial Human Rights Center, "a very interesting organization that is devoted to documentation of power abuse, repression within Russia and the former Soviet Union."

A win for the Russian rights group, given odds of 20 to 1 by betting outfit Paddy Power, could be embarrassing for Putin's government.

Fellow rights group Human Rights Watch highlighted the challenges its staffers face in its World Report 2012.

Lina Ben Mhenni

A Tunisian online activist, blogger and university teacher, Lina Ben Mhenni was placing third in Paddy Power's list of Nobel Peace Prize contenders as of Thursday with odds of 10 to 1.

Lina Ben Mhenni on how the web fed the 'dignity revolution'

Ben Mhenni, who criticized the regime long before the uprisings began, became a prominent voice of the Arab Spring through her blog, "A Tunisian Girl." She was one of very few to blog from the ground as Tunisian authorities cracked down on protests, posting accounts and photographs of the violence online.

Another voice of the Arab Spring, Wael Ghonim -- a former Google executive who used social media to jump-start social change in Egypt -- is given odds of 12 to 1 by the same betting outlet.

Opinion: Ghonim electrified Egypt's revolution

Oscar Elias Biscet Gonzales

The Cuban human rights advocate and medical doctor was nominated last year for the Peace Prize and may well feature among the nominees again. Unibet gives him odds of 8 to 1 to win.

Gonzales was among scores of people imprisoned during the Cuban government's 2003 crackdown on political dissidents. He founded and ran the Lawton Foundation for Human Rights and also led the Friends of Human Rights group in Cuba, according to the U.S.-based nonprofit group Freedom Now.

Read more: Nobel nominee among 10 Cuban dissidents released

CNN's Jonathan Mann contributed to this report.

@highlight

Gene Sharp, an American academic, is among those tipped to win the Nobel Peace Prize

@highlight

Egypt's "Mama Maggie," a Coptic Christian nun who helps Cairo's poorest, could also win

@highlight

The five-member Nobel committee will choose from 231 nominees

@highlight

Last year's prize was shared by Ellen Johnson Sirleaf, Leymah Gbowee and Tawakkul Karman