(CNN) -- In the spring of 1968, the Rev. Martin Luther King, Jr. traveled to Memphis, Tennessee, to join sanitation workers seeking better pay, fairer treatment and the right to form a union.

I was with Dr. King as he stood with workers, all African-American, all fighting years of labor repression and wages that relegated them to poverty. Dr. King was assassinated on that trip to Memphis. His death, just as the images of workers carrying signs reading, "I am a man," is forever seared in my memory.

Today, August 28, marks the 50th anniversary of the March on Washington for Jobs and Freedom, the site of Dr. King's historic "I Have a Dream" speech. As tens of thousands prepare to commemorate our nation's progress toward racial justice, it's worth remembering a central meaning of that march: economic opportunity.

Opinion: Did we really learn the lesson of the March on Washington?

The state of economic opportunity today is a far cry from Dr. King's vision. Increasingly, American workers are struggling to make ends meet. Each day they are forced to make impossible choices between feeding their families and keeping the lights on, paying for gas or buying a coat.

Income inequality has grown exponentially in recent years, as middle-class jobs that pay a decent wage have been replaced by part-time, low-wage work following the recession. All the while, corporations and CEOs rake in unimaginable sums.

Nowhere is this two-tiered capitalism more dire than within the hidden workforce employed by federal contractors. According to a recent study by Demos, a public policy think tank, nearly 2 million private sector employees working on behalf of America earn wages too low to support a family, making $12 or less per hour.

These are Americans who sweep the floors of our nation's capital, stitch our soldiers' uniforms and ensure quality care for the elderly and disabled, and yet they cannot afford necessities like food, housing and health care. Like the sanitation workers of Memphis, they are the backbone of our economy, and are in turn treated like second-class citizens.

Throngs mark 'I Have a Dream' anniversary

Dr. King stood with those on the picket line because he knew that struggles for racial and economic equality were inextricably bound. He championed economic opportunity and jobs knowing that an injustice anywhere is a threat to justice everywhere. In this way, the urgency of the current economic crisis must be understood as a civil rights imperative. People of color disproportionately occupy the lowest rungs of the economic ladder, mirroring the lack of opportunity that pervaded the mid-20th century.

Just as Dr. King looked toward leaders in the nation's capital to better living standards, so too can workers turn their attention toward Washington. At the height of racial tension and mass mobilization in the '60s, the federal government took the lead in advancing equality. In 1965, President Lyndon B. Johnson went beyond the Civil Rights Act of 1964, effectively ending racial discrimination in government contracting with the signing of an executive order.

President Barack Obama ought to respond to the crisis of inequality in similar fashion. He could -- today -- sign an executive order requiring government contractors to pay their employees higher wages. With a sweep of the pen, President Obama could honor Dr. King's legacy -- and help fulfill his dream -- by mandating fairness and justice.

It's fitting that the protests by low-wage workers spreading across the country adopt many of the same tactics as the Memphis sanitation workers, including the potent "I am a Man" message. Were Dr. King here today, I have little doubt he would join with the striking workers of federally contracted companies, fast-food giants and Wal-Mart. The struggle for labor rights and decent pay was central to the conviction that animated his life.

10 signposts on America's race journey

President Obama has promised to take executive action to improve the economy, circumventing a gridlocked Congress and raising the boats of millions of families. There is no better place to start than with working standards of federally contracted companies. More money in these workers' pockets will yield greater consumer spending, accelerated job growth and a more robust economy.

And there is no better time to do it. On the 50th anniversary of the March on Washington, and at a time of record levels of economic inequality, President Obama should follow in the footsteps of his civil rights predecessors. When he speaks on the steps of the Lincoln Memorial, he should outline an executive order that would raise standards for low-wage employees working on behalf of our country. Doing so is no panacea for continuing racial and economic discrimination, but is an important step toward realizing Dr. King's unfulfilled dream.

The opinions expressed in this commentary are solely those of William Lucy.

@highlight

William Lucy was with MLK in Memphis supporting living wages for sanitation workers

@highlight

Lucy: MLK killed on that trip, and his dream of economic opportunity still unmet

@highlight

Americans struggle to make ends meet, he says, especially federal contract workers

@highlight

Lucy: President Obama could easily require government contractors to pay a living wage