ALPHARETTA, Georgia (CNN)  -- Ben, who's 15 months old, can already do a lot of things. He can turn on a light or open a door. He can pick up a remote control off the floor. He can pull a heavy object with his teeth.

Colise Johnson, 42, spent two weeks in September at a canine training camp getting acquainted with Ben.

But Ben, a gangly golden retriever, is more than a family pet. He is a specially trained seizure dog who may one day be able to save the life of his new owner, Colise Johnson.

"Having epilepsy and cerebral palsy is kind of like having a nonstop roller coaster ride," said Johnson, 42, of Portland, Oregon. "You never know what's going to happen, but with him, he slows the ride down so it's manageable."

Johnson, who uses a wheelchair and must wear a helmet because of persistent seizures, is among 3 million Americans who live with some form of epilepsy, a brain disorder that causes recurring seizures, violent muscle spasms or, sometimes, a loss of consciousness.

There are no estimates of how many patients are paired up with assistance dogs, and the benefits of having such an animal have not been studied to any great extent. But Dr. Gregory Barkley, a neurologist at Henry Ford Hospital in Detroit, Michigan, and an adviser for the Epilepsy Foundation of America, believes nearly a quarter of the people who suffer from frequent, severe seizures might be helped by a canine companion. He said the dogs have "an unqualified devotion to their master" that may offer important mental health benefits.

The dogs are sometimes credited with powers they really don't possess, Barkley said. "The dog does not predict a seizure," he said. "It may respond to the earlier stages of a seizure."

Johnson owned a seizure dog for 12 years before he died in 2007, ironically, having his own seizure.  Watch more on Ben and his new owner »

She recalled that the dog, named McKeever, "told me ahead of time when I was going to have a seizure. ... He helped me get off the floor if I fell, helped me retrieve items, helped me get clothes out of the drawer for a bath, open the fridge on command and took out the recycling."

She said she'd felt lost without McKeever since his death, but that recently changed.

Johnson spent two weeks in September at a training camp at Canine Assistants in Alpharetta, Georgia, getting acquainted with Ben. This year, Johnson was one of 1,100 people on the agency's waiting list.

Jennifer Arnold founded the nonprofit service in 1991 and has placed more than 1,000 dogs with adults and children with physical disabilities or other special needs.

"We work primarily with people who have mobility issues and have conditions like muscular dystrophy, multiple sclerosis, cerebral palsy and brain injuries," Arnold said.

In the past few years, Arnold also helped train 100 seizure dogs to assist people with epilepsy.

"We train them to do basically 90 different commands," Arnold said. "They learn to do things like go for help and press buttons to alert 9-1-1."

Over time, nearly all the dogs eventually develop the ability to identify the onset of a seizure, she said.

"We have no understanding of what it is that alerts the dogs that a seizure is oncoming," she said. "Is it a smell that the body produces? We don't know to what stimuli the dog is responding."

By spending time with epilepsy patients, Arnold's dogs are taught what a seizure looks like and not to be frightened.

Some dogs are able to anticipate a seizure 20 to 40 minutes before it happens.

"If the dog feels that their person is going to have a seizure, they tend to get very restless and distressed. ... They show signs of stress and agitation," Arnold said. "Provided their human can read what that means, you have a really good alert system going on there."

Barkley has heard similar anecdotal information from his own epilepsy patients, but many of those dogs were simply family pets and were untrained, he said.

He warned patients to be wary of agencies that charge a lot of money for a dog that may or may not be able to perform certain tasks.

Canine Assistants offers its dogs free of charge to qualified patients. The group not only covers the cost of airfare and lodging during the training sessions, but it provides a lifetime of food and veterinary care at no cost.

Arnold estimated the total value at $20,000 per dog. She said that a third of her company's operating costs are underwritten by large corporate grants. The rest of the money is raised through private donations.

Arnold helped train some of the 140 dogs currently at the facility. She said she has no trouble letting the animals go to new homes because she knows they'll serve an important purpose, especially for the epilepsy patients.

"They become a prisoner," Arnold said. "They don't want to leave the house ... they're so vulnerable. Just having this dog with you means that you're not ever alone."

Johnson, the married mother of a 15-year-old, is looking forward to regaining some independence with a new dog in the house. "He's going to be able to give my family a break. He's going to be able to let them rest a little bit easier," she said.

She also looked forward to a new reason to get out of bed in the morning. "With the dog, instead of getting all bummed out or getting depressed over the seizures, I'll spend time with him and play with him and start laughing."

"These dogs will change your life in such a way you won't know how you've lived without him once you've had them."

@highlight

Three million Americans live with epilepsy, which causes recurring seizures

@highlight

Canine camp in Georgia has trained 1,000 dogs since 1991 to help the disabled

@highlight

Cost of training, maintaining dog is $20,000; dogs are free to qualified patients