(CNN) -- Akil Vohra quit a lucrative job in international trade litigation to take up something he strongly believes in -- as a legal expert, a Muslim and, most importantly, he says, as an American.

He wanted to make sure that Muslims could fulfill zakat, one of the five pillars of Islam that mandates the giving of alms. Zakat is especially important during the holy month of Ramadan, which ends on Saturday.

But after the terrorist attacks of September 11, 2001, a dark cloud hung over Muslim charities as the federal government heightened scrutiny over terrorism concerns. Zakat suddenly became a risky religious obligation.

Agencies all over America from women's shelters and health clinics to inner-city community centers saw donation checks dry up.

"The fear of giving was very real, said Vohra, 33, who now works for San Francisco-based Muslim Advocates, an agency that was created to address two needs in post-September 11 America: racial profiling of Muslims and charitable giving.

Muslim Advocates partners with the Better Business Bureau to attain accreditation for Muslim nonprofits so that agencies can attain greater transparency and overcome perceptions of wrongdoing.

Plus, people can feel more at ease about their donations.

The Muslim Charities Accreditation Program, which began in August 2008, examines nonprofits and trains agency leaders to comply with the federal government's legal and financial regulations, said Vohra, the program's legal counsel.

Just before the start of Ramadan a month ago, three nonprofit organizations had met all 20 standards required for accreditation. Vohra said several others are going through the process.

In turn, Vohra hopes that Muslim charities will start seeing more dollars come their way.

"We don't make comments on which group to give to," Vohra said. "What we're concerned about is giving the right way -- best practices for zakat.

"To be able to give freely is a right of all Americans." he said.

Vohra takes phone calls from people around the nation seeking guidance. "We're planning to send money," people tell him. "Is this group OK? What's the best way to send our donation?"

Because of the widespread concerns, Muslim Advocates decided to upload a guidance video on YouTube. It asks people to consider donating to U.S.-registered tax exempt charitable organizations. It tells them to make the intent of their donation clear, keep records and perhaps ask for proof that the funds were used for their intended purpose.

The guidance became essential after the federal government cracked down on Muslim groups in 2001, Vohra said.

According to the American Civil Liberties Union, the Bush administration froze the assets of three U.S. charities -- the Holy Land Foundation for Relief and Development, Global Relief Foundation and Benevolence International Foundation -- during Ramadan in 2001. Six others have been shuttered to date, the ACLU said. Only one, the Holy Land Foundation, was tied to terrorism after five of its leaders were convicted of providing money to the Palestinian militant group Hamas.

"The government's actions against these three charities were the start of a pattern of conduct that violated the fundamental rights of American Muslims' charitable giving in accordance with their faith," the ACLU wrote in a report published in June.

It said the result was that many in the American Muslim community restricted or stopped their donations altogether out of fear that they would be investigated for terrorism.

Vohra, however, is hopeful the tide is turning.

President Obama signaled change in his historic speech to the Muslim world delivered in Cairo, Egypt, earlier this year. Obama said he was committed to working with American Muslims to ensure they can fulfill zakat.

Vohra said the accreditation program, along with new government perspective, can return confidence and comfort to a religious obligation for Muslims.

"It's been tough for American Muslims post 9/11," he said. "This has to do with civic engagement, to be treated as full Americans."

@highlight

U.S. government started cracking down on Muslim charities after 9/11 attacks

@highlight

Donation checks to shelters, community centers started to dry up

@highlight

Charities hope accreditation will overcome perceptions of wrongdoing