Dongguan, China (CNN)For a decade, the New South China Mall -- the biggest shopping mall in the world -- has been an embarrassment for its owners and China.

Opened to the public in 2005 in Dongguan in the south of the country, the goal was to attract 100,000 visitors a day with an array of entertainment, shops and eateries.

Outside the mall, a giant Egyptian sphinx and a replica of the Arc de Triomphe were erected alongside fountains and canals complete with Venetian gondolas. It even boasted an indoor roller coaster.

But despite the grand plans neither stores nor shoppers came.

Soon, it was classified by industry analysts as a "dead mall" and it became an unflattering symbol of China's runaway speculation on real estate projects.

The mall spans five million square feet of shopping area, making it the largest in the world in terms of leasable space -- more than twice the size of Mall of America, the biggest shopping center in the United States.

When I visited two years ago, the mall was deserted. Most units were empty. Paint was coming off the walls and store signs and advertisements had faded.

The air had a dry smell of dust and garbage was piled everywhere. The occupancy rate was less than 10%.

It was a walk through a ghost mall.

However, a visit in late March revealed a different picture. The mall was buzzing with activity.

Large parts of the previously abandoned buildings are now full of shops, restaurants and entertainment venues.

Visitors could be seen browsing for luxury sunglasses and designer jeans, dining at the Korean, Italian or Chinese restaurants or enjoying the new entertainment facilities. Screams and laughter can be heard from merry-go-rounds.

"It's been a big change. It's a clear modernization," said David Carr, an English teacher from the United States who is living in Dongguan with his wife Danae, also a teacher.

"We come here at least once a month now."

Despite the signs of life, much of the mall is still vacant.

But most of the unoccupied units, along with halls and walkways are under renovation.

Even on a Saturday, it's full of construction workers and the constant sound of jack-hammering and sawing.

Ms Shu, head of New South China Mall's marketing unit, told CNN that there are plans for a re-launch ceremony this spring, when all construction work will be completed and most shop and restaurant areas are leased to tenants.

"All construction that is currently going on at the mall is preparation for the opening in May," she said, declining to give her full name.

"We expect that from May, we will have almost full occupancy rate and no empty shops."

She said she couldn't offer any more details as she was not authorized to speak with media.

Ms Ye, head of investments, confirmed that "business is really great," but would not comment further.

Dutch retail chain Spar, which has expanded its supermarket to two floors, explained on its website that it had re-launched last year during the mall's "upgrading and retrofitting program."

There are also plenty of recruitment ads posted at the entrance of the mall.

When I spoke to her, Huang Haiyan, a young Chinese woman, was just two days away from opening a little café called "Miss & H" in one of the passage ways being renovated.

Sitting on the sidewalk outside the café, she and her partners were busy washing up cups, classes and plates ahead of the big day.

"I'm so excited!" she said, showing the kind of enthusiasm that had been non-existent when I last visited the mall two years ago.

"You must come, my coffee is the best in China!"

The area around the previously run-down Arc de Triomphe is now a tranquil roofed boulevard with small coffee shops where youngsters play cards and mothers sip lattes.

In January, a globe shaped IMAX-style cinema was launched at the outdoor square.

One of the more eye-catching new sources of entertainment is a role-playing amusement center for children called Myrules World.

Today, it no longer feels like a walk through a ghost mall. It's hard to believe how rapid the change has been.

Economist Brian Jackson says the shift in focus towards restaurants and businesses that target China's middle, rather than, upper class, is a smart move on behalf of the developers.

"Many large malls (and residential construction) in China.... are all hoping to target one demographic -- the upper class," he said.

"What is needed to succeed is retail space that caters to (the much larger) bulk of middle-class Chinese."

And, he says, other developments that were once labeled "ghost cities" have gone on to thrive.

"One to three years is a blink of an eye in terms of city developments, so many of these cities still have time to fill and become functional,"Jackson said.

Despite its retrofitting program, the problems that have dogged the mall since its start will not disappear instantly. Most of Dongguan's almost 10 million inhabitants are migrant workers struggling to make ends meet.

The town is also facing difficulties as manufacturing moves elsewhere in China or to Southeast Asia where wages are lower.

China is also haunted by serious problems in its real-estate market, with over investment and large vacancy rates. In March, prices of new homes fell for the twelfth consecutive month.

What's more, the mall's latest re-launch is not its first.

In 2007, the mall changed name from "South China Mall" to "New South China Mall, Living City" and a revitalization plan was drawn up by current owners the Founders Group, a conglomerate set up by Peking University, and its subsidiary PKU Founder.

But the revamp failed and the mall remained empty.

Now, the owners are hoping for third time lucky.

PICTURES: Inside a Chinese ghost city

@highlight

For a decade, the New South China Mall has lain empty

@highlight

It was labeled a "ghost mall" -- symbol of China's runaway speculation on real estate

@highlight

However, a recent visit showed it may be springing back to life