(CNN) -- When the Supreme Court hears an extraordinary three days of arguments this week about the constitutionality of the Affordable Care Act, thousands of words will pass between the justices and the lawyers appearing before them. Still, it's likely that the single most important word in the case will never be uttered in the courtroom:

Obama.

The Supreme Court can make or break presidencies. Almost a dozen years ago, five justices thrust George W. Bush into the Oval Office. A generation earlier, in United States v. Nixon, a unanimous court effectively ended the presidency of Richard M. Nixon by ordering him to provide the Watergate special prosecutor with the White House tapes. Now, to a great extent, the court will render a verdict on the current president's first term.

The Supreme Court and election year blockbusters

The stakes for Barack Obama can hardly be overstated, both substantively and politically.

Health insurance for 30 million citizens hangs in the balance in this case. Obama took on the challenge that had defeated every Democratic president since Lyndon Johnson -- how to expand access to health care for millions of citizens who didn't have it. Obama won a brutal battle to get the Patient Protection and Affordable Care Act through Congress, but it will matter little if the court invalidates the law.

Obama is also, of course, a candidate for re-election, and a defeat in the Supreme Court would be a disaster for his chances to win again.

If the court strikes down the law, the Republican candidate, presumably Mitt Romney, could say that the Supreme Court proved his own point -- that the incumbent is an out-of-the-mainstream liberal. And Romney could add that his own health care plan, for all its similarities to Obamacare, passed muster in the courts.

Read a transcript of Monday's court arguments

For any president or any politician, losing is never good politics -- and a Supreme Court defeat would mark Obama as a loser in a significant and dramatic way.

The specifics of the case are complex: What is the scope of the commerce clause of Article I of the Constitution? When is a challenge to a federal law premature? How does a court separate challenges to specific provisions of a law from a claim that an entire law is unconstitutional?

But the larger issue in the case reflects a fundamental division in American politics that has persisted for generations: What is the role of the federal government?

Obama is heir to a political tradition of activist government, which asserts that the people can rely on programs that protect them from life's misfortunes. The alternative tradition is based on libertarian principles, which hold that government interference in private markets generally does more harm than good.

What makes this case so extraordinary is that this debate, as a constitutional matter, looked settled for decades. After Franklin D. Roosevelt made nine appointments to the court during his long tenure in the White House, the Supreme Court embraced a broad conception of government power, especially when it comes to regulating the national economy. Constitutional challenges to government power became rare, and successful ones rarer still. The commerce clause became, in effect, a blank check for Congress.

But elections have consequences, and conservative presidents have appointed conservative judges, especially to the Supreme Court. Throughout the'70s, '80s and '90s, moderate Republicans such as Lewis Powell and Sandra Day O'Connor reflected the modern consensus that allowed a vibrant government role in the national economy.

But moderate Republicans are disappearing, including on the Supreme Court. Chief Justice John Roberts and Samuel Alito reflect the modern conservatism of the man who appointed them, George W. Bush. The legal approach of Clarence Thomas advanced the tea party agenda before the name even existed. Antonin Scalia has defined judicial conservatism for a generation. That's four votes right there.

Four Democrats -- Ruth Bader Ginsburg, Stephen Breyer, Sonia Sotomayor and Elena Kagan -- can be counted on to embrace the post-FDR model of government involvement in the economy. As always, that could leave the case in the hands of Anthony Kennedy, the swing vote.

The outcome is uncertain, even if the stakes are not. The language will be arcane, sometimes nearly incomprehensible to nonspecialists. The subject will be principles, not personalities. And so those of us in the courtroom might never hear the name of the man with the biggest stake in the outcome.

The opinions expressed in this commentary are solely those of Jeffrey Toobin.

@highlight

Jeffrey Toobin: Supreme Court hears challenge on health reform; high stakes for Obama

@highlight

He says defeat would mark Obama as a loser; would be bad news in an election year

@highlight

He says details of challenge complex; real issue dividing U.S.: What is government's role?

@highlight

Toobin: Post-FDR court backed more activist government . Not so today; outcome uncertain