Editor's note: Business Insider is contributing a series of columns to CNN.com that challenge commonly held beliefs about the tech world.

(Business Insider) -- Here's the truth about AT&T's wireless network: On the whole, despite what you've heard, it's not actually that bad. It's just bad for the wrong people in the wrong places -- mostly tech- and media-types in New York and San Francisco, California.

Those two cities in particular -- and parts of other big cities, like downtown Chicago, Illinois -- are sort of the perfect storm for AT&T.

There's a huge concentration of Apple iPhones, owned by tech- and media-savvy folks who demand a ton of bandwidth, and love to complain loudly on Twitter and in the press. And there are tall buildings, landlords and construction processes that make running a wireless network more challenging.

That helps explain why there are so many dropped calls and pokey mobile Internet connections in those cities, and also why there are so many angry tweets and news articles.

And that's why even Apple CEO Steve Jobs has come to AT&T's side, defending how his partner has tried to beef up its infrastructure in its most troubled markets. At a recent press event, Jobs said that when AT&T wants to add a cell tower in Texas, it may only take three weeks. But in San Francisco, on average, it takes three years.

"No one wants a cell tower in their back yard, but everyone wants perfect reception," Jobs said, according to a rough transcript.

The rest of the country, overall, isn't such a mess for AT&T. How can we tell? One way is to look at AT&T's customer turnover statistics to see if people are fleeing from AT&T and its supposedly terrible service. The reality is that they are not.

During AT&T's second quarter, its monthly "churn" -- the percent of customers who leave every month -- was 1.29 percent. If you exclude prepaid subscribers, who tend to switch carriers or discontinue their service more often than average, AT&T's monthly churn was even lower, at 1.01 percent. Those are both record lows for the company and represent improvement over the same period last year.

How do those stats compare to the rest of the wireless industry? You'd think that Verizon Wireless -- whose network has a stellar reputation compared to AT&T's -- would have much, much lower churn. Not quite.

Verizon Wireless customers are indeed more loyal than AT&T's, but barely. Its monthly churn last quarter was 1.27 percent, only a hair below AT&T's. If you exclude prepaid subscribers, it was 0.94 percent -- again, better than AT&T's, but not by much. For comparison, Sprint was almost twice as bad, and T-Mobile was more than twice as bad as AT&T and Verizon.

If things were that bad at AT&T -- and comparatively, that much better at Verizon Wireless -- you'd expect a greater difference in their churn rates.

Another recent study leans in AT&T's favor. A 3G wireless performance test carried out by PC World showed that AT&T's network was almost always faster than its competitors, and that its reliability was on par. Both measurements showed significant improvements over its 2009 tests. But indeed, AT&T's performance and reliability in New York and San Francisco weren't as strong as in other cities, such as Seattle, Washington, or Baltimore, Maryland.

Anecdotally, I've noticed similar things traveling around the country with an iPhone and 3G-enabled iPad. Last weekend in Maine, my 3G connection seemed much snappier than it typically does in New York. I was even able to stream a Netflix video to my iPad in a moving bus -- something I can't even do reliably when I'm stationary in Manhattan.

AT&T pours billions of dollars -- between $18 billion and $19 billion this year alone -- into trying to improve its network. For example, it's going cell site by cell site to add more bandwidth to support faster speeds, a process that will continue through this year and next, an AT&T spokesman says.

Many of the carrier's improvements have focused on New York and San Francisco. For instance, AT&T has doubled the capacity of its network in New York over the past year, and is in the process of doubling its capacity in San Francisco. It has also installed specialized indoor systems in high-traffic areas, including Grand Central Station and Yankee Stadium in New York.

As a result, mobile download speeds in New York are up 31 percent over the last six months, according to internal testing data. Blocked calls are down almost 40 percent in Manhattan so far this year, and dropped calls are down 23 percent, AT&T says.

The company has also complemented its strained 3G network with more free wi-fi hot spots for its customers, including a network recently installed in New York's Times Square, one near Wrigley Field in Chicago and all Starbucks locations.

In addition to adding 400 percent more 3G capacity at AT&T Park in San Francisco, it has also doubled the number of wi-fi hot spots there. In those situations, the idea is that customers could hop on wi-fi to send emails or access the Internet, taking a load off cell networks.

To be sure, despite these improvements, the company obviously still has a lot of problems in New York and San Francisco. And because of the concentration of tech and media industry types there, we'll probably see the "AT&T sucks" rants and "attfail" tweets for the foreseeable future.

At least until Verizon Wireless gets Apple's iPhone. Then we'll know if this whole mess is really AT&T's fault or just the unique situation of having to support millions of iPhones in use at one time.

But in reality, things aren't as terrible for AT&T as you've been led to believe. It's just really bad in the wrong places, for the wrong people.

Copyright © 2011 Business Insider.

@highlight

Cities such as New York and San Francisco can strain wireless networks

@highlight

They have a large concentration of iPhone owners who love to complain in the press

@highlight

PC World: Test shows AT&T's network almost always faster than competitors

@highlight

Spokesman: AT&T adding more bandwidth to support faster speeds