Tokyo, Japan (CNN) -- The slaughter of bottlenose dolphins in an infamous Japanese cove took place on Tuesday.

About 500 dolphins were driven into the cove this year, a larger number than usual, according to the local Taiji fishermen's union. A fisherman who is a union board member, and who did not want to be named, told CNN that the total number of dolphins to be captured or slaughtered was less than 100, and that the rest would be released.

The yearly event is a focal point of the Taiji community's dolphin hunting season, which many in the community in southwest Japan view as a long-held tradition. The annual hunting season begins in September and runs through March, according to animal rights activists.

But the hunt is heavily scrutinized by environmental activists, who have been monitoring activities and livestreaming and tweeting about the latest developments.

In recent days, environmentalist group the Sea Shepherd Conservation Society has provided livestreams showing bottlenose dolphins splashing frantically as they tried to escape their human captors. Dolphins separated by nets into smaller partitions bobbed up and down, trying to reach other members of their pod. The group said that the dolphins appeared bloodied, and had had nothing to eat since their capture in Taiji Cove four days ago.

The union representative said that the fishermen had introduced what they considered a "more humane" method of slaughtering the dolphins, cutting their spines on the beach to kill the animals more swiftly and cause them less pain.

Defending tradition

Although the hunting of dolphins is widely condemned in the West, many in Japan defend the practice as a local custom -- and say it is no different to the slaughter of other animals for meat.

Chief Cabinet Secretary Yoshihide Suga told reporters at a news conference Monday that marine mammals including dolphins were "very important water resources."

"Dolphin fishing is one of traditional fishing forms of our country and is carried out appropriately in accordance with the law. Dolphin is not covered by the International Whaling Commission control and it's controlled under responsibility of each country."

Taiji mayor Kazutaka Sangen echoed the sentiments.

"We have fishermen in our community and they are exercising their fishing rights," he said. "We feel that we need to protect our residents against the criticisms."

He accused the Sea Shepherd of using the issue of dolphin hunting to raise funds and attract attention. The Sea Shepherd Conservation Society has been live-streaming video of events in the cove and posting frequent updates on Twitter.

The Wakayama Prefectural Government, where Taiji is located, gives an annual "catching quota." This year, the government allows for the hunting of 2,026 small porpoises and dolphins (557 are for bottlenose dolphins).

The dolphin hunt has seen some changes, Sangen said. The town wants to create a whale/porpoise study with the aim of bringing a marine park to the city. And the method of hunting has been changing, becoming less crude, he added.

On Monday, the fishermen focused on selecting dolphins to be sold into captivity at marine parks and aquariums in Japan and overseas, the conservation group said. Trainers marked the dolphins deemed unsuitable for captivity, which would be either killed or driven back out to the ocean, according to the Sea Shepherd group.

Kennedy's tweet met with criticism in Japan

Caroline Kennedy, the recently installed U.S. ambassador to Japan, tweeted that she is "deeply concerned by inhumaneness of drive hunt dolphin killing."

"I understand her statement as an expression of her concern on this debate," said Sangen. "There always are the people who say it's wrong and it's right, but what we have to see is if fishermen are hunting endangered species or not. They don't. We are fishing under the permission just like the U.S. does."

While Japanese media did not cover the dolphin hunt, several outlets reported on Kennedy's comments. On social media, Japanese users blasted Kennedy for commenting on what many consider a tradition.

One user, named @simaya tweeted: "She refers to humanitarian treatment to animals. What about the atomic bombing, Agent Orange and missiles falling on civilians in the Middle East?"

Masayhisa Sato, a Japanese lawmaker tweeted: "The dolphin hunt is also a traditional fishing culture. I wonder whether it's appropriate for ambassador to comment on this."

Captivity, death or freedom

On the days leading to the killing, divers and boats drove the dolphins into increasingly small segments of the water to select the ones that will be held in captivity.

In the days leading up to the dolphin hunting, 40 to 60 local fishermen worked with nets to divide up the dolphin pod.

"They tighten up the nets to bring each sub-group together then the skiffs push them toward the tarps. Under the tarps in the shallows is where the trainers work with the killers to select the 'prettiest' dolphins which will sell and make the best pay day for the hunters," said the Sea Shepherd Conservation Society.

Dozens of men circled around dolphins pinning them against a boat and hoisting them into black nets by pulling on their dorsal fin. When men successfully captured the dolphins into the net, they cheered "Yay!"

The Cove Guardians counted 51 bottlenose dolphins taken in the last few days, but the fishermen's union did not disclose the number of dolphins captured or killed.

Japan at center of controversy

A 2009 Oscar-nominated documentary film, "The Cove," brought the issue of dolphin hunting in Taiji to the fore with bloody scenes of dolphin slaughter.

The prefecture government has condemned the film in an online response as distorted, biased and unfair to the fishermen. "'The Cove' filmed secretly the scenes of dying dolphins, and depicted their death in a manner designed to excite outrage," according to the Wakayama Prefecture statement.

"The Taiji dolphin fishery has been a target of repeated psychological harassment and interference by aggressive foreign animal protection organizations," it said.

The Japanese practice of whale hunting has also put it in conflict with the views of much of the world.

Earlier this year, Sea Shepherd said it had chased Japan's whalers out of Antarctic waters. Japan's fleet carries out an annual whale hunt despite a worldwide moratorium, taking advantage of a loophole in the law that permits the killing of the mammals for scientific research. Whale meat is commonly available for consumption in Japan.

CNN's Junko Ogura and Laura Smith-Spark contributed to this report. Madison Park reported and wrote from Hong Kong. Yoko Wakatsuki reported from Tokyo.

@highlight

Local fisherman: Dolphin slaughter took place in cove in Taiji, Japan

@highlight

Local officials defend hunting of dolphins as a traditional practice

@highlight

Prefecture government allows hunt of more than 2,000 dolphins and porpoises