Abdelbeset Ali Mohmed al Megrahi, the only person convicted in connection with the Lockerbie airline bombing that killed 270 people, died Sunday, the Libyan government and family members said. He was 60.

The former intelligence officer, who had suffered from prostate cancer, will be buried Monday, according to a Libyan foreign ministry spokesman.

Al Megrahi's cousin, Omer al-Gharyani, told CNN he was at a Tripoli hospital with al Megrahi when he died.

His death came more than two-and-a-half years after he was freed from a life sentence in Scotland because he was said to be dying.

His brother said the family refers "to the deceased as 'the convicted innocent.'"

"May God bless his soul," he added.

Relatives of those killed in the bombing expressed relief and, in some cases, anger.

"He was a mass murderer. I feel no pity," said Susan Cohen, whose daughter was among the 189 Americans killed.

Lockerbie victims' families: Relief, anger

The destruction of Pan Am Flight 103 over Lockerbie, Scotland, in 1988 was the deadliest act of air terrorism targeting Americans until the September 11, 2001, attacks, according to the FBI.

American and British investigators who painstakingly pieced together the wreckage concluded it was destroyed by a bomb.

Authorities in those nations claimed al Megrahi -- once the security chief for Libyan Arab Airlines -- and Al Amin Khalifa Fhimah were Libyan intelligence agents who planted the explosive. They were charged in November 1991 on 270 counts of murder and conspiracy to murder.

That indictment set off the first battle over al Megrahi, until Libya handed him and Fhima over in the face of international pressure.

Eight years after his trial and conviction, a fresh uproar arose when he was released from a Scottish prison because he was battling terminal prostate cancer. He received a hero's welcome upon arriving home in Libya.

And last year, as rebel fighters advanced and, ultimately, toppled Moammar Gadhafi and his regime, the debate was revived as some called for al Megrahi's extradition back to Britain or to the United States. But even after new leaders took power, he remained in Libya.

CNN Senior International Correspondent Nic Robertson tracked al Megrahi down last August at the palatial villa Gadhafi had built for him.

Apparently in a coma and near death, al Megrahi's family said then that his son and mother were trying to care for him with oxygen and an intravenous drip, but with no medical assistance.

His death may make it impossible ever to get the full story behind the Lockerbie bombing.

In an interview with Reuters last October, al Megrahi vowed "new facts" would come to light. The truth will come out "one day, and hopefully in the near future," he said.

2011: Convicted Lockerbie bomber says truth will eventually come out

Reacting to news of the convicted killer's death, British Prime Minister David Cameron on Sunday reiterated his belief that "he should never have been released from prison."

"Today is a day to remember the 270 people who lost their lives in what was an appalling terrorist act," Cameron at the NATO summit in Chicago. "Our thoughts should be with them and their families for the suffering they've had."

Scotland's First Minister Alex Salmond -- the top Scottish political figure -- likewise expressed sympathy for the attack's victims, while asserting that al Megrahi's death puts "to rest some of the conspiracy theories which have attempted to suggest that his illness was somehow manufactured."

Despite widespread criticism, "extensive scrutiny" has found that Scotland released al Megrahi on "compassionate grounds alone," Salmond said in his statement.

His release -- and the celebrations that greeted him in Libya -- sparked condemnation from the United States and British governments, and from some victims' families.

U.S. Sen. Charles Schumer, a New York Democrat, accused "the Scottish government, perhaps with the participation of the British government, (of creating) a major injustice when they let him out."

"This man was a horrible man," Schumer told CNN on Sunday. "It would have been better had he not died in freedom, but died in prison. That's what he deserved."

"The only legacy we have is in the memory of all those who were lost," Schumer added. "...We have to just make sure we continue this battle against terrorism on airplanes. We made great progress and we have to keep it up."

When Washington and London blamed al Megrahi and Fhimah for the attack, Libya refused to hand them over.

That led the U.N. Security Council in April 1992 to slap sanctions on the north African nation, clamping down on arms sales and air travel. The FBI put the two men on its 10 Most Wanted fugitives list -- the only time officers of a foreign government have ever been so named, spokesman Ken Hoffman said.

Two years later, Libya floated the idea of trying the men in an international court, which the United States and Britain rejected.

Libya made a new proposal in summer 1998: that the men go on trial in the Netherlands, albeit under Scottish law.

By the end of that year, matters came to a head when then U.N. Secretary-General Kofi Annan met Gadhafi in Tripoli. Ten days later, a U.S. Appeals Court ruled that families of Americans killed in the bombing could sue Libya for possibly sponsoring the attack.

The next day, Libya agreed to let the men face trial.

They were handed over April 5, 1999, to the United Nations, which suspended its sanctions the same day. Two months later, U.S. and Libyan officials met face-to-face for the first time in 18 years. Libya later agreed in 2003 to pay $2.7 billion to victims' families, though Gadhafi was always cagey about admitting official Libyan involvement.

After a nine-month trial, al Megrahi was convicted in 2001 of the murders after prosecutors dropped lesser charges. He was sentenced to life in prison, having to serve a minimum of 27 years. Scotland does not allow the death penalty.

Fhimah was found not guilty.

For his part, al Megrahi continued to fight to clear his name.

In June 2007, the Scottish Criminal Cases Review Commission allowed one appeal to go forward, ruling it uncovered new evidence and that al Megrahi "may have suffered a miscarriage of justice."

Before that appeal was heard, however, it emerged al Megrahi had terminal prostate cancer.

Scottish Justice Secretary Kenny MacAskill, who had authority over the case because the convicted bomber was jailed in Scotland, ordered him freed in August 2009.

Some family members of Lockerbie victims swiftly complained that, with the legal process ending after al Megrahi dropped his appeal, they'd never know the full truth.

British press, meanwhile, alleged the release was tied to oil deals with Libya.

British and Scottish officials denied that claim, making public more than 100 pages of previously secret documents to make their case.

The papers included a handwritten letter from al Megrahi to MacAskill, pleading that he be allowed to see his family before he died, and continuing to proclaim his innocence.

The documents also showed that senior Libyan officials warned their Scottish and British counterparts it would be "catastrophic" for British-Libyan relations if al Megrahi died in prison.

Gadhafi's son, Saif al-Islam, Gadhafi's son and heir apparent who accompanied al Megrahi back to Libya on August 20, 2009, said  Libya was "very angry" at British efforts to keep al Megrahi out of a separate prisoner transfer agreement. But he said, ultimately, the bomber was released for a different reason.

It was "not because of business deals," Saif al-Islam Gadhafi told CNN in early September, two months before he himself was captured in Libya. "The guy is sick, seriously sick. He has cancer, and, because of that, they made their decision."

@highlight

A Lockerbie victim's mother says she has "no pity" for a "mass murderer"

@highlight

Al Megrahi was convicted of murder after 270 died when Pan Am 103 blew up over Scotland

@highlight

He was released in August 2009 on "compassionate grounds" and welcomed warmly in Libya

@highlight

A Scottish official defends the release, which Britain's current leader and others still criticize