(CNN)The death of Freddie Gray, which was the flashpoint for the protests and now the riots in Baltimore, has raised again the questions surrounding  police use of force, especially after the now-familiar video of officers arresting Mr. Gray and loading him into a police van.

Gray was arrested by police on April 12. The 25-year-old was carried in the van for 40 minutes and he was not properly buckled in, according to authorities. Gray's family said his voice box had been crushed and his neck snapped, and after a week of hospitalization, he died.

Police Commissioner Anthony Batts has said, "We know our police employees failed to get him medical attention in a timely manner multiple times." The police and the U.S. Justice Department are investigating.

The case raises at least three legal issues:

Believe it or not, the charging document in this case gives us more information than the now-viral video of the arrest.In that narrative, police state "Defendant fled unprovoked upon noticing police presence." According to the officers' words, that's the sole reason a stop was initiated. There is no other description of either criminal activity or safety concerns.  The next sentence is important too: "The defendant was apprehended in [a specific location] after a brief foot chase."  The police are locked in: it appears that by their own narrative that the unprovoked flight was the only reason for the stop, because the very next thing that happens...is the stop.

Can the police stop you if all you do is run from them when you see them? For the most part, yes. But having grounds to stop is not the same as having probable cause to make an arrest.

In this case, Mr. Gray took off running. The United States Supreme Court and Maryland courts have made clear that unprovoked flight -- running away from the police for no reason -- is enough to support reasonable suspicion that a crime has been committed.

When you add to the suspect's flight the Supreme Court's recognition that the character of the neighborhood is also a factor in assessing reasonable suspicion, it appears that the police in this case had at least enough to justify the stop, constitutionally.

Much to the chagrin of public defenders and defense attorneys, as long as an officer testifies minimally to an individual (1) running away, (2) in a "high crime" area, the stop will usually be "good." But police are supposed to articulate the additional safety concern to get to the frisk.

Police must also have reasonable suspicion that the suspect may be "armed and presently dangerous" to additionally conduct a carefully limited search of the outer clothing for the sole purpose of discovering weapons.

The charging document doesn't really identify a safety concern ... or does it? After the chase, and before an arrest: "This officer noticed a knife clipped to the inside of his front right pants pocket." Shouldn't that really say: "I saw a clip but whatever it was clipped to was inside a pocket ... where I couldn't see it"? That's a close call: Police were lawfully at the stop stage, but the knife -- even though it was inside his pants pocket -- was visible from the outside ... because of an identifying knife clip? See how artfully that was done? Observation of a knife is definitely a safety concern. Observation of a clip? I suppose that will get the officer to the frisk of the pocket ... assuming he is a connoisseur of knife clips and can differentiate them from hair clips, chip clips, etc.

According to William Murphy, an attorney for Gray's family, he was carrying a "pocket knife of legal size," and the lawyer contended that police didn't see the knife before the altercation. The legality of the knife will be an issue, but police have essentially conceded that the knife was not seen until the stop.

The important thing here is that a stop and frisk is not the same as an arrest. In theory, if a stop gives rise to no suspicion, and a frisk yields nothing more than a comb and some pocket lint, the citizen should be free to leave. An arrest requires much more: probable cause to believe a crime has been committed, and nothing less. That knife was the only crime he was charged with, so again, police are locked into a narrative by their own report.

If it ultimately turns out to be a legal knife, there will be a lot of scrutiny on the decision to arrest. For example, if the "knife" was one of those pointy files attached to a 2-inch nail clipper, that does not sound like good faith probable cause for an arrest. Remember also that based on the police narrative in the report, they did not see the knife until after they seized Mr. Gray. So the question arises: What would they have done with Gray if he had no knife or other contraband on him?

They could, but most likely not unless there was some intentional act that resulted in Gray's death. As we've seen, charging officers with crimes -- especially murder -- is rare and difficult. If you're pro-cop, you could say that's because they are well-trained and rarely abuse their force.

If you have a more jaded view of law enforcement, you would say it's because they are well-trained, and consequently very skilled at testifying or explaining their use of force.

Baltimore Police are suggesting Mr. Gray's injuries occurred after his arrest, while he was being transported back for processing, and that he may not have received proper medical attention. That's not a surprise. In fact, from a liability perspective, this is a good strategic move for the police. It will be harder to hold them liable if Gray's injuries happened after -- not before -- his arrest.

Pre-arrest, Gray's "seizure" would be judged by a "reasonableness" standard, under the Fourth Amendment.

However, courts have limited these "seizures" to the initial act of seizing the person. Any excessive force claims after the arrest are not covered by the Fourth Amendment.

The claims of an arrestee are instead governed by a different constitutional provision: the Due Process Clause of the 14th Amendment.

So what? What's the difference between the Fourth and 14th Amendment anyway? When it comes to potential civil liability of the officers, it makes a huge difference. The applicable burden of proof and chances of winning a lawsuit depend largely on which constitutional standard governs. Under the Fourth Amendment, the test is whether the force was objectively unreasonable based on the totality of the circumstances.

Under the 14th Amendment standard, the officer will only be liable if the force was applied maliciously and sadistically for the very purpose of causing unnecessary and wanton pain and suffering. That's a much tougher burden for a plaintiff to meet.

Fortunately, courts have held that pretrial detainees like Freddie Gray are entitled to at least the same protection under the 14th Amendment as are convicted prisoners under the Eighth Amendment, and its prohibition against "cruel and unusual punishments," in this case the deliberate indifference to medical needs of prisoners.

Confused? You're not alone. Even a Supreme Court justice has taken issue with this view of the Constitution. Other jurisdictions have actually opted to extend the protections of the Fourth Amendment after arrest, so not only could reasonable minds differ ... reasonable courts, judges, and states differ, too. It's just that Maryland is not within one of those jurisdictions. But it's true. It's a kind of unintentional "gap" in constitutional coverage, one the courts have struggled to deal with.

Based on the law, it seems that if an arrestee is hurt during a "rough ride," police might avoid liability in Maryland if they contend the injury was not caused wantonly or sadistically. That's a higher standard for liability than if Freddie Gray was hurt pre-arrest, so, if it's the truth, it just happens to also be a constitutionally convenient one.

@highlight

Were the police justified in stopping Freddie Gray?

@highlight

Can they be held liable for his death?