(CNN) -- From the realms of science fiction to science fact, the Rosetta mission reached its climax this week when when the mission's scientists succeeded in landing a washing machine-sized probe named Philae on a moving comet after a 6.4 billion mile journey.

It has been a decade-long chase around the solar system for the spacecraft to catch up with its constantly moving target, Churyumov-Gerasimenko -- better known as Comet 67P. For many who gaze dreamily at the stars above, this is one of the most exciting thing to happen in recent memory. But why should everyone else care?

To answer this question, CNN has brought together five experts in space science to explain why the Rosetta mission is a monumental achievement.

Matt Taylor, European Space Agency project scientist:

Rosetta is a big deal, enough to be the sexiest mission ever. Rosetta has rendezvoused, orbited and will soon deploy a lander to the comet surface. If that isn't enough firsts, the orbiter will remain alongside the comet for over a year, watching it grow in activity as it approaches the Sun, getting to within 180 million km in summer next year, when the comet will be expelling hundreds of kilograms of material every second.

It's got an awesome profile: the adventure of the decade-long journey necessary to capture its prey, flying past the Earth, Mars and two asteroids on the way. The years of preparation dating back to the days of the Giotto mission. The challenges of flying over 6 billion km to reach the comet, to bulls eye getting into orbit, even after a 31-month nap, around a body we knew next to nothing about at launch, other than it was going to constantly push us away more, the closer we got. The passion and dedication of the teams working for so long on Rosetta to make it work, to do what it was designed for -- science.

EXPLORE: Rosetta mission interactive

Rosetta will show us how a comet works. We have been to comets before with spacecraft, observed them for centuries from the ground, but for the first time with Rosetta, we will "live" alongside a comet for over a year, sniffing and tasting it, scratching it with the lander, seeing how it is made up and how it evolves in time with its interaction with energy of the Sun.

Thought to be predominantly made of ice, comets are also considered to have been a possible delivery mechanism for water to the Earth, along with organic material that could have provided the building blocks for proteins and possibly life. Comets are considered frozen relics of the formation of the solar system and examining comets provides us with an insight into the conditions and composition of that time. We are doing archeology into how our planet was formed and evolved to what we live on today. It's important to understand where we came from, to get an idea of where we should be going.

Kathrin Altwegg, principal investigator of ROSINA (Rosetta Orbiter Sensor for Ion and Neutral Analysis):

After a long and tedious voyage, Columbus must have experienced similar emotions a few hundred years ago when he finally saw land as we did when, after 10 years, the European cometary mission Rosetta finally got a glimpse of its target -- comet 67P/Churyumov-Gerasimenko. Although we already had pictures of a few comets, we were very much surprised by its irregular shape and its rich chemical composition.

And analysis of the cometary coma by our mass spectrometers ROSINA continues to give almost daily new, amazing insights into the ancient history of the formation of our Sun, the planets and the origin of life. To be part of this mission and to see a dream come true is a fantastic experience which makes all the years of hard work well worthwhile.

Where do we come from and where do we go to? Are we alone in the universe? These are the questions which are an important part of humanity, the center of most religions, themes for all big philosophers. To be able to answer some aspects of these questions by science is the main driver for cometary missions.

Rosetta is the first mission following a comet over a long period; it's the first mission close to a comet (less than 10 km) and it will be the first mission with a cometary lander. It's a mission full of discoveries in line with great missions like Voyager or Cassini.

Claudia Alexander, project scientist, U.S. Rosetta Project, Jet Propulsion Laboratory, NASA:

Rosetta is an attempt to explore not only an object (comets) that we don't yet fully understand, but also reach backwards in time, like a detective, to piece together more about our origins. The mission calls on us to be bold, to take on risk.

For an engineer, the challenge is like winning the World Series with a home run in the bottom of the ninth in game seven -- something that will call upon all her skill to pull off. I know plenty of people who love a challenge like that.

I've waited 10 years to finally be "here," waiting for the landing to take place, and for the comet to start revealing its mysteries. It's a dream come true to get our hands on this substance, metaphorically, and get the physics right, by bringing a laboratory to a comet.

Exploration of the planets, of our solar system, extends our "vision" as a human race. We need to have such vision to appreciate/nurture Earth, and our place in the universe. The rewards are to add to our collective knowledge, improve our understanding of forming solar system(s), and understanding more about how materials come together to create environment(s) where life might thrive.

Alastair Reynolds, science fiction writer, former astrophysicist for the ESA:

After a 10-year mission to hook itself into orbit around 67P, the flow of science from Rosetta has already commenced. 67P is providing surprises, from its double-lobed shape to its varied surface texturing. Not content with looking, though, Rosetta will shortly deploy an even smaller spacecraft to land, anchor itself, and perform physical examination of the surface. Images from Rosetta, backdropped by the comet, already resemble stills from a science fiction film. It's a reminder that we can do amazing things, if we dream big.

Why should we care about a mountain-sized ball of dark, dirty ice, when there are so many other places out there? Comets are windows into the dawn of our solar system, telling us about the chemical ingredients that most likely formed the infant seas of our own Earth. Understand comets, and we have a shot at understanding the genesis of life itself -- and for me there is no bigger or more exciting theme than that. This is science fiction made real in terms of the achievement of the mission itself, but Rosetta is also taking us a step closer to answering science fiction's grandest question of all: are we alone?

Denton S. Ebel, cosmochemist from the American Museum of Natural History:

There are so many "firsts" with Rosetta that make it an amazing, ambitious, and potentially rewarding mission. As a cosmochemist, I'm eager for the chemical and isotopic measurements. Comets preserve the first solids, including ices, formed in the solar system, so the Rosetta measurements will tell us a whole lot about how the solar system formed. Our comet samples from the Stardust mission contained abundant high-temperature minerals. How these rocks formed so far from the young Sun is a major cosmochemical puzzle. As a human, I want to know the internal structure of comets.

The Rosetta radar experiment will reveal for the first time how a comet is put together. We need to know these things so that we can protect the Earth and humanity from comets, which have hit the Earth many times in the past. Rosetta is an engineering marvel, as are the MESSENGER and Dawn spacecraft returning important information from Mercury and the asteroid belt. All these missions enlighten humanity about our cosmic neighborhood. We take ownership, and by making it "our" solar system, we set the stage for humans to venture beyond the Earth-Moon system. That is the path to a positive future for our species.

EXPLORE: Rosetta mission interactive

IN PICTURES: Rosetta through the years

@highlight

Rosetta mission lands Philae probe on the surface of a comet

@highlight

It has taken 10 years for the ESA-led spacecraft to rendezvous with its target

@highlight

Experts weigh in on why this is a monumental achievement for humanity