Editor's Note: Drew Westen, Ph.D., is professor of psychology and psychiatry at Emory University, founder of Westen Strategies, and author of "The Political Brain: The Role of Emotion in Deciding the Fate of the Nation." He has been a consultant or adviser to several candidates and organizations, including the AFL-CIO, and has informally advised the Obama campaign.

Drew Westen says Democrats realized you need more than position papers to sway the voters.

ATLANTA, Georgia (CNN) -- A single factor never produces a complex event like the historic election of Barack Obama. But when the final post-mortem on the election of 2008 is someday written, it will no doubt include at least three.

First, John McCain started with three strikes against him. Those strikes happen to be the three strongest predictors that enter into the equations used by political scientists to predict who will win an election: an unpopular incumbent president (in this case, the most unpopular in the history of polling), an economic downturn (in this case an understatement), and an unpopular war.

In some ways, McCain lost the presidency twice to George W. Bush. In the 2000 South Carolina primary, McCain was defeated by what have been generously referred to as "dirty tricks;" and in the two-year run-up to the 2008 election, he allied himself with Bush and his policies to win his party's nomination (even referring to Bush as "one of our greatest presidents"), which was his undoing with independent voters in the general election.

Second, whether McCain rues the day he chose Sarah Palin (who moved from the asset to the liability column around the same time Lehman Brothers did), Palin no doubt rues the day she chose to become a small-town mayor instead of a community organizer.

It was precisely the extraordinary capacity to organize people that allowed Obama and his chief advisers to bring such unprecedented numbers of people to the polls.

Not only was this the first election in recent memory in which Democrats outgunned Republicans with their get-out-the-vote efforts, but it was the first time since Eisenhower recognized the potential value of television as a medium for advertising over 50 years ago that Democrats have led Republicans in technology.

From the moment I met Obama's media wizard, Scott Goodstein, 18 months ago, I realized Obama would have a tremendous advantage on that front, but I didn't realize by how much.

But then there's that other major factor: For the first time since Bill Clinton, the Democrats chose a candidate with both the general intelligence to govern and the emotional and political intelligence to win.

And they finally abandoned the approach to campaigning that has been their downfall for generations: peppering voters with facts, figures, and policy positions and assuming they will see what a rational choice the candidate is.

We don't choose any of the important people in our lives that way, whether spouses or presidents. Obama beat McCain the same way he beat Hillary Clinton: by out-inspiring them, boxing them into the role of the candidate against hope, and defining himself as the candidate who represents change.

And in the last few weeks of the campaign, Obama finally began to control the four stories that matter in an election:

1. the story you tell about your yourself (that he was the candidate of change, fleshing out what he meant by change);

2. the story you tell about your opponent (that McCain was four more years of Bush);

3. the story the other candidate is telling about himself (McCain the maverick, which Obama countered by citing McCain's proud proclamation that he had voted with Bush over 90 percent of the time and parrying, "That's not a maverick, that's a sidekick"); and

4. the story McCain was telling about Obama (that he lacked the experience and judgment to lead, which Obama countered with his steadiness in the face of the Wall Street meltdown and his strong, steady performances in the debates).

Elections are won by candidates who control those four stories and in so doing inspire the electorate and channel their fears (in this case, fears about the economy trumping all else).

Going forward, Obama needs to find his way as a leader between the excesses of the "permanent campaign," in which a president remains in campaign mode throughout his presidency -- taken to its extreme under George W. Bush, who allowed his political strategist, Karl Rove, an inordinate role in crafting policies rather than just figuring out how to talk with the public about them -- and Obama's more natural predilection to talk like a law professor.

What Democrats learned from this election is that if their candidate thinks like a professor but inspires like a preacher, they can have their cake and eat it, too.

President-elect Obama faces enormous mountains to climb that will require enormous public support. He will no doubt pursue the policies he considers best for digging our nation out of some deep ditches, both domestically and internationally.

But the best policies don't sell themselves, whether the date is November 3 or January 21, and the style that led him to the White House -- a calm, thoughtful, steady approach to policy combined with an extraordinary capacity to inspire -- is the same style that will make him an extraordinary leader.

The opinions expressed in this commentary are solely those of Drew Westen.

@highlight

Drew Westen: McCain was burdened by bad economy, Bush unpopularity

@highlight

Democrats had technological edge for first time in decades, Westen says

@highlight

Westen says Democrats learned you can't win with position papers, statistics

@highlight

They dealt with people's fears, mostly about the economy, Westen says