(CNN)Around 2002, I was browsing in a used book store in Pittsburgh, and there it was: "The Ethics of Star Trek" by Judith Barad and Ed Robertson. Coincidentally, I was working at that time on integrating ethics into engineering education at Penn State University. I immediately bought the book, and after reading it through, realized that it could be the basis for an engaging course for our first-year engineering students. I first offered the course, The Ethics of Star Trek, in the fall of 2003 -- and I've been teaching it ever since.

My children grew up watching the shows that followed the original series, which continued the tradition established by "Star Trek" creator Gene Roddenberry of tackling current events like war, genocide and pollution. It was good family entertainment that also prompted reflection on issues of the day. And it was this exploration of both space and the issues of the day that inspired me to try to apply these moral lessons to students.

First there was the friendship between Captain Kirk, Mr. Spock, and Dr. McCoy, aka Bones. Plato described the human soul as composed of three aspects: spirit, reason and emotion. Internally, we each strive to balance these three forces. If we manage to do this well, we become a more virtuous person and attain a fourth virtue: justice. By placing Kirk (spirit), Spock (reason) and Bones (emotion) into challenging situations, we get to observe this interplay of these forces, and we get to hear them say what would otherwise be an internal dialogue.

Why is Spock so critical here? Because Vulcans worship logic and rationality. Even though he's half human, he suppresses his emotions. It's no surprise that he is the science officer, since science is founded on rationality. Mr. Spock, then, can be trusted to give reasoned scientific analysis in any situation, uninfluenced by emotion or spirit. And since they wouldn't even be in space without science, Spock may be the most important character for the success of the adventure.

So, how was all this applied in a classroom?

The "Star Trek class" is a one-credit seminar for first-year students that meets once a week, one of about 60 different seminars offered by the College of Engineering. Students read relevant chapters in the book, and then every other week we watch a related "Star Trek" episode. In the other weeks, we sit in a large circle and have an open and often lively discussion about the ethical ideas and their application to the students' lives.

One of the recurring plot elements in "Star Trek" is the discovery of new creatures. This often raises the question of the proper relationship and attitude toward these entities. Are they intelligent? Is their intent malicious? In one episode, "Arena," the Enterprise engages in battle with an alien vessel, flown by the Gorn, that has attacked an Earth colony. In the heat of the battle, another unknown species, the Metrons, transports Kirk and the Gorn captain to a barren planet. They are told that because of their violent tendencies, they must battle to the death, with the ship and crew of the loser to be destroyed.

As the two captains battle, the Metrons project the scenes onto the Enterprise's main view screen on the bridge. As the crew observes the battle, and thinks more about it, Spock realizes that the Earth colony may have been the invader, and the Gorn vessel may have been justified in its attack on the colony. Kirk also begins to see this as a possibility. When he finally subdues the Gorn captain, Kirk decides to show him mercy and spare his life, even though it may result in the destruction of the Enterprise and her crew. Surprised by this action, the Metrons decide that there may be hope for humans after all, and that we are not primarily savages.

This episode has been used in the following week's discussion in various ways, depending on the current events that form the backdrop to the semester. One of my favorite approaches is to have the students consider the ethics of eating meat. I supplement the "Star Trek" background with arguments by other philosophers and commentators. It always makes for great discussion because the question hits home, literally, in the gut.

At the heart of this question is: What is it about another creature that qualifies it for ethical consideration? Is it rationality? Is it power? Is it utility to humans? Many of the students' arguments are essentially biological -- we are omnivores. They argue further that we are at the top of the food chain and can therefore do whatever we want. For these students, I often start by asking them if they have a pet. If they do, I ask them if I can eat their pet. Or better yet, under what circumstances might it be OK to eat their pet?

A key issue that arises from this is that we humans see ourselves as more than just animals; we have reason and a sense of right and wrong, a sense of justice. As the discussion evolves, various indicators of other species' moral standing are investigated, including rationality, ability to experience pain and suffering, utility to humans, and perhaps that these other creatures have intrinsic value regardless of their use to people. Often, students come away with a commitment to reduce animal suffering, and to reduce their consumption of meat overall.

My favorite Spock-centered episode is a two-parter, "The Menagerie," which uses scenes from the original pilot, "The Cage." Here we see Spock's human side at its best. Captain Pike, whom Spock used to serve with, has been injured to the point where he can live only as part of a machine, and he can only make a device beep once for yes, and twice for no. (OK, admittedly it's a flaw in the technological imagination.) Spock kidnaps Pike and commandeers the Enterprise, all for as yet unclear reasons. What we find out is that Pike and Spock had visited a planet (in the pilot) where aliens could make you experience any reality they dreamed up for you. They narrowly escaped, and the planet was placed off limits by the Federation.

Spock intends to deliver Pike to this planet so that he can live out his life in a reality unconfined by his physical impairment. Along the way, Spock faces a court-martial where a guilty verdict would result in death. Yet his loyalty and love of Pike override his awareness of the irrationality of his actions. (In the end, the court-martial is dropped, and Pike lives long and prospers.)

Nearly every episode had a moral lesson or dilemma like this, meaning that not only was "Star Trek" great entertainment, but a show that could really make you think. That's why I was saddened to learn of Leonard Nimoy's passing Friday. But it is also something that allows me to take some comfort, because I know that his legacy as Mr. Spock, science officer of the starship Enterprise, will live on.

@highlight

"Star Trek" actor Leonard Nimoy died Friday at age 83

@highlight

Andy Lau: Nearly every episode had a moral lesson or dilemma