Washington (CNN) -- It is the second big speech of his presidency's second act, but there is little or nothing to suggest President Barack Obama's State of the Union Address offers any hope of a new beginning or a new spirit in divided Washington.

Consider the vast partisan differences in expectations.

"Obama core supporters are getting what they hoped for in 2009," says veteran Democratic pollster and strategist Peter Hart. "He is a president who seems both more confident and at the same time at home with himself both legislatively and philosophically."

If there is one certainty in today's political climate, it is that when one party is happy, the other is not.

Security Clearance: Foreign policy will take back seat

"Republicans should wear asbestos suits to the House chamber because they're going to be torched," said longtime GOP operative Ed Gillespie, a veteran of senior jobs in the House leadership, the Republican National Committee and the George W. Bush White House. "President Obama seems to think that the best way to get things done is not by retail persuasion but by wholesale attacking."

The president's wish list already has him on a collision course with the GOP on several fronts, from the familiar sniping over taxes and spending and red ink to new battle lines over White House calls for sweeping changes to immigration and gun laws.

Veterans of previous administration note the first year of the second term is critical.

"Of his second term, this is the one that will get the most attention," said Karen Hughes, the George W. Bush confidante. "This is the list of what he still wants to accomplish as president."

As such, Hughes said, the biggest challenge is focus.

"It was never my favorite speech because it is a legislative laundry list and everyone is trying to get their piece in," Hughes said.

Huge challenge: How will we reduce the deficit?

The biggest immediate challenge is a carryover from the first term: Navigating differences over how to achieve a substantial deficit reduction package. A March 1 deadline looms when temporary fixes enacted in the first term essentially expire and across-the-board spending cuts known as sequestration loom if no new plan is passed.

"The economy still languishes and the obvious threat is sequestration, which is omnipresent," is how Hart described the moment to CNN. "But I think the president can look presidential and put the GOP between a rock and a hard place."

There is little doubt that the president has the upper hand in the battle for public opinion: what he calls a "balanced approach" of more tax revenues and spending cuts including, again in the president's words, "modest" savings in Medicare and Social Security.

"I am prepared, eager and anxious to get a big deal, a big package that ends governance by crisis," the president told House Democrats this week in offering a bit of a State of the Union preview.

But there is no hint of any big deal in sight, and the president himself has called for another temporary fix to push the deadline back a few months.

It is a glaring example of Washington dysfunction, and the longer the stalemate goes on, the more extremes in both parties try to block the path to any grand bargain.

Conservative groups, for example, warn of retribution against Republicans who consider giving the president any additional tax revenues, and liberal groups repeatedly are reminding newly elected Democrats of their promises not to support Medicare cuts.

As this plays out, again, White House aides talk confidently of the president's place in the political debate.

But even in "winning," there could be a price.

A crisis of confidence

GOP pollster Bill McInturff notes a post-election drop in consumer confidence and says there are parallels to past battles over the debt ceiling and the fiscal cliff.

In a consumer-driven economy, a collapse in confidence because of more Washington paralysis could stall an economic recovery that is critical to the president's second term political standing.

"Economic confidence plays a key role in building the type of optimism that encourages businesses to hire and people to spend," McInturff writes in a presentation offering his take on what he labels "The Washington Economy."

"It is important leaders in both parties begin to recognize how the tenor, tone and outcome of the policy debates in Washington are actually retarding economic confidence in a way that makes building a sustained recovery more difficult."

What about immigration and gun laws?

Question marks also can be attached to other top State of the Union priorities.

Some congressional action on immigration and gun laws seems likely, though what emerges could be significantly less than what Obama wants.

Immigration is the most likely source of a major package. But it remains a highly divisive issue, and both parties will be tested.

The biggest question mark, perhaps, is whether the Republican-controlled House would pass legislation granting a path to citizenship to the estimated 11 million illegal immigrants in the United States. And if the House passed legislation granting legal status but not full citizenship to such immigrants, would the president accept that compromise?

There is little question the president won't get his way in the gun control debate.

He wants new universal background checks for gun purchases. More robust background checks do appear to have significant bipartisan support, but not as sweeping a plan as envisioned by the president.

At the moment, the math is against the president when counting votes in Congress for his proposals to ban assault weapons and magazine cartridges that hold more than 10 rounds.

On guns, Democrat Hart sees it this way: "The president has the moral high ground but not necessarily the political high ground. It is still an intensity issue."

Republican Hughes recalls how President George W. Bush later regretted putting a push for Social Security reforms ahead of immigration, an issue that, back then, had better prospects for bipartisan action.

Especially now, she says choosing priorities is critical.

"If I were in their shoes, I would be looking to get some things done," she said. "Show people can work together and restore some confidence."

Hart predicts one line that will win applause across the political spectrum, in living rooms across the country if not in the House chamber: "We will be out of Afghanistan in 2014. Americans cannot wait for this."

A more aggressive Obama

More broadly, he sees a new Obama in the second act even if Washington's partisan polarization is a sharp as ever.

"There is an aggressiveness to his action and a willingness to recognize that he can use his political strength either to win in policy terms or political terms or maybe both fronts," Hart said. "Bottom line: The wind is at the president's back. The problems haven't changed or disappeared, but this is a more confident and politically sharp president right now."

Not surprisingly, Republicans see a different bottom line.

"It's not likely to produce much by way of legislative accomplishment," GOP strategist Gillespie said of the president's second term tone. "I suspect this speech will be in the rear view mirror pretty quickly."

@highlight

President Obama to give his first State of the Union address of his second term on Tuesday

@highlight

On the eve of speech, gridlock in Washington continues to be the biggest obstacle

@highlight

He is expected to lay out an agenda focusing on the economy, guns, immigration

@highlight

Looking at other two-term presidents, this next year will be crucial to get things done