(CNN) -- A new chapter in the fast-food wars was created with Heinz hiring Bernardo Hees, former Burger King CEO, to lead its company. Despite a decades-long relationship, McDonald's terminated its contract with Heinz due to this hiring decision.

While Heinz has not publicly addressed its reasons for naming Hees CEO, questions have been raised about the strategy behind recruiting him. Perhaps, given his fast-food experience, the plan was to have him turnaround a relationship that had been falling apart for several years.

While many perceive the hiring of Hees as an abrupt end to the Heinz McDonald's relationship, it actually began souring during the 1973 tomato shortage.

Heinz, in a 2011 interview with the Wall Street Journal, revealed that it only was serving two U.S. markets -- Minneapolis and Pittsburgh -- for McDonald's.

Within that same article, Heinz announced new ketchup packaging that, while not specifically developed to lure McDonald's back, created hope that the door could be reopened.

To date, that has not happened, and with Hees at the helm, the door is now completely closed.

Possibly, Heinz expected Hees fast-food industry background to rejuvenate its McDonald's relationship and drive revenue from it. If that was the rationale, the strategy clearly backfired.

However, the expectation of success primarily based on prior industry experience parallels a common salesperson hiring strategy.

Executives in search of fast, high performance often focus their recruiting campaigns on candidates within their industry -- with a watchful eye on the competitor's top salespeople. Is this a brilliant growth strategy or a myth that, more often than not, leads to failure?

To share a story ... During the Dot-Com boom, I was the Director of Sales for a large technology training company.

At that time, Microsoft, Cisco, Novell, and IBM were experiencing explosive growth -- which created tremendous demand for information technology training to support its products.

While our company was doing well, a competitor had fallen on hard times which led to my receiving a phone call from one of its top salespeople. He, and a group of five others, were interested in joining our firm.

It would be inaccurate to say that the six salespeople were interviewed by our company. The truth is job offers were fast-tracked because of their industry background. "This group requires no training and is bringing clients with them ... fast, high performance." -- at least that is what we believed.

All six accepted the job offers and all six were no longer with the company within ninety days of their hiring. We thought they would succeed (and fast) because of their industry experience -- but the plan was flawed.

While they had been successful with a competitor, they were mismatched with our company.

Our executive team, like so many others, was blinded by the myth of assured success when hiring those with industry background. While prior industry experience is certainly helpful to a salesperson, it is not a guarantee of success -- far from it.

Many executives cite "complexity of the industry" as a reason to exclusively hire salespeople from competitors -- inferring that industry knowledge is too hard to teach.

If that's true, how did these executives learn their industry? They certainly didn't come out of the womb with that insight. Those executives are really communicating that they don't want to train salespeople on the industry fundamentals.

It also dangerously assumes that the competition is doing a better job of training salespeople than they are.

Of course, another reason executives pursue the competition's salespeople is the expectation they will bring a book of business with them -- also a myth. Moving clients from one supplier to another is very difficult to do - unless there are reasons other than the salesperson changing business cards.

Not to mention, there are potential legal issues when salespeople try to move "their" clients when changing jobs.

Limiting salesperson hiring to just those with industry experience creates a scalability problem for the company.

There are only so many people with industry experience and only a small subset who the company would want on the team. What happens when the candidate pool runs dry and there are job openings on the sales team?

Rather than blindly pursue those salespeople with industry mastery, first study each sales role and identify the factors that affect performance.

What causes salespeople to succeed or fail in the role? Understanding the performance factors provides the means to carefully assess sales talent for matches to those factors.

Not only does this help identify which candidates with industry background will succeed in the company, but it also opens the door to strong candidates without prior industry experience.

Cast the "industry experience" requirement aside and hire those salespeople who have what it takes to succeed in the company.

Hiring right is the first step of positioning the business for success. The second is to create a sales on boarding program teaching salespeople the requisite knowledge to deliver fast, high performance for the company.

Reviewing performance factors before hiring and developing on boarding programs are not just sales hiring strategies. These steps are also applicable for leadership positions. Had Heinz taken this approach, they may have selected a different CEO to lead the company.

The opinions expressed in this commentary are solely those of Lee B. Salz.

@highlight

McDonald's terminated contract with Heinz after hiring former Burger King CEO

@highlight

Management expert Lee Salz says hiring former competitors is flawed strategy

@highlight

Ignore "industry experience" hiring practice, says Salz