(CNN) -- When leaders get into trouble these days, they often complain that they have too little power to be effective. Yet as debate rages about the NFL's handling of player discipline, the problem for NFL Commissioner Roger Goodell is just the opposite: He seems to have too much power.

While fans continue to flock to games, Goodell and league owners must know that the NFL and its gold-plated brand are in increasing trouble. A poll by the YouGov BrandIndex released this weekend shows that fan scores reflecting positive perceptions of the NFL have plummeted from a yearlong high of 36 to a low of -17. The 53-point decline happened over the four days last week when Goodell struggled to navigate the league through scathing headlines over its handling of evidence that Baltimore Ravens running back Ray Rice attacked his then-fiancee in an elevator.

What Goodell and the team owners apparently fail to recognize is that the NFL is also a big, important business that should be run like a first-class company and is not. The NFL has a brand that is worth $9 billion in annual revenue; if it were an ordinary company, it would rank about 300th on the Fortune 500.

Goodell's job is as complex as that of any CEO running a Fortune 500 company, but most of those companies don't handle their human resource issues the way the NFL does. Nearly every big company has to address vexing questions of how to treat employees who get into trouble by violating standards of decency or by violating the law. Outrageous assaults on women and children are not limited to pro football (though they occur there far too often).

What CEOs do in those companies is to insist upfront on high standards of behavior -- but, importantly, they also set up credible, independent individuals or committees to investigate and to mete out punishment. Their intention is to keep the administration of corporate justice as fair and as consistent as possible, trying to protect the integrity of the company's reputation while also trying to avoid favoritism or cronyism in the way its employees are treated. CEOs purposely stay out of the middle of individual disputes.

But the NFL has structured Goodell's job entirely differently. He has supreme, sweeping power over the organization, players and their behavior. He in effect is appointed the judge and the jury in individual cases, even as he keeps one eye over his shoulder at the owners. For some months now, he has been seen as too harsh, and now he is being seen as too lenient, especially in the way he has twisted and squirmed over the Rice case.

Goodell and the owners should figure out how to restructure the commissioner's job -- or soon, he may lose it, and the league's brand will be even more tarnished.

The league needs to take a step back and consider that. Not only to protect the credibility of the commissioner's office, but more important, to maintain the value of the NFL brand with fans.

A good first step on the road to better practices would be to change some NFL rules, starting with the one that gives the commissioner latitude to react with widely varying responses to player domestic violence arrests and convictions.

Compared with Rice, three players accused of domestic violence -- A.J. Jefferson, Dez Bryant and Rod Smith -- received very different treatment from the commissioner's office, ranging from a lifted four-game suspension to no suspension at all and a $25,000 fine. In all three cases, the players continued to play for NFL teams -- a very different outcome from what Rice is facing.

Fans may now have a hard time believing any NFL commissioner can be reliably out in front of setting constructive league standards.

Most $9 billion companies have an independent employee review and disciplinary system with oversight from departments separate from the CEO's office, like Human Resources, Legal or Compliance. GE, for example, outlines its system in its "The Spirit & The Letter" code of conduct: Assign a team of experts, conduct an investigation of all the facts, recommend corrective actions to the appropriate managers for implementation, and provide feedback to the person who raised the concern. That's it. The code is clear and does not call for the CEO to be involved in approving corrective actions.

Not so in the NFL, it seems. The NFL Player Code is general on the question of process ("the League may initiate an investigation") and does not identify who investigates and recommends corrective action. According to press reports, it's not clear who at the NFL was responsible for investigating the Rice affair. But decision-making power is clear and unilateral: "(T)he Commissioner will have full authority to impose discipline as warranted."

The independent review and discipline group should also have the responsibility and expertise for talking to the press and fans. This would increase credibility with fans and help the league avoid the escalating, and destructive, tit-for-tat accusations we're witnessing right now.

It could be a model for other sports leagues including the NBA, MLB and NHL.

Over the past two decades, prevention has become the focus of employee conduct, health and wellness. Goodell controls, but has not deployed, the league resources that could help prevent criminal player behavior in the first place. While NFL player arrests peaked in the mid-2000s, most organizations would not sit back and accept that one in 40 of their employees is arrested each year -- mostly for DUI incidents.

Corporate prevention programs also mitigate on-the-job injuries. One can only guess if as many players would have suffered, or if the NFL would have faced a $950 million payout to players earlier this year, if player training to avoid concussions had been sponsored by the league.

Enshrined in the NFL Code of Conduct is a call to higher standards: "While criminal activity is clearly outside the scope of permissible conduct, and persons who engage in criminal activity will be subject to discipline, the standard of conduct for persons employed in the NFL is considerably higher. It is not enough simply to avoid being found guilty of a crime. Instead, as an employee of the NFL or a member club, you are held to a higher standard and expected to conduct yourself in a way that is responsible, promotes the values upon which the League is based, and is lawful."

Great organizations do create standards, partly by standing behind their brand and company values in all kinds of public ways. If he believes in holding the NFL to a higher standard, perhaps Goodell should be looking at starting the NFL Foundation to Prevent Domestic Violence. It would not only be a smart move to leverage a fan base that includes 55% men and 45% women, but a tangible example of the higher level of conduct the league aspires to.

The NFL owns a treasured brand, beloved by many Americans, that is the gold standard for world-class sports entertainment. For Goodell, the time has clearly come to use big-league management practices to run the show.

@highlight

Ray Rice case and others raise questions about NFL player discipline

@highlight

Martha Pease: The NFL puts too much power in the hands of its commissioner

@highlight

She says league would be better served by having other staff make these calls

@highlight

Pease: NFL should look to the way major corporations handle employee wrongdoing