(WIRED) -- A radio without any knobs. A bathroom where a clear display wirelessly streams vital statistics on your health. And a user interface that takes brain waves and translates them into commands for a computer.

These are some of the products in development by Cambridge Consultants, a product design and development company. It showed off some of its latest inventions at a daylong event last week in Cambridge, Massachusetts.

Check out these sweet ideas, many of which are set to hit retail shelves in the next few weeks.

Cube Radio

As devices become more complex to use, designers are striving for simplicity in form. The Q2 Cube internet radio tries to innovate in terms of how users can interact with it. It's the first dial-free radio, say Cambridge Consultants and the Armour Group, which co-developed it. The cube-shaped device lets users choose radio stations or change the volume by moving the device itself. To select one of the four pre-set radio stations, turn the Cube onto one of its 'faces.' Tilting it forward turns the volume up, and tilting it backwards turns it down. The device took about nine months to develop from concept to prototype.

Though pricing for it has not yet been announced, the Cube is expected to be available in some retail stores in the U.K. in time for Christmas.

Implantable Antenna

Patient care is set to go beyond the doctor's office. New low-power wireless technologies make it possible to implant monitoring devices in people's bodies, to help keep an eye on blood pressure, metabolism and other vital statistics.

But one of the challenges of these new wireless devices is designing a suitable antenna that can operate within the human body where fat, muscle and skin tissue create challenging conditions for wireless signals.

This implantable antenna uses the 402-405MHz Medical Implant Communications Service (MICS) frequency band. Combined with a custom integrated chip or a system on a chip, device makers can use the antenna in pacemakers, neurostimulation devices, and swallowable imaging and diagnostic systems.

Connected Patient

There's no dearth of health and fitness equipment, from the basic digital scale to sophisticated heart and blood pressure monitors. But most of these devices work independently with no easy way to share the data or discern patterns in it.

Now picture the bathroom of the future, where these devices can talk to each other and wirelessly stream information onto a single screen. It's easy to do it with the Bluetooth Health Device Profile and the IEEE Personal Health Data specification.

In the past, communication between medical devices was based on ad-hoc and proprietary standards, which offered limited or no interoperability. The latest Bluetooth and IEEE standards developed specifically for medical use changes that. For a user, it means, a better overall picture of your fitness and medical information.

Mind Control

Taking brain waves and translating them directly into computer commands is a hot new area in user interface design. The idea is to help individuals who are completely paralyzed communicate without having to have surgery to implant electrodes in the brain. Earlier brain control interface systems have been expensive, but engineers have been working to improve accuracy and bring costs down.

The interface has three primary hardware components and several pieces of specialized software. A mesh cap holds small sensor electrodes firmly against the user's head. An amplifier is connected to the electrodes and is used to boost the minute analog signals, measured in microvolts, that are received from the surface of the scalp. The signals are then converted into a digital signal and analyzed by signal processing software running on a PC. Two monitors are connected to the PC, one for the caregiver interface and one for the user interface.

The big challenges here are developing a sensor cap that is comfortable and can be positioned accurately on the head by an untrained person. Positioning deviations from session to session of more than a few millimeters can dramatically affect the accuracy of the system.

The entire system is currently expected to cost about $5,000 for a patient, although researchers say they are trying to bring that down.

Through-the-Wall Radar

Police officers and special forces covet the ability to "see" through walls as they mount rescue or military operations.

The Prism 200 is a tiny handheld radar scanner that provides intelligence on the movement and location of people in a room or building. It works through brick and concrete walls and is sensitive enough to pick up breathing. Users of the radar can switch between front, plan and profile views for a complete picture. It can also be remotely monitored.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Product development company Cambridge Consultants shows off its gadgets

@highlight

Many of these are set to hit retail shelves in the next few weeks

@highlight

Engineers are working to improve accuracy and lower costs on brain control

@highlight

Police officers and special forces covet the ability to "see" through walls