(CNN)Saudi Arabia is leading a military campaign against Shiite rebels in Yemen, bringing the wider region directly into a complex conflict that has festered for months.

The Saudis say they want to restore the Yemeni government, a key U.S. ally in the fight against al Qaeda, which was kicked out of the capital by the rebels earlier this year.

"Having Yemen fail cannot be option for us or for our coalition partners," said Adel al-Jubeir, the Saudi ambassador to the United States, referring to the other nations in the region supporting the campaign.

Here are answers to key questions about the escalating conflict in Yemen.

Analysts say it can be summed up in one word: Iran.

The Saudis "perceive this as a threat from the Iranians," said CNN military analyst Lt. Col. Rick Francona. "They look at the Houthis as nothing more than a proxy Iranian force, just like we can look at Hezbollah as a proxy Iranian force in southern Lebanon."

Analysts say that Shiite-majority Iran and Sunni-dominated Saudi Arabia are locked in a strategic contest for influence across the Middle East.

Now, the epic chess match has spread into Yemen, Saudi Arabia's southern neighbor.

"What they do not want is an Iranian-run state on their southern border, because they already feel they've got enough problems on their northern border," said Francona, a retired U.S. Air Force intelligence officer.

Iran, northeast of Saudi Arabia, is considered to exercise powerful influence within the regime of President Bashar al-Assad in war-torn Syria and within the Shiite-led Iraqi government.

The Saudis and other Gulf nations appeared to make an implicit reference to Iran in a statement about the start of the military campaign, describing the Houthi militias as "backed by regional powers" that are aiming for "hegemony" in Yemen.

The Iranian government, for its part, condemned the offensive, calling for an immediate halt to Saudi-led airstrikes, state media reported.

The chaos in Yemen appeared to be careering toward a full-blown civil war.

The Houthis, whose power base is in northern Yemen, started protests against the central government in the capital, Sanaa, last summer. But they stepped up their campaign in September, seizing multiple government buildings. Attempts to strike political deals between the two sides had no effect, and the Houthis pushed into other areas of the country.

The crisis intensified in January, when the Houthis displayed their clout by storming the presidential palace and putting President Abdu Rabu Mansour Hadi under house arrest.

Hadi escaped to the southern city of Aden in February and declared that he remained the legitimate president. Since then, Hadi's supporters have repeatedly clashed with the Houthis and their allies, prompting the United Nations to warn of an impending civil war.

The Houthis also have support from forces loyal to Hadi's predecessor, former President Ali Abdullah Saleh, who resigned in 2012 after months of Arab Spring-inspired protests.

The deepening chaos has led many governments to pull embassy staff out of Sanaa. The United States recently withdrew its remaining special forces in Yemen, dealing a blow to counterterrorism efforts in the country.

Rebel forces captured parts of Aden and a nearby airbase Wednesday. Early Thursday, the Saudi-led strikes began.

The airstrikes appear to be only the start of the campaign.

Saudi Arabia has also pledged 150,000 soldiers to the coalition that's intervening in Yemen, the Saudi-owned Al-Arabiya TV network reported Thursday, raising the possibility of a ground offensive.

"The airstrikes will be the kickoff of the campaign," Francona said "They'll want to knock down the air defenses and create a corridor with which they can move their troops in there."

It wasn't immediately clear if other nations in the coalition were offering any ground troops.

A ground offensive isn't a decision that Saudi King Salman bin Abdulaziz Al-Saud would take lightly.

"Saudi Arabia, all these years, has avoided sending troops into Yemen. It's a quagmire for the Saudis," CNN intelligence and security analyst Bob Baer said in January.

Beyond the military campaign, the Saudis and their allies say they want to find a political solution for the violence-plagued nation.

The aim is to bring back Yemen's "security and stability through establishing a political process," said a statement from Saudi Arabia, the United Arab Emirates, Bahrain, Qatar and Kuwait.

Al-Jubeir, the Saudi ambassador to the United States, said American forces are not involved in the airstrikes. But Francona said he thought the United States most likely assisted with information needed to pick out targets.

"The Saudis don't have the intelligence surveillance and reconnaissance capability to determine all of these targets," he said. "They've had to have had some help, and I think it probably came from us."

Arab and senior Obama administration officials tell CNN that an interagency U.S. coordination team is in Saudi Arabia. The sources said the Saudis have not specified what they want yet, but will probably ask for American air support, satellite imagery and other intelligence.

"We can help with logistics and intelligence and things like that, but there will be no military intervention by the U.S.," a senior administration official said.

A Saudi adviser told CNN that 10 countries are involved in the coalition: Saudi Arabia, the United Arab Emirates, Bahrain, Qatar, Kuwait, Jordan, Egypt, Morocco, Pakistan and Sudan.

But it was unclear how many of those countries other than Saudi Arabia were taking an active military role. The Saudi adviser told CNN that the UAE, Bahrain, Kuwait and Qatar had contributed fighter planes to the operations.

It brings another disturbing angle to the conflict.

Yemen is home to al Qaeda in the Arabian Peninsula, considered by U.S. officials to be the most dangerous branch of the terrorist network.

The Sunni Muslim extremist group, also known as AQAP, has taken advantage of Yemen's weak government to plan and launch terrorist attacks against the West.

Operating from its heartland in central Yemen, it considers both the Shiite Houthis and the pro-U.S. Yemeni government as its foes.

Houthi forces have clashed with AQAP and its allies in central Yemen. And bomb attacks have repeatedly hit Shiite gatherings in the capital.

There are also concerns about ISIS' growing influence in Yemen. The Sunni militant group that controls large areas of Iraq and Syria claimed responsibility for attacks on Shiite mosques in Sanaa that killed more than 130 people this month.

AQAP and ISIS looked set to be "the big winners" from the deepening chaos in Yemen, CNN terrorism analyst Paul Cruickshank said Wednesday before news of the Saudi airstrikes emerged.

But the big question now is whether the Saudi-led coalition will take any action against the Sunni terrorist groups.

CNN's Nic Robertson contributed to this report.

@highlight

Saudi Arabia sees Houthi rebels in Yemen as a proxy for Iran, analysts say

@highlight

The Saudis act as Yemen teeters on the brink of civil war