(CNN) -- Health officials will be comparing samples to determine if two newborn infants were infected with the same strain of the bacteria that led to the rare infections that killed one and sickened another in the past month.

One newborn in Missouri died from an infection caused by a type of bacteria called Cronobacter sakazakii. Another newborn baby was sickened in Illinois, but is recovering from the infection, according to the state health departments.

Health officials Friday were gathering information about each newborn, including what they ate and where they were, in an effort to trace the sources of the infections. Early indications led authorities to suspect a link to powdered infant formula.

The Centers for Disease Control and Infection and the states' health departments have been testing samples of open containers of infant formula, according to the CDC's Dr. Robert Tauxe, and the Food and Drug Administration has been testing samples of unopened powdered formula.

"So far no formula samples have yielded Cronobacter," according to Tauxe, who is the CDC's deputy director for the Division of Foodborne, Waterborne and Environmental Diseases.

Cronobacter infections are very rare, according to the CDC, which says only four to six cases are reported per year. Some of these infections have been linked to powdered infant formula in the past, according to the Illinois Department of Public Health. However, at this time, it has not been established that infant formula was the source of either of the latest infections, according to the CDC.

Late Wednesday, Wal-Mart Stores Inc. announced it had pulled from its outlets nationwide all cans of Enfamil Newborn powdered formula that matched the size and lot number of the formula used for the baby who died in Missouri. The retailer said it removed the product "out of an abundance of caution" until the investigation determines the source of the infection.

"We really don't have evidence that the two infections are related to each other," Tauxe told CNN. "Those two cases that occurred this past month may just be a coincidence."

He said CDC labs will compare samples of the bacteria from both states in an effort to determine if they came from the same source.

Tauxe cautions that these tests can take a long time -- "up to a month."

Cronobacter can cause life-threatening infections in newborns. It's fatal in nearly 40% of cases, according to the CDC, and some of those who survive can be left with severe neurological problems.

Because Cronobacter is not monitored by PulseNet, a national network of state and local health departments and laboratories that is coordinated by the CDC (and works with the U.S. Department of Agriculture and the FDA), the CDC has alerted public health officials to be on the lookout for any other cases, Tauxe said.

While breastfeeding is the healthiest and safest option to feed newborn infants, it's not always possible for mothers to do so.

Commercially prepared liquid infant formula is generally safe because it's been canned, Tauxe said, but powdered infant formula is not completely sterile.

The Illinois Health Department says "formula can become contaminated with C. sakazakii through the raw products used to make the formula, contamination after pasteurization or during preparation of reconstituted formula for infant feeding."

There are steps parents can take to reduce infection in newborn babies:

-- Prepare only a small amount of reconstituted formula for each feeding so as to reduce the amount of time the formula is held at room temperature.

-- Do not hold reconstituted formula for longer than two hours without refrigeration.

-- Throw out any formula left in a bottle after a feeding.

-- Minimize the time reconstituted formula is held in the refrigerator before feeding.

@highlight

Initially, authorities suspected a link to powdered infant formula

@highlight

Tests so far have not found contamination in formula, Dr. Robert Tauxe says

@highlight

Wal-Mart has pulled a brand of formula from its shelves

@highlight

Only four to six cases of this type of infection are reported per year