(CNN) -- Earlier this month, Kenyans commemorated the heinous attack on the Westgate Mall in Nairobi.

That dark September day last year claimed the lives of 67 people, hailing from more than a dozen countries. Now, as the international community mobilizes to act against terrorists in the Middle East, it would do well to remember the lessons of the Westgate tragedy.

Of those that executed last year's attack, at least two were foreign fighters drawn from the ranks of those who came to fight alongside Al-Shabaab in Somalia. With this in mind, it is clear that foreign fighters must be met by states acting in concert, sharing resources and knowledge.

Terrorist organizations are constantly evolving, taking advantage of political and sectarian factors, as well as vacuums in governance. And while the Islamic State of Iraq and Syria (ISIS) is capturing the headlines today, its rise is being watched and matched elsewhere.

Indeed, before ISIS, there was the effective merger of Al-Shabaab and al Qaeda, which led to increased movement of fighters and weapons to Somalia. Any response to groups like ISIS, then, must be similarly joined up, taking into account all potential hotspots and breeding grounds for extremism.

Perhaps the most important lesson for all countries focused on countering extremists is that young people need to be given the tools and knowledge required to repulse those who seek to radicalize and then recruit them into such networks. In Kenya, for example, we have seen some of our young men and women lured into Somalia for training before returning to try to strike their home country.

How are terrorists able to turn these young people toward extremism?

Beyond the effective use of the Internet, such as has been displayed by ISIS, we have seen sophisticated appropriation of civil spaces like religious and educational institutions as well as refugee camps. This, combined with an ability to manipulate the narratives of group marginalization and oppression, has left too many vulnerable to the lure of radicalism.

This cannot be allowed to continue. In Kenya, we are striving to do more to help young people find the economic opportunities that will help them shun those looking to recruit them to extremism. Just as importantly, we want young Kenyans to understand the vital role they play in nurturing democracy so they can appreciate that even those not on the front line against terrorism have a role to play in fighting for good government and prosperity.

The reality is that our longstanding friendship with the West and our choice of democracy enrages the terrorists as it offers an appealing alternative to their ideology of division and bitterness. The path of democracy and security is not a simple or quick one, but Kenya is grateful for its ties with the United States, and the example it has provided in standing against the terrorists.

But it is time to do even more, together, while we have momentum on our side. The fragile security environment in Somalia still affords international terrorists a haven from which to launch their attacks. Kenya, with others in the region, such as the Somali National Army, is continuing its campaign to degrade and destroy Al-Shabaab, and to secure a peaceful Somalia.

Robust support for the African Mission in Somalia (AMISOM) operations and stabilization efforts is vital to securing Somalia and denying the fighters operational space. With this in mind, we strongly urge expanded support for AMISOM, particularly in enabling ready access to air and maritime support.

And it is also time to further expand our efforts against radicalization and recruitment. Together, the global community must hold the enablers of this process accountable, including by exposing and disabling the illicit financial flows that oil the wheels of radicalization. Even as we expand our democracies, we must demand high levels of transparency and responsibility from all institutions -- civil, commercial or governmental -- that are in a position to feed the foreign fighter and terrorist ranks.

These efforts must take place within a wider strategy that encompasses all states, and the recent African Union Peace and Security Council Summit on Terrorism and Violent Extremism in Africa was a good example of the region coming together to address the threat within our midst. East Africa, meanwhile, is also deepening security cooperation in concrete ways, even as we integrate our region.

It is true that we cannot deny that Kenya has paid a heavy price for the values and allies we have adopted -- Westgate is just one example of that. But the choices we have made on standing up against extremism have been the right ones. Kenya is meeting its responsibilities in the global war against terrorism. I hope that our allies will continue to stand by us and support us in a fight in which we all have a stake.

@highlight

Kenya has been marking a year since the Westgate Mall attack, which claimed 67 lives

@highlight

Focus on young people in defeating ISIS, Kenyan President Uhuru, Kenyatta writes

@highlight

Demand transparency and responsibility from all institutions, Kenyatta says