(CNN) -- If an e-mail popped up in your inbox promising a house for $100, you'd expect to see it sent from a guy in Nigeria asking you to wire him several thousand dollars first.

Zeb Smith lies on his front lawn and spends a quiet afternoon with his neighbors.

But this depressed housing market dream is real. And Detroit, Michigan, artist Jon Brumit and his wife, Sarah, are living it.

The couple never counted on owning a home.

"It's not that we have a little money," Jon Brumit said, laughing. "I'm saying we have no money."

But the couple began entertaining the idea of a permanent nest when their friends Mitch Cope and Gina Reichert, also artists, started taking advantage of foreclosures in the city, where the average home price dipped to $11,533 in April, according to the Detroit Association of Realtors.

Dragging down the average are homes that are long abandoned or foreclosed on that are selling for pennies on the dollar. Detroit already had the lowest market value houses in Michigan before the latest rounds of job losses at GM and other huge employers, market analysts say.

"Those artists are doing a good thing; they are at least helping to stabilize neighborhoods that would be all but lost," said Mike Shedlock, an investment adviser who blogs frequently about Detroit's economy.

For less than a few thousand dollars, Cope and Reichert snapped up a dilapidated bungalow in a north Detroit neighborhood called "BanglaTown," for its unexpected mix of Bangladeshis, African-Americans, Polish and Ukrainians and the occasional shady character.

Scrappers had cleaned the house to the bone. The copper had been stolen; the electrical wiring was stripped.

But no matter. Here was a chance for Cope and Reichert, who run a popular Detroit art store, to rehabilitate the 1920s brick house into a bastion of energy savings, with solar panels, LED lights, recycled wood and high-end insulated windows.

They're installing a security system that exemplifies elegant efficiency with hurricane-proof windows and steel doors replacing burglar bars. They are also experimenting with running their air-conditioning on a car battery.

The project became known as the Power House. Cope and Reichert wanted to create a central place to power homes nearby and, in turn, revive a neighborhood's sense of community.

The trick was getting their friends not only to cheer the concept but invest in it by moving next door.

"It was much easier than we thought it might be," Cope said. "We told everyone that Detroit is an interesting city to work in as an artist, and the neighborhood is diverse. But, really, it came down to money."

"I kept telling Mitch, 'Wow those are an awesome, ridiculously good deals but if you find anything that's less, let me know," Brumit said. "Like, if something comes along for next to nothing, cool."

A few weeks later, Cope e-mailed Brumit a photo of an abandoned home on his block. Its windows were boarded up and plywood was nailed across the front door. The huge hole in the roof was courtesy of the fire department. A neighbor said the house had been set on fire -- twice.

Pricetag: $100. Brumit called a real estate agent with the Department of Housing and Urban Development, who confirmed that bids on the foreclosed property started at $95 for the property, $5 for the house. There were no back taxes -- no one seemed to be sure who once owned the house, it had been empty for so long, Brumit said.

Cope, also a designer and builder, and an inspector did a walk-through.

"Inspection was fine and Mitch told me the foundation was good," Brumit said. "He just said, 'If you didn't mind scraping some peeling paint, doing some surface treatments, putting in new utilities, windows and repairing the roof ... this could be pretty interesting.'"

Now, when he's not hauling loads of rubble away or knocking out walls to create a single, open studio space, Brumit's searching Craigslist for a furnace. In exchange for designing the business Web site of a local barn recycler, he's getting materials to turn that hole in his roof into a skylight.

"I saw it as a project," the artist said. "I'm a builder. I've been building skateboards since I was 12."

Skateboards are one thing. Rebuilding homes where the plumbing has been ripped out or the cabinets destroyed in a fit by an upset foreclosed homeowner is another. Michigan housing authorities acknowledge that there's little incentive for people who aren't quite as handy as Brumit.

In two weeks, the state will begin offering $25,000 to anyone who buys a home, as long as they pay 1 percent of the total cost and live in it.  Landlords or speculators aren't eligible.

Part of a $263 million grant given to Michigan and other states under 2008's Housing and Economic Recovery Act, the funds are intended to help buyers bring trashed properties up to code, according to Mary Townley, a director with the Michigan State Housing Development Authority.

She and other housing officials CNN spoke with said Michigan's economy has some extremely frustrating woes. A report from the nonprofit think tank Brookings Institution said Detroit had the lowest performing economy out of 100 U.S. cities it analyzed -- scoring the worst in unemployment and average wages, the highest foreclosure rates and the lowest market value homes.

The artists in BanglaTown are careful to say they are not looking to change a city. Their goal is simply to improve a neighborhood, one house at a time.

New neighbors, freelance photographer Corine Vermeulen-Smith and her husband Zeb Smith, a designer, are always checking out www.freecycle.com, where a stainless steel kitchen sink can be bought for $65.

The Smiths bought their 660-square-foot home for $549.99 from Cope and Reichert, who originally purchased the foreclosed home for $500. "We knew the property, we knew it had been sitting there empty for at least a year, and it had been trashed," Vermeulen-Smith said. "But we wanted to own a home."

All the copper in their "micro-home" had been ripped out, as well as every electrical outlet, Vermeulen-Smith said. Trash had to be hauled out in several loads.

"You have to get over that fear that the house had that history, that you're going to be a victim of a crime or something," she said. "Crime is everywhere. My husband and I have lived in the city for a long time; we know that people look out for each other here. We don't have that kind of fear."

Careful not to entice thieves again, the Smiths replaced the copper with plastic. They are considering taking the home completely off the grid by installing a mini-wind turbine, but for now they are happy to put in the basics.

A bathtub from Habitat for Humanity cost them $100. And Zeb Smith, who works at the Museum of Contemporary Art Detroit, brings home wood the museum would otherwise toss when installations close.

"This is, for us, very exciting to believe that we could totally reinvent a space," she said, "and prove that having a home isn't about having money."

@highlight

Detroit artists buy a trashed, abandoned house for $100, fix it up

@highlight

Other artists have bought cheap houses in the same neighborhood

@highlight

The Power House was the first home, meant to power the other houses nearby