(CNN) -- The athletic young man who arrived in Dr. Deepak Chopra's classroom last month for a course in leadership was impeccably dressed in a hunting jacket, polite and unassuming.

"He said he was in the investment business," the wellness guru told CNN in a telephone interview. "He did not say, 'I'm from Libya.' He said, 'I'm from North Africa,' or words to that effect."

But Chopra knew who he was and where he was from. "We had been informed by the State Department that he was going to be there, that he didn't want to use his official name and we should respect that. So, he introduced himself with his name, but he didn't use the name Gadhafi."

His name was Khamis, the 27-year-old scion of Libyan leader Moammar Gadhafi who was in the third week of an "internship" that took him across the country to hone his leadership skills.

Asked to list his hobbies, Khamis Gaddhafi said, "Adventure and horses."

Someone with knowledge of his program told CNN his 36-day planned internship began in Houston on January 21, when he was to meet with officials from AECOM, the global engineering and design company that sponsored the program.

That weekend's options included a 236-mile flight to Hondo, Texas, for hunting at Lonesome Deer Ranch with a return flight arriving in Houston in time for dinner at Capital Grille, a high-end steakhouse.

The next day's classes in leadership and program management were to be followed by a visit to the Johnson Space Center, a class in traffic and emergency management and a "business dinner" at Willie G's, a steakhouse and seafood place.

The week included a visit to the Port of Houston. An official told CNN in a statement that it had granted a request to meet with Gadhafi during his internship associated with his pursuit of an MBA. "During his visit, he toured several Port Authority facilities and received briefings on trade relations," the statement said.

Visits with oil company and other business executives were scheduled around lunch at the Coronado Club, which describes itself as "a bastion of strength and financial solidity in Houston's downtown business district."

On January 29, Gadhafi was scheduled to travel to Los Angeles, where he was to receive a VIP tour of Universal Studios, meet with Silicon Valley and other business leaders there and in San Francisco and then travel to the U.S. Air Force Academy in Colorado Springs, Colorado.

Academy spokesman John Van Winkle told CNN that Gadhafi was given "a standard tour" during his visit on February 7.

The next morning, he was slated to fly to Chicago for more training with AECOM lawyers on such topics as "global contract management" and "foreign corrupt practices training."

It was in Chicago that he attended Chopra's three-day leadership class at the Kellogg School of Business. The author of "The Soul of Leadership," who has advised CNN management, noted to the class the turmoil faced by then-Egyptian President Hosni Mubarak. "We were analyzing in the class why Mubarak was going through this and why it would have a ripple effect. He (Gadhafi) was taking notes extensively."

Chopra added, "I purposely didn't mention his dad because I thought it would be impolite."

After the class, when Gadhafi and a traveling companion, also from Libya, invited their teacher to visit Libya and meet Gadhafi's father, Chopra said he was tempted to accept. "I said, 'Wow, these guys are really interested in spirituality.' "

Gadhafi next traveled to Washington, where he met with defense contractors, including representatives of Northrop Grumman. A spokesman for the company, Randy Belote, confirmed that the meetings took place. But, citing company policy, he would not comment on them.

National War College spokesman Dave Thomas said Khamis Gadhafi visited there accompanied by a State Department representative, meeting with faculty and deans. Tactics were not discussed, though the "structure of military education" was, Thomas said.

On February 16, a day after unrest erupted in his country, Gadhafi traveled to New York for more meetings and meals with business leaders.

New York Stock Exchange spokesman Richard Adamonis confirmed that Gadhafi visited the exchange as part of a group on February 17. "Neither he nor the group in question were part of a bell ring, simply a basic tour of the trading floor for the group," Adamonis said.

But later that day, he cut short his internship -- missing out on a planned tour of West Point, his choice of the Broadway shows "Mamma Mia" or "Jersey Boys" and a final leg to Boston for meetings with professors at Harvard University.

Instead, he returned to Libya to lead the 32nd Reinforced Brigade against rebel forces.

On Tuesday, State Department spokesman Mark Toner said the department had not approved any of the meetings. "There was nothing, in fact, for the State Department to sign off on," he told reporters. "This was a private i nternship. We were aware of his itinerary, but that was the extent of it. And our role was limited to meeting him upon his arrival at the airport, which is not unusual in these kinds of situations."

Paul Gennaro, the senior vice president and chief communications officer for AECOM, issued a statement saying, "The educational internship, which consisted of publicly available information, was aligned with our efforts to improve quality of life, specifically in Libya, where we were advancing public infrastructure such as access to clean water; quality housing; safe and efficient roads and bridges; reliable and affordable energy; and related projects that create jobs and opportunity."

Gennaro said the company was "shocked and outraged" to learn of the young Libyan's role in his country's crisis. "We were aware of the student's family relationship, but we were not informed of any military connection whatsoever," he said.

It was the company's understanding that Khamis was an MBA student from a university in Spain, he said.

Since 2008, AECOM has been involved in a multibillion-dollar initiative with Libya to modernize the country's infrastructure. The company withdrew its expatriate employees and their families from Libya this month. The joint project to train Libyan engineers to build and maintain homes, roads and water systems is on hold, he said.

Vice Adm. William Gortney of the Joint Staff on Monday described the brigade led by Khamis Gadhafi as "one of the most active in terms of attacking innocent people."

Libya's state TV on Monday night broadcast live footage from Gadhafi's Tripoli compound of the former intern dressed in uniform and greeting people.

The world events soon changed Chopra's mind about visiting his former student in Libya. "I believe he is killing people. I mean, it's bizarre. The whole thing is bizarre. After attending a course on consciousness, he goes and leads troops."

He added, "Why was he in my course? I have no idea."

CNN's Pam Benson and Brian Todd contributed to this story

@highlight

"After attending a course on consciousness, he goes and leads troops," says Deepak Chopra

@highlight

"Why was he in my course? I have no idea."

@highlight

Khamis Gadhafi was visiting U.S. military schools and weapons makers

@highlight

Youngest son runs elite special forces