Chances are, someone you know takes a sleeping pill. One in four Americans takes a sleep aid every year, according to the National Sleep Foundation, and the numbers are even higher for women -- one in three uses some sort of sleep medication a few times a week.

Many sleeping pills stop working after a few hours, and most should not be combined with other medications.

Why do women have such trouble sleeping? The reasons are as numerous as the passel of pills on the market: anxiety, depression, chronic illness, restless legs syndrome, sleep apnea, everyday exhaustion ... the list goes on and on. No wonder so many sleep aids are available.

But sleeping pills, while often quite helpful, are largely misunderstood. Many stop working after a few hours, for instance, and most should never be mixed with other meds. So if you take one of these drugs now -- or plan to in the future -- there are important questions you need to ask. Here, the answers.

Q: How do I know if I need a sleeping pill?

A: More than a third of Americans experience occasional insomnia, which is defined as a few nights of restlessness, poor sleep, or trouble falling asleep. The general rule of thumb: If insomnia lasts a month and doesn't get better, talk to your doctor, says Frisca L. Yan-Go, M.D., director of the Sleep Disorders Center at Santa Monica-University of California, Los Angeles, Medical Center and Orthopaedic Hospital. She may recommend a pill for a short period, but don't be surprised if she suggests some tests or other non drug treatment options first. Health.com: How much sleep do you need?

For starters, your doc may have you visit a sleep specialist to rule out sleep apnea, a common breathing disorder that wakes sufferers several times a night, sometimes without them even knowing it. If you have apnea, you may need a sleeping device that gently forces air into your windpipe.

If you don't have apnea, some docs recommend cognitive behavioral therapy: You work with a trained therapist to change how you think about sleep and learn sleep-inducing techniques (like how to set up your sleep space and what to do before bedtime). Some studies say CBT is as effective as pills -- if not more -- and has no side effects. Health.com: Health risks of snoring and sleep apnea

"Often people attribute everything bad that happens to them, including being angry and crabby, to lack of sleep," says Donna Arand, Ph.D., clinical director of the Kettering Sleep Disorders Center in Kettering, Ohio. "It puts such a burden on sleep that not sleeping gets blown out of proportion." CBT changes that kind of distorted thinking and in some cases is prescribed along with a pill.

Q: Should I try over-the-counter drugs before a prescription pill?

A: Many sleep experts aren't fans of OTC sleep aids because the meds don't usually help people with significant insomnia. And many -- like Nytol, Simply Sleep, Som­inex, and Unisom -- contain antihistamines (similar to the allergy medicine Benadryl) that can have side effects like dry mouth and eyes and next-day grogginess, Arand says. OTC sleep aids are best for people who have occasional sleep problems. Note: Women who breast-feed should avoid them, as should the elderly, who sometimes are more sensitive to the effects of antihistamines.

Q: If I take a prescription pill and still can't fall asleep, can I take another?

A: If you're taking a short-acting drug, such as Sonata, Rozerem, or Ambien -- and it's still early in the evening -- you can take another pill. Short-acting medications kick in and then fade out, which is why they are prescribed for people who have trouble falling asleep. Health.com: Is stress causing your insomnia?

"They last about three or four hours, so you could take another pill up until about 3 a.m. because it would metabolize before you wake up," says Ana Krieger, M.D., a sleep specialist at New York University. (The timing depends on your sleep schedule, of course, and it's always wise to check with your doctor, she adds.) Longer-acting drugs like the time-released Ambien CR or Lunesta -- for people who have trouble falling and staying asleep -- shouldn't be taken more than once a night.

Q: Is it safe for me to take a sleeping pill at 11 p.m. if I had a glass of wine or a cocktail around 6 p.m.?

A: It's probably OK, doctors say, but the sleeping pill won't work as well as it should. Here's why: "Alcohol becomes a stimulant about three to four hours after you drink it, so you're actually working against your sleep medication," Arand says. "It's a terrible combination."

Never drink and then immediately take a sleep aid. Why? Alcohol acts like a sedative at first, so you'd essentially be getting a double dose of sedatives. This can dangerously slow your heart rate and lead to dizziness, fainting, and shallow breathing, which can deprive your body of oxygen and damage brain cells. Worst case: You may even stop breathing altogether. Health.com: 11 kinds of insomnia

Because everyone metabolizes food and alcohol at different rates, there are no safety absolutes when it comes to the minimum number of hours you should wait between consuming alcohol and taking a sleeping pill, experts say. "But if you're at a dinner party and really want a drink, have the alcohol early," Krieger says. "Then eat dessert without any alcohol and wait as long as possible before taking your sleeping pill."

Q: Can sleeping pills give me nightmares?

A: Not usually, Arand says, "but some sleep meds can suppress dream recall." When you stop taking them, the dreams (and possibly nightmares) may return. The mechanism isn't fully understood, but once there's a withdrawal -- even just when the dosage wears off during the night -- vivid dreams can occur.

Q: Can I safely take sleeping pills for several months?

A: There are no known long-term health risks with most sleep aids, but some are more addictive than others.

"The newer medications like Ambien C.R., Sonata, Rozerem, and Lunesta have been approved by the Food and Drug Administration without a limit on how long they can be prescribed," Arand says. "They have a small addiction potential, and some have been shown to be effective up to one year." The older sleeping pills with secobarbital (Seconal) and pentobarbital (Nembutal) pose a much higher risk of addiction.

Tolerance is a common problem with all sleeping pills: After taking them for a while, you need more than the usual dose to help you sleep, which may lead you to think you're addicted. If the drug doesn't seem to be working as well as it used to or if you're taking more than your prescribed dosage, tell your doctor; she can change or adjust your medication.

Q: I've been taking sleeping pills for several months. What's the best way to wean myself off?

A: With your doctor's help, gradually step down your meds. Generally, you want to reduce drugs by one clinical dose per week: If you're taking 10 milligrams of traditional Ambien a night, start taking 5 mg a night for a week, Arand recommends. Next, cut that pill in half and take that amount for a week. Then, stop taking the drug altogether. Medications in pill (not capsule) form that aren't time-release versions are OK to split. (You can split Ambien, for instance, but not Ambien CR.)

Q: I've heard of rebound insomnia. Is it really harder to fall asleep and stay asleep without pills if I've taken them a few times?

A: You might have some trouble, Krieger says, though it's less likely with the newer pills -- these include Rozerem, Sonata, and Lunesta. "Give it a few days to adjust after you stop taking the medication," Arand explains. If you still can't sleep, talk to your physician. Rebound insomnia is one of the reasons some experts recommend CBT over sleep medications.

Q: If I don't want to use sleeping pills, are natural remedies worth trying?

A: Yes, but don't expect miracles. Melatonin, a sleep hormone your body makes naturally, and the herb valer­ian may be helpful (both are available at drugstores), but some experts feel there's a lack of research to back up the effectiveness of these supplements. Plus, they're not regulated like drugs, so you don't always know what you're getting.

That said, if you want to try melatonin, take 0.2 to 1 mg about four hours before bedtime: "It's safe to take every day," Krieger says. "As we age, our bodies secrete less of it, so taking a supplement can be helpful." Melatonin may be particularly beneficial when you travel several time zones to the east (like Europe) and have trouble falling asleep. As for valerian, there's no recommended dosage, and it's not clear how the herb works. Before using any supplement, check with your doctor; combining them with other medications -- sleeping pills or otherwise -- can be risky.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

One in four Americans takes a sleep aid every year, organization says

@highlight

Some studies say cognitive behavioral therapy works as well as pills

@highlight

Expert: OTC sleep aids are best for people with occasional sleep problems.

@highlight

Never drink alcohol and then immediately take a sleep aid