(CNN) -- When was the last time you looked at the label on your clothes to check where they were made or what they are made of?

A few years ago, I was living a paradox familiar to many Americans: eating local and organic food, carrying reusable bags to the grocery store and choosing eco-friendly products wherever I could. This mindfulness was in no way extended to my closet -- I owned more than 350 items of clothes, every single bit of it cheap, trendy, poorly made and assembled in low-wage factories in other countries.

See the lifecycle of your cotton T-shirt

Fashion today has a here-today-gone-tomorrow mentality, where the latest look, lowest price or the hottest designer are paramount and quantity is valued over quality. For the first time in history, we are consuming clothes as a disposable good, buying a cheap dress for a date night and wearing it but once or twice. These changing attitudes prompted me to write my book, "Overdressed: The Shockingly High Cost of Cheap Fashion," and what I learned about the fashion industry during the process compelled me to change.

Complete coverage: Fashion Week

Our consumption of clothing is growing at an alarming rate. Most Americans have closets brimming, if not overflowing with clothes. Few of those purchases are made here -- 3% of apparel is produced in the United States, down from about half in 1990. While American factories sit empty, our thirst for cheap imported clothing has kept the cash registers at many stores humming throughout the recession.

Fashion's environmental footprint has also mushroomed. There are more than 80 billion garments produced around the world today, and according to a study by the UK's Cambridge University, the industry is creating 70 million tons of waste water as of 2006 in the UK alone. In China, the largest clothing manufacturer in the world, the textile industry is also a major polluter. Last year, I traveled undercover to southern China and saw smog enshrouding a landscape of factories and, more shockingly, hundreds of factory workers wearing cheap, trendy clothes. As China's consumer class grows, already-scarce resources like water and petroleum may soon buckle under all of this shopping.

In July, when it came out that the Olympic uniforms were made in China, Americans were outraged, making it clear that we're growing weary of soulless consumption. I believe we're ready for more meaningful wardrobes, and to support our amazing clothing heritage. My mother recently gave me a dress that she wore in high school in the 1960s. It was made by Jonathan Logan, a juniors brand that was considered cheap for its day -- the dress is 100% wool, fully lined, finished with French seams and made in the USA.

What's so wonderful about locally made fashion is that it offers designers tight control over their product, has a lower environmental footprint and makes it easier to keep an eye on any labor problems. And according to a Cotton Incorporated Lifestyle Monitor survey, approximately 55% of consumers agree it is "very/somewhat important" that their clothing is made in the U.S.

I was recently in Portland, Oregon, and met with the owners of Spooltown and the Portland Garment Factory, two small shops that have opened recently in a city that had very little existing garment industry infrastructure. They were able to build profitable manufacturing businesses from scratch. Just imagine what other Americans cities could do with the right government and consumer support.

Major fashion brands also have an obligation to dramatically reduce the amount of water and energy used and waste emitted in making and selling their clothes, as well as to offer consumers more stylish products that are made out of recycled and eco-friendly materials.

Nike is creating athletic team uniforms out of recycled PET bottles and has recycled more than 28 million pairs of athletic shoes through their Reuse-a-Shoe program; Eileen Fisher has just released a beautiful line of bluesign-certified silk shirts dyed without hazardous chemicals; and H&M has agreed to stop using toxic and nonbiodegradable perfluorinated compounds, called PFCs, in their outerwear by 2013. These efforts need to be expanded.

Clothing designers also need to rethink the materials they're using and how they're sourced. Fortunately, eco-friendly textiles have improved so much in recent years that luxurious eco-friendly fibers like Tencel, Modal and Cupro have far more in common with silk than a hemp sack. Some emerging designers are eschewing new textiles altogether for upcycling, which means taking waste and reclaimed textile material and turning it into a product with higher value. I recently bought a lovely red tunic upcycled from a men's dress shirt produced by a small Brooklyn designer called State.

Designer on the rise: Mohapatra's moment

According to the Environmental Protection Agency, we are throwing away 68 pounds of textiles per person per year and donating such a staggering volume of clothes that a majority of our donations to charity have to be sold to textile recyclers who then sell more than half of our used clothes overseas, largely to Africa. Retailers like Eileen Fisher and Patagonia are accepting returns of their worn products -- Fisher resells them in her Green Eileen retail store, while Patagonia recycles theirs into new products. Fast-fashion stores need to start these types of recycling programs. Consumers can also take more responsibility by repairing and caring for the clothes they own, trading their duds at clothing swaps and, for the particularly creative, refashioning last year's styles into fresh looks.

Now for the million-dollar question: How can you afford this? It all starts by taking an honest look at how you're spending money on clothes. The average American consumer spends $1,700 a year on apparel. Most of us own more clothing than we know what to do with, so I encourage people to first of all buy less clothing and to try to limit trendy, throwaway purchases to only one or two a season. Divert the rest of your clothing budget to clothes that you truly love and are going to wear for several seasons. If just a quarter of our purchases were put toward locally made or eco-friendly fashion and fashion companies with a commitment to sustainability, we could change the face of the industry. I also believe we'd be happier with our clothes.

See what a cotton T-shirt goes through before it gets to you.

Is your closet filled with cheap, disposable clothing? Do you think it's worth changing how you shop? Share your thoughts in the comments section below.

The opinions in this story are solely those of Elizabeth Cline.

@highlight

Elizabeth Cline: Major fashion brands should reduce water and energy use, and waste

@highlight

The average American consumer spends $1,700 a year on apparel

@highlight

About 3% of apparel is produced in the United States