(CNN) -- This story is about how to know when to give up on a man, and when to stick with him.

It's about Chris Johnson.

I didn't know who Johnson was before this NFL season began. I haven't closely followed football since Joe Namath led my home team, the New York Jets, to victory in Super Bowl III, 42 Super Bowls ago.

Now that I've been sucked into a fantasy football league by my extended family, I know Chris Johnson. He was a top draft choice for my team. The computer picked him. In fact, all ESPN fantasy football leagues chose Chris Johnson in their drafts this year.

That's how good he was. He didn't even show up for the pre-season until his team, the Tennessee Titans, agreed to sign a contract worth more than $50 million.

Johnson was a fantasy football owner's fantasy man.

The hero falls down a hole

Week 1: Johnson's first game of the year is a bust -- 24 yards on nine carries. My son, who's in elementary school, is an unusually good strategic thinker for his age. "Let's trade him," he says.

"We can't trade Chris Johnson," I tell him. I want to teach my son the value of patience. You don't give up on a human being after one bad performance.

A friend who follows the NFL reinforces the patience theme.

"You can't trade Johnson," he says. "He's explosive. He was off his stride the first game because he missed the pre-season holding out for that big contract."

Week 2: Another bomb. Fifty-three yards on 24 carries. I know this about football. It takes 10 yards to get a first down. Johnson is averaging less than three yards a carry. Could it be -- I'd need to punt Johnson?

More pleas from my son to trade. I can see the writing on the wall: One bad week as a father -- "Mom, trade Dad."

Week 3: Johnson's worst game yet. I start reading the fantasy football sports columnists. These are real sports columnists who write about fantasy teams comprised of real players arranged in fantasy lineups chosen by real people.

Some are losing faith in Johnson, but hope still prevails. "Wait and see" is their collective advice.

Week 4: Finally, a 100-yard game. Not a blockbuster. But a glimmer of hope.

Week 5: The glimmer disappears. I come across an ESPN.com photo showing Johnson's offensive line wasn't creating big holes for him. At the same time, there are less-obvious holes Johnson isn't seeing -- champions have to create their own opportunities.

My son's voice -- "Trade him, dad, trade him!" -- rings in my ears.

The hero, hopeless

I come across a Sports Illustrated cover story from last year with Johnson's photo: "Crash course: Hard hits and short careers," in which SI's Tim Layden writes that, at 24, Johnson is at the height of his powers.

"Johnson rushes with a palpable urgency befitting a man who runs a 4.24 in the 40, a speed all but unheard of in a running back. And he's urgent away from the field as well. Despite having three years remaining on the rookie contract he signed out of East Carolina in July 2008, he had his deal restructured just before the start of training camp, reportedly quadrupling in his salary for 2010. Because Johnson knows he is also this: endangered."

Endangered? My first draft pick -- endangered. Why? Why, according to the NFL Players Association, is the average running back's career 2.6 years?

"We get hit on every play," then-Redskins' running back Larry Johnson tells SI. "On every one of those hits, we're the hittee, not the hitter. We run the ball, guys are taking shots at our legs, our hips. Then when we're not running the ball, we're pass-blocking, which means some strong safety or outside linebacker is getting a 30 yard run at us while we're stationary."

Week 6: Johnson's team, the Tennessee Titans, had a bye. A week off. We hoped a week of rest and reflection would be enough for Johnson to explode when he returned.

By this point, my son knows not to ask about trading: He knows no team owners in our league would take Johnson.

Week 7: Johnson's worst game yet. Ten carries. Eighteen yards. I'm thinking the Titans should draft me.

Weeks 8 and 9: Well, the rhythm of this tale doesn't change.

What now?

So, here we are on the eve of week 10. Some of the real/fantasy sports writers are so fed up with Johnson, they're saying it's time to just drop him. Nothing in return. Just let the $50 million fantasy man go.

But you know what? Now is the time I want to keep Johnson more than ever. I can't help rooting for an underdog. I know that every champion has been an underdog at least once.

Forget the conventional wisdom of sports writers.

I'm reaching out to the Association for Applied Sports Psychology.

Head games

Glenn Pfenninger, head of the Ignite Performance Group in Dallas, Texas, says he and I have a lot in common. He's a fantasy football guy, too. We both own Chris Johnson.

I'm doing a real interview and my expert is stuck in the fantasy world.

I transition him back softly. "What would you do to help Chris Johnson if you could?"

"Have Johnson put together a highlight reel and watch some of his greater plays," he says. "See that he can be explosive. Mentally envision doing that on a more consistent basis. That's good for him whether he's lacking in confidence right now or not."

Have him and his offensive line spend more time together. Watch tapes together. Get to know each other better.

Are you listening, Titans? Please, get the word to Johnson and the offensive line.

Another call: It's Eddie O'Connor, clinical sports psychologist. He describes himself as an NFL addict. He consults with athletes, coaches and parents at all levels of play.

"When I see performance slump," O'Connor says, "it's almost always related to a lack of focus."

Maybe, now that Johnson has a great contract, he's not as motivated. Perhaps he's "stuck on his bad performance, so his focus is on not making mistakes.

"When you focus on what you don't want to do, you're not thinking about what you do want to do. The time it takes to translate 'don't' into 'do' is too long for performance in sport."

So how can we help our fantasy man?

Start with what's worked in the past and get in the moment.

"If you're not completely in the moment," O'Connor warns, "if you're thinking about the past or the future, you're missing details. You're not interacting with what's right in front of you. You're trapped in the past or future."

And if you miss details, your performance in any area of life will suffer. I'm so in the moment, I don't even realize this piece is twice as long as it's supposed to be.

OK. Three times.

More head games

Carol Dweck, a psychology professor at Stanford University, has documented the kind of praise that helps children (and adults) succeed, and the kind that hurts.

"You need to praise the process, strategies, persistence, taking on of challenges. That's what builds resilience," Dweck says. "When you tell kids they're brilliant, they become afraid of making a mistake -- afraid you'll rescind your gifted label.

"When they have a setback or difficulty they have trouble figuring out what to do next. They think 'Gee, I guess I'm not so great. What do I do now?' "

A $50 million contract can put someone into a "fixed mindset." It's an idea, she says, like "'Some people have it. Some don't. I have it.'"

"The problem with this mindset," she says, "is that you have to prove that you have it all the time.

"Every play becomes a referendum on whether you have it or not. "

The alternative, Dweck says, is a "growth mindset," an idea that " 'I'm this person who works hard, who learns constantly.' Then when you have a few bad games you say, 'Hey, what am I doing wrong?' " and try to correct it.

That growth mindset is what's needed to get our Chris Johnson back on track.

So here we are, loaded with insight, rooting for a comeback, cheering for the underdog.

I still believe Chris Johnson will be a hero on my fantasy team and on his real team.

Before I finish writing, I get an e-mail from another psychologist, Robert Simmermon in Atlanta.

I'd asked him how a standout can come back from a deep, deep slump.

"In the hero's journey," he writes, "the hero who was on top, the greatest, in the journey home, falls into a deep hole. All is lost and all but a few of the most loyal remain hopeful. One by one, the loyal give up hope. It is the darkest hour. Then, there is a rumbling. It is slight, then more potent until; THE GIANT PHOENIX IS THRUST OUT OF THE HOLE. THE HERO ON THE BACK OF THIS MAGNIFICENT BIRD IS ALIVE AND WELL. HE IS READY TO CONTINUE AND FINISH HIS QUEST."

That's where fantasy meets reality.

Hopefully this Sunday.

The opinions expressed in this commentary are solely those of Michael Schulder.

@highlight

Michael Schulder: Titans running back Chris Johnson was a top fantasy football pick

@highlight

Johnson is slumping in real life, and ruining the fantasy, Schulder says

@highlight

Schulder: Experts say it could be a lack of focus, lack of routine or the wrong mindset

@highlight

I still have hope for Johnson, fantasy and reality, Schulder says