(Oprah.com) -- Like most of us, you've probably heard of graphic novels -- but haven't read too many. Here are four new titles (plus one classic) that make you think, feel and daydream just like any other book.

What It Is

One of the most moving and emotionally direct forms of the whole graphic genre is the memoir -- in part because it allows for all kinds of inventive approaches to telling life stories, such as using the drawings to show how people look and feel to the writer (a huge, tall, monstery dad, for example). It also helps to have thoughtful, deeply poignant writing, which is exactly what you'll find in Lynda Barry's "What It Is." This memoir of a young artist came out in 2008, but it's the one to start with if you've never read a graphic book before. (Note: Graphic novels can be novels, memoirs, biographies or anything in between.)

Barry uses text, drawings and even collages to re-create her violent, TV-saturated childhood, describing how she used art as her way out of the trailer park. "We don't create a fantasy world to escape reality," she says. "We create it to be able to stay." Discouraged at every turn by her parents and teachers, she grew into an adult who felt that she had little to say creatively and, further, that she couldn't say that little well enough. That is, until she rediscovered an imaginary game from childhood, one that required her simply to sit very still in the corner of a room and wait for inanimate objects (say, the pattern on the wallpaper) to come "alive" and move. The magic of that moment and of all Barry's self-examinations is that her ideas apply to just about everybody. We've all had those moments when we think we're not good enough or original enough. Her transformation belongs to all of us.

Oprah.com: How to Tame Your Overstuffed Bookshelves in 48 Hours

Big Questions

"Big Questions" is just what a novel should be, if by novel we mean a very long story that creates an entire imaginary universe that involves us so deeply that we begin to think of ourselves as characters within it. The book is 585 pages long (not including appendixes), a number that might seem overwhelming in a traditional format. In this case, you'll finish in two days, not only because graphic novels contain a lot less text but also because you'll race through the first time, desperate to figure out the big stuff, only to turn around and reread it in order to figure out all the little stuff you missed.

The story takes place in an anonymous bucolic countryside (trees, fields, the occasional house) and follows a flock of birds, each with its own personality and philosophical struggles, from questioning the monotony of a seed diet to wondering about the true perils of snakes to considering "to what extent are we responsible for the fulfillment of our destinies?" Life goes on in this manner -- think, peck, think, peck -- until an undetonated bomb drops into their lives, a bomb that many (but not all) in the flock believe is a long, warm metal egg that may contain a savior baby bird. The hilarity and discord that result will astonish you, as will the pathos.

Some of the most poignant scenes concern two humans -- an elderly caretaker and her mentally disabled grandson or son -- who are watched by the birds. Nilsen's artwork here needs no words. The endless labor of the old woman -- firewood, dishes, scrub the floor, soak the dentures, weep in secret -- is drawn into brutal reality, as is her unexpected beauty. The six-panel homage to her brushing the long, young-looking hair you never knew she had (it's usually tied in a bun) is, like the rest of the book, an unforgettable visual and emotional experience.

Oprah.com: 14 Ways to Have a Successful Book Club

Radioactive

Though National Book Award nominee "Radioactive" is ostensibly a biography of Madame Curie, its real allure is romance. Twenty-four-year-old Marie Sklodowska travels to Paris from Warsaw and finds work in the laboratory of Pierre Curie, studying the relationship between heat and magnetism. The attraction is not just between molecules, however, and soon the scientists fall in love and marry. They go on, of course, to make incredible leaps and bounds in the world of science, discovering the elements polonium and radium.

In this poignant tale of discovery and passion, Lauren Redniss also examines the greater question of nuclear proliferation through the lens of the couple's work, proving that their research is more than relevant today. A collage of different media, the artwork in the book includes drawings, as well as an electric blue background wash created by a process called cyanotype printing, in which light-sensitive chemicals soaked into paper become intensely bright when subjected to UV rays from the sun. Redniss feels the technique "captured on the page what Marie Curie called radium's 'spontaneous luminosity.'"

Oprah.com: First Novels That May Help You Change Your Life in 2012

I'll Be Dead by the Time You Read This

Technically, "I'll Be Dead by the Time You Read This: The Existential Life of Animals" isn't a graphic novel or even a graphic short story collection. Maybe it's best described as a graphic poetry collection: When Alaeff adds a line of dialogue to his stand-alone illustrations of a cat or jellyfish or ram, he creates something more resonant than a caption. The key to understanding (and laughing and going "Ouch!" with recognition at) these creations is reading the introduction, in which Alaeff describes how he collected bits of overheard conversations between his fellow humans.

These verbal snippets, which sounded "bittersweet if not downright tragic," led him to think it was "a bit absurd that we regularly torture ourselves with thoughts that seem at odds with our well-being." And so he attached them as bubbles over the heads of nonhumans. Thus, a bear will mournfully say, "Everyone seems so young all of a sudden," or a so-called proud lion will tell himself, "I need to shut up." One of the marvels of the book is that the more you read, the more you smile, and then -- bam! -- suddenly you're wondering if you're the cheetah or the snail. My advice: Identify with the bumblebee who claims, "I know there's happiness in me somewhere."

Oprah.com: The Best Fiction of 2011

Moby-Dick in Pictures

Don't mistake this gorgeous and wholly original book for a blow-by-blow comic-book-style retelling of "Moby-Dick." What artist Matt Kish has done is create one drawing for and inspired by each page of Melville's 552-page masterpiece (for the record, the Signet Classics version). The result is less a story and more a cabinet of visual and literary curiosities. Each image -- rendered in ink, colored pencil or paint -- is accompanied by a single exquisite line from the novel, such as "But high above the flying scud and dark-rolling clouds, there floated a little isle of sunlight from which beamed forth an angel's face" or "Thus, while in life the great whale's body may have been a real terror to his foes, in death his ghost becomes a powerless panic to a world."

Only the most devoted "Moby-Dick" fans will need to read the whole creation sequentially. The rest of us will dip in and out, enjoying the interplay of the insanely beautiful words and images (my favorite, on page 346, is an anatomical drawing of a whale in vivid reds, blues and black) and examining the connection between the two. The most solid and compelling narrative may actually be in the introduction, in which Kish describes not only his lifelong love for the original novel but also his lack of formal artistic education and the only place he had to work, "a closet that measures about three feet wide by six deep" inside of which he made 500 drawings. Even if you don't enjoy the book, let it sit on your coffee table as testament to what all of us human beings can do if we stick with it -- and believe in the great white whale of what we are doing.

Oprah.com: 16 Books to Make Way for in January 2012

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

Graphic novels can tell any kind of story, including memoirs and biographies

@highlight

"Big Questions" is a long story containing an entire imaginary universe

@highlight

"Moby-Dick in Pictures" has an illustration for every page of the original novel