(CNN)I usually think of April as tax month, but it seems to be morphing into National Get Tested Month.  Dallas Mavericks owner Mark Cuban advised Twitterers to have their blood tested for everything available -- and to do so every three months.

Following her mother's cancer diagnosis, singer Taylor Swift urged her fans to remind their parents to get screening tests.  And Arizona Gov. Doug Ducey signed legislation to allow Arizonans to get any lab test without a doctor's order.

Freedom of information -- always sounds like a good thing.

But there are many lab tests to order on yourself: Medicare's Clinical Diagnostic Laboratory Fee Schedule lists over a thousand.  They are not all blood tests, but a lot of them are.  And since blood tests require blood, you would surely develop at least one medical problem if you actually followed Mr. Cuban's advice to get them all: anemia.

A frothy private sector is gearing up to serve the "test me" market.  In those states that allow it -- and over half do -- laboratories are offering walk-in and online services to individuals who want to check their own lab values.  (And if you want to get in on the ground floor of this business, check out the franchise opportunities at Any Labtest Now, Fastest Labs, and All Labtests Fast.)

Some might argue that this freedom to test is the path to a healthier society.

But the primary effect won't be more health, but rather more medical care.  Fundamentally well people will appear in doctors' offices with "abnormal" results.  Abnormalities are common in normal people, as we learned when Whole-body CT scanning was in vogue a decade ago (thankfully, only briefly).  So doctors will increasingly face one of two options: take the time to reassure these new patients that their results aren't really that abnormal or chase down abnormal results with more testing.

Further testing will often make clear that the initial results were false alarms.  Or it will confirm the presence of abnormality -- most of which will be minor abnormalities.  Often it won't be clear what to do, but doctors will be pressed to do something.  That's when the real problems begin.

Will anybody be helped? Maybe.  Will anybody be hurt?  Definitely.  The disturbing truth is that it is hard for us to make well people feel better.  But it's not that hard for us to make them feel worse.

Decades of research have shown that there are real side-effects to testing the well: more anxiety (that can't be good for your health), more procedures (which often involve needles, pain and can even lead to complications like collapsed lungs) and more treatment for "disease" not destined to cause problems (as in over a million additional American men treated for prostate cancer, ditto women for breast cancer).  To see how far wrong testing can go, check out South Korea: where ultrasound screening has increased the amount of thyroid cancer -- and thyroid cancer surgery -- by 15-fold.

I can tell you one thing for sure, the freedom to test won't save money.  Sure, a competitive market will drive down prices for individual tests.   But advertising will drive up the volume of testing.  And then there are all the office visits and subsequent testing for the abnormal results.  This will cost people real money -- either in terms of higher insurance premiums or higher out-of-pocket costs.

Maybe this kind of freedom of information isn't such a good thing.

Of course, there have been genuine advances in diagnostic testing.  Diagnostic tests can be extremely useful in sorting out acute medical problems.  But if you feel well, don't think that testing will make you feel better.

The biotech sector is excited about testing well people -- it's a huge market -- and is developing lots of new product.  Now you can sequence your DNA, soon you will be able to monitor your immune system's signature.  Now you can monitor your vital signs on your smartwatch, soon you will be able to test your breath for lung cancer on a phone app.  They are even implanting thermodynamic sensors in a bra to test for breast cancer.

A breast cancer monitoring bra -- I can't make this stuff up.

Should we outlaw an individual's freedom to test?  No. We don't need another victimless crime.  But it is certainly an area that demands regulation.  The Food and Drug Administration has a longstanding mandate to protect us from snake oil treatments.  Now it needs to start worrying about snake oil testing.

It's also an area that demands education.  The public needs to know that while medical data can be very useful, that doesn't mean they are routinely useful.  Abnormalities in sick patients mean something different than the same abnormalities in well people.  It is easier to collect data than it is to know what the data mean -- much less what to do about the results.

Freedom is a good thing.  But feel free not to exercise your freedoms.  Just as carrying a gun doesn't necessarily make you any safer, testing yourself doesn't necessarily make you any healthier.

@highlight

Mark Cuban said people should have their blood tested every quarter

@highlight

Gilbert Welch: Giving people more tests will increase health spending, but it won't make us healthier.