(CNN) -- What's the one thing you would tell girls about education?

Think carefully about your answer; after all, it can be the most important factor in lifting a girl from poverty, mistreatment and drudgery into a fulfilling and rewarding life, for both her and her family.

This is the question we asked people from around the world to share with us as part of the premiere of CNN Films' "Girl Rising," airing in June, which follows remarkable young girls from Peru to Afghanistan in their brave quest for an education.

CNN received dozens of responses, many from people sharing moving personal stories of their own struggles or those of mothers and grandmothers who had sacrificed so much so that future generations of girls would grow up enriched by knowledge.

'Never stop trying'

In a small town called Sivakasi in southern India, poverty and hardship meant many young girls would trudge every morning not to school but to work in the city's matchmaking and firework industries.

Meera Vijayann, who is from Sivakasi but who studied and now lives in Bangalore, was all too aware of these girls and the life that lay ahead of them. But she was determined to fight for her education, eventually succeeding in becoming a writer and nongovernmental organization worker.

"Today, I feel proud that I had proved all those people wrong, despite coming from a small town where so many girls still face hardships in accessing a proper education," the 26-year-old said.

She says that from an early age, she knew she wanted more for her life, even though people made fun of her for wanting simply the freedom to choose. And she wants girls around the world to know that there is nothing to fear about wanting to learn.

"My message to girls around the world is to accept education but embrace knowledge. Always be open to learning, even when away from the classroom." Only then, she says, does a world of opportunity open up. "Never, no matter how hard, stop trying."

Choose your own destiny

Mexican Irene Moreno Jimenez said her thirst for knowledge was inspired by her mother, who died of cancer when Jimenez was 17 but who always instilled in her daughters a sense of purpose. "I have (the) freedom to choose my own destiny all because of her teachings," she said.

The 27-year-old now works in Washington as a communications consultant for a development bank, a job helping others in honor of her mother, who she says was a brave, generous and "visionary" leader who worked as a professor but gave her daughters lessons in life impossible to study through books. "She set the highest example on how to live and love for my sister and me," she said.

Despite losing her several years ago, Jimenez says, her mother lives on through her daughters' love of education and desire for other girls to know that the mind is a place where freedom is fought for -- and won.

"When you have education, you are free to think and to accomplish your thoughts," she said. "You are able to see possibilities where before there were walls. I have learned that you can lose it all, but you will never lose what's in your mind."

'Make your dreams come true'

A mother's inspiration was all Niena Sevilla from the Philippines needed to put her on the right path. Unable to attend high school due to poverty, her mother fought every step of the way to succeed.

"She had to plead for my grandfather's approval to let her go to the city so she could work and study later," the administrative assistant said. "At the age of 13, she worked at a gasoline station in our town, 30 minutes away from the farm. She had worked as a housekeeper and as a cook as well."

Through sheer determination and persistence, her mother managed to save precious funds for a vocational course in tailoring before opening a successful shop in her hometown. Sevilla, like many Filipinos, works thousands of miles from her own children. She works in Saudi Arabia to bring in an income for their future.

But she says her mother's struggles inspired her to instill in her own children a sense that education is not just about what degree you hold but the work you put in to achieve your goals. She wants other girls to feel the same.

"Knowing my mother's story makes me believe that education is not about holding a master's degree or college degree; it is about how you make your dreams come, regardless of what kind of education you have attained," she said.

'Strive hard'

As a proud father to 12-year-old Beatrice, Filipino salesman Rummel Pinera feels all too keenly that educating a girl is about ensuring her independence and improving society as a whole.

Beatrice, now a second-year high school student, inspired her father to hope that a solid education will provide her with a stable career and a chance to contribute to "the betterment of her village and society in general."

"Girls and women all over the world must strive hard to go to schools and finish their studies," he said, "because education would surely unlock their full potential of becoming achievers in their chosen vocations, careers and professions.

"An educated woman will surely contribute to the well-being of this planet and to overall human progress."

'Follow your heart'

But sometimes it's the simplest advice that is the most heartfelt and the most wise.

Andrea Barr is training to be an elementary school teacher at Bradley University in Peoria, Illinois. The 19-year-old also works at a summer camp in the area, teaching swimming and helps counsel young children, too. Despite her love of children, and of teaching, she faced pressure from family and friends over her career and life choices.

Undeterred, she enrolled at Bradley and fought to make her own way. Her struggles to choose her own path in life inspired her to provide a simple message for girls: "Follow your heart."

"Do not allow anyone to tell you what you can and cannot do," she said. "Do what you like, because that, in the end, will make you most happy. You are the sum of the choices you make."

What do you think? Share your thoughts at iReport or the comments below

More: CNN's "Girl Rising"

Write your own open letter to girls of the world

Photos: The girls' stories from "Girl Rising"

How to help | Take action with 10x10

@highlight

CNN's "Girl Rising" documents extraordinary girls, power of education to change the world

@highlight

iReporters from India to Mexico shared thoughts on what they would tell girls about education

@highlight

Many shared inspiring stories of triumph over adversity and drive to succeed