Editor's note: Ted Epperly, M.D., a family physician in Boise, Idaho, is president of the American Academy of Family Physicians, which represents more than 93,000 physicians and medical students nationwide. He spent 21 years in the U.S. Army, including service as a family physician, chief of a Mobile Army Surgical Hospital emergency room during Desert Storm and Desert Shield, and deputy commander of an Army medical center.

Ted Epperly says recruiting more primary care doctors would improve access to quality health care.

(CNN) --   Clayton Christensen, Jason Hwang and Vineeta Vijayaraghavan are right about one thing in their CNN commentary titled "We don't need more doctors."  America's health care system is broken. It requires significant reform if patients are to have access to convenient, affordable and -- most importantly -- high-quality care that results in good outcomes.

But they have missed a central point. We need more primary care physicians now and we will need even more in the future as the baby boom generation ages.

If Americans are to see meaningful health care reform, they must have a primary care doctor to whom they can turn for everyday problems: annual physicals and preventive care, diagnosis and treatment for common illness, and diagnosis and treatment of complex, chronic conditions, referral to subspecialists, and coordination of care provided by a team of professionals.

Our current system has a serious and growing shortage of these primary care physicians. Today, only 30 percent of physicians provide primary care and 70 percent subspecialize in a single organ system or disease.

We need a system in which patients get the right kind of care at the right time in the right place by the right type of provider. They need health services that provide not just convenient hours for minor health problems, but also medical expertise that ensures consistent, ongoing care; accurate diagnoses of symptoms; coordination with pharmacists, other specialists and allied health professionals such as physical therapists; consistent follow-up; and convenience. All at an affordable cost.

Several health reform proposals set forth by President Obama and Congress would move federal policy in that direction. How? They incorporate convenience, efficiency, continuity of care and access to a system that relies on the patient-centered medical home -- a concept in which physicians coordinate care with a team of health professionals, offer evening and weekend office hours, and use electronic communication with patients and members of the health care team.

But this concept won't be fulfilled unless we have health reform that increases the number of primary care physicians. Right now, America has a current and worsening shortage of primary medical care.

Christensen, Hwang and Vijayaraghavan contend that increasing the number of physicians also leads to "greater intensity of care, but not better health outcomes." But their argument leaves out a major caveat.

Although a greater number of subspecialists does increase the intensity, number and cost of services, research by Barbara Starfield at the Johns Hopkins University Bloomberg School of Public Health consistently demonstrates the opposite occurs in communities with more primary care physicians, particularly family physicians.

Starfield concludes that an increase of one primary care physician per 10,000 population resulted in a reduction of 34.6 deaths per 100,000 population at the state level.

Katherine Baicker, professor of health economics at Harvard School of Public Health, and Amitabh Chandra at the Harvard Kennedy School of Government confirm these findings. Their research shows that increasing the number of primary care physicians results in a significant increase in the quality of health care and a reduction of cost to patients. However, increasing the number of subspecialists was associated with higher costs and poorer quality.

At issue, then, is not the total number of physicians, but the number of family physicians and their primary care colleagues. Demographics, an aging population and resulting increased demand for services will require a significant increase in the number of these physicians.

Given the long-term process required to train primary care physicians, we will continue to struggle with a shortage of primary care physicians, and that shortage will affect patients' access to care. Family physicians now are working to fill some of those gaps, according to a 2008 survey by the American Academy of Family Physicians. The survey found 42 percent of respondents offer extended office hours and 29 percent provide open access or same-day scheduling.

Moreover, 36 percent offer Web-based health information, 32 percent (up from 10 percent two years ago) prescribe medications by e-mail, and 21 percent (up from 18 percent two years ago) offer e-mail interactions. In short, despite the financial disincentives and other barriers in the current system, family physicians are working to meet patients' needs for convenience and access.

They are improving this convenience and access with the help of nurses and nurse practitioners, who are excellent sources of care when patients have a known set of conditions and diagnoses that are amenable to treatment protocols.

Likewise, walk-in clinics can fill the access gap when patients have an acute problem that requires a treatment that can be spelled out by an accepted protocol. However, even these clinics rely on an adequate number of primary care physicians.

Most walk-in clinic staff realize that convenience should not trump quality or continuity, and most will refer patients to a primary care physician for follow-up and ongoing care. Again, without an adequate number of primary care physicians, these patients will have only partial access to the care they need.

Family physicians and other primary care providers are part of the solution, not part of the problem. It is important at this critical time of restructuring the health care system to understand clearly what we are trying to accomplish.

What we are building is a high-quality, accessible health care system that increases patient satisfaction and health care outcomes while we decrease cost and ethnic disparities. This is what a primary-care based health system will deliver. This is why President Obama and Congress aim to rebuild the U.S. health care system around primary care. This is why we need more primary care physicians.

The opinions expressed in this commentary are solely those of Dr. Ted Epperly.

@highlight

Dr. Ted Epperly: America needs more primary care doctors to expand access

@highlight

He says studies show primary care doctors improve health-care outcomes

@highlight

Epperly: Doctors are seeking to make services more easily available