(CNN) -- Strange things happened in a small courtroom in the Russian city of Kirov last week. Moscow mayoral candidate, and my colleague in the Russian opposition, Alexei Navalny, was convicted July 18 on concocted embezzlement charges in the type of political show trial that Josef Stalin favored long before his spiritual successor President Vladimir Putin embraced them.

Then, the very next morning, the same prosecutor asked for Navalny's release pending his appeal. It was a move so unexpected that an incredulous Navalny asked the court to make sure the prosecutor had not been swapped for an identical twin overnight.

That something surprising happened in a Russian courtroom is itself surprising. As with our so-called elections, important trial outcomes are decided well in advance and with little need for evidence. (When the Kirov judge went to his chambers to deliberate over Navalny's release, one wit tweeted "the Skype connection to Moscow must be particularly slow today.")

The judicial process and the democratic process in Russia are both elaborate mockeries created to distract the citizenry at home and to help Western leaders avoid confronting the awkward fact that Russia has returned to a police state while they stood by or, in many cases, while they eagerly did business with the repressive Putin regime.

That this strange occurrence happened to the most prominent member of the anti-Putin opposition movement is therefore shocking and meaningful. In Putin's Russia, political dissidents simply do not get out of jail. Mikhail Khodorkovsky, once Russia's wealthiest man, has been imprisoned since his October 2003 arrest for the "crime" of disloyalty to Putin.

Everyone knows his jail term is exactly as long as Putin's stay in power, no shorter and no longer. It is no coincidence that Navalny's sentence will leave him in prison safely beyond the 2018 presidential elections.

The motivations for Navalny's brief respite are unclear, and will likely always remain so, but it likely reflects factional infighting inside the Kremlin. Putin's main allies, the security and intelligence forces known as the siloviki, advocate ever-greater repression. They want to jail every opposition leader and activist and prevent any legitimate expression of democracy.

Former Putin classmate Alexander Bastrykin is the leader and symbol of the siloviki camp. As former top prosecutor and current chief of the powerful Investigative Committee, Bastrykin is the administration's main weapon against political and social resistance.

Apparently Bastrykin is not all powerful, however, and Navalny's hurried release counts as a defeat for his authority. But it is not clear for whom it was a victory. Navalny is running for mayor in Moscow in what was expected at the start to be another electoral charade. But incumbent mayor Sergey Sobyanin -- worried about a repeat of the 2011 protests against the blatantly fraudulent parliamentary elections which brought hundreds of thousands onto the streets, actually helped Navalny get on the ballot.

It is likely Sobyanin and those in the Kremlin sympathetic to his position on social unrest were behind Navalny's release. Sobyanin craves the legitimacy of retaining his prestigious position as the mayor of Moscow in a relatively fair contest against Navalny. He believes this would position him as a leading contender to succeed Putin when the dictator inevitably falls.

Sobyanin is hardly a democrat, but his selfish interests may work to bring democracy back to Russia. Conjecture aside, Navalny's quick release was either incompetence or high-level internal sabotage -- and neither possibility is good news for Putin.

The siloviki live in a pseudo-Soviet bubble, working to keep the lid of repression down as tightly as possible for as long as possible. But others, including Sobyanin, look ahead and realize that taking this path will make the eventual explosion of opposition even stronger. Some of them are ambitious enough to chafe at Putin's obvious intent to hold power for life. They are far from liberal reformers, of course, and are seeking to advance their own interests. But at the moment those interests are leading them to undermine Putin's iron grip on every lever of power.

This matters, because the policeman on the Moscow street gets his strength from the knowledge that his superiors will support him unconditionally. He can crack open a protester's skull knowing his captain will defend his action. The captain knows the colonel will defend him because the general will protect him, the judges will protect them, and so on all the way up to the plushest chair in Putin's office.

This unbroken chain is critical and a public weakening of the links at the top means Red Square moves a bit closer to Tahrir Square. The protests that erupted after Navalny's conviction were the largest unsanctioned rallies since 2011 and the police let them happen nearly without incident. (The prosecution's request to release Navalny was made immediately after the verdict was read.) There is doubt in the ranks because they sense doubt at the top. If Navalny is set free, wonders the police captain, should he give the order to beat those protesters demonstrating in his name?

This may be only a brief moment of hesitation, but it is real. Cracks are appearing in the faÃ§ade elsewhere as well. Mikhail Prokhorov, the oligarch who pretended to be an opposition candidate in last year's presidential election without saying a word against Putin, is now openly supporting Yaroslavl mayor Yevgeny Urlashov after he was arrested on bribery charges. (Kremlin partners do not suffer such indignities.)

Another Prokhorov ally, Yevgeny Roizman, is running for the mayoralty of Russia's third-largest city, Yekaterinburg. The most popular slogans during last week's spontaneous rallies were "Svoboda!" ("Freedom!") and "Putin vor!" ("Putin's a thief!") The situation looks increasingly unbalanced. A new wave of mass protests could force the Putin regime to find out how loyal its security forces really are.

Navalny is still convicted and he may be allowed to run for mayor only to attempt to discredit him before jailing him. If he gains too much support he can be locked up at any time, or worse, as he well knows, although this would create just the sort of scandal Sobyanin would like to avoid in his quest to appear to be a legitimately elected official. But the election might not be as easy as they think. In last year's presidential election Putin received 47% of the vote in Moscow -- and those are the official numbers, not real ones -- despite epic fraud and despite facing no real opposition. Can Sobyanin then be expected to surpass the 50% needed to avoid a second ballot without resorting to the same tactics that spawned outrage in 2011?

Navalny is a real fighter and he has thousands of enthusiastic volunteers to campaign for him and to closely observe the election process on September 8. There are only bad choices for the Kremlin at this point. Their fear of Navalny and the movement he represents is provoking conflict and confusion.

In the movie "Groundhog Day", Bill Murray's character wakes up in Andie MacDowell's arms after an eternity of repeating the same day over and over. "Something is... different," he says. "Good or bad?" she asks. "Anything different is good," he answers. Something different happened in Kirov last week and my optimism tells me it was a positive sign. After more than 13 years of predictable repression under Putin, anything different is good.

We should not let avid speculation distract us from the cruel reality of Navalny's situation -- and of Putin's Russia. The lives of opposition members and journalists are worth very little. A man will spend five years in a labor camp for nothing more than speaking openly his opposition to Vladimir Putin. Navalny's former colleague, Pyotr Ofitserov, refused to testify against him and got a four-year sentence. He has five young children. And for every case you hear about, there are dozens of others forming this new generation of political prisoners under Putin.

The big picture is important, but we lose our humanity if we lose sight of the real people whose stories make up that picture. Success for Navalny's campaign in Moscow, any demonstration that he has substantial popular support, would change the atmosphere of the country and give these prisoners hope. And it would give us all hope that real change is on the way.

@highlight

Important trial outcomes are decided well in advance and with little need for evidence, writes Garry Kasparov

@highlight

The motivations for Navalny's brief respite are unclear but it likely reflects factional infighting inside the Kremlin, he says

@highlight

Kasparov believes success for Navalny's campaign would change the atmosphere of the country