(CNN) -- It is the life blood for tens of millions of people -- but the mighty Mekong River in southeast Asia is now facing a "devastating" threat from not one, but 11 proposed dams.

Irrawaddy dolphins as seen in Cambodia's Mekong River in November 2007

A group of NGOs has come together to issue the stark warning, claiming if the plans go ahead for hydroelectric projects in Laos, Cambodia and Thailand, that people, animals and the environment will all suffer irreparably.

Under the banner "Save the Mekong" campaigners are hoping to pressure regional governments to shelve the plans, which are being put forward by private companies from Malaysia, Thailand, Vietnam and Russia.

Carl Middleton, from the environmental group International Rivers, told CNN: "These dams, if built, would block the major fish migrations that feed the entire region" adding "the Mekong fisheries feed the Mekong people they provide between half and four fifths of the animal protein that people eat here and up to 90 percent of rural communities are involved in fishing activity."

"Globally the Mekong River basin is the largest inshore fishery in the world. It contributes about 2 percent of the global fish catch."

The Mekong is almost 5,000 kilometers long stretching from the Tibetan plateau, through southern China, and then along the border of Myanmar, Laos Thailand, through Cambodia to Vietnam.

"Even one dam across of the river would be devastating because what we are talking about is 70 percent of the commercial fish catch migrates over long distances. So therefore if you build a project on the lower part of the river it doesn't matter if you build 11 or one because if you can't get past the first dam then it can't get past the second either."

The campaign launch coincides with a warning from the World Wildlife Fund (WWF) which says that the endangered Irrawady dolphin, also found on a stretch of the Mekong, is at risk of extinction from pollution.

The small freshwater dolphins, distinguished by their round heads and short dorsal fins, are already listed as a threatened species, the WWF said in a report.

But analysis of recent dolphin deaths shows their immune systems are suffering because of contaminants in the river, which flows through Cambodia and into southern Laos.

"These pollutants are widely distributed in the environment and so the source of this pollution may involve several countries through which the Mekong River flows," said Verne Dove, a veterinarian with WWF Cambodia who authored the report. "WWF Cambodia is currently investigating the source of the environmental contaminants."

The Mekong River Irrawaddy dolphin population inhabits a 190-kilometer (118-mile) stretch of the Mekong River between Cambodia and Laos, the WWF said.

Since 2003, the population has suffered 88 deaths, more than 60 percent of which were calves less than 2 weeks old, the WWF said.

Only an estimated 64 to 76 dolphins are in the river, the group said.

The Mekong is also home to 1,200 fish species -- approximately 50 of which are caught commercially. Scientists say the river has the second highest concentration of aquatic animals in the world, after the Amazon.

But governments in the region are desperate for sources of cheap, reliable power and the Mekong is attractive as a greener alternative to coal fired power stations. In 1995 Thailand, Vietnam, Laos and Cambodia formed the Mekong River Commission, an intergovernmental body tasked with overseeing "sustainable" development along the river.

China and Myanmar (formerly Burma) are "dialogue partners" but that hasn't stopped China already building three dams in its section of the Mekong -- a further two are also under construction. The proposed 11 new dams are China, Laos/Thai border and Cambodia and would for the first time interrupt the flow of the lower Mekong, according to campaigners.

One of the eleven projects at Don Sahong in northern Cambodia could be complete perhaps as early as 2013, according to Carl Middleton, with others following after that. The "Save the Mekong" group has handed a petition of 16,380 signatures to the Thai Prime Minister Abhisit Vejjajiva calling on him and other regional leaders to act to save "this critical source of food and income for millions of us."

@highlight

Mekong River in southeast Asia faces "devastating" threat from 11 proposed dams

@highlight

Irrawaddy dolphins' immune systems suffer due to contaminants in the river

@highlight

Its population numbers between 64 and 76; their habitat is the Mekong