WASHINGTON (CNN)  -- One of the the country's most powerful unions stepped up its campaign for a hotly disputed labor bill Monday, holding a rally on the eve of the bill's formal introduction in Congress.

Workers rally in support of the Employee Free Choice act in Lafayette Square in Washington on Monday.

The legislation -- the Employee Free Choice Act -- would create an alternate process for bringing a union into a workplace.

It is supported by President Barack Obama and the Democratic congressional leadership, but is fiercely opposed by most congressional Republicans and corporate leaders, who fear it will saddle a sagging business community with new burdens at the worst possible time.

Business leaders "believe in this old market-worshipping, privatizing, deregulating, trickle-down [policy] that took the greatest economy on the Earth and sent it staggering forward because of their greed and their selfishness," declared Service Employees International Union President Andy Stern.

"Without the Employee Free Choice Act ... the rich will get richer and the rest of us will fend for ourselves."

Sterns issued his warning as his 1.8 million-member union prepared for a daylong Capitol Hill lobbying blitz on behalf of the bill Tuesday.

Democrats and Republicans may disagree sharply over the merits of the legislation, but leaders on both sides of the aisle freely admit it has the potential to significantly reshape the balance of power between business and labor for the first time in years.

The controversial act would allow employees to signal support for unionizing by openly signing a card demanding it. If a majority signed, the company involved would have 90 days to negotiate union representation.

It would also stiffen federal laws barring employers from intimidating or firing workers who try to bring in a union.

The traditional option to vote by secret ballot would still be available. But critics say the measure -- dubbed the "card check" bill by its opponents -- would effectively eliminate union elections, removing a fundamental hard-earned right of workers and forcing some workers into unions they don't want to join.

Some corporate leaders have reacted angrily against the measure.

If a retailer has not gotten involved with fight over this bill, he "should be shot," Bernie Marcus, co-founder and former CEO of The Home Depot, said during a conference call about the act last October. Retailers who don't speak out against it "should be thrown out of their goddamn jobs."

"This is how a civilization disappears," Marcus said. "I'm sitting here as an elder statesman, and I'm watching this happen, and I don't believe it."

Dave Bego, a business owner in Indianapolis, Indiana, shares Marcus' concern.

Bego is the owner of EMS, which provides janitors to businesses around the country. The family-owned company has been under fire from the SEIU, which argues that EMS intimidates, harasses and violates the rights of workers wanting to unionize. It has made the company a target of repeated protests for about three years.

Bego said the claims are unfounded, and it's the union that has harassed him.

He said the union has sent his clients threatening letters for using his company, staged noisy protests, confronted employees, blocked building entrances and even released balloons in a client's building to disrupt business. But he told CNN his workers don't want a union because they make more in pay and benefits without having to pay SEIU's labor dues.

"We have several hundred people working for us in Indianapolis [alone]," Bego said. "They've been after us for almost three years, and they've got only about 10 or 12 people interested in what they said. If our people really needed protecting, don't you think they'd be out in mass droves in the street with the union protesting EMS? Do you think we'd still be in business? I don't think so."

But union workers CNN talked to say workers at EMS are afraid to speak out because they might get fired, as Shaneka Brown said she was.

"We're not the only ones," Brown said. "There are millions of other janitors and millions and millions of other companies that are going through same" kinds of things.

And that, says Stern, is why the Free Choice Act is so critical. The SEIU president claims the legislation merely provides employees who have been intimidated by their employers an opportunity to freely and openly support a union.

"This is workers' choice," Stern said in February. "They can have a secret ballot, or they can legally affirm by a majority of them signing cards."

Observers believe Stern's union has the muscle to push the legislation through the Democratically controlled Congress. The SEIU was the largest contributor to Democratic campaigns this election, pumping $85 million into campaigns and get-out-the-vote drives. The union said 2,000 members temporarily gave up their jobs to work for Obama's election.

Now "we have a friend in the White House," Stern declared Monday. "Thank God for Barack Obama."

CNN's Drew Griffin, Marcus Hooper and Kathleen Johnston contributed to this report.

@highlight

One of largest unions holds rally in support of Employee Free Choice Act

@highlight

Bill would let employees openly sign a card demanding a union

@highlight

If a majority sign, company would have 90 days to negotiate

@highlight

Home Depot CEO, critic of bill says "this is how a civilization disappears"