(CNN) -- For many, back-to-school is a season of anticipation, nostalgia, and shopping. For me, it evokes memories of an unsung historical event: the integration of Harvard.

No, I'm not talking about racial integration; I'm talking about the full inclusion of students with disabilities.

When I entered Harvard College as a freshman in 1980, it happened to coincide with a new requirement -- all institutions receiving federal funds had to become fully accessible under Section 504 of the Rehabilitation Act of 1973.

I was a 17-year-old lifelong wheelchair-user, born with a neurological condition called spinal muscular atrophy. I'd never walked or stood and my arms were weak as a baby's. But, as my parents often said, there was nothing wrong with my head.

I had little awareness of the precedent I was setting.

At 17, I was too self-centered for that. I was preoccupied with how I'd cope my first time living away from my parents, depending on full-time, live-in personal-care attendants. Yet I had an Ivy League freshman's cockiness, too. Somehow I'd manage. I'd always managed before, hadn't I?

To be sure, Harvard had had students with disabilities before me. But those students had to make do, bearing or circumventing access barriers without complaint. After all, it was a centuries-old campus. How much could one expect?

I, on the other hand, had rights -- and expectations. I challenged the university in a whole new way.

I was an inadvertent pioneer. I mean, it wasn't my fault. I hadn't fought for my rights. They fell into my lap.

The timing was a coincidence, one I wasn't entirely comfortable with. I remember meeting with university officials the summer before my freshman year got under way. We discussed every detail of my life and needs. What was the width my widest wheelchair? Did I take baths or showers? How much space around a toilet did I require for transfers? Boxers or briefs? (Just kidding.)

I also had to pre-pick classes so Harvard could ensure mine would be held in accessible classrooms, of which there were too few. If I changed my mind, I could be out of luck.

Not that pioneering was an unfamiliar role for me. I'd been the first and only "handicapped" student in my nursery, elementary and high schools, too.

My parents had insisted on my attending "regular" schools at a time when that was unheard of. In the 1960s, according to government statistics, only one in five disabled kids was educated in a public school -- usually a separate (dare I say "segregated"?) special-ed school. The majority stayed home or got sent off to under-regulated residential institutions.

More than a million handicapped kids had no access to the school system at all. Many states even had statutes specifically excluding the deaf, blind or mentally retarded from public schooling!

We lived in New York, and my parents were private-school kind of people. I vaguely recall how the schools my older, non-disabled brother attended refused to accept me, how my parents had to argue and beg on my behalf.

They knew separate wasn't equal, but they had no legal recourse. I ended up at the only private schools willing to take a kid in a wheelchair. It's no exaggeration to say that for many years I assumed I was simply too dumb for my parents' first-choice schools.

Today, of course, it's completely different. After countless pieces of legislation, reauthorizations, government commissions and legal rulings, wheelchair ramps and lifts, Braille and recorded books, sign-language interpreters, "shadow teachers," and other accommodations are commonplace in schools as they are elsewhere.

Parents of so-called special-needs kids still have to fight sometimes to ensure fairness, but they have rights and a grievance process on their side. Integration is the standard that must be met.

Ultimately, my Harvard experience had its ups and downs, as might be expected of what was a revolutionary new concept. Sadly, it wasn't just the ancient brick buildings and cobblestone paths that posed inexorable barriers; sometimes hidebound traditions can be equally obdurate.

Nevertheless, how the demographics of education has changed became especially clear to me recently when my kids' school held a "diversity day." (My kids don't have disabilities, but some of their classmates do.)

I boldly volunteered to lead a discussion about people with disabilities. To my surprise, I wasn't the only one.

Kids don't always appreciate this. For them, the return to the school year is a ritualized obligation. What a shame so few understand it as a right and a privilege to be celebrated -- a proud and hard-won victory.

Overcoming barriers to bring mobility to the world

@highlight

Ben Mattlin was born with spinal muscular atrophy, a rare degenerative disease

@highlight

Mattlin was one of the first students in a wheelchair to attend Harvard University

@highlight

Spinal muscular atrophy affects 1 in 6,000 Americans