(CNN)Warren Weinstein, who appears to have been the only American citizen held hostage by al Qaeda, was accidentally killed in a U.S. drone strike in January. But it didn't have to be that way.

A senior U.S. official familiar with the handling of the issue told CNN that the U.S. government made no serious effort to negotiate for the 73-year-old development expert's release, either directly to al Qaeda or through proxies in Pakistan.

Another senior U.S. official told CNN that Weinstein's capture by al Qaeda made it hard for the United States to negotiate, even though proxies such as the Pakistani government have links to intermediaries who might have helped.

A senior Pakistani official told CNN that after Weinstein was kidnapped, the Pakistani government put out feelers to members of the militant Haqqani Network and to the Pakistani Taliban, which are both allied to al Qaeda, to see if these groups might be able to initiate some kind of negotiation about Weinstein. According to the official, nothing came of those feelers.

The senior Pakistani official says that during the past year Pakistani soldiers, who were part of a military offensive in the tribal area of North Waziristan near the Afghan-Pakistan border where Weinstein was believed to be being held, went door-to-door looking for the American. Nothing came of this search either.

On Thursday, the U.S. government announced that Weinstein had been killed in a "counterterrorism operation" in January, which is how the government often describes CIA drone strikes.

According to New America, which tracks drone strikes in Pakistan, CIA drone attacks happened in Shawal, North Waziristan, on January 19 in which at least four militants were killed; also on January 15 in Tehsil Ladha, South Waziristan, in which at least five militants were killed; and on January 4 in Datta Khel, South Waziristan, in which at least eight militants were killed.

It is in one of these strikes that Weinstein was almost certainly killed.

Lt. Col. Jason Amerine, a planner on the U.S. Army staff, is under investigation over a purported unauthorized disclosure to U.S. Rep. Duncan Hunter's office, which has demonstrated a strong interest in the fate of American hostages held by al Qaeda and the Taliban. A plan was developed in the Pentagon to secure the release of Weinstein, according to a staff member on Hunter's committee.

That plan was to release Haji Bashir Noorzai, a prominent and influential member of the Taliban who is in prison in the States on drug trafficking charges, in exchange for U.S. Army Sgt. Bowe Berghdal, who was held by the Taliban until last year; Taliban hostages Caitlin Coleman, a U.S. citizen, and her husband, Canadian Joshua Boyle; and Dr. Shakil Afridi, who spied for the CIA in Pakistan and was being held in a Pakistani prison, as well as Weinstein. It's not clear how far this plan of action went.

Amerine is invoking whistleblower protection and denies making an unauthorized disclosure.

Hunter, a California Republican, released a statement Thursday, saying, "The only government organization seriously developing options to recover Weinstein and others in the Afghanistan/Pakistan region was within the Pentagon -- led by war hero Jason Amerine."

As an Army captain, Amerine led a small detachment of U.S. Special Forces into Afghanistan in November 2001 in the wake of the September 11 attacks on the United States. The operation was instrumental in helping to topple the Taliban and to install Hamid Karzai as the new leader of Afghanistan.

Who exactly carried out Weinstein's kidnapping from his house 3½  years ago in the Pakistani megacity of Lahore has until now not been clear.

A senior Pakistani counterterrorism official told CNN that members of the Islamic Movement of Uzbekistan, or IMU, kidnapped Weinstein at his Lahore home on August 13, 2011.

IMU is an Uzbek terrorist group headquartered in the tribal regions of Pakistan along its border with Afghanistan.

According to the Pakistani official, the leader of the Weinstein kidnapping cell was a relative of Tahir Yuldashev, the former IMU leader killed in a CIA drone strike in the Pakistani tribal regions in 2009.

The initial lead that traced the Weinstein kidnapping to the IMU came from another high-profile kidnapping in Pakistan two weeks after Weinstein's abduction.

Shahbaz Taseer, the son of a leading Pakistani liberal politician Salman Taseer -- who was killed by Pakistani militants eight months earlier -- was kidnapped in Lahore on August 26, 2011.

At the scene of Taseer's kidnapping one of the kidnappers dropped a cell phone and SIM card that eventually led Pakistani officials to focus on the IMU group in Lahore, according to the senior Pakistani counterterrorism official.

The police subsequently arrested three Uzbeks and four Pakistanis who were part of the IMU cell that had carried out the Weinstein kidnapping.

Members of the IMU cell told Pakistani interrogators that after they had kidnapped Weinstein they moved him while he was tranquilized and semi-conscious among three safe houses in Lahore.

IMU members then took Weinstein to the Federally Administered Tribal Areas in Pakistan, a semi-autonomous region along the border with Afghanistan where al Qaeda and other militant groups are headquartered.

There Weinstein was given or, more likely, sold to al Qaeda, according to the senior Pakistani official.

Who was Warren Weinstein?

Weinstein had spent his life helping others, working in the fields of aid and development. He held a doctorate in international law and economics from Columbia University and spoke more than half a dozen languages.

After his capture, the leader of al Qaeda, Ayman al-Zawahiri, demanded the end of CIA drone strikes in Pakistan and the release of terrorists held in U.S. custody in exchange for Weinstein's freedom.

On September 12, 2012, Weinstein appeared in a video produced by al Qaeda's production arm in which he said that the Obama administration had shown "no interest in my case." He then appealed to Israeli Prime Minister Benjamin Netanyahu from "one Jew to another" to intervene.

The Obama administration is in the midst of a review of its hostage policy, which has been criticized by some families whose loved ones have been taken hostage by ISIS, al Qaeda or the Taliban.

The key problems these families point to are lack of communication by the U.S. government about their loved ones and a lack of coordination within the government about how best to free them.

The CIA, for instance, is focused on drone strikes and counterterrorism operations, while the FBI has responsibility for retrieving American hostages. Often these goals are not in alignment -- as was clearly the case with Weinstein. The CIA could have exercised more due diligence knowing that Weinstein was almost certainly being held in North Waziristan.

There are some solutions for these problems. First, families should be granted security clearances by the U.S. government for the purpose of having classified information disclosed to them only about their captive loved ones. Right now, the U.S. government won't communicate much with the families about their loved ones because the relatives don't have the requisite security clearances.

Should families abuse their clearances, they would no longer receive classified information about their loved ones, which is a strong incentive not to abuse them.

Second, President Barack Obama should appoint a senior-level person, perhaps working in the White House on the National Security Council, to oversee the work of the CIA, FBI, State Department and the Joint Special Operations Command, which implements hostage rescues. All these organizations have key roles to play in getting American hostages home. That person must be sufficiently senior so he or she can make all the relevant agencies play well together and "de-conflict" any potential issues, such as the ones that surfaced in the Weinstein case.

Third, while the U.S. government position is that it will not make concessions to terrorist groups, there is nothing in American policy to prevent another government from negotiating with terrorists to secure the release of U.S. citizens, and this should be encouraged, even if there is some quid pro quo involved.

This is what happened in the case of the American journalist Peter Theo Curtis, who was captured by al Qaeda's affiliate in Syria in 2012, but was released last year after the Qatari government intervened in his case.

The Qataris have had longstanding ties to the militant groups in Syria, including the al Qaeda affiliate holding Curtis, and while Qatari officials have denied paying ransom to free Curtis, it's unlikely that the journalist was freed just because the members of al Qaeda holding him were suddenly feeling like good guys.

Curtis' successful release could provide a ray of hope for U.S. citizen Caitlin Coleman and her husband, Canadian Joshua Boyle, who were captured by the Taliban in 2012 when they were traveling on a trip through Afghanistan.

A senior American official told CNN they are being held by the Haqqani Network. The Pakistani government has contacts with the Haqqani Network, and the U.S. government should ratchet up the pressure on the Pakistani government to secure the couple's release.

In captivity, Coleman, who was pregnant at the time she was taken hostage, had a child.

The name of the child is unknown.

@highlight

U.S. hostage Warren Weinstein is believed to have been accidentally killed in counter-terrorism strike

@highlight

Peter Bergen: U.S. should rethink hostage policy to increase chances of freeing those held