Edinburgh, Scotland (CNN) -- Politicians made their final pleas to Scottish voters Wednesday, the last day of campaigning before they head to the ballot box to vote on independence.

Opinion polls put the two sides neck-and-neck ahead of Thursday's historic referendum, which could see Scotland split from the United Kingdom.

Voters will be asked the yes/no question: "Should Scotland be an independent country?"

The latest poll of polls, released Wednesday by ScotCen, an independent research center, shows "no" at 52% and "yes" at 48%, with "don't know" voters excluded. It is consistent with results over the past week or so, which have indicated the race is too close to call.

Polls suggest around 8% of voters remain undecided, making their votes crucial to deciding the outcome of the referendum.

As the vote nears, emotions are running high on both sides, dividing families and polarizing communities.

The leader of the pro-independence campaign, Scottish First Minister Alex Salmond told "Yes Scotland" campaigners in Perth on Wednesday evening that they have run the "greatest campaign in Scottish democratic history."

"We meet on the eve of the most exciting day in Scottish democracy. And we meet here not to celebrate, not to presume, not to preempt," he said, acknowledging that polls were still placing the "no" vote in the lead.

"We are the underdogs in this campaign, as we always have been," Salmond said. "We know that the Westminster establishment will fling the kitchen sink and half the living room and probably most of the bedroom at us before the close of polls at 10 o'clock tomorrow night. And therefore it behooves each and every one of us, recognizing that underdog status, to campaign with our utmost ... to persuade our fellow citizens that independence is the right road forward for Scotland."

"This is our opportunity of a lifetime," he told the cheering crowd.

Gordon Brown: This is everyone's country

But former British Prime Minister Gordon Brown, himself a Scot, called on his fellow countrymen and women to vote "no" to independence with confidence.

Speaking in Glasgow, he said, "This is everyone's flag, everyone's country, everyone's culture, everyone's street and let us tell the people of Scotland that we who vote 'no' love our Scotland and love our country."

Scotland's many past and present achievements, Brown said, "happen not outside the union but inside the union. They happen not in spite of the union but because of the union."

There were chaotic scenes as Labour Party leader Ed Miliband met with members of the public on Tuesday, forcing him to cut short a meet and greet.

The issue of spending on social welfare and health care, through the National Health Service, has been central to campaigning. Questions over the economy, North Sea oil reserves and taxation have also been key.

Each side has argued that it is the best equipped to create more jobs for Scotland.

In a rare show of unity, the leaders of the UK's three main political parties penned a vow on Tuesday -- published on the front page of the Scottish Daily Record newspaper -- to transfer more powers to Scotland if it rejects independence.

Cameron: My name's not on ballot

Prime Minister David Cameron will face tough questions over the effectiveness of the pro-union "Better Together" campaign if Scotland opts to leave, with critics accusing the main parties in Westminster of complacency over the vote.

They have also questioned the promise of more powers for Scotland if it stays, warning that England and Wales should not lose out. Fallout from the referendum could play into the next UK general election, scheduled for May 2015.

Asked by a reporter whether he would quit if Scotland chooses independence, Cameron said, "My name is not on the ballot paper; what's on the ballot paper is, does Scotland want to stay in the United Kingdom or does Scotland want to separate itself from the United Kingdom?

"That's the only question that should be decided on Thursday night. The question about my future will be decided at the British general election coming soon."

In an interview with the Times of London, Cameron also defended the way the referendum has been handled by his Conservative-led coalition government.

He said he had been right to offer only the option of independence or continued union on the ballot paper, rather than including a third option of further devolved powers for Scotland.

He suggested that Scottish independence might actually be closer today if he had said no to a vote, rather than offering a "proper, legal, fair and decisive referendum."

Scotland to leave UK? 8 things to know

John Major: Scottish people 'fed a load of pap'

Former Prime Minister John Major also made an impassioned plea for Scotland to stay in the United Kingdom, telling CNN's Christiane Amanpour that the Scottish people have been hoodwinked.

"The Scottish nation have frankly, and I don't say this lightly, have been fed a load of pap by the Scottish nationalists in the belief that everything will be alright on the night," he said.

"Well it won't. There are very serious problems that Scotland will face if they go down this route."

Many questions remain unanswered about what will happen if Scotland votes to go it alone, including its future membership in the European Union and NATO and over the United Kingdom's future defense capabilities.

In an open letter published in UK tabloid The Sun on Wednesday, 14 former UK defense chiefs warned against breaking up the union.

"At risk is the most successful alliance in history and one which has seen men and women from all parts of the country play their part in securing the liberties we now enjoy," they wrote.

"The division of the UK may or may not be politically or economically sensible, but in military terms we are clear: it will weaken us all."

In his own open letter to Scottish voters, Salmond urged them to look past what he called the "increasingly desperate and absurd scare stories" of the pro-union "no" campaign, and think of Scotland's future.

"Make this decision with a clear head and a clear conscience," he wrote. "Know that by voting 'Yes', what we take into our hands is a responsibility like no other -- the responsibility to work together to make Scotland the nation it can be."

Opinion: Why the UK needs Scotland

Largest ever electorate

The Scottish National Party, headed by Salmond, has said it wants to remove the UK nuclear submarine fleet from Scottish waters as soon as possible.

More than 4.2 million people have registered to vote, the largest electorate ever in Scotland.

Any registered voter aged 16 or over who is a resident in Scotland is entitled to cast a ballot. Voters do not have to be British citizens; Commonwealth, Irish and EU citizens who live in Scotland and are registered to vote there can do so.

If Scotland decides to leave the United Kingdom, it leaves behind England, Wales and Northern Ireland.

CNN's Max Foster reported from Scotland and Laura Smith-Spark wrote and reported in London. CNN's Richard Allen Greene, Lindsay Isaac and Erin McLaughlin contributed to this report.

@highlight

NEW: The latest poll of polls suggests the "no" campaign has a slim lead

@highlight

NEW: Scotland's First Minister Alex Salmond: "This is our opportunity of a lifetime"

@highlight

Former PM Gordon Brown: "We who vote 'no' love our Scotland and love our country"

@highlight

Former UK defense chiefs warn that Scottish independence "will weaken us all"