(CNN) -- When strangers hear Peter Jefferson's voice, they can't quite place it at first, and then it hits them: "I know you. You've been sending me to sleep for years."

For anyone else it would be the greatest insult. For 68-year-old Jefferson, it's a testament to the very special connection people have with his mellifluous tone, even rhythm, and measured volume. It's a voice pharmaceutical companies could only dream of bottling.

Why the sleepy fanfare? For over 40 years Jefferson was the man behind one of Britain's most cherished -- and baffling -- radio bulletins: the shipping forecast.

Those living outside the United Kingdom may never have heard of this broadcasting curio, but sit tight. Snuggle under the covers, grab a mug of something warm, and prepare to be gently rocked by an ocean far far away.

And if you still don't get it, don't worry too much. Neither do half the people who listen to it -- that's its magic.

"And now, the shipping forecast..."

When London rolled back the curtains for its Olympic opening ceremony last year, it took the world on a meandering journey through industrial folk songs, Beatles anthems, Mr Bean's piano-playing, and of course -- the shipping forecast.

"Viking, North Utsire, South Utsire, southerly or south easterly, six or seven. Fair, good..."

What is it? A sat-nav gone bonkers? No, it's the weather conditions of 31 ocean regions around the United Kingdom, broadcast four times a day on BBC radio.

First aired in 1924, the forecast has become both a life-saving bulletin for mariners, and a hypnotic litany of nonsensical seafaring phrases for the rest of us.

"People listen to it late at night, tucked up in bed, perhaps at the end of a long day," said Jefferson, who read the forecast from 1969 to 2010.

"It's been likened to poetry, to a prayer, it contains a lot of familiar phrases, words and names and places -- it's very comforting."

Mysterious muse

Long before the 2012 Games, generations of artists have immortalized this mysterious muse of the air waves.

Nobel Prize-winning poet Seamus Heaney, who passed away in August, dedicated a sonnet to the baffling bulletin: "Conjured by that strong gale-warning voice, Collapse into a sibilant penumbra."

While English TV personality Stephen Fry had his own tongue-in-cheek rendition: "Blowy, quite misty, sea sickness. Not many fish around, come home, veering suggestively."

Listen to Stephen Fry's rendition here

For such a treasured part of British culture, perhaps the greatest joy comes from not understanding the shipping forecast at all -- three minutes to let the mind wander among monotonous tones, far flung places, and random numbers.

Avid listener Peter Collyer was so intrigued by these faceless places, he traveled to all 31 regions and painted what he saw -- often on the deck of a lurching ferry.

"Everybody knows the names of these places but no one knows what it looks like," said 60-year-old Collyer, whose hazy watercolors appear in the book "Rain Later, Good: Painting the Shipping Forecast."

"It's just a mesmerizing list of places and names. So I wanted to be the person to go out there and de-mystify it for them."

Radio reigns

In an era when weather forecasts are only a Google-search away, why do people still tune into this old-fashioned bulletin, arguably the modern equivalent of the Sirens?

Indeed, the forecast has changed little in the last eight decades, following a strict format of 350 words -- sometimes giving it a jumbled sound to the untrained ear.

"It's the rhythm of it," said Jefferson, author of the book  "And now the shipping forecast." "It's the magic of hearing about places you'll probably never go to."

"A lot of people say it feels as though the shipping forecast is speaking to them, and them alone."

The last and slightly longer announcement at 12.48am has become renowned for putting night owls to bed, with Jefferson receiving letters from listeners thanking him for his soothing words on restless nights.

Life saver

That's not to say the shipping forecast doesn't have an important seafaring function.

"It all came about because a while back there was such a horrendous loss of life at sea," said Jefferson. "People had no idea what the weather was going to be like when they went out on the water.

"The shipping forecast was brought in, and has saved a lot of people's lives."

For others, it's a different life-saver, transporting them each night to a watery world on the edge of imagination.

@highlight

Can't sleep? Never fear, the shipping forecast is here

@highlight

For almost 90 years, BBC radio's weather forecast has entranced listeners

@highlight

Aired four times a day, the bulletin has been immortalized by artists

@highlight

Life-saver for mariners, helped reduce deaths at sea