While the U.S. economy surges in 2014, posting the biggest jobs numbers in 15 years, the Russian economy is tanking straight into a recession after a bludgeon of Western sanctions.

But the economic news hasn't translated to presidential approval ratings -- in either country.

President Barack Obama has been facing some of his lowest job approval numbers this year while public support in Russia for President Vladimir Putin has surged over the last year to record highs.

Putin's numbers aren't just high; they've surged from a 61% low in Nov. 2013 as events in Ukraine unfolded and despite sanctions hitting the country. And as opposed to Americans, a majority of Russians think their country is on the right track.

A majority of Americans, 53% according to a CNN poll released last week, disapprove of Obama while 85% of Russians approve of Putin, according to a November poll from the highly cited Levada Center, an independent polling agency.

Obama's struggling popularity had a concrete impact in November when his party suffered a drubbing at the polls on Election Day, despite low gas prices and the lowest unemployment numbers of his presidency.

Meanwhile, the Russian government admitted this week the country should brace recession because of dramatic drops in oil prices and after a spree of Western sanctions over Russia's annexation of Crimea and its ongoing support for separatists in eastern Ukraine walloped the Russian currency and sent investors fleeing.

Putin has remained defiant in the face of Western sanctions and political pressure to stand down in Ukraine. And that defiance is earning him political points at home despite the impact on the Russian economy.

On Thursday Putin delivered a rallying state of the nation address in which he accused the West of replicating the Cold War containment strategy -- asserting that Western nations would have found a way to impose sanctions on Russia even without the crisis roiling in Ukraine -- and he called on Russians at home and abroad to come together.

Speaking to top business leaders Wednesday, Obama appeared keenly aware of Putin's success in stirring nationalist sentiment to beat back the force international sanctions.

"If you ask me if I am optimistic that Putin suddenly changes his mindset, I don't think that will happen until the politics inside of Russia catch up to what's happening with the economy in Russia, which is part of the reason why we're going to maintain that pressure," Obama said, according to the International Business Times.

But the political landscape Obama and Putin face couldn't be more different.

Russian state media pumps out high levels of propaganda straight from the Kremlin, dissenting voices are censured and political dissenters are jailed.

Ben Judah, author of "Fragile Empire: How Russia Fell In And Out Of Love With Vladimir Putin," said those factors make it more difficult to gauge Russian public opinion.

"The very idea that people know about an alternative to Putin the way Americans know about an alternative to Obama like the Republicans is just laughable," Judah said.

Judah acknowledged that there was an "outburst of nationalist hysteria" after Russia annexed Crimea, but said he believes Western sanctions are driving down public opinion of the Russian leader as the economy takes a hit.

Henry Hale, an international affairs professor at The George Washington University specializing in Russian politics, said on the whole, the polls reflect the reality on the ground of popular support for Putin.

"I don't think Russians are really hiding their feelings," Hale said, adding that the polls indicate support for Putin, but not necessarily the depth of that support.

Media propaganda plays a key role in bolstering Putin's popularity, Hale said, especially in the portrayal of Ukraine's popular revolt as a fascist takeover and in portraying the annexation of Crimea as, essentially, a rescue mission.

While Russians have "rallied around the leader" in the face of Western sanctions, over time the economic impact of those sanctions could ultimately backfire on Putin.

"Over time people are going to say, 'Yeah ok we're happy with Russia being larger and its newfound role on the political stage. We're glad we have a leader standing up for us, but we also want a better economy," Hale said.

So while the media does boost Putin's public image through ha "barrage of positive images of him," economic realities will in the long term hit Putin, adding that Putin's strategy of blaming the West for hits to the economy is limited.

"After a while that starts to wear off," Hale said.

But that could take years, he said.

@highlight

The U.S. economy is roaring and the Russian economy is sagging

@highlight

President Obama is in an approval slump, but Vladimir Putin is seeing a popular surge