(CNN) -- A U.S. district judge ordered New York City to pay $128 million in to firefighters who allege the city used an entrance exam that deliberately sought to keep African-Americans and Latino Americans off the force. The judge also ordered the FDNY to hire 293 black and Latino applicants.

"It has been in the city's power to prevent or remedy the need for damages proceedings for a decade, and it has not done so," U.S. District Judge Nicholas G. Garufis said in his ruling on the class action lawsuit. He called it the "consequences of the city's decision to ignore clear violations of federal law."

The federal government had sued the city (United States of America and Vulcan Society Inc. vs. City of New York) over fire department entrance exams they said discriminated against black and Latino applicants. A group of black firefighters alleged the city had intentionally discriminated against them, violating Title VII, the U.S. Constitution and state law.

The lawsuit alleged that the exams had little to do with firefighting and instead focused on cognitive and reading skills. Because of the hereditary nature of the fire department, white candidates were recruited and supported throughout the application process by family or neighborhood contacts and whites consistently passed while minority candidates failed.

"There has been one persistent stain on the Fire Department's record," the lawsuit said. "For decades, black and other minority firefighters have been severely underrepresented in the Department's ranks.

"According to the most recent census data, black residents make up 25.6% of New York City's population; when this case was filed in 2007, black firefighters accounted for only 3.4% of the Department's force. In other words, in a city of over eight million people, and out of a force with 8,998 firefighters, there were only 303 black firefighters.

"This pattern of underrepresentation has remained essentially unchanged since at least the 1960s. While the city's other uniformed services have made rapid progress integrating black members into their ranks, the Fire Department has stagnated and at times retrogressed."

Michael A. Cardozo, New York City's corporation counsel, disputed the decision. "We believe the court's latest opinion is erroneous and, in any event, is the first step in a lengthy process. As the court itself noted, any damages the city ultimately must pay will be reduced by the amount each member of the class earned. When all the proceedings have been completed, the damages, if any, that the city will have to pay will be far less than $128 million," he said.

In court documents, the city said of the judge's finding of bias: "Under the Court's faulty analysis, any rational jury would necessarily find that the City deliberately used facially neutral exams to suppress black employment even as it conducted a targeted multi-million-dollar minority recruitment campaign, enlisted Columbia University to study methods of maximizing FDNY diversity, increased the minority composition of its other uniformed services, engaged an expert with a mandate to design an improved exam, and devised a panoply of other devices to diversify the FDNY's ranks"

The lack of minorities in U.S. fire departments has been the focus of many lawsuits. The last available national figures, from the 2000 census, show 8.4% of the nation's firefighting forces to be black and 8.6% to be Latino. Blacks are 12.2% of the population; Latinos are roughly 16%. However, other big cities have made much faster progress at diversifying their ranks. More than half of the Philadelphia and Los Angeles fire departments members are black or Latino.

Lawyers for the firefighters who sued said the decision would mean payments to black and Latino applicants to the New York Fire Department who were never hired or hired late from the 1999 and 2002 eligibility lists that resulted from exams given those years.

Paul Washington, past president of the Vulcan Society, said: "The Vulcan Society has been fighting for almost 75 years to open the doors of the Fire Department to black firefighters. This is a great victory for those who have been excluded from serving our city because of their race. We hope the FDNY moves quickly to welcome the 293 Black and Latino applicants who are entitled to be hired, and we look forward to serving with them."

CNN's Javier Luque contributed to this report.

@highlight

Judge ordered New York to pay nearly $128 million to firefighters

@highlight

Entrance exam designed to keep blacks and Latinos off the force, says lawsuit

@highlight

"We believe the court's latest opinion is erroneous," says city's counsel