Lagos, Nigeria (CNN) -- The most foolish argument I've heard from the never-ending efforts to discourage young Nigerians from cybercrime is that money isn't everything.

Well, lack isn't everything either. There's also the equally common argument about integrity being worthier than wealth, as if a dichotomy must always exist between the two.

No wonder the many 419 scammers -- for whom the specter of a destitute and unfulfilled future is a daily terror -- don't appear ready to budge from their fraudulent ways.

And so it was with a mixture of curiosity and skepticism that I attended an 'Alternatives to Cybercrime' event organized by Microsoft and Paradigm Initiative Nigeria (PIN). What new doctrine did the anti-cybercrime brigade have to preach this time?

My 419 scams-themed novel had earned me an invitation to address the audience of university and secondary school students. Another guest speaker was Adeolu Akinyemi, a young man who runs Street Skills, an organization that rehabilitates 419 scammers. The more he spoke, the more I found myself sitting straighter in my chair with rapt attention.

No, he doesn't warn the fraudsters against the ills of materialism or notify them that money doesn't buy happiness. That grand sermon may wait until after they can afford three square meals a day.

Adeolu's method is to teach the young men how to use the same skills developed from years of diligently scamming hard currency from gullible Westerners, to make legitimate money online.

Felix Ekpa, the very first case Adeolu worked with, was a successful 419 scammer between 2004 and 2007. The 31-year-old now makes an honest living from various online businesses. I went searching for him after the event.

"I have been actively involved in network marketing for about three years and I daresay it is the shortest and fastest way to living the life of your dreams," he told me. The former scammer also trades Forex in his spare time.

Felix first contacted Adeolu in 2007 after coming across his blog which provided information on various online investment schemes. He was intrigued enough to contact Adeolu requesting a meeting.

"When we met, I was shocked to see someone of my age range," he said. "So it was easy for me to tell him my story and how I had been motivated by his write ups and how I was looking forward to change if he was going to help."

Under Adeolu's tutelage, Felix eventually felt confident enough in his new line of work to completely abandon the old. Both men then decided to reach out to other scammers. Thus, Street Skills was born.

Felix started by reaching out to the scammers he knew personally, his former colleagues. His experiences as a "former street boy" now making money through legitimate means enabled him to get through to some of the scammers, he said.

Today, Felix is Adeolu's partner and the "Lead Driver" of Street Skills. "He heads the organization, and I play a support role," Adeolu said, adding that his aim is to "push" Felix as a positive role model, since he's "been there and done that."

Felix has also done some restitution, refunding his victims their swindled money. One of his former victims was shocked when he confessed that he had been scamming her all along.

Then Felix promised to refund her the approximately $25,000 he swindled from her. He eventually sent an initial $1000, followed by several other installments. "She is now more of a family friend, as she is in touch with my family and friends till date," he said.

A brief survey of Nigeria's 419 communities appears to present three distinct categories of scammers. The first are the pioneers of the late 80s and early 90s, common criminals who simply saw yet another opportunity to make a dishonest living.

The second, mostly university graduates from decent backgrounds, were chance criminals who found respite from unemployment and hopelessness, in scamming. It didn't help that they had watched the first category scam their way to respectability and philanthropy.

The third group had simply observed the second, and saw them as role models. Like their heroes, they also desired to ride fast cars, have assorted damsels perch on their arms and occupy prominent seats at public functions.

Despite being well provided for by his family, university graduate Felix says he fell into this third category of criminals after observing the lavish display of wealth and big cars driven by "small boys" in his area.

"I got curious, asked questions, and the adventurous side of me took over," he said. "I learned the game and got involved. It was fun and the easiest way to make real money. It was quite lucrative."

Street Skills says it currently has about 10 rehabilitated scammers that have found legitimate opportunities to fend for themselves and their families, there are also around 40 who they describe as "work in progress." But their vocation is certainly not a stroll in the park; it takes patience to break into these networks and convince the scammers to opt for money-making opportunities that won't have them constantly looking over their shoulders.

Those who eventually sign up for "rehabilitation" are then followed up with seminars and training, where they are taught the basics of network marketing, entrepreneurship, e-books marketing and internet marketing till they actually start making money through the opportunities presented to them.

Unfortunately, a lean purse has forced Street Skills to go from monthly group meetings to more one-on-one sessions, which Felix says are not as effective as group meetings. Most of the funding for the work they do comes from his and Adeolu's pockets and he believes proper funding would allow them to set up more centers around Nigeria .

But there is an increasing number of young people turning to email scams in the country. "You'd be shocked to learn that we have youth as young as 15 in the cybercafes, sending scam mails to unknowing victims. Some are in secondary schools, while some are not even educated," Felix said. He believes a long-term solution is to provide these young people with alternative occupations.

The world can continue to fight as hard as it will against 419 scams, but the 18 and 19-year-olds who troop to Nigerian cybercafes everyday in search of that one ignoramus americanus or britanus -- whose hard currency will transform their lives -- have more severe worries to contend with than fear of the FBI or Interpol.

And until these idle youngsters find a better alternative to the work which Beelzebub has found for them, sadly, the world will know no rest from their torment.

@highlight

Microsoft organized the 'Alternatives to Cybercrime' event in Nigeria

@highlight

Adeolu Adewunmi founded Street Skills to rehab former "419" email scammers

@highlight

'419' scammers range from 15-year-olds to the university-educated