JERUSALEM (CNN) -- Israel's two largest parties each claimed a mandate early Wednesday after exit polls showed a surprise first-place finish by the ruling Kadima party and dramatic gains by its conservative rivals.

Kadima's Tzipi Livni won more support than was predicted in the Israeli elections.

Foreign Minister Tzipi Livni's failure to assemble a ruling coalition for Kadima last year triggered Tuesday's elections. But she told supporters after the vote that the narrow edge Kadima appears to have held over the conservative Likud shows her party is "the common denominator of Israeli society."

Livni called on Likud leader Benjamin Netanyahu "to respect the choice of Israel's citizens ... and to join a unity government, led by us, that will be based on the large parties in Israel, left and right."

But Netanyahu said the showing by Likud -- which appears to have more than doubled the number of seats it holds in the Knesset -- Israel's parliament -- show voters have rejected Kadima's leadership, and he said conservative parties could form a majority when the results are in.

"With God's help, I shall head the coming government," he said. "I am sure that I can manage to put together a good, broad-based and stable government that will be able to deal with the security crisis and the economic crisis."

"It's a typical Israeli election in that you might have two winners," Israeli political analyst Chemi Shalev told CNN. "The clear-cut winner, in the sense that she did much better than any expectations, is Tzipi Livni and Kadima. But we have to judge elections by the bottom line, and if it turns out that ... Benjamin Netanyahu will be the the prime minister, he will be judged to have been the winner."

CNN correspondent Ben Wedeman and Israeli political analysts warned that exit polls had been wrong in past elections.

The campaign was dominated by the recent war with Palestinian militants in Gaza, which was popular within Israel despite widespread international condemnation. Netanyahu was a harsh critic of Kadima founder Ariel Sharon's 2005 withdrawal of Israeli troops and settlers from Gaza, and his supporters say he has been proven right.

Unofficial results gave Kadima a narrow lead over Likud, with the right-wing Yisrael Beiteinu in third place and Labor -- Israel's founding party and Kadima's current coalition partner -- in fourth.

According to Israeli media, with all precincts reporting, Kadima was on track to win 28 seats in the 120-member Knesset, the same as it currently holds. Likud was forecast to win 27 -- a dramatic jump from its current 12.

Yisrael Beiteinu was on track to win 15 seats, up from 11 currently, while Labor appeared to have slid from 18 seats to 13. A fourth-place finish would be an unprecedentedly weak showing for Labor, now led by Defense Minister and former Prime Minister Ehud Barak.

With those numbers, Avigdor Lieberman's Yisrael  Beiteinu, a party even further right-wing than Likud, would be the third largest faction in the legislature.

If the numbers hold up and Lieberman's party surpasses Labor, the founding party of the Jewish state, it would be unprecedented.

Lieberman, 50, is a polarizing figure whose party has been accused of racism against Palestinians and Arab citizens of Israel.

But he said early Wednesday that his party "is not only the key to the next coalition, it will also set the agenda for the next government."

And Likud member Reuven Rivlin, a former Knesset speaker, said voters decided "to change the ideas of the former government."

"We have to continue the negotiations with the Palestinians, but under mutuality and under the idea that it is a give and take -- that after the agreement, we will find ourselves at peace," Rivlin said.

Shalev suggested a Kadima-Likud-Labor coalition is possible -- but it was not clear who would lead it.

The next prime minister will have six weeks to form a coalition government.

A government needs a controlling majority of 61 in the 120-seat Knesset. Neither Likud nor Kadima is expected to reach even half that figure.

Livni took control of Kadima in September, when Prime Minister Ehud Olmert stepped down as the party leader amid several corruption investigations.

She has been careful not to cast herself as a dove in the election with advertising focused on the military assault in Gaza and tough statements against the Palestinian fundamentalist group Hamas.

Netanyahu served as prime minister from 1996 to 1999. He has supported the expansion of Israeli settlements in the West Bank and opposed further territorial concessions to end the decades-old Israeli-Palestinian conflict.

Kadima member Machman Shai told CNN that Livni "was attacked from the right and the left. They said she was not capable for the job -- very chauvinistic. And I think it was all wrong. She is a leader and up to leading Israel in the years to come."  Early joy at Kadima HQ »

"The majority of the people want a windfall," Netanyahu said Tuesday while casting his ballot. "They want a change of direction to security, honor and hope, and I think they will vote for this today."

About 5.2 million people were eligible to vote, choosing from 33 parties, with polls closing at 10 p.m. (3 p.m. ET). According to the Central Election Committee, 62.5 percent of eligible voters cast ballots -- about 2 percentage points higher than the country's last elections, in 2006.  Will a new leader make any difference? »

This year, the election was expected to largely determine which Israeli parties should take credit for the recent war in Gaza. iReport.com: See photos of the scene as voters head to the polls

Despite international condemnation over the high number of Palestinian civilian casualties, it was a popular war in Israel. Domestic support was strong throughout, especially among residents within Palestinian militant rocket range, and it was perceived in Israel as a success.

Polls showed that could bode well for Israel's right-wing parties.

Defense Minister Ehud Barak, head of the Labor Party, also hoped for a sizable boost from the three-week Gaza war. But it probably will not be enough to lead the government. Before the operation, Labor was tipped to win just eight seats. That doubled in some polls, albeit briefly.

A small number of rockets are still falling in southern Israel, and that could play into the hands of Netanyahu.

He was not in a position of power during the war, but he sought to capitalize on his opposition to Israel's 2005 withdrawal from Gaza, telling voters he warned the move would result in Palestinian militant rockets hitting major cities.

At the time he was ridiculed by his political rivals, but his supporters say he was proven right.

CNN's Michal Zippori, Paula Hancocks and Bill Schneider contributed to this report.

@highlight

NEW: Unofficial results show right-wing party overtaking founding party

@highlight

Polls shows Kadima is "common denominator of Israeli society," Livni says

@highlight

Netanyahu's Likud party doubles seats in Knesset, according to polls

@highlight

Analysts warn that Israeli exits polls have been wrong before