(CNN) -- A camera pans slowly over a row of children partly under a sheet, their eyes closed, their skin looking sallow. A man behind them, crazy with anger, shouts, "Stop lying to us! Stop lying! Where did all these children go? Where is this regime ... that is killing us?

"Chemical weapons," he screams, holding his head. "We were hit with chemical weapons!"

Inside a medical area, it's chaos. Footage shows people carrying limp bodies, some haphazardly covered in sheets, others splayed, nearly nude, on the floor. A man is on his back, staring blankly upward, his chest convulsing violently. Others hold tissues to their mouth, appearing to gag.

These were some of the videos posted online that opposition activists in Syria say show that the government has used chemical weapons in the countryside outside its capital Damascus.

The allegations come as a U.N. group arrived in Syria this week to determine whether either side in the conflict is using chemical weapons.

Hours after the videos were reported on across international news, U.N. Secretary-General Ban Ki-moon's spokesperson issued a statement saying that he was "shocked" by the reports. The U.N. mission is "fully engaged in the investigation process" and the team, which began work Monday, "is in discussions" with the Syrian government," the statement read. "The Secretary-General reiterates that any use of chemical weapons by any side under any circumstances would violate international humanitarian law."

Syrian activists have been pushing since March 2011 to oust President Bashar al-Assad.

CNN could not immediately verify where or when the videos were recorded, and could not authenticate the number killed or injured.

The war has killed more than 100,000 people and displaced millions, according to the United Nations.

There have been repeated allegations that chemical weapons were being used during the course of the conflict.

On Wednesday Al-Assad's government denied the allegations, calling them "completely baseless" on Syria's state-run media.

Initially Syrian opposition groups claimed that hundreds were killed Wednesday, but as the day wore on, the number went up -- more than 1,300 people, according to the opposition Local Coordination Committees and the Syrian National Council. The council is an umbrella group of anti-regime activists.

A senior Obama administration official said the United States had no official confirmation that chemical weapons were used in recent attacks in Syria.

"If true, it would be further evidence of unconscionable brutality by a desperate man and a desperate regime," the official said.

The White House released a statement about the allegations saying that the U.S. is "deeply concerned by reports" that chemical weapons were used" and that officials are "working urgently to gather additional information."

"The United States strongly condemns any and all use of chemical weapons," it reads. "Those responsible for the use of chemical weapons must be held accountable. Today, we are formally requesting that the United Nations urgently investigate this new allegation."

The U.S. urged that the U.N. team be given "immediate access to witnesses and affected individuals, and have the ability to examine and collect physical evidence without any interference or manipulation from the Syrian government.

"If the Syrian government has nothing to hide and is truly committed to an impartial and credible investigation of chemical weapons use in Syria, it will facilitate the UN team's immediate and unfettered access to this site."

"We are aware of the reports (of chemical weapons), and we are trying to find out more," U.N. spokesman Martin Nesirky said Wednesday.

The alleged attacks took place in eastern and western Ghouta, rebel strongholds that the regime has been desperately trying to take back for more than a year. They don't want rebels pushing into the capital.

"The inspectors will not come," said a resident who didn't want his name used. "If they wanted to come, they would have come a long time ago.

"The Assad regime determines where the inspectors go, and they will not let them go there. There is already a siege around eastern Ghouta from the Assad regime."

Syria strikes refugee camp in northern Lebanon

Russian officials, meanwhile, dismissed the claims of chemical weapons as a "provocation planned in advance," Russian Foreign Ministry spokesman Alexander Lukashevich told Interfax news agency.

"The fact that agenda-driven regional mass media have begun an aggressive attack at once, as if on command, laying all the responsibility on the government, draws attention," the reports quotes Lukashevich saying in a statement Wednesday.

"The fact that the criminal action near Damascus was carried out just when the mission of UN experts to investigate the statements on possible chemical weapons use there has successfully begun its work in Syria points to this," according to the report.

Hundreds reported dead

The injured started streaming in shortly after predawn prayers, said Dr. Abu Said at a field hospital in Sakba, east of Damascus.

Forty of the 200 people brought to the field hospital died, Said said.

A man who referred to himself as a volunteer first responder, Abu Gazi, said he heard rockets unlike any he'd heard before.

He went to Zamalka, the closest area to him that was hit. Over a few hours, his vision blurred, and eventually he lost vision and felt paralyzed, he said.

Abu Gazi said he was with a doctor at a field hospital in Arbeen who reported 300 people dead and 500 wounded.

The symptoms, he said, included unconsciousness, foaming from the nose and mouth, constricted pupils, fast heartbeat and difficulty breathing.

People died of asphyxiation, he said.

Bashar al-Assad is all smiles on his new Instagram account

Countries express concern

British Foreign Secretary William Hague called on the Syrian government to give access to the U.N. team.

"I am deeply concerned by reports that hundreds of people, including children, have been killed in airstrikes and a chemical weapons attack on rebel-held areas near Damascus," he said. "These reports are uncorroborated and we are urgently seeking more information. But it is clear that if they are verified, it would mark a shocking escalation in the use of chemical weapons in Syria."

The French Foreign Ministry said it didn't have independent confirmation that an attack took place as rebels claim, but it said those responsible for the alleged chemical weapons attack "will be held accountable."

"France also calls for light to be shed on the alleged use of chemical weapons in the attacks," the ministry said.

In denying the use of chemical weapons, a Syrian government spokesman said the reports were an "attempt to divert the U.N. chemical weapons investigation commission away from carrying out its duties," the state-run Syrian Arab News Agency reported.

Separately, Information Minister Omran al-Zoubi was quoted by SANA as saying that the government did not and would not use such weapons -- in the case they even exist.

"Everything that has been said is absurd, primitive, illogical and fabricated," he said on state TV. "What we say is what we mean: there is no use of such things (chemical weapons) at all, at least not by the Syrian army or the Syrian state, and it's easy to prove and it is not that complicated."

Chemical weapons frightful, relatively inexpensive

Fingerpointing on both sides

In June, the White House said al-Assad's forces had crossed a "red line" by using chemical weapons, including the nerve agent sarin gas, against rebel forces. This prompted the U.S. government to begin providing military support to opposition fighters, despite its earlier reluctance.

Syria's government, meanwhile, has claimed rebel fighters have used chemical weapons as well. That includes a March incident in Khan al-Asal in the northern province of Aleppo, according to state media.

Opposition officials have said rebels don't have access to chemical weapons or the missiles needed to use them in an attack, while other rebel leaders said Syrian troops fired "chemical rockets" at civilians and opposition forces.

The government has agreed to arrangements "essential for cooperation to ensure the proper, safe and efficient conduct of the mission," the U.N. secretary-general's office said last week. Khan al-Asal will be one of the three incidents that U.N. inspectors will look into, a U.N. official said in late July.

The opposition Syrian Observatory for Human Rights called on Ban on Wednesday "to apply all pressure within his powers to pressure the Syrian regime," according to a statement on Facebook.

"We assure the world that silence and inaction in the face of such gross and large-scale war crimes, committed in this instance by the Syrian regime, will only embolden the criminals to continue in this path. The international community is thus complicit in these crimes because of its polirazation, silence and inability to work on a settlement that would lead to the end of the daily bloodshed in Syria," it said.

Syrian refugees stream into Iraq

CNN's Arwa Damon, Yousuf Basil, John King, Saad Abedine, Mohammed Tawfeeq, Bharati Naik, Bryony Jones and Mohamed Aly contributed to this report.

@highlight

NEW: An opposition group accuses the international community of being complicit

@highlight

The U.S. can't officially confirm a chemical weapons attack, an official said

@highlight

The Syrian government denies using chemical weapons

@highlight

British, French governments acknowledge reports aren't verified but express concerns