Cape Canaveral, Florida (CNN) -- President Obama pledged his full commitment to the space program Thursday, outlining a new strategy that ends current programs while funding new initiatives intended to propel humankind farther into the solar system.

In a speech at the Kennedy Space Center, Obama outlined his proposal to pump an additional $6 billion into NASA's budget over the next five years while halting a project to resume lunar missions.

The new spending would be for research on a propulsion breakthrough to travel deeper into space, as well as development of technologies to allow humans to transport necessary supplies to work and stay longer, Obama said.

"I am 100 percent committed to the mission of NASA and its future," Obama said to applause from the audience of space program workers.

He outlined a program including a multibillion-dollar modernization of Kennedy Space Center, expansion of private-sector and commercial space industries, creation of thousands of jobs and eventually human travel to Mars.

"We will actually reach space faster and more often under this plan," Obama said, adding it would send more astronauts into space over the next decade than previously planned.

"By the mid-2030s I believe we can send people to orbit Mars and bring them safely back to Earth," Obama said. Landing on Mars will follow, and "I expect to be around to see it," he said.

Instead of being scrapped as originally proposed, the Orion crew capsule would be used as an emergency vehicle to reach crews at the International Space Station, Obama said.

Obama noted that the Constellation Program, which had sought to send astronauts back to the moon by 2020, is behind schedule, over budget and overall less important than other space investments.

The administration would instead invest in deep space exploration and scientific development, he said.

"We've been there before," Obama said of the moon. "There's a lot more of space to explore and a lot more to learn when we do."

The proposal, which has not yet been approved by Congress, troubles some lawmakers from states where space centers are located. A shift in priorities means jobs are at stake.

The main space centers in the United States are Kennedy Space Center in Cape Canaveral, Florida; Marshall Flight Center in Huntsville, Alabama; and Johnson Space Center in Houston, Texas.

In an attempt to address such concerns, Obama announced a $40 million initiative to promote regional development and job creation.

Allard Beutel, news chief at the Kennedy Space Center, told CNN that layoffs there will likely reach the 7,000 range with the end of NASA's space shuttle fleet and the cancellation of the Constellation program.

Obama noted that the space shuttle fleet is scheduled to be retired at the end of this year under a decision made six years ago. That will leave the Russian Soyuz capsules as the only avenue into space until commercial ventures are ready to do the job, expected to be years away.

The new strategy reflects a new era of international cooperation on space travel, Obama said, also noting that NASA always has collaborated with private companies on building space vehicles and other work.

Leroy Chiao, a former astronaut and the current vice president of Excalibur Almaz, a private manned space flight company, said it's time to "give the commercial guys a chance."

"NASA's job really should be to focus on pushing outside of low-earth orbit, of either going to explore near-earth asteroids, going back to the moon to test architecture and modules and hardware, operations for an eventual visit to Mars. So, NASA really should be thinking farther," Chiao said, adding that private companies could serve as a "taxi service" for NASA.

Some well-known astronauts from the Apollo program, which sent U.S. astronauts to the moon's surface from 1969 to 1972, criticized Obama's plan Wednesday, saying in a letter that "the USA is far too likely to be on a long downhill slide to mediocrity."

"America must decide if it wishes to remain a leader in space," the letter said. "If it does, we should institute a program which will give us the very best chance of achieving that goal."

The letter was signed by the first and last men to walk on the moon -- Neil Armstrong from Apollo 11 and Eugene Cernan from Apollo 17 -- and James Lovell, who commanded the heroic Apollo 13 flight.

They praised Obama's increase in total funding for space exploration, which includes money for research, the international space station and a heavy-lift rocket.

However, the astronauts said the decision to cancel the Constellation program for manned space flight "is devastating."

Armstrong's crewmate, Buzz Aldrin, supported Obama, saying NASA needs to explore new frontiers, not retrace 40-year-old footsteps.

Aldrin rode on Air Force One with Obama to Cape Canaveral, but the president said Aldrin didn't seem too impressed by a plane unable to reach low-earth orbit.

CNN's Ed Henry and Kristi Keck contributed to this report.

@highlight

NEW: Obama outlines his proposal to pump an additional $6 billion into NASA's budget

@highlight

NEW: President touts private-sector space initiatives, as well as a Mars mission by 2030s

@highlight

Well-known astronauts say cancellation of manned flight "is devastating"

@highlight

Apollo 11 astronaut Buzz Aldrin says NASA needs to explore new frontiers