Cairo (CNN) -- The military sought Monday to persuade Egyptians to end the demonstrations and strikes that culminated last Friday in the resignation of the president, and urged their countrymen to get back to work.

Though efforts are on track to "realize the legitimate demands of the people for a true democratic environment," widespread strikes and demonstrations continued Monday in certain state sectors, "even though normality has been restored," the Supreme Council of the Armed Forces said in a statement.

It cited "negative consequences" of continued unrest, including harming national security, adversely affecting the state's ability to get necessary goods to the public, disrupting production and operations, delaying the nation's return to "day-to-day life," adversely affecting the economy and "creating an atmosphere that gives the opportunity to irresponsible persons to commit illegitimate acts."

Hosni Mubarak's abdication leaves a council of generals, led by Defense Minister Hussein Tantawi, in charge of the Arab world's most populous nation.

Since Friday, the military has dissolved parliament, suspended the constitution and vowed to remain in charge until elections can be held in six months or so. In addition, it has declared a curfew from midnight until 6 a.m.

The Supreme Council of the Armed Forces said it would appoint a committee to propose changes to the constitution, which would then be submitted to voters. The council will have the power to issue new laws during the transition, according to a communique read on state television.

The military now finds itself confronting the economic problems that fueled the revolt, including massive youth unemployment and economic underdevelopment.

Sameh Shoukry, Egypt's ambassador to the United States, said Sunday that the generals have made restoring security and reviving the economy their top priorities.

However, a leading opposition figure said Sunday that the military must explain its plans in more detail or see a resumption of the demonstrations that drove Mubarak from office.

"They need to come out of their headquarters and start talking to the people and tell us what is in store for us," Mohamed ElBaradei told CNN's "Fareed Zakaria GPS."

Another opposition figure, Ayman Nour, said Monday that a man with a knife attempted to attack him while he was in Luxor meeting with supporters, who thwarted the man's attempt. The man then attempted to flee, but was arrested by the army, Nour said he was told.

Widespread strikes and demonstrations occurred Monday around the country, with thousands of state workers from various ministries demonstrating for better pay and better work conditions, witnesses told CNN.

The unrest has nearly emptied tourist hotels. In the Red Sea resort town of Sharm el-Sheikh, where Mubarak is reportedly holed up at a villa, "We are losing daily something like $20 (million) to $30 million -- at least in this area," said Adel Shoukry, secretary general of the Egyptian Hotel Association.

In London, British Foreign Secretary William Hague told the House of Commons he had encouraged the Egyptian government "to make further moves to accommodate the views of opposition figures."

He said he was heartened to hear Egyptian Prime Minister Ahmed Shafiq say that members of the opposition should be included in a reshuffled Cabinet during the next week.

Hague called for the release of all those detained during the 18 days of demonstrations that preceded Mubarak's resignation and said he wants "a clear timetable for fair and parliamentary elections." He added that he welcomes the military council's commitment to "all regional and international obligations and treaties."

Monday's admonition from the military came as mourners gathered at a marble memorial in Cairo's Tahrir Square to honor the victims of clashes, which began January 25. "Our country is forever indebted to these warriors," said Maha Nasser, who visited the memorial.

Some people placed flowers next to pictures of some of the more than 300 people estimated to have died during the 18 days of conflict that led to the ouster of the 82-year-old president, who had ruled with an iron fist for nearly 30 years.

A spokeswoman for Human Rights Watch called the estimate "conservative." Heba Morayef said it was based on the group's visits to just eight hospitals -- five in Cairo, two in Alexandria and one in Suez. "We were not able to access many other hospitals," she said.

Morayef expressed concern about the military, too. "It's unclear to what extent there are any limits on the power of the military, and that, obviously, is something that causes the human rights community some concern," she said.

But most Egyptians seem ready to give the military a chance to guide the country from dictatorship to democracy.

"Until they do something that's really huge and negative, I'm going to trust them, because we need that trust now," said television talk-show host and journalist Yosri Foda. "The genie is out of the bottle. Egyptians have now managed to rediscover themselves. I'm so proud of this part of the story. Yes, it will always be tempting for an Army man to stick to power. But they, too, probably realize now this is not a good idea."

The direction of the military was just one of many uncertainties that remain.

The status of Mubarak, who is reportedly staying in Sharm el-Sheikh, is a mystery. Some Egyptians are demanding he stand trial for crimes, including the demonstrators' deaths. Others are demanding an immediate repeal of Egypt's nearly 30-year-old emergency law, which allows the government to arrest people without charge, and the formation of a civilian body to oversee the transition to a new government.

On Monday, Tahrir Square, the center of the protests and the subsequent celebrations, remained a focus of activity, though a much diminished one. Military police dispersed about 70 protesters from the square Monday and did not allow members of the news media to take pictures of the event.

While the army detained protesters who tried to remain in the square, officials said they released the protesters after removing them from the square and used the practice to disperse the crowds.

A group of police officers joined demonstrators Monday, a sharp contrast to the clashes between police and protesters during the early days of the uprising.

"We didn't want to attack the protesters, but they (our superiors) told us if we didn't, they would put us in jail ... if we disobeyed their orders," one of the officers, Yousef Abdullah, said Monday.

Their role in supporting the Mubarak regime through the years has left the police widely unpopular. In the aftermath of the demonstrations, some police stations were looted and set ablaze. Though many residents recognize the role of police is critical to any society, only traffic cops were back on the streets of Cairo Monday. Regular police, afraid of being harassed, don't walk their beats, a spokesman said.

To make up for their absence, some people have organized neighborhood-watch groups.

Events in Egypt have been watched closely throughout the region. For the third day in a row, clashes broke out Monday between pro- and anti-government demonstrators in Yemen's capital of Sanaa. About 200 anti-government protesters rallied outside Sanaa University calling for regime change.

And on Monday, Algerian Foreign Minister Mourad Medelci told French radio network Europe1 that the country's state of emergency -- in place for almost two decades -- will be lifted in the "coming days."

The announcement came two days after anti-government protesters in Algeria chanted, "Change the power!" Security forces clashed with the crowds Saturday in Algiers and detained roughly 100 protesters, according to the opposition Algerian League for Human Rights.

Ambassador Shoukry said it was a "matter of pride" for Egyptians that their revolution was "organized and peaceful."

CNN's Ben Wedeman, Amir Ahmed, Fionnuala Sweeney, Nic Robertson, Arwa Damon, Hamdi Alkhshali, Ivan Watson, Joe Duran, Frederik Pleitgen, Raja Razek and Mohammed Jamjoom and journalist Ian Lee contributed to this report.

@highlight

Military declares curfew from midnight to 6 a.m.

@highlight

Rights advocate: "It is unclear to what extent there are any limits" on military's power

@highlight

Thousands of workers demonstrate for better pay, less corruption

@highlight

Military dispersing crowds in Tahrir Square