LONDON, England (CNN) -- The floodlights, corporate boxes and big screens at sports stadiums are all massive power sappers - but there's an increasingly popular technology which is chewing more energy than ever before.

Power-sapping technology: lighting rigs, like these ones installed at Telstra Dome are used to help grass growth.

The culprits are giant lighting rigs. The rigs are being adopted by football stadiums across Europe and the United Kingdom to encourage grass growth, but they're creating a significant footprint in doing so.

So, who's using the most power?

English Premier League football superpower Arsenal could have one of the worst carbon footprints in the region as its home ground is believed to use the biggest set of lighting rigs in the United Kingdom.

The club has been accused by environmental groups of using enough energy to power a small village in order to grow the grass on their home pitch.

The team's state of the art Emirates Stadium, which opened in 2006, boasts a set of 12 lighting rigs with huge sunlamps that run most of the year providing sufficient light to keep the turf growing and in a healthy condition.

The rigs, which have more than 600 light bulbs, have come under heavy criticism from environmental groups, who say they are "irresponsible."

What do you think of grass lighting rigs? Do you think they are useful or a waste of energy? Share your thoughts in the Sound Off box below -- we'll publish the best.

Purchased for more than $1,400,000 from Netherlands-based business Stadium Grow Lighting Concepts, the rigs can cover almost half of Arsenal's home ground at a time. The lamps contain sensors on the pitch to determine how many hours of light the grass needs in order to stay green.

Similar lights are used at seventeen other venues around the United Kingdom. Liverpool's Anfield ground has 10 lighting rigs, and Cardiff's Millennium Stadium uses nine.

In comparison, Wembley uses four, while Manchester United use just three rigs, at Old Trafford -- but there are plans to expand this.

It's not just in the United Kingdom these lighting rigs are proving popular.

The Telstra Dome in Sydney, Australia, earlier this year purchased 15 lighting rigs to improve grass growth at the venue.

Other projects have been implemented across football grounds in Germany, Greece, the Netherlands, Spain, Russia, Ireland and Qatar.

Another major power sapping technology at Emirates Stadium is the air ventilation system below the turf, which is powered by a huge fan that helps keep the grass in ideal condition.

The system's pipe-work is in the gravel bed below the turf, and above a heating system. The ventilation can work in two directions. In one direction, it provides aeration through the gravel bed and through the root zone to promote growth. Reversing the air system can provide drainage from the root zone down to pull moisture away from the surface.

But, there is hope these stadiums can reduce their energy consumption.

While football stadiums in Europe and the United Kingdom are making environmental blacklists -- one stadium in the U.S. has entered the "green list."

The Washington Nationals' new baseball park that opened earlier this year became the first LEED (Leadership in Energy and Environmental Design) certified stadium in the United States.

In order to earn the certification, the park was fitted with energy-saving light fixtures, water-conserving plumbing, drought-resistant plants, and a green roof over the concessions area.

It also has systems in place to keep storm water runoff from polluting a nearby river, and it was built on a restored brown field that once had contaminated soil.

The Green Building Council's Brendan Owens told Reuters, "One of the things that really strikes me about stadium facilities is that they directly touch millions of people over the course of their existence,"

Owens felt the eco-friendly design would encourage visitors to help the environment in other ways.

@highlight

Football stadiums across Europe and the UK are using lighting rigs to grow grass

@highlight

Arsenal's Emirates Stadium is believed to have twelve lighting rigs

@highlight

The rigs have been used in Germany, Spain, Greece, Qatar, Ireland and Australia