ATLANTA, Georgia (CNN) -- When Erika Clowes was pregnant, she figured breast-feeding would be a breeze. After all, she'd read all the books and taken all the classes. After an easy birth, she brought home her baby, Charlie, and waited for paradise to begin.

The bagged breast milk filling Erika Clowes' freezer is evidence of how nursing dominates a new mom's life.

But instead, it was a nightmare.

Charlie wouldn't latch onto her breast. She was in horrible pain. She had to wake up every two hours around the clock to pump milk and then feed it to Charlie from a bottle. He had colic and cried nearly all the time. She'd been so devoted to the idea of breast-feeding, but now felt like quitting.

"I felt betrayed and completely deceived, because nobody told me it would be this hard," she says. "It was the darkest time of my life."

Clowes almost became a statistic.

According to new numbers from the Centers for Disease Control and Prevention, 74 percent of mothers try breast-feeding, but after three months only 30 percent still exclusively nurse their babies. After six months, the number dwindled to 11 percent.   Take our interactive quiz to see how much you know about breastfeeding »

The study didn't track the reasons the women quit nursing, but experts including Los Angeles, California, lactation consultant Corky Harvey said many women have a hard time nursing and don't know where to turn for help. She says one common reason for quitting is that women mistakenly think they don't have enough milk and decide to give the baby formula. Other women quit nursing when they go back to work, and others stop because family members encourage them to give bottles instead of breast milk.

What kept Clowes from giving up was the "Booby Brigade."

In the middle of the sleep deprivation, hormone rages, and feelings of failure, Clowes figured she had to do something. So she started the Booby Brigade, a group of new mothers near her home in Silver Lake, California, who met online and in person to give each other breast-feeding advice and support. With help from them, and occasionally from a lactation consultant, she was able to nurse Charlie consistently in about four months.

From Clowes, her lactation consultant, and another mother who started a support group, here are five breast-feeding mistakes new moms make, and how to fix them:

Mistake 1: Moms go it alone

Solution: Get out of the house -- fast

Clowes was reluctant to join -- let alone start -- a support group. "I hate that kind of thing," she says. But she did so out of desperation, and found the technical advice (how to latch on, how to deal with nipple pain) and emotional support indispensable.

Anthropologist Katherine Dettwyler, who studies breast-feeding, isn't surprised that women often fail at breast-feeding when they're left alone at home to raise a new baby. "Humans are very social creatures, and most of the world lives in extended families," says Dettwyler, an adjunct professor at the University of Delaware. "You have mothers and grandmothers around who knew everything about breast-feeding. You're not isolated at home for eight or 10 hours a day."

In addition to the Booby Brigade, Clowes joined a support group at The Pump Station, a local store that sells nursing pumps. La Leche League also has support groups. If you don't find a group, start your own, Clowes suggests. "I walked around my neighborhood and would just hand out a card with my name and phone number on it to other moms," Clowes says.

Mistake 2: Moms forget about their successful breast-feeding friends

Solution: Invite one over

While lactation consultants can be wonderful, they can also be expensive -- a visit from one in the Los Angeles area costs $200-$300 an hour, according to lactation consultant Harvey. Amanda Corbin, a mom who started a support group called "Got Milk?" in Tampa, Florida, says sometimes help can be free. She suggests inviting over a friend who's breast-fed successfully, and show her your attempts at nursing. It might be embarrassing to reveal all to your friend, Corbin says, but "we lay down our dignity during labor, so go ahead and lay down your dignity when it comes to the health of your baby."

Mistake 3: Moms assume they don't have enough milk

Solution: Rethink your baby's nursing behavior

Many times, new moms think if baby won't stop nursing, he must not be getting enough milk, so they give him formula. "Sometimes babies just nurse and nurse and nurse -- that's just what babies do," says Harvey. "It doesn't mean you don't have enough milk. It just means you should keep nursing."

Mistake 4: Moms get intimidated breast-feeding in public

Solution: Have snappy comebacks at the ready

Clowes says occasionally mothers in her group reported getting nasty comments when they've breast-fed in public. She suggests having a few retorts at the ready. On her Web site, crankylittleman.com, she has these two suggestions: "If you're uncomfortable seeing my baby eat, you are welcome to cover yourself with this baby blanket. I'll let you know when we're done," and "You think this is something? You oughtta see where he came out!"

Mistake 5: Moms panic when milk doesn't gush out

Solution: Realize that at the very beginning, you're not going to see a lot of milk

Through her work at the Booby Brigade, Clowes found some moms were expecting torrents of milk from the very beginning, and when they didn't get it, they'd give baby a bottle. They didn't understand that right after birth, moms produce small amounts of colostrum, a concentrated, nutrient rich liquid that's measured in teaspoons, not ounces, and is the perfect food for newborns. E-mail to a friend

Elizabeth Cohen is a correspondent with CNN Medical News. Producer Stephanie Smith and Associate Producer Sabriya Rice contributed to this report.

@highlight

CDC study finds most women quit breast-feeding within six months

@highlight

Common obstacles: worry about adequate milk production, inconvenience

@highlight

Seeking help, from friends, lactation consultants is key, experts say