(CNN) -- Wildfires are fast-moving targets, so one of the most important weapons firefighting teams can have is timely, precise information about where the fire is, where it's likely to spread and what's in its path.

In the past couple of years, firefighters have gained a significant advantage: aircraft equipped with heat-detecting infrared sensors and special communication equipment now can relay to firefighting teams on the ground, in minutes, a fire's precise location, as well as where new "hotspots" are cropping up, even before they burst into visible flame.

"When I was an incident commander, I would have killed for this kind of data," said Russ Johnson, the director of public safety and homeland/national security for Esri, one of the world's leading geographic information companies. In past decades he commanded operations to fight major wildfires, including the massive Yellowstone wildfires of 1988 which scorched about 1.2 million acres.

Monitoring wildfires with infrared sensors from aircraft isn't new, but the level of detail and speed with which this data gets transmitted to firefighting teams has been revolutionized.

"Those aircraft used to have to fly at night, because you couldn't gather good thermal data during daylight hours," Johnson said. "Then you'd have to wait for the plane to land, and then for the thermal imagery to be processed. If we were lucky, we'd get that information on printed maps by 4 or 5 in the morning -- just maybe in time to brief firefighters before they went out on the line.

"Today those flights can happen in daylight with vastly improved accuracy, and incident commanders get that data electronically in two minutes on a computer-based map. We now have accurate, almost real-time situational awareness on the spot. That makes all the difference."

Wildfires generally have a perimeter marked by an advancing line of flame. But burning debris gets sucked up into the column of hot air over the fire and deposited ahead of the fire line, often causing new spot fires where they land, up to half a mile away. These hotspots also can be caused by burning debris rolling downhill on a steep slope. Left unchecked, new hotspots can smolder invisibly for hours or days.

"Incident commanders and emergency responders who are managing fires need to make decisions on where to focus air drops of fire retardants and other resources," Johnson said. "With this new hotspot information, all of a sudden I know: down there in that canyon, not visible yet, there's a hotspot. So let's divert some air assets to hold it while it's still small and later deploy firefighters there. That's so much better than discovering the hotspot only when it busts out of a canyon, when it's strong and harder and more dangerous to fight."

How does this data get to firefighting operations so fast? Generally it's transmitted over the Internet (via broadband or wireless carrier networks) on a secure website, which decision-makers and emergency responders can access via computers or smartphones. But where a direct connection to these conventional networks isn't available, that data can travel the "last mile" by packet radio, a technology long used by amateur radio operators.

Meanwhile, brand new technology is also having an impact on fighting wildfires.

Unmanned aircraft -- sometimes called "drones" -- also are starting to play a bigger role in fighting wildfires. According to Aero-News Network, as of June the Federal Aviation Administration had authorized nearly 60 private and government entities to operate unmanned aircraft systems in domestic airspace for many purposes, including fighting wildfires.

In the latest issue of Earth Imaging Journal, Thomas Zajkowski, a remote sensing specialist with the U.S. Forest Service Remote Sensing Applications Center, explained that in addition to carrying sensors, drones also can help form a data transmission network to quickly transmit thermal imagery and other information to firefighting operations.

But so far, firefighting reconnaissance drones aren't commonplace. Johnson said they've been used mainly "when fires get politically visible. Once a fire becomes catastrophic, they turn the drones loose to collect information and data."

That's because it's complicated to work drones into firefighting procedures, especially for managing aircraft and air space over fire areas.

Johnson explained, "When there's a wildfire, emergency airspace gets declared. This restricts all aircraft near the incident. Procedures for managing drones along with air tankers and other aircraft would have to be built into that protocol. I think in the future, if drones can be cost-effectively and safely applied, they'll become very common and useful in fighting wildfires. But that's a few years down the road."

Satellites and even the International Space Station also help fight wildfires. In particular, satellites operated by NASA and the National Oceanographic and Atmospheric Administration can supply current data on wind direction and speed, as well as the dryness of surrounding areas. This can help predict where, and how fast, a fire will spread.

An agreement signed in June will allow NASA and the U.S. Forest Service to collaborate on raising wildfire awareness. This partnership will highlight connections between wildfires, forest and plant growth research, and materials science.

Zajkowski noted in Earth Imaging Journal: "This joint effort is enhanced by the personal interest of astronaut Joe Acaba, a flight engineer aboard the International Space Station. Acaba is an avid outdoorsman who has focused much of his career on the environment. He selected Smokey Bear, the forest service's mascot, as the zero-gravity indicator and talisman for his Soyuz flight to the orbiting laboratory in May.

"Acaba and his crewmates recorded high-resolution video and photographs of recent wildfires in Colorado and Utah."

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Firefighters have new technology to put out flames before they spread

@highlight

Tech like infrared sensors isn't new, but greatly improved by the Internet

@highlight

Planes allow for remote monitoring of wildfire situations, drones used in catastrophes

@highlight

Organizations like NASA and NOAA are collaborating to monitor nature from space