Tokyo (CNN) -- Despite being urged not to hoard bottled water, residents of Japan's capital on Wednesday snapped it up in droves after testing showed radioactive material in tap water at levels unsafe for infants.

The city's water agency said the spike was likely caused by problems at the Fukushima Daiichi nuclear plant, located 240 kilometers (150 miles) away. Earlier Wednesday, Tokyo government officials advised residents not to give tap water to infants or use it in formula after tests at a purification plant detected high levels of radioactive iodine.

Grocery store owner Seiji Sasaki said he noted a sudden increase of customers. He had 40 cases of water in his store, but they were gone quickly.

Meanwhile, officials evacuated some workers at the Fukushima plant Wednesday afternoon as a black plume of smoke billowed above one of the reactors, plant owner Tokyo Electric Power Co. said. The cause of the smoke was unclear.

The team of seven workers were planning to inspect gauges and instrumentation at reactor No. 3, but were unable to determine conditions in the control room before evacuating, officials with Tokyo Electric and Japan's Nuclear and Industrial Safety Agency said.

Workers have been scrambling to cool down fuel rods at the nuclear plant since a 9.0-magnitude earthquake and massive tsunami on March 11 knocked out cooling systems.

Some radiation has been released, officials said, but it was unclear whether radiation levels spiked after the black smoke was spotted Wednesday. Japan's nuclear agency said radiation levels near the plant had not changed, public broadcaster NHK reported.

But in Tokyo, concerns over radiation surged.

Government samples taken Tuesday night found 210 becquerels of radioactive iodine per kilogram of water -- two times higher than the limit that the government considers safe for infants.

The amount of iodine detected was lower than the level considered safe for adults: 300 becquerels per kilogram. A liter of water weights 1 kilogram. A becquerel is a measurement of radioactive intensity by weight.

The level set for infants is "very conservative," said Dr. James Cox, radiation oncologist at MD Anderson Cancer Center in Houston and a CNN consultant, but elevated radiation levels are considered a problem for small children, as their thyroid glands are more susceptible to radiation.

"Erring on the side of caution for the extreme degree for children makes good sense," Cox said. For adults, "as far as the immediate health risk, something that would make people sick, I don't think that would come close to it."

In response, Tokyo's government will distribute 3,500-milliliter (1-gallon) bottles of mineral water to 80,000 households in the city with infants, Japanese public broadcaster NHK reported Thursday.

The government has said that, due to the high radiation levels, tap water should not be given to children 1 year old and younger. Authorities have advised day care centers and other such facilities not to use tap water for drinks or to prepare baby food. More bottled water is expected to be distributed to families in the future, according to NHK.

Also Wednesday, Japan's government expanded food shipment restrictions after the health ministry said tests detected radioactive materials at levels exceeding legal limits in 11 types of vegetables grown near the Fukushima plant.

Prime Minister Naoto Kan asked Ibaraki Prefecture to suspend shipments of raw milk and parsley, Chief Cabinet Secretary Yukio Edano told reporters Wednesday. The government of Fukushima Prefecture also told residents not to eat leafy vegetables, he said.

Edano said radiation levels in the food would not cause health problems right away, but if radiation rises, "We are looking at the possibility of levels reaching levels that may harm human health."

The decision to prohibit produce sales is another potentially devastating blow to a part of northeast Japan hit by the earthquake and tsunami.

Fukushima ranks among Japan's top producer of fruits, vegetables and rice. Ibaraki, south of Fukushima, supplies Tokyo with a significant amount of fruits and vegetables and is Japan's third-largest pork producer.

"This is our livelihood," a Fukushima farmer told Japanese television network TV Asahi. "It's a huge problem that we are unable to ship all our produce. We raised (this produce) with our own hands. It's unbearable that we would have to throw it all away."

Hong Kong on Wednesday said it was restricting food and milk imports from certain prefectures over the radiation concerns. The United States previously announced import alerts covering milk, milk products, fresh vegetables and fruit from prefectures near the reactors.

Police say the dual disaster has killed at least 9,487 people and left at least 15,617 missing, many of them killed as a wall of water rushed in following the quake.

Meanwhile, about 387,000 evacuees are staying at 2,200 shelters, Japan's Kyodo News Agency reported. Relief efforts to help them and other victims continued, with U.S. military helicopters delivering food, clothes and supplies to some of the hardest-hit areas.

"We remain focused on fewer than 10 cases of U.S. citizens that remain unaccounted for in the areas hardest hit by the earthquake and tsunami," State Department spokesman Mark Toner told reporters Wednesday.

In addition to the stories of people struggling to survive in quake-ravaged towns in northeastern Japan, the plight of workers braving high radiation levels to solve problems at the troubled plant has also drawn attention.

Tokyo Electric said Wednesday that two workers were injured at the plant while working with an electric panel. The workers, whose injuries did not involve exposure to radiation, were treated by a doctor at the nearby Fukushima Daini plant.

"We are constantly switching over all the time, since the work cannot be stopped," one worker told TV Asahi.

"It has settled down quite a lot compared to the beginning, and we could even begin to see a bright hope that maybe it would somehow work out in a little bit," another worker said in what the network touted as the first televised interviews with workers.

But authorities said Wednesday that work was far from over at the plant.

Members of Tokyo's fire department planned to start spraying water into the spent-fuel storage pool outside the plant's No. 3 reactor Wednesday, according to Hidehiko Nishiyama of Japan's Nuclear and Industrial Safety Agency. Power has been restored in the control room at that reactor -- which officials say could be a key step in bringing cooling systems back online.

"Until we get power restored to the power plant, continuing doing what they have been doing for the last 12 days is, quite honestly, the only game in town," said Michael Friedlander, a former senior operator at three U.S. nuclear power plants who has been following the situation at the Fukushima Daiichi plant.

"It's absolutely essential that they keep the reactor covered with water as well as continuing to refill it," he said. "But getting the power restored and getting the equipment moving so they can get back on track is essential. At that point, we can determine the emergency is in the final stages."

He predicted power would be restored gradually to the plant over the next few days. "The power source is going to the main control room because that is the main nerve center of the entire plant," he said. "Once they get that restored, then we have some instrumentation and we can figure out what's going on in the power plant that up to this point has been almost impossible to figure out."

Once that is done, he said power will be sent to individual pieces of equipment and the situation will be analyzed. He estimated it could take two weeks or more to get the plant "in a stable, cold shut-down configuration."

"It is an industrial catastrophe," said Lake Barrett, a nuclear engineer who directed the initial cleanup and response of the Three Mile Island plant in Pennsylvania following a partial core nuclear meltdown in 1979. "It's a huge plant, and it's been basically destroyed internally and has high contamination levels inside. There are areas in the building where no human's going to go for a long time."

But, Barrett told CNN, "it's also not a health catastrophe -- as long as the people follow the instructions from the government, they're going to be safe in Japan."

The No. 3 reactor has been a priority for authorities trying to contain damage to the plant and stave off a possible meltdown. Its fuel rods contain plutonium mixed with uranium, which experts say could cause more harm than regular uranium fuels in the event of a meltdown.

"We have progress in stabilizing cooling capacity. We most progressed in the No. 3 reactor," Edano said. "On the other hand, we are trying to figure out ... the cause of the smoke."

With the nuclear plant's six reactors in various states of disrepair, concerns have mounted over a potentially larger release of radioactive material from the facility.

Efforts over the past several days have focused on restoring power at the facility while fire trucks and cement pumps sprayed water on spent fuel ponds, which contain used fuel rods with radioactive material.

Embassies from more than two dozen countries have either closed down or moved operations to cities south of Tokyo since the earthquake and the resulting nuclear crisis, the country's Foreign Ministry said Wednesday.

"There are 25 embassies which either temporarily shut down or moved its function outside of Tokyo," Foreign Ministry spokesman Hidenori Sobashima told CNN. Seven of those 25 have moved to cities such as Osaka, Hiroshima and Kobe, Sobashima said.

CNN's Tim Schwarz and Ingrid Formanek contributed to this report

@highlight

NEW: Tokyo's government will give water to 80,000 households with babies, NHK reports

@highlight

Tokyo water officials say tap water contains twice the limit of radioactive iodine for infants

@highlight

Hong Kong joins U.S. in restricting imports

@highlight

Residents make a dash for bottled water