(CNN) -- Watching Peter Dearman at work amid the clutter in his garage cum workshop, it's easy to see why one of his sons refers to him as a sort of "nutty professor."

The British inventor has been tinkering with "liquid air" engines at his home in Bishop's Stortford, Hertfordshire for more than three decades.

"I don't think it's any good having ideas and not being able to make them. It's very difficult if you just go to people with ideas -- you can't actually show them it working," Dearman says.

All that hard work is starting to pay off, as interest in the 61-year-old's invention -- which has applications for both motoring and renewable energy storage -- gathers pace.

Liquid air is essentially air which has been cooled to very low, or cryogenic, temperatures (around -190 degrees Celsius or -310 degrees Fahrenheit) and can be stored in insulted containers.

Read: Mine Kafon: The low-tech tumbleweed minesweeper

When exposed to heat, the liquid starts to expand as it turns back into a gas. If this process of reheating is conducted in a confined space, say, an engine cylinder, it creates high pressure air which can drive a piston.

Whilst building a car powered by liquid air is nothing new -- a model was demonstrated as early as 1903 -- Dearman's adaptation is.

"The unique thing about this engine is that it uses a heat exchange fluid (in this case, anti-freeze) which is placed on top of the piston in the cylinder," Dearman explains.

"Into that we introduce liquid nitrogen which is atomized and gives us good heat contact. The heat exchange fluid keeps the gas warm (as the piston moves up and down) and increases the efficiency."

Dearman has come a long way since he developed his first working prototype using a modified a lawn mower engine. Today, he demonstrates a custom-built car which runs smoothly around a farmyard near his home.

Read: Shutter shades creates new fashion code

The technology has caught the eye of British engineering company Ricardo who are currently building an engine based on Dearman's design for use in agricultural vehicles and mining equipment.

The company say the engine has "numerous practical applications in the future market place ... and is likely to compete with hydrogen fuel cell and battery electric systems."

Liquid air could also help store surplus energy generated by wind and solar.

"[Energy storage] is essential because, with any renewable energy source, it's variable. So you have to be able to store a certain amount of it to cope with peak demand," Dearman said.

A pilot power plant in Slough, Berkshire -- the first of its kind in the world -- is currently trialing the technology.

Read: Toy chopper takes mental concentration to new heights

A huge vacuum flask at the facitlity holds 60 tons of liquid air, but instead of anti-freeze, they mix it with waste heat coming from the neighboring power station.

But the principles are exactly the same, Dearman says.

"We take a large tank, heat it with waste heat and that creates the pressure that runs the turbine which creates electricity ... simple," he says.

The plant run by Highview Power Storage -- a company co-founded by Dearman and jointly funded by the UK government -- can generate 500 kilowatts of power, he says, but there is nothing to stop them being made on a much larger scale.

Using waste heat also raises efficiency levels up to 70% -- not as high as the 80% battery storage can achieve, but competitive. It also has one crucial advantage, Dearman says.

"Batteries aren't really scalable, you can't use them worldwide because there's not enough materials to make batteries from. So you need a system that doesn't use scarce resources," he said.

The UK's Institution of Mechanical Engineers (IMechE) recently launched a working group investigating the potential of liquid air storage.

Speaking in October, IMechE's Head of Energy and Environment, Tim Fox said: "Liquid air and liquid nitrogen are an exciting alternative we should explore to store energy. It seems to address many of the challenges we face and is affordable, uses mature components and is highly scalable."

All this is rich encouragement for Dearman, who isn't driven by money, but by a lifelong fascination with energy and a desire to help make the world a more efficient place.

"It's not right that one generation should use up most of the world's resources during their lifetime. So, the more we can do to alleviate that the better, I think."

@highlight

British inventor Peter Dearman develops novel engine powered by "liquid air"

@highlight

The 61-year-old says his technology can be used to power cars and store energy

@highlight

British engineering company, Ricardo building an engine based on Dearman's design

@highlight

UK pilot power plant demonstrating how liquid air can be used to store intermittent renewable energy