(CNN) -- It hasn't been a blockbuster year for Nintendo, the video-gaming company that brought us "Donkey Kong," "Super Mario Bros." and the Wii.

Sales of the Wii U, Nintendo's latest gaming system, have been soft and the company has struggled to get enough top-tier games in front of the players clamoring for them. And while Microsoft and Sony have made headlines at E3, the video game industry expo underway this week in Los Angeles, Nintendo has kept a lower profile, forsaking its usual splashy keynote in favor of a smaller news conference.

But Satoru Iwata, president and CEO of Nintendo, believes the company can rebound by focusing on Wii U games. In an interview this week for CNN, Iwata admitted the company made missteps with the introduction of the Wii U. But he remains convinced a strong lineup of upcoming Wii U software will get gamers excited about the living-room console.

He just needs them to play it.

"Those people who have already purchased the Wii U and are enjoying Wii U, they have already realized the value of the Wii U, and I understand that they are highly appreciating the entertainment experiences provided by Wii U," Iwata said through a translator. "But the fact of the matter is Wii U has yet to prove what is so unique (about it), unlike how ... with a first glance, people were able to understand how different Wii was."

At E3, Nintendo's booth on the trade-show floor offered people a hands-on experience with six new Wii U titles: "Pikmin 3," "Super Mario Bros. 3D World," "Legend of Zelda: Wind Waker HD," "Donkey Kong Country: Tropical Freeze," "Bayonetta 2" and "Mario Kart 8."

Nintendo is letting fans demo four of these games -- "Donkey Kong Country: Tropical Freeze," "Super Mario 3D World," "Mario Kart 8" and "Legend of Zelda: Wind Waker" -- at select Best Buy stores in North America this Saturday from 1 p.m. to 5 p.m. Players can also visit the Nintendo World store in New York to try out the new titles.

Nintendo faces increased competition from Microsoft and Sony, both of whom have new consoles -- the Xbox One and PlayStation 4, respectively -- coming out this fall in time for the holiday season. To compete, Iwata believes Nintendo needs to get the games into as many people's hands as possible so more gamers can understand the value of the Wii U.

"We just don't care too much about what other companies are doing or are trying to do," he said. "Our primary focus is to think about and actually carry out something which other company's hardware can never realize. We are trying to provide consumers gaming experiences that can only be available on Nintendo platforms.

"Software sells hardware," he added. "The number of hardware selling and the number of people who can experience the unique attractions of the Wii U are going to increase, and thereby the knowledge and the understanding about the Wii U system shall naturally expand."

Wii U problems

According to Nintendo's financial statement for the fiscal year ending March 31, Wii U hardware sales had a negative impact on the company's profits to the tune of 36.4 billion yen, or more than $385.7 million. The report directly blames a delay in development of new games for the soft sales (3.45 million units worldwide).

But the company is forecasting 9 million units sold for this fiscal year based on its games-first plan.

Critics of the company have been saying the Wii U needs more new and exciting games to succeed. Brett Molina, online tech producer for USA Today, said the Wii U can rebound even though it might appear they are already behind the times.

"Once we see more first-party content for the Wii U, we could see momentum improve," Molina said. "But they need the equivalent of 'Wii Sports' for the Wii U to convince consumers of the strength of the GamePad. There hasn't been that kind of game yet."

Max Parker, video game columnist for the Pittsburgh Post-Gazette, thinks games are indeed important to the future success of the Wii U, but Nintendo's early mistakes with the console could hamper any recovery efforts.

"Nintendo did a poor job in marketing the Wii U. Sharing part of its name with its predecessor was a misstep," Parker explained. "The public was unsure if the Wii U was a new console or a peripheral of the Wii. Nintendo didn't make it clear in their marketing that the Wii U was their new home console to replace the Wii."

If history is any indicator, the release of games for the Wii U could help drive hardware sales for Nintendo. Their handheld console, the Nintendo 3DS, also suffered from lagging hardware sales in the beginning but has rebounded to become a powerhouse in the marketplace.

A May report by NPD Group, a video games market research company, said the handheld console sold more than 2 million units of first-party software titles in the first four months of 2013, something that took them more than seven months to do last year. Nintendo 3DS was the only gaming platform to show a year-to-year growth despite an overall decrease in industry sales by 25%.

Handheld gaming

Five of the top ten best selling franchises in home console history are exclusive to Nintendo -- Mario, Zelda, Smash Bros., Mario Kart and Wii Fit. Molina said they need to get their stars out front.

"Nintendo isn't just coming out with rehashes of the same game. They're doing more to make sure these games are original," Parker said. " 'Super Mario Galaxy' was one of the best franchises on the Wii. They can keep reusing the same characters if you ask me, as long as they keep coming up with new ways to play."

In addition to the looming shadow of its competitors' new consoles, Nintendo has also contended with the rise of smartphone gaming as a potential threat to its handheld Nintendo 3DS console. Iwata says he's not concerned.

"There are a number of people who have watched the spread of smart devices today who are concluding that handheld gaming devices would not have a future at all," Iwata said. "(But) a number of trade people, retailers and distributors, are visiting the E3 show right now, and I understand they believe the potentially biggest seller for them this year ... is going to be Nintendo 3DS."

According to Nintendo, 3DS software sales of first-party titles in countries such as France, Germany and Belgium are driving hardware sales as well. The company is projecting sales of 1.8 million hardware units and 8 million software units for the 3DS in the next fiscal year.

"Nintendo should be thankful for the success of the 3DS," Parker said. "They have managed to turn that handheld around since its dark beginnings, and it has become quite a success for them."

"Whether it happens with Wii U remains to be seen," Molina added.

Again, it all comes back to games. But is it too late to get people's attention? Iwata says no, and is ready to back it up with action.

"Starting from this summer, Nintendo is preparing for a very strong first-party software line-up that people really want to try out. By selling the software, we'd like to expand the hardware sales of the Wii U system. That's our message."

@highlight

Nintendo president says new titles will turn around lackluster Wii U sales

@highlight

Japanese company has kept low profile at this year's E3 video-game expo

@highlight

Iwata compares Wii U to Nintendo 3DS, which started slow then picked up

@highlight

New "Mario Bros.," "Zelda" and "Donkey Kong" titles are on the way