(CNN) -- Amid solemn commemorations on Tuesday's 11th anniversary of the 9/11 terrorist attacks, President Barack Obama and other leaders emphasized how America has emerged stronger from the devastation that killed more than 2,900 people and forever changed the nation and the world.

"This anniversary allows us to renew our faith that even the darkest night gives way to the dawn," Obama said at the Pentagon, where 184 people died when one of four hijacked planes slammed into the iconic building symbolizing U.S. military might.

"As painful as this day is and always will be, it leaves us with a lesson that no single event can ever destroy who we are, no act of terrorism can ever change what we stand for," Obama said, adding: "When the history books are written, the true legacy of 9/11 will not be one of fear or hate or division. It will be a safer world, a stronger nation, and a people more united than ever before."

Earlier, Obama and first lady Michelle Obama stood with heads bowed and hands clasped on the White House lawn to observe a moment of silence at the exact time the first hijacked plane hit New York's World Trade Center in 2001.

White House staff stood in quiet observance on the grass behind them as a lone bugler played "Taps."

Opinion: How we honored our son's memory

At the ground zero site in lower Manhattan, family members and others read the names of the 2,753 people killed there. No politicians were included in the New York ceremony, near a new high-rise tower built where two hijacked planes destroyed the World Trade Center buildings.

Obama later went to Arlington National Cemetery. He also was to visit wounded troops at the Walter Reed National Military Medical Center, while Vice President Joe Biden attended a commemoration near the crash site of another hijacked plane in Shanksville, Pennsylvania.

"What they did for this country is still etched in the minds of not only you, but millions of Americans forever," Biden said of passengers on Flight 93 who forced the hijackers to crash the plane believed headed for a suicide attack on the U.S. Capitol. All aboard died.

In deeply personal remarks that reflected his own experience of losing his wife and daughter in a 1972 car crash, Biden told family and loved ones of the victims that "no matter how many anniversaries you experience, for at least an instant, the terror of that moment returns -- the lingering echo of that phone call; that sense of total disbelief that envelops you, where you feel like you're being sucked into a black hole in the middle of your chest."

Neither Obama nor Biden planned any campaign events for the day, even though the November election against Republican challenger Mitt Romney is less than two months away.

In a speech Tuesday afternoon to a National Guard Association meeting in Nevada, Romney refrained from his usual political attacks.

"I would normally speak to a gathering like this about the differences between my and my opponent's plans for our military and for our national security," the former Massachusetts governor said. "There is a time and a place for that, but this day is not it."

At the same time, Romney made clear his support for maintaining or increasing defense spending -- an issue on which he has previously criticized Obama.

The president's plan to end the war in Afghanistan by the end of 2014 "must not be used as an excuse to hollow out our military through devastating defense budget cuts," Romney said.

Before he left for Reno, Romney greeted firefighters and other first responders holding a 9/11 commemoration on the airport tarmac in Chicago.

Work resumes on 9/11 museum

At the U.S. Capitol, legislators displayed rare bipartisanship with a united commemoration. Despite the bitter partisan divide that has permeated Congress in recent years, party leaders insisted the nation was more unified in the aftermath of the 9/11 attacks.

"Americans showed the world how a unified nation can fight back against darkness and fear," said Senate Majority Leader Harry Reid, D-Nevada, while his GOP counterpart, Minority Leader Mitch McConnell of Kentucky, remembered how legislators gathered on the steps of the Capitol on that day to sing "God Bless America."

"It was one of the most uplifting and unifying moments in the history of our country," McConnell said of the shared display of patriotism 11 years earlier. "And I think it is safe to say that we are, as a nation, together even though we have our political differences, together and stronger in the wake of what happened."

At the National Law Enforcement Officers Memorial in Washington, Attorney General Eric Holder honored the memories of the 72 officers who died in the line of duty on September 11, 2001.

The names of the 9/11 victims are inscribed together on the memorial, located a few blocks from Capitol Hill, which has a total of 19,660 law enforcement officers carved into it dating back to the earliest known officer fatality in 1791.

Dan Rather: Media's balancing act with terrorism

Despite the solemnity of the day, some election-year politics continued.

Obama made sure to mention his signature foreign policy achievements, noting that the war in Iraq has ended, the war in Afghanistan is winding down, al Qaeda's leadership is devastated and "Osama bin Laden will never threaten us again."

After his remarks, he greeted family members of 9/11 victims at the Pentagon and was seen shaking hands with one man wearing a Romney hat.

In a post on Twitter, Romney got in an apparent political jab by making sure the words "under God" were included.

At its national convention last week, the Democratic Party initially omitted the word "God" from its platform.

"On this most somber day, America is united under God in its quest for peace and freedom at home and across the world," the Romney tweet said.

It followed a statement by Romney that his campaign released overnight that initially made no mention of God, then later added a similar "under God" reference.

"On this most somber day, those who would attack us should know that we are united, one nation under God, in our determination to stop them and to stand tall for peace and freedom at home and across the world," the amended statement said.

Share your memories and stories on CNN iReport

CNN's Terry Frieden, Jim Acosta and Shawna Shepherd contributed to this report.

@highlight

NEW: Mitt Romney calls for a strong military, opposes spending cuts

@highlight

Political leaders cite unity in response to the 9/11 attacks

@highlight

Americans pause to remember a day of horror

@highlight

At the U.S. Capitol, lawmakers stand together in tribute