Livermore, California (CNN) -- The new START arms control agreement with Russia calls for the United States to significantly reduce its nuclear stockpile, but critics are rightly asking whether this will leave the U.S. safe. They say the U.S. must maintain a healthy nuclear deterrent, even as it works toward President Obama's goal of a world free of nuclear weapons.

That leaves questions about the quality of the nuclear weapons the U.S. will keep in its arsenal, which are aging. Are they safe? Are they reliable? And, given that the United States stopped testing nuclear weapons by blowing them up -- both above and below ground -- 18 years ago, how will we know?

Those are some of the questions that CNN's Foreign Affairs Correspondent Jill Dougherty and I sought to answer when we flew to Northern California for an exclusive tour of the Lawrence Livermore National Laboratory. At Livermore, it is all about virtual testing. Scientists actually generate the conditions of a nuclear weapon to analyze the nuclear stockpiles to make sure they are functioning correctly.

The word "cool" does not begin to describe it.

First, Brian Cracciola showed us around Livermore's High Explosives Applications Facility, where he is the operations manager. At HEAF, scientists conduct up to 1,000 explosions a year and heat up explosives to react to thermal changes. He walked us into a tank that can blow up 22 pounds of explosives.

"When and if the president ever has to push that button, we need to know that the weapons will work," Cracciola said. "And as we scale down the nuclear weapons, we are working to make them much safer and much more reliable."

Bruce Goodwin, who runs the weapons program at Livermore, explained that high-explosive molecule testing is even more extensive than the traditional testing done before 1992, when a nuclear test involved blowing up a nuclear weapon.

"There are hundreds of ways a nuclear device can fail," Goodwin told us "We catalogue those and we test against them in a non-nuclear fashion. And, more importantly, we can do complete three-dimensional simulations of things that you couldn't possibly test in the old days."

At Livermore, you can cut the explosives in half by laser without melting or sparking. We learned that this means you don't disturb the atoms inside the high explosive. Goodwin said the test vibrates the atoms at a rate of a millionth-billionth of a second, so fast that heat and shock waves can't be conducted. This removes the atoms one at a time from the high explosive and provides a more accurate reading of the condition of the explosive.

"We found failure modes in the stockpile that we could never have found with nuclear testing because we're able to do these massive simulations," he said. "These are the largest calculations that man has ever done."

All of these simulations are cataloged on Livermore's supercomputers, which are some of the fastest in the world. Michel McCoy, the lab's associate director for computation, showed us around the supercomputer rooms, which he calls the lab's "crown jewel." There, thousands of computers pull together all of the physics necessary to model a nuclear weapon's reliability and safety.

Did I mention these computers are fast? We are talking about a hundred trillion operations per second. It is about to get even faster, with a new computer system called the petaflop, which would be able to do about a quintillion operations per second. McCoy said even that isn't fast enough for what the U.S. needs to do to fix the nuclear weapons as they age.

We ended our day at Livermore's National Ignition Facility, where the world's largest laser generates the temperatures and pressures found only in stars, the sun and in nuclear weapons. The equipment looks like a spaceship about to take off.

This summer, NIF will begin experiments that will focus the energy of 192 giant laser beams on a tiny target filled with hydrogen fuel. The goal is to obtain fusion energy, which is what powers the sun and stars.

Inside the target chamber, the target that each of the lasers needs to hit is smaller than the diameter of a human hair. The director of the NIF, Edward Moses, showed us a full-scale target, which can fit in his hand. Inside a little gold can is a red dot the size of a pencil eraser. There, Moses said, "the isotopes of hydrogen sit ... and get ready to be blown to bits."

"We can model parts of physical processes that go on inside a weapon without testing," Moses said. "This is the only place in the world where you can get to the nuclear phase of the weapon without blowing up a bomb."

In fact, we found that at Livermore, scientists could learn more about what's going on inside a nuclear weapon without actually testing it than they can with a nuclear test. Every night, the control room, modeled on NASA's command center, runs a laser experiment using 2,000 computers and 60,000 control points.

"We're finally at the point with this laser facility and our computers and with other facilities for the first time to do this kind of thing," Moses said. "And I think this is why President Obama probably has more confidence -- one of the many reasons he has -- to go forward with this new policy."

@highlight

Critics wonder: Would the new START arms pact with Russia leave the U.S. vulnerable?

@highlight

At Lawrence Livermore National Laboratory, non-nuclear blasts help simulate nuclear ones

@highlight

Virtual testing aims to ensure that U.S. arms are safe, reliable

@highlight

At lab, some of world's fastest supercomputers simulate what happens inside nuke blast