(CNN) -- Anyone who uses a smartphone, puts away money in a 401(k), or wants to keep their grocery bill from skyrocketing needs to be aware of a new dynamic in the world economy.

It's called the "Plan B World" and it is about how modern shocks to systems in far corners of the world are now having a direct impact on local employment and economies, including the parts that go into cell phones, the financial markets that house our retirement savings and the global agriculture system.

We saw the downside of single-source supply contracting and just-in-time inventory systems when a manufacturing plant for a certain type of gasket was destroyed in the 2011 Japanese tsunami.

It led to the shutdown of production facilities in the big six automakers in the United States, which weakened the economy and contributed to the U.S. unemployment rate increasing from 8.9% to 9.1% during this time. If carmakers had a Plan B for gasket supply, an economic disruption that put factory employees out of work could have been avoided.

 Advancements in supply chain technology have improved efficiency and lowered the prices we pay for goods and services. But without a mindset that recognizes that we are in a Plan B world, we are less resilient to the acute shocks and chronic stresses our world faces every day. 

The Plan B mindset will allow us to use our creativity to proactively plan for more resilient solutions. By that I mean developing ways that people, communities, industries and even nations are better able to rebound in the face of adversity and come back even stronger.

What makes this important?

The speed of change -- along with the increasing environmental, economic, social and political volatility -- has led to crises of intensifying frequency, scale and severity, with potentially catastrophic effects that cascade across sectors and geographies.

A reality of our time is that we cannot anticipate every catastrophe or stressful event.  We can -- and must -- do what we can to prevent bad things from happening, but the fact remains that surprises will still happen.  Ominous recent episodes demand we always have a Plan B that minimizes the lasting effects of a range of future threats and allows us to rebound more quickly and effectively: 

• Climate catastrophes, like the deadly floods that paralyzed Thailand in 2011, can trigger disruptions to the world's tenuous manufacturing supply chain. When the autumn flooding in Bangkok closed factories that fed global manufacturers, it forced shutdowns of electronics and automotive assembly lines from Shanghai to Shenzen to Shreveport.

• Financial contagion, like the debt crises of Greece and Portugal in 2010 and 2011, can shatter confidence in global financial markets. Losses inflicted by the European crises reversed years' worth of painstaking economic progress for nations and individuals worldwide.

• Food shortages, like the drought-induced famine emergency in Somalia and Ethiopia in 2011, can cause food riots locally and speculative panics globally. Such market gyrations can contribute to protectionist measures that drive worldwide food-price spikes and further punish the most vulnerable. 

• True natural disasters, like last year's Japanese earthquake and tsunami, can expose dangers in nationwide planning systems and calamities in power and other sectors. The sudden discovery of structural weakness in many of Japan's nuclear power plants forced the shutdown of its nuclear electricity network, with the power outage provoking an economic stall. 

• Disease pandemics, like the SARS outbreak that swept through Asia in 2002 and 2003, can spread infections across borders as fast as 747s can ferry passengers across oceans.

• Cyberattacks and hacking can undermine public faith in the secure data that supports global commerce. Further, the infiltration of infrastructure networks and military systems can compromise national security.

A Plan B would not just build higher levees and a more regulated banking system.  It would look at ways of setting up redundant systems so that when one system fails another takes up some of the slack.  Or when we design our flood or economic plans, can we keep in mind ways to prevent cascading failures when one part of the system collapses? 

There are already some Plan Bs being put in place.  Two examples come from work that the Rockefeller Foundation is supporting today.

• In Ethiopia, some of the poorest subsistence farmers in the country are receiving crop insurance through an innovative program spearheaded by Oxfam America that allows farmers to trade work for insurance. This makes farmers more resilient against drought, famine and floods. 

• The Asian Cities Climate Change Resilience Network is a 10-city initiative to develop climate resilience strategies appropriate to each city.  One of the cities where the program is operating is Danang, Vietnam.  Their strategy included hydrology mapping, which led the city to halt building plans in vulnerable areas and has shaped the city's future development plans.  This planning will reduce the vulnerability of people and property to the effects of climate changes.   

 This is only a start.  How we strengthen Plan Bs and interconnect them is the focus of a meeting this week in Washington that is bringing together global leaders and thinkers across an array of fields.  From these discussions, a clearer way forward will be developed, that will be followed by grants aimed at achieving this goal.

This is just one step toward a more resilient world. It is long past time for everyone to work together to reinforce society's complex systems at their most vulnerable points. We are on our way. 

 

The opinions expressed in this commentary are solely those of Judith Rodin.

@highlight

Judith Rodin: In a globalized world, local disasters can have consequences everywhere

@highlight

She says the Japanese tsunami led to part shortages that shut down assemby lines in U.S.

@highlight

Rodin: Governments and businesses need to have contingency plans to cope with surprises