(CNN) -- Joe Biden doesn't much like the NRA -- and the feeling is mutual.

But on Thursday the NRA will be coming to the White House to meet with Biden and his fast-track gun reform task force, formed after the Sandy Hook Elementary School massacre and due to submit its recommendations by the end of the month.

There are obviously deep divisions between the two -- they are never going to agree on the vast majority of proposals, especially the assault weapons ban (despite the fact that it was once backed by Ronald Reagan) and a ban on high-capacity ammunition clips.

But there may be some surprising opportunities to find common ground, even on this most contentious issue. The NRA has backed specific plans to crack down on gun violence in the past that the president could enact through executive order, and polls of NRA members suggest there is even more unexpected common ground to be found.

For example, the National Instant Criminal Background Check System is an existing law that has been underfunded and insufficiently implemented. Updated after the Virginia Tech shootings, backed by the NRA and signed into law by President Bush, the law requires federally licensed gun dealers to check with a coordinated federal database to see whether the would-be gun buyer has any history of dangerous mental health problems -- as well as criminal record, arrest warrants, or orders of civil protection -- that would stop them from owning a firearm under existing law.

The Virginia Tech shooter, Seung-Hui Cho, who killed 32 people in the span of a few hours, had been previously diagnosed as mentally ill and could have been stopped from purchasing his murder weapons if the information had been available to the background check system. But since Virginia Tech, states have made only limited progress in reporting the critical mental health information, primarily because Congress has failed to provide the necessary funding, granting just 5.3% of the total authorized amount during the Obama years. Increased screening for mental health is one of the few areas the NRA agreed should be focused on in the wake of Newtown and yet the Obama administration and Congress have failed to enforce the existing law by depriving it of funds needed for implementation.

Politics: How the NRA wields its influence

Likewise, the NRA has long championed Project Exile, a pilot program first implemented in Richmond, Virginia, which prosecuted serious local gun crimes committed by felons under federal law, putting repeat offenders in federal prisons far away from their communities. This get-tough approach,which inspired President Bush's national initiative Project Safe Neighborhoods, ended up cutting the "gun carry" rate in half and reducing the murder rate in Richmond by more than 60%. The five-year mandatory sentence for committing a crime with an illegal gun changed criminal behavior. Similar initiatives have been implemented in cities throughout the country, but the coordination has been spotty and the Obama administration has failed to follow through on the model or add innovations to it.

Finally, President Obama could order the Justice Department to increase the prosecutions of people who falsify information on their gun background checks. In 2009, the FBI reported 71,000 instances of people lying on their background checks to buy guns. But the Justice Department prosecuted just 77 cases -- that's about 1/10th of 1%. A lack of follow through from the federal government is letting these gun criminals walk, and that sends a message about lack of enforcement that only encourages systematic disrespect for existing gun laws.

There's a pattern here. Before the Newtown shootings, the Obama administration had not made enforcement of existing guns laws a political or policy priority as the Clinton administration did, which got it repeatedly butting heads with the NRA in the process. This may in part be connected to a political strategy implemented by then-Rep. Rahm Emanuel in 2006, when he courted pro-gun Democrats as part of a successful effort to retake control of Congress, an experience he carried with him to his role as Obama's first White House chief of staff before being elected mayor of Chicago.

"During the Clinton administration there were efforts to fully enforce the gun laws we have through innovative crime gun tracing projects, partnerships with state and local law enforcement and tough prosecution initiatives," said Arkadi Gerney, an adviser to New York Mayor Michael Bloomberg on illegal guns from 2006-11. "So far, the Obama administration has failed to live up to that legacy and has not used its executive powers to the fullest to fight illegal guns."

But the NRA has been the prime opponent of many other new gun laws and stalled funding for many existing programs in Congress. Before drawing widespread criticism for suggesting that armed guards be placed in public schools after the Sandy Hook slaughter, the NRA had opposed seemingly common sense measures like barring individuals on the FBI terrorist watch list from buying and owning weapons.

Politics: Biden's vow on curbing gun violence

Interestingly, conservative pollster Frank Luntz found that clear majorities of NRA members are more reasonable about implementing such common sense measures than their more rigidly ideological parent organization. For example, 71% of NRA members would bar people on the FBI terrorist watch list from buying and owning weapons, according to a poll Luntz conducted for the Bloomberg-backed group Mayors Against Illegal Guns. Likewise, 79% of NRA members support requiring background checks on gun retail employees, 74% would support background checks on all potential gun buyers and 64% support requiring gun owners to report lost or stolen firearms.

The NRA itself has changed since the conservative movement coalesced to take over the previously sportsman-focused organization. In the 1930s, the NRA supported the U.S. ban on machine guns, which still stands. Likewise, the NRA backed the 1968 Gun Control Law passed by President Johnson after the assassinations of the Rev. Martin Luther King Jr. and Bobby Kennedy. "Today's NRA is not that of our grandfathers," said Gerney. "Unfortunately, the leadership of the NRA has turned the organization into an obstacle, rather than the partner of decades ago, in the effort to pass smart laws to keep guns away from dangerous people."

The NRA's hard turn to the right makes it highly unlikely that it will want to work with the White House on any measure. But in fact there is some common ground to be found, even between these political foes. Ironically, that common ground is likely to be found in increased federal enforcement of existing laws through executive order, the same remedy that the Drudge Report disgustingly demagogued on Wednesday by comparing executive orders by the president of the United States to tyrannical actions taken by the mass murderers Hitler and Stalin. It was a shocking reminder of just how unhinged and hateful our civic debates have become.

But beyond these efforts to fear-monger for political and personal profit, the fact that some common ground exists between the White House and the NRA on gun control should be a heartening sign, a reality check amid all the overheated rhetoric.

Reasoning together to solve problems should never be considered impossible in America.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: The NRA and the White House share common ground on gun control

@highlight

Avlon: In the past, the NRA has backed specific plans to crack down on gun violence

@highlight

He says polls show that most NRA members support common sense measures

@highlight

Avlon: Obama should increase federal enforcement of existing laws through executive order