Istanbul, Turkey (CNN) -- In colloquial Turkish, the word zenne means male belly dancer. It is also the title of a new film that explores sexual identity while also highlighting a deadly case of homophobia in modern-day Turkey.

"The starting point was a dear friend of ours who was murdered in 2008 for being gay by his own father," said Mehmet Binay, producer and co-director of "Zenne," which opens in theaters across Turkey on Friday.

Binay was referring to the 2008 killing of Ahmet Yildiz, a 26-year old physics student who was gunned down in Istanbul.

Court records identify Yildiz's father, Yahya, as the primary suspect in the killing. The father's motive, according to a copy of the indictment, was that he "did not accept the victim to be in a gay relationship."

More than three years after the slaying, Yildiz's father is a fugitive, still wanted by Turkish police.

The death has since been widely referred to as Turkey's first gay honor killing.

One of the main characters in "Zenne" is based on Ahmet Yildiz and his tragic story.

Caner Alper, the writer and other co-director of "Zenne," was also a friend of Yildiz's. Alper said before he died, Yildiz often spoke about receiving death threats from his family, who were trying to "cure" him of his homosexuality.

Court documents show Yildiz reported these death threats to the Turkish authorities.

In an interview with CNN this week, the filmmakers said they hoped their film would force Turkish society to debate hate crimes that target victims based on gender, religion, ethnicity or sexual identity.

"Death and murder is still on the agenda of our country. We can't get rid of this mentality," said Binay. "People need to tolerate each other. They need to understand that different identities can live next to each other without disturbing each other."

Binay and Alper are not only creative partners. Shortly before the debut of their debut film at the Antalya Golden Orange Film Festival, Turkey's most prestigious film festival, the two men announced they had been a couple for 14 years. Alper said their families advised against coming out publicly.

"They thought it would be career suicide," he said. "Until we won five awards from the first festival that we attended."

Despite recent critical acclaim, the filmmakers agreed Turkey still has a long way to go before it overcomes deeply entrenched institutional homophobia.

According to Article 17 of the health regulations of the Turkish Armed Forces, homosexuality is considered a "psychosexual deviance."

All Turkish men are required to perform military service. But gay men can be exempted from conscript duty provided they first prove their homosexuality.

"Zenne" depicts the degrading process its main characters endure at an army recruiting center.

In the film, military doctors perform anal examinations and hurl homophobic insults at conscripts. They also demand photos of the characters having sex with other men.

Gay rights activists say the military has long demanded graphic photo and/or video evidence from men asking to be released from military duty.

"In the photograph and the video you have to show your form and your face. Your face has to be clearly identified and another man has to be penetrating," said Kursad Kahramanoglu, who teaches international law and human sexuality at Istanbul's Bilgi University.

CNN asked Turkey's defense ministry to comment on what gay rights groups claim has long been an unwritten military policy.

"The practice of asking for video and photographic evidence is out of question," a defense ministry spokesman responded, speaking on condition of anonymity, a common practice in Turkish government bureaucracy. "I cannot confirm that it definitely did not happen, but we do not have any information that such a thing happened," he added.

The spokesman said the current policy is for conscripts to prove their homosexuality with a doctor's report from a private or military hospital. "The evaluation is made based on the medical report," he said.

Less than two years ago, a senior Turkish government minister was quoted in an interview calling homosexuality "an illness ... that should be treated."

These types of statements have not stopped members of Turkey's lesbian, gay, bisexual and transgender community from demanding equal rights.

Thousands marched in a rainbow-hued gay pride parade through downtown Istanbul last July.

Some of the activists carried large posters of Ahmet Yildiz with the slogan "get the murderer." Among those marching was Yildiz's former boyfriend, Ibrahim Can.

"I am fighting for the rights of my lover and for all the gays and lesbians and transsexuals in the world and in Turkey. And I want the Turkish government to change the homophobic attitude in Turkey," Can said in an interview with CNN.

LGBT activists are lobbying the Turkish government to have the constitution amended to protect the rights of Turks on the grounds of gender and sexual identity. The Turkish Constitution is currently in the lengthy process of being re-written.

Binay, meanwhile, points to what he calls remarkable progress for minority rights in Turkey over the last decade. He said: "All sorts of minorities including gays and lesbians are demanding their rights. They want recognition, they want protection by the state. They want to be able to live, first of all, and not be murdered."

@highlight

New Turkish movie highlights homophobia in the country

@highlight

In part the film is based in the slaying of Ahmet Yildiz, which is known as Turkey's first honor killing

@highlight

Directors, who were friends with the student, say Turkey has entrenched institutional homophobia

@highlight

One of them told CNN minority communities "want to be able to live, first of all, and not be murdered"