(CNN) -- Every remake is subjected to side-by-side comparisons and the criticism that comes along with them, but "Sparkle" is something of a special case.

After its release in 1976, the film became revered in some African-American households and beloved by audiences.

The movie centered on the characters of Sister, Sparkle and Delores, three Harlemites in the late 1950s who find the road to stardom is not at all paved in gold. Written by Joel Schumacher from a story conceived by Howard Rosenman, and directed by Sam O'Steen, to say it has achieved cult status isn't an understatement.

The three sisters, each spirited in their own way, formed a singing group with help from two friends of theirs from the neighborhood and church choir: Stix, the aspiring songwriter who also had an insatiable love for Sparkle, and Levi, an up-and-coming hustler. The sisters' ascent, however, has devastating ripple effects.

Screenwriter Mara Brock Akil, who penned the script for the 2012 remake and is also a co-producer, believes "Sparkle" owes its longevity to the heft of its story and the filmmakers' attention to detail.

"When you look at the original, especially in the context of when it was released and even throughout the years, the approach to these characters' stories, they took them seriously," Brock Akil said. "They took their problems, their angst, their dreams, their hopes, their desires, their failures, seriously. They didn't have to tell jokes through it. That translates to the audience."

So when the film's director, Salim Akil, who is also her husband, pitched her the opportunity to revive "Sparkle's" tale, Brock Akil admits she was a bit fearful of the wrath she might incur for tweaks made to the story's original characterizations.

But, she added, "It was the fear that led me to do it."

"I think anything that makes me feel that challenge, that's exactly where I want to be," Brock Akil said. "It did give me pause, and Salim and I both were like, oh, heck no, we're not doing this. But we were driving around talking about 'What if.' ... And it was like we were already hooked and wanting to take on that challenge."

Take it on they did. For starters, Brock Akil said, she and Akil wanted to give the three sisters at the heart of the story more power.

"[Salim] wanted the women to be empowered. He thought in the original that they were a little victimized. That's one of the core changes that he wanted to make, and if that was the case, then he wanted to have me write it because I'd been writing about women in my work -- our empowerment, our vulnerabilities, our humanity and all those sorts of things, and he thought I'd do a good job with that," Brock Akil said.

Once she moved past her initial trepidation, "The Game" and "Girlfriends" creator was excited by the possibilities.

The story is now set in Detroit in 1968, and rather than do a spin on the "rags-to-riches" concept the original explored, the family is now a part of a thriving black middle class.

Brock Akil said she and her husband, who led the charge for the new vision, re-imagined the film's mother character as an entrepreneur rather than the housekeeper named Effie who actress Mary Alice played in '76.

In a role filled by the late Whitney Houston, the new "Sparkle's" mother, Emma, is a former R&B singer whose mistakes and trials in the music industry led her to turn away from that world and embrace the church.

Emma, now a dressmaker, also has the means to "provide a certain life, an aspirational American dream life," Brock Akil said, something Detroit has exemplified.

"It was hard being there knowing what a great city this was, " Brock Akil added, "a great American city that was thriving because of the car industry, because of Motown. It wasn't foreign for a black person to live that. ... It was very important for us [to show that]."

Although this is a period film, Brock Akil knew that this also needed to be a story for the modern woman.

Instead of simply being a singer, Sparkle is now a singer/songwriter who can draw comparisons to legend Smokey Robinson. The third sister, Delores, who in the original often gave voice to the racial injustices of the time, is now focused on a future in medicine.

"The Dee character, I'm very proud of this character and the changes I've made. She got the best out of [her mother] Emma," Brock Akil said. "I think that Dee is now an aspiring doctor, and music is just something fun to do."

In addition to creating more empowered female characters and setting the story in a period filled with the hope for societal changes to come, it was also important to director Akil to re-cast the movie's villain, Satin. Played by Tony King in the original, the character was a violent yet alluring high-living hustler who had no qualms about physically assaulting or verbally debasing women.

Portrayed by Mike Epps in the remake, the role of Satin is now "a bit of a commentary on how much do you sell yourself out to entertain," Brock Akil said. "We made sure the Satin character got all his riches making jokes off the black community and selling it to the white community, and he's living a really wonderful life, but inside, he's torn up, he's insecure. And that energy has to come out somewhere, and unfortunately it comes out on Sister in a domestic violence way."

What of Sister, the tough-talking scene-stealer who in the original had a persistent thirst for the riches in life?

"People love Sister; you can't mess with Sister too much," Brock Akil said with a laugh. "I certainly tried to answer what was motivating her, and what she was trying to do." Adding in these details, she added, "was a lot of fun for me, and I hope it translates to the audience. "

@highlight

Mara Brock Akil wrote the script for the remake of "Sparkle"

@highlight

She says she feared backlash from fans who loved the original

@highlight

There are some slight tweaks to the characters in the 2012 version