(Kaiser Health News) -- Devin Payne had gone years without health insurance -- having little need and not much money to pay for it. Then Payne, who had a wife and four children, realized she could no longer live as a man.

In her early 40s, she changed her name, began wearing long skirts and grew out her sandy blond hair. And she started taking female hormones, which caused her breasts to develop and the muscle mass on her 6-foot one-inch frame to shrink.

The next step was gender reassignment surgery. For that, Payne, who is now 44, said she needed health coverage.

"It is not a simple, easy, magical surgery," said Payne, a photographer who lives in Palm Springs. "Trying to do this without insurance is a big risk. Things can go wrong ... not having the money to pay for it would be awful."

Payne learned in the fall that she might qualify for subsidies through the state's new insurance marketplace, Covered California, because her income fell under the limit of $46,000 a year. She eagerly signed up in March for a Blue Shield plan for about $230 a month, and began making preparations for the surgery that would change her life.

A 'pre-existing condition'

Among the less-talked-about implications of the Affordable Care Act is the relief it is providing to many transgender people, many of whom are low-income and who have struggled to obtain health coverage.

Getting jobs that offer insurance often has been difficult for transgender people and the cost of purchasing plans on the private market can be prohibitive. Some have been denied policies altogether after being diagnosed with "gender identity disorder," often considered a pre-existing condition.

Without insurance, many people were unable to afford the hormones, surgeries and counseling needed to complete their transition. Nor would they have been covered in the event of surgical complications, which can include infections.

"We are still dependent on insurance and the medical community for us to be able to live authentically," said Aydin Kennedy, coordinator of the transgender health program at St. John's Well Child and Family Center in Los Angeles.

Now, federal law prohibits health insurance companies from discriminating against transgender people, and it bars insurers from denying coverage based on pre-existing conditions. That makes it possible for more transgender people to purchase private plans. And in states that expanded their Medicaid programs, those with low incomes may get free coverage.

The federal anti-discrimination regulations have yet to be written, but California insurance regulators have said that companies must treat transgender patients the same as other patients. For example, if plans cover hormones for post-menopausal women, they must also cover them for transgender women. Medicare, the program for the elderly and disabled, lifted its ban on covering sex reassignment surgery earlier this year.

"The law and policy are on a transgender person's side for the first time," said Anand Kalra, program administrator at the Oakland-based Transgender Law Center.

Conservative and religious groups oppose using government funds for transgender surgeries, questioning whether they are medically necessary, ethical or effective.

"We would oppose sex change operations all together," said Peter Sprigg, senior fellow at the Family Research Council in Washington. "But as a public policy issue, we would feel particularly strongly that taxpayers shouldn't be asked to pay for it."

A few obstacles remain for transgender patients. Not many doctors specialize in transgender care. And while the law opens the door to insurance coverage, insurers can set conditions and don't automatically approve payment.

"Insurance companies are making up their own rules as they go along," said Kalra of the Transgender Law Center.

'Feeling complete'

Growing up in Kansas, Payne remembers trying on her mother's clothes and dressing as a girl every year for Halloween. She dreamt of having another life after this one, as a girl. But Payne said she mostly suppressed her feelings and tried to live up to the expectations for a male.

"I put it out of my head," she said.

She married a woman she met at work and they had four children, now ages 7 to 22. But she never felt comfortable in the traditional role of father and provider.

"I was just horrible at it because it wasn't who I was," she said. So Payne became the primary caretaker, playing the "mommy role" as she worked from home doing software development for pharmaceutical companies.

She felt increasingly anxious, and in late 2012, a therapist helped her to realize that she was meant to live as a woman. Payne said her entire outlook on life changed when she started taking female hormones.

"All my anxiety and all of the bad things that I felt inside were just completely washed away," she said.

Payne told her wife, who was upset. She told Payne: I married a man, not a woman -- but she also admitted that she wasn't entirely surprised. With mixed feelings, Payne's wife stayed in the marriage, and the family moved from Kansas to California, in part so Payne could be more comfortable living as a transgender woman. They rented a small house in a middle class neighborhood on the outskirts of Palm Springs and sent their children to the public school.

Late last year, Payne's wife, who had battled alcoholism for years, died of liver disease.

Payne said the children worried how people would react to her transition, but she said they soon realized it wasn't as big of a deal as they had feared. When Payne brought birthday cupcakes to her 7-year-old daughter's classroom last year, the children asked if she was a girl or a boy. After Payne told them she was a girl, "they just wanted their cupcakes."

In California, Payne found transgender friends and became an advocate within the community. "You find out that there is a whole world of people out there," said Payne, who wears little makeup or jewelry and calls herself a "T-shirt and skirt kind of a girl."

Payne was ready for the surgery. She started calling the approved providers in Blue Shield's preferred provider network. But they were booked up for months, or years. She felt she couldn't wait -- she wanted to do the surgery while her children were on summer vacation so they could go to her parents' house in Kansas as she recovered. She found an out-of-network doctor in Palo Alto who would do the surgery about a month later.

"The time was right and I wanted to get it done," she said.

Her Blue Shield policy said that gender reassignment surgery -- which uses existing tissue to construct female genitalia -- could be covered if patients met certain guidelines. For example, she had to be diagnosed with gender identity disorder and have an "expressed desire" to live as a member of the opposite sex.

By the scheduled date, Blue Shield had authorized the operation but hadn't determined exactly how much it would pay for an out-of-network provider. Payne got a cashier's check for nearly all her savings, $27,000, to pay the doctor, hoping her insurance plan would reimburse most of it. She worried about all the other expenses too, including the hospital stay, lab work and anesthesiology services.

The day of the surgery at Sequoia Hospital in Redwood City, Payne said she remembers being wheeled in to the operating room and feeling very calm. When she woke up, with oxygen still attached and wearing her hospital gown, a friend told her that the surgery had gone well, without any immediate complications.

Later that day, she had just enough energy to type a few words on her Facebook profile: "Feeling complete."

Grateful for coverage

On a boiling afternoon in early July, about six weeks after the operation, Payne and her friends sat outside on the patio next to a pool. Misters sprayed above them, and Payne's cat and two dogs wandered beneath their feet.

Payne said she did suffer a few complications later -- some swelling and an infection -- but she recovered with medication and support from friends.

She is still trying to figure out how much she has to pay out-of-pocket for the surgery and hospital stay -- and how much of that her insurance plan will reimburse. Payne said she believes the lab work, pathology, anesthesiology services and follow-up doctor's visits were all covered. But recently she got a statement saying she was on the hook for $17,000 of the total cost of the surgery.

Payne believes that the government and insurance companies should help cover such operations. The population of transgender patients who want surgery is small, and she said they are less likely to suffer mental health problems once they have it.

Payne said she will be grateful for whatever coverage she can receive.

Kaiser Health News is an editorially independent program of the Kaiser Family Foundation.

@highlight

Obamacare is providing relief to many transgender people who have struggled to get insurance

@highlight

Some companies used to deny those with gender identity disorder

@highlight

Federal law now prohibits health insurance companies from discriminating