(CNN) -- The tragic death of Eric Garner at the hands of the NYPD -- a fatal scuffle caught in all its horror in a video shot by a bystander -- is, in part, the product of a nationally recognized police strategy, "broken windows." It may have outlived its usefulness in many parts of New York.

Garner, a father of six, was allegedly a low-level street hustler, a "buttlegger" illegally selling cigarettes one at a time or in packs without taxes applied. When police approached and tried to arrest Garner -- something they'd done before â€” the man jumped up, complaining that he had no goods on him, had not been dealing and didn't want to be hassled.

The cops swarmed Garner, with at least one appearing to choke Garner and press on his neck as he gasped, eight times: "I can't breathe." You can see the disturbing video here. He died shortly afterward.

As the video went viral, community protests and vigils mounted. A central issue in the protests is the fact that the video shows one officer, Daniel Pantaleo grabbing Garner by the neck and pressing down on his head and chest, in apparent violation of a police rule that bans such choke holds.

"Members of the New York City Police Department will not use choke holds," Section 203-11 of the NYPD Patrol Guide says. "A choke hold shall include, but is not limited to, any pressure to the throat or windpipe, which may prevent or hinder breathing or reduce intake of air."

Two of the officers involved in the incident have been assigned to desk duties with their guns taken away. NYPD Commissioner William Bratton has promised a "top to bottom" retraining of every member of NYPD in how to arrest people, as well as a review of the department's use-of-force policies. Bratton has also met with the FBI in anticipation of a possible federal lawsuit alleging that Garner's civil rights were violated.

Choke holds were banned 20 years ago after the death of a young man, Anthony Baez, who was killed in a confrontation with police after a football he was tossing with friends hit a police car. The officer who choked Baez to death was ultimately sentenced to seven years in prison. Bratton was recently re-appointed to the top post after a long stint in Los Angeles, giving the latest incident an eerie deja-vu quality.

Despite the ban on choke holds, new incidents continue to pile up: The NYPD's Civilian Complaint Review Board received more than 1,000 complaints about the use of choke holds between 2009 and 2013, but punished only nine officers, none of them with anything more serious than a loss of vacation days.

The Rev. Al Sharpton has vowed to press the NYPD and Mayor Bill de Blasio on the investigation of the Garner case, which has been turned over to the local district attorney.

But the larger question remains: Why was a team of six officers enforcing an almost laughably low-level crime like selling loose cigarettes for 50 cents apiece?

The answer lies in New York's dramatically successful experiment with battling an out-of-control crime wave in the early 1990s, much of it built on a "broken windows" theory first developed by criminologists George Kelling and the late James Q. Wilson and laid out in a famous 1982 Atlantic Monthly magazine article.

The idea is shorthand for a phenomenon known to sociologists: Leaving an otherwise safe building with an unfixed broken window signals to criminals that nobody cares about the property, which quickly becomes a haven for prostitution, drug dealing and serious crimes.

With murders back then hitting more than 2,000 per year, NYPD cops were told by Bratton to stop waiting for the next 911 call and tasked with enforcing seemingly minor "quality of life" matters like public urination, panhandling and vandalism that made people feel unsafe.

The strategy provided an immediate payoff. Cops doing quality-of-life patrols in the subways discovered that people jumping the turnstile (entering without paying) often turned out to have drugs, guns or outstanding warrants.

Most turnstile-jumpers weren't dangerous felons, but it turned out that dangerous felons often didn't bother to pay the fare. So enforcing small violations helped catch truly dangerous criminals.

Even more important, when streets and subways began to feel safer, more people used them -- and the very presence of more law-abiding citizens always acts as a deterrent to crime (it creates more witnesses who are likely to point out the bad guys to cops or actually intervene to stop certain kinds of crimes).

Bratton, an architect of the broken windows revolution in policing, appears to be going back to his old playbook during his second tour as commander of the NYPD: So far this year, officers have arrested 240 subway performers, who do such things as break dance and perform backflips on moving trains.

But the Garner case shows it may be time to revise, reduce or scrap broken windows policing, at least in some neighborhoods.

When Bratton became commissioner for the first time, in 1994, the city had just finished a year with 2,420 murders. The number last year was just 333. The subways aren't out of control, the break dancers aren't carrying weapons, and low-level cigarette hustlers aren't causing the kind of disorder the city weathered in the 1990s.

As Garner is laid to rest and the cops involved get whatever fate the court system has in store, the NYPD should re-evaluate how much force and attention it needs to train on low-level crime in a much safer city.

@highlight

Errol Louis: Death of Eric Garner at hands of NYPD shows old police strategy that doesn't work

@highlight

Why such force used on man illegally selling cigarettes? Roots are in Bratton's first tenure

@highlight

Louis: It's an approach from '80s. Tackling "quality of life" crime brought crime rate down

@highlight

Louis: NYPD must take new look at how crime enforced in a much safer city in 2014