NAIROBI, Kenya (CNN) -- The deaths of 26 victims in the latest wave of violence in the Democratic Republic of the Congo might constitute war crimes, a United Nations spokesman said Saturday.

A Congolese girl cries as she walks with her mother near Kibati on Friday.

It is unclear who was responsible for the deaths in the village of Kiwanja or how many of the victims were civilians. But if some of the victims are found to be non-combatants, their deaths could be handled by a war crimes tribunal, said Madnodje Mounoubai, U.N. mission spokesman in Kinshasa.

"Some were combatants, and some were not," he said. "If it is determined that they were not just caught in the crossfire -- that they were pulled out of their homes or singled out for questioning and killed -- that would make it a war crime."

Mounoubai made the remarks one day after leaders at a regional summit called for an immediate cease-fire and the creation of humanitarian corridors in areas plagued by bloody attacks.

Fighting broke out at the end of August between the Congolese army and rebel forces led by Gen. Laurent Nkunda. Despite a unilateral cease-fire declared by Nkunda last week, fighting has continued, and there are reports of heavy civilian casualties in recent days.

Mounoubai also said that a U.N. team in Kiwanja had confirmed reports of 26 bodies in 11 graves in the village. Residents told the U.N. team that rebels killed the victims amid accusations that they collaborated with government troops, Mounoubai said.

In a communique released at the end of Friday's African Union-hosted summit, regional leaders asked for a strengthening of the mandate for peacekeeping forces in the country.

There are 17,000 U.N. peacekeepers in Congo, the largest U.N. peacekeeping force in the world, but U.N. Secretary-General Ban Ki-moon said the forces have been "stretched to the limit."

He said Friday that the recent violence, which the United Nations estimates has displaced 252,000 people, must be prevented from spilling into the wider region.

"Neither the DRC nor Rwanda nor the rest of the Central Africa region can afford to be dragged back into conflict. The international community cannot allow this to occur," Ban told the leaders.

"For far too long, peace and security in your region has been threatened by armed groups, domestic and foreign, present on the soil of the Democratic Republic of the Congo. They have been operating from there with impunity, aggravating strains between your countries and between your peoples."

The fighting has aggravated an already serious humanitarian crisis, the United Nations and aid groups say.

Nkunda was not present at the summit. Congolese President Joseph Kabila and the presidents of Congo's neighboring countries -- Paul Kagame of Rwanda, Jakaya Kikwete of Tanzania, and Yoweri Kaguta Museveni of Uganda -- were among the leaders there.

Ban implored the leaders to use their influence in restoring stability to eastern Congo.

"As leaders of Africa, you have a historic responsibility. This is a critical moment for the Great Lakes region and for Africa as a whole. We must put the cycle of violence behind us," he said. "We must build a shared future of stability, peace, development and human rights for all citizens of your countries."

In particular, Ban said, they should urge Nkunda not to resume fighting, prevent him from getting support and urge him to pull back his rebels.

Human Rights Watch reported Thursday that Nkunda's rebel forces and the opposing government-backed Mai Mai militias deliberately killed civilians in Kiwanja, in North Kivu, on Tuesday and Wednesday in violation of Nkunda's declared cease-fire.

"Eyewitnesses in Kiwanja told Human Rights Watch that at least 20 persons were killed and another 33 wounded during a battle for the town and in the cleanup operations by Nkunda's forces that followed," the group said in a written statement.

Nkunda denied Thursday that his soldiers were involved in any civilian killings and said the Mai Mai were dressed in civilian clothing.

"These Mai Mai, these militia were in civil dress. ... We asked the civilian population to get behind the front lines. So, the population were behind the front line," he said. "We cannot kill a civil population."

Human Rights Watch said U.N. peacekeepers in the area were unable to protect civilians.

After the rebels re-established control of Kiwanja on Wednesday, Human Rights Watch said, they ordered all 30,000 residents of the town to leave. They then sought out and killed civilians, particularly men, whom they accused of supporting their enemies, the groups said.

"People in Kiwanja said they heard screams into the night and saw bodies on the streets the following morning," Human Rights Watch said. One of those killed was a journalist working for a local radio station, the group said.

Witnesses said Mai Mai militias targeted civilians in Kiwanja, including those they accused of supporting Nkunda's forces, Human Rights Watch said.

The conflict in Congo is complicated by outside forces and a variety of armed groups fighting both the government and each other.

Some analysts say Rwanda is Nkunda's principal supporter. Rwanda denies that. For several years, it has called for the disarming of Rwandan Hutu rebels, many of whom are in eastern Congo.

@highlight

NEW: If civilians were killed, deaths may constitute war crimes, spokesman says

@highlight

U.N. chief: Rebels in east Congo pose "poisonous consequences" for country

@highlight

Cease-fire in Congo unraveling in third straight day of fighting

@highlight

Battles between warlord Laurent Nkunda's rebels and army spreading, U.N. says