(CNN) -- Gourmet cuisine has long been a staple of business class and first-class menus. But a number of airlines are taking the in-flight meal to new heights by bringing chefs on board to serve up a fine dining experience in the sky -- scooping up culinary awards in the process.

Etihad Airways has gone as far as to poach expert cooks from a number renowned Michelin-starred restaurants since launching its "Flying Chef" service on long haul flights late last year.

The concept has thus far proved a recipe for success, with the Abu Dhabi based airline winning the award for best first-class catering at the 2012 Skytrax World Airline Awards earlier this month.

But given the cramped kitchen conditions of the airplane galley and the complexities of cooking at altitude, is it really possible to rustle up meals worthy of the masterchefs whilst cruising at 35,000 feet?

According to Werner Kimmeringer, head of guest experience and catering at Etihad Airways, unequivocally, yes.

See also: The world's best airport restaurants

"We introduced chefs in our first class cabin so we could offer a five-star restaurant style of service," says Kimmeringer.

"Our first-class guests receive unparalleled attention and choice -- for example, the opportunity of having their personal chef tailor-make dishes based on their individual tastes and preferences," he adds.

Kimmeringer highlights the "balik style smoked salmon" and "pan-seared scallops with a parmesan cheese sauce" as particular examples of the gastronomic complexity of the Etihad first-class menu.

"The chef can talk (to) and recommend food directly to our guests and make suggestions of what they might like on the menu," says Kimmeringer.

"He is able to personally adjust seasonings and recommend menu and beverage choices to each guest. They can also make changes to existing menu items ... changing sauces or taking out particular ingredients."

Some industry experts, however, are less effusive about the possibilities of in-flight chef operations

According to Gottfried Menge, group director of culinary excellence at Gate Gourmet, an independent provider of airline catering services, there are a number of factors that restrict the cuisine chefs can produce whilst airborne.

"Because of the (safety) limitations on the aircraft there are no items like a frying pan where a chef is cooking and tossing things up in a different way," says Menge.

Knives and other sharp implements are also not permitted aboard airplanes, tying chefs' hands yet further. As a result, most food is still prepared on the ground before being reheated en-masse in a steam pressure oven whilst in the air, Menge explains.

The chef can then alter the ingredients slightly or add extra dressings to meet the individual tastes of passengers. On the whole, however, meals are prepared in much the same way as they always have been, he adds.

See also: 85 years of airline food

Menge says there are inherent challenges when it comes to preparing food at altitude.

"The cabin pressure of being at 35,000 feet in the air means you lose about 10% of your taste buds," he says. "Therefore the food always has to be stronger or there will have to be a little bit more seasoning, which obviously alters the taste."

But Michael Braun of Austrian Airlines -- one of the first organizations to introduce a chef service aboard its flights -- is adamant that on-board chefs can bring benefits.

He says that they can help deliver a superior level of customer service, strengthening the carrier's brand image and differentiating them from competitors flying similar routes.

"We do our best to make a flight with Austrian a high-level experience, which is why we have one chef on board of every single long-haul flight," says Braun.

"The menus are ... refined Ã¡ la minute by a chef who will pamper the palates of our guests on board. (This) service is highly valued by our customers," he adds.

In spite of the many complexities of aerial cooking, Menge agrees with Braun that on-board chefs can still add value to the in-flight customer experience.

"It's much more interactive if the chef can come out and say hello to the passengers rather than the crew just handing out menus and then food," he says.

"I think it makes a big difference if a chef with passion is on board to explain the food to customers, for the visual appeal it will also look much nicer.

"This can really help the airline company go the extra mile in presentation and service," he concludes.

@highlight

Airlines hiring chefs on planes to prepare meals for first and business class passengers

@highlight

Etihad Airways and Austrian Airlines won awards for their chefs at Skytrax Awards

@highlight

Cooking on board a plane is fraught with taste and preparation challenges