(CNN) -- The tragic news from Syria managed to become even more shocking Monday when the regime issued an unprecedented threat to use chemical and biological weapons. The warning, which came couched in deceptively reassuring language, makes it clearer than ever that the world cannot afford to act merely as an interested spectator as Syria unravels in a tangle of shrapnel and blood.

Syria had always denied that it owned any chemical or biological weapons. But the denial ended this week when Foreign Ministry spokesman Jihad Makdissi issued his peculiarly veiled threat.

"No chemical or biological weapons will ever be used," Makdissi said before flashing the thunderbolt of an exception: "Unless Syria is exposed to external aggression." The weapons, he said, acknowledging their existence for the first time, are under supervision of the Syrian armed forces.

Syria says it has weapons of mass destruction in case of foreign attack

The regime of Syrian President Bashar al-Assad has long described the uprising against his rule as a terrorist revolt and a "foreign conspiracy." Makdissi himself promptly described the opposition as the work of foreign extremists, conceivably synonymous with the "external aggression" that would qualify for chemical attack under these new rules of engagement.

The U.S. has placed most of its efforts on diplomacy, even while al-Assad's forces have killed more than 15,000 protesters. Diplomacy has gone nowhere, but the fighting continues unabated, and the humanitarian catastrophe escalates.

As with every other uprising in the Arab world, with the exception of Libya, Washington has tried to play delicately, seeking a nuanced approach that keeps it from taking center stage in the conflict, speaking out from the sidelines and gently moving events along.

If anyone needed more information about the stakes and the urgency in this conflict, the latest threat provides it.

American combat forces should stay out of the conflict, for now, unless Syria unleashes chemical weapons directly or indirectly. But the U.S. should play a much more active role helping overthrow al-Assad.

It's time for Washington and its allies to throw their support more forcefully behind elements of the opposition whose ideas most closely match the West's views on democracy, equality and rule of law.

Opinion: Preparing for Bashar al-Assad's exit

Many have rightly worried about who makes up the opposition. There is no question that elements of al Qaeda and other religious extremists are fighting with the rebels. But the opposition also includes members whose views more closely align with the ideals of democratic pluralism that are consistent with America's. Syria is a diverse country, with large Christian, Druze and Kurdish minorities.

America can stand back and hope for the best, or it can move forward and start financing and providing substantial intelligence and logistical support to the opposition members who, to the best of Washington's knowledge, might uphold the right values once in power.

There are no guarantees, but members of the opposition who have more resources become stronger inside their movement. America could help fortify ideological moderates by helping them in their fight.

As we have just seen in Libya, moderate forces can benefit from the influence they acquire when they enlist foreign support.

This is not to deny that extremists could end up gaining power in Syria. But that only makes it more important to help steer the conflict towards the best possible outcome.

As al-Assad's grip loosens, what could come next?

Consider the alternatives.

Al-Assad could survive, or the civil war could grind on for years. It now looks as if al-Assad is losing ground, but other regimes have survived strong uprisings. If al-Assad's rule survives, it will mark a defeat for the Syrian people, for America's friends in Lebanon and for U.S. allies throughout the region. It would constitute a major victory for tyranny, a triumph for Iran and for Hezbollah.

A victory for al-Assad would fortify and embolden the forces in the Middle East that oppose peace between Israelis and Palestinians, those who despise the U.S. and the West, the enemies of secularism, of equality for women and of ethnic and religious tolerance. This is a war for dominance over the region, not just for one regime's survival.

Al-Assad, despite his English education and modern tailored suits, has aligned himself with and actively supported the worst most anti-democratic, retrograde forces in the region. For decades, his friends have sowed terror around the world. Syria helped transfer thousands of Iranian missiles to Hezbollah, a disruptive anti-Western, rejectionist organization whose manifesto declares "Our struggle will end only when this entity (Israel) is obliterated."

Israel is already deeply worried about al-Assad handing chemical weapons to Hezbollah, which has 50,000 conventionally armed missiles aimed at Israel and managed to fire 4,000 rockets at Israeli civilian targets in the 2006 war.

The possibility that the fighting could spread throughout the region is frighteningly easy to envision.

Iran, al-Assad's closest ally, has been held responsible for masterminding terrorist bombings as far away as Argentina. Its current defense minister, along with the former president and former foreign minister, in fact, are targets of an Interpol arrest warrant for one of those attacks. And we're not even mentioning the nuclear issue, which exponentially increases the stakes.

Faces of the Free Syrian Army

Now that al-Assad's regime has introduced the option that major mass-casualty weapons could enter the conflict, it has eliminated any doubts about the need to bring an end to the al-Assad family's brutal rule. It has also highlighted the importance of helping establish a responsible government in its aftermath.

According to the independent Federation of American Scientists, "Syria has one of the largest and most sophisticated chemical weapons programs in the world and may also possess offensive biological weapons." Its arsenal contains nerve agents, cyanide, mustard gas and other weapons, along with the capability to fire them with Scud missiles, anti-tank rockets and anti-aircraft missiles.

When U.S. intelligence analysts saw military activity around Syria's chemical stockpile sites, Washington warned al-Assad that using them would "cross a serious red line." It's time now for more clarity.

After Syria warned that Damascus might resort to chemical weapons, German Foreign Minister Guido Westerwelle called the threat "monstrous," and British Foreign Secretary William Hague called it "unacceptable." The European Union declared itself "seriously concerned." President Barack Obama said it would be a "tragic mistake" to use the weapons.

There's no need for subtlety. Al-Assad should hear that NATO will intervene directly if he uses chemical or biological weapons or if he gives them to his dangerous allies. At the same time, Washington and its allies should make a concerted and decisive push to help the Syrian people remove al-Assad from power.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Syria's regime has issued an unprecedented threat to use chemical weapons

@highlight

Previously, Syria had always denied it owned any chemical or biological weapons, she says

@highlight

The U.S. has focused on diplomatic approaches to dealing with Syria, says Ghitis

@highlight

Ghitis: The U.S. and its allies should push to help Syrians remove al-Assad from power