(CNN) -- A U.S. Army general Wednesday approved a possible death penalty in the future military trial of Maj. Nidal Hasan, the American Muslim accused of killing 13 people at Fort Hood, Texas, in 2009.

Lt. Gen. Donald Campbell, the Fort Hood commander, formally announced that the charges against Hasan will be tried as capital offenses in a general court-martial. His decision means that if a panel of military officers finds Hasan guilty, they can consider the death penalty as a possible sentence.

Campbell's decision moves the case forward and also eliminates the possibility that Hasan, a psychiatrist, could enter a guilty plea and prevent a costly and lengthy trial.

A court-martial could be months away.

"After a referral of a case to trial by court-martial, a military judge will receive the case and at some future date, set a schedule," said a statement from Fort Hood on Wednesday. "The first likely matter for a military judge to schedule in this court-martial is the arraignment of Hasan. No military judge has been named to this case at this time."

A capital court-martial is highly unusual. The last military execution in the United States took place in 1961.

Hasan is accused of killing 13 people and wounding 32 others in November 2009. Witnesses at a preliminary hearing identified him as the man who calmly walked through a medical building on the country's largest military base, shooting and frequently reloading his handgun as he shouted "Allah Akbar," which means "God is great" in Arabic.

Hasan's government-appointed defense lawyer, John Galligan, had urged the military against allowing the death penalty as a possible sentence in a trial. Galligan met behind closed doors with Army officials in mid-May to argue that the case should not have the possibility of the death penalty, and described his meeting with Campbell as very cordial.

"The law accepts life without the opportunity of parole as an appropriate punishment for murder," Galligan said. "We had an opportunity to make our compelling argument that the (Hasan) case should be referred noncapital."

Galligan was at the jail Wednesday morning, meeting his client, when the prosecution delivered papers to him informing him that the court-martial would proceed with a possible death penalty.

The defense attorney said he was not properly informed in advance and was not provided with the necessary documents by the prosecution.

"It is a sad, sad day to see how they are proceeding," Galligan told CNN by telephone. "They continue to use these tactics that are a denigration of the defendant's right to due process."

Galligan has previously said that a noncapital trial for his client would be quicker and cheaper. And he repeatedly has complained that he and his client have been denied full details of what U.S. intelligence agencies knew about Hasan's contacts with overseas terrorists, including Anwar al-Alwaki, an American-born cleric now believed to be in Yemen and to be the target of American drone attacks.

Hasan, who is partially paralyzed and confined to a wheelchair after being shot by police responding to the rampage, is being held in a county jail near Fort Hood.

Last week, the Obama administration's top anti-terrorism official pointed to the Fort Hood killings as an example of how extremists overseas were inspiring or assisting violent attacks inside the United States.

"It is al Qaeda's adherents -- individuals, sometimes with little or no direct physical contact with al Qaeda, who have succumbed to its hateful ideology and who have engaged in, or facilitated, terrorist activities here in the United States," John Brennan, assistant to the president for homeland security and counterterrorism, said in a speech in Washington on June 29.

"These misguided individuals are spurred on by the likes of al Qaeda's Adam Gadahn and Anwar al-Awlaki in Yemen, who speak English and preach violence in slick videos over the Internet," Brennan said. "And we have seen the tragic results, with the murder of a military recruiter in Arkansas two years ago and the attack on our servicemen and women at Fort Hood."

Brennan said the shootings at Fort Hood and the attempted bombing of an airliner in December 2009 had prompted new vigilance by U.S. intelligence. "Following the attack at Fort Hood and the failed attack over Detroit, we've improved the analytic process, created new groups to track threat information, and enhanced cooperation among our intelligence agencies, including better information sharing so that all threats are acted upon quickly."

An investigation by two senior U.S. senators called Hasan "a ticking time bomb" and faulted both the military and federal agents for not raising the alarm sooner about his links to overseas terrorists and possible violence. "Although neither the Department of Defense nor the FBI had specific information concerning the time, place, or nature of the attack, they collectively had sufficient information to have detected Hasan's radicalization to violent Islamist extremism but failed both to understand and to act on it," that report said

The Army admitted problems with how it had evaluated and promoted Hasan and disciplined nine officers for "administrative and leadership failures" in not spreading the alarm about Hasan before the attacks.

@highlight

Maj. Nidal Hasan is accused of killing 13 people in a 2009 shooting at Fort Hood

@highlight

His lawyer had argued against allowing the death penalty as a possible sentence

@highlight

Hasan is partially paralyzed after being shot by police responding to the rampage