Some of Thomas Harte's New Hampshire neighbors are frustrated by the Affordable Care Act's insurance marketplaces but not for the reasons you might expect.

Harte is an insurance broker. He still has his share of frustrations with the marketplace websites, but the growing number of complaints he hears come from clients and fellow brokers who have seen the policies these marketplaces offer.

Nationally the marketplaces offer tens of thousands of different policies with a wide variety of coverage, but Harte has noticed many have one thing in common: They cover a narrow network of doctors and hospitals.

Obamacare sign-up more than a phone call away

That narrower network comes as particularly bad news for the residents of Concord, New Hampshire.

Concord's one hospital won't accept any policies offered by the marketplaces. To see a doctor, specialist or primary care provider affiliated with the hospital, patients on these Obamacare plans will have to pay out of their own pocket. The closest in-network hospital is in Manchester.

"Can you imagine having to go 25 miles away to Manchester to get access to a health care provider that is covered by your insurance?" Harte asked. "Right now, Concord is one big black hole of health care for people buying these plans."

HealthCaregov: What works, what doesn't

And it's not just Concord. Nationally, consumers are learning a number of well-known hospitals won't accept insurance offered through the marketplaces.

In New York, NYU will accept only a minority of the plans. In Los Angeles, UCLA medical centers will accept a couple. In Atlanta, Emory has limited the number of plans it will take. Academic medical centers are often pricier because they tackle the more complex cases.

WellPoint, a Blue Cross Blue Shield insurer offering policies in 14 states, is narrowing its networks in many markets after research showed consumers care more about the price than the provider.

A survey done by PriceWaterhouse Cooper found that 43% of those surveyed considered the cost of the policy the most important factor when they pick a health insurance plan.

What we learned -- and didn't -- from Obamacare website

But the picture isn't all bleak.

"Some coverage is better than no coverage," said Karen Davis, an economist and professor of health policy at Johns Hopkins University.

Davis gives the ACA marketplaces high marks overall since it is a lot easier to compare plans in these marketplaces than when consumers were buying insurance on their own. With the standardized essential benefits offered by all plans, "you can be a little bit more assured that Plan A and Plan B will provide decent coverage."

"We're going to get better benefits in this market," said Jonathan Gruber, an economist at MIT who was an architect on both the Massachusetts and U.S. health plans.

"Right now, in this insurance market, not only is it discriminatory, but the typical person with an individual-payer plan has a very weak insurance plan. ... It's not real insurance. We're going to get rid of that -- everyone will have guaranteed, real insurance."

Obamacare open enrollment: Here's everything you need to know

In the case of Concord Hospital, the CEO and president wrote a letter to the local newspaper explaining that his hospital wasn't opting out of Obamacare as a "political statement." Instead, Michael B. Green blamed Anthem Blue Cross Blue Shield, the state exchange's only provider, for being "unwilling to negotiate sustainable contract terms."

The hospital, he wrote, would be "paid less than what it costs us to provide care," and said his advisers told him the facility should be cautious about "committing to rates that could be detrimental to one's organization."

Concord is not the only New Hampshire city with a limited network of providers. Portsmouth's hospital isn't taking the insurance either. And only one of the two major hospitals in Nashua is in-network, according to Harte.

Dr. Sanjay Gupta: 5 surprises from Sebelius interview

"That's a big frustration to my clients who heard their President promise that if you like your doctor you can keep them," Harte said. "Sure, you can keep them if you pay cash for their services. But if you want your new insurance to cover that doctor visit, forget it. You're going to have to switch."

In selling his health care plan to the nation, President Barack Obama did offer a "guarantee" that "if you've got a doctor that you like, you will be able to keep your doctor."

The HealthCare.gov site is more specific in its section "Can I keep my own doctor?" It explains, "Depending on the plan you choose in the Marketplace, you may be able to keep your current doctor. Different plans have different networks and providers."

"May," of course, differs from a "guarantee."

CNN Money: Doctor choice in Obamacare? Not so much

"Across the board, the networks and the PPOs (preferred provider organizations) are significantly narrower than people are used to," said Micah Weinberg, a senior policy adviser dealing with health policies for California's Bay Area Council, a business-sponsored public policy advocacy group.

"Narrower networks is one way to keep costs (of these policies) down. Some of the networks may be too thin, at least for now anyway."

Provisions in the health care reform law say there has to be an adequate number of providers offered in these insurance networks.

"It still remains to be seen if that happens," said Davis of John Hopkins. "In principle, you couldn't exclude all obstetricians, for instance. That plan would not be considered adequate."

As the marketplaces are around longer, more providers may opt into the system, according to Dr. Susan Turney, head of the Medical Group Management Association, a trade group that represents multiple physician medical practices.

The hidden truth behind early Obamacare numbers

The group's survey of its members in September found that more than 40% were still deciding if they were going to accept the insurance offered through the ACA marketplaces.

"Many of the practices are still struggling to know what it means for them," Turney said. The association suggests that people who already have a doctor call to see if they will accept a particular policy. "We know a number of our members have trained their staff to answer those kinds of questions."

If someone doesn't have a doctor, online resources can help with selecting one.

While providers are limited with these plans, in the long run Davis said she believes "it's actually a good thing to reward higher quality, lower cost providers" as that could ultimately cut the cost of health care as the reform legislation intended.

Doctor shortage, increased demand could crash health care system

@highlight

Insurers in Obamacare marketplaces providing fewer in-network doctors, experts say

@highlight

"(But) we're going to get better benefits," economist says

@highlight

Consumers should check with doctors to see if they accept marketplace plans