(CNN) -- It may lie in Szepasszonyvolgy -- or what locals call the Valley of the Beautiful Women -- but the Golen Cellar isn't much to look at.

Nevertheless, behind this simple cavern's red doors, stenciled with the image of Bacchus, lie barrels of the best wine to be found in one of Hungary's most beautiful vineyard destinations.

Menoire is a half-sweet and fruity red wine, low in tannins.

My Hungarian mother, whose family once owned vineyards in the area, would bring me here amid the musty aroma of oak barrels and the waft of red onions on zsiros kenyer -- bread topped with lard, onion and paprika.

The wine would be decanted unceremoniously into a huge two-liter recycled Coke bottle.

'Not the rubbish you get in supermarkets'

For her, the wine in the Szepasszonyvolgy recalled her student days in the city's college and her family's connection with the area.

"Your grandfather made white wine like this," she said when tasting a glass of Csersegi Fuszeres, another local favorite.

"This is proper cellar wine, not the rubbish you get in the supermarkets."

They take wine very seriously in this part of northeastern Hungary, close to the edge of the Bukk Mountains.

At one time the local red "bulls blood" was supposed to give residents of the main town of Eger supernatural strength to ward off vampirism -- a legend born from its violent past as a trophy in battles with Ottoman invaders.

Even when my mother's family lost its vineyards after World War II, my grandfather never gave up making his own wine.

Today, wine is still the blood that flows through the town's culture.

Eger is the ideal destination for wine fans looking for an informal tasting trip.

The lack of pretension in the cellars is a big plus for those wanting an introduction to the local produce.

'Bull's blood'

It's the topographical ingredients of the Eger region that make it ideal for winemaking. It has limestone and clay-based slopes along with a cool climate, not dissimilar to Burgundy in France.

Eger's grape-growing country spreads out into 5,000 hectares of vineyards, and includes wines areas that carry a protected status.

Among them is Debroi Harslevelu, a golden wine produced in Eger's Debro district that carries the aroma of linden flowers and a rich sweetness.

Others include Egri Bikaver (better known as the anti-vampiric "bull's blood").

Synonymous with Eger, Egri Bikaver is one of Hungary's most famous red wines, known for its ruby color and spicy notes.

The wine comprises a blend of at least three of 17 red grape types from the Eger district.

It varies between wineries, but the Kadarka grape, supposedly brought over during the Ottoman occupation, often anchors it.

Szepasszonyvolgy and its more than 200 wine cellars are easily reached from the center of Eger via the miniature train that departs from Egeszseghaz Street.

Each cellar has its own distinct flavor.

The ones located at the base of the valley pulse at night from local activity and live gypsy music, while others are more spartan, pulling in the crowds with quality wine.

The Hagymasi Cellar, at number 19, is by far the most spectacular, a cathedral to wine carved under the hill.

It's worth visiting for the architecture alone, or for its pince lepeny, a buckwheat pancake filled with ham and cheese -- perfect to soak up the alcohol.

And, of course, at the top of the hill, at number 28-29, there's the Golen Cellar. These days there's no need to bring your own recycled Coke bottle.

Here are others to try:

St. Andrea

This is a fairly young cellar following traditional and classic methods, aiming to redefine Eger's wines for the 21st century.

Recommended wines: Hangacs Egri Bikaver 2007; Csakegyszoval Pinot Noir 2006 or 2004.

St. Andrea, 88 Ady Endre Street, Egerszalok +36 36 474 018

Kovacs Nimrod

Located in the historic backstreets of Eger, this restored historic winery offers tasting and excellent vintages sought by collectors.

Recommended wines: Nagyeged Furmint 2010; Monopole Rhapsody Bull's Blood 2009.

Kovacs Nimrod, 66 Veroszala Street, Eger +36 36 537 232

Thummerer

Located in the village of Noszvaj, just outside of Eger, this family-run cellar offers high-class, award winning wines you'll find in exclusive restaurants all over Europe.

Recommended wines: Egri Csillag 2012; Vili Papa Cuvee 2006.

Thummerer, Szomolyai Street, Noszvaj +36 36 463 269

Juhasz Peter

This wine cellar is located right in the Szepasszonyvolgy, so it's easy to visit for tastings. There's also a wine museum in the cellar.

Recommended wines: Egri Bikaver 2008; Egri Csillag 2011.

Juhasz Peter, Cellar 40, Pinceborozo, Szepasszonyvolgy, Eger, +36-36 436 432

Galtibor

One of the leading wineries in the Eger region, combining traditional techniques with modern technology.

Recommended wine: Egri Bikaver Superior 2009.

Galtibor, 22-32 Veroszala Street, Eger, +36 20 85 25 005

Vincze

Winery with a solid reputation for being one of the top wine makers in the region. It also produces certified organic wines.

Recommended wines: Vincze Cuvee 2002; Egri Pinot Noir 2007.

Vincze, 2 Mester Street, Eger +36 36 427 515

Sike

One of the few local wineries harvesting mature grapes, Sike produces very sweet "ice wines," or wines closely resembling the Hungary's famous sweet Tokaj wines.

Recommended wine: Debroi Harszlevelu Bothrytises 2006.

Sike, 43 Disznofosor Street, Eger +36 30 742 9024

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy. 

Jennifer Walker is an Anglo-Hungarian writer and former physicist living in Budapest. She tweets at @JDWalkerWriter.

@highlight

Hungary's northeastern town of Eger lies in the heart of one of the country's best wine regions

@highlight

Szepasszonyvolgy, or the Valley of the Beautiful Women, contains more than 200 wine cellars

@highlight

Visitors can easily tour the cellars to try and buy wines, in bottles or straight from the barrel