(CNN) -- When the name of the game is escape, one gamer's boredom is another gamer's boon.

Sony PlayStation 3 game Afrika's stunning graphics are virtually photo-realistic.

On August 28, Sony released for PlayStation 3 in Japan its long-announced, shrouded-in-secret game "Afrika," in which a single player assumes the role of a National Geographic photographer on an African safari to shoot wild animals in the grassland.

Each of the player's photos is then judged on angle, target, distance and technique, and the photographer is rewarded in "cash," which can be used to upgrade his or her camera to models based on Sony's latest Alpha-branded single-lens-reflex cameras and lenses.

The game's graphics are effectively stunning, while sound effects include hooves treading lightly on the savanna, as giraffes and antelope walk slowly away once you've snapped that Sony moment.

"Sony is pushing the game's art style in a much more photo-realistic direction, which is a departure from most video games," says Ricardo Torres, editor in chief of GameSpot.

"Rather than create a stylized, fanciful world, Sony's Japanese development studio has pushed to create graphics that match the real world."

If this exotic, close-up-wildlife simulation is fascinating to some, others find it lacking in that little something.

"The game looks excellent, the animals look smart, throw in some guns and let's have some fun," comments CanadianCow on the Gaming Today Web site.

Although players may encounter the occasional charging hippo, Afrika's human characters never die, and the emphasis is always on getting the best shot of the animals.

But what may be new to Sony is hardly new to the rest of the gaming world, let alone to current industry leader Nintendo. Just over the past few years, the Japanese gamemaker has conquered a new generation of fans both young and old with innovative applications and its trademark Wii wand.

Nintendo's own simulation games may offer comparatively lesser graphics, but they boast arguably better play.

Released in April 2008, Wild Earth: African Safari allows up to three players to not only pursue photo-reporting missions but to "play from the animal's perspective" by flapping and thrusting their Wii remote. Just a few featured creatures include cheetah, crocodile, ostrich, frog, vulture, meerkat, tortoise, bat, warthog, wildebeest and hyrax.

And for the Jacques Cousteau in everyone, Nintendo's Endless Ocean lets Wii divers leisurely explore the pristine waters of a fictional tropical island. With no time limit, point system or possibility of failure, the game even doubles as a screensaver if the remote is left untouched.

Both Sony and Nintendo offer their own interactive fish tanks for more domesticated aquatic contemplation.

Sony's Aquatopia, released in November 2007, was the first in a series of "interactive art" titles for the PlayStation Eye, which captures players' body movements.

Nintendo's Wii-controlled My Aquarium, released less than a year later, not only lets you share or trade fish with friends via Wi-Fi, it also comes in a Fantasy edition that lets you "unlock" new fish -- as well as sharks, whales, dolphins and seals -- just as long as you don't mix predator and prey.

"Games that feature observation as a core component of their game play can be seen as more accessible to individuals who don't play games all the time," remarks Torres.

"Whereas seasoned game players will have no problem adjusting to more passive game play, you don't see that crossover the other way around."

Nintendo niche

James Whittle, video-games columnist for Hong Kong's South China Morning Post, agrees: "It seems Sony is going after the green nature-loving crowd and gamers who like slower-paced games and animal-simulation games like Nintendo's dog and cat pet-caring sims, which pretty much created this whole new niche market."

The extremes of the gaming genres recall the classic contrast between Myst and Doom some 15 years ago. On one side of the spectrum, the misty island hiding secrets to be unlocked and alcoves to be explored; on the other end, the subjective view of the single-handed gun shooting to kill everything in sight for instant, unapologetic gratification.

While mainstream media traditionally milks the latter's action-thrilling appeal, the former have always had their own loyal following. Even Pokemon Snap, released in 1999 for the Nintendo 64, was based on offering players a maximum of photo opportunities of Pikachu and friends.

"Video games started off as non-violent, and then later on the violent aspects came along," observes Whittle. "Nobody reads news reports about the wonderful and pleasant gaming aspects of Hello Kitty Island Adventure or Barbie's Beach Vacation," said Whittle.

And while Sony may think it's onto something new and trendy in the name of very good graphics -- it hopes to sell at least 100,000 copies of Afrika -- Whittle is more prone to call it game over for the PlayStation 3.

"The PS3 currently lacks the potential to draw in new buyers," he says.

"They are not putting out enough games for the console. Over the last summer they had a couple of months where only one or no games were released. With so many kids off for the summer they should have been like their competitors, coming out with a few games a week."

For many PlayStation 3 owners, at least in Hong Kong, the console is little more than a Blu-ray DVD player -- nonetheless, one clear advantage it has over its gaming competitors.  View gallery of game consoles »

But that's far from enough to help Sony's console sales catch up to Nintendo, who has sold 29.6 million Wiis worldwide in the past two years -- twice the number of PS3s -- while Microsoft has sold over 20 million Xbox 360s to date.

Torres, however, is more optimistic about PS3 software: "Sony's upcoming 2008 titles span a wide range of genres that have a broader appeal. Casual titles like Buzz and Singstar skew towards a broad audience, Resistance 2 is more for seasoned players, and unique new titles like Littlebigplanet have the potential to appeal to both seasoned and casual players."

Meanwhile, in terms of inspiring independent publishers to develop more challenging games that take full advantage of PlayStation 3's technological capabilities, only time will tell whether or not Afrika was the game that made the difference.

@highlight

Sony releases PlayStation 3 game Afrika, simulating a photographer on safari

@highlight

Contemplative nature games are nothing new to successful competitor Nintendo

@highlight

Sony lags behind Nintendo in console sales, hopes game will revive PlayStation 3