(CNN) -- Kimberly Bratic hauled her gear up Afghan mountains. She went into areas where Taliban lived. She grieved when fellow soldiers were blown up by a suicide bomber. She missed her family for a year, and heard the worry in her sons' voices when she got the rare chance to call home.

She lay awake, thinking, "What if I don't make it home?"

The only difference between the 39-year-old single mom and the men she went on 70 missions with was their job titles.

U.S. lifts ban on women in combat

The guys were combat infantry. She was a public affairs specialist, the person who documented their experience training Afghan military and police.

"I don't think the enemy would really know the difference if he decided to shoot," she wrote in a CNN iReport.

On Thursday, Defense Secretary Leon Panetta announced that the Pentagon was doing a 180 on its long-standing policy against putting women in combat roles. The branches have until mid-May to come up with a plan to implement the historic and controversial change in the next couple years.

"Mr. Panetta's decision is just unchecking a box," Bratic told CNN. "Because we're already out there and just as likely to get shot up."

She understands that men and women have different strengths and many women won't be able to endure the physical demands of training for combat positions.

Former troops say time has come for women in combat units

But she's worked with several women, including female Afghan soldiers, who definitely could.

"They want it? Give them the chance to go for it," she said.

That is all the sergeant wanted when she enlisted two and a half years ago.

Despite having a master's degree in operations management and a bachelor's degree in human resource management, Bratic was struggling to find a job in northwest Ohio.

Rent was due, the bills were piling up and she had three sons to feed.

Then one evening a friend off-handedly said that she should think about the Army.

With her education, she could likely enlist as an officer, he told her.

"I thought, 'No way, not me," Bratic recalled. "But I went online and started reading all these articles and blogs about Uncle Sam wants you."

She looked up what she might potentially earn -- $3,000 a month, including hazard pay in a war zone.

"It started making sense," she said.

But convincing herself wasn't really the problem.

Letting mom go to Afghanistan

Bratic was the kind of mother who always talked reality with her sons, then 9, 10 and 18.

They hated that their mother was often gone, juggling a couple low-paying part-time jobs, including being an adjunct professor.

"They knew I was trying to pay bills," she said. "It was hard for them. They just wanted me to come home and have family time and I just couldn't."

So she sat them down and together they looked at the websites of the National Guard and the Navy.

They just played around a bit, watched the slick videos that look so cool.

She told them what she wanted to do.

"My oldest, who was starting to think about taking care of himself, understood it," Bratic said. "But the two little ones, they were worried. My middle one had the hardest time. He was the most fearful."

The 10-year-old, Cresston, watched the news. He knew what it meant when Americans in uniform went to Iraq and Afghanistan.

By the numbers: Women in the U.S. military

But what could he do? What could the brothers really say? Mom was going to do what she felt she had to.

And if she went away, even if it was a long time, maybe afterward she would have money and they could spend more time together.

Bratic called her ex-husband. The boys' father didn't like the idea, but he was a good dad. He agreed to care for them while she was gone.

Being in a foreign country at war is frightening. Being afraid you could die is haunting. But being away from your children in that environment is uniquely anguishing.

"That mom side of you ... I couldn't look at Afghan kids. I just shut it off. You'll tear yourself up thinking about your kids," she said. "Your head has to be in the mission."

She was definitely focused.

In the span of six months, she went on 70 missions, assigned to the 37th Infantry Brigade Combat Team. She worked closely with Brig. Gen. Abdul Habib Sayed Khail. It was the infantry's job to help train Afghan troops so that they can secure Afghanistan when the United States draws down its troops.

Bratic said her role was not only to photograph what was happening but also to serve as a mentor the Afghans, including female American and Afghan police and service members.

She also mentored Lt. Abdul Mohammed, her male Afghan public affairs counterpart.

"I felt like there was a lot of respect for me," she said. "I was older and that probably helped. But I respected them. I was a guest in their country, and my guys, the group I was with, established up front that I was to be respected."

But Bratic was constantly aware and alert, knowing about the increasing problem of "green-on-blue" attacks in which Afghans have turned their guns on their U.S. trainers and fellow Afghan soldiers.

She neither played up nor played down her gender.

"The Army is 14% female so I'm already outnumbered," she said. "You just don't think about the guys you're around as eye candy or potential husbands. But you still take care of yourself. I put my hair back every day. I wore Chapstick because my lips would get so dry. And I put eyeliner on because I look deadly without eyeliner."

A uniformed woman in Taliban country

Bratic recalls a favorite mission in Khawajah Bahawuddin in the northeastern region of Badakhshan. The area had not seen NATO forces for years, and no women.

"The potential for disaster was high. We had intel that Taliban were in the area. I had no idea how the people there would react. When we got there, everybody was eyeballing me. I was the woman, the oddity."

The plan was to be there for a while. Gen. Habib took them to a shrine to Ahmad Shah Massoud. A key political and military leader in the Afghans' fight against the Russians in the 1980s, Massoud is a national hero in Afghanistan. If he had not been assassinated on September 9, 2001, some believe he would have gone on to find Osama bin Laden and help the United States and its allies in a way that no one else could.

While she stood there, holding her camera, Habib told her how Massoud was killed.

His attackers pretended to be journalists doing an interview. Their camera was a bomb.

Bratic thinks about that day when people ask her why she went to Afghanistan. It started out as a way to make money, but it became about more. She is like every soldier, regardless of gender, who is changed by a war and hopes that their families get that.

When she returned to Ohio, her boys ran to her. They embraced their mom. Her son Cresston, though, needs her attention right now. He doesn't want her to leave again, and she opted to be inactive for now, with the Army Reserve. But she wants to go back badly.

Unlike many of the younger soldiers who served with her who banked their earnings, she had to constantly send money back home to pay the bills.

She's afloat for now, living again in Ohio. She spends some of her time blogging about her military experience at Afghanbattlefox.com. 
But mostly she's sending out resumes and making phone calls. She's still had no luck finding a job.

@highlight

An unemployed single mom with bills to pay decides to enlist in the Army

@highlight

In Afghanistan, Kimberly Bratic worked with a combat team

@highlight

One of her three sons struggled with her decision to leave

@highlight

She just got home to Ohio and still cannot find a job