(CNN) -- David Frum is one of today's best and most reasoned conservative political voices, so his recent CNN.com op-ed on marijuana policy was just a little disappointing. Not because he advocates the drug's decriminalization -- he rightly thinks locking people up or arresting them for casual use is a bad idea -- but because he opposes its legalization for adults.

I agree with much of what he says about pot's potential harm, especially for the young and the psychiatrically ill. Like Frum, I am a father who worries about my kids getting sidetracked by cannabis before their brains have a chance to develop. But I am also a physician who understands that the negative legal consequences of marijuana use are far worse than the medical consequences.

Frum would reduce the punishment for marijuana use for adults but nominally maintain its illegality in order to send a message to young people that pot is a "bad choice," as if breaking the rules wasn't as much an incentive as a deterrent for adolescents. Kids are smart enough to recognize and dismiss a "because I said so" argument when they see one. By trying to hide marijuana from innately curious young people, we have elevated its status to that of a forbidden fruit. I believe a better approach is to bring pot into the open, make it legal for people over the age of 21, and educate children from a young age about the actual dangers of its recreational use.

Opinion: War on drugs a trillion-dollar failure

Throughout my career as a clinical psychiatrist, I have seen lives ruined by drugs like cocaine, painkillers and alcohol. I have also borne witness to the devastation brought upon cannabis users -- almost never by abuse of the drug, but by a justice system that chooses a sledgehammer to kill a weed.

Alcohol, tobacco, marijuana, caffeine and refined sugar are among the most commonly used, potentially habit-forming recreational substances. All are best left out of our daily diets. Only marijuana is illegal, though alcohol and tobacco are clearly more harmful. In several respects, even sugar poses more of a threat to our nation's health than pot.

I agree with Frum that chronic use of cannabis correlates with mood changes and low motivation, especially when started in adolescence. In individuals with psychosis, it may trigger or worsen their symptoms.

But these dangers are far surpassed by the perils of alcohol, which is associated with pancreatitis, gastritis, cirrhosis, permanent dementia, physiological dependence and fatal withdrawal. In healthy but reckless teens and young adults, it is frighteningly easy to consume a lethal dose of alcohol, but it is essentially impossible to do so with marijuana. Further, alcohol causes severe impairment of judgment, which results in violence, risky sexual behavior and more use of hard drugs.

Those who believe cannabis to be a gateway to opioids and other highly dangerous drugs fail to appreciate that the illegal purchase of marijuana exposes consumers to dealers who push the hard stuff. Given marijuana's popularity in this country, the consumption of more dangerous drugs could actually decrease if pot were purchased at a liquor store rather than on the street corner where heroin and crack are sold.

Opinion: Legalize pot? No, reform laws

There is another more pressing reason to legalize and regulate marijuana, even for the sake of our children: the potential for adulteration of black-market cannabis and the substitution of even more dangerous copycat compounds. Much like Prohibition-era fatalities from bad moonshine, harmful synthetic marijuana substitutes are proliferating, with street names like K2 and Spice. The Drug Enforcement Administration struggles to combat these compounds by outlawing them, but I see no decrease in their popularity among my patients. Natural marijuana poses much less danger than synthetic cannabinoids -- legal or otherwise.

So who had the bright idea of banning cannabis in the first place? Was it physicians? Social service organizations? No. The credit goes to the Federal Bureau of Narcotics, which in 1937 pushed through laws ending the growth, trade and consumption of all forms of cannabis, including the inert but commercially useful hemp plant. America's ban on the so-called "Weed of Madness" was based on bad science and fabricated stories of violence perpetrated under the influence. The madness of cannabis can be ascribed not so much to its users, but to those who sought to criminalize the drug so soon after the monumental failure of alcohol Prohibition.

That's not to say our marijuana laws have failed to change drug use in America. Cannabis is more widely used today than at any time before its prohibition, even though it was domesticated in antiquity and has been cultivated ever since. Pot prohibition has also greatly increased illegal activity and violence. Otherwise law-abiding private users became criminals, and criminals became rich through the untaxed, bloody and highly lucrative illicit drug trade.

Opinion: The end of the war on marijuana

But America can fix this mess through marijuana legalization. Federal, state and local governments can regulate the cannabis trade as they do with alcohol and tobacco -- monitoring the production process for safety and purity, controlling where it is sold, taxing all aspects of marijuana production and consumption, and redirecting resources from punishment to prevention.

Forget the antiquated dogma and judge pot prohibition on its own merits. If you still believe that cannabis should be illegal, then you must logically support the criminalization of alcohol and tobacco, with vigorous prosecution and even imprisonment of producers and consumers. Does that sound ridiculous? Then you must conclude that the only rational approach to cannabis is to legalize, regulate and tax it.

The opinions in this commentary are solely those of David Nathan.

@highlight

David Nathan disputes CNN op-ed by David Frum that argues pot should be illegal

@highlight

Nathan treats drug abusers and agrees with Frum that young people should avoid marijuana

@highlight

Drug should be legal for adults and sold like alcohol, with kids taught the risks, he says

@highlight

Nathan: If pot is illegal, then dangerous drugs like alcohol and tobacco should be, too