(CNN) -- Not long ago, presidential candidate Herman Cain made headlines when he said blacks were brainwashed for not considering conservative ideas. On other occasions he declared that racism was no longer a problem and blamed the poor for being poor.

A personal friend, I know Cain to be more thoughtful than those incendiary sound bites, but I also suspect he knew that uttering them would help him land right where he is: atop the Republican presidential field, a standing that could be threatened by recent reports of sexual harassment allegations. Unfortunately, such trash talk -- popular among many black conservatives -- continues to alienate black Republicans from the African-American community.

During the early '90s, when I was a member of The Atlanta Journal editorial board, I had high hopes that the black conservative movement -- to which I was a recent convert -- could help transform black America. I penned a number of columns urging the black community to put its vote in play so that Democrats would have to do something new to keep it and Republicans would be enticed to go after it.

For me, the '90s was an exciting time for black conservatives. Having burst on the scene in the early '80s during the Reagan administration, they were everywhere. On the far right were free-market conservatives like economists Thomas Sowell and Walter Williams, along with establishment types such as Ward Connerly and Clarence Thomas. On the moderate side were professors like Glenn C. Loury, Shelby Steele and Stephen Carter.

On the progressive side were voices like community grass-roots intellectual Robert Woodson and television host Tony Brown. Beyond those names, there were a number of other right-leaning black voices, from college campuses to the pulpit. Black conservatism was the most visible it had ever been since Booker T. Washington peddled self-help capitalism at the turn of the last century.

But what excited me most was progressive black conservatism. Rooted in black nationalism and the self-help belief system of Malcolm X, it insisted that the black community be at the forefront of solving black problems.

Far from being separatist or pessimistic, it was highly hopeful about America, recognizing that there was much more opportunity than there were obstacles. It was policy- and solutions-oriented, focusing on things like rebuilding the black family, black entrepreneurship, starting and supporting black businesses in poor neighborhoods, enterprise zones, housing vouchers, micro-lending, repealing Davis Bacon (a prevailing wage law that unfairly prevented unskilled, often black, workers from gaining apprenticeships on federally funded construction jobs), and starting Christian schools.

It wasn't wholesale against social programs; it just wanted to duplicate the successes of those programs -- not necessarily government-led -- that actually worked. It didn't deny the existence of racism, but neither did it obsess over it, counting as more important those things over which blacks had control: persistence, hard work, academic exertion, and personal responsibility.

But progressive black conservatism would never gain traction. Its lone supporter among white Republicans -- HUD Secretary Jack Kemp under George H. W. Bush -- who pushed a strong urban agenda, was ignored as his party pursued an aggressive suburban strategy that further alienated blacks. The tone of black conservatism became even more accommodationist, with progressive voices being drowned out, and never evolved beyond parroting long-held white conservative and neoconservative dogma.

Today's crop of black conservatives is no different. In an environment of runaway corporate greed, where the top 1% is getting richer at the expense of the middle class, where rising college costs are making many students question the worth of a college education, where unemployment is hovering at 16% in the black community, where home values are drying up, and the economy is nearly on life support, black Republicans -- whose spiel is as one-dimensional as it was 20 years ago -- come off as even more tone-deaf.

Their idea of reaching blacks is gimmicky. Just recently, RagingElephants.com launched ads in Austin, Texas, declaring, "G.O.P. is the New Black" and "Martin Luther King, Jr. was a Republican." An article written by Indiana tea party organizer Emery McClendon for Project 21, a national leadership network of black Republicans, says the tea party could appeal to more blacks if, among other things, it would show Sarah Palin and Dick Armey mingling with African-Americans. How laughable.

Far from being rejected by a black community that is brainwashed, black conservatives have themselves to blame. They've appeared to care more about their own advancement and acceptance in the GOP than about truly helping blacks.

That's a shame, because we still need a diversity of political ideas. If black conservatives really want to make black conservatism a serious force in the black community, they have to drop their "just get over it" philosophy about racism and its lingering effects, stand up to the GOP when it does something wrong, and come up with a real urban agenda.

Take racism. Though I agree with them that it's not the No.1 problem blacks face today, there's no denying the fact that structural racism remains interwoven into the nation's criminal justice, educational and corporate cultures.

All one has to do is read Michelle Alexander's excellent book , "The New Jim Crow: Mass Incarceration in the Age of Colorblindness," or an insightful article by Jennifer Hochschild and Vesla Weaver, "The Skin Color Paradox and the American Racial Order," in the December 2007 edition of Social Forces, to see the impact of racism in the criminal justice system and how darker-skinned blacks are relegated to overall lower socioeconomic status, more entanglements with the criminal justice system, and a reduced chance of holding elective office than their lighter-skinned counterparts.

A 2003 University of Chicago study found that African-Americans with black-sounding names were less likely to get called back for job interviews.

Ignoring such evidence robs black conservatives of credibility and moral authority. Telling blacks, some of whom are poor, desperate and penniless, to just pull "yourselves up by your bootstraps" -- while not at least acknowledging that historically, the boots were rigged, and in some cases they remain so -- is inauthentic and hypocritical.

If black conservatives want to claim King, they should at least learn from him. During the civil rights movement, King said he couldn't in good conscience tell blacks to lay down their arms in the fight for freedom without speaking out against the Vietnam War.

"As I have walked among the desperate, rejected, and angry young men, I have told them that Molotov cocktails and rifles would not solve their problems," he said. "I have tried to offer them my deepest compassion while maintaining my conviction that social change comes most meaningfully through non-violent action; for they ask and write me, 'So what about Vietnam?' They ask if our nation wasn't using massive doses of violence to solve its problems to bring about the changes it wanted. Their questions hit home, and I knew that I could never again raise my voice against the violence of the oppressed in the ghettos without first having spoken clearly to the greatest purveyor of violence in the world today: my own government."

King understood this simple fact: There is no moral authority in attacking the shortcomings of blacks while glossing over the sins of the larger society. Certainly, black conservatives are right to differ with black liberals about how racism impacts black advancement today. I understand what some of them are trying to do: get blacks to stop obsessing over what they can't control -- white people's hearts -- and focus on the things they can.

Still, the argument rings hollow. I used to tell my son, "A racist cop may pull you over because you're black, that's his fault; but if he finds drugs in the car, that's your fault." Unlike some conservatives, I don't wish to let either party off the hook.

As long as black conservatives appear to be attack dogs for the white establishment, they will always be a weak and ineffectual voice in the black community. Their views may win them a few elections, sell some books, and earn them the applause of their white counterparts, but it will remain a marginal movement that has no impact in the black community.

Indeed, scarcely any blacks were excited when Michael Steele was elected chairman of the Republican National Committee in 2009 or when Rep. Allen West of Florida and Rep. Tim Scott of South Carolina became the first two black Republicans to go to Congress since J.C. Watts of Oklahoma retired in 2003. And while we applaud the chutzpah of Cain and his amazing ability to have outperformed so many career politicians, it's his politics most blacks can't embrace.

Bristling under recent reports that he had been the target of complaints of sexual harassment, Cain says he's being unfairly attacked, and I believe he is. The man I know has been married for 43 years and his character is unassailable. He's right that presidential politics places a big target on your back. I just wish black conservatives understood that being black in America does too.

The opinions expressed in this commentary are solely those of Fredrick Robinson.

@highlight

Herman Cain said blacks were brainwashed into rejecting conservative ideas

@highlight

Fredrick Robinson: At one time conservatism showed promise as a route for black Americans

@highlight

He says Cain and others have gained popularity in GOP circles by trash talk

@highlight

Robinson: Denying the impact of racism in America alienates conservatives from blacks