Editor's note: Jay S. Winuk, co-founder of MyGoodDeed, is the brother of Glenn J. Winuk, an attorney and volunteer firefighter and EMT who died in the line of duty when the South Tower of the World Trade Center collapsed on September 11, 2001. This week Glenn was posthumously honored with the 9/11 Heroes Medal of Valor from the United States of America.

Jay Winuk says September 11 is best observed as a day of service to others.

NEW YORK (CNN) -- The upcoming eighth anniversary of the attacks of September 11 raises a compelling question for millions of Americans: How should we best observe this uniquely tragic day in our nation's history?

Surely, it should not be a holiday. This is no time for days off from work and three-day weekends to enjoy barbeques and white sales.

No, September 11 is a day for reflection, and its historical and emotional significance should not lessen with time or be diminished in any way. It is a day to focus on the substantial lessons learned.

I'm a 9/11 family member. My brave brother, Glenn J. Winuk, was a partner at a large law firm, Holland & Knight, located two blocks from the World Trade Center.

For almost 20 years Glenn was also a volunteer firefighter and an emergency medical technician. When the Towers were hit, Glenn borrowed rescue equipment and ran from safety toward the South Tower to participate in the rescue effort. He died when the South Tower collapsed.

Soon after the attacks, I co-founded, with my friend David Paine and other 9/11 family members and friends, a grassroots initiative called MyGoodDeed. Our goal? To establish the anniversary of September 11, 2001 as an annually recognized national day of service.

Our widely shared view was that there would be no better way to pay tribute to those thousands lost and those millions who rose in spontaneous, compassionate and effective service to help rebuild our spirit and our nation in the aftermath of the attacks.

Supported by all the leading 9/11 family, survivor and volunteer organizations, the initiative has since attracted the attention and participation of millions of people around the world, from all 50 states and more than 170 nations and territories.

People choose whatever form of kindness and service they'd like to perform each 9/11. And with acts large and small, they are making a real difference in the lives of people and communities in need.

Some make donations -- clothing, books, eyeglasses, money, blood. Some help repair schools and parks and beaches. Some send care packages to our troops overseas, or work in soup kitchens. Some read to the blind, or visit the elderly.

This Sunday, retired New York Giants great George Martin is leading a fundraising walk from New York to New Jersey to raise money for the health care of thousands of rescue and recovery workers of Ground Zero who are ailing as a result of their service after 9/11. There is no limit to what people can do to participate.

Of note is that just like those who died in the horror of that September morning, those who engage in service on 9/11 represent a wide range of political preferences, ages, races, religions, economic status and geographic locations.

Unlike as suggested recently by some conservative journalists and bloggers, this 9/11 service phenomenon is not new and is certainly not about some kind of liberal agenda intended to diminish the meaning of September 11 or redefine it for political gain.

Indeed, the notion of engaging in service to mark each 9/11 began during the Bush administration, and has been widely supported by both sides of the aisle on Capitol Hill. In fact, in 2004 the U.S. Congress unanimously passed House Congressional Resolution 473, saying the anniversary of September 11 should be a national day of service and compassion.

In April of this year, President Obama signed the Edward M. Kennedy Serve America Act, substantially bi-partisan legislation that included a provision formally establishing September 11 as a "National Day of Service and Remembrance."

The 9/11 community largely applauded this major step forward. And as I watched the president sign this legislation, along with members of the ServiceNation coalition and surrounded by a diverse group of political leaders, educators, students, service volunteers and others, I experienced both chills and a feeling of great warmth as I thought about my brother who died in service to others.

Service as a way to honor the victims, workers and volunteers of September 11 ensures that future generations will learn not only about the attacks but about how good people around the world responded when our nation was severely wounded. Further, it serves as a productive and meaningful way forward out of the ashes of September 11 as our national challenges are now as great as ever.

Some people say, "Enough about 9/11 already. Let's move on." Surely, I understand that. Even while remembering, we must move ahead. And that's really the point about this observance. Let's pay tribute to all those who were injured or who perished, like my brother, and to all those who rose in service to save and protect our nation, by looking forward and by improving the lot of those people and communities in need.

This moment in history was not just about the attacks. It was also about compassion. And that is the lesson of the events of 9/11, and for me is the essence of this National Day of Service and Remembrance.

The opinions expressed in this commentary are solely those of Jay S. Winuk.

@highlight

Jay Winuk: 9/11 has been recognized as a national day of service

@highlight

He says it's not a day to skip work or go shopping

@highlight

He says people choose to do acts of kindness, large or small

@highlight

Winuk: There's no political agenda, Bush and Obama have supported it