(CNN)As a boat packed with hundreds of migrants capsized in Mediterranean waters, many were trapped inside behind locked doors.

That's the account one survivor of the deadly shipwreck gave to investigators, according to a statement released Sunday by prosecutors in Catania, Italy.

The Bangladeshi migrant's description provides new details about what may have happened aboard the ship, which sent out a distress call in the dark of night Saturday after a couple of days at sea.

As rescuers approached, authorities say migrants on the boat moved to one side, hoping to be saved. Their movement caused the large, multilevel boat to capsize about 110 kilometers (almost 70 miles) north of Libya, sending the desperate crowd plunging into the sea, their chance of survival slim.

The migrant, who spoke to investigators after being airlifted to a hospital in Catania, is among dozens who authorities say were saved from the sinking vessel. He told investigators there were 950 people on board -- a number prosecutors haven't verified. Maltese authorities, who are working with Italian rescuers, earlier said around 50 of 700 people on the boat had been saved.

Many on lower levels of the boat were trapped inside because smugglers had locked the doors, the migrant said, according to prosecutors. The Italian Coast Guard is collecting statements from other survivors, prosecutors said.

It was the latest in a series of dangerous voyages for hundreds of men, women and children who boarded the boat in Libya, hoping to make it safely to Europe. Passengers on the boat were from a number of nations, including Algeria, Egypt, Somalia, Niger, Senegal, Mali, Zambia, Bangladesh and Ghana, prosecutors said.

While the shipwreck was an accident, Malta's Prime Minister slammed the human traffickers who he accused of risking people's lives by putting them on rickety ships in unpredictable waters.

"Gangs of criminals are putting people on a boat, sometimes even at gunpoint," Prime Minister Joseph Muscat said. "They're putting them on the road to death, really, and nothing else."

It's "genocide -- nothing less than genocide, really," Muscat told CNN.

United Nations High Commissioner for Refugees Antonio Guterres said that the incident could be worse than an incident last week in which 400 refugees and migrants died in the Mediterranean.

"Our troops, together with the Italian navy, are literally looking through the bodies to try to find someone who's still alive," Muscat said of the latest incident at sea.

Flavio Di Giacomo, spokesman for the International Organization for Migration, told CNN that survivors were taken to Sicily.

The Italian Coast Guard, which is leading the rescue operation, reported that at least 24 bodies had been recovered so far at the shipwreck site.

Security for Libya's borders is essential to "take out these criminal gangs -- these terrorists," Muscat said.  The international community  "cannot continue to turn a blind eye," he added.

The leader of the international nonpartisan medical organization Doctors Without Borders had strong words Sunday for the tragedy. "A mass grave is being created in the Mediterranean Sea and European policies are responsible," said the group's president, Loris De Filippi. He compared the high number of deaths to "figures from a war zone."

De Filippi called on European states to immediately launch large-scale search-and-rescue operations with proactive patrolling as close as possible to Libyan shores. "Faced with thousands of desperate people fleeing wars and crises, Europe has closed borders, forcing people in search of protection to risk their lives and die at sea," he said. "This tragedy is only just beginning, but it can and should be stopped."

Doctors Without Borders will begin its own rescue effort, he added, because "as a medical, humanitarian organization, we simply cannot wait any longer."

French President Francois Hollande called for the European Union to help more in the rescue.

If the deaths are in the hundreds, he said, the accident could be "the worst disaster in recent years in the Mediterranean."

Italian Prime Minister Matteo Renzi called an emergency Cabinet meeting in Rome. Speaking to journalists later, he defended Italy's response. "Adding 10 more vessels" to patrol the Mediterranean, Renzi said, wouldn't solve the root of why the tragedy occurred. "This has to be clear: there was not an absence (of rescue vessels) which led to the disaster. And this is the proof that if you want to eradicate the problem from the root, you have to respond in a different way. And what we're doing in the next few hours will show this."

Renzi said the focus needs to be on eradicating human trafficking and that the responsibility lies with the whole world, "not just Italy and Malta."

Human Rights Watch urged the EU to act quickly. "The EU is standing by with arms crossed while hundreds die off its shores," said Judith Sunderland, deputy Europe and Central Asia director at Human Rights Watch. "These deaths might well have been prevented if the EU had launched a genuine search-and-rescue effort."

The EU released a statement Sunday saying that it planned action down the road but didn't detail any immediate plans to help with the search for the victims of this accident.

"The European Commission is deeply chagrined by the tragic developments in the Mediterranean today, but also over the past days and weeks. The reality is stark and our actions must therefore be bold. These are human lives at stake, and the European Union as a whole has a moral and humanitarian obligation to act," it said.

The EU is consulting member states, European agencies and international organizations to prepare what it called a European Migration Strategy, which would be adopted in middle May.

It stressed the need to "address the situation at its roots."

"And as long as countries of origin and transit do not take action to prevent these desperate trips, people will continue to put their lives at risk," the statement read.

Many of the migrants who board ships to cross the Mediterranean are from sub-Saharan Africa, and travel for weeks just to get to the ships. They're seeking a better life, but many are exploited by the traffickers who organize the voyages.

Already this year, more than 900 migrants are believed to have died while crossing the Mediterranean -- far more than during the same period in 2014, the International Organization for Migration said Friday.

In one four-day period alone, more than 8,000 migrants were rescued, according to the Italian Coast Guard. On one day alone, SOS calls came in from 20 boats in distress.

Roberta Metsola, a Maltese member of the European Parliament, told CNN on Sunday that countries from Northern Europe need to share the responsibility with their southern neighbors.

"The people are going to continue to arrive," she said. "The desperation subsists -- there are almost a million people waiting to board boats and come to Europe to seek a better life. And that fact has to be recognized."

Journalist Barbie Nadeau and CNN's Hada Messia reported from Rome; CNN's Jethro Mullen reported Hong Kong, and CNN's Ashley Fantz, Josh Levs, Catherine E. Shoichet, Jessica King and Christine Theodorou reported from Atlanta. CNN's Tina Burnside and Susanna Capelouto contributed to this report.

@highlight

A survivor tells authorities that migrants were trapped behind locked doors

@highlight

Rescuers say they have found scores of bodies in the waters off Libya