(CNN) -- It would be easy to criticize the burgeoning science of astrobiology as an intellectual endeavor best left to more profligate times. The search for extraterrestrial life and expeditions to hunt for life in Earth's extremes -- from the bottom of the oceans and Antarctica's extremes -- seem like luxuries for excitable explorers and space scientists.

The enthusiasm about alien life isn't new; the ancient Greeks wondered whether there were other habitable worlds. But it is only recently that the search for extraterrestrial life has been underpinned by experiments -- telescopes to search for Earth-like planets orbiting distant stars, rovers, like NASA's Curiosity, to hunt for life on Mars.

In wanting to better assess whether life could be elsewhere, astrobiology has also set out on the more homely tasks of understanding how life evolved on the Earth, how life has persisted on our own planet for over three-and-a-half billion years and how it manages to thrive in extremes that to humans seem completely inimical to life.

In uncovering the secrets of life's survival on the Earth, astrobiology has some found remarkably prosaic applications. The powder that works in your washing machine at high temperature functions because it contains proteins extracted from microbes that grow in volcanic hot springs.

They were first found by scientists (who would today call themselves astrobiologists) seeking to know how life adapts to such primitive, searing surroundings.

Read More: $1B mission to reach the Earth's mantle

Yet, some of the most promising locations to search for ancient life on Mars are places where water may have been in contact with volcanic rocks, ancient hydrothermal systems where conditions may have been conducive to life.

As astrobiologists dig and scrape in amongst the microbial inhabitants of Earth's most hostile environments to understand the possibility of life elsewhere, they learn things that have economic uses.

The link between the search for extraterrestrial life and our Earth-based problems is not surprising, because fundamentally it is all the same thing -- understanding how life, whether us or microbes, can be sustained in the cosmos. A hypothetical microbe on Mars might need to adapt to live in a high temperature stream. A human on Earth needs to find a way to clean its washing at high temperature.

Both are trying to make a living on a planetary surface and both are trying to do this as efficiently as possible without wrecking their living conditions. Both might find that they can share a common way of accomplishing these things.

Read more: Super telescope to search for secrets of the universe

It isn't uncommon to find environmentalists who are in awed disbelief that we can be spending billions searching for life on Mars and space explorers who feel that a focus on environmentalism narrows the reach and vision of our civilization. Both groups of people are separately emboldened by their vision.

Environmentalists understand the great challenges that lie ahead in dealing with a population of seven billion apes inhabiting a piece of rock a mere 12,500 kilometers in diameter; space explorers understand that if they achieve their vision, and establish a permanent human presence beyond the Earth, they will not only open new opportunities for knowledge and resources, but they will also enhance our civilization's long term chances of survival.

Now, more than at any time, we need a unified vision. Astrobiology is a bridge between understanding our Earth and exploring space and it reminds us that both endeavors are not merely linked, but basically one and the same challenge.

By exploring the origin and evolution of life on the Earth and beyond we learn things of practical benefit to living on Earth and settling space.

Once we see how environmentalism and space settlement are linked, we no longer stand peering into a future where we have to grapple with an either/or choice: settle space or save the oasis of Earth -- or indeed a future where we have two enormous challenges to juggle both at once.

Instead, we are confronted by a future with a single challenge -- build sustainable human settlements in the cosmos, whether on Earth or in space.

The science that generates the knowledge that underpins this, astrobiology, becomes a glue between these two communities and offers us the chance to become the space-faring guardians of an oasis in space.

The opinions expressed in this commentary are solely those of Charles Cockell

@highlight

Astrobiology is the study of the origins and evolution of life on Earth and in space

@highlight

Astrobiologists examine microbes on Earth to understand the possibility of life elsewhere

@highlight

Exploring inhospitable parts of our own planet and others can bring practical and economic benefits to humans

@highlight

Billions of dollars spent exploring space will help provide answers to environmental issues