"Everything secret degenerates, even the administration of justice; nothing is safe that cannot bear discussion and publicity." -- Lord Acton

The recent disclosures about the National Security Agency's massive and aggressive spying on the world, including U.S. citizens, along with other scandals showing Associated Press and Fox News reporters targeted in "leak" investigations, should make us realize that John Poindexter's plan for "Total Information Awareness" never died: It merely went underground and changed its name.

When the TIA idea was first proposed by the Bush administration after 9/11, along with a "Big Brother" all-seeing eye logo, it was widely considered a crazy notion, resulting in an outcry. That data collection plan, which involved indiscriminate spying on Americans, was quickly squelched -- at least publicly.

The truth, however, was that it was reborn under dozens of massive data collection and surveillance programs within each of our 16 highly secretive intelligence agencies, under a variety of cute acronyms.

These programs falsely purport to get "novel intelligence from massive data." (In fact, NIMD is the actual, self-explanatory name of one such program). Few within the national intelligence community complained about the wrongfulness, illegality or ineffectiveness -- let alone the waste and fraud -- of programs that create billions in profit for private surveillance contractors, technology experts and intelligence operatives and analysts.

But there's no evidence the NIMD theory has worked.  Researchers long ago concluded that the NIMD-type promise of detecting and accurately stopping terrorists through massive data collection was simply not possible.

Opinion: Edward Snowden is a hero

Think about how Bush administration officials defended themselves from not following up on the incredibly specific intelligence warnings urgently going to Director of Central Intelligence George Tenet and National Counterterrorism Director Richard Clark in the months leading up to 9/11. Their common response back then was something along the line of: intelligence is like a fire hose, and you can't get a sip from a fire hose. There was apparently too much for top officials to even read the key memos addressed to them.

But if intelligence was a fire hose before 9/11, it quickly became Niagara Falls.

And now, with so much data (almost all of it irrelevant) that has been sucked into government databases and computers, one might liken the "intelligence flow" to a tsunami, with analysts asked to find just the right drop of water. Good luck.

In fact, The Washington Post's well-researched series in 2010 on "Top Secret America" reported that the NSA was collecting and storing around 1.7 billion pieces of information every 24 hours, even back then.

To switch metaphors, it does not make it easier to find a needle in a haystack if you continue to add hay.  No one has ever explained why it was left to fellow passengers or alert street vendors, not the "intelligence" agencies, to stop the last four major terrorist attacks or attempted attacks on U.S. soil.

When the Bush administration's illegal monitoring was revealed by The New York Times in December 2005, a cover-up of sorts ensued.  By labeling it the "terrorist surveillance program," Bush and his closest intelligence officials scared Congress and the people into believing that the surveillance was something other than a dragnet -- that it was limited to terrorist suspects, or at least to foreign nationals, and did not encompass all Americans.  Few believed at the time that such a colossal secret system could eventually be used against American news agencies and reporters, activists and other officials.

Fast forward to President Barack Obama's response to the recent confirmation about the extent of the NSA's "metadata" collection of our telephone and Internet information. Keep in mind that the NSA is just one of the 16 agencies involved in data gathering and storage.

Opinion: Your biggest secrets are up for grabs

A courageous person of conscience -- Edward Snowden -- has now openly confirmed it all but is already suffering official demonization because he felt it important for the wider public to know and debate the magnitude and reach of the U.S. government's secret monitoring. The disclosures have caused Obama and other officials to more or less admit that massive government surveillance erodes citizens' individual privacy, but they claim that it is a necessary trade-off in the quest for security.  Omitted was proof that such a strategy even works.

The excessive secrecy and increasing compartmentalization in "top secret America" actually reduces information sharing, which the post 9/11 investigations concluded was the major failure and root cause that allowed the 9/11 attacks to occur. Some of us even wonder if the 9/11 attacks could have been prevented if WikiLeaks or a similar channel had existed to get out the serious threats and information that surfaced in the months beforehand but were ignored, unread or became blocked in the "fire hose."

Secretive spying programs actually harm national security.  And arguably worse, they pose, as Snowden stated, "an existential threat to democracy." The Bill of Rights limits government prerogative by ensuring that a measure of evidence and proof are necessary before police can detain people or search their homes and other areas of privacy.

The threat to democracy lies not only in the evisceration of the Fourth Amendment's prohibition of unreasonable searches and the Fifth Amendment's guarantee of due process, right against self-incrimination and coerced confessions and other rights that form the backbone of the criminal justice system, but also in eroding freedom of the press, seeing journalists and reporters as "aiding and abetting" the criminal telling of government secrets. Secrets, by the way, that shouldn't even be secret.

Few graphs climb as sharply upward as this one tracing the line from 6 million government documents classified "secret" in 1996 to 92 million secret in 2011. What will be the figure in 2013?  Will we need someone such as Snowden to tell us? Has Thomas Jefferson's notion that the bedrock of democracy rests on an informed citizenry become as "quaint" as the Geneva Conventions?

The notion that we must choose between abiding by the Constitution and improving security is fundamentally false, as Obama noted when first campaigning for the presidency. But his recent response was a flip flop exploiting people's fear of terrorism to say he cannot ensure their "100% security" unless people give up their privacy and convenience to allow the massive NSA monitoring.  A lot more than privacy and convenience is at stake.

What is at risk here is simply the rule of law, whose keystone is the concept of due process, as derived from the Magna Carta and enshrined in the Bill of Rights. Once due process goes, we can wave goodbye also to freedom of speech, freedom of press and freedom of assembly.

Opinion: Why we need government surveillance

It has happened before.

One need to only look to the operation of the House Un-American Activities Committee in the late 1940s and '50s to recall a time when rights were suspended and to be accused meant to be convicted of a thought crime. Often considered the smartest man of the last century, Albert Einstein died with a nearly 2,000 page FBI file.

J. Edgar Hoover gathered secret information on anyone and everyone of consequence, which gave him power over some presidents. In the 1960s, the FBI's COINTELPRO (counter-intelligence program) secretly monitored civil rights, anti-war and even feminist groups.

Hoover's "black bag jobs" against such public activists as Martin Luther King Jr., secret blackmailing attempts and nonjudicial "disruption" of these groups is what actually led to the Church Committee investigation of abuses and the creation of the Foreign Intelligence Surveillance Act, which the NSA has now effectively dismantled.

Who wants to go back to the good ole' HUAC-Hoover era?

I'm afraid that secrecy will inherently continue to degenerate everything and everybody it touches. Thank goodness for some persons of conscience such as Edward Snowden and for a little truth getting out!

@highlight

Coleen Rowley: Surveillance programs create huge profit for private contractors

@highlight

Rowley: More importantly, stopping terrorists through mass data collection doesn't work

@highlight

She says just look at how the Bush administration failed on 9/11 despite early warnings

@highlight

Rowley: Secretive spying programs harm national security and threaten democracy