(CNN)Six months ago this week Omar received a panicked phone call from his friend and fellow student. "I was in my dormitory writing a paper and a friend called me in desperation from a bus. He said they were being shot by police," Omar explained. He has not heard from his friend since.

Omar is a student at the Raúl Isidro Burgos Rural Teacher Training College of Ayotzinapa, in Guerrero state. His friend is one of 43 students who were subjected to enforced disappearance in September of 2014.

As the days and weeks passed, the Mexican authorities stalled and obfuscated. Despite worldwide attention on the issue, they have, for months, failed to properly investigate all lines of the case, especially the worrying allegations of complicity by armed forces.

In January, I traveled to the Ayotzinapa college. There, in the college hall, surrounded by murals of Mexico's revolutionary leaders, I met the families of the disappeared students. For the past six months, mothers, fathers, sisters and brothers, as well as other relatives and community members, have been campaigning relentlessly, demanding answers from the authorities about what happened to their loved ones.

It was an emotional and difficult meeting; there were tears of sadness and disappointment. Mothers and fathers spoke of counting the seconds since they last saw their sons, and expressed frustration at how they and their boys have been portrayed as troublemakers by the authorities and the media.

These are people who have lived in poverty, whose communities have been historically abandoned by the state; for many, their missing son was the first of their families to go to school. Now, so many hopes and dreams have been shattered.

I have witnessed all kinds of human tragedies, but there can be few things as painful as the torment of not knowing where a loved one is.

The past months have been a roller-coaster for these families, and all of us who support and accompany their struggles. But a constant factor has been the Mexican government's failure to respond effectively and address these grave human rights violations.

A prime example of this is how, on November 7, 2014, the authorities announced that human remains had been uncovered in a rubbish dump and a nearby river in Cocula, and the then-attorney general Jesús Murillo Karam announced weeks later that he was prepared to close the case. According to the prosecutor, he was satisfied that the findings of his office's investigation were sufficient proof of what happened.

However, only one of the missing students has been identified through DNA tests. Other human remains are still being tested, and it seems that the whole investigation so far has been based only on the testimonies of three gang members. You don't have to be attorney general to know that this is far from conclusive proof.

But amidst the sadness of the families I met, there was a calm and steely resolve. These 43 mothers and fathers have decided they cannot accept the silence or half-answers they have been given by the government, instead they are demanding the truth.

One father explained to me how the horror of that day has transformed them all from peasant farmers to detectives and campaigners. If the authorities won't push for proper investigations, then they will. They have been campaigning vocally for the truth ever since.

The tragic reality is that these 43 students were only the most recent we have heard of in a long line of the disappeared. According to official figures, 24,748 people have disappeared or gone missing in Mexico since 2007, and almost half of them during the current administration of President Peña Nieto.

Fortunately the international community has stepped up. Recently the Inter-American Commission on Human Rights established a Group of Independent Experts to review the official investigation into the enforced disappearance of the students.

In February, the United Nations' Committee on Enforced Disappearances produced recommendations on how to deal with disappearances in Mexico. The committee concluded that there is a context of generalized disappearances in a great part of the country. It has asked the government to prevent acts of intimidation and harassment toward the families of the disappeared and has suggested setting up a DNA database of missing people and a registry of disappearances.

However, even these international calls are going unheeded. Just hours after the U.N. committee published its conclusions and recommendations, the Mexican government disregarded them. This is a worrying sign that the government is not stepping up and taking this human rights crisis seriously.

On March 3, Mexico appointed Arely Gómez González as the new federal attorney general. We had hoped that she would forge on where her predecessor failed and get to the root of the corruption and impunity that lies behind this terrible tragedy. However, her recent statements -- that the disappearance of the 43 students is an "isolated case" and that there is no confirmation of grave human rights violations in this case -- are shocking.

For Omar and the others waiting for news, it is only full accountability and pursuit of justice that can address the horrors they have seen and experienced.

"The government's response has been nothing but disrespectful and insensitive," Omar said. "I'm alarmed about what happened but I'm not afraid. We will never give up our fight for justice."

Amnesty International and I will be there alongside them every step of the way.

@highlight

Six months ago, 43 students from Ayotzinapa College in Mexico disappeared

@highlight

Erika Guevara Rosas: It is outrageous that Mexican authorities have not found them