(CNN) -- "Be not afraid" was the message of Pope John Paul II's Inaugural Mass. It's a message American conservatives need to take to heart again in the era of Barack Obama.

From TV and radio come warnings that the unwise policies of the Obama administration threaten or doom the United States. We are treading the road to serfdom, it's said. Time is running out.

The brilliant Peggy Noonan gave voice to these fears in a highly perceptive column a couple of weeks ago:

"I see two central reasons for the tea party's rise. The first is the yardstick, and the second is the clock. First, the yardstick. Imagine that over at the 36-inch end you've got pure liberal thinking -- more and larger government programs, a bigger government that costs more in the many ways that cost can be calculated. Over at the other end you've got conservative thinking -- a government that is growing smaller and less demanding and is less expensive. You assume that when the two major parties are negotiating bills in Washington, they sort of lay down the yardstick and begin negotiations at the 18-inch line. Each party pulls in the direction it wants, and the dominant party moves the government a few inches in their direction.

"But if you look at the past half century or so you have to think: How come even when Republicans are in charge, even when they're dominant, government has always gotten larger and more expensive? It's always grown!"

Noonan aptly describes the despair that many conservatives these days feel. The good news is this despair is wrong.

The yardstick does not measure only one way, the ratchet does not always grip against us.

In fact, the story of the past 50 years has been that the American economy has become freer and more dynamic.

Think back to 1960. The federal government regulated the price of every airfare. It regulated every rail, truck and shipping route. It regulated the price of natural gas. It regulated stockbrokers' commissions. It regulated the interest rates that could be paid on checking accounts. It told most farmers how much they could grow of what commodity. It regulated what kind of political and religious comment could be expressed on the airwaves. And of course it conscripted millions of young men beginning their careers into the armed forces.

All of that is gone, gone, gone.

True, in other ways society is more regulated than it used to be. There was no Clean Water Act back then, no Americans with Disabilities Act. I think most Americans -- even most Tea Party members -- support the new environmental and antidiscrimination acts that have replaced the old regulation of transport, energy and financial pricing. But whether you support the new laws or oppose them, it's just wrong to say we're treading a one-way road to serfdom.

Yet Noonan is exactly right in her assessment that this is what the Tea Party followers think: That we're on a road of no return and that we're running out of time to correct our ways. This is what Noonan calls "the clock":

"It's getting late. If we don't get the size and cost of government in line now, we won't be able to. We're teetering on the brink of some vast, dark new world-states and cities on the brink of bankruptcy, the federal government too."

Anybody who has spent time with conservative-minded Americans can attest to the sense of foreboding and urgency reported by Noonan. It's five minutes to midnight; freedom is on the verge of permanent extinguishment.

In these tough economic times, who will deny that there is much reason for foreboding? Yet conservatives sell our own accomplishments and principles short when they represent them as so fragile. The fact is: our win-loss ratio is actually pretty good. Free-market ideas have rescued states in much worse trouble than post-Obama America: Mao's China to name one outstanding example.

I can see why an anticapitalist radical would want to insist that capitalism is fragile and ready to collapse. But why would an American conservative concede such a preposterous claim?

"The facts of life," as Margaret Thatcher so powerfully said, "are conservative." And as Ronald Reagan said, paraphrasing John Adams, "Facts are stubborn things." Those facts will reassert themselves. And so will the strength, dynamism, and creativity of the American economy.

Yes, Americans have some urgent decisions to make. Yes, the bad decisions of the Obama administration will be hard and painful to correct. But they are correctable.

No good decision was ever made in panic. So don't panic. Don't despair. Take a deep breath. Have confidence. Assess the challenge without complacency, but also without exaggeration. Think, organize and act.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Some conservatives lament U.S. has moved decisively toward socialism

@highlight

He says the reality is that the U.S. is much freer today than in 1960

@highlight

Government control of the economy and of expression is much reduced, he says

@highlight

Frum says the "strength, dynamism and creativity of the American economy" will prevail