(CNN) -- President Barack Obama has made it clear to Congress that if they will not work with him he will work around them.

Before the State of the Union address, the president announced that he was increasing the minimum wage for workers under federal contract to $10.10 an hour. During the State of the Union, "wherever and whenever I can take steps without legislation to expand opportunity for more American families, that's what I'm going to do."

Republicans predictably complained. Some warned that the president was embracing an unconstitutional set of tools that would violate the laws of the land. "We don't have a monarchy in this country," warned Rep. Steve Scalise, R-Louisiana, "there's an executive branch and the legislative branch, and the president has to work with Congress to get things done."

Though Obama has been far more timid in using executive power than President George W. Bush, many in the GOP suddenly have a legal problem with presidents going their own way.

Most experts agree that what the president has done is squarely within the prerogatives accorded to presidents. There is a long history of presidents using executive power ever since the founding of the nation.

The power of the office grew enormously over the course of the 20th century and presidents became increasingly comfortable using mechanisms such as signing statements and executive orders to achieve their goals.

In December 1980, President Jimmy Carter used an executive order to protect 56 million acres of Alaskan wilderness from mining and logging. President Ronald Reagan used executive power to weaken federal agencies that were responsible for policies he opposed.

President Bill Clinton used an executive order in 1995 to prevent the federal government from entering into contracts with companies that hired strike-breakers. In 2001, Bush enraged many Democrats when he restricted public access to the papers of former presidents. He also overturned many environmental regulations that Clinton had put into place. Environmentalists complained.

Following the revelation of how many signing statements -- attachments to a bill in which a president can express concerns about sections that he believes to be unconstitutional -- Bush had used, Rep. Dianne Feinstein, D-California, explained that what the president was saying is "Congress, what you do isn't really important; I'm going to do what I want to do." Sen. John Cornyn, R-Texas, defended Bush, stating, "It is precedented and it's not new."

Obama has lagged behind most presidents in making full use of his office. The average for number of executive orders for presidents since 1900 is 44 per year. Obama has averaged 37 executive orders -- less than Republican Presidents Dwight Eisenhower, Richard Nixon, Gerald Ford, Ronald Reagan and George H.W. Bush.

But just because the president can take executive action, is it a good idea to do so? There are good reasons that Democrats should be leery about using presidential power to achieve their ends.

Most important, the executive orders put into place by one president can be easily and quickly overturned by the next president. Killing policies that are put into place by Obama would not be extraordinarily difficult nor would it require the kind of long, protracted struggle that Republicans have engaged in with Obamacare, thus far unsuccessfully.

When Clinton came into office in 1993, he reversed Reagan's executive order from 1984 that prohibited the use of federal funds to advocate abortion. In 2009, Obama revoked Bush's order restricting public access to presidential papers.

Presidential power also deprives a policy of the fierce public debate and congressional vote that comes with legislation. Although the process of passing bills through Congress is usually very painful for a president, if successful a policy obtains a kind of legitimacy that rarely comes from executive action. This is evident from how durable the programs from the New Deal and Great Society, such as Social Security, the Civil Rights Act, and Medicare and Medicaid have been over time.

Through legislative debate, supporters of a bill are forced to present their case and to persuade a sufficient number of representatives and senators to come to their side.

Sometimes a president from one party can persuade some members from the opposition to vote for a bill, permanently putting their imprint on the policy.

This was a powerful part of why the Civil Rights Act of 1964 gained such widespread legitimacy throughout the nation. Even when opponents lose, they are given their chance to say no and to explain to the public why they oppose an idea. By contrast, the process of issuing executive orders opens up policies to charges of illegitimacy in a way that are much more difficult to sell with laws passed by Congress.

Equally important for a president, legislators go must go on record. When they do so in support of a bill the legislator becomes much more invested in the coming years in defending that decision. Opponents go on record as well, and when a policy turns out to be popular and successful this makes them much more hesitant to continue their attacks on a program.

For decades, Republicans shied away from the kind of oppositional statements toward Medicare proposals uttered by Barry Goldwater and Reagan in the early 1960s for fear that voters would remember how they had stood firm against benefits that turned out to be enormously popular.

Obama certainly would prefer to obtain legislation and the turn to executive power is a decision of last resort, one that realistically might be the only way he can achieve anything else in the next few years. But the strategy will come with some significant costs and Obama's legacy will remain fragile and vulnerable in the coming years.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: President Obama promising to take action even though his agenda stalled in Congress

@highlight

He says Obama is doing what other presidents have done, but there are risks to reliance on executive orders

@highlight

Zelizer: Next president could quickly reverse Obama's policies, and lack of congressional support weakens them