Melissa Harris-Lacewell is associate professor of politics and African-American studies at Princeton University. She is the author of the award-winning book "Barbershops, Bibles, and BET: Everyday Talk and Black Political Thought," and writes a daily blog titled The Kitchen Table.

Melissa Harris-Lacewell says black politics has come of age, with blacks as equal partners in electing Obama.

PRINCETON, New Jersey (CNN) -- It seems Tavis Smiley has been irritated with Barack Obama for a long time. Smiley is perhaps the most recognizable African-American journalist in the country. He is a fixture on radio and television, and has authored several books that are best-sellers among black readers.

One might suspect that Smiley would be enthusiastic about the opportunities presented by America's election of a black president.

Instead, Smiley seems annoyed.

In February 2008, Smiley denounced then-candidate Obama for failing to make a personal appearance at Smiley's annual State of the Black Union. His continuing criticism of Sen. Obama during the fall campaign produced substantial outcry from listeners of the Tom Joyner Morning Show, a popular radio program where Smiley had been a well-liked regular.

After Obama's election, Smiley published a text titled "Accountable" and has repeatedly indicated his intention to hold President Obama "accountable" to an explicitly racial agenda.

The specific policies suggested by Smiley's books are not substantially different from those of the Obama administration, but Smiley insists on explicit and repeated acknowledgement of race, while Obama typically seeks to address inequality within a racially neutral frame.

Despite writing about race in both of his books, addressing race in the historic Philadelphia speech during the Democratic primary and repeatedly acknowledging that racial inequality endures, Smiley's critique implies that Obama's approach to race is both inadequate and inauthentic.

On May 24, TV One aired the latest installment of Smiley's accountability campaign: a two-hour documentary titled "Stand." Recycling Spike Lee's Million Man March film, "Get On the Bus," Smiley assembled a group of prominent black male public figures for a bus ride through the South.

Ostensibly, this bus trip would provide Smiley, professors Cornel West and Michael Eric Dyson, Dick Gregory and others an opportunity to reflect on the meaningful upheavals in American society and politics in the summer of 2008. "Stand" was an enormous disappointment.

Its low production value, wandering narrative, flat history and self-important egoism did little to reveal the shortcomings of the Obama phenomenon. Instead, the piece exposed and embodied the contemporary crisis of the black public intellectual in the age of Obama.

The film and its participants (two of them my senior colleagues at Princeton University) appropriated the legacy of the Rev. Martin Luther King, Jr. to implicitly claim that they, not Obama, are the authentic representatives of the political interests of African-Americans. They used King's images and speeches, gathered on the balcony where King was assassinated, and explicitly asserted their desire to play King to Obama's LBJ, and Frederick Douglass to Obama's Lincoln.

On its face, this is not a bad model. Presidents are deeply constrained by the structural and political limitations of their office. A robust administration needs an active and informed citizenry to engage, push, cajole, criticize and applaud its efforts.

But this appropriation misrepresents rather than preserves King's legacy. King was a powerful questioner and, at times, ally of President Johnson because he was at the helm of a massive social movement of men and women who were shut out of the ordinary political process. It was not King's intellectual capacity or verbal dexterity that made him an effective advocate for racial issues; it was his own accountability to that movement.

This is not true of Smiley and his "soul patrol," who are mostly public personalities and tenured professors largely unaccountable to the black constituency. King's meager income, though supplemented by the lecture circuit, was grounded in the voluntary contributions of black churchgoers.

Smiley is backed by powerful corporations, like Wal-Mart and Nationwide, that have troubled relationships with these communities. The college profs on the bus are comfortably supported by well-endowed universities. This does not invalidate their views on race, but it does make the analogy with King a poor fit.

Further, Smiley and his "soul patrol" seemed to have missed the intervening 40 years between the era of King and the election of Obama. African-Americans are no longer fully disfranchised subjects of an oppressive state.

African-Americans are now citizens capable of running for office, holding officials accountable through democratic elections, publicly expressing divergent political preferences and, most importantly, engaging the full spectrum of American political issues, not only narrowly racial ones. The era of racial brokerage politics, when the voices of a few men stood in for the entire race, is now over. And thank goodness it is over. Black politics is growing up.

The men of "Stand" yearned for an imagined racial past. By their accounting, this racial past had better music, more charismatic leaders and a more-involved black church.

Their romanticism ignores the cultural contributions of contemporary black youth, forgets the dangerous limitations of charismatic leadership and revises the fraught, complicated relationship of black churches to struggles for racial equality. And these men ignored the democratizing effect of new media forms, which revolutionized the 2008 election.

Black people were not duped by some slick, media-generated candidate. African-Americans were co-authors of the Obama campaign. Through social networks, YouTube videos, political blogs and new-media echo chambers, black people were equal partners in shaping the candidate and his campaign. There was no need for the entrenched pundit class to tell black voters what to think or how to behave; they figured it out for themselves.

Still, there is plenty to criticize in the young Obama administration: the refusal to prosecute those implicated in the torture memos, civilian casualties caused by drone attacks, bank bailouts and inadequate defense of gay rights to name a few.  But black communities are already engaged in these critiques and many others. Black local organizers, elected officials, bloggers, pundits and columnists have taken substantive, specific positions on a broad range of issues.

In black communities, nonprofit organizations continue to work for justice, and charities still try to fill the gap during tough economic times. African-Americans are engaged as mature citizens ought to be: in both discourse and action.

This political maturity is precisely the source of the black public intellectual crisis: What do Smiley and the Soul Patrol add to this process? Their bus never stopped at a Habitat for Humanity site to build a home or at a soup kitchen to serve the hungry. Their dialogue centered more on the relative merits of Aretha vs. Beyonce than on meaningful political issues.

Though they spoke with elders, their self-congratulatory revelry never paused to engage any elected officials, issues specialists or local activists. And while they talked a great deal about women, they never spoke to a woman.

"Stand" was sad because I still believe in a role for black public intellectuals. Scholars and journalists often have a particular capacity for curiosity, questioning and issue synthesis that has real value in public discourse. It was painfully clear that this particular accountability crusade is not informed by any of those skills. Instead, it seems determined to stand in the way of the maturation of African-American politics in order to maintain personal power.

The opinions expressed in this commentary are solely those of Melissa Harris-Lacewell.

@highlight

Melissa Harris-Lacewell: Some have said Obama should be held to racial agenda

@highlight

She says nostalgia for the old days of protest obscures last election

@highlight

Black politics has come of age, and African-Americans are equal partners, she says