"Be kind, please rewind," the signs used to say in video stores, urging customers to return their rented VHS tapes spooled back to the beginning.

If only Blockbuster could rewind back to the 1990s.

That was the time when the video chain was the colossus of the movie-rental business, with stores in seemingly every city shopping district and suburban strip mall in America. Visiting the store was a weekly rite for many people, who would show up on Friday evenings to check out the latest releases, navigating a crush of couples and families who had exactly the same idea -- only to find out that the last copy of "Air Force One" or "The Lion King" had already been snagged.

That custom is now as gone as a world with three television networks, a UHF station's late show and a Zenith Space Command.

On Wednesday, DISH Network, which purchased Blockbuster in 2011, announced it was closing the chain's 300 remaining U.S.-based retail stores, as well as its distribution centers.

"Consumer demand is clearly moving to digital distribution of video entertainment," said DISH president and CEO Joseph P. Clayton in the press release about the closures. His statement echoes many from recent years about the migration of entertainment from physical objects -- CDs, DVDs, books, games -- to bits, bytes and pixels available on various screens and portable devices.

Blockbuster will continue its Blockbuster @Home brand to DISH customers, as well as its Blockbuster On Demand streaming service. And an additional 50 Blockbuster stores not owned by DISH will remain open for the time being.

Reaction: Jokes and shrugs

The action was long expected. Blockbuster had been closing stores for years, as is obvious from the yawning vacancies still present in many of those very same strip malls. The chain was done in by Netflix, streaming video and a world of Internet options.

Reaction from that Internet was, of course, swift and pithy. Several posts on Twitter made fun of the store's late fees -- the bane of people who couldn't get their rental back in the standard 48 hours -- and the VHS tapes that made Blockbuster's name.

"I knew this day would come. I'm mere months away from owning a VHS copy of The Mighty Ducks without paying my late fees to Blockbuster," wrote Brian Essbe.

"Yes! All the Blockbuster Video Stores are closing!  That means they'll never get back that VHS tape of Vampire In Brooklyn. I won!" added actor and comedian Paul Scheer.

Other commenters just shrugged. Many said they didn't even realize Blockbuster had any stores left.

In a headline, The New York Times put it best: "Internet Kills the Video Store."

But Dan Herbert, author of the forthcoming book "Videoland" and a film professor at the University of Michigan, wants to praise Blockbuster, not bury it.

The stores were clean and family-friendly, with wider aisles and a bigger emphasis on movie selection than the mom-and-pops that dotted the landscape in the 1980s, he said.

"They really standardized video rental in general," Herbert said.

As with many franchises, at its height Blockbuster often came in for criticism.

The chain put many mom-and-pop stores out of business. Befitting its name, it generally catered to a blockbuster mentality: Hit releases filled shelves by the dozens, but independent and foreign-language films could be hard to come by. The stores wouldn't carry NC-17 films at all.

And then there was the Blockbuster clerk, easily recognized in a blue knit shirt, who was often depicted as either clueless or snotty, depending on how frustrated you were on those crowded Friday nights.

But Herbert, a former video clerk himself -- though not at Blockbuster -- points out that Blockbuster was successful for a reason. It had more variety than many video stores: Blockbuster stores were required to have a minimum of 7,000 movies and averaged 10,000, more than many of its competitors, he said.

By doing so, it opened up more of America to more movies (and, later, TV show collections). Even though Blockbuster itself primarily stuck to cities and suburbs, it became a model for other chains that opened stores in small towns.

Playing catch-up

If people compared Blockbuster to McDonald's, that wasn't necessarily a knock, said Herbert. "They self-consciously modeled themselves on McDonald's, and at various points hired members of McDonald's upper management," he said.

But over the last decade, business took one hit after another. In a September article, The Billfold's Christopher Tucker described how independent video stores were put out of business. The same trends affected Blockbuster.

First there were DVDs, which were relatively inexpensive and intended for purchase, especially compared to the VHS titles that cost stores up to $100 a pop. With the advent of broadband, people started downloading movies and shows -- not always legally. Netflix and Redbox used the slim size of DVDs to their advantage. And finally, "Hulu was launched, and your average Joe and Josephine were introduced to Cloud Media," Tucker said.

Even Blockbuster's late fees came back to bite the chain in an unlikely way. In 1997, a man named Reed Hastings returned a late copy of "Apollo 13" to his local Blockbuster. He was assessed a $40 fee. Two years later, he founded Netflix.

Blockbuster was caught flat-footed by many of these changes. It could have purchased Netflix for $50 million in 2000, but passed. As Netflix rose, Blockbuster's attempts to compete on Netflix's terms -- especially  through the mail -- foundered. It also tried to compete with Redbox using standalone kiosks. That didn't work, either.

By the time Blockbuster was sold to DISH in 2011, it was down to 1,700 stores, more than 7,000 fewer than its peak just seven years earlier. People had long since started devoting their Friday nights to streaming and downloading at home -- and if they were heading out, it wasn't to a Blockbuster.

The Onion, of course, nailed it. In a 2008 video headlined "Historic 'Blockbuster' Store Offers Glimpse Of How Movies Were Rented In The Past," the satiric site showcased a Michigan venue that "aims to transport visitors to a time before the Internet."

Like a version of Colonial Williamsburg, it had actors playing clerks and customers who described how the rental process worked. Onlookers watched the performance, stunned.

"It's really amazing that people had to go through so much just to get a movie," says a visitor in the skit.

@highlight

Blockbuster climbed high in the 1990s on the videotape-rental business

@highlight

The company announced Wednesday it would close its remaining U.S. stores

@highlight

Once-dominant chain was done in by DVDs, streaming, Internet

@highlight

But when Blockbuster was at peak, Friday-night visits were an American rite