(CNN) -- Retired Army Gen. David Petraeus resigned from his CIA director post last week after an FBI investigation revealed he had an extramarital affair, an investigation that also prompted questions about whether his paramour had inappropriate access to classified information.

The scandal also has sparked an investigation into whether Marine Corps Gen. John Allen, the top U.S. commander in Afghanistan, sent inappropriate messages to a different woman, leading President Obama to put Allen's nomination to become NATO's supreme allied chief on hold.

The FBI uncovered the Petraeus affair while it investigated e-mails that his paramour, Paula Broadwell, allegedly sent to a Petraeus family friend, Jill Kelley, according to a U.S. official. Kelley, meanwhile, is the woman to whom Allen allegedly sent inappropriate e-mails, according to the Defense Department.

Below is a summary of what we know about the situation.

Timeline of the Petraeus affair

New developments

-- Despite his resignation as CIA director last week, Petraeus is scheduled to testify Friday before the House Intelligence Committee about the September 11 attack that killed four Americans at a U.S. diplomatic compound in Benghazi, Libya, the committee said in a news release.

-- Petraeus has not been following media reports about his resignation, a former aide said Wednesday. "He wants to maintain a distance and focus on his family at this time," said retired Col. Peter Mansoor, who added that he had spoken earlier in the day with Petraeus. "He realizes it was a severe and morally reprehensible action, but he violated no laws."

-- A senior law enforcement official close to the Broadwell investigation said Wednesday night that it appeared unlikely she would be prosecuted for any unauthorized release of classified information. The official told CNN National Security Contributor Fran Townsend that investigators were reviewing materials taken Monday from Broadwell's home, but that the information in question did not appear to be substantial. The official stressed the decision whether to prosecute rests with the Justice Department.

Opinion: 5 things we've learned from Petraeus scandal

The Petraeus affair

-- The FBI uncovered the affair between Petraeus, 60, and his biographer, Broadwell, 40, after Broadwell allegedly sent anonymous, harassing e-mails to Kelley in May, a U.S. official says. A senior official close to Allen says Allen received an anonymous e-mail about Kelley, and tipped Kelley off that someone was threatening her.

-- A source familiar with Kelley's version of events said the anonymous e-mails later traced to Broadwell -- which led to the discovery of Petraeus' affair -- began in June. It wasn't until two months later that the FBI told Kelley who had sent the e-mails, said the source, adding that Kelley does not know Broadwell and has never met her.

-- Kelley, 37, says she and her husband are friends of Petraeus and his family. Media reports have described her as a liaison at MacDill Air Force Base in Tampa, where the U.S. Central Command is headquartered. Petraeus and Allen were previously stationed there. A Central Command spokesman said she is a volunteer with no official position.

-- Investigators eventually traced the e-mails to Broadwell, a U.S. official said. The messages were along the lines of "stay away from my guy," but not explicitly threatening, according to a U.S. official.

-- During the investigation, other communications surfaced between Petraeus and Broadwell, a married mother of two living in North Carolina, an officer in the U.S. Army Reserve and a Ph.D. candidate in the Department of War Studies at King's College London.

CIA vs. FBI in Petraeus scandal

-- Broadwell, a West Point graduate, had written a biography of Petraeus, published in January, called "All In: The Education of General David Petraeus." Having met Petraeus in 2006 when he spoke at Harvard, where she was a graduate student, she wrote the book after researching Petraeus for her Ph.D. dissertation on his leadership skills and visiting him and his team in Afghanistan, where he became top U.S. commander in 2010.

-- Petraeus and Broadwell began their affair in fall 2011, a few months after he returned to the United States, retired from the Army and took over at the CIA, according to a Petraeus friend. They ended it in summer 2012, Petraeus' friend said.

-- FBI investigators, following up on the anonymous e-mails to Kelley, discovered on Broadwell's computer e-mails that turned out to be from Petraeus, a U.S. official said.

-- On Election Day, November 6, Petraeus told Director of National Intelligence James Clapper about the affair, according to a senior U.S. intelligence official. Clapper advised Petraeus to resign, the official said.

-- On November 9, Petraeus quit the CIA, admitting to the affair. The House and Senate intelligence committees were informed of the FBI investigation the same day.

-- Petraeus' resignation came just days before he was scheduled to testify before the Senate Intelligence Committee about the September 11 attack that killed four Americans at a U.S. diplomatic compound in Benghazi, Libya.

Will national security scandal create national security risk?

The Allen allegations

-- The Defense Department's inspector general is investigating allegations that Allen sent inappropriate messages to Kelley, the department said on Tuesday. The FBI told the department about the allegations on Sunday.

-- Allen has denied wrongdoing, a senior defense official said. Sources familiar with Kelley have said the relationship between the two was not sexual. Authorities are looking at the e-mails.

-- "There is no affair" between Allen and Kelley, a senior official close to Kelley said. "She is a bored rich socialite involved with every single senior commander at CENTCOM, because she worked as an honorary ambassador."

-- A U.S. official familiar with the e-mails Allen sent to Kelley described them as warranting the investigation. "If they got out, John Allen would be very embarrassed by them," said the official, who added that there was no evidence of physical contact between the two. A second U.S. official, who has had the e-mails described to him, characterized their content as "sexy," but could not say whether they "crossed the line."

Investigations and fallout

-- Broadwell, an Army Reserve officer, has had her government security clearance suspended pending the outcome of ongoing investigations, two U.S. officials with direct knowledge told CNN's Barbara Starr on Wednesday.

-- Broadwell's affair with Petraeus has raised questions about whether the affair gave her access to national security information that she shouldn't have. The allegedly harassing e-mails that the FBI allegedly tracked to Broadwell detailed the "comings and goings of the generals and Ms. Kelley," according to a source. Among those believed to be referenced in the e-mails was Petraeus. Because parts of Petraeus' schedule were not public, the e-mails raised questions about whether the sender had access to sensitive information.

-- In a speech at the University of Denver at the end of October, Broadwell suggested the attack on the U.S. compound in Benghazi took place because the United States was housing Libyan prisoners there -- a theory, she noted, that had not been vetted yet. The claim has since been discounted by administration officials. Broadwell's source for that previously unpublished information remains unclear, and there's no evidence that it came from Petraeus.

-- Investigators have found classified information on a computer belonging to Broadwell, a law enforcement source told CNN national security contributor Fran Townsend on Wednesday. It was not clear if this was a computer seized at her home Monday night or one she had previously given to authorities when she cooperated in September.

-- On Tuesday, John Nagl, a retired military officer who worked for Petraeus for years, said that Petraeus insists he never shared classified information with Broadwell. He spoke to him via e-mail on Monday and is authorized by Petraeus to talk.

-- Obama said Wednesday that he has seen no evidence of a potentially damaging breach in national security stemming from the affair involving Petraeus.

No sex required for unfaithfulness to begin

-- Obama also said Wednesday that Petraeus served his country with "great distinction," and he hoped that Petraeus' affair and resignation are "a single side note on what has otherwise been an extraordinary career."

"By his own assessment, he did not meet the standards that he felt were necessary as director of the CIA with respect to his personal matter that he is dealing with. ... It was on that basis that he tendered his resignation, and it was on that basis that I accepted it," Obama said.

-- Kelley's access to Florida's MacDill Air Force Base without an escort has been suspended, a Defense Department official said Wednesday. Kelley had been given special access to the base because of her position as a booster and promoter of programs to help U.S. troops, the official said.

-- Sen. Dianne Feinstein, D-California and chairwoman of the Senate Intelligence Committee, said she would investigate why the FBI did not notify congressional oversight committees about its investigation into Petraeus after the bureau determined he was having a secret extramarital affair.

-- While the nature of the relationship between Allen and Kelley, if any, is unclear, evidence of an affair could subject the general to military prosecution. Adultery is a violation of military law.

-- Obama has put Allen's nomination to become NATO's supreme allied commander on hold pending the outcome of the investigation, White House spokesman Jay Carney said on Tuesday.

@highlight

NEW: Petraeus to testify Friday before congressional panel about Benghazi attack

@highlight

David Petraeus resigned as CIA chief last week after an investigation revealed an affair

@highlight

The scandal also sparked a probe into whether Gen. John Allen sent inappropriate e-mails

@highlight

Obama: I've seen no evidence of a potentially damaging national security breach