(CNN) -- On April 6, 2007, I woke up in the morning in a pool of blood. I had collapsed from exhaustion and hit my head on the corner of my desk, cutting my eye and breaking my cheekbone.

In the weeks after, as I waited to get test results from various doctors on my health, I kept asking myself what kind of life was I living? What kind of success was I after?

Even though I had founded Huffington Post two years before, I was still working 18 hours a day, seven days a week. By conventional definition of success, I was very successful.

But by any sane definition, I was not living a successful life.

I was on my way up in the ways that don't matter. And on my way down -- literally -- in many ways that do. My life, I realized, was out of control. I was not thriving. I realized that we need to redefine success so that it's not just about money and power.

When I decided to write a book about our collective need to redefine success, I wanted it to be as practical as possible, filled with daily tips, tools and techniques that are easy to incorporate into our lives.

This is no simple matter. Changing deeply ingrained habits is difficult. And when many of these habits are the product of deeply ingrained cultural norms, it is even harder. The challenge in redefining success has to do with slaying old habits and liberating ourselves from our complacency.

We also have to find our individual thread. When we do that, no matter what life throws our way, we can use the thread to help us navigate the labyrinth of daily life and come back to our center.

For me, the thread is something as simple as my breath. I have worked to integrate certain practices into my day -- meditation, walking, exercise -- but the connection that conscious breathing gives me is something I can return to in an instant during many times of the day.

A conscious focus on breathing helps me introduce pauses into my daily life, brings me back into the moment, and helps me transcend upsets and setbacks. It has also helped me become much more aware of when I hold or constrict my breath, not just when dealing with a problem, but sometimes even when I'm doing something as mundane as putting a key in the door or reading an e-mail. When I use my breath to relax the contractions in my body, I can follow this thread back to my center.

Humans lead complex lives, and one of the traits we've developed that has allowed us to be such productive creatures is the ability to make many learned traits and responses an automatic part of our lives, buried so deeply in the inner workings of our subconscious that they no longer require conscious thought.

We might think we're in charge of our thoughts and behavior -- captains of our ship, turning the wheel this way and that -- but so often it's actually our autopilot that's in control.

I'm reminded of the time when a friend took a family trip on a cruise ship. Her 10-year-old son kept pestering the crew, begging for a chance to drive the massive ocean liner. The captain finally invited the family up to the bridge, whereupon the boy grabbed hold of the wheel and began vigorously turning it. The boy's mother panicked until the captain leaned over and whispered to her not to worry because the ship was on autopilot; her son's maneuvers would have no effect.

In the same way, if we're not able to reprogram our autopilot, all our protestations of wanting to change will be as pointless as the little boy furiously turning the wheel on the cruise ship. Reprogramming the autopilot takes different amounts of time for each of us.

What makes it easier is focusing on "keystone habits"; when you change one of them, it makes changing other habits easier. "Keystone habits start a process that, over time, transforms everything," Charles Duhigg says in his book, "The Power of Habit."

For me, the most powerful keystone habit has been sleep. Once I changed the amount of sleep I was getting, and started regularly getting seven to eight hours of sleep a night, other habits, such as meditation and exercise, became easier.

One of the best ways to create positive keystone habits is to use our social support. Given that we're social creatures, it's much easier to create and reinforce new, positive habits in a social network, with a group of friends or colleagues who can band together for mutual encouragement.

Even if the culture of your workplace still operates with the traditional definition of success, you can gather around you a group of like-minded people who want to not just succeed but thrive.

The opinions expressed in this commentary are solely those of Arianna Huffington.

@highlight

Arianna Huffington: On April 6, 2007, I woke up in the morning in a pool of blood

@highlight

Huffington: I realized that my life was out of control; I was working 18 hours a day

@highlight

She says we need to redefine success so that it's not just about money and power

@highlight

Huffington: In my new book, I discuss ways for how we can thrive, not just succeed