(CNN) -- Bird populations native to several areas of the globe are in decline, with some teetering on the brink of extinction, according to a multi-agency report, the first of its kind, released Thursday.

The Western meadowlark is an endangered bird species, according to a new report.

But some other species are thriving, according to the "State of the Birds" report, which credited conservation programs and waterfowl management initiatives that it said can serve as a model in other areas.

"Every U.S. habitat harbors birds in need of conservation," said the report, issued by the Cornell University Lab of Ornithology in conjunction with federal agencies and other organizations. "Hawaiian birds and ocean birds appear most at risk, with populations in danger of collapse if immediate conservation measures are not implemented."

Of the more than 800 species of birds in the United States, 67 are federally listed as endangered or threatened, the report said. Another 184 are "species of conservation concern" because they have small distribution, are facing high threats or have a declining population.

Hawaiian birds, particularly, are in crisis, the report said. More than one-third of all U.S. bird species are in Hawaii. However, 71 species have gone extinct since the islands were colonized about 300 A.D., and 10 more species have not been seen in the past 40 years, contributing to fears they, too, have died out.

Grassland and arid-land birds are showing the most rapid declines over the last four decades, while forest birds are also declining, the report said.

"Just as they were when Rachel Carson published 'Silent Spring' nearly 50 years ago, birds today are a bellwether of the health of land, water and ecosystems," Interior Secretary Ken Salazar said Thursday in a statement on the report.

"From shorebirds in New England to warblers in Michigan to songbirds in Hawaii, we are seeing disturbing downward population trends that should set off environmental alarm bells. We must work together now to ensure we never hear the deafening silence in our forests, fields and backyards that Rachel Carson warned us about."

The declines can be traced to a variety of factors, depending on a bird's particular habitat. But the causes most frequently cited in the report are agriculture, climate change, development and energy, and invasive species.

For instance, some of the nation's fastest-growing cities -- Las Vegas, Nevada; Phoenix, Arizona; and San Diego, California -- are located in arid lands, the report said. "Unplanned and sprawling urban development is by far the greatest threat to arid lands."

In addition, invasive non-native plants have been introduced into the area, which can fuel wildfires and destroy native plants. Bird species of concern in arid lands include the elf owl, Bendire's and LeConte's thrashers and the gilded flicker, the report said. Some, such as the California condor, are already listed as endangered or threatened.

In the grasslands, intensified agricultural practices have hurt bird populations, according to the report. "Pastures cannot support many birds if overgrazed, burned too frequently or burned at the beginning of the nesting season or the end of the grass-growing season."

Also, public lands and parks are mowed too frequently and the grass kept too short to provide a habitat for birds, the reports said. Grassland birds showing marked population declines include the mountain plover, Eastern and Western meadowlarks, short-eared owls and Northern bobwhites.

In the forest, some species are doing well, but roughly one-third of forest-breeding bird species are showing decline. The same is true for arctic and alpine birds, where 38 percent of the 85 species are of conservation concern, the report said.

Game birds are also struggling. Of 19 resident game bird species, 47 percent are species of conservation concern, and two species are federally endangered, according to the report. The greatest hope for long-term management of game birds, however, lies in Farm Bill programs that retire millions of acres of land used for heavy agriculture, the report said.

Along the coast and in the ocean, bird populations have been hurt by overfishing, pollution and climate change, among other factors, the report said.

Each section of the report contains at least one "reason for hope." The California condor, for instance, has been reintroduced to some areas, and the bird's numbers are growing.

Urban birds, such as the American robin, hummingbirds, sparrows and woodpeckers, show a "steady, strong increase" in the last 40 years.

"A surprising number of native birds have adapted to life around humans," the report said. "... The wide variety of native birds that thrive in urban areas underscores the importance of these artificial habitats to the survival of many bird populations."

Wetland bird populations remain below historic levels, but "management and conservation measures have contributed to increases of many wetland birds, including hunted waterfowl."

Research shows that wetland bird species began to increase in the late 1970s, "coinciding with major policy shifts from draining to protecting wetlands," the report said. "Dramatic increases in many wetland generalist species, as well as arctic-nesting geese and cavity-nesting ducks, contribute to this overall trend."

"These results emphasize that investment in wetlands contribution has paid huge dividends," said Kenneth Rosenberg, director of Conservation Science at the Cornell Lab or Ornithology. "Now we need to invest similarly in other neglected habitats where birds are undergoing the steepest declines."

Taking action now -- particularly in the area of habitat loss -- can help reverse the declining trend seen in some species, according to the report. "The number and scope of severe threats to birds is daunting, but implementing solutions immediately and widely will pay off in benefits to society, the economy and the health of our environment."

It calls for measures such as increased monitoring of bird populations, stricter protection laws, more incentives, sustainable fishing practices and widespread education.

"Citizen science plays a critical role in monitoring and understanding the threats to these birds and their habitats, and only citizen involvement can help address them," said Greg Butcher, conservation director for the National Audubon Society.

"Conservation action can only make a real difference when concerned people support the kind of vital habitat restoration and protection measures this report explores."

@highlight

Report: Bird populations native to several areas of the globe are in decline

@highlight

Some species are teetering on the brink of extinction, report says

@highlight

Of the 800-plus species of birds in the U.S., 67 are endangered or threatened

@highlight

Causes cited are agriculture, climate change, development and invasive species