Tripoli, Libya (CNN) -- Libya's interim leadership gave residents in Bani Walid a 48-hour notice to leave the city as it sent reinforcements there and to the former regime's other remaining strongholds of Sirte and Sabha.

As the National Transitional Council sought to assert control over all of Libya, the U.S. assistant secretary of state for Near Eastern affairs, Jeffrey Feltman, arrived Wednesday in Tripoli on an unannounced visit.

Feltman met with NTC head Mustafa Abdel Jalil and Mahmoud Jibril, chairman and head of international affairs of the NTC, as well as with many civil society representatives.

"I am encouraged by these individuals and these organizations' efforts," Feltman said.

His conversations centered on three points, he said. First, that the United States respects Libya's sovereignty and that the country's destiny must be chosen by its people. Also, the United States and NATO are committed to supporting the Libyan people as they chart their country's future, and that the United States seeks to create a broad relationship with Libya based on mutual respect and shared interests.

"What an incredible accomplishment it is that we can meet and speak freely today," he said, adding that Americans were "inspired by (Libyans') courage and determination."

Feltman is the highest-ranking U.S. official to visit Libya since the rebels took control of the capital. His visit was not announced beforehand because of security concerns, State Department spokesman Mark Toner told reporters in Washington.

Meanwhile, al-Rai TV aired what it called a live phone call from Musa Ibrahim, a spokesman for ousted Libyan leader Moammar Gadhafi. The speaker told the channel that hundreds of "the criminals" (NTC forces) were killed at the gates of Sirte and about 250 of their fighters were killed at the gates of Bani Walid. "We will continue to fight ... until we liberate all cities," he said. Al-Rai, which is based in Syria, has been pro-Gadhafi.

"Do not think that the battle is over," he said. "We have prepared ourselves to lead a holy struggle for years if needed."

In response to the latest Amnesty International report alleging Gadhafi forces committed crimes against humanity, he said, "Most of those international organizations have no legitimacy and they have ... pro-imperialist and pro-colonization" agendas.

Earlier, al-Rai read a statement purportedly from Gadhafi that called for a halt to "the terrorism and aggression of NATO" in the town of Sirte, Gadhafi's birthplace.

"The terrorism and aggression of NATO in Sirte cannot be described and has no other similarity in the past or in the history of wars," the statement said. "If Sirte is isolated from the world and this atrocity is committed against it, it is the world's duty to not be isolated from it. Therefore, you should take international responsibility and interfere immediately to stop this crime."

Fighting was continuing. NTC Cmdr. Ahamda Almagri said his column of some 500 anti-Gadhafi fighters captured the military air base at Dirak and arrested two Gadhafi loyalists; some 70 other loyalists fled the air base, which is the second-largest such facility in the south.

Earlier, anti-Gadhafi forces said one loyalist soldier was killed and three were wounded in clashes with the same column, which was moving in the direction of Sabha in the south.

As of Sunday, NTC troops were patrolling areas south of Sirte to try to cut off supplies to pro-Gadhafi forces still controlling the town. The troops were sweeping nearby areas to prevent other pro-Gadhafi towns from offering Sirte aid.

Al-Rai, a privately owned station, has in recent weeks taken over for Libyan state media in filling the role of Gadhafi's mouthpiece.

The interim government was still struggling with the three Gadhafi strongholds that remained in loyalist hands. Abdulrahman Busin, an NTC spokesman, told CNN that the ultimatum for Bani Walid was issued late Tuesday and ends Thursday night. Previous deadlines were aimed at negotiating with the loyalists to give up the city. The new deadline warns civilians to evacuate before an offensive by the NTC forces.

At a checkpoint about nine miles outside Bani Walid, families who had driven from the city complained of difficult conditions inside, including limited food and water. People also said they did not feel safe inside the city.

Jalil has said his goal is to create "a state of institutions, a state of law" in Libya. He was justice minister under Gadhafi before defecting to join the opposition in February.

Gadhafi's whereabouts remain unknown, although some of his relatives have fled to Algeria and Niger. On Tuesday, NATO spokesman Col. Roland Lavoie told reporters that intelligence was received "confirming at various times in the conflict Gadhafi was clearly within the country, but for a while he has not given any sign of life."

In New York, a draft Security Council resolution circulated Wednesday that would establish a United Nations Support Mission in Libya under the leadership of a special representative of the secretary-general for an initial period of three months.

It adds that the mission's mandate would be to help Libya restore public security and order and promote the rule of law; undertake inclusive political dialogue, promote national reconciliation and begin the constitution-making and electoral processes.

It would also help extend state authority, protect human rights, support justice and take steps needed to get the nation back on its feet economically. A vote on the proposal is expected within a few days.

Speaking Wednesday in Zawiya, Jalil asked Libyans to unite so that "the martyrs' blood will not be wasted."

"Unite yourself to stop all the strife and jealousy and all the differences," he said.

The sacrifices that Libyans made during the revolution will be worth it; women, for one, will have a stronger political role, he said.

CNN's Richard Roth, Kareem Khadder, Ben Wedeman, Phil Black, Raja Razek, Tracy Doueiry and Jill Dougherty contributed to this report.

@highlight

NEW: Draft Security Council resolution expected to be voted on in a few days

@highlight

"Do not think that the battle is over," says man identified as Gadhafi spokesman

@highlight

Dirak air base taken by anti-Gadhafi fighters

@highlight

Gadhafi spokesman vows to fight on