(CNN) -- Americans may need passports to board domestic flights or to picnic in a national park next year if they live in one of the states defying the federal Real ID Act.

Homeland Security Secretary Michael Chertoff says there are no plans for a federal database of drivers' information.

The act, signed in 2005 as part of an emergency military spending and tsunami relief bill, aims to weave driver's licenses and state ID cards into a sort of national identification system by May 2008. The law sets baseline criteria for how driver's licenses will be issued and what information they must contain.

The Department of Homeland Security insists Real ID is an essential weapon in the war on terror, but privacy and civil liberties watchdogs are calling the initiative an overly intrusive measure that smacks of Big Brother.

More than half the nation's state legislatures have passed or proposed legislation denouncing the plan, and some have penned bills expressly forbidding compliance.

Several states have begun making arrangements for the new requirements -- four have passed legislation applauding the measure -- but even they may have trouble meeting the act's deadline.

The cards would be mandatory for all "federal purposes," which include boarding an airplane or walking into a federal building, nuclear facility or national park, Homeland Security Secretary Michael Chertoff told the National Conference of State Legislatures last week. Citizens in states that don't comply with the new rules will have to use passports for federal purposes.

"For terrorists, travel documents are like weapons," Chertoff said. "We do have a right and an obligation to see that those licenses reflect the identity of the person who's presenting it."

Chertoff said the Real ID program is essential to national security because there are presently 8,000 types of identification accepted to enter the United States.

"It is simply unreasonable to expect our border inspectors to be able to detect forgeries on documents that range from baptismal certificates from small towns in Texas to cards that purport to reflect citizenship privileges in a province somewhere in Canada," he said.

Chertoff attended the conference in Boston, Massachusetts, in part to allay states' concerns, but he had few concrete answers on funding.

The Department of Homeland Security, which estimates state and federal costs could reach $23.1 billion over 10 years, is looking for ways to lessen the burden on states, he said. On the recent congressional front, however, Chertoff could point only to an amendment killed in the Senate last month that would've provided $300 million for the program.

"There's going to be an irreducible expense that falls on you, and that's part of the shared responsibility," Chertoff told the state legislators.

Bill Walsh, senior legal fellow for the Heritage Foundation, a Washington-based conservative think tank that supports the Real ID Act, said states shouldn't be pushing for more federal dollars because, ultimately, that will mean more federal oversight -- and many complaints about cost coincide with complaints about the federal government overstepping its bounds.

"They are only being asked to do what they should've already done to protect their citizens," Walsh said, blaming arcane software and policies at state motor vehicle departments for what he called "a tremendous trafficking in state driver's licenses."

The NCSL is calling Real ID an "unfunded mandate" that could cost states up to $14 billion over the next decade, but for which only $40 million has been federally approved. The group is demanding Congress pony up $1 billion for startup costs by year's end or scrap the proposal altogether.

Everyone must visit DMV by 2013

The Real ID Act repealed a provision in the 9/11 Commission Implementation Act calling for state and federal officials to examine security standards for driver's licenses.

It called instead for states to begin issuing new federal licenses, lasting no longer than eight years, by May 11, 2008, unless they are granted an extension.

It also requires all 245 million license and state ID holders to visit their local departments of motor vehicles and apply for a Real ID by 2013. Applicants must bring a photo ID, birth certificate, proof of Social Security number and proof of residence, and states must maintain and protect massive databases housing the information.

NCSL spokesman Bill Wyatt said the requirements are "almost physically impossible." States will have to build new facilities, secure those facilities and shell out for additional equipment and personnel.

Those costs are going to fall back on the American taxpayer, he said. It might be in the form of a new transportation, motor vehicle or gasoline tax.  Or you might find it tacked on to your next state tax bill. In Texas, Wyatt said, one official told him that without federal funding, the Lone Star State might have to charge its citizens more than $100 for a license.

"We kind of feel like the way they went about this is backwards," Wyatt said, explaining that states would have appreciated more input into the process. "Each state has its own unique challenges and these are best addressed at state levels. A one-size-fits-all approach to driver's licenses doesn't necessarily work."

Many states have revolted. The governors of Idaho, Maine, Montana, New Hampshire, Oklahoma, South Carolina and Washington have signed bills refusing to comply with the act. Six others have passed bills and/or resolutions expressing opposition, and 15 have similar legislation pending.

Though the NCSL says most states' opposition stems from the lack of funding, some states cited other reasons for resisting the initiative.

New Hampshire passed a House bill opposing the program and calling Real ID "contrary and repugnant" to the state and federal constitutions. A Colorado House resolution dismissed Real ID by expressing support for the war on terror but "not at the expense of essential civil rights and liberties of citizens of this country."

Privacy concerns raised

Colorado and New Hampshire lawmakers are not alone. Groups like the American Civil Liberties Union and Electronic Frontier Foundation say the IDs and supporting databases -- which Chertoff said would eventually be federally interconnected -- will infringe on privacy.

EFF says on its Web site that the information in the databases will lay the groundwork for "a wide range of surveillance activities" by government and businesses that "will be able to easily read your private information" because of the bar code required on each card.

The databases will provide a one-stop shop for identity thieves, adds the ACLU on its Web site, and the U.S. "surveillance society" and private sector will have access to the system "for the routine tracking, monitoring and regulation of individuals' movements and activities."

The civil liberties watchdog dubs the IDs "internal passports" and claims it wouldn't be long before office buildings, gas stations, toll booths, subways and buses begin accessing the system.

But Chertoff told legislators last week that DHS has no intention of creating a federal database, and Walsh, of the Heritage Foundation, said the ACLU's allegations are disingenuous.

States will be permitted to share data only when validating someone's identity, Walsh said.

"The federal government wouldn't have any greater access to driver's license information than it does today," Walsh said.

States have the right to refuse to comply with the program, he said, and they also have the right to continue issuing IDs and driver's licenses that don't meet Real ID requirements.

But, Walsh said, "any state that's refusing to implement this key recommendation by the 9/11 Commission, and whose state driver's licenses are as a result used in another terrorist attack, should be held responsible."

State reaction to Real ID has not been all negative. Four states have passed bills or resolutions expressing approval for the program, and 13 states have similar legislation pending (Several states have pending pieces of legislation both applauding and opposing Real ID).

Chertoff said there would be repercussions for states choosing not to comply.

"This is not a mandate," Chertoff said. "A state doesn't have to do this, but if the state doesn't have -- at the end of the day, at the end of the deadline -- Real ID-compliant licenses then the state cannot expect that those licenses will be accepted for federal purposes." E-mail to a friend

@highlight

Secretary Michael Chertoff says 8,000 forms of ID are now accepted at border

@highlight

Lawmakers concerned that only $40 million has been OK'd for $23 billion plan

@highlight

13 states pass bills opposing Real ID; New Hampshire calls plan "repugnant"

@highlight

Conservative think tank says complaints about privacy, surveillance overblown