On Earth, the United States may be trading bitter accusations with Russia over Ukraine.

But in space, it's a different story.

The space collaboration between the two nations has survived other diplomatic kerfuffles. And there's no need to worry, NASA says.

"We do not expect the current Russia-Ukraine situation to have any impact on our civil space cooperation with Russia, including our partnership on the International Space Station program," said Allard Beutel, a NASA spokesman.

"It is in the best interest of all ISS partners not to allow disruption of operations that have maintained continuous human presence on orbit for over a decade."

Right now, U.S. astronaut Mike Hopkins is aboard the Space Station with two Russian cosmonauts. He returns home aboard a Russian capsule on Monday.

A few weeks later, another American astronaut, Steven Swanson, joins another two Russians on a trip to the station aboard another Russian Soyuz craft.

Putin vs. Obama: Facing off over facts in Ukraine

'Reluctant co-dependency'

The two nations can't afford temporary tussles to upend a costly relationship -- one that James Oberg, a former space engineer, describes as "reluctant co-dependency."

NASA retired its space shuttle fleet in 2011, and its astronauts have no way to get to and from the station. Russian Soyuz capsules ferry U.S. astronauts and cosmonauts, together with supplies that can fit in the smaller craft.

In turn, the United States brings to the table technology far more advanced than Russia's capabilities, Oberg told Politico.

At the same time, many of the Russian systems are more reliable because they are simpler and have been operating longer, Leroy Chiao, former NASA astronaut and International Space Station commander, told CNN.

The space station itself has an intricate blend of both countries' contributions -- from U.S. solar arrays and power systems to Russian core life support systems, to a navigation system that comes from both countries, he said.

Americans and Russians train on each other's systems, but one country can't run the station alone, he said.

The mission control centers in Houston and Korolyov, near Moscow, have to coordinate commands sent to the station, he said.

"We need each other to operate the station," Chiao said. "Otherwise we run the risk of losing that asset."

Past disagreements

Russia and the United States have disagreed on various issues in the past --  including most recently, the war in Syria, and Moscow's granting of temporary asylum to NSA leaker Edward Snowden.

The extraterrestrial partnership has gone unscathed.

"NASA and its Russian counterpart, Roscosmos, have maintained a professional, beneficial and collegial working relationship through the various ups and downs of the broader U.S.-Russia relationship and we expect that to continue," Beutel said.

Going about their days

Up in space, the crew members for International Space Station Expedition 38 are going about their regular days.

When they're not busy conducting experiments, they play with floating food, exercise and document the spinning Earth with scenic pictures of various continents.

"Checked out our Sokul suits today in preparation for returning to Earth next Monday," Hopkins tweeted this week. "Can't believe it's almost time!"

Hopkins' crew includes Russians Sergey Ryazanskiy and  Oleg Kotov, the latter a native of Crimea.

The trio's research focuses on human health and documenting protein crystal growth, which will help researchers come up with new treatment for diseases such as cystic fibrosis.

The three launched in September, and are also studying the effects of extended space travel as NASA and Roscosmos prepare to send  two crew members aboard the space station for a year.

But it's not all work and no play at the working laboratory orbiting about 240 miles above Earth.

The crew also gets a chance to gaze at breathtaking sunsets and sunrises that occur every 45 minutes.

On their regular weekends off, the  international scientists watch movies, play music and cards, and talk to their families.

A pretty penny

The agreement between the two nations costs a pretty penny.

According to a new deal NASA signed with the Russian space agency, the United States will pay Russia $71 million to ferry each astronaut to the space station.

The emergence of private companies into the space transport business may change the game.

NASA has a $1.6 billion contract with SpaceX to fly at least 12 cargo resupply missions to the space station, and a $1.9 billion contract with Orbital Sciences for eight such missions.

SpaceX is gearing up for its third commercial resupply mission this month; Orbital Sciences completed its first in February.

As for transporting astronauts, NASA said in November that it is seeking to partner with U.S. companies for human trips to the station as well, by 2017. That could end U.S. reliance on Russia for space voyages.

But for now, experts say the U.S.-Russia relationship on space remains a marriage of convenience.

@highlight

Former astronaut says both countries necessary for ISS

@highlight

NASA retired its space shuttle fleet in 2011

@highlight

Its astronauts have no way to get to and from the international space  station

@highlight

Russian Soyuz capsules ferry  U.S. astronauts