(CNN) -- The bad news came via certified letter to Norma Jimenez, Edna Rodriguez and nearly 17,000 other Puerto Ricans this month.

Thousands last week protest government layoffs in Puerto Rico.

To cut spending, Puerto Rico announced last month that thousands of government employees would be fired in the second round of layoffs this year. More than 7,800 public employees were fired in March.

"I was fearful because of the uncertainty," Jimenez, 42, an auxiliary administrator for the U.S. territory's Department of Education told CNN. "Will the letter come or not come?"

The letter came, and it said that under a measure authorized by an emergency fiscal bill, her last day of work would be January 8 of next year.

Rodriguez, who worked for the education department for 11 years as a receptionist, got the same letter, but with a November 6 termination date.

"It was as if the world collapsed," she told CNN.

And presumably, so it goes for the thousands of other public employees who were laid off.

The austere measures are a bid by the government to stabilize a fiscal mess and save Puerto Rico's credit rating. According to government figures, the U.S. territory faces a $3.2 billion budget deficit -- proportionally, the largest shortfall in the United States -- and is entering a fourth year of recession.

The severity of the plan reflects the aftermath of what experts say is years, maybe decades, of the lack of a forward-looking economic policy.

Confronted with the fear that the credit-rating agencies might reduce Puerto Rico's rating to junk status, the administration of Gov. Luis Fortuno has taken strong, but controversial, steps.

"Every layoff letter has a name, and every name has a story," Puerto Rico Secretary of State Kenneth McClintock said in an interview with CNN.

But, he said, "Doing nothing was not an alternative."

The governor and other officials cut their salaries and trimmed spending in other areas, but the massive layoffs were necessary to avert the downgraded credit rating, McClintock said.

"If that happened, we would become the first state in the history of the U.S. to have its credit downgraded to junk bond," he said.

Puerto Rico's unemployment rate is nearly 16 percent, according to the U.S. Bureau of Labor Statistics.

According to government calculations, a downgraded credit rating would have pushed that figure toward 25 percent unemployment, McClintock said.

The government is betting that the reduced spending, combined with $6.5 billion in combined federal and local stimulus funds, will be enough to get the territory back on solid footing. As a U.S. commonwealth, Puerto Rico exercises much autonomy, but still falls under U.S. jurisdiction. In addition to the federal stimulus money, Puerto Rican officials traveled to Washington last month to lobby for discretionary stimulus grants.

How did Puerto Rico get into this predicament?

"This did not happen overnight," said Miguel Soto-Class, executive director of the Center for the New Economy, an independent think tank in Puerto Rico.

For too long, the island has been dependent on a single industry at a time, Soto-Class told CNN.

First it was coffee, then sugar, and most recently pharmaceutical production plants.

Under the terms of a special tax break, U.S. companies were exempt from paying federal income tax on profits earned by their Puerto Rican manufacturing subsidiaries. This brought plenty of companies and jobs to the island until Congress voted to phase out the benefits between 1996 and 2006.

When a number of foreign companies began to pull back, Puerto Rico saw that the local economy had not absorbed many benefits from the foreign plants, Soto-Class said. For instance, local restaurants didn't sprout near the plants because food was usually done in-house. Likewise, the foreign companies used their own accountants, leaving local CPAs few opportunities to grow.

"That wasn't the cause, but it laid bare that we hadn't had an economic development model in a long time," Soto-Class said.

On the fiscal front, most the attention has focused on the large public workforce.

With a workforce of some 200,000, Puerto Rico, with a population of about 4 million, has more public employees than any state in the union, with the exception of California and New York, McClintock said. For comparison, California has about one state employee for every 103 residents, while Puerto Rico has one public worker for every 20 residents.

The public payroll had become bloated, he said.

Edwin Melendez, director of the Center for Puerto Rican Studies at Hunter College, said that a large public workforce is not a bad thing, as long as it adds and keeps up to the territory's growth.

But even when Puerto Rico's economy started declining, the public sector continued to swell.

The territory's political parties had become dependent on government employment as a political tool, in effect creating a patronage system, Melendez said.

"We are where we are because the patronage system is bankrupt," he said.

For Fortuno, a member of Puerto Rico's pro-statehood New Progressive Party and also member of the Republican Party, the challenges required immediate action.

"You can bring it down to a four word phrase: 'No pain, no gain,' " McClintock said.

The government has already spent more than $1 billion in stimulus funds that have created some 10,000 private sector jobs, he said.

"That's why we are stimulating the private sector to grow, so that it can pick up the slack that the government can no longer afford to employ on its own," McClintock said.

Thousands of protesters who participated in a strike last week dispute that firing this many workers during a recession will help the territory.

"This worsens the situation by increasing unemployment," Roberto Pagan, president of the Puerto Rico Worker's Union, told CNN. "We want the government to take alternative measures."

The government's bet is that the negative impact of the laid off workers will be offset with positive effects of the stimulus funds, Soto-Class said.

It's a risky bet, he said, adding that the Fortuno administration grasps the economics of the situation very well.

Looking to the future, McClintock said the government expects to balance the budget in two years.

Soto-Class said that recovery will also mean looking at diversifying the economic activity. Tourism and agriculture, for example, could become larger factors in the economy, he said.

Pagan, the union leader, said he supports levying higher corporate taxes to increase revenue. The government, however, said it plans to continue to use tax incentives to lure companies to the island.

Puerto Rico is "still the pharmaceutical capital of the world, but we have to try to manufacture even more Tylenol to resolve our economic headaches," McClintock said. "We have to manufacture even more Viagra than we already manufacture so our economic statistics will rise."

@highlight

Puerto Rico announced last month thousands of government layoffs

@highlight

Already more than 7,800 public employees were fired in March

@highlight

Puerto Rico, population 4 million, has 200,000 public employees

@highlight

California has 1 state employee for every 103 residents, Puerto Rico, 1 for every 20