(CNN) -- Egypt's democratically elected parliament met Monday for the first time since President Hosni Mubarak was ousted last year.

But even with Mubarak out of power and facing criminal charges, Egypt still has a long way to go.

The protests started exactly one year ago, on January 25. Many Egyptians say they are frustrated with the pace of change. There have even been violent clashes between protesters and the military, which has led the country since Mubarak resigned February 11. (Thousands gather in Cairo on anniversary)

CNN's Ben Wedeman recently spoke to some prominent Egyptians about the country's "unfinished revolution" and why there is still unrest.

Here is some of what they had to say:

Mohamed ElBaradei, former presidential candidate and Nobel Peace laureate
The army was welcomed as a savior, as the national army that stood by the people. As you remember, there were roses that were thrown over the tanks, that sort of thing. But then we started the whole mismanagement.

The army got this hot potato on their lap. They didn't expect it to happen. They have zero experience managing the country politically, and they started to make one mistake after the other. ...

Everybody after the revolution thought their salary would be tripled in three days. I mean, obviously, this was expected, but the army was very rough-handed in dealing with people.

(The army) got into a sort of irrational way of going through the transition: Going through a parliamentary election before you have a constitution. Giving new political parties three months to organize and be able to compete with the Muslim Brotherhood, who have been on the ground for 80 years. Having all the weird laws about redistricting, about establishing new parties. It led to the country being decimated.

Add to that 60 years of oppression, and it was like a pressure cooker, and all of a sudden the lid went up. There was a lot of vapor coming out. How to manage to get that into meaningful energy is still a question for us today.

People were not used to democracy. People did not know how to be able to agree to disagree, didn't know how to work together. All of this is the result of years and years of repression.

Gigi Ibrahim, prominent human rights activist
We didn't even believe we would get to Tahrir Square, let alone this would be a revolution.

One person actually said, "So if we get to Tahrir Square, then what?" And the answer was, "We'll figure it out when we get there." Nobody imagined that this many people would go there; nobody imagined that this many people would show up. We were used to the same 20 to 50 people that showed up to every single protest, and they were mostly your friends and fellow activists. But January 25 was different. ...

What made me realize that this was unstoppable was I looked behind me sometime, and I could not see the end of the march, like I couldn't see where the march ended. All I saw, whether I looked to my left or right or to the back, was a sea of people. I knew then there was no way of stopping this. "What are they going to do? They can fire at us, but we are just so many this day." ...

Being a revolutionary myself and being in the street and taking part in these clashes, you know that all these people are fighting for a better Egypt. They don't have hidden agendas. They don't get finance from abroad. They are simply fighting for their rights, they're fighting for a better living, and they're not going to stop, because we sacrificed so much.

We sacrificed so much to reach where we are right now. There is no way of going back.

Hisham Qasim, newspaper publisher and human rights activist
You have now people on the street say, "I thought this revolution was for me, but I've been jobless for the last three months." ... Now there is a lot of frustration, and people are beginning to wonder whether things went wrong and whether they should have stayed under the Mubarak regime that was at least providing stability. ...

There were too many expectations. Raising the expectations was probably the biggest mistake, and media probably have a great part to do with that. ... Media presented this as a revolution as opposed to an uprising. ...

It put a lot of high hopes on the caretaker Cabinet. And eventually, as nothing was happening, the frustration level increased, and we began to see more and more protests, more and more violence and less and less faith in the future. So while the military has made serious mistakes, we should not have expected more. ...

A lot were critical of (the ruling military's) slow pace, that it will take roughly 16 months, 18 months before we do the transition. I don't think it was possible in anything less than that. Tunisia was a much faster pace, but Tunisia is 10 million people. We are 80 million people. ...

Over the next five years, when you start to built the instruments of good governance, a parliament, a judiciary, and establish civilian rule, the military will have to give up their privileges. It has to be slow. We need to avoid a collision course with them. ... If we go for reform too quickly or we get into a collision course with the military, remember Mauritania? Remember Sudan? They did have a free election, both countries, and yet they relapsed into military rule.

Nour Nour, activist who was 20 years old at the time of the revolution
Very few people actually saw a full-scale revolution taking place that soon. I always knew it was coming. I didn't know it was going to come that soon.

I was depending on the privileged upper-middle class members of the Egyptian society to hit the streets for the first time ... because I knew, sadly, there is a lot of classism in our culture, and no big change would come about in our society until those who were more privileged went to fight for those who were less fortunate. ...

On the 11th of February, I felt that the hard bit was over, although I knew there was a lot of work to be done. The element of oppression, of being oppressed by the regime, I thought that was over.

But over the last year, I realized not only was I mistaken, but there have been more attempts to oppress the Egyptian youth over the last year than during the 30 years of the Mubarak regime. ...

I had been demonstrating for many years under the Mubarak regime, which is why it is ironic that the most times I've ever been beaten, the most times I've ever felt the threat of danger, was after Mubarak stepped down. And all of these are very basic indications that the regime that is ruling us at the moment is merely a continuation of the Mubarak regime, that its main intent or goal is to protect themselves from the revolution, not to protect the revolution.

Ehsan Yahia, assistant lecturer at Cairo University
I didn't expect it to be this way. I didn't expect that it would be this big. Me and all my colleagues and friends, we were not aiming at bringing Mubarak down. We were just aiming at more social justice. We were aiming at reforming the police. So we didn't think that people would do that much support, but they did. ...

I can tell you, I want peace. I don't want more protests. But if I didn't find any other way, I didn't find any other way.

I am part of this country, and I've been asking for my rights in a peaceful way. But I didn't get it, and I didn't even get an explanation. And I have found violence. The army, the Supreme Council, we were thinking it was protecting us in the beginning of the revolution, Now it is violating our rights.

We had some hope. Maybe we were naive. It's our first revolution! We have no experience.

@highlight

Hosni Mubarak is no longer in power, but protests continue in Egypt

@highlight

CNN's Ben Wedeman talked to prominent Egyptians to find out why the country is still in turmoil

@highlight

ElBaradei: The military has zero experience in managing the country politically

@highlight

Newspaper publisher: Building a democracy takes time; we must be patient