Hong Kong, China (CNN) -- Humor was Jami Gong's answer to helping revive New York City's Chinatown in the aftermath of the September 11, 2001, attacks.

Born and raised in Chinatown, where the Twin Towers of the World Trade Center long stood as beacons over his street, Gong was awoken by his sister after the first plane had crashed into the North Tower.

He grabbed his camera, caught a glimpse of the second plane before it hit the South Tower and watched helplessly, as both towers collapsed.

"I know that any one of us could have been there," said Gong, who once worked inside the South Tower's shopping mall before moving to another store, in an interview in Hong Kong last month.

As New York struggled to recover, Chinatown -- about a 20-minute walk from Ground Zero -- turned into a ghost town. Roads closed, deliveries stopped. "Only residents, police everywhere," Gong, now 42, recalled.

Three-quarters of Chinatown workers -- nearly 25,000 -- were laid off, with the garment industry losing nearly $500 million in the year after the attacks, according to a 2002 report by the Asian American Federation of New York. One year later, more than 90% of surveyed restaurants, garment factories and jewelry stores were anticipating "an inability to recover" to pre-September 11 business levels, the report said.

Chinatown shaken by 'double whammy'

And then in February 2003, Severe Acute Respiratory Syndrome, or SARS, hit Asia. Rumors flew, including an email hoax that SARS had hit Chinatowns across the United States.

No confirmed cases of SARS were found in New York City, but for Chinatown it was a "double whammy," said Gong, who had served as a tour guide in Chinatown in addition to his job in retail. "Again, no one went down to Chinatown to eat. Business plummeted."

Also not helping was the general state of the U.S. economy, by then impacted by war in Afghanistan as well as the run-up to the invasion of Iraq.

With friends, Gong started "TakeOut Comedy," a series of shows intended to revitalize nightlife in Chinatown. The shows sold out. As head of the New York chapter of the Organization of Chinese Americans, Gong also organized a SARS (Support Asian RestaurantS) rally in Chinatown, encouraging people to eat at their favorite Chinatown restaurants.

Gong had first conceived of bringing comedy to Chinatown during a plane ride months earlier to see his ailing grandmother in Hong Kong. He wrote his ideas on a sick bag and was eager to share them with her, but upon landing, learned she had died while he was en route.

It was she who had made him embrace his Chinese roots. "My grandmother was a big inspiration in my life," Gong said. "She worked hard to put all six of us [grandchildren] in college."

Asian-Americans were typically stereotyped as lawyers, doctors and engineers -- but aside from Jackie Chan and Margaret Cho, where were the entertainers, Gong wondered.

He quit his day job to dedicate himself to finding them. The 9/11 attacks were the catalyst for the shows in Chinatown, but Gong had found what he wanted to do for the rest of his life.

In 2004 he staged the first TakeOut Comedy Competition, pitting 50 Asian-American comedians from across the United States. The competition would launch winner Paul Ogata's comedic career.

Gong then launched a six-city national tour with Ogata and a handful of other top Asian-American comedians, billing them "Asian Kings of Comedy."

Having made several trips to Hong Kong over the years, he wondered why there hadn't been a full-time comedy club there. Gong spent the next two years researching. Besides Dayo Wong and Michael Hui, where were the other local comedians? As Gong put it: "Who's finding the next Dayo?"

Heading for Hong Kong - and a new audience

Gong left New York to launch Hong Kong's -- and what he says is also Asia's -- first full-time comedy club in 2007. The idea was to teach comedy and educate crowds more accustomed to Chinese slapstick than English-language sarcasm. "Chinese don't get the sarcasm," Gong said. "They'll take things literally. You don't blame them."

He still gets calls asking if shows require standing up all night, he says.

TakeOut Comedy has several bilingual comedians. Last year, in an odd twist, Andrew Chu, a native Cantonese speaker won "Funniest English Comedian, while Christopher "M" Mellen won "Funniest Chinese Comedian." Another comedian, Vivek Mahbubani, has taken home both honors in recent years.

"With TakeOut Comedy, you get a regular platform. Like with any other skill, you need to keep practicing to get better," said Mahbubani, 28, who now teaches Cantonese workshops there. By day, he is a self-employed web designer and developer.

The group's members give each other feedback, rewrite, refine and then perform in front of an audience, he said.

Chu, a fan of American comedians and TV shows like "South Park" and "The Simpsons," said humor forced him to change his point of view, including dealing with sadness in the world. He credited Gong's English workshop for teaching him basics from holding the mic stand to writing jokes based on his observations and how others see him.

"My English is so bad -- that's why it's so funny," he quipped. By day, the 28-year-old does data entry for a financial institution.

Then there is James ("James Lee") Collison, a 36-year-old intellectual property attorney, who had also never done standup before TakeOut Comedy. Months after it opened, a friend suggested they try an open-mic night. The preparation paid off; within days, they were enlisted to do weekend shows -- and then TakeOut's charity shows. It was at such a function for the American Chamber of Commerce that he met his future wife, who worked for the organization.

"Stephanie was at the door giving out name tags. And I went up and asked for a nametag. She said no," he recalled. No payment, no nametag. "I didn't explain I was a comic," he said.

Later after finding out that he was, she did give him a nametag. Cards were exchanged, then dinner, and now four years later they're married.

Just this week, Collison did his first standup in Singapore where they recently moved. "If I learned anything about the comedy thing, it's this neverending process that you keep working at."

Gong sees laughter as the glue that brings people together and the club as a way for people to boost confidence, creativity, self-esteem and public speaking. Moreover, it's a platform for talented people to get discovered, he pointed out.

"I want to unite the world through laughter," he said.

@highlight

Gong watched the World Trade Center's Twin Towers fall from his street in Chinatown

@highlight

Chinatown was hard hit after the September 11, 2001, attacks and then the SARS scare

@highlight

Gong helped start "TakeOut Comedy" to revitalize Chinatown, find Asian-American comics

@highlight

He later took "TakeOut Comedy" to Hong Kong, city of his grandmother who inspired him