(CNN) -- While President Barack Obama has made promoting rights for gays and lesbians worldwide a key foreign policy goal, that is little comfort to Ali Asseri, a former Saudi diplomat who is gay.

Asseri is fighting a years-long battle for asylum in the United States, convinced his life will be in danger if he is forced to return home.

The case presents a dilemma for the Obama administration as the President travels to Saudi Arabia to meet with King Abdullah amid a time of strained relations between the close allies.

Saudi Arabia's radical form of Islam mandates the death penalty for same-sex relations.

"I come from the darkest place on earth," Asseri said in a phone interview from his home in West Hollywood. "We are brainwashed that we have the best system and sharia law comes from god. But they teach us to hate others. I came to America to clear my mind."

Asseri grew up in a middle class conservative Saudi family, the middle child with three brothers and three sisters. His parents had little education and raised him and his brothers and sisters true to Saudi culture and religion. There was no music or TV.

He didn't know for years that he was gay. By age 13, he realized he was different than other boys his age, he just had no idea what that difference was.

"We don't have any education about sex. You don't know what gay means. You just know that you have feelings. You can't talk about it with anyone. According to the Koran they are a sin. I thought it would just go away. I just had feelings but you can't talk about it with any person."

As a law student, he considered a career as an attorney and took a job as a clerk for a judge in the Saudi court. After a few months, he quit.

In a petition seeking asylum to the United States obtained by CNN, he wrote that "unfair bias" in the treatment of cases in Saudi Arabia made it "morally impossible for me to continue."

"I was frequently upset and saddened by the system in general and the punishments given to the accused," he wrote.

Investigates sexuality

For another year he worked as a trainee in the Bureau of Investigation and Prosecution, where he would check on the prisoners to see whether they were receiving proper treatment. He was forced by his managers to witness prisoners being lashed, which gave him bad dreams. He quit his job once again, frustrated with the harsh punishments and his inability to do anything to stop them.

At that time he started to investigate his faith, religion and sexuality.

"Without these jobs I wouldn't be the same person now," he said. "I began to understand something isn't right about the way we practice religion. Something didn't feel good. I said to myself the only way you can have freedom is to be a diplomat and travel out of the country."

He joined the Foreign Ministry as a diplomat and got married to a Saudi woman, all the time hiding his feelings and dreaming of the day he could leave the country and live his life as an openly gay man.

When his wife gave birth to his son, Fahad, Asseri tried one last time to give his arrangement a chance. But he found he could not keep up the charade and they divorced in 2004.

Asseri was transferred to the Saudi consulate in Los Angeles the next year.

A double life

Here, he writes in his asylum petition, "I discovered the gay community, the gay culture and that I was in fact gay." For four years he led a double life. By day, he was a traditional diplomat. By night, he visited gay bars and told friends he was from Italy or any other country than his own.

Asseri's two worlds collided in 2009 when he fell in love and moved into a West Hollywood apartment with his boyfriend. Finding happiness for the first time, he enjoyed an open social life in West Hollywood with his new friends.

Soon his colleagues began to ask him about his life outside of work and started following him. When his passport expired and he submitted it for renewal, he received no reply. After several months, his office told him his time in the United States was up and he would have to return to Saudi Arabia.

He began to fear he was found out. He called a friend in the foreign ministry in Riyadh, who told him indeed the Consul General sent a letter to the ministry stating he was gay and had information about his lifestyle.

"This is when I became really scared and paranoid," he writes in his asylum petition. "I was so scared they would do something to me physically. I was even afraid to go to my car thinking there could be a bomb in it. When I came home I had to check every closet."

He sent a letter to various news organizations saying he was being harassed by colleagues and he feared for his life.

Fearing persecution

He applied for asylum as a gay person who would face persecution if sent home. In more than eight hours of questioning, immigration officers focused on his jobs in the Saudi courts and Bureau of investigation.

His bid for asylum was no common occurrence.

The last Saudi diplomat to seek asylum was in 1994, when Mohammed al-Khilewi, then first secretary for the Saudi mission to the United Nations, was granted asylum for publicly criticizing his country's human rights record and alleged support for terrorism.

Fourteen months later in October 2011, the Department of Homeland Security denied Asseri's application.

In the rejection letter, obtained by CNN, the government says "evidence indicates that you ordered, incited, assisted or otherwise participated in the persecution of others on account of race, religion, nationality, membership in a particular social group or political opinion."

The case went to automatic appeal.

"They interviewed him once and it took 14 months and it showed they were going for denial," says Ali Ahmed, a Saudi dissident and activist that has been helping Asseri with his case. "They used the reason that he worked for the courts to call him a human rights violator which is really bogus."

Obama on gay rights

Two months later, Obama signed a Memorandum on International Initiatives to Advance the Human Rights of LGBT Persons. It included a program to protect gay refugees and asylum seekers, including "ensuring the federal government has the ability to identify and expedite resettlement of highly vulnerable persons with urgent protection needs."

In the memo, Obama writes that the fight to end discrimination against LGBT people is "a global challenge" and "central to the United States' commitment to promoting human rights."

"I am deeply concerned by the violence and discrimination targeting LGBT persons around the world â€” whether it is passing laws that criminalize LGBT status, beating citizens simply for joining peaceful LGBT pride celebrations, or killing men, women, and children for their perceived sexual orientation," Obama said.

In its most recent human rights report, the State Department said under sharia law in the Saudi Arabia, "consensual same-sex conduct is punishable by death or flogging."

Ongoing case

It wasn't until this past February that Asseri was finally granted a hearing date for his appeal. At the court, the immigration officer offered him a deal to remain in the country permanently without possibility of asylum or a green card.

Additionally, he could never leave the country. When he rejected the offer, the immigration officer applied for another continuance, saying she needed to submit more documents in the two-year case. He is now looking at a new hearing date in 2015.

Today, Asseri barely makes ends meet as a part-time security guard. He lives on couches at friends' apartments in West Hollywood. His family has shunned him and his ex-wife won't allow him to talk to his son.

As unbearable as his life in limbo is, he says returning to Saudi Arabia would be a death sentence.

"There is no question," he says. "If you go back and say I am gay and proud and I don't believe in religion anymore. Under sharia law this is death. You will be happy if they kill you right away. "

Ahmed, the Saudi activist, says Asseri is a victim of U.S. desires not to upset the Saudi monarchy.

Asseri had been convinced that Obama's stated commitment to gay rights would trump politics and keep him safe in the United States.

"When President Obama ran in 2008 I supported him. I cried for him, I encouraged my American friends to vote for him. Now I can't stand to watch him on TV," he says. "I'm angry. He said he supports the rights of gay people, so why is this happening to me?"

The Saudi embassy in Washington and consulate in Los Angeles did not return phone calls. The Department of Homeland Security declined comment, saying asylum cases were confidential.

@highlight

Former Saudi diplomat fighting battle for asylum in the United States, fears return home

@highlight

Case presents a dilemma for President Obama while in Saudi Arabia

@highlight

Saudi form of Islam mandates the death penalty for same-sex relations

@highlight

Obama has underscored efforts to end discrimination against LGBT people