(CNN) -- If it were not for the powerful stench and desperate shouts emanating from the wire cages, the men sitting in rows, each wearing a white skull cap, look like they could be at a prayer meeting.

But for the 276 Rohingya men sitting on the floor of two cells designed to hold just 15 people each, their situation is about as far away from a mosque as it gets -- that was the scene, vividly described and shown in an a report by British news network and CNN affiliate, Channel 4.

Appearing to have barely enough room to sit, some of the men reportedly had swollen feet and withered leg muscles from a lack of exercise and had not moved from the cage in five months.

According to a new report from Human Rights Watch (HRW), the men are among 1,700 ethnic Rohingya from Myanmar -- formerly known as Burma -- who are being held in appalling conditions in Thai immigration detention centers in Thailand's Phang Nga province and filmed secretly by the news team from Channel 4.

Tens of thousands of ethnic Rohingya from Myanmar's Arakan State have already fled persecution amid ongoing sectarian violence between the majority Buddhist Arakanese and the Muslim Rohingya.

Many flee in small, unseaworthy boats arriving in Malaysia, Indonesia and Thailand. Some never make it to their destinations. Last month, a boat carrying about 100 Rohingya capsized off western Myanmar and at least 50 were feared drowned.

HRW says the overcrowded conditions are part of an unsanctioned policy of deterring Rohingya from seeking asylum in Thailand.

Q&A: What's behind sectarian violence in Myanmar?

"I think that the Thai policy is all about saying to the Rohingya, 'Hey, if you land in Thailand you're not going to have an easy time of it'," Phil Robertson, deputy director of the Asia division of HRW, told CNN.

"By putting people in detention centers in these appalling conditions the Thai government is effectively saying come here at your own peril."

OPINION: Two-child policy in Myanmar will increase bloodshed

HRW says Thai immigration officials have not permitted UNHCR, the United Nations' refugee agency, to conduct refugee status determination screenings and have split up the Rohingya families with women and children sent to government-run shelters.

According to the Channel 4 report, while the women and children are held in better conditions than the men, they often have no information about the status or even whereabouts of their partners.

"The government should immediately allow them to pursue their asylum claims with the UN refugee agency," said HRW Asia director Brad Adams, adding that under the Universal Declaration of Human Rights, everyone has the right to seek asylum from persecution.

HRW also claimed that under Thailand's "help on" policy -- whereby Thai Navy vessels that intercept Rohingya boats supply them with fuel and provisions on condition the boats sail onward to Malaysia and Indonesia -- Rohingya were being put at further risk.

"Thai authorities should provide temporary protection to Rohingya and scrap the 'help on' policy that places these asylum seekers in harm's way," Adams said. "The government should help Rohingya who escape from oppression and hardship in Burma -- not worsen their plight."

But Manasvi Srisodapol, spokesman for the Thai Ministry of Foreign Affairs, told CNN that Thai authorities were fully aware of and concerned about overcrowding at its existing immigration facilities.

"Since January, various groups of Rohingyas have been placed under the care of various immigration and detention centers and government shelters across Thailand, that notwithstanding, alternative arrangements are being identified as a matter of priority to address the issue of overcrowding, as well as in reuniting those Rohingyas with their family members."

He denied the government was not cooperating with international bodies over the issue, saying the government was working in close partnership with humanitarian agencies such as the UNHCR, UNICEF and the ICRC to provide temporary assistance to the refugees. He added that their asylum rights would be fully respected.

"Thailand has not been denying anyone, their basic human rights, he said. "In fact Thailand is providing temporary assistance and shelters in spite the fact that these Rohingyas are illegal migrants. Furthermore, international organizations such as UNHCR, ICRC, IOM and UNICEF have access to these people on the regular basis."

Thailand's Prime Minister Yingluck Shinawatra agreed in January to permit Rohingya arriving by boat in Thailand to stay temporarily, initially for six months, until they could be safely repatriated or resettled in a third country.

"The Thai government is in close cooperation with various countries and international organizations to find a durable solution for the Rohingyas," said Srisodapol.

"The six-month period announced in January is a tentative time frame and we are examining various possibilities."

Critics fear that if the Thai government is unable to find a third country that would accept the asylum seekers, then Thailand may deport the Rohingya back to Myanmar where they would undoubtedly face persecution.

CNN's Kocha Olarn in Bangkok contributed to this report.

@highlight

News team secretly film desperate condition of Rohingya asylum seekers in Thailand

@highlight

276 Rohingya men sit cross legged on the floor of two cells designed to hold just 15 people eac

@highlight

Men are among 1,700 ethnic Rohingya from Myanmar who are being held in appalling conditions

@highlight

Each year, tens of thousands ethnic Rohingya from Myanmar's Arakan State flee persecution