(CNN) -- Cradling your heap of plastic, you approach the bins, hastily inspecting each item for the number molded on the bottom.

Plastic water bottles go in the bin for ones and twos, along with the milk jug. That was easy enough, but what about the water bottle caps? Trash. Chinese take-out container? Bin number six. Packing peanuts? Trash. Canola oil container is labeled number three. No number threes accepted.

Annoyed and confused yet?

You're not alone. The EPA reports only 7% of plastic waste generated in 2009 was recovered for recycling.

But, a discovery by University of Warwick engineers could make recycling easier for you.

A group of scientists at this U.K. university has discovered a way to recycle 100% of plastic.

Using pyrolysis, a technique in which heat is applied in the absence of oxygen to decompose materials, the university says it was able to break plastic down into its basic elements.

The results could mean a significant reduction in pollution while scientists try to find a safer alternative to using plastic.

"It will reduce the amount of plastic from being sent to landfills and/or incinerators, beautify our environments and create sustainable plastic products," said environmental engineer Naji Khoury of Temple University College of Engineering.

Warwick Ventures business development manager Kevin Marks says the next step is to commercialize their findings. They will build their first plant in the near future.

"There are currently no commercial recycling plants that can deal with domestic mixed plastic waste, so the system we are developing will be the first of its kind in the world," Marks said.

Why could this be such a big deal? The EPA spent more than $220 million on recycling and waste management in 2008 due to sorting, landfill management and other costly actions. The ability to recycle 100% of plastic could remove the need to sort through materials and reduce the need to produce fresh plastic.

"Waste can be a valuable resource," said Craig Criddle, an environmental engineer at Stanford University. "We hear a lot of about 'waste-to-energy' but little about 'waste-to-chemicals.' Creating chemicals from waste could be more profitable than making energy."

Since plastic is not biodegradable, it cannot be broken down by microorganisms and remains in a landfill forever.

Polly Sattler, executive director of GreenPlate, a nonprofit environmental organization dedicated to reducing the use of plastics in society, says what people need to know is that many of the materials collected have a lot of potential value and are sold. By using the University of Warwick's process to turn plastics into energy, she believes people will see the need to increase their recycling efforts.

While temporary measures can be taken to reduce our plastic use, Criddle said widespread use of this technology would decrease our dependence on fossil carbon and stimulate local economies.

Robert Waymouth, a chemist at Stanford University, offers a simple example to explain what he believes is the most important conclusion of the study: "Consider the jug of liquid laundry detergent. ... this jug could be reused for 10 years, but we typically throw it away after the laundry detergent is gone. ... It's the economy of convenience that leads to our current 'throw-away' society; this is ultimately not a sustainable way to utilize our resources or sustain our environment."

Chemist Marc Hillmyer of the University of Minnesota says actions come with consequences: "Advances in science led to the generation of wonderfully useful, versatile, lightweight and strong plastics that have myriad applications that bring benefit to society. Now, we have to use the same ingenuity to appropriately deal with the plastic waste that is a consequence of the broad utility of these materials."

@highlight

British scientists say they've found way to recycle 100% of plastics

@highlight

University of Warwick plans first commercial plant soon

@highlight

"Waste can be a valuable resource," Stanford engineer says