Washington (CNN) -- The Federal Aviation Administration says registration records for as many as one-third of all private aircraft are out-of-date and inaccurate, and has begun the process of re-registering aircraft in the United States -- a task made more urgent by the threat posed by criminals and terrorists.

Of the 357,000 registered aircraft in the United States, records for about 119,000 are believed to be out of date, with many of them believed to be junked or inactive aircraft, the FAA said.

But the inaccurate records also could conceal criminal or even terrorist activity, say some security and aviation experts, who say it is critical that the FAA restore order to its records.

To deal with the disarray, the FAA is in the process of canceling registration for all civil aircraft -- a category that includes virtually everything except military aircraft -- and requiring the owners to re-register. The re-registrations will be phased-in over three years, and aircraft owners will be required to renew the registrations every three years thereafter.

"These improvements will give us more up-to-date registration data and better information about the state of the aviation industry," FAA Administrator Randy Babbitt said in July, when the rule took effect.

The FAA has long grappled with getting a handle on its records, in recent years requiring owners to report the sale of aircraft, the scrapping or destruction of aircraft, or a change in mailing address. But many owners have not complied with those requirements, the FAA said. And many aircraft owners do not voluntarily update the database with other information, it said.

The FAA's database identifies each aircraft by its registration number -- or "N" number, which is displayed on the plane's tail or fuselage -- its complete description, and the name and address of its registered owner.

In seeking to upgrade the requirement three years ago, the FAA noted that various levels of law enforcement use the database in drug smuggling investigations and "their efforts now have expanded to include matters of homeland security."

Proper records can assist investigators, aviation and security. Authorities routinely check the "N" number, or tail number, of suspicious planes, or planes that have entered restricted airspace.

Just as importantly, an accurate database can help the FAA notify aircraft owners of safety-related information, such as Airworthiness Directives.

The incomplete records are a security concern, but probably not a security problem," said Chris Dancy, a spokesman for the Aircraft Owners and Pilots Association.

"Most of these planes are probably right where they're supposed to be. The FAA has just lost track of them through lost paperwork or the database not being updated or the owners not answering the triennial survey that the FAA sends out," Dancy said.

"So they're probably where they are supposed to be -- owned by the people the FAA last has record of. They just don't know that."

Dancy said most aircraft owners recognize the need for accurate records, and that AOPA has tried to minimize the inconveniences associated with re-registration.

"We offered some suggestions when the (new requirement was proposed) to try to make it a little less burdensome. But the fact of the matter is that the database is woefully out of date. It does need to be brought up to date. We thought it could be done without canceling current registrations. The FAA decided canceling was the best way. It's now the law of the land," he said.

@highlight

Of 357,000 registered aircraft in U.S., records for about 119,000 are believed out of date

@highlight

Inaccurate records can conceal criminal or terrorist activity, experts say

@highlight

To deal with the disarray, the FAA is in process of canceling registration for all civil aircraft