(CNN) -- I was born in Johannesburg, South Africa, in 1964, the year Martin Luther King Jr. was awarded the Nobel Peace Prize, the Civil Rights Act was passed in the United States, and Nelson Mandela was sentenced to life in prison.

Mine was a relatively idyllic childhood in the affluent and segregated northern suburbs of Johannesburg. Like many white South Africans, I lived in an ignorant cocoon of privilege, with no idea that having two live-in maids, a full-time gardener and a driver was unusual. It was perfectly normal for my African nannies, Rosina and Phina, to live with us rather than with their own children, and there was no need to learn their language or even their last names.

It was only as a teenager that I began to realize something was horribly wrong. Phina and I were walking along the road of our pristine "whites only" neighborhood when we saw a police van stop. Two armed white police officers got out and began interrogating the black passers by. They roughly shoved several of them into their van, screaming obscenities all the time.

I was terrified and asked Phina what was going on. She explained that the police were on a "pass" raid, and any black person in a white suburb without an identity book stamped with official permission to live and work in Johannesburg was a criminal and liable to arrest.

From that day on I was no longer innocent to the evils of apartheid.

A teacher in my segregated public elementary believed in schooling her privileged white students in the injustices happening all around them. Suddenly Phina and Rosina became real people to me, and I learned for the first time about Nelson Mandela and the African National Congress.

Songs like "Free Nelson Mandela" became part of our consciousness, but Mandela himself was still a mythical figure: the blanket of South African government censorship, which made it a crime to publish the words of prohibited leaders and organizations, or to write about the South African Security Forces or prison conditions, kept us in relative ignorance.

The Soweto riots happened on June 16, 1976. Police shot into huge crowds of schoolchildren of all ages protesting a directive they could not be taught in their own language. Hundreds of people were killed; the cruelty and brutality of the government's reaction was met with rioting that spread to other townships. It was the beginning of the end of colonial, racist South Africa. The shooting death of 13-year-old Hector Peterson galvanized the world. Yet we knew little about it, even though Soweto was less than 20 miles away.

In high school, history teacher Mr. Lowry, who had been arrested several times for anti-apartheid activism, insisted we wear black armbands every June 16th. We complied. But it was only in April 1994, in my late 20s and standing for hours in a long line of black and white South Africans to vote in the country's first democratic election, that I came close to truly understanding the unforgivable nature of apartheid.

Next to me was a dignified 75-year-old man who had taken two buses and walked 10 miles to the voting station to vote for the first time in his life. On my other side was Salaminah, the lady who was helping raise my children, and who had become an integral part of our lives. Only now, at the age of 55, was she considered a real citizen in the place where she and her ancestors had lived for hundreds of years.

We whites had lived in a place that denied people their basic human rights. Why had it taken so long to change this inhumane system? How had we allowed it? I stood in that line experiencing a mixture of jubilation and guilt. Had I really lived for 29 years in a country that had denied the majority of its people the right to vote?

It was also a time to truly appreciate the enormous sacrifice and achievement of Nelson Mandela and his comrades.

Mandela's release from prison in February 1990 had been both a highly anticipated and enormously feared event. Many members of the white South African minority were terrified of the kind of displacement and retribution that has historically followed revolutions and major changes in government. So you can imagine everyone's relief when, rather than calling for a revolution, Mandela instead preached reconciliation, and spoke of a Rainbow Nation and the importance of Ubuntu -- we are human through the humanity of others. It was then that the brilliance of Mandela as a peacemaker, a politician and a statesman emerged.

To really understand the psyche of Mandela is to grasp his profound lack of bitterness, a quality that is almost inhuman for a man who spent 27 years as a prisoner of the South African government. It seems Mandela consciously cultivated that quality. He wrote: "As I walked out the door toward the gate that would lead to my freedom, I knew if I didn't leave my bitterness and hatred behind, I'd still be in prison."

As chronicled in the Clint Eastwood movie "Invictus," this is a man who donned a green rugby jersey during the Rugby World Cup in 1995 to send a message to racist white South African rugby players and fans that everyone in the "Rainbow Nation" of the new South Africa would be rooting for their victory. This is a man who in 1995 visited Betsie Verwoed, the 94-year-old widow of one of the prime architects of apartheid, and a man who invited his white jailor as a VIP guest to his inauguration as the country's first black president.

I first met Mandela at a business awards gathering. The second time was at the opening of the SOS children's village in Cape Town where he presided as guest of honor. He was charming, talking to me about my job while holding my hand. He was still extremely energetic at 79 and very handsome. His only ailment was watery eyes, the result of 13 years spent doing hard labor at the limestone quarry on Robben Island, where he spent 18 years of his 27 years of imprisonment in a small cell.

I also met the president at the Mandela House in Johannesburg when he greeted the Manchester United soccer team, who were visiting South Africa. It was amazing to see these superstar athletes awestruck at being in the presence of the most famous politician of this generation.

It was 1997, and the transformation of the country's psyche was palpable. We were no longer the pariahs of the world, and suddenly Mandela had lifted South Africa from disgrace to worldwide acceptance and applause. He had done so gracefully and relatively peacefully. That is probably why nearly everyone introduced to Mandela would tear up, so moved were they by his stature and accomplishments.

Mandela's family suffered. His daughters Zenani and Zindzi and their mother Winnie were exiled to Brandfort, a town hundreds of miles away from Johannesburg. They grew up without their father, sleeping on the floor. Mandela lost three of his six children, one of whom died while he was in prison. In June of 2010, his beloved great-granddaughter Zenii was killed in a car accident at the start of the World Cup Soccer Tournament.

Now, at 94, nearly 95, like most mortals in their twilight years, Mandela is frail, and in the hospital yet again, in serious condition.

All this is not to say that Mandela's emphasis on facilitating a peaceful transition of power in South Africa has not been criticized. Many believed, and still do, that Mandela was too conciliatory and that too little was done to transform the South African economy. Indeed, to a large extent, economic power still remains mainly in the hands of whites and a small black elite. The country is grappling with enormous problems, including high unemployment and growing corruption.

Indeed, the new South Africa that owes its relative peace and prosperity to the transformative vision of Nelson Mandela is still a work in progress. But, whatever the future brings for the Rainbow Nation, Mandela will always be the man who turned a nightmare into a vision, a vision into a dream and a dream into a reality.

The opinions in this commentary are solely those of Nadia Bilchik.

@highlight

Nadia Bilchik grew up in a cocoon of privilege in South Africa, unaware of apartheid

@highlight

Voting with blacks and whites for the first time, she appreciated what Mandela did

@highlight

Bilchik: His release from prison was highly anticipated and enormously feared

@highlight

Bilchik: Mandela's profound lack of bitterness after 27 years of prison informed his life