Los Angeles (CNN) -- Former linebacker Junior Seau's family sued the National Football League on Wednesday, claiming his suicide last May was the result of a brain disease caused by violent hits he endured playing the game, the lawsuit said.

Last year, Seau, 43, committed suicide in his bedroom in Oceanside, California, with a gunshot wound to the chest, prompting speculation about whether repeated hits to his helmet over his 20-year pro career could have been a contributing factor.

Earlier this month, Seau was determined to have chronic traumatic encephalopathy, a neurodegenerative brain disease that can follow multiple hits to the head, the National Institutes of Health said.

The lawsuit, filed in San Diego County Superior Court, accuses the NFL and helmet manufacturer Riddell Inc. of wrongful death, but doesn't specify a figure for compensatory and punitive damages. The suit also alleges fraud, negligence and concealment.

The NFL could not be immediately reached for comment.

Riddell Inc. has not yet seen the lawsuit and said it wasn't appropriate to comment on pending litigation, the firm said in a statement.

"We are confident in the integrity of our products and our ability to successfully defend our products against challenges," the company said.

The lawsuit was filed by Seau's children -- sons Tyler, Jake and Hunter and daughter Sydney, all of California -- and Gina Seau, who is the mother of Jake and Hunter, both of whom are minors. Junior Seau's estate also is a plaintiff.

"We were saddened to learn that Junior, a loving father and teammate, suffered from CTE," the family said in a statement.

"We know this lawsuit will not bring back Junior. But it will send a message that the NFL needs to care for its former players, acknowledge its decades of deception on the issue of head injuries and player safety, and make the game safer for future generations," the family said.

More than 1,500 former NFL players are suing the NFL, alleging the league hid the dangers of concussions from them.

Seau was one of a string of NFL players -- along with Dave Duerson, Shane Dronett and Ray Easterling -- who took their own lives and were later diagnosed with CTE.

Not everyone who is exposed to repeated head trauma would develop the disease, experts say.

CTE can result in Alzheimer's-like symptoms such as dementia, memory loss, aggression and depression, but it can be diagnosed only after death.

The suit alleges a long history of coverup by the NFL about the effects of the game's head trauma.

"The NFL was aware of the evidence and the risks associated with repetitive traumatic brain injuries for many decades, but deliberately ignored and actively concealed the information from the players, including the late Junior Seau," the lawsuit said.

"Today, the NFL and its agents continue to market the ferocity and brutality of the sport," the suit said.

Seau played for the San Diego Chargers from 1990 to 2002, the Miami Dolphins from 2003 to 2005 and the New England Patriots from 2006 to 2009, the suit said.

Seau was nicknamed the "Tasmanian Devil" for his on-field prowess. "He was known as a warrior, the invincible patriarch who could be depended on to play through his injuries," the suit said.

Seau suffered sub-concussive and concussive blows to the head in the NFL, sometimes lacerating his face, court papers said.

During the mid-1990s, he began to show emotional instability and developed insomnia that afflicted him until his death, the suit said. He awoke at 1 a.m. or 2 a.m. and couldn't fall back asleep.

He became forgetful about discussions and appointments, and he was unable to concentrate or focus, the suit said.

He exhibited "self-destructive, aggressive and violent behavior" and suffered extreme depression, withdrawing from his family and children, court documents said.

His children "would look into his eyes and not recognize the person with whom they were now dealing," the suit said.

Off the field, his one-time ability to show good business sense dissipated, and he made "impulsive, ill-advised decisions," the documents said.

He drank to cope, "entered a devastating cycle of depression and alcohol abuse," and became a manic, compulsive gambler in which he lost a "significant amount of money in an attempt to make back business losses," the lawsuit said.

Seau's family donated his brain to the NIH for research, and this month it released a statement saying "abnormalities were found that are consistent with a form of (CTE)."

According to the NIH's pathology report, five researchers -- two NIH neuropathologists and three independent experts -- examined slides of Seau's brain, and all confirmed that there were signs consistent with CTE. None of the researchers was aware that the brain they were examining was Seau's.

In a recent study, researchers found CTE in 34 of 35 deceased NFL players whose brains were donated by family members.

A brain with CTE is riddled with dense clumps of a protein called tau. Under a microscope, tau appears as brown tangles similar to dementia. However, the Boston study showed this progressive, tau protein array in football players much too young for a dementia diagnosis, which typically occurs in people in their 70s or 80s.

@highlight

Seau became forgetful, depressed, self-destructive, prone to drinking and gambling

@highlight

Helmet maker Riddell is confident of "ability to successfully defend our products"

@highlight

Junior Seau's family alleges his suicide was the result of a brain disease

@highlight

Disease came from violent hits he sustained as a NFL linebacker, suit states