On the first pastoral visit of his papacy, Pope Francis shunned protocol and politics on a visit to the tiny island of Lampedusa off the coast of Sicily to pray for refugees and migrants lost at sea.

Francis used the visit to criticize what he called "global indifference" to the refugee crisis, saying: "Today no one in the world feels responsible for this; we have lost the sense of fraternal responsibility; we have fallen into the hypocritical attitude of the priest and of the servant of the altar that Jesus speaks about in the parable of the Good Samaritan," he said.

"We look upon the brother half dead by the roadside, perhaps we think 'poor guy,' and we continue on our way, it's none of our business; and we feel fine with this.

Lampedusa is just 113 kilometers from Tunisia and has been the first point of entry to Europe for more than 200,000 refugees and irregular migrants who have passed through the island since 1999 (UNHCR stat). The Italian coastguard had just rescued a crippled ship with 165 Eritreans on board just hours before the pope's arrival.

The pontiff flew to Lampedusa from Rome on Monday morning and immediately boarded a port authority cutter that has been involved in the rescue of more than 30,000 refugees in recent years, according to the Italian Coast Guard. More than 120 fishermen from Lampedusa escorted this vessel to the island's main port. Outside the port, the pope paused to pray at the sight of a deadly 2011 shipwreck before launching a wreath of flowers into the water to commemorate the lives of those lost at sea "in search of a better life."  There were also tourist boats, yachts and people on jet skis waving yellow papal flags to greet the pontiff.

"With one short visit, the pope is drawing attention to three main issues; the plight of poor immigrants, problem of human trafficking, the growing gap between rich and poor in the world," said the Vatican's media advisor Greg Burke ahead of the visit. "Pope Francis is showing that when in Christian faith says 'love your neighbor,' they just don't mean the person next door. This tiny island shows the incredible contrast between the global north and south, between the 'haves' of the world and the 'have nots.' It is a great lesson in true charity, many of the immigrants are not even Christians."

On arriving in the port, the pope then met 50 selected migrants including men, women and children who were both Christian and Muslim and listened to their stories about their perilous voyage from North Africa. He was then driven in a makeshift popemobile -- a white open-top Fiat jeep on loan from a Milan family who have a summer house on the island. He was driven through crowds and past a boat graveyard where the hulls of hundreds of migrant boats are stacked alongside piles of foam mattresses and discarded clothing from the boats.

The pope then held a mass for 15,000 people under blazing sun at an outdoor sporting center on the island.  Standing at an altar made of the wooden remnants of refugee boats and dressed in purple robes normally reserved for lent and mourning, Pope Francis gave an emotional homily focused on "global indifference" to the refugee and irregular migrant problem.

Pope Francis made his decision to visit Lampedusa after hearing about the deaths of refugees whose boat capsized off the coast of Sicily in late June. Several of the refugees clung to the fishing nets of a Tunisian-flagged vessel before the fishermen cut the nets loose, sending at least 10 people to their death.  Many of the bodies were never recovered. "When, a few weeks ago, I heard the news -- which unfortunately has been repeated so many times -- the thought always returns as a thorn in the heart that brings suffering," Francis said. "And then I felt that I ought to come here today to pray, to make a gesture of closeness, but also to reawaken our consciences so that what happened would not be repeated."

Francis then thanked the people of Lampedusa along with the rescue workers, NGOs  and volunteers who man the centers on the island where refugees are taken. He acknowledged the Muslim immigrants who recently arrived on the island and who are beginning to fast for Ramadan, wishing them "best wishes for abundant spiritual fruits."

But he lashed those who ignored the plight of refugees. "The culture of well-being, that makes us think of ourselves, that makes us insensitive to the cries of others, that makes us live in soap bubbles, that are beautiful but are nothing, are illusions of futility, of the transient, that brings indifference to others, that brings even the globalization of indifference," he said.

The pope's words were not likely meant for the people of Lampedusa, who open their hearts and homes to the hoards of refugees who land on their shores each year, but rather to the greater European Union which has struggled with what to do with the influx of migrants and refugees in recent years. Italy and Malta have long pushed for a comprehensive European Union immigration policy to help absorb the influx but France and Germany have resisted implementing such a plan, calling on the southern nations to do a better job patrolling their borders.

So far in 2013, more than 8,400 refugees and migrants have landed in Italy and nearby Malta in search of economic improvement and political asylum, according to the United Nations High Commissioner for Refugees. Many have been deported back to their countries of origin while others have been given political asylum and are then free to travel through Europe's open-border countries.

@highlight

Pope Francis shuns protocol and politics by visiting tiny island of Lampedusa

@highlight

Lampedusa has been first point of entry for refugees trying to reach mainland Europe

@highlight

Pope gave homily on "global indifference" to the refugee and irregular migrant problem