When the cheers subside in Tahrir Square, Mohamed Morsi will assume an Egyptian presidency straightjacketed by the country's military, start work under intense international scrutiny and inherit a country on its back economically.

He'll face the skepticism of people like Mohamed Saleh, one of the throng that waited for Sunday's declaration of Morsi's victory in Tahrir Square. Even as he cheered the result, Saleh said the real power in Egypt still lies with the Supreme Council of the Armed Forces, which took power after the ouster of longtime strongman Hosni Mubarak.

"They don't give us power. Mohamed Morsi is just a name of president," Saleh said. "He doesn't have the power, SCAF has the power."

Egypt's electoral commission declared Morsi the country's president-elect Sunday after a runoff with Ahmed Shafik, a former air force general who served as Mubarak's last prime minister. With the announcement of Morsi's victory, cheers erupted in Tahrir Square, the Cairo plaza that was the center of the 2011 revolt that toppled Mubarak.

Morsi urges unity in first speech

His supporters already are pushing for a confrontation with the generals, who recently ordered an elected, Islamist-dominated parliament dissolved and announced they would retain legislative power for an indefinite time.

"Will the military council respect the Egyptian will or not?" asked Abdoul Mawgoud Dardery, a member of parliament from Morsi's Freedom and Justice Party, the political arm of Egypt's long-suppressed Muslim Brotherhood. "If it respects it, we will be able to work together. If it does not, the military council knows very well where Mubarak is right now."

Dardery said the Brotherhood and its supporters would remain in Tahrir Square until they get what they want. Khaled Fahmy, a historian at the American University in Cairo, said that determination is born of the hard lessons that followed the ouster of Mubarak, who has been sentenced to life in prison for ordering the killings of anti-government protesters in the 2011 revolt.

World leaders, regular folks react to Morsi's victory

"We thought the revolution was over, that we won when we forced the president to resign, and we went back home," Fahmy told CNN. "And obviously, the revolution was far from being over, and our demands were far from being answered."

SCAF dissolved parliament elected earlier this year following a ruling by Egypt's high court that the law governing the parliamentary elections was invalid. The generals said the new president would set a date for parliamentary elections and would have the power to appoint government officials, name ambassadors to foreign countries and grant pardons --  but the junta will keep legislative power and the budget in its hands until new lawmakers are elected.

The Brotherhood and the secular liberal groups that launched the 2011 protests have to maintain that presence to keep pressure on the government, Fahmy said. Meanwhile, he said, the military's announcement that it would retain legislative and budgetary power "is effectively a recipe for at best a paralysis in the executive branch of the government."

The Muslim Brotherhood explained

At worst, it could mean a fight with the generals at a time when Egypt's economy is still recovering from the nosedive that accompanied the revolution.

"They've lost 2 million jobs since February of last year," said U.S. congressman David Dreier, an election observer during the runoff. "By virtue of that, they really need to get the economy growing and get people back to work."

Dreier, a California Republican, told CNN's "State of the Union" that he is backing a U.S.-Egyptian free trade bill in Congress in hopes of boosting Egyptian fortunes.

Before the revolution, about 40% of Egyptians lived in poverty. Tourism was the bedrock of the country's economy, "and it has come to standstill" amid the past year's turmoil," Fahmy said.

"The unemployment rate has hiked up. There's not much inflation, but occasionally shortages in fuel and shortages of basic supplies," he said.

Who is Mohamed Morsi?

Morsi vowed to revive the economy in the speech he delivered to the nation late Sunday, telling Egyptians their resources were plentiful but had been "squandered and mismanaged." And Cairo's stock market jumped more than 3% on Sunday, which Fahmy called "an indication of how sensitive the markets are for stability."

"In a sense, it's a vote for the fact that it's democracy that brings stability rather than the military or the police," he said. "It's not a flight of capital out of Egypt because of Islamists winning, it's the exact opposite. It's a vote of confidence not so much in the Brotherhood itself, but in the democratic process."

Egypt has long been the leading U.S. ally in the Arab world, receiving $1.3 billion annually in American military aid for decades. Its peace treaty with Israel is a cornerstone of regional diplomacy. Israel has reacted cautiously to the elections, issuing a statement Sunday that it "appreciates the democratic process in Egypt and respects the results of the presidential elections."

"Israel looks forward to continuing cooperation with the Egyptian government on the basis of the peace treaty between the two countries, which is a joint interest of both peoples and contributes to regional stability," the statement said.

Despite his previous fierce criticism of Israel -- including calling Israeli leaders "vampires" and "killers" -- Morsi pledged Sunday night that Egypt "will preserve all national and international agreements" under his leadership. Edwin Walker, a former U.S. ambassador to Egypt, told CNN that abandoning the treaty was "not going to be possible."

"You can't just tear up the peace treaty and start over again," he said.

And Fahmy said the hard realities of the economy and the still-unsettled revolution are likely to make revisiting the Egyptian-Israeli pact a distant prospect.

"I don't think foreign relations, or specifically relations with Israel, will be on the top of their priority list," he said. "They are way too smart to open up this question now, and I don't think they're too keen on opening it on the medium front."

Why Hosni Mubarak's death wouldn't change Egypt's future

Morsi also may have to deal with a split in the ranks of his own party, between those who may advocate smoothing things over with the generals and others who want to cultivate ties with secular liberals and leftists.

"The Brotherhood is a huge organization. It is a very venerable organization. It is an old one," Fahmy said. "But I think it is also facing its greatest threat, and it's a threat paradoxically prompted by its victory."

The group survived years of crackdowns by Egyptian rulers by staying underground, insisting on cohesion and secrecy and not tolerating dissent. But now, "We're seeing youthful brothers who, in my reading, have much more in common with the secularist revolutionaries than with the elderly Muslim Brotherhood members."

Nevertheless, the arrival of a democratically elected leader is a moment Egyptians have awaited "for the past 7,000 years," Dardery said.

"This is a great moment in history, and we're going to be making history from now on," he said.

@highlight

Mohamed Morsi, Egypt's president-elect, now inherits a variety of problems

@highlight

Egypt's military still claims legislative and budget power, restricting his authority

@highlight

The country's economy "has come to standstill" since the 2011 revolt, historian says

@highlight

Nevertheless, "This is a great moment in history," says a Morsi-allied lawmaker