Editor's note: Pedro A. Noguera is a professor at New York University and director of the Metropolitan Center for Urban Education. He is editor of "Unfinished Business: Closing the Achievement Gap in Our Nation's Schools" and author of "The Trouble With Black Boys: And Other Reflections on Race, Equity and the Future of Public Education."

Pedro Noguera says Obama needs to be wary of alienating teachers who can be his allies on education reform.

(CNN) -- President Obama has made it clear from the earliest days of his presidency that he intended to make education a high priority for his administration.

He reaffirmed that commitment Tuesday when he addressed schoolchildren on the topic.

In one of his first presidential addresses, he made a special appeal to students at risk of dropping out: "... [D]ropping out of high school is no longer an option. It's not just quitting on yourself, it's quitting on your country, and this country needs and values the talents of every American."

The president's commitment to education is truly remarkable, considering the enormous array of policy challenges confronting the administration. From health care and the economic crisis, to global warming and the wars in Iraq and Afghanistan, the administration is beset by controversies that will not be easily resolved.

The fact that the president and his education secretary, Arne Duncan, have not allowed education to be ignored or placed on the back burner says a great deal about their recognition of its central importance to our nation.

However, as the administration navigates its way into the policy debates that are swirling over the future of education, it would be wise for it to proceed with caution.

The administration has already staked out positions on a number of issues -- charter schools and merit pay for teachers being two of the big ones -- which run the risk of generating additional controversy in the polarized debates over how to reform education.

If these issues and the stimulus money being made available under the Race to the Top (RTT) program are not handled carefully, conflict and even paralysis are likely to ensue. The president may even inadvertently alienate an important core constituency that he will surely need in the years ahead -- public school teachers.

The current policy debates over the direction of education are typically presented as battles between the reformers, led by school superintendents like Joel Klein of New York and Michelle Rhee of Washington, D.C., and the defenders of the status quo, most often presented as the powerful teacher unions and other elements of the education establishment.

While anyone familiar with the current debates knows that the differences between the two sides are real and profound, a protracted battle over the direction of education reform is not a good thing either for the administration or for those who genuinely want to see improvement in public education.

Instead of choosing sides, it would be wise for the administration to do all it can to find common ground between the opposing camps as it formulates new policy initiatives.

For example, instead of requiring states to adopt some form of merit pay for teachers -- a measure to which both the teachers' unions, the National Education Association and American Federation of Teachers, have already declared their opposition -- the administration could encourage states to adopt school-based formulas that reward increases in student achievement.

This is similar, though not identical, to the approach taken in New York City, one that encourages collaboration among teachers and recognizes the importance of evidence that children are learning.

Similarly, rather than touting charter schools as the solution to public education, the administration should treat the best charters as models of innovation that provide educators with the flexibility to implement new strategies. This is a subtle but important distinction that has been lacking in many of the administration's pronouncements about charter schools.

Unlike the public schools, many charter schools find ways to avoid serving the most disadvantaged students, and their teachers often work a longer day and longer school year without a contract.

Moreover, many of the best charters are subsidized by private philanthropists and are able to spend considerably more per pupil than traditional public schools. These facts should not be used to negate the accomplishments of the excellent charter schools that have emerged in many large cities.

In fact, it is far more likely that struggling public schools in these same cities would be more open to learning from the charters' accomplishments if they were not cast as competitors.

Finally, the president has championed the idea of "promise neighborhoods" as a way to increase the availability of social services to children in high poverty communities, using as a model the Harlem Childrens Zone.

If this initiative is to result in lasting benefits to children, it will need to be combined with creative approaches to reforming urban public schools that re-formulate how we think about standards and focus attention more intently on how to deliver quality instruction to children.

With dropout rates at over 50 percent in several of our nation's cities, the administration must realize that tinkering at the margins with No Child Left Behind will not deliver the change we need.

The president entered office promising to bring a new kind of politics to the nation, an approach that focused on finding common ground among diverse constituencies to solve the pressing problems of our time. In areas like health care, energy, the economy and foreign policy, this new approach has not yet gained traction.

However, it is not too late for the president to unite the nation around a common effort to improve public education. For this to happen, he will need to keep above the fray and stay focused on a strategy that sends a clear message to all constituencies that working together to improve public education is in our national interest.

The opinions expressed in this commentary are solely those of Pedro A. Noguera.

@highlight

Pedro Noguera: It's good that Obama is emphasizing education's importance

@highlight

He says president needs to be wary of taking sides on volatile issues

@highlight

He says merit pay and charter schools could alienate key allies

@highlight

Noguera: Obama needs teachers on his side to improve schools