(CNN) -- Medical tourism is one of the hottest topics in health care as patients around the world are increasingly traveling abroad for treatment.

Wockhardt Hospitals in India actively target international patients.

Josef Woodman, author of Patients Beyond Borders, a guide to medical tourism, told CNN that two to three million people travel outside their home country for treatment each year, while consultancy firm Deloitte calculates that 750,000 Americans traveled abroad for treatment last year.

The top regional destination for medical tourists is Asia, with Singapore, Thailand and India leading the way. Those countries are home to private health care chains that target international patients and are building modern, high-tech hospitals with a reputation for quality care.  See more medical tourism hotspots »

Bumrungrad International Limited (BIL), based in Thailand, owns and operates over 70 health care facilities in seven countries. According to BIL, its Bangkok flagship hospital treats over 400,000 foreign patients a year, with over 90,000 coming from the Middle East.

Parkway Health, a Singaporean hospital chain, says the city of Singapore attracted approximately 450,000 international patients last year, and in India, the Apollo Hospitals Group says it has treated more than 60,000 foreign patients in the last five years.

What these chains have in common is that at least some of their hospitals are accredited by Joint Commission International (JCI), the global arm of an American nonprofit organization that accredits most U.S. hospitals. That provides overseas patients with the assurance that their treatment will be of an internationally recognized standard.

Dr. Ajaya Jha, director of neuroscience at Max Hospital in New Delhi, told CNN's Dr. Sanjay Gupta that medical tourism to India was being driven by a lack of available health care in neighboring countries, and by the lower cost of treatment in India compared with developed countries.

"Slowly we're developing a reputation for having the best technology in the world and some of best people in the world to do this," said Jha.

For uninsured or underinsured Americans, low prices make treatment in Asia an attractive option.

Surgery in Thailand and Latin America can cost a quarter of its U.S. price, and JCI-accredited Wockhardt Hospitals offer open heart surgery in India for $8,500, compared to around $100,000 in the U.S. and $28,000 in the UK.

In countries with state-run health services, such as Britain and Canada, long waiting times for surgery are encouraging patients to look overseas for a cheaper alternative to private treatment in their own country.

Would you travel abroad for medical treatment? Share your views in the SoundOff below

But contrary to the popular view of patients traveling from wealthy nations to developing countries for cheap medical care, a recent survey by consultancy firm McKinsey found that most medical tourists travel in search of advanced medical technologies or to receive better care than they would at home.

Woodman says 250,000 Indonesians are treated in Singapore each year, while Cambodian and Vietnamese resident choose Thailand for treatment and patients from the Middle East favor Singapore and Thailand.

While medical tourism is targeted as a growth industry in some developing countries, there is concern that it will result in a "brain drain," where doctors migrate from public hospitals to private hospitals that cater to international patients.

South Korea recently limited foreign patients to no more than five percent of its hospital beds, to ensure domestic patients do not lose out.

Woodman says the "brain drain" isn't an issue in India, because there are so many talented surgeons and physicians there in the public and private sector.

He adds that developing countries can benefit from medical tourism. "The presence of medical tourism brings a lot of economic clout into a country and raises the bar by forcing at least certain hospitals to rise to the top standards of healthcare," he told CNN.

While the bulk of medical tourism is for private care, there is a move towards a kind of state-funded medical tourism within the EU.

Rulings by the European Court of Justice in recent years have verified the right of all EU citizens to receive healthcare in another member state, paid for by their own country's health system.

Diane Dawson, a senior research fellow at the Center for Health Economics at York University, England, told CNN that patients can only take advantage of this if their own country cannot provide treatment without "undue delay."

That limitation, as well as the difficulty in getting authorization from their own national health system, means that relatively few patients currently travel within the EU for treatment, she said.

But an EU draft directive published last year aims to make the approval process easier and more transparent.

Keith Pollard, director of British Web site Treatment Abroad, told CNN that the new directive will mean patients will be able to receive treatment abroad regardless of waiting times in their own country.

But patients will only be reimbursed up to the amount their treatment costs in their home country and they will probably still require some degree of approval from their own health system.

Pollard says that while he doesn't foresee a boom in medical tourism within the EU, he believes the new legislation will encourage patients to seek treatment abroad and help create a European health care market.

@highlight

Two to three million people travel abroad for medical treatment each year

@highlight

Leading destinations for medical tourists include Singapore and Thailand

@highlight

Surgery at a top hospital in India can cost one-tenth of its U.S. price

@highlight

An EU draft directive could lead to increased medical travel within the EU