(CNN) -- Even 6-year-olds at Hamilton Central School in central New York came to school prepared for swine flu. Jessica Poyer, a first-grade teacher, noticed in the spring that kids had begun bringing their own hand sanitizer, tissues and water bottles.

Guidelines on when schools should dismiss the student body because of H1N1 were released Friday.

Poyer, also the mother of two young children, thinks about swine flu, also known as influenza A H1N1, every day, both at school and at home. She knows that some schools nationwide have had to close because the disease was widespread, and she has mixed feelings about the school closures.

"I hate to close schools, because it interrupts learning, but we leave it up to health professionals," said Poyer, who lives in Deansboro, New York.

Federal health officials, releasing guidelines Friday, suggested  that closure of schools this fall be rare. "There are measures we can take to protect the students, protect the staff, and to allow learning to continue," said Dr. Thomas Frieden, director of the Centers for Disease Control and Prevention.

A key change in the new guidance is that people with H1N1 should stay out of school for 24 hours after their fever is gone, regardless of whether they are taking medication such as Tamiflu. Before, the recommendation was seven days, Frieden said.  Watch a report on the new recommendations »

In the current context of the H1N1 outbreak, if it is similar to the situation in the spring, schools should consider closing if most or all students have particular medical needs, such as children on ventilators or pregnant teens, Frieden said. In addition, some districts may decide that because there are so many cases of H1N1, from an administrative point of view, they cannot stay open, he said.

In addition, despite telling parents to keep sick children home, some parents may continue to send their children to school with a fever -- a situation that resulted in the closing of some New York schools in the spring, Frieden said.

Officials emphasized that school closures are ultimately local decisions, which Superintendent Al Hambrick at the Sherman Independent School District in North Texas also stresses. He said his district will always take federal guidance into account, but individual localities will handle the H1N1 situation differently depending on the particular circumstances of the outbreak.

If there are cases of swine flu at Sherman ISD, and the federal guidelines suggested that children shouldn't necessarily be sent home, the school may decide to dismiss the students anyway, he said. "We might send the whole school home because we want to sanitize the building," he said.

Ryan Koczot, a teacher at Broad Creek Middle School in Newport, North Carolina, believes that if proper precautions are taken early, such as telling parents to keep their sick children at home, schools will not have to close. He is concerned about creating panic among faculty, staff and students, and about making up lost days at the end of the year.

"Let the individual students and parents handle it," he said.

Tara Whittington, a math teacher at Villa Rica High School near Atlanta, Georgia, who makes hand sanitizer available for her students, considers school closures a waste of time if only one student has H1N1, but supports dismissal if a quarter of the students become ill.

"By the time a fourth of the students have it, your school may be the cause of it being spread between the students, need to step in and clean it out," she said.

Boston Public Schools in Massachusetts had 10 closings in the spring, which came about through collaborative decisions between the city public health commission and the superintendent, said Matt Wilder, spokesman for the schools.

In Georgia, the final decision about closing schools because of H1N1 is usually up to the local school board with input from local and state public health officials, the Department of Community Health said.

"Some school closures may be based on operational interruption due to a significant percentage of student and staff absences, while some school closures may be based on a recommendation of public health to reduce the virus spread," the department said in a statement.

The novel virus is known to have been circulating worldwide since April. There have been 353 deaths, and more than 5,500 people have been hospitalized for H1N1 in the United States so far, according to the CDC.

In Montgomery County, Maryland, public school principals have been asked to come up with plans for giving students lessons in the event of school closings, said schools spokeswoman Kate Harrison. One option for continuing instruction is a Web resource called Edline, which lets them post lessons and assignments online, she said. There is also a cable television station that could be used to broadcast lessons, she said.

These Maryland schools, which will follow the guidance of local health authorities on school closings, have also ordered hospital-grade face masks, she said. It is still unclear under what circumstances these masks would be used, but, for example, employees who have to work together closely may use them, she said.  Watch the U.S. education secretary talk about preparedness »

Other schools across the country are ramping up their cleaning efforts to prevent H1N1 transmission. At Sherman ISD in Texas, the staff is disinfecting door handles during the upcoming school year, something the school didn't do before, Hambrick said.

Most schools in the district have hand sanitizer in every classroom, he said. Sherman ISD schools, which have not had any confirmed cases of the virus, will also be distributing informational pamphlets about H1N1, he said.

For athletic practices, coaches discourage the sharing of towels and water bottles, Hambrick said. In the spring, the schools canceled field trips to places where there had been reported cases of H1N1, he said.

Health and Human Services Secretary Kathleen Sebelius told government leaders last month that a vaccine to fight the H1N1 virus should be ready for distribution in mid-October.

At what point schools should close because of the new virus, if ever, is a matter of controversy. A recent study in the journal Lancet Infectious Diseases concludes that there are a lot of uncertainties about the consequences of closing schools during a pandemic -- for example, the ways that children interact when they are not in school.

For example, children may mix with each other at the mall if school is not in session, said Dr. Robert Kim-Farley, a professor at the University of California, Los Angeles, School of Public Health, who was not involved with the study. Moreover, school provides a relatively safe environment, whereas other problems could arise outside school such as children getting hit by cars, he said.

Disinfecting classrooms may not be so effective, either, because the virus dies within about three hours, he said.

"If people will stay away from school when they are sick and do the ABCDs, that will mollify, or make less severe, the transmission of disease in schools," he said.

@highlight

NEW: Federal agency releases guidance on closures related to H1N1

@highlight

In Maryland, schools prepare for instruction when students aren't in class

@highlight

Some schools have ramped up cleaning, offered hand sanitizer in classrooms

@highlight

The value of closing school because of H1N1 is still being debated