(CNN) -- From Texas to Tennessee, there's not much relief in sight for people smacked by a frigid winter storm that killed at least four, shut down schools, backed up interstates and left hundreds of thousands without power.

The National Weather Service predicted more sleet and subfreezing temperatures in Dallas and Memphis until Sunday and in Little Rock, Arkansas, until Monday.

Other parts of the country braced for bad weather. The storm moved east Friday night, with snow expected to accumulate across the central Appalachians through central New England into early Saturday morning.

Snow or sleet was expected to hit Washington, D.C., on Sunday.

Dallas/Fort Worth took the hardest hit. It was colder in the Big D (26 degrees) than in Anchorage, Alaska (34 degrees), prompting the cancellation of the Dallas Marathon and spurring Dallas/Fort Worth International Airport to cancel almost 700 flights, about 80% of those scheduled.

About 200,000 customers lost electricity, and a local official urged people to offer shelter to those without power. Southbound Interstate 35 was shut down and traffic backed up for six miles, CNN affiliate WFAA in Dallas reported.

The temperature swings were startling. Hot Springs, Arkansas, experienced a record high of 75 on Wednesday. By Friday morning, the city was in the middle of an ice storm.

The storm caught a lot of Texans by surprise. Debra Knight, a CNN iReporter, said she ran her defroster 20 minutes but couldn't get rid of the thick layer of ice on top of her car in Dallas.

"This is Texas. We don't have snow tools!" said her husband, Bobby.

Storm deaths

In some cases, the weather has been deadly.

In Texas, a passenger was killed Thursday in Hockley County when a vehicle lost control and crashed into another car, Sgt. Bryan Witt of the Texas Department of Public Safety said.

An Arkansas man was killed late Thursday when a tree fell on his camper in Pope County, Tommy Jackson, an Arkansas Department of Emergency Management spokesman, said Friday. Jackson said the death was related to the weather but couldn't provide details about the weather at the time. Rain and freezing rain were reported in the area Thursday night.

Highway Patrol officials in Oklahoma blamed at least one death, in Muskogee, on the weather. The agency initially said weather had caused another death, that of a 24-year-old man in Owasso, but later said this fatality "is still under investigation and may not be winter storm related."

No snow had fallen in New Mexico, but drivers dealt with snow and ice. One person died in a semi crash near Clines Corners.

About 116 storm-related injuries have been reported in Oklahoma, including 48 falls, the state health department said.

When not causing harm, the storm struck fear in residents.

In Dallas, iReporter Earl Wallace IV said he when he heard a loud crack and a rush of wind and ran out to find a large tree had fallen on two nearby homes.

"One of the homeowners emerged crying and talking on the phone," said the 32-year-old creative director. "The tree had crashed down into her dining room. I felt nervous, shocked and scared for the families inside."

Two homes were damaged -- one with a giant hole in the roof -- but no one was injured.

WFAA in Dallas reported that a portion of the Pier 121 Marina in Lewisville collapsed on top of boats. Two people were taken to hospitals when a carport collapsed in Fort Worth.

Getting ready

In Tennessee, Memphis Light, Gas and Water has 426,000 customers and is preparing for the worst. As of early Friday afternoon, about 5,000 customers were without power.

"MLGW employees have been monitoring this winter storm situation, and we have all of our resources in place should the winter weather hit Memphis and Shelby County," said Jerry Collins Jr., the company's president and CEO. "If indeed a significant storm blankets our city, we are ready to respond."

Memphis called off the annual St. Jude Memphis Marathon, which was scheduled for Saturday.

The ice also makes travel messy.

Road crews in Memphis are ready to throw down 4,000 tons of sand to give drivers traction, CNN affiliate WMC reported.

The governors of Tennessee and Arkansas declared states of emergency ahead of the worst of the storm.

"The most unsettling aspect about Arkansas' weather for most of us is its looming uncertainty," Gov. Mike Beebe said.

"During severe weather season, we know when conditions are ripe for tornadoes but never exactly where and when they could strike. In winter, that uncertainty takes a different form but can still create widespread anxiety," he said.

"Often, only a few degrees above or below the freezing mark can make the difference between a cold rain, a blanket of snow, an ice storm or a mixture of all of the above."

In the Dallas-Fort Worth area, roads were passable overnight, but it was a fine line as temperatures slipped below freezing. The slushy mess slowly turned into crunchy, bumpy ice.

Police urged caution for anyone on the road and reported 21 major car accidents and 32 minor ones Friday.

According to energy provider Oncor, more than 200,000 customers were without power in the Dallas-Fort Worth metro area as of Friday morning. This is the largest concentration of outages, with scattered outages elsewhere in the state.

Nearly 30,000 were without power in Arkansas, energy companies reported.

The weather brought traffic at Dallas/Forth Worth International Airport almost to a standstill. Hundreds of flights were canceled or delayed, prompting Southwest Airlines and American Airlines to urge travelers to consider rebooking their flights.

A dark cloud over Dallas events

The National Weather Service predicts a wintry mix of precipitation through Sunday.

That forecast prompted the cancellation of a downtown Dallas holiday parade scheduled for Saturday for the first time in 26 years. The city also called off its annual marathon slated for Sunday and the accompanying Health & Fitness Expo scheduled for Friday and Saturday.

"We regret that the race will not go on as planned, but are confident this decision is in the best interest of our runners, volunteers, spectators and the general public," A Dallas Marathon statement said.

While the focus Friday was on the ice storm stretching from Dallas to Memphis, Mother Nature looked ready to throw another punch.

A wintry mix was forecast for Washington beginning about noon Sunday. The National Weather Service said it has the potential to be an ice storm from late Sunday afternoon through the evening hours, but temperatures are expected to rise above freezing by rush hour Monday.

A new storm entered the West, bringing snow to the Pacific Coast on Friday. The storm brought significant snowfall to Portland, Oregon, and there is a chance for rare snow in Las Vegas on Saturday. This storm will bring another round of wintry weather to the East by late in the weekend.

CNN's Jason Morris, Ralph Ellis and Dave Hennen contributed to this report.

@highlight

Subfreezing temperatures predicted Saturday in Dallas, Memphis, Little Rock

@highlight

About 200,000 customers lose power in Dallas/Fort Worth, 30,000 in Arkansas

@highlight

Dallas and Memphis marathons called off

@highlight

Weather-related deaths reported in Texas, Arkansas and Oklahoma