(CNN) -- After weeks of vague pronouncements on world events, President Obama finally spoke forcefully Wednesday. He delivered a strong statement about the horrendous beheadings of journalists Steven Sotloff and James Foley and spoke about what the U.S. planned to do with ISIS, the terror group which calls itself the Islamic State.

"It's not only that we're going to be bringing to justice those who perpetrated this terrible crime against these two fine young men, but more broadly the United States will continue to lead a regional and international effort against the barbaric and ultimately empty vision that (ISIS) represents," he said. "And that's going to take some time, but we're going to get it done." In a speech later in the day, the president warned that NATO would respond to Russian aggression.

The President needs to to be doing more of this kind of explaining, for both foreign and domestic policy. For too much of the time in recent weeks, he has been too focused on criticizing those who have questioned his policies.

Obama has attacked Republicans for being obstructionists. He has taken on the news media for focusing on negative stories and repeating stories that are based on speculation, falsehood, and innuendo. He has even been attacking some Democrats for not being enthusiastic enough about what he has done.

Not everything that he says is unfair or inaccurate. Indeed, congressional Republicans have been extremely obstructionist, making it impossible to accomplish virtually anything on Capitol Hill. "Stop just hating all the time," he mockingly said during a speech in Kansas City about domestic policy.

The media have their virtues and they have their flaws, but reporters often do inflate crisis stories in an attempt to win over viewers and readers. Often small stories are exaggerated and false stories gain a full hearing on the airwaves.

Regardless, these kinds of complaints only go so far. The truth is that every president faces immense challenges: every president faces unfair media, and congressional opponents are usually tough. None of this is really new.

To be effective, great presidents still work over these problems to shape public debate and to provide guidance to voters on major issues of the day. At their best, they can be the explainers in chief. In doing so, presidents do not have to be dogmatic, idealistic or simplistic. They can help Americans understand the story even if they don't have all the answers. This is a vital function that we expect of our leaders.

Great presidents have done this in the past. During the Civil War, as Southerners and Northerners engaged in a brutal conflict over the institution of slavery, President Abraham Lincoln -- in a very different media age -- offered a series of cogent speeches that reminded Northerners of what they were fighting for while pointing to the need to restore the Union to its whole.

"It is rather for us to be here dedicated to the great task remaining before us -- that from these honored dead we take increased devotion to that cause for which they gave the last full measure of devotion -- that we here highly resolve that these dead shall not have died in vain, that this nation under God shall have a new birth of freedom, and that government of the people, by the people, for the people shall not perish from the earth," Lincoln said.

As the nation descended into a horrible depression in the 1930s, President Franklin D. Roosevelt made bold speeches and took to the airwaves through fireside chats on the radio to restore a sense of confidence about how the nation would rebound from hard times. "The only thing we have to fear is fear itself," he said in one of the most memorable lines in American political history. His vision of the New Deal offered a powerful road map for how the federal government could flex its regulatory muscle to revitalize the foundation of the economy.

President Lyndon Johnson used his flurry of domestic legislation in 1964 and 1965 -- which he called the Great Society -- to help Americans see how they could collectively work their way out of the social conflict and despair that afflicted huge pockets of the nation even in the best of economic times.

LBJ, during the part of his presidency where he was popular, relied on legislation to show how the nation could help ameliorate the racial and economic disparities that were causing immense tensions throughout the nation.

As Southerners engaged in brutal conflicts over civil rights for African-Americans, LBJ offered a powerful response, including a famous speech about voting rights in 1965 that highlighted how the government would step in to protect the rights of all Americans.

"Many of the issues of civil rights are very complex and most difficult," he told Congress in the wake of the march on Selma, Alabama. "But about this there can and should be no argument. Every American citizen must have an equal right to vote. There is no reason which can excuse the denial of that right. There is no duty which weighs more heavily on us than the duty we have to ensure that right."

President Ronald Reagan helped inspire his supporters to feel that the economic stagflation of the 1970s would not be permanent. As he took office in 1981, many Americans felt little hope that there would ever be another period of vibrant economic growth or that the U.S. would ever regain its standing overseas.

Through his fierce championing of tax cuts, deregulation and anti-communism, the President helped large portions of the public see how the future might be better.

Supporters love the ideas of great presidents, opponents hate them. But most importantly, the effective leaders put a set of ideas on the table to help make sense of the inevitable and chronic chaos of world affairs.

Obama needs to do more of what we heard Wednesday. With the emergence of ISIS in the Middle East, Russian aggression in Ukraine, and major domestic challenges such as poverty, inequality and race, Obama must step in. He should use the final years of his presidency to help create a foundation for the public to face these challenges and start thinking about a viable and rational path forward in coming years. The costs of remaining silent, of being too cool, are too high.

@highlight

President Obama speaks out forcefully on Ukraine, ISIS on Wednesday

@highlight

Julian Zelizer: It's about time the President focused on explaining, not blaming

@highlight

He says Obama has spent too much time recently criticizing media, GOP, others

@highlight

Zelizer: Americans look to their presidents to explain world events