(CNN)I grew up watching "Leave It to Beaver."

Most episodes, Ward Cleaver would come home from work in his suit and tie and there would be his wife June, always in the kitchen, her apron as white as the picket fence outside.  June made dinner, of course, and Ward and Wally and the Beav sat at the table and ate.  As I recall, June usually cleaned up.  Maybe once or twice the boys helped with dishes.  Maybe.

I would watch the black and white show during dinner, sitting on the couch with a plate of food on my lap that had not been prepared by my own mother.  My mother was in her generation's first cohort of "working moms."  She had a successful career as an executive at AT&T and then Lucent Technologies.  She left for work early each morning, but was always home by five or six -- in time to spend time with me, not to cook.

My dad also had a full-time job, and across the entirety of my life, I don't recall him so much as opening a can of soup.  He's only recently learned to use the microwave.  Both my parents worked equally hard, but there was no doubt when I was growing up that cooking was my mom's responsibility -- even if that  meant buying prepared meals from the Allentown Farmer's Market, spooning it onto plates, pressing "Power" then "Start."

In other words, as I ate my dinner in the 1980s while watching a TV show based on life in the 1950s, it was easy to see that some things had changed and some had not.  Life inside the house -- food, dishes, cleaning, tidying, clothing, hygiene -- was my mom's responsibility, just as it was June Cleaver's. Outside the house -- the lawn, the cars, anything made or stored in the garage, sports, bike riding -- that was my dad's domain.

And to be clear, when the car would break down, it was a big deal, but one that came up far less frequently than our need for meals and laundry. This daily labor weighed more on my mother.  Sociologist Arlie Russell Hochschild coined this the "second shift": how even though more and more women started working outside the home, they were still expected to do the same amount of domestic work at the end of the day.

Studies say that when it comes to fair division of household labor, gay couples, like my partner and I, generally do a better job.  Unfettered by the ready expectations of traditional gender roles, same-sex couples "are more likely than members of heterosexual couples to negotiate a balance between achieving a fair distribution of household labor and accommodating the different interests, skills, and work schedules of particular partners," wrote social scientist Lawrence K. Kurdek.

In fact, after a no-doubt bumpy period of adjustment (editorializing from personal experience here), Kurdek wrote, "This pattern of negotiation holds true even when couples have children living with them."

In my own family, my partner does most of the laundry, though to be fair that's partly because she's picky about what's washed on what cycle and what gets hung to dry, versus tossed in the dryer.  On weekends, she does most of the cooking -- because, she's a better cook and enjoys it more.  But I'm faster, so I end up cooking breakfast and dinner most of the weekdays.  About 99% of the time, if our bed is made it's because Sarah did it.

And 99% of the time, if the dishes are washed, it's because I washed them.  Sarah likes to buy groceries because I have a bad habit of buying massive quantities of things we don't need.  And she buys our daughter's clothing (same reason).  I pay the bills and do our taxes.  On weekends and after school we take turns ferrying our 6-year-old to and from activities and play dates.

What, you're wondering, about other traditional "male" gender roles in our male-less family?  Admittedly, I more often wear pants more than my partner and I more often take on these tasks.  When our car breaks, I take it to the mechanic.  I load the car up for trips.  I put crap in the basement.  I smush millipedes.  I fix the leaky sink.  But I also sew my daughter's Halloween costume every year and sew on buttons when they fall off.

Our same-sex family has not so much created new gender role arrangements, but deconstructed such arrangements altogether.  I get to smush millipedes and sew costumes, not because of my chromosomes or some pre-determined gender role, but because I enjoy doing so.  While I now pay most of our bills online, I find it unbelievably gratifying to put a check in the actual mail.  I have a giant, eclectic pile of postage stamps for this reason.

It should be noted that the experience of gender roles is highly defined by class.  What my partner and I have in common with my parents is the financial ability to have additional help, including, in our case, regular babysitters and a weekly house cleaner.

What's more, any conversation about household gender roles would be incomplete without noting that some upper-middle class Americans pay their domestic workers so painfully little that these workers -- predominantly immigrant women of color -- can't afford to put healthy food on their own families' tables, if they even have time to cook between cobbling jobs together to make ends meet.

Meanwhile studies show that in working-class straight couples, even where the women work outside the home and the men don't, women still do a disproportionate amount of housework.  It seems that in too many situations, no matter the configuration, women are getting screwed.

This is partly why LeanIn.Org today launched #LeanInTogether, a public service campaign in partnership with the National Basketball Association and the Women's National Basketball Association emphasizing how men benefit from equality and providing practical tips for men to do their part at home and at work.  The campaign encourages men to "show the world they're for equality" and women to "celebrate men leaning in for equality" by posting with the hashtag #LeanInTogether.

Patriarchy is not the fault of all men, but it is the responsibility of all men to do something about it.  After all, whether you want to blame biology or early economic incentives or the cultural indoctrination of "Leave It to Beaver," men have consistently failed to do their fair share of household labor in America.

The solution?  More gay households or even sister-wife-type scenarios alone won't transform household gender roles.  We have to value household work as work, which means everything from paying domestic workers livable wages to more men cleaning and cooking and teaching their sons that doing so is honorable and equitable, not demeaning.

While fairness in gender roles has improved since the era of June and Ward, the subtle and not-so-subtle inequities are still a mess. Men need to shift from expecting or enforcing traditional gender roles to becoming role models for more equitable relationships.  In other words, clean it up, fellas -- literally and figuratively.

@highlight

Sally Kohn: Decades after "Leave It to Beaver," women still shoulder most of housework, childcare

@highlight

She says a new public service push aims to engage men in sharing these jobs, encouraging young men to do the same