(CNN) -- Reubin Askew, whose straight-arrow demeanor helped restore many Floridians' trust in government during his two terms as governor in the 1970s, died Thursday. He was 85.

He had been admitted Saturday with pneumonia to Tallahassee Memorial HealthCare, where he then suffered a stroke, former aide and family spokesman Ron Sachs told CNN.

"He was Mr. Integrity," said Mike Vasilinda, a journalist at Capitol News Service who has been covering Tallahassee since 1974. "Governor Askew pushed us into the 20th century."

As governor from 1971 to 1979, Askew secured legislative approval to levy corporate income tax, repealed consumer taxes on household utilities and apartment rentals and doubled homestead exemption amounts. He also pushed through a law requiring public officials to disclose their income sources.

"Everyone called him the guy with the white hat," Vasilinda said.

Askew was unafraid to roll up his sleeves and pitch in. Vasilinda recalled stopping in at the building where, in the 1970s, the "Sunshine" initiative campaign on income disclosure was being spearheaded.

There sat the governor. "He was sitting there counting and organizing petitions by county, so they could be turned in," Vasilinda said.

Askew's terms coincided with a time of upheaval in government at a national level and in Florida, where three state Supreme Court justices and three cabinet officers had resigned amid scandal.

"He governed at the height of Watergate, when there was huge mistrust," Vasilinda said. "He was the man who gave people confidence that Florida government would run honestly and fairly for everyone."

That passion for equality explained his fervent opposition to segregation, which he expressed through support for busing. "He felt that busing was a necessity so that people could have equal education," Vasilinda said.

In 1972, he confronted then-Democratic presidential candidate George Wallace, who was campaigning in Florida on the busing issue. "Askew took him on directly, and went to the people," said historian David Colburn, who met Askew in 1978, wrote about his political career and considered him a friend.

Askew had been advised not to jeopardize his political future by getting involved in that battle, but he did not heed the advice.

Askew believed that the fight to end segregation in the state "was about the soul and the future of Florida," according to Colburn, who wrote "From Yellow Dog Democrats to Red State Republicans" (2013, University Press of Florida) and serves as director of the Bob Graham Center at the University of Florida.

Though Askew lost on the busing issue, he proposed a second referendum on providing quality schools for all Florida children, which won.

Years later, Askew recalled his handling of busing in a conversation with Colburn. "I think probably the thing that he said that struck me the most was, 'I felt my job was to help people overcome their fears,'" Colburn recalled.

The question of how Florida would balance aggressive growth and stewardship of the environment was another challenge facing the governor, who assumed office after a decade in which the state's population grew by 2.2 million people, according to Colburn.

So Askew brought together 150 state leaders and asked them to consider the direction the state should take, the historian said.

The outcome: passage of the Environmental Land and Water Management Act, the Water Resources Act, the Land Conservation Act and the establishment of the division of state planning.

He also muscled through a $200 million bond to buy environmentally sensitive land for conservation and parks.

As he sought to persuade conservative leaders to sign on to an effort that placed some restrictions on growth, Askew's political prowess rose to the fore.

"He understood how the process worked, and he tried to work through the leadership," buttonholing his adversaries and inviting them into the governor's limo, where he would hold them hostage in the back seat and regale them "until they said they'd listen or agree, or he'd agree to make some changes so he could get their support."

"When you look at his integrity, belief and support for open government, his commitment to the opportunities for people of all ethnicities and races and backgrounds, his leadership on the environment -- it's an incredible record."

Askew's rectitude extended to his personal life, too. He neither smoked nor drank and did not allow alcohol into the governor's mansion, Vasilinda said.

That restriction is widely believed to be the reason that then-Vice President Spiro Agnew changed his plans at the last minute to overnight at the mansion during a visit to Tallahassee in the early 1970s. Security concerns were cited as the official reason.

Reubin O'Donovan Askew was born on September 11, 1928, in Muskogee, Oklahoma.

He enlisted in the U.S. Army paratroopers in 1946 and was discharged as a sergeant in 1948. He graduated from Florida State University in Tallahassee, where he was student body president; then from the University of Florida Law School, where he was class president.

He served as second lieutenant in the U.S. Air Force from 1951 to 1953 and began his public career in 1956 as assistant county solicitor for Escambia County.

In 1958, he served in the Florida House of Representatives, moving four years later to the Florida Senate, where he served as president pro tempore from 1969 to 1970.

Elected governor in 1970, he became the first governor in the state's history to be elected to a second, successive four-year term.

In 1956, he married Donna Lou Harper; they had two children.

After he left office, Askew went on to teach at all 10 of the state's major public universities, most recently at Florida State University's Askew School of Public Administration and Policy.

Though Askew was a Democrat, "he was not a liberal Democrat," said Vasilinda, who went on to become friends with the former governor. "The Democrats were really moderate Republicans in today's world."

He was a tough taskmaster, according to Vasilinda, who took a master's-level class from the retired politician. "He would lecture on a different federal and state case every week for an hour and a half, and then the final was just brutal -- it was a 2Â½-hour, handwritten, pencil-and-paper, no-notes final in which he expected you to tell him everything he'd told you."

People we've lost in 2014

CNN's AnneClaire Stapleton and Paul Caron contributed to this report

@highlight

"He was Mr. Integrity," says Mike Vasilinda

@highlight

Askew was a fervent opponent of segregation and supported busing

@highlight

He secured legislative approval to levy corporate income tax