(CNN) -- On safari in Europe?

Surely the place has been settled too long for that -- roads and real estate must have edged out the wild creatures that once roamed the continent.

Not entirely.

With an intrepid spirit -- and a dose of patience -- you'll find big game experiences from the Arctic Circle to the shores of the Mediterranean.

Polar bear (Norway)

Not many places in the world make you carry a gun when you're leaving town.

Svalbard, Norway's frozen northernmost territory, does.

Anyone leaving a settlement is required by law to carry a rifle in case they need to kill a polar bear in self-defense.

The world's largest land carnivore, polar bears prey mainly on ringed seals, but without a bear-sized gun you could become a snack.

Midway between Norway and the North Pole, Svalbard is an archipelago of black rock, snow and glaciers surrounded by ice floes.

It's hard to believe that anything could live here, but these islands and the waters around them are home to about 3,000 polar bears.

They spend much of their time at sea, so it's often best (and safest) to see them from a boat.

Plenty of companies offer boat trips in small expedition vessels from Longyearbyen, Svalbard's main town, including Nordic Visitor and Spitsbergen Travel.

Bear sightings are almost guaranteed, with basking walruses a bonus.

When to go: midsummer, when 24 hours of daylight give you plenty of time to see bears and other wildlife.

Rifle rental costs around $30 per day from adventure travel stores on Longyearbyen's main street.

You need special permission from the Governor of Svalbard or a weapon license to carry a rifle.

SAS and Norwegian fly to Longyearbyen from Oslo.

More information from Visit Norway.

Moose (Sweden)

Sweden: moose capital of the world.

The country has more of the creatures per square kilometer than anywhere else in the world.

Despite the best efforts of Swedish hunters, around 250,000 moose (more often known as elk in Europe) roam the country's forests.

In autumn, they sometimes wander into towns and villages, drunk on fermented apples.

The rest of the time, moose can be hard to find, blending into their native habitat with surprising ease for such a large animal.

One of the best places to see them is the Bergslagen forest (wolves and beaver also inhabit the forest), two hours' drive from Stockholm.

From the Kolarbyn Eco Lodge (Skarsjon, 73992 Skinnskatteberg; +46 70 400 7053) -- billed in self-deprecating style as "Sweden's most primitive hotel" -- you can set off on a twilight moose-spotting walk with every chance of seeing groups of up to 20 of the magnificent beasts.

When to go: August-September is the best time to see big bull with mighty antlers.

Getting there: Skinskatteberg train station is two kilometers from the eco-lodge.

Lynx (Spain)

Fewer than 250 Iberian lynx survive in the wild -- most in the Mediterranean forests of the Sierra Morena, in Andalusia, and in the grasslands and pine woods of the Coto Donana, close to the mouth of the River Guadalquivir.

You need to spend up to a week (and rise before dawn) in the Sierra de Andujar Natural Park or the Donana National Park to maximize your chances of seeing Europe's only big cat.

If lynx fail to show up, you may see mouflon, red and fallow deer, wild boar and spectacular birds, including black vulture, griffon vulture, imperial eagle and -- in the coastal wetlands of the Coto Donana -- flamingos.

When to go: all year.

Sierra de Andujar Natural Park Visitor Center, Las Vinas de Penallana, kilometer 13, Highway A6177, approximately 100 kilometers east of Cordoba; +34 953 549 030

Coto Donana National Park Visitor Center, La Rocina, approximately 130 kilometers southwest of Seville; +34 959 442 340

Wild horses, wild cattle (Netherlands)

It's a bizarre sight.

In a feral enclave surrounded by the most artificial landscape in Europe -- those parts of the Netherlands reclaimed from the sea -- thousands of wild horses, red deer and Heck cattle roam.

An expanse of almost 60 square kilometers of meadows and wetlands, Oostvardersplassen is the result of "rewilding" an area of land reclaimed from the sea that was originally zoned for industry.

When the original plans remained undeveloped, Dutch scientists introduced deer, konik ("little ponies") from Poland and Heck cattle.

The last are relics of a 20th-century German attempt to recreate the giant aurochs of northern Europe, extinct since the 17th century.

Vast flocks of graylag geese add to the feeling that you're deep in the wilderness.

In fact, you're just more than 60 kilometers from Amsterdam.

When to go: all year, but best in spring and autumn.

Oostvardersplassen Visitor Centre, Kitsweg 1, 8218 AA Lelystad; +31 320 254 585; visit by guided walking tour only.

Getting there: Almere Oostvardes train station is two kilometers from the visitor center.

Bison (Poland, Belarus)

Straddling the border between northeast Poland and Belarus, the Bialowieza forest is Europe's last remaining expanse of primeval woodland.

It's home to the only wild herd of European bison, also called wisent or, in Polish, zubr.

About 450 of these huge, shaggy beasts live in Bialowieza National Park (+48 85 682 9700) on the Polish side of the border, where they plod through snow-covered meadows in winter and graze on bison grass in summer.

The forest is also home to elk, red and roe deer, wild boar, wolf, beaver and lynx -- but the bison is the big ticket attraction.

When to go: all year round, but best between May and September.

Getting there: Bialowieza is about 260 kilometers (4 hours, 20 minutes' drive) east of Warsaw. By rail to Hajnowka, then bus to Bialowieza village.

Mouflon (Corsica)

Corsica's rugged, sparsely populated interior provides a refuge for one of Europe's most striking mountain mammals: the mouflon.

Much of the island's fierce hinterland is contained within the Natural Regional Park of Corsica, where maquis scrub and high pine forests provide a refuge for the endemic wild sheep that's the island's emblem.

Beneath the towering 2,710-meter summit of Mt. Cinio, the high alpine meadows of the Asco Valley are home to Corsica's biggest mouflon population.

When to go: spring and autumn.

Maison du Mouflon et de la Nature, Mairie d'Asco, Asco; +33 495 47 82 07; about 70 kilometers west of Bastia

Brown bear (Finland)

The swathes of uninhabited taiga along Finland's border with Russia are the best place in Europe to see brown bear close up.

In summer, you can hope to see as many as 20 bears in one night at the Martinselkosen Wilds Center (Pirttivaarantie 131, Ruhtinansalmi; +358 8736 160) -- wolf and wolverine are sometimes seen here, too.

Females with cubs make their appearance in June, adolescents turn up throughout the summer, big males come and go.

You'll be watching at night from a carefully camouflaged (and comfortable) hide.

Bears are likely to be 10-30 meters away from you, but with luck -- and if you stay quiet and still -- they may come closer.

When to go: May to mid-August.

Getting there: flights and trains from Helsinki to Kajaani, 160 kilometers south of Pirttivaarantie.

@highlight

Spotting polar bear in Norway's Svalbard, you have to carry a rifle by law

@highlight

Bison roam Eastern Europe's last patch of primeval forest

@highlight

Rare Iberian lynx reward the wait in Spain