San Diego (CNN) -- Smartphones have made it more difficult to separate work from personal lives.

Corporate managers tend to embrace smartphones because they make workers constantly accessible, but the devices have proved to be a headache for the departments concerned with keeping data secure.

Devices that transmit and receive sensitive business files should be locked down from being accessed by most third parties, experts say. And some companies are encouraging employees to keep their two worlds separate.

Contrary to many workers' wishes, corporate-information chiefs would prefer they not harvest virtual farmland or fling angry avians on the same device they use to review their companies' financial documents. That's not necessarily due to worries over lost productivity (that's the boss's concern).

Instead, technology departments fear that amidst all the innocent games and other applications a person installs, malicious software could sneak in and gobble up e-mails, files and contact lists.

A solution may come in the form of new phones with split personalities.

AT&T, LG and heavily financed startups are presenting their own takes on the concept. Each company is trying to sell companies on their wares so that they'll install the security packages on employees' phones.

These security systems are primarily being designed for hardware that runs Google's Android platform. In addition to being the most popular smartphone operating system, Android is perceived as the most vulnerable to attacks because Google doesn't review apps before they are posted to its online store, like Apple and Microsoft do. Developers can embed their programs deep within Android's file system, unlike with competing software.

A service introduced this week called AT&T Toggle separates an Android phone into personal and work environments, and the user can switch between the two. AT&T's stance is that -- much to the chagrin of IT professionals -- the bring-your-device-to-work trend is inescapable. And the Toggle concept is the natural antibiotic, said Glenn Lurie, the president of AT&T's emerging devices group.

Toggle is based on work by Enterproid, a company that has taken venture capital from Google's ventures arm and from mobile-chip maker Qualcomm. Enterproid has said it plans to release a version for iPhone.

For security-minded executives attending the wireless-trade group CTIA's enterprise conference this week in San Diego, Enterproid's concept has been a popular topic of conversation.

Phone manufacturer LG has its own take on this, which Ki Kim, a vice president for LG Electronics' business-to-business unit, calls the "dual persona." It incorporates technology from VMware, which develops virtualization software that lets a worker access his office computer's desktop from home.

"Google continues to develop (Android) with a focus on a consumer market," Kim said. "So far, data security has been a bottleneck."

Samsung is forgoing the dual-persona approach for now, but its Stratosphere, an Android phone for Verizon Wireless that hit stores on Thursday, is being marketed heavily to businesspeople, said Ryan Bidan, a marketing exec for the company. The Stratosphere is the company's first handset with a new set of security features that will probably make their way into other Samsung phones, he said.

Bidan, who defected a few months ago from BlackBerry maker Research in Motion, said Samsung's position is promising, especially "having come from RIM and being on the losing end of the bring-your-own-device trend," he said.

"We've been very consumer-focused," Bidan said of Samsung's business. However, "we want to make it easy on the (chief information officers)."

This split-personality approach to phone usage hasn't caught on yet, but security experts see it as a promising alternative to asking workers to carry around BlackBerrys in addition to their personal cell phones.

Many companies favor RIM for their work forces because the company handles the message encryption on its own servers. The downside of that approach is that when RIM's servers go down, as they did this week, so does a company's access to mobile data services.

For RIM's competitors, perhaps there is no better time than now to try to shift big corporate buyers to a new platform, where reliability along with security will be a major selling point.

@highlight

Software makers are looking to solve security issues in Android

@highlight

AT&T Toggle creates two modes on a phone, for work and personal use

@highlight

LG is developing its own solution to this problem