(CNN) -- President Barack Obama returned to Washington on Wednesday and plunged into a newly energized political debate over how to shrink the chronic federal deficit and debt in the wake of his stronger-than-expected re-election victory.

Tuesday's election results effectively preserved the political status quo, with Obama winning a second term and Republicans holding their majority in the U.S. House while Democrats keeping control of the Senate.

The looming question was whether freedom from having to face the voters again would prompt Obama to push harder for a compromise that might anger core liberal supporters.

At the same time, Republicans stung by their defeat in the presidential race and their inability to seize the Senate faced pressure from inside and outside the party to soften their fierce partisanship and adopt more moderate positions that might bring about agreement on tough issues.

Obama makes history again

The nation faces a "fiscal cliff" -- a combination of expiring tax cuts and required, across-the-board spending reductions set to occur at the end of the year absent a congressional deal to avert it.

Economists warn that allowing the full impact of the fiscal cliff to occur would further slow an already sluggish recovery, while failure to address the deficit issue in a comprehensive way could bring another downgrade of the U.S. credit rating.

Posturing by both sides on Wednesday professed a conciliatory approach but offered little movement from hardline positions that have stymied past negotiations on a broad deficit reduction deal.

A White House statement said Obama launched the discussion on arguably the most pressing challenge facing his administration by phoning key congressional leaders Wednesday, including the top Republican in both the House and Senate.

Obama "reiterated his commitment to finding bipartisan solutions to: reduce our deficit in a balanced way, cut taxes for middle class families and small businesses and create jobs," the statement said.

World worries as U.S. fiscal cliff looms

"The president said he believed that the American people sent a message in yesterday's election that leaders in both parties need to put aside their partisan interests and work with common purpose to put the interests of the American people and the American economy first," it continued.

One of those who spoke with the president, House Speaker John Boehner, issued his own statement later Wednesday. In it, he challenged Obama to work with Republicans on negotiating a comprehensive plan to reduce spending, lower tax rates while eliminating tax loopholes, and reform entitlement programs such as Social Security, Medicare and Medicaid.

"We want you to lead, not as a liberal or a conservative, but as president of the United States of America," said Boehner, R-Ohio. "We want you to succeed. Let's challenge ourselves to find the common ground that has eluded us. Let's rise above the dysfunction and do the right thing together for our country."

However, Boehner specifically opposed a core Obama tax proposal that was a major theme of his election campaign -- restoring higher tax rates from the 1990s on individuals who make more than $250,000.

The conservative Boehner also made clear that Obama and the nation should drop any thought of reaching a comprehensive agreement in coming weeks, and he called instead for laying the foundation for difficult but necessary negotiations next year when the new Congress starts work.

"We won't solve the problem of our fiscal unbalance overnight and certainly won't do it in a lame duck session of Congress," Boehner said. "And it won't be solved simply by raising taxes or taking a plunge off the fiscal cliff."

Opinion: Five things Obama must do

Obama's election victory in a campaign based in part on his call for wealthy Americans to contribute more to reduce the federal deficit gives him a negotiating advantage over Boehner, analysts said.

Boehner was "trying to do the best he can with a very weak hand," said CNN contributor Reihan Salam.

Conservatives seek to shrink the size of government and therefore oppose additional revenue from taxes. Boehner tried to sound willing to compromise on Wednesday by saying he'd be open to a comprehensive plan resulting in more revenue, but not from higher taxes.

He offered a similar proposal to vanquished Republican presidential candidate Mitt Romney, who argued during the campaign for tax reform that lowered rates for everyone and eliminated some loopholes and deductions to promote economic growth that mean more government revenue.

Meanwhile, Senate Majority Leader Harry Reid, D-Nevada, said Wednesday that the election results showed that most Americans want the wealthy to pay a larger share toward resolving the nation's fiscal problems.

"It is better to dance than to fight. It is better to work together," Reid told a news conference. "Everything doesn't have to be a fight. That is the way it's been the last couple of years. Everyone should comprehend, especially my Senate friends, that legislation is the art of compromise. It is consensus building."

Analysis: Obama won with a better ground game

On Tuesday night, Obama told euphoric supporters in Chicago that "you voted for action, not politics as usual."

Romney, absorbing defeat after a historically expensive race on both sides, issued a similar call in his concession speech.

"The nation, as you know, is at a critical point," he said. "At a time like this, we can't risk partisan bickering and political posturing. Our leaders have to reach across the aisle to do the people's work."

Former President Bill Clinton predicted weeks ago that an Obama victory would be the key to ending the gridlock in Washington.

Every administration needs "an action-forcing event," he told CNN, adding: "I believe the election will be that event. I expect the president to win. And I think if he does, after this happens, then you will see the logjam begin to break."

Republican strategist Ana Navarro, a CNN contributor, echoed that message Wednesday.

"President Obama's re-election does two things. It frees President Obama to be able to work with the Republican Congress, and it frees the Republican Congress to be able to work with President Obama," Navarro said.

Philadelphia Mayor Michael Nutter summed it up succinctly.

"The election is over. It's time for governing and making things happen," he told CNN.

That means bringing Obama's signature campaign word -- "forward" -- to fruition.

"Tonight, more than 200 years after a former colony won the right to determine its own destiny," the president said in his victory speech early Wednesday, "the task of perfecting our union moves forward."

How Obama's data crunchers helped him win

@highlight

NEW: House Speaker John Boehner challenges Barack Obama on tax and entitlement reforms

@highlight

NEW: Obama talks by phone with congressional leaders on moving forward

@highlight

With re-election, Obama free from having to face voters again; will that lead to compromise?

@highlight

Bill Clinton had said an Obama win could be key to ending the Washington logjam