Johannesburg (CNN) -- Just seven days after the world woke up to the shock of yet another South African police brutality scandal, the story has already moved to the inside pages of newspapers. Here in South Africa we are not much surprised by the brutal death of Mido Macia, the taxi driver who was allegedly dragged by a police van to his death last week.

The only surprise is that South Africans -- and knowledgeable observers of the country -- were surprised by this outrage at all. Macia's tragic death is merely the latest in a long and growing list of innocents suspected of being perpetrated by our police. Macia's name is preceded by others that reflect the re-militarization of the SA Police Services over the past four years, and the consequences of that process.

We remember very well, here, the name Atlegang Aphane. He was three years old when police shot him dead in 2009, allegedly because the policeman thought the toddler was carrying a gun. He was just playing with a piece of iron pipe in a settlement where toys are hard to come by.

Then there was the activist and teacher Andries Tatane: he ran to stop policemen abusing an old man. Eleven of them beat him to death with batons in front of television cameras and shot him with rubber bullets at point-blank range.

And so it goes on. Last August 34 striking mineworkers at Marikana were mowed down in under 30 minutes by police, who later bizarrely charged their surviving comrades with murder of their own colleagues. As if that was not enough, the commissioner of police later told her members that they should not feel sorry for what had happened. More than 13 of the Marikana dead were shot in the back.

The reason for the increase in cases of police brutality in South Africa is not hard to find. It goes straight to the heart of the administration of President Jacob Zuma, which since its inauguration in May 2009 has beaten the drum of "tough action" against the admittedly high and rampant crime in our country.

South Africa fury over shooting tests Zuma

In 1994 the Nelson Mandela administration actively started demilitarizing the apartheid police force. Military ranks were abandoned, and the word service was added to the police's name to make it the SA Police Services. Civilians were encouraged to be more active in police structures, with community policing becoming the norm.

Not so under Zuma. A process of re-militarization of the police started, coupled with tough talk from politicians and police top brass. Zuma's administration was particularly enamored with the word "bastard."

"We cannot say to the police, retreat. We cannot say to South Africans, despair. Our job is to give people hope. Yes. Shoot the bastards. Hard-nut to crack, incorrigible bastards," said then-deputy police minister Fikile Mbalula in 2009.

He was echoing words used by the justice minister, Susan Shabangu, who had said the year before: "You must kill the bastards if they threaten you or the community. You must not worry about the regulations. That is my responsibility. Your responsibility is to serve and protect."

In the period since 2009 military nomenclature has returned to the SAPS. The police commissioner now carries the rank of general. Crack units have been established, and the para-military unit "AmaBherete" is notorious for its brutality in enforcing the law in townships. Victims have provided numerous footage of their brutality, in one case beating up restaurant patrons without any provocation, but no action has been taken.

Police brutality is rarely punished in South Africa. City Press newspaper reports that in the 2011/12 financial year 720 deaths allegedly at the hands of police were investigated by the Independent Police Investigative Directorate. Only five officers were dismissed and 13 convicted of crimes during that period. In the 2008/09 financial year 912 deaths at the hands of police were investigated. Just three officers were dismissed.

It is not just that the police do not want to act. As demonstrated by the sheer buffoonery of the investigation carried out by Hilton Botha -- the investigating officer in the Oscar Pistorius case and himself facing seven charges of murder for shooting at a taxi with seven passengers in it -- our police services are terrible at investigation. Out of 65,000 sexual offences reported every year in South Africa in recent times, the police are fortunate to record more than 4,000 convictions. It is almost just not worth reporting the crime.

So where does that leave us, a country still reeling from international coverage of Pistorius' shooting of an innocent woman in his own bathroom? Where does all this rape, murder and brutality come from?

Many point to apartheid, others to the gun and violent culture of that system. Others point to its effects: the dehumanization of the black man and the dehumanization of the white man too. The sociologists are kept busy with all this -- how does one explain an international athlete living in a secure estate sleeping with a gun by his bedside and a rifle at his windowsill? How does one explain a rape every four minutes?

The here and now is that we are not doing enough to push back against our historical problems. Men are not being taught in schools and communities that rape is wrong. Police are being re-militarized.

All this points to one thing: You will be hearing of another violent, police or gun-related or rape-related, scandal out of South Africa before long. After all, Zuma has already promised tough action against protesters this year. Our police are ready, and waiting, to "shoot to kill."

Editor's note: South Africa's acting police minister has said tough action will be taken against those involved in the death of Mido Macia and called for a speedy independent investigation.

Moses Dlamini, a spokesman for the Independent Police Investigative Directorate (IPID), an independent government agency that looks into possible crimes by police, said officers who carry out crimes do not reflect the police service as a whole.

"There are many other officers who are dedicated, who uphold the law and arrest criminals all the time," he said.

Dlamini also said the statistics cited by the City Press were misleading when viewed out of context. Not all of the 720 deaths reported in 2011/2012 were caused by police action, he said. Some were due to natural causes or injuries sustained before arrest.

"In fact, the number of deaths in custody as well as deaths as a result of police action have been declining significantly over the last four years."

The opinions expressed in this commentary are solely those of Justice Malala.

@highlight

Taxi driver Mido Macia allegedly dragged by a police van to his death last week

@highlight

He is just latest suspected victim of police brutality, says Justice Malala

@highlight

Malala says President Zuma has started re-militarizing police, hard-line tactics

@highlight

South Africans are not doing enough to push back against historical problems - Malala