What did the Nigerian government know about the mass abduction of schoolgirls by Boko Haram militants, and when did it know it?

Those are the tough questions being asked after an explosive report made public Friday accused Nigerian military commanders of knowing the terror group was on its way to raid a boarding school in the town of Chibok at least four hours before 276 girls were abducted.

The findings by human rights group Amnesty International echo accounts of a number of the parents and villagers, who have described to CNN an ineffective military response in the days and weeks after the girls were abducted.

President Goodluck Jonathan's government vowed to investigate the allegations even as it defended its military response and questioned the motive behind the accounts.

"This is really outrageous, unbelievable," Minister of Information Labaran Maku told CNN.

The moment the Nigerian government heard of the abduction, "we went in to action," Maku said. "...We shouldn't turn this into a trial of the Nigerian government."

Even as he vowed an investigation into the claims, Maku said it was "inconceivable" that soldiers on duty would not respond to a potential attack on a school.

Hours after Nigeria's defense ministry dismissed the report's findings as "unfortunate and untrue," the country's minister of state for defense vowed to get to the bottom of the allegation.

"We must investigate and ensure we get to the root of it," Musiliu Olatunde Obanikoro told CNN. "And any necessary actions will be taken to ensure such a thing doesn't reoccur."

'No reinforcements'

Scrutiny of the government's response has escalated amid international outrage over the mass abduction, with many asking why Nigeria did not mount a larger response or ask for international help.

The Amnesty International report alleges that after Nigerian commanders were informed of the pending attack, they were unable to raise enough troops to respond.

The commanders left a contingent of between 15 and 17 soldiers and a handful of police officers in Chibok to fend off the militants, the group reported.

"When it was clear these girls had been abducted, no reinforcements were sent to the town," Makmid Kamara, a researcher with Amnesty International, told CNN.

The report was based on the reports of more than a dozen people, including two senior Nigerian military officials, who gave varying, but consistent accounts, Kamara said.

But Nigeria's defense ministry disputed the findings, saying the first word received was of an ongoing attack at Chibok.

The troops "did not receive four hours forewarning about the attacks," according to a statement released by Maj. Gen. Chris Olukolade, a ministry spokesman. "Rather, they received information of an ongoing attack on Chibok from troops on patrol" who saw the attack and took on the militants.

Borno state Sen. Ahmed Zannah said Friday that the military sent reinforcements, but not until the militants were already in Chibok.

'The soldiers were not there'

As many as 200 Boko Haram fighters carried out the Chibok school raid, Amnesty reported, herding the girls out of bed under the cover of darkness after a firefight with the handful of security forces in the town.

The Nigerian government has claimed it responded, with troops, helicopters and airplanes in the immediate aftermath of the mass abduction.

But the father of two of the girls taken told CNN there has been little sign of military help.

He said first learned of the attack in a telephone call from a friend in Chibok, who told him the town was under attack by Boko Haram.

"Pray for us," the friend told the father, whose identity is being withheld out of a fear of possible reprisal by Boko Haram and the government.

The next day, the father learned his daughters and three nieces had been snatched.

He and his family sought out the help of the military in the area. But, he says, "the soldiers were not there."

Days later, a meeting was called by the elders of Chibok. "They said the army will be there and a civilian detail will be there -- to accompany us into the bush" to search for the girls, he said.

But no military or government officials showed up, he said.

"Nothing. Nothing. Up to 21 days, nothing has been done," he said.

'Unfair' criticism

Nigerian officials have frequently been criticized for failing to prevent Boko Haram's deadly attacks, particularly in the terror group's stronghold of northeastern Nigeria.

Obanikoro, the minister of state for defense, called the criticism "grossly unfair."

At least 2,000 people have died in violence in northern Nigeria this year alone, Amnesty said. The most recent Boko Haram attack killed at least 310 people in a town that had been used as a staging ground for troops searching for the missing girls.

U.S. and British officials have arrived in Abuja to supplement a U.S. team already on the ground there, according to officials.

They will help Nigeria's government look for the missing girls, plan rescue missions and advise on ways to subdue Boko Haram.

"This isn't time for a blame game. We are happy help is coming," Obanikoro said.

U.S. officials, at least, say they are unlikely to commit troops to combat operations.

And it's unclear if Nigeria would allow U.S. or U.K. troops on the ground. "We know the experiences the two nations are bringing to the table, and we intend to ensure that that wealth of experience is" used to bring about an end to the situation, Obanikoro said.

'Many soldiers are afraid'

According to Amnesty, civilian officials in a nearby town and leaders of an armed vigilante group organized by the military informed nearby military posts that armed militants had passed through on their way to Chibok hours before the April 14 assault on the boarding school.

The human rights group said an official in the village of Gagilam told its investigators that residents had spoken of strangers who passed through on motorcycles, saying they were on their way to Chibok. The group cited another official as saying the men had asked herders for directions to the school.

The group also cited unnamed senior Nigerian commanders as saying they were aware of the attack even before the calls from the civilian leaders and vigilante groups. But they weren't able to muster enough troops to respond, Amnesty cited the commanders as saying.

"There's a lot of frustration, exhaustion and fatigue among officers and (troops) based in the hotspots," Amnesty quoted one of the unnamed commanders as saying. "Many soldiers are afraid to go to the battle fronts."

Where are the girls?

Boko Haram's leader, Abubakar Shekau, took credit for the mass kidnappings in a video that surfaced this week. He said he planned to sell the girls into slavery.

A few escapees shared harrowing tales of escaping into a nearby forest.

U.S. Navy Rear Adm. John Kirby, who serves as Pentagon press secretary, said officials believe the girls "have been broken up into smaller groups" but declined to detail how they came to the conclusion. His sentiment has been echoed by others.

"The search must be in Niger, Cameroon and Chad, to see if we can find information," said Gordon Brown, a former UK prime minister and the U.N.'s special envoy for global education.

But Jonathan believes the girls are still in Nigeria, somewhere in the Sambisa forest.

"If they move that number of girls into Cameroon, people will see. So I believe they are still in Nigeria," he said.

International outrage has escalated over the nation's largely ineffective effort to subdue Boko Haram.

Amnesty is not the first to accuse Nigeria of failing to take enough action to stop the Chibok raid or other attacks, or to stage a forceful enough response in the aftermath.

Jonathan waited three weeks before speaking to the nation on the matter.  He said that rescue efforts were under way at the time but that they could not be disclosed publicly.

"In a hostage situation, time is of the essence," Kirby said. "We lost some time."

International response

The international effort to buttress that fight ratcheted up Friday with the arrival of U.S. and British advisers.

Six U.S. military advisers arrived Friday, a U.S. official told CNN. They will join a team of U.S. and British officials already in Nigeria, helping find the girls, planning rescue efforts and devising strategies to help subdue Boko Haram.

A British team drawn from the country's Department for International Development, the Foreign and Commonwealth Office and the Ministry of Defence also arrived in Abuja on Friday, the British foreign office said.

France also said it is sending a team but didn't provide specifics on what expertise it will bring.

British satellites and advanced tracking capabilities also will be used, and China has promised to provide any intelligence gathered by its satellite network, Nigeria said.

There are no plans to send U.S. combat troops, Kirby said.

@highlight

"We must investigate" the claims, Nigeria's minister of state for defense says

@highlight

Jonathan believes the girls are still in the Nigeria, despite U.S. assessment

@highlight

Nigerian forces had warning of Boko Haram attack on school, Amnesty says

@highlight

U.S. and British teams arrived to help Nigeria plan the fight against Boko Haram