(CNN) -- Crisis begets innovation.

In the Great Depression, Americans and Britons developed important new technologies: television, movie sound, refrigeration, automatic transmissions for cars. The supermarket was born, as were the passenger aviation industry and the first franchised food company: Dairy Queen.

Big industrial companies such as General Motors and U.S. Steel consolidated their dominance at the expense of weaker rivals. States and the federal government planned and opened the first freeways. Millions of Americans moved off the farms of the South and West to populate California and Florida.

In a decade of economic deprivation, in other words, we can begin to see the shape of postwar America: the suburbanized, mass-production economy into which the baby boomers would be born.

Can we see any similar promise of progress today? I think we can. I discern three glimmers of light on the horizon:

1. A transition has begun from coal to natural gas as America's most important source of electric power. Natural gas emits about half as much carbon dioxide per unit of energy as coal. That's not as clean as solar or wind, but those technologies cannot (yet) compete on price.

Fracking offers hope that natural gas will soon cost least of all. If that hope comes true, the transition from coal to gas will generate a huge burst of economic activity and accelerate the transition to a more sustainable future for humanity.

2. Americans are on the move again, this time from exurb and suburb to downtown, not only where you might expect it -- San Francisco -- but also where you wouldn't: Cleveland's most central census tracts added 20% to their population from 2000 to 2010.

Newark, New Jersey, added population for the first time since 1950. Ten thousand people moved to downtown Philadelphia; 15,000 to Los Angeles' once ghostly downtown; 2,000 to downtown Detroit. Downtown Baltimore is up 11% since 2006. The Loop in Chicago is up 76% in the past decade. Central Louisville is being rebuilt.

The shift to a greener economy involves changes in the way we use space as much or more as changes in the way we use fuel: People reorganizing their lives in ways that allow them to walk to work rather than drive.

The downtown revival remains a boutique industry. Real densification will come as Americans add condo towers beside their suburban office parks and atop shopping malls; as four-story and six-story multi-use buildings rise along the boulevards of Los Angeles; and as entrepreneurs invent 21st-century mass transit systems to interconnect them, such as Wi-Fi equipped jitney buses that arrive within 10 minutes of a tap on a smart phone.

Building new cities will put construction workers back on the job. Living in them will liberate millions of person-hours from the waste of the commute.

3. Over the past 20 years since the advent of Prozac, clinicians and researchers have developed a vastly enhanced understanding of depression. We as yet live in the infancy of mental health science, but the path forward from infancy is at last revealing itself.

Depression is not only a source of terrible personal suffering but also a huge economic burden on society. It debilitates otherwise healthy people and may well prove the ultimate cause of drug and alcohol addiction, obesity and many industrial and auto accidents.

Deep into the 1930s, people regularly died from ordinary infections that today would barely cost them a day off work or school. (In 1924, President Calvin Coolidge lost his 16-year-old son to an infected blister, caused by playing tennis without socks on his feet.)

Half a century from now, will people look back as pityingly on our bafflement before nearly equally devastating but ultimately treatable mental illnesses? What will they say of our practice of leaving the most severely mentally ill to walk uncared-for through the streets of our cities, sleeping on the streets and dying of cold and exposure?

In 1940, health care remained a boutique industry, accounting for roughly 4% of gross national product. In the decades since, health care has grown into one of America's most gigantic enterprises, 17% of GDP -- arguably too much but still a huge driver of employment and investment. Yet within this vast economic complex, mental health remains a stunted subdomain.

Research into diseases of the mind, the production of medicines, the training and employment of treatment personnel -- might these not emerge as giant industries of tomorrow? It would be a very positive irony if this decade of economic depression should prove the era in which science at last broke the clammy grip of psychic depression.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

In the midst of today's economic troubles, David Frum sees reasons for hope

@highlight

He says America's energy picture is changing fast with new surplus of natural gas

@highlight

Americans are returning to urban areas, shortening commutes

@highlight

Frum: While health industry has vastly expanded, mental health is a future growth field