London (CNN)When you can't build up there's only one solution -- build down.

At least that's the theory in some of London's wealthiest neighborhoods.

The UK capital is in the midst of a luxury basement boom, with well-heeled residents and developers excavating large areas underneath their homes and gardens.

Some have used the extra space gained to install the likes of cinemas, gyms, wine cellars, golf simulators, bowling alleys and even swimming pools.

In the stylish borough of Chelsea and Kensington alone, there were 450 basement applications in 2013, according to figures provided to CNN by the local council. That's a 46% increase on 2012 and more than 500% increase on 2003 figures.

Reports indicate a similar story in nearby Westminster as well as Hammersmith and Fulham.

"People have been piling into the basement sector" in recent years, explained Stephen Merritt, managing director of specialist dig-down firm, London Basement. "We're probably doing around 30 to 40 projects a year now. (Clients) are definitely pushing the envelope more and more ... to create new basement space."

See also: Where are the world's most expensive luxury properties?

A lack of room and strict planning laws dictate that the facade of many of London's picturesque Victorian, Edwardian and Georgian-era neighborhoods must maintain their original character and outward appearance.

This annuls the possibility of large extensions upwards and outwards. The simplest alternative therefore is to go down, Merritt explained.

"The price per square foot (of basement extension) in areas we work in is probably £400 to £500 per square foot (between $660 and $830 per sq ft). The extra space this brings is probably worth double that," he added.

As the UK property market heats up again, the extra value a kitted-out basement can provide is clearly an appealing option for investors and homeowners.

But while underground digs are an increasingly common sight, the general concept of extending down is not new to London. Merritt says his company alone has been excavating in plush areas like Kensington since the mid to late 90s.

The difference today, however, is that the projects are becoming increasingly luxurious and ambitious. They have also spread to more modest, although still attractive neighborhoods, such as West Kensington, Wandsworth, Clapham and Fulham.

See also: Shipping containers offer housing solution

In some famous cases the operations extend as many as five stories underground.

Property mogul Leonard Blavatnik as well as composer Andrew Lloyd Webber have both reportedly excavated large areas beneath their palatial London properties in recent years.

Billionaire mobile phone mogul John Caudwell, meanwhile, has applied to dig beneath two mansions in the city's Mayfair district, replacing an existing basement pool and sauna area while extending further down.

These so called "iceberg basements" are the exception rather than the rule, however. Most extensions drop just one or two floors beneath the ground.

"I think for any property with a value over £2 million ($3.2 million) a basement extension is certainly a consideration for the owners," explained Rob Atkins of London estate agency, Domus Nova. "If you've lived in a house for 15 and 20 years and you cannot get a move for the right value then it is an option that can suit that growing family.

"You are now expected to pay 7% stamp duty (a tax on land and property transactions) on a move of over £2 million. All in, then, it might cost you 10% of your sell or your purchase to move house so people are looking inwardly instead of moving," he added.

These trends are similarly noted by developer Blaze Stojanovski. He believes the investment in a basement extension can be a smart one if made in the right location. Stojanovski currently owns 28 properties around west London and has added 11 basement extensions in recent years.

"On a price per square foot basements are hugely expensive, which is why 10 years ago people weren't really building them," he said. "As Fulham and other areas have come up price wise we have got to a stage where it is cost effective to dig basements."

See also: India's luxury property starlet

But while keen to stress his experience of the positives, Stojanovski is also quick to point out that adding a basement in just any old house won't work.

"If you get the wrong property you could easily break even or lose money," he continued.  "You have to make sure that the property is on the right street and it can justify a big investment like a basement."

Neighbours and those nearby, however, aren't always as keen.

Horror stories abound in London's local papers of skips falling through streets as the earth beneath is hollowed out while complaints about the inconvenience of noise and dust from dig sites is common.

"Our members have become increasingly worried by the nastiness of having great big holes dug next door to them," said Terence Bendixson, honorary secretary of planning at the Chelsea Society.

Randa Hanna of the Belgravia Residents Association meanwhile described "a multitude of problems" for residents in her area. "There were cases of serial fraud (with builders). There have also been instances of flooding and problems for neighbors living next door to the work," she added.

For the likes of Stojanovski and Merritt, these negative experiences are a genuine concern. Merritt believes there are few bad apples in the industry guilty of cutting corners but points to his own company's award-winning reputation as a considerate constructor.

As it stands, however, these complaints have done little to halt the attraction or number of applications for luxury basement digs.

There have been rumors regarding a changing of the rules to limit underground extensions but these have yet to to be implemented in any London borough.

See also: Iraq's unlikely property hotspot

Given the international diversity of London's wealthiest residents and property investors, Stojanovski can even see the trend for subterranean extensions spreading to cities in other countries where space is tight and demand high.

Many of his current tenants are from outside the UK, while the majority of his recent sales have been to wealthy foreign investors.

"These people will be living and getting used to living in houses with basements," he said. "They will consider that and probably talk about that when they go back home.

"Therefore I wouldn't be surprised if you see that kind of basement living incorporated in houses for example in Paris, Rome, Vienna or Moscow in the future," he added.

@highlight

Wealthy London residents are extending many floors beneath their homes

@highlight

The aim is to increase their value and provide extra room

@highlight

Tight space and strict planning laws make extending upwards or outwards difficult

@highlight

Some have installed swimming pools, gyms and cinemas in their extended basements