(CNN) -- Japan's prime minister conceded defeat in parliamentary elections Sunday, signaling the return to power of the Liberal Democratic Party and ending the brief rule of the disappointing upstart Democratic Party of Japan.

Prime Minister Yoshihiko Noda pledged to step down as party president after exit polls showed a smashing loss in lower house voting. The party, once seen as a breath of fresh air in Japanese politics, came to be regarded as increasingly ineffective.

"We got a regrettable result," Noda said. "The result is everything in the politics. The biggest responsibility lies on me. I will quit as the partly leader of DPJ."

The move clears the way for the return to power of former Prime Minister Shinzo Abe, the current leader of the conservative-leaning Liberal Democratic Party, or LDP.

"The Japanese people will be keenly looking whether the LDP can meet with their expectations," Abe said in interviews after the polling.

The LDP ruled the country almost continuously since its establishment in 1955 until it was forced from power three years ago by the DPJ.

Public broadcaster NHK said the LDP and its coalition partner, the new Komei party, gained at least 302 seats in the 480-seat lower house. CNN's main affiliate, TV Asahi, reports the LDP/Komei coalition gained at least 312 seats.

The official count is expected to be released Monday.

The LDP is inheriting a struggling economy, regional tensions and questions over Japan's role in Asia.

"The economy is at the bottom. It's our first mission to turn it around," Abe said.

Abe said plans to take a strong stand Japan's territorial disputes with China and its other neighbors but also seek to improve relations with Beijing.

The LDP didn't necessarily regain all Japanese voter confidence, Abe said, adding that voters rejected the "political confusion" spawned by the DPJ. But the results of the poll show voters decided to again embrace the LDP and its many years of governing.

"Because the Liberal Democrats have been in power traditionally for quite a long time they're seen as more a competent governing party," said John Lee, an adjunct associate professor at the Center for International Security Studies at Sydney University.

"The day-to-day business of the current party is seen as pretty dismal."

Read more: Shinzo Abe 2.0:China's economic hope?

Noda's DPJ was expected to receive a pounding after disappointing the electorate during its three years in power.

In 2009, hopes were high that the party could reverse the rigor mortis that had taken hold of the country's economy. Then in March 2011, a monstrous earthquake and tsunami swamped large regions of the country's north, adding a hefty reconstruction bill to the government's growing debt.

Figures out Friday show business confidence is sliding as the high yen restricts export earnings and worried consumers curb their spending. It follows figures released last week showing the country has slipped into recession.

The leading contenders in Japan's national election started their 12-day campaign in Fukushima, the coastal prefecture that became the focal point of last year's disaster after the quake and tsunami crippled a nuclear plant there, causing the world's worst nuclear disaster since Chernobyl in 1986 in Ukraine.

The devastated landscape is a reflection of the economic woes that successive Japanese leaders have tried and failed to contend with for years -- a shrinking economy that's no longer competitive on the world stage in close proximity to a rising economic powerhouse, China.

Read more: Back to the future in Japan

In his first official campaign speech in Fukushima, Abe focused on economic arguments, saying he would act to counter deflation, weaken the yen and promote economic stability.

"We'll regain economic power in Japan," he said.

He has promised to tackle deflation, calling for monetary easing by the Bank of Japan to achieve an inflation rate of 2%. Abe also wants the Bank of Japan to buy government bonds to fund a range of public works to stimulate the economy.

"He wants to effectively throw credit at the economy again, which a lot of economists say will just deepen Japan's problems and deepen Japan's debt. But Abe's priority is to reverse deflation, which is obviously a crippling phenomenon in the Japanese economy," Lee said.

Read more: Could 'Abe trade' be justified?

Since assuming power in September 2011, Noda has struggled to contend with the country's economic struggles. His deal-making over a financial bill effectively ended his term, forcing him to dissolve the lower house in exchange for opposition support.

He seized on a popular backlash against nuclear energy after the Fukushima meltdown and promised to phase out nuclear power by 2040. However, Noda faced fierce resistance to his plan to raise government revenue by doubling the 5% sales tax by October 2015. Now that that's done, Noda's likely successor is set to inherit a smoother ride, said Keith Henry, founder of the consulting firm Asia Strategy.

"When you think about it, the consumption tax is through. All (Abe) has to do is put a budget together for next year, which should not be that difficult. And if he can, then they have upper house elections in July, and it could be fairly smooth sailing for him for at least a year, maybe two."

CNN's Yoko Wakatsuki reported from Tokyo, Brian Walker reported from Atlanta, and Hilary Whiteman reported from Hong Kong

@highlight

NEW: LDP's Shinzo Abe says DPJ caused "political confusion"

@highlight

Winner faces task of reviving the economy, making a decision on nuclear power

@highlight

PM Noda blames himself for the 'regrettable result'