Tokyo (CNN) -- Japan will begin enforcing an often-flouted evacuation order and keep people out of the 20-km zone around the Fukushima Daiichi nuclear power plant, a top official announced Wednesday.

About 78,000 people have homes in the evacuation zone, and many have been going back to retrieve belongings, and check on farms and businesses in recent weeks.

Animal rescue groups have gone in to get pets for owners who didn't expect to be gone for more than a month, and numerous journalists have ventured inside to document conditions.

All that needs to stop "to guarantee the health and safety of the people," Chief Cabinet Secretary Yukio Edano told reporters Wednesday.

Edano, the government's point man for the crisis, said Tokyo will work with local officials to make plans for closing the zone soon.

He would not elaborate on how the closure would be carried out, but said that families would be allowed to enter the area to get things from their homes under proper protections.

Police are stationed at checkpoints leading into the area currently, but enforcement appears to vary from post to post or officer to officer.

Inside, cars and trucks swept away by the March 11 tsunami that triggered the Fukushima Daiichi accident remain scattered across the untended fields. The line where the wave halted remains clearly visible, marked by the debris it left behind. Abandoned houses stand open, with cattle and chickens left behind in their pens.

A CNN crew entered the area for a short time Wednesday and encountered a young farmer whose family lives just inside the 20-km (12.5-mile) boundary. He said his father was considering returning home -- but as a young, unmarried man, he was considering quitting the farm his family has worked for three generations.

"I'm concerned about the impact on my health," said the farmer, who declined to be named. "I wish I could trust the government, but I can't."

Japanese authorities drew the 20-km radius around the plant in the early days of the Fukushima Daiichi disaster, now the worst nuclear accident since Chernobyl. The plant was struck by the March 11 tsunami that devastated northern Japan, knocking out its coolant systems and causing its three operating reactors to overheat.

The accident resulted in the plant belching radioactive particles into the surrounding environment, leading to widespread concerns about crops, homes and livelihoods well beyond the immediate area. Four days after the tsunami, Japan advised residents in a second belt, from 10km to 20 km away from the plant, to stay indoors if they remained in the area; and on April 11, it said residents of several other towns outside the zone to be ready to evacuate soon.

The Japanese government says it has no detailed readings of radiation levels inside the 20-km zone. But journalists who have entered the areas have recorded radiation levels that typically range around a few thousandths of a millisieverts per hour. By comparison, a typical resident of an industrialized country receives about 3 millisieverts per year.

One reporter who came within 2 km of the power plant in early April recorded a dose of about a tenth of a millisievert per hour -- high enough to increase the long-term risk of cancer with prolonged exposure, but a tiny fraction of the dose that would induce radiation sickness.

Currently, the evacuations are "very difficult" to enforce legally, government spokesman Noriyuki Shikata told reporters Tuesday.

Edano said the government plans to designate the area an "alert zone" under Japanese laws governing disaster response, a move he said would give authorities the power to crack down on people going into and out of the evacuated area.

Edano ventured into the closed zone last week to meet with police and troops inside, and he said Prime Minister Naoto Kan is currently making plans to visit the Fukushima area to meet with some of those affected by the disaster.

Yasuka Nakabo and CNN's Steven Jiang contributed to this report.

@highlight

A government official says the crackdown is needed for public safety

@highlight

Enforcement currently seems to vary from checkpoint to checkpoint

@highlight

"I wish I could trust the government, but I can't," an evacuee tells CNN