London (CNN) -- Never before in Britain has it been so fashionable -- and financially smart -- to fly the flag.

Big business has long been aware of the economic benefits the nation's symbol of unity can bring. More than a decade ago British Airways and Virgin Atlantic fought over the use of the country's colors on their livery.

And now small firms are making it big themselves on a seemingly insatiable demand for all things emblazoned with the Union Jack.

First flown in 1606, to mark James I's union of Scotland with England and Wales, the asymmetrical banner is technically called the "Union Flag" when flown on land, though most know it best by its seafaring name the "Union Jack."

No royalties, but royal riches

The flag has been present in its current form since 1801, when the Cross of St Patrick was added to the original design in recognition of the Act of Union with Ireland.

And because the flag isn't licensed, anyone can print their own patriotic paraphernalia without having to pay any royalties.

The recent flurry of royal events -- from Prince William's wedding to Catherine Middleton last year to the Queen's Diamond Jubilee this weekend -- has helped Britons regain a love for their national emblem.

With the London Olympic Games also in the mix, the "jubilympics" has amplified a sustained appetite for Union Jacks.

Fashions and treats fit for a Queen

Socks and slippers... ties and tea cosies

The red, white and blue standard adorns a myriad of products. It can be found on socks and shoes, ties and teapots -- at both ends of the price spectrum.

That's welcome news to traders in a country contending with its first double dip recession since the 1970s -- which was, coincidentally, when the Queen celebrated her Silver Jubilee.

But Britain's famous flag has had a chequered past, and wasn't always so coveted.

Once seen as a stuffy symbol of Imperial nostalgia, it was hijacked by the far-right, leading to false accusations of nationalism for purveyors of Union Jack products.

Adrian Waistle founded Lancashire-based Proud to be British in 1997, and says customers initially assumed he was affiliated with the far-right British National Party (BNP).

Turn the clocks to 2012 and business is booming. "What can I say? It's party time and we are run off our feet," he told CNN.

Waistle says orders are "three to four times'" higher now than during the Royal Wedding. He's already out of stock on the most popular goods. "We've sold out of bunting and paper napkins, even the paper plates."

He adds: "People keep calling up and asking for them though."

While most companies are cutting staff, Waistle plans to recruit a full-time tech specialist to help with the pick up in traffic on his websites, including www.unionjack.co.uk.

Cool Britannia

Overlooking London's iconic Piccadilly Circus, the souvenir shop Cool Britannia takes its name from former U.K. Prime Minister Tony Blair's 1997 national rebranding exercise. As you would imagine, its shelves are brimming with British bargains.

Phil Dowsing, Cool Britannia's Union Jack-dressed mascot, says sales are up at least 20% on last year, across the chain's three West End stores.

"The most popular items are the mugs, pens, key rings. They just can't seem to get enough of them," he says.

Dowsing also describes sales as "much busier" than during the Royal Wedding.

But you don't have to come from the United Kingdom to want a piece of the Union Jack.

Britain's continental cousins may have flown the flag upside down on the day the country joined the European Union but now they wear it the right way up with pride.

Peering up at 147, 12 foot-high flags adorning London's shopping district, Brenda Tode shows off her new Union Jack top to classmates on a school trip from Berlin.

"Look it matches!" she says.

Tode says she likes wearing the Union Jack "because it's cool, because this country is cool!"

She continues: "I don't care if it's not my flag. I like it."

Not made in Britain

Nick Groom, professor of English at Exeter University is something of an expert on the symbolism behind Great Britain's gonfalon.

And having just released an authoritative biography of the Union Jack, one would imagine Groom is set to make a pretty penny himself.

"The Union Jack is so ubiquitous now it's almost invisible," he says. "Personally, I've been struck by the recent enthusiasm for it. It has far outstripped what I could have expected."

Groom adds: "I bet half of the people buying Union Jacks don't really know the full history and what it means."

Waistle points out another irony. "Yes they represent the best of British and they are selling like crazy here," he says. "But I'd bet most of the flags on the market aren't made here ... I hear 99% of them come from China."

Elaine Ly in London contributed to this article

@highlight

There is an insatiable demand for all things Union Jack

@highlight

The flag isn't licensed, so anyone can print patriotic paraphernalia

@highlight

The recent flurry of royal events has helped Britons regain a love for the national emblem

@highlight

Shops selling British souvenirs report that business is booming