Editor's note: Rep. Dave Camp is a Republican from the 4th district of Michigan and is his party's ranking member on the House Ways and Means Committee.

Rep. Dave Camp said Americans pay too much for health care due to waste, lawsuits and fraud.

WASHINGTON (CNN) -- Americans want, deserve and demand health care reform.

Wednesday, I and my Republican colleagues in the House of Representatives are unveiling common sense health care reforms that focus on increasing the affordability, accessibility and availability of quality health care.

Our plan will lower costs, make health care more convenient for patients and improve quality at a price our country can afford.

Our chief concern is making health care affordable for all Americans. To do so, we believe in reforming before spending. The system now is so complex and unwieldy that billions of dollars are wasted every year. In fact, Americans pay more for their health care per person than anyone else in the world; twice what the Canadians do and two-and-a-half times what the British spend. It makes no sense.

To lower health care costs, we must 1) weed out the rampant overspending in our current system that is driven by the twin forces of trial lawyers and fraudsters, 2) modernize medical regulations that haven't been changed in decades, and 3) make sure the government is helping every American get insurance, not just those who have health insurance through their job.

Attacking the unnecessary costs in our current system starts with implementing comprehensive medical liability reform, so when doctors are in exam rooms they are thinking about their patients, not about ordering more tests in case somebody tries to sue later. This will reduce the practice of defensive medicine and save billions of dollars in wasted health care spending.

We also must demand greater oversight and fraud prevention in Medicare and Medicaid -- the nation's health care programs for the seniors, the poor and the disabled. Abuse is so rampant in these programs that the chief counsel to the Health and Human Services Inspector General said, "building a Medicare fraud scam is far safer than dealing in crack or dealing in stolen cars, and it's far more lucrative."

Malpractice reform and fraud prevention are a good start, but just a start. We will build on those successes by accelerating the move toward an electronic record system, minimizing the numerous administrative requirements at doctor offices, hospitals and insurance companies. By doing so, we can tackle the mountain of repetitive and unnecessary paperwork that clogs our system, drives up costs and creates headaches for patients and doctors alike.

It is also time to allow states, small businesses and other organizations to increase their purchasing power by banding together to offer health insurance at lower cost. A small business in Ohio might not be able to afford health insurance on its own, but when joining with dozens of other small employers in Michigan and Indiana, the pool gets bigger and the price gets lower.

Even with these reforms, the cost of health care is still too high for many Americans. The federal government has a patchwork of subsidies for those buying health insurance that is full of inequities.

While we are waiting for the cost of our plan to be determined by the Congressional Budget Office, we already know it would be cheaper than other alternatives being discussed.

To help address the inequities, our plan gives Americans who purchase insurance on their own a tax deduction, treating them more like those who get insurance through a job or who are self-employed. And we create incentives for all Americans to save now for future and long-term health care needs by improving health savings accounts and flexible spending arrangements and creating new tax benefits to offset the costs of long-term care premiums.

Republicans also provide financial assistance through new refundable and advanceable tax credits to those who need it most: low- and modest-income Americans. And, especially in today's economy where so many workers have been forced to retire early or have been laid off, we recognize that many Americans who have not yet hit retirement age often have an especially hard time finding affordable health insurance. Thus, we offer additional financial help to those ages 55 to 64.

We also recognize that many Americans with pre-existing conditions find insurance is either unaffordable or unavailable. Our plan addresses this by fostering innovative state reinsurance programs and improved high-risk pools, ensuring that high-risk individuals get affordable coverage.

These and other measures will ensure every American, regardless of income, regardless of where they choose to live, regardless of pre-existing conditions or past illness, will have access to affordable, quality health care.

Republicans stand ready to work with the president and our Democratic colleagues in Congress to improve the affordability, accessibility and availability of health care in this nation.

The opinions expressed in this commentary are solely those of Dave Camp.

@highlight

Rep. Dave Camp: Health care must be made available and affordable

@highlight

He says fraud, lawsuits and waste drive up the cost of health care

@highlight

Camp: Americans pay much more per person than other countries

@highlight

He says tax incentives can help people pay for health care