(CNN) -- Eight-year-old Tineyi takes my hand and leads me into her mud-thatched hut in my home village of Matau in rural Zimbabwe. There, in a dark corner of the room, is a wooden bookshelf. Carefully crafted by her father, it protects her word-filled treasures from the smoky fire inside the small hut where her mother cooks. I smile, knowing that her father has recognized the value these books will bring to his little bookworm -- a life ahead of her with limitless opportunities.

It was not a life intended for many girls in Africa. As a cattle-herding tomboy, I was bound to follow in the footsteps of generations of women before me: early marriage, illiteracy and poverty. Back then, most kids in my village never had a chance to attend pre-school because it didn't exist. Instead, we would spend hours chasing birds and monkeys from our parents' fields.

Gold mines and urban factories employed men, while women remained at home to look after their children. The more men could read and write, the better their chances of being employed and able to provide for their family. As a result, families wanted to educate their sons, who became village role models. Without an education, how could girls compete? How could they become role models, too?

That was more than 40 years ago.

Today, change is happening in my beloved Matau, and all across the long red dirt roads, verdant mountains and open blue skies of Africa. The leaders of African countries have made education more of a priority, even for girls. Now, girls can be role models. Girls like me, a cattle herder who married young, and by age 18 had three children and no high school diploma. But I defied the odds, got an education and came back to build a school.

Read this: Zimbabwe's whizz-kid starts university at 14

Matau parents and villagers are seeing the value of educating girls. Girls can become leaders of our communities and our African nations. Many parents bring their daughters to me and ask: "Can she be just like you?"

Matau parents are sending their daughters to school like never before. Education is the pathway out of poverty and the road to change for boys and girls alike. Mothers, fathers, teachers, brothers and sisters have come together to feed the minds and cultivate growth in learning among children. Extraordinary things can happen when you put the right tools in the hands of communities. They flourish. They become change makers.

It is a road to change that leads to Matau and surrounding communities. Here, through a partnership with the Oprah Winfrey Foundation and Save the Children, Matau children are getting a safer school and a better quality education.

The community is partnering with Save the Children, the Rural District Council and the Ministry of Education, Sport, Art and Culture, to prepare young boys and girls for school and help older children improve their reading skills, with promising early results. It is an amazing transformation. Our teachers have been trained to keep up with this growth.

Oprah: 'Proud momma' as school girls graduate

Matau Community has become the ripple effect of change. You can see it in change makers like the grandmothers here who volunteered and molded nearly 400,000 bricks for the newly constructed school. Molding and curing bricks is exhausting, back-breaking work but when a community owns the process, nothing can stop it. The community realizes something important is at stake: education for all children.

Change makers like Dendaredzi, who built the preschool center in his village, and the 346 volunteers who built preschool playgrounds made of locally available materials, and participated in parenting skills training.

Change makers like Veronica and 72 other trained volunteers who are promoting and leading after-school reading camps and creating handmade books.

Change makers like gogo (grandmother) Kawocha, who never learned to read or write but now encourages her own grandchildren to read at home. She told me in a text message sent by a village boy, "Tererai, my daughter could not read and write and died leaving orphans under my care. Now they can read at home and I get to participate in their reading, it has never been heard of until the Matau Project. It's a miracle." It warms my heart when I picture gogo Kawocha taking part in her grandchildren's education.

Read this: Millionaire educating future leaders

But there are many more gogo Kawocha's in Africa who do not even know they can be part of the solution.

How can we involve them, and how can we improve our children's education? What more can we do to encourage children to read at home? What more can we do to promote sending all children to school instead of out into the field to work? What more can we do to keep girls in school and out of early marriage? What more can we do to nurture girls as role models?

From my tiny village of Matau and all across this mother continent, we -- our communities -- have the power to bring our African children out of the darkness of illiteracy and into the light of learning. It is a light that beams brightly on progress. It is a light that lets African girls like me and Tineyi dream big. Tinogona! It is achievable.

Learn more about the Tinogona Foundation and Save the Children's Matau Primary School Project.

The opinions expressed in this commentary are solely those of Tererai Trent.

@highlight

Poverty and cultural traditions kept Tererai Trent out of school for most of her childhood

@highlight

But that didn't stop the Zimbabwean from fulfilling her desire to get an education

@highlight

Trent has defied odds to earn three degrees, including a PhD

@highlight

Now, she's ensuring kids from her village have the opportunities she lacked as a child