Perdido Key, Florida (CNN)  -- Everyone here has a clear memory of what summer should be:

White sand beaches busy from sunup to sundown; the souvenir shop running out of bikinis, boogie boards, airbrushed sand dollars and decorative hermit crab shells; more stop than go on the two-lane road that cuts through the island; more bathing suits than socks in the wash. There should be a wait for martinis at The Jellyfish Bar, a wait for oysters at the Flora-Bama lounge, a wait for coffee at Lost Key Java, a wait for fresh snapper at Perdido Bay Seafood.

It is summer in name only on this narrow band of beaches. After oil spilled from a BP well and flowed toward Florida's panhandle, almost no tourists came to stay. Residents are losing their jobs. They're learning it doesn't matter if the sand looks pristine at the moment; oil slick and tar balls could return at any time, and people are afraid.

"Bartenders are trained to hear people's problems, make them feel better, but every single person that comes in here has the same problem," said Marcus Story, who opened the Jellyfish here four years ago, and usually pays his bills for the year with money earned during summer but can't afford to this year. "The stress -- they can't sleep, everybody's irritated, everybody's on edge. I'm tired of thinking about it."

Perdido Key, Florida, has a reputation as the place to unwind, a haven from bigger, busier Pensacola, Florida, and Orange Beach, Alabama, just down the road. Its name translates to "Lost Key," and it's home to about 2,000 full-time residents, 3,400 rental condos and not a single hotel. More than half its area is taken up by undeveloped state and national parkland. Tourism is its greatest economy, and untouched beaches its best selling point.

After the Deepwater Horizon oil rig exploded in April, calls flooded the cozy visitor center inside the island fire station. At first, tourism officials assured people that crude gushing from the well was a faraway problem. As oil began to wash up on other shores, they promised that the coast of Florida's panhandle was clear. When it crept closer, they confirmed only what they'd seen that day -- and that most condos were eliminating the cancellation fees.

But eventually, the calls stopped coming altogether. More than 4,100 people came through the visitor center's doors in June 2003, its busiest recent year. In June 2010, only 1,446 stopped by. Boom and cleanup crews surrounded the shores. Local business owners braced themselves for catastrophic loss of income. Families wept while they watched reports that warned oil was coming closer.

It was disastrous news for businesses that sustain themselves all year on their Memorial Day-to-Labor Day revenue. And it was the same story around the rest of the Gulf of Mexico, oiled or not: An analysis by Oxford Economics for the U.S. Travel Association said the spill could affect the Gulf's travel industry up to three years and cost up to $22.7 billion.

"I think we all envisioned Hershey's Syrup was going to cover the white beach," said Alison Davenport, who has lived and sold real estate on Perdido Key for nearly two decades.

Perhaps thanks to wind, tide or luck, Perdido Key stayed mostly clear, even while massive tar balls washed up on nearby Pensacola Beach. The slick on the horizon receded within a few days, and sticky brown clumps were cleaned up quickly, quietly. Even now, the only obvious signs of continued cleanup are occasional daytime crews. In the earliest hours of the morning, well before sunrise, heavy pieces of construction equipment bathe the beach in red and white light.

This was supposed to be a big year for the Key. Many of the homes, businesses and condos were freshly built or newly renovated after Hurricane Ivan destroyed parts of the Florida and Alabama coasts in 2004. The economy had recovered enough that rentals were filling up, and home sales were increasing every month.

"You could just feel it. This was it," said Davenport, vice chairwoman of the Perdido Key Area Chamber of Commerce. "Everything you see is tough and had already been through a pretty strong test. We all had reason to think everything would be just grand."

Some blame national media for replaying early images of oil-soaked birds and boom-lined shores, which don't reflect beaches like Perdido Key's, they say. But even locals disagree about whether it's safe to go in the water. Tar balls still wash up on shore at times, and when cleanup workers dig a few inches in the sand, it's stained yellow by oil.

On Johnson Beach, part of the Gulf Islands National Seashore popular with locals and tourists, lifeguards counted about 50 people on a late July morning and called it one of the busiest days yet this season. All summer, kids who grew up on sand castles and saltwater have been relegated to lawns and pools.

"No, you're not going in the deep water," Perdido Key resident Jeannie Hines called to her 6-year-old son as he splashed in the Gulf.

After days of begging, they'd returned to the beach for the first time in weeks. But the kids had new rules: no deeper than their knees, and they had to be extra careful not to swallow water, for fear of ingesting oil and dispersants. There were no health advisories in effect, but signs and a flier handed out at the entryway told people to avoid the sand and water if they saw any oil.

"Normally they'd be all the way in, swimming, snorkeling. I'm still hesitant about letting them go," Hines said as she looked over the umbrellas scattered on the sand. "I've never seen it like this. It's always packed."

As the unofficial end to summer draws closer, Perdido Key residents are looking for ways to salvage what's left of the season -- for business, and for themselves.

To prove the state of the shores, the visitor center posts near-daily videos of clear, gentle water lapping against a perfect, empty beach. They tout discounted condo rates, shorter rental periods and non-Gulf beaches along the Intracoastal Waterway. They launched new pages on Facebook, and planned tournaments and festivals that might spark some interest. They proposed a campaign to give as many as 120 families a free place to stay on Perdido Key, but Florida tourism officials said it didn't follow BP's guidelines for how to spend marketing money. Still, they're looking for grants to launch the promotion, because they know crowds draw more. Even a Gulf Coast vacation planned for President Obama and his family in August could provide a boost.

The summer that wasn't is quickly coming to a close. Kids are watching the school calendars, and workers are impatiently waiting for BP claim checks to tide them over.

Nobody was spending much money on entertainment this summer, but most Wednesday nights, about 80 people gathered on the beach to pray for themselves, the community and the summer they've lost.

"What separates this from a hurricane is the idea that you can come in, clean it up and move forward," said Darren McClellan, senior pastor of the Perdido Bay United Methodist Church, who leads the weekly service by the shore. "There are things in our lives we can't fix with a simple phone call or the writing of a check.

"It's that question mark -- we are as stable as the blowing wind."

McClellan said Perdido Key will struggle the rest of the year with money, stress and questions unanswered. But he expects to see a more gracious community at the end, one that survived the un-summer of the oil spill together.

Still, the beach won't be the thing to carry them through; McClellan plans to halt his shoreside service in mid-August. Like everyone else here, he knows you can't expect a crowd after Labor Day.

@highlight

Perdido Key, Florida, didn't see as much oil as other nearby tourism-driven places

@highlight

Businesses still suffered, laid off workers or closed down

@highlight

Beaches are open, but few visitors are renting condos, even at reduced rates