(CNN)Climbers conquer Everest. Runners complete the marathon. And globe-trotters master the ultralonghaul flight.

Amazing advances in technology now let nonstop flights fly farther and cheaper for airlines than ever before. Many follow routes that take them near the North Pole as they whip over the top of the globe to the other side of the world.

But these giant intercontinental leaps present their own challenges: How do passengers and pilots deal with annoying and potentially dangerous fatigue that comes with marathon air travel? How do twin-engine planes figure into the future of longhauls?

Let's start with the king of nonstop flights: Singapore Airlines Flights 21 and 22 between Singapore and Newark, New Jersey. The route is the longest both in distance -- about 9,500 miles -- and in time -- about 19 hours.

Business traveler Charles Yap is a big fan of this route because it avoids a connection in Germany, which he says saves six hours. All 100 seats aboard the flight are business class. Add hundreds of in-flight movie choices, and longhaul travel isn't so bad for this Discovery Channel executive.

"If you're stuck on a flight, you might as well enjoy it," says Yap, 39.

His long-distance travel tips for surviving 19 hours aloft: "Walk around. Explore the cabin. Don't force yourself to sleep."

Ah yesssssssss, ssssssssslumber. Conversations with ultralonghaulers inevitably will turn to the subject of sleep. Specifically, avoiding jet lag.

"You should try on the day before to get on the same clock as your destination," advises Chris Uriarte, 36, an American Express exec who's flown the route about a dozen times.

"For long west-to-east flights -- a day or two before you leave, start moving your bedtime earlier in the evening. For long east-to-west flights, try to delay sleep until late at night. Planning ahead makes you a lot more productive when you hit the ground." Uriarte should know. He logs more than 200,000 flight miles a year.

Your seating position on the plane is "absolutely key," to a good longhaul, Uriarte says. Singapore uses Airbus A340s with a spacious 1-2-1 seating configuration. The back two rows are even better with 1-1-1 seating.

In general, Uriarte recommends aisle seats in the center section. Sleeping is easier when "there's no one climbing over you," he says.

Seats behind the plane's four wing-mounted engines will be louder, but some travelers enjoy being lulled to sleep by the jet noise.

'Dr. Sleepgood'

Sleep is Curt Graeber's business.

During his 19 years as Boeing's chief engineer for human factors, pilots nicknamed Graeber "Dr. Sleepgood" because he helped them manage fatigue on longhaul flights. "Buy a seat that has a bed, and you're fine," Graeber says with a chuckle. (The price tag -- often thousands of dollars -- is the real challenge.) Sleeping in a coach seat is no easy feat, Graeber acknowledges.

Try to sleep at the time when your body is asleep, he says, although "that's not always possible." And avoid eating a heavy meal.

For the traveler, avoiding exhaustion is nice if you can swing it. For pilots, it's critical.

Longhaul passenger tips

--Don't be a clock watcher

--Wear loose clothing

--Stretch your legs

--Take off your shoes

--Brush teeth every few hours to freshen your mouth

--Use noise-canceling headphones, pillows, neck rests, moisturizer, eyedrops

Source: Singapore Airlines passengers

Graeber ran a 1989 NASA/Federal Aviation Administration study that recommended allowing U.S. pilots to catnap in the cockpit -- but only under supervision of another pilot. Cockpit napping is allowed for pilots in Europe, Canada, Australia, New Zealand and elsewhere. It's been accepted by the International Civil Aviation Organization.

The FAA won't allow it. "Longhaul flights require relief crews," the FAA said in a written statement to CNN. "Rest is provided outside the cockpit. The FAA does not permit napping in the cockpit on U.S. air carriers."

The FAA's rejection of cockpit napping "doesn't makes any sense," Graeber says. "Everyone I talk to who uses it says it's an important stopgap measure to improve safety and reduce sleep loss."

Related: UK probes whether pilots fell asleep

National Transportation Safety Board investigators said they were concerned that pilot fatigue was a factor in July's deadly crash landing of Asiana Airlines Flight 214, a Boeing 777 which caught fire on a San Francisco runway after a 10-hour flight from South Korea. The NTSB has not yet issued a final report on the reasons behind the crash.

International longhaul pilot Justin Schlechter says he's seen the effects of flight fatigue firsthand. "It's tough," Schlechter admits. "It affects your reasoning surrounding your flying and the speed that your brain processes information."

Schlechter predicts that the FAA eventually will reverse itself and allow cockpit catnaps. "The international standard allows it," he says. "I think it's safer to take a controlled catnap. I'm in favor of it."

Here's what U.S. longhaul pilots are allowed to do to manage fatigue:

Typically, during a 14-hour flight, the captain and first officer will fly the first three hours. Then, they hand off the plane to a second crew and get some rest in a special compartment -- or in reserved seats in the passenger cabin.

During the cruise portion of the longhaul, pilots use various methods to keep sharp, such as checking fuel consumption and navigation, adjusting the ventilation, turning up cockpit lighting and engaging in energetic discussions with the other pilot.

Every three hours, the two crews will switch off command of the cockpit until about 90 minutes before landing, when the captain and first officer will land the aircraft.

Twin-engine longhaulers

So, those are some of the ultralonghaul challenges for humans. As for the machines -- they have their own hurdles.

Obviously over vast oceans it's critically important for airliner engines to be reliable and powerful. But hey, it's a business, so the engines also have to be efficient enough to keep airline fuel costs low.

The twin-engine Boeing 777 holds the long-distance commercial airliner record. In 2005 it flew 13,423 miles from Hong Kong to London. Total time: 22 hours, 22 minutes.

Decades ago, that meant ultralonghaulers were likely four-engine planes, like the 747. In the unlikely event that an engine failed, the other three engines could power the plane the rest of the trip, no problem.

The downside: Four engines guzzle a lot of fuel.

"Now, engines are way more reliable," says travel expert and former airline manager Brett Snyder of CrankyFlier.com. They're also more powerful and fuel-saving.

That's why Boeing's twin-engine 777 Worldliner flies so many of the world's longest nonstop routes.

In the coming years look for newer wide-bodies to fly more longhaul routes, like Boeing's twin-engine 787 Dreamliner and the twin-engine Airbus A350 XWB. Both aircraft are made with superlightweight materials which also cut down on fuel costs.

Already, United Airlines has announced its Dreamliners will begin 14-hour nonstop service from San Francisco to Chengdu, China. British Airways plans to use the plane for a 10-hour nonstop from Austin, Texas, to London.

The FAA requires twin-engine planes to fly within close reach of a safe landing spot, in case of engine trouble.

Some travelers seem intrigued by the idea that an airliner can fly in a straight line with only one engine. "Wouldn't the thrust from the engine be unbalanced and make the plane fly in circles?" they ask.

If a 777 lost one of its two engines, the plane has a computer that automatically adjusts the aircraft's controls to compensate for unbalanced thrust. Pilots flying other airliners may have to manually adjust the plane to compensate.

How reliable are those engines?

"We've never seen an issue where a twin-engine plane has lost one engine during a transoceanic flight and can't make it somewhere with the other engine," says Snyder. "And engines almost never fail. With high reliability, airlines are free to look at economics and say, 'Why would we have aircraft with four engines when we can have one that performs the same mission with two and save us money?'"

What killed the longest flight in the world?

In fact, money is exactly what's being blamed for killing the longest flight in the world.

That's right -- after nine years of service, Singapore Airlines Flights 21 and 22 are scheduled for cancellation.

Snyder and most other experts suspect the airline got tired of dealing with poor profit margins on the fuel-guzzling four-engine Airbus A340. "They do use a ton of fuel, and that's always painful," says Snyder. "But the schedule advantage isn't that great either when you fly so far."

Also, the world's second-longest nonstop -- a Singapore Airlines 18-hour flight between Singapore and LAX -- is scheduled to be canceled this month.

That will leave Qantas Flight 7, a Boeing 747 from Sydney to Dallas, atop the list of world's longest nonstops by distance, at 8,600 miles. The longest nonstop by time will be Delta's Flight 201 -- a 777 from Atlanta to Johannesburg which clocks in at about 17 hours.

Fans of the Singapore-Newark flight say they'll miss its spacious seats and well-trained flight attendants.

On a Singapore passenger website, commenter Buster CT1K -- tongue firmly in cheek -- called the airline's decision to cancel the flight a "very sad day in the history of aerospace and aviation. First, man stops going to the moon. Then the space shuttle stops flying. Then Concorde stops flying. And now this. I will miss the Newark-Singapore nonstop very much."

The way Amex exec Uriarte sees it, for now, the airline industry appears to have pushed the longhaul envelope to the maximum.

"That's about as long as we're going to get," he says. "The days of the 19-hour flight are over."

CNN's Mike Ahlers contributed to this report.

@highlight

World's longest nonstop flight (19 hours) linking Singapore and Newark canceled

@highlight

Veteran passengers, pilots and a sleep expert offer tips for ultralonghaul airline flights

@highlight

Many countries allow cockpit catnaps to stave off fatigue during long flights

@highlight

More twin-engine planes are flying long routes because of powerful, reliable engines