(Financial Times) -- The increasing amount of personal information that can been gleaned by computer programs that track how people use Facebook has been revealed by an extensive academic study.

Such programmes can discern undisclosed private information such as Facebook users' sexuality, drug-use habits and even whether their parents separated when they were young, according to the study by Cambridge university academics.

In one of the biggest studies of its kind, scientists from the university's psychometrics team and a Microsoft-funded research centre analysed data from 58,000 Facebook users to predict traits and other information that were not provided in their profiles.

The algorithms were 88 per cent accurate in predicting male sexual orientation, 95 per cent for race and 80 per cent for religion and political leanings. Personality types and emotional stability were also predicted with accuracy ranging from 62-75 per cent.

Facebook declined to comment.

The study highlights growing concerns about social networks and how data trails can be mined for sensitive information, even when people attempt to keep information about themselves private. Less than 5 per cent of users predicted to be gay, for example, were connected with explicitly gay groups.

Michal Kosinksi, one of the report's authors, told the Financial Times that the university's techniques could easily be replicated by companies to infer personal attributes a person did not wish to share, such as sexual orientation or political views: "We used very simple and generic methods. Marketing companies and internet companies could spend much more time and resources, and hence get much higher accuracy than we did."

Last week , the EU agreed to water down proposals for a radical overhaul of data privacy regulation. The move reflects governments' reluctance to impede internet businesses that might spur economic growth, and follows fierce lobbying from technology companies including Facebook and Google.

Personal data has become big business. Wonga, the UK online lender, makes credit judgments within seconds based on thousands of pieces of information, including an applicant's Facebook profile. Tesco, the supermarket chain, this month started to use its customers' shopping histories to sell targeted online advertising.

The report also revealed some unexpected correlations -- such as people who liked 'curly fries' having higher IQs, while those who like Facebook's "Sliding on Floors With Your Socks On" page were unlikely to use drugs.

Mr Kosinski said, however, that the study was not designed to discourage online sharing: "I would discourage people from abstaining from the technology -- the milk is to some extent already spilt and there's a lot of information about you online anyway. I would suggest raising privacy settings and exerting consumer pressure by trying to use the services that are protecting your privacy best."

© The Financial Times Limited 2013

@highlight

Computer programs can discern personal details based on Facebook use

@highlight

Cambridge university academics assessed data from 58,000 Facebook users

@highlight

The techniques could easily be replicated by companies

@highlight

Some unexpected correlations: people who liked 'curly fries' had higher IQs