Hong Kong (CNN) -- Amid exotic trees in a garden setting rest Hong Kong's extraordinary and ordinary, those who died heroically in wars, ignominiously in drunken brawls, or suicide; victims of accidents, pestilence, and pirates; barkeepers, prostitutes, children, and luminaries whose names are today borne on street signs.

It's a far cry from the highway overpass outside the gates.

Charting the 8,500 or so names and weaving their stories together into a 624-page book, "Forgotten Souls: A Social History of the Hong Kong Cemetery," is Patricia Lim, who spent about a decade on the project.

The cemetery had only a record of graves -- which date from 1841 to 2007 -- identifying them by section but not with precise locations, while the earliest graves had no information, Lim said.

A "fanatical friend" from the UK spurred her on to the cemetery project after Lim had dedicated a chapter of her last book, "Discovering Hong Kong's Cultural Heritage: Hong Kong and Kowloon" to the Happy Valley cemeteries. The friend was none other than Susan Farrington who has recorded graves in the Himalayan foothills of Pakistan. She came to Hong Kong to help. When she left, Lim couldn't stop.

"Since I was in it, I might as well finish," she explained.

With inscriptions as a starting point, Lim and a host of volunteers recorded each grave into a database, assigning it a section, row and number. Then she pored through now-defunct newspapers -- like The China Mail, the Friend of China, the Daily Press -- personal and travel accounts, histories and every book on Hong Kong she could get her hands on.

"It seemed such a waste of opportunity -- and stories -- not to link them," Lim said. "If you just go through the cemetery, plot-by-plot...no one would have taken any interest. It seemed imperative to link, if people were going to get to know them."

Out of it emerged a social history of, if not Hong Kong, then of the cemetery whose names have included the "Protestant Graveyard" and the "Colonial Cemetery." Adjacent to it are separate cemeteries for Catholics, Jews, Parsees, and Muslims, while Hindus were given land for their temple.

The Chinese, on the other hand, "were always at the bottom of the pile" despite being the majority, said Lim. "They weren't trusted, and they weren't accorded respect of other nationalities here." Although some 225 Chinese are buried in the Hong Kong Cemetery, Chinese didn't get their own permanent cemetery -- in Aberdeen, on the south of the island -- until 1915, decades after other groups got theirs.

Hong Kong was "a hard, unhealthy place to live," Lim said. "It was a gamble. You sacrificed health for wealth. But that was maybe why they were so wealth-conscious. It was very important. You knew you were sacrificing, that you'd probably die."

The cemetery opened at its current location in 1845 after its former spot -- just east of where the office tower Pacific Place 3 now stands -- overflowed beyond capacity. Hong Kong had become a British colony only three years earlier.

Read about a floating cemetery concept

Particularly prominent at the time were doctors, two of whom -- Dr. William Aurelius Harland and Dr. William Morrison -- have the cemetery's biggest monuments and most appreciative epitaphs, according to Lim. They were among four colonial surgeons who died within a 12-year period of malarial fever in Hong Kong.

Hong Kong wasn't really "happy" or a place for European women, Lim said. With a high ratio of lonely bachelors in a transient population, brothels and bars were in high demand.

"There were German taverns, English taverns, American taverns," including Edward Thomas' Uncle Tom's Cabin, which opened in the 1850s after its namesake novel was published, said Lim. Thomas, a New Yorker buried in Section 9, died at age 29, leaving his widow to run the business.

Among the 465 graves that belong to Japanese are ship crewmen, shop owners, employees of trading firms as well as prostitutes, according to Lim. One monument to Kiya Karayuki bears the signatures of 58 girls, suggesting she was either a much-loved prostitute or a brothel keeper.

Also buried at the cemetery are the first to not only make their fortunes in Hong Kong but also give to it: financier and developer Sir Catchick Paul Chater, who transformed Hong Kong and Kowloon waterfronts; Sir Kai Ho Kai, founder of the medical school that would evolve into the University of Hong Kong; and Robert Ho Tung, who built a commercial empire.

Others meanwhile died without a trace except for the inscription on their tombstones, Lim said.

Old graves were difficult to read, requiring multiple trips under different light conditions. "Some I never managed to read." she said.

There were also family members who had the same names. And then there were Chinese who went by as many as three or four names during the course of a lifetime, whether it was during school, used for family purposes or attained upon wealth.

In the late 19th century, the Botanical Garden staff helped the cemetery evolve from a simple graveyard to a lush cemetery garden inspired by those in Europe, like Pere Lachaise in Paris and Glasgow's Necropolis, according to one landscape architect.

The experimentation with exotic plants helped enrich the cemetery's landscape, turning it into a habitat for dozens of butterfly and moth species, said Ken Nicolson, who wrote "The Happy Valley: a History and Tour of the Hong Kong Cemetery."

For Lim's husband, Po Chye, cemeteries are for ceremonies, not for idle strolls. "You don't go there for recreation."

Lim, who is "over 76," has had some close calls -- she once tripped, cutting her knee on a metal railing with jagged points; another time she got locked in the cemetery after hours and had to climb out through a government building. She also once borrowed somebody's grave to rest while suffering what a doctor later diagnosed as "broken heart syndrome," an incident similar to a minor heart attack.

"Not everyone is willing to do all this hard work and then put it out in the open for everyone to benefit from," wrote David Bellis, who has listed the names, graves and inscriptions compiled by Lim on his website, Gwulo, which is dedicated to historic Hong Kong.

"The database gives the basic details, but the book adds the stories that bring the people to life," he said.

Stella Loterijman, who's based in the UK, had been trying to find her grandfather's first wife, Mary Constance Reilly, since 1979. All she knew was that Reilly was born in 1869, married Dr. Charles William Reilly and died at age 20 of dysentery, while he was on a tour of duty with the Royal Army Medical Corps in Hong Kong.

Then last month, Loterijman was resuming research into her family tree when she found Mary's information on Gwulo: "In loving memory of Mary Constance Reilly, wife of Captain Reilly" in section 18.

In an e-mail to CNN, Loterijman described being "thrilled and elated."

Craig Bissell also credits Lim and Gwulo for helping solve a years-long mystery over Miller Robb Dickson, the favorite brother of his Scottish grandmother, who has always said he went off to Canada to join the Hong Kong Police Force and died unexpectedly. Even so, Bissell, who lives in Toronto, Canada, could never find evidence of Dickson's ever being in Hong Kong until it suddenly appeared on Gwulo one day.

"It was a marvelous breakthrough," Bissell wrote, adding, "It solved a mystery no one else seemed terribly concerned about." Dickson's listing identifies him as a police sergeant for the Hong Kong Police Force from Dundee, Scotland, and who died in 1928 at the age of 30.

Nicholas Belanovsky and his wife, Tatiana, are among 108 Russians buried in the cemetery. All that was known of him for decades was that he had escaped for China after the Russian Revolution, said his grandnephew, Dmitry Belanovsky, in an e-mail from Moscow.

Then in 2004, Dmitry typed "Belanovsky" into a browser -- and to his "amazement" discovered that Nicholas' name appeared as an engineer for the Russian Orthodox Cathedral of the Surety of the Sinners in Shanghai during the 1930s. With the help of a Russian priest, he found the grave and subsequently learned that Nicholas' work with the British Cigarette Company had taken the couple to Hong Kong in 1948. He lived to the ripe old age of 88 on the second floor of a Kowloon apartment building, surviving Tatiana by nearly 30 years and leaving his entire estate to his longtime amah, or maid.

Having been regarded as "stateless" and the "people's enemy," Nicholas had never gotten in touch with his family in Russia apparently fearing harm would come to them, said Dmitry.

He has since posted the info on Gwulo in hopes of learning more about Nicholas Belanovsky's life.

"It's full of stories, this cemetery," said Lim, who now splits time between Hong Kong and England. "They are like old friends, yes."

For now, the Food and Environmental Hygiene Department operates the cemetery, which has yet to attain heritage status.

@highlight

Patricia Lim charts 8,500 graves, weaves stories in 624-page book

@highlight

She pored through now-defunct newspapers, accounts, old records, histories

@highlight

Out of it emerges a social history of Hong Kong and the cemetery

@highlight

Doctors were prominent, fever was high; brothels, bars very popular