(CNN) -- Savita Halappanavar died last month in Ireland after being denied a lifesaving abortion. If she had lived in the United States -- where in two months we will mark four decades of safe and legal abortion on the anniversary of the Roe v. Wade ruling -- she likely would be alive today.

I was a little girl when this decision overturned state bans across the country that prevented women from access to medically safe procedures. Unlike my mother's generation -- when women often died from self-induced abortions or back-alley abortions performed by a person with no skills or training, often under unsanitary conditions -- my siblings, friends, classmates and I grew up with the ability to make informed decisions when faced with an unintended or medically problematic pregnancy.

Worldwide, many women are unable to make personal health decisions. The consequences are grave. According to a World Health Organization report, about 47,000 women die each year around the world from unsafe abortions. This accounts for about 13% of all maternal deaths. Most of these women die in developing countries, where severe legal restrictions and lack of access to modern medical care drive women to seek unsafe procedures. By contrast, abortion in the United States is incredibly safe: Fewer than 0.3% of women experience complications that require hospitalization.

But Halappanavar died in a highly developed country. After 17 weeks of pregnancy, she went to the hospital, miscarrying and in extreme pain. Her husband says doctors denied requests for an abortion to save her life; after three days the fetus died, and after suffering for four days, Savita Halappanavar died of blood poisoning.

Her death in Ireland serves as a stark reminder that living in a developed country does not necessarily protect us from backward health policies. Lawmakers in Ireland who defend that country's near-total ban on abortion rely on the same politically driven arguments echoed across much of the U.S. by opponents of women's freedom to choose, as they try to chip away at access to safe and legal abortion.

In Ohio, for example, legislators are considering a bill that would ban abortion early in pregnancy, even before some women know they are pregnant. According to an analysis from the Guttmacher Institute, half the women in our nation live in states hostile to abortion access; and in 2011 alone, states enacted a record 92 provisions seeking to restrict women's access to abortion.

This is not the legacy I wish for my children. I want my son and daughter to grow up in a country where they make their own health care decisions and their privacy is respected. Unless we stand up to these attacks on women's health and personal decision making, we are sure to hear more stories like Halappanavar's -- and this time closer to home.

Senseless decisions do not just happen in other countries. In Nebraska, doctors refused to allow Danielle Deaver to end her pregnancy after she learned her daughter would not survive, citing the state's ban on abortion past 20 weeks gestation. Instead, Deaver was forced to deliver an infant who died moments after birth.

Evidence shows time and again that banning abortion does not make it go away -- it merely leads to more unsafe abortions and more women dying. Some of the countries with the highest abortion rates worldwide have the most restrictive policies. On the other hand, countries with the lowest abortion rates tend to have more supportive abortion policies and strong policy support for contraception.

Policymakers truly interested in reducing abortion should support strong investment in contraception at home and abroad. Under the Affordable Care Act, millions more Americans will be eligible for birth control coverage without a co-pay â€” which will have a tremendous impact for women across the country who find it a struggle to use contraception consistently because of its cost.

The U.S. is the largest investor in global family planning and HIV/AIDS programs in the world. We need to protect these investments from budget cuts to ensure that women everywhere can plan and space their children's births and prevent unintended pregnancy and disease. As the United Nations recently declared, access to contraception is a universal human right.

We also need to fight for better access to safe and legal abortion at home and abroad. As Halappanavar's case devastatingly demonstrates, even during a planned pregnancy, a woman must sometimes consider an abortion. The difficult decision to end a pregnancy, to choose adoption or to raise a child should be up to the woman, in consultation with her family, her faith and her doctor.

On January 22, when my family honors the 40th anniversary of Roe v. Wade, I want to be able to tell my children that our country is moving forward, not turning back the clocks. We will remember Savita Halappanavar on that day and repeat the mantra echoed at vigils in Ireland and around the world honoring her wholly preventable death: Never again.

The opinions expressed in this commentary are solely those of Latanya Mapp Frett.

@highlight

Savita Halappanavar died in Ireland after being denied an abortion

@highlight

Latanya Mapp Frett: Before Roe v. Wade, women in U.S. often died from unsafe abortions

@highlight

Frett: Abortion opponents in U.S. are trying to end a woman's right to free choice

@highlight

Banning abortion does not stop it, she writes, it leads to more women dying