At least 16 people were killed and many more were wounded when a U.N. shelter in northern Gaza was hit during Thursday's fighting, officials said.

John Ging, director of the U.N.'s Office for Coordination of Humanitarian Affairs, confirmed to CNN's Christiane Amanpour that 16 died in the strike. Numbers were still coming in as to how many people were wounded, he said.

A Palestinian government statement condemned the incident, calling it "Israeli brutal aggression that targeted" Gaza's displaced. It demanded an end to the "Israeli war machine."

The strike wounded more than 200, most of them women and children, the statement said. It also said the death toll was 16.

It's unclear who was behind the incident. The Israeli military said it could have been a rocket fired from Gaza that fell short of Israel and exploded.

U.N. Secretary-General Ban Ki-moon, who met with U.S. Secretary of State John Kerry in Cairo, was irate.

"I am telling to the parties -- both Israelis and Hamas, Palestinians, that it is morally wrong to kill your own people," he said. "Whole world has been watching, is watching with great concern. You must stop fighting. And enter into dialogue.

"Whatever grievances you may have, this is wrong. Why are you continuing to kill people? There are many other ways to resolve this issue without killing each other."

The coordinates of the school in Beit Hanoun, which was serving a shelter for families in Gaza, had been given to the Israeli military, said a U.N. spokesman, Chris Gunness.

Footage from the school showed pools of blood and images from hospitals showed absolute chaos. There were so many victims than many gurneys included two wounded children.

One father carried his small daughter into the hospital. There wasn't much the dad could do but try to comfort his little girl as she cried and begged for him not to leave her.

In another area a mortician wrapped up the body of a 1-year-old girl who was killed.

All the while people wandered through the halls, trying desperately to find where their loved ones had been taken.

A CNN crew that visited the school three hours after the hit discovered a one-inch deep hole in the concrete in the  courtyard where people were killed and injured. It appeared shrapnel struck people within a 30-meter radius. Walls were hit as high as about eight meters above the ground.

CNN personnel didn't see the remnants of any rocket or missile.

Some witnesses told CNN there were three to four explosions.

Fighting in the area

An Israel Defense Forces statement said militants had shot at the Israeli military and the IDF responded with "fire toward the origins of the shooting."

The IDF said it had told people at the school to evacuate because of the fighting in the area and given a four-hour window to get people out. Israeli officials told CNN they had warned U.N. officials for three days to evacuate.

Shortly after the strike, Gunness tweeted that the coordinates of the shelter had been given to the Israeli military and that the United Nations Relief and Works Agency had twice tried to coordinate with the Israeli military to evacuate the civilians at the shelter.

The shelter is in an area that has seen intense fighting recently.

Gunness posted: "Precise co-ordinates of the UNRWA shelter in Beit Hanoun had been formally given to the Israeli army. ... " Then minutes later, he tweeted: "Over the course of the day UNRWA tried 2 coodinate with the Israeli Army a window for civilians 2 leave & it was never granted. ..."

It is unclear how many people were in the shelter, but U.N. schools can typically hold up to 1,500 people.

The United Nations Relief and Works Agency, which is helping shelter Palestinians displaced by the conflict, said that 140,000 residents have taken refuge in 83 schools in Gaza that are swerving as shelters

On Wednesday, Ban announced he was ordering a review of incidents where rockets were placed at United Nations Relief and Works Agency schools. Ban demanded that militants stop endangering civilians by putting rockets at the shelters.

Is Hamas using human shields in Gaza?

Not the first U.N. school to be hit

Thursday's hit at the shelter is just the latest violence that has raged for more than three weeks between Israel and Hamas in Gaza. Hundreds have died, including many children.

Thursday's strike marks the third time a U.N. school serving as a shelter has been hit.

The first occurred on July 22 in eastern Gaza, where about 300 people were staying, the UNRWA said. The second occurred Wednesday in central Gaza at a shelter were about 1,500 were staying.

News of Thursday's hit on the shelter also comes as the Israeli military said the number of airstrikes it was launching had been lowered.

Israel Defense Forces said it hit 35 terror targets overnight. A day earlier, the number was 187.

The Israeli military also reported a sharp fall in the number of rockets fired from Gaza early Thursday, although as the day wore on, more rockets were lofted toward Israel, some in the direction of the international airport in Tel Aviv.

But the human cost of the conflict remains clear. It can be seen in the blocks of rubble that line Gaza neighborhoods, where the Israeli military has relentlessly bombed. It's evident in the frayed nerves of Israeli citizens who dive into bomb shelters as Hamas rockets fly in their direction on a daily basis.

At least 797 people have been killed and more than 5100 wounded since the start of an Israeli operation on Gaza, said Dr. Ashraf al-Qidra, a spokesman for the Gaza Health Ministry. On Thursday, 107 people were killed, he said.

An Israeli military representative said Thursday that the violence has killed 32 soldiers and three civilians.

Two killed at West Bank protest

Two Palestinian men were shot and killed during a demonstration in the West Bank in support of residents of Gaza, Palestinian lawmaker Mustafa Barghouti said.

He said more than 15,000 people were marching when Israeli soldiers fired. More than 100 people were wounded, he said. The health minister in Ramallah said 185 of the wounded were brought there for treatment.

Mosques using loudspeakers called for people to donate blood at hospitals, Palestinian television reported.

Protesters were "throwing rocks, firebombs and fireworks" at Israeli security forces, the Jerusalem Post reported. The newspaper, which put the size of the demonstration at 10,000 people, said 13 Israeli police officers were injured.

Diplomatic efforts, some flights to Israel resume

Kerry was back in Cairo, continuing his shuttle diplomacy to forge a truce a day after meeting with Israeli and Palestinian leaders as well Secretary-General Ban.

"Over the last few days, Secretary Kerry has been engaged with the Israelis, Palestinians, Egyptians, Europeans, the U.N., the Arab League, Qatar, Jordan, Turkey and the UAE (United Arab Emirates) to determine how to achieve an end to the current violence and build a process that can create a sustainable path forward," White House Deputy Press Secretary Eric Schultz said.

Can Kerry end the Gaza-Israel bloodshed?

The diplomatic effort wasn't solely limited to the United States, as several Middle Eastern nations worked to try to win Hamas' agreement for an Egyptian-led cease-fire. Hamas said Turkey and Kuwait were also involved.

Meanwhile, Delta Air Lines joined Air Canada and United Airlines in resuming flights to Ben Gurion International Airport in Tel Aviv, airline spokesman Morgan Durrant said. It has been a day and a half since the U.S. Federal Aviation Administration imposed the prohibition of flights to the city because of security concerns.

On Thursday, Lufthansa Group canceled all Lufthansa, Germanwings, Austrian Airlines, Swiss and Brussels Airlines flights flying to and from Tel Aviv through Friday. Lufthansa said in a statement that it "acknowledges the considerable efforts" Israel has made to protect the airport using its "Iron Dome" -- system that targets incoming rockets and fires an interceptor missile to destroy them in the air.

How does the Iron Dome system work?

When Lufthansa is assured that protection can be "verifiably guaranteed" it will resume flights.

Passengers who were booked on canceled flights can rebook free of charge or have their ticket price refunded, the carrier added.

The canceling of flights has caused some controversy which continued Thursday with CNN's Wolf Blitzer asking Israeli Finance Minister Yair Lapid about it.

The FAA's ban was "a major setback to Israel," Blitzer said.

"Yes, it was and it was wrong," Lapid answered.

"It was a win for Hamas, right?" Blitzer said.

Yair responded by saying that Los Angeles International Airport was "ten times" more dangerous that Ben Gurion International though he acknowledges that a rocket had landed about a mile from the airport.

"It's totally safe to fly to Israel," he said, "and I recommend it by the way to everyone who wants to come in."

U.S. ends ban on flights in Ben Gurion

FAA ban marks Israeli setback, Hamas 'victory'

Americans fighting for Israel

What is Hamas' endgame in Gaza?

What is Israel's endgame in Gaza?

Gaza crisis: Who's who in Hamas

Is Hamas using human shields in Gaza

@highlight

CNN crew visits school, finds shattered concrete in courtyard, shrapnel in walls

@highlight

U.N. Secretary-General Ban Ki-moon says the killing must stop now

@highlight

Palestinian government says strike killed 16 people and injured more than 200

@highlight

IDF says it's investigating and it's possible a rocket from Gaza was responsible