JERSEY CITY, New Jersey (CNN) -- Alfa Demmellash grew up on less than a dollar a day, and against the backdrop of torture and murder. But these days she's living the American dream and helping others do the same.

Alfa Demmellash helps low-income entrepreneurs in New  Jersey start or grow their businesses.

"Entrepreneurs are at the very heart of what the American dream is all about," says Demmellash, a native of Ethiopia. And from her small office in Jersey City, her nonprofit, Rising Tide Capital, is helping small businesses flourish.

Robin Munn, who runs a flower shop in Jersey City, says the skills she learned through Demmellash helped her transform the way she operates her business. "I was thinking about closing, but once I started taking the classes I found that the fire came back."

Kim Bratten, a 39-year-old painter and mother of six, says she's seen her yearly income increase by 50 percent since she started working with Demmellash and her team. "They put hope back into the community," Bratten says.  Watch small business owners describe how Demmellash has helped them »

Demmellash's own struggle began in Addis Ababa, Ethiopia, amid instability and unrest. Thousands of Ethiopians -- including her aunt -- disappeared or were tortured and/or killed under the ruling military regime.

When Demmellash was 2, her mother fled the country, leaving the toddler in the care of her grandmother and aunt. Demmellash lived on less than a dollar a day but never considered herself poor.  Watch Demmellash talk about her childhood »

Nearly a decade later, Demmellash and her mother reunited in Boston, Massachusetts. But Demmellash found her mother wasn't living the American dream she'd envisioned.

"I [thought] I would find my mom in a beautiful mansion with trees [and] gold everywhere," recalls Demmellash, now 29. "I was shocked when I found her in her tiny apartment ... working very, very hard."

Her mother had worked as a waitress during the day and a seamstress at night to earn money to bring her daughter to the United States. Watching her mother sew beautiful gowns for low profits, Demmellash thought there had to be a way for her to increase what she was making as a seamstress.

"Even though she had the skills, she did not necessarily have the business skills," she says, adding that her mother's pricing "was completely off."

Still, her mother worked tirelessly to keep her daughter adequately fed, clothed and in school. Demmellash was later admitted to Harvard University, which she was able to attend with the help of "wonderful financial aid."

At Harvard, Demmellash and classmate Alex Forrester discussed what their generation could do to alleviate poverty on a local level. They set out to learn what resources people needed -- or as Demmellash says, "to find people like my mom."

In 2004, the pair started Rising Tide Capital (RTC) to help those who had ideas and abilities but needed the education and support to launch or grow their businesses.

"You hear a lot of talk about Main Street and Wall Street, but no one really talks about how exactly you go about helping the Mom-and-Pops," says Demmellash.

The group runs the Community Business Academy, an intensive training session coupled with year-round coaching and mentorship to help individuals "really work on the hands-on management side of their business," Demmellash says. The organization supports underserved populations, including women, the formerly incarcerated, minorities, unemployed and working poor, and immigrants and refugees.

Demmellash and Forrester -- now married -- have helped 250 entrepreneurs and small-business owners in New Jersey so far, 70 percent of whom are single mothers.

RTC raises money from corporations and works with local governments for funding in order to provide classes and support its participants at affordable costs. Participants pay a small materials and registration fee based on their income range: either $100 or $225 for the course that Demmellash says would cost thousands of dollars otherwise.

The organization has also built partnerships with micro-lenders, so when students are ready, the lenders provide financing.

"The ability to become self-reliant, to have economic hope, [that is] the fabric of this country and we have to fight for it," Demmellash says.

Many of RTC's students use the increased earnings from their new business to supplement their wages, allowing them to better provide for their families and transform the face of their communities, according to Demmellash.

"There are thousands of entrepreneurs, millions across this country, who do incredible things and make money to put food on the table, to pay their bills, and to save for the future and their children," she says.

"If we were to literally bank on them, invest in them [and] support them ... that's the kind of stuff that changes lives and strengthens families."

Want to get involved? Check out Rising Tide Capital's Web site and see how to help.

@highlight

Alfa Demmellash helps low-income entrepreneurs start or grow their businesses

@highlight

Her nonprofit, Rising Tide Capital, primarily serves single mothers

@highlight

Demmellash, an Ethiopia native, was inspired by her mother's struggle

@highlight

Do you know a hero? Nominations are open at CNN.com/Heroes