He might be one of Egypt's most recognizable faces but in Cairo's Tahrir Square last January, when it became the focal point for anti-regime sentiment, actor Khaled Abol Naga was proud to be just one of the crowd.

The award-winning film star and activist, described by many fans as the "Egyptian Brad Pitt," was among the disgruntled Egyptians who filled the square last year when the daily gatherings of thousands of protesters ultimately led to the removal of longtime President Hosni Mubarak.

"I've never been more proud in my life than being one -- not even a leader or a recognized face -- being one of millions who walked and protested in the 18 days," remembers Naga.

"Next to me a CEO from a bank, on the other side a porter who doesn't know even how to read, men, women, Copts, Muslims, educated, uneducated, old, young," he adds.

Naga says that this sense of equality gave Egyptians the bonding and unity they had longed for.

"There was a sense of a new spirit that came to Egyptians and they felt we are all equal and we are all fighting for the same rights. And there's something so good about that, that Egyptians felt so proud of," says Naga.

Tunisian star says artists finally free after uprising

Passionate about his country and his people, Naga says Egyptians are very proud of their African roots and adds that there are many lessons that African countries can learn from the Egypt revolution.

He says: "The power of the people is always stronger than the people in power. In Africa it's time that the people now are realizing that all those dictatorships, all these iron-fist governments, are not helping anybody; definitely not the people of these countries but definitely not the continent as a whole.

"We are very rich -- this is one of the richest resources areas in the world, and very underdeveloped. So it's about time that people really start having the power and to really change this situation and make use for the benefit of its own people.

"So I think it's enough isolation and it's time to unite."

One of Egypt's most popular stars, Naga has carved out a distinctive acting career, winning several awards, including Best Actor for "Leabet El Hob" at the 2006 Alexandria International Film Festival.

More recently, he co-produced and starred in the critically acclaimed "Microphone," a movie examining Egypt's underground art and music scenes.

'Egypt's elections can't be trusted'

The film, which has picked up numerous awards this year, is the latest vehicle for Naga, who has a long history of putting the spotlight on key issues affecting youth in his country and beyond. Since 2007, Naga has been a UNICEF Goodwill Ambassador, championing causes as such as HIV awareness, and highlighting issues such as female genital mutilation and the treatment of street children.

"My interest was always to stand by the youth, youth empowerment," he says. "It's an untapped treasure, the youth of Africa, not only the Arab world, because there is a lot of young people there. We need to empower them, protect them, educate them, so that we really have the real development going on.

"If I talk about any issue I end up finding that the solution would be in the hands of the young people. So, also, you're talking to the future -- when you are talking to the youth you are talking to the future. And that's why I always wanted to, I found myself doing these projects, awareness projects, with young people."

It is this sense of wanting to be involved that has defined Naga's desire to make a difference. Not afraid of voicing his ideas and opinions, he regularly uses his blog to comment on social issues and politics.

He says the process helps him become better at his craft.

"If I'm honest enough and expressing my opinions about things socially, politically, I feel better about myself and I feel that I can actually be a better artist," says Naga.

@highlight

Khaled Abol Naga is one of Egypt's most prominent film stars

@highlight

He supported the anti-regime demonstrations taking place in Cairo's Tahrir Square last year

@highlight

'The power of the people is always stronger than the people in power,' says Naga

@highlight

The actor turned activist has been championing causes such as HIV awareness