(CNN) -- Facing a stopover of a few hours in Zurich? Don't waste it in the airport lounge. Check in your suitcase, and zip into the city for a brief encounter with a European cultural capital set amidst idyllic natural surroundings.

Getting around

Zurich airport, voted the world's seventh best in the recent World Airport Awards, is a mere 10-minute train ride from the city center, with trains leaving about every 10 minutes. You can safely venture into the city without fear of missing your connection -- this being Switzerland, the trains run like clockwork.

The Swiss are among the world's biggest users of trains, second only to the Japanese, and insist on rail services that are reliably punctual. Zurich's hyper-efficient Glattalbahn tram network is also invaluable for the time-pressed traveler. The number 10 service runs every seven to 15 minutes and connects Zurich Airport with the city's centrally located main railway station.

Situated at the northern tip of Lake Zurich, with a view of the Alps in the distance, Switzerland's largest city has a rich history as a center of European high culture. With a heritage stretching back to Roman times, it is home to grand historic buildings and more than 50 museums, meaning travelers will find plenty to occupy themselves with.

See also: Higher air fares, more mergers?

None of it comes cheaply though: Zurich recently overtook Tokyo to become the world's most expensive city, according to the Worldwide Cost of Living Survey. To mitigate those expenses, even those on a flying visit will likely find it worthwhile buying a ZurichCARD, which can be bought at the service center at the airport or the railway station.

The card, which costs 20 CHF ($21.60) for a 24-hour option, offers free travel on the city's comprehensive public transport network of trains, trams, buses and boats, free admission to museums, and significant discounts on guided tours and other attractions.

Given that the return train fare from the airport to the city center is 12.80 CHF ($13.80), and the entry to the Kunsthaus, the city's modern art museum, is 15 CHF ($16.20), even if you only have time for one activity, the card will more than likely pay for itself.

City tours

Zurich Tourism advises taking a guided tour of the city, which can be booked through its website.

Tours of the postcard scenes of the city's historic Aldstadt, or Old Town, take two hours and run every day, while other tours visit key sites that give an insight into the city's history -- the rise of guilds in the 14th century, or how the city became a stronghold of the Reformation. Another option visits Zurich West, the city's former industrial district between the Limmat River and the railway, which is now a hip, grungy home of designer retailers and eateries.

But if you prefer to go at your pace, most of the city's attractions are concentrated in the Old Town, around the river and lakefront, with the rest easily accessed on Zurich's celebrated public transport network, the world's densest.

See also: Singapore stopover: Make the most of your travel time

Sights

For a culture fix, head to the Kunsthaus, Switzerland's most significant art collection, representing the important periods of European art from the Middle Ages. Just a few minutes walk away, toward the banks of the Limmat River, is the Grossmunster, a Romanesque-style protestant church that is one of the city's three great churches. Climb the tower for a great view of the city.

Five minutes walk across the Limmat is one of the city's other major churches, the Fraumunster, featuring stained glass windows by celebrated Russian artist Marc Chagall.

Behind the Fraumunster runs the Bahnhofstrasse, a mile-long shopping street that is one of the world's most exclusive (and expensive).

If you have a few hours to spare before your flight, and feel like a bracing trip on the water, the ZurichCARD also allows for free travel on the boats plying Lake Zurich. Boat cruises on 90-minute round trips depart from the Lake Zurich Navigation Company's depot on the waterfront at Burkliplatz, about five minutes walk from the Fraumunster.

Fast food

Sightseeing can work up a hunger and some of the city's most distinctive dining experiences are to be had in the Old Town, housed in halls that were formerly home to the guilds that wielded power in the city.

But on a tight time frame, it might make more sense to grab something on the go. Follow the crowds to the Sternengrill -- a mobile bratwurst vendor that is a city institution. Other Swiss specialties include soft, baguette-like pretzels loaded with savory fillings -- available city-wide from pretzel chain BrezelkÃ¶nig -- and fresh-cooked crepes smeared in apple sauce, which you can pick up from countless roadside vendors.

Sated on street snacks and sightseeing, head back to the train station and make the short ride back to the airport content in the knowledge you've done something more stimulating during your stopover than check your email.

@highlight

Zurich airport's proximity to the city and good rail link make a city visit essential on a stopover

@highlight

It's a 10-minute trip from the airport to the town center, and trains are reliably punctual

@highlight

Situated on a lake, the city has great scenery and extensive art offerings

@highlight

It was recently voted the world's most expensive city, so look at buying a discount card