(CNN) -- On Wednesday, the U.S. Supreme Court will review the Voting Rights Act of 1965, a landmark legislation that cleared barriers to the ballot box for all American citizens.

In Shelby County v. Holder, the Court will hear arguments on Section 5 -- the heart of the Voting Rights Act -- that allows the federal government to block state election practices that are discriminatory. A predominantly white county in Alabama, Shelby County, charges that the decision of Congress in 2006 to reauthorize Section 5 is unconstitutional.

The case comes on the heels of a federal election last fall in which our nation witnessed the greatest assault on voting rights in more than a half century. Drastic cuts to early voting hours, restrictive photo ID laws, tens of thousands of registered voters being dropped from poll books due to illegitimate purges were only a few of the tactics used to keep people from voting.

Desiline Victor, a 102-year-old Miami resident who was invited to join first lady Michelle Obama at the recent State of the Union address, stood in line for more than three hours to cast a ballot. Sadly, thousands of voters had to endure waiting times up to eight hours, prompting President Barack Obama to call for the nation to "fix it."

New laws and policies are being considered on the state and federal level now that will make it harder to vote -- particularly for the elderly, the young and people of color. Without the protections afforded by Section 5 of the Voting Rights Act, many Americans would find voting even more difficult.

Election Day is the one day where we are all equal. Black, brown or white, rich or poor, we all have an equal say in the ballot box. Voting is the most fundamental pillar of a democracy and it is imperative that we keep elections free, fair and accessible to all.

Opinion: Voting Rights Act and the South on trial

As this important debate begins anew, here are five key misconceptions you need to know about the Voting Rights Act and why it remains as relevant today as the day it was originally signed.

Section 5 unfairly punishes the South for its past

This provision of the Voting Rights Act requires jurisdictions with a history of discriminatory voting practices to get federal "pre-clearance" (essentially, permission from the Department of Justice) before changing any voting procedure. This applies to not just Southern states, but also to other states such as Alaska, Arizona, along with certain counties in New York, Michigan, South Dakota, New Hampshire and California.

Once a state has demonstrated that it can fairly run elections for a period of 10 years, it can be exempted from Section 5. In fact, every jurisdiction that has sought this "bailout" since 1982 has been approved. The jurisdictions that remain covered by Section 5 have not applied for bailouts. They are not being punished for their past, but held accountable for their present practices.

The formula is outdated

Section 5 is not static, and dozens of jurisdictions have been added under the provision since it was first passed. In fact, Section 5 was reconsidered and reauthorized by Congress in 1970, 1975, 1982 and 2006 based on extensive evidence of continuing discrimination.

The NAACP, Advancement Project and other civil rights advocates have long pushed for expanding Section 5's "pre-clearance" to include more states with voting problems, such as Ohio and Colorado, and more counties with records of egregious discrimination in voting. Doing so, however, takes Congressional action. So far, Washington's lawmakers have not demonstrated the political will. We should not revoke critical protections for fair voting simply because Congress has failed to act on expanding them.

Section 5 is no longer applicable

The Voting Rights Act was passed not only for the most extreme acts of intimidation, but also for the small changes, such as literacy tests and poll taxes, that made voting harder for people of color and poor whites. The last few years leading up to the 2012 elections saw the greatest efforts to pass restrictive voting laws since the post-Reconstruction era, including limiting the type of ID that people can use, and requiring additional proof of citizenship to register and vote, all of which disproportionately impact people of color and the working poor. These adjustments unfairly shift the goal line and demonstrate why Section 5 is still needed.

Section 2 is sufficient to ensuring fair voting procedures

While Section 2 of the law bans voting practices that discriminate on the basis of race or ethnicity, it is enforced only through lawsuits. When lawsuits are filed, the burden of proof rests with the challenger (not the local or state government that has changed voting rules).

In contrast, Section 5 ensures that discrimination can't take hold by blocking problematic policies from going into effect in the first place. Without these precautions, unfair voting policies would go unchecked, leaving disenfranchised voters to face harm later.

The country reelected an African-American president, with a large share of support from black and Latino voters, so we no longer need their votes to be protected by Section 5

Section 5 made a difference in the 2012 elections. It blocked restrictive photo ID laws in Texas and South Carolina, and was used to reject a Texas redistricting plan that would undercut Latino voting power. And as the U.S. Department of Justice reviews Mississippi's photo ID law, that measure is on hold.

It is against this backdrop that the Supreme Court will hear the challenge to Section 5 of the Voting Rights Act. Losing this provision would signal a green light for even more partisan legislatures to manipulate election laws for political gains.

At a time when voting rights are increasingly under attack, we should be expanding federal oversight of voting laws -- not scrapping the most effective civil rights legislation ever enacted.

The opinions expressed in this commentary are solely those of Penda D. Hair and Benjamin Todd Jealous.

@highlight

On Wednesday, the Supreme Court will review the Voting Rights Act of 1965

@highlight

Penda Hair, Benjamin Jealous: Losing Section 5 of the Act would harm our democracy

@highlight

Leading up to the 2012 elections, we saw great efforts to pass restrictive voting laws, they say

@highlight

Hair, Jealous: Without Section 5 of the Act, unfair voting policies would go unchecked