SEOUL, South Korea (CNN) -- Former U.S. President Bill Clinton on Tuesday urged urban leaders and policymakers they need to take the lead now in fighting climate change.

Bill Clinton to urban leaders in Seoul: What will you do about climate change?

"What are you going to do and how much are you going to spend?" Clinton asked leaders from the world's biggest cities at a climate summit being held in South Korea's capital, Seoul.

Officials from the world's 40 biggest cities plus 17 affiliate municipalities are attending the C40 Large Cities Climate Summit, which ends on Thursday.

Waiting for nations to take the lead with a new climate protocol in Copenhagen in December is not an option, said David Miller, mayor of Toronto and chairman of the C40 Cities Leadership Group.

"If governments talk about reducing CO2 (carbon dioxide), cities are the ones that show how it's done," Miller said. "The point is that cities act, and working together we have a scale and a size that we dramatically increase people's ability to fight climate change.

"The challenge for national governments is that while they can sometimes reach agreement they don't know how to act collectively," Miller continued. "For cities, that's easier. We all have climate strategies, but can make our actions work better and make the partnerships to do that."

The Seoul summit is the third conference by cities held to discuss responses to climate change. The C40 group was established in London in 2005. A second summit was held in New York in 2007.  Watch efforts to make New York's Empire State Building more eco-friendly »

Much of the talk at this week's conference was how major urban centers could work toward adhering to the Kyoto Protocol, the existing environmental treaty that sets targets for nations to reduce greenhouse gas concentrations. Adopted in December 1997, the Kyoto Protocol entered into force in February 2005.

In countries that did not sign up to the Kyoto agreement, cities took it upon themselves to reduce their carbon footprint. While the United States did not sign Kyoto, 825 U.S. cities and towns signed up to a climate protection agreement that embraced that protocol's goals.

Some nations that signed Kyoto have set more ambitious environmental targets. Copenhagen, for example, aims to be the world's first carbon neutral capital by 2025.

Toronto, like other cities, will be sending a city delegation to Copenhagen for the U.N. summit in December. There to lobby governments and for a parallel cities summit, Miller hopes that the actions that cities are taking now, and the partnership that he expects to be made while in Seoul this week, will serve as examples that the carbon reduction goals can be reached.

"Copenhagen is very important for all countries to agree, because we are losing the battle. Cities will be there and we're going to be very active. We'll have credibility because we are actually doing things. We'll be able to say to governments that they need to engage, empower and resource cities so we can accomplish the goals."

How to actually reduce CO2 emissions is the purpose of the Seoul summit, Clinton reminded delegates. Representing around 600 million people worldwide, mayors and policymakers in Seoul have the ability to make a difference with climate change policies, the former U.S. president added.

If the methods of reducing a city's carbon footprint are known there is still the question of the means, which vary wildly between the first world urban areas such as Seoul, London and Toronto, and other attendees from cities in the developing world, such as Ho Chi Minh City, Vietnam and Lagos, Nigeria.

Miller believes that providing good examples of effective climate change policies and grasping the opportunity for cities to take the lead in planning for a low-carbon future should not be missed.

He highlighted Toronto's own "tower renewal" project, retrofitting buildings in a run-down area of town that he hopes will be an example of a carbon-neutral urban renewal project that can be applicable elsewhere.

New building projects in two areas of London and the creation of a new city in central Florida -- Destiny -- were among 16 projects announced at the summit as climate-positive initiatives and supported by the Clinton Climate Initiative. Once built, these projects will absorb more CO2 than they use, supporters claimed.

Seoul Mayor Oh Se-hoon introduced the South Korean capital's ambitious environmental plans, including building a vast path of park land bisecting the capital.

Delegates cited practical challenges they are facing. The spread of the H1N1 virus had crippled Mexico City's economy by scaring off tourists, officials from that city said at the summit. Without money, they said, even the most promising environmental plans can struggle.

Luis Castaneda Lossio, the mayor of Lima, Peru, highlighted the initiatives his city is trying to pursue. Compared to Seoul's thousands of acres of parkland, he admitted they had struggled to plant 150 trees in the traffic-clogged city.

"Solidarity is essential!" Lossio said with verve as a final remark during his address on making Lima a low-carbon city.

It was a sentiment echoed by Miller, who highlighted the opportunities for cities such as Toronto to take a lead during the global economic recession.

"I've always believed in activist governments. The private sector is in retreat. The green agenda is a way to restart the economy by doing the right thing. If there are ways for the governments to create incentives, like grants for solar power, then you can kick-start the economy on the right path, but cities and government importantly have to do that now. We have a great opportunity."

@highlight

Summit of world's largest cities meeting in Seoul to discuss climate change

@highlight

Ex-U.S. President Clinton says cities must take lead with green policies

@highlight

Initiative by cities began in 2005 in London

@highlight

U.N. to hold climate conference at end of year in Denmark