(CNN) -- The United Nations is urging Pakistan to look deeper into reports that thousands of people inside the country have been illegally detained or disappeared.

A U.N. delegation spent 10 days inside Pakistan at the invitation of the government, and interviewed families of the missing. The group issued a detailed report on their findings Thursday.

In many cases, the group found, families were often intimidated or threatened against reporting cases to authorities and were given empty promises that if they didn't, their loves ones would be returned to them.

The U.N. commission that receives reports of missing has more than 500 cases in its docket for all of Pakistan.

But that number, the working group notes, "may not be reflective of the reality of the situation."

"According to various official and unofficial sources met during the visit, it is in the post 9/11 period that the question of 'missing persons' began to raise real attention at the national level," the report says. "There is acknowledgment that enforced disappearances have occurred and still occur in the country."

"Cases continue to be reported to the national authorities. But there are controversies both on the figures and on the nature of the practice of enforced disappearances."

CNN was unable to obtain comment Thursday and Friday from Pakistani government officials about the report.

At least two high ranking Pakistani officials told CNN they were devoting attention to protests that have erupted in the country over an online anti-Islam film.

Disappearances related to 9/11

The U.N. group visited Islamabad, Lahore, Karachi, Quetta and Peshawar and with families of those who are missing.

"We call on the State to guarantee the safety of those who have met with us and protect them against any form of reprisals, threat or intimidation," the group wrote.

Throughout their time in Pakistan, the group held numerous meetings with NGOs, activists and lawyers as well as government representatives. It talked with people involved in diplomatic circles in Islamabad and heads of various U.N. agencies.

A number of cases of disappearances filed with the group allegedly occurred in 1985 and the beginning of the 1990s, in the country's northwest region, the report says. The alleged disappearances appear to be related to conflicts in Afghanistan. And in the 1990s, the cases seem connected to the military operations carried out in Karachi, specifically in the Sindh province.

In the 2000s, the working group started receiving information about people allegedly abducted "in the context of the so-called 'war on terror' and sometimes said to have been transferred to other (Pakistani) territories or detention" centers, the report says.

The working group heard a range of figures for how many may be missing -- between a hundred to thousands.

Found dead, tortured

In the western province of Baluchistan, sources told the group that more than 14,000 people are still missing.

In Baluchistan, since 2010, people who were missing were discovered dead. Their bodies had signs of torture, and due to decomposition their families didn't recognize them.

The local government says only 100 are missing, the U.N. group notes.

The federal and local officials the group met with claimed the missing persons were not victims of forced disappearances, the report says. Rather, the officials said those people had actually been under criminal charges and chosen to go into hiding.

Others, the Pakistani officials told the U.N. group, fled to another country to join illegal armed organizations.

Another scenario presented to the U.N. investigators was that the missing were abducted by groups not affiliated with Pakistan.

Some people who have gone missing and turned up again have testified to being held in unofficial places of detention, the report says. Many said they had been threatened not to speak about their detention.

Fitting a pattern

The stories of families of the missing appear to fit a patten, according to the report: Abductors appearing to be law enforcement and accompanied by what appear to be plain clothes intelligence agents, remove a person in front of witnesses.

Some families told U.N. representatives they had tried to file a report with the police but were turned down or discouraged from doing so.

Many filed their cases with the Supreme Court of Pakistan so that the Court would issue an order to the police to initiate an investigation.

In a "large number of cases," the families would be threatened or intimidated against reporting. In a few cases, the U.N. group reports, lawyers defending the families were reportedly victims of enforced disappearances.

The U.N. group praised efforts by some Pakistani courts in which people were found and returned to their families but "in the greatest number of cases," investigations went nowhere.

Even when there's evidence, the report says, perpetrators are often not prosecuted.

@highlight

A U.N. delegation went to Pakistan to investigate reports of missing people

@highlight

Cases alleged law enforcement or Pakistani intelligence involved in cases

@highlight

The delegation released a report detailing its findings