(CNN) -- Protests in Egypt have dominated international headlines of late, but signs of unrest are prevalent in several countries throughout the Middle East and Africa.

Emboldened by an uprising in Tunisia, which saw the nation's president of almost a quarter century flee to Saudi Arabia, protesters have staged similar demonstrations from Lebanon to Yemen to Algeria.

Here are the latest developments across the region:

Egypt

Protesting lawyers toppled barricades at Cairo's Abdeen Palace, and petroleum, railway and telecommunications employees called strikes to stand in solidarity with the protesters. Thursday marked Day 17 of the protests.

Despite promises of reforms and constitutional amendments to allow for free elections, demonstrators were angered by President Hosni Mubarak's refusal to immediately step down. Protests were further fanned when Egypt's Vice President Omar Suleiman said Egypt is not ready for democracy.

Last week: Prime Minister Ahmed Shafiq apologized for the violent attacks on protesters as the military took position between pro- and anti-President Hosni Mubarak supporters. It did not stop the two sides from clashing.

Shafiq and Vice President Omar Suleiman were meeting with opposition groups, including protesters in Cairo's Tahrir Square, state media reported, but some administration opponents have rejected the invitation.

Jordan

King Abdullah II swore in a new government Wednesday, which included several opposition figures, members of several political parties, an independent Islamist and the editor of a newspaper that is sometimes critical of the government.

Officials close to Abdullah say the king is hoping to turn the regional upheaval into a genuine opportunity for reform, but the nation's Muslim Brotherhood has refused to join the government, saying the prime minister should be chosen by parliament, not the king.

On Wednesday, Jordanians gathered in front of of the Egyptian Embassy to demand that their loved ones jailed abroad be returned home. An iReporter captured some of the protesters on camera as they accused countries such as Saudi Arabia, Iraq, Syria and the United States of holding their loved ones without due process.

Last week: Abdullah responded to protests by dismissing his entire government.

Jordanians, who rely heavily on international aid, have been hit hard by rising wheat and oil prices in recent months, as well as high youth unemployment.

The government recently restored subsidies and improved pay for civil servants, and the king directed new Prime Minister Marouf al-Bakhit, an ex-intelligence chief, to tackle corruption, enact political reform, spur development and strengthen democracy.

Though some groups have backed out of planned protests, the Islamic Action Front said it plans to continue street demonstrations Friday in protest of al-Bakhit's appointment.

Yemen

There has been a lot of political jockeying since pro- and anti-government demonstrators took to the streets last week .

Many Yemenis say they do not believe the situation there will get to the point it has reached in Egypt or Tunisia, but they also expressed concerns about unemployment and their future.

On Monday, Prime Minister Ali Mujawar said his country is democratic and accused opposition parties of "trying to duplicate what happened in Tunisia and Egypt, and act as if it should be imposed on the people here in Yemen."

Last week: President Ali Abdullah Saleh had said he would not seek re-election and would not pass power to his son, but it wasn't enough for thousands of anti-government protesters who gathered near Sanaa University in the nation's capital.

They spoke out against poverty and demanded that Saleh, whose term ends in 2013, step down. Saleh said he has requested his party to freeze debate on a constitutional amendment to end term limits until a consensus is reached.

Syria

A Facebook page dubbed "Syrian Revolution 2011" attracted 15,000 friends in a week, Time magazine reported.

Like other regimes in the region, Syria faces political alienation, economic dislocation and corruption, but because it has been the subject of international sanctions, it is beholden to no Western powers. This separates Syria from places such as Egypt and Tunisia, analysts told the magazine.

According to Human Rights Watch, security services have beaten and detained protesters. A candlelight vigil in old Damascus for the Egyptian protesters was broken up by people in civilian clothing, and police nearby failed to intervene. When one of the vigil's organizers went to police, she was slapped and called a "germ," the watchdog group said.

Last week: After seeing unrest in the region, President Bashar al-Assad said he would push for political reforms in his own country because waiting for protests like those in Egypt and Tunisia might make it "too late to do any reform."

Reform activists used Facebook to call for demonstrations in Damascus, Aleppo and other cities, but it was unclear how many people would turn out.

By all accounts a police state, Syria has been ruled by President Bashar al-Assad for more than 10 years. Before him, his father, Hafez al-Assad ruled the country for almost three decades.

Tunisia

A transitional government is overseeing sweeping changes after massive demonstrations forced out the country's longtime president.

Internet filters have disappeared and there is unfettered access to websites. Journalists are learning how to create a free press and are transforming their newspapers, radio broadcasts and television stations.

Reforms are taking place in every region of the country, and people are expressing their opinions openly in the streets, something that didn't happen under President Zine El Abidine Ben Ali.

Still, small incidents disrupt daily activity. The incidents are widely believed to be perpetrated by people who once worked for Ben Ali's secret police and are aiming to destabilize the transitional government.

Last week: The north African nation charged Ben Ali, as well as his wife and several relatives, with maintaining and exporting foreign currency illegally, carrying weapons and ammunition without licenses and inciting armed violence among Tunisians.

The ex-leader fled to Saudi Arabia last month after mass protests that left more than 100 people dead.

Protests there began when demonstrators -- credited with starting the ripple effect of protests across North Africa and the Middle East -- lashed out at poor living conditions, high unemployment, government corruption and repression.

Sudan

Final results of last month's referendum show that the southern Sudanese voted almost 99 to 1 to split from the north, leading to what will be the world's newest nation in July.

An election official said the vote was peaceful and transparent and "not a single person showed up to appeal the results."

Despite the vote's smoothness, violence erupted on the north-south border when Sudanese soldiers loyal to Gabriel Tang, a southern Sudanese militia leader who fought in a 22-year-old civil war alongside the Khartoum government, refused to turn in their weapons. Fifty people were killed in fighting.

Last week: Already faced with the expected secession of its oil-rich south and charges of genocide against President Omar al-Bashir, Sudan's government began seeing signs of unrest.

Police clashed with students in the capital Khartoum on Sunday as the protesters chanted, "Tunisia, Egypt, Sudan together as one."

About 100 students hurled rocks at police officers, who pushed them back. The human rights group Amnesty International said more than 20 people still being held by police "are at risk of torture or other ill-treatment."

Lebanon

Observers say that if the country doesn't find a suitable end to its political turmoil, it could become a battleground between Iran and Syria on one side and pro-Western forces on the other.

Attempts to form a new government have been complicated by a U.N. tribunal probing the assassination of former Prime Minister Rafik Hariri. The tribunal is expected to implicate members of Hezbollah in the killing, which led the group to drop out of the government last month.

Hezbollah's leader, Hassan Nasrallah, this week said Arab regimes have been confronted by popular protest because of their alliances with the United States and Israel.

Last week: Protests erupted in January as President Michel Suleiman appointed Najib Mikati, a Hezbollah-backed politician, as prime minister.

Supporters of former Prime Minister Saad Hariri saw the move as a power grab by the Shiite movement that enjoys Iranian support and is designated a terrorist group by the U.S. State Department.

Hariri initially urged supporters to stage a "day of rage" and show restraint in protesting the appointment, but the demonstrations quickly grew ugly as gunshots were fired and his supporters burned tires and garbage containers in various cities.

Algeria

In addition to a promise to lift a state of emergency, the government also cut taxes on sugar and cooking oil and increased the supply of wheat, Time magazine reports. The moves come after weeks of protests.

The Algerian Press Service has reported that the government is also taking measures to bolster youth employment.

Saad Djebbar, a London-based Algerian lawyer and political analyst, said he is skeptical.

"They want to produce some sort of trick that would show that reform is under way, like what Mubarak is doing in Egypt, who appears to be using all of the tricks in the book to avoid being removed," he said.

Last week: Responding to unrest in the region, President Abdelaziz Bouteflika said he would lift the state of emergency in effect for nearly 20 years, according to the Algerian Press Service.

Last month, the country's largest opposition party called for demonstrations demanding the release of detainees and the restoration of individual and collective freedoms.

Opponents blame the government for a spike in food prices and say the regime has failed to use Algeria's vast energy wealth to better the lives of ordinary people.

CNN's Eliott C. McLaughlin, Steve Kastenbaum, Mohammed Jamjoom, Rima Maktabi, Josh Levs, Nic Robertson and Nada Husseini contributed to this report.

@highlight

Jordan's king swears in a new government, including opposition members, newspaper editor

@highlight

Analyst says Syria could be immune to protests because it is a pariah state

@highlight

In Lebanon, Hezbollah's leader says Arab unrest stems from ties to U.S., Israel

@highlight

Protests prompt Algerian government to tackle food taxes, youth unemployment