(CNN) -- Riots from Haiti to Bangladesh to Egypt over the soaring costs of basic foods have brought the issue to a boiling point and catapulted it to the forefront of the world's attention, the head of an agency focused on global development said Monday.

Bangladeshi demonstrators chant slogans against high food prices during weekend protests.

"This is the world's big story," said Jeffrey Sachs, director of Columbia University's Earth Institute.

"The finance ministers were in shock, almost in panic this weekend," he said on CNN's "American Morning," in a reference to top economic officials who gathered in Washington. "There are riots all over the world in the poor countries ... and, of course, our own poor are feeling it in the United States."

World Bank President Robert Zoellick has said the surging costs could mean "seven lost years" in the fight against worldwide poverty.

"While many are worrying about filling their gas tanks, many others around the world are struggling to fill their stomachs, and it is getting more and more difficult every day," Zoellick said late last week in a speech opening meetings with finance ministers.  Watch what world leaders are doing to solve the problem »

"The international community must fill the at least $500 million food gap identified by the U.N.'s World Food Programme to meet emergency needs," he said. "Governments should be able to come up with this assistance and come up with it now."

The White House announced Monday evening that an estimated $200 million in emergency food aid would be made available through the U.S. Agency for International Development.

"This additional food aid will address the impact of rising commodity prices on U.S. emergency food aid programs, and be used to meet unanticipated food aid needs in Africa and elsewhere," the White House said in a news release.

"In just two months," Zoellick said in his speech, "rice prices have skyrocketed to near historical levels, rising by around 75 percent globally and more in some markets, with more likely to come. In Bangladesh, a 2-kilogram bag of rice ... now consumes about half of the daily income of a poor family."

The price of wheat has jumped 120 percent in the past year, he said -- meaning that the price of a loaf of bread has more than doubled in places where the poor spend as much as 75 percent of their income on food.

"This is not just about meals forgone today or about increasing social unrest. This is about lost learning potential for children and adults in the future, stunted intellectual and physical growth," Zoellick said.

Dominique Strauss-Kahn, managing director of the International Monetary Fund, also spoke at the joint IMF-World Bank spring meeting.

"If food prices go on as they are today, then the consequences on the population in a large set of countries ... will be terrible," he said.

He added that "disruptions may occur in the economic environment ... so that at the end of the day most governments, having done well during the last five or 10 years, will see what they have done totally destroyed, and their legitimacy facing the population destroyed also."

In Haiti, the prime minister was kicked out of office Saturday, and hospital beds are filled with wounded following riots sparked by food prices.  Watch Haitians riot over food prices »

The World Bank announced a $10 million grant from the United States for Haiti to help the government assist poor families.

In Egypt, rioters have burned cars and destroyed windows of numerous buildings as police in riot gear have tried to quell protests.

Images from Bangladesh and Mozambique tell a similar story.

In the United States and other Western nations, more and more poor families are feeling the pinch. In recent days, presidential candidates have paid increasing attention to the cost of food, often citing it on the stump.

The issue is also fueling a rising debate over how much the rising prices can be blamed on ethanol production. The basic argument is that because ethanol comes from corn, the push to replace some traditional fuels with ethanol has created a new demand for corn that has thrown off world food prices.

Jean Ziegler, U.N. special rapporteur on the right to food, has called using food crops to create ethanol "a crime against humanity."

"We've been putting our food into the gas tank -- this corn-to-ethanol subsidy which our government is doing really makes little sense," said Columbia University's Sachs.

Former President Clinton, at a campaign stop for his wife in Pennsylvania over the weekend, said, "Corn is the single most inefficient way to produce ethanol because it uses a lot of energy and because it drives up the price of food."

Some environmental groups reject the focus on ethanol in examining food prices.

"The contrived food vs. fuel debate has reared its ugly head once again," the Renewable Fuels Association says on its Web site, adding that "numerous statistical analyses have demonstrated that the price of oil -- not corn prices or ethanol production -- has the greatest impact on consumer food prices because it is integral to virtually every phase of food production, from processing to packaging to transportation."

Analysts agree the cost of fuel is among the reasons for the skyrocketing prices.

Another major reason is rising demand, particularly in places in the midst of a population boom, such as China and India.

Also, said Sachs, "climate shocks" are damaging food supply in parts of the world. "You add it all together: Demand is soaring, supply has been cut back, food has been diverted into the gas tank. It's added up to a price explosion." E-mail to a friend

@highlight

Rise in food prices is "the world's big story," development official warns

@highlight

World Bank chief warns that rise in prices could set anti-poverty efforts back

@highlight

Crisis also spurs debate on whether ethanol production is to blame

@highlight

Riots have occurred in numerous countries recently