Washington (CNN) -- President Obama said Tuesday his televised health care summit with Republican leaders on February 25 should involve true give-and-take negotiations instead of mere "political theater."

In a rare appearance at the daily White House media briefing, Obama said he wants the meeting -- which also will include health care experts -- to "establish some common facts" on the health care issue and reach agreement on the most pressing health care problems facing the country.

To signal his willingness to compromise, Obama said he would consider a Republican push to include limits on medical malpractice lawsuits in a health care bill if the proposal can be shown to truly reduce overall health care costs. The president acknowledged the issue could "make my party uncomfortable," an apparent nod to traditional Democratic support among trial lawyers who oppose such limits.

However, Obama said bipartisanship on health care reform cannot mean only that "Democrats give up everything they believe in."

"Bipartisanship depends on a willingness among both Democrats and Republicans to put aside matters of party for the good of the country," he said.

Obama's comments followed a meeting with top congressional leaders from both parties, the first since he pledged in last month's State of the Union address to hold regular bipartisan talks. Republican leaders in the meeting later repeated their past insistence that the upcoming health care negotiations start from scratch, instead of building on separate Democratic health care bills passed by the House and Senate.

"What we need to do is start over, go step-by-step on a truly bipartisan basis to try to reach an agreement," Senate Minority Leader Mitch McConnell, R-Kentucky, told reporters. "My members are open to doing that."

House Minority Leader John Boehner, R-Ohio, indicated he and other GOP chiefs are ready to attend the February 25 health care summit, but have questions for the White House on the lineup and agenda for the meeting. Boehner noted Republican leaders sent White House Chief of Staff Rahm Emanuel a letter Monday asking for details of the proposed talks.

"The letter last night tried to understand what the purpose of the meeting is," Boehner said, adding: "If we're truly going to have a bipartisan conversation, then let's just scrap this bill that the Democrats can't pass in the House or Senate and let's start over on a real conversation about how to make the current system work better."

The half-day summit is an attempt by the Obama administration to rescue health care legislation, a top domestic priority for the president. Televising it also would help fulfill a campaign promise by Obama that health care negotiations would be broadcast live.

The planned talks with Republicans are the first clear strategy by Obama and Democrats on how to proceed on health care after losing their 60-seat supermajority in the Senate.

Republican Scott Brown was sworn in as the new U.S. senator from Massachusetts last week, leaving the Democrats one vote shy of being able to overcome GOP filibusters of health care reform and other major initiatives.

Obama first floated the idea of face-to-face, televised talks with Republicans to seek a health care compromise last week. In a speech Thursday at a fundraising event, he said whatever legislation emerges from the talks should then go to Congress for a vote.

He announced the planned meeting in a nationally televised interview with CBS before the Super Bowl on Sunday, and said Tuesday that the idea is to reach agreement on solving a problem that only will get worse.

As an example, Obama cited a report his week that Anthem Blue Cross, which he called the largest insurer in California, was planning to raise premiums for individual health policies by as much as 39 percent.

"If we don't act, this is just a preview of coming attractions: Premiums will continue to rise for folks with insurance, millions more will lose their coverage altogether, our deficits will continue to grow larger," Obama said, adding that "we have an obligation -- both parties -- to tackle this issue in a serious way."

That means both Democrats and Republicans will have to accept a bill that lacks all they want, but does the right thing for the country, Obama said.

"I'm willing to move off some of the preferences of my party in order to meet them halfway, but there's got to be some give from their side as well," the president said.

First lady Michelle Obama, appearing Tuesday on CNN's "Larry King," said she's "hopeful that Congress will come together" to get health care legislation passed. "We're spending billions of dollars on preventable diseases and new health care legislation could go a long way to improving prevention, first and foremost," the first lady said.

"People have to have a pediatrician in order to get good information from their pediatrician. People have to be able to take their kids to well doctor visits to have all this information tracked," she said. "So, we have to get this done."

The Republican letter to Emanuel on the February 25 meeting offered the GOP view, saying: "Bipartisanship is not writing proposals of your own behind closed doors, then unveiling them and demanding Republican support. Bipartisan ends require bipartisan means."

Republicans complain that the Democratic majorities in the House and Senate rammed through their preferred bills without giving GOP issues a fair hearing. Obama and Democrats respond that the bills went through the full legislative process, including lengthy committee meetings and floor debate, with Republicans taking part and offering amendments, including some that were accepted.

Obama said last week that Democratic leaders were completing work on merging the House and Senate health care bills into a single Democratic proposal for the talks with Republicans. A key question for the February 25 talks will be whether Obama and Democratic leaders want their merged health care bill to serve as the starting point for an agreement.

Republicans complain the comprehensive Democratic health care bills would lead to a government takeover of health care. They call for smaller steps focused on individual issues, such as limiting medical malpractice lawsuits.

Democrats, however, say that spiraling health care costs that threaten the nation's future economic stability can only be addressed through comprehensive reform.

Obama said last week that the merged Democratic bill would expand coverage to 30 million Americans who currently lack health insurance while reducing long-term health care costs.

It proposes an insurance exchange to allow people and small business owners to pool together to purchase coverage, Obama said, but he made no mention of a government-run public health insurance option that Republicans have rallied against.

Obama said the Democratic proposal would include reforms that prevent insurance companies from denying coverage for pre-existing medical conditions or capping lifetime benefits.

"And by the way, all of it is paid for," Obama said. "Not only is it deficit neutral, but the Congressional Budget Office, which is the bipartisan office that is the scorekeeper for how much things cost in Congress, says it is going to reduce the costs by $1 trillion."

Obama called health care reform the "single best way to bring down our deficits.

"Nobody has disputed that," he added.

"Nobody can dispute the fact that if we don't tackle surging health care costs, then we can't control our budget," he said.

CNN's Ed Henry, Dana Bash, Tom Cohen and Alan Silverleib contributed to this report.

@highlight

President spoke after meeting with top congressional leaders from both parties

@highlight

Obama: Summit a way to "establish some common facts" on health care

@highlight

GOP plans have called for smaller steps, such as limiting malpractice suits

@highlight

Obama: Health care reform is the "best way to bring down our deficits"