Washington (CNN) -- Republican presidential candidate Mitt Romney is a multimillionaire who wanted elevators for his luxury cars and whose wife wears $1,000 designer T-shirts.

Barack Obama, even before being elected president, was an academic intellectual who made millions writing books and then became a professorial media darling who hobnobbed with Hollywood celebrities and Wall Street investment bankers.

Yet each candidate accuses the other of being out of touch, unable to connect with everyday people. Just look at their gaffes last week over the ailing economy.

Romney called Obama "out of touch" on Friday after the president declared the "private sector is doing just fine." The Obama campaign hit back in a video accusing Romney of being insensitive to the middle class because "he wants to cut jobs for firefighters, police and teachers."

Obama: They still like him, but will they vote for him?

Both candidates are virtually tied in national horse-race polls, although Obama enjoys a sizable lead when it comes to "likabilty" among voters. Every quarter, they are outraising each other with millions of dollars in campaign contributions from big money and small donors alike. Their core supporters are passionate, although somewhat restrained early in the campaign.

Still, there is a perceived distance between them and many voters. Obama can't shake the "elite professor" label, while Romney is seen as a rich guy's "rich guy."

But if previous presidential candidates are any indication, America rarely elects "everyday" folks into office.

In modern times, the voters tend to elect wealthy politicos -- often those who hail from political dynasties. The electorate seems to want a mix of personality and power, but only if they come with a pedigree and bank account to match.

"There isn't any connection between connecting with an average voter and being an average voter," said Julian Zelizer, a CNN contributor and history and public affairs professor at Princeton University who has written books on former Presidents George W. Bush, Ronald Reagan and Jimmy Carter.

Take Bush, for example. He was a wealthy businessman and former Texas governor whose father, George H.W. Bush, was the nation's 41st president. The younger Bush owned a baseball team, grew up around big oil and was said to have a net worth of more than $25 million. Yet routinely he topped informal "which candidate would you like to have a beer with?" polls and was generally deemed an affable "guy's guy."

Reagan was a popular actor-turned-governor who made his money as a spokesman for General Electric. Carter was a rich peanut farmer-turned-governor. John F. Kennedy was heir to a wealthy and powerful political leadership legacy.

"There's something instinctive that many voters think if you lived in the same circumstances as most Americans you can understand them," Zelizer said. "It's a conventional wisdom that doesn't mesh with presidential history."

There have been some modern presidents who come from humbler beginnings. Both Bill Clinton and Obama were raised by parents who struggled to make ends meet. Gerald Ford and Richard Nixon also hailed from working-class roots.

Stanley: Are politicians too rich to understand us?

Neither Romney nor Obama could be considered "everyday people" by most measures. While the median U.S. household income is about $50,000 a year, only a few regular voters are worth more than $250 million such as Romney or have best-selling books and a personal wealth of up to $8.3 million such as Obama.

Family net worth plummets nearly 40%

Still much ado has been made in this campaign cycle about Romney's disconnect with voters. His gaffes in name-dropping his NASCAR-owning friends and comments about owning more than one Cadillac may rub some voters the wrong way.

For Romney, a lot of that may have less to do with his wealth than the perception of his stiff demeanor, said Jennifer Duffy, a senior editor with The Cook Political Report.

"I don't think Romney is ever going to be seen as an average guy," Duffy said. "Contrast him with Bush. In some ways they had similar backgrounds, but Bush was a regular guy. He loved baseball. You just saw him as a very regular guy. Romney, when he talks about NASCAR, he's talking about his friends owning. You don't see Bush talking about 'when I owned the Rangers.' "

Obama's had his share of awkward moments as well. The celebrity-themed fund-raisers with George Clooney and "Sex and the City" star Sarah Jessica Parker -- who cheekily referred to the president as "that guy" -- have struck some critics as opulent and overly elite.

The American Crossroads super PAC poked fun at the president's chummy relationships with Hollywood types in an ad called "Cool."

The ad says, "America elected the biggest celebrity in the world," then proceeds to slam the president's performance on the economic and jobs front.

"After four years of a celebrity president, is your life any better?" the ad asks in conclusion.

The president has a 56% favorability rating, compared with Romney at 48%, according to a recent CNN/ORC International poll.

Political experts said that in this era of celebrity worship and obsession with reality television stars, the ability to connect on some sort of personal level with everyday voters takes on heightened importance.

"Part of it is that there seems to be such gridlock (voters are) skeptical that (politicians) are going to do anything so they look at the 'who can I have a beer with?' factor," Zelizer said.

Clinton hailed from humble beginnings to become governor of Arkansas and eventually president but then was impeached on perjury and obstruction of justice charges before his Senate acquittal. According to a recent CNN/ORC International poll, years after he left office, Clinton still enjoys a 66% approval rating.

But the cult of personality and connecting with everyday voters will only carry a candidate so far.

"Even though it's an age of slickly packaged ads and messaging, people are transparent," Zelizer said. "You can't force people to make them like you."

@highlight

President Obama, Mitt Romney both made recent gaffes about the economy

@highlight

Wealth, personalities may make them appear out of touch with average voters

@highlight

History shows Americans rarely elect presidents who are not wealthy