WASHINGTON (CNN) -- Turkey on Thursday recalled its ambassador to the United States and warned of repercussions in a growing dispute over congressional efforts to label the World War I era killings of Armenians by Ottoman Turkish forces "genocide."

The U.S. House Committee on Foreign Affairs passed the measure 27-21 Wednesday. President Bush and key administration figures lobbied hard against the measure, saying it would create unnecessary headaches for U.S. relations with Turkey.

Turkey -- now a NATO member and a key U.S. ally in the war on terror -- accepts Armenians were killed but call it a massacre during a chaotic time, not an organized campaign of genocide.

The full House could vote on the genocide resolution as early as Friday. A top Turkish official warned Thursday that consequences "won't be pleasant" if the full House approves the resolution.

"Yesterday some in Congress wanted to play hardball," said Egemen Bagis, foreign policy adviser to Turkish Prime Minister Recep Tayyip Erdogan. "I can assure you Turkey knows how to play hardball."

Asked about Ambassador Nabi Sensoy's recall after the news broke, a State Department spokesman said he could not confirm it. "People are sometimes called back for consultation; sometimes they're called back for other reasons," said spokesman Tom Casey.

"If they wanted to bring their ambassador back for consultations or do something else, that is their decision. I certainly think that it will not do anything to limit our efforts to continue to reach out to Turkish officials, to explain our views, to engage them on this issue and again to make clear that we intend to work on this with Congress."

Casey and White House spokeswoman Dana Perino said they both would like to see the resolution withdrawn without a vote by the full House. However, Casey said, "I don't think anyone is expecting that to happen at this point."

Democratic leaders said earlier if the Foreign Affairs Committee passed the resolution, they intended to bring it to the House floor.  Watch why the resolution stirs strong emotions »

The House was not in session Thursday because of the funeral of Rep. Jo Ann Davis of Virginia, who died Saturday. Members may vote on the resolution Friday.

House Foreign Affairs Chairman Tom Lantos, D-California, was unmoved by the Turkish government's protests.

"The Turkish government will not act against the United States because that would be against their own interests," he told CNN. "I'm convinced of this."

But Armed Services Committee Chairman Ike Skelton, D-Missouri, sent a letter to House Speaker Nancy Pelosi opposing the resolution, and said the backlash threatened by Turkey could disrupt "America's ability to redeploy U.S. military forces from Iraq," a top Democratic priority.

Turkey, a NATO member, has been a key U.S. ally in the Middle East and a conduit for sending supplies into Iraq.

Defense Secretary Robert Gates said Wednesday that good relations with Turkey are vital because 70 percent of the air cargo sent to U.S. forces in Iraq and 30 percent of the fuel consumed by those forces fly through Turkey.

U.S. commanders "believe clearly that access to airfields and roads and so on, in Turkey, would very much be put at risk if this resolution passes and the Turks react as strongly as we believe they will," Gates said.

Bagis said no French planes have flown through Turkish airspace since a French Parliament committee passed a similar resolution last year.

He said the response to the U.S. might not be the same, but warned if the full House passes it that "we will do something, and I can promise you it won't be pleasant."

Bagis spoke to reporters while in Washington to attend a meeting of the Carnegie Endowment.

In a statement on his Web site, Turkish President Abdullah Gul said the resolution was "unacceptable" and "doesn't fit a major power like the United States."

In a letter to Bush, Gul warned "in the case that Armenian allegations are accepted, there will be serious problems in the relations between the two countries."

"We still hope that common sense will prevail and that the House of Representatives will not move this resolution any further," the Turkish Foreign Ministry Web site said.

The vote was also strongly criticized by Turkish newspapers, The Associated Press reported. "Bill of Hatred," said Hurriyet's front page, while Vatan's headline read "27 Foolish Americans."

Casey said Secretary of State Condoleezza Rice requested calls with Erdogan and Gul and planned to speak with the Turkish foreign minister about the issue later Thursday.

State Department spokesman Sean McCormack issued a statement expressing "regret" for the committee's action, warning the resolution "may do grave harm to U.S.-Turkish relations and to U.S. interests in Europe and the Middle East."

The nonbinding House resolution said the deportation of nearly 2 million Armenians from the Ottoman Empire between 1915 and 1923, resulting in the deaths of 1.5 million of them, amounted to "genocide."

Turks strongly reject the genocide label, insisting there was no organized campaign against the Armenians and that many Turks also died in the chaos and violence of the period.

Sensoy said the resolution's passage would be a "very injurious move to the psyche of the Turkish people."

He predicted backlash and setbacks on several fronts: Turkish-American relations, Turkish-Armenian relations and the normalization of relations between the nations of Turkey and Armenia.

The resolution's sponsor, Rep. Adam Schiff, D-California, said the measure already had 226 co-sponsors, more than enough votes to pass "and the most support an Armenian genocide resolution has ever received."

A similar resolution passed the committee by a 40-7 vote two years ago, but it never reached the full House floor.

The resolution arrives at a particularly sensitive point in U.S.-Turkish relations. The United States has urged Turkey not to send its troops over the border into northern Iraq to fight Kurdish separatist rebels, who launched some cross-border attacks against Turkish targets.

Observers of U.S.-Turkish relations have argued the House resolution could make Turkey less inclined to use restraint in dealing with its longstanding problems with the Kurdistan Workers Party, known as the PKK. E-mail to a friend

CNN's Deirdre Walsh, Elise Labott and Joe Sterling contributed to this report.

Copyright 2007 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

NEW: Top Dem on defense says resolution could hinder redeployment from Iraq

@highlight

Turkish Ambassador Nabi Sensoy will head home after U.S. House panel vote

@highlight

Vote calls killing of Armenians during World War I genocide

@highlight

Condoleezza Rice set to call Turkish leaders to express "deep disappointment"