Juneau, Alaska (CNN) -- It started when a friend handed her the book "Scream Quietly or the Neighbors Will Hear," about violence against women.

"I took it home and didn't put it down all night," Caren Robinson told me, laughing nervously and then tearing up, her voice quavering. "And I realized it was me. We just didn't talk about it back then ... I just thought I was the only one."

That was in the late 1970s, shortly after Robinson -- a fiery 63-year-old who looks like the Alaska version of Reba McEntire -- moved to Juneau, Alaska, to escape an abusive husband who, at different points over years, held a gun to her head, beat her and, one time, sexually assaulted her.

She called the cops on him twice, she told me, but he never was arrested or charged. The police told her maybe she should consider a divorce or that, when he used a gun, he was just "teasing" and it had gotten out of hand, she told me.

Robinson would go on to become a pioneer of the women's rights movement in a state that needs it more than any other. Alaska is estimated to have the highest rate of reported rape in the county, according to FBI crime data. The rate is three times the national average. State surveys show 37% of women will face sexual violence; and 59% will suffer from threats, domestic abuse and/or sexual assault.

Because those numbers are still so high, Robinson sometimes wonders if all her work to end violence against women here has been a waste of time.

It hasn't, of course. The results can be seen inside the walls of the Aiding Women in Abuse and Rape Emergencies, or AWARE, shelter in Juneau, which first opened in a two-bedroom house in the late 1970s and at its current location in 1985 -- a time when there were few if any women's shelters in the state. They can be seen in the lives changed because she took battered women into her houseboat before there was any formal place for them to go. And they can be seen in Alaska's Council on Domestic Violence and Sexual Assault, which she helped lobby for and create, and which continues to fund violence prevention and treatment programs here.

It's the rest of the state that needs to step up.

The lawless 'end of the land'

Too many women aren't believed when they come forward to report rape and domestic abuse. Too many offenders aren't prosecuted. (Only 46% of reported sexual assaults in Alaska are referred for prosecution and 22% result in a conviction, according to the University of Alaska Anchorage Justice Center.)

Too many families tolerate or just accept abuse and rape they see and hear in their own homes. And far too many communities remain virtually lawless.

All that could change if the state would follow Robinson's lead. Her life story should be enough of a wake-up call for this state.

Alaska's pioneer woman grew up in Weatherford, Texas, about as far from Alaska as an American could get. She was a beauty queen -- became Miss Parker County at age 17, wearing a gown her mother made. But she remembers that night more for the violence. It was the first time her then-boyfriend gave her a black eye.

He was jealous of the attention, she told me.

But she stuck with him, thought she was in love.

The rapist next door

"I remember ... hiding, putting makeup on around my eyes, trying to avoid my mother and father for a few days," she said. "Embarrassed."

It only escalated from there. She tried to leave and he came back for her, one time riding after her on a motorcycle, she said. She ended up moving to Alaska to finally get away, for good. They were divorced by then, and a group of her friends drove up to the state on a bus and she followed with her 4-year-old son, on a plane.

"I lucked out," she said. "It's the best thing that ever happened to me."

Shortly after she arrived in Juneau, that's when a friend gave her the book that would open up all her thinking -- make her realize that she hadn't done anything to deserve being beaten and raped, that violence against women was a disease that grew from silence and oppression. She learned that Juneau was not up to protecting its women; the city had no 911 service, let alone a shelter for battered women.

So she did something about it: She and a group of like-minded friends started housing survivors of rape and domestic violence in their homes.

That's when she started letting women stay in her tiny houseboat, which she rented because she couldn't afford a home in picturesque Juneau.

To hear her son, Shane Robinson, in his 40s, tell it, his mom was at this work virtually on her own, his whole life. "She worked pretty much all the time," he told me.

And he said he thinks now that their lives were at risk because of her advocacy.

States where rape is most common

Her voice is one Alaska didn't want to hear.

Robinson set up a hot line for victims and responded to some of the emergency calls herself. She remembers waking up in the middle of the night and throwing Shane in the car to go to a hospital with a rape kit, to be sure it was used.

"Unfortunately, the case never went anywhere," she said. "I even remember (police) called her to take two lie detector tests to make sure she was telling the truth."

"We even did radical things like post pictures of known rapists in all of the bar bathrooms," Robinson told me, "because we couldn't get the assistance we needed from the local law enforcement at the time."

When other survivors of violence weren't willing to speak up, Robinson met with members of the state legislature. She said that sharing her story openly helped men who might otherwise ignore these issues pay attention and change laws.

Forcing that conversation may be Robinson's greatest contribution.

She realizes that.

5 ways to help end rape in Alaska

"It's now in the public eye," she said. "People can't turn their heads any longer. They see it. They hear it. They know it's happening."

But she wrestles with her legacy. Several years ago, she backed away from advocating for victims of rape and domestic violence. After several public officials and community pillars in Juneau were outed as abusers, she became paranoid, she told me. She started thinking everyone she met was an abuser or rapist.

"There is a blessing in not knowing how bad it is around you, except by picking up the paper and seeing it daily: a 30-year-old man, a 45-year-old woman, a 27-year-old man have been arrested for domestic violence," she said.

Talk to her about the statistics now -- that Alaska is still America's rape capital -- and the life drains from her face as she says she's not sure anything's changed.

Alaska needs to prove her wrong.

This state can change.

It just needs to wake up, like Robinson did all those years ago.

"Violence inside the home, within the family, is not new, and because it is not new, it is not easy to see it for what it is," Erin Pizzey, a women's rights activist in the UK, writes in the book that changed the course of Robinson's life back in the 1970s. "People have had lots of practice in ignoring it. They will turn a blind eye or cross the road. They will even, as one woman told Women's Aid, turn up the TV to block out the shouting and sobbing next door so that they can no longer hear it."

Turn down the TV, Alaska. And do it for Caren Robinson.

Alaska faces its 'resident evil'

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

John Sutter meets a pioneer of the women's rights movement in Alaska

@highlight

Caren Robinson once sheltered battered women in her houseboat in Juneau

@highlight

She later would open one of the first women's shelters in the state

@highlight

Alaska is estimated to have the highest rate of reported rape in the country