(CNN) -- It wasn't the pollster's fault.

Sure, it would be an understatement to say that Eric Cantor's surprising loss Tuesday night to relatively unknown tea party candidate David Brat did not reflect the internal polls that had the House majority leader ahead by more than 30 points.

But it wasn't necessarily Republican pollster John McLaughlin's fault. Really.

He doesn't deserve the withering attacks he's come under by those who sit safely on the sidelines of actual real campaign work. He shouldn't bear the slings and arrows of those, thanks to 24-hour cable news, who have become paid pundits on the subject of politics and campaigns without ever being part of one.

Now don't worry, I'm not letting McLaughlin or Republican pollsters off the hook. Not so fast.

You see, polling is hard. I know. I've done it for the DNC under Chairman Howard Dean crafting The 50-State Strategy, two successful presidential campaigns, and scores of state and local ones, too.

It's hard because we are always chasing a moving target. In this case, the trouble was those "likely voters." What's a "likely voter," you might ask? Well the textbook says it is someone who has a history or pattern of voting in a particular election -- presidential, state assembly, Congressional party primary, etc.

If you have voted in, say, two of the last three presidential elections, the conventional wisdom says you are a likely voter and you get plugged into our universe if we are looking for voters in the presidential year. However that doesn't make you necessarily a likely voter in, say, the mayor's race next month, and certainly not in the congressional primary election next week.

Typically, more than half the eligible voters skip the midterm elections every two years. The percentage who vote in primaries is often less than one-third. And don't even get me started on caucuses (love ya', Iowa).

As pollsters, we look for patterns. We figure that, considering how low U.S. voter turnout is compared to most other Western democracies, it is safe to bet that if you've had multiple opportunities to vote and you haven't done it so far, you probably won't.

Now that holds fairly true unless there is something different going on out there. Like the tea party movement. Or a big-eared, charismatic, black guy with a Muslim-sounding name from Hawaii.

When the conventional rhythm of politics has been altered, all hell can break loose. When that dynamic shifts, the textbook is useless -- and so are our likely voter assumptions.

So getting locked into seeing the world only one way -- particularly if it is how you want to see it -- instead of how it actually is can be dangerous for a pollster.

Which brings me to Republican pollsters.

In 2012, so many of them had Mitt Romney winning convincingly -- he didn't, by the way -- because they failed to sense or hear the dynamic changing rhythm of a younger, more diverse America.

They built their polling models on the pillars of sand (OK, it was really, really white, sand) of a 1980s electorate. They bet on the white-male-likely-voting universe of the Reagan era. And they were wrong.

They simply failed to see the throngs of younger and minority adults as likely voters in 2012. They failed to see that African-Americans would, for the first time in history, actually become the largest most-likely voter bloc in the general election. It was unfathomable for so many Republicans.

The Obama candidacy and what it symbolized dramatically altered the archaic rhythm of politics on both sides. It energized those that the textbook said were not politically engaged. Hope and change rewrote the textbook.

Which brings me back to the shocking primary election results in Virginia's 7th Congressional District Tuesday night.

Cantor, the second-most powerful member of the House of Representatives, vastly outspent his opponent. He had not just the backing of the GOP establishment, but was on its board of trustees. But he lost to a second-tier tea party challenger.

And, because of Barack Obama, no one saw it coming.

The change that united and drove the politics of hope on the left also awakened the politics of anger on the right. What Obama represents in the White House has led to an uprising on both sides of the political spectrum. The textbook had been rewritten, and few bothered to get the new edition.

So, with all due respect, Cantor didn't drop a 34-point lead because of a single issue like immigration or incumbents or Democrats meddling in his primary. It just doesn't work that way.

In fact, polling in the district on June 10 -- the day of the primary -- showed almost nine out of 10 respondents said fixing our immigration system is important (84% important, 57% very), including a majority of Republicans (58%) who say it's very important.

So for those who simply prefer to place the blame for the majority leader's loss on immigration, pointing to his failure to pass immigration reform would be safer ground. Suggesting it was David Brat's ranting about Cantor's inability or failure to kill bipartisan immigration reform just isn't credible in a district with 72% of its voters, including a majority of Republicans, favoring reform.

In reality, it's far more likely that this 34-point lead never really existed in the first place.

The changing dynamics of American politics brought on by the election of President Obama has changed the calculus for pollsters on both sides. Obama's song that tells a story of changing America makes some hopeful that those who were never part of that Reagan-era likely-voter equation are now creating new math. At the same time, it hits a very sour note among others, bringing them out to voice their anger at the entire body politic.

In the Obama era, pollsters have to deal with a tumultuous electorate that is increasingly difficult to predict using conventional models. Or end up looking very, very wrong.

Cantor's campaign really should have detected the rumblings of revolt long before election night. His loss was likely due ultimately to angry voters on the right who had not before been engaged in the primary process saying in one clear voice, "Anyone but Cantor!"

Remember, no one thought shutting down the government was a good idea except the tea party. They don't do moderation. Compromise is a dirty word. So anyone who would consort with the enemy -- like they saw Cantor as doing in even considering a deal with Obama -- just had to go.

Cantor didn't lose a 34-point advantage. He never had one in the first place. He never had a 34-point advantage because figuring out who is a likely voter in these tumultuous times is growing increasingly difficult.

Obama has stoked strong emotions on both sides of the political spectrum in an unprecedented way, challenging our conventions about who will and won't vote.

Now, come the November midterm, I'm betting younger people and minorities will leave convention scratching its head again.

Join us on Facebook.com/CNNOpinion.

@highlight

Cornell Belcher says Eric Cantor's polling was off, but likely voters were off, too

@highlight

Belcher: Shifts in demographics and polarization helped to dislodge conventional wisdom

@highlight

Cantor probably never really had the big lead he thought he had, says Belcher