Boston (CNN) -- Outside the Planned Parenthood Clinic in Boston on a recent winter day are the regulars -- a small, devoted team of anti-abortion activists, handing out fliers and urging patrons to hear their message:

"Save that child." "Every life is precious, protect that life within you." "Please change your mind." Several people pray silently nearby.

Clearly marked on the sidewalk, nearly 12 yards from the front doors, is a painted boundary, a line the protesters cannot cross. By state law, their First Amendment rights stop there.

A metaphoric line -- testing the competing limits of what has become a constitutional fight between free speech and public safety -- will now be surveyed by the nation's highest court.

The justices on Wednesday will step back into the larger national debate on abortion, when it holds oral arguments on a challenge to a Massachusetts law that established tighter buffer zones around facilities that perform the procedure.

A ruling is expected by June.

The state's "selective exclusion law" makes it a crime for speakers other than clinic "employees or agents ... acting within the scope of their employment" to "enter or remain on a public way or sidewalk" within 35 feet of "a reproductive health care facility."

Anti-abortion activists say the law has kept them from effectively talking with patients approaching the clinic entrances.

But a federal appeals court a year ago said "the right of the state to take reasonable steps to ensure the safe passage of persons wishing to enter health care facilities cannot seriously be questioned."

Supporters said the law was established to protect clinic staff and patients from what they said was harassment and intimidation from protesters. Some anti-abortion protests have turned violent in the United States.

"Massachusetts' buffer zone statute strikes the right balance between ensuring safe access to medical facilities and preserving freedom of expression," said state Attorney General Martha Coakley. "This law has enhanced public safety in a fair and constitutional manner."

Her office will defend the 2007 law before the justices. Its defenders said most clinic workers believe the current buffer zones have eased concerns of clinic staff, and created a more welcoming, calming environment for women seeking to terminate their pregnancies.

Demonstrators have appeared regularly at clinics in Boston, Springfield, and Worcester and say they are unfairly singled out for exclusions on public property.

Reasonable restrictions, or unfair treatment?

"The prohibition applies even to speakers who are entirely peaceful, do not engage in any obstructive or intimidating conduct," said Mark Rienzi, a Catholic University law professor representing the group, "and seek only to proffer leaflets, engage in consensual conversations, or even just stand and display a sign or pray."

Lead plaintiff Eleanor McCullen is a lifelong Catholic who generally spends mornings two days a week peacefully spreading her anti-abortion message at the Greater Boston Health Center.

With a large cross around her neck, the 77-year-old grandmother often uses a baby stroller as a prop, along with a portable DVD player with images of a fetal ultrasound. On a recent day, she was seen standing at the edge of the yellow semicircle ringing the Boston clinic on Commonwealth Avenue.

The current state law strengthened earlier restrictions that had created a 6-foot protective bubble around clinic patrons approaching the facility. Abortion rights supporters said it was ineffective, since they claimed it led to blocked entrances, and a gauntlet of protesters surrounding patients and staff.

The last time the high court took a close look at the issue was in 2000, upholding Colorado's broad "no approach zone" regulations. Similar to the earlier Massachusetts law, protesters were kept at least eight feet from anyone within 100 feet of any health care facility.

"Private citizens have always retained the power to decide for themselves what they wish to read, and within limits, what oral messages they want to consider," said Justice John Paul Stevens for the 6-3 majority.

"This statute simply empowers private citizens entering a health care facility with the ability to prevent a speaker, who is within eight feet and advancing, from communicating a message they do not wish to hear."

But, in dissent, Justice Antonin Scalia said anti-abortion protesters were singled out for special, unfair treatment.

"Does the deck seem stacked? You bet. As I have suggested throughout this opinion, today's decision is not an isolated distortion of our traditional constitutional principles, but is one of many aggressively pro-abortion novelties announced by the Court in recent years," he said. "Uninhibited, robust, and wide open debate is replaced by the power of the state to protect an unheard-of 'right to be let alone' on the public streets."

Ruling could affect other types of protest

Municipalities in Montana, Colorado, Florida, California and elsewhere have since enacted similar "fixed" and "floating" buffer zone laws for clinics.

What the high court decides could also affect a broader range of free speech arenas, over issues such as war, taxes, corporate bailouts and elections.

The justices last month heard arguments in a separate appeal involving a longtime anti-war protester kept from spreading his message along a public right-of-way at Vandenberg Air Force Base in California.

The sidewalk outside the U.S. Supreme Court itself is the scene of daily anti-abortion protests sponsored by Bound4Life, where mostly young Christian adults stand silent wearing red tape across their mouths with the handwritten word "LIFE."

And next week's 41st anniversary of the Roe v. Wade high court ruling legalizing abortion will attract thousands of marchers on both sides of the issue outside the court, just across the street from the Capitol.

The Massachusetts case is McCullen v. Coakley (12-1168).

@highlight

Supreme Court will hear First Amendment case Wednesday

@highlight

Case is about protest buffer zone near abortion clinics in Massachusetts

@highlight

Zone supporters say it protects against harassment

@highlight

Critics say it limits their right to talk with patients