Europe's hottest destination for tourists, Berlin offers more than bargain-priced nightclubs and Cold War nostalgia.

Some of the most interesting sights in Germany are just a few hours away -- and with the deregulation of the intercity bus system, getting around is cheaper than ever.

Here's a shortlist of three great day trips from Berlin.

Potsdam

The site of the famous "Potsdam Conference" that negotiated the end of World War II and a series of opulent Hohenzollern palaces, Potsdam lies only about an hour from the center of Berlin, with all the major attractions easily reachable by public transport.

It's a day trip not because of the travel time, but because there's so much to see.

Highlights include the breathtaking Sanssouci Palace (Maulbeerallee, Potsdam; +49 331 9694200), the former summer residence of Frederick the Great -- who ruled the Prussian Empire from 1740 to 1786.

A pale and beautiful Rococo villa, its name means "without a care" and reflects the idyllic atmosphere of tranquil reflection Frederick sought to create with a grand, terraced vineyard to the south and sweeping views of the surrounding countryside.

An audio tour covers the palace interior, where most of the original furnishings remain just as the Prussian king preferred them, and on a fine day the huge gardens are perfect for an impromptu picnic.

Hardcore palace fans may have enough energy for a gander at the Orangery and the Spielfestung, or "toy fortress" -- a miniature fort, complete with a working cannon, built for Frederick's son.

But in our opinion it makes a better write-up than it does a visit, and it's better to take the audio tour of the Cecilienhof (Im Neuen Garten 11, Potsdam; +49 331 9694 200)

This mammoth, Tudor-style mansion is where U.S. President Harry Truman, British Prime Minister Winston Churchill and Soviet leader Joseph Stalin negotiated the partition of post-war Germany in 1945. (As always in German museums, it's advisable to spring for the headphones unless you're a history professor).

Depending on where else you're headed, the Old Town of Potsdam itself can be underwhelming -- cluttered as it is with garden-variety shopping.

The varied architecture of the Russian and Dutch Quarters -- built in Germany's first, misguided effort to attract "desirable" immigrants in the 18th century -- is, however, worth strolling through.

Getting there

Pay an extra 2 euros over the standard charge for the Berlin WelcomeCard and get free travel and discounts for various attractions in Potsdam (not the biggies).

Otherwise, day passes for the A-B-C zones of the Berlin transit system -- which covers buses and trains within Potsdam, as well as the so-called "regional train" -- are available for 7.20 euros.

Leipzig

In the wake of the recent 25th anniversary of the fall of the Berlin Wall, the nearby cultural capital of Leipzig -- which was the real nerve center of the peaceful East German revolution, as well as the longtime home of Baroque composer Johann Sebastian Bach -- makes an especially compelling day trip.

It's two hours by bus or 70 minutes by train from Berlin.

Though it was virtually destroyed by Allied bombs in World War II, the reconstruction of Leipzig's old town is so seamless that it's difficult to recognize the Renaissance churches and old market square as reproductions.

Meanwhile, a growing community of artists and hipsters have created a mushrooming bar, dance club and arts scene that has some people calling it "the new Berlin" (or, more disparagingly, "Hypezig").

For a tribute to the movement that brought down the Wall, visit the Nikolaikirche (Nikolaikirchhof 3, Leipzig; +49 341 1245380), the church where a small, East German prayer group known as "Swords into Plowshares" grew into a protest involving thousands of people.

Founded in 1165, the church is a mash-up of Roman, Gothic and Baroque architectural styles, but its moment in history gives it an atmosphere that can't be beat.

You can get a glimpse of Hypezig at the Spinnerei (Spinnereistrasse 7, Leipzig; +49 341 4980200; guided tours by appointment) -- a 19th century cotton mill that was converted into an artists' collective in the 1990s.

Put on the map by the so-called "New Leipzig School" -- which includes the post-reunification works of Neo Rauch, Christoph Ruckhaberle, Matthias Weischer and others -- the complex now comprises artist studios, workshops and galleries.

For classical music fans, the Leipziger Notenspur -- or "Music Trail" -- links prominent sites from the city's musical history along a 5-kilometer (3-mile) walking route.

It includes the homes of the renowned 19th Century composers Felix Mendelsohn and Robert Schumann as well as museums devoted to Bach and Ludwig Beethoven.

Regardless of your take on literature -- or deals with the devil -- it's worth enjoying a meal at the Auerbachs Keller (Grimmaische Strasse 2-4, Leipzig; +49 341 216100).

One of Germany's oldest restaurants, it's where 18th century poet Johann Wolfgang von Goethe, a frequent patron, imagined Mephistopheles downing a few with his eponymous hero, Faust.

Getting there:

Tickets on the high-speed train to Leipzig can currently be had as cheap as 29 euros (around $40) from Deutschebahn.

Luxury coaches with snacks, toilets and WiFi can get you there almost as quickly, starting at just 7 euros. Try MeinFernbus (+49 180 5 15 99 15) or Berlin Linienbus (+49 30 338 448 0).

Goerlitz

Wee little Goerlitz, about three hours from Berlin if you time the connections right, is a bit more off the beaten track.

But the number of Hollywood productions shot here -- "The Reader," "Grand Budapest Hotel" and "The Book Thief," among others -- testify to its status as perhaps the most picturesque prewar German town, even if it doesn't make many guidebooks.

In many respects, it's a place to witness Germany's moribund East -- despite thriving larger cities like Leipzig, many areas are struggling to make a comeback.

There's not a lot in the way of tourist infrastructure, so it's best visited when the weather is good.

It's the kind of place where the renovation team at the famous Goerlitz Department Store (Bismarckstrasse 21, Goerlitz) -- once an icon in the style of London's Selfridges or New York's Bloomingdales -- and more recently the setting for Wes Anderson's "Grand Budapest Hotel" -- will drop what they're doing to give guided tours.

In nice weather, there are walks along the Neisse River and across the bridge into Poland -- still fun even if the days of passport stamps are long gone.

For some traditional Silesian food, such as pork cooked in plum gravy, the town has several fine sidewalk restaurants.

Other highlights include a series of late Gothic merchant houses, some of which still have interior fittings dating back to the 1500s, a stunning Schonhof, or town hall, built in 1526, as well as a street where local glassblowers still ply their trade.

The real joy of the place, though, is the feeling of discovery from exploring the streets -- which really do look like, well, a film set.

Getting there:

From Berlin, regional trains run from Alexanderplatz  more or less hourly for around 40 euros (about $60). But consult the schedule to avoid a wait when transferring in Cottbus.

@highlight

Gorlitz was the film set for "The Reader," "Grand Budapest Hotel" and "The Book Thief"

@highlight

President Harry Truman, Prime Minister Winston Churchill and Soviet leader Joseph Stalin negotiated the partition of post-war Germany at Cecilienhof

@highlight

Nikolaikirche was the birthplace of the East German movement that instigated the collapse of the Berlin Wall