States that have legalized marijuana for managing chronic pain have significantly fewer deaths from prescription painkiller overdoses each year, according to a new study published Monday in JAMA Internal Medicine.

Researchers looked at medical marijuana laws and death certificate data in all 50 states between 1999 and 2010. During that time, just 13 states had medical marijuana laws in place.

"We found there was about a 25% lower rate of prescription painkiller overdose deaths on average after implementation of a medical marijuana law," lead study author Dr. Marcus Bachhuber said.

In 2010 alone, he said, states with medical marijuana laws had approximately 1,700 fewer overdose deaths than would have been expected based on the numbers before such laws were passed.

Bachhuber, a primary care doctor at the Philadelphia Veterans Affairs Medical Center, has treated many chronic pain patients.

"It can be challenging for people to control chronic pain, so I think the more options we have the better," he said. "But I think it's important, of course, to weigh the risks and benefits of medical marijuana."

Opioid analgesics are a class of drug that includes painkillers like morphine, oxycodone and methadone. According to the study, the number of patients in the United States with chronic pain who get prescriptions for one of these drugs has nearly doubled over the last 10 years, and overdose rates have risen dramatically.

Statistics from the Centers for Disease Control and Prevention tell the story of a problem they say is now an epidemic: Deaths from drug overdose have been rising steadily over the past two decades and have become the leading cause of injury death in the United States. In 2011, 55% of drug overdose deaths were related to prescription medications; 75% of those involved opioid analgesics.

"Prescription drug abuse and deaths due to overdose have emerged as national public health crises," said Colleen Barry, a senior author on the study and associate professor at Johns Hopkins Bloomberg School of Public Health. "As our awareness of the addiction and overdose risks ... grows, individuals with chronic pain and their medical providers may be opting to treat pain entirely or in part with medical marijuana."

Twenty-three states and the District of Columbia currently have medical marijuana laws on the books. They address a gamut of conditions -- from cancer, HIV, multiple sclerosis to glaucoma -- where cannabis provides relief. In most states, chronic or severe pain is the primary reason.

According to the American Academy of Pain Medicine, more than 1.5 billion people worldwide suffer from chronic pain, including 100 million Americans.

The academy's website describes chronic pain this way: "Chronic pain persists. Pain signals keep firing in the nervous system for weeks, months, even years. There may have been an initial mishap -- sprained back, serious infection, or there may be an ongoing cause of pain -- arthritis, cancer, ear infection, but some people suffer chronic pain in the absence of any past injury or evidence of body damage."

Dr. Lynn Webster, a past president of the academy, said he's not surprised by the study results or that marijuana might be a safer alternative to opioids for some people.

"AAPM believes that we need to do research on cannabinoids to determine its safety and efficacy," he said.  "The problem with medical marijuana is that we never know using marijuana what chemicals are being ingested.  That makes it really unpredictable, but the use of cannabinoids may well have a place in the treatment of pain and other diseases. The AAPM believes that the DEA should reschedule cannabinoids from Schedule I to Schedule II so that it will make it easier for research to be conducted."

Kevin Sabet, director of the University of Florida's Drug Policy Institute, called the study flawed. He says although the study controlled for other possible explanations for the lower opiate death rate in medical marijuana states, it left out some of the most critical possible alternative explanations.

"The study failed to examine the influence of expanded methadone and buprenorphine programs in states, or the possible influence of major law enforcement interventions (e.g. pill mill shut downs and major operations by DEA in states like Florida), or even Naltrexone utilization," Sabet wrote in an e-mail to CNN.  "The study also did not take into account prevention campaigns or strategies."

The researchers say the link between medical marijuana laws and overdose deaths is not completely clear, and admit there were some limitations to the study. For example, death certificates may not classify overdose deaths correctly and opioid analgesics reporting on these certificates may differ state-to-state.

Bachhuber said more research is needed before any recommendations can be made.

"We can't know directly the underlying mechanism of our findings, but based on what we know, we think it could be due to safer treatment of chronic pain," Bachhuber said. "We found that medical marijuana laws might provide unexpected benefits to public health. As more states pass these laws, it will be important to continue collecting information to see if what we found may be happening in other states as well."

Opinion: Why marijuana's moment has arrived

Federal marijuana bill would legalize some cannabis strains

@highlight

23 states and Washington have legalized medical marijuana in some form

@highlight

Study finds 25% lower rate of prescription painkiller overdose deaths in states with these laws

@highlight

Drug overdoses have become the leading cause of injury death in the United States