(CNN) -- When I was a kid, I was obedient and quiet. I automatically knew that talking too loud, making a fuss or being assertive would never fly. I did what I was told.

I was a Chinese girl.

I adhered to my parents' wishes that I get top grades and perform well in the activities they had chosen for me.

But after all the hours of homework, grueling afternoons of practicing arpeggios on the piano to perfection, four hours of Chinese school after regular school, Chinese calligraphy lessons with the stiff brush and stinky ink, after the chores, basketball practice and memorization of Chinese poems, eventually I wanted to feel known for myself, not just my accomplishments.

In the song "In My Room," Brian Wilson of the Beach Boys sang, "... Do my dreaming and my scheming, laugh at yesterday." Obviously, he wasn't Chinese.

When you are a kid in hyperdrive, daydreaming and lying on your bed doing nothing doesn't fit into the schedule.

It didn't occur to my parents to ask for my opinion. That might promote individual thinking. And thinking for oneself is not part of the plan.

Chinese culture emphasizes acting according to your place in the family -- you are the Number One Son, Third Daughter, Fifth Wheel or maybe just another mouth to feed. Everyone has a part to play, and if you don't like the role you've been given, the mandate is still "don't make trouble."

You don't make trouble, and you study like crazy because in the really old days, passing the imperial exams was your only ticket out of poverty. And since the time of Mao Zedong, individuality is considered counterrevolutionary. Speaking up about injustice could get you and your whole lot exiled. Sure, many Asian-Americans are several generations away from those threats. Yet, some collective memories don't ever seem to fade.

Chinese parents who rock the Tiger Mother style still cling to the remnants of the Old World by expecting obedience above all else and stifling true creativity in favor of tried and true benchmarks of success: Perfect grades, best test scores, admission into top colleges.

What's so bad about that?

To earn straight As for two decades in a row, I learned to detach from my own emotions and physical body. I disregarded my cramping fingers, tired eyes and grumbling stomach. Having fun with friends had to wait. Through consistent pressure to succeed, I learned that human connections were an obstacle and distraction.

The only semblance of approval I received was when I won an award or had a perfect report card. Achieving The Best was the only goal, and it didn't matter if the pursuit of perfection required that I ignore or step over someone else. All that mattered was the A.

After so many years of performing like a robot, by the age of 25, a lot of kids who grew up like me have no idea how to connect with other people. We never bonded with friends in endless games of kick-the-can or went to birthday parties or listlessly congregated in the halls with the "bad" kids. We knew better than to waste our time like that. Plus, we might catch stupid that way.

As the children and grandchildren of immigrants, we may not have been starving for actual food, but we are starved for affection. In the pursuit of high achievement, our feelings got left by the side of the road, our emotions mistaken as unnecessary baggage. Maybe our parents who escaped war and poverty never expected that later in the journey, we would need emotional availability and a sense of humor as flotation devices.

As for me, the anxiety and loneliness of childhood that I describe in my book, "Tiger Babies Strike Back," has caused an uproar in my family. It's the roar of a Chinese kid saying enough is enough.

It's me as a Chinese person saying I want to be seen as an individual. The world sees stereotypes of waitress or Tiger Mom, but even within my own ethnicity, I am also supposed to fit into a box -- that of obedient child.

I'm a 43-year-old writer and mom, raising my kid with more hugs and affection that I ever had. Growing up in San Francisco with frequent trips to Chinatown, I interacted with newly arrived Chinese as well as third- and fourth-generation Asians who spoke without accents. But no matter what our ages or how Americanized we were or were not, everybody seemed to know that nothing good could come from stirring up the melting pot.

The fact that I am now purposely "making trouble" has opened up Pandora's box. My parents, brothers and other relatives are stumbling around, trying to stuff my words, anecdotes and remembrances of the past back into the locked Chinese box. But it's too late.

While we were cramming to learn English or Mandarin, we forgot to learn the vocabulary of the foreign language of our feelings. We don't know the words for "I'm sorry" or even "I love you."

But now that I have stirred the pot a little, all is not lost. I remember that when Pandora opened the box, there was one tiny thing that was the last to fly out into the world, and that was Hope.

The opinions expressed in this commentary are solely those of Kim Wong Keltner.

@highlight

Kim Wong Keltner: As a Chinese kid growing up, I was obedient and quiet

@highlight

Keltner: Parents who rock the Tiger Mother style expect kids to get perfect grades

@highlight

She says in pursuing A's, she grew up having no idea how to connect with other people

@highlight

Keltner: Tiger Moms should foster true creativity and nurture emotional and social IQ