New York (CNN) -- Walter Cronkite was not the best educated or the best dressed or even the best looking of the generation of World War II correspondents who dominated the early days of television news.

His wife once told Parade magazine that he looked, in a way, like your family dentist, which was not all that surprising since his father and his grandfather were dentists.

Yet Cronkite was picked in 1962 to anchor the "CBS Evening News," and for two of the most tumultuous decades in American history, he was the authoritative voice of news in America, the man who told viewers that President John F. Kennedy had been assassinated, that men had walked on the moon and that the Vietnam War couldn't be won.

Douglas Brinkley, the historian whose new book "Cronkite" tells the newsman's life story, said in an interview with CNN last week that the Missouri-born reporter got picked for the CBS anchor job "because of his work ethic [and] steady-Eddie appearance -- there was nothing dapper or elite about him. He spoke with a heartland cadence, and his timing was impeccable because he got most famous by doing John Glenn's three suborbits of the Earth -- that was early 1962 and by April of '62, he was a household name."

Cronkite got off to a somewhat rocky start on the "CBS Evening News With Walter Cronkite" when he closed the first broadcast, then only 15 minutes long, saying: "That's the news. Be sure to check your local newspapers tomorrow to get all of the details on the headlines we're delivering to you."

Brinkley writes that CBS executives were angry that their anchorman was sending viewers to competitors for in-depth news.

The next year, CBS was the first network to expand its nightly news to half an hour, a change that Brinkley says enabled Cronkite to get beyond the top headlines and start to set an agenda for news coverage of complex issues.

In an era when television news was the province of the Big Three broadcast networks and cable news hadn't been invented yet, the anchor chair at CBS was an especially influential platform. 1968 provided a remarkable sign of that.

"1968 is one of the most talked about years in U.S. history because of all the upheaval, and Cronkite plays a central role in that year, right out of the gate," Brinkley said. "He goes to Vietnam in January, early February of '68. By February 27, he calls the war a stalemate. He then goes and urges Robert Kennedy to run for president, then [President Lyndon] Johnson says he won't seek re-election. Then you have the assassinations of Martin Luther King [Jr.] and Bobby Kennedy, which Cronkite covers. And then you've got the conventions, and famously in Chicago, where Cronkite's calling Mayor Daley's police 'thugs' and then [Richard] Nixon winning in that strange three-way election with Hubert Humphrey and George Wallace.

"And then at the end of the year," Brinkley added, the world saw "the first real great color photographs of planet Earth from space, and astronauts [were] named men of the year by Time magazine when Cronkite was the leading voice of space. Walter Cronkite was all over everything in that seminal year, 1968. From that point on, his persona just kept growing and growing."

Brinkley dedicates his book in part to the late David Halberstam, the Pulitzer Prize-winning journalist and author who he says suggested the idea of writing Cronkite's biography. His research was aided by the opening of the Cronkite papers at the Dolph Briscoe Center for American History at the University of Texas in Austin and interviews with members of the Cronkite generation of journalists, including the late Andy Rooney and Ed Bradley.

"Since the passing of Walter Cronkite in 2009, he's become a part of history, he's no longer an anchorman or a celebrity but somebody that we can reflect on and understand for his journalistic accomplishment," Brinkley said.

In Brinkley's account, Cronkite didn't equal the investigative zeal of the pioneering radio and television journalist Edward R. Murrow, with whom his relationship was at times strained. Yet if Cronkite didn't reach the emotional peaks of some of Murrow's reports, he still connected with the television viewer in a direct way.

"Everybody liked Walter Cronkite," Brinkley said. "He had a voice that everybody recognized. It's like hearing Bob Dylan sing a song. ... In five seconds everybody in America knows who's talking. That's important for a broadcaster."

"And then Cronkite slowed down his cadence, didn't rush his points. He also knew when to make the pregnant pause, when to be silent in special events. There was great anticipation: What will Walter Cronkite say when Neil Armstrong steps on the moon? And Cronkite simply says, 'By golly, I'm speechless,' and that was better than having a contrived line."

In 1968, after the Tet Offensive, Cronkite set the agenda for coverage of the Vietnam War.

"Cronkite got up from his anchor desk, and flew to Vietnam, and put on a helmet and flak jacket, and interviewed anybody and everybody he could," Brinkley said.

"I was able to read his notebooks, his reporter's notebooks, asking himself questions and talking to people, collecting facts. He came home with the very strong conclusion that war was unwinnable and that at best it would be a stalemate. And there were people on the left saying that and even great New York Times reporters saying it, but to be Walter Cronkite and be telling people that the war was at best a stalemate, it had a transformative effect on the country. People asked that old question, 'What, am I sending my son to die in a stalemate?' "

He played a similar role in helping power the environmental movement.

Brinkley said that Cronkite "was instrumental in the creation of the Environmental Protection Agency because he created a segment [which aired] night after night called 'Can we save the planet?' which would show rivers on fire and industrial pollution and clear cutting, in color on TV.

"Cronkite sent television crews to cover the first Earth Day, and treated it as a giant event, television-worthy of an Apollo mission. So when Cronkite started really banging the drum on the environment it had an impact."

As described in "Cronkite," the anchorman comes across as a more complicated figure than many of his viewers could have seen.

It was only after his retirement from the CBS anchor chair in 1981 that he gave full rein to his strongly liberal views: Brinkley refers to a 1988 speech that "planted him firmly in liberal-left soil. The charade of being Mr. Center was over."

His journalistic ethics weren't always stellar -- in the early 1970s, Brinkley writes, "Cronkite cut a deal with Pan Am airlines to fly the entire family to a series of international vacation spots." His bosses objected, but as one network staffer noted, "Walter was the eight-hundred-pound gorilla in the CBS room. You couldn't fire him."

The reason was his popularity with viewers. Brinkley noted that it's especially difficult to come across as relaxed and comfortable, as if you're in your living room, when you're really in a cavernous television studio, with equipment and wires everywhere.

"Cronkite was able to seem comfortable and real," Brinkley said. The author attributes Cronkite's success to spending much of the early days of television, in the 1950s, in a wide variety of roles on programs, including game shows.

"So when he caught his groove, it was as natural to him as breathing, being on the air. And he seldom said a wrong thing. He had very few retractions. And he never tried to break news first, he tried to break it right."

As an old wire service reporter, Cronkite wanted to get a story from United Press International or the Associated Press before he would report breaking news on the air.

"In that way, he was sort of playing like the tortoise for a long career. Because you could go up in flames. One really bad report, one presentation of bogus information, could destroy an on-air personality's career."

@highlight

Douglas Brinkley's new book is a full biography of Walter Cronkite

@highlight

In era dominated by Big Three networks, Cronkite was the leading anchorman

@highlight

Americans experienced tumultuous developments of 1960s, '70s through Cronkite

@highlight

Brinkley: Cronkite had a gift for being comfortable on air and at the center of events