(CNN) -- On April 27, NASA's Fermi and Swift satellites detected a strong signal from the brightest gamma-ray burst in decades. Because this was relatively close, it was thousands of times brighter than the typical gamma-ray bursts that are seen by Swift every few days. Scientists are now scrambling to learn more.

We already knew that when the biggest stars run out of fuel, they don't fade quietly away. Instead, they explode in a blaze of glory known as a supernova. These stellar explosions are often bright enough to be seen by us even though they are in galaxies billions of light-years from our own Milky Way galaxy home.

In very rare cases -- such as GRB130427A (tagged with the date of its discovery) -- astrophysicists are lucky enough to see energetic gamma-rays from hyperfast jets of outflowing material consisting of charged particles created during a massive star's violent death throes.

This means GRB130427A's jets must be aimed toward Earth -- purely by chance, of course. For every jet pointed at us, there are hundreds of exploding stars across the universe whose jets point randomly in other directions. Telescopes on other planets in those directions could see those jets, and we might see the exploding stars as supernovae, but we don't see the bright gamma-ray flashes from jets beamed away from us.

In the hours after this unusual gamma-ray burst was discovered, astrophysicists rushed to learn more.

Thanks to observations made with the Gemini ground-based optical telescope in Hawaii, it quickly became clear that GRB130427A was superbright primarily because it lay only a few billion light years away. Had it been situated in a much more distant galaxy -- as many gamma-ray bursts are -- its signal would have been relatively feeble.

The proximity of GRB130427A means we can learn a great deal about it.

For example, most of the energy from supernovae is thought to be carried away by neutrinos -- the lightweight, difficult-to-detect particles that are so important to understanding the fundamental laws of nature.

The world's most powerful neutrino telescope, IceCube, uses Antarctic ice as the detector volume, with electronic equipment sunk throughout a cubic kilometer of ice -- enough water to fill a million swimming pools -- to detect signals from neutrinos interacting with the ice.

If there is a supernova associated with this gamma-ray burst, a big optical flash should be seen any day now by ground-based telescopes, preceded by a flood of neutrinos. (The neutrinos are emitted at the time of collapse, while the optical light is the consequence of explosive debris hitting material surrounding the star a bit later.)

Interestingly, an April 18 paper in the journal Nature reported that upper limits for neutrinos measured from IceCube are low enough that gamma-ray bursts are unlikely to be the sole source of ultra-high energy cosmic rays. Just nine days later, the bright nearby burst happened, leading to the Fermi detection of the highest energy gamma-ray ever.

Now there is a real chance IceCube will make the first detection of astrophysical neutrinos, from the supernova associated with GRB130427A.

Want to know more technical details? Here is some background information about light and about the deaths of stars:

Gamma-rays are the most energetic form of light, with wavelengths far shorter than ordinary optical light (the light your eye can see), or even ultraviolet or X-ray light.

The energy of a packet of light -- or "photon" -- is inversely proportional to its wavelength. Since the wavelength of an X-ray photon is approximately 1/1,000 of the wavelength of optical light, for example, an X-ray photon has 1,000 times the energy of an optical photon. This is why X-rays can penetrate your skin and soft tissue -- though not bone -- while sunlight mostly reflects off your skin.

Gamma-rays have thousands to millions or even billions of times the energy of ordinary sunlight. Being highly energetic, they are hard to produce and very rare. So when we detect gamma-rays from space, we know they signal intensely hot, extreme events.

Stars, such as our sun, are giant balls of gas held together by gravity. Acting alone, gravity would cause stars to collapse completely, but as long as energy is produced at their centers by nuclear fusion (the joining of atomic nuclei to form new elements, as in a hydrogen bomb), the star is heated and puffed up. During this phase, stars radiate that heat, shining brightly like our sun, mostly at optical wavelengths.

It is an interesting triple "coincidence," which probably evolved over time, that our eyes are most sensitive to yellow-green light, which happens to be the characteristic color of sunlight as well as the color that can most easily be transmitted through the Earth's atmosphere.

When nuclear fusion uses up a star's fuel, in the central high-pressure stellar core where fusion occurs, the star will collapse fairly violently. Depending on its initial mass, it might collapse to a compact hot star known as a white dwarf (when the star's mass is less than 1.4 times the mass of our sun) or to a neutron star (for stars 1.4 to about three times the mass of our sun) or to a black hole (for stars more massive than three times the mass of our sun).

A black hole collapse is very violent and not well understood at present. Theorists believe the rapid collapse generates heat that ignites the explosion. The explosive energy is released in the form of neutrinos, light (mostly gamma-rays), and a pair of relativistically outflowing emitting jets.

That's why an event such as GRB130427A probably signals the collapse of a massive star into a black hole.

Incidentally, if not for supernovae, we wouldn't be here.

Every single atom of your body that is not hydrogen or helium was created in the fiery interior of a massive star. The supernova explosion disperses these elements throughout interstellar space, where they become the building material for new planets. When Earth formed out of such materials -- iron, manganese, calcium, silicon, oxygen, nitrogen, carbon, etc. -- organic chemicals, then cells, then organisms, then humans were able to evolve.

In the 1960s, NASA launched the first gamma-ray satellites to look for signals of intense radioactive decay on Earth, which could be generated by nuclear explosions. In other words, detecting gamma-rays was a way to spot nuclear tests.

Years later, scientists examining data from the Vela satellites found gamma-ray bursts -- but they were coming from space, not from human activities on the ground. Since that time, gamma-ray bursts have been one of the most interesting phenomena in the cosmos. They are incredibly luminous, with most of the energy of a stellar explosion packed into a few seconds or less, so they represent a kind of extreme physics.

Thousands of gamma-ray bursts have been studied for more than 40 years. Because of its proximity, GRB130427A generated more gamma-rays, over a longer time and at higher energies, than any detected previously by the Fermi or Swift satellites.

Astrophysicists can't be successful just because they are clever and hard-working. They also have to be lucky.

On April 27, nature smiled on the Earth's astrophysical community in the form of GRB130427A, a powerful laboratory for understanding relativistic jets, black holes and stellar collapse. Now the experimental analysis begins.

More space and science news at CNN Light Years

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

On April 27, NASA satellites detected massive gamma-ray burst, strongest in decades

@highlight

Meg Urry says the event sent jets of charged particles in Earth's direction

@highlight

She says it likely was the collapse of a huge star into a black hole

@highlight

Urry: The event was a lucky one for astronomers who will now have much to analyze