(CNN) -- Like many entrepreneurs, I am often asked about the secrets to building a successful career. The advice I give is that whether you're in Silicon Valley creating apps, or in Unadilla Valley in upstate New York making yogurt, there are many common ingredients for success.

But everything starts with opportunity, whether it be the opportunity to study, to work, to build something, or the opportunities afforded by a safe home, a stable society and a secure environment. These were all opportunities that I enjoyed as a young boy in a Kurdish community in eastern Turkey, and as a young man who came to America, inspired by the American dream.

Sadly, far too many in the region where I grew up will never receive the opportunities that I had.

In the decade since I began the Chobani business, dramatic changes have occurred in the Middle East. Conflict has engulfed Iraq and Syria, forcing millions of people to flee from their homes and seek refuge in neighboring countries.

When I watch the reports from towns like Kobani, I see a haunting despair in the eyes of refugees. Their faces look familiar -- they are just like my aunts, uncles and childhood friends. And yet the fear in their eyes seems very different. The truth is that although I grew up in their part of the world, I can't imagine what it must be like to be forced to flee your home with your family, not knowing if your grandmother will survive the journey or your daughter will ever see home again.

In the past, the world has risen to the moment and responded to similar crises. Refugees from wartime Europe were taken in by dozens of countries across the world in the 1940s and 1950s. Similarly, victims of conflict in Vietnam, Cambodia and East Africa in the 1970s, and those from the Balkans in the 1990s, found welcoming new homes in faraway countries.

With all that in mind, I cannot understand why the welcoming arms of the international community have become so feeble and spiritless in the face of the latest crisis.

Last week, at a pledging conference in Geneva, Switzerland, other countries could only muster a commitment to take in 38,000 more refugees from Syria in 2015, despite the fact that we are currently facing the largest refugee crisis since World War II. More than 50 million people around the world are now refugees or displaced people, robbed of life's opportunities by war, persecution and natural disasters.

So where is the big-hearted response of previous generations? Have our hearts turned to stone? Turkey alone took in more people in three days than the international community has offered to welcome in an entire year. Lebanon and Jordan have likewise absorbed enormous numbers. These countries, and agencies like the United Nations High Commissioner for Refugees and the International Rescue Committee, which do extraordinary work, desperately need financial support to be able to provide the basic essentials for those who have fled across borders in search of safety.

How can it be that such suffering exists just a few hours' plane ride from some of the world's richest capitals? And how can so many enjoy a life of abundance, and yet, despite our more interconnected world, appear so oblivious to quite how bad things have gotten?

Generosity starts with us as individuals. But the needs in this desperate situation are far too immense for private donors to ever meet on their own. Governments across the globe must therefore answer the call to action -- just as they've done in the past.

It is with this pressing need for action in mind that I have been a strong supporter of the U.N.'s immediate efforts to get winter supplies to refugee camps. I am also supporting new campaign initiatives to help advance long-term solutions to the crisis. Such efforts, it is hoped, will help decision-makers around the world hear the voices of those that need help the most.

This week, I am writing to the foreign ministers of ten key countries, calling on them to show leadership and deliver on their past commitments. It is a campaign I will continue with for as long as this crisis persists. And I would urge entrepreneurs from across the globe -- men and women who have already demonstrated their ability to shake things up -- to join in and press for change to address this injustice.

So, as many of us prepare to spend the holiday season with families, and in conditions that millions of refugees could only dream of, it is time to raise our voices as we seek to jolt our leaders into action.

This is what it means to have a human heart. Not to avert our gaze from others' suffering, but to step forward. To open our arms. To lift our voices, and call for our leaders to wake up. And to do our duty to these sons and daughters, brothers and sisters who are all part of the one human family.

As those blessed with opportunity in our own lives, we must restore opportunity and hope to theirs.

@highlight

Hamdi Ulukaya: World must do more to assist Syrian refugees

@highlight

Governments must find spirit of previous refugee crises, he says

@highlight

He calls on other entrepreneurs to join in pressing governments to do more