(CNN) -- With a dozen humanitarian missions behind her, Ashley Judd has ventured to Africa to challenge the relationship between valuable minerals and unspeakable violence.

She's meeting this week with local businessmen, officials and victims of rape and other atrocities in the Democratic Republic of Congo, to raise awareness about the issue of conflict minerals.

Natural resources such as tin, tantalum and tungsten -- which are used to make the world's cell phones, computers and other electronics -- fuel continued violence in Congo, especially mass rapes.  Judd spoke to CNN on Monday from the city of Bukavu in eastern Congo about what she witnessed at one of the African nation's camps for displaced persons and how she prepares for difficult humanitarian trips.

Complete coverage: Humanitarian Travel

CNN: Could you help us to connect the dots between the rape victims you've met in these camps and the materials used in the electronics industry?

JUDD: The armed militias make war on a woman's body. In Congolese society, women are the pillars. They are the backbone. They are the heart, and so when an external force wants to destroy a society, wreck havoc, disrupt, the most efficient, direct and -- in a way -- sickeningly cunningly brilliant way to do it is to literally attack the woman's body.

And by humiliating women and terrorizing families, the militias achieve their objective of literally displacing them, literally running them out of their homes so that the armed militias can simply set up without obstacles, without barriers -- access to phenomenal mineral wealth on which these families are living.

If a family is not displaced, they are wholly subjugated. Perhaps they don't vacate their homes, but they're dominated and tyrannized by the ongoing presence of the militias.

When I arrived at the camp ... the situation is so jaw-droppingly raw. They lack basic services. There's no running water. The water that they do have access to is not really safe for drinking, but they drink it anyway. There's certainly no water for showers or luxuries of that nature. The latrines are poorly dug holes. And people's accommodation is corn husks and sticks and sometimes UN-issued sheets of plastic or -- ironically in one of my new friends' homes -- a cardboard box that American-made goods had been transported in. Her interior decoration was cardboard stamped with "USA."

All three of the women I met had been living in the camp for two years. All three of them had been raped multiple times. Two of them had been gang-raped twice; one of them had been gang-raped three times. Part of what's really important to note is that the perpetrators of these atrocities were both FDLR [Democratic Forces for the Liberation of Rwanda] and Congolese militia.

[Editor's note: The FDLR consists of Rwandan Hutus blamed for the 1994 genocide who fled into the lawless provinces of eastern Congo, where their presence fueled a five-year war that killed more than 3 million people.]

It was pretty stunning that these women were willing to admit that they had been raped, in fact, by Congolese militia.

All three of them had borne children conceived in rape. All three of them said they made no distinction between the children and the baby born of rape. All three were unimaginably and desperately poor. When I asked them what kind of future they could possibly envision for themselves, they're in survival mode, and it literally was about where the next meal is coming from. They couldn't even get to the place where we could talk about the dream of an education for their children. They're just not there.

We need to put so much pressure on these electronics companies, because it's incredibly lucrative right now, and until we disrupt how lucrative it is for the militias, things are not going to change.

See more on the connection between minerals and militias

CNN: What can Americans do that would directly improve the future of women like the ones you met?

JUDD: I have four things that I suggest. For immediate triage, something that can literally in a very short amount of time make an appreciable difference in the life of a survivor of gender violence is to sponsor Congolese women through Women for Women International. Anyone can go to womenforwomen.org and literally with a click and a small financial commitment put money in the hands of a survivor of gender violence.

The other immediate piece of triage that Americans can do is contribute to Population Services International, which has grass-roots health interventions and helps poor women deal with preventable disease, family planning, HIV, because a lot of them become HIV positive after they've been raped, because they're raped by so many men, their exposure to HIV is very high.

Also, we can contribute to Doctors Without Borders.

See a map of the Democratic Republic of Congo

To genuinely end the root causes of mass rape in eastern DRC, people can send an e-mail immediately to the world's top 20 electronics manufacturers and absolutely demand insist that these manufacturers create a clean supply of minerals that they use in their products and that end up in our pockets.

Opinion: Stopping flow of conflict minerals to your cell phone

CNN: How do you maintain the commitment to your cause while maintaining the rest of your life?

JUDD: In a way, what happens to the women of Congo is also happening to me, and I also lose my humanity. I compromise my integrity when I do not engage in their struggle. And it's not easy. One of the things that has really helped me cope over the years is keeping an extensive diary. I started in Cambodia on the first day I went to a genocide museum there. And then the next thing I knew, I was at Svay Pak. I didn't even know what Svay Pak was. It took me a while to figure out that the first brothel I ever went to was one of the most infamous notorious brothels in the entire world. And that night, I thought I was going to die. I thought I was going to die from grief. The grief comes up even when I just remember it.

It's amazing, I walk into a woman's home, and she opens up her life to me. She tells me everything. She endows me with this beautiful sacred trust of her story, and I'm telling you that's all she has. She has her children, and she has her story. That is it. And I promise her, I will never forget her. I tell her I will share her story with other American women, and I will speak her story to power. I say, "I cannot make promises to you about what my government will do, but I promise you I will take action on your behalf."

U.S. law targets 'conflict minerals' in Congo

CNN: What are some of your personal emotional driving forces behind your humanitarian journeys?

JUDD: The trips I take are indeed phenomenally emotionally grueling. I always go through a breakdown, and by the grace of God today and because of the brilliant grass-roots solutions that already exist in most countries that simply need to be amplified and incorporated into policy on the government and transnational level, I also have a breakthrough.

CNN: In general, how should travelers planning humanitarian missions prepare emotionally, mentally and practically for journeys to remote and possibly dangerous places?

JUDD: Number one: Check your motives. That's the most important thing.

Number two: Understand the local context. Educate yourself. Reach out to experts, both at the policy level as well as the grass-roots level. Read books about the history of the place. And also be savvy about the particular historical perspective that the author may have.

Watch documentaries. I watched "Born into Brothels" before I started spending time in brothels in Mumbai, India, and it was very helpful for me to kind of spiritually fortify myself because I had the visual.

I knew what they looked like, what they sounded like, before I went, and so that helped me skip over the visceral shock of walking into these phenomenally crowded, fetid brothels.

I had a spiritual director in my life and a spiritual community with whom I stay very current -- and that's enormously important to me.

Because eastern Congo is what it is, it's such a severe place and the problems are so huge, I had my crisis of faith and my breakdown within 72 hours of getting here. Normally, it happens like three weeks into a trip, but this place just cut me off at the knees immediately, and I had to reach out to people with whom I'm walking this walk -- both through e-mail and through telephone -- and that sort of helped me have that breakthrough and tap back into my resilience.

CNN: There is often a significant cultural divide travelers encounter when journeying to places like the Eastern Congo.  Are there any strategies you'd recommend for folks who are facing this challenge?

JUDD: Learn the difference between pity and empathy, charity and self efficacy. Abandon the former, which is patronizing, practice the latter, which builds capacity. Accept your will, in spite of your most noble intentions and earnest aspirations, bring unconscious biases and prejudices with you. It is impossible not to. Have the humility to spot, admit, and correct your own thinking. Live your amends. Take care of your mental health. Any unhealthy coping mechanism you have, or -ism  (compulsion/obsession/addiction), will be triggered and amplified.  You are not  the exception, no matter how strong your faith and will. Consider therapy, a 12-step program, or other healing modality before you go, and continue to seek help and support. Remember: denial stands for "Don't Even Know I Am Lying."  The work may be rewarding, but it is also intensely grueling.  You will pay high costs for not taking care of yourself. Rejoice in your opportunity. Practice an attitude of gratitude in everything you do. The world, even in the most desperate places, is full of wonder and miracles.

@highlight

Ashley Judd: Humanitarian travelers should check motives, learn local context

@highlight

Judd: Valuable minerals in electronics fuel mass rape in Democratic Republic of Congo

@highlight

"Until we disrupt how lucrative it is for the militias, things are not going to change," she says

@highlight

Help victims by donating to aid groups, e-mailing electronics makers, Judd says