Washington (CNN) -- The administration's top counterterrorism adviser said Thursday he was aware of the CIA's enhanced interrogation techniques that critics describe as torture while serving as a top official at the agency but did nothing to stop them because he had no oversight role.

"I did not take steps to stop the CIA use of those techniques," John Brennan told his Senate confirmation hearing. Brennan was nominated by President Barack Obama to lead the spy agency after Gen. David Petraeus resigned from the job over an extramarital affair.

The issue was controversial in the administration of former President George W. Bush in the aftermath of the September 11, 2001, terrorist attacks.

In answering questions about the techniques, Brennan acknowledged that he knew another part of the agency was carrying out a directive from the Bush administration.

Five things we learned from John Brennan's confirmation hearing

"I had awareness that the agency was being asked to do it; I was aware that the agency was moving ahead on it," he told the Senate Intelligence Committee, adding that he was not involved in managing it.

At the time, Brennan was the CIA's deputy executive director.

On the same issue, Brennan said a committee report on the interrogation techniques contained "disturbing" information that raised questions about whether he knew what really happened.

The 6,000-page report took six years to compile, and Brennan said he read the 300-page executive summary before Thursday's hearing.

"Now I have to determine what the truth is," he said. "I do not know what the truth is."

Under persistent questioning by Sen. Carl Levin, D-Michigan, Brennan pledged that waterboarding would never be used under his direction, but he refused to label it torture.

On the issue of drone strikes on terrorist targets abroad, Brennan defended the 2011 killing of Yemeni-American Anwar al-Awlaki as part of the war against al Qaeda.

Brennan said al-Awlaki's involvement in efforts to kill Americans made him a legitimate military target.

Under prodding from committee Chairwoman Sen. Dianne Feinstein, D-California, Brennan confirmed a connection between al-Awlaki and Umar Farouk AbdulMutallab, who failed in his attempt to detonate an explosive in his underwear as his Northwest Airlines flight approached Detroit on Christmas Day in 2009.

However, Brennan offered no details of the connection, and noted al-Awlaki's role as a propagandist for al-Qaeda who fomented anti-American sentiments via the Internet.

The hearing was temporarily halted at the start when protesters repeatedly interrupted Brennan's opening statement. Some waved signs accusing him of war crimes because of the drone attacks.

Feinstein ordered the room cleared of spectators and told security officers to prevent the re-entry of protesters from Code Pink, which describes itself as a women-initiated group for peace and social justice.

Brennan is considered to be behind the administration's dramatic rise in the use of drones against terrorist suspects.

Several strikes have killed Americans, notably al-Awlaki.

Opinion: Bring drones out of the shadows

Brennan defended the drone program, saying that Obama "insisted that any actions we take will be legally grounded, will be thoroughly anchored in intelligence, will have the appropriate review process, approval process before any action is contemplated, including those actions that might involve the use of lethal force."

"My role as the president's counterterrorism adviser was to help to orchestrate this effort over the past four years to ensure, again, that any actions we take fully comport with our law and meet the standards that I think this committee and the American people expect of us as far as taking actions we need to protect the American people, but at the same time ensuring that we do everything possible before we need to resort to lethal force," he said.

An unclassified outline of the administration's policy given last summer to Congress indicated that the government could use lethal force against an American overseas if the person was a senior operational leader of al Qaeda or one of its affiliates and an attack was imminent.

The Senate Intelligence Committee received a classified document on Thursday that seeks to justify the administration's policy of targeting Americans overseas via drone attacks, a congressional aide told CNN.

The document was demanded by lawmakers, mainly Democrats concerned about secrecy in national security decision making, before Brennan's hearing.

It outlines the Justice Department's legal rationale for the policy of using lethal force against U.S. citizens fighting on behalf of terrorist groups.

CNN Explains: U.S. drones

According to an official who spoke on the condition of not being identified, Obama decided to turn over the legal opinion because he believes the scrutiny and debate is healthy.

On Thursday, Senate Judiciary Committee Chairman Patrick Leahy, D-Vermont, and Ranking Member Chuck Grassley, R-Iowa, sent a letter to Obama calling on him to share with the committee any legal memos on the targeted killings of Americans abroad.

"The deliberate killing of a United States citizen pursuant to a targeted operation authorized or aided by our Government raises significant constitutional and legal concerns that fall squarely within the jurisdiction of the Committee," they wrote.

One of the questions the committee submitted to Brennan in advance of the hearing asked how it was determined that an individual was associated with al Qaeda and that a threat was imminent.

Brennan responded in writing that such decisions were made on a "case-by-case basis" in a process involving other agencies.

The White House said this week that questions on the matter have been weighed against legal concerns and discussed publicly.

The Supreme Court has held that the military may use force against an American who is part of enemy forces.

Still civil liberties and other groups want more answers.

Amnesty International said Congress should grill Brennan on his claim that the Obama administration's drone strikes are "conducted in full compliance with the law."

Opinion: John Brennan, Obama's counterterrorist

Other controversies at hand

Brennan's chances to lead the CIA at the start of Obama's first term were scuttled by questions about the enhanced interrogations of terrorist suspects.

At Thursday's hearing, Brennan said he had raised objections with colleagues to the enhanced interrogation techniques, but denied any role in managing or enabling their use.

Asked if the techniques had yielded intelligence that saved lives, Brennan did not answer directly. Instead, he repeated his insistence that such techniques would never be used under his watch.

Senate lawmakers also asked about Brennan's role in administration leaks about covert operations, including a foiled al Qaeda bomb plot in Yemen involving a mole.

He denied any wrongdoing, saying that he had gotten involved only after the leaks became public and that he tried to stem a "hemorrhaging" of leaked information in the matter.

Brennan acknowledged in his written responses to committee questions that he voluntarily was interviewed by prosecutors about two investigations. He said in both cases his counsel told him he was being interviewed as a witness, not a target.

Report: Numerous countries involved in CIA interrogation programs

A powerful figure at White House

As CIA director, Brennan would report to James Clapper, the director of national intelligence. But he would also have a direct path to the president, talking to him on the phone or briefing him personally.

CNN's Tom Dunlavey and Lesa Jansen contributed to this report.

@highlight

John Brennan says lethal targeting of terrorists is carried out legally

@highlight

Drone campaign against al Qaeda has been legacy of Brennan as Obama adviser

@highlight

Lawmakers get classified document on drone policy

@highlight

Brennan's knowledge of harsh interrogations, leaks is scrutinized