Slaviansk, Ukraine (CNN) -- Do a series of photos of gun-toting men wearing green uniforms prove Russian forces are operating in eastern Ukraine?

Ukrainian officials point to the pictures in a dossier obtained Monday by CNN, arguing that the images show Russian "sabotage-reconnaissance groups" acting in Ukrainian towns.

The images, Ukrainian officials say, prove organized Russian activity in the region.

CNN cannot independently confirm the photographs, some of which were first published in The New York Times.

The dossier shows what Ukrainian officials say are images of well-equipped gunmen in eastern Ukraine who look similar to photographs of Russian forces taken in Crimea, Russia and during Russia's 2008 invasion of Georgia.

Last week, Ukrainian security officials told CNN they had arrested a Russian military officer and a woman Ukrainian officials said is a Russian intelligence agent.

Moscow has disavowed involvement in the takeover of government buildings in eastern Ukraine or other acts by often-masked pro-Russian gunmen.

But the photos, accepted as genuine by the Obama administration, appeared to lend credence to allegations by Ukrainian officials that Russian forces have been dispatched in eastern Ukraine to provoke a military confrontation.

If genuine, the photos also back up Western leaders who have claimed Russia's involvement. Last week, NATO commander Gen. Philip Breedlove wrote on the alliance's blog that what pro-Russian groups have described as an organic uprising is in reality a "well-planned and organized" military operation orchestrated by Moscow.

"There has been broad unity in the international community about the connection between Russia and some of the armed militants in eastern Ukraine, and the photos presented by the Ukrainians last week only further confirm this, which is why U.S. officials have continued to make that case," State Department spokesman Jen Psaki told CNN on Monday.

The question of whether Russia is involved in the unrest roiling eastern Ukraine is crucial as European observers try to enforce an agreement reached last week to lower tensions in the region by organizing the withdrawal of forces from government buildings and other facilities.

Officials who brokered the deal in Geneva said they hoped it would ease tensions. But there were some signs Monday that tensions are mounting.

Residents told CNN that armed militants seized the police station in Kramatorsk, Ukraine, late Monday. The police station had been stormed on April 12 before being handed back to local officials two days later.

Amateur video from the scene shows masked, armed men escorting the local police chief to a car after seizing the building.

The video, in addition to the photos released by Ukrainian officials, seemed to show that at least some forces in Ukraine show no sign of backing down.

Ukraine provided the photos to those observers from the Organization for Security and Cooperation in Europe, according to the briefing dossier obtained by CNN's Elise Labott.

One image shows a gunman with a long beard during an assault on a police station in Kramatorsk who appears similar to a Russian special forces member photographed during the Russian invasion of Georgia.

Another shows gunmen photographed occupying administrative buildings in Slaviansk who appear similar to men pictured in what Ukrainian officials described as a "family photo" of a Russian sabotage and reconnaissance unit.

Natacha Rajakovic, deputy spokeswoman for the Organization for Security and Cooperation in Europe, declined to comment on the images and referred questions to Ukrainian authorities.

Ukrainians maintain that Russian involvement in the east is widespread.

CNN has heard Russian accents among the "men in green," as they are known, well armed and uniformed groups who have appeared in towns like Slaviansk and Kramatorsk. One told CNN he had come up from Crimea. But CNN has not seen any evidence that these men are operating under orders from the Kremlin.

Russia's Foreign Minister scoffed at the accusations, saying that Kiev and its patrons, the United States and the European Union, are trying to blame his country for everything.

Slaviansk's self-declared mayor, a former military man himself, says the explanation is simple: He put out an appeal to his old comrades.

"When I called on my friends, practically all of whom are ex military, they came to our rescue, not only from Russia but also from Belarus, Kazakhstan and Moldova," he said.

But on Monday, he insisted there are no active duty Russian soldiers in his town.

Diplomatic efforts

The government of acting Ukrainian President Oleksandr Turchynov has talked tough but done little to curb pro-Russian activities in the east, possibly afraid that a crackdown could send Russian forces across the border. The occupation of buildings continued in about a dozen towns and cities across eastern Ukraine.

International monitors from the Organization for Security and Cooperation in Europe met Monday with pro-Russian leaders in Slaviansk, but no breakthroughs were reported.

The monitors were called for in the agreement among Russia, the United States and the European Union last week that was meant to reduce tensions in the region, which while part of Ukraine has long looked toward Russia for cultural and economic ties.

In three towns, pro-Russian protesters and militants have made it clear to CNN they have no intention of moving until the "illegal" government in Kiev also moves out of official buildings.

Russian Foreign Minister Sergey Lavrov echoed those sentiments Monday, saying that Ukrainian officials were not implementing the agreement negotiated in Geneva, Switzerland.

"On the contrary, not a single step has been taken by those who have seized power in Kiev to eliminate the reasons of this deep crisis inside Ukraine," he said.

Russia has said before that it holds no sway over pro-Russian protesters and militants.

Geoffrey Pyatt, the U.S. ambassador to Ukraine, told CNN's Candy Crowley on Sunday that he has seen progress. He had just met with Ukrainian Foreign Minister Andriy Deshchytsia and the ambassador who heads the OSCE's special monitoring mission, along with his European Union and Russian counterparts.

"I think we all reaffirmed today in this setting our collective commitment to trying to make the Geneva framework a success," he said on CNN's "State of the Union." "There are obviously some real challenges at this point," including the violence in Slaviansk.

"But we also believe that there has been some progress. I'm seeing reports this morning that at least one of these (occupied) government buildings now has a Ukrainian flag flying over it," he said. "And the OSCE has monitors on the ground who are reaching out, engaging with local political elites, seeing if there's a way to de-escalate the crisis."

There is "no military solution" to the crisis, Pyatt said. "It has to be solved through diplomacy."

Biden visits Kiev

Meanwhile, U.S. Vice President Joe Biden arrived Monday in Kiev to discuss the situation in eastern Ukraine and deliver a new aid package aimed at shoring up the Ukrainian government.

The bundle includes new economic and energy aid as well as governance assistance, a senior administration official told reporters in a background briefing Monday.

It's likely to sit well with Ukrainian leaders struggling to keep their country going amid widespread financial problems and a growing showdown with Russia over that country's annexation of Crimea and troubles in Ukraine's pro-Russian east.

On the streets of Kiev, ordinary citizens said they know there's only so much the United States can do. Some said they'd like to see the U.S. send troops.

"Our army is very bad. Maybe the U.S. can give us some military help," one Ukrainian said.

But others say that's too much, even with pro-Russian forces occupying government buildings in the east and thousands of Russian troops massed along the Ukrainian border.

"I think we want consultations, but no American troops," another Ukrainian citizen told CNN.

U.S. officials have ruled out the possibility of deploying U.S. forces to Ukraine.

But some U.S. lawmakers have argued that the United States should send weapons.

That wouldn't help the situation and might make it worse, U.S. Deputy National Security Adviser Ben Rhodes told CNN's "The Lead with Jake Tapper" on Monday.

It won't take sending weapons, Rhodes said, to send a message to Russia.

"We've signaled how we can escalate our sanctions," he said. "In the long run, if Russia runs this play, they're going to lose a lot."

Speaking to CNN from Kiev on Monday, Rep. Ed Royce said the United States needs to do more to reduce Ukraine's reliance on natural gas and oil from Russia by exporting fuel there from the United States.

"What has put Putin in the driver's seat over here is the fact that he controls oil and gas. He's got a monopoly on it," the California Republican said. "And that would be something we could upset."

Defense Secretary Chuck Hagel said last week that the United States, however, will continue its beefed-up presence in Poland because of the crisis. Among fellow members of NATO, Poland has expressed particular concern about Russian plans in Ukraine.

The Defense Department is also sending some nonlethal aid to Ukrainian security forces, including medical supplies, helmets, shelters and water purification equipment.

CNN's Frederik Pleitgen, Tim Lister, Elena Sandyrev, Phil Black, Alla Eshchenko, Elaine Ly and Lena Kashkarova contributed to this report.

@highlight

NEW: Residents say armed militants seized the police station in Kramatorsk, Ukraine

@highlight

Ukraine claims photographs show Russian troops in eastern Ukraine

@highlight

Russian Foreign Minister Sergey Lavrov says Geneva pact not being implemented

@highlight

Vice President Joe Biden delivers aid package in visit to Kiev