(CNN)A jury of Rolling Stone's media peers has dissected the magazine's disastrous, discredited story about rape on the campus of the University of Virginia, and the emerging consensus is that Rolling Stone's lapses and sloppy blunders amount to journalistic malpractice -- made all the worse by the magazine's head-in-the sand reaction to the thorough, devastating report released by a panel of investigators from the Columbia University Graduate School of Journalism.

Rolling Stone's egregious mistakes of reporting and editing are regrettable but understandable. The magazine's decision not to fire anybody or reorganize its newsroom operation is not.

Before the original story, "A Rape on Campus," was pulled from the Rolling Stone website, it registered 2.7 million hits following its publication in November -- more than any noncelebrity story in the magazine's history.

An anonymous undergraduate, given the name "Jackie," told Rolling Stone writer Sabrina Rubin Erdely she had been invited to a party thrown by Phi Kappa Psi fraternity in 2012 -- only to end up beaten and gang-raped by seven boys, who were allegedly coached along in the attack by the same student, a casual acquaintance, who had invited Jackie to the party.

The horrific allegations sparked protests against the fraternity,  a police investigation, the temporary suspension of all fraternities at the school and a nationwide debate about the prevalence of sexual violence on college campuses. But the story began to unravel almost immediately when Washington Post reporter T. Rees Shapiro took a closer look, leading Rolling Stone to back away from the story and request a review by the Columbia University Graduate School of Journalism.

That review, which is considerably longer than the original article, reveals startling lapses in basic journalistic practice. Rolling Stone writer Erdely never verified the identity of the attacker and therefore never confronted him with the allegations; she never spoke to three of Jackie's friends who allegedly talked with Jackie immediately after the attack, and she never gave the fraternity a fair chance to respond, refusing to provide specific information about what happened and when.

And at every step of the way, when Jackie began acting flaky -- refusing to provide basic information needed to verify her story or vanishing for weeks at a time without returning calls from the reporter -- neither Erdely nor her editors or the magazine's fact checkers made the hard but necessary decision to hit the pause button and decline to run the story.

Having worked part time as a journalism professor for a decade (including one semester at Columbia), I would agree with colleagues who call Rolling Stone's lapses the kind that would be unacceptable in a freshman classroom. I've told students for years: You should never print allegations without giving people a fair chance to respond. And you should never take a source's word about important facts without verifying the truth. (There's a reason we call it reporting and not dictation.)

Most of all, I tell students, remember that you're writing about human beings, who are complicated creatures: The good guys are never all that good, and the bad guys usually aren't completely bad. People can be mistaken or deceitful, I tell young reporters, they frequently forget and often lie to themselves. That doesn't make a source useless, but it must make you extra careful.

Unfortunately, the early word from Rolling Stone is that they've absorbed none of these lessons. Publisher Jann Wenner has apparently decided not to fire, demote or discipline anybody at Rolling Stone, provoking expressions of disbelief among seasoned journalists.

"No one fired at Rolling Stone. Really?" wrote CNN media critic Brian Stelter.

"What would Rolling Stone in its heyday write about an institution that screwed up unbelievably, damaged people's lives, but punished no one?" tweeted John Bresnahan, the Capitol bureau chief of Politico.

"Rolling Stone outsources its investigation to Columbia and proceeds to do nothing in terms of individual accountability afterward? OK...," tweeted pundit Joe Concha.

Worse still, the editors who committed the blunder seem unprepared to revamp their operation to prevent a repeat of the debacle, framing the error as an earnest but misguided attempt to believe the word of a sexual assault victim. "Rolling Stone's senior editors are unanimous in the belief that the story's failure does not require them to change their editorial systems," the Columbia report says.

And check out this amazing conclusion from Will Dana, the managing editor who presided over the disaster. Dana told the Columbia team: "It's not like I think we need to overhaul our process, and I don't think we need to necessarily institute a lot of new ways of doing things. We just have to do what we've always done and just make sure we don't make this mistake again."

That smug attitude pretty much ensures Rolling Stone's newsroom managers will commit another goof in the future. At a minimum, they should heed the wise counsel of my friend Bill Grueskin, an executive editor at Bloomberg who formerly served as dean of academic affairs at the Columbia J-school.

"When doing big, investigative stories, reporters face many challenges: recalcitrant sources, complex numbers, buried records. Editors, whose labors are usually cloaked in anonymity, are spared most of those hurdles. But they face their own internal newsroom challenges, particularly when handling a potential blockbuster story," Grueskin writes. "They must keep their star reporters happy, trim verbiage that interrupts the narrative, and deal with the expectations of bosses hungry for prizes and traffic."

The problem could be, says Grueskin, that Rolling Stone had too many chefs in the kitchen, instead of "a single, talented editor with an intact set of vertebrae."

Until Wenner and his team learn that basic lesson -- and revamp their hiring, editing and fact-checking process accordingly -- the Rolling Stone fiasco will eventually be followed by another, one made less forgivable because we all saw it coming.

@highlight

Columbia journalism school team finds major lapses in Rolling Stone's University of Virginia rape story

@highlight

Errol Louis: Incredibly, the magazine isn't holding its staff accountable or changing procedures