(CNN) -- Kim Shifren came home from school one day to find her world turned upside down. Her mom had suffered a massive heart attack; doctors said she would need weeks to recover.

In a matter of minutes, the 14-year-old went from child to child caregiver.

Shifren spent the next month bathing, dressing and feeding her mom before school. When she got home, she cleaned the house and made dinner. Her dad helped when he could, but he worked long hours to support the family.

Two years later, Shifren had to do it all again when her mom had another heart attack. And then again when a third heart attack hit two years after that.

In between, Shifren tried to be a normal teen. But the time she spent living in fear of losing her mom had a lasting impact.

"I felt that getting married and having kids just wouldn't be right, because I was so sure I would have early heart disease like my mom," said Shifren, now an associate professor of psychology at Towson University. "I didn't want to put a husband and children through that experience."

It's difficult to say how many child caregivers there are in the United States. The only national survey on the topic, a 2005 report by the National Alliance for Caregiving (PDF), estimated that there were at least 1.3 million between the ages of 8 and 18 -- most caring for a parent or grandparent, some looking after a sibling.

Child caregivers in the United States have largely been ignored, says Carol Levine, director of families and health care at the United Hospital Fund. While a few people, such as Top 10 CNN Hero Connie Siskowski, are working on a local level to support kids in these circumstances, a national push hasn't been forthcoming.

"These children suffer silently behind closed doors. ... They don't have the help and the support and the recognition that they need," Siskowski said.

Who should be CNN Hero of the Year? Cast your vote

Is it simply that people don't know that child caregivers exist, Levine wonders, or are they ignoring the problem because they don't know how to help?

"People don't want to think of children providing care," Levine said. "For whatever reason, it suits people not to see it."

More studies have been done in Australia and the United Kingdom, giving experts some insight on the lives of these children. From administering medication to providing emotional support, being a caregiver can prove exhausting, especially for a child who's still in school.

These studies abroad have shown that child caregivers are more likely to fall asleep in class and fall behind on assignments. The children are often socially isolated too because they don't have time to hang out or can't bring friends home.

"Kids don't want to be singled out," Levine said. "They're very afraid of being different. Being a caregiver is being different."

The long-term effects of being a child caregiver aren't well studied.

Levine has seen these kids grow up to be mature, responsible adults who are closely connected to their families. They show evidence of having high self-esteem, more empathy and a strong sense of belonging. Many she knows have gone into the health-care industry or social work so they can continue to care for others.

But she says her organization doesn't see the child caregivers who get lost, the ones who wind up in jail or on the streets because they had too much to deal with at home.

A 2012 study published in the Journal of Behavioral Health Services & Research analyzed data from 1,200 students in two Florida school districts. Researchers found that child caregivers were at a significantly higher risk for anxiety and depression.

Gail Hunt, CEO of the National Alliance for Caregiving, says many child caregivers develop behavioral problems; boys in particular exhibit aggressive and antisocial tendencies.

According to a 2006 study (PDF), 22% of high school dropouts in the United States leave school to care for a family member. Many continue to care for their loved ones into adulthood, Hunt says.

Some, like Shifren, resist getting -- or staying -- married.

"I think sometimes it's the forming of relationships," Hunt said. "Something about that issue has made it difficult for them."

Shifren is hoping to do more studies on child caregivers and the long-term effects they face. She's working with Levine, Siskowski and Hunt to spread the word about this hidden population.

"It isn't going to go away," Shifren said. "The issue will only get bigger."

Hunt says that addressing the problem has to begin at home. Many parents fear that their children will be taken away if they admit they're being cared for.

Teachers also need to be taught, Hunt says, to identify the children who are at risk. Providing a local support network for kids who are "different" will help them feel less so.

Levine says other countries have had great success with camp-like programs that give child caregivers a free day, weekend or week. It's not therapy, she says, it's just recreation time so that the kids can be kids.

"These are our children, and we should be able to do something for them," Levine said. "My guess is, it wouldn't take a whole lot to make a difference."

@highlight

Survey estimates there are at least 1.3 million child caregivers in the United States

@highlight

These children must handle domestic duties and provide personal care and support

@highlight

Studies show that these kids are at a higher risk for depression and often drop out of school

@highlight

Top 10 CNN Hero Connie Siskowski: They "suffer silently behind closed doors"