(CNN) -- A five-eyed monster under the bed isn't what worries most kids. Experts say young people fear a lot of what's in the news -- from kidnappings to murders to salmonella.

It's good for teens to fear the negative consequences of risky behavior, one expert says.

A study on more than 1,000 children and adolescents in grades 2 through 12 found that some of the 20 most common fears include "terrorist attacks," "having to fight in a war," "drive-by shootings," "tornadoes/hurricanes" and "drowning/swimming in deep water," based on self-reports of how scary each of 98 events or concepts seems. The study was published in a recent issue of the Journal of Counseling and Development.

Study author Joy Burnham, associate professor at the University of Alabama in Tuscaloosa, collected data from November 2001 to April 2004 in 23 schools in two southeastern states. The most common fears closely aligned with those found in previous studies on youth, and the pattern of findings has persisted in studies on fear for the past 30 years, she said.

By 8 years old, children know the difference between fantasy and reality, so they are more likely to be frightened by televised news coverage of events such as kidnappings, murders and terrorism, said Joanne Cantor, professor of at University of Wisconsin-Madison, who was not involved with the study. Before age 8, they express fears of fictional scenarios and characters but also worry about hurricanes and drowning, she said.

A lot of children's fears have to do with where they live, said Nancy Weisman, a psychologist in Marietta, Georgia, who was not involved with the study. In the Atlanta, Georgia, area, many children express fears of tornadoes, she said, prompted by the storm that sliced through the city March 14, 2008.

Dawn Huebner, a psychologist in Exeter, New Hampshire, who sees children ages 6 to 12, agreed that weather-related events make some kids anxious to the point that they don't want to go outside if a storm may be coming.

Several psychologists agreed that abduction or kidnapping is a fear among many children today. One of Weisman's patients became terrified of kidnapping after learning about slain Florida toddler Caylee Anthony, she said.

Children also fear diseases. In a separate analysis, when Burnham looked at data on fear by age, she found AIDS among the top five fears for ages 7 to 10, 11 to 14, and 15 to 18.

Complexity of teenage fears

Two of the top fears in Burnham's study -- "being raped" was No. 1 overall and "my getting pregnant or getting my girlfriend pregnant" was No. 19 -- were presented only for students in grades 7 through 12 because of fear content, the study said.

The teenage years are also when young people begin to understand and fear larger world issues such as terrorism and war, Cantor said. Moreover, some teenagers become anxious about issues of global injustice but have the same divorce-related fears as young children, said Lawrence Balter, professor of applied psychology at New York University.

Moreover, young people are not immune to fears about finances during the current economic downturn, he said.

"Almost everyone is affected by it, and there might be a fear that they're going to lose their house or that their parents are going to lose their jobs," he said.

Some fears have a good role to play in helping to promote caution, Weisman said. The negative consequences of risky behaviors -- for example, getting sexually transmitted diseases or becoming pregnant -- should make teenagers wary of taking unnecessary risks.

Burnham agreed that fear, like anxiety, can be a motivating tool.

"It is a natural process that occurs, and we all have fear," she said in an e-mail. "However, if it rules someone's life, it gets in the way, and that would be the unhealthy side."

About 400 study participants also wrote their own ideas about what makes them or people their age afraid, scared or fearful. Responses included safety issues such as "abuse," "scary movies and scary characters from movies," "snipers at school," "heights" and "driving." Other self-reported fears related to animals or reptiles, spiritual or religious concerns, school, people (such as "clowns"), death, relational issues or social adjustment, sex-related issues and health or medical issues.

Movies and television, including news, can inspire fears that can last for years, said Cantor, who runs the Web site yourmindonmedia.com. Clowns, for example, inspire fear because of their presence in film.

"I've got lots of examples from research where college students and older say, 'I feel uncomfortable in a certain situation, and I trace it back to news or movie,' " she said.

How parents can help

Many experts said parents should limit their elementary-school-age children's exposure to local news to reduce anxiety about tragic events depicted on television.

Young children do not understand that when a news clip about an event such as a kidnapping is repeated, it is not a separate instance of a kidnapping, Huebner said.

Children should seek counseling when anxiety leads to sleep disruption or difficulty falling asleep, Weisman said. They may also present physical symptoms, such as stomach pain and headaches, that relate to anxiety problems.

"By definition, anxiety is being afraid without really having a target to the fear," she said. "There's a difference between being anxious and being cautious."

Parents should not tell children that events such as kidnappings and murders could absolutely never happen, because the children won't believe that, Weisman said. Instead, parents should focus on the probabilities, she said.

"The parents need to tell kids that the chances are very, very remote that these things are going to happen," she said.

When a disaster strikes, don't show it to young children on television, Balter said. Instead, assure them that the grownups are doing everything possible to make things OK.

"Allow them to talk about their concerns; don't trivialize and make believe that nothing is wrong," he said.

@highlight

Study: Most common fear among young people in grades 7 to 12 is being raped

@highlight

Terrorist attacks, having to fight in a war, shootings, murders were also common

@highlight

Expert: Local news affects children's fears; many Atlanta children fear tornadoes

@highlight

Some fears have a good role to play in helping to promote caution