New York (CNN) -- When President George H.W. Bush signed the Americans with Disabilities Act on July 26, 1990, he addressed concerns the sweeping civil rights law would be ''too vague or costly, or may lead endlessly to litigation.''

Bush tried to reassure Americans his administration and Congress were ''committed to containing the costs that may be incurred.''

Borrowing from President Reagan's Berlin Wall speech from a few years earlier, Bush said, ''Let the shameful wall of exclusion finally come tumbling down.''

Democratic Sen. Tom Harkin of Iowa, an original sponsor of the legislation, introduced a resolution last week saluting the people who helped bring the Americans with Disabilities Act into law.

"Twenty years ago, we heard testimony from Americans who had to crawl on their hands and knees to go up a flight of stairs; who couldn't ride on a bus because there wasn't a lift; who couldn't even cross the street in their wheelchairs because there were no curb cuts,'' the resolution said.

"The ADA has broken down barriers, created opportunities and transformed lives."

Amazing success fueled by act of discrimination

But the sweeping law, which regulates employment practices, federal and local programs, transportation, public accommodations and commercial facilities, remains a ripe source of news, legal action and popular debate.

Pressured by court rulings, settlements or conscience, organizations and companies big and small regularly make modest or multimillion dollar changes to their buildings and business practices.

In the past week, Los Angeles International Airport said it installed five grassy ''relief stations'' for travelers with guide dogs. The facilities include bowls and fake fire hydrants.

In Virginia, The Mount Vernon Ladies Association of the Union, which owns and maintains George Washington's estate, promised the Justice Department it will modify Mount Vernon's main walkway, build a less steep entry ramp and make exhibitions more useful to deaf, hard of hearing, blind and low-vision visitors.

In the same week, the department also said Blockbuster will train employees to ensure people with service animals have full and equal access to its more than 3,000 stores.

As the anniversary approached, an internet chat board sampling turned up countless positive comments but also many critical ones.

''ADA laws have been interpreted, reinterpreted and misinterpreted so many times that unfortunately nobody has a final answer until you end up in court,'' one posting complained.

On plumbingzone.com, a forum for plumbers, a comment poked fun at requirements for urinal heights in public restrooms, saying, ''Listen, a handicapped person ain't gonna use a urinal to begin with.''

On another site, a post by a self-described business owner says, "I spent thousands of dollars complying with the ADA laws. I then get a letter in the mail from someone that is disabled that came into my establishment notifying me of all my violations.''

''One was that the toilet paper dispenser in the restroom was three inches off the required ADA position,'' the posting said.

"What disabled person goes around with a tape measure? I could smell a lawsuit and immediately fixed all the minor items.''

''While I understand the idea behind the law, it is definitely not being used as it was intended.''

According to the Census Bureau, 54 million Americans have a disability. That's almost one in five people. More than three million 15 years or older use a wheelchair.

To coincide with the anniversary of the act, the Vehicle Production Group, a Florida-based specialty automaker, announced the MV-1, which it calls the first entirely wheelchair-accessible vehicle.

Slated to sell for about $40,000 at base price, the minivan ''features a deployable access ramp with a 1,200-pound weight capacity, a spacious 36-inch entryway and a roomy interior that seats up to six people comfortably,'' the company's news release said.

@highlight

Disabilities law marks 20th anniversary Monday; it's criticized for its cost, litigation

@highlight

It's credited with smashing barriers, creating opportunities, transforming lives

@highlight

Web chat boards poke fun at required Americans with Disabilities Act projects

@highlight

One in five Americans are disabled; more than three million 15 or older use wheelchairs