(CNN) -- The hijacked jet planes that roared out of a clear blue sky one sunny September morning 10 years ago killed nearly 3,000 people, but the hurt they did spread far beyond the immediate death and destruction at the World Trade Center and the Pentagon.

The damage was mental, psychological, even spiritual.

And the death of Osama bin Laden at the hands of U.S. special operations forces may help to start some healing, said Christian and Muslim religious leaders, relatives of victims, and a generation who grew in the shadow of 9/11.

Mixed emotions about bin Laden's death: How should we feel?

"There is a sense that justice has been done," said Joel Hunter, senior pastor of the 12,000-member Northland Church in Orlando, Florida, and a spiritual adviser to President Barack Obama.

"There is a scripture, Genesis 9:6, that says, 'He who sheds man's blood, by man his blood be shed.' There is a certain kind of sense of relief that that has been accomplished," Hunter said.

"This man was symbolic of much that threatened our country and our way of life," the pastor said.

Hunter also cited the verse promising that "those who mourn will be comforted," saying they might "find some sort of solace in this event."

Americans take to the streets amid news of bin Laden's death

Those verses are much more relevant than Jesus' admonition to "turn the other cheek," he said.

Victim's dad: Why I'm not celebrating bin Laden's death

"That particular scripture has to do with insult and not with self-defense," he said.

The terror attacks that bin Laden authorized are "not even in the category of forgiveness," so killing him "really is in a category that, for 99.9% of Americans, would be beyond question ... the right thing."

Morally OK to cheer?

Diana Massaroli, whose husband died in the World Trade Center, certainly has no questions about it.

Michael Massaroli, 38, was working for Cantor Fitzgerald on the 101st floor of the North Tower on September 11, 2001, when a jet plane slammed into the floors beneath him.

His body was never found.

His son was 6 years old at the time.

His widow has been grieving ever since. But early Monday, at ground zero where the towers once stood, she said she was finally experiencing some catharsis.

"I'm missing him, but I feel that justice has been done," she said, holding a picture of Michael.

"I feel some overall calm that I haven't felt in 10 years. I never thought it would happen... never thought it would give me a feeling of closure," she said. Now, she added, "I feel better ... like I can start a new chapter in my life."

We celebrated 'the death of my generation's face of terror'

Relatives of the victims are not the only Americans feeling relief Monday morning -- American Muslims also hope the death of bin Laden will open a new chapter in history.

The 2001 attacks opened a "wound has never quite healed," said Imam Feisal Abdul Rauf, formerly of the controversial Park51 Muslim community center planned for lower Manhattan, not far from the former site of the twin towers.

"The killing of Osama bin Laden is a major milestone," he said. "It expresses the sense that there is a sense of healing beginning to take place."

Far from New York City, American Muslim lawyer Asma Hasan agrees that Osama bin Laden wounded the country's Muslims, but is not sure his death with heal anything.

"The 9/11 attacks changed my life forever in a very challenging way," said Hasan, who lives in Denver, Colorado. "It's 10 years later and people still question us" American Muslims.

"We have all had to become ambassadors for our religion, we have had to condemn every terrorist attack or be labeled a supporter of terrorism," she said.

"None of us can be a quiet person that just goes to our jobs, we have all had to become multifaith activists who reach out," said Hasan, the author of "Red, White and Muslim."

"I don't think the death of Osama will change that," she said.

Steve Bernstein, whose older brother, Billy, worked in the World Trade Center, said he was "very elated" at the news bin Laden was dead.

"We have been waiting for this for a long time," he said. "I felt that it was just a great moment for the country."

He said the scenes of jubilation across the United States should not be seen as people celebrating somebody's death, but as a recognition that "everyone feels that capturing bin Laden or killing bin Laden was something that needed to be done."

Bernstein had another brother who also worked in the World Trade Center but left to go to the bank just before the first plane hit.

"He said as soon as he saw it, he knew" Billy was dead, Bernstein said. Unlike some others in the towers, Billy Bernstein did not call to say goodbye, Steve Bernstein said.

"We never heard from him," he said.

Hunting down bin Laden at last "shows the strength of America, shows we're not going to put up with it," he said, adding it would "make the terrorists think twice."

Bernstein was "a little surprised" bin Laden was buried at sea immediately after his death, he said, fearing it would fuel conspiracy theories.

But in the final analysis, he said, "the world can feel a little bit safer right now."

Another 9/11 widow, Kristen Breitweiser, said the death of bin Laden would change the world.

"My 12-year-old daughter will wake tomorrow to a safer world, hopefully a more peaceful world. And that brings me a rare sense of relief," she said in a statement, adding that she was "enormously grateful for the tireless effort and incredible courage and bravery of our counter-terrorism agents.

There were also more raucous celebrations going on at ground zero, including groups of young local men waving flags and chanting "USA! USA!"

"It took 10 years, but the fact that it happened today, we're all rejoicing," one of them told CNN, adding that "everybody in America" was celebrating the death of bin Laden.

In Oxford, Ohio, Miami University student Mike Chase celebrated by shaving a friend's hair into the letters "USA" with two red stars.

"The announcement means that when we set out to accomplish something we follow through. It's a great milestone on the fight against terrorism," the 21-year-old said.

The Federal Law Enforcement Officers Association hailed the "annihilation" of bin Laden as "triumphant news."

"I would say, 'May God have mercy on his hideous soul,' but I don't think he had one," the organization's president, Jon Adler, said. "As we draw near September 11 and mourn the loss of our loved ones, let this victory remind all that the indomitable American will stands strong and eternal."

CNN's Eric Marrapodi, Jason Carroll and Ali Velshi contributed to this report.

@highlight

The Bible clearly justifies the killing of bin Laden, a megachurch pastor says

@highlight

American Muslims hope his death will lead to reconciliation

@highlight

Widow: "I feel better... like I can start a new chapter in my life"

@highlight

A college student shaves a friend's hair into the letters "USA"