(CNN) -- There once was a man named Norton who didn't know what to do with himself -- not just sometimes, but always.

He slogged through school, then the University of Pennsylvania and pre-Beatles Liverpool on a scholarship. He shipped off to a foggy, wretched spot in Newfoundland in the Navy, and returned to a slightly less-wretched Brooklyn Heights basement. He became an architect -- the very same job his father and brother held -- and, feeling a bit burned out by 1960, secured a grant to write a kids' book about cities.

But those old demons grabbed him, the ones that always seem to keep him from doing the things he should be doing, and Norton Juster began to write a story.

His very first sentence: "There once was a boy named Milo who didn't know what to do with himself -- not just sometimes, but always."

The sentence became a chapter, then pictures drawn by his friend and neighbor, cartoonist Jules Feiffer, and eventually, a book.

The book became "The Phantom Tollbooth" -- perhaps you've read one of the 4 million copies printed during the last 51 years. In it, uninspired young Milo receives a mysterious tollbooth that takes him through the Kingdom of Wisdom (a city of sorts, with landmarks such as the Mountains of Ignorance, Foothills of Confusion and the Doldrums) to rescue the princesses Rhyme and Reason. Along the way, Milo learns a bit about language, friendship, learning itself, and those very same demons -- petty tasks, habit, insincerity, fear -- that Juster battled.

So, after an architecture career, a smattering of other books and countless fan letters, Juster, at 82, has at least done this: He can carry on a conversation with a 9-year-old.

Short of writing a classic children's novel yourself, try this.

Stop trying

It might've been unlucky that Juster's older brother was funny, athletic, handsome, whip-smart -- the undisputed "hope of the family."

But for the younger Juster, it meant freedom to read encyclopedias, to absorb old Yiddish books, to lounge before Jack Armstrong stories on the radio, to invent with the architectural samples his dad brought home, to not like anything until he found what he loved.

"They gave me the greatest gift of all: They left me alone,'" Juster said. "There were no expectations hanging on my head so I had a good time browsing around in my own head and inventing my own world and that was the best kind of training I could have for whatever I did."

Be funny

Juster's father was a quiet man, never one to tell a bawdy joke. But he was a great spinner of puns, a master of wordplay, a man schooled by the Marx Brothers.

"'Ah-ha, I see you're coming early since lately,'" he'd say. "You used to be behind before, but now you're first at last.'"

Young Norton would freeze, confused. Was this funny? Should he laugh?

"You're a good kid," his father would say, his hand around his son's shoulder. "I'd like to see you get ahead. You need one."

"After a while, he'd pull one of these things on me, and I'd say, 'I understand that, and I can do that,'" Juster said. "And boy is that empowerment, when you suddenly realize that language is yours to play with."

Don't lie

A kid has got to have mentors, Juster said. It's why he gave Milo the kindly, talking timekeeper dog, Tock, and Humbug, the lazy, grouchy, mostly harmless ne'er-do-well.

Whom Juster had was Uncle Bill -- a kindly ne'er-do-well, a Humbug-ish Tock. When young Norton wanted to play, Bill joined him. When the nephew ran away, the uncle was the one to fetch him.

If you asked whether a visit to the dentist would hurt, Juster said, "He would tell you 'Yes,' why and for how long. That's precious information for a kid."

Estimate higher

"The Phantom Tollbooth" could've died in the hands of "the powers that be," Juster said -- book editors and experts who said it was too clever for kids, too loaded with puns and wit. Fantasy, some told him, would "disorient the children."

"Luckily," Juster says, the book first landed in the hands of an editor who worked outside the realm of children's publishing. They were able to get it published with the map Juster designed, the layout he imagined and the words he wrote. To kids, Juster believed, a new word was a great discovery, one of the few things they could control.

"If you think about it, there's no such things as a difficult word," Juster said. "There's just a word you haven't come across yet."

Listen and remember

"Children are children, and they're still fighting the same battles," Juster said. "Those issues that I thought were my own personal issues, I now realize they're the issues of every kid growing up. The basic things that control their lives -- their fears, their uncertainties, their resentments, everything like that, remain the same.

"For people who write and for people who work in an area where you have to break the mold in some way, you have to retain, I guess, a good piece of the way you thought as a child. I think if you lose all of that, that's where the deadliness comes from. The idea of children looking at things differently is a precious thing.

"The most important thing you can do is notice."

@highlight

"The Phantom Tollbooth" by Norton Juster celebrated 50 years in print last year

@highlight

Juster said the book has stayed relevant because the world changes, but children don't

@highlight

Milo, the book's main character, is really just Juster himself, the author said