Tampa (CNN) -- Paul Ryan symbolizes for many Republicans of his generation a passing of the torch and a call to embrace the Reagan-era principles that appealed so strongly to young voters in the 1980s.

The Wisconsin congressman evoked both when he took the stage on Wednesday night and delivered a prime-time acceptance speech at the Republican National Convention that skewered what the GOP sees as President Barack Obama's failed economic policies.

With Ryan, 42, holding down the No. 2 spot, the ticket hopes to strengthen his Generation X demographic ahead of November and broaden the campaign's appeal to a wealth of younger voters, a much more challenging prospect.

During his speech, Ryan spoke directly to young voters' economic concerns.

"Millions of young Americans have graduated from college during the Obama presidency, ready to use their gifts and get moving in life. Half of them can't find the work they studied for, or any work at all," Ryan told the crowd. "So here's the question: Without a change in leadership, why would the next four years be any different from the last four years?"

The first Gen Xers were eligible to vote for Ronald Reagan's second term at the height of his popularity and his conservative dogma. Younger voters for Reagan, the oldest U.S. president ever inaugurated, were among his strongest supporters.

It was not known then that Reagan's political aura and his mantra for smaller government and lower taxes would endure well into the next century. Nostalgia for Reagan is powerful. His views remain a litmus test for Republicans seeking national office.

Paul Ryan and Gen X GOP

Generation X represents more fertile ground for Republicans in November than younger Millennials of Generation Y who overwhelmingly supported President Barack Obama four years ago. In Ryan, Gen X Republicans see similarities to Reagan and a changing of the guard.

"As a fellow Gen Xer, I'm excited about him and it says a lot," said Dylan Glenn, a former Bush administration economic policy analyst who has been friends with Ryan for nearly two decades.

"There's a pent up demand that it's time for us and Paul represents the tip of that spear so to speak," Glenn said.

Ryan formally pitched his personal story and his aggressive budgetary reform agenda in his address that highlighted his connection to post baby boom constituents.

"I accept the calling of my generation to give our children the America that was given to us, with opportunity for the young and security for the old -- and I know that we are ready," Ryan said in his address.

Amy Holmes, anchor of GBTV's "Real News" at the Blaze, a conservative news site owned by Glenn Beck, said Ryan's Reagan-like sensibilities resonate with voters who came of age in the 1980s.

"Alex P. Keaton wasn't the anomaly. He was the norm," Holmes said, referring to the preppy, politically driven teen sitcom character played by Michael J. Fox. "Reagan is not some bogeyman for many Gen Xers."

Ryan's fiscal outlook for streamlining budgets and overhauling the Medicare healthcare program for the elderly is typical of the thinking of Reagan-influenced conservative Gen Xers, said Soren Dayton, communications director for the Young Republican National Federation.

"This is a guy who grew up in the context of Reagan's optimism" that included the belief that private enterprise is crucial to addressing national issues, Dayton said.

Young Republicans argue that Ryan's controversial "Path to Prosperity" entitlement reform plan, which proposes a partially privatized Medicare program, takes a cue from Generation X and Generation Y concerns that those benefits will not be there for them. They also point to high unemployment for younger Americans as another factor that could push more younger voters into the arms of Romney and Ryan in November.

Ryan tapped into that frustration during his speech.

"College graduates should not have to live out their 20s in their childhood bedrooms, staring up at fading Obama posters and wondering when they can move out and get going with life," Ryan said to applause.

"Everyone who feels stuck in the Obama economy is right to focus on the here and now. And I hope you understand this too, if you're feeling left out or passed by: You have not failed, your leaders have failed you," he said.

Young Democrats say Ryan's deeply conservative views diverge from many of his generation and may not appeal to younger voters either.

"He's really somebody who has taken positions that are way, way to the right of where most millennial voters are," said Sam Spencer, president of the Young Democrats of North Carolina and a delegate to next week's Democratic National Convention.

During the 2008 election, Obama won Millennial voters under the age of 30 by 66% to 32%, according to exit polls. A recent CNN/ORC International poll of registered voters found Obama with a 56% to 37% lead among that same demographic.

The Generation X vote was closer last time with Obama outpacing McCain by just 6 points, according to exit polling cited by the Pew Research Center.

Paul Ryan's Gen X sensibilities an asset

But on Wednesday night it was clear that Ryan and the Republican party hope to turn those numbers around.

"We're a full generation apart, Governor Romney and I. And, in some ways, we're a little different. There are the songs on his iPod, which I've heard on the campaign bus and on many hotel elevators," Ryan said. "He actually urged me to play some of these songs at campaign rallies. I said, I hope it's not a deal-breaker Mitt, but my playlist starts with AC/DC, and ends with Zeppelin."

CNN's Tom Cohen contributed to this report

@highlight

Many younger Republicans see Paul Ryan as a symbol of their generation

@highlight

Ryan will have to make the case to young voters that GOP policies are an asset

@highlight

Young Democrats say Ryan is too far right to represent young voters

@highlight

'Gen Xers' seen as more fertile ground for Republicans than Millennials