(CNN) -- Superstorm Sandy brought an assault of historic proportions to millions of homeowners in the Northeast this week. Damages are estimated at between $30 billion and $50 billion. As the recovery process begins, residents of the hardest-hit areas should follow the advice of local and state authorities and Federal Emergency Management Agency representatives. As you return to your homes, here are some structural issues to look for and how to address them.

If your home suffered slight to moderate damage -- basement flooding, broken windows, missing roof shingles â€” the storm cleanup may be a little easier but no less urgent. A compromised roof makes your house vulnerable to more serious issues, while anything flooded becomes a potential breeding ground for mold, mildew or rot if not addressed quickly.

Downed power lines are perhaps the biggest risk after a storm of this size. Avoid wading into standing water or going anywhere near ground wires. Just because you have no power in your house doesn't mean there isn't a live current.

Before you do anything, take pictures of any damage, however minor, in case you need them for insurance purposes.

7 health risks after Sandy

Flooded basements

If basement flooding has left 2 or 3 feet of standing water, your first impulse will be to pump the water out quickly. But if you had that much water, the ground around the house may still be fully saturated, increasing the pressure on your home's walls and foundation. This is especially dangerous in old houses with loose stone foundations as opposed to poured concrete. Pump the water out slowly, a foot a day to be on the safe side. Anything that is water-soaked is already damaged, so a day or two is not going to matter. For those with moderate flooding, let your sump pump do its job; pick up additional units if necessary. A wet vac will also offer a handy assist.

Once the water has been extracted, remove everything that you can: water-soaked boxes, furniture and especially carpeting. Open vents and windows and set up fans to promote air circulation through the space. The sooner everything dries out, the lower the potential for mold, mildew and permanent damage. Invest in a dehumidifier to fight dampness and facilitate the drying process.

Floodwater can be filled with any number of contaminants, from sewage and sludge to chemicals, gas and motor oils, so be sure to wear gloves and a mask when you start cleaning walls and floors. You can purchase a disinfectant or create your own solution of Â¾ to 1 cup bleach per gallon of water. Use a mop and broom to clear out any mud or debris and be sure to remove any obstructions to drains.

If you had drywall in the basement or any room of the house that experienced flooding, it will need to be removed and replaced (same goes for any water-saturated insulation). The chances of it drying out thoroughly are slim, and its potential to foster mold and mildew growth is considerable.

Roof damage

With high winds comes the potential for serious roof damage. The roof is your home's greatest defense against the elements, so even minor damage can create serious problems. Inspect your roof for damaged or missing shingles. They will need to be replaced as soon as possible because the exposed roof deck will be subject to further dampness and moisture, which you don't want as winter approaches. If you had more serious roof damage, consult with a roofing contractor to see how you can protect the interior of your home until a professional repair can be made. Blue tarps offer a temporary solution and may be available through government agencies.

Roof issues can also be evident from inside the house. Check the ceilings for water spots, particularly in rooms upstairs and near chimneys. The presence of water spots suggests that there may be additional roof problems.

Trees and yard cleanup

Major tree damage? The municipality, power company, or emergency services in the area may help clear the way. If you are able to remove fallen branches safely, you should. Leave anything more to a qualified tree removal specialist. He or she will help you determine whether a damaged tree that's still standing can be saved.

If you have shrubs and hedges, they no doubt took a beating, which means pruning may be in order. Most plants are resilient and will be no worse for wear come summer. Clear up any debris that might have collected in the yard, disposing of refuse in accordance with local regulations.

It's going to take a good long while for everything to dry out. But, when the time comes, it will make good sense to power wash the exterior of the house.

One of the most heartening things to come out of any disaster is the support and help of volunteers, neighbors and community organizations. If you weren't personally affected by the storm, think about volunteering to help those in need, particularly the elderly, or support relief organizations such as the American Red Cross.

Have you been through home repair after a natural disaster? Share your experience in the comments section below.

Like CNN Living on Facebook

@highlight

Superstorm Sandy victims should check for structural damage, Bob Vila says

@highlight

Vila recommends inspecting for flooding, roof damage, mold and yard debris

@highlight

Consult local and FEMA authorities about home repair guidelines

@highlight

Contact professionals for big repair jobs after assessing the damage to your home