(CNN) -- Richard Blystone was CNN's senior correspondent in Europe throughout 1989, witnessing and reporting on the momentous events of that year from the first protests in the communist Eastern Bloc to the fall of the Berlin Wall and revolution in Romania.

CNN's Richard Blystone reports from the former Iron Curtain in 1990.

The following year Blystone traveled the length of the former Iron Curtain to report on the new Europe emerging from its shadow. Here he recalls how the the divided continent had simply become the only reality that most people knew.

It was there. Like the stop sign on the street or the wastebasket in the corner of the living room. Like a long, long overcast day. Just there.

Growing up in America the Cold War, the East-West confrontation and the prospect of Mutually Assured Destruction were so prosaic you never really thought much about them.

You couldn't remember anything different. The situation seemed as immutable as the profile of the mountain tops or the patterns of stars in the night sky.

And then, when I was 53, in the length of a football season, it was gone.

If you're reading this online, chances are you don't remember and can't ever know what it was like in the days before the collapse of communism.

There was "Duck and Cover," a jingly film that showed little American children what to do in the event of nuclear attack.

In later years, the black humor. Tom Lehrer's line about "someone will set the spark off and we will all be blown away." Nothing to get excited about.

If you were male, the U.S. draft loomed ahead, promising to take anything from six months to four years from your civilian life. Maybe more than that if you were in the Korea or Vietnam age group.

During the Cuban missile crisis of 1962, I was flying back and forth over the North Atlantic in a Navy patrol plane for 15 hours a day, not knowing what the hell was going on, trying not to dwell on the orders that could send us on a one-way mining trip to Murmansk Harbor if the balloon went up.

For Germans and others along the line that divided Europe, the symbols of the threat of war were still harder to ignore.

In Hungary in 1956 and in Czechoslovakia in 1968 Soviet troops had helped crush efforts to loosen Moscow's grip.

But ignore them they did. "We couldn't think about the wall, so we didn't," said the mayor of a West German village standing right on the border, when we talked to him in 1990.

"The bushes had eyes," West German border guard Ernst Wackernagel told us, describing the creepy job of patrolling a few yards from the binoculars and guns of their East German counterparts.

Very few of the people we taxpayers paid to know about such things had any idea how close the collapse was.

A couple of years before, the former West German chancellor Helmut Schmidt had advised me tartly to quit asking whether Germany would ever be reunited. Not in his lifetime or mine, he said.

When it came, we were all surprised we hadn't seen it coming.

The Poles and Hungarians had been levering into chinks in the wall for years. The rulers of the Eastern Bloc were largely aged, ossified, inflexible and corrupt, and those who served them were all that plus scared. Their system was beyond repair.

Along came Mikhail Gorbachev, the first Soviet leader born after the Russian revolution, who saw things as they were and was tired of pouring money into a clapped-out old car. He became a hero to young people in the East.

Near the end of August, activists from East and West had celebrated a "Pan European Picnic" on the now-neutered border between Hungary and Austria.

A few weeks later, the rush was on. CNN poured resources into the story. I was there, and will always be glad that I was.

Poland, Germany, Czechoslovakia, Bulgaria. And finally, at the end of the year, poor tortured, abused Romania threw off the system in what I found the most emotionally charged days of the whole upheaval.

But I was never satisfied with the way the West received it all. We had become used to instant gratification, and this was an example. The drama was over, the commercials came on, and world was supposed to live happily ever after. And it didn't.

The whole experience made me realize that liberty is not a thing. It is a way of life. If you don't practice it, you don't have it.

A couple of months later, three of us made a journey along the line to check on what was happening. We called it the Iron Curtain Odyssey.

But that's another story...

@highlight

"Iron Curtain" dividing Europe felt permanent to those who grew up after WWII

@highlight

Former senior correspondent Richard Blystone covered momentous events of 1989

@highlight

Blystone: East-West divide was "like a long, long overcast day"

@highlight

Soviet leader Mikhail Gorbachev recognized system was "clapped-out old car"