(CNN) -- After an apparent attempted military coup on Saturday, the people of the African nation of Lesotho are doing their best to return to every day life.

According to the South African Department of International Relations, Prime Minister Thomas Thabane has been forced into hiding because of the unfolding security situation and out of fear for his life.

Thabane became Prime Minister in 2012 and the next elections are due in 2017.

During an interview that aired Saturday with South African broadcaster eNCA, he told the broadcaster he would not resign his position.

Lesotho has been praised for its coalition government and a peaceful handover of power in 2012. But over the past few months, its growing instability had been a cause for alarm in the international community.

The whereabouts of the deputy prime minister, Mothetjoa Metsing, are also unknown. He has not officially taken power -- although it would be constitutional for him to do so, since the Prime Minister is not fulfilling his duties.

Sometimes referred to as the "Kingdom of the Sky," Lesotho is completely landlocked by South Africa and is the only country in the world where all of the land lies above 1,000 meters (3,280 feet) in elevation.

It has a predominantly Christian population of nearly 2 million people and covers an area slightly smaller than the U.S. state of Maryland, according to the World Factbook.

It has been independent from the United Kingdom since 1966 but continues on as a member of the 53-nation Commonwealth.

Residents return to normal

After Saturday's unrest, Maseru, the nation's capital, was calm.

Despite the early-morning chaos and confusion, as all radio stations were temporarily muzzled, by afternoon most residents had returned to their normal Saturday activities.

Since Friday was payday, many people withdrew cash from the ATMs, paid utility bills and shopped for groceries.

At one main supermarket, one woman wondered aloud, "Who knows what may happen tomorrow or Monday?"

On the streets, thousands milled about.

Cows grazed by the side of the road. A trio of buddies lounged in wheelbarrows, soaking in the winter sun. Older women shuffled along the sidewalk, bundled in blankets. And amid the traffic, a wedding caravan honked, as the bride stuck her head out the window, ululating.

No signs of the military were anywhere to be seen.

Nereah Lebona owns a small beauty salon. She says she heard shooting around 4 in the morning, as she lives near police headquarters, where the main standoff occurred. But that didn't keep her from beautifying clients hours later.

"I was worried, until the radio came back on and told us what had happened," said Lebona, 36, smiling. "But how else do I earn money if I don't go to work?"

A stone's throw away was more evidence that locals were carrying on as if nothing had happened and life had already returned to normal: a Lesotho Premier League soccer match. One of the teams was that of the Lesotho military.

Among the hundreds of spectators, one man named Thabo giddily noted, "The same soldiers who were shooting this morning are now playing football!"

This tiny mountain kingdom has been faced with many tall challenges.

Lesotho has the world's second-highest rate of HIV infection -- 23% -- and a 40% malnutrition rate for children younger than 5.

The country is also known for its "herd boys," children as young as 5 who tend flocks of cattle in remote locations and often miss out on education. Britain's Prince Harry established a charity, Sentebale, to help the country meet educational challenges.

But residents in Maseru are prepared for more uncertainty -- some fearing that an opposition demonstration planned for Monday could turn violent.

Officials urge peace

Thabane told eNCA the Lesotho government is seeking the assistance of the South African government and other neighboring states.

Clayson Monyela, a spokesman from the Department of International Relations of South Africa, said the government has no immediate plans to send troops into Lesotho, but the South African government is closely monitoring the situation and will continue to consult with Southern African Development Community countries and the African Union Commission.

"We can't have coups d'etat in 2014. If there are political problems people must sit (down) and talk," said Monyela.

Monyela added that the Lesotho military's actions "bear the hallmarks of a coup d'etat."

Kamalesh Sharma, secretary-general of the Commonwealth of Nations, condemned the reported coup attempt and urged the military in Lesotho to respect civilian authority, constitutional order and the rule of law.

In a written statement, Sharma called for respect and urged all parties to "refrain from violence and work together towards a peaceful and lasting resolution."

"There is zero tolerance in the Commonwealth of any unconstitutional overthrow of an elected government," the statement read. "Democracy and the rule of law are central tenets of our association ... and any action to subvert constitutional civilian rule is unacceptable."

Dr. Nkosazana Dlamini Zuma, chairwoman of the African Union Commission, echoed this sentiment in a written statement, saying that the AU "will not tolerate any seizure of power by illegal means" and giving "full support" to the SADC in addressing the challenges facing Lesotho.

Jen Psaki, a spokeswoman for the U.S. State Department, said the United States "is deeply concerned by clashes between security forces today in Lesotho." Psaki called upon all parties to "remain committed to a peaceful political dialogue and to follow democratic processes" in order to resolve the conflict.

CNN's Nana Karikari-apau, Joshua Berlinger and Kay Guerrero reported from Atlanta. Michael J. Jordan reported from Lesotho.

@highlight

NEW: Lesotho PM is in hiding out of fear for his life, according to a South African official

@highlight

Prime Minister Thomas Thabane says an attempted coup has taken place

@highlight

Lesotho is a mountainous nation of 2 million people landlocked by South Africa