Washington (CNN) -- To Republican Sen. Lindsey Graham, Russian President Vladimir Putin invaded Ukraine because the United States failed to avenge the 2012 terrorist attack that killed four Americans in Benghazi, Libya.

"It started with Benghazi," Graham posted Tuesday on Twitter. "When you kill Americans and nobody pays a price, you invite this type of aggression."

Nonsense, said Democratic strategist and CNN political contributor Paul Begala.

"The whole notion that this is all about the United States or all about President Obama, it's frankly silly," Begala said Wednesday on CNN's "New Day."

Such is the state of political discourse these days in the United States, where every issue -- particularly one that dominates media headlines -- becomes fair game for partisan attack.

Election year rhetoric

The dynamic is especially acute in an election year, when candidates and parties seek to score points with voters, and magnified even more when it involves foreign policy, noted Darrell West, the vice president for governance studies at the Brookings Institution.

"It doesn't matter what happens -- Republicans attack and Democrats sound defensive," West told CNN on Wednesday. "It's easy to do in foreign policy because there are so many unexpected things that take place. Every month there's going to be a crisis. We just don't know where."

House committee resolution urges sanctions against Russia

Regardless of what started the events that led to Russia's incursion into Ukraine's Crimea Peninsula last week, both sides have adopted postures now familiar to Americans already disgusted with the political dysfunction permeating Washington.

"Can you think of any place in the world, any place where we are better off now than we were when he came to office?" Senate Republican leader Mitch McConnell said Wednesday of President Barack Obama. "He has acted in such a way almost amounting to passivity in many instances."

Concerned about being labeled a war-monger, McConnell quickly made clear that "we are not suggesting here that the use of force is appropriate in very many occasions."

"Only occasionally," he said. "But there is a widespread kind of lack of respect for U.S. opinion."

Partisan divide

To former Vermont Gov. and Democratic National Committee Chairman Howard Dean, Obama "is doing exactly the right thing" with a measured approach to the Ukraine crisis.

"He's ratcheting up the heat, and he's doing it slowly enough so that Putin has a chance to back off," Dean said Tuesday on CNN's "Crossfire."

"One problem with Vladimir Putin is not only has he broken the law, but he now has to back down and save face at the same time. He needs the opportunity to do that. So the President needs to tighten the vise, keep squeezing gently, carefully, and not making it so public. And I think he's doing exactly that," Dean said.

Does Putin want a new Cold War?

Most striking about the back-and-forth is that deep down, the two sides generally agree on what should happen. No one wants a military confrontation involving U.S. forces, instead preferring steps to isolate Russia diplomatically and economically.

Ideas include a threatened boycott of the upcoming G8 summit in Sochi, with hints of kicking Russia out of the group of industrial powers that includes the United States, Britain, France, Germany, Italy, Japan and Canada.

Also under consideration are strong economic sanctions, perhaps targeting Russia's state-owned banks or wealthy oligarchs who keep and spend much of their money abroad. The United States has halted some military cooperation as well.

Tough races mean tough attacks

The venom of political dialogue generally depends on the toughness of the electoral challenge facing a particular candidate.

Graham and McConnell both have conservative primary rivals in traditionally red states of South Carolina and Kentucky, and therefore want to sound belligerent against anything involving Obama and Democrats.

Compare their rhetoric to Rep. Paul Ryan of Wisconsin, the GOP vice-presidential nominee in 2012 who remains open to a presidential run in 2016.

With his re-election presumably as safe as can be, Ryan touched on the main points of responses from both sides to the Ukraine crisis.

Ryan: White House invited aggression but taking right steps

"When you have the world superpower having a foreign policy that, in my opinion, is weak and a defense policy now that shows weakness, I think it invites aggression. I think that it creates a vacuum that is filled by these types of actions," Ryan told CNN on Wednesday. "But, let's be really clear. Who is to blame for this? Vladimir Putin is to blame for this. And, I think the administration is making the proper responses."

Republican group ties Clinton to Obama handling on Ukraine

To West, Republicans "always love to make Obama look weak on foreign policy."

"It's easy to say that the President was caught off guard," West said in a telephone interview. "He was caught off guard, but so was every expert in the country. I don't think anybody anticipated that first there would be the overturning of the government in the Ukraine, and then the Russian response after that."

He called the knee-jerk criticism "a way for people to take advantage of the international uncertainty to score political points," adding that "political responses are heightened because we're facing a midterm election."

Hawks oppose defense cuts

Graham clearly had the 2016 presidential vote in mind when he linked Benghazi to Ukraine. Former Secretary of State Hillary Clinton is the overwhelming Democratic favorite if she runs, and Graham and other Republicans want to keep the terror attack in Libya on her watch fresh in the minds of voters.

West, did you really expect Russia to ignore Ukraine chaos?

He also is among a group of hawkish Senate veterans trying to minimize or even reverse cuts to defense spending in recent years, hastened in part by GOP insistence on reduced government spending.

"A lot of the current discussion is taking place against the backdrop of a conflict over defense spending," West noted. "Obama's budget wants to scale back defense spending, and Republicans are upset with that. It's easy for them to use Ukraine as an example for not cutting the military."

U.S. strategy for Ukraine crisis: Money talks

Clinton compares Putin's Ukraine moves to Hitler, later recalibrates

Putin vs. Obama: Facing off over facts in Ukraine

CNN's Lindsay Perna contributed to this report.

@highlight

Foreign policy issues such as Ukraine prompt tough election-year rhetoric

@highlight

Analyst: "Republicans attack and Democrats sound defensive"

@highlight

Despite the point-scoring, both parties generally back the same approach

@highlight

GOP hawks use any issue to argue for halting or reversing cuts to defense spending