FOUNTAIN HILLS, Arizona (CNN) -- A team of doctors from the Mayo Clinic declared Friday that there appears to be no physical reason why Sen. John McCain, the 71-year-old presumed Republican presidential candidate, could not carry out the duties of the office.

"Sen. McCain enjoys excellent health and displays extraordinary energy, and, while it is impossible to predict any person's future health, I and my colleagues can find no medical reason or problem that would preclude Sen. McCain from fulfilling all of the duties or obligations of the president of the United States," said Dr. John D. Eckstein, an internist who has been overseeing McCain's treatment for 16 years at the famed research center's campus in Scottsdale, Arizona.

McCain has been undergoing periodic examinations there since the 1990s and annual examinations since 2000, Eckstein said. His most recent comprehensive examination took place in March, with follow-up tests this month.

The doctors described a number of health issues faced by McCain, many of them typical for a man of his age but at least one of them potentially serious.

McCain has had four malignant melanomas removed. Three of them -- on his left shoulder, left arm and left nasal wall -- were limited to the top skin layer and were not invasive. They were removed in 1993, 2000 and 2002, and all were declared Stage 0, of little long-term concern.

But a fourth melanoma proved to be invasive and was removed from his left lower temple in 2000, Eckstein said.

The surgery on McCain's temple was carried out in August 2000 by Dr. Michael Hinni, who described the melanoma as 2.2 mm thick at the thickest point and 2 cm across.

Hinni said that, in order to leave a 2 cm margin that would minimize the risk of leaving some of the cancer intact, he had to remove a patch of skin roughly 6 cm in diameter, as well as an underlying carotid salivary gland from McCain's face.

Dissection of dozens of lymph nodes showed no evidence that the cancer had spread, he said.

According to the American Cancer Society, such a melanoma would be classified as Stage IIA, which is associated with a five-year survival rate of about 78 percent and a 10-year survival rate of about 66 percent.

The wound required major reconstruction and has left the senator with a mass of scar tissue on his face. His left jaw appears prominent because because there was an absence of soft tissue on the face in front of his ear, Hinni said.

CNN's Dr. Sanjay Gupta, who reviewed McCain's medical records, found previously unreported details about the operation.  Watch Dr. Sanjay Gupta on McCain's health records »

McCain developed swelling beneath the skin and had to be taken back for a second operation.

One in 58 Americans will develop malignant melanoma in their lifetime, said Dr. Suzanne Connolly, McCain's dermatologist. This year, an estimated 116,500 cases will be diagnosed in the United States, with more than 62,000 of them invasive, she said.

McCain has many of the risk factors associated with the cancer: light skin, light-colored eyes and a history of excessive sun exposure, she said.

Though there is no sign of recurrence, McCain monitors his skin carefully, is examined by his dermatologist every three to four months and "practices good habits of sun safety," she said.

Connolly described the candidate's prognosis as good.

"There is no way to predict with certainty the percentage, but the percentage would be thought to be in the single-digit area," she said.

McCain has also been treated for other less serious skin cancers, but Eckstein did not specify how many.

McCain has had a number of more routine interactions with his doctors, not unusual for a man of his age. He has had four small kidney stones in his right kidney and a number of small benign cysts in both kidneys, but his kidney function is normal, Eckstein said.

In August 2001, McCain noticed blood in his urine, and doctors found stones in his bladder that they used lasers to break apart. At the same time, they surgically removed enlarged prostate tissue, which was the cause of the bleeding, Eckstein said.

Since then, McCain's urination has been normal, Eckstein said.

McCain's prostate has showed no signs of cancer, and his prostate-specific antigen test -- which can indicate prostate cancer risk -- was also normal, Eckstein said.

He said McCain takes the diuretic hydrochlorothiazide to prevent the formation of kidney stones.

He takes the diuretic in a 25 mg dose, which is also the standard for treating high blood pressure.

Eckstein said that, though McCain's systolic rate -- the top number in a blood pressure reading -- had sometimes been slightly high, the drug was being prescribed solely for kidney stone prevention.

He added that he has encouraged McCain to reduce his salt intake, another method of lowering blood pressure.

McCain first had an adenomatous colon polyp removed in the 1990s. Though the next two tests -- performed years apart -- proved negative, the most recent test carried out last month revealed six of the polyps, all of which were removed, Eckstein said.

Though the polyps were all of the type that are potentially precancerous, they were found so early that they pose little threat, he said.

McCain will continue to have periodic colonoscopies, the doctor said.

McCain has displayed no evidence of heart disease or other cardiovascular disease, Eckstein said. "Indeed, he walked the Grand Canyon rim to rim in August 2006" and hikes whenever his schedule permits, he said.

A stress echocardiogram carried out in March was "entirely normal," he said.

McCain has also been treated for high lipid levels. Eckstein said he originally prescribed Vytorin, but a recent study raised questions about its efficacy, and he recently switched the Republican candidate to simvastatin.

McCain has had orthopedic problems in the past, many of them traced to October 1967, when the Navy flier's plane was shot down over Vietnam.

He broke both arms and a leg when he ejected and spent the next 5½ years as a prisoner of war in Hanoi. During that time, he was beaten and tortured repeatedly, suffering fractures of both shoulders. Because he received no treatment for his fractures, they healed improperly, leaving him with reduced range of motion for his shoulders, arms and right knee, Eckstein said.

McCain takes a daily aspirin to prevent formation of blood clots; an occasional Zyrtec, an antihistamine used for nasal allergies; and the sleep agent Ambien CR for treatment of insomnia when he travels.

He also takes a multi-vitamin tablet.

Some reporters, including CNN's, were allowed to examine McCain's medical records. In one, McCain's fasting blood sugar value was described as "impaired."

Asked to elaborate, Eckstein said he thought that the note referred to a 111 mg/dl blood sugar, with normals "in most labs" being between 70 mg/dl and 100 mg/dl.

Eckstein said he followed that test result with another that he did not identify, "which was completely normal."

McCain, a two-pack-a-day smoker for 25 years, quit in 1980. He recently had a CT scan of his chest performed, and it proved normal, Eckstein said.

The former pilot also sometimes experiences occasional dizziness when he stands, a benign condition called positional vertigo, Eckstein said.

"When he and many other people arise from sitting or lying down, they get a sudden whirling sensation which may last two to five seconds and then disappears," he said. "It does not indicate any vascular problem to the brain, and it is not a precursor to stroke."

McCain's father died of a stroke at age 70, but his 96-year-old mother is in good health and has appeared on the campaign trail with him.

McCain released his medical records voluntarily. He did the same when he ran for president in 2000.

The two Democrats competing for their party's nomination, Sen. Barack Obama and Sen. Hillary Clinton, have not released their doctors' files.

Obama's campaign said it will release a summary of his medical condition next week, composed by his primary care physician. The campaign said it will show that he is in good health.

@highlight

Sen. John McCain has had no recurrence of skin cancer since 2000 surgery

@highlight

Doctor says McCain is in "excellent health" with "extraordinary energy"

@highlight

Melanoma surgery was aggressive, removing lymph nodes as well as a tumor

@highlight

McCain, a two-pack-a-day smoker for 25 years, quit in 1980