Months after a secret e-mail search controversy at Harvard College, Evelynn M. Hammonds announced on Tuesday that she will step down as dean on July 1, according to a statement posted online.

Hammonds came under fire in March for conducting a search of the e-mail accounts of resident deans in an effort to find who leaked information regarding a cheating scandal involving more than 100 students.

The Harvard Crimson, the daily newspaper of Harvard College, published an article in April titled, "To Rebuild Trust, Hammonds Must Resign." The article concluded by stating "With Hammonds's resignation, Harvard can begin to bridge the rift of trust between the administration and the community it serves."

Hammonds said in a statement that the e-mail controversy was "not a motivating factor" in her decision to step down as dean.

"I was never asked to step down," she said. "I have been in discussions to return to academia and my research for some time."

Hammonds will take a sabbatical after 11 years of continuous service before returning to her teaching program and her scholarship, the statement says.

"Being dean of Harvard College has been an immensely rewarding experience for me," said Hammons in the statement, "But I miss engaging deeply with my scholarship and teaching."

"I'm grateful to [Hammonds] for all she has done to help our undergraduates thrive," said President Drew Faust, "and we will be fortunate to continue benefiting from her talents and wisdom."

Harvard students forced to withdraw amid cheating scandal

In 2008, Hammonds became the first African-American and the first woman to be named dean of Harvard College.

After the scandal in March, the school apologized for the way it handled the secret search.

"While the specific document made public may be deemed by some as not particularly consequential, the disclosure of the document and nearly word-for-word disclosure of a confidential board conversation led to concerns that other information -- especially student information we have a duty to protect as private -- was at risk," said a statement from Hammonds and Michael D. Smith, dean of the Faculty of Arts and Sciences.

"Consequently, with the approval of the dean of FAS (Faculty of Arts and Sciences) and the University General Counsel, and the support of the dean of Harvard College, a very narrow, careful, and precise subject-line search was conducted by the University's IT department," they added.

Smith and Hammonds stressed that the search was limited to administrative accounts and that it did not involve a review of e-mail content.

"To be clear: No one's e-mails were opened and the contents of no one's e-mails were searched by human or machine," they said.

The search successfully identified a resident dean who had forwarded a confidential e-mail.

However, after review, school officials determined the dean in question had committed "an inadvertent error and not an intentional breach" by sending the message to two students.

"Operating without any clear precedent for the conflicting privacy concerns and knowing that no human had looked at any e-mails during or after the investigation, we made a decision that protected the privacy of the resident dean who had made an inadvertent error and allowed the student cases being handled by this resident dean to move forward expeditiously," Smith and Hammonds said.

"We understand that others may see the situation differently, and we apologize if any resident deans feel our communication at the conclusion of the investigation was insufficient," they added.

News of the secret search drew immediate criticism from some members of Harvard's faculty.

Harry Lewis, a professor and former dean of Harvard College, said on his blog that he will likely move most of his personal e-mails to another account, keeping his Harvard address just for business. He described the way the school handled the case as dishonorable.

"Why not tell people you are reading their e-mail? Would it not be the honorable thing to do? What is to be gained by not doing that? Other than avoiding, perhaps, the embarrassment of acknowledging that you are doing something to which the targets would reasonably object if they knew it," he wrote.

A month prior, the school had announced that more than half the students implicated in the cheating scandal had been required to withdraw for a time.

More than 100 students were investigated for plagiarism or for having "inappropriately collaborated" on a course's take-home, open-book spring final exam.

The class was Government 1310: Introduction to Congress, according to The Harvard Crimson.

Many of those who were not forced to withdraw faced disciplinary probation at the Ivy League institution in Cambridge, Massachusetts, and the remaining were cleared.

Opinion: An easy out for athletes in Harvard scandal?

@highlight

Evelynn M. Hammonds will step down as Harvard College dean on July 1

@highlight

She was the first African-American dean and first woman dean there

@highlight

Hammonds was criticized after she conducted a secret search of faculty e-mails

@highlight

She was trying to find out who leaked information in a student cheating scandal