(CNN) -- Jazz fans, as with their counterparts in rock 'n' roll, tend to be enthralled with the outlaws, renegades and mystics in their artistic realm. The further "out" jazz musicians or composers are in their personal lives, goes the myth, the more visionary and transcendent their output. Who creates great, or even good art by playing it safe?

Dave Brubeck, who died of heart failure Wednesday, one day short of his 92nd birthday, was the paradigmatic "good guy" of post-World War II jazz. But he was, of course, much more than that.

He was one of the rare jazz musicians whose name and face were easily recognized by those who don't know much about jazz. The Dave Brubeck Quartet, which featured Brubeck on piano and Paul Desmond on alto saxophone, was one of the iconic jazz ensembles of the 1950s and '60s, making its reputation with college campus recitals, playing in festivals and concert halls all over the world and releasing albums that went platinum.

The group even put out a single, "Take Five," that climbed the pop charts, peaking at number 25 in 1961 on Billboard's Hot 100, rare air for any jazz artist, before and after the Beatles stormed the American pop firmament.

"Take Five" was one of the few Brubeck hits the leader didn't write himself. (Desmond, who died of lung cancer in 1977, did.) But there were other enduring standards ("Blue Rondo a la Turk," "Three to Get Ready") introduced on the 1959 platinum-selling "Time Out" LP, along with "Take Five." These and other pieces did clever, unexpected things with time-signatures ("Blue Rondo" has a 9/8 beat while "Take Five' is in 5/4) that charmed audiences with their ingenuity while accustoming novices to jazz's capacity for surprise.

Brubeck's piano playing was itself something of a rhythmic effect, striding, vamping, riffing with heavy chords and thick intonation. Desmond's wry, airy lyricism provided the counterpoint and some critics preferred his playing to Brubeck's. Still, not even the most discerning of these skeptics could deny Brubeck's gifts as a composer.

Besides such durable standards as "In Your Own Sweet Way," "Summer Song" and "The Duke," a tribute to his hero Duke Ellington, Brubeck wrote suites for orchestras, oratorios for choirs and even the occasional theme for a TV series. (The lively "Theme from 'Mr. Broadway'" proved more enduring than the one-season wonder it was written for.).

News: Jazz great Dave Brubeck dies at 91

Through it all, he was, by all accounts, gregarious, self-possessed and generous in spirit. He was married to the same woman, the former Iola Marie Whitlock, from 1942 to the end of his life. He raised six children, four of whom followed their father into the music business, sometimes performing and recording on their own, sometimes with him.

He and his family spent most of their lives in their Wilton, Connecticut, home where, despite a global touring schedule that, at one point had him doing 120 consecutive days of concerts in several cities, he always found sufficient time to write music, practice his piano and play with his children.

In other words: No outlaw or renegade in this corner of the room. But Brubeck, as his multitudes of fans (and more than a few historians) attest, carried substantial artistic weight of his own while walking the straight-and-narrow. If ever there was an exemplar of the "good guy" as visionary artist, it was Brubeck, who leaves behind a radiant legacy of steadfast integrity, an open-hearted (and open-minded) worldview and an infectious sense of play that lured listeners at whatever level of musical appreciation into the simple joys of fiddling with time and space.

This son of a Stockton, California, cattle rancher would reap many honors for not heeding his father's warning, recalled by Brubeck to me in a conversation a few years back, that there was no real life to be found "playing in a smoky nightclub." In 2009, he was honored for lifetime achievement by the Kennedy Center for the Performing Arts, along with such diverse peers as Mel Brooks, Robert De Niro, Grace Bumbry and Bruce Springsteen.

His 90th birthday was commemorated two years ago with a documentary produced by Clint Eastwood, featuring testimonials from sources as varied as President Bill Clinton, Bill Cosby, George Lucas and Stanley Crouch.

In that documentary, Brubeck recalls not only his years of study under French composer Darius Milhaud (along with Ellington his greatest musical influence), but also his service in World War II, most of which he spent in Patton's Third Army in Europe. He would have fought at the Battle of the Bulge if he hadn't been asked to play piano at a Red Cross show.

He spent the last year-and-a-half of the war leading "The Wolfpack," an Army jazz band that was also one of the first racially mixed units in the armed services before the military's postwar racial integration. In Ken Burns' 2000 miniseries, "Jazz," Brubeck spoke with quiet, impassioned eloquence of the difficulties his unit encountered both with segregated troops overseas and with home-front racists at a Texas restaurant who refused them service.

In his breakout year of 1954, he appeared on the cover of Time magazine. Instead of being overjoyed at what was then a prestigious coup, Brubeck recalled his embarrassment over the fact that he had been so honored ahead of Duke Ellington, whom he felt was far more deserving.

Being a "good guy" was no small thing to Dave Brubeck or his fans. It shouldn't be to anyone else.

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Gene Seymour: Dave Brubeck, a good guy and masterly jazz musician, died Wednesday

@highlight

Brubeck led iconic jazz ensemble in '50s, 60s; crossed onto pop charts with "Take Five"

@highlight

Seymour: Brubeck gained popularity from campus tours; known for unusual time signatures

@highlight

Seymour: He was humble, had infectious sense of play, lured fans to simple joy of jazz