Princeton, New Jersey (CNN) -- In a very clever television advertisement, Delaware Senate candidate Christine O'Donnell looks directly at the camera and says to voters: "I'm not a witch. ... I'm you." In another ad, O'Donnell says that unlike her Democratic opponent Chris Coons, "I didn't go to Yale. I didn't inherit millions like my opponent. I'm you."

This statement, in a nutshell, is the message of the Tea Party movement. O'Donnell promises that she will not follow the practices of Washington incumbents who believe that trading favors and making backroom deals are legitimate ways to stay in office.

O'Donnell is not alone in advancing this message.

In West Virginia, Democratic Gov. Joe Manchin is facing an unexpectedly difficult race against Republican John Raese to fill the seat of the late Sen. Robert Byrd.

According to Politico, the casting call for an advertisement that was recently broadcast by the National Republican Senatorial Committee in West Virginia stated that they were searching for the " 'Hicky' Blue Collar look. ... These characters are from West Virginia so think coal miners/trucker looks."

Many conservative candidates this year have been tapping into the tradition of conservative populism, a tradition that has animated right-wing politics since the 1970s.

In their effort to challenge the legacy of the New Deal and the Great Society programs and to overcome the image of country club conservatism, many in the GOP have argued their party best represents average Americans. They have focused on social and cultural issues and anti-establishment rhetoric to claim this mantle. In 2008, Minnesota Gov. Tim Pawlenty, a potential presidential candidate in 2012, talked about "Sam's Club Republicans."

The problem they have to overcome is there is a major disconnect between their message and the record of the Republican Party in which they are running. When Ronald Reagan became president in 1981, he advanced the agenda of supply side economics and economic deregulation. His policies have defined the Republicans ever since.

According to Reagan, economic policies that benefited the wealthiest Americans would have a trickle-down effect that eventually helped lower-income brackets.

Regressive tax cuts that benefit wealthier Americans but generate deficits were also fine since, in the long run, more revenue would flow into the Treasury from rising wages. The voices of conservatives who were skeptical of the theory of supply-side economics rapidly faded away. That includes George H.W. Bush, who in 1980 called Reagan's proposals "voodoo economics."

In his book "Unequal Democracy," political scientist Larry Bartels has documented the effect of these policies. During the conservative era of American politics, the so-called Age of Reagan, the distribution of income and wages has become more unequal in the United States than in comparable countries.

"Under Democratic presidents," Bartels writes, "poor families did slightly better than richer families (at least in proportional terms), producing a modest net decrease in income inequality; under Republican presidents, rich families did vastly better than poorer families, producing a considerable net increase in income inequality."

See more CNN.com opinion articles

While there are a number of factors behind these changes, public policy mattered very much. According to Bartels' persuasive account, rising inequality was not just a result of natural market forces such as globalization, but also a product of partisan choices about the direction of economic and fiscal policy.

Americans, he shows, in all income brackets have enjoyed more economic success when Democrats inhabit the White House. Meanwhile, the economic policies of Republican presidents, such as regressive tax cuts, have disproportionately benefited the wealthy.

In another book, political scientists Jacob Hacker and Paul Pierson have reached a similar conclusion. They have shown how the mobilization of business in Washington during the 1970s profoundly effected inequality.

Allying with the Republican Party, the business community pushed for the deregulation of numerous industries, tax cuts for the upper-income classes and policies that weakened organized labor. The result, according to Hacker and Pierson, were policies that left working- and middle-class Americans at the mercy of powerful market forces. Playing defense, many Democrats, including President Clinton, followed this agenda as well.

Although President Obama has continued part of the centrist approach of Clinton on many economic issues, he has also pursued economic policies that have focused on working- and middle-class Americans. His economic stimulus program revolved around government spending for projects that would bring jobs to the unemployed and prevent other jobs from disappearing. His health care reform will expand coverage to more than 30 million Americans who have been left outside the market.

He has pushed for an extension of the Bush tax cuts to all but the highest-income Americans. To be sure, he has been far from successful. The high unemployment rate is evidence that the success of Obama's policies have been limited, and the administration made compromises that avoided more stringent constraints on powerful interests.

Given the history, O'Donnell's ad, as good as it is as a piece of political theater, has its problems.

Her website suggests that O'Donnell, like most Tea Party candidates, will not depart that greatly from the GOP's economic policies of tax reductions, deregulation and the curtailment of government spending.

It might very well be that O'Donnell is one of us, but her party's economic policies have tended to benefit a very narrow and well-off portion of the population.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Christine O'Donnell's campaign, ads stress populist theme of "I'm You"

@highlight

Julian Zelizer: Republican policies have helped wealthy and increased inequality

@highlight

He says the GOP has supported supply-side economics, deregulation since Reagan

@highlight

Under Democrats, Americans of all income have done better, Zelizer says