(CNN) -- Scientists expect some great travel spots to be altered or ruined by global climate change.

Glaciers in the European Alps may melt as soon as 2050, some scientists say.

Some of the changes are already taking place. Others are expected to be seen in coming decades.

There are two ways to look at this: Either stay home (which might be less depressing and won't add more airline emissions) or get a move on it and see the hot spots you just can't miss.

For those who want to head out, CNN got advice on the best pre-warming travel destinations from Bob Henson, author of "The Rough Guide to Climate Change" and a writer at the University Corporation for Atmospheric Research in Boulder, Colorado.

Here are Henson's top five choices:

Great Barrier Reef, Australia

Warming temperatures can spell disaster for coral reefs, which depend on a delicate balance of ocean temperature and chemistry to bloom into colorful displays.

Many of the world's reefs already are experiencing "bleaching" in which algae living in the coral die and leave behind whitened skeletons.

The Great Barrier Reef -- which is composed of about 2,900 individual reefs and is off the northeast coast of Australia -- is seeing limited bleaching now, and the Great Barrier Reef Marine Park Authority expects the problem to grow in coming decades.

Henson said the reefs' colorful displays are not to be missed.

"It's a feast for the eyes in terms of color, texture variations -- it's just amazing to see," he said. "It's wonderful to be enveloped in the warm water and look down just a few feet below at this amazing spread of ocean life."

Boats of people with snorkels typically launch into the reefs from Cairns, Queensland. If you go, tread lightly, Henson said. Visitors can damage the reefs if they get too close.

New Orleans, Louisiana

How much sea levels will rise as the world warms is one of the trickiest parts of the climate change equation. If huge hunks of ice -- such as parts of Greenland and the western shelf of Antarctica -- melt, then the rise is expected to be more dramatic.

"Nobody knows whether they're going to completely melt or not, but we do know it's not going to happen in the next 10 years," Henson said.

But for cities near the coast such as New Orleans, which already sits below sea level, rising waters could spell trouble for tourists and residents alike, even in the relative near term.

"In the next several hundred years, life there may be difficult, and the cities may become impractical unless we can build large structures to keep the waters at bay," he said.

Henson doesn't expect New Orleans to be underwater anytime soon. But travel to the Louisiana city may become more difficult in the future, he said. Scientists expect floods to become more frequent.

"It's sobering to be in New Orleans and look up at the levees that sit above you and keep out the Mississippi River," he said. "You're standing below the level of the river, looking up."

Rocky Mountain National Park, Estes Park, Colorado

Herds of tiny pine beetles are munching away at Colorado's forests, turning the evergreens a sickly red and destroying large patches of trees.

Cold snaps -- which, in mountain terms, mean about five nights of minus-30 temperatures -- usually kill off the native beetles. But winters are warming, and Henson and others said they worry the beetles can't be stopped.

The beetle infestation "has reached epidemic proportions as a result of climate issues," said Kyle Patterson, spokeswoman for the Rocky Mountain National Park.

The beetles are causing problems all over America's mountainous west, but the issue is particularly visible at Patterson's park, northwest of Denver. Henson recommends visiting the park this decade to ensure you can still see the dense forests in decent shape. Some of the reddened forests look beautiful in a strange way, Henson said, but visitors should note that the color isn't natural for pine trees.

"Come soon. It's happening quickly," he said.

Visit in the summer or early fall and take a breathtaking drive to 12,183 feet, Patterson said. Or, come in the winter and enjoy snowshoeing and nearby skiing. Many of the park's 355 miles of hiking trails are open year-round.

Alpine Glaciers, Switzerland

The European Alps sit at a lower altitude than the Rocky Mountains, and their glaciers and ski resorts are therefore more susceptible to melting, Henson said.

A climate expert in Austria recently told National Geographic that the Alps' famed glaciers will disappear entirely between 2030 and 2050. A 2006 report had said they would melt by the end of the century.

Henson said he once took a train through the Alpine glaciers. They're worth seeing before they go -- whenever that happens, he said.

"They're beautiful; the light blue quality of the meltwater is really stunning," he said.

Amazon rain forest, Brazil

Deforestation continues to be the major environmental issue in the Amazon, the world's largest tropical rain forest. But as locals and corporations chop down the Amazon's rich forests to create farmland and to harvest biofuels, climate change may make things worse.

"The fear is that there will be kind of a feedback where trees are cut down, and it gets warmer and drier" in the forest until it can't grow back, Henson said.

The best way to visit the forest is by boat, Henson said. That way, you'll leave less of a mark on the struggling ecosystem.

Of course, getting to a boat on the Amazon is not simple, and the long trip can create a lot of heat-trapping pollution. Henson said the destination might be one of those better left alone by tourists.

@highlight

Global warming may ruin many of nature's wonders

@highlight

Rising sea levels could make visiting New Orleans difficult in the future

@highlight

Glaciers in the Alps may melt by the middle of the century

@highlight

Encouraged by warmer winters, pine beetles are ruining forests in Colorado