On March 9, Texas Attorney General Greg Abbott, the state's Republican candidate for governor, appeared on a Dallas television station and was asked a straightforward question.

Would he veto, as Gov. Rick Perry did last year, the Texas version of the Lilly Ledbetter Fair Pay Act, a bill that would allowed women to file equal pay claims in state courts?

Abbott wouldn't say. Instead, he smiled and held forth for a few moments about the importance of women being paid the same wages as men.

The campaign of his Democratic opponent, state Sen. Wendy Davis, quickly roared to life. Davis, who shepherded the equal pay bill through the Texas legislature, accused Abbott of dodging the question and demanded a hard answer. Abbott equivocated for 10 days, then said he would veto the bill, handing Davis fresh ammo.

"We need a governor who will fight for economic opportunity for all Texans," Davis said at a rally in Austin this week, where supporters waved campaign-sponsored signs reading #EqualPay. "We need a governor who will fight for that regardless of someone's gender or their race."

The equal pay fight has consumed the Texas race for a better part of a month now, injecting the Davis campaign with fresh energy and a much-needed dose of optimism. For the first time in the race, Davis is playing offense on a policy issue.

The flurry of activity in Texas has called attention to a key issue for Democratic candidates this midterm cycle as they try to change the subject from an unpopular President and thorny issues like the Affordable Care Act: wage fairness for women in the workplace.

"It's extremely potent," said Democratic pollster Celinda Lake. "It's the No. 1 issue that gets single women out to vote, but it also unites men and women."

"We were recently conducting focus groups in Michigan with beefy, 50-year old, white auto workers, and one guy said, 'If the little lady doesn't get paid equally, I have to get overtime, and I can't get that anymore,'" Lake said. "While that might not be the most feminist articulation of the policy, men are wildly in favor of equal pay."

Meet 10 visionary women

One equal pay statistic has become a well-worn talking point for Democrats: Women earn 77 cents for every dollar a man earns.

President Barack Obama slipped the data point into his 2014 State of the Union speech when he demanded that Congress pass the Paycheck Fairness Act, which would strengthen the 1963 Equal Pay Act signed by President John F. Kennedy. Obama called the income disparity between genders an "embarrassment" and proclaimed that "women deserve equal pay for equal work." It was one of his biggest applause lines of the evening.

Elizabeth Warren, PCCC back Braley for Senate seats

Hardly new fodder for Democrats

The gender pay gap is not attributable to discrimination alone. Studies show that women often take lower-paying jobs than men, and they work fewer hours. Still, while pay disparities vary depending on the occupation -- female teachers make 91 cents on the male dollar, for instance -- men generally take home bigger paychecks than women.

The gender pay issue is hardly new fodder for Democrats, who have relied on women voters -- especially unmarried women -- to pull them over the finish line in recent elections. In the Virginia governor's race last fall, Democrat Terry McAuliffe unleashed a sustained assault on his Republican opponent's views on women's health issues. McAuliffe narrowly won the race -- but he won the single women demographic by a staggering 42-point margin.

The issue flared during the 2008 presidential campaign, when Obama hammered John McCain and Senate Republicans for blocking the Lilly Ledbetter Fair Pay Act. After Obama's victory, the legislation became the first bill he signed as president.

The fair pay debate surfaced again in 2012, when Obama's re-election campaign hammered Mitt Romney for dodging a question about whether he would have signed the Ledbetter Act. Like many Republicans, Romney said he supported the concept of equal pay but questioned whether federal legislation would solve the problem.

But this year's midterm election is a different beast. With Democratic turnout expected to tumble in a non-presidential year, party strategists are seizing on equal pay as a way to galvanize the base, raise money and once again paint Republicans as tone deaf on women's issues.

"It's just an incredibly important issue for women," said Stephanie Schriock, the president of EMILY's List, a group that backs Democratic women candidates. "We see it in our polling, but also in everyday life, that it's an economic hurt for families. And right now we have a Republican party that is so disinterested in winning over women voters that they are floundering on no-brainer issues like supporting equal pay."

Schriock pointed to a February survey by American Women, an EMILY's List partner, that showed wide majority support among both men and women for "ending gender discrimination" in the workplace and passing the Paycheck Fairness Act.

Poll: GOP has a 2014 enthusiasm advantage

Others trying to make equal pay an issue

Davis is the most famous Democrat to make equal pay a centerpiece of her campaign, but smaller-scale efforts are underway in campaigns up and down the ballot, in local and federal races.

Democratic Senate candidates in Republican-leaning states, such as Alison Lundergan Grimes in Kentucky, Natalie Tennant in West Virginia, and Michelle Nunn in Georgia, have raised the issue in campaign fundraising e-mails and list-building petitions. A volley of them were fired off in January, on the five-year anniversary of the Ledbetter Act signing.

"Mitch McConnell had a chance to be a part of history five years ago, too," Lundergan Grimes wrote in one fundraising e-mail chiding her Republican opponent. "Instead, he did what he's done for nearly 30 years when called upon to lead: he refused to answer -- failing to stand for Kentucky's women and families by voting against the legislation."

By keeping the issue in the news, Democrats hope to benefit in the long term by showcasing GOP presidential hopefuls who oppose equal pay protections. One of them, Rick Perry, vetoed the equal pay legislation that Davis has been touting in the governor's race. This week, Perry called the war of words over equal pay "nonsense" -- a remark that Democrats will almost certainly use against him if he becomes the GOP presidential nominee in 2016.

Several likely 2016 Republican candidates have come out against equal pay protections, mostly on the grounds that they would encourage lawsuits and cripple the ability of private businesses to set their own pay scales based on merit. Yet while Republicans in Washington have counseled candidates on how to speak more carefully about women's health issues like abortion and contraception, there seems to be no messaging playbook when it comes to equal pay.

In the heat of the last presidential race, Florida Sen. Marco Rubio waved off the Ledbetter Act as "an effort to help trial lawyers collect their fees and file lawsuits." Kentucky Sen. Rand Paul said the Paycheck Fairness Act would interfere with the free market, comparing it to the way the Soviet Politburo set the price of bread.

On the local level, Republican governors like Perry have derided state equal pay laws as redundant given the federal protections already on the books. Wisconsin Gov. Scott Walker repealed a pay discrimination law in 2012 for much the same reason.

Katie Packer Gage, a former Romney campaign adviser who co-founded Burning Glass Consulting, a firm that advises Republicans on how to appeal to women voters, said Democrats are using equal pay "to distract women from real issues."

But Gage urged Republican candidates to be more sensitive when rebutting the issue.

"Look, women view this as a problem," she said. "When you talk to women, and you see this in focus groups, they feel it's a problem. They have anecdotal experience, they feel it, but they don't have very specific data. Our party's response has been to push back on it and say it's a not a problem.

"I have advised clients when you are asked your position on this, your response needs to be, 'Duh, of course men and women should be paid the same for equal work!,'" Gage added. "This was settled law back in 1963, and Republicans voted for it. Our party is not quick enough to push back on the fact that we already have a law in this country that requires equal pay for equal work."

Democrats unveil agenda to keep Senate

@highlight

The equal pay fight has consumed the Texas gubernatorial race for almost a month

@highlight

Texas race points to key issue for Democratic candidates

@highlight

Equal pay issue used to galvanize base for expected low Democratic turnout

@highlight

Republicans tend to dismiss it as a non-issue