(CNN) -- High in the Peruvian Andes, where it's so dry and cold that very little vegetation grows, life depends on one animal: the alpaca. But in recent years, raising alpacas has become a greater challenge.

Mountains that used to be covered with ice around the town of Licapa, elevation of 4,200 meters (about 13,780 feet) above sea level, are now barren.

Salomon Parco, a 30-year-old Alpaca shepherd who lives in Licapa, says that no ice means no water; and no water means no grass to feed the animals. Parco also says the ice has all but disappeared in the last three decades.

"The difference is that when I was a little boy, the mountaintops were white with snow and ice. But as you can see, they now look black. That's the difference," he says.

Read more coverage of the Road to Durban

A stranger recently arrived in Licapa bringing hope. Eduardo Gold, an engineer and self-described inventor, is the founder of Peru Glaciers. The organization's goal is to bring the ice back to the mountains.

"This community is closely tied to the glaciers," he says. "As soon as they disappear, their livelihood disappears for them as well."

Along with Gold and his crew of five locals, photographer Jose Armijo and I travel to the top of the mountains. The lack of oxygen makes the hike challenging.

At an elevation of 5,000 meters (about 16,400 feet), we see firsthand what's happening to the glaciers. This is where Gold and his crew are working on the project to bring the glaciers back.

Gold's idea is very simple: If dark mountains absorb more heat from the sun, white mountains will have the opposite effect. The solution is to make them white.

Under Gold's direction, the crew of five goes around the mountain, splashing a mixture that turns the rocks white. It's not paint, but a combination of water, sand and lime. Two percent of the mixture is soap, which makes it stick to the rocks and stay waterproof once it dries.

An infrared thermometer shows a difference of 30 degrees Fahrenheit (16 Celsius) in temperature between the dark rocks and the previously whitened ones.

Gold acknowledges there is a lot of work to go before he can prove his theory works. "This is an experiment. It may or may not work. Or it may work a little. Doing something about it is better than nothing at all," he says.

And it seems to be working. Gold shows us a crevice between the rocks where he finds some ice. The locals say there was no ice at all before. "We had very little water. The difference this year since we have whitened the mountain is that there's water. As you can see down there, there's a well with plenty of water, and down the hill we have even more," says Parco, the shepherd.

Glaciers are crucial not only for this mountain region. They are also natural dams for all of Peru from which water flows to streams and rivers in downhill valleys. Glaciers also decrease the temperature.

So far, the crew has covered an area of roughly 15,000 square meters (almost the size of three football fields), still too small to determine if Gold's idea will work in the long term. His goal is to cover 3 billion square meters, which would be much more than 500,000 football fields. For that, he would need about $1.5 billion spread over five years.

He's received an award from the World Bank to work on the project, but only enough for a modest beginning. "If there's a chance of bringing change, why ignore it? Doing nothing would be worse. If we fail to act, life will end in this area," Gold says.

In a way, life has already ended in the town of Licapa. Gold says that only about 900 people remain in a place that thousands used to call home. But Salomon Parco says he's confident the project will work in the long term. He's betting his children's future on it.

@highlight

Mountains in Peruvian Andes that used to be covered with ice are now barren

@highlight

Mountain communities that depend on water from glaciers are threatened

@highlight

Engineer and self-described inventor wants to bring ice back to the mountains

@highlight

His solution: A mixture that turns mountain rocks white, lowers their temperature