(HLN) -- The discovery of a blond-haired, blue-eyed young girl in a Roma camp in Greece last week immediately caught the attention of several families in the United States. Could this disheveled girl with mysterious origins, known as Maria, be one of America's missing?

Could she even be "Baby Lisa" Irwin, the girl who disappeared two years ago from her Missouri home?

Though the apparent age difference makes this a stretch -- Baby Lisa, though not a baby anymore, would only be about 3 now, and Maria is estimated to be about 5 or 6 -- the mystery of the girl's identity seems to have provided a tantalizing bit of hope to the Irwin family, and to other families who hold vigil for their missing children.

The FBI says it has gotten thousands of calls from people claiming to have clues as to who Maria is and where she belongs. The Greek children's rights group Smile of the Child says it is looking into about 10 missing children cases in connection with Maria, and several of the cases are in the United States. That's 10 families whose hope will be reignited, and 10 families whose pain may be made fresh once again if the lead doesn't pan out.

Few know the fleeting moments of hope -- and anguish -- associated with the search for a missing child like Dave Holloway, the father of Natalee Holloway, the Alabama teen who went missing on a trip to Aruba in 2005. The Holloway case captivated the country, and even now from time to time, a new lead in the case will make headlines.

'A never-ending story'

In an interview with HLN, Holloway said he is currently interested in one such lead. There is a Dutch man in Aruba, he said, who claims to know where Natalee's body was hidden. Holloway is a bit skeptical, but if the information seems promising, he'll follow through. This is the life of a parent who has seen every side of his child's tragedy laid bare for the public: The panic, the hope, the feelings of resignation and the never-ending quest for answers.

Holloway says he doesn't mind the media attention. If anything, he appreciates it. He wants it. Any coverage gets the family closer to finding out the truth. "If the media is not attacking it, the [Aruban] authorities aren't interested," he said. "Of all of the thousands of cases involving missing children, the parents have always yearned for media attention."

Over the years, Holloway has worked with numerous families and support groups for parents with missing children. In addition to all of the grief he has felt and witnessed, another emotion surfaces, as well: Guilt. When a child is lost, it at first seems as if the options are inexhaustible. As time passes, the leads become fewer, the attention dies down and Holloway said, some parents he has met are left grasping at straws.

"There's a lot of guilt," he said. "I ran into individuals that felt like they maybe could have done more, keep pushing and pushing, and maybe something will get done."

Natalee Holloway was declared dead in 2012. It was her father who filed the petition. It wasn't, he said, for emotional closure. "At some point in time, you've got to take care of some legal issues. She was still listed as a beneficiary -- there's insurance, savings accounts."

Dave Holloway had started a college fund for Natalee that had to be used by the time she turned 21. Her 21st birthday came and went in 2007, and she wasn't there to collect it.

"Time eventually takes care of the healing process," Holloway said. "But for us, it's like a never-ending story."

The Holloways are certain they know who can tell them about their daughter's disappearance. Unfortunately, that man is languishing in a Peruvian prison. Dutch national Joran Van Der Sloot was a prime suspect in Holloway's disappearance, and his ever-changing claims regarding his involvement kept the media, and the Holloways, on a tight leash. He was indicted by the United States for fraud and extortion in connection with the case. However, in 2012, he pleaded guilty to the murder of a young woman in Lima, and is currently serving a 28-year sentence. For the Holloways, that means their quest for justice has been put on an excruciating, lengthy hold.

"Somebody knows the answers, and someone is withholding," Holloway said of Van Der Sloot. Holloway said he and his family had been frustrated by the authorities in Aruba, and now, they must abide by the Peruvian justice system as well. "It's never going to end for us, as far as justice is concerned."

'I feel like she's OK'

Just two weeks ago, the parents of Lisa Irwin observed the second anniversary of their daughter's disappearance. Lisa, just an infant at the time of her disappearance, was reported by her parents as having been kidnapped during a home invasion. During a recent vigil in front of their St. Louis home, Lisa's mother, Deborah Bradley, clutched a time-lapse portrait of her daughter and said, through tears, that she still had hope that Lisa was alive.

"My mother's intuition ... is that, I feel like she's OK," Bradley said.

Bradley and Lisa's father, Jeremy Irwin, still keep Lisa's bedroom intact, as if she will come home at any minute. It is filled with outfits and gifts the couple has bought their child for milestones she has not been present to observe. When Bradley speaks of her daughter, it is in the present tense.

When news of the Roma girl Maria began to surface, the Irwin family reached out to the FBI, and despite the doubts as to the connection between the cases, is working with the agency to determine whether the girl is their lost daughter. And even if she isn't, the family's faith seemingly remains stalwart.

"I have no doubt" that she is going to come home, Bradley said.

'It consumes you'

Dave Holloway doesn't wait by the phone anymore, hoping for news of his daughter's safe return. Too much has happened, too much time has passed. At some point, he said, you have to set your highest hopes aside.

"In the beginning, it all consumes you. Everything in your life takes second place, goes on the back burner," he said. "It consumes you, but you can't let it after a time. There are other things in life, family members. We lost so much time with our other children searching for Natalee." He likened it to losing sight of a young child; that instinctual, paralyzing moment of fear.

Except the moment doesn't stop. And you can't stay paralyzed forever.

"You exhaust all your leads, and finally, you're at the point where there's nothing else to do," he said.

"I feel for those families who are totally clueless. At least we know who is responsible for our daughter's disappearance. They have no idea. At least we know."

'We are not alone'

For the families of missing children, there is always a hope, no matter how small.

For the Irwin family, their hope is kept alive by newfound worldwide attention. In an interview with CNN's Dr. Sanjay Gupta, Deborah Bradley said she has received an outpouring of support from friends and strangers around the world.

"It has really shown us that we are not alone in our search for Lisa," she said in the interview. "We're in awe at the amount of compassion and care, and the fact that there are so many people that are looking for her right along with us."

@highlight

Discovery of 'Maria' has reignited hope for families of missing children

@highlight

HLN talks to the father of Natalee Holloway, who went missing in 2005

@highlight

Parents of lost children often tread a line between hope and realism