(CNN) -- Shel Israel is not the kind of person you'd expect to find on Twitter all day. He's 65.

Shel Israel, author of a new book on Twitter. He says the micro-blogging service changed his life.

But Israel has been using the micro-blogging service longer than most. In fact, he gave up his lifelong habit of reading the newspaper every day about four years ago and turned exclusively to social media.

He now knows how to use Twitter, how not to use it, and how to benefit from it, and he says Twitter has changed his life.

The social-media journalist and public speaker is the author of  a new book, "Twitterville: How Businesses Can Thrive in the New Global Neighborhoods." The book shows how Twitter flattens geographical boundaries and helps people connect with others around the world who share their interests.

To Israel, it's the mundane details of one's life, shared through tweets and status updates, that matter. He believes that tweeting about what you had for lunch can actually help build a meaningful personal or business relationship.

Israel also says that who you follow on Twitter is much more important than the number of people who follow you. That's because the people you follow become "your newspaper -- the way you get the information that you see, that you digest, and that you use."

Here is an edited version of the conversation.

CNN: Your timing in writing this book seems perfect -- Twitter just blew up. Did you see this boom coming?

Israel: Yeah I did, but not with this great prescience. I just thought it was going to get bigger and bigger, and I thought there was a value to Twitter that no other social media tool had.  See part of our chat with Israel here »

What are those values you mentioned that only Twitter has?

There are two values and they're closely intertwined. The first is that Twitter lets people behave online more closely to how we behave in real life than anything that ever preceded it in history. It's kind of past now, but there was this whole wave of admonition of nobody cares what you had for lunch, and to be honest that's absolutely false.

If I said that I was in a restaurant in Atlanta, [Georgia,] you'd say, "Oh, where did you go? You didn't by chance try the..." and we have a conversation that way. We care about the details of life. When you bring this into business, I don't think many members of your audience ever bought or sold anything from a conversation that starts with, "Are you going to buy something?" It begins with small talk.

And that brings us to the second point. The brevity creates an interaction that no other media tool allows. Until now most social media is I write or create something, and you read it and comment back. In Twitter, it's so brief that no one is the lead conversationalist, really. And it isn't about what you post in 140 characters, it's about the number of spoonfuls of content that you feed people who are interested in eating it.

Why are you so fascinated by Twitter? Most people your age don't use social media at all.

I was born too soon? (Laughs) I don't know what it is about me, but it's what drew me to Silicon Valley in the first place -- I just get turned on by new ideas and new trends. I am extremely curious by nature. I like meeting people who think and act differently than I do. And that I think keeps me young, along with the fact that I spend much of my time with people younger than me. And they seem to value the fact that this older guy has some wisdom, but they don't understand how much I'm learning from them.

You tell a lot of specific Twitter anecdotes in your book. Do you have a favorite character?

I have a few real favorites. [One is] Janis Krums, who was the 23-year-old guy taking a ferry to New Jersey when a funny thing happened -- the US Airways flight 1549 landed [on the Hudson River] a couple of football fields away from him. He whips out an iPhone, uses a 30-day-old product called Twit Pic, and takes a picture.

Twenty-seven minutes later he's on national TV, the photo he took is the backdrop, and his voice is being heard nationally through the iPhone that he used. I asked him how his life had changed by becoming the most famous citizen journalist of at least 2009. And his answer to me was, "You know, I didn't plan to be a citizen journalist, I just wanted to go to New Jersey." And that might have been my single favorite answer to any question.

You also describe why certain strategies work for particular organizations in your book. Are there Twitter marketing strategies that wouldn't work for some companies?

Yeah, I talk a lot about changing of eras. We're going [away] from the broadcast era -- that's when content is sandwiched by messages to pay for the experience, and those messages are in the form of advertising or PR or other marketing tactics. And most people don't like them anymore, and we use our Tivo and our spam filters to avoid as many of these messages as possible.

In social media, if companies come up and try to treat [Twitter] as just an extension of their marketing solutions, they will fail. What they need to do in social media is join the conversation rather than start the conversation, and not make it about themselves. They need to tell what they're doing rather than sell what they're doing. And that's a fundamental change. We're going into a conversational era, which is bi-directional.

What would you say to employers who don't let their employees use social media like Twitter and Facebook during work hours?

Whenever something new comes into the marketplace, there are companies that are really in love with the way it's always been done. When you start banning things, you're showing a natural distrust of your employees, which is, even in tough times, not an intelligent way to treat your employees. And the second thing is they're banishing the state-of-the-art communications tool.

What's the future of Twitter, in your opinion?

A year from now, Twitter will be more of an everyday experience -- the need to meet up, to talk will move on to something that we don't know about yet. My vision for Twitter is that employees of your age coming into the workplace will be shown a desk, a computer ...[and set up their social media accounts] and then be told to go to work and use [Twitter] how they see fit to get the job done.

@highlight

Shel Israel is the author of a new book about how to get the most out of Twitter

@highlight

Israel says tweeting about mundane details can help build meaningful relationships

@highlight

Who you follow on Twitter is more important than who follows you, he says

@highlight

Israel: Twitter is ushering in a two-directional, conversational era of marketing