Resource rich and home to some of the world's fastest-growing economies, the stage is set for Africa to become the world's next industrial juggernaut.

But making this dream a reality remains a major challenge.

A lack of railways, ports and quality roads has hindered Africa's development in recent years. But today, economic heavyweights such as China and India are pumping billions of dollars into Africa to transform the continent's fortunes and stake a claim in the world's next high-growth territory.

And last month, the African Development Bank and the Africa Foundation launched a fundraising initiative for Africa50, a project aimed at speeding up infrastructure ventures on the continent.

Here, CNN takes a look at some of the big projects set to take Africa by storm. Tell us what you think about them in the comments section below.

Great Inga Dam -- Democratic Republic of the Congo

Potentially the world's largest hydroelectric dam, the Great Inga is a project to tame the mighty Congo River and provide much-needed renewable energy for up to 500 million Africans.

With work scheduled to begin in October 2015, it's claimed the Great Inga would produce 40,000 megawatts (MW) of energy, that's twice as much as China's Three Gorges Dam, currently the world's largest.

Read this: DR Congo's mega dam ambitions

In May, the government of the Democratic Republic of Congo announced the first phase of its grandiose plan, a $12 billion development, dubbed Inga 3, which will produce 4,800 MW.

World Bank estimates suggest that just 11.1% of DRC's population has access to electricity. But with the whole project estimated to cost $80 billion, analysts says that raising funds will be a challenge.

Mombasa -- Kampala -- Kigali railway project -- Kenya/Uganda/Rwanda

Stretching almost 3,000 kilometers and connecting three East African countries, the Mombasa-Kigali railway could be the continent's answer to the Orient Express.

Starting in Kenya's second city with a stop-off at the Ugandan capital, Kampala, the rail line will circumvent Lake Victoria before heading for its final destination of Kigali, Rwanda.

With work scheduled to start on the Mombasa-Nairobi section next month, the whole project is due to be completed by March 2018 with an estimated cost of $13.5 billion.

Konza City -- Kenya

Konza City is a $9.2 billion dollar technology and financial metropolis project located southeast of Nairobi.

Dubbed the "African Silicon Savannah" the project is part of "Vision 2030," the Kenyan government's plan to improve the quality of life for its citizens.

Read this: Ghana plans $10 billion tech city

The government expects the city to provide 100,000 jobs and will include a business district, a university, residential areas and city parks.

But the state will provide only 5% of the funding, with the rest expected to come through land leases to private companies.

Ethio-Djibouti railway -- Ethiopia/Djibouti

This 650-kilometer railway will link up the Ethiopian capital of Addis Ababa and the Port of Doraleh in the small Red Sea nation of Djibouti.

The project is part of the Ethiopian government's Growth and Transformation plan and is set to cost $1.2 billion, according to estimates from consultancy KMPG.

Djibouti represents Ethiopia's only seaport access and would significantly reduce the cost of goods and transportation for the landlocked country.

The Grand Ethiopian Renaissance Dam -- Ethiopia

Ethiopia's 'under construction' renaissance dam is set to be as grand on scale as it is in name.

Scheduled to be completed by July 2017, the enormous barrier will cost the Ethiopian government $4.7 billion and is being assembled by Italian engineering firm Salini Costruttori.

The Renaissance Dam will sit on the Blue Nile river in the Benishangul-Gumuz region. Creating 12,000 jobs and generating 6,000 MW of energy, the dam will also serve neighboring Sudan and Egypt, which both rely of the Nile River's water resources.

The project has caused controversy in Sudan and Egypt, as both countries are concerned the dam will give Ethiopia control over the flow of water.

Jasper project -- South Africa

Once completed, the Jasper Power Project will be a 96 MW solar photovoltaic (PV) plant in South Africa's Northern Cape -- one of the biggest solar installations in the continent.

In May this year, Internet giant Google, which has spent more than $1 billion in renewable energy projects in the United States and Europe in recent years, made a $12 million investment in the scheme.

The project will create 300 construction jobs and 50 permanent operational jobs, according to the South African Department of Energy.

Read more: 'Solar sisters' spreading light in Africa

The joint venture is part of South Africa's ambitious target of generating 18 gigawatts (GW) of clean energy by 2030 and reducing its dependency on coal.

Other African countries are also following the solar craze. Earlier this year, Mauritania, in West Africa, launched what's described as Africa's biggest solar PV plant so far, a 15 MW solar PV plant that will supply energy to nearly 10,000 homes.

Lagos Metro Blue Line

A major cosmopolitan transport project to connect Nigeria's largest city, the Lagos Metro Blue Line is designed to ease congestion and speed up journey times for the city's inhabitants.

The Blue Line will run between Marina and Okokomaiko stopping at 13 stations and is part of the Lagos Rail Mass Transit program implemented by the government.

Read this: Lagos of the future

However, funding issues mean the Blue Line launch has been pushed back to 2015. The Line is set to cost $1.2 billion and will be funded by the Lagos State Government. Rail operator Eko Rail has a 25-year contract to run and maintain the service.

@highlight

Great Inga Dam, Congo, could become the world's largest hydroelectric dam

@highlight

Kenya's Konza City is one of many futuristic cities in the pipeline

@highlight

Ethiopia's Grand Renaissance Dam will serve neighboring Sudan and Egypt