WASHINGTON (CNN) -- Pilot error was to blame in the April 2006 crash of an unmanned aircraft, despite the fact no pilot was on board, the National Transportation Safety Board said in its accident report issued Tuesday -- the NTSB's first-ever investigation into an incident involving a drone.

A drone similar to this one crashed near Nogales, Arizona, on April 25, 2006.

The agency also issued 22 safety recommendations for unmanned aircraft.

It "is an indication of the scope of the safety issues these unmanned aircraft are bringing into the National Airspace System," NTSB Chairman Mark Rosenker said in a statement.

The unmanned aerial vehicles have been touted as a possible solution to several issues facing the United States, from drug trafficking to illegal border crossings.

But, as the NTSB report shows, integrating them into the nation's airspace raises questions regarding their safety status -- and whether they should be held to a different standard than manned aircraft.

On April 25, 2006, a turboprop-powered Predator B, operated on a surveillance mission by U.S. Customs and Border Protection, crashed in a sparsely-populated area near Nogales, Arizona.

There were no injuries, but the aircraft, which has a 66-foot wingspan, was "substantially damaged," the NTSB said.

The probable cause of the accident was the failure of the pilot -- who was operating the aircraft remotely -- to follow checklist procedures when switching operational control from a console that had locked up, the agency said.

That resulted in the fuel valve's being inadvertently shut off and a total loss of engine power to the aircraft. Another cause, the NTSB said, was the lack of a flight instructor in the ground control station.

But in a meeting Tuesday, the board highlighted areas of interest including the design and certification of unmanned aircraft; pilot qualification and training; and audio records of all UAV operations-related communications, among others.

The Federal Aviation Administration doesn't require a pilot's certificate to operate a drone.

"This investigation has raised questions about the different standards for manned and unmanned aircraft and the safety implications of this discrepancy," Rosenker said in the statement. "Why, for example, were numerous unresolved lock-ups of the pilot's control console even possible while such conditions would never be tolerated in the cockpit of a manned aircraft?"

The pilot, the NTSB noted, was not proficient in emergency procedures.

"The pilot is still the pilot, whether he is at a remote console or on the flight deck," Rosenker said.

"We need to make sure that the system by which pilots are trained and readied for flight is rigorous and thorough. With the potential for thousands of these unmanned aircraft in use years from now, the standards for pilot training need to be set high to ensure that those on the ground and other users of the airspace are not put in jeopardy."

Also, there is no equivalent of a cockpit voice recorder at a pilot console, the board said, and the pilot's communication with air traffic controllers and others was not recorded.

The NTSB has recommended the FAA require all conversations, including telephone conversations, between pilots of unmanned aircraft and others be recorded and retained.

Other recommendations, sent to the FAA and Customs and Border Protection, include:

• Requiring all unmanned aircraft operations to report incidents of equipment malfunctions that affect safety to the FAA , and require analysis of the data.

• Requiring pilots be trained on the expected performance and flight path of an unmanned aircraft any time communication with the aircraft is lost.

• Identifying and correcting the causes of the lockups in the pilot's control console.

• Requiring that a backup pilot or another person who can provide an equivalent level of safety as a backup pilot be readily available during the operation of a UAV system.

Board members also voted to convene a two- to three-day public forum on the safety of UAV operations and investigative procedures. E-mail to a friend

@highlight

Agency issues 22 safety recommendations for unmanned aircraft

@highlight

NTSB: The pilot is still the pilot, whether he is at a remote console or on board

@highlight

Agency: Probable cause of 2006 drone crash was pilot error