(CNN) -- An intense typhoon has carved across the southern Philippines, destroying buildings, setting off floods and landslides and killing at least 95 people, authorities said Wednesday.

Typhoon Bopha struck the large southern island of Mindanao, which is rarely in the direct path of tropical cyclones, fueling fears that it could be as devastating as a storm that killed more than 1,200 people there almost a year ago.

Bopha, the most powerful typhoon to hit Mindanao in decades, had top winds of 175 kph (110 mph) as it came ashore over the city of Baganga early Tuesday. Millions of people, many of whom live in remote and unprepared communities, were in the storm's path, Philippine authorities and aid groups said.

Watch: iReporter captures Typhoon aftermath in southern Philippines

"It really is getting to be a very, very big typhoon and it's just starting," Richard Gordon, the head of the Philippine Red Cross, said Tuesday.

Trees have been uprooted and fragile houses blown away on Mindanao, Gordon said, adding that the corrugated iron roofs of some buildings were being carried through the air by the wind like "flying machetes."

At least 95 people have been killed so far as a result of the storm, the National Disaster Risk Reduction and Management Council said Wednesday.

The typhoon has affected more than 213,000 people, demolished houses and stranded people in two Mindanao regions and parts of the Visayas region, according to the disaster agency. More than 179,000 people are in evacuation centers, it said.

A landslide in eastern Mindanao blocked a national highway, the news agency reported, leavening hundreds of people in buses, vans and cars stuck on the road.

iReport: Plight of typhoon evacuees

Maintenance workers were using heavy equipment to clear the mud and rocks, said Dennis Flores, a spokesperson for the Department of Public Works and Highways cited by the news agency.

The tightly packed but fierce typhoon churned west northwest across the island, weakening slightly as it went, the Philippine Atmospheric, Geophysical and Astronomical Services Administration said.

By Wednesday morning, the center of the storm was approaching the outlying western island of Palawan. But it continued to soak a wide area with heavy rain, raising the risk of mudslides and flash floods elsewhere.

The storm, dubbed "Pablo" in the Philippines, had blown up into a super typhoon at one point Monday as it moved over the ocean, with sustained winds greater than 240 kph -- the equivalent of a Category 5 hurricane in the Atlantic Ocean, the Joint Typhoon Warning Center reported.

That wind speed is two and a half times the top winds of Severe Tropical Storm Washi, known in the Philippines as Sendong, whose heavy rains swept away entire villages in the same region in December 2011.

"Many emotional people in (Mindanao) trying to prepare for Pablo with Sendong fresh in their minds," Carin van der Hor, the Philippines director for the children's charity Plan International, wrote Monday on Twitter.

But local authorities have done a good job of relocating people out of vulnerable areas and preparing evacuation centers, said Gordon of the Red Cross.

Washi, on the other hand, caught many residents off guard. It was a weaker storm, but its torrential rain triggered landslides and flash floods in the middle of the night, when many people were sleeping. More than 1,200 people died and hundreds of thousands were left homeless, prompting a humanitarian crisis.

Ahead of Bopha's arrival on Tuesday, government agencies relocated more than 50,000 people to evacuation centers. They also moved millions of dollars worth of relief supplies into position for quick delivery to storm-hit regions and put emergency crews, the military and hospitals on standby.

School classes were suspended in many cities, and dozens of flights were canceled, according to the national disaster agency. Nearly 5,000 travelers were left stranded at ports across the country as of Wednesday because of disruption to ferry services.

Palau, a tiny island nation roughly 1,000 kilometers (600 miles) east of Mindanao, had a close shave with Bopha earlier in the week as the typhoon churned past, catching some outlying parts of the archipelago.

"It was headed right toward Palau," said Derek Williams, a meteorologist for the U.S. National Weather Service in Guam. But at the last minute, "it just turned to the west and fortunately went south of them," he said.

"I really think they escaped the brunt of the storm," Williams said in an interview with the Australian Broadcasting Corporation, noting that Palau doesn't usually get hit by strong typhoons.

Bopha nonetheless brought down a lot of trees and caused widespread power outages in Palau, according to Williams.

"The fast movement of the system really prevented a lot of flooding," he said. "I think probably only a few inches of rain fell, so that's certainly good news, because Palau itself is susceptible to mudslides."

CNN's Sarita Harilela and Elizabeth Joseph, Michael Pearson and Neda Farshbaf contributed to this report.

@highlight

NEW: The death toll from the storm is now 95, a government agency says

@highlight

The storm has churned across the southern Philippine island of Mindanao

@highlight

It has set off a landslide and blown away fragile houses, officials say

@highlight

The typhoon comes almost a year after a storm killed more than 1,200 people on Mindanao