What would you do if you went to the library in search of "The Adventures of Captain Underpants" for your child, or to re-read Toni Morrison's Pulitzer Prize-winning novel "Beloved" only to find that the book had been pulled from the shelves because another patron objected to its content?

It happens in the United States more often than many realize. At least 464 formal complaints were filed in 2012 seeking to remove books from libraries or schools, according to the American Library Association, a sponsor of Banned Books Week, which runs September 22-28. Its mission is to celebrate the freedom to read and highlight the pitfalls of censorship.

Modern children's books help families explore diversity

The annual event started in 1982, the same year the Supreme Court ruled that students' First Amendment rights were violated when Kurt Vonnegut's "Slaughterhouse-Five" and eight other books were removed from school libraries. Despite the legal precedent, schools and libraries still receive formal challenges to remove books from library shelves or nix them from reading lists to protect children from material some see as inappropriate.

Just this month, a North Carolina school board voted to ban Ralph Ellison's "Invisible Man" based on complaints from the parent of an 11th-grader. The board is reportedly scheduled to reconsider its decision.

The targets of challenges have changed over the years, but the reasons remain fairly constant, said Deborah Caldwell-Stone, the ALA's deputy director of the Office for Intellectual Freedom.

"Sexually explicit content and offensive language continue to be the main reasons," she said.

The Office for Intellectual Freedom compiles lists of attempts to ban books in libraries and schools based on media reports and reports filed directly with the office, which means it documents only the complaints brought to its attention. For each challenge recorded, the ALA estimates there are four to five more that go unreported.

For similar reasons it's also hard to pin down exactly how many challenges succeed. A book might be pulled without the public's knowledge, or a ban might be overturned when appealed by teachers, parents and students.

Books from Dav Pilkey's "Captain Underpants" series, which chronicles the adventures of two fourth-grade pranksters, were the most frequently challenged books in 2012, along with acclaimed bestsellers "Beloved," by Toni Morrison, "The Kite Runner" by Khaled Hosseini and "Looking for Alaska" by John Green.

'Bluebird': A boy, a bird and bullies

Most of the titles were making repeat appearances at the top of the list, owing to what Caldwell-Stone calls the"viral" nature of book challenges: A book is the target of a ban in one community, then someone from another community hears about it and makes his or her own challenge.

So what do authors do when their books are targeted? We spoke to two authors whose books made the most-challenged list in 2012.

A children's book 'we could stand behind'

Justin Richardson is the co-author of "And Tango Makes Three," a children's book about Roy and Silo, a pair of male penguins who successfully hatched an egg at New York's Central Park Zoo. "And Tango Makes Three" was the fifth most frequently challenged book in 2012, the ALA reported.

On whether Richardson thought "And Tango Makes Three" would be controversial:

"We did anticipate that there would be objections from some corners to our book. We never anticipated that we would become [one of] the most challenged book five years in a row."

On how it changed the way they wrote the book:

"It encouraged us to write a book that we could stand behind. We chose our words very carefully in writing this book, and in part we chose them carefully because we knew there was a possibility that it would be challenged

"For example, there's no anthropomorphisation in the book, we never said Roy felt a certain way because we did not want to attribute anything to the penguins in the order of a human intention because that's something that could very easily be criticized, and fairly so, as reading our own agenda into the penguins' actions. That was one way the book was shaped in anticipation of criticism.

"At the same time, you don't write books for critics, you write it for people who will benefit from it and enjoy it. Ultimately there will be many more of those people than critics. We were writing for young children who had families like those in the book. We also felt it was important to have our facts straight because one of the points people defending the book observed is that this is actually a true story. We visited the penguins and interviewed zookeepers and vetted it with Central Park Zoo to make sure we weren't misstating the true events."

On how he and his co-author responded to attempts to ban the book:

"Every challenge is different. The first challenge that we heard of was the most disturbing, and that was because of the way it was handled.

"A librarian had received a challenge about the book, and her response was to take the book out of the fiction section and place it into the nonfiction section because that section was much less frequently browsed. Naturally, we were extremely displeased and wrote a letter of complaint to the newsletter of the American Library Association.

"Very shortly after that, or maybe as result of that event, librarians across the country and organizations who saw it as their charter to defend books got on the issue, and we were lucky to be championed by them, including the ALA, the Office for Intellectual Freedom, Pen American Center, and numerous local affiliates of the ACLU. When you know you have those organizations behind you and the United States Constitution in your corner, all of those challenges become less upsetting.

"We've dealt with them in a number of different ways, but our preference is to let organizations and folks on the ground in the community to do their work so there's a local solution to the challenge. It's far better than having two New York authors call up a town and say 'Hey you're violating the United States Constitution.' We'd rather have a group of parents go to a board meeting and work this out. However, when a librarian has worked particularly courageously we'll send an e-mail to support her.

"We've written school board members and let them know that there is a precedent and Supreme Court ruling on the subject. In each case where there's an open challenge, a school will go through the process where they appoint a committee or take it to the school board to investigate what the actions should be. You could look at them negatively and say there's a certain amount of reinventing the wheel because the legal precedent is quite clear. At the same time, allowing the school community to go through the process of figuring that out and debating it I think has an unquestionable value, and that's one reason we like to leave it to them."

On how it affected his views on censorship:

"It's strengthened my appreciation for the importance of protecting the freedom to read.

"I think we handle [public challenges] to books pretty well as a country. But I think there's a greater problem which is secret challenges to books and soft bans; when a school official objects to a book and checks it out and fails to return it, or when a school librarian reads news about a particular book and is afraid to order it for the library. That self-censorship is something that I don't believe we have an answer to."

A novel that 'needed to feel uncomfortable'

Jay Asher is the author of "Thirteen Reasons Why," a young adult novel about a teen who commits suicide and leaves behind audio recordings sharing 13 reasons she decided to end her life. "Thirteen Reasons Why" was the third most-challenged book in 2012, according to the ALA.

On whether Asher thought "Thirteen Reasons Why" would be controversial:

"I was writing a book about issues that make most people uncomfortable, including me. That alone, I knew, could make it controversial. But these are issues people do experience. To emotionally reach people, I had to write my story honestly. But I also wanted the book to be available to as many people as possible, so I did write a slightly less-graphic alternate versioan of one scene. I let my publisher decide which to publish, and they correctly chose the more intense scene because readers needed to feel uncomfortable there to understand what the character was going through."

On how he responded to attempts to ban the book:

"The times I've heard about challenges, there have been people in those communities defending my book. In one, there was a school board meeting to decide whether to remove my book from the library, and a parent read aloud one scene without context. It took a student at the school, stepping up to the microphone, to teach those adults about context. As a result, the book remained in the school. Other times, principals have concerns about my book being used in the classroom, and a teacher will contact me to see what I can do to help the principal make a decision. I send them e-mails from readers expressing what they gained from reading the book. I know why I wrote my book, and I know what readers are getting from it. I would have no problem attending a meeting if I thought it would help the decision makers be less afraid."

On how it affected his views on censorship:

"Having spoken to thousands of teens since my book came out, I even more firmly believe that books dealing with these issues need to be written as emotionally honest as possible. Not only is it appropriate, it's responsible. If people are dealing with it, we need to talk about it. Otherwise, we contribute to the main reason people don't reach out for help. I consistently hear readers say my book was the first time they felt understood, which is sad. I'm sure many people around them would understand. If my book proves that there are people who get what they're going through, I'm honored. The very day I found out 'Thirteen Reasons Why' was the third most-challenged book, I received an e-mail from a reader claiming my book kept her from committing suicide. I dare any censor to tell that girl it was inappropriate for her to read my book.

"If a parent feels their child shouldn't read a book, that's their prerogative."

@highlight

"The Kite Runner," "Beloved," "Looking for Alaska" among most frequently challenged

@highlight

American Library Association: At least 464 complaints to remove books filed in 2012

@highlight

Sexually explicit and offensive language most common reasons cited for challenges