(CNN) -- The Cannes Film festival, which kicked off Wednesday on the French Riviera, is an Olympics of cinema, where endurance matters as much as victory to the 30,000 industry insiders who attend each year.

The festival was conceived in the late 1930s as a reaction against Italian dictator Benito Mussolini promoting fascist-Italian and national-socialist German films at the Venice Film Festival. Its first edition, planned in September 1939, was delayed by war till 1946 but its ideals remained the same: to show films from all over the world without prejudice of any sort.

But today Cannes jostles in the crowded film industry schedules with other A-list events: Toronto (and Venice) act as Fall launchpads for the following year's awards season, while Sundance is at the vanguard of independent cinema and new talent. Meanwhile the Oscars are considered by many as the supreme accolade of the movie business.

Cannes still regards itself as the grande dame of film events the world over -- but does it still matter?

The festival, which this year celebrates its 67th edition, stands firmly apart -- and, some would argue, above -- the rest of the crowd.

This comes in part from its original ambition, as put by the festival's first president, poet Jean Cocteau: "The Cannes Film Festival is an apolitical no man's land, a microcosm of what the world would be like if people could make direct contact with one another and speak the same language."

For Cannes is to cinema what the motto "liberte, egalite, fraternite" ("liberty, egality, fraternity") is to France: an aspiration, an ideal, an inclusive forum for all talents, old and new, coming from all over the world, and motivated by one common love: films. Without prejudices.

In its early years Cannes was nothing more than a social event where stars mingled on the red carpet. Everyone smiled for the camera and everyone went home happy as almost every film received some kind of an award.

Then, Cannes raised its game. First came the Palme d'Or, its top award, given in 1955 and rivaling the Oscars as the most prestigious prize in the film industry. In 1972, the festival declared its independence by setting up its own selection committee: until then, each country had chosen the films which would represent them at Cannes, as still happens with the Oscars' best foreign film category.

The selection of features became more discerning, the awards became fewer in number -- and success at the festival became ever more elusive.

But if the Cannes glamor of the 1950s and 1960s lingers still, the festival's reputation for passion and controversy has only increased. The entertainment industry is notorious for controlling its sometimes unruly talents, with PR agencies operating like war machines and publicity a matter of life and death at the box office.

In contrast Cannes is a unique place for unleashing imagination and wildness. The mix of glamor and high art, frivolity and seriousness combine to make Cannes a temple to cinema like no other.

For Cannes is where directors will throw tantrums and tell critics to go to hell in no uncertain terms; where the winner of the Palme d'Or can be booed, as happened to film-maker Maurice Pialat in 1987 when he collected the coveted prize for "Under the Sun;" and where a talent like Danish maverick Lars Von Trier can express sympathy at a press conference for Adolf Hitler, then apologize, then be kicked out of the festival by the organizers (he later withdrew his apology).

It is also an event which has always embraced the times. In 1968, while students in Paris were rioting and building barricades, the enfants terribles of the French New Wave -- including François Truffaut and Jean-Luc Godard -- canceled the awards ceremony and turned the festival into a giant marketplace.

In 2004, Michael Moore's "Fahrenheit 9/11" -- which criticized U.S. foreign policy -- became the first documentary to win the Palme d'Or from a festival jury which numbered more Americans than French.

For directors and actors, success at Cannes is the Nobel Prize that they secretly covet. And for the 2,500 or so film critics -- who for 12 days start watching their first film at 8am and their last one just after midnight -- it is the most frantic and rewarding time, when masterpieces are seen for the first time and talents speak freely.

Q. Can art really get any more expensive? A. 'We will see a billion dollar work'

Can any train ride match the Orient Express for glamor and sheer romance?

Scrap metal find turns out to be $33 million Faberge golden egg

@highlight

Film critic Agnes Poirier: The Cannes Film Festival is the Olympics of cinema

@highlight

It was created as a reaction against Italian dictator Mussolini promoting fascist-Italian films

@highlight

Poirier: At Cannes directors are free to throw tantrums and tell critics what they really think

@highlight

Today success at Cannes is the Nobel Prize directors and actors secretly covet, says Poirier