(CNN) -- With every passing day, the wait for the kidnapped Nigerian girls gets more agonizing.

Boko Haram seized the nearly 300 schoolgirls and vanished into a dense forest last month. Their abduction sparked a global movement as throngs took to the streets demanding their rescue.

Officials say 276 girls remain missing. Here's why their rescue is a risky, complicated effort.

It's been more than three weeks

The ticking clock could mean the girls are getting farther away.

Militants herded the girls out of bed on April 14 at a school in Chibok in northern Nigeria. A few escaped and shared harrowing tales of fleeing a nearby forest. At the time, relatives roaming through the forest searching for the girls said there were no signs of soldiers in the area considered a militant hideout.

"In a hostage situation, time is of the essence," said U.S. Navy Rear Adm. John Kirby. "We lost some time."

Missing girls likely separated

Kirby said the missing girls may have been broken up into smaller groups and taken out of the country.

Local residents say they've heard reports of cars filled with girls headed to neighboring Cameroon. The forest is near the Cameroon border, which is porous and doesn't require much to pass through. In some cases, a simple monetary bribe will get you waved into neighboring nations, in this case a list that includes Chad and Niger.

"The search must be in Niger, Cameroon and Chad to see if we can find information," said Gordon Brown, a former UK Prime Minister and the U.N.'s special envoy for global education.

Location and number of hostages are factors

The girls' abduction occurred in an area where the government doesn't have a firm grip. The school is about 600 miles from the capital of Abuja. And the large number of hostages means airstrikes may not be an option because they can kill captives.

A ground assault isn't a great option either -- not when it is done in unfamiliar terrain against entrenched, well-armed fighters.

Nigerian military isn't the most trustworthy

Hours after the girls went missing, the Nigerian military faced criticism for its handling of the kidnapping. It said it had rescued all but eight of the girls, a claim it later recanted after their parents said most remained missing. Ensuing attacks have shown that the security forces don't have the capability to protect civilians, which will make many think twice before providing intelligence.

It's also ill-equipped

Numerous attacks in recent years make it clear that Nigeria does not have the most sophisticated programs to battle terrorism. In addition, it's lacking in intelligence gathering, a crucial element in the search for the missing girls. This has prompted the United States, Britain, China and a host of other nations to step in to fill the gap. The U.S. offer to help includes the creation of a "coordination cell" to provide intelligence, investigations and hostage negotiation expertise, the U.S. State Department said.

Boko Haram beheads negotiators

While negotiations may be an option in some hostage crises, this case may not be so clear cut.

Rights groups have accused Nigeria of using heavy-handed tactics such as illegal searches, torture and extrajudicial killings to crack down on the militants.

As a result, it has eroded trust between the two sides, prompting Boko Haram leader Abubakar Shekau to say he "will not enter a truce with infidels," U.S. lawmakers said last year.

Boko Haram members who try to negotiate with the government get beheaded.

"Reports of beheadings seem to go up when there are talks of negotiation. It is plausible that many of these beheadings, which rose in frequency in early 2012, are purges of moderate members who have complained or attempted to negotiate," U.S. lawmakers said.

If there are negotiations going on, they have not yielded results so far.

Its members are always on the move

The militants don't sit still for long, making them even more elusive. Members hop from one location to another to avoid an intensified government crackdown. They leave their wives behind when they scamper into hideouts deep into forests, forcing the girls and women kidnapped to perform chores and sexual services.

Shekau is a cold, ruthless monster

The Boko Haram leader took credit this week for the Chibok kidnapping. "I abducted your girls," he taunted with a chilling smile. "There is a market for selling humans. Allah says I should sell. He commands me to sell."

He operates in the shadows, leaving his underlings to orchestrate his repulsive mandates. And they have been busy. Days after his video surfaced, details emerged of another abduction of eight girls between ages 12 and 15 on Sunday night in the northeast. And a grisly assault on a local village left hundreds of people dead.

The bounty on his head may not help much

Shekau has been on the U.S. radar since he came to power five years ago. The United States offered a reward of up to $7 million for information leading to his location. But that may not yield immediate results.

"African warlord Joseph Kony's had a bounty for years. Osama bin Laden was not given up because of the $25 million bounty. And who knows whether this will be the case," said Christiane Amanpour, CNN's chief international correspondent.

310 people killed in latest Boko Haram attack while hundreds of girls remain missing

Malala to CNN: Kidnapped Nigerian girls are 'my sisters'

Nigerian missing girls: Families sleep in the bushes, fearing more attacks

@highlight

Militants kidnapped the 276 girls last month at a school in Chibok

@highlight

In the past, Boko Haram leader has said he'll not negotiate with "infidels"

@highlight

The girls' abduction occurred in an area where the government doesn't have a firm grip