(CNN) -- When Joanne Branham lost her husband, Frank, to a brain tumor, she was devastated. But it wasn't until she visited her old neighbors in McCullom Lake, Illinois, that she began to question the cause of his death.

Back in the community where she and Frank had lived for almost 40 years, Branham learned two of her former neighbors also had brain tumors.

"It was like a light bulb went off," Branham recalls. "How can that many have cancer living right next door to each other?"

Since then, more brain cancer cases have turned up, 30 in all, among current and former residents of McCullom Lake, a community of about 1,000 residents in northern Illinois, not far from the Wisconsin state line.

Branham and others in McCullom Lake are now pointing the finger at a chemical plant a mile up the road in Ringwood, Illinois.

For decades, they say, the Rohm and Haas plant dumped, spilled and leaked thousands of pounds of vinyl chloride and other toxic chemicals, poisoning the water and air around McCullom Lake.

"I don't think there's been a bigger brain cancer cluster outside the workplace -- ever," says Aaron Freiwald, attorney for 31 McCullom Lake Village plaintiffs now suing Rohm and Haas. In addition to the brain cancer cases, there is one plaintiff alleging her liver damage resulted from environmental pollution. The company denies making anyone sick.

Branham's case is the first to go to trial, with jury selection set to begin Wednesday in Philadelphia, Pennsylvania.

'Frank didn't have a chance'

Frank Branham died in June 2004, a month after learning that he had a deadly glioblastoma brain tumor. He was 63.

"Frank didn't have a chance," Joanne Branham says. "What they did was very wrong. They played with people's lives. I lost a husband, who was my best friend. The kids lost their father. The grandkids lost their grandfather," she added, barely able to get her words out through her tears.

Rohm and Haas says even though the cancer cases are close together, they are random.

"There is no cluster in McCullom Lake Village," says Kevin Van Wart, attorney for Rohm and Haas. "If you draw circles around selected cases, you can always draw the conclusion of something unusual."

Brain and central nervous system cancers strike 7.6 per 100,000 people in the United States, according to the National Cancer Institute. An estimated 22,020 men and women in the United States will get diagnosed with these cancers this year.

A month after the lawsuit was filed in 2006, the McHenry County Health Department in Illinois concluded there was no cluster of cancer cases in McCullom Lake. The U.S. Centers for Disease Control and Prevention did its own analysis and agreed.

Originally a dairy

The Rohm and Haas site produces polymers, adhesives, resins and sealants on a 120-acre site originally built as a dairy operation in 1916 and converted to chemical manufacturing in the early 1940s.

The facility has disposed its waste off site since 1978, but vinyl chloride, trichloroethylene, or TCE, and vinylidene chloride have all been found in nearby groundwater, according to the CDC.

The U.S. Department of Health and Human Services calls vinyl chloride "a known carcinogen." Long-term exposure to vinyl chloride on the job increases workers' risk of cancers of the liver, brain, lung and blood, according to the U.S. Agency for Toxic Substances and Disease Registry.

Breathing or drinking high levels of TCE can damage the central nervous system, liver and lungs and also cause an abnormal heartbeat, according to the agency. Breathing high levels of vinylidene chloride can affect the central nervous system, liver and kidneys, the agency says.

But Van Wart, the Rohm and Haas attorney, says the plume of contaminated groundwater is moving away from McCullom Lake and does not affect any homes or residential wells.

"Nobody disputes that it exists. But that is not going anywhere near McCullom Lake Village," Van Wart says. "No agency has ever concluded any resident was exposed to dangerous chemicals."

To put residents' fears at ease, Rohm and Haas has offered to pay up to $50,000 to test residents' wells. There are about 400 homes with private wells in the village.

The company has also offered to pay $5,000 to monitor the air for vinyl chloride and $50,000 for an independent analysis of theories of possible vinyl chloride exposure.

'A beautiful place to live'

When Joanne and Frank Branham moved to McCullom Lake in August 1960, they saw a picturesque community with other young families.

"It was a beautiful place to live. We lived by a beach. We had such close neighbors. The whole subdivision was like a family," says Branham, who raised five children there.

Frank Branham worked as general manager at a die cast plant in nearby Woodstock, Illinois.

On Sundays, the husbands would go down to the beach to play baseball. The wives would pack picnic baskets and watch.

Looking back, Joanne Branham says there were warning signs. In the summer, a terrible odor would sometimes force them to close their windows, she says.

"We didn't put two and two together until we found there were so many other neighbors with cancers," Branham says.

After her husband died, Joanne Branham's children bought her a plane ticket to return to Illinois, from Phoenix, Arizona, where she and her husband had retired.

Visiting old friends, she learned former next-door neighbor Bryan Freund also has a brain tumor, an oligodendroglioma. So does Kurt Weisenberger, who lives on the other side of the Freunds, two doors down from the Branhams' former home.

Freund, 49, a truck driver and jewelry store owner, says he never gave the Rohm and Haas plant a second thought until Joanne Branham came back to town.

"It was really just a place I drove past," says Freund, who now suffers from headaches, seizures and memory loss.

"I had dreams and aspirations," he adds. "Now when I look to the future it's really sort of a blank. I can't really expect to have one. That's a daily struggle."

Weisenberger, 69, a retired general contractor, says he hopes the lawsuit will bring out the truth of what happened to the people of McCullom Lake.

"It was a cover-up from the get-go as far as I'm concerned," says Weisenberger, who also suffers from seizures.

Joanne Branham says she hopes the lawsuit, which asks for unspecified compensatory and punitive compensation, will make companies think twice.

"What they did was wrong, and if this will save one person's life and they won't do this again, it will be worth it," she says.

The trial is expected to last 10 to 12 weeks.

@highlight

McCullom Lake, a small community in Illinois, has seen 30 brain cancer cases

@highlight

Some residents point finger at Rohm and Haas plant, which denies making anyone sick

@highlight

No agency has concluded any resident was exposed to dangerous chemicals

@highlight

Joanne Branham's case is the first to go to trial, with jury selection set to begin this week