United Nations (CNN) -- Syria's ambassador to the United Nations rejected Tuesday a call for an independent investigation into the killings of hundreds of demonstrators by government forces.

"Syria has a government, has a state," Bashar Jaafari told reporters at the world body. "We can undertake any investigation by our own selves, with full transparency. We have nothing to hide. We regret what is going on, but you should also acknowledge that this unrest and riots, in some of their aspects, have hidden agendas."

Jaafari called President Bashar al-Assad a reformer who has been working to effect change by issuing decrees that, among other things, lifted the decades-old emergency law and allowed peaceful demonstrations.

"If you demonstrate peacefully, you are protected by the government," he said. "If you resort to violence, then any government in the world -- in order to maintain peace and order -- would utilize its forces to stop violence and vandalism and aggression against buildings as well as against innocent civilians."

Syria's own National Investigation Commission has already undertaken an investigation into the violence against civilians and the military, and will issue its findings at a later date, he said. "So we are doing our homework; we don't need help from anybody."

He urged the Security Council to rely on official reports, not on media reports.

Jaafari's remarks came on the same day that the Syrian Human Rights Information Link reported that more than 400 people have died since March 18 in incidents linked to the government crackdown on protesters seeking reform.

While the vast majority are apparently civilians, the group's list describes a few of the dead as members of the army or police.

The United Nations has said it has information that 76 people were killed last week on Friday alone, apparently during peaceful marches, and that the death toll from that day could be much higher.

CNN cannot independently confirm death tolls and witness accounts of the bloody crackdown.  The Syrian government has not granted CNN access to the country.

U.S. Ambassador to the United Nations Susan Rice called the violence wielded by the government of Syria "abhorrent and deplorable," adding, "The outrageous use of violence to quell protests must come to an end, and now."

The Syrian government's repeal of its emergency law and allowance for peaceful demonstrations "were clearly not serious, given the continued violent repression against protesters," she said.

The United States is pursuing "a range of possible policy options," Rice said, including the imposition of additional sanctions. "The Syrian people's call for freedom of expression, association, peaceful assembly and the ability to choose their leaders freely must be heard," she said.

Rice accused al-Assad of "disingenuously blaming outsiders while, at the same time, seeking Iranian assistance in repressing Syria's citizens through the same brutal tactics that have been used by the Iranian regime."

U.N. Secretary-General Ban Ki-moon, who called for the investigation, briefed the Security Council on the situation Tuesday. "I condemn utterly the continuing violence against the peaceful demonstrators," Ban told reporters. "Most particularly, the use of tanks and live fire."

Ban said the Security Council would be briefed more fully on the matter on Wednesday, when it meets in private session.

He added that he had discussed the matter "at least" twice with al-Assad. "It goes without saying that Syrian authorities have an obligation to protect civilians and respect international human rights," Ban told reporters. "That includes the right to free expression and peaceful assembly."

Human Rights Watch's U.N. director, Philippe Bolopion, called on the Security Council to "condemn abuses by the Syrian government, support an international investigation and sanction those ordering the shooting and torture of protesters."

He called Syria's campaign for a seat on the Human Rights Council "a slap in the face to the victims of the current crackdown, and an embarrassment to those who have supported its candidacy."

In state-run media, al-Assad's regime has described the protesters as "armed criminal groups" and said its soldiers and police were working to stop them.  The government has discussed the burials of "martyrs" killed by those groups.

Anti-government protests or marches occurred Tuesday in Banyas, al-Tal, Amuoda and Zabwani.

After witnesses told CNN Monday about thousands of troops and police entering the city of Daraa and firing indiscriminately, killing people in the streets, the Syrian government insisted that the citizens of Daraa had asked for the troops to stop "terrorist" groups.

At least 35 tanks were in or around the city, said two witnesses who did not want to divulge their names for security reasons in an interview carried out by satellite phone. Water, electricity, telephone and Internet service were not working, they said.

Sniper fire has sent a wave of fear through the community and led many to stay inside, leading to a shortage of footstuffs in households, they said.

They cited that same fear as the reason that a number of the bodies of sniper victims remained uncollected from the streets where they fell.

A doctor who told CNN that 21 people died Monday in the city said army forces had surrounded the hospital, where there was a shortage of medicine. Patients were being treated instead at undisclosed locations. He said he was using his car battery to charge his satellite phone.

The doctor said tanks fired Monday into residential areas. Army and security personnel were looting stores in a commercial district, he said.

On Tuesday, a witness in the western Syrian city of Jableh said security forces had set up checkpoints and were inspecting identification papers and arresting people.  Businesses and schools in Jableh were closed Tuesday, the witness said.

The witness said the bodies of 13 people who died Sunday were discreetly taken to their resting places because people were afraid to walk in the town. Another human rights group, the Syrian Observatory for Human Rights, has said at least 13 civilians were shot dead Sunday in Jableh by security forces.

In the Damascus suburb of Douma, one witness compared the city to a "prison." Witnesses said security forces were arresting people, including three hospital doctors.

A witness in Douma said Tuesday that security forces had set up sandbag barricades around and inside the city. Checkpoints around the city were being manned with heavy machine guns, while those inside the city are manned by lighter weapons, the witness said. He said shops were closed and parents were afraid to send their children to school.

A Douma resident who asked to be referred to as Rawwad said that, over the past four days, security personnel had been arresting people they recognized as members of the protest movement.

French President Nicolas Sarkozy said Tuesday "the situation in Syria is unacceptable."  He added that -- as has been the case for the Ivory Coast and Libya --  "nothing will happen without a resolution from the Security Council."

British Foreign Secretary William Hague condemned "any violence and killings perpetuated by Syrian security forces."

"This violent repression must stop," Hague said in a statement. "President Assad should order his authorities to show restraint and to respond to the legitimate demands of his people with immediate and genuine reform, not with brutal repression."

Fawaz Gerges, an analyst on the region with the London School of Economics, said Tuesday the response of the international community "is very important in terms of the legitimacy, in terms of the isolation of the Syrian regime. But the reality is events in Syria will determine what will happen and the end results. Syrians will determine whether the regime stays or goes.

"Obviously the regime has decided to crush the protesters, to silence the opposition," Gerges added.  Al-Assad is "using now massive force in order to break the will of the protesters. But even if he wins the first round, the situation is far from over ... The reality is President Assad will emerge as a much weakened president after his particular confrontation because he has lost much legitimacy and authority inside Syria."

The Syrian protests -- part of a wave of uprisings in the Arab world -- began in Daraa last month following a crackdown by security forces on peaceful demonstrators protesting the arrests of youths who scribbled anti-government graffiti. Protesters have asked for freedom and regime reform, and public discontent with al-Assad's government has mounted.

Activists also want the easing of the ruling Baath Party's power and a law that would permit the establishment of independent political parties.

A new Treasury Department executive order targeting senior officials accused of human rights abuses would involve an asset freeze and travel ban, as well as prohibiting them from doing business in the United States.

"The Syrian people's call for freedom of expression, association, peaceful assembly and the ability to freely choose their leaders must be heard," Tommy Vietor, a spokesman for the U.S. National Security Council, said in a statement Monday.

The U.S. State Department also issued a statement Monday urging U.S. citizens to defer any travel to Syria.

"U.S. citizens in Syria are advised to depart while commercial transportation is readily available," the statement said. The department also ordered all eligible family members of U.S. government employees as well as certain nonemergency personnel to leave Syria.

CNN's Richard Roth, Nata Husseini, Amir Ahmed, Arwa Damon, Rima Maktabi, Elise Labott, Amir Ahmed and Raja Razek contributed to this report.

@highlight

NEW: At least 35 tanks in and around Daraa, witnesses say

@highlight

"We can undertake an investigation by our own selves," Jaafari says

@highlight

Rights group lists names of more than 400 people killed

@highlight

Sarkozy says no action will be taken without a U.N. Security Council resolution