Dublin (CNN)We might still not have jetpacks and flying cars, but another dangling promise of the technology world now seems one step closer. Virtual reality (VR) is a serious business, as confirmed by Facebook's acquisition of Oculus VR for $2 billion earlier this year. Now, the makers of the highly anticipated Oculus device seem on track to deliver a consumer model, which they say is "many months," but not years, away.

"This is the beginning of consumer virtual reality," said Brendan Iribe, CEO of Oculus VR, referring to the company's latest prototype, called "Crescent Bay."

Faster, lighter and equipped with headphones, the prototype offers the best performance to date, says Iribe, and a convincing peek into the world of virtual reality. "It has very low latency, so when you're moving around it's not catching up with you, it's all happening instantaneously," Iribe told CNN, from the Web Summit technology conference, in Dublin.

"Suddenly you get to that threshold where everything comes together, a switch in your brain flips, and you're comfortable, you feel like you're there. We call it the power of presence."

Brave new world

Describing what VR feels like is a bit like explaining romance to someone who's never been in love. It is a difficult task.

Going from traditional computer graphics and interactive environments -- such as those found in today's most advanced video games -- to the virtual reality offered by Oculus' latest technology is like stepping into a brave new world, where the senses are completely invested rather than simply engaged.

There is a feeling of suspension and inevitability. The closest equivalent that one might have experienced before is something called "the broken escalator phenomenon." When you approach a broken escalator, despite being fully aware that it's not moving, your body still relays an odd sensation of imbalance as your stride, involuntarily, tries to conform to your experience of a moving one. Scientists have found this to be due to a "dissociation between knowledge and action" in the brain, and the process is in full swing when using the Oculus.

You know full well that it is just a simulation, but when you are placed on top of a skyscraper, high up in the evening canopy of a rainy metropolis, your steps become uncertain and you seek the safety of a railing to hide behind. Vertigo can easily occur. A pet T-Rex viewed through the Oculus is at the same time endearing and terrifying, and a curious alien gives you the impression that you might become best friends in a matter of minutes. The short circuit in your senses makes the experience, well, technically real.

It is a remarkable sensation, and probably the closest thing to lucid dreaming this side of falling asleep.

"The next step is to bring other people in there with you. Your friends will be there, and you'll believe they're there," Iribe told CNN.

The ambition is to revolutionize the way we communicate. "Imagine a pair of virtual reality sunglasses in the future, and everybody in the world is inside," said Iribe. "All you have to do is put them on and you can be face to face with anyone. Think about the power and the impact that the telephone has had. The potential for this new platform is that it may be the biggest future platform of all time, maybe the final platform, because once you have virtual vision, what's next? It's hard to imagine what's next."

This is where Facebook comes in. "If you're gonna put on these glasses and talk to your friends, you wanna trust your friend network, you wanna make sure that those are really your friends that you're talking to, and Facebook provides that kind of platform," explained Iribe.

Since the acquisition, the company has gone from about 50 employees earlier this year to about 200, heading toward 250. "Facebook has supercharged our recruiting, and these are some of the very best and brightest people in the industry that are joining us," said Iribe.

Killer app

That still doesn't mean that every detail is set in stone. The device still has no input controls, and it's unclear whether they will come in the form of a traditional gamepad or some other type of interface. But most importantly, the killer app for VR is anyone's guess. "We're just learning what VR is," said Iribe, and that's why the company is welcoming competition.

"It is still anybody's game," he said. "We're excited for everybody to get involved, and we're hoping that the likes of Google and Microsoft and maybe Apple will one day get involved. They'll probably have to, to stay relevant in the next generation of computing."

Other possible applications include virtual tourism, real-time cinema experiences, immersive gaming and education. "The Smithsonian Institution has more than 130 million items. They could be scanned and put into a virtual reality environment and you would believe they were in front of you," he said.

Still, Iribe hopes that competitors will not at all costs try to beat Oculus to the market, putting out devices with poor performance that might alienate customers and "poison the well."

VR technology already suffered a demise back in 1995, in what Oculus executives define as "the nuclear winter of virtual reality."

Motion sickness and disorientation were extreme due to the technical constraints of the time. But even with today's advanced hardware, issues remain. "We have two perceptual psychologists on board," Iribe said, "and we expect that group to grow. All the effects you can get in real life you can now get in virtual reality, and that's really exciting but also something you want to be careful with, to make sure that it's not too intense an experience.

"We want it to be something that you can enjoy for a long period of time, without too much vertigo, or too much claustrophobia. We need a new set of experiences that touch on the emotional side, but not too much."

Interestingly, Iribe wants the Oculus Rift to be a beautiful object; even though the user does not see it, other people do, he says: "The more beautiful the product is, the more likely you are to buy it. And the more elegant it gets, the more the form factor shrinks, the sooner we get to virtual reality sunglasses."

The idea that one day the headset will shrink down to the size of sunglasses, much like those used today to watch 3-D TV, carries an impact that goes beyond aesthetics. "Computers and smartphones do not offer a very social experience," said Iribe. "We have what I call 'cellphone zombies,' people who are staring down at their phone for a big part of their day. Imagine when it will be just sunglasses: we'll get back to what we've been doing for so many centuries, talking to each other naturally, face to face, not through some text interface."

The sunglasses may still be many years away, though, and a consumer model will come in a shape similar to that of the current prototype, with no firm release date yet. "You either get it right now, or you get it right. We want to err on the side of right."

@highlight

Oculus VR has created a virtual reality technology, currently at the prototype stage

@highlight

Facebook bought the company in March for over $2 billion

@highlight

Brendan Iribe, Oculus VR's CEO, says a consumer version is still "many months" away

@highlight

The technology could transform the way we communicate, say its creators