(CNN)The attack on Mark Lippert, the U.S. ambassador to South Korea, allegedly by a knife-wielding Korean progressive activist at a breakfast meeting in Seoul, was a rare and shocking reminder of the ongoing conflict that continues to divide the Korean Peninsula.

Despite the ever-present backdrop of inter-Korean tensions, security in downtown Seoul is typically quite relaxed. But on Thursday morning local time, the alleged assailant, who has been tied to Korean nationalist and anti-U.S. protests, reportedly shouted his opposition to annual U.S.-South Korean joint military exercises and called for Korean reunification as he cut the ambassador on the face and hand with a 10-inch knife.

This breakfast meeting with Lippert was taking place at a building directly across the street from the U.S. Embassy in Seoul.  And the scene was probably not too different from a similar breakfast meeting I attended with the ambassador at a downtown hotel only a week before the attack. Lippert moved freely without a security detail or security screenings at the entrance to the venue, and was accompanied by only one or two embassy staff.  Indeed, even since 9/11, it is relatively easy to enter most large buildings in downtown Seoul, and security procedures have been generally perfunctory.

In part this is because direct confrontations between South Korean citizens and U.S. government representatives in South Korea have been rare, and violent political attacks are unusual. True, there have been periodic group protests against the U.S. military presence in South Korea or against U.S. policy. But these protests have generally been conducted peacefully, a far cry from the environment of the 1980s, when pro-democracy protesters against a then-authoritarian South Korean government attacked and burned U.S. government facilities.

Yet although downtown Seoul has been relatively safe and public security has often been lax, violent attacks on public figures in South Korea are in fact not unprecedented. The attack on Lippert brings to mind a May 2006 attack by a knife-wielding assailant on Park Geun-hye, South Korea's current President, while she was campaigning in local elections in Daejeon. (Her calm demeanor despite receiving a facial laceration contributed to her reputation as a politician and future President who is cool in the midst of a crisis.)

The attack on Park wasn't the only time the dangers inherent in South Korea's lax security environment  have been exposed: Back in 2008, a lone arsonist burned to the ground Seoul's unguarded Namdaemun, or South Gate, a South Korean cultural treasure.

And of course, there is the backdrop of the ongoing inter-Korean confrontation, which plays out within Korean democracy in the form of a bitter confrontation between progressive and conservative factions.  There is speculation that some members of South Korea's progressive movement have ties with North Korea, and some of them have allegedly been somewhat willing to foment violence to stir up conflict within South Korean society. Most recently, some members of South Korea's left-leaning United Progressive Party, which had won seats in South Korea's National Assembly, were disbarred and convicted of plotting a violent insurrection, leading to the dissolution of the party itself. And while this hard-core group represents a fringe element within South Korean society, it still remains active in part due to North Korean ideological and financial support.

All this said, the overwhelming initial Korean public response to the attack on Lippert has been one of outrage, condemnation and sympathy. Indeed, far from revealing gaps in the U.S.-South Korea alliance or fomenting discord over whether joint military exercises should move forward, the incident is likely to strengthen South Korean feelings of support for the alliance with the United States.

Still, the incident also serves as a reminder that even in the most seemingly safe and pro-American environments around the world, there is a risk that some zealous critics of U.S. policy may resort to violence against official U.S. representatives overseas. And that's especially so in regions such as the Korean Peninsula, where longstanding tensions still cast a shadow over security considerations.

@highlight

Mark Lippert, U.S. ambassador to South Korea, was attacked in Seoul

@highlight

Scott Snyder: Attacks on public figures in South Korea not unprecedented