(CNN) -- As saber rattling grows over the Syrian president's alleged use of chemical weapons against his own people, Bashar al-Assad's once high-profile wife, Asma, has kept a low profile.

"She's just hunkered down in Damascus," said Andrew Tabler, a senior fellow with the Washington Institute for Near East Policy and author of "In the Lion's Den: An Eyewitness Account of Washington's Battle with Syria." "She's standing by her man."

That's where she can be seen in photographs of the al-Assads posted this week on Instagram.

No images of bloody battle fields mar the view of the president caught in the middle of the civil war. Instead, photo after photo of the couple show a picture of caring. In one, the first lady -- who majored in computer science and French literature at King's College London -- wipes away a boy's tear. In another, she is listening intently to a group of women.

The photos appeared after the president announced this month that he was adding Instagram to his social media blitz. He also has his own Facebook page and a YouTube channel.

A brutal war? Not to hear al-Assad's Instagram tell it

And, judging from the comments, he has fans in Syria, Russia and Turkey.

"God bless you," "We love you," and "We want you to win this war" are common comments posted on the images.

But not all the remarks are positive.

"This is not the real Syria," one writer posts. "Show as the actual Syria, please."

The only reference to the war that has killed more than 100,000 Syrians, according to the United Nations, comes in captions beneath photos of the president shaking hands with soldiers "protecting civilians" and "regaining security and stability" in Darraya.

The rest of August, according to the account, has been packed with diplomatic functions, awards ceremonies and Asma tossing salad, stirring pots and filling bowls as Muslims broke fast during the holy month of Ramadan.

Some of the president's almost 34,000 Instagram followers seem to sense spin in the postings, with one asking of the fashion-conscious first lady, "So she managed to find time to stop shopping for shoes?" and another demanding photos of her Christian Louboutins, the brand of French shoes that can command $1,000 a pair.

Almost as common as the comments asserting, "What a load of BS this account is" are followers offering warm wishes of "God bless you," "We love you" and "We want you to win this war." Some supporters used a "#LongLiveBasharAlAssad" hashtag.

Western intervention looms in Syria

The president, who also has a Facebook page and a YouTube channel, began posting the photos July 24.

"They're pretty standard," Tabler said Wednesday in a telephone interview about the propaganda tools. "I don't think there are any surprises there."

But Tabler, who once lived in Syria and interacted with the first family, said he had little insight into her current doings. "We broke relations a long time ago," he said about the 38-year-old former investment banker with J.P. Morgan, who was born in Britain to a family of Syrian descent.

When Asma al-Akhras met Bashar al-Assad during the 1990s, he was studying in London to be an eye doctor. After the death of her beau's father, Syrian President Hafez Assad, in June 2000, the ophthalmologist became president and, that December, the couple married.

Since then, they have had at least three children. She was reported last spring to be pregnant with a fourth.

Before the outbreak of the civil war in Syria in March 2011, the first lady had projected an image of a reformer.

Local merchants routinely praised the secular "modern image" of al-Assad and his wife, particularly in contrast to Turkey's pious Sunni prime minister, Recep Tayyip Erdogan, whose wife wears an Islamic headscarf.

A 2011 Vogue magazine article described her as "a rose in the desert."

The story, which was published after the uprising had begun, was ridiculed for being tone-deaf to suffering in the country.

Though the European Union placed Asma al-Assad and members of her family under sanctions shortly after the article was published, the story presented her as she had worked to be perceived -- as an exceptionally modern woman in the Arab world, Tabler and other experts have said. Unlike other first ladies in the region, she seemed intent on speaking from a position of power and influence. Her focus, she said, was protecting children.

Afterward, the writer of the Vogue article told CNN she felt duped by the first lady when she learned that the Syrian president's forces had killed children. "I wondered how this English woman I had met who so believed in the youth of Syria could stand by and not do anything," said Joan Juliet Buck. "I fell for the line this woman fed me."

Throughout her years as first lady, Asma al-Assad has focused on children. In a 2009 CNN interview, she spoke about the Palestinian-Israeli conflict, saying that she would not tolerate an oppressive and violent regime. She spoke at length about how it broke her heart that children on either side would be caught in the crossfire.

That led many observers to expect her to condemn the attacks on civilians, many of them children. But no such response has emerged.

Getting to know Syria's first family

In February 2012, an article published in The Times of London said Asma al-Assad appeared to support her husband, while also seeking dialogue and comfort for the bereaved in the country.

According to an e-mail sent through an intermediary from Asma al-Assad's office, "The president is the president of Syria, not a faction of Syrians, and the first lady supports him in that role," The Times reported.

Meanwhile, the little that has emerged about her life has contrasted sharply with the brutality of the civil war that has engulfed the country: Leaked e-mails between the president and the first lady showed that she was shopping online for jewelry, art and furniture.

On the day of a massive anti-Assad rally in Hama, Asma al-Assad e-mailed a London art dealer about buying tens of thousands of dollars' worth of art.

Analysis: For U.S., Syria is truly a problem from hell

CNN's Eliott McLaughlin and Ashley Fantz contributed to this report

@highlight

"She's just hunkered down in Damascus," says Andrew Tabler, expert on Syria

@highlight

Happy images on Instagram account contrast with harsh reality on the ground

@highlight

Asma al-Assad is seen at diplomatic functions, awards ceremonies and stirring pots