(CNN) -- Google, Yahoo, LinkedIn and Facebook have all released their workforce diversity reports in the past few weeks. These reports have sparked much hand-wringing about the low number of African-Americans and Latinos who are working in Silicon Valley tech companies. We expect to see a tide of more reports, illustrating a dismal situation needing attention.

But, too often, stunned commentators overlook a simple fact: This problem is fixable.

Tech companies need more workers, and African-American and Latino communities need more work. Silicon Valley has an insatiable demand for genius. Communities of color have an untapped supply of it. Putting aside any blaming or shaming, tech leaders and communities of color could greatly benefit by coming together -- to ensure that America stops wasting so much genius. Neither Silicon Valley nor low-opportunity communities can afford it anymore.

For instance: 70% of "Googlers" are men, 30% women; 61% are white and 30% are Asian. Blacks and Hispanics? Only 2% and 3%, respectively. Google's May 2014 report could best be summed up with the company's own words: "We're not where we want to be."

These reports have their place. But let us first keep in mind: As important as transparency is, simply releasing these numbers won't solve the problem. In fact, Intel, one of the world's largest tech companies, has been openly sharing its diversity stats for the past decade -- and should be applauded for doing so. And yet the company still struggles with hiring minority talent.

Only one thing will make a difference: a job-training pipeline specifically designed to identify, recruit and train talented people from nontraditional backgrounds and low-opportunity communities.

Black Girls CODE hosts its first hackathon

Imagine, if you will, a promising black or Latino child, sitting behind a public school desk in East Oakland. That youth is seated just half an hour's drive from Silicon Valley. But it would take something like a miracle for that child to ever find her way into a coding education program, let alone an internship or job at the world's most famous tech companies, right down the road.

We need to fix this -- and we can. We won't have to start from scratch. Many grass-roots educational organizations are already working to solve this problem. They are inventing and pioneering powerful new models to bring coding education to new constituencies.

Unfortunately, none has reached the necessary scale.

America desperately needs an efficient solution for diversifying talent in the tech sector. If existing programs could work together in smart ways, with the best ones getting support to scale up dramatically, we could create a process that would pull extraordinary talent out of unlikely places, like Oakland, or East Los Angeles, or a Native American reservation, or, for that matter, Appalachia.

One effort to create those synergies and build that pipeline is called #YesWeCode, an initiative I helped start. Our goal is to help grass-roots groups train 100,000 low-opportunity youth to become high-level computer coders.

Here is how we're doing it:

Exposure: First, #YesWeCode, with the help of Facebook, is creating an online platform to unite more than 70 tech-training organizations, so young people can easily and conveniently connect to coding education programs.

Training: Second, we are investing in workforce development programs that target people who wouldn't normally have access or the opportunity to enter careers in tech. Our model includes "boot camps" and accelerated tech-training programs to equip young people with the skills they need to succeed in a high-level tech job.

Jobs: Most important, we are establishing an employers' council to ensure this pipeline results in gainful employment. This council is also building the core movement to open the doors to invite more low-opportunity talent into this pipeline. Top executives at companies like Apple and Facebook have already expressed interest in joining this council and making meaningful changes in their workforce.

Our nation is sitting on an untapped goldmine of talent: amazing young people who have the creativity and the courage, but need the skills.

For example, take Kalimah Priforce. He is a young Haitian-American man who grew up in group homes. After his younger brother was shot and killed behind their childhood elementary school, he made a lifelong commitment to transforming the lives of young people.

At 16 years old, he founded a tech company to serve low-income neighborhoods. Kalimah went on to co-found Qeyno Labs, a start-up that works to close the STEM (science, technology, engineering and mathematics) gap in education.

This past February, Kalimah created a pioneering "hackathon" in Oakland, California, to highlight black male achievement. Young black kids came together for three days to connect, create and code.

It was a group of hoodie-wearing, laptop-wielding future Mark Zuckerbergs -- who all look a bit like Trayvon Martin. It was, almost certainly, a sign of things to come.

Plenty of other low-opportunity young people are waiting to live out their own success story. That's a problem we can solve.

We just need to give them the opportunity. Imagine urban youth who are not just downloading apps, but uploading them.

And when they succeed, they will change a lot more than the workplace diversity numbers in Silicon Valley.

@highlight

Van Jones: Google, Yahoo, LinkedIn and Facebook reports show dismal diversity levels

@highlight

Jones: Tech companies need more workers; blacks and Latinos need more work.

@highlight

He says we need a job-training pipeline to identify, recruit and train people

@highlight

Jones: #YesWeCode will help grass-roots groups train 100,000 low-opportunity youth