New York (CNN) -- Thursday's opening of the National September 11 Memorial Museum in New York was 13 years in the making.

Museum officials consulted hundreds of people -- survivors, relatives of the victims, rescue workers, community leaders and others -- as they determined what should be included in the exhibits occupying the halls beneath the footprints of the Twin Towers.

While that effort has been applauded by many for being a fitting, emotional telling of one of the darkest days in U.S. history, it is not without its controversies. Among them is a seven-minute film entitled "The Rise of Al Qaeda."

The documentary tells the story of the growth of a worldwide terrorist organization. The film, which features video of al Qaeda training camps and previous attacks, plays next to a room where photos of the 9/11 attackers are on display.

The inclusion of that story is not the problem. But the use of words like "jihad" and "Islamist" in the narration prompted some Muslim Americans and others to call for edits.

"We feel that there is unfortunate messaging in referencing to Islam," said Zead Ramadan of the Council on American-Islamic Relations.

His wife was a first responder who aided in the search-and-rescue effort after the attacks. Ramadan fears that millions of visitors will walk away from the documentary believing that Islam is to blame for 9/11.

The Rev. Chloe Breyer, executive director of the Interfaith Center of New York, was part of a museum advisory council that was given an opportunity to view the documentary. "The film loosely and without sufficient definition or context describes the rise of al Qaeda and uses terms that are confusing and controversial," she said.

Breyer said the the film is the only museum display that appears to assign blame.

"It's the one thing in there that suggests who to blame," she said. "And to do that, it requires the kind of depth and nuance and sophistication that the rest of the museum has. It's a very delicate and difficult complex question, and they don't go anywhere near addressing it."

She said interfaith leaders unsuccessfully recommended a "contextual statement at the very beginning that says this video is about the historical rise of al Qaeda and does not relate to the history of Islam."

Ramadan and Breyer belong to a group of interfaith leaders who claim the museum's leadership has turned a deaf ear to their concerns.

Museum officials disagree.

"No one will come through this exhibit and, in any way, think that we are indicting an entire religion, which we in no way are," said Joe Daniels, president of the National September 11 Memorial Museum.

In a statement, museum officials said: "A major part of preserving the history of September 11 is to show who was responsible for the monstrous attack on America that led to the deaths of thousands of innocent people of various ethnicities and religious beliefs. This brief film, within the context of surrounding exhibits, focuses on the roots of al Qaeda with the express purpose of helping visitors understand who perpetrated the 9/11 terrorist attacks. It does not purport to be a film about Islam or in any way generalize that Muslims are terrorists."

National security expert Haroon Moghul, a fellow at the New America Foundation, a think tank, said the film needs a more nuanced approach to telling the story of the terrorists.

"They acted in the name of their religion. I don't dispute that," said Moghul. "I want that when an American or anyone else goes through the museum, that when they watch the movie, they leave more informed."

9/11 museum: Tragedy turns the mundane into memorial

@highlight

National September 11 Memorial Museum in New York opens Thursday

@highlight

A seven-minute museum film entitled "The Rise of Al Qaeda" is controversial

@highlight

The use of words such as "jihad" and "Islamist" is criticized by Muslim Americans, others

@highlight

"No one will ... think that we are indicting an entire religion," museum president says