(CNN) -- "Let me be clear: I'm proud to be gay, and I consider being gay among the greatest gifts God has given me," Apple CEO Timothy D. Cook wrote in an essay published early Thursday by Bloomberg Businessweek.

Within hours, the announcement was headlining newspapers all over the world ("Fier d'Ãªtre gay," proclaimed Le Figaro) and trending on Twitter. Cook's news caps a year of achievements for the LGBT (lesbian, gay, bisexual and transgender) community and its supporters: Gay marriage is now legal in 32 states and the District of Columbia; the NFL drafted its first openly gay player; and a trans woman graced the cover of New York magazine as the nation's highest-paid female executive. Even the Pope praised committed gay relationships.

Yet workplace discrimination and its ripple effects remain daunting hurdles for many LGBT individuals. Despite advances in workplace acceptance, over half (53%) of LGBT workers remain closeted at the office, according to a 2014 Human Rights Campaign survey.

While many companies excel at publicizing pro-LGBT policies and positions externally, there's an ongoing need for company leaders to promote and act on them internally. After all, the enduring key to the success of LGBT employees is organizations' underlying cultures.

Research from the Center for Talent Innovation shows that allies -- people who support LGBT colleagues or work as advocates -- play a decisive role in creating an inclusive community where individuals are comfortable being themselves. CTI data finds that LGBT employees are 1.2 times more likely to be out at companies where straight senior executives express their support publicly (that's 47% versus 21%). In fact, 24% of LGBT workers surveyed attribute their decision to come out professionally to a strong network of allies.

Although the ally phenomenon is widespread and growing -- 70% of men and 83% of women consider themselves allies, according to the CTI survey-- far fewer people qualify as "active allies," willing to openly support LGBT colleagues in the workplace. Employers have numerous opportunities to help strengthen "the ally effect" by creating networks that invite straight colleagues to support their LGBT co-workers, by sponsoring LGBT individuals and groups, participating in company events, or simply displaying some sort of ally identification in their workspace.

Openly gay senior executives being visibly out at work makes a difference as well. LGBT employees are 85% more likely to be out at companies where senior executives are out (24% versus 13%).

Being able to be out has measurable benefits. Earlier CTI research found that out LGBTs are more satisfied with their rate of career advancement and more engaged at work; conversely, closeted employees are 73% more likely to say they plan to leave their companies within three years.

LGBT employees aren't the only beneficiaries of an inclusive workplace. Employers benefit, too.

With LGBT buying power comprising $830 billion in the U.S. alone, companies bolster their bottom line by building and sustaining connections to this large and expanding market. Inclusive companies find that publicizing their support of LGBT equality boosts their standing among consumers across the board: 71% of LGBT adults said they are likely to remain loyal to a brand they believe to be very friendly to the LGBT community even when less-friendly companies may offer lower prices or be more convenient. Further, three-quarters of heterosexuals and 87% of LGBTs said they would consider choosing a brand known to provide equal workplace benefits.

LGBT employees are crucial to reaching this market, as CTI's recent research on Innovation, Diversity, and Market Growth reveals. Companies that employ and leverage diverse talent, including employees with LGBT smarts and an understanding of the LGBT global market, better understand their end-users and produce novel solutions for diverse consumer -- if there are allies on the team who make that representative feel secure about raising ideas and sharing insights.

The ultimate dividend: the combination of a diverse workforce and leaders who get that diversity makes companies measurably more innovative. Employees are 75% more likely to see their ideas implemented in the marketplace, according to the CTI study. In addition, firms are 70% more likely than non-diverse publicly traded companies to capture new markets.

Tim Cook's announcement signals a fundamental -- and welcome -- shift in our attitudes toward LGBT issues at work. Still, as he points out in his essay, "... there are laws on the books in a majority of states that allow employers to fire people based solely on their sexual orientation. There are many places where landlords can evict tenants for being gay, or where we can be barred from visiting sick partners and sharing in their legacies. Countless people, particularly kids, face fear and abuse every day because of their sexual orientation."

In short, we can't declare victory until announcements like Tim Cook's are not considered headline news.

@highlight

Sylvia Hewlett: Tim Cook announced he's gay, capping year of LGBT achievements

@highlight

She says workplace LGBT discrimination persists. Half remain closeted at work

@highlight

She says company leaders must promote LGBT friendly policies, company cultures

@highlight

Hewlett: As Cook notes, many states don't protect LGBT rights. We can't declare victory yet