Waistlines drop, hemlines rise, but the domestic drama never wavers. And there's an outfit for everything.

That's the case at Downton Abbey, the fictional estate at the center of the hit British period drama. Costumes from the show have been transported across the pond to one of America's great houses, where visitors can compare and contrast the lifestyles of the very rich in Britain and America.

The exhibition "Costumes of Downton Abbey" opens March 1 at Winterthur, the historic Delaware estate where American industrialist Henry Francis du Pont lived and entertained lavishly in the early part of the 20th century.

"Winterthur was run kind of like a great resort hotel in its heyday. There were 34 indoor servants, and that was really to take care of Mr. and Mrs. du Pont, their two daughters and their house guests when they came to visit," said Jeff Groff, director of public programs at Winterthur and one of the exhibit's curators.

The "Downton" exhibit features 40 costumes worn upstairs and downstairs by the fictional Earl of Grantham, Robert Crawley, his family and their staff of servants. The costumes are on loan from Cosprop, a prominent costumier for film, theater and television. The "Downton Abbey" series has moved from its start in 1912 into the Jazz Age of the 1920s, and the exquisite costumes have evolved with the times.

In women's dresses, "what we're really seeing through the seasons is the waistline dropping and the hem beginning to rise," Groff said.

The shape of women's wear also changes, with sinuous form-flattering silhouettes giving way to less structured clothing.

'Downton' in America: 6 big estates

"By the 1920s, you've got all of these loose-hanging, very short dresses," said Linda Eaton, Winterthur's director of collections and senior curator of textiles.

"Fashion history is following right along with cultural history in terms of votes for women, women working outside of the home, women needing the ability for movement, losing their corsets, more natural silhouettes, less underclothing," Eaton said.

Men's clothing changes far less on the show, Groff said. Tweeds worn at the time are still popular today in different cuts.

Lord Grantham and his gentlemen contemporaries wore tweed suits around their country estates in the daytime. They would not, however, have worn tweeds to town.

"There was kind of a catchphrase at the time of 'no brown in town,'" Groff said.

Things had loosened up a bit by the 1920s and "Downton's" season four, which just concluded for U.S. television audiences. Black tie was becoming an alternative -- in certain less formal circumstances -- to white tie and tails in the evening.

The exhibit contrasts country house life in Britain and the United States using fictional Downton and real-life Winterthur.

The differences? For one, Americans have long loved their technology.

"Americans love the history and style of Britain and the sporting life and kind of the gentleman's lifestyle, but Americans were completely devoted to the latest technology, modern conveniences and comfortable living."

8 elegant U.S. mansion hotels

Winterthur had its own telephone system with 95 exchanges by the time it was overhauled by Henry Francis du Pont in the early 1930s. It also had central heating and 23 bathrooms. In "Downton Abbey," anxiety accompanies the arrival of technological advances for many of the characters.

Bringing the latest technology to American estates was easier, Eaton said, because homes were newer and successive generations were likely to regularly renovate to put their own stamp on the home.

America's melting pot was also evident at Winterthur when the du Pont family was in residence, with a Swedish valet and a French ladies maid among many nationalities represented in the household.

"The diversity of nationalities who work in these great houses really reflects the diversity of nationalities who were coming to America," Groff said. In Britain, servants had more direct ties to local villages and tenant farms.

What newly wealthy Americans lacked in centuries-old tradition, they made up for in money. "By the late 19th century the Americans were the ones with all the money," said Eaton. "Downton Abbey" illustrates that wealth through Lord Grantham's American wife Cora, whose fortune has kept the estate from ruin, and her mother -- who occasionally sails in from New York sporting the very latest fashions.

"Wealthy Americans were not at all behind," Eaton said. "They traveled, they frequented all of the best couture designers in both London and Paris."

Yet the American fascination with all things British is still very much alive and well.

The exhibition is on view at Winterthur through January 2015. The museum recommends advance purchase of the timed tickets. Entry to the exhibit is included in general admission, which is $20 for adults.

@highlight

Exhibit of "Downton Abbey" costumes opening in Delaware

@highlight

Winterthur, the estate of an American industrialist, is hosting the show

@highlight

40 costumes worn upstairs and downstairs are on display with scenes from the show