Washington (CNN) -- Ola Kaso, who was born in Albania and came to America at the age of 5, described her predicament in a Senate hearing Tuesday.

"Despite my compliance with the law, there's no way I can achieve citizenship," said Kaso, now 18 and ready to start college in the fall at the University of Michigan. "Despite aspirations and hard work, I face deportation in one year."

In short, she said, "I am a DREAM Act student."

Kaso referred to legislation pushed by Democrats but opposed by Republicans that would give children of illegal immigrants a path to citizenship through military service or college education.

The measure passed the House of Representatives last year but stalled in the Senate due to a Republican filibuster. With Republicans now holding a House majority, the proposal has no chance of passing in this Congress.

Democratic backers, stung by a failure to deliver any significant immigration reform since President Barack Obama took office in 2009, called the hearing to try to raise the public profile of the issue in the earliest stages of the 2012 election campaign.

"I ask my colleagues to consider the plight of these young people, who find themselves in a legal twilight zone, through no fault of their own," said Sen. Dick Durbin, D-Illinois, a leading proponent of the DREAM Act. "They are willing to serve the country they love. All they ask for is a chance."

Another Democrat on the panel, Sen. Dianne Feinstein of California, cited a university study that estimated students who would come under the DREAM Act's provisions could contribute as much as $1.4 trillion to the U.S. economy over a 40-year period.

"That's pretty compelling evidence that these students work hard, that they care, and that they want to be part of the American dream," Feinstein said, "and to the best of my knowledge the American dream has never been an exclusive dream that only some people can share."

Republican Sen. John Cornyn of Texas called for comprehensive immigration reforms that include stronger border security, rather than focusing on one aspect of the issue through the DREAM Act.

"This bill, sadly, does nothing to fix our broken immigration system," Cornyn said. "It may be worse that we're providing incentive for future illegal immigration. This bill does nothing for border security, workplace enforcement, visa overstays, which account for about 40% of illegal immigration in this country. In other words it does nothing to reduce the likelihood of future illegal immigration."

Cornyn described himself as a supporter of the goals of the DREAM Act and immigration reform, a claim disputed by Senate Majority Leader Harry Reid, D-Nevada.

"He's voted against comprehensive immigration reform every time" the issue has come up in recent years, Reid told reporters.

The DREAM Act would offer legal standing to immigrants who entered the United States illegally as children under the age of 16 and had lived in the country for at least five years.

The bill would require, among other things, a high school or General Educational Development diploma, two years of college or military service, and criminal background checks.

Advocates say the bill would give legal standing to young people brought to the United States by their parents who have bettered themselves and served their new country.

Republican opponents equate the measure to amnesty, and have said it would signal to the world that the United States is not serious about enforcing its laws or its borders. They have also called the bill unfair to immigrants who, in many cases, waited years to come to the country legally.

Regardless of the fate of the DREAM Act, the immigration issue remains politically potent. Obama won several Western states in 2008 -- including Colorado, New Mexico and Nevada -- partly on the rising power of the Latino vote. Democrats believe Hispanic voters might put traditionally Republican Arizona in play next year.

In the long run, Democrats are also hoping to use their advantage among Hispanics to make inroads in core GOP states such as Texas.

Obama won more than two-thirds of the nationwide Hispanic vote in 2008. His approval rating among Hispanics hovered around 68% during the first three months of this year, according to the most recent CNN/Opinion Research Corporation polls.

For their part, Republicans have depended on the immigration issue in the past to fire up conservative voters. Some analysts also believe that if Democrats push too hard and too fast on immigration, particularly in tough economic times, it could push swing voters toward the GOP.

CNN's Alan Silverleib contributed to this report.

@highlight

Children of illegal immigrants face deportation

@highlight

Supporters of the measure urge giving them a chance to stay

@highlight

Republicans complain the measure could increase illegal immigration

@highlight

The DREAM Act offers a path to citizenship through the military or college