(CNN) -- What do you get when you cross thousands of plastic water bottles with an adventure-loving entrepreneur? A boat, of course, designed to carry a team of scientists, adventurers and artists halfway around the world.

Sounds like an interesting proposition? It clearly did to David de Rothschild, one of the youngest members of the famous banking dynasty, who has taken it upon himself to show the world how pervasive the global plastic waste problem has become.

De Rothschild wants the public to start viewing waste as a resource, particularly plastic. To underscore his message, he and collaborators designed a boat made almost entirely of plastic bottles and recycled plastic. Later this month de Rothschild and the crew will begin a planned 11,000-mile (17,700-kilometer) voyage from the U.S. city of San Francisco to Sydney, Australia. The crew hopes to accomplish the voyage in 100 days.

Almost four years in the making, the result of de Rothschild's environmental vision is a 60-foot catamaran-style boat named The Plastiki. Builders of the boat say it weighs in at 12 tons, with only 10 percent of the vessel made from new materials.

Constructed mainly from 12,500 reclaimed plastic water bottles designed to keep Plastiki afloat, the main frame is made from self-reinforcing polyethylene terephthalate (srPET), a recyclable plastic material, and the sail has been hand-made using recycled PET cloth.

Explore the technology of the Plastiki

Leaders of the voyage say the boat will be powered by renewable energy such as solar panels, wind turbines and bicycle generators. And crew members even plan to grow their own food aboard the boat with the help of a vertical garden attached to the mast.

Put all this together, de Rothschild told CNN, and you get a boat which, its builders claim, is "infinitely recyclable."

"The idea is to put no kind of pollution back into the atmosphere or into our oceans for that matter, so everything on the boat will be composted. Everything will be recycled. Even the vessel is going to end up being recycled when we finish," de Rothschild told CNN in a recent interview.

The Plastiki's name is wordplay off the "Kon-Tiki," a balsa raft made famous by Norwegian Thor Heyerdahl, who in 1947 sailed the vessel from Peru to the Polynesian islands.

Learn more about the Kon-Tiki's historic voyage

Two of Heyerdahl's grandchildren, Olav Heyerdahl and Josian Heyerdahl, will be aboard during various legs of the Plastiki voyage. The former is familiar with some of the terrain, having previously replicated his grandfather's expedition using the original log books and diary used by Heyerdahl, and taking the opportunity to track changes in the Pacific's environmental conditions.

Meet the Plastiki crew

The Plastiki's journey will spotlight current environmental issues. En route to Australia, Plastiki will sail through the infamous North Pacific Gyre, now home to "The Great Garbage Patch," named due to the high levels of waste that have been drawn there by ocean currents. Estimated to be around the size of Texas, this contaminated area of ocean has by some estimates more plastic than food for marine life.

"I was astounded to hear that that there are places in our oceans where the ratio between plastic and plankton is 6-to-1," de Rothschild told CNN, referring to the area.

Opinion: The reason for the Plastiki voyage

Expedition organizers say the boat will sail past the Midway Atoll en route to Australia. Its scheduled stops -- in places such as the Marshall Islands, Tuvalu and Kiribati -- will be symbolic too, allowing the team to raise awareness of places that are particularly vulnerable to changing environmental conditions, such as rising sea levels.

The journey is expected to take the crew through the "Doldrums" -- equatorial regions in the Atlantic, Pacific and Indian oceans known for unpredictable weather patterns that include listless winds that can trap sailing vessels.

Other questions remain. The New York Times recently pointed out that if the vessel breaks apart in the ocean it could send thousands of plastic bottles into the ocean.

But Plastiki's skipper, British sailor Jo Royle says she is confident the team will be able to navigate their way to their final destination.

"We cannot look at other boats for reference, but we wouldn't leave unless we're completely confident we'll make it," she told CNN.

Whether the boat completes its journey remains to be seen, but de Rothschild is resolved about the importance of his mission, regardless of the outcome.

"Even if Plastiki gets damaged or does not make it, the message will still be there," de Rothschild told CNN. "The idea is to put no kind of pollution back into the atmosphere, or into our oceans."

CNN.com will be keeping close track of the entire voyage, offering insights each week on the Plastiki's progress. Don't forget to check back each week to see how Plastiki is progressing.

@highlight

Boat made primarily from recycled plastic bottles set to sail Pacific Ocean

@highlight

Organizers of voyage aim to spotlight dumping of plastics, other pollutants

@highlight

Solar panels, wind turbines, recumbent bicycles will power the vessel