London (CNN) -- The looting of a large collection of priceless coins, statues and jewelry from a bank vault during Libya's recent civil war has highlighted the risk of looting during times of conflict.

Interpol is hunting for the hoard of Roman and Hellenistic objects -- dubbed the "Benghazi Treasure" --stolen from the city's Commercial Bank in May 2011.

But the theft is not an isolated incident.

According to UNESCO's Assistant Director-General for Culture Francesco Bandarin, the looting of antiquities and archaeological sites occurs regularly during times of conflict and even during peacetime.

It is a problem that the UN agency is constantly battling.

"In the present moment it is difficult for us to do much because the situation is still very precarious, there is no administration in place in [Libya], there are difficulties in communicating," said Bandarin.

Bandarin's main fear is that the "Benghazi Treasure" will be dispersed or, worse, in the case of the coins, melted down and sold.

The thieves reportedly drilled through the concrete ceiling of the bank vault to reach the coins and took only the most valuable items.

"It looks targeted and well-planned, they knew what they were doing," said Dr. Hafed Walda, a Libyan-born archaeologist and research fellow at King's College, London.

Few records of the treasure survive, making it even more difficult to locate, though experts believe the collection contained ancient coins excavated from Cyrenaica in Eastern Libya, as well as statues and some jewelry dating from later periods.

Rumors that artifacts from the collection have surfaced in Egypt and in Tripoli are unconfirmed, and the race to find the treasure is ongoing.

So what can be done to prevent such thefts occurring in future and how to retrieve stolen items?

"We have very different outcomes with these things," admitted Bandarin.

"The recovery of objects stolen from the museum in Baghdad [during the U.S.-led invasion in 2003] was relatively successful, most of the things were returned but this one is high risk," he said.

Authorities have some tools at their disposal: The 1970 Convention on the Means of Prohibiting and Preventing the Illicit Import, Export and Transfer of Ownership of Cultural Property, and the 1954 Convention for the Protection of Cultural Property in the Event of Armed Conflict.

In the case of Libya, precise co-ordinates for major sites of archaeological interest were given to NATO so that they could avoid them during bombing raids.

But it is the theft of antiquities and their eventual sale that worries Bandarin most.

"It remains the fourth or fifth biggest criminal industry in the world," he said of the illegal trade, adding that countries with volatile governments tend to be most at risk.

Paul Bennett is head of British mission "The Society for Libyan Studies," which promotes and co-ordinates the activities of scholars working on the archaeology, history, linguistics and natural history of Libya.

"It is certain that there are organized bands of antiquities thieves going across the border into Egypt," he said, citing reports of grave robbing in sites in Libya.

"The problem is on the border [with Egypt], it's become very porous. We need to see far more collaboration going on between the border patrols to stop the illicit trade in antiquities," he said.

"We do have to mobilize the Egyptians because clearly, the treasure has gone through Egypt, as that is the closest border," said Bandarin.

"But even Egypt is not in the best position to help right now," he continued.

Awareness of the problem of cultural crimes is one of the biggest challenges UNESCO faces.

"It's considered less of a crime, for reasons I don't understand," agreed Bandarin.

He hopes UNESCO will one day be as successful in combating the trade as his colleagues at the Convention on International Trade in Endangered Species (CITES).

"They are extremely effective, there is almost a mass consciousness about (the protection of endangered animals) and that's not the case with us," he said.

But while the theft of the "Benghazi Treasure" signifies a devastating loss, Libyans are credited with doing much to protect their treasures since the fighting erupted.

"Throughout the conflict, locals did an enormous amount to keep their heritage safe, standing guard at sites and museums," said Bennett.

"They put themselves at risk and if it hadn't been for them, it would have been a lot worse," he continued.

As for the missing "Benghazi Treasure," it remains for auction houses and customs offices around the world to be extra vigilant.

UNESCO and Interpol will do what they can to make the issue more visible, said Bandarin.

The task is now for Libya to create a strong cultural administration to keep its treasures safe.

@highlight

Interpol hunting for looted "Benghazi Treasure," cache of objects, ancient Roman and Greek coins

@highlight

Theft highlights problem of looting of artifacts during times of conflict

@highlight

Illicit antiquities trade is one of the biggest criminal industries in the world