Of the many shocking and wrenching images that have come from the sinking of the Sewol ferry, one that stands out for me depicts the vessel's captain -- head bowed and covered by a hood -- standing on dry land admitting he had abandoned ship.

He was, in fact, among the first to be rescued.

The shock for me is not this image itself, but the realization that Captain Lee Joon-seok must have known as he got off the Sewol that hundreds of other passengers -- including 325 students -- were still inside, apparently following instructions to stay put -- instructions that may be proven by investigators to have led directly to their deaths.

On Monday, the South Korean coast guard released new footage of the captain and other crew members leaving the ship -- images that to me are equally disturbing.

The sea around the Sewol looks glass-calm. It's bright morning light, there's no swell, there's no obvious sign of tearing currents. For a body of water with such a treacherous reputation, it looks benign. Perhaps not safe, but well worth risking if your life is at stake.

At this point the Sewol is leaning dangerously, to the port or left side, its upper deck under water.

No one knows the vessel is close to beginning its final descent to the seabed.

But Captain Lee, wearing a shirt and what looks like his underwear, and other crew members are helped into a small rescue boat, leaving the passengers to their fate.

In cell phone footage taken by a teenage boy inside the Sewol -- also released in recent days -- students after being told effectively to sit tight are seen patiently waiting for further instructions and for help to arrive. A showing of faith and trust in authority that appears now tragically misplaced.

None of the crew, including the captain, identified themselves to rescuers as crew members, the first coast guard responders said in a press conference on Monday. Their uniforms -- if they were wearing them -- were hidden by life vests.

This footage has only added to already widespread public revulsion in South Korea around the events surrounding the sinking of the Sewol.

A week ago, President Park Geun-hye described the crew's actions as being "like murder."

An aunt of one of the student victims from Danwon High School told me how "ashamed" she was that this could happen in South Korea. She is so upset, she just wants to leave the country.

There are tales of heroism as well. The 22-year-old crew member Park Jee Young who died as she tried to help passengers to safety and handing out life vests. And of course there are the divers and rescue teams scouring the sunken vessel in extremely difficult conditions.

Perhaps these acts may not have been necessary if more immediate and appropriate action had been taken by the ship's commanding officers.

There's no international maritime law that says a captain has to go down with his or her ship. But there have been honorable examples of this course of action -- Captain Edward J. Smith of the Titanic comes to mind.

The captain is responsible for the vessel and all the people on board.

In some countries, including South Korea, abandoning ship is a maritime crime.

It's not just the actions of Lee under the microscope here. It's also the shipping company itself and government regulation. How were the crew trained to deal with emergencies? How safe was the vessel? How well-regulated are South Korea's coastal passenger ships? All are questions to which South Koreans are demanding answers.

Yes, the captain and 14 other Sewol crew members have been arrested amid ongoing investigations. They all face charges of "causing death by abandoning (ship), and violation of the country's marine law, the Rescue and Aid at Sea and in the River Act," Yang Joong-Jin, the senior prosecutor for the investigation task force says.

At this stage though, it is the actions and the images of the captain that stand out -- at least for me.

The image of a man who for many, if not legally but certainly at least morally, is responsible for his passengers, seemingly putting himself before everyone else.

@highlight

Images of captain's rescue adds to anger in South Korea over ferry tragedy

@highlight

Captain's rescue happened while others were still in the sinking ship

@highlight

Actions of captain and crew are under the microscope