(CNN) -- Humans have been doodling in snow, in sand and on cave walls for more than 30,000 years.

George Washington, Thomas Edison, John F. Kennedy, Lyndon Johnson, Ronald Reagan and Vladimir Nabokov were doodlers. Bill Gates and Frank Gehry are among today's active doodlers.

Yet most of us haven't reflected on why we feel compelled to draw.

In fact, many parts of our society -- including businesses, schools and colleges -- frown on doodling and consider it a waste of time. While we can't overcome cultural biases overnight, we can certainly ask a relevant question: Why is doodling so universal? What is doodling doing for us?

Virginia Scofield, an immunologist at the University of Texas at San Antonio, knows from personal and professional experience what doodling does. After struggling with organic chemistry in college, she decided to try doodling the complexities of the subject rather than memorizing them from the textbook. Scofield happened upon what native doodlers have known for a long time: Doodling can improve cognitive performance. Because of her success in transforming her own learning process, Scofield incorporated doodling and visual note-taking into her university classroom for more than two decades, and she told me it notably improved the success rate of her students.

Scofield is not the only one who's learned to be impressed by the Doodle. Jackie Andrade, a professor at the University of Plymouth, published a study finding a 29 percent increase in information retention gained by doodlers. She noted that, contrary to popular belief, doodling seems to prevent people from losing focus on boring or complex subject matter. It gives learners who may otherwise mentally check out an opportunity to check back in.

Other researchers exploring the impact of doodling and drawing have come to equally significant conclusions about this deceptively simple act. A recent article in Science argued that drawing in science education caters to individual learning preferences and motivates students to engage and explore content in a more meaningful way. And classroom research shows that not only do learners better understand concepts through simple drawing, but it sets the stage for innovative and divergent ways of thinking. For a nation with an ego wounded by our decreased scores on the Torrance Creativity Test, this unfettered access to creative thinking shouldn't be underestimated.

Just ask Google, the only company on record with an official Chief Doodler on the payroll. Google's culture is well known for its 80/20 "innovation time off" rule. And for many employees, that time is spent using simple visual language to doodle, sketch and prototype new business opportunities. Indeed, many companies seeking an edge are looking to applications of hand-drawn visual language as a prospective lifeboat. In a hyper-competitive marketplace, thinkers need all the mojo they can muster.

To the throngs of doodlers around the world, this evidence is likely just the beginning of our gentle "I told you so" moments. Learning that accommodates more than text-based or verbal information amplifies the effects of cognition and creativity. And when the Science article suggested that drawing should be recognized along with reading, writing and speaking as a key element in education, it was a hallelujah moment for doodlers around the world.

I'm one of them. I use doodling for a variety of reasons: I use it to get clarity around a concept, I use it to relax, I use it to communicate ideas with others and get their refinement of them, I use it to map complex systems for companies, I use it to run innovation games for business, I use it to get insight on something puzzling me.

See some examples of how doodles are used

So how do you get better at doodling? It's a delightfully easy task. Learners can start with the Visual Alphabet, a series of six flowsâ€”the point, line, arc, angle, spiral and loop, and the six formsâ€”the oval, eye, triangle, rectangle, house and cloud. With these 12 "letters," prospective doodlers can articulate any visual representation of any concept they can imagine. All it takes is a commitment to learning this language, native to our brain's visual cortex, and applying it to challenges either at work or at school. Rather than talking in circles about a complex subject, try doodling it using words and pictures. Show your teachers and colleagues another way to see information. The insights and aha moments will arrive naturally in the process.

The opinions expressed in this commentary are solely those of Sunni Brown.

@highlight

Sunni Brown: Doodles are an ancient human art form

@highlight

She says doodling is a way to visualize ideas and learn more quickly

@highlight

Studies show those who doodle retain more of the information they are taught

@highlight

Brown: Drawing should be recognized with reading, writing and speaking