(CNN) -- Anthony Howe makes sculptures that refuse to stay still.

His mammoth-sized, stainless steel kinetic sculptures twist, turn and transform their shape in ways that can call to mind anything from a giant squid to electrons buzzing around an atom's nucleus.

The 59-year-old Utah-born artist says inspiration for the otherworldly monuments can come from almost anywhere: "from low-tech sci-fi paraphernalia to microbiological or astronomical models."

"Growing up, I was fortunate to have spent a lot of time in the ocean, in the water," he says.

"My father traveled a lot, we lived in eight different cities in the United States, so I was exposed to all kinds of things, besides books and whatnot."

Since 1994, the artist made his home on 10 acres of Orcas Island, Washington state, which now incorporate Howe's gallery and sculpture park.

His new creation -- a 17 ft-tall spike with a rotating ring of steel arms (below) -- has just taken pride of place on the lawn, and you can watch it in action in the new video here.

Howe has been making kinetic sculptures since 1990. After graduating art school, he spent five years in a house he built on a remote mountaintop in New Hampshire. It was there that he painted water colors of the landscape, but eventually grew bored. He got a job as a superintendent in a warehouse and moved to Manhattan.

"My job was mostly putting up steel shelving, so I was surrounded by steel. My painting continued to go nowhere and I realized that I had a lot of raw material in the steel shelving."

"I also lived on the top of a roof, with lots of outdoor space, and had the idea of making things that spun in the wind -- and the rest is history, so they say."

Today, the (now extremely complex) sculptures begin life on a computer, where Howe makes a digital "sketch" in modeling software packages 3ds Max and Rhinoceros.

Each component can be sent from the computer to a laser cutter which precisely carves out the curvilinear form.

But there is still room for ideas to develop and change, he notes, as he finishes the components by hand, using traditional metalworking techniques.

He says the "harmony" between the many different components is created by getting "a very, very good balance" -- with each component carefully set on its axis to ensure it will be equally affected by the force of the wind.

In addition to the organic forms of underwater and plant life, Howe points to the illustrated books of 19th century author Jules Verne as early inspiration. Verne dreamed of nature-inspired helicopters and submarines -- before they were created in real life -- in adventure classics such as "Journey to the center of the earth" and "Twenty thousand leagues under the sea."

Like these creations, Howe's works transform the organic movement of the natural world into cold steel -- yet they retain their own hypnotic mystery.

"I'm just making a lot of choices based on what looks right to me," he says simply.

For Howe, knowing that others are beguiled by his works his creations is a source of happiness:

"I definitely set out a long time ago to make these sculptures so that they would be pleasant and hopefully transport a person to a better place than they were before they saw it."

"I know that that's the antithesis of what a lot of people want art to do, but I don't really care anymore. At this point, I'm very glad that people enjoy looking at them."

More from Art of Movement:

Photographer captures haunting beauty of ballet in the digital age

Bringing the 200-year-old clockwork boy back to life

Nomadic world of the traveling circus

@highlight

Anthony Howe makes "kinetic" sculptures which move in the wind

@highlight

The 59-year-old takes inspiration from the natural world and sci-fi -- among many other things

@highlight

Howe "sketches" the sculptures on computer design packages, before laser cutting components