LONDON, England (CNN) -- It was inevitable that a tragedy on the scale of Hillsborough, when 96 Liverpool fans were crushed to death during an FA Cup semifinal with Nottingham Forest, would have a transformative effect on English football.

A Liverpool supporter Wednesday, outside Anfield. Ninety-six fans died from the 1989 Hillsborough disaster.

But there was little reason to believe 20 years ago that, rather than being pushed even further towards the margins of society, the sport was on the brink of a revolution that would give birth to a global sporting phenomenon.

Even before Hillsborough, it had seemed as if there was something irredeemably rotten at the heart of English football.

Hooliganism, a scourge synonymous with the English game, had receded from its peak in the 1970s but English clubs were outlawed from European competition after rampaging Liverpool fans caused a wall to collapse at Brussels' Heysel Stadium before the 1985 European Cup final, causing the deaths of 39 people, mostly supporters of the Italian side Juventus.

British Prime Minister Margaret Thatcher, showing little understanding or patience for the traditions of the sport, had virtually ghettoized fans, promoting a scheme to have each supporter issued with an identity card.

On the field, sides such as Liverpool, Tottenham Hotspur and Nottingham Forest were renowned for their attractive play but elsewhere a corrosive cult of long ball football pervaded the game.

That trend seemed to find vindication when arch-exponents Wimbledon, who in the course of a decade had bullied and scrapped their way through four divisions to reach the top flight, defeated Liverpool in the 1988 FA Cup final, prompting match commentator John Motson to declare that "the Crazy Gang have beaten the Culture Club."

With its clubs banned from Europe, many top British players opted to leave England altogether -- Gary Lineker and Mark Hughes to Barcelona, Glenn Hoddle to Monaco, Chris Waddle to Marseille -- adding further to the sense of terminal malaise.

Hillsborough had not been caused by hooliganism but the tragedy was a product of the environment that hooliganism had created; stadiums resembling decrepit fortresses, the fans caged inside steel bars and heavy-handed policing which treated all supporters equally -- as potential troublemakers.

Coupled with Heysel and a fire at Bradford in 1985 in which 56 fans died, it also served to reinforce the belief that going to a football match was something which could put your life in danger.

In "The Last Game: Love, Death and Football," a book examining the lasting impact of the events of 1989 on the sport, author Jason Cowley describes Hillsborough as English football's "psychological moment, the point of no return."

"The culture of the game had to change definitely if football was ever to be perceived as anything more than the preserve of the white, working class male, a theatre of hate and of violence, often racist and misogynistic excesses, if it was to survive at all," says Cowley.

English football not only survived but within a few years had reinvented itself, in the elite "Premier League" division of the country's top clubs at least, as an internationally recognized super brand capable of attracting the world's best players and broadcast around the planet.

The engine for this transformation, in the wake of Hillsborough, was the Taylor Report, an inquiry into the causes of the disaster which called for the steel fences inside grounds to be dismantled and for the phasing out of the traditional terraces of standing fans with all-seater stadiums.

Initially clubs received government funding to help them meet the costs but the sport was about to receive an injection of cash that would radically change its financial prospects.

Despite its poor reputation, there remained a huge appetite for televised football -- ironically, itself a by-product of the fact that many supporters were no longer going to matches.

Realizing this, the country's top clubs broke away from the game's traditional power structure, setting up the Premier League and selling TV rights for £191 million ($286 million) to media tycoon Rupert Murdoch's newly established satellite television venture, BSkyB.

The money was a shot in the arm for football, while Sky's coverage regenerated interest in the sport by repackaging it as something shiny, exotic and exciting. On a Europe-wide scale, the replacement of the old knockout format European Cup with the Champions League achieved something similar, creating a clique of continential superpowers.

The television rights boom also convinced many in the sport that football could actually be profitable. Some clubs raised more cash by floating on stock markets and others, such as Bolton, Middlesbrough and Sunderland, invested in shiny flying saucer-like new stadiums.

But the success of the Premier League also owed something to events on the pitch. If Hillsborough marked a nadir for English football, the 1990 World Cup in Italy -- and Paul Gascoigne's tears during the national side's epic semifinal defeat by West Germany -- offered a moment of catharsis that rekindled many casual fan's residual love for the game.

Subtle changes to the rules implemented worldwide by FIFA, including banning back passes to goalkeepers, automatic sendings off for professional fouls and changing the offside rule to give the benefit of the doubt to forward players, gradually made the game a more attractive spectacle.

Meanwhile, the emergence of Alex Ferguson's young and exciting Manchester United team as the Premier League's dominant force, perfectly captured the spirit of the new age yet grounded the game in the traditions of the past.

Finally, the 1995 Bosman Ruling, which granted players across Europe freedom of movement when out of contract, and the end of restrictions on the number of foreign players teams could field, created an international transfer market which lifted the horizons of the English game and brought genuine world class stars including Eric Cantona and Dennis Bergkamp, and eventually Cristiano Ronaldo and Fernando Torres, to the Premier League.

Still, for many football fans, the glamour and wealth of the Premier League, with its homogenized stadiums and corporate entertainment suites -- in which clubs are bought and sold by global plutocrats from Siberia to Texas via Thailand and Abu Dhabi -- represents a betrayal of the sport's traditional values.

"There's still a powerful nostalgia among fans of my generation for a lost, less aggressively commercial era of football, when the game seemed less cynically concerned with exploiting the loyalty of those who pay to watch and with selling itself to a global audience," says Cowley.

Yet in a week when four Premier League sides featured in the quarterfinals of the Champions League and public appetite for the game appears insatiable, it is hard to avoid the conclusion that English football is in a better state than anyone who witnessed the horror at Hillsborough 20 years ago could ever have dared believe.

More importantly, it is virtually inconceivable to imagine the circumstances in which 96 fans died ever being repeated in an English stadium.

@highlight

English football has been transformed in 20 years since Hillsborough tragedy

@highlight

Disaster created impetus for all-seater grounds, improvements in infrastructure

@highlight

Top clubs also benefited from creation of Premier League and sale of TV rights

@highlight

The English Premier League is now the world's most watched sporting league