Last week, the Anti-Defamation League issued a warning: The Passover holiday was coming up Monday. So was Adolf Hitler's birthday next Sunday -- two events that could coincide with the increased possibility of violent attacks against Jewish community centers.

On Sunday, that dire prediction came true.

A 73-year-old Missouri man with a long resume of anti-Semitism and white supremacist activism is accused of opening fire outside two Jewish centers in the Kansas City area. Police say Frazier Glenn Cross killed a 14-year-old boy and his grandfather in the parking lot of the Jewish Community Center of Greater Kansas City in Overland Park, and a 53-year-old woman in the parking lot of the nearby Village Shalom Retirement Community, also in Overland Park.

While authorities haven't disclosed any suspected motive, Cross -- who also goes by Frazier Glenn Miller -- has been active in the white supremacy movement since the 1970s. But after cooperating with federal authorities following an arrest in the mid-1980s, he became an outcast among much of that community, the ADL said.

The group described Cross -- referring to him by his pseudonym of Miller -- as "a perennial but peripheral figure" in the movement in recent years. Attempts at launching white supremacist publications flopped, and the votes he received in a 2010 write-in bid for U.S. Senate failed to break the double-digit mark.

3 dead in separate shootings

Sunday's attacks come at a time when anti-Semitic incidents in the United States are at their lowest level in decades. In an audit released this month, the ADL reported 751 incidents in 2013, down 19% from the previous year.

But while the number of total incidents dropped, there was a significant increase in violent anti-Semitic assaults in 2013. The ADL audit recorded 31 anti-Semitic assaults on Jewish people or those perceived as Jewish in 2013, up from 17 in 2012.

"The high number of violent in-your-face assaults," said ADL National Director Abraham Foxman, "is a sobering reminder that, despite the overall decline in anti-Semitic incidents, there is still a subset of Americans who are deeply infected with anti-Semitism and who feel emboldened enough to act out their bigotry."

And Cross was "among the most-over-the-top, violent white supremacists" of the 1980s, said Brian Levin, director of the Center for the Study of Hate and Extremism at California State University in San Bernardino.

"He was one of the pioneers in the modern hate world," he said. "He's been entrenched in the hate movement his entire adult life."

Cross obtained the guns allegedly used in the shootings from a straw buyer -- a person with a clean background check who buys firearms on another person's behalf, a U.S. law enforcement official said Monday.

Views shaped early

A Green Beret who served 20 years in the Army, including two tours in Vietnam, Cross has racist views that were shaped early in life, according to the Southern Poverty Law Center, which monitors hate groups. The SPLC, like the ADL, referred to Cross by his pseudonym of Miller.

His father gave him a copy of a newspaper published by the National States' Rights Party, and within two minutes, he said he knew he'd found a home in the movement.

Who were the victims?

In the early 1980s, he founded and ran the Carolina Knights of the Ku Klux Klan. But instead of the traditional white robe of the Klan, he preferred fatigues and recruited active-duty soldiers as members.

According to the ADL, which released a summary of its files on Cross/Miller on Monday, the group "drew notoriety for its paramilitary training exercises" and was behind several attacks on African-Americans during that era. Cross himself  "was one of the more notorious white supremacists in the U.S."

The SPLC sued him for operating an illegal paramilitary organization and for intimidating African-Americans. The two sides settled, with the Knights barred from operating. But a month later, Cross resurfaced with an offshoot: the White Patriot Party.

A kill list?

In 1986, a Marine admitted selling the group anti-tank rockets, mines and explosives, according to the SPLC.

Because he founded another paramilitary group when a court forbade him to do so, Cross was found in criminal contempt and sentenced to six months in prison. He appealed, and then bolted.

While underground, he sent supporters a kill list, to which he had assigned a point system, according to the SPLC: Blacks (1 point); "White race traitors" (10); Jews (10);  judges (50); SPLC founder Morris Dees (888).

The FBI caught up with him in Missouri, where they tear-gassed him out of a mobile home. Inside, they found a cache of weapons.

Cooperating with the feds

He served three years in federal prison on weapons charges and for plotting robberies and the assassination of Dees.  The short sentence was a result of a plea bargain he struck with federal prosecutors. In exchange, he testified against 14 white supremacists in a sedition trial in Arkansas in 1988.

"He was reviled in white supremacist circles as a 'race traitor' and, for a while, kept a low profile," according to an SPLC profile of him. "Now he's making a comeback with The Aryan Alternative, a racist tabloid he's been printing since 2005."

According to the ADL, the tabloid folded after two issues. But because both had large press runs, the copies were passed around for years.

Prolific poster

The SPLC calls Cross "a raging anti-Semite" who has posted more than 12,000 times on the Vanguard News Network, an anti-Semitic, white supremacist website. Its slogan: "No Jews. Just Right."

He has called Jews "swarthy, hairy, bow-legged, beady-eyed, parasitic midgets."

He ran for office multiple times, including a run for U.S. House and Senate seats. His 2010 campaign for the Senate was "It's the Jews, Stupid." According to the SPLC, he received seven votes.

Racism meets religion

According to Cross' 1999 autobiography, he is an adherent of Odinism, a neo-pagan religion that experts say has become one of the most vicious strains in the white supremacist movement.

"I'd love to see North America's 100 million Aryan Christians convert to the religion invented by their own race and practiced for a thousand generations before the Jews thought up Christianity," he wrote, describing Odinism as "the religion for a strong heroic people."

In his autobiography, "A White Man Speaks Out," Cross wrote that he had prayed to the Norse god Odin to spark a race war in the United States.

Though Odinism has been appropriated by white racists, most adherents are peaceful, earth-loving pagans, said Jonathan White, an expert on white supremacists and a professor at Grand Valley State University in Grand Rapids, Michigan

'Not a fringe character'

On Saturday, Cross left for a casino in Missouri. His wife told the SPLC that he called about 10:30 Sunday morning to tell her his winnings were up and all was well. She didn't hear from him after that.

The shootings at the Jewish centers took place around 1 p.m. As the gunman sat in the back of a patrol car after his arrest, he shouted, "Heil Hitler."

Overland Park Police said detectives were investigating statements the suspect made after his arrest but declined to provide additional details.

"This is not your average hate offender," said Levin, the California State University professor. "He's a badass. He's not a fringe character."

Son killed in 2008 shooting

Police shot and killed Cross' son in 2008, according to Rick Witthuhn, police chief in Marionville, Missouri.

The incident unfolded after a traffic accident. Jesse Miller, Cross' son, used a shotgun to kill a man who stopped to help him after the crash, CNN affiliate KSPR reported. Then, when a police officer arrived at the scene, he shot at the officer.

That same officer then shot and killed him, Witthuhn said.

What the killings say about U.S. hate groups

@highlight

Frazier Glenn Cross was an adherent of Odinism, a neo-pagan religion

@highlight

Police say his son was killed in a 2008 shooting

@highlight

Frazier Glenn Cross called "perennial but peripheral figure" in white supremacy movement

@highlight

Cross is "not your average hate offender," expert says