(CNN) -- What happens when the Winter Olympics party leaves town?

It's a question that is probably giving organizers of the Sochi 2014 Games sleepless nights and, if the example of Lillehammer is anything to go by, some food for thought.

Will all the expense be worthwhile?

Russia is spending an unprecedented $50 billion on completely revamping its faded Black Sea resort, hoping to turn it into a tourist mecca and hi-tech business destination for decades after next February's 16 days of competition.

Can Vladimir Putin's grand planners learn from one of the smallest host venues in Olympic history?

Leap of faith

As Stein Gruben prepared to make the historic leap at the opening ceremony of the 1994 Winter Games, he carried with him not just the symbolic torch but also the hopes of the Norwegian nation.

He was drafted in 48 hours earlier after Ole Gunnar Fidjestol was injured during practice, and his ski jump was to be the dramatic denouement to the Olympic flame's 7,500-mile journey from Greece.

Following the theft of Edvard Munch's "The Scream" from Norway's National Gallery in Oslo earlier that February day, Lillehammer's organizers could have been forgiven for wearing their own looks of anguished despair as Gruben started his descent.

But they needn't have worried. The 26-year-old understudy landed safely in the Lysgardsbakkene Ski Jumping Arena before handing on the torch on for its final earthbound journey to the Olympic cauldron.

While Lillehammer '94 is perhaps best known for the sad soap opera that played out between U.S. figure skaters Tonya Harding and Nancy Kerrigan, Norwegians remember a far happier time, when a small town of 23,500 residents became the center of the sporting universe.

Party atmosphere

"It was a party for the Norwegian people," recalls Inge Andersen, Secretary General of the Norwegian Olympic Committee.

"It brought people together, there was a lot of pride and there was also lovely winter conditions. So it was, in one way, a great promotion for the country. Everyone was happy."

This celebratory atmosphere helped push the country's athletes to new heights. Speed skater Johann Olav Koss led the way with three golds (and three world records) as Norway bagged a record 26 medals (10 gold, 11 silver, five bronze).

But six years earlier, the idea of Lillehammer playing host to such scenes was almost impossible to imagine.

Norway had endured its worst Winter Games for more than three decades at Calgary in 1988, picking up just three silver and two bronze.

And after finishing fourth in the bid to host the 1992 Games (won by Albertville, France), Lillehammer was considered a rank outsider in the race to host the '94 Games -- the first time winter and summer Olympics were held in different years.

But to everyone's amazement, Lillehammer beat Sweden's Ostersund -- population 60,000 -- in the final round of voting, setting in motion the task of turning a remote town 110 miles north of Oslo into a center of sporting excellence.

"There was really nothing there," Andersen told CNN. "There were no big venues before the Olympics. It was a huge gift to this part of Norway."

Around 680 million Norwegian Krone ($220 million) of the 12 billion NOK ($2 billion) total budget was spent transforming the Lillehammer landscape. New venues were built for ski jumping, ice hockey, bobsleigh/luge along with freestyle and cross-country ski stadiums.

Additional arenas were sited in neighboring towns Hamar and Gjovik and two new ski resorts were built north of the Lillehammer in Kvitfjell and Hajfell.

"Lillehammer is now the natural choice for top athletes and national teams. It has probably become the strongest sports region in the country," says Andersen.

The 16-day event is also remembered as the first "green" Games, enshrining the now familiar ethos of conservation and sustainability at big sporting events.

Perhaps the most visible and enduring reminder were the Olympic medals themselves, which were partly made from stone extracted during construction of the ski jumping arena.

A different type of recycling was used when the 26,500mÂ² international media center was refurbished and handed over to Lillehammer University College in 1995. Today, the campus has more than 4,000 students and, since 1997, has been home to the Norwegian Film School.

Olympic tourist trap

While an educational legacy may be secure, the economic aspirations of boosting tourism in the region proved harder to realize.

Part of the idea of staging the Olympics in Lillehammer was to provide investment in inland Norway, Andersen says, bringing it up to a level with the successful oil and fish industries on the west coast and in the north of the country.

It worked in as much that it encouraged (and still does) affluent city dwellers in Oslo and other southern cities to build luxury second homes near the sports facilities.

But the goal of encouraging more Norwegians and foreign tourists to the wider region have largely failed, says Jon Teigland, a Norwegian social scientist who has studied the economic after-effects of the Lillehammer Olympics.

"The predictions on a regional level was that tourist demand would increase more than 100%. Local scientists predicted annual increases of 15% over a long period. The reality is zero outside all four communities that got Winter Olympic sports facilities," says Teigland.

Norway did experience a rise in foreign tourists before the Olympics and for two years after, says Teigland, but this was largely down to increased numbers from eastern Europe (particularly Germans) following the fall of communism in 1989 and subsequent years. But long-term predictions (10% per year for the decade after the Games) for tourist growth nationally never happened.

Lillehammer and the other Olympic resorts didn't emerge completely unscathed.

In the five years following the Games, 40% of the town's hotels went bankrupt, says Teigland. And while cross-country events are incredibly popular, the alpine resorts of Hafjell and Kvitfjell north of Lillehammer remain economically fragile, he says.

Norway's experience isn't unique.

Most, if not all of the last eight host countries of Winter Games have experienced negligible increases in tourist numbers, says Teigland.

It's something that organizers of the next "small town" Olympics at Pyeongchang, South Korea in 2018 should bear in mind.

"They should be very careful about developing a lot of accommodation facilities if they have not seen strong growth in winter sports already," Teigland says.

The $50 billion question?

Of course, before Pyeongchang comes Sochi 2014. Russia's great winter sports showpiece will be the most expensive Olympics (winter or summer) in history and five times more expensive than its original budget. Lillehammer also overshot its original costs by a similar multiple.

It's hard to see how hosting an Olympics can ever add up financially, but it appears you can't put a price on the experience of hosting.

"Lillehammer was well organized. It really was a huge party. Was it worth $2 billion or not? It seems like a lot of Norwegians think that it was," Teigland says.

Andersen agrees. "Here in Norway, I have never heard people say it was not worth it," he said. "Everything in Lillehammer got a lift. It wasn't just an investment in the sports venues, it was an investment in the town itself and also the rail and road links from Oslo."

Norwegians have much to cheer about when it comes to medals too. Since 1994, the homeland of Sondre Norheim -- the man who invented recreational skiing in the 19th century -- has collected a further 92 Winter Olympics medals (including 34 gold), and finished top of the table at Salt Lake City in 2002 with 13 golds and 25 in total.

Thanks to the Netflix series "Lilyhammer," TV viewers worldwide are getting to know the town all over again and in a little over two years, Lillehammer will welcome back a new generation of athletes for the 2016 Winter Youth Olympics.

"We are building a new knowledge for young leaders and coaches here in Norway," Andersen says.

"I believe that will be our big gift for the next generation."

@highlight

Small Norwegian town rose to sporting prominence at 1994 Winter Olympics

@highlight

Investment in Lillehammer has made it a post-Olympic center of sporting excellence

@highlight

$1.2 billion of public money gave boost to town but didn't increase tourism as expected

@highlight

Lillehammer set to host second Winter Youth Olympics in 2016