Hong Kong (CNN) -- Hong Kong art collector Alan Lo and his father share a love for Chinese art. The younger Lo buys modern Chinese art; his dad owns an important collection of traditional Chinese ink drawings. In the past, they've sold some of their pieces at auction without much drama. However, there was one particularly frustrating transaction.

"My dad encountered an experience where he sold a piece of work upwards of $5 million to $10 million. It took the buyer almost half a year to pay the auction house," Lo recalls, saying the anonymous buyer was most likely from mainland China.

Whether it's a cultural issue or a calculated financial move, non-payment causes major headaches for all players involved. The sellers don't get their money, the auction house doesn't get its commission, and storage and insurance costs add up.

"With big-ticket items, it's becoming more and more of a concern with mainland buyers. To a certain extent, they have less of a tendency to follow the rules of the game," Lo says. "Sometimes, it's not so much about the money. They just can't be bothered. Their attitude is, 'I'm such a big customer. I can't be bothered. Maybe I'll pay a third now and then another third later'."

The rise in deadbeat art buyers in the region comes in tandem with Asia's growing importance in the global art market. "Up until 2008, Asia was 2% to 4% of group sales," says Francois Curiel, president of Christie's Asia. "Today, 25% of our buyers come from this region."

"Mainland buyers not paying seems to be a phenomenon that's increasingly prevalent," says fine art consultant Jonathan Crockett, based in Hong Kong. "They always have the money but they don't necessarily want to spend it. Yet, they still want the art. They want the best of both worlds." Crockett's worst experience was overseeing a transaction in which the buyer took two years to pay up.

Sotheby's has been bitten hard in the past and now takes a very aggressive stance against deadbeat auction winners. Sotheby's Asia has filed 13 lawsuits since 2007 with five cases still unresolved.

"Our lawsuits do not mean that we are experiencing more defaults than other auction houses. It just means that we take our obligations to our consignors seriously and are willing to take this step when necessary to protect them," Kevin Ching, CEO of Sotheby's Asia, wrote in an email to CNN.

Sotheby's recently sued two mainland buyers, Ma Dong and Ren Chunxia, because they hadn't paid for winning bids that totaled $15 million. Sotheby's confirms Ren has since settled her payment while the case against Ma is still winding its way through Hong Kong's High Court.

While mainland buyers get most of the bad rap, industry insiders say the problem also exists among buyers from other emerging markets like Indonesia and Malaysia.

Christie's Asia says the problem is not a major issue for the auction house today but it was a problem back in 2010. "I always wondered why someone would come to an auction, raise their hand and bid, and decide not to pay afterward," says Curiel. "I thought it was something new for some customers -- like going to a gallery, deciding to buy and the next day changing their mind. I suppose it was because some collectors were new to the auction game and were not familiar with it."

As a safeguard, major auction houses often require significant deposits before the bidding takes place. Last October, Sotheby's introduced an across-the-board deposit policy in which prospective bidders must put down a minimum deposit of HK $200,000 (US$25,800). At Christie's Asia "we ask you to pay a 20% deposit on what we think you're going to buy ... If you win the bid, that 20% goes toward the sale," says Curiel. "If not, we return the money to you the day after the auction."

Before an auction, both Sotheby's and Christie's ask for bank references from bidders or talk to major dealers to find out if the bidder has a good track record.

Still, buyer and seller beware. "The risk is inherent. Art is generally not the most liquid of assets. It's probably one of the most illiquid in terms of worth. So people trying to put off payment is just part of that," cautions Crockett.

Lo explains why the risk may be worth taking at auction, compared to buying art through a gallery or middleman. "Chances are you are still getting the best price at auction," he says. "The risk is higher and there's more concern about getting payment, but it's the risk the seller has to take."

@highlight

As art sales in China grow, so are the difficulties receiving payment for auction buys

@highlight

Rise in art sales defaults comes in tandem with Asia's growing impact on the global art market

@highlight

Sotheby's recently introduced a policy where all bidders must pay a minimum deposit

@highlight

"Up until 2008, Asia was 2-4% of group sales. Today, 25% of our buyers come from (Asia)"