Crucial talks on ending Syrian control of its chemical weapons began Thursday in Geneva with the top negotiators -- U.S. Secretary of State John Kerry and Russian Foreign Minister Sergey Lavrov -- offering similar goals but different ideas on how to reach them.

"This is not a game," Kerry said, making clear that a U.S. threat to attack Syria for allegedly gassing its own people remained an option if the negotiations failed to prove Syria and its ally Russia were serious about the Syrian regime handing over its chemical weapons stockpiles.

Any agreement reached must be "comprehensive," "verifiable," "credible" and "able to be implemented in a timely fashion," Kerry said, adding that "there ought to be consequences if it doesn't take place."

Lavrov, speaking in Russian, called for following established rules and protocols in the process for Syria to join the Organisation for the Prohibition of Chemical Weapons and said that a solution "will make unnecessary" a military strike on Syria.

Also Thursday, Syrian U.N. Ambassdor Bashar Ja'afari said his country formally asked to join the chemical weapons convention that bans such arms.

However, the challenge facing negotiators was made clear by Syrian President Bashar al-Assad, who told Russian TV that his country would only agree to turn over its chemical weapons when the United States drops its threat to attack.

"This does not mean that Syria will sign these documents, carry out the conditions and that's it," al-Assad said, referring to the global convention against chemical weapons. "This bilateral process is based, first of all, on the United States stopping its policy of threatening Syria."

In the interview, al-Assad said joining the convention gives Syria a standard 30 days to provide information on its stockpiles to the international community. Kerry appeared to reject that in his opening remarks for the talks with Lavrov.

Referring to al-Assad's comment, Kerry said: "We believe there is nothing standard about this process" because of  the August 21 chemical weapons attack in suburban Damascus that the United States estimates killed more than 1,400 people.

Reiterating the U.S. contention that al-Assad's regime was responsible, Kerry said "we have in no uncertain terms made it clear that we cannot allow that to happen again."

The planned two days of meetings in Geneva by full diplomatic teams, including weapons experts, were considered a litmus test by President Barack Obama's administration for whether Russia is serious in pushing its ally Syria to give up hundreds of tons of chemical arms.

Otherwise, Obama argues for targeted military strikes intended to inhibit Syria's ability to use its chemical weapons and deter it from considering doing so.

Key developments in Syria crisis

Skepticism that Russia plan may be stall tactic

Kerry first publicly broached the idea of Syria turning over control of its chemical weapons, responding to a journalist's question Monday that such a move would prevent a U.S. attack.

In a move that appeared to catch the Obama administration by surprise, Russia then formally proposed putting the Syrian chemical arsenal under international control and al-Assad's regime said it agreed.

The ongoing U.S.-Russia negotiations in Geneva aimed to work out details on taking control of Syria's chemical weapons, setting the stage for a related U.N. Security Council resolution.

However, Russia's steadfast opposition to any U.N. action on Syria raises questions about whether the talks in Geneva are merely a stall tactic to put off the U.S. attack Obama is threatening.

As a permanent member of the Security Council, Russia has so far blocked U.N. action sought by the United States and European allies against al-Assad's regime over chemical weapons.

That track record fuels questions in the United States about the sincerity of the new Russian proposal for Syria to turn over control of its chemical weapons, with concerns it is a stall tactic to put off a U.S. attack or some other form of international response.

Kerry told Syrian opposition leaders Thursday that he entered the talks with Lavrov "from a position of skepticism," said a senior State Department official on condition of not being identified.

That sentiment was echoed by House Speaker John Boehner in Washington.

"I have doubts about the motives of the Russians and Assad," Boehner said.

U.N. report on Syria coming

Obama had tried to put together a NATO coalition to attack Syria. But he ran into roadblocks, like the vote by Britain's parliament -- a normally reliable party -- opting not to participate.

He then asked Congress to authorize a military response in Syria, but appeared in danger of losing that vote until the Russian proposal emerged Monday to provide a diplomatic opening.

While Kerry was in Geneva, Obama met with the rest of his Cabinet on Thursday and wished his absent secretary well.

"I am hopeful that the discussions that Secretary Kerry has with Foreign Minister Lavrov as well as some of the other players in this can yield a concrete result," Obama told reporters. "And I know that he is going to working very hard over the next several days to see what the possibilities are there."

Former U.S. Defense Secretary William Cohen told CNN on Thursday that Kerry will have his hands full with Lavrov, whom Cohen described as "very, very skilled," "bright," "articulate" and "a very tough negotiator."

Thursday's initial session revealed some of the dynamic between Kerry and Lavrov.

In their opening statements, Lavrov spoke first with mostly technical comments and then Kerry followed with longer and more forceful remarks. When he finished, Lavrov asked to respond and said he hadn't come "prepared with the extended political statement," adding that "diplomacy likes silence."

Kerry then asked the translator to repeat Lavrov's final comment, but when that didn't happen, Lavrov tried to assure Kerry there was no problem.

"You want me to take your word for it? It's a little early for that," Kerry said, smiling, as the two men shook hands for the cameras.

In some potential good news for Obama, French Foreign Minister Laurent Fabius said Thursday that a U.N. report on the August attack in Syria will "probably" be published on Monday, and that there will "certainly be indications" pointing to the origin of the attack.

France and other U.S. allies have said they want any international response on Syria to come under U.N. auspices, and the report by inspectors who traveled to the site of the attack would be a first step toward generating support for a Security Council resolution.

Obama makes case for action

The president insists he has the authority to attack Syria without congressional approval, but says he decided to seek the support of legislators for the sake of national unity.

In a speech Tuesday night, Obama made moral and strategic arguments for taking action on Syria, challenging Congress and the American public to look at video footage of victims and saying that letting al-Assad get away with it would harm the security of the United States and its allies.

Analysis: Obama a winner or loser on Syria?

Opponents of a U.S. military strike argue that it could lead to another quagmire in someone else's civil war, and that Obama's proposal for limited strikes would fail to achieve the objective of eliminating the threat of Syria's chemical weapons.

Russian President Vladimir Putin injected himself into the American debate with an opinion piece first published late Wednesday on the New York Times website that argued against U.S. military intervention in Syria and implicitly criticized Obama.

The White House shrugged off Putin's jabs at Obama as "irrelevant," arguing that Russia's diplomatic intervention over Syria's chemical weapons meant that Putin now was "fully invested" in removing them from al-Assad's control.

Meanwhile, a U.S. official told CNN that CIA-funded weapons have begun flowing to Syrian rebels, as pledged by the administration in June.

The artillery described as light weapons, some anti-tank weapons and ammunition are not American-made, but are funded and organized by the CIA. They started to reach rebels about two weeks ago, the official said.

Gen. Salim Idriss, the head of the Free Syrian Army, told CNN's Christian Amanpour on Thursday that U.S. aid was reaching the rebels, though he didn't detail whether that support includes weapons.

"We are getting now a lot of support from our American friends, but I can't talk in detail about all kinds of the support," Idriss said.

Congress approved supplying weapons to the rebels after the administration asserted earlier this year that the al-Assad regime had used chemical weapons on a small scale.

Before that, Obama had rejected calls by his national security team and members of Congress to increase direct military aid to the rebels.

Those pushing for arming the rebels argue such a step would counter Russian weapons supplied to al-Assad's forces and strengthen the hand of moderate members of the Syrian opposition, making them less reliant on well-armed Islamic extremist elements within their ranks.

But a senior U.S. military official has said, "we do not see a clear division between moderates and extremists," making it hard to back the opposition without supporting extremist elements as well.

While one U.S. official says "only a minority are extremist" -- a reference to rebel fighters tied to the al Qaeda-linked al-Nusra Front -- U.S. officials familiar with intelligence assessments say many more rebel fighters than belong to that group may want to establish an Islamic state in Syria.

On the other side of the bloody war, al-Assad's forces are getting support from at least 2,000 members of Hezbollah -- a pro-Syrian group based in Lebanon that the United States has designed as a terrorist organization -- U.S. officials estimate.

@highlight

Many rebel fighters want to establish an Islamist state in Syria, U.S. officials say

@highlight

Kerry says there should be consequences if Syria fails to turn over chemical arms

@highlight

Russia is proposing that Syria turn over its chemical weapons to international control

@highlight

Some in U.S. question Moscow's sincerity given its persistent backing of Syria