(CNN) -- Agatha Achindu's life-changing career move started out simply enough -- she wanted a healthy baby.

Cameroon native Agatha Achindu started Yummy Spoonfuls to give her child healthy choices.

More than three years later, that passion is a profession for the native of Cameroon. She runs an organic baby food company, which is winning raves from some consumers and, even in a tough economy, has started to earn her a steady income.

"I had a very hard time getting pregnant, and so when I got pregnant, I said I was just going to do everything right, which means the freshest foods for my child," said Achindu, 42, who lives and works in Marietta, Georgia, a suburb of Atlanta.

But when she reached for baby food off the grocery-store shelves, she said, she didn't like what she found -- jars filled with sugar, additives and preservatives.

It was a far cry from what she grew up with in her African home.

"It's more farm to table, so we don't really deal with a lot of preservatives," she said. "I could be eating plantains and know precisely where the plantains came from -- it was my backyard or a neighbor's."

She started shopping for vegetables and fruits from her local farmers' market. She cooked, chopped and blended to make baby food for her son, Jared.

Her neighbors, friends and fellow church members started asking her to increase the sizes of the batches -- they wanted their children to have what her son was having.

"It's like, 'Can you make it for me? I can't do what you do. My child doesn't like when I make it and you're not there,' " she said, mimicking the requests.

Finally, in 2006, it got out of hand.

"My husband ... even though he never said it, was like, 'OK, it's about time you make some money doing this,' " she said.

Today, three years after incorporating Yummy Spoonfuls, she's still doing most of the shopping, chopping and cooking on her own.

Achindu works out of a rented commercial kitchen in Marietta. Six employees, some of them African immigrants like herself, help with preparation and finances.

Her flavors run the gamut from simple -- organic potatoes, carrots and peas -- to adventurous -- such as organic adzuki beans and sweet potato porridge.

But it wasn't a move without sacrifice. Achindu, who had come to the United States in the early '90s, gave up a job as a manager for a hospitality software company and cashed in her 401(k) retirement fund to get the venture off the ground.

"That was money -- a lot of money," she said. "But this is more fulfilling because I truly believe that I'm making a difference in people's lives."

Business experts have mixed feelings on whether a down economy is a good time to start a small business.

There's the obvious concern about people spending less money and the difficulty in securing loans as the banking industry tries to claw its way out of meltdown mode.

"Right now the banks are failing left and right so it's difficult to get credit, " said Small Business Administration spokeswoman Molly Brogan.

And there are the numbers that exist even in good times -- 20 percent of new businesses fail after the first year, and more than half have failed four years later, according to the SBA.

But there are positives, too.

An economic crisis can be a good time for a new business to steal market share from established, but vulnerable, competitors, said Jeffrey Cornwall, director of the Center for Entrepreneurship at Belmont University in Tennessee.

And small businesses require fewer employees, have less overhead and are able to cut costs more easily than bigger rivals when the economy goes sour.

Of course, it doesn't hurt to have a good product.

In January, the parenting magazine Cookie named Yummy Spoonfuls its "clear favorite" baby food after a taste test by a dozen moms.

It celebrated the food's wholesome makeup -- no sugar, salt, additives, preservatives, pesticides or fillers -- and said it offers "some of the most creative and texturally interesting flavors we've seen."

Making money hasn't been automatic for Achindu despite her growing success.

Up until about a year ago, the company was still operating at a slight loss. But now "we don't need to dig into personal savings to support the business -- the business supports itself," she said.

Achindu said she's hoping the big profits will come soon. Until then, she said her belief in what she's doing is its own reward.

"I truly believe that good food, healthy food, is not a privilege, it's a right," she said. "Every child deserves to eat healthy food."

CNN's Doug Gross contributed to this report.

@highlight

Agatha Achindu's business grew out of making her own baby food

@highlight

Native of Cameroon couldn't find fresh food like she remembered as girl

@highlight

Yummy Spoonfuls has received raves from parenting magazine, customers

@highlight

Experts say some small businesses can excel in a tough economy