A bloodied but defiant activist -- his face scarred, an ear severely cut, his body "beaten black and blue" -- has become the latest symbol of the turmoil in Ukraine, stirring fresh anger in that country and elsewhere as the political standoff drags on.

The visibly battered Dmytro Bulatov reappeared Thursday, more than a week after he went missing amid anti-government protests. He told reporters he'd been kidnapped and tortured by his captors -- who, he claimed, "crucified me" by piercing his hands -- before being dumped in a forest. Video footage shows blood caked on his head where he said his ear was cut.

Bulatov, who organized convoys of motorists as part of the so-called AutoMaidan protest movement, said his abductors -- seemingly unable to grasp that protesters were there on their own free will -- asked him who was funding the effort.

Ukrainian protester wants to live in a lawful state

One day later, the uproar over his treatment and that of the opposition built.

Much of this anger and pressure was directed at Ukraine's embattled government, even if it hasn't been directly implicated in what happened to Bulatov.

Vitali Klitschko -- head of the Ukrainian Democratic Alliance for Reforms party and the most high-profile opposition leader -- blasted the activist's treatment as "an act of intimidation of all active citizens."

"Many AutoMaidan activists have suffered," the former world champion boxer added, noting protesters who've had their cars smashed and been arrested in the unrest.

The views from outside Ukraine weren't much kinder.

Saying the U.S. government was "appalled by obvious signs of torture," White House spokesman Jay Carney said, "We are deeply concerned by increasing reports of protesters disappearing and being beaten and tortured, as well as by attacks on journalists.

Carney added: "It is especially concerning that some of these reports have suggested the involvement of security forces."

The Interior Ministry is investigating what happened to Bulatov, state news agency Ukrinform reported.

The European Union's foreign policy chief, Catherine Ashton, said after meeting Friday with Ukrainian opposition leaders that -- even after all this public, international anger -- she is "deeply alarmed by the violence and cases of intimidation and torture."

"I am particularly appalled by the cruel treatment and torture of Dmytro Bulatov and reports that there are attempts to arrest him from his hospital bed," she said in a statement. "This is completely unacceptable and must stop immediately."

Military calls for stability

These comments came as Ukrainian President Viktor Yanukovych signed into law Friday a bill that would grant amnesty to scores of political prisoners now detained.

But it appeared to be a moot move, given that the opposition -- whose allies, theoretically, would be the ones freed -- haven't backed it. They questioned the requirement that protesters vacate seized government buildings and unblock streets before amnesty is granted.

In fact, the protesters camped out on the bitter cold streets of the capital, Kiev, didn't budge after the amnesty law went into effect.

Their demands, too, haven't changed: for wider constitutional reforms and shifting more power away from the President and onto the Parliament.

They have been in Kiev's Independence Square, or Maidan, since November, when the President reversed a decision to sign a long-awaited trade deal with the European Union and turned instead toward Russia.

The protests turned violent after Yanukovych's party rammed a controversial anti-protest law through Parliament two weeks ago. At least four protesters and an unknown number of police also have been killed.

Thankfully, there have been no repeats of those violent confrontations since last week.

On Friday, Ukraine's military forces urged the President to restore stability, saying that a further escalation of the political unrest in the country threatens the Eastern European nation's territorial integrity.

Yanukovych must take "immediate measures to stabilize the situation,"  the country's Defense Ministry said a statement.

In an interview with Russian state news agency Itar-Tass on Sunday, Ukrainian Defense Minister Pavel Lebedev said that Ukrainian military forces would not interfere in the country's current political unrest.

"The army will abide strictly by the constitution and laws of Ukraine that set clearly its role, functions and tasks, including use of armed forces," Lebedev said.

European leaders call for 'immediate dialogue'

Yanukovych on Thursday defended his government's handling of the political crisis, saying that it had "fulfilled all its obligations" and that opposition leaders were stoking people's anger for their own gain. His office had earlier said he was out on sick leave.

Former Ukrainian President Viktor Yushchenko told CNN's Christiane Amanpour on Thursday that the opposition does not have full control of the street protests that have shaken the country.

The opposition, he said through a translator, hasn't provided a "comprehensive pact" that would satisfy protesters' demands.

According to Yushchenko, the opposition is concerned about "the fight for power," but less with "the strategic course of the country."

Opposition politicians have called for Yanukovych also to stand down, but he has not given any indication he will do so.

Speaking at a joint news conference in England on Friday with French President Francois Hollande, British Prime Minister David Cameron appealed for a peaceful resolution to the crisis.

"We are concerned about the violence in Ukraine. The repeal of restrictions on fundamental freedoms was a step in the right direction, and we urge President Yanukovych to respect his people's wishes and put his country back on a path to a more stable and secure European future," Cameron said.

"On Ukraine, we are calling to an immediate dialogue without violence," Hollande said.

@highlight

EU's Ashton calls treatment of tortured activist "unacceptable"

@highlight

U.S. is "appalled by obvious signs of torture," spokesman says

@highlight

President signs an amnesty bill for detained protesters into law, but opposition is unmoved

@highlight

Protesters have camped out in Kiev since November, demanding constitutional reforms