Tacloban, Philippines (CNN) -- Surrounded by rubble, children swarm around a public well in this storm-ravaged city, where bodies are still lying in the streets days after a deadly typhoon struck.

The children douse themselves with water and fill plastic cups and jugs.

"Even though we're not sure that it is clean and safe," Roselda Sumapit said, "we still drink it, because we need to survive."

The scene on a street in the city of Tacloban is one of many CNN reporters and others have witnessed as residents deal with the death and destruction that Typhoon Haiyan left behind when the massive storm tore through the Philippines:

'Worse than hell' in typhoon-ravaged Philippines

'We don't have anything to eat'

As they searched for loved ones lost in the storm, desperate survivors asked for help.

"Our house got demolished," one woman told CNN affiliate ABS-CBN. "My father died after being hit by falling wooden debris. We are calling for your help. If possible, please bring us food. We don't have anything to eat."

A man begged for forgiveness because he couldn't save his daughter from the typhoon's wrath.

"We all got separated from each other when the strong waves hit," he told ABS-CBN. "We got separated. I couldn't even hold on to my child."

Another man said he was still trying to find six family members.

"My child has been buried in that island," he said.

'I'm going to die'

Shirley Lim still remembers the sounds she heard as the storm struck.

The wind was so strong, she said, it sounded like someone was crying.

"It's like the movie 'Twister,'" she said.

Speaking to CNN Monday from the city of Coron, Lim said one thought ran through her mind during the storm: "I'm going to die."

But Lim survived.

Many homes in Coron were severely damaged by the typhoon, she said, as the howling winds ripped roofs off houses made of light material like bamboo.

Prison inmates threaten breakout

A man stands on a rooftop, threatening to jump.

He is one of 672 inmates at a Tacloban prison, where food and water supplies ran out on Monday.

Now, the prison's warden says the inmates have given him a warning, threatening a mass breakout in one or two days if they don't get food and water.

From the prison's rooftop, the inmate says he is devastated -- but he doesn't mention food or drink. He says he doesn't know what happened to his family during the storm.

Desperate victims at airport

Magina Fernandez's voice cracks as she comes face to face with Philippines President Benigno Aquino III at Tacloban's airport.

Help, she says, hasn't come quickly enough.

"We need to get the word out," she tells him, "because the Philippine government can't do this alone."

Fernandez was among the steady stream of typhoon victims arriving at the airport, searching for food, water and a chance to escape. She tells CNN she is desperate to leave the city.

"Get international help to come here now -- not tomorrow, now," she says. "This is really, really like bad, bad, worse than hell, worse than hell."

Water, wind and fire create catastrophe

Fear spreads

Richard Young wears a green whistle on a plastic strap around his neck.

He has been carrying it since Saturday night when small groups started forming to defend his neighborhood. They stayed up all night, he says, prepared to whistle if they saw any looting.

But whistles aren't the only thing they have, he says. Many also are carrying weapons.

"As long as they don't harm my kids, my family, that's OK," he says. "But once we are threatened, we will shoot. All of us, we are ready."

Already, the Filipino businessman says he's been shocked at the looting he's seen in the city -- not just food, he says, but large appliances like refrigerators and washing machines. Thieves, he says, have already ransacked his shop and others nearby.

"We are very afraid. ... In Tacloban we are almost 98% Catholics, and I can't believe they did this," he says. "Nobody would think it's going to be lawlessness."

'We were just floating'

Tacloban City Councilor Cristina Gonzales-Romualdez and her husband, Mayor Alfred Romualdez were at their home facing the Pacific Ocean when the storm surge came, CNN affiliate ABS-CBN reported Tuesday.

Suddenly, water burst into the home and rose so quickly, the people inside had to punch holes in the ceiling and climb to the second floor to avoid being swept away, Gonzales-Romualdez told the network.

She found herself worried she would be swept out to sea.

"We were just floating, I was holding on to my kids," she said.

Bodies everywhere

Days after the storm hit, bodies remain everywhere, some crudely covered, others exposed to the burning sun, CNN's Paula Hancocks reports. Two bodies, one large and one small, lay under what appeared to be a bus shelter below a sign with the phrase, "I (heart) Tacloban."

Officials tell Hancocks they are focusing on the living, but the bodies pose a health risk to survivors.

"The stench is overpowering," she said.

Shocked by the devastation

Sebastian Rhodes Stampa knows devastation. The U.N. disaster assessment team chief has been to some of the worst crisis zones in the world.

The devastation from Typhoon Haiyan simply took his breath away when he set foot in Tacloban.

"I have to say, I was caught by surprise," he said Monday. "Just getting off the military transport and looking at the airport, it almost wasn't there. It was utterly destroyed."

Traveling the region, he has seen huge boats thrown from the sea well up onto shore, and buildings knocked flat by the towering storm surge. In all, he said, these are scenes of "appalling devastation and tragedy."

Checkpoints on crucial road

Police checkpoints appeared Monday on the 9-mile (15-kilomter) road from the airport to Tacloban.

Officers told Hancocks that desperate residents looking for food and water had been jumping onto trucks leaving the airport.

But CNN's Andrew Stevens spent three to four hours in bumper-to-bumper traffic on the airport road and saw no aid trucks.

"We're still going past dead bodies, we're still going past a shattered landscape," he reported.

The Marine contingent brought trucks to increase the capacity to bring supplies into the city.

Hundreds volunteer to pack aid

At the provincial welfare office in Cebu, hundreds of volunteers pack food and supplies into sturdy white bags.

An employee who gives his name as Richard tells CNN's Anna Coren that students, workers and even tourists from Germany had arrived to help.

"I'm deeply touched," he said.

Hospital without supplies

A hand-drawn sign at the front of St. Paul's Hospital in Tacloban gives a sense of the dire situation there.

"No admissions," it says. "No supplies."

Interactive map of the storm

Without electricity at the large private hospital in this storm-ravaged city, workers used headlamps for light as they performed emergency first aid on victims who streamed in with wounds from flying debris.

"We just can't keep going," one doctor says. "There's just no supplies."

Children ripped from arms

Searching for family lost in the storm

Splintered wood beams cover the ground where roads once connected a neighborhood near the coastline.

Here, the storm surge plowed down homes, leaving behind mounds of rubble as far as the eye can see.

Authorities pleaded with residents in the coastal area to evacuate as the storm approached. It's unclear how many did, and how many may be missing.

Amid the chaos, one man says he is searching for his father, brothers and uncles under the rubble.

"We all tried to leave, but it was too late," he says. "I got separated when the waters started rising. I don't know what happened to them."

Devastation for miles

From the air, the damage to Tacloban is striking.

Forests of palm trees were mowed down on hills surrounding the city.

Inside the city, the damage is catastrophic.

The storm surge shoved massive freight ships ashore.

Many buildings were flattened. Those that weren't had large chunks ripped away by ferocious waters and winds from the storm.

William Hotchkiss, general director of the Philippines' Civil Aviation Authority, says he's never seen anything like it in decades of flying over the country after storms.

He says he fears his country faces more disasters like this in the future.

"The biggest challenge," he says, "is to sort of come up with structures that will take into consideration what they call 'the new normal' -- storms that are maybe as destructive as this one."

How to help

Philippines gets more than its share of disasters

CNN's David Simpson, Tim Schwarz, Brad Olsen, Chandrika Narayan and Catherine E. Shoichet contributed to this report.

@highlight

NEW: "My child has been buried," one survivor says

@highlight

Contamination concerns take back seat as residents use what water they can find

@highlight

At a prison in Tacloban, inmates threaten to break out

@highlight

A hospital with no supplies turns away patients