Washington (CNN) -- As soon as Air Force One touched down in Indiana on Friday, Gov. Mike Pence met President Barack Obama on the tarmac with a plea: Expand the state's access to government-sponsored health insurance.

The catch: Pence wants to do it with a conservative twist.

At least, that's how he's selling his proposal. And his political future could hinge on whether the first-term Republican can convince conservatives that he's not just rebranding Obamacare.

Pence has spent much of his first two years in office trying to strike a bargain on one of the health care law's core components. Indiana will expand Medicaid coverage, Pence says, but only if it's allowed to do it through a tweaked version called the "Healthy Indiana Plan," which also requires users to make small payments into health savings accounts.

He spent five minutes chatting with Obama at the Evansville airport, lobbying to have the Health and Human Services Department green-light Indiana's request, before the president visited a factory in Princeton, Indiana.

"The president and I talked through a number of substantive issues that have arisen in our discussions over the Healthy Indiana Plan," Pence said afterward, "and I appreciated the opportunity to call the matter to his personal attention."

He said he also spoke last night with top Obama adviser Valerie Jarrett, and will meet Monday with HHS Secretary Sylvia Mathews Burwell.

Pence's focus on a health care expansion is at the center of his effort to evolve from a firebrand conservative congressman to an executive with a record of accomplishment ahead of a White House run that many Republicans close to him see as a question of when -- not if.

As he flirts with a 2016 bid, Pence could be the best test of whether a conservative can run nationally after expanding a government-sponsored health system. Mitt Romney faced hurdles with conservatives during his 2012 presidential bid, in part because of the health care system he put in place when he was the governor of Massachusetts.

Other governors who could seek the 2016 GOP nomination -- including New Jersey's Chris Christie and Ohio's John Kasich -- have accepted Obamacare's extension of Medicaid coverage to hundreds of thousands of their state's residents.

But Pence has taken an important extra step. He's arguing that Indiana's proposal is the solution to Medicaid's woes. He called Indiana's plan "a better and more effective alternative" to traditional Medicaid in a letter to Obama on Thursday.

The Healthy Indiana Plan's key departure from traditional Medicaid is that users are required to contribute small amounts of their own money to personal health savings accounts. The program was developed under former Gov. Mitch Daniels and initially served about 40,000 adults under a Medicaid waiver that HHS granted before Obamacare's existence. After Pence was elected in 2012, he said a slightly updated version called the "Healthy Indiana Plan 2.0" is the only vehicle he'd consider for expanding coverage.

"Since its inception, the Healthy Indiana Plan has empowered its members to take greater personal ownership over their health care decisions and become more cost-conscious consumers of health care services," Pence wrote to Obama on Thursday.

But some conservatives say Indiana's changes to Medicaid are just "window dressing."

"It seems like he's just sort of taken the moniker of health savings accounts and applied it to this brand new entitlement in hoping that this window dressing will make it conservative," said Jonathan Ingram, the research director for the Foundation for Government Accountability, which has set up a website -- StopPence.com -- blasting Pence's handling of the issue.

Even Pence's usually-reliable allies have been critical. Chase Downham, Americans for Prosperity's Indiana state director, called it a "troubling deviation from the solid, free-market approach Gov. Pence has taken on most other matters," and said he hopes Pence is firm with Obama to keep from giving "any ground which would result in Hoosier taxpayers paying even more."

The criticism comes as Pence is increasingly hyped as a prospective nominee who both the GOP's base and its business wing could find acceptable.

A 2016 run is no lock, and Pence has said he'll make a decision about his future next year -- likely after the Indiana legislature wraps up its budget-writing session in April.

But he's been testing the waters. Pence visited Iowa last month and will campaign in New Hampshire for Gov. Walt Havenstein on Oct. 24. He critiqued Obama's handling of foreign policy during a trip to Germany over the summer.

And two of his former top aides, Marc Short and Matt Lloyd, now work within the network of conservative funding giants Charles and David Koch -- a sign that Pence would have the financial backing for a national run.

Ingram said his group polled three early primary states -- Iowa, New Hampshire and South Carolina -- in August, and found that 70 percent of likely GOP primary voters said they wouldn't support a candidate who had expanded Medicaid.

"The idea that a Republican governor can come in and implement Obamacare and then run for president unscathed -- it seems a little ridiculous," he said.

@highlight

Mike Pence urged President Obama to OK Indiana's proposal to expand health coverage

@highlight

Pence says Indiana's plan is a departure from traditional Medicaid because it includes health savings accounts

@highlight

But conservatives are accusing Pence, a possible 2016 GOP presidential contender, of embracing Obamacare