WASHINGTON (CNN) -- It's a position that John Quincy Adams once called downright pathetic: that of a former president.

In his post-presidency, George Bush has plans to construct a presidential library and work on his memoirs.

After all, the process of relinquishing the most powerful job in the world isn't an easy one, especially given the American public's notoriously fleeting attention span and penchant for paying little heed to once-prominent political figures after they exit the public stage.

As the days dwindle until President Bush joins what Herbert Hoover called the "most exclusive trade union in the world," the unpopular commander in chief recently declared that he's more than ready to forgo the limelight.

Although ex-presidents in Adams' day quickly descended into obscurity after their years in the Oval Office, today the transition away from serving as the leader of the free world is high-profile, potentially very lucrative and, above all, a difficult job in itself.

This is especially true for Bush, historians and political observers say. He not only must oversee the construction of a presidential library and begin writing his memoirs, but he also must grapple with salvaging a legacy mired in the lowest presidential approval ratings in history.

"The first year for every ex-president is really hard," said Douglas Brinkley, a presidential historian at Rice University. "You have to raise all this money for your library, you've got to build an organization, you have to write a huge memoir, your papers are in disarray, and you suddenly realize your mistakes because your pace slows down."

Bush has more than a month left in office, but planning for his post-presidential year began more than two years ago. In many ways, the process is in full swing.

Fundraising and planning for his presidential library, to be built on the campus of Southern Methodist University in Dallas, is well under way. The president has started interviews with high-profile journalists, by all accounts already trying to define his legacy.

But as the president is set to begin his stint out of office, the exact path he will take remains unclear.

Bush has expressed interest in writing a memoir and hitting the highly profitable lecture circuit, but experts say both pursuits could pose pitfalls.

Publishers, concerned the president's slumping approval ratings could translate to less-than-stellar book sales, have reportedly been lukewarm about a Bush book deal.

Bush has expressed interest in cataloguing 10 crises he's faced, Brinkley said, but wary publishers are somewhat cold to that idea, perhaps concerned that a public still reeling from the country's financial meltdown might not have an appetite for the president's account of his own difficult times.

Bush, like several of his predecessors, is also likely to embark on the business of making money -- and a lot of it -- off his status as a former occupant of the White House.

The Clintons have made more than $100 million in the eight years since the curtain closed on their White House years, and Bush himself has said that his father earns $50,000 to $75,000 a speech.

To be sure, profiting from their White House years is a staple for modern ex-presidents: Gerald Ford capitalized on his accidental 2½-year presidency by sitting on the board of several major corporations, and Ronald Reagan caused a stir when he netted $2 million for a few brief speeches in Japan in 1989.

But the public's overwhelming disdain for the president may delay a speaking tour and Bush ascent to the corporate boardroom.

"He is a president where people are expecting some kind of repair work," said Julian Zelizer, a professor of history and public affairs at Princeton. "If he just goes on the speaking circuit and focuses his time making huge money, that would only tarnish a presidency that only has a low approval rating."

Instead, Bush is more likely to choose a similar post-presidential path, at least initially, as that of Jimmy Carter, who also left the White House with poor approval ratings, Zelizer said.

Instead of seeking to profit off his years in office, Carter became a globe-trotting humanitarian and was awarded the Nobel Peace Prize in 2002 for his work promoting social and economic justice.

In the process, Carter has rehabilitated his image and transformed a legacy that had seemed unsalvageable three decades ago.

"What Jimmy Carter showed is that you can be very active in your post-presidential years and help improve how people think of you as a leader and a policy maker," Zelizer said.

Bush and his handlers are mapping out this phase of the president's post-White House years. Plans are well under way for a "Freedom Institute" that will aim to promote democracies abroad.

The institute, where Bush is expected to play a significant role, is expected to be unaffiliated with an academic institution. Its members are expected to be analysts whose views are in line with the neoconservative outlook that shaped the president's approach to foreign policy.

"This is going to be Bush vision." Brinkley said of the institute. "Bush has never liked the academics, and this is a nonacademic institute aimed at cutting to the core of things: only pro-democracy foot soldiers who are green-lit by George and Laura Bush are in the mix."

It's under the auspices of this think tank that the president might try to improve his legacy, in hopes that Freedom Institute might reveal virtues in the foreign policy vision that led to the most defining decision of his presidency, the invasion of Iraq.

"This president's low approval rating is overwhelmingly connected to Iraq. It will rise and fall depending what turns out to be the history of that country and that part of the world," said Stephen Hess, a former Eisenhower aide and a scholar at the conservative Brookings Institution. "That really is what his legacy for future historians is all about."

@highlight

Ex-presidents of recent administrations have stepped into high-profile positions

@highlight

George Bush is leaving the White House with lowest approval ratings in history

@highlight

Bush has expressed interest in writing a memoir and hitting the lecture circuit

@highlight

With Bush, "people are expecting some kind of repair work," professor says