London (CNN) -- UBS to pay $1.5 billion over Libor manipulation, HSBC paid $1.92 billion for failing to stop money laundering, Standard Chartered paid $667 million, ING, $619 million, Credit Suisse, $536 million, ABN AMRO $500 million and the list goes on and on.

While the number of fines imposed on banks has remained constant over the past 10 years, the value of fines has grown considerably faster than inflation. One has to ask, therefore: Is this the new norm? Are U.S. regulators using financial penalties as a method of indirect regulations? And will it actually work?

American regulators have unique views about how to run a banking industry, views that often differ from their global counterparts. The latter, by and large, have a hands-off approach to an industry that is globally focused.

The U.S. has tried, on countless instances, to influence global regulations. But it has been to no avail. The financial services market outside the U.S. is bigger than the domestic market.

So, if Europe or Asia decides on its own path, the U.S. has very little power to stop it.

It's therefore not unreasonable that the U.S. regulators impose different oversight on foreign banks than domestic equivalents. This is likely the reason we've seen fines of considerably higher value imposed on non-U.S. banks for similar infractions.

Read more: Eurozone still has mountain to climb

Sure, some U.S. banks have seen fines in the hundreds of millions: Bank of America, JP Morgan, Wells Fargo come to mind. But the vast majority of U.S.-based fines are small. You would be forgiven for thinking this is discrimination. It's really indirect regulation.

If a U.S. bank breaks rules, it is relatively easy for U.S. regulators to march into their offices, take all the material they need for an investigation and then dictate policy for the bank.

In the case of a foreign operation, they can't do that. The U.S. authorities have no rights to material held in foreign offices. Further, once funds leave the U.S., they are often irretrievable without political help.

This is the reason why global financial services regulations are necessary and inevitable, although decades away.

By fining at the billion dollar level, banks wishing to operate within the U.S. will be encouraged to be far more carefully than domestic operations. This is exactly what the U.S. regulators want.

Banks find it difficult to operate in the U.S. because they often have to adhere to rules that are diametrically opposed to rules in their home countries.

Money laundering is a great example. The U.S. basically asks banks to assume Iranians and Iranian organizations are guilty until proven innocent, while the rest of the world wants banks to assume Iranians are innocent until proven guilty.

This means global banks have to operate an infrastructure for U.S. rules and a second infrastructure for the rules of other regulators. The costs are high and the risks are many -- and banks simply don't want to do it.

In the end, it's not going to work. The U.S. can fine HSBC or UBS all they want, these two banks are incredibly strong and can easily afford it.

But what about troubled banks, or ones like government-owned RBS? If they were to levy the same fines for these banks they could put them out of business.

If a bank of RBS's size went under, it could cause economic instability in its home country. The government would have to get involved. And fining them a lesser amount for the same infraction would not go down well with HSBC or UBS who would most certainly send a thousand lawyers to Washington to ask why they were discriminated against.

After all, you get a $100 fine for going 20 miles over the speed limit if driving a Ferrari or a Ford.

The opinions expressed in this commentary are solely those of Ralph Silva.

@highlight

Number of fines imposed on banks has remained constant for a decade, but fines' value has grown faster than inflation

@highlight

Silva asks: Are U.S. regulators using financial penalties as a method of indirect regulations? And will it work?

@highlight

American regulators have unique views on how to run banking and have tried to influence global regulations

@highlight

U.S. wants banks to assume Iranians are guilty until proven innocent, rest of the world wants the opposite, Silva writes