Boston (CNN)When the bomb went off, Steve Woolfenden thought he was still standing. That was because, as he lay on the ground, he was still holding the handles of his son's stroller.

He pulled back the stroller's cover and saw that his son, Leo, 3, was conscious but bleeding from the left side of his head. Woolfenden checked Leo for other injuries and thought, "Let's get out of here."

That was before he noticed his Achilles tendon, which resembled transparent tape covered in blood, and his left tibia protruding from his boot.

The boot was next to his left stump, he testified before a federal jury Thursday, the third day in which survivors and family members of those killed in the Boston Marathon bombing shared their stories -- often gruesome and heartbreaking -- in the sentencing phase for Dzhokhar Tsarnaev.

The prosecution rested Thursday afternoon after attempting to convince jurors that Tsarnaev was cold-hearted and remorseless. The defense, led by famed death penalty opponent Judy Clarke, is expected to try to soften that portrayal by calling witnesses to explain Tsarnaev's difficult upbringing. Clarke will begin those efforts Monday.

A group of Tsarnaev's relatives arrived at Boston's Logan International Airport on Thursday, CNN affiliate WHDH reported, but it's not clear if they plan to testify.

The jury must decide whether the 21-year-old, who has been found guilty of perpetrating the attack with his now-deceased brother, will die for his crimes or spend his life in prison.

Woolfenden, a biomedical researcher for the Novartis Institutes, recalled using his belt as a tourniquet on his leg and trying to comfort Leo. The boy cried, "Mommy! Daddy! Mommy! Daddy! Mommy! Daddy! Mommy! Daddy!" he testified.

Amid the stench of "burning hair, blood, sulfur," a good Samaritan emerged. He gave Woolfenden another tourniquet and rushed Leo to safety.

"I was completely terrified because I didn't know if I was ever going to see my son again. There was blood all over the sidewalk, all around me," he said.

Dr. David King, a trauma surgeon at Massachusetts General Hospital, spent 14 years in the U.S. Army as a combat surgeon and served in Iraq and Afghanistan, as well as in Haiti after the devastating 2010 earthquake.

He has treated and operated on hundreds of troops injured by improvised explosive devices, he testified, and what he saw in Boston that day wasn't much different from the carnage he witnessed in war zones.

"I arrived just as the first wave of casualties had shown up," he said. "I looked across the patients and I knew immediately, without anyone having to tell me, exactly what the wounding mechanism was."

Heather Abbott had no such experience, so when one of the two bombs exploded, sending her through the doors of a restaurant and into a "puddle of chaos and blood and glass," her instinct was to run.

But she couldn't. Her foot felt like it was on fire, she testified. Two women helped her as she overheard someone saying a Hail Mary. She called for her husband. He picked her up and carried her out of the restaurant.

"I saw blood pouring out of my foot," she said.

She finally got to a hospital, and after three attempts to save her foot, which was missing its entire heel, a doctor told her she had a decision: She could keep her leg and risk a life of excruciating pain or have it amputated below the knee.

She chose the latter.

"It was probably the hardest decision I've had to make," she testified.

Another marathon attendee rendered an amputee by the Tsarnaev brothers' attack, Marc Fucarile, recounted the two bombs going off.

"I stepped back, and the next thing I remember was looking up at the sky," he testified, adding that he remembered "a lot of yelling, a lot of screaming, people crying out for tourniquets."

A nurse was sitting on his chest, and someone said, "Oh, s***, he's on fire!"

He tried to undo his belt and got a third-degree burn because the buckle was so hot.

A firefighter would later tell Fucarile that he handed his own right leg to the firefighter. He doesn't remember that.

In addition to treating him for severe burns over much of his body, doctors had to cut off a bone and stretch muscle over the stub so that a prosthetic would fit. He still gets blisters.

"So where the prosthetic attaches on your butt, it rubs and breaks down and creates open wounds," he said.

And though his left leg survived, it was severely burned, his calf muscle was blown off and his heel was shattered, he said.

He hopes to save the left leg, he testified, but it's likely that it will have to be amputated above the knee.

He takes more than 70 pills -- 24 pills in morning, 22 in afternoon, 26 at night -- to cope with his injuries, he said.

One of the most dramatic points in Thursday's testimony involved the death of young Martin Richard. The prosecution showed close-up video of the 8-year-old, who was only 3½ feet from one of the bombs, according to the FBI's re-creation of the crime scene.

His parents, Bill and Denise, are opposed to Tsarnaev receiving the death penalty and did not participate in the penalty phase, though Bill Richard did testify during the guilt phase.

Dr. King told the court that Martin was especially vulnerable to the blast because he was so small and close to the ground, meaning the shrapnel more easily reached his head and torso. It's highly unlikely the boy died instantly, King said.

Explaining that Martin died of rapid blood loss, King testified, "Receptors are generally not responsive to cutting. If you happen to be awake and someone cuts your bowel or liver, it generally does not hurt. What hurts is the stretching and twisting. ... Intestines were pulled and twisted; that would have caused visceral type pain."

Woolfenden, the biomedical researcher, recalled seeing Martin and his mother shortly after the good Samaritan took Woolfenden's son, Leo, to safety.

"I saw Martin's face, and I could see a boy that looked like he was fatally injured," he said,

Martin's hair was singed, his eyes had rolled back into his head and his mouth was agape. As for Martin's torso, "I saw an immense amount of blood. I was really, really terrified," Woolfenden said.

He recalled Denise Richard pleading with her son, saying, "please" and "Martin" over and over. Woolfenden placed his hand on Denise Richard's back, he said. She turned to ask Woolfenden if he was OK. He said he was, and she turned her attention back to Martin.

But no response came.

According to testimony, Martin's aorta was nearly severed and he was eviscerated by shrapnel from the blast. He bled to death on the sidewalk, and the last thing he probably felt was excruciating pain from the force of the blast twisting his internal organs.

CNN's Patrick Cornell contributed to this report.

@highlight

Tsarnaev family members arrive in Boston, but it's not clear if they'll testify

@highlight

A woman testifies that she had to choose whether to keep her leg; some other victims had no choice

@highlight

Starting Monday, the defense is expected to call witnesses to explain Dzhokhar Tsarnaev's difficult upbringing