(CNN) -- The tiny puppy with the white and brown fur doesn't have a name yet, just a number: 917.

When he was found, the 8-week-old puppy weighed less than five pounds and had been left in the scorching sun, wearing a chain around his neck that weighed four times as much as he did.

He is one of 371 dogs seized by federal and state authorities last month in Alabama, Mississippi, Georgia and Texas in what authorities say was the second largest dogfighting ring in the United States.

Normally, dogfighters wait until the canines are at least half a year old before they chain them and expose them to extreme heat or cold as part of a brutal program to transform the dogs into fighters, according to American Society for the Prevention of Cruelty to Animals CEO Matt Bershadker.

This puppy was one of several "8- and 10-week-old puppies on heavy, heavy long chains" found during last month's raids, according to Bershadker. ASPCA investigators were present during the raids.

"What we saw on this property brought even our hardened investigators to their knees, so to speak," he said.

The dogs were placed in the temporary care of the ASPCA and the Humane Society of the United States. More than 250 of them -- including puppy No. 917 -- were brought to a converted air-conditioned warehouse, where the ASPCA is caring for them. The others are in the care of the Humane Society.

This month, CNN was granted exclusive access to the ASPCA's rehabilitation of the former fighting dogs. CNN is not disclosing the location of the rehabilitation center for security reasons.

Not only are the dogs getting medical treatment for malnourishment and injuries sustained in fighting, Bershadker said the canines also are getting "a personal behavior modification enrichment plan to maximize each dog's opportunity to be placed in a home."

The goal is to turn these fighting dogs into animals that can be pets or work as rescue and rehabilitation animals.

"What we will do is go to each dog individually and assess their strengths and their weaknesses," said Bershadker.

Detroit grapples with stray dog epidemic

Fighting scars

If he hadn't been rescued, 917 and the other puppies would have likely become typical dogs bred to fight. Some of those fights, prosecutors say, brought in as much as $200,000.

Getting the animal into top physical condition is often the priority for those who train fighting dogs, and that usually begins with a few months lifting a heavy chain.

Next the dog is put in "the keep," an intensive training program before its first fight. When deemed ready, the dogs will be put into the "fighting pit" -- either in a test fight or "the show," a fight in front of spectators.

"Those fights can last 30 minutes, an hour, two hours, even three hours," Bershadker said "That's where the physical wounds are sustained."

Although 917 was too young to sustain injuries and scars from a fight, many of the other canines seized in last month's raid show evidence of being in a fighting pit.

At the ASPCA shelter, Dr. Sarah Kirk conducts an examination on one of the rescued dog. On the table is a dog so skinny that his ribs and vertebrae are visible through his fur.

"He clearly hasn't been well cared for," she said. "His body condition score is probably 2 out of 9."

The cuts, scars and large tumor on his paw suggest a very hard 10 years for this animal, which likely made more than one appearance in the fighting pit.

Since arriving in the shelter, the dog has been dewormed and given medicine for fleas and to manage his pain. The prognosis is good: Kirk said she believes with the proper care this dog will have a good quality of life.

Raiding the dogfighting ring

Last month's raid on the dogfighting ring started with a sliver of information.

"In 2010 we got a tip from a drug defendant that there were high-stakes dogfighting going on in Lee County, Alabama," said Clark Morris, a federal prosecutor in Alabama.

That led to an investigation in Alabama that turned up more evidence of dogfighting in nearby states. Authorities executed 13 warrants in Alabama, Mississippi, Georgia and Texas, which led to 12 arrests.

Those arrested have since entered pleas of not guilty to a variety of federal charges, including conspiracy to promote and sponsor dogfights and conducting a gambling business.

"These defendants were gambling anywhere from between $1,500 to $200,000 on one dogfight, according to our investigation," said Morris, who is prosecuting the case.

If convicted the defendants face up to 15 years in prison. A trial is scheduled for February.

The government plans to forfeit the rights to the dogs and Morris hopes that permanent custody will go to the organizations that are currently caring for them.

"As much as I would love to parade these horribly scared dogs through the courtroom at trial I don't think any judge is going to let me, so I am not going to need the physical dogs," Morris said.

Feds: Busted dogfighters earn spot in 'lowest places in hell'

Healing mental wounds

The once empty ASPCA shelter is now lined with rows upon rows of cages that contain a variety of dogs of all ages. A walk past the cages will prompt some dogs to incessantly bark, others to jump up and down.

The most dramatic reaction is from a black pit bull mix that appears to panic at the sight of a person. His ears stand straight up and he cowers in the corner of his cage as his body trembles.

"Understand that these dogs have experienced nothing but life at the end of a chain," Bershadker explained. "Even a water bowl is new for them ... they are afraid of everything."

To emphasize his point, a sign that reads "I'm FEARFUL, please go slowly" hangs on one dog's cage.

Certified dog trainer Cinder Wilkinson-Kenner moves slowly as she works to gain the trust of an older dog that also has been labeled fearful.

She is on her knees in a pen reserved for training and she has the dog on a leash. In a friendly yet calm and quiet voice, Wilkinson-Kenner repeats the phrase "good girl, good girl" while throwing treats near the animal.

After a few minutes she asks the dog, "Ready to come close?" and she holds out an open hand with a treat in it.

The dog takes the treat and Wilkinson-Kenner gives the dog a break by throwing the next treat away from her to reduce the animal's anxiety from being so close to a human.

The ASPCA is doing all it can to rehabilitate these dogs so they can eventually be given to organizations that will either find them a home as a pet, train them as work dogs, or put them in alternative placements such as a sanctuary.

Maybe one day, the dogs, like 917, can have real names instead of numbers.

"A lot of people have this misperception of fighting dogs being big brutish pit bulls that are killers," said Ehren Melius, the shelter's senior manager, who spends all day with the dogs. "In reality, some of these guys are traumatized from the experience they've been through from lack of socialization, the torture."

While these dogs may have been saved from a life a torture, the ASPCA estimates there are more than 40,000 dogfighters in the United States who are putting hundreds of thousands of animals through the brutal training to become fighting dogs.

"This may be the second largest dogfighting bust in U.S. history, but it's a drop in the bucket," said Bershadker. "This is going on all over the United States across socioeconomic lines, across racial lines, it is prevalent, it is pervasive, it is deep underground."

CNN's Gary Tuchman and Dominic Swann contributed to this report.

@highlight

Last month, authorities broke up the nation's second largest dogfighting ring

@highlight

More than 370 dogs were transferred to animal welfare groups

@highlight

One of those groups, the ASPCA, is rehabilitating the dogs, both physically and mentally

@highlight

CNN got exclusive access to the ASPCA's rehab center