(CNN) -- Albert Einstein is often quoted as saying, "In the middle of difficulty lies opportunity." Planning a road trip is hardly nuclear science, but perhaps the professor had learned that a well-chosen overnight stop can yield treasured memories.

Here are four midway suggestions that may brighten a tedious road trip from one region of the nation to another.

I-95 between Massachusetts and Florida: Follow Lincoln's footsteps

Like Abraham Lincoln in 1865, why not take a walking tour of the former capital of the Confederacy?

"Very few people know that Lincoln visited Richmond with his son near the end of the Civil War," said Mike Andrus of the Richmond National Battlefield Park in Virginia.

Map this trip and three others

Richmond remains a very walkable city in this area, from the James River to the Confederate White House to Capitol Square.

Civilwartraveler.com offers free downloadable podcasts to guide you on a 90-minute walk in Lincoln's footsteps.

Near the square is St. Paul's Episcopal Church, where Confederate President Jefferson Davis in 1865 learned the troubling news that his troops were no longer able to defend the city.

During your walk, stop for lunch at one of the many restaurants in Shockoe Bottom, which once served as a market for slave traders. Near there, see Richmond's Slavery Reconciliation Statue, a 15-foot, half-ton sculpture unveiled in 2007 that remembers and offers regret for Virginia's role in the African slave trade.

Looking for a special breakfast or lunch? Try the internationally recognized Perly's, where you can enjoy homemade biscuits, made with what longtime owner Gray Wyatt calls his secret ingredient.

Located in the city's Monroe Ward district in a 1930s-era building, Perly's has a "real retro feel to it," said Wyatt. In addition to traditional breakfast fare, the lunch menu offers Brunswick stew, chicken salad and signature sandwiches.

Customers include Gov. Tim Kaine, a former Richmond mayor who's quoted as saying more business gets conducted at Perly's than in most of the offices downtown.

I-75 between Michigan and Florida: 'Paradise' and a murder scene

At the southern tail of the Appalachian Mountains, about 90 miles north of Atlanta, lies Chattooga County, Georgia -- home to a world renowned artist, an attorney who inspired a TV series, and what may be a haunted house.

Almost every day, attorney Bobby Lee Cook can be found enjoying the food at The Brass Lantern in Summerville. Cook is said to be one of the inspirations behind 1980s TV defense lawyer Matlock, who was portrayed by Andy Griffith.

"They had to pick somebody I guess, so they picked this country hooligan," joked Cook. The Brass Lantern offers American cuisine "with a little French twist," he said. "It reminds me of country restaurants in the South of France."

Looking for a taste of Southern hospitality? Cook recommends Dillard's B&B as a fine place to hang your hat during your visit.

Summerville also is the home of the late Howard Finster, a self-taught folk artist whose work was embraced in the 1980s by musicians such as REM and the Talking Heads. His home has been transformed into a fascinating and sometimes bizarre world he called Paradise Gardens.

Finster's home celebrates a unique era of Appalachian culture that's quickly fading, said Tommy Littleton, chairman of the nonprofit group that owns the gardens. The fame that Finster gained in the '80s can be fleeting, he said, "but the niche he created and its influence now on two generations of artists means that the gardens really are a part of art history."

For three decades Finster used the four-acre property as a canvas, painting sidewalks and buildings and using "found materials" to decorate walls and various objects throughout the grounds.

He built "display houses" for all of his art, which included a huge collection of mosaics.

Finster's work hangs in museums around the nation, including the Smithsonian and museums in San Francisco, California, and Baltimore, Maryland. Finster's gardens are open only from Thursday through Saturday, so check the Web site for times.

More adventurous travelers might ask local residents to help them find the ruins of a destroyed country estate called Corpsewood Manor, where two men were murdered in 1982. A pair of killers was sentenced to life in prison for the notorious crime -- which spawned rumors about devil worship and satanic rituals that continue to echo on the Internet.

I-84 between the Pacific Northwest and Utah: Opulence and flying fury

The area along the Oregon-Idaho border has a lot to offer travelers looking for a memorable experience between the Northwest and Utah.

The amazing Geiser Grand Hotel in Baker City, Oregon, often attracts guests who are en route to regional ski resorts. Those who renovated the Geiser in 1997 aimed to restore it to the opulence it enjoyed when the German-Swiss Geiser family first built it in 1889 -- complete with ornate, decorative stained glass fittings, said owner Barbara Sidway.

"Everything that could be preserved was preserved and everything that couldn't was lovingly replicated," she said. "It's like stepping back in time with its intimate feel and rare level of glamour and opulence."

The cast of the 1969 film "Paint Your Wagon"  -- including Hollywood tough guys Clint Eastwood and the late Lee Marvin -- were pampered guests at the Geiser. according to Sidway.

Surrounding the hotel is Baker City's historic district, including more than 100 buildings listed in the National Register of Historic Places, said Sidway.

Special holiday events held each Friday in December include rides on a horse-drawn sleigh to the nearby Powder River, where guests are invited to gather around a blazing bonfire and sip hot spiced cider. Inside the hotel, enjoy high tea amid the glow of a spectacular Christmas tree set in the center of the Palm Court dining area.

About two hours down I-84, Nampa, Idaho, you'll find a pair of Hollywood stars you may have seen without realizing it.

The Warhawk Air Museum is home to two rare Curtiss P40 World War II-era fighter planes, which appeared in 2001's "Pearl Harbor" and 2008's "Valkyrie," said museum co-founder Sue Paul.

On the set of "Valkyrie," star Tom Cruise turned to Paul, took her hand, and told her, "'I want to thank you so much for the honor of using your beautifully preserved historical airplanes in this movie,'" recalled Paul.  "Never before had anyone on any of the films we've worked on recognized the historical significance of these airplanes."

For nightlife, drive 20 miles down I-84 and visit the pedestrian-friendly downtown district of Boise, Idaho, with its vibrant bars and eateries. For decades, locals have been enjoying the classic dishes at Angell's Bar & Grill, on 9th Street, and the central pedestrian area, where visitors can stroll and peruse local shops.

I-80 between California and Utah: Basque food oasis

For generations Reno has been well-known as Nevada's "Biggest Little City in the World," but road-trippers with a taste for good food often talk about a tiny town about 2½ hours northeast along I-80.

The Basque community that settled in Winnemucca's high desert in the mid-19th century is still going strong, offering a little taste of Europe at several of the town's restaurants and hotels.

The fare at the century-old Martin Hotel is repeatedly praised by foodies on Chowhound.com.

Chefs at the Martin serve tasty meals, including Basque lamb dishes and traditional pork loin solomo, say fans. Established as a rooming house for traffic along the nearby Southern Pacific Railroad, the hotel is listed on the National Register of Historic Places, according to the hotel Web site.

"The lamb shanks as a main are awesome," wrote Chowhound.com poster nvcook in July. "I also like their halibut and their ribeyes."

Another Chowhound poster extolled the lamb shanks served five blocks down Melarkey Street at Ormachea's Dinner House, which is another highly touted Basque eatery in Winnemucca.

@highlight

Clint Eastwood, Lee Marvin stayed at century-old Geiser Grand Hotel in Oregon

@highlight

Folk artist Howard Finster turned Georgia home into living museum of found objects

@highlight

Follow in Lincoln's footsteps through historic downtown Richmond, Virginia

@highlight

Basque-American cuisine offers succulent surprises in Winnemucca, Nevada