(CNN) -- Voters in Honduras have elected a new president, but it remained in question Monday whether the international community would recognize conservative candidate Porfirio Lobo Sosa.

Lobo's legitimacy remains in doubt because Sunday's elections were held under the rule of interim President Roberto Micheletti, who assumed power after a June 28 coup ousted President Jose Manuel Zelaya. Many nations said before the election they would withhold recognition if Zelaya were not returned to power.

Divisions remained Monday. The United States, Colombia and Costa Rica said they would recognize Lobo. Argentina, Brazil and Spain said they would not.

Zelaya, who had called for an election boycott that apparently failed, said he would not recognize the results.

The United States on Monday urged Honduras to take the next steps toward resolving the crisis, such as having the nation's Congress vote on whether to restore Zelaya to power. That vote was one of the provisions of a pact that representatives for Zelaya and Micheletti signed in late October.

"While the election is a necessary one, it is not a sufficient one," said Arturo Valenzuela, the assistant secretary of state for Western Hemisphere affairs.

The Supreme Electoral Tribunal has not made the election results official, but the vote showed that opposition National Party candidate Lobo defeated Elvin Santos of the Liberal Party. Zelaya and Micheletti are Liberal Party members, and their rift splintered the party and may have hurt Santos.

Lobo vowed Monday to bring the divided nation back together.

"Nobody wins with this situation," he said in an interview with CNN affiliate Televicentro TV. "We all lose. It's unjust to maintain a polarized country."

Lobo said Monday he had not talked with Zelaya but had indicated earlier he was willing to meet with the deposed president.

Zelaya, who had been flown to Costa Rica on the day of the coup, has been staying at the Brazilian Embassy in Honduras' capital since returning secretly to the country September 21.

Asked if he would meet with Zelaya, Lobo said, "I will do all that is necessary to bring peace to Honduras."

Some analysts say Lobo has little choice, given the isolation Honduras has been under since the coup.

"Lobo Sosa will probably move to create a unity government and grant Zelaya political amnesty in order to end the political conflict following Zelaya's ouster," said Heather Berkman, an analyst for the Eurasia Group consulting firm.

Lobo's victory Sunday was a political redemption. He narrowly lost the presidential election to Zelaya in November 2005, winning 46 percent of the vote.

"Four years is a short time," he said jubilantly at his victory speech early Monday.

Zelaya supporters said this year that Lobo was one of four presidential candidates who supported the coup.

Lobo, whose name means "wolf" in Spanish, has an easy and toothy smile and intense eyes. His nickname is Pepe. He turns 62 later this month, has been a member of Congress since 1990 and was its president from 2002 to 2006. He earned a bachelor's degree in business administration from the University of Miami.

"I am a simple type, originally from Juticalpa, Olancho," he says on his Facebook page. "I am of few words but much action. My parents inculcated in me a love for work since I was very young. I have been a cattleman, a farmer, a businessman."

In addition to the presidency, at stake in Sunday's election were three vice presidencies, 128 congressional seats and posts for mayor and other municipal seats.

The other three presidential candidates were Bernard Martinez of the Innovation and Unity Party-Social-Democracy (PINU), Felicito Avila of the Christian Democrat Party (CD) and Cesar Ham of the Democratic Unification Party (PUD).

A sixth candidate, Carlos Reyes, withdrew in early November.

The United States issued a statement Sunday, commending Honduras for the election.

"Turnout appears to have exceeded that of the last presidential election," the statement said. "This shows that given the opportunity to express themselves, the Honduran people have viewed the election as an important part of the solution to the political crisis in their country."

The United Nations, the Organization of American States, the European Union and most nations -- including the United States -- had condemned the coup over the summer and demanded that Zelaya be reinstated immediately.

It looked like a solution to the crisis had been reached October 29, when Zelaya and Micheletti agreed to a deal brokered by the United States. The pact said Congress would vote on whether to reinstate Zelaya to power after consultation with the nation's Supreme Court and other bodies. That vote is scheduled for this week.

The Supreme Court ruled last week that Zelaya could not return to office without first facing trial on charges that he acted unconstitutionally when he tried to hold a vote that could have led to the removal of presidential term limits. The Supreme Court had ruled that the vote was illegal and Congress had forbidden it.

The coup came on the day that the term-limits vote was to have been held.

Micheletti and his supporters have insisted that Zelaya's removal was a constitutional transfer of power, not a coup.

Some leaders of large Latin American countries, particularly those that have been ruled under dictatorships in recent years, are concerned that allowing the election results to stand could embolden other "adventurers" to try to stage coups.

Argentinian President Cristina Fernandez de Kirchner said Monday the election was "a mockery" carried out "in the most absolute illegality," the state-run Telam news agency reported.

Argentina was ruled by a right-wing dictatorship from 1976 to 1983.

Micheletti stepped down temporarily last week to try to distance himself from Sunday's elections. He said he would resume office Wednesday.

In a letter to the nation Sunday night, Micheletti congratulated Hondurans for the peaceful and substantial turnout. There were no official tallies Monday of how many Hondurans voted.

Despite fears of unrest, election day was calm and without major incident. About 35,000 police and soldiers were deployed across the country.

Amnesty International on Sunday urged Honduran authorities to reveal the identities, whereabouts and charges against all people detained over the weekend.

The new president is scheduled to be sworn in January 27.

CNN's Arthur Brice contributed to this report.

@highlight

Voting took place under rule of president who took power after June coup

@highlight

Many nations said they would withhold recognition if ousted leader wasn't returned to power

@highlight

U.S., Colombia, Costa Rica to recognize Porfirio Lobo Sosa; Argentina, Brazil, Spain won't

@highlight

Votes aren't official yet; Lobo vows to reunite nation divided by coup, fallout