The Supreme Court will undertake a major examination of privacy in the digital age, after accepting review Friday of a pair of appeals over whether police must obtain a warrant to search data on the cellphone of a person under arrest.

Criminal suspects in Massachusetts and California were convicted, in part, after phone numbers, text messages, and addresses obtained from personal electronic devices linked them to criminal drug and gang activity.

Oral arguments could be held as early as April, with a potential far-reaching ruling by June.

The appeals are separate from President Barack Obama's review of National Security Agency surveillance of metadata phone records.

The individual search cases give the justices a timely opportunity to reenter the public debate over the limits of privacy in the digital age, with focus on the ubiquitous cellphone and its vast storage of information and video.

That has left judges nationwide divided recently over how to apply a 40-year-old high-court precedent, which allows searches of items a suspect possesses following arrest.

Should law enforcement have such easy warrantless access to possibly incriminating, even embarrassing, digital evidence, or should exceptions be created?

David Riley was arrested in 2009 for an expired registration on his vehicle. When authorities impounded the vehicle, loaded weapons were found hidden under the hood.

After his arrest, San Diego police took a look at his smartphone. Text messages and contacts in the device led officers to believe Riley had organized crime connections, and video of another vehicle owned by the suspect was linked to an earlier drive-by shooting.

He was convicted in state court and received a 15-year jail sentence.

Separately, Brima Wurie was arrested in 2007 for selling two packets of crack cocaine. He had an old-style flip phone in his pocket, and police in Boston used call logs on the device to trace his real home address, after he gave a bogus one.

There officers with a search warrant found more drugs, a weapon, and ammunition. He was later convicted in federal court.

In neither case was a warrant sought by police before the phones were initially searched.

But one appeals court upheld Riley's conviction, while another tossed out Wurie's.

That split was likely the impetus for the Supreme Court to step in now and try to clarify search guidelines in these and future cases.

The Constitution's Fourth Amendment protects against "unreasonable searches and seizures." But the high court has repeatedly affirmed the government's discretion to conduct warrantless initial patdowns and searches of persons and vehicles-- to ensure officers' safety and prevent destruction of evidence.

But privacy advocates and defense attorneys argue portable, easily storable technology makes these appeals different.

"Modern cell phones provide ready access to a vast array of personal data, and are distinct from the types of possessions, such as cigarette packages and footlockers, this [high] court has previously considered," said Jeffery Fisher, a Stanford University law professor, and Riley's attorney.

"Thus, a search incident to arrest could, at the touch of a button, become a search of private and confidential information such as medical records, banking activity, and work-related e-mails," Fisher said.

But California officials say for constitutional purposes, a cellphone is no different than a wallet when it comes to initial searches of criminal suspects.

"A custodial arrest of a suspect based on probable cause is a reasonable intrusion under the Fourth Amendment; that intrusion being lawful, a search incident to arrest requires no additional justification," said Kamala Harris, California attorney general.

At least 85-percent of Americans own cellphones, according to recent surveys, many of the more sophisticated variety such as smartphones, that allow mass storage of personal information that can be easily shared.

Not lost on the larger national debate over government searches was the fact the justices accepted these two petitions the same day Obama justified the electronic surveillance efforts by the National Security Agency.

Obama announced changes to the way intelligence agencies will gather raw telephone records-- so-called meta data of numbers and times of phone calls by nearly every American. But he defended the need for continued intelligence-gathering efforts of domestic and foreign communications, to stop potential terror plots.

The current cases are U-S v. Wurie (13-212) and Riley v. California (13-132).

@highlight

Court accepts two appeals on search warrants and cell phones

@highlight

Cases involve suspects in Massachusetts and California

@highlight

Arguments could be held as early as April