Auckland, New Zealand (CNN) -- It was a busy weekend, but Kim Dotcom was feeling relaxed.

He was in boyish good spirits as around 150 contractors buzzed around his mansion and its acres of grounds, building a giant "Mega" sign on the front lawn and erecting a mobile stage that production company MadAnt says is New Zealand's largest. He mugged for the camera and joked "it's another raid" as a helicopter flew overhead.

The world's most controversial Internet tycoon was preparing to launch his site at 6:48am on Sunday morning -- a year to the minute after his New Zealand mansion was raided and his old service was shut down by the authorities. (Some press, including Ars Technica, received an early look at the site.)

Ars Technica freelancer Chris Keall spoke with Dotcom on January 18 at his mansion outside Auckland, discussing topics ranging from Mega's business model to legal threats that may come back to bite his business.

"I would have the same fears"

In its heyday, Megaupload had around 50 million unique users -- none of whom have regained access to their files since the site was taken offline. We put the most obvious question to Dotcom first: why should users trust him with their data at all? Wouldn't it be legitimate for users to be spooked by Mega, and refuse to go near it?

"You are certainly right," Dotcom conceded. "If I [were] a user of Megaupload, I would probably have the same fears. There will be users who chose not to work with us because of that, and that is unfortunate."

But Dotcom hopes that enough users will value the service he's offering: all-encrypted storage that can't be opened by anyone—even the host. He knows there will be a lot of people coming to check things out in the weeks to come and first impressions matter.

"There will also be a lot of users who just want to try this new service and see how good it is," he said. "Once they realize there is really no alternative to this service right now in terms of safety and privacy, I think there will be a lot of users who will use this. And over time, you know, when the service is live for a few months and people see these guys are still here, I think the trust will grow."

The jovial pre-launch atmosphere is only broken when Dotcom and his lawyer Ira Rothken are reminded that this week U.S. prosecutors have raised the possibility of fresh charges if the Mega launch goes ahead—an act that could be interpreted as violating a key bail condition Dotcom signed in by affidavit: not to relaunch Mega, or a similar service.

Rothken angrily rejects the notion that Dotcom is violating bail conditions. "Mr. Dotcom is working in consultation with top notch NZ defense counsel on bail compliance," he said. "[He] is innocent, is presumed innocent, and is entitled to innovate and work in technology like any other innocent New Zealander especially when the U.S. takes away all his assets and delays the extradition proceedings."

Nothing in Dotcom's bail conditions or US law precludes his engaging in lawful business, including Internet and technology businesses, said Rothken.

Embracing even the "smallest, most unreliable" hosts

The Mega business plan will be a distributed model, with hundreds of companies large and small, around the world, hosting files. A hosting company can be huge or it can own just two or three servers Dotcom says—just as long as it's located outside the U.S.

"Each file will be kept with at least two different hosters, [in] at least two different locations," said Dotcom. "That's a great added benefit for us because you can work with the smallest, most unreliable [hosting] companies. It doesn't matter because they can't do anything with that data."

More than 1,000 hosts answered a request for expressions of interest on the Mega home page. Dotcom says several hundred will be active partners within months. Successful hosts will get paid E500 per month per server; each server needs to supply 24 hard drives with 72 terabytes of storage and one gigabit of bandwidth, among other requirements.

That's all down the road, however. For now, Mega is launching with just one, professional, hosting operator—a subsidiary of Cogent, based in Dotcom's home country of Germany.

Dotcom says he needed a rock-solid setup for the launch and an operator who could rapidly scale if traffic and hosting requirements suddenly go through the roof after the January 20 launch (he had hoped to have a server rack operating in New Zealand for the launch as well, but says capacity on the Telecom/Singtel/Verizon-owned Southern Cross Cable was prohibitive).

The Washington DC-based, Nasdaq-listed Cogent was one of the suppliers of infrastructure and hosting services to Megaupload before its 2012 take-down. According to the indictment, Megaupload was paying Cogent around $1 million a month to lease "approximately thirty-six computer servers in Washington, DC and France." It was a substantial contract, although one that was dwarfed by that of Virginia-based Carpathia Hosting, where the bulk of Megaupload files were hosted, and are still stranded.

Cogent's fate was closely enough tied to Megaupload that its shares dropped 23 percent in a day after last year's raid, from $19.20 to $15.43. By mid-March, however, the stock had rebounded strongly; it closed recently at $24.11.

Having Cogent back on board is a source of pride for Dotcom; a major public hosting company has made a vote of confidence in his business plan for Mega. He was about to go into further detail on Cogent's hosting operation in Germany when his lawyer Ira Rothken—in Auckland for the launch and sitting in on the interview—stopped him, citing security concerns if the specific location was revealed.

Launching the most lawyered-up startup in tech history

The Mega business plan has been vetted by more than 20 lawyers across the US and New Zealand, Dotcom says—including those at Rothken's firm, and New Zealand law firms Simpson Grierson (one of the largest corporate law firms in NZ) and Lowndes Jordan (an intellectual property specialist). Also on Team Mega are two independent lawyers capable of handling the most difficult work: Queen's Counsel Paul Davison (often cited as the most expensive lawyer in New Zealand) and Guyon Foley—a criminal lawyer who made his mark prosecuting cases for the police before "switching sides," so to speak.

"This startup is probably the most scrutinized by lawyers in the history of tech startups," Dotcom claims.

Dotcom says it's inevitable Hollywood and music labels will "heckle" Mega "going by their past aggression ... they can't help themselves" (and there was certainly a foretaste of possible trouble to come this week as Mediaworks, which owns one of the two big radio networks in NZ, pulled ads for Mega from its stations; an insider said the move followed pressure from music and movie advertisers).

Rothken says anybody who comes after Mega has no case.

"You have companies like Dropbox and Google with Drive with materially similar technologies, and they are in business and they're thriving—and Mega adds encryption," he says.

But doesn't encryption add a sinister edge? After all, encryption means Mega will be like the Swiss bank of online storage services; customers could easily use the technology to hide, say, pirated movies or child porn.

Rothken responds that many technologies have dual uses, but on balance provide more public good. That's how the VCR stayed on the market, despite facilitating video piracy. The same argument applies to cloud computing as a whole, he says.

For good measure, Rothken also notes that former Deputy Homeland Security Advisor Richard Falkenrath wrote about encryption as a desirable feature for cloud computing services ("You don't really need to know where your data is. As long as you know it is safely wrapped in an at-rest encryption cocoon, you should feel secure," the advisor wrote.)

Dotcom adds in that although other services don't have a one-click encryption option built into their interface, the likes of Google Drive allow you to upload encrypted, password-protected files. Dotcom and Rothken's arguments are well rehearsed and, on the face of things, have a solid logic.

But Dotcom, by his own admission, says the apparent movie and music industry push against the Mega radio ads was an "emotional reaction" from the content industry. Those feelings remain. Even with the best precautions, attempts to shut down Mega—and shut up Dotcom—are unlikely to stop.

COPYRIGHT 2011 ARSTECHNICA.COM

@highlight

Internet tycoon Kim Dotcom launched a new file-storage and sharing site, Mega, on Sunday

@highlight

Authorities shut down Dotcom's previous venture, Megaupload.com, amid piracy allegations

@highlight

Mega offers all-encrypted storage for files that can't be opened by anyone -- even the host

@highlight

Dotcom: "This startup is probably the most scrutinized by lawyers in the history of tech startups"