HONG KONG, China -- Most people by now will be familiar with the term 'carbon footprint' and may even have calculated it themselves, but how many are familiar with their 'water footprint'?

Professor Arjen Y. Hoekstra, the creator of the 'water footprint' concept.

It's about time we all learned what it is, says Professor Arjen Y. Hoekstra, Professor in Multidisciplinary Water Management at the University of Twente in the Netherlands, as soon it will be influencing how we live our lives.

Hoekstra created the water footprint concept in 2002 when he was undertaking research on what is known as virtual water trade flows for the UNESCO-IHE Institute for Water Education.

CNN finds out what it is and why it's important.

CNN: So, what is a water footprint?

Hoekstra: It relates to how much water is being used to make a product, but it also refers to where that water is being used and when that water is being used. This is about the water use in different parts of the world to make products for businesses and individuals, so this enables an impact assessment and a formulation of policy to improve the water sustainability of these products.

CNN: What can businesses or individuals do to save on water?

Hoekstra: Businesses or individuals can become "water neutral" by reducing the effects of their water footprints. They can have incentives for that, because once they are water neutral they can market that and consumers may like that so there are other mechanisms there.

CNN: How would one go about becoming water neutral?

Hoekstra: The water footprint of a business has two components -- the water used during operations and the water used in the supply chain. In order for a product to be sustainable you have to make both operations of the business sustainable as well as the supply chain.

A product from a business is water neutral if the business has made sure that the operations are sound, that the water use has been reduced reasonably as much as possible, and the pollution has been brought to zero, but they also have to do that in their supply chain and they can't do that themselves because it is not their own business.

So, they can only do that by influencing their suppliers or by changing to another supplier. And this is quite something because it means that the whole business sector and all these supply chains have to become much more transparent.

CNN: What business sectors use the most water?

Hoekstra: Agriculture -- 85 percent of the world's water usage is in agriculture, 10 percent is industry and 5 percent is in households. But these sectors are not independent because what we call the industry sector is taking so much stuff from the agricultural sector, so they are connected.

It means that if the industrial sector has to reduce their water footprint it also means they have to look at their supply chain and part of their supply chain is in the agricultural sector. The agricultural sector should become more transparent.

CNN: What can individuals do?

Hoekstra: There are two types of approaches. One is to substitute types of consumption articles for other ones, which take less water -- like going from a meat-based diet to a vegetarian one, which will save a lot of water.

Drinking tea instead of coffee saves a lot of water. Not wearing cotton but wearing artificial fiber saves a lot of water.

But this is probably limited, because people don't shift from meat to vegetarian as they just don't like not to have beef; or they like cotton.

So the different kind of approach is to keep the same kind of consumption pattern but when choosing cotton, or when choosing beef, choose the sound one. If you make things more transparent, by citing the precise impact of a certain article on the water system, through the water footprint, you provide that kind of information and you label it somehow, then consumers within the same category have some choice to go in the better direction.

CNN: What do you think will encourage the take-up of the water footprint concept on all these levels?

Hoekstra: How nowadays can you say that your product is better than another one?

They need to have some additional quality and that can be sustainability, something that is appreciated by some consumers. I think that once in a few years we will have some companies start to go public with the fact that their products are better from a water point of view than products from another company, then governments will realize that they can do some regulation there.

CNN: Which countries supply the world with the most water?

Hoekstra: North America, South America and Australia are big suppliers of water-intensive products to other parts of the world. Some parts of the world support the rest of the world in terms of water resources, by using lots of water to make export products, while other countries import those products and those importing countries relieve the pressure on their own water resources by doing so.

CNN: Should countries with water resources be obliged to share them with the rest of the world?

Hoekstra: I think it is a logical development that countries start to protect their own water sources and in that sense it is good. However, you can protect it by trying to avoid the water use for export and you can also try to protect your water by allocating it to the types of use that have the highest types of value, which can be export.

So protecting is kind of vital and essential and it is a political choice whether you protect it and keep it for yourself or whether you protect it and make highest benefits from it which can include export.

CNN: There has been some discussion over the years about creating a global water treaty -- what would it ideally look like?

Hoekstra: I am not sure whether there is one kind of ultimate solution to freshwater problems, so I rather would look into a number of different solutions. One of the things I have proposed [is] a global water pricing protocol. There is very much consensus about the need to translate water scarcity into a price.

However, water is generally not priced [as] for an individual country to start water pricing subtracts from the competitiveness of industry. You start charging for the water and products increase in price and nobody wants that. But it should be done because it is just unhealthy to put a scarce resource into a product for free.

Another kind of measure that I have proposed is what I call a tradable water footprint permit system. There is an amount of water footprint for humanity and it is not shared equally.

In the U.S., the footprint per capita is two times the world average; in other countries it is half the world average and you can imagine if everyone was going to have the same water footprint as in the U.S. -- it is impossible. So there is an equitability issue, like with C02 emissions. You have the Kyoto Protocol on tradable C02 emissions and the parallel is a tradable water footprint system.

Another global agreement: We better arrange the water rights of people. There is only in the UN treaties an arrangement for a human right for drinking water. But there is also a human right for a basic food supply.

And if you look at the amount of water for food that is much more than the amount of drinking water so making that more explicit and arranging that in a better way would also give more of a guarantee to people that they have a minimum water supply.

Find out more about the water footprint concept here: http://www.waterfootprint.org//

@highlight

Individuals can make a difference by gauging their own 'water footprint'

@highlight

Agricultural sector uses up 85 percent of world's freshwater supplies

@highlight

Global water treaty should include basic food-water rights for all

@highlight

The U.S. water footprint per capita is twice the world average