(CNN) -- Update: Britain's Civil Aviation Authority reported Friday, that it is satisfied "that while this was a reportable event, and both pilots were concerned they were suffering symptoms of severe fatigue and took controlled rest separately, they did not fall asleep at the same time."

Previous update published on September 26, 2013 -- 2247 GMT (0647 HKT):

Cruising at 30,000 feet, pilots snoozed in the cockpit of a 300-passenger airliner en route to Britain last August, UK aviation authorities told CNN on Thursday.

A spokesman for the UK's Civil Aviation Authority tells CNN that the Airbus A330 incident occurred while the aircraft was operating on autopilot on a long-distance flight. The CAA wouldn't reveal any other details of the flight, its route or its destination airport.

Sources told CNN's Richard Quest the airline is Virgin Atlantic. The airline in a statement said, "Virgin Atlantic can confirm no safety reports have been received about pilots falling asleep simultaneously whilst in control of an aircraft."

British pilots are allowed to sleep while in the cockpit under certain circumstances.

The August 13 incident appears to be the result of bad scheduling by the airline, said the CAA spokesman Richard Taylor. The pilots reported having only five hours of sleep over two nights "due to longer duty period with insufficient opportunity to sleep," the CAA report states. "Both crew rested for 20 minute rotations and fell asleep."

The aircraft apparently arrived at its destination safely. It's the first British incident of its kind in two years, said Taylor. He said it's unlikely the pilots will be disciplined.

"You can't have five hours of sleep in two days," says veteran airline pilot and aviation consultant Mark Weiss. "That doesn't work."

Fatigue ranks among the most sensitive issues in the pilot community. Rules surrounding sleep and relief crews vary from country to country.

Jim McAusian, general secretary of the British Pilots Association, used the incident to blast the CAA's record on pilot fatigue in a statement Thursday, accusing it of being "far too complacent about the levels of tiredness among British pilots and failing to acknowledge the scale of the underreported problem."

Next week, the European Parliament is expected to vote on new EU rules regulating pilot flying hours. McAusian said the proposed rules will increase "tiredness among pilots and the risk of dangerous incidents."

In the U.S., flights longer than eight hours require a relief pilot on board to take over so pilots can take a break to sleep. If the flight is scheduled to last more than 12 hours, an additional reliefÂ pilotÂ must be added.

Should cockpit sleeping be allowed?

Believe it or not, some experts say pilots sleeping at the controls isn't always dangerous.

Aviation rules in some nations allow pilots to nap in the cockpit during ultra-long-haul flights -- across oceans, for instance. Rules vary, but generally, the sleeping pilot must be supervised by another pilot during the naps. There are also backup alarm systems in place to awaken pilots if an emergency arises.

The CAA refused to tell CNN whether it has evidence that both pilots were asleep simultaneously. The report is ambiguous, the agency says. If both pilots at the controls had fallen asleep simultaneously, Virgin Atlantic would be required to file a report with the CAA. The airline told CNN that it has no record of both pilots falling asleep at the same time.

It's possible the pilots were resting one at a time under an authorized cockpit napping program.

Among U.S. pilots, cockpit napping violates FAA rules. But some experts, including Weiss, favor the idea. "This is a personal belief," he said, "but I would rather have somebody take a nap during a cruise part of a flight so that pilot would be at peak performance during a high-traffic situation or a landing."

Unauthorized cockpit napping among U.S. pilots isn't "that prevalent," Weiss says, "but that's not to say it doesn't happen."

Curt Graeber, who was with Boeing for 19 years, headed a NASA/FAA study that recommended the FAA allow cockpit napping. But the FAA has never adopted the idea.

"I think it's political," he told CNN. "I guess it's difficult to tell the public that the captain is asleep on the flight deck."

"Everyone I talk to who uses it says it's a stopgap measure to improve safety and reduce the risk of sleep loss."

Studies have shown, Weiss says, that taking a 20-minute nap will allow pilots to regain energy. "It's not a bad idea to allow pilots to take short naps," he said.

Instead of allowing in-flight napping aboard U.S. airlines, the FAA has mandated that long-haul routes include relief pilots and special onboard sleeping quarters that must be available for the flight crew.

Other sleeping incidents

Of course the UK sleeping incident revealed Thursday isn't the first of its kind. Last February, the Dutch airline Transavia said it had launched an investigation after a Boeing 737 pilot was locked out of the cockpit and his first officer was later found asleep at the controls. The sleeping pilot had been left alone at the controls while his co-pilot took a bathroom break.

The incident took place in September 2012, when the airliner was flying from Greece to the Netherlands, a top Dutch safety investigation agency said. The 737 landed safely in Amsterdam as scheduled.

Related story: Pilot locked out of cockpit while co-pilot slept

Fatigue played a role in the 2009 crash of Colgan Air Flight 3407 near Buffalo, New York, which killed 50 people. The National Transportation Safety Board report on the crash cited pilot error as a factor, adding, "the pilots' performance was likely impaired because of fatigue, but the extent of their impairment and the degree to which it contributed to the performance deficiencies that occurred during the flight cannot be conclusively determined."

Also in 2009, Northwest Flight 188 -- an Airbus A320 carrying 144 people and five crew members -- flew past the Minneapolis-St. Paul International Airport. One of the pilots told CNN that no one was sleeping on the flight deck at the time. The two pilots "became distracted by a conversation," according to a report by the National Transportation Safety Board.

Related story: Pilots say they weren't asleep when they overshot airport

CNN's Richard Quest, Erin McLaughlin and Nick Thompson contributed to this report.

@highlight

Virgin Atlantic: We have no evidence that both pilots were asleep simultaneously

@highlight

Pilots of British airline slept in the cockpit at 30,000 feet, UK aviation officials say

@highlight

Report: The incident was "due to longer duty period with insufficient opportunity to sleep"

@highlight

Some countries allow one pilot at a time to sleep in the cockpit, under certain circumstances