London (CNN) -- Lawyers for radical Muslim cleric Abu Hamza al-Masri and four fellow suspects presented last-ditch arguments Tuesday against their extradition from Britain to the United States to face terrorism charges.

Al-Masri, whose followers included the so-called "shoe bomber" Richard Reid and who once called al Qaeda leader Osama bin Laden a "hero," faces 11 charges in U.S. courts.

Extradition ruling marks end of era for radical cleric

The charges include conspiracy in connection with a 1998 kidnapping of 16 Westerners in Yemen, and conspiring with others to establish an Islamic jihad training camp in rural Oregon in 1999.

He faces a potential life sentence if convicted.

Last week, after almost a decade of legal battles, the European Human Rights Court ruled that the cleric and four other suspects could be sent to the United States. The men's lawyers appealed the ruling.

A two-judge panel at London's High Court must now decide whether the defendants' lawyers can show new and compelling reasons to stop the extradition.

Lawyers for Adel Abdul Bary and Khaled Al-Fawwaz argued Tuesday that if they are extradited to the United States, their detention in super-maximum security prisons would breach their human rights under European law.

The court was also told that new evidence from an al Qaeda informer weakened the case against Al-Fawwaz in relation to his alleged involvement in bomb attacks against U.S. embassies in East Africa in 1998.

The informer, L'Houssaine Kherchtou, made no mention of Al-Fawwaz's name in an 800-page briefing document given to MI6, Britain's spy agency, the court heard. Kherchtou, a Moroccan, was an early member of al Qaeda who pleaded guilty in 2000 to his involvement in the East Africa bombings and gave evidence against co-defendants. In return, he entered a witness protection program.

Lawyers for the United States argued, however, that there was a strong case against both Bary and Al-Fawwaz. This included the presence of Bary's fingerprints on a claim of responsibility faxed before the bomb even went off, they said.

The other suspects facing extradition to the United States are Syed Thala Ahsan and Babar Ahmad.

Apart from al-Masri, none has been convicted of any offense.

The lawyer representing al-Masri is expected to present his arguments against extradition on Wednesday, one of them being his client's failing health.

The judge will also question lawyers from London's Metropolitan Police Service and Britain's government-run Crown Prosecution Service.

They are expected to face questions about why they passed key evidence straight to American authorities rather than pursuing prosecutions in the United Kingdom.

Born in Egypt in 1958, al-Masri traveled to Britain to study before gaining citizenship through marriage in the 1980s.

A one-time nightclub bouncer in London's Soho district, al-Masri -- also known as Mustafa Kamal Mustafa -- has said he lost both hands and one eye while fighting against the Soviet occupation of Afghanistan. He often wore a hook in place of one hand.

In 1997, al-Masri became the imam of a north London mosque, where his hate-filled speeches attacking the West began to attract national attention and followers, including Reid, the so-called "shoe bomber" who attempted to blow up a Miami-bound passenger airplane three months after the September 11, 2001, terrorist attacks.

Al-Masri has called the 9/11 attacks on the World Trade Center "a towering day in history" and described bin Laden as "a good guy and a hero."

He also described the Columbia space shuttle disaster in 2003 as "punishment from Allah" because the astronauts were Christian, Hindu and Jewish.

The cleric is one of the highest-profile radical Islamic figures in Britain, where he was already sentenced to seven years for inciting racial hatred at his north London mosque and other terrorism-related charges.

Last week's decision, which was signed by seven judges from different European nations, followed a ruling this spring in which the same court likewise said that Hamza and the four other terror suspects could be extradited.

The suspects would not get "ill treatment" in super-maximum security prisons if they are extradited to the United States and convicted in American courts, according to the European court's decision last Monday.

That ruling noted that conditions in such U.S. prisons are in some ways better for inmates than in Europe, given that they'd have access to television, newspapers, social visits and hobby-related items. It acknowledged the prisoners might be confined to their cells most of the time, but said this was warranted given the charges they face.

More: BBC apologizes to Queen Elizabeth over Abu Hamza

CNN's Dan Rivers and Jonathan Wald contributed to this report.

@highlight

NEW: Abu Hamza al-Masri's lawyers are due to present their arguments Wednesday

@highlight

NEW: Lawyers for the police and Crown Prosecution Service will also give evidence

@highlight

Lawyers say their clients' detention in U.S. prisons would violate their human rights

@highlight

The latest hearing will determine if there is a compelling reason to halt extradition