Washington (CNN) -- U.S. regulators are directing 31 nuclear reactors similar in design to the Fukushima Daiichi plant in Japan, where an earthquake and tsunami caused a meltdown two years ago, to take additional steps to help contain radiation and other damage from any accident that is not quickly halted.

The Nuclear Regulatory Commission directive on Thursday requires enhancements to systems for venting accumulated pressure from containment structures during an emergency. Vents must also be able to safely handle rising temperatures, hydrogen concentrations and radiation levels.

The changes also aim to ensure that plant personnel can continue to operate vents safely if a reactor core melts down, the agency said.

Plants in the United States were ordered last year by the NRC to take other steps to upgrade their "hardened" venting systems after the 2011 disaster in Japan that crippled three reactors and released radiation into the atmosphere.

It was the worst nuclear accident since Chernobyl in 1986.

"Strengthened vents will help these plants continue to protect the public and the environment even if emergency systems can't immediately stop an accident," NRC Chairman Allison Macfarlane said in a statement.

"By safely releasing built-up pressure and hydrogen, the plants will preserve the buildings that contain radioactive material," she said.

U.S. plants covered under the directive are older, boiling-water reactors mainly similar in design to the Fukushima facility.

During the meltdown in Japan, containment pressure exceeded twice the design limit, and there was no power or air to vent systems, according to an overview of the disaster by the Institute of Nuclear Power Operators.

The goal for completing venting improvements in the United States is 2014, depending on refueling schedules. Additional steps would take longer, if deemed necessary.

The directive covers scenarios for structures meant to condense steam generated during an accident and control pressure and for the larger structures that surround the reactor.

The NRC also plans to develop a rule to improve the filtering of radioactive material from any vented gases and to improve procedures for preserving the integrity of containment systems.

An industry group said the new order is in line with its assessment of the "most effective means" to address venting.

"Venting to protect containment integrity and to mitigate the impact of a serious event is among the long-established training responses that are part of these facilities' severe accident mitigation guidelines," according to a statement from the Nuclear Energy Institute, a trade group for the industry.

The organization said the timetable is achievable but it did not provide a cost estimate.

Plant operators may have to spend nearly $3.6 billion over the next three to five years on modifications to the nation's 102 nuclear facilities in response to the Fukushima accident, according to a Platts survey released on Thursday.

This includes costs for government mandates to handle threats from flooding and earthquakes as well as related engineering studies, Platts, an energy industry information service, said.

@highlight

Nuclear Regulatory Commission requires changes at 31 plants

@highlight

NRC wants enhancements to help contain damage from any accident

@highlight

Reactors are similar in design to Fukushima plant in Japan

@highlight

Earthquake, tsunami caused meltdown at Fukushima in 2011