(CNN) -- When an earthquake threatens to turn part of an ocean into fast-moving walls of water, tsunami warning scientists can do nothing for the first five minutes except wait for information. But within the next five minutes, they have to decide whether to issue a warning of danger.

Brian Shiro has been a geophysicist at the Pacific Tsunami Warning Center for four years.

And you thought your job was high pressure.

"If we see a set of circumstances and it fits into our criteria for [the] event, we just follow that criteria because we don't have much time to think. There isn't a lot of time for decision-making," said Paul Whitmore, director of the West Coast and Alaska Tsunami Warning Center.

"Weighing back there [in your mind] also is the effect of your decision. If the effect of your decision is going to evacuate the entire West Coast waterfront, you don't want to take that lightly," he said.

With Tuesday's tragic tsunami that engulfed villages in Samoa and American Samoa, the pace of events was so frenetic that the Pacific Tsunami Warning Center in Ewa Beach, Hawaii --which tracks earthquakes and tsunamis for countries throughout the Pacific Ocean, Indian Ocean and Caribbean Sea -- had already been alerted to the looming disaster by the time the seismometer evidence came in.

"The National Weather Service director in American Samoa called the Pacific Tsunami Warning Center a few seconds before the alarms went off here, so we had an advanced warning and we were already sitting at the computer, looking at the data in real time," said Brian Shiro, a Pacific warning center geophysicist.

It can take 30 seconds to five minutes for information from earthquake sensors placed strategically around the globe to roll into the two U.S. tsunami warning centers.

When there's a clear tsunami threat, the center's operation room -- built to accommodate the two workers on duty -- becomes flooded with people all jostling to offer assistance. The phone lines consistently ring and "people are yelling at each other so everyone will be on the same page, and you don't miss something important that someone else caught," said Bill Knight, a West Coast and Alaska warning center scientist.

Scientists must "locate the earthquake and then determine based on the science data whether there should be just a normal bulletin or whether there should be a warning," said Laura Kong, director of the International Tsunami Information Center.

She added that it took the Pacific warning center 15 minutes to issue a warning for Tuesday's tsunami.

This wasn't because the center's scientists were moving slowly, Shiro said, but a result of the sparse number of seismic stations in the Southwest Pacific region.

The fewer stations there are, the longer it takes for scientists to receive adequate information. "There was no delay yesterday," he said. "You're only restricted by the earth itself and how fast the seismic waves can travel."

As a result, workers at the two U.S. warning centers said they often have to make decisions based on incomplete information, erring on the side of caution by issuing a tsunami warning and canceling it later if more monitoring reveals a less dangerous situation.

"It can be a lot of pressure at first, and you have to get used to that," Shiro said. "You do have a lot of responsibility on your shoulders: You have to act quickly and sometimes you have to issue your very first initial message based on incomplete information, because one of the important factors is time and you want to get it out."

Since the catastrophic Indian Ocean tsunami in 2004, the question of time has become more critical to tsunami warning scientists. The staff has doubled at the Pacific warning center, and when they're "on shift," they sleep in on-site housing, said spokeswoman Delores Clark. The warning centers have turned into 24/7 operations.

Scientist Knight and director Whitmore at the West Coast and Alaska center said constantly being on call does not interrupt their personal lives; neither of them have kids at home.

Shiro, on the other hand, has a 2-year-old son and has to strike a balance. At first, his wife and son stayed with him when he was on shift, sleeping at the on-site housing with him. When that proved too disruptive, his family instead began visiting for meals and a bit of quality time during his weekly two-day shift.

The Pacific center's on-site housing is unique, created so the workers can react to a tsunami whether they're fixing a meal or fast asleep, and while it may pose a slight inconvenience, it's all part of the job, Shiro said.

The workers, drawn to the position by a mutual love of geophysical science, consider themselves lucky to work in one of the few science fields that allows them to do research while making a difference in people's lives. Instances such as Tuesday's tsunami, which killed at least 130 people, provide them with perspective on the importance of their position and the need for more tsunami education.

Shiro is encouraging the Pacific center to use social networking as a tool, considering the massive response he got after he tweeted live updates Tuesday. For Knight, it's getting the word out about what to look for when disaster is imminent.

"One of the reasons we have an outreach program is because we know that people can't wait for us to make a decision," Knight said. "If the ground is shaking for more than 20 seconds, you're experiencing a large earthquake and the more likely it is that a tsunami is going to happen."

International Tsunami Information Center director Kong, whose work emphasizes the need for better, more local warning systems and education around the globe, agreed.

"It's especially tragic when you know that a number of us were in American Samoa and Tonga in July talking about tsunamis, telling them that in the worst case scenario they would only have 10 to 20 minutes and asking them to plan the best they could," she said.

"We kind of have a feeling when we're issuing those messages that something like this might happen, and it's your worst nightmare when it does come true. It's not a good feeling the next day when the numbers start to increase," she said. "We can't prevent the tsunami from happening; it's going to happen. We can only do our best right now and plan beforehand, because when it does happen, there's just no time."

@highlight

Time is always crucial when you work as a tsunami warning scientist

@highlight

A warning can be issued anywhere from 5 to 15 minutes after a threat is identified

@highlight

At the Pacific warning center, workers live on site for two days to monitor data

@highlight

After the 2004 Indian Ocean tsunami, warning centers operate around the clock