Washington (CNN) -- When gunmen riddled bullets through Newtown, Chicago, Aurora and an alphabet soup of cities and towns across the country, the nation sent up collective wails of grief at the death of the innocents.

America swore this time was different.

Lawmakers vowed they'd take a stand.

But political seasons are fickle. So are the American people.

Background checks on gun sales: How do they work?

In December, days after the Newtown, Connecticut, school shooting spree that left 20 children and seven adults dead, more than half of the nation favored stricter gun control laws, according to national polls.

Less than six months later, that number dwindled to just over 40%.

Several national polls show that roughly 90% of Americans support some form of universal background checks. However, that provision has faced intense pushback from some lawmakers and is a major sticking point even as Senate leader Harry Reid scheduled a vote Thursday to block the filibuster on comprehensive gun control reform.

CNN Poll: Background checks popular, worrisome

Instead, those negotiators may be on the verge of putting forth a watered-down version of background checks in order to salvage the broader gun control package wending through that chamber.

Though FBI background checks are required for commercial sales, the proposal being considered would expand them to gun shows and internet sales, but they would not require checks for other private transactions, according to multiple sources familiar with the talks.

Is this how democracy works?

"If our democracy's working the way it's supposed to and 90% of the American people agree on something, in the wake of a tragedy, you'd think this would not be a heavy lift," an exasperated President Obama said in West Hartford, Connecticut, on Monday.

But the gun control debate — with its at times befuddling plot twists — highlights what many are loathe to admit: This is the way democracy works. Or at least this is the way democracy has worked with such similarly controversial measures as the Affordable Care Act and the bank bailouts — both of which were pushed through despite public opposition.

Public opinion doesn't always equate to a legislative outcome.

Yes, the gun control advocates are buoyed by the outrage of a grieving nation and a presidential administration's powerful push. But the gun-rights advocates are backed by the powerful gun lobby and a motivated and vocal interest group -- the NRA. Add to that the public's confusion about current gun laws, said Jon Vernick, co-director of the Johns Hopkins Center for Gun Policy and Research, and it's a recipe for gridlock.

Hope grows for compromise proposal on gun control

"It's the usual stuff," Vernick said. "Historically politicians have feared even the smaller group of pro-gun folks more than the pro-gun violence prevention movement."

That's because the gun advocates are motivated by that single issue and are far more likely than their more liberal-leaning gun control counterparts to be outspoken on that particular issue, policy experts said.

"What happens is that the gun owners, the gun enthusiasts are one-issue voters, and there's been research done that shows that if you ask gun owners if they oppose gun control and you ask how vehement they are, they say 'it matters,'" said Alan Lizotte, dean and professor at the State University of New York at Albany's School of Criminal Justice. "Then you ask 'what have you done in opposing gun control.' They say 'I donated money. I wrote to my congressman. I've called my senator.'"

Those who support stricter gun controls are motivated by a broader mix of issues.

"When you ask the gun control people the same thing they're like 'what do you mean.' They have a bunch of things that matter," Lizotte said.

NRA 'plucks the bird' to weaken gun proposals

Gun rights voters are aided by the targeted efforts of the National Rifle Association, which has more than 4.3 million members. The powerful gun lobby and its allies in Congress use a sophisticated campaign -- constantly shifting the focus of the battle among various provisions, raising new arguments to old issues and proposing solutions that would expand weapons use and training instead of increasing regulation.

The NRA also exerts its political clout through a rating system that identifies friends and foes of its positions in Congress and directs substantial contributions to political campaigns it favors or opponents of candidates it dislikes.

From gun hater to NRA-loving mom

Senate Minority Leader Mitch McConnell, R-Kentucky, who received an A-rating by the NRA, has joined roughly a dozen similarly high-scoring Republicans in threatening to block Democrat-backed gun control legislation.

Mayors Against Illegal Guns -- the group co-chaired by wealthy New York City Mayor Michael Bloomberg battling the NRA in the recent gun control debate -- is using its opponent's tactics against them, creating their own grading system for lawmakers, some of them facing re-election next year.

"At the end of the day, these guys represent their states, not the country," said Jennifer Duffy, a senior editor at the Cook Political Report. "They need to be in step with their constituents."

Outmatched

Sometimes, even when those constituents vocally advocate for stricter gun control laws, they find themselves outmatched.

Rob "Biko" Baker, executive director of the League of Young Voters, a group which targets non-college, minority youth and encourages them to vote, said he remembers the NRA showing up at a community meeting with the families of gun violence victims in the predominantly black and urban north side of Milwaukee.

"It was on MLK Drive and they showed up two-to-one. They showed up with the slick talking. We knew they were going to come deep, but we thought we were going to out organize them," Baker said.

Ultimately, the measure Baker's group was pushing — a proposal to require background checks of all gun purchases — failed to even get out of committee in the Wisconsin statehouse.

Should anyone be allowed to buy guns? Share your views

"We were making a common sense argument that black men are being targeted," Baker said. "It was pretty disheartening. I've gotta walk the streets and talk to the mothers, and they still have open wounds."

Looking at the polls, the ones that President Obama pointed to as proof of the country's broad support for his agenda on gun control, doesn't tell the full story either.

"In every Quinnipiac University poll since the Newtown massacre, nationally and in six states, we find overwhelming support, including among gun owners, for universal background checks," said Peter A. Brown, assistant director of the Quinnipiac University Polling Institute. "American voters agree with the National Rifle Association, however, that these background checks could lead someday to confiscation of legally owned guns."

By a 48%-38% margin, voters in a Quinnipiac University survey said that the government could use the information from universal background checks to confiscate legally owned guns. And gun owners believe 53%-34% that the checks could lead to confiscation of legal guns. There's also a partisan divide on the question, with 61% of Republicans, 51% of independents and 32% of Democrats expecting confiscations.

Opinion: Why the NRA fights background checks

The battleground of the states

As blue states like Colorado, Maryland and New York take on tougher restrictions on gun purchases and expand background checks, red states are considering pre-emptive laws to nullify a possible federal assault weapons ban.

The types of gun control measures that easily sailed through the state legislature in Maryland faced huge hurdles, sparked protests and even drew in such national players as Vice President Joe Biden and gun manufacturer Magpul Industries in Colorado.

Even as Colorado Gov. John Hickenlooper was signing into law stricter gun control measures, the Rocky Mountain Gun Owners Group was giving away "a Winchester Super X Pump Marine Defender 12 Gauge Shotgun, courtesy of our friends at Cornerstone Arms in Colorado Springs" and several "Gen-M2 PMAGS" on its Facebook page.

"It's a promotional giveaway," said Dudley Brown, executive director of Rocky Mountain Gun Owners. "It looked like there was a chance of banning semiautomatic assault rifles, so it was an in your face 'OK then we'll give them away then,'"

The group says it plans on giving away more guns and ammo between now and when the new laws take effect on July 1. They also are focusing on federal lawmakers they feel might cave to efforts to pass stricter gun control laws.

"There are a number of weak-willed Republicans in the House, and we don't want them to feel they have wind in their sails," Brown said. "We're going to make Republicans pay the price. We are going to hold them accountable for their votes. Nothing is going to be done in secret. The days of smoke-filled rooms where even the institutional gun lobbies cut deals is over."

CNN's Dana Bash, Tom Cohen and Paul Steinhauser contributed to this report.

@highlight

Days after Newtown, more than half of the nation favored stricter gun control laws

@highlight

Less than six months later, that number dwindled to just over 40%

@highlight

National polls show 90% of Americans support some form of universal background checks