Juneau, Alaska (CNN) -- Quick: Name the governor of Alaska.

Nope, not Sarah Palin.

He's no reality TV star. Isn't on anyone's list of 2016 presidential candidates. And the local press thinks he's so bland they call him the "Oatmeal Governor."

But Alaska Gov. Sean Parnell deserves national name-recognition for one reason: He's taking on one of the most important issues of our time.

He's trying to get Alaska to talk about the "resident evil" of rape.

"It's culturally permissible to be silent about it," and that must change, Parnell told me in a recent interview at the governor's office in Juneau. (You commissioned that trip, by the way, as part of CNN's Change the List project. More on that here.)

For years, this state -- which has the highest reported rate of rape in the country, according to 2012 FBI crime estimates -- denied it had a problem. Politicos and advocates said maybe Alaskans reported rape more often than people in other states -- but, gosh, it couldn't be a bigger problem here than elsewhere, could it?

Related: The rapist next door

Parnell has helped end that era of senseless denial.

In our interview, he called violence against women an "epidemic." Like an alcoholic must admit he has a problem in order to face it, he told me, the governor of the state with the highest rape rate must, too, fess up to the problem in order to solve it.

"I can't wave a wand and solve alcoholism, I can't wave a wand and solve domestic violence, but I can work to create a climate where it's culturally permissible to speak about these things with our family and friends, get people to help who cross our paths, to stand up for those who are being abused and hurt," he said.

"To me that's a win in the end."

True enough.

The cornerstone of Parnell's campaign is his "Choose Respect" initiative, which he announced in late 2009 after assuming the office from Palin. Now nearing the end of his first full term and seeking re-election in 2014, Parnell, a Republican, oversees a state that has increased spending on sexual violence treatment and prevention at a time when the overall state budget is shrinking. The "Choose Respect" program would receive $12.4 million in fiscal year 2015 if the governor's proposed budget were approved. That's only 0.1% of the total proposed budget, but it's still considerable.

The laid-back 51-year-old governor, who looks like a kinder version of Sean Hannity plus Vladimir Putin, was born in California but moved to Anchorage at age 10, according to a biography on the Republican Governors Association website. His dad was in the Army and later served in the state legislature.

Parnell, an attorney, once worked as a lobbyist for ConocoPhillips and other oil and gas interests. He served in the state legislature and then as lieutenant governor to Palin. Even liberals in the state, like Caren Robinson, who started the first women's shelter in Juneau, praise the fact that he has supported addressing domestic violence and rape since the 1990s as a member of the legislature.

Parnell was elected to the Alaska House at age 29.

I disagree with some of Parnell's policies -- he's not giving enough autonomy to Native Alaskan communities and courts, for instance, which may be well poised in some cases to handle cases of sexual and gender-based violence; his decision to block part of Obamacare is unwise; and, despite substantial efforts to change things, parts of the state is so remote they're almost totally lawless, which leads people to rape and abuse with a sense of near-impunity.

The lawless 'end of the land'

But the governor's efforts to get Alaska to talk about rape and violence against women are laudable in and of themselves. No policy will be able to fix this problem as long as silence and shame surround rape and abuse.

Someone's got to speak up.

I saw some results of the "Choose Respect" program firsthand:

â€¢ In Juneau, I met members of the Thunder Mountain High School basketball team, which participates in a program called Coaching Boys into Men. The team's coach, John Blasco, talks with his players regularly about healthy dating relationships and respect for women. A star shooting guard, Matt Seymour, 18, told me there have been instances when he's told teammates not to use demeaning language about women because of what he learned as part of the program.

â€¢ In one small town in southwest Alaska, I met young people who are learning about the Yupik Eskimo culture in after-school programs at the Tundra Women's Coalition, which receives funding from the state. The idea is that traditional culture can strengthen society and, ultimately, reduce rates of sexual assault. I also met women who were flown into a shelter run by the coalition from outlying villages that are not connected to road systems.

â€¢ Across Alaska, I saw the power of a statewide survey analyzed by the University of Alaska Anchorage Justice Center, and funded by the state. The survey effectively ended debate about whether Alaska has a problem with domestic violence and sexual assault, said Andre Rosay, director of the center. The 2010 survey of 871 adult women found 37% had suffered sexual violence and 59% had been the victim of sexual violence and/or intimate partner violence in their lifetimes.

"It was shocking and distressing for many people" to see how common violence against women really was in Alaska, said Lauree Morton, executive director of the Alaska Council on Domestic Violence and Sexual Assault, a state-funded agency.

That survey also has spurred change.

5 ways to help end rape in Alaska

Alaska shouldn't have needed those shocking numbers in order to act, but they do underscore the need for urgent action, and that information has won converts.

Parnell told me he is convinced Alaska can change in part because his own grandfather was verbally and physically abusive to his family.

But violence stopped with Parnell's father, who was never violent, he said.

"That gives me hope for the future of our country, when I see people taking that responsibility to live larger than what they've been taught," the governor said.

Parnell is leaning on his people to spread the message that violence against women haunts Alaska and should not be tolerated. The state promotes a series of "Choose Respect" marches, which were organized in more than 140 communities across the state last year and will be held again in the spring.

Those rallies help create a climate where "more people come to safety and more people are willing to speak about the unspeakable," Parnell said.

"That's been the hardest part about the evil among us: We haven't been willing to talk about it," the governor added. "The 'Choose Respect' initiative has given Alaskans permission to speak about these things."

Meet Alaska's pioneer woman

He added: "I'm also sending a message as a man to women who have endured this shame that they are not to blame. They do not need to carry the guilt and shame -- and we are willing to embrace and love them unconditionally."

Parnell would like the "Choose Respect" campaign to spread across the country. He told me sports figures, in particular, have the power to raise awareness about ending sexual violence. "This is going to be won in the hearts and minds of our young people," he said. "To have a nation where every person lives free of fear ... and every person has that hope and opportunity for the future, that's my dream. But it's going to take everybody -- it's going to take 'real-deal' heroes standing up and speaking out and giving people permission to speak about this."

Those "real-deal heroes" should include people like Sarah Palin, the woman still more associated with the governorship in the American public's mind than Parnell.

And -- forget celebrity -- they should include you, too.

Hold a "Choose Respect" march in your community and let me know about it by tagging your photos #chooserespect on Twitter, Facebook or Instagram.

If you tag your photos, they will show up on this page.

Bonus points if you can convince Sarah Palin to upload one, too.

States where rape is most common

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

Alaska is estimated to have the highest rape rate in the country

@highlight

John Sutter talks with Alaska Gov. Sean Parnell

@highlight

Parnell calls rape Alaska's "resident evil" and an "epidemic"

@highlight

The governor's "Choose Respect" campaign aims to change that