A city defined by the natural contours of the land, hugging the sea and pinpricked by rocky outcrops, Helsinki has been planned to fit around the landscape. This year, this mini metropolis has proven it's creative credentials in all aspects of urban life.

The Finnish capital has gained hugely from a shake up in the city planning department. New arrangements have changed the dynamic -- such as old railway tracks being converted into a pedestrian cycling route. Any fuss about old statues being overshadowed by contemporary architecture clearly belongs to the old order.

Below, our top four of the new architectural landmarks in the 2012 World Design Capital (WDC).

1. Kamppi Chapel of Silence

Between two of the city's main shopping malls, and the iconic 1930's Lasipalatsi building, this circular wooden structure is a surprisingly bold architectural statement in one of the busiest parts of Helsinki. Designed by the studio K25 (consisting of three young architects) the awarded building is a site for meditation, its plain minimalist form inviting quiet reflection.

Made out of Finnish timber, the design shows great sensibility for the use of local materials. Without side windows light falls from above through an oval gap around the ceiling, creating a sense of calmness. The chapel demonstrates how contemporary architecture at its best can fascinate and inspire. It is one of the true centerpieces of the WDC 2012 program.

Simonkatu 7, Helsinki. Opening hours: 7 am to 8 pm on weekdays, 10 a.m. to 6 p.m. on weekends

2. Musiikkitalo

The new concert venue and music academy, occupies a site between three of the city's architectural monuments. On the opposite side of Mannerheinintie stands the Parliament House in neoclassical style, to the north lies Aalto's Finlandia Hall from 1970s and across the lawn to the south shines Steven Holl's Kiasma Museum of Contemporary Art.

As most new buildings it has divided opinions. The architecture was criticized for not being bold enough, perhaps not living up to the expectations imposed by its neighboring buildings. However, the interior has great spatial rhythm with seven halls in different sizes, descending below the ground level. The largest hall follows a vineyard shape design, where musicians are surrounded by the audience and a row of windows allows daylight into the space  when left uncovered.

The program is a combination of classical and popular music. One of the autumn highlights has been Tristan and Isolde conducted by Esa-Pekka Salonen and presented in collaboration with visual artist Bill Viola. World-class orchestras such as Berlin and Vienna Philharmonics have also been scheduled to perform in the main hall renowned for its exceptional acoustics.

Mannerheimintie 13 A, Helsinki 00010

3. Mattolaituri

A short stroll from the South Harbor, this cafe has become one of the most popular spots along the seafront for a coffee break and for drinks on warm summer evenings. Opened last year it also embodies the innovative attitude of the new city planning department. The long coastline has recently been enlivened by new cafes and industrial harbor sites are being redeveloped.

In the smart Kaivopuisto neighborhood, Mattolaituri occupies a beautiful site previously allocated for washing rugs in the seawater, hence the name "rug quay." The atmosphere is relaxed and the tipple of choice seems to be bubbly, with an unusually large selection of Cava and Champagne for a seaside cafe. Tapas style snacks sandwiches and pastries are also served.

Ehrenströmintie 3 A, 00140 Helsinki

4. Galerie Forsblom

Since moving into new premises last year, Galerie Forsblom has established itself as the largest gallery dealing in contemporary art in Scandinavia. Despite its imposing scale, the gallery has a welcoming Nordic feel with whitewashed wooden floors and daylight falling through the ceiling in the main hall. And just one block away from Stockmann department store.

Designed by Gluckman Mayner, Forsblom relied on the New York based architects' expertise with exhibition spaces, seen in earlier commissions from big American art institutions and galleries such as Larry Gagosian. In Helsinki, Gluckman Mayner  conjured an airy gallery out of an old office block, where Forsblom will showcase some of the best in Finnish art and design during the WDC year.

Lönnrotinkatu 5, 00120 Helsinki

Recommended by Susanna Petterson, director of the Alvar Aalto Foundation: the best places for a stopover in Helsinki.

CAFE ENGEL, Aleksanterinkatu 26, 00170 Helsinki

"A great spot for admiring the surrounding architecture over coffee and cakes."

Opposite Tuomiokirkko Cathedral, this cafe is housed in one of the oldest buildings around Senaatintori square. The facade was designed by C L Engel, whose neoclassical buildings adorn the square. The cafe is a popular place for lunch amongst locals from the nearby university buildings.

LASIPALATSI, Mannerheimintie 22-24, 00100 Helsinki

"An example of 1930's functionalist architecture with many cafes and a restaurant offering Finnish style cuisine."

Lasipalatsi, originally built as an office building, is close to the Kiasma Museum of Contemporary Art and the Kamppi Chapel. Also a cinema and Eat&Joy Maatilatori, a store for local and organic produce, can be found here.

CAFE  AALTO, Akateeminen, Pohjoisesplanadi 39, 00100 Helsinki

"Designed by Aalto in the 1960's this cafe is a unique place in the heart of the city. It is run by the same family as Cafe Engel."

Located on the second floor of the Akateeminen bookstore, the cafe represents Aalto's later design approach with wall surfaces in light marble. A serene environment for coffee or a light lunch.

@highlight

The Finnish capital is the World Design Capital 2012

@highlight

City benefiting from forward-thinking planning, regenerating land and promoting contemporary architecture

@highlight

Design highlights include the Kamppi Chapel of Silence and Musiikkitalo, a new concert venue