(CNN) -- For most of my life, I've had a relationship with Iran, mostly good, but which included a long period in which Iran hurt me and other foreign service officers greatly.

I was the press attachÃ© at the United States Embassy in Teheran in 1979, and one of 52 Americans held hostage for 444 days during the Iranian Revolution. I cannot forgive the youthful Iranians who imprisoned us and the regime that legitimized their cruelty, but I try to be as objective as possible as an observer of Iran's situation today.

Let's be frank. Iran's intransigence with its nuclear intentions and the West's efforts, led by the United States, to undermine Iran's economy and, perhaps, its legitimacy, are moving both sides further from a war of words and closer to a hot war.

This war would easily draw in Israel, and perhaps even some of the Arab nations that are showing their Islamist side since the "Arab Spring." It could well close the Strait of Hormuz and the drive the price of oil to impossible highs, prolonging a worldwide economic funk. And it would once again put the United States front and center in a third protracted war since 2001.

But, let's not jump to conclusions that war is inevitable or react reflexively to Iran's saber-rattling, the way some of the Republican presidential candidates have been doing to score points on the campaign trail. They seem to think that this war would be surgical and quick. That's the same bad thinking that got us into Iraq.

I'd rather step back a moment and focus on Iran's strained domestic political situation as the real reason for its confrontation with the U.S. and the West. While I don't want to sound like an apologist for the authoritarian Islamic Republic, I also don't want us to be naÃ¯ve about what's driving Iranian intentions.

First, Iran's "civilian" nuclear program reaches back to the pre-revolutionary days of the Shah of Iran, and there is no proof, whether from the International Atomic Energy Agency or the U.S., that Iran is actually building a bomb.

Second, it's widely reported that Iran's Supreme Leader Ali Khamenei and President Mahmoud Ahmadinejad are in open conflict today, not only politically but also theologically.

While this rift is esoteric to Westerners, Tehran takes it very seriously. It comes down to Ahmadinejad trying to change the entire foundation of Iran's theological-political infrastructure by asserting that he, not Khamenei, has a direct relationship with the Shi'ite Mahdi, or messiah. Khamenei has responded by condemning Ahmadinejad and his followers as the "deviant stream."

Since May 2011, this domestic conflict has shaken the regime's stability. It may have much to do with Tehran's flailing foreign policy as the sanctions do.

The regime also has its hands full with upcoming parliamentary elections in March. It likes to say that the elections are both a model and inspiration for the new surge of democracy in the Arab world. It also sees these elections as a test of legitimacy.

Remember, only two years ago, Iran was convulsed with a popular uprising that opposed the outcome of presidential elections. The reform movement was brutally crushed by the regime thugs. Major reformist leaders are still under house arrest.

Whether the regime is able to market itself to its neighbors as a legitimate source of a Middle East revival is rather doubtful. More importantly, reformists have loudly and clearly stated that they are not going to participate in a rigged election. This will be the first time since the beginning of the Islamic Republic that any part of the electorate has bolted from the system.

Khamenei must see this reformist move as a profound crack in his authority and to the regime's legitimacy.

Finally, there are more domestic disasters. While Iranians of all political stripes see a nuclear program as a national status symbol, they are paying a dear price for it. The sanctions are truly hurting the average Iranian.

The hardships include high unemployment, inflation and commodity shortages. Last week, Iran's currency fell to a new low against the dollar. This situation is not going to endear the regime to the electorate.

Can we move away from the precipice of war? I think so.

Congress members should get out of the public relations business and stop making pronouncements about Iran that are simplistic and belligerent. It makes any chance of a negotiated settlement even more difficult.

The U.S. Navy's rescue of 13 Iranian fishermen from pirates in the North Arabian Sea was a surprising and awkward moment, and a chance for both sides to step back and breathe a little.

But the startling news that Iran's Revolutionary Court had sentenced an American, Amir Mirzaei Hekmati, to death, charging him with spying for the Central Intelligence Agency, says that Iran, once again, is up to the task of seeking revenge against the U.S.

We need to find a real structure for diplomacy to calm these new levels of tension. Just as Qatar is hosting a political office for the Taliban in an attempt to open direct talks to an end the Afghan war, a regional approach to Iran may help. Qatar has become the dynamic center within the Arab League and has been a respected go-between. Yes, it has close relations with the United States and hosts the headquarters of the U.S. Central Command, but its prime minister, Al-Thani, was not timid when he said in 2006, "Qatar talks to Iran as an equal, and this is important."

The Gulf Cooperation Council could play a greater role in softening Iran's relationship with the Sunni Arab world by drawing it closer to its regional neighbors, as well as serving as a liaison between Iran and the West.

The opinions expressed in this commentary are solely those off Barry Rosen.

@highlight

Barry Rosen, a former hostage in Iran, says war of words is turning into threat of war

@highlight

He says despite saber-rattling and comments by GOP candidates, war not inevitable

@highlight

He says regime flailing due to internal tensions, hard-hit economy, upcoming elections

@highlight

Rosen: Intermediaries like Qatar could provide structure for diplomacy to calm tensions