Editor's Note: Jack R. Nerad is Executive Editorial Director for Kelley Blue Book and kbb.com, and co-host of "America on the Road," heard on more than 300 radio stations. In the 1980s he served as Editor of Motor Trend magazine. Nerad is the author of "The Complete Idiot's Guide to Hybrid and Alternative Fuel Vehicles," published recently by Alpha Books.

Jack Nerad says bankruptcy would drive car buyers away from GM and imperil suppliers.

(CNN) -- The events of the past week have been unprecedented in the auto industry and in the annals of American business.

As the events have unfolded, there is the strong implication from the administration's automotive task force that Chapter 11 bankruptcy, followed by restructuring and "cleansing" of General Motors' balance sheet, is a potential scenario in the ongoing efforts to keep the giant automaker alive.

GM's new chief executive, Fritz Henderson, acknowledged as much on CNN Sunday. "You can't rule options off the table. So you basically say we will spend time to try to get it [done] outside of bankruptcy. But if we can't, we're not going to compromise our goals. We're going to get it done inside our bankruptcy. Our preferred approach is still to do it outside, but you can't rule out going in."

Over the past few weeks pundits of all stripes have appeared on financial news networks suggesting that entering Chapter 11 is GM's only way to future viability. "Get on with it," they say, and save us the agony.

It is the only way, they argue, General Motors can get relief from its immediate cash-flow issues, tear up or substantially modify its union contracts, dump unnecessary brands, close plants and "right-size" its operations. But those pundits who propose Chapter 11 fail to acknowledge that General Motors is a consumer-facing company whose success or failure is in the hands of millions of average Americans.

This group will decide to buy or not buy General Motors vehicles based on what they know, hear and even feel about GM's future. As talk of imminent bankruptcy swirls in the press, the news they hear about General Motors certainly is not reassuring, as they consider which brand to buy.

How does that manifest itself in the car-buying public? We at Kelley Blue Book asked 500 potential new-vehicle buyers a string of related questions that yield answers to that multi-billion dollar question. Their response is telling.

Asked "How likely would you be to buy a car from General Motors if they were to go bankrupt," 42.1 percent of new-vehicle buyers said they were either "not at all likely" or "not very likely" to do so.

Even with a warranty guarantee from the federal government, consumers are not very enthusiastic about considering a GM purchase. Such a guarantee only moves the needle about three percentage points with 39.8 percent saying they were either "not at all likely" or "not very likely" to purchase a GM vehicle in such a situation.

Asked, "How likely would you be to buy a car from General Motors if they were allowed to keep operating but had to renegotiate their contracts and agreements with suppliers and laborers?" the responses changed. Given that scenario, only 31.6 percent of new-vehicle buyers said they were either "not at all likely" or "not very likely" to purchase a GM vehicle, and they were out-numbered by the 41.5 percent who said they were either "very likely" or "extremely likely" to do so.

While one must keep in mind that consumers don't always do what they say they are going to do, the import of this is clear: Bankruptcy puts a damper on consumer confidence and vehicle demand.

There are other reasons to question the wisdom of a Chapter 11 filing as well. Beyond its potentially chilling effect on consumer demand, there is a domino effect on the supplier community.

Many GM vendors have operated for years on ever-declining, razor-thin margins and are heavily dependent on GM for cash-flow. If that cash-flow ceases for even a relatively short period of time it could well send many of those suppliers into bankruptcy and force others simply to close their doors.

The likely bankruptcies of supplier companies would have a ripple effect through the entire American vehicle manufacturing industry, causing hardships for the healthier companies as well.

Further, while a "quick-cleanse" bankruptcy is contemplated, it is very difficult to imagine that the Chapter 11 bankruptcy of one of the largest industrial companies in the world would not take a year or more to unravel, rather than weeks or months. And if GM languishes in bankruptcy it is hard to imagine consumers flocking to buy its new vehicles. Nor is it likely the government would subsidize those operations through the potentially lengthy proceedings.

The implications of the pronouncements made by President Obama and the auto industry task force indicate clearly that they believe a figurative hammer is needed to move the stakeholders -- the United Auto Workers union, pensioners, bondholders and creditors -- to accept settlements that are, at best, unpalatable to them. The threat of bankruptcy is that hammer.

But the question should be asked: Is the hammer the task force is holding over the head of the GM stakeholders in an effort to get concessions, the same hammer that will drive away consumers and require the federal government to make larger and larger cash infusions or see GM founder?

So while some toss out the idea of a Chapter 11 bankruptcy as being a magic elixir for GM, which has found itself trapped in an unprecedented credit crunch and a sharp recession, we have to believe that bankruptcy is a bankrupt idea.

The opinions expressed in this commentary are solely those of Jack R. Nerad.

@highlight

Jack Nerad: Some argue that a quick bankruptcy is best course for GM

@highlight

He says bankruptcy will reduce sale of GM cars, even with government warranty

@highlight

Nerad says GM suppliers could be driven into bankruptcy by such a move

@highlight

He says bankruptcy is being used as a hammer for GM to get concessions