Sicily, Italy (CNN) -- The Portuguese CASA 295 military plane lifts off from an airstrip in Sicily and roars into the skies above the Mediterranean, scouring the blue seas below for signs of life.

The state-of-the-art surveillance aircraft is flying for Frontex, the European Union's border patrol agency. Its mission isn't only to stop people from being smuggled onto the continent's southern shores -- it's to save lives.

The plane patrols the Mediterranean Sea south of Sicily, including the area around Lampedusa, an Italian island near the African coast that migrants have been trying to reach in often unseaworthy boats. In October more than 300 migrants died when their boat capsized near these shores, and Frontex is hoping to prevent that from happening again.

INFOGRAPHIC: How illegal immigrants enter the EU

The Frontex crew took CNN along on a surveillance flight. Human trafficking in the region is big business, and we were not allowed to identify any of the mission's crew member for fear they could be targeted by gangs of smugglers.

"On the missions, every week we find three or four targets of interest," the aircraft's captain told CNN. "The main goal is to detect targets of interest that Frontex [give us the coordinates for] ... we go there and we check it out and then we transmit everything to Frontex."

Fishing boats are often targets of interest because they are sometimes used to smuggle people from Africa to Europe. Often those vessels will be old, rusty and overloaded with migrants as the traffickers try to maximize their profit per journey. In some cases, sailing ships have been used for people smuggling as well. On our flight the crew also spotted an abandoned rubber boat, which might have been left there by people who made it to shore in Europe.

OPINION: Europe's immigration nightmare just beginning

The plane is outfitted with infrared sensors and a belly camera that can identify and track targets at great distances. The crew will look for vessels that have an unusually high number of people on board, but they're also checking to see whether a ship move strangely in the water -- a possible sign that it is overloaded with migrants under deck.

Several high profile incidents involving migrant boats from northern Africa have thrust the issue of illegal immigration to the forefront of European politics -- and now the EU is looking for ways to better regulate immigration while protecting the lives of those who try to make it to the continent.

An increasing number of ill-equipped migrant ships are getting into trouble during their voyages towards Europe, and the Italian Navy and Coast Guard often need to speed to the rescue to save those on board.

Most of them end up in migrant camps in Italy, Greece or Malta. The Pozallo camp in southern Sicily is one of the bigger ones, with over 400 people living on site.

OPINION: EU must solve crisis to deserve Nobel Prize

One of those recently saved from the seas is Henry Linus from Nigeria. He says the ship he was on got into a storm and was adrift at sea before they were rescued.

"There was no food, [there was] excrement inside the boat. People were vomiting inside the boat, we were vomiting everywhere. It was horrible," he told CNN.

Linus added that if given the chance to do it all over again, he would not try to make the treacherous journey to Europe.

Andrea Tassara is the Commander of the Italian Coast guard in Pozallo, one of the busiest Coast Guards in Europe. He always has two high-speed boats on standby that can go about 30 knots and take on as many as 130 people from other boats or from the sea. Tassara says he and his men are appalled at some of the boats they come upon while patrolling the Mediterranean.

"The most dangerous thing is when you see a boat that is made of really old wood. God knows how it is held together and it can fall apart just by our ships coming close," he said.

But many people are so desperate that they are willing to take their chances. That cost more than 300 people their lives on October 3rd, when a boat originating from Libya was so overloaded and unstable that it capsized when a fire on board the vessel caused its passengers to panic.

OPINION: What's the place of outsiders in Europe?

Most of those who drowned were Eritreans. At the Pozallo camp we met an Eritrean man who said that he was supposed to be on the boat that sank, but that it was so full he was rejected and had to wait for a later ship. He says many people who had spent the last couple of years fighting their way through African deserts to the coast had died in the shipwreck.

"Some of us had parents or wives or children on there, we were part of that group. But fortunately the boat was full and we were obliged to stay," he told CNN.

Italian Coast Guard Commander Tassara says the increase in migrant boats trying to get to Europe is huge, even though he cannot put numbers on it. He says the waves of ships usually stop in the fall and winter months, but this year there has been no let-up. He attributes that in part to good weather conditions on the sea, but also to the growing despair in places like Syria, Eritrea, and Nigeria, where many are now trying to flee the violent extremist group Boko Haram.

It does not look like those waves will stop. Even if Europe further beefs up its patrols on its borders, they might be able to contain migration for a while, but they will never be able to stop it.

@highlight

CNN goes on patrol with EU border agency searching Mediterranean for migrant boats

@highlight

Thousands of migrants attempt to enter Europe illegally through Mediterranean each year

@highlight

More than 300 migrants died in shipwreck near Italian island of Lampedusa in early October

@highlight

Italian Coast Guard says there has been no let-up in number of migrant boats in 2013