Bor, South Sudan (CNN) -- In the South Sudan city of Bor, memories of 1991 are playing out in real time.

That was when Riek Machar fell out with John Garang, then the leader of the rebels fighting against the north in Sudan's bloody civil war. That split led to vicious attacks in Bor.

People fled. People died.

More than two decades later, after South Sudan achieved independence from Khartoum, after it became the world's newest nation, people are again dying. They are again fleeing government troops battle rebel followers of former Vice President Machar.

In Bor, the evidence of fresh blood was everywhere Wednesday. On Christmas Day, the stores were looted, emptied of everything. The hospitals had no medicine, no doctors. Even the doctors ran to save their own lives.

Homes lay burned. Razed.

On both sides of the main roads, streams of people carried their life's belongings. Even chairs.

Sporadic gunfire, mainly warning shots now from government troops, pierced the air.

The heavy fighting, for now, was done. President Salva Kiir's soldiers were in control. The rebels were battling elsewhere for control including further north in the city of Malakal, the capital of oil-rich Upper Nile state.

The fighting between rival ethnic groups, which began mid-month, has led to mass killings as evidenced by mass graves, the United Nations has said.

The Security Council voted to add thousands more troops to its peacekeeping presence there to protect civilians in the young nation convulsed by violence. It would bring the total force up to 12,500 soldiers and 1,323 police officers.

U.N. Secretary-General Ban Ki-moon warned Wednesday those responsible for civilian deaths would be held accountable.

"We know many of you are suffering from horrific attacks," Ban told the people of South Sudan in a radio address. "Families are fleeing their homes. Many of you have lost loved ones and are grieving.

"I once again call on the country's leaders to settle their differences peacefully -- and I underscore their responsibility to protect civilians," he said. "I have warned all responsible for crimes that they will be held accountable."

And the Peace and Security Council of the African Union expressed "deep dismay and disappointment that the continent's newest nation should descend so rapidly into internal strife." It said it was alarmed by the "escalation of ethnic mobilization by belligerents, and emphasized that such mobilization of ethnic forces has the potential of causing untold human suffering."

Fighting began months after Kiir dismissed Machar, whose supporters have taken up arms against the government. Kiir and Machar are longtime rivals from two different tribal clans, the Dinka and the Neur.

As the crisis worsens, aid agencies predict they will need $166 million from now until March to provide water, sanitation, medical care and food. Even in Juba, the capital, food is running short.

"This is an extremely difficult time for the people of this new nation, and it is crucial that aid agencies have the resources they need to save lives in the coming months," said Toby Lanzer, UN Humanitarian Coordinator in South Sudan.

In the last 10 days, 90,000 people have been forced from their homes; 58,000 of them are at UN peacekeeping bases.

"In Bor and Bentiu this week, I have seen just how badly the communities caught in violence need our help," Lanzer said. "Our priorities are to stay, protect, and deliver.

Bor is where Machar's forces fired on three U.S. military aircraft that were on an evacuation mission Saturday. Four Navy SEALs were injured; the most seriously injured of them was en route Wednesday to the U.S. military hospital facility in Landstuhl, Germany. He had been treated initially in Nairobi, Kenya.

"The fourth injured service member is on his way," a U.S. military official with knowledge of the operation said. "I hear he is doing well."

The official, who spoke on condition of anonymity, said the four SEALs were part of an operation to evacuate Americans in and around Bor when the CV-22 Osprey they were aboard was shot down. The Osprey was flown by an Air Force Special Operations team, and the SEALs were aboard to provide security when they landed, the official said.

All four were shot in the upper leg and thigh, the official said. The San Diego-based SEALs were on a routine deployment in Djibouti, a U.S. military hub, when they were called upon to participate in the rescue, the official said.

A bipartisan group of U.S. legislators sent a letter Tuesday to South Sudan's president, calling for a halt to rhetoric that condones violence against his rivals.

South Sudan's breathtaking descent into widespread conflict comes a little more than two years after the nation was ushered into existence with help from international powers after decades of civil war between separatists in the oil-rich south and Sudan's government in Khartoum.

In places like Bor, conflict had become a part of life, except perhaps for a brief time after South Sudan was born.

In Bor Wednesday, a 33-year-old woman who had lived through the violence of 1991, found herself questioning the future. Again.

"How long," she asked, "are we going to continue to run?"

Journalist Mading Ngor reported from Bor and CNN's Moni Basu wrote from Atlanta. CNN's Chelsea J. Carter, Azadeh Ansari, Barbara Starr, Nana Karikari-apau and Ben Brumfield contributed to this report.

@highlight

NEW: Four Navy SEALs were shot in the legs and thigh, an official says

@highlight

U.N. chief calls for a peaceful solution

@highlight

Fighting between rival ethnic groups has resulted in mass killings

@highlight

A fourth Navy SEAL injured last weekend is on his way to Germany