The wail of sirens and the firing of tear gas canisters echoed through the streets of the Tunisian capital, Tunis, for a second day Thursday, as the political turmoil triggered by the assassination of an opposition leader continued to spur unrest.

Chokri Belaid was shot dead outside his home Wednesday morning, throwing the country into confusion and prompting angry protests.

The unrest calmed overnight but broke out anew Thursday, as young protesters threw rocks at security forces on a central Tunis boulevard. Police responded with tear gas, and officers riding double on motorcycles chased demonstrators.

Other plainclothes police officers went door to door, looking for people who had been on the streets.

As soon as the protestors would head back to the street, they would be met by more tear gas.

This cat-and-mouse lasted all day, but the protesters refused to leave.

Late Wednesday, Prime Minister Hamadi Jebali, head of the moderate religious party Ennahda, sacked his Cabinet and called for new elections, leaving himself at the head of a caretaker government.

However, a top Ennahda party official said Thursday that Jebali's call to dissolve the Cabinet and offer up a new technocratic government is "not binding."

Tunisia's president: 'The extremists are a minority of a minority'

Ennahda executive bureau member Abdel Hamid Jlassi said party officials were meeting to discuss whether to accept the dissolution.

Jebali's move came soon after violent clashes broke out in front of the Interior Ministry in Tunis, where police used tear gas to disperse protesters angered by the assassination of Belaid.

One police officer died after he tackled looters amid the disturbances Wednesday, Tunisia's state-run news agency TAP quoted an interior ministry official as saying.

Protesters also rallied elsewhere Wednesday, including the central town of Sidi Bouzid, the birthplace of the revolution that toppled former President Zine al-Abidine Ben Ali two years ago.

The French Embassy in Tunisia said all French-run schools in the North African country would be closed on Friday and Saturday.

Belaid's family told local media his funeral would be held Friday, according to TAP.

Read more: Who will win battle for the new Tunisia?

Belaid routinely received death threats for his outspoken criticism of Tunisia's moderate Islamist-led government. He talked about the bullying on his frequent television appearances but said he didn't fear for his life.

Belaid had criticized the government, saying it was not doing enough to take on hardline Salafists.

No one has claimed responsibility for the attack. Some speculate an extremist Salafist group may have been behind it.

Support for Belaid went beyond his own party, the secular-leftist Democratic Patriots. He was the voice of a large coalition of secular opposition parties known as the Popular Front and had a reputation for decrying violence.

Amna Guellali, of the rights group Human Rights Watch, said the government bears some responsibility for his death because of its "laxity" in failing to respond to a climate of rising political violence.

"We warned the government that these incidents of violence should be investigated thoroughly and that people who have perpetrated these acts should be punished ... but we haven't heard anything back," she told CNN in Tunis.

The climate of intimidation included calls by preachers in some mosques in July for the killing of certain Tunisian political figures and personalities, including Chokri Belaid, she said.

"We didn't see the government reacting to these calls of clear incitement to murder," she said. "A government has to protect its citizens ... especially if there are clear threats against this person."

Jebali, who condemned Belaid's killing, urged the Tunisian people not to rush to conclusions but to await the results of investigations by judicial authorities, TAP reported.

Are you there? Send us your photos and videos, but please stay safe.

"Belaid was killed, but the real target behind the assassination is the Tunisian revolution as a whole, "Jebali said of his political adversary. "He represented the true values of dialogue, respecting and embracing others in rejecting violence. This is a political assassination."

Belaid's brother, Abdelmajid Belaid, blamed Jebali's party for the killing, and angry protesters stormed Ennahda offices Wednesday.

Interior Minister Ali al-Areed, who denied any involvement by his party, vowed to track down the killers and joined the chorus of moral indignation, calling Belaid's assassination "an attack on all Tunisians."

At the same time, he asked that protests remain peaceful. "We do not want the country to fall into chaos," he said on Tunisian state TV.

Lise Storm, a senior lecturer in Middle East Politics at the University of Exeter in England, warned against overplaying the significance of Belaid's death in the long term and said the current protests are in part driven by more general discontent.

While Belaid was a well-known figure, his party is small and has no real political platform other than opposition to Ennahda, she said.

Although it remains unclear who might have been behind his murder, it is highly unlikely that Ennahda played a role, as some have alleged, she said. The party is moderately Islamist and is made up of seasoned politicians who have waited a long time to be able to govern, she said.

Storm suggested that any move to dissolve the current elected government would be counterproductive, since a unity government would find it difficult to reach consensus on reforms. Tunisia has made great progress toward democracy in the past two years, she pointed out, with presidential elections expected after the new constitution is approved, likely later this year.

Popular discontent is focused on the issue of jobs and speedier reform of the police and other institutions, particularly in places such as Sidi Bouzid, which were at the center of past political protests, she added.

Women's Minister Sihem Badi told CNN that it was important that Tunisians remain united at this difficult time.

People are worried that the upheaval may lead to a return to the situation as it was before the Arab Spring revolution, said Badi, a member of the Congress for the Republic party.

To prevent that from happening, it is vital that Tunisia remains committed to the process begun two years ago, she said, with the country's political parties, media and civil society coming together to safeguard the freedoms and democratic progress won by the people.

Read more: How a fruit seller caused revolution in Tunisia

"We must protect our revolution," she said. "We need time, we need patience, we need the agreement of many partners -- we can't work alone."

Badi said the violent protests that broke out Wednesday were a natural response to the shocking death of Belaid. But, she said, such clashes are unusual in Tunisia and she does not expect them to continue.

"We have a very difficult period now, but it's important to prepare good conditions for future elections," she said, including agreement on a new constitution.

Belaid was shot by an unknown gunman as he left his home in a quiet Tunis suburb for work Wednesday morning, according to a witness.

The attack was "a clear message to Tunisians ... shut up, or we kill you," Abdelmajid Belaid said. He said his brother had been "receiving threats of murder for a long time," including a text message Tuesday.

And Chokri Belaid's widow, Basma, told Tunisian state TV: "We are damned. The political struggle is damned in Tunisia. Chokri Belaid sacrificed his soul."

@highlight

Police fire tear gas as violent protests break out in the capital for a second day

@highlight

Tunisia's government failed to protect Chokri Belaid, a rights group says

@highlight

Prime Minister Hamadi Jebali sacks the government and calls for new elections

@highlight

His party says the dissolution is "not binding" and is discussing whether to accept it