Le Bourget, France (CNN) -- Once upon a time, the airship was hailed as the future of flight: as glamorous, luxurious and fashionable as the Art Deco era which marked its heyday.

But a series of disasters, not least the crash of the Hindenburg in New Jersey, in 1937, with the loss of 36 lives, put paid to the dreams of intercontinental Zeppelin travel.

Blimps are still a familiar sight in advertising, but those who design and build these aircraft believe there's much more to them -- and to their future -- than simply signposting the local car dealership or giving TV audiences a better view of the football field during the big match.

Now, 90 years after the launch of America's first airship, the USS Shenandoah, dirigibles and aerostats are undergoing something of a renaissance.

Among those hoping to lead the charge is California-based Aeros, which is developing what it hopes will be a revolutionary new cargo airship, the Aeroscraft, combining elements of regular 'lighter-than-air' (LTA) craft and traditional fixed-wing planes.

In addition, it has a magic ingredient: the vertical take-off and landing capabilities of a helicopter, meaning it has no need for a runway or airfield.

Read more: Test your aviation knowledge

The idea was developed by Kazakhstan-born engineer Igor Pasternak, who moved to the U.S. in 1994 and set up in business building advertising blimps.

He's spent the past two decades working to solve the problems posed by traditional airships.

"I understand airships well," he told CNN. "I've built a lot of them."

His Aeroscraft is a rigid-hulled dirigible measuring a whopping 169 meters in length, with a payload of 66 tonnes (and plans for a 250 tonne version), a cruising speed of up to 120 knots, and a range of 3,100 nautical miles.

"It's a little bit like my dream vehicle," he said.

"In natural disasters and other situations where infrastructure is non-existent, the Aeroscraft could be used to bring in emergency supplies: food, water, blankets -- 66 tonnes of relief at a time," explained the company's communications director John Kiehle.

And while its primary purpose is likely to be logistical, moving cargo, military troops and humanitarian relief supplies into remote and inhospitable terrain, the company admits that down the line there may be other uses for the technology, from "floating hotels" to "sky yachts for millionaires."

Read more: 50 years of Paris Airshow

So far, the company has created a scaled-down version of the aircraft to prove that the design can work; the next step is a full-size prototype. The aim is to have the first Aeroscraft flying by 2016, and the initial fleet of 24 vehicles up and running by 2020 to 2021.

"This truly is a game-changer," said Bill Feeley, the company's director of strategic finances. "It's a real shift in industrial technology, on a par with the building of skyscrapers, or the creation of nuclear energy."

Pasternak and Kiehle say one of the Aeroscraft's biggest advantages is that it runs on regular diesel, rather than expensive aviation fuel which can be tough to get hold of in the world's more inaccessible regions.

But another airship project currently in research and development could end up being even cheaper and easier to power: innovation and engineering consultancy group Altran's Sun Cloud is a dirigible powered by solar energy.

It's an area the company has some experience in, having already worked on Solar Impulse, the world's first plane powered solely by the sun.

Like Aeros' airship, the Sun Cloud is designed to carry large loads of cargo over long distances -- but the Sun Cloud is missing one component likely to be key to the Aeroscraft's success: the pilot.

Altran's feasibility study is examining whether it is possible to move payloads of up to 250 tonnes from place to place in what is effectively a super-sized drone.

Read more: On your marks, jet set, go!

"We're not looking to replace traditional forms of cargo transportation," explained the program's manager, Ali Jafaar. "Container ships can carry 500,000 tonnes at a time -- we're not looking to do that."

Instead the idea is to be able to move large items, such as plane parts, long distances from one factory to another.

Reliance on solar power means the aircraft would be far slower than a regular plane, traveling at just 25km an hour, but the fact it is is unmanned means it could potentially remain airborne, at high altitudes, for lengthy periods of time.

"It's all about speed, and optimizing energy," said Jafaar. "What uses up energy is going fast. Humans always want to be going faster but we're not going to be carrying humans, so the slower speeds can be tolerated."

If and when the Sun Cloud gets off the ground -- which Jafaar admits is not likely to happen for some years yet -- it may well find it isn't the only airship hovering around above us.

U.S. defense contractor Raytheon is already planning to put its own aerostats (airships which are tethered to the ground) into the skies above the U.S. capital, Washington.

Read more: Paris airshow's incredible moments

But instead of carrying troops or manufacturing supplies, Raytheon's blimps will be loaded with surveillance equipment, to watch for the threat of attacks.

The catchily-titled Joint Land Attack Cruise Missile Defense Elevated Netted Sensor, or JLENS for short, is designed to scan the skies, the seas and the streets below for signs of danger, be it from incoming missiles and drones, or suspicious boats or trucks.

"An airplane can only stay up for so long, but JLENS is persistent," said Raytheon's Keith McNamara. "Because it's tethered, with its power source on the ground, it can stay up there 24/7 for 30 days at a time.

"And because it's so much higher up than radar on the ground, it can see much further, hundreds of kilometres, as opposed to tens of kilometres."

While Raytheon's blimps will be equipped with all the latest technology, the idea itself is nothing new: hydrogen-filled balloons were used for surveillance during the American Civil War.

It seems that some 260 years after the Montgolfier brothers first ascended into the skies above Paris in a hot air balloon, the glory days of the dirigible may be yet to come.

@highlight

U.S. company Aeros developing massive airship to carry heavy cargo long distances

@highlight

Aeroscraft will take off and land vertically, like a helicopter, without need for a runway

@highlight

Project is just one of a number of airships and aerostats being planned for a variety of uses

@highlight

Airships once feted as future of flying, but fell out of favor after the Hindenburg disaster