Catania, Sicily (CNN)We are at the beginning of a massive and mounting crisis with no solution in sight. Perhaps that's incorrect. The migrant crisis that has suddenly drawn hundreds of journalists to Sicily has been brewing for years, but in the past 10 days, with as many as 1,600 deaths in the Mediterranean, suddenly minds are focused -- for now.

Almost exactly four years ago, in Libya, I caught, perhaps, a glimpse of what was to come.

It was late at night in the besieged city of Misrata. Hundreds of African migrants were caught between the Libyan civil war (back then some optimistically called it a "revolution") and the deep blue sea. They had come to Misrata from Ghana, Nigeria and elsewhere, hoping to board rickety boats to cross the sea to Europe.

They had been pinned down under sporadic shelling from government forces, but weren't welcome by the rebels who controlled the city. They appealed to us to help them escape.

We could do nothing, but they may have eventually found their way out when the fighting subsided.

The fall of Libyan leader Moammar Gadhafi's regime, which we reporters covered so avidly, was followed by chaos, which we in the news media largely neglected, focused as we journalists were on the next catastrophe, the Syrian civil war. In that chaos, the business of human trafficking has boomed.

And now that boom in human misery is coming in waves to the shores of Italy. The focus today is on those lost at sea. Aware of the tragedy underway, however, Italians are alarmed at the prospect that this year alone as many as a million migrants could arrive in Europe, according to one European Union official.

That is certainly the case in the Sicilian port of Catania, where many migrants arrive. The city's mayor, Enzo Bianco, insists city residents bear no ill will toward the migrants, but says Catania, and Sicily cannot absorb the ever-growing numbers. The rest of Europe must help carry the burden.

"If something serious isn't done," he warns, "dramas like these will be repeated. This problem will not be resolved by hiding our heads in the sand."

Increasingly, some Italians are losing their patience. Two northern regions, Veneto and Valle d'Aosta, have declared they will no longer accept new migrants. The rightist Lega Nord has made opposition to new migrants a pillar of its party program.

Others, however, insist Italy must keep its doors open. In Catania port, I spoke with Grazia Giurato, who had joined a small protest in solidarity with the migrants.

"Many years ago, our grandparents emigrated," she recalled. "Let's keep that in mind."

Indeed, in tougher times, millions of impoverished Italians left their homeland to settle in the Americas and Australia. They, too, like the migrants from Africa and the Middle East, were fleeing grinding poverty and war. And they, too, experienced the kind of prejudice and resentment in lands their descendants now proudly call home.

That's the long view, perhaps. But now, today, Italians are grappling to deal with the consequences of an array of old and new ills, ranging from failing states and failing economies to endemic corruption, hopeless poverty, oppression and injustice that no one state or group of states can solve without a gargantuan, expensive and politically daunting effort.

And while this crisis has been brewing for years, it is now truly upon us.

@highlight

Hundreds of desperate migrants have died attempting to cross the Mediterranean in recent says

@highlight

And Italians are alarmed that this year as many as a million migrants could arrive in Europe