Maputo, Mozambique (CNN)They say no one can resist its chicuembo, an invocation to the ancestral spirits. It will get you off your seat. It will get you dancing.

The magic happens when you listen to Marrabenta, Mozambique's distinctive national music, an energetic mix of local dance rhythms and folk music from Portugal.

The word itself is derived from the Portuguese verb rebentar, meaning "to break".

Some say this refers to the instruments used to play the music, originally tin-can guitars and wooden boxes with strings. Due to the flimsy nature of their improvised construction, they were particularly prone to breaking.

Others suggest it describes the dancing style: sprightly, bouncy, best approached with a "dance until you break" attitude.

But according to Dilon Djindji, an 85-year-old Marrabenta legend whose career can be traced back to 1938, it was his very showmanship that spawned the term: his intensity on stage was such that it could break the emotional barrier with the audience.

Whatever the truth, Marrabenta has a meaning in Mozambique that goes well beyond words.

Mozambique was a Portuguese colony until 1975, when it gained its independence after a decade-long war. During the colonial period, the regime extended its influence to the arts and culture, demanding that only Portuguese music be played and danced to. Music therefore became a means of self-expression and conservation of cultural identity for many Mozambicans.

Marrabenta was born in the late 1930s, and on top of classic themes like love and everyday life, it also offered social criticism and commentary to major events.

The lyrics are often in Portuguese, still the official language of Mozambique, but also in local languages such as Shangaan and Ronga. Its musical pattern merges European influences and local styles, from Mozambique as well as neighboring countries.

The originators of Marrabenta were ordinary Mozambican men and women, who played guitar and sang at gatherings.

But what really defines the genre is not the rhythm, the guitar, or the language: "What defines Marrabenta is the dance," says Dilon Djindji, "The dance has its own steps. It has its own style. There is also a specific way to play the music. The singing must match the dance and the melody. That is what shows you it's Marrabenta."

Marrabenta's undisputed superstar of this generation is Neyma, "the Beyonce of Mozambique".

At the Mozambican Music Awards in 2013 she won several awards including Best Artist and Album of the Year, confirming that the genre hasn't lost its luster.

"I have also performed other styles besides Marrabenta, but Marrabenta is where I find myself. Because I'm African, because I'm Mozambican," says Neyma.

"And I've realized that other artists haven't explored this music genre much. It used to be seen as though it belonged to older generations. As a style, it was made by older artists. So I want to break with that."

Marrabenta is well known beyond Mozambique's borders, but for some artists there's still more to be done before it can gain international stature.

"We don't want our music to reach Mozambique only," says Wazimbo, one of Marrabenta's most influential artists.

"We want our music to be known in all corners of the world. But we haven't reached that goal yet, because we don't have a recording industry.

"We are fighting to make it known, to publicize it. But we realize we also need to establish an industry, we need good promoters, people to take our music to where we want it to go."

Marrabenta might represent the tradition of Mozambican music, but it's also strongly influencing its future. A new style, popular with the youngest generations, is a mix of Marrabenta and Ragga.

One if its up-and-coming stars is a man who goes by many names: Mr Cizer Boss, Mr Guiriga, Owner of "Bazucas", "Essa dama uma goia", and "Martelo 4Pause."

He defines Pandza as "a fusion between Marrabenta, some hip- hop, and some rhythms from our neighbor South Africa... some national and international dances. We create a pleasant fusion, the Pandza style that is ours. Just ours."

Pandza has more groove, it's more aggressive, and it's richer in scope, incorporating additional instruments on top of Marrabenta's guitars and drums.

It is just a decade old, but it's gathering followers rapidly.

And yet, this doesn't mean that Marrabenta will soon be a thing of the past. It's all still there. Deeply etched into the groove.

Watch: Mozambique's elusive coffee plant

More: In Mozambique, art from weapons and rubble

@highlight

Marrabenta is the distinctive national music of Mozambique

@highlight

Originally played with tin-can guitars at gatherings, it combines Portuguese folk with Mozambican dance rhythms

@highlight

Neyma, one of the genre's most popular artists, had the best selling album of the year in Mozambique in 2013

@highlight

A derivative genre called Pandza is also gaining popularity among the country's youth