(CNN) -- To the devout, the concept of becoming "Muslim for a month" -- or any other religion, for that matter -- could verge on the sacrilegious.

"It's a provocative title, 'Muslim for a Month,' so we were bracing ourselves for (criticism)," said Ben Bowler, who runs cultural exchange programs with that name. The tours take non-Muslims from around the world into Turkish mosques and homes for a first-hand experience of Islam.

"There has been a little of that -- 'Being a Muslim is for life, not just a month," he added.

But overwhelmingly, he said, the response from Muslims has been positive because the tours help to dispel negative stereotypes about the religion and leave participants with an enriched spiritual perspective.

"People are very visibly moved," Bowler said. "There's lots of tears. It's a rich, multi-layered experience and people are coming out with changed ideas and changed perceptions -- they are more aware of the positive side of the religion than before."

Muslim for a Month, run by Bowler's NGO World Weavers, is part of a new breed of cultural immersion tourism being dubbed "pray-cations." It promises travelers a rich, meaningful experience, by exposing them to religious beliefs and practices "in a country where spirituality is still very much alive," he said.

Bowler, a Thailand-based Australian, has run half a dozen of the tours in recent years, during which participants are taught the basics of Islamic practice, study Islamic history and calligraphy, pray in mosques and live and eat with Muslim families. The itinerary also includes a day of fasting.

During the 10-day or 21-day tours (the "month" in the tour name is slightly misleading, organizers admit), tour members stay in a 400-year-old Sufi lodge in Istanbul's Eyup district, visit the ancient city of Konya to visit the tomb of Sufi mystic Rumi, and admire the ecstatic services of the whirling dervishes who follow his teachings.

See also: My Faith: How Hajj gave us a child

Those teachings set the tone for the course, said Bowler. Rumi, who lived in 13th century, was "somebody who, during a time of ethnic tensions, was able to hit a very high note of love and tolerance and acceptance that we want to hold up as relevant today," he added.

Tina Reisman-Boukes, a 56-year-old Dutch social worker and convert to Judaism, took part in one of the tours on the recommendation of her son. He had been on one himself, and given her a book on Rumi, as he believed it would resonate with her.

She said the course gave her a deeper understanding, both of Islam, "as a systematic way to get closer to God," and of herself. The rituals of Islam, she said, helped her in her quest to resolve the "inner conflict between individuality and community."

It also emphasized the connections between all people -- whatever their faith.

"Rumi loved people, not because of what they did or showed, but because he saw the little flame in their heart that waits to be illuminated," she said.

"I was born in Holland, baptized Christian and converted to Judaism ... If I had been born in Turkey, I might have been Muslim. If I had been born in Thailand, I might have been Buddhist. Does it matter?"

Reisman-Boukes's experience reflected the aims of the course, which were twofold, said Bowler: to correct the current "low PR of Islam itself, and religion in general."

He hopes the tours will promote "global understanding" by establishing direct contact between outsiders and the Muslim world. "So many of our ideas are formed through second-hand information," he said. "We're wanting this to be an example of first-hand experience, which makes people's preconceptions fall away."

Bowler also wishes for the tours to encourage participants in "the search for spirituality" in an increasingly secular world.

"I'm from Australia, my wife is Dutch, so we're both from very secular backgrounds, and it feels like we might be missing out on something," he said.

"It's (a) living, breathing religious experience just being on the tour. We hope they go away not just with a broader understanding of Islam, but with a broader personal spiritual perspective as well."

No participants had converted to Islam, he said, although that was not something the tours particularly sought to encourage. He said that typically, the most challenging aspect of Islamic life for tourists was the segregation between the genders, particularly given that some tours were 70% women.

"But most of our participants come away realizing it's part of the culture and that these women aren't subjugated -- they're often living their lives happily," he said.

See also: The story of Mecca as it's never been told before

Religion is always a sensitive subject, and the tours have faced some resistance. The group's Facebook page has been targeted with derogatory anti-Muslim comments by the far-right British National Party, while some travel agents have been reluctant to promote the tours due to unease about Islam, said Bowler.

Meanwhile, some Muslims have expressed discomfort with their all-encompassing faith being treated as something that can be dipped into as a touristic experience.

But Bowler, who has also run "Monk for a Month" tours with Thai Buddhists, and is launching an "Interfaith Express" tour in Turkey focusing on the three Abrahamic faiths, believes there is nothing wrong with the tour's approach to religion.

"We might be the first generation that gets to experience a variety of religions," he said. "I grew up in an Irish Catholic family where my dad was Catholic because his dad was Catholic and that was as much thought that went into it.

"These days we're blessed to be able to experience Buddhism or Islam or Christianity or whatever it might be and to take the values and the meanings we find and apply them to life.

"I see a remarkable opportunity we have being alive today to be able to go and benefit from the various traditions ... by taking what makes sense to the individual."

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer: @SchamsCNN and writer Tim Hume: @tim_hume

@highlight

'Muslim for a Month' is a tour giving non-Muslims an inside look at Islam

@highlight

Participants live, pray and fast as Muslims in Turkish homes and mosques

@highlight

The aim is to encourage global understanding and a deeper spiritual outlook

@highlight

Some travel agents have been wary of the tours, say organizers