For 15 years, Ashley Broadway has devoted her life to the military and to her spouse, an Army lieutenant colonel.

The former schoolteacher found a new job and made new friends each time she had to relocate bases, including a move to South Korea. When a deployment to the Middle East separated the couple, Broadway took care of the couple's young son, Carson, on her own.

Now at Fort Bragg, North Carolina, and with a second child on the way, Broadway wanted to settle down and get to know more spouses like herself.

So she applied for membership to the Association of Bragg Officers' Spouses.

"I thought, 'Here's a chance to make some close friends who would really understand me,'" Broadway said. "And I could get very active in events that help other families like mine. I was excited, really excited, to be a part of this group."

But the Bragg spouse club apparently didn't feel the same way. Broadway's married to Lt. Col. Heather Mack. The officers' spouse club didn't want her, she believes, because she's gay.

Shortly after Broadway applied, the club called her to say it had new membership rules. If she didn't have a military ID card, she couldn't join.

The couple is legally married -- reciting their vows during a November ceremony in Washington, D.C., and signing a state marriage certificate.

Broadway's experience may reflect a struggle at the nation's military bases to adapt culturally to the legal changes brought on by 2011's repeal of the "don't ask, don't tell" policy. Brass at Fort Bragg told CNN that they had no control over the spouse club because it's not a military group, but a private one.

Though gay people can now serve openly, the military doesn't formally recognize same-sex marriage under the federal Defense of Marriage Act, a law passed in 1996 that denies many benefits to same-sex spouses. One of those benefits is military IDs.

The cards are an essential part of military life, allowing holders to get on base, access child care or go to the commissary.

Same-sex married couple sues federal government in DOMA case

Members-only card

"The cards are also a big symbol," Broadway recalled. "So there I am listening to this person with this club tell me I can't join as I'm struggling to get my 2-year-old out of the car and into the house. And I just kept hearing over and over, 'You don't have an ID. You don't have an ID.' I was hearing it as, 'You are not equal. You are less.'"

Her voice breaks. "I kept thinking that if these people just met me, they would like me," she said, crying.

When Broadway hung up, she grabbed a laundry basket and began furiously folding clothes in her bedroom. She texted a friend who is also gay, also married to a service member and was himself in the military years ago.

"How can anyone not in our position know how this feels?" she asked.

By that night, she was just plain angry. No way was she just going to go away quietly.

Broadway posted an open letter to the club on the American Military Partner Association, the nation's go-to support network for gay, lesbian and transgender military families.

Another club rejection

AMPA launched a petition not only for Broadway but also for other spouses who've tried and were barred from joining similar clubs, including Tanisha Ward.

Ward, who's married to a female Airman 1st Class, asked to join The Little Rock Spouses' Club near Little Rock Air Force Base in Jacksonville, Arkansas, in September.

The club rejected Ward, she says, because she doesn't have a military-issued ID. But the group appears to be rethinking its stance.

Its website suggests the club might be considering new membership rules that a military ID card is not necessary to join, adding that no one should be blocked from membership because of sexual orientation.

"They've told me they're going to meet this month to decide," Ward said. "I hope they do the right thing."

But no luck for Broadway, whose name trended for weeks on Twitter. Her story is the talk in military circles, with Stars and Stripes writing about it and Fort Bragg's community posting comments online.

"This is about more than a spouse who wants to get into a club," says UCLA Law School's Aaron Belkin, who helped write the repeal of "don't ask, don't tell."

"This is about the Defense of Marriage Act and all the inequalities that come with it. It's about asking the question: Is the military really going to be serious about giving fair and equal treatment?"

Some of the other federal benefits that are available to married heterosexual couples but are denied to same-sex spouses include insurance and survivor's benefits. Straight spouses are able to file joint tax returns.

The U.S. Supreme Court will begin hearing arguments about the constitutionality of DOMA in March.

Unexpected allies in marriage votes

A spouse is a spouse

That offers little comfort to Broadway and her supporters, such as Bianca Strzalkowski, the 2011 Military Spouse of the Year. Hundreds of thousands of military members voted to give Strzalkowski that title, singling her out for her community service, patriotism and time spent helping military families. She lives in North Carolina but has no affiliation with the spouse club that rejected Broadway.

"It really makes me ill to think this is happening at Fort Bragg," she told CNN. "It's discrimination, plain and simple."

Strzalkowski is also the deputy membership director of Blue Star Families -- the largest military family support organization in the nation. A Blue Star column recently lambasted the spouse club for rejecting Broadway.

"Who would have thought a group whose sole existence is to help other military spouses and families would deny one of their own?..." military wife Molly Blake wrote. "Ashley Broadway -- I don't care if you are gay. I care that you are a dedicated military spouse who supports your soldier. I care that you want to be an example to other spouses and volunteer your time for the benefit of others.

"I care that you are willing to set up chairs and tables for fundraisers, bring new and innovative ways to raise money for our neediest military families, collate bid sheets, make brownies and raise your hand when the president needs a volunteer."

Strzalkowski's Marine husband is preparing to ship out on his fifth deployment, this time to Afghanistan.

"We've gone through 11 years of war, and we need to be supporting each other -- not treating each other like this," she said. "I don't feel that this club at Fort Bragg represents who we are as spouses."

No help from Bragg brass

CNN's many attempts to get the club's side of the story have been unsuccessful. Two women who confirmed that they belonged to the club chose not to comment.

A December 12 letter on the club's home page reads: "In response to recent interest in the membership requirements of our organization we will review the issue at our next board meeting." The letter doesn't indicate when the meeting will be.

In the wake of the controversy, the group's website has password protected all its links. "They've locked themselves off to the world!" says Strzalkowski. "No one should be that high up on their pedestal."

Bragg brass says their power is limited. That's because, according to Fort Bragg Garrison Commander Col. Jeffrey Sanborn, the club is a private group, not a military one. Sanborn declined an interview with CNN, but he e-mailed statements saying he explained that in person to Broadway and her wife.

Officially, Sanborn has the power only to ensure "all private organizations operating on Fort Bragg comply with Department of Defense and Army regulations and with U.S. laws."

And the spouse club's bylaws, constitution and conduct do comply with DOD regulations.

"C'mon, really? That's a little disingenuous," said UCLA's Belkin. "When you're the commander at Fort Bragg, you are close to having godlike status in your community."

Sanborn could deny the club access to the base, Belkin said.

"He could tell service members not to participate. There are a lot of ways to send a signal that you disapprove."

At home this week, Broadway and Mack are busy around the house. Mack is days away from giving birth. Broadway talks as she heads home from a visit to the doctor.

After all this, does Broadway still want to be part of the Association of Bragg Officers' Spouses?

"Honestly, I'm torn," she said. "Each day that goes by, they are saying they don't want me. I check my spam folder every day to make sure I haven't missed a message from them.

"I wonder if it would be best if I focus on a group who would value me."

@highlight

In North Carolina, Fort Bragg spouse club bars same-sex wife of a lieutenant colonel

@highlight

The club told Ashley Broadway that without a military ID card, she was ineligible to join

@highlight

Prominent voices in military circles have rallied behind Broadway

@highlight

"It's discrimination," says an official with Blue Star Families, a national military family group