Deadly diseases like Ebola are only a plane ride away. In today's interconnected world, linked by transoceanic flights, one infected person can trigger a domino effect that pays no attention to borders.

"The concern that people are going to get on these flights and fly from West Africa, where these cases are, to anywhere in the world is ... a real possibility," said Dr. Sanjay Gupta, CNN's chief medical correspondent.

"I think for a long time people didn't think that that was going to happen because Ebola was sort of relegated to very remote areas of Africa. Things have changed with our globalized world."

Could outbreak spread to U.S.?

Ebola patient on West African flights

Earlier this month, a Liberian government official who had Ebola symptoms collapsed after getting off his flight in Lagos, Nigeria on July 20. Patrick Sawyer, 40, died five days later. He had been taking care care of his Ebola-stricken sister, in Liberia, although he didn't know she had the disease, his wife told CNN.

Health workers identified 59 people who came in contact with him including 15 in the airport staff and 44 from the hospital. He had traveled by plane via Lomé, Togo and Accra, Ghana. His case sparked concerns that the virus could disperse through air travel.

At this point, the World Health Organization does not recommend any travel or trade restrictions on Guinea, Liberia or Sierra Leone. However, the U.S. Centers for Disease Control and Prevention issued warnings Thursday to avoid nonessential travel to the three West African countries.

The WHO, the International Civil Aviation Organzation and the International Air Transport Association have been coordinating efforts to fight the spread of the disease. According to an ICAO statement, they are considering passenger screenings: "The Organization remains in contact with the WHO on potential efforts which may be required to facilitate repatriation flights, as well as matters relating to air ambulance services in the affected areas."

Can plane passengers become infected?

While the CDC acknowledges it's possible a person infected with Ebola in West Africa could get on a plane and arrive in another country like the United States, the chances of the virus spreading during the journey are low.

"It's very unlikely that they would be able to spread the disease to fellow passengers," said Stephen Monroe, deputy director of CDC's National Center for Emerging Zoonotic and Infectious Diseases. "The Ebola virus spreads through direct contact with the blood, secretions, or other body fluids of ill people, and indirect contact -- for example with needles and other things that may be contaminated with these fluids."

He added that most people who have become infected with Ebola lived with or cared for an ill patient.

"This is not an airborne transmission," said Dr. Marty Cetron, director of CDC's Division of Global Migration and Quarantine. "There needs to be direct contact frequently with body fluids or blood."

Travelers should take precautions by avoiding areas experiencing outbreaks and avoid contact with Ebola patients.

Ebola symptoms include fever, intense weakness, muscle pain, headache and sore throat; followed by vomiting, diarrhea, rash, impaired kidney and liver function, and at advanced stage, both internal and external bleeding, according to the WHO.

"It is highly unlikely that someone suffering such symptoms would feel well enough to travel," IATA said in a statement.

"In the rare event that a person infected with the Ebola virus was unknowingly transported by air, WHO advises that the risks to other passengers are low. Nonetheless, WHO does advise public health authorities to carry out contact tracing in such instances."

This means determining who had contact with the affected person.

What should flight crew do if Ebola infection is suspected?

The CDC issued interim guidance for airline crews on Ebola virus infections.

"As with many other global infectious disease outbreaks, airline carriers, crew members, airports can be very important partners in that front line," said Cetron. "Being educated, knowing the symptoms, recognizing what to do, having a response protocol, knowing who to call, those are really, really important parts of the global containment strategy to deal with threats like this."

The CDC advises that when flight crew members encounter a passenger with symptoms that they suspect could be Ebola, such as fever and bleeding, that they keep the sick person away from other passengers. They've been instructed to wear disposable gloves and to provide the sickened person with a surgical mask to prevent fluids from spreading through talking, sneezing or coughing.

The airline cleaning crew are also instructed to wear disposable gloves, wipe down surfaces including armrests, seat backs, trays and light switches. The CDC says that packages and cargo should not pose a risk, unless the items have been soiled with blood or bodily fluids.

When someone becomes ill on a flight, the captain is required by aviation regulations to report the suspected case to air traffic control, according to IATA.

How it's affecting flights

Nigeria-based airline companies ASKY and Arik Air suspended operations at the end of July into Monrovia and Freetown, the capitals of Liberia and Sierra Leone, respectively. ASKY said passengers departing from Conakry, Guinea, would be screened for signs of the virus.

Most of the international flights from Sierra Leone, Guinea and Liberia have flights to other West African destinations like Senegal, Ghana and Cote d'Ivoire. There are several flights a week to Belgium, France and the United Kingdom too, according to data from Flightstats.com.

Passengers could get anywhere through connecting flights.

The UK Department of Health said in a statement that it is monitoring Ebola, but that the risk is still low for British citizens. "We do not, at the moment, think this is an issue that affects the UK directly," said Foreign Secretary Philip Hammond, who held a high-level meeting about the disease on Wednesday.

@highlight

CDC: Spreading Ebola on a plane is "very unlikely"

@highlight

Ebola virus spreads through direct contact with blood, secretions or body fluids

@highlight

Man with Ebola symptoms collapsed after deplaning in Nigeria

@highlight

Patients with Ebola not likely to be traveling, because symptoms are very severe