(CNN) -- It took more than 3Â½ decades, but Victoria Montenegro has finally recovered the remains of her father, and in doing so, her identity.

The Argentinian mother of three, who lives in Buenos Aires, this week received confirmation that a body found in a Uruguayan cemetery is that of her father, Roque Orlando Montenegro, who disappeared in 1976 when she was just a few days old.

It's a story about the depths of repression reached during Argentina's so-called Dirty War from 1976 to 1983. Thousands of people, mainly leftists, trade unionists, students, Marxists and their sympathizers, were targeted by the military regime that took power in March 1976 and even before then. Some were executed; many others simply were never heard from again.

Victoria Montenegro had been seeking the truth about her father since she learned in the year 2000, when she was 24 years old, that the military couple who raised her were not her biological parents. "I was appropriated," Montenegro says, using the term given to children whose parents were killed or disappeared during the Dirty War and were given to other couples.

The organization known as Abuelas de Plaza de Mayo (May Square Grandmothers), helped her find the truth about her identity. The organization helps people, who were taken away from their politically persecuted parents as children, reconnect with their past.

Guillermo Wulff, a spokesman with Abuelas, says that for Montenegro, learning the truth wasn't easy. "It took a long time for her to accept it; but when she did, she was then ready for the next step, which was finding out how her parents died," Wulff said.

The Argentinian Forensic Anthropology Team (EAAF by its Spanish acronym) announced this week that forensic and DNA tests prove that human remains found in a Uruguayan cemetery are those of Roque Orlando Montenegro, known as "Toti," who went missing in February 1976 when he was 20 years old.

Luis Fondevrider, president of EAAF, said that identifying the remains of Montenegro was a process that started 10 years ago in Colonia, Uruguay, across the Rio de La Plata from Buenos Aires.

"In 2002 we exhumed eight unidentified bodies from the cemetery in Colonia. At that time, we had no hypothesis as to how the bodies ended up there," said Fondevrider.

EAAF took DNA and forensic samples from the bodies. In 2007, the independent organization started taking blood and DNA samples from people in Argentina with missing relatives. Victoria Montenegro was one of 8,500 people who left samples over the following four years. Finally, a match was made this year.

But how did the body of a man kidnapped in Buenos Aires end up in a different country? Fondevrider believes Montenegro was killed during the so-called "death flights," a series of military flights in which political prisoners were thrown alive into the sea. Montenegro's body probably washed ashore on the Uruguayan coast. A nameless tombstone was placed over his grave in Colonia.

For Victoria Montenegro, seeking the truth about her origins has been a slow and painful process, but she says knowing what truly happened has given her some closure. "Recovering my true identity was paramount," Montenegro said. "Having a true identity is a human right. Recovering the remains of my father has been important not only to understand how he died, but also to bring some justice to Argentina and the victims of the regime."

Montenegro says her rendezvous with her past is only halfway done. Her adoptive parents, whom she calls "my appropriators," told her both of her biological parents had died in a Buenos Aires shootout in February 1976. She has no knowledge or clues about what happened to her mother. Her adoptive parents are deceased.

She called it "a miracle" that the Godmothers organization found her and, "with a drop of my blood, was able to identify the remains of my father, buried in Uruguay since 1976."

Now with a son who, at 20, is as old as her father was when he disappeared, Montenegro said she hopes the episode shines a little more light on a dark past.

"As painful as it may be, we need to find the truth about our history," she said. "By exhuming and identifying our loved ones after all these years, we give them back their dignity."

@highlight

Victoria Montenegro, 36, learned of her real father just 12 years ago

@highlight

She learned this week that a body found in a Uruguayan cemetery was his

@highlight

Roque Orlando Montenegro was 20 at the time of the 1976-83 "Dirty War"

@highlight

Victoria Montenegro still has no idea what happened to her mother