Washington (CNN) -- At a gathering of his safety-minded peers, John Lee had a confession to make.

Last month, while driving to Madison, Wisconsin, Lee glanced down to review a playlist on his car's MP3 player. He scrolled through the titles, looking for Bruce Springsteen songs, "wanting to avoid the Adele songs that my wife had put there."

Then Lee looked up... and continued driving.

There was no crash. No one died.

Unremarkable?

Lee doesn't think so.

Lee, an expert at human-machine interactions at the University of Wisconsin, had just co-authored a paper titled "Scrolling While Driving." And despite his own heightened awareness about the dangers of distracted driving, he had spent three to five seconds with his eyes off the road, a time lapse that placed him well into the danger zone.

The incident, he said, demonstrated the insidious creep of distracting technology into the automobile.

"It seems like the old technology," he said of his car's audio system. "It seems like a radio. But it isn't."

And if Lee -- who has forsworn cell phone and text messaging in his car -- can be lulled into a distracting experience, anybody can, he said.

"I've been very well-trained to the dangers of distraction, and yet I'm vulnerable," he said.

Lee's anecdote at a National Transportation Safety Board all-day forum Tuesday hit upon two themes -- the invasion of pernicious technology in automobiles and the precious few seconds it takes to go from an attentive driver to a distracted one.

Lee and a panel of experts said that any distraction of two seconds or longer significantly increases the likelihood of a crash.

Novice drivers are 16 times more likely to take a dangerous glance inside the vehicle than experienced drivers, the experts said, citing one study.

And the risk of a crash increases "four-fold" if a driver was on the phone, regardless of whether they were using a hand-held or a hands-free device, they said.

Some agreement; some dispute

The forum comes at a time when the NTSB and the Department of Transportation are at odds over just how far the government should go to restrict digital devices in cars. The Department of Transportation is recommending that states ban the use of handheld cell phones and text messaging devices. But the NTSB wants to take it a step further, banning the use of hands-free devices, except those that aid driving.

"Things that are hands-free are distracting too," said NTSB Chairman Deborah Hersman.

"We'd like to see requirements and standards that look at all distractions, not just the manipulative or the visual distractions, but recognizing that there's a cognitive distraction," she said.

Experts call it "looking but not seeing."

"The issue of cognitive distraction seems to have been left off the table -- forgotten a little bit," she said.

Distractions everywhere

Driver distractions are hardly new, safety board members and panels acknowledged. Everything from billboards, to beautiful scenery, to pretty girls, have distracted drivers since the advent of automobiles, they said.

But new texting technology creates a "perfect storm" of activities that create danger, prompting users to look and engage.

In addition to taking a driver's eyes off the road and hands off the wheel, texting devices can engage people's minds so that they're paying less attention to the task of driving, the experts said.

And the technology is evolving faster than its impact can be appreciated, Lee said.

"The pace of change is daunting. The pace of change far outstrips the pace of regulatory response," he explained.

An often-quoted study on distracted driving known as the "100 car study" was conducted in 2003 and 2004 -- before the introduction of Facebook (2004), Twitter (2006), the iPhone (2007), and iPhone apps (2008), Lee said.

Driver distraction is a growing contributor to U.S. traffic fatalities, said Jeff Caird of the University of Calgary. In 1999, there were 4,563 distracted driving fatalities, accounting for 10.9% of all fatalities. In 2008, there were 5,870 distraction fatalities, 15.8% of the total.

But police reports are not a reliable source of information for the cause of distracted driving accidents, said Anne McCartt of the Insurance Institute for Highway Safety. The cause of accidents is frequently not reported, and there are very large differences across the states, McCartt said.

The best studies, she said, used phone records to determine if drivers were possibly distracted at the time of a crash, she said.

Cell phones vs. conversations

Cell phones are more distracting than conversing with passengers, said Donald Fisher of the University of Massachusetts Amherst.

A passenger is "an extra set of eyes," and can moderate their conversation during challenging driving periods, unlike a person on a phone, Fisher said. They can serve as a collision avoidance system, "pointing out hazards and screaming in the extreme case," said Lee.

Passengers can be distracting too, said Caird. Some modulate conversations; some don't, he said.

But for all the study on distracting driving, a lot is still unknown, the experts said. Experts, for example, don't know to what extent drivers self-regulate, confining dialing and texting to less dangerous times, such as at stop lights. And they don't know whether people who choose to buy hands-free devices differ from those who use hand-held devices, and how that may impact test results.

But experts at the NTSB forum say distractions of two seconds or more appear to divide safe driving from dangerous driving. The challenge, they said, was getting drivers to understand just how fleeting two seconds is.

Fighting fire with fire

The experts say the solution to technological distraction may be technology itself.

Already, smart phones have applications that can regulate use, restricting the use of cell phones or texting services while the device is moving, for instance.

Industry has become a major force, using dashboard cameras to keep tabs on fleet drivers.

Increasingly, new cars are equipped with collision warning systems. And those systems are becoming more sophisticated. At the University of Iowa's National Advanced Driving Simulator, scientists have tested a seat belt that tightens to warn the driver of a possible crash.

"What we've learned is that auditory displays can be a nuisance," said Daniel McGehee, of the NADS lab. "They are annoying. They alert other passengers that something is going on and that's embarrassing to the driver." However, a seatbelt that tightens, a vibrating seat or a pulsing brake are "very driver-centric." "The driver can say, 'Oops, something's going on here' and sort of reorient their attention."

Back to those play lists

In John Lee's study, 50 people searched for songs on playlists of varying lengths using either an MP3 player or an aftermarket controller while driving on a simulator.

The results: searching through long playlists containing 580 songs resulted in poor driving performance and required long glances of two seconds or more.

"Drivers did not adequately adapt their behavior to roadway demand, as evident in their degraded driving performance," his study concludes.

Lee says he now knows that from scientific research and from personal experience.

CNN's Lizzie O'Leary contributed to this report.

@highlight

Experts say a distraction of more than 2 seconds is dangerous

@highlight

The NTSB wants to ban use of hands-free devices in cars

@highlight

Cell phones are more distracting than talking to passengers, experts say