Tokyo (CNN) -- Japanese Prime Minister Shinzo Abe on Wednesday described as "dangerous" and "regrettable" the actions of a Chinese navy ship that Tokyo says put a radar-lock on a Japanese vessel last week.

His comments come amid severely strained relations between the two Asian powers over a set of disputed islands in the East China Sea.

The tensions over the islands -- which Japan currently administers but both countries claim sovereignty over -- have resulted in maritime standoffs and the scrambling of Japanese fighter jets in recent months.

In the latest incident, Japan accused the Chinese navy ship of using radar to gather information on the location of a Japanese warship in the East China Sea. That type of radar could be used to produce data needed to fire upon the Japanese vessel.

"This is dangerous action that could have brought about an unexpected situation," Abe, who took office in December, said in parliament Wednesday.

The prime minister, seen as more hawkish than his predecessor, Yoshihiko Noda, urged Beijing to show restraint "so that the situation doesn't escalate."

Dispute explained: How a remote rock split China and Japan

The Japanese foreign ministry summoned the Chinese ambassador for a meeting Tuesday to lodge a formal protest regarding the accusations.

Japanese Defense Minister Itsunori Onodera said Tuesday that Tokyo also suspects that China put a radar-lock on a Japanese navy helicopter on January 19.

Japan repels Taiwan activists near disputed islands

China accuses Japan of provocations

China countered on Tuesday that it has been conducting regular patrols in Chinese waters and asked Japan not to interfere.

"We think the top priority for now is for Japan to stop all provocative actions it has been doing as sending ships and flights into Diaoyu islands sea and air space," Chinese foreign ministry spokesman Hua Chunying said, using the Chinese name for the disputed islands.

The Japanese call the small, uninhabited islands the Senkakus. Near them are important shipping lanes, rich fishing grounds and possible oil deposits.

The United States is "concerned" about the latest maritime incident between China and Japan, according to Victoria Nuland, the spokeswoman for the State Department.

"Actions such as this escalate tensions and increase the risk of an incident or a miscalculation, and they could undermine peace, stability and economic growth in this vital region," Nuland said at a regular news briefing Tuesday.

The United States has tried to avoid getting dragged into the dispute, saying it doesn't take sides on such competing claims of sovereignty. But officials have admitted that the islands fall under a mutual security treaty between Washington and Tokyo.

Asia's disputed islands -- who claims what?

Relations soured by a sale

Disagreement over who owns the remote, rocky islands soured diplomatic and economic relations between Japan and China since September, soon after Japan announced it had bought several of the disputed islands from private Japanese owners.

The deal was struck in part to prevent the islands from being bought by the controversial Tokyo Gov. Shintaro Ishihara, who had called for donations for a public fund to buy them.

China was outraged, as were protesters who marched through several Chinese cities calling for boycotts of Japanese products and asserting Beijing's sovereignty over the islands. Some of the protests turned violent and damage to Japanese offices and businesses was reported.

Dangerous Rocks: Can both sides back off peacefully?

In December, the dispute escalated when Japan scrambled fighter jets after a Chinese plane was seen near the islands. A number of Chinese ships have also entered contested waters despite warnings from the Japanese Coast Guard.

China says its claim extends back hundreds of years. Japan says it saw no trace of Chinese control of the islands in an 1885 survey, so formally recognized them as Japanese sovereign territory in 1895. Japan then sold the islands in 1932 to descendants of the original settlers. The Japanese surrender at the end of World War II in 1945 only served to cloud the issue further.

The islands were administered by the U.S. occupation force after the war. But in 1972, Washington returned them to Japan as part of its withdrawal from Okinawa.

Taiwan, which Beijing regards as a breakaway province, also lays claim to the islands. But the self-governing island has seldom rigorously advanced its claims because of an unwillingness to risk its good relationship with Japan, said Alan Dupont, a strategic analyst at the University of New South Wales in Sydney.

He said last year that Taiwan's decision to become more assertive was a response to actions taken by China and Japan in the second half of 2012, as well as concerns over access to fishing and marine resources.

Last week, Japanese Coast Guard ships fired water cannons and shouted warnings at a boat carrying activists from Taiwan who were attempting to land on the islands.

@highlight

China rejects complaints about its navy patrols by Japan

@highlight

Japan had accused China of using radar to track a Japanese ship and helicopter

@highlight

Taiwan, China and Japan are disputing a group of islands

@highlight

China says it is patrolling its waters near the islands