Richmond, Virginia (CNN) -- It's official: Ted Cruz is Democratic enemy number one.

In the span of a year, Cruz has transformed himself from a little-known Senate candidate into the face of a government shutdown that has roiled Washington politics and raised questions about the viability of the American political process.

Democrats are now raising his profile at every turn, in political campaigns from Brooklyn to San Diego, casting him as a right wing zealot and hoping to hang the controversial tea party icon around the necks of every Republican office-seeker in the country.

Cruz: Use debt ceiling debate for leverage

The first-term Texas senator, a shrewd and often shameless promoter of stand-your-ground conservatism, is currently starring in a slew of television ads, talking points and a raft of fundraising emails attacking Republicans over the ongoing government shutdown.

Far from being an object of fear, Cruz is a welcome newcomer for Democrats -- the embodiment of what they claim is dangerous tea party obstructionism, and a far more useful villain than Mitch McConnell, John Boehner or any of the buttoned-up regulars straight out of Capitol Hill central casting.

DNC targeting key Republicans over shutdown

Cruz might be responsible for pushing the United States government to the apogee of dysfunction, but for Democratic operatives charged with winning elections, any Cruz is good news.

"It's not that we're making Cruz a bogeyman," said Mo Elleithee, the communications director for the Democratic National Committee. "It's that Republicans are making him their leader. We're more than happy to have a debate with them over whether that's a good thing for the country or not."

With helpful prodding from top Democrats in the nation's capital, the "debate" over Cruz is playing out in races around the country, far from the halls of the Congress.

When Carl DeMaio, a Republican House candidate in southern California, made a sympathetic remark about Cruz during a speech to the Downtown San Diego Lions Club last week, operatives from the Democratic Congressional Campaign Committee in Washington quickly packaged the clip and circulated it to local reporters under the slug: "Carl DeMaio's model legislator: Ted Cruz."

In the New York mayor's race, long shot Republican nominee Joe Lhota said in a radio interview that he favored delaying the Affordable Care Act's individual insurance mandate by a year. The campaign of Democrat Bill de Blasio immediately turned their cannons on Lhota, accusing him of "marching in lockstep with Republican extremists like Ted Cruz."

Gingrich: The startling CNN poll

Across the Hudson River in New Jersey, Democratic Senate candidate Cory Booker name-dropped Cruz during an attack on his GOP opponent Tuesday.

'The Ted Cruz strategy'

And over the past two weeks, strategists working for the Democratic Senatorial Campaign Committee have been carpet-bombing local reporters in Arkansas, Colorado, Georgia, Iowa, Kentucky, Michigan, Montana, North Carolina and West Virginia with statements accusing GOP Senate candidates in those states of supporting "the Ted Cruz strategy" of political brinksmanship.

The Texan also appears in a pair of new television ads about the shutdown from MoveOn.org and Organizing for Action, the White House's political operation.

Washington's warm bath of celebrity and self-interest

Then there's American Bridge, the well-funded Democratic research group that launched a cheeky website, "SpeakerCruz.com," after reports surfaced that the Texas senator was brazenly advising GOP House members from across the Capitol before the shutdown began. The website depicts Cruz telling an anguished Boehner, "I got it from here, bud."

"Ted Cruz is a powerful tool for Democrats for the same reasons he's so popular among the Republican base: he's perfectly emblematic of where today's Republican Party is and where it's headed," said Chris Harris, a spokesman for American Bridge. "The tea party loves him for leading the Republican Party into this shutdown, but the vast majority of Americans see it as the disaster it truly is."

Nowhere has this theory been put to the test more than in the Virginia governor's race, where Cruz chewed up more than a week's worth of campaign oxygen in the closely watched contest between Republican Ken Cuccinelli and Democrat Terry McAuliffe.

Cruz promises Republican victory in shutdown fight

After the government lurched toward shutdown last week, Democrats were handed a well-timed gift: Cruz had been previously booked to deliver the keynote address at a conservative gala in Richmond where, as it happened, Cuccinelli was also scheduled to speak.

McAuliffe's campaign cut a television and radio ad binding the two Republicans together, just as the 170,000 Virginians who take home a federal paycheck were bracing for furloughs and service cutbacks.

"Look who's coming to Virginia this weekend," a stern-sounding narrator intoned on the radio ad, which was still on the air as of this week. "Ted Cruz, the Republican senator from Texas who is the leader of the government shutdown. Cruz is coming in to campaign for another radical Republican, Ken Cuccinelli."

The Democratic Party of Virginia launched a similar broadside, blitzing households with robocalls admonishing Cuccinelli. American Bridge got in on the act, too, creating a "Dump Cruz" petition demanding that Cuccinelli not appear with the Texan.

Zelizer: D.C. crisis could jump-start case for reform

An uncomfortable position

Forget that Cuccinelli, himself a tea party darling, was technically not holding a campaign event with Cruz. The onslaught put Cuccinelli in a vise grip, drowning out his message and putting him in the awkward position of demanding an end to the government stalemate while dodging questions about Cruz's role in the Beltway drama.

When Cuccinelli finally did speak at the Family Foundation dinner on Saturday night, he made only a passing reference to the shutdown and made no mention of Cruz, one of the GOP's biggest stars who happened to be waiting backstage only a few yards away.

He slipped out the Richmond Convention Center in a hurry, well before Cruz took the stage.

Aside from surveys that show the shutdown to be deeply unpopular, the blame-it-on-Cruz strategy is, at the moment, more of a safe bet than a poll-tested message.

Polls show a vast majority of Americans disapprove of the shutdown, and a CNN/ORC poll on Monday showed Republicans in Congress shouldering slightly more of the blame for the stalemate than Democrats or President Obama.

Yet while Americans seem to have clear opinions on the shutdown, Cruz is a much less defined figure. In a poll from Quinnipiac University released last week, almost 60% of Americans said they did not know enough about Cruz to have an opinion about him. Among those who did, opinions were slightly more negative than positive.

Democrats working on the Virginia governor's race tested Cruz's name in a focus group with roughly 30 undecided voters race this past weekend, according to a person familiar with the session, which was held in the Washington suburbs where the shutdown's impact is felt most acutely.

According to the source, Cruz was not a well-known personality among the voters. But when the Democratic operatives described Cruz as a tea party leader with a prominent role in the shutdown, and said he was appearing with Cuccinelli at the gala Saturday night, impressions of both men soured among the focus group participants.

Some Republican pragmatists, already worried that emboldened conservative hard-liners are tarnishing the party's brand, acknowledge that Democrats appear to have found a potent weapon in Cruz.

David Kochel, a 26-year veteran of Iowa politics who managed Mitt Romney's presidential campaign in the battleground state, said bluntly that "swing voters are repelled by Cruz."

Opinion: Will glitches derail Obamacare?

Little personal downside for Cruz

But there is little personal downside in the high stakes fight for Cruz, an in-demand figure on the conservative speaking circuit who has designs on the 2016 Republican presidential nomination. Having a Democratic bulls eye on his back only boosts his stature on the right, Kochel argued.

"It's an interesting strategy that works to the benefit of Democrats who want to attach his brand to the GOP at a time when he's underwater in approval ratings, but it also works to Cruz's benefit because it elevates him with the GOP base," he said.

Rick Wilson, a Florida-based Republican strategist, said Cruz is custom-built for today's political environment, in which political leaders are often rewarded for combat and punished for compromise.

"The base loves him, he's become the Official Enemy of the Left, and he's raising major bank," Wilson said. "This is the United States of Ambition, and he's making his bones, fast."

Cruz's white-hot profile could easily fade in the coming months, well before the 2014 midterm cycle begins in earnest. But the Republican has shown a remarkably canny ability to maneuver his way into the national conversation.

As long as Cruz remains in the spotlight, Democrats have plans to use him to their advantage.

"Right now, Ted Cruz and the tea party has become a synonym for the problem, and we're going to continue to use that against the Republicans who voted with him," said one national Democratic strategist working on a number of House races. "How big that will be next year, the verdict is still out on that."

Is shutdown a sorry spectacle or shock treatment?

@highlight

Democrats cast Cruz as right wing zealot, hope to hang him around every Republican office-seeker

@highlight

"We're more than happy to have a debate with them" over Cruz, Democratic operative says

@highlight

Website depicts Cruz telling an anguished House Speaker Boehner, "I got it from here, bud"

@highlight

Virginia governor candidate in awkward position, slamming shutdown while appearing with Cruz