Demonstrations in parts of Pakistan ostensibly about an anti-Islam film spiraled into chaos Friday, as mobs ransacked banks, cinemas and government offices and engaged in clashes with authorities that left at least 15 dead.

The protests were not confined to Pakistan, as Muslims also hit the streets of Lebanon, Malaysia and Bangladesh.

Nor was the target of their ire new: Muslim-led demonstrations have occurred daily since September 11 over an obscure, 14-minute trailer for a film that mocks the Prophet Mohammed as a womanizer, child molester and killer.

Many protesters have vented their anger at the United States, where the "Innocence of Muslims" was privately produced, despite U.S. officials' condemnation of the video and insistence it was not sanctioned by Washington. And fresh fury has been stoked in recent days by French satire magazine Charlie Hebdo's decision to publish cartoons of a figure resembling Mohammed, prompting France to close diplomatic facilities in 20 countries Friday.

Still, while many of the protests have been heated and at times violent, what transpired Friday in Pakistan was unique in its size and focus -- or lack thereof -- with local institutions targeted as well as international ones.

Pakistani authorities effectively gave their blessing to protests -- even as others, including the Tunisian government, banned them on Friday fearing unrest -- "by declaring a national holiday in protest of the film," noted Prime Minister Raja Pervez Ashraf.

And, indeed, tens of thousands answered the call.

Most of them protested peacefully, with security forces out in large numbers as Interior Minister Rehman Malik warned Friday afternoon that  "strict action" would be taken against those who destroy property.

Yet there were significant exceptions, with authorities reporting 78 injured in addition to 15 killed in Peshawar and Karachi alone.

About 60,000 to 70,000 people turned out in the city of Mardan, a northwestern Pakistani city about 60 kilometers east of Peshawar, senior police official Khalif Nasim told CNN.

After the crowd dispersed around 4 p.m. after Muslim prayers, an angry mob of about 700 teenagers broke into a church by storming past 15 police officers in the area, according to Nasim. After overcoming a security guard in the church, they vandalized and effectively destroyed the sanctuary, he added.

Police responded with tear gas and by firing into the air, ultimately making "several arrests and ... interrogating the hooligans," said Nasim. No one was hurt.

Many other buildings in the same neighborhood were attacked and, in some cases, set afire, police noted. Abdul Wali, another police official, said protesters also broke into and vandalized a nearby university and several government buildings.

In Karachi -- where, a day earlier, video showed about 100 children repeating an adult voice in chants such as "Death to America" and "Any friend of America is a traitor" -- angry protesters burned three cinemas and two banks, as well as set fire to tires in the streets. They also smashed windows and threw rocks at police who'd tried to keep them from government offices and shops, according to a senior police official.

Protesters tried to reach the U.S. Consulate in Karachi, but police using tear gas and firing into the air turned them back, emergency spokesman Asif Farooqi said. Local television news channels showed protesters throwing rocks at a KFC restaurant in Karachi.

KFC shuts down all its restaurants in Pakistan

The violence in the coastal city claimed at least nine lives, including at least two police officers, and injured 28 others, according to Farooqi.

Two cinemas were torched in Peshawar, where six people died and at least 50 people were injured -- including three police officers -- according to Mujahid Khan, a spokesman for the city's emergency rescue service.

Crowds of protesters also marched in Islamabad, and CNN affiliate Geo TV reported protests in Rawalpindi and Karachi.

U.S. Secretary of State Hillary Clinton thanked the government of Pakistan for its efforts to protect U.S. facilities during the protests and deplored the loss of life. "As I have said on numerous occasions, the violence we have seen cannot be tolerated," she said.

Opinion: Protests as mindless as anti-Islam film

On the streets of downtown Islamabad, Pakistani citizens had mixed views on what fueled the protests.

Voicing her opinion to an open microphone set up by CNN on Thursday in the Asian nation's capital, one woman said, "They are angry about the movie. No one wants religion being insulted like that."

Yet others said the furor was rooted in more than just the video, with another woman noting "many anti-religious movies have come out."

"They're agitated because of ... poverty and unemployment" and the deepening gap between rich and poor, she said.

Opinion: #MuslimRage inspires comedic rage

More protests and one counter-protest

-- Hundreds of pro-democracy demonstrators marched in Benghazi on Friday night and overtook the headquarters of Ansar al-Sharia, a radical Islamist group tied to the attack. They also claimed to have freed at least 20 captives held in the building.

They took to the streets 10 days after U.S. Ambassador Christopher Stevens and three other Americans were killed in an attack on the U.S. Consulate in Benghazi.

-- Demonstrators turned out across Bangladesh on Friday to protest the film, according to the state-run BSS news agency.

Video showed protesters in Dhaka carrying signs with slogans such as "Kill us, but don't insult our Prophet Mohammed" and burning a box draped in an American flag, labeled "Cofin of Obama."

-- In Lebanon, supporters of Hezbollah, a militant Islamist group deemed a terrorist organization by the United States, marched Friday in a peaceful demonstration "in support of the Prophet Mohammed," Hezbollah TV channel al-Manar reported.

Video showed a stream of people marching slowly down the streets with signs reading, "Loyalty and the victory of the Prophet Mohammed."

-- Bernama, the Malaysian national news agency, reported that thousands protested peacefully Friday against the film and cartoons in Kuala Lumpur. The U.S. Embassy in Kuala Lumpur closed Friday morning before protests began.

Khairy Jamaluddin, head of the youth wing of the Malaysian political party United Malays National Organization, said the United States and France should take immediate steps to punish those behind the film and cartoons, according to Bernama.

-- In Indonesia, the U.S. Embassy in Jakarta, its consular offices in Surabaya and Bali and two other facilities were closed Friday due to expected demonstrations.

-- Germany also closed its embassy in Sudan's capital city of Khartoum on Friday in anticipation of protests over the cartoon published in Charlie Hebdo, state-run Ashorooq TV reported. Last week, protesters in Sudan's capital city managed to get inside a compound that is shared by the German and British diplomatic missions, according to the foreign ministers of both nations.

@highlight

Pro-democracy protesters take over Islamist group's building in Benghazi, Libya

@highlight

Mob in Pakistan city storms banks, a university, government offices and a church, police say

@highlight

15 die and at least 78 are injured around Pakistan, according to authorities

@highlight

Protests against an anti-Islam video occur elsewhere, some near Western diplomatic facilities