Washington (CNN)  -- Renee Patterson's most precious present this Christmas won't be under her tree, and it didn't come from a store. This holiday, she said, she got her life back.

The Upper Marlboro, Maryland, resident learned nine years ago she had kidney disease. One of her kidneys began to deteriorate, and she had to begin regular dialysis. Because she couldn't find a family match, her former colleague and friend, Michael Williams, offered to donate one of his kidneys. Problem was, Patterson and Williams didn't match either. But Patterson's doctor suggested they look into the paired kidney donation program at Washington Hospital Center in Washington, D.C.

She became part a massive mix-and-match transplant effort in the U.S., involving more than a dozen kidneys.

Watch more on the 26-person transplant

"When I tell people how I got my kidney, they say, 'Wow,'" said Patterson. "I'm amazed myself."

As of this week, 84,000 people are waiting for a kidney donation, according to the United Network for Organ Sharing, which keeps an updated list.

According to the Alliance for Paired Donation, many people who need kidney transplants have family members or friends willing to give a kidney, only to find out that their blood and tissue are not compatible with their intended recipient.

But now through these so-called paired kidney donation programs, offered by hospitals that specialize in transplantation, people who otherwise would remain ill or on dialysis are getting a new lease on life.

In paired kidney donation, one incompatible donor/recipient pair, such as Patterson and Williams, are matched with another pair in the same situation, so that the donor of the first kidney gives to the recipient of the second, and vice versa. In larger kidney exchanges, donors and recipients are mixed and matched, giving more people the chance to obtain a new kidney.

According to the National Kidney Foundation and the Alliance for Paired Donation, paired donation will one day allow for an additional 3,000 living donor kidney transplants a year in the U.S.

After they learned what was involved, Patterson and Williams put themselves on a list.

"He just signed," said Patterson. "I said, 'What are you doing? Are you sure?' And he shook his head yes."

"It was kind of jumping out there on faith," Williams said. "And lo and behold, it's working out for her."

Three weeks later, Patterson and Williams were told they would be part of the 26-person transplant effort, coordinated through Georgetown University Hospital and Washington Hospital Center. Believed to be one of the largest such procedures ever completed in the U.S., there would be 13 donors and 13 recipients. Patterson was elated, because she would no longer need dialysis.

"It happened so fast. I had been on the transplant list for so long, over a year and a half," she explained. " And then all of a sudden, I was getting a kidney."

That kidney would come from a Washington businesswoman by the name of Leslie Wolfe. Wolfe was in a similar situation. She was willing to give a kidney to her best friend's husband, Stuart Bloch. But they didn't match. Wolfe, along with Block, joined a list at Georgetown University Hospital.

"If you can do something that is not life-threatening to you, that could save someone else's life, why would you say no?" Wolfe asked.

By melding their donor and recipient lists together, Georgetown and Washington Hospital Center could mix and match patients. The procedure would take six days to complete with doctors performing surgery on two to three patients a day.

Dr. Joseph Melancon, head of the kidney-pancreas transplantation unit at Georgetown University Hospital, oversaw the project.

"All the recipients had donors that they didn't match with," he said. "And they had to receive a transplant via a paired kidney exchange."

On the last day of surgeries, Wolfe's kidney was removed, cleaned and readied to be transported to Washington Hospital Center, where Patterson's doctors were waiting to implant the new organ. Bloch had already received his transplant. Williams' kidney, removed the same day Patterson received hers, was sent to a patient at Georgetown. By criss-crossing patients, 13 people, 11 of whom were minorities, were able to renew their lives.

According the U.S. Department of Health and Human Services' Office of Minority Health, the rate of organ donation in minority communities does not keep pace with the number needing transplants. Many times, it's because of fear of the medical community or mistrust of the system.

Health experts say that's unfortunate. A report by HHS noted, "although minorities donate in proportion to their share of the population, their need for transplants is much greater."

African Americans, the report said, make up about 13 percent of the population and about 12 percent of donors, but they represent 23 percent of the patients on the kidney waiting list. Citing the critical need, Melancon is urging minorities to join the exchange programs.

"It's very important for minorities to receive living transplants, because their outcome with deceased donor transplants are not as good as everyone else," Melancon said.

Additionally, years of dialysis can lead to a build-up of antibodies, which can cause rejection of the new organ. That's especially true for minorities, because they tend to stay on dialysis much longer. Patients who have this build-up of antibodies receive a blood cleansing procedure called plasmapheresis to trick their bodies into accepting the kidney without rejection.

On Monday morning,  Leslie Wolfe visited Renee Patterson in her hospital room at Washington Hospital Center. Along with Michael Williams and Renee's mother Sandra Patterson, they all laughed and hugged.

At one point, it got pretty emotional. "This is too much for me," said Renee, as she wiped away her tears. "I did this for my son, so I could be there for him. But these people made it possible."

"Leslie has given me her kidney. I can't thank her enough and as for Michael -- he's my Superman," Patterson said. "He's saving my life, because [without him] I wouldn't be able to be in this circle. At the same time, he's saving somebody else's life."

@highlight

NEW: Renee Patterson met her donor, Leslie Wolfe, on Monday

@highlight

Patterson joined program that connects patients with willing donors

@highlight

Patterson's friend donated kidney to compatible recipient; she got stranger's kidney

@highlight

11 of 13 people in the huge kidney criss-cross were minorities