(CNN) -- What if carbon dioxide were as black as oil?

When your house is on fire, you may not be in the mood to hear about an impending cancer epidemic that threatens your neighborhood, so I hesitate to bring up this topic.

I have spent my scientific career studying oil spills, including the ongoing disaster in the Gulf of Mexico that killed 11 people in the initial rig blast and is causing epic environmental damage, havoc to lives and livelihoods, political tumult, huge economic losses and an incessant media drumbeat.

But while we have readily and rightfully committed ourselves to understanding the cause of the spill, its effects and how to help restore the affected Gulf Coast region, we still can't seem to come to grips with a much more dangerous, far-reaching pollutant that is changing the fundamental chemistry of our entire planet: carbon dioxide.

Why the difference in concern? Is it as simple as out of sight, out of mind?

We can see oil discoloring the ocean, blackening coastlines and covering wildlife, but carbon dioxide is colorless and odorless. We don't see it, and there's no video or sound bites, so it's easier to deny.

CNN and other media outlets do not stream figures about carbon dioxide levels in the atmosphere. But it has been spewing steadily and increasingly for decades throughout our planet from power plants, factories and our cars and homes.

Since 1960, the atmospheric concentration of carbon dioxide has risen from 310 to 390 parts per million. Our eyes are riveted to watching the black trail of oil soiling Gulf waters and coastlines. If carbon dioxide were black, we could actually see our atmosphere darkening with carbon dioxide, creating a heat-trapping blanket that is raising global air and ocean temperatures and threatening to dramatically rearrange our climate.

Would we care more if we could see the higher concentrations of carbon dioxide being absorbed into our oceans, making seawater more acidic, endangering coral reefs and marine life and threatening to fundamentally disrupt ocean ecosystems and food webs?

Perhaps we ignore carbon dioxide because it's hard for us to think long-term and connect the dots. The consequences of oil spills are immediate; the causes and effects are obvious. Not so with carbon dioxide; its consequences are incremental, insidious and irreversible for centuries to millennia.

People don't easily understand how a small sea level rise can result in bigger storm surges and coastal damage, or how slight changes in ocean temperatures can change global rainfall patterns, leading to droughts and floods with catastrophic economic and societal consequences.

Even if we acknowledge the problem, there's still the hurdle of doing something about it. It's almost the same as asking, "If smokers could see their damaged lungs, would they quit more easily?"

Just the way some people blame that problem on tobacco companies for manufacturing the product, it is easier to target blame for oil spills on oil companies. But smokers choose to use cigarettes and often get addicted; similarly all of us who have been afforded the luxuries provided by cheap fossil fuels can't easily make difficult adjustments to wean ourselves away from them. (That doesn't excuse tobacco companies for marketing cigarettes without revealing their dangers or oil companies taking drilling risks without being prepared for the consequences.)

The Gulf of Mexico spill is a reminder that oil doesn't come cheap.

We will pay an enormous price in cleanup costs, economic losses and environmental and social damage. We don't factor in those costs when we fill our gas tanks. And we don't make the connection that gasoline, once burned, turns into its chemical sibling, carbon dioxide, whose effects on our environment will globally dwarf the catastrophe happening in the Gulf.

Few people imagined a catastrophe on such a scale, but we now see it's possible and we are suffering the consequences. Our seemingly invulnerable planet is fragile, too. We ignore that at our peril.

The opinions expressed in this commentary are solely those of Christopher Reddy.

@highlight

Christopher Reddy says oil spill is having  devastating effect on the environment

@highlight

He says the spill's effects are so visible that the public quickly grasps the harm

@highlight

Reddy says the public can't come to grips with a greater threat, carbon dioxide

@highlight

If carbon dioxide were black, people might see the damage it's causing