(CNN)An era of fumbling for spare change and driving in circles in search for a parking space may be coming to a close.

Drivers across the nation and around the world are turning to mobile apps, websites and other forms of technology to both find and pay for parking with greater efficiency. At the same time, major U.S. cities and a new wave of startups are working to simplify the parking process, perhaps marking a revolution in the parking industry, experts say.

Eric Meyer, 24, lives in the Baltimore neighborhood of Canton and knows firsthand about the frustrations of parking in a busy city. A former employee at Phillips Seafood, Meyer found himself driving in circles every time he headed home from work.

"Anyone who has lived in Canton or Federal Hill or a lot of these densely populated neighborhoods knows that searching for spots can be like looking for a needle in a haystack," Meyer said.

So Meyer quit his job and founded the app Haystack, which allows a user who has a parking spot in the Baltimore area to offer it up for a price, usually around $3. A driver who needs a space pays and then takes the spot to complete the exchange.

Cities across the U.S. are turning to similar innovative parking technologies. Just this month, Boston's Transportation Department announced plans to develop an app, expected to launch in the fall, letting residents pay for parking straight from their smartphones. The city of Evanston, Illinois, recently initiated a similar pilot program.

Miami Beach partnered with ParkMobile and ParkMe in May to launch apps that help drivers find and pay for parking spots. And Chicago will be expanding its pay-by-phone parking service, ParkChicago, to all its 36,000 parking meters by the end of the summer after piloting the app since April.

"What we're seeing is a demand from our consumers to offer a level of convenience that really heretofore hadn't been the hallmark of the parking industry," said Casey Jones, spokesman for the International Parking Institute, the largest trade association for parking professionals and the parking industry.

The U.S. and beyond

So why, beyond the growth of mobile payments in general, are these mobile parking apps catching on?

Christina Martinez, marketing director of the app, website and in-car service Parkopedia, attributes the trend to the recent growth of U.S. urban populations.

"People are moving back into cities," Martinez said, "and they need parking spots."

According to the International Parking Institute's 2013 report, the U.S. cities leading the way in parking innovation include San Francisco, New York, Seattle, Los Angeles, Washington, and Portland, Oregon.

And although some apps are only available in select U.S. cities, others have expanded their usage nationally and even internationally.

ParkMe provides data, availability and payment information for on- and off-street parking in more than 1,800 cities and 32 countries, according to its website. And ParkMobile, which was developed in 1999 in Europe, has since spread to the United States -- where it boasts 2.5 million members -- along with Canada, Australia and New Zealand, said Laurens Eckelboom, ParkMobile's executive vice president of business development.

In general, compared to Europe, the United States has been a bit slower to adopt the concept of newer parking technologies, Eckelboom said. Parking has historically been more of a challenge in Europe where cities are generally more densely populated, but the U.S. is catching up quickly, he said.

Legal threats

This new era of parking enables drivers to save time on the road and reduce the nation's carbon footprint, experts say. It's also transforming the parking industry, Jones said, illustrating a shift from cash-based to mainly electronic payment methods.

But not everyone is thrilled with the emergence of these apps -- most notably, cities that make money from parking meters and, yes, parking fines.

San Francisco, for example is experimenting with a pilot project that lets residents feed parking meters through credit, debit and public-transit cards. Sensors enable people to search for open spaces through a mobile app.

San Francisco's city attorney has threatened to sue MonkeyParking, a startup whose app lets users pass along their parking space for a fee, if they don't shut down by July 11.

Two other parking startups, Sweetch and ParkModo, will also face similar cease-and-desist demands this week, according to the city attorney's office.

The attorney, Dennis Herrera, also sent a copy of his cease-and-desist letter to Apple, which makes the app available in its App Store. He argues the apps amount to illegally selling a public commodity.

Supporters say the apps let users share information about parking spaces, not the spaces themselves. Besides, anyone can already text or call a friend and tell them a space is about to open up, they say.

Convenience and conservation

Bryce Robertson, 20, of Highland Park, Illinois, uses the PassportParking app when he parks at the train station. This way he doesn't need to carry spare change, is notified when time on his parking space is running low and can then refill it remotely.

"My drives to the train station sometimes can cut it really close to where if I had to manually pay for parking, I would have missed my train," Robertson said. "As long as I check my space number when I'm running from my car to the train, I can pay for parking while on the train."

Parking apps like ParkMe and SpotHero also let drivers compare prices of different parking spaces -- and prevent them from building up parking ticket fees.

That's what inspired Jeremy Smith to launch SpotHero, a website and app that allows drivers to reserve parking and get discounts in garages in select cities. "I had racked up about $5,000 in parking tickets," said Smith, co-founder and COO of the company. "I realized if I was reserving my parking online, I could be solving my own problems."

The other plus side is the environmental impact, experts say.

The less drivers idle, cruise and search for parking, the less the negative impact on the environment, said Kevin Blomberg, ParkMe's director of communications.

The future of parking

The next step in this emerging trend may be in-car services that allow drivers to find and pay for parking spaces.

"When you're in your car, that presents a problem because you have to stop, pull over and start typing, or you're driving and texting, and it's not legal and it's dangerous," said Martinez of Parkopedia.

"When you're driving around, you don't want to be late, and you don't want to have to pull out different apps when you won't know which one does what."

That's why companies like Parkopedia and ParkMobile have partnered with automakers like Ford and Volvo to allow drivers to access parking services, some of which are voice-activated, from inside their vehicles.

Six more similar partnerships are in the works for ParkMobile, according to Eckelboom.

Eckelboom isn't completely sure what is yet to come in terms of parking technology, but he has pondered one possibility:

"Connected vehicles are a valuable extension," Eckelboom said, "but in the end you could also think about wearables (such as Google Glass). Maybe that will be another ... (way) to let you start a parking session."

@highlight

A new wave of startups are working to simplify the parking process

@highlight

Apps let drivers find and rent coveted parking spaces in crowded cities

@highlight

Motorists can book spots in advance and pay from their phones, saving time

@highlight

Cities across the U.S. are turning to similar innovative parking technologies