Marianna, Florida (CNN) -- This Florida panhandle town is the home of a mystery that has been lost to time.

A small cemetery buried deep into the grounds of a now-defunct boys reform school dates back to the early 1900s. Rusting white steel crosses mark the graves of 31 unidentified former students.

Former students said the deaths were at the hands of abusive administrators, but a 2009 state investigation determined there was no evidence of criminal activity connected with any of the deaths or of abusive treatment.

But the investigation did not clear up the mystery over the fate of 50 other students who died at the school and whose bodies have not been accounted for.

In the wake of that investigation, more former students -- who are now senior citizens -- have come forward with stories of abuse at the school, including alleged beatings, killings and the disappearance of students, during the 1940s, '50s and '60s.

Reform school guard, 85, denies beating boys

"These are children who came here and died, for one reason or another, and have just been lost in the woods," said Dr. Erin Kimmerle, an anthropologist from the University of South Florida who is leading a scientific search on the grounds of what used to be the Florida Industrial School for Boys.

Using ground-penetrating radar, Kimmerle's team has located what she says appear to be 18 more remains than previously thought to have been buried there. After clearing the area, her team has determined that a total of 49 graves exist. All are unidentified.

"We found burials within the current marked cemetery, and then we found burials that extend beyond that," Kimmerle said.

Regarding the missing boys, "for the majority, there's no record of what happened to them. So, they may be buried here, they may have been shipped to their families. But we don't know," she said.

State and school records show that out of nearly 100 children who died while at the school, there are no burial records for 22 of them, according to Kimmerle.

"When there's no knowledge and no information, then people will speculate and rumors will persist or questions remain," she said.

Kimmerle, who worked on an international forensics team that amassed evidence used in war crimes trials from the conflicts in the former Yugoslavia, called the Florida project a humanitarian effort for the families of the former students and for the community.

"It's about restoring dignity," she said.

The team laid a grid using ground-penetrating radar to create a three-dimensional digital image of the area. They had to clear underbrush and trees when it became apparent the cemetery extended well beyond the small fenced area.

"We found numerous anomalies throughout," said Rich Estabrook, a public archaeologist working on the team. "Many of them tend to be in rows, and somewhat symmetrical."

The team believes these so-called "anomalies" are graves because they are lined up in east-west configurations, the traditional way Christians are buried. Exhumations will have to be requested by family members.

Adding to the mystery, Kimmerle's team has determined, based on reports from former workers and students, that another cemetery exists on the 1,400-acre property. Those graves could contain the bodies of black students, buried in a different area because of segregation.

The team has petitioned to search the area, and the Florida Department of Juvenile Justice has agreed to work with the researchers "on how best to provide them access to the site."

But they'll have to move quickly because the state is in the process of selling the entire property.

The mystery surrounding the graves first made headlines in 2008 when Florida's then-governor Charlie Crist ordered an investigation after a group of men, known as "the White House Boys," came forward with stories of how they were beaten with leather straps by school administrators inside a small, white building on school property.

Robert Straley, who spent about 10 months at the school in the 1960s for allegedly stealing a car, said he was taken to the "white house" on his very first day.

"I came out of there in shock, and when they hit you, you went down a foot into the bed, and so hard, I couldn't believe. I didn't know what they were hitting you with," said Straley.

Former school administrator Troy Tidwell, a one-armed man who was there at the time and who some former students accused of beating them, has said in a deposition that "spankings" took place at the school but denied anyone was ever beaten or killed.

The Florida Department of Law Enforcement's report, issued in 2009, accounted for the 31 boys buried in the cemetery. Although each individual plot cannot be identified, the report said many were killed in a 1914 fire at the facility, while others died in a 1918 flu outbreak. Two dogs and a peacock also are buried there.

The Florida Department of Law Enforcement report said poorly kept school records prevented officials from determining what became of the other 50 students: whether they were buried on the grounds or sent home to their families. It said most died as a result of accidents or illness, though two were killed by other students and one was shot by a deputy sheriff trying to run away.

One of those "White House boys" called the department's report a "whitewash."

"All they did was try to do their best to discredit us," Straley said. "They focused on that instead of focusing on an investigation."

The department has said it stands by the integrity of its report.

A Florida Department of Law Enforcement spokesman said officials could not comment on the research team's findings until they have had time to review the report.

Owen Smith was among the 31 students identified as having been buried in the cemetery.

"He had no ambition to do anything but play music," said his sister, Ovell Smith Krell, who was 12 when her brother ran away from home in 1940. She said he was headed for Nashville to become a musician, but never made it. He was arrested in a stolen car, and sent to the reform school.

He ran away from the school, but got caught, he told his sister in a letter a short time afterward.

A few months later, his family got a letter from the school, notifying them that Owen had run away for a second time.

"So far, we have been unable to get any information concerning his whereabouts," wrote Millard Davidson, the school's superintendent at the time.

"We will appreciate your notifying us immediately if you receive any word from or concerning him," Davidson wrote.

Owen's family decided to travel to Marianna, Florida, to find out what was going on, but just before leaving, there was a call from the school with word that Owen had been found dead.

"They think he crawled under a house to try and get warm and that he got pneumonia and died," said Krell, now 83.

She said her mother asked that Owen's body be taken to a funeral home. The family had to borrow a car for the trip and when they arrived in Marianna two days later, school officials allegedly told them that their son was already buried.

"They said that the body was so decomposed, you wouldn't be able to identify him ... they took him straight out to the school and buried him," she said.

Owen's classmate told the family a different story.

According to his sister, the boy said as he and Owen tried to escape, "my brother was running out across a field, an open field, and there was three men shooting at him, with rifles."

"I believe to this day that they shot my brother that night, and I think they probably killed him and brought him back to the school and buried him," she said.

With the completion of the anthropological search, it will be up to the families of the missing students to go to a state court to ask a judge to order exhumations. One family has already filed suit for the return of a relative's remains.

Krell said she only hopes to give her brother a proper burial.

"I would take him and put him down with my mom and dad in their cemetery," she said. "I hope I get that chance."

@highlight

In 2009, Florida determined that 31 boys buried at a reform school were fire, flu victims

@highlight

Today, investigators have found 18 more graves at the same site

@highlight

The team believes there's another grave where black students may have been buried

@highlight

The state has remained mum on the new findings