SEOUL, South Korea (CNN) -- Former South Korean President and Nobel Laureate Kim Dae-jung, who struggled for democracy for decades and prodded communist North Korea toward rapprochement, died of heart failure on Tuesday, hospital officials said.

As president of South Korea, Kim Dae-jung helped bridge differences with North Korea.

He was either 83 or 85, according to conflicting sources. The Nobel Prize Web site indicates he was born on December 3, 1925. The Kim presidential library lists his birth date as January 5, 1924.

He served as president from 1998 to 2003, and in 2000, he won the Nobel Peace Prize for fostering better relations between North and South Korea.

Kim was admitted to Seoul's Severance Hospital more than a month ago for pneumonia.

Before winning the presidency, Kim struggled for decades as an opposition leader. A former political prisoner, he endured a suspected assassination attempt, a kidnapping, repeated arrests, beatings, exile and a death sentence.

Shortly after taking office, Kim vigorously met political leaders of Western countries in a bid to gain support for his "Sunshine Policy" to establish relations with the North.

Kim's policy of detente culminated when he met North Korean leader Kim Jong Il in June 2000, becoming the first South Korean leader to do so since the Korean War unofficially ended in 1953.

But Kim left a mixed legacy as president. Although he helped pull South Korea out of a financial downward spiral, many of his promised economic reforms failed to materialize.

A series of corruption scandals, including the imprisonment of two sons on graft charges, also tainted his tenure.

"Broadly speaking, his place in history is going to be a positive one," said Brian Bridges, a political science professor at Hong Kong's Lingnan University who specializes in politics and foreign policies of the two Koreas.

"While it is true that his presidency ended in a cloud of controversy ... he did have a very significant impact in two ways: He took over at a time when South Korea was on its knees and pulled it out from a tremendous economic downturn. And he helped in significantly changing public opinion and popular thinking of South Koreans toward North Korea."

Kim was born to middle-class farmers on Ha Enido, a small island in South Cholla province, but the family moved to the nearby port of Mokpo so Kim could complete high school.

He began dabbling in anti-establishment politics while working in the shipping industry.

After his fifth try for political office, Kim was elected to the National Assembly in 1961. One month later, Gen. Park Chung-hee seized control of the government in a military coup, launching Kim's career as a key opposition figure.

The tough, authoritarian Park proved the perfect foil for the fiery oratory of the charismatic Kim.

The more Park persecuted Kim, the more Kim's popularity grew.

During the height of the Vietnam War in 1971, Kim proclaimed his liberal views on the reunification of North and South Korea.

The government branded him a communist, but in his first presidential race he won 46 percent of the vote against Park.

Kim was headed to a rally in Seoul a month after the election when a truck turned directly into the path of his car, forcing him off the road. The truck hit another vehicle, killing two people. Kim was left with a permanent limp from the incident, which was widely considered an assassination attempt.

Park tightened his hold in 1972, scrapping the constitution and doing away with any pretense of democratic rule.

Kim traveled to Japan for medical treatment and continued his anti-Park campaign. In August 1973, South Korean agents kidnapped Kim from a Tokyo hotel and took him out to sea in a small boat, on which he spent several harrowing days.

When then-U.S. Ambassador Philip Habib was informed of the abduction, he warned Park that he would face severe repercussions from the United States if Kim were killed.

Kim was returned to his Seoul home, battered but alive, and spent the next nine years under house arrest, in jail or in exile.

In 1979 Park was assassinated by the head of the Korean Central Intelligence Agency. Another general, Chun Doo-hwan, imposed martial law as he moved to take over the presidency.

Kim and other leading opposition figures were arrested as tens of thousands of protesters gathered in Kwangju, in South Cholla province. Troops used force to quell the demonstrations, killing at least 200 people, by some estimates.

Kim was charged with sedition and nearly executed, but again the United States intervened. Under a deal with then-U.S. President Ronald Reagan's administration, Kim boarded a plane to the United States in 1982.

When he returned to his homeland a few years later, however, the United States could not help him. As soon as he stepped off the plane in Seoul, Kim was knocked down by Korean security officers and dragged back into house arrest.

Kim made two more failed bids for president -- in 1987 and 1992 -- before declaring that he was quitting politics.

His retirement did not last long and he was elected president in 1997, at the height of the Asian economic crisis.

His inauguration marked the first peaceful transfer of power between rival parties in 50 years.

At the time of his inauguration, Korea was plunging headlong into a financial crisis. He told CNN then that he felt as though he was handed an empty vault.

Kim called on global investors to have faith in his country's future -- and on his people to forge their own recovery.

Thousands answered, trading in gold rings for cash as a symbol of their desire to revive their country.

The watershed moment of Kim's presidency came in June 2000 when he met North Korean leader Kim Jong Il, grasping hands and beaming.

But rapprochement talks between the countries hit a wall after conservative South Korean President Lee Myung-bak took office in early 2008, with a tougher stance toward the North than Kim and his successor, Roh Moo-hyun.

In an interview with CNN in 2006, Kim looked back on his long political life, secure in the belief that -- despite setbacks -- his convictions were worth fighting for.

"After I was sentenced to death, people from the military regime came up to me and said, 'If you cooperate with us, we will let you live. If you don't cooperate, you will die.'

"I said, 'If I compromise with you, I'll live temporarily, but I will die forever. If I do not cooperate with you, my body will be dead, but I will live in my people's heart and history forever. I rather choose to live in history forever.'"

CNN's Sohn Jie-Ae and Saeed Ahmed contributed to this report.

@highlight

Kim's "Sunshine Policy" with North culminated in 2000 meeting with Kim Jong Il

@highlight

Kim was president from 1998 to 2003

@highlight

He was hospitalized more than a month ago for pneumonia

@highlight

Despite Nobel Peace Prize, he failed to achieve economic reforms that he promised