(CNN) -- Crafting has come a long way since your grandmother's orange crocheted afghan throw. Today, handmade is big business.

Perhaps this is nowhere more evident that on Etsy.com, a U.S.-based website that describes itself as an "online crafts fair," where you can buy and sell just about anything you can dream of that's handmade.

Etsy made its sellers a combined $314.3 million last year in gross merchandise sales and more than $146 million so far this year. The site has grown from about 200,000 active sellers in 2008 to 800,000 sellers, today, in 150 countries around the world.

"There is an added value for the buyer that comes from having a real interaction with the real human being that created each object," Etsy spokesman Adam Brown said. "You won't find this at a shopping mall."

Etsy makes money by charging sellers a listing fee of 20 cents for each item and receiving a 3.5% commission on the price of each sale. It is free to become a member and sell items on Etsy.

It's even spawned its own spoof blog, regretsy.com, that is described as "the fail blog of handcrafts."

And more than a few folks have chucked their day jobs and started crafting full time.

Husband-and-wife team Stephen and Betsy Carr of Asheville, North Carolina, have done just that to sell their handmade jewelry on Etsy and say they've made the right choice.

"We're creative people, and it feels incredibly satisfying to have made this creative life for ourselves," Betsy said.

In the United States alone, crafting is a $29.2 billion-a-year industry with its own trends and niches, according to craftster.org.

Conan O'Brien, the Smurfs, homemade cases for high-tech gadgets and one-of-a-kind clothes are among the hottest items right now in this creative universe.

And if you're searching for something different or that's not mainstream, you probably won't have problems finding that, either.

Conan as muse

Conan O'Brien is more than a late-night talk show host, he's a crafting muse.

Fans of the comedian have been inspired to create illustrations, paintings, mixed media, digital art and edibles that look like the late-night star, and this work is sometimes showcased on his TBS television show and on his website.

"While we had never actively solicited artwork or crafts from fans, we were seeing so much incredible stuff posted across the Web, and were inspired to build 'Coco MoCA - The Museum Of Conan Art', an Internet gallery to celebrate these fantastic artists' talent," said John A. Wooden, general manager and executive producer of Team Coco Digital.

The team has been very happy with the new museum of art and routinely display pieces of  its work on Conan's TV show, Wooden says.

It may not be the Smithsonian or The Metropolitan Museum of Art, but this growing collection of art is creating a new avenue for artists to show off their work and building a lot of excitement in the arts community.

No need to be a rock star or an "A" list celebrity to appear on Conan's show anymore.

Fandom gets crafty

Coming soon from a crafter near you: Harry Potter shoes, Smurf-themed clothing and so much more.

Pop culture is always trendy in the arts and crafts world and constantly changes with the times.

Throughout this year, indie crafters are expected to be influenced by film releases like "The Smurfs," and "Red Riding Hood" and fan favorites "Twilight" and "Harry Potter," according to data and trends collected from the 1.3 million visitors a month who go to the craftster.org website.

Consumers who can't get enough of these pop culture icons have plenty of artistic options to choose from this year, both online and at art and craft shows.

So if you're in the mood to dress up like Red Riding Hood or decorate your home with candles that look like "Twilight" characters, you won't be hard-pressed to find what you need.

"Fantasy of any sort is perfect for inspiration and getting creative juices flowing," said Talia Roselli, a spokeswoman for craftster.org. "When crafters can't find products in the marketplace that represent their love for their favorite characters and fantasy film narratives, they make them."

Art as iPhone accessories

Say goodbye to a bland-looking iPod charger and hello to one that best fits your personality and style.

Blending traditional crafts with modern technology is hot in 2011.

Artists will be inspired throughout the year, according to Roselli, to make cases for items like smartphones, iPads and Kindles, to name a few.

"We attribute this demand for unique tech accessories in large part to the highly personalized experience of using today's mobile technology," Roselli said. "People want their devices to have a look and feel that reflects their personality."

So if an iPod charger that looks like your favorite novel is what you've been craving, then you're in luck.

Rich and Brenna Neeley of Orange County, California, are among the artists on Etsy.com that cater to this niche of craft items. They sell iPhone and iPod chargers that look like new and vintage books.

Brenna says her personal iPhone charger is a small book of poems that has sentimental value.

"Every time I plug in my device, it makes me smile," she said. "It's more about how it makes me feel than what it does; the charging function is just a necessity of life these days."

And if books aren't your passion, then no need to worry. There are many other craft items you can buy for your favorite gadget, and if you can't find what you are looking for, many artists advertise the option of customizing a design for you.

Fashion throwbacks

Retail and thrift stores are not the only game in town when it comes to clothing purchases.

If you're looking for a new way to dress to impress, then a one-of-a-kind creation may be for you.

Pleating, smocking and detailed embellishments in a style that mixes the 1940s and 1970s will be trendy throughout 2011 for crafters.

"It's a beautiful blend of old and new that we're seeing," Roselli said.

Dressmaker Amanda Archer of Chicago sells her collection on Etsy and says she has always been drawn to vintage clothes and is pleased this style is popular.

"My designs always have a feel of retro and whimsy, but I also try to modernize my designs and think about what I would feel comfortable wearing without feeling like I'm in a costume," she said.

Color choices reflect this mix of old and new, too, so if you're a fan of bright colors, then this is the year for you.

Roselli says what's trending with indie clothes makers is an aged, natural color like a dusty brown or gray, complemented by a bold, rich color like honeysuckle, plum or yellow to brighten and modernize a garment or accessory.

@highlight

Conan O'Brien, Etsy.com part of hottest trends in crafting right now

@highlight

In 2010, the U.S. craft and hobby industry was at $29.2 billion

@highlight

56% of U.S. households craft at least once a year