Seoul, South Korea (CNN) -- Returning from a trip to Pyongyang, former U.S. President Jimmy Carter said that North Korean leader Kim Jong Il ready for a summit with South Korean President Lee Myung-bak at any time.

Carter did not personally meet with Kim, but he said that as he and his delegation of former heads of state were on the way to Pyongyang airport to depart for South Korea, they were summoned back to their guesthouse, where a senior official read out a written message from the reclusive leader.

"Chairman Kim sent word that he is willing to negotiate with South Korea or United States ... on any subject at any time and without any preconditions," Carter told a news conference. "He specifically told us he is prepared for a summit directly with President Lee Myung-bak at any time to discuss issues between the two heads of state."

The dramatic declaration puts Lee on the spot: Seoul is currently declining official dialogue with North Korea until it takes responsibility for two fatal incidents last year.

In 2010, 50 South Koreans were killed in the two separate incidents: South Korea accuses the North of torpedoing and sinking one of its warships in March 2010, killing 46 sailors. In November, North Korea shelled Yeonpyeong Island, killing two South Korean marines and two civilians.

North Korea denies the torpedo attack on the warship Cheonan, though a Seoul-led international investigation has found a North Korean mini-submarine responsible.

Following a range of nuclear and missile tests, and Pyongyang's exposure last November of a uranium-based nuclear program -- a separate program from its earlier plutonium-based program -- the Obama administration is sanctioning Pyongyang and has also put official contacts on hold.

Asked if he expected Pyongyang to apologize to Seoul, Carter said; "My own assessment is that talks should begin without preconditions on either side. My opinion is North Koreans will not admit culpability for the sinking of the Cheonan and will not apologize."

Carter, 86 and his group had met North Korea's de facto head of state Kim Yong Nam, as well as its vice defense minister and foreign minister and other officials. The visit had been intended to promote North-South dialogue, revive a denuclearization process, and assess food shortages.

The delegation included former president of Finland, Martti Ahtisaari, former Prime Minister of Norway, Gro Brundtland, and former president of Ireland, Mary Robinson. They are all members of "The Elders" a group of retired leaders founded by former South African leader Nelson Mandela who undertake peace-building initiatives and non-state diplomacy.

Regarding Kim's offer of dialogues, Carter said: "The Elders' desire is that under some circumstances, these offers will be accepted by the leaders of South Korea, the United States and other leaders of the six-party talks."

The six-party talks are a Beijing sponsored initiative to denuclearize the peninsula; the parties are China, Japan, North Korea, Russia, South Korea and the United States. Following North Korean nuclear and missile tests, they have been in limbo for two years.

As for why he had not been able to meet Kim Jong Il personally, Carter responded: "We did request a chance to meet with him, and we did request an opportunity to meet with the president of South Korea. Neither were available to meet with us."

With North Korea suffering major food shortages, the Elders strongly suggested South Korea and the United States resume food aid to the ultra-nationalist state.

"We would urge you here in South Korea as we will urge the EU and the U.S. to realize there is a very severe crisis," said Robinson. "The humanitarian issues must be disconnected from matters of political concern. It is a matter of life and death urgency."

There had been criticism of Carter in South Korea for not raising human rights issues with the North, even though he did exactly that with South Korean leaders of the authoritarian governments of the 1970s and 80s.

Asked by a South Korean reporter if he had raised this issue with the North, Carter took a swipe at South Korean and U.S. policies.

"There are human right issues that relate to the policies of the North Korean government that I don't think any of us on the outside can change," he said. "But one of the most important human rights is to have food to eat and for South Korea and Americans, and others to deliberately to withhold food aid for North Korean people because of military or political issues unrelated is indeed a human rights violation."

Carter added that he believes that there are no longer any impediments to food aid monitoring. In the past, some governments and non-governmental organizations have criticized Pyongyang for not permitting them to monitor their aid deliveries, raising suspicions that shipments could be going to the military, rather than to the most vulnerable populations.

Brundtland, who is an ex-World Food Programme director, noted that one third of North Korean children are stunted due to malnutrition, and one in five is underweight.

Ahtisaari suggested that the resumption of dialogue is essential. "I think it is extremely important that we as Elders can recommend that there is, as early as possible, a resumption of dialogue on all outstanding issues," he said. "I sincerely hope that parties can agree on a time frame in which to resolve these problems instead of a process that can last forever."

In South Korea, where North Korean defectors have alleged the existence of concentration camps, torture and the imprisonment of family members, Carter's message on human rights and his linkage to food aid is likely to raise hackles.

"For the South Korean audience, we need to hear that he raised the human rights issue with North Korea as he did in South Korea during the 1970s and 80s, that would bring more credibility," said Won Jae-chun, a director general at Seoul's National Human Rights Commission of Korea. "I don't think his message will go far in [South] Korea."

Carter and his delegation will be hosted at a banquet by South Korea's foreign minister Thursday evening.

However, a representative of the Blue House, the South Korean presidency, said Wednesday that it considered Carter's trip that of "private individuals."

Carter has a history of private diplomacy on the peninsula.

In 1994, after Pyongyang had expelled international nuclear inspectors and threatening to turn Seoul into a "sea of fire" and with the United States mulling air strikes on North Korean facilities, Carter flew into Pyongyang to meet Kim Il Sung. That set the scene for the so-called "Agreed Framework" in which North Korea would give up its nuclear facilities in return for light water reactors from the international community.

That deal foundered after Washington accused North Korea of having a secret uranium based nuclear program. North Korea denied it at the time -- only to publicly reveal a uranium-based program last year.

Last year, another Carter visit to Pyongyang resulted in the freeing of an American citizen held there. However, he had no opportunity to discuss strategic issues, because he was not met by Kim Jong Il.

Journalist Andrew Salmon contributed to this report

@highlight

The Elders visited the Korean Peninsula

@highlight

Kim Jong Il is "willing to negotiate"

@highlight

The declaration puts South Korea's Lee on the spot