Whether it's learning how to read and write or setting up your own farm, a Zambian computer tablet -- known as the ZEduPad -- is trying to open up the country's information highway.

The brain child of British tech entrepreneur Mark Bennett, the ZEduPad principally teaches users basic numeracy and literacy skills, aimed at primary school children.

"It became clear that there was a huge need for this kind of technology," Bennett said, "particularly tablet technology, which has come a long way in Africa in recent years."

After arriving in Zambia 30 years ago under the British Aid Program, Bennett worked in the computer department at the country's national university for over a decade before deciding to go it alone.

"We can really do something very major for the first time," he said. "We've invested about $5 million to date... It's totally all-encompassing and quite prescriptive so we are aiming at being able to get to an untrained teacher in a deep rural area in the African bush."

Interactive learning

The ZEduPad is programmed in eight different languages native to Zambia with over 12,000 preloaded classes and lesson plans for untrained teachers in rural areas, according to Bennett.

Approved by the Zambian Ministry of Education, the educational tablet allows children to create a personal profile on its seven-inch screen to keep track of their progress as well as exposing them to e-mail and Wikipedia.

Bennett said the ZEduPad is set up to teach grades one to seven through interactive learning in every subject from math to PE, art and music.

The technology comes at a time when Zambia's educational system is undergoing sweeping changes. Since 2001, the government has increased primary school enrollment rates by 90%.

As a result, the World Bank has identified the landlocked southern African nation as having one of the most improved primary school education systems in the developing world.

Bennett added: "For years there was a problem with funding, education was not keeping up with population growth. Young people coming out of school and not being well suited or prepared to enter the job market.... We're trying to change that."

The ZEduPad gives children a grasp of vital technology skills in a landlocked country where broadband is scarce and only 18% of the nation's 14 million people have access to electricity, according to the World Bank.

In addition to following the national curriculum, the tablet also contains farming and health information designed for adults to help prevent the spread of killer diseases such as tuberculosis and malaria.

Outsourcing to China

The ZEduPad is currently manufactured, assembled and branded in China. The devices are then loaded onto a plane and transported to Zambia, where Bennett and his team install the software onto each tablet.

"It costs roughly $100 to have them made and landed here in this country," Bennett said. "We sell them to teachers and schools for $200 at the moment. We hope to bring that price down. One of the other things we're trying to do is provide significant tech support."

After teachers purchase the ZEduPad, Bennett said his team of experts go into schools and provide tutorials for staff so that they can maximize the tablets' functions while learning how to deliver lessons to pupils.

Bennett said the tablet has, at one time or another,  helped employ over 250 staff working in the development and distribution of the software from the company's base in the Zambian capital, Lusaka. He says he has approached the government over hiring assembly workers in Zambia but to no avail.

He said that at a time when few companies are manufacturing technology outside of the Far East, production in China is "the cheapest and most cost-effective thing to do."

'Huge change'

Looking ahead, Bennett doesn't want to stop at Zambia but hopes to roll the educational tablet out to a raft of other nations on the continent.

He believes that as countries in the developed world continue to transition from desktop computers to smart devices, Africa has a real chance to leapfrog ahead.

"I think the next big challenge is going to come from a lot of people who have got very cheap mobile phones. We'll gradually see Android smartphones coming out for $70 or so... Huge change is happening at the moment," Bennett said.

READ THIS: Africa's super telescopes

READ THIS: Why tech innovators are Africa's future

@highlight

The Zambian ZEduPad is an educational tablet for children

@highlight

Created by British businessman Mark Bennett, the ZEduPad has over 12,000 installed classes

@highlight

Bennett said the ZEduPad is set up to teach grades one to seven

@highlight

He hopes to roll the  tablet out to a raft of other nations on the continent