(CNN) -- For a while now, crazy situations, hunger pangs and frustrating hours behind the wheel have been making life slightly miserable for Florida commuter Joe Panyanouvong. The attorney who regularly makes the 84-mile journey between Orlando and Tampa on Interstate 4 is ready for a solution.

"I have made this trip many times during peak hours for work and leisure. It can feel like a parking lot at times," said Panyanouvong. "During heavy traffic it's taken me as long as 2.5 hours to get from Orlando to Tampa."

He recalls one day when -- despite departing Orlando early to get a head start on a business trip -- traffic and farm animals got the best of him near U.S. Route 27 and Interstate 4.

A cow had wandered past a fence onto the road, causing tie-ups and headaches.

"I ended up missing lunch because of that cow," Panyanouvong said with a laugh. "I don't like missing lunch and I especially don't like getting stuck in traffic due to wandering farm animals or any other reason."

For generations, much of the nation has been forced to use cars, buses or pricey aircraft to travel to nearby cities. But this year, Washington opened the door to what may be a historic turning point in regional travel.

The Department of Transportation awarded $8 billion among 31 states to begin developing America's first nationwide high-speed intercity passenger rail service.   Panyanouvong said he loves the idea of jumping on a train, turning on his computer and getting some work done on his way to Tampa, "without having to worry about traffic or driving."

But the idea is much bigger than convenience, say supporters, who believe high-speed intercity rail will cut U.S. dependence on foreign oil, reduce climate-changing pollution and fatten wallets by triggering economic development.

Soon, Americans might find themselves rocketing along ribbons of rails at 200 mph in sleek, painted passenger cars -- never stopping until they arrive at destinations awake and refreshed.

The federal funding served as a down payment to develop the groundwork for 13 new high-speed rail corridors in the United States, including an Orlando-Tampa route.

"High-speed rail in America is long overdue and President Obama understands we can't build the economy of the future on the transportation networks of the past," said Federal Railroad Administrator Joseph Szabo.

Funded by the American Recovery and Reinvestment Act, these new dollars represent a historic investment in the country's transportation infrastructure. It will help create jobs and transform travel in America, according to a U.S. Department of Transportation official.

See where the proposed high-speed trains are going

"High-speed rail will also revolutionize the way Americans travel by reducing U.S. dependence on foreign oil, lowering harmful carbon emissions, fostering new economic development and giving travelers more choices when it comes to moving around the country," said the official.

Despite these promises from the government, high-speed rail comes with its share of opponents, who say it is too expensive and won't save energy. Some even question if it will ever be built.

"Even in a strong economy, building high-speed rail makes little sense, offering minimal reductions in travel times at exorbitant costs," said Ronald Utt, who is the Herbert and Joyce Morgan senior research fellow for the Thomas A. Roe Institute for Economic Policy Studies at the Heritage Foundation.

"For instance, one has to wonder what exactly motivated the review team to endorse the proposed $1.1 billion investment in the Kansas City-St. Louis-Chicago route, which would allow customers to reach their destinations 10 percent faster than they could by driving between Chicago and St. Louis," said Utt.

Utt said the $1.25 billion federal investment in a $3.2 billion project to build a high-speed rail line between Orlando and Tampa would reduce travel time between the two cities to less than one hour, compared to about 90 minutes by car. He said other projects have similar travel time differences.

Randal O'Toole, a senior fellow with the CATO Institute, said it is far more cost-effective to save energy by encouraging people to drive more fuel-efficient cars than to build and operate high-speed rail.

"Moreover, in places that do generate electricity from renewable sources, it would be more cost-effective to use that electricity to power electric or plug-in hybrid cars than high-speed rail," O'Toole said. "A Department of Energy report adds that boosting train speeds to 110 mph will reduce the energy efficiency of the trains, making them less energy efficient than automobiles."

A report from the United States Government Accountability Office also highlights potential issues with high-speed rail plans in the United States.

"Passenger rail service, especially services at higher and high speeds, will require new safety rules, constant public capital investment and operating subsidies, and balance with freight rail service and the rest of the national transportation system -- and currently only some of these elements are in place," according to a GAO report.

While the recent federal funds may serve as a catalyst for many projects and have generated high public expectations, the planning necessary to meet the many concerns outlined above has not yet occurred, the GAO report said.

"Given the funding, I would say that it is fairly likely that at least a few moderate-speed rail projects will eventually be completed," said O'Toole. "But the California high-speed rail project remains fairly unlikely considering that more than three-fourths of its costs are not yet funded. Florida probably has a 50-50 chance of completion since about half its costs are funded."

High-speed rail also has many supporters.

The United States Conference of Mayors, American Association of State Highway and Transportation Officials and America 2050 --  a coalition of regional planners, scholars and policy-makers -- back high-speed rail plans. The U.S. High Speed Rail Association is also among the supporters.

"Experts in the oil industry have been saying for a number of years now that there is not enough oil left in the ground to continue our current level of consumption, not to mention no way to meet growing demand, and we can expect half as much oil available to us in the next 20 years," said Andy Kunz, president and CEO of the rail association.

"If we are to continue economic development and prosperity, we will need to greatly reduce our daily oil consumption, and high-speed rail is the only possible solution that can scale up to meet the growing demand of American mobility while greatly reducing our oil consumption," said Kunz.

High-speed rail supporters say the industry would stimulate the economy by creating millions of jobs across numerous sectors.

"Based on our company's 45 years of experience with high-speed rail in Japan, bringing high-speed rail to the United States will translate into jobs," said Mike Finnegan, an executive with US-Japan High Speed Rail and US-Japan Maglev.

"Importantly, these jobs pay well and they cannot be shipped overseas."

"The $8 billion investment in high-speed rail for America is just the beginning," said Szabo. "We know that it won't be built overnight, but the federal government is committed to the long-term development of the program. Of course, the Department of Transportation will fund projects that have the best chances to succeed and have instituted rigorous requirements to ensure successful completion of these projects."

So if and when high-speed rail does move forward in the United States, how would it be built and what type of technology would be used?

The Department of Transportation says funding for the program is "technology neutral" and does not place preference on the type of technologies used to build high-speed trains. Instead, it is allowing states and regions to choose the technology, as well as routes and station locations that meet their needs.

Most high-speed rail lines in the United States will be upgraded using existing freight rail rights-of-way, but the project in Florida and portions of California will be built on newly constructed high-speed rail lines, said Nazih Haddad, the chief operating officer for Florida Rail Enterprise.

Trains could reach up to 168 mph on Florida's high-speed line. Estimates from the U.S Department of Transportation say speeds could reach up to 220 mph for some portions of California's rail lines, while most other regions would top 110 mph.

Maglev train technology, which is popular in many scientific circles around the world for its high speeds, is one mode of high-speed rail that is not catching on in the United States because of its high cost, according to the Department of Transportation and rail industry insiders.

Maglev is a train technology in which magnetic forces lift, propel and guide a vehicle over a guideway. It follows guidance tracks with magnets and does not use steel wheels or steel rails usually associated with trains.

A well-known high-speed Maglev system operates commercially at Shanghai's Pudong International Airport in China. Its train reaches speeds of 268 mph and is much faster than the high-speed trains proposed in the United States. Japan and Germany also use Maglev train systems.

See how the Maglev train works

So what's the time frame?

One Department of Transportation report said high-speed rail lines in portions of California may not be completed until 2026.   For Joe Panyanouvong and the millions of Americans searching for solutions to "traffic headaches," the answers appear complex and in some cases, highly debatable and costly.

Panyanouvong will have to wait until at least 2015 until he has a chance to chuck his car and ride the rails from Orlando to Tampa.

Nonetheless, he said he'll be ready. "I would rather keep my 2002 Nissan Maxima at home."

@highlight

Washington awards $8 billion among 31 states to develop high-speed rail service

@highlight

Opponents: High-speed rail is expensive, won't save energy

@highlight

Supporters: Trains would cut pollution, stimulate economy