An Indian court sentenced four men to death Friday for the rape and murder of a 23-year-old woman in New Delhi, an attack that appalled the South Asian nation.

Announcing the sentence, Judge Yogesh Khanna said the crime "shocked the collective conscience" of India and fell into the "rarest of rare category" that deserves capital punishment.

"In these times when crimes against women are on the rise, the court cannot turn a blind eye to this gruesome act," he said.

One of the convicted men, Vinay Sharma, broke down in tears and cried loudly as the judge spoke.

Prosecutors had asked for the death penalty for the men, citing the "extreme brutality" of the attack, which took place on a moving bus in December. They had also argued the court needed to send a message to Indian society with its judgment.

Opinion: Where have India's females gone?

Anger about the deadly assault has had a widespread impact in India. It set off demonstrations, started a debate about women's treatment in Indian society and prompted the introduction of tougher punishments for sexual abuse.

"We are very happy. Justice has been delivered," said the father of the victim, whose name was withheld under Indian law.

Calls for the men to be executed had come from the victim's family members, high-profile politicians and many other Indians.

The announcement of the sentence was met with cheering from hundreds of protesters outside the court. Posters and banners held by those in the crowd read "hang the rapists" and "a woman's life is the foundation, do not defile it."

Indian Home Minister Sushilkumar Shinde said his initial reaction was that "justice was given to that girl and family."

Defense attorneys had urged the judge to show leniency and sentence the men to life in prison, saying the death penalty should be the exception, not the rule.

As the judge announced the death sentence, defense lawyer A.P. Singh shouted, "This is not the victory of truth. But it is the defeat of justice."

A shocking attack

The brutality of the New Delhi attack, as described by police and prosecutors, helped stir the strong emotions surrounding the case.

On the evening of December 16, the victim, a 23-year-old physiotherapy student, had gone to see the movie "The Life of Pi" with a male friend at a New Delhi mall.

During their journey home, they boarded a bus at a major intersection in upmarket South Delhi.

The driver and at least five other men on the bus were drunk and looking for a "joy ride," police said.

The men, from a poverty-ridden slum on the outskirts of Delhi, dragged the woman to the back of the bus and beat up her male friend.

Police said the men took turns raping the woman, using an iron rod to violate her as the bus drove around the city for almost an hour. When they had finished, they dumped the two victims by the side of the road.

The woman's injuries were so severe that some internal organs had to be removed. She died two weeks later at a hospital in Singapore.

Four found guilty

After a trial that lasted about seven months, the Delhi court Tuesday convicted four of the men -- ages 19 to 28 -- of murder, rape and kidnapping.

The victim's parents had tears in their eyes as the judge read the verdict in which he said the men had been found guilty of "committing the murder of a helpless victim." Her brother wiped a tear from his cheek.

The four men -- Sharma, Akshay Thakur, Pawan Gupta and Mukesh Singh -- will appeal the verdict, their attorneys said.

Opinion: Victims blamed in India's rape culture

Human rights groups criticized the decision to impose capital punishment.

"The rape and murder of the young woman in Delhi last year was a horrific crime, and our deepest sympathy goes out to the victim's family. Those responsible must be punished, but the death penalty is never the answer," said Tara Rao, director of Amnesty International India. "Sending these four men to the gallows will accomplish nothing except short-term revenge."

Rao said there is "no evidence that the death penalty is a particular deterrent to crime, and its use will not eradicate violence against women in India."

Death sentences issued by Indian courts have rarely been carried out in the past decade. No state executions took place between 2004 and late 2012, when the last surviving gunman from the 2008 terrorist attacks in Mumbai was hanged.

But human rights advocates have said they fear India's stance on executions has changed.

"In the past year, India has made a full-scale retreat from its previous principled rejection of the death penalty," Meenakshi Ganguly, South Asia director at Human Rights Watch, said last month.

Two others accused

The fate of two others accused in the case had been determined before this week.

One man, Ram Singh, 35, was found dead in his jail cell in March. Authorities said he had hanged himself, but his family said he had been murdered.

A juvenile court convicted a teenage boy on August 31 for his part in the gang rape, sentencing him to three years in a special juvenile correctional facility.

His trial was in juvenile court because he was 17 at the time of the crime, and the sentence is the maximum allowed under the court's rules.

Many Indians, including the victim's family, expressed dissatisfaction with the sentence.

The same crowd outside the courthouse that cheered Friday's death sentence for the four adults turned their ire on the juvenile. The crowd chanted, "Hang the juvenile."

A lawyer for the victim's family said they would go to India's top court to contest the youth's sentence.

A rape every 22 minutes

As in many countries, rape is a grimly frequent occurrence in India.

According to Indian government statistics, a woman is raped every 22 minutes on average.

But the New Delhi attack seized the country's attention.

Advocates criticized the world's largest democracy for failing to protect half of its population. Protesters demanded better treatment of women and decried the apathy of police and the judicial system.

Men respond to rape crisis

The government passed tougher anti-rape laws, introducing the death penalty for repeat offenders, and imprisonment for acid attacks, human trafficking and stalking.

But some Indians said that while the laws on crimes against women have changed, mindsets and enforcement have been slower to adjust.

'Take it to the source'

Government figures show the number of women reporting rapes has risen significantly since the New Delhi attack and the heavy scrutiny that followed it. Observers said it indicates women who are victims of sexual attacks feel more emboldened to come forward than they did before.

Meet India's Red Brigade: Teens fighting back against rape

Prosecution of such crimes has improved, said Kiran Bedi, a human rights activist and former Indian police officer. But it will take a heavy emphasis on the family and school environments to resolve the problem in the long run, Bedi said.

"You can't just begin and end with the police and the prosecution and the courts," she said. "You have to go backward and take it to the source."

India grapples with rape and sexual violence

@highlight

"Justice has been delivered," the victim's father says

@highlight

People outside the court cheer and clap after the sentencing

@highlight

The judge says the attack "shocked the collective conscience" of India

@highlight

A court found the men guilty of gang raping a woman on a bus; she later died