Sydney, Australia (CNN) -- Could the leader of a democracy reverse his nation's slide toward the ever more permissive use of firearms and mandate stringent new gun control laws in less than a fortnight? Well, yes. One of America's loyal allies did just that -- and with massive voter support.

In a popular tourist spot at Port Arthur, Tasmania, in April 1996, a lone gunman killed 20 innocents with his first 29 bullets, all in the space of 90 seconds. This "pathetic social misfit," to quote the judge in the case, was empowered to achieve his final toll of 35 people dead and 18 seriously wounded by firing semi-automatic rifles originally advertised by the gun trade as "assault weapons." Now we discover that a similar military-style rifle enabled the Connecticut killer to add his name to the global list of gun horrors.

In his initial press briefing on the Connecticut mass shooting, White House Press Secretary Jay Carney said "today is not the day" to talk about gun control. In 1996, Australians reacted with the opposite mass-majority voice, insisting: "Now IS the time."

Polls: Your thoughts on gun control

Australia's newly-elected prime minister at the time was John Howard. The country's most conservative leader in decades, openly proud of his pal status with George W. Bush, Prime Minister Howard led the then U.S. president to refer to his nation as America's "sheriff" in South East Asia.

Just like President Obama, Howard was seen to weep and to offer the nation's prayers in the wake of another gun massacre. But only 12 days after the shootings, in Howard's first major act of leadership and by far the most popular in his first year as prime minister, his government announced nationwide gun law reform.

Read more: Obama on assault weapons ban

Attitudes to firearms and the regulations governing them had changed almost overnight. After a decade of gun massacres which saw 100 people shot dead and 38 wounded, Australians had overwhelmingly had enough of anyone with a grudge gaining easy, mostly legal access to weapons designed expressly to kill a lot of people in a very short time.

New legislation agreed to by all states and territories specifically addressed mass shootings: Rapid-fire rifles and shotguns were banned, gun owner licensing was tightened and remaining firearms were registered to uniform national standards.

In two nationwide, federally funded gun buybacks, plus large-scale voluntary surrenders and state gun amnesties both before and after Port Arthur, Australia collected and destroyed more than a million firearms, perhaps one-third of the national stock. No other nation had attempted anything on this scale.

It wasn't without cost to John Howard. Self-interest groups among his conservative base raised hell, and at one rural meeting in a country town, he became the first Australian prime minister to be photographed wearing a bullet-proof jacket.

But with statements like: "We do not want the American disease imported into Australia... Guns have become a blight on American society," Howard knew he was speaking for most Australians. Polling at the time measured public approval of his government's new gun laws at 90 to 95 per cent.

In the years after the Port Arthur massacre, the risk of dying by gunshot in Australia fell by more than 50% -- and stayed there. In the 16 years since the announcement of legislation specifically designed to reduce gun massacres, Australia has seen no mass shootings. Gun deaths which attract smaller headlines are 80 times more common, yet the national rate of gun homicide remains 30 times lower than that of the United States.

Analysis: Why gun controls are off the agenda in America

To claim cause and effect would be to stretch all this too far. Mass shootings are such rare events as to defy prediction, gun death rates were already falling, and John Howard's gun laws no more prevent every shooting than our traffic laws eliminate the road toll. The best we can say is that the results are encouraging, and suggest a way forward.

Beliefs and fears aside, death and injury by gunshot could be as amenable to public health intervention as road toll, drunken driving, tobacco-related disease and the spread of HIV/AIDS.

The obstructions to gun control are nothing new to public health. An industry and its self-interest groups focused on denial, the propagation of fear, and quasi-religious objections -- we've seen it all before. Barack Obama, at the center of a maelstrom of clashing convictions few foreigners can comprehend, deserves our sympathy.

But the future is there to see. With gun violence, as with HIV/AIDS, waste-of-time notions like evil, sin, blame and retribution could in time be sluiced away to allow proven public health procedures.

Given the opportunity and the effort, gun injury prevention might save lives as effectively as restricting access to explosives, and mandating child-safe lids on poison bottles.

Opinion: Put reason back in America's gun debate

The opinions expressed in this commentary are solely those of Philip Alpers.

@highlight

In Australia, one massacre turned the tide in favor of gun control

@highlight

Just 12 days after the shootings nationwide gun law reform announced

@highlight

Alpers: Risk of dying by gunshot in Australia fell by more than 50% -- and stayed there