London (CNN) -- A tiny nano-sized car which can propel itself forward in response to electrical pulses has been created by scientists in the Netherlands.

The electric-powered vehicle, which is the size of a single molecule, has a chassis and four paddle-shaped wheels and is roughly one-billionth the size of a traditional hatchback car.

Its maiden journey wasn't exactly epic -- six nanometers -- and its fuel-efficiency wasn't world-beating either, needing a jolt of 500 millivolts every half revolution of its wheels.

But it's an important milestone in nanotech research (the science of manipulating matter at molecular scale), say scientists, because it demonstrates that single molecules can absorb external electrical energy and turn this into targeted motion.

"To build the nanotechnology of the future like nanorobots, machines and transporters you need something to fuel it. So there is a great incentive to build motors at the nanoscale," said Ben Feringa, professor of organic chemistry at the University of Groningen, and one of the authors of the research.

"There are many nanosystems built from all kinds of materials, but this is, as far as we can tell, the first time a nanomotor has been used to propel something by fueling it."

The fuel in this instance came from a scanning tunnelling microscope (STP) with its atom-sized stylus acting as an electrode allowing electricity to flow from its tip to the surface beneath it, Feringa says.

"When there is a molecule, the current goes through it and electricity excites the motor which drives the car forward," Feringa said.

The discovery, say scientists, takes them a step closer to understanding and ultimately mimicking nature's highly efficient molecular robots.

"In living cells there are a whole variety of molecule motors that are involved in almost every important biological process like cell division and transport, and mobility in our muscles," Feringa said.

The world's smallest synthetic motor was created by Alex Zettl, professor of physics at University of California, Berkeley in 2003 while the first nano car (without a motor) was built by James Tour in 2005.

"The Feringa team is to be congratulated for their excellent work," said Tour, a professor of chemistry at Rice University, Texas.

"It will certainly propel the field to a higher level of sophistication with the eventual goal of synthetic molecular machines being used for controlled transport and ex vivo (in an artificial environment outside an organism) bottom-up assembly..." he added.

But it's still early days and Feringa says he feels a bit like the Wright Brothers, likening the nano car to their "fairly awkward-looking primitive plane" when compared to the passenger jets of today.

"It's very difficult to know where the future will go and ultimately the systems will be different. But first you have to find the fundamental principles. That makes things possible," he said.

The research, which was completed in conjunction with scientists from the Swiss Federal Laboratories for Materials Science and Technology (Empa) is published in the journal Nature.

@highlight

Dutch scientists create the smallest vehicle in the world

@highlight

Nano car is the first to be powered by electricity

@highlight

Car traveled a distance of six nano meters

@highlight

Scientists hope nanomotors will power nanorobots of the future