(CNN) -- Washington appears to be run by screenwriters, where the rule is to get as close to the cliff as possible. Drive off, if it won't be too unbelievable. Then -- like young James T. Kirk in the J.J. Abrams reboot of Star Trek -- jump out as the car plunges to the bottom and climb your way back up. That's great Hollywood -- and perhaps the best-case scenario in Washington as lawmakers drive toward the fiscal cliff.

There's an upside too. If you watch the news closely, you'll see our Washington leaders making the classic mistakes that bad negotiators make. You'll see when they should be changing direction, doing B instead of A. And you'll be improving your own negotiation skills along the way.

I'm totally serious here: As you watch, notice what they should be doing, instead of what they are doing, and it's likely that you'll act more effectively when you have to negotiate a new house, a big sale, or a pay increase to cover the increase in your taxes if lawmakers drive over the edge.

Over the past 20 years, I've helped organizations of all kinds negotiate the sale of companies, contracts for C-suite executives, and union-management agreements. I've also taught negotiation techniques to members of law enforcement -- many SWAT teams and their federal counterparts.

Here's what I can tell you: Negotiation has three steps and three rules.

Let's look at what should be happening in Washington.

Step 1.  Say what you want and ask the people on other side what they want.  What results is "positions" -- what each side says it wants. You tell the car dealer that you'd like $5,000 more for your trade-in than you really think you can get. It's not what you expect, but it's a way to start the negotiation.

Opinion: Beware the fiscal cliff deniers

The first serious set of positions came out from Republicans on December 3. The Democrats got there a bit sooner. This step should have been over a couple of days after the election.

Step 2: One side steps up and asks why the other's position is what it is, and keeps asking "why" until it gets to core values. Don't laugh, but in the real world it works like this: Democrats to Republicans: "How come 'no tax increases' is so vital for you?" Republicans to Democrats: "Why is it so important to raise taxes on households making over $250,000?" These questions "surface" each side's interests, the reasons behind the positions, as William Ury, Roger Fisher and Bruce Patton note in their classic "Getting to Yes: Negotiating Agreement Without Giving In."

I once worked in a hospital where the nurses insisted on a large percentage increase in their pay. Stuck at step one, they'd repeat what they wanted, and the hospital executives would call them greedy and out of touch, often with the press listening. The nurses responded that the hospital was run by greedy trolls who only cared about making money.

Things moved forward when someone asked the nurses why that position was so important. "It's about fairness," they said.

When the nurses were asked why fairness is so important, they said "respect." They felt disrespected by the process, the various offers, and being kept out of hospital decision-making. When they settled, a part of the deal was -- are you sitting down? -- that they wanted to put in more time, invest more passion and expertise, and have a greater sense of ownership in the hospital.

Opinion: Millionaires' tax bracket would be a smart compromise

By the hospital giving them a fair slice of its financial success, through a sort of profit-sharing deal, the nurses did better than they would have done with just the straight percentage increase. And they won -- emotionally and financially. People will surrender a position if it helps them achieve what they're really after.

The hospital executives went through a similar process. Their position was that the nurses would get no increase. Why zero? "Market realities" -- salary surveys showing that they were already paid fairly. Why were market realities important? Because the executives wanted the hospital to be the best in its market, in all respects.

The core value for the executives was "best of the best." Notice the Hollywood ending that results: The executives and nurses both got more than they originally wanted, and both were invested in making it happen. Research my colleagues and I published found that groups get far better results when decisions are based on values rather than compromise or interests alone.

Step 3: Build a specific plan based on the core values. Compromise only when core values pull in opposite directions. I'm not talking a grand bargain here, just an agreement that honors the core values of each side. I've seen groups go through this process in an hour, even when the difficulties were more complicated than those facing Washington.

Here's the question to address: How do we put together a plan that honors opportunity, growth, fairness, and responsibility? The plan will have lots of pieces, but lawmakers could get to the skeleton of the plan in half a day. President Obama said a week. I'm not sure we'll have a week by the time people decide to do their jobs.

Opinion: How Obama can win a deal

In Washington, what we need is a band of leaders to take the key clamoring politicians off site, without cameras or press conferences. Camp David was meant for such occasions. Or to keep costs down, how about a conference room at a Motel 6?

Once there, they also need to make sure they are honoring the three rules of negotiations:

Never go in with your hands tied.  Many Republicans signed Grover Norquist's no-tax-hike pledge. This puts them in a lose-lose position, and a few are expressing that realization. Without the ability to negotiate freely, their Democratic counterparts know Republicans are hampered. The cure: Have every Republican revoke his or her pledge, as a few have already done. They may still vote for a no-tax deal, but they can't negotiate in good faith with that pledge over their heads.

Think of a marriage in crisis. The best way to save the situation is to put everything on the table -- including possible divorce -- and then go through the steps I outlined here. Only by setting their positions down, and moving to the deeper levels, can the people have their best shot at a great outcome. Ironically, the more you hold to a position, the less likely you are to get it.

Don't go straight for a compromise. The Democrats get a flag on field here. The tone is: "The election is over, now let's meet in the middle -- you get some of what you want, and we get some of what we want." Wrong, dead wrong. Go through the process.

Don't confuse positions with core values. The Republicans get the penalty flag here. "No new taxes" is a position, not a core value. People should never compromise on their core values, but they should be prepared to let go of their positions. Likewise, for Democrats, "go back to the pre-Bush tax rates for the wealthy" is a position, not a core value. The core values are far more interesting: growth, opportunity, fairness, and responsibility. Imagine a bill, signed by the president, that honored those principles, instead of merely cobbling together the demands of both parties. Everyone wins, and the lawmakers would truly be leaders.

Get out the popcorn and let's see how close to this fiscal cliff we get. With these principles in mind, you will leave the drama with better skills to negotiate your future. Really, this isn't that hard.

The opinions expressed in this commentary are solely those of Dave Logan.

@highlight

Dave Logan: Fiscal cliff negotiations have the cooked-up suspense of a Hollywood movie

@highlight

Watch closely if you want to see how not to make a deal; real negotiation has rules, he says

@highlight

He says both sides should state positions, then reveal "core values" and build deal from there

@highlight

Logan: Don't go in with hands tied; don't confuse positions with core values