London (CNN) -- The Thames became a sea of red, white and blue Sunday, as tens of thousands celebrated the diamond jubilee of Queen Elizabeth II -- so perhaps it was only fitting that alongside all the flags, another great British tradition was very much in evidence: Gray skies and rain.

Some 20,000 people took to the water aboard 1,000 vessels for a river pageant featuring dragon boats, a floating belfry and the royal barge. The event -- inspired by regal riverside celebrations of the past -- was the largest such celebration on the Thames for hundreds of years.

Around a million people were expected to line the route to cheer on the queen, at the head of a seven-mile long flotilla. But bad weather meant a planned fly-past was canceled.

Follow CNN's live blog

Isabella Hales and her family staked out their claim to a spot near Tower Bridge -- where the festivities reached a climax on Sunday evening.

"It's cold, but I don't mind," the 10 year old, wearing a cardboard Duchess of Cambridge mask that was rapidly dissolving in the drizzle, told CNN. "It was raining for the queen's coronation too. I'm just really excited, I can't wait."

"It's only the second time someone has reigned for 60 years," her aunt Laura Hales added. "It's a big accomplishment, and we wanted to celebrate that.

"There are about 20 of us -- we've come well prepared," she said, pointing out picnic supplies, party masks of the royal family -- including a corgi -- and pink champagne, "And we don't care what the weatherman says.

"Here's to Liz!" she toasted, raising her glass.

iReporters celebrate Queen Elizabeth II

Margaretta Soulsby, from Dorset, was the first to arrive at Tower Bridge on Saturday. She had planned to camp out, but when it began raining, stewards persuaded her to spend the night in a tent nearby.

Soulsby told CNN it was "well worth it -- I'm in the perfect position," and said such events made her very proud to be British.

"In 1935, when I was 10, my father took the family to The Mall to watch the silver jubilee celebrations for King George V and Queen Mary, and I've been privileged to be present at all of the major royal events since then."

After gathering upriver in west London, the flotilla made its way from Battersea Bridge to Tower Bridge, passing through the heart of Britain's capital city over the course of several hours.

At the front were 300 man-powered boats, with thousands of volunteers propelling them down river, flags and streamers fluttering around them.

A barge carrying the eight Royal Jubilee Bells -- the largest of which, at nearly half a ton, is named for the monarch -- led the way, with peals of bells ringing out from church towers along the river.

Bumming a smoke from the queen: When the security bubble bursts

Next came passenger boats, pleasure boats, historic wooden vessels -- the oldest built in 1740 -- and boats carrying members of the armed forces, police and fire services. One of the boats taking part, the Amazon, also took part in the 1897 Diamond Jubilee celebrations for Queen Victoria, Britain's longest-serving monarch and the only other to reach the landmark 60 years on the throne.

The biggest cheers were reserved for the present queen, who was carried aboard a specially-converted royal barge, opulently draped in red and gold.

Sailing boats that were too tall to pass under the 14 bridges along the river pageant route lined the river from London Bridge to Wapping, in the east, creating an avenue of sails set against the Tower of London and the city's financial center.

The queen disembarked at Tower Bridge and looked on as the remainder of the river pageant passed by in a riot of color and noise. Excitement grew as a gun salute rang out from the Tower of London.

Nearby, those not lucky enough to get a riverside spot before the area was locked down, watched the pageant on a big screen. Cheers, whistles and the odd chorus of "God Save the Queen" rang out, and the crowd stayed jolly despite the rain.

Helen McKee, from Kent, said she bought her family along to enjoy a once-in-a-lifetime spectacle. "We're never going to see this sort of thing again. I've got a little boy and I thought it was important for him to see it. I still remember the Silver Jubilee in 1977. It's a great atmosphere here, everyone is so friendly."

To Jamie Newell, from London, events on the river were just a forerunner of the main attraction of the day - the after party he was planning at home. Newell, decked out from head to toe in Union flags, and sporting red, white and blue contact lenses, said simply: "I love the queen."

Not everyone was of the same opinion. In a street behind the London Assembly building, scores of pro-republican campaigners had gathered, waving placards reading: "Make monarchy history" and "Don't jubilee-ve it" and chanting "Monarchy out, republic in." Today though, they seemed resigned to the fact that they were well and truly in the minority.

As the queen's barge approached and Tower Bridge lifted in salute, red white and blue streamers were tossed from the crowd. And then, as if on cue, the heavens opened, rain lashing those gathered on the riverbanks below.

Hoods and umbrellas went up, coats and ponchos went on, quickly followed by shouts of "brolleys down" from those behind.

Some of those who had gathered fled to shelter, but others remained determined to see out the whole seven-mile flotilla, even in torrential rain.

Patrick Gunning had been waiting for the flotilla since 11 a.m. on Sunday. It was well worth the wait, he said. "I've had my son Saul, who's 8, on my shoulders so we saw the whole thing, and we'll be staying a little longer."

London's Metropolitan Police said as many as 6,000 extra officers were on patrol during jubilee events.

The huge security operation comes as London prepares to host the 2012 Olympic Games, which open in late July.

Outside the capital, Britons gathered for thousands of jubilee-themed street parties and barbecues Sunday. Stores have been filled for weeks with an array of patriotic paraphernalia, from flag-adorned teapots to aprons to picnic sets, to help hosts set the scene for what is billed as a national celebration.

The celebrations continue on Monday and Tuesday, which have been declared public holidays to mark the diamond jubilee.

An afternoon garden party at Buckingham Palace will be followed Monday evening by a televised pop concert outside the palace grounds.

At the end of the concert, the queen will take to the stage to light the "National Beacon," which will be on the Mall. She will use a diamond made from crystal glass, which has been on display at the Tower of London from the beginning of May, to light the flame.

More than 4,000 beacons will then be lit in communities throughout the United Kingdom, along with the Commonwealth and UK Overseas Territories.

Tuesday will be a day of pomp and ceremony, as the queen attends a service of thanksgiving at St. Paul's Cathedral, followed after lunch in Westminster by a carriage procession back to Buckingham Palace, where she will appear on the balcony, flanked by members of the royal family.

@highlight

Diamond Jubilee of Britain's Queen Elizabeth II marked with river pageant

@highlight

Tens of thousands celebrate along the banks of the Thames

@highlight

Royal family led flotilla of a thousand boats up river to Tower Bridge

@highlight

Music and fireworks, street parties and festivals to mark 60th anniversary