(CNN)One-year-old Viktoria lives almost entirely in the dark.

She was born in Donetsk, as the crisis in eastern Ukraine was taking hold last year.  Now, she and her parents stay in a putrid cellar that also serves as a bomb shelter, on the outskirts of the city.  They are usually packed in tight with  dozens of other people.

It takes torchlight to see their faces: children, women, men and the elderly, sitting in a sea of filth.  There is no water and no toilet, just buckets overflowing in a space where people have to eat and sleep.  This is the world Viktoria has experienced so far, the place where she is having to learn to talk and walk.

It's an extraordinary contrast with just a few years before, when Donetsk was a thriving city that helped host the European Football Championship.  Now the streets are empty and most of the shops are closed.  The shelling is so incessant that our driver tells me it feels like having techno music playing constantly in the background.

I hear a lot about the politics of the Ukraine conflict: which leader has said what to whom, the provenance of arms, the big picture.  What is missing from the debate is the people -- it is ordinary citizens who are suffering the most.  Behind the grand headlines, there are children in desperate need who are suffering now and who will continue to suffer the consequences of the crisis in years to come.

Around 1.7 million children are affected by the conflict in Ukraine -- including more than a thousand who are seeking refuge in bomb shelters in Donetsk.  These are not modern bunkers.  They are freezing holes, normally in the cellar of a house, which are simply unfit for human habitation.  If a building collapses in a bombing, everyone will be buried.

That is why in Debaltseve, for example, aid organizations are bringing body bags with them.  Children are unbelievably stressed.  They have seen friends and relatives die.  They are afraid to even step outside of the cellars, as they fear they will never come back.

On a recent U.N. aid convoy into Donetsk, UNICEF delivered more than 27 metric tons of essential hygiene supplies, education kits and drinking water.  We made sure we prioritized the neediest children -- those in underground bomb shelters as well as those who are living with disabilities, who have been orphaned or who are affected by HIV. But this is not the sort of childhood one would imagine for 21st century Ukraine.

In a country where children are too often institutionalized, the ongoing crisis can only exacerbate the problem.  Social systems are collapsing and children are bearing the brunt.  In an orphanage for babies born to HIV-positive women, we found there were no tests to check if babies were HIV positive or not, let alone the necessary medication to treat them.  These babies are in limbo -- nobody wants to adopt them and their status is not known.

This area of Ukraine had one of the highest level of HIV before the conflict began. Now we just have no idea how bad the situation has become.  Elsewhere, we found children in detention in Donetsk who hadn't seen relatives in more than a year.  In a center for children with disabilities, mothers told us they had no insulin for their diabetic sons and daughters.

We have to help these children now, but also plan for when the fighting stops -- people will need new homes, and we'll have to deal with unexploded ordnance and the terrible psychological damage on children, among other things.  This is not a case of delivering aid now and that's the end of the story.  We need to commit for the long term.

Until then, though, the needs are huge and resources are scarce. In December, UNICEF called for additional support of $32.4 million to scale up its humanitarian response to address the urgent needs of children and families in conflict-affected areas in Ukraine. Today the needs are even greater.

In the basement shelter, Viktoria's parents cradle her tightly.  They ask me the same question again and again: "When will it all be over?"

@highlight

Radoslaw Rzehak: About 1.7 million children affected by conflict in Ukraine

@highlight

Rzehak: Social systems are collapsing and children are bearing the brunt