(CNN) -- Imagine if every time you went to the pharmacy, shopping for medications was a complete guessing game. What if drug makers weren't required to disclose ingredients in their products or prove their safety, leaving you without a way to determine whether what you're buying is safe for you and your family? You would live in fear that the medicine you purchased to make your child feel better could actually harm them.

It's a frightening scenario, and one that we would never accept.

Yet, because of our outdated and broken toxic chemicals law, that is precisely the situation with the consumer products we use every day. These products -- from baby bottles and shampoo to car seats and sofas -- contain tens of thousands of untested chemicals.

Last week, I joined with hundreds of moms from across the country to sound the alarm and call on Congress to fix this broken law. These parents came to Washington because they're worried that the chemicals found in these ordinary products are putting their families' health at risk.

They're right to worry, because in recent studies, scientists at the Centers for Disease Control and Prevention found 212 industrial chemicals -- including six cancer-causing chemicals -- coursing through Americans' bodies. In essence, the American public has become a living, breathing repository for toxic chemical substances.

These chemicals have been linked to numerous diseases. Studies show as much as 5% of childhood cancers, 10% of neurobehavioral disorders and 30% of childhood asthma cases are associated with hazardous chemicals.

The existing law that regulates chemical safety, the Toxic Substances Control Act, was written in the 1970s and is ineffective and outdated.

In nearly 35 years, it has allowed the Environmental Protection Agency to require testing of only 200 of the more than 80,000 chemicals in its inventory. What's more, EPA has been able to ban only five substances. The law is so broken that when EPA tried to ban uses of asbestos, a known cancer-causing chemical, its rules were overturned in court.

This status quo is dangerous and unacceptable.

That's why I've introduced a bill called the Safe Chemicals Act, which simply requires that chemical makers prove their chemicals are safe before they end up in our products and bodies. It would ensure that chemicals are tested and that those deemed dangerous are taken off the market.

But sadly, some chemical companies and their lobbyists are fighting reform at every turn.

Just recently, the Chicago Tribune exposed a concerted effort by some chemical companies to use dirty tricks and junk science to mislead the public about the dangers of their products. The report detailed how industry bankrolled experts who testified with fake stories, all in an effort to protect the health of their profits instead of the health of our families and children.

They've specifically fought to protect flame retardant chemicals such as chlorinated Tris, which is so dangerous that companies voluntarily stopped using it in children's pajamas more than 30 years ago.

But while scientists have warned us about chemicals such as chlorinated Tris since the 1970s, they continue to be used in products all around us, including furniture, cribs, mattresses and high-chair cushions.

Now, let's be clear: The Safe Chemicals Act is not an attack on chemicals. Chemicals are used in hundreds of useful products, and most of the thousands of chemicals we use everyday are safe. But we need to be able to separate the safe from the dangerous. Under our current law, we can't do that. That's what this bill fixes.

The chemical industry's lobbyists argue that the cost of testing all these chemicals would be too high. But what is the cost of our children's health?

For three years, I've invited input from all sides of this issue, including the chemical industry. But despite claims of interest in reform, industry lobbyists are refusing to offer concrete suggestions and trying to run out the clock on our efforts.

We cannot accept inaction any longer. It is time to come together to finally fix this law and protect our families from toxic chemicals once and for all.

The opinions expressed in this commentary are solely those of Frank R. Lautenberg.

@highlight

Sen. Frank Lautenberg: Congress needs to fix our outdated toxic chemicals law

@highlight

He says ordinary products such as cribs and couches contain dangerous chemicals

@highlight

Lautenberg: My Safe Chemicals Act can help reduce the health risks for Americans

@highlight

Lobbyists are fighting reform, but we cannot accept inaction any longer, says Lautenberg