(CNN) -- Now that delegates have converged on Tampa, Florida, for the Republican National Convention, one has to wonder whether there is enough room in the arena for all the conflicting and contradictory elements of the modern Republican Party.

There is the camp that claims it wants to be more inclusive, broader in its appeal and more welcoming to women, gays and minorities. Former Florida Gov. Jeb Bush recently warned that, because of changing demographics, the GOP has to "reach out to a much broader audience than we do today."

But then there is the camp that ensured that the Republican platform included language rejecting not just same-sex marriage but also the watered-down alternative that many elected officials find more palatable: civil unions. The GOP platform committee also defeated a proposed amendment that said all Americans should be treated "equally under the law" as long as they're not hurting anyone else.

Kansas Secretary of State Kris Kobach, who is known for his immigration hard-line, implied that it was fine to treat gays and lesbians differently because: "Our government routinely judges situations where you might regard people completely affecting themselves like, for example, the use of controlled substances, like, for example, polygamy that is voluntarily entered into. We condemn those activities even though they are not hurting other people at least directly."

Opinion: What the GOP needs to do in Tampa

There is the group that insists it wants to focus on economic issues as the best way to defeat President Barack Obama. Many political observers see Mitt Romney's choice of spending hawk Paul Ryan as his running mate as pretty strong evidence that this view is prevailing at the top of the ticket.

But then there is the group that can't seem to resist the catnip of social conservatism and that charges into the abortion debate. The platform also includes an across-the-board ban on all abortions, even in the case of rape or incest. And in 2012, as in previous election years, even with all the supposed emphasis on the economy, being pro-choice was considered a liability for those vying for the Republican presidential nomination and a disqualifier for anyone chosen to be vice president.

There is the camp that calls for states such as Arizona to have the last say in shaping immigration policy by enlisting local police in the enforcement of federal immigration laws, denying driver's licenses to illegal immigrants or attempting to punish landlords who rent to them.

But there is also the camp that insists that states shouldn't have the final word with regard to immigration if it means they can grant drivers' permits to illegal immigrants or opt out of a program such as Secure Communities, which requires local police to submit to federal authorities the fingerprints of anyone they arrest to determine if they're in the country illegally.

There is the faction that still thinks you can keep out illegal immigrants from Mexico and the rest of Latin America by building walls and fences on the U.S.-Mexico border, but also the faction that wants to create new ways to bring in an ample supply of Mexican immigrants to work legally in agriculture, hospitality, construction and other industries.

There is the group that supports Romney's plan to encourage illegal immigrants to simply "self-deport" by making the country more unwelcoming and drying up employment opportunities, and the group that worries about a labor shortage and economic slowdown if that happens.

Opinion: Romney's 'birther' remark is no joke

The party platform expresses support for something that some employers want: a temporary guest worker program that imports foreign labor to offset worker shortages in fields such as agriculture. And it also backs something that many employers don't: a requirement that all businesses participate in the government-administered e-verify system, which is supposed to determine whether an employee is legally eligible to work.

This is some strange hash. What does it mean to be a Republican these days if unifying principles are so hard to come by?

A generous explanation could be that this is an example of the GOP "big tent" that some conservatives have always dreamed of, where Republicans with different views can put aside their disagreements and come together in a common purpose.

A more realistic explanation is that, in 2012, the Republican Party has become a patchwork of individual interests united only by a shared desire to ensure that Obama is limited to a single term. We'll have to see if that is enough to hold the coalition together. And if so, what it means for the future of the Grand Ol' Party.

What happens in Tampa will be our first clue.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette: The deep divisions in the Republican Party are evident

@highlight

He says some Republicans emphasize social issues, such as opposition to gay marriage

@highlight

Others want to play down social issues, focus on the party's economic message, he says

@highlight

Navarrette: The only thing that unites GOP is a strong desire to defeat Obama's re-election bid