(CNN) -- While foreign policy became an unexpected pivotal point in last week's town-hall style presidential debate, Monday's final showdown will focus entirely on international affairs.

And with the U.S. government knee-deep in an investigation of its handling of the Benghazi consulate attacks and as reports emerge of planned negotiations with Iranian leaders, the topic could provide a pivot point in the tight race for the White House.

"I think it's going to be an important debate," senior Obama campaign adviser David Axelrod said Sunday, though he sought to lower expectations. "I don't think any one event is decisive, even though being strong at home and building our economy is the No. 1 issue."

Photos: When every vote counted, closest U.S. elections

President Barack Obama and Mitt Romney meet for their third of three debates in Boca Raton, Florida, the biggest swing state prize with 29 electoral votes. It marks the closing note of the debate season, one that landed Romney a much-needed boost after his widely applauded performance -- and Obama's derided one -- in the first debate. The second matchup was considered more of a draw, with Obama edging Romney in several polls of debate-watchers.

Political observers say incumbents usually have an advantage on foreign policy because of their experience making decisions for the country and access to some of the most privileged intelligence.

A Pew Research Poll that came before the second debate showed Obama ahead of Romney 47% to 43% when voters were asked which candidate they thought would handle foreign policy decisions better. That's within the margin of error and is a much tighter poll than one taken by Pew in September, which showed Obama leading Romney 53% to 38%.

The Obama campaign has attempted to paint Romney as unprepared to handle issues on the world stage. Calling Romney "reckless," Axelrod on Sunday hinted at one line of attack the president could take during Monday's debate.

"We all remember his 'Dukes of Hazzard' tour of international destinations over the summer, where he not only roiled countries that are not as friendly to us but also our best ally, Britain."

During a trip to the United Kingdom, Israel and Poland, Romney generated international criticism in July for his comments in London questioning the UK's preparations for the 2012 Summer Olympic Games.

Campaign explorer: Ads, money and travel

That perceived gaffe was followed by what some said were inappropriate comments about Palestinians, questioning why Palestinian-controlled areas had a lower GDP per capita than Israel.

Romney also faced criticism over his initial response to the Benghazi consulate attack, in which killed four Americans were killed, and the breaching of the U.S. Embassy in Cairo last month. He put out a statement the night of the unrest, then held a news conference to chastise Obama on foreign policy the next morning. Democrats and some Republicans argued the reaction was made in haste.

Former New Mexico Gov. Bill Richardson, a Democrat, cited the incident as an example of Romney being unprepared to be a world leader.

"Gov. Romney just seems to be bluster, blunder, cowboy-alone foreign policy," Richardson said on CNN's "State of the Union." "I'm troubled at this time when we had the Benghazi crisis, he's trying to make political gain."

But questions have lingered over why the U.S. was unprepared for the attack on the consulate in Benghazi and the mixed signals that the White House sent over its cause.

In last week's debate in Hempstead, New York, Obama took responsibility for the security of State Department personnel, saying ultimately the buck stops at his desk. "That's why nobody's more interested in finding out exactly what happened than I do," he said

Former House Speaker Newt Gingrich pointed to Obama's words and criticized the lack of robust security at the consulate, adding the whole episode represents a larger narrative of the president's foreign policy track.

Intelligence on Benghazi shifted

"If we can't figure out what went on in a relatively open city in a country we had helped liberate, why do we think we know what's going on with Iran's nuclear program?" the former Republican presidential candidate and speaker of the House said on CNN's "State of the Union."

Defending Romney, Gingrich said he had ample foreign policy experience from his time as Massachusetts governor, as well as his role in running the 2002 Winter Olympic Games in Salt Lake City and living overseas as a missionary.

Weighing in on the expectations for Monday's debate, CNN contributor and New Yorker political reporter Ryan Lizza told CNN's Athena Jones that while foreign policy is important, it's not "what's going to drive the vote."

"So if you're Mitt Romney, every second you're talking about foreign policy is wasted. Which might mean that Romney tries to break out of that, tries to bring home some of the foreign policy issues to domestic economic issues. For instance, when you're talking about China, that's in some ways a domestic issue," he said.

Lizza said Romney has a choice to make. He could try to attack Obama over the administration's handling of the Benghazi attack, a strategy he took during last week's debate but ended up making headlines over mixing up a detail in the timeline.

"Or does he just put that aside, put those attacks aside and try to move on to some other issues where he has more of an advantage?" Lizza said.

New election lingo: from 'Obamaloney' to 'Romnesia'

As for the president's challenge, Jon Alterman, director of the Middle East program at the Center for Strategic and International Studies, said Obama will need to be "defining the Middle East strategy going forward."

"He's had some successes, he's had some things that are still pretty murky," Alterman said.

Romney, on the other hand, has a broader challenge of laying out specific policies without upsetting the Republican base.

"The Republican Party hasn't really figured out what a Republican foreign policy looks like after the Bush administration," Alterman said. "I think Romney has been uneager to really delve into that, but I think the challenge he will have on issue after issue is you have to get more specific."

Also developing on the international front, The New York Times reported Saturday cited an anonymous senior administration official saying the U.S. and Iran have agreed to take part in unprecedented, one-on-one talks over the country's nuclear program. The White House denied the report was true.

Asked about Iran on Sunday, Florida Republican Sen. Marco Rubio used an argument often made by Romney, saying the president failed to back the 2009 protest movement in Iran that the country's regime stifled with a violent crackdown.

"That set a tone where now Iran thinks they can go harder and faster than they could go. And today, they're closer than they've ever been to a nuclear capability," Rubio said on ABC's "This Week." "That's very unfortunate."

Opinion: 'Iranians are trying to take advantage of our election cycle'

But former White House chief of staff and current Chicago Mayor Rahm Emanuel, also appearing on "This Week," said that while he didn't know whether the reports of talks with Iran were true, the "tables have been turned" by Obama's approach.

"Three and a half years ago, the world was criticizing us on Iran. Today, the world is criticizing Iran on its attempts to acquire nuclear weapons. That's a direct change," he said.

Obama, Romney unite ... for RG3

CNN's Athena Jones and Greg Clary contributed to this report.

@highlight

President Barack Obama and Mitt Romney meet Monday night for their final debate

@highlight

Monday's final showdown will focus entirely on international affairs.

@highlight

Middle East expert says Obama needs to be "defining the Middle East strategy going forward"

@highlight

Romney faces the challenge of laying out specific policies without upsetting base