LONDON, England (CNN) -- Human rights and freedom of the press in China, the detention of terrorist suspects by the United States and Russia's treatment of political dissent are the focus of scrutiny in Amnesty International's annual report, released Wednesday, which looks at the state of human rights around the world.

Amnesty International  protestors outside the US Supreme Court in January dressed as Guantanamo Bay detainees.

The 398-page report comes 60 years after the United Nations adopted the Universal Declaration of Human Rights, and Amnesty says governments still need to act on their promises.

"The biggest threat to the future of human rights is the absence of a shared vision and collective leadership," the organization said in a statement.

Irene Khan, Amnesty's secretary-general, said that in particular, "the human-rights flash points in Darfur, Zimbabwe, Gaza, Iraq and Myanmar demand immediate attention."

The report, the group said, "reveals a world riven by inequality, scarred by discrimination and distorted by political repression."

According to its count, people are tortured or subject to other ill treatment in at least 81 countries, face unfair trials in at least 54 countries and are not allowed to express themselves freely in at least 77 countries.

Of the 150 countries and regions listed in the report, Amnesty paid particular attention to China, the host of this summer's Olympic Games.

The group said growing numbers of human rights activists were imprisoned or harassed in China in 2007, with ethnic and religious minorities -- including Tibetans, Falun Gong practitioners and Christians -- repressed or persecuted.

Death penalty statistics in China are difficult to assess, Amnesty said, but based on public reports, the group estimated that at least 470 people were executed in 2007.

Amnesty also noted the repression of free speech in China and said censorship of the Internet and other media intensified last year.

"The Chinese authorities maintained efforts to tightly control the flow of information," the report said. "They decided what topics and news stories could be published, and media outlets were sometimes required to respond within minutes to government directives. The authorities continued to block Web sites and to filter Internet content based on specified words and topics."

Around 30 journalists and at least 50 others are known to be in prison for posting their views online, Amnesty said.

Amnesty also criticized the death penalty in the United States, where 42 people were executed last year. It noted New Jersey's decision in December to abolish the death penalty made it the first U.S. state in more than 40 years to do away with executions.

As it has in previous annual reports, Amnesty criticized the detention of hundreds of foreign nationals at the U.S. naval base at Guantanamo Bay, Cuba.

"The USA must close Guantanamo detention camp and secret detention centers, prosecute the detainees under fair trial standards or release them, and unequivocally reject the use of torture and ill-treatment," Amnesty said.

The group noted that Guantanamo detainees are held indefinitely, most of them without charge and without recourse to U.S. courts. Most detainees there are held in isolation in maximum-security facilities, heightening concerns for their physical and mental health, Amnesty said.

In fact, more is written on the United States than any other country listed in the report. Asked about that at a press conference Tuesday, Khan said, "We certainly devote a lot of time to Sudan, to China, to Zimbabwe and other countries. But we look to the U.S. to provide leadership around the world. Governments around the world look to the United States as a role model for their own behavior."

In a lengthy section on Iraq, Amnesty noted that thousands of civilians, including children, were killed or injured in ongoing sectarian violence during 2007.

"All sides involved in the fighting committed gross human rights violations, some of which amounted to war crimes and crimes against humanity," the report said.

Abductions, torture and murder, with bodies left in the street, occur daily, and the violence has caused 2 million Iraqis to flee to Syria, Jordan and elsewhere, Amnesty said. U.S. forces held some 25,000 detainees "without charge or trial," the group said, and 33 people were executed, "some after grossly unfair trials."

In Afghanistan, conflict and insecurity aggravated by drought and floods contributed to "large-scale displacement" of people throughout the year.

"At least 6,500 people were estimated to have been killed in the context of the conflict," the report said. "Violations of international humanitarian and human rights law were committed with impunity by all parties, including Afghan and international security forces and insurgent groups."

Russia must show greater tolerance for political dissent, Amnesty said.

"The Russian authorities were increasingly intolerant of dissent or criticism, branding it 'unpatriotic,' " the report said. "A crackdown on civil and political rights was evident throughout the year and in particular during the run-up to the State Duma [parliament] elections in December."

The European Court of Human Rights ruled that Russia was responsible for enforced disappearances, torture and extrajudicial executions in 15 judgments relating to the recent conflict in Chechnya, Amnesty said. There were fewer reported disappearances in the Chechen Republic in 2007 than in previous years, Amnesty said, but continued human rights violations made people reluctant to report abuses.

The report also criticized human rights conditions in Iran, Gaza and Myanmar.

Human rights conditions in Zimbabwe continued to decline in 2007, the report said, "with an increase in organized violence and torture and restrictions on the rights to freedom of association, assembly and expression."

Members of the main opposition party, the MDC, along with other human rights defenders, were arrested, and many were tortured while in custody, Amnesty said. Some 4 million people required food aid because of the nation's deteriorating economy, and victims of forced evictions in 2005 continued to live in "deplorable conditions" while President Robert Mugabe's government failed to remedy their situation.

"Human rights problems are not isolated tragedies, but are like viruses that can infect and spread rapidly, endangering all of us," Khan said. "Governments today must show the same degree of vision, courage and commitment that led the United Nations to adopt the Universal Declaration of Human Rights 60 years ago."

@highlight

Amnesty International's annual report "reveals a world riven by inequality"

@highlight

More written on United States than any other country

@highlight

Report also notes situation in Zimbabwe, Darfur, Iraq, Iran, Gaza

@highlight

At least 81 countries subject people to torture, ill treatment, report says