It's astounding how fast the words of a 22-year-old woman, her life suddenly cut short, have spread across the Internet and into the hearts and minds of people all over the world.

Marina Keegan, a budding writer, was once published by the New York Times and had a job lined up at the New Yorker. Also a playwright, she had a musical slated for a staging in August at the New York International Fringe Festival.

She wrote a moving essay in the Yale Daily News to inspire her fellow seniors as they graduated last week. She died in a car crash a few days later.

That column, in which she strives to remind her peers that "we have so much time," has taken on a tragic, powerful resonance.

Discussing the "immense and indefinable potential energy" many felt as freshmen, she wrote that it's important to remember "we can still do anything. We can change our minds. We can start over. ... We're so young. We can't, we MUST not lose this sense of possibility because in the end, it's all we have."

The loss of Keegan is heartbreaking for many reasons. One of them is that she surely would have been among the too few people in the world who chase their dreams and bring them to fruition.

I know what it is to feel the "sense of possibility" she described. I felt it when I was at Yale in the '90s. Since then, I've lived by it. I've also had time to see what distinguishes those who chase dreams from those who give up.

Two friends of mine, fellow Yalies who graduated in different years and don't know each other, told me that in the years after college, they felt "betrayed" by some friends who had wonderful plans for the future and swiftly gave up on them. People who didn't harness their creativity to carve new paths. People who became focused on making more and more money and little else, who never took chances, because they got too busy, more interested in wealth or stature than doing something amazing, or just forgot about those dreams.

In each case, I asked my friend how that amounted to betrayal. And each gave me the same answer: The plans we had for the future weren't just plans or hopes. They were a pact. We would take the education and incredible opportunities we had been given and go out and fight for a better world in new ways. Separately, together.

It's what Keegan touched on in her last line to her class: "We're in this together, 2012. Let's make something happen to this world."

As I've written before, the world needs more visionaries. From electricity to vaccines to Hubble, everything humanity has created that improves our lives exists because dreamers pursued their visions.

It's not easy, and it can become harder as you grow up and have families dependent on you. Life exhausts and distracts you into shelving aspirations. Making them happen is hard work. But it's incomparably rewarding.

There is every reason to believe that Keegan would have fought for hers. It's clear in her writing.

Written from the perspective of a young woman at the dawn of her adult life, her words are a stunning bookend to something David Brooks wrote about in October in the New York Times: a collection of short autobiographies that members of the Yale class of 1942 wrote for their 50th reunion.

People who "passively let their lives happen to them" lamented "how boring they must seem," while others "regret the risk not taken," Brooks wrote.

"The most exciting essays were written by the energetic, restless people, who took their lives off in new directions midcourse."

Anyone with an unfulfilled dream would do well to keep that in mind -- and should read Keegan's column, because it applies to them as well.

The essays by people who "felt summoned to do one thing," Brooks added, "ring with passion and conviction."

That's about instincts, which are ultimately the key to chasing dreams and the biggest driver for those of us who don't give up. We let ourselves tune out everything else and listen to what our instincts are telling us we have to do. That's why nothing can stop us.

It's easy to imagine that nothing would have stopped Keegan.

Her death is also a reminder of a daily tragedy. While U.S. fatalities in car crashes are decreasing, far too many families and friends know the pain of such loss.

Keegan, above all else, valued family and friends. In this, she seemed wise beyond her years. I was -- like many other ambitious young people -- so focused on career goals, it took me years to gain the perspective she had and live by the knowledge that the loved ones you surround yourself with are by far the most important thing in life.

"We don't have a word for the opposite of loneliness, but if we did, I could say that's what I want in life," she wrote.

Yale graduates from 70 years before her say the same. "For almost all, family and friends mattered most," Brooks wrote.

Keegan's words give us all reason to remember the world of possibilities before us and to make sure we're valuing time with loved ones. In her death, she just may be inspiring people to live better, deeper, more exciting lives -- with "passion and conviction."

And that's unforgettable.

@highlight

Josh Levs: Marina Keegan, a new Yale grad off to promising future, was killed in crash

@highlight

He says she embodied idea of reaching for, achieving dreams; was writer, playwright

@highlight

He says some fellow grads who hoped for great things found life intervened

@highlight

Levs: Keegan's life an example of following instincts, passion, valuing friends and family