(MENTAL FLOSS) -- Most of the world seems to think that America invented obesity sometime in the last century, but the truth is, fat has always been a part of life (witness Hatshepsut, one of the great ancient Egyptian queens who reigned in the 15th century BC -- despite her svelte sarcophagus, modern archeologists believe that she was pretty obese and may have suffered from diabetes).

Goldfish may have delivered a dubious dietary aid -- tapeworms.

So it stands to reason that dieting has been around just as long.

Some historians credit William the Conqueror with starting the first fad diet. Having grown too fat to ride his horse, William went on a liquid diet in 1087 -- or, rather, a liquor diet, since all he did was drink booze.

The story might be apocryphal -- William, still fat, actually died after falling from his horse and there was no word on whether he was drunk at the time -- but it's a good one, and it sets the tone for the next 1000+ years of dieting.

Throughout history, people have been looking for some kind of magic that will allow one to eat and live as one pleases, but still look emaciatedly gorgeous. And they've come up with some pretty dubious theories that somehow took hold in the public consciousness and became fads. Here are a few of our favorites.

Location, location, location

"The Causes and Effects of Corpulence" was a treatise penned in 1727 by one Thomas Short, in which he observed that larger people were more likely to live near swampy areas. His advice? Fat people should move to more arid climes.

Improbable side effects

The namesake of the graham cracker -- ironically now an integral part of that deliciously fattening treat, the 'smore -- was a Presbyterian minister who claimed that overeating could not only make you fat, it could make you lecherous, too. In the 1830s, Sylvester Graham ran health retreats for like-minded parishioners featuring a strict meat-free, incredibly bland diet.

Chew yourself thin

Horace Fletcher, a turn of the century San Francisco art dealer, became known as the Great Masticator after he claimed he lost more than 40 pounds by chewing his food until it was essentially liquefied and spitting out all the bits that weren't.

Fletcher's scheme became incredibly popular -- novelist Henry James and industry titan John D. Rockefeller were reportedly fans, as was John Harvey Kellogg. Kellogg, of the cereal fame, was a health nut who ran a sanitarium in Michigan, where he encouraged his visitors to "Fletcherize" with a little song he wrote called "Chew Chew." Mental Floss: How cereal transformed American culture

The parasite diet

In the early part of the 20th century, the weight loss industry allegedly found a tiny little helper in the form of a tiny little parasite -- the noble tapeworm. According to product advertisements of the day, tapeworms were being sold in pill form as a weight loss tool.

While whether or not those pills actually contained a real live tapeworm is certainly debatable, however, there is evidence that jockeys, who frequently needed to lose a lot of weight fast, would try to induce tapeworms. Another favorite weight loss tool of the Lilliputian equestrians: Burying themselves in piles of horse manure, which acted as a kind of natural sauna.

Introducing the calorie

In 1918, Dr. Lulu Hunt Peters introduced a new word to the world lexicon --"calorie" (may she be forever cursed for it). Peters' book, "Diet and Health, With a Key to Calories," which helpfully included a phonetic spelling of the word "calorie," as so many people were unfamiliar with it, sold more than 2 million copies and established calorie-counting as the framework of a good health.

This diet regime wasn't particularly dubious, but it did lend a potentially dangerous new tool to those looking for a way to quantify and reduce their food intake. Case in point: The Scarsdale Diet of 1979, a strict 700-calorie a day diet that works -- because you're starving. Mental Floss: Quiz: Which item has more calories?

The goldfish diet

OK, this one wasn't so much about weight loss as it was fame gain, but in 1939, it was a fad that swept the nation. Like most good things, it all started with a bet -- a Harvard University undergrad won $10 after swallowing an innocent fishy. The story spread from there, prompting a countrywide goldfish slaughter.

Goldfish swallowing became so popular that not only were pet stores running out of the indigestible comestibles, but the New York Times published warnings from doctors that swallowing goldfish, which are known to carry tapeworms and other parasites, could be very harmful to one's health.

The nicotine diet

By the middle of the 20th century, dieting had become such a major economic, social and cultural force in the Western world that cigarette companies, not wanting to miss the money boat, jumped on board promoting cigarettes as a weight-loss tool. It's a belief that persists today -- ask any supermodel.

The master cleanse

In the 1940s, nutrition guru Stanley Burroughs created the Master Cleanse, a fast during which the dieter subsists solely on a mixture of cayenne pepper, fresh-squeezed lemon juice, maple syrup and water.

The Master Cleanse is still popular today, especially among anorexics and aspiring anorexics, despite the fact that most nutritionists and doctors say that "detoxing" is a nonsensical and potentially harmful idea.

The Sleeping Beauty diet

Then there's the Sleeping Beauty Diet, a regime that allows the dieter to literally sleep off the pounds while under heavy sedation for several days. Elvis was reportedly a fan of that one, right about the time when he was having a little trouble squeezing into those trademark white jump suits, as was a character in the landmark beach read, "Valley of the Dolls." Mental Floss: 7 simple rules for how to take a nap

The monotony diets

The 20th century also brought us back to a concept allegedly pioneered by William the Conqueror -- the single food or drink diet. There's the Grapefruit Diet, which alleges that eating a lot of grapefruit and drinking a lot of grapefruit juice, in conjunction, of course, with a very low-calorie diet, is the way to weigh less; the Cabbage Soup Diet, which is said to cause serious gas with a side of nausea; the Popcorn Diet, which is pretty much undercut by all the tasty things one puts on popcorn to make it palatable; and the Chocolate Diet, which, though tempting, is just plain silliness.

Memorable dieting paraphernalia

And let's not forget about the gadgets that went along with these suspect food fads, like the Vision-Dieter Glasses, which made food look unappealing, or the Mini-Fork system, which encouraged people to eat smaller portions by supplying them with -- you guessed it -- smaller forks.

Or how about slimming soaps, popular in the 1930s, which promised dieters that they could just wash the fat away? And then there's the perennially popular vibrating machine, which promised to melt off pounds by a few minutes of intense body vibration -- and which is actually enjoying a comeback now at gadgetry stores like Brookstone.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Over the years, there have been many dubious theories on how to lose weight

@highlight

William the Conqueror went on liquid diet (alcohol) until killed by fall from horse

@highlight

In early 20th century, pills alleged to contain tapeworms were sold for weight loss

@highlight

Living in arid areas, chewing food into liquid, smoking pitched for weight loss