London (CNN) -- Before he died last year, Jimmy Savile was viewed as a kind of UK equivalent to American TV icon Dick Clark, gaining fame by bringing music to generations of teens. Savile was knighted by Queen Elizabeth II.

He now stands accused as a predatory sex offender.

The shocking allegations have Britain reeling. Countless viewers who grew up watching Savile on TV's "Top of the Pops" and his children's program "Jim'll Fix It" are now questioning their trust in a social institution: the British Broadcasting Corporation.

It's the worst crisis at the BBC in 50 years, says a top correspondent, and the scandal has prompted a wider examination into an alleged culture of sexism stretching back decades within Britain's widely respected public broadcaster.

The scandal has also gripped the British media, with many questioning who knew what and when about the alleged abuse of mostly teenage girls and whether there was any attempt at a coverup.

Police say they have identified more than 200 potential victims, with accusations spanning several decades, and are investigating other suspects in connection with alleged abuse.

Savile died in October 2011 at age 84, soon after being treated in a hospital for pneumonia.

Related: Ex-Scout describes abuse by Savile

Savile's favored target was apparently girls in their mid-teens in what one officer, Cmdr. Peter Spindler, said was "alleged abuse on an unprecedented scale."

The BBC, on whose premises some of the sexual assaults occurred, has found itself in the dock of public opinion seeking to explain how his behavior went undetected for decades.

The national public broadcaster has set up two independent inquiries, and Director General George Entwistle was called before a panel of lawmakers Tuesday to defend its handling of the scandal -- including why the broadcaster decided to drop an investigation into the star last year.

"There is no question that what Jimmy Savile did and the way the BBC behaved in the years -- the culture and practices of the BBC seems to allow Jimmy Savile to do what he did -- will raise questions of trust for us and reputation for us," Entwistle said.

"This is a gravely serious matter, and one cannot look back at it with anything other than horror, frankly, that his activities went on as long as they did undetected."

Entwistle pointed out that the BBC was not alone in failing to uncover Savile's behavior, with no newspaper exposÃ© published in his lifetime.

And he drew a parallel with a furor that has recently gripped the United States, where retired Penn State University football coach Jerry Sandusky was convicted of molesting numerous children.

"Mr. Savile has prosecuted his activities, his disgusting activities, in a matter that was very successfully and skilfully concealed, and experts in pedophile behavior have pointed out that's often the case," Entwistle said.

"In the case of the United States, of Jerry Sandusky ... these people build very long-range plans to put them in contact with their targets. These things are institutionally, it seems, very difficult to deal with."

Related: National treasure in life, reviled 'sex abuser' in death

Savile had access to psychiatric hospital

The National Health Service also faces difficult questions over the access Savile was allowed to a number of hospitals. Among them was Broadmoor, a high-security psychiatric hospital where Savile worked as a volunteer and had keys to the wards. In 1988, he was appointed to a senior role there, a move now being investigated by the NHS.

The police may also be asked to explain why past abuse claims against Savile never led to investigations resulting in a prosecution in his lifetime.

How celebrity scandal has rocked the BBC

Reasons behind the national outrage over the scandal include Savile's privileged position as a broadcaster. At a time when viewers had only a handful of channels to choose from, Savile was a BBC mainstay.

Savile's program aimed at children, "Jim'll Fix It," ran for almost 20 years, airing in the prime Saturday teatime slot. Children wrote in with dreams they wanted the star to make come true -- and at the height of its popularity, the BBC said it was receiving 20,000 requests a week.

The show's theme surrounded famous "fixes" that included an encounter between boxing legend Muhammad Ali and a group of Boy Scouts who also wanted to eat their packed lunches on a roller coaster, resulting in a predictable mess.

Stories of abuse

Victims, male and female, have come forward with harrowing tales of sexual abuse. They also explain how the star's power and fame made it hard for them to speak out.

Kevin Cook, who appeared on "Jim'll Fix It" as a Boy Scout at the age of 9, told of how he was invited into Savile's BBC dressing room after the show. Savile proceeded to undo his shorts and touch him inappropriately -- only stopping when someone else suddenly entered the room and, as abruptly, left.

"He said to me, 'don't you dare tell anyone about this because no one will believe it, because I'm King Jimmy,' " Cook said.

The boy could hardly bear to watch the show when it aired a few months later, to the great excitement of his family. "I just hated the man," Cook said. "I blamed myself for 37 years. That's the worst thing: You do blame yourself."

Harriet Harman, deputy leader of the opposition Labour Party, sympathized with the plight of the victims. "Everyone has been sickened by the vile abuse perpetrated by Jimmy Savile, and it is impossible to overstate the suffering caused to those he abused," she said last week.

Scandal rocks the BBC

Veteran BBC world affairs correspondent John Simpson gave an idea of the sense of disarray within the company during an interview broadcast Monday.

"This is the worst crisis that I can remember in my nearly 50 years at the BBC. ... I don't think the BBC has handled it terribly well. All we have as an organization is the trust of people, the people that watch us and listen to us. ... If we start to lose that, that's very dangerous for the BBC."

The BBC, which has repeatedly expressed its horror over the abuse, is now embroiled in painful internal turmoil, with the two independent inquiries raking over e-mails and conversations for evidence of who knew what when.

One is focused on the culture and practices of the BBC, as well as the safeguards in place for members of the public and staff now and in the past, while the other is scrutinizing why its flagship current affairs program "Newsnight" dropped its investigation into Savile late last year.

On Monday, the BBC said the program's editor, Peter Rippon, was "stepping aside" amid the furor. It labeled an October 2 blog post by Rippon explaining his decision to drop the investigation "inaccurate or incomplete in some respects."

Hours later, another BBC program, "Panorama," broadcast its own probe into the "Newsnight" decision, suggesting that serious allegations had been made to "Newsnight" reporters before the investigation was shelved.

On Tuesday, Entwistle told lawmakers that having watched the program, he was "surprised that nothing further happened" in light of the material dug up by "Newsnight."

Meanwhile, the scandal continues to dominate conversation in homes, workplaces and pubs across the country as people seek to understand how a man widely seen as an eccentric hero could have duped the nation and done so much harm.

The debate is all the more uncomfortable as Savile appears to have used his access to children, through his charity and TV work, as a means to prey on vulnerable young people for decades -- and has gone to his grave unpunished.

CNN's Dan Rivers, Atika Schubert and Per Nyberg contributed to this report.

@highlight

BBC chief calls Jimmy Savile case "a very, very grave matter"

@highlight

LIke American Dick Clark, Savile hosted teen music show for years

@highlight

Police say they have ID'd more than 200 potential victims

@highlight

The BBC's handling of the child sex abuse scandal is under scrutiny by lawmakers