Hong Kong (CNN) -- As Bangladesh mourns the death of more than 100 workers killed in a factory fire over the weekend, attention is turning to the labels found among the charred debris and what role they could have played in preventing the worst industrial disaster in the country's history.

The factory, owned by Tazreen Fashions, produced clothing for U.S. supermarket giant Wal-Mart, European clothing retailer C&A and produced garments for several other companies, including Hong Kong sourcing firm Li & Fung.

It is just one of about 4,500 apparel factories in Bangladesh that employ an estimated 3.4 million workers, usually young women who work long hours dyeing, cutting and stitching for a minimum wage of approximately $43 a month.

Campaigners say that workers' safety is being put at risk by the complex and fragmented nature of global supply chains used by many of the world's top clothing brands, which largely rely on cheap labor to turn a profit.

In some cases, companies are unsure which factories are producing the clothing that ends up in their stores, making it impossible for a brand to know whether safety standards are being met.

And workers' rights groups say factory bosses in places like Bangladesh often have little incentive to improve working conditions when contracts are short and orders not always renewed.

"You have this dilemma where the factory doesn't have the funds to improve the factory or there is no faithful relationship (with the supplier)," Judy Gearhart, executive director of the International Rights Labor Forum told CNN.

"They don't know if they are going to have the order from Wal-Mart three years down the road. They don't know if they are going to be able to make the investment.

"It's really the whole problem we have with global supply chains. The global brands have taken a distance from the responsibility of the workers that actually make the product."

Wal-Mart said in a statement to CNN that a supplier had subcontracted work to Tazreen "without authorization and in direct violation of our policies." It added that it had ended its relationship with that supplier and would "continue to work across the apparel industry to improve safety education and training in Bangladesh."

C&A said it had placed an order for 220,000 sweaters, its first commission with Tazreen, and has sent a representative to Bangladesh to see how the company can help the victims.

Li & Fung, which used the factory to make clothes for other brands, has offered $1,200 in compensation to each family of every victim.

But fires like the one at Tazreen are all too commonplace, campaign groups say.

According to Sanjiv Pandita, executive director at the Asia Monitor Resource Centre, more than 500 garment workers have died due to factory fires since 2006. Emergency exits are few in number and those often blocked by work in progress and poorly signposted.

The Bangladeshi government has ordered the police, fire service and civil defense authorities to begin investigations into the cause of the fire and the deaths.

In the meantime, Minister for Labor and Employment Rajiuddin Ahmed Raju said that his ministry had ordered the closure of clothing factories which do not have more than one emergency exit.

"I'll sit with the senior officials of the ministry tomorrow (Wednesday) and form a committee to identify the factories which do not have an adequate number of emergency exits," he told CNN.

"We've seen many factories have storage of fabrics or other things blocking the emergency exits. We've asked the factory authorities to remove all those (items) immediately," Raju said.

It's a problem that goes beyond Bangladesh. Despite decades of campaigning by labor groups and tighter legislation, factories across Asia have proved to be deathtraps for their workers.

A fire at a garment factory in Karachi in October killed almost 300 workers, making it the worst factory disaster in Asia since a Thai blaze killed 188 toy factory hands in 1993.

Pandita says the efforts by brands to improve working conditions are largely "cosmetic" and says the root of the problem lies in weak enforcement of health and safety legislation in places like Bangladesh.

"The government doesn't have the capacity right now. The number of factory inspectors who need to visit the factories is far too low."

Bangladeshi minister Raju admitted that the shortage of inspectors was a challenge. "Certainly, I'll try to increase the manpower, but at the same time I can say that this problem can't be resolved overnight," he said.

In this vacuum, Pandita says, a patchy system of voluntary self-regulation has emerged where image-conscious brands insist on safety audits conducted by private companies. However, he says that in some cases factories obtain certification that leads to little concrete change on the factory floor.

For example, Ali Enterprises, the owner of a Karachi factory that caught ablaze in October, had passed an inspection by an Italian company in August.

"Instead of strengthening core institutions, people think we can do it through a self-regulatory mechanism," he said. "We can see it hasn't worked."

The fires in Bangladesh and Pakistan have come as many garment makers move their production away from China, where wages are rising, says Maurizio Bussi, director of the International Labor Organization's Decent Work Team in south-east Asia.

Unlike other industries like car manufacturing, the garment trade is highly mobile with low start-up costs, so companies move from country to country in search of the cheapest pool of labor, he said.

As such, it's often the first rung on the industrial ladder for many poor countries like Bangladesh that have a large but low-skilled workforce.

"This is part of the natural business dynamics of a very price sensitive sector such as the garment industry," he said.

"Is this exposing workers to additional risk? In a sense yes -- because the systems that protect workers in these countries are not as well developed and will require further engagement and commitment from governments, local employers and foreign investors."

Journalist Farid Ahmed in Bangladesh contributed to this report.

@highlight

Bangladesh mourns the deaths of more than 100 workers killed in a factory fire

@highlight

Wal-Mart, C&A and other brands placed orders with factory

@highlight

Campaigners say worker safety put at risk by opaque global supply chains

@highlight

Brands moving production from China in pursuit of cheap labor