(CNN) -- You don't necessarily need a vintage Les Paul or a shiny Stratocaster to be a guitar hero.

A Cape Town-based company is crafting eye-catching electric guitars out of re-purposed oil cans, striking a chord with music fans around the world.

Dubbed "Township Guitars," the hand-made six-strings are inspired by the traditional can instruments that have long been played by the resourceful residents in South Africa's poorest areas.

"The whole idea comes from the traditional kind of thinking," explains Dani Ngwenya, the company's chief quality controller, tasked with personally fine tuning every instrument.

"When we were kids we couldn't afford to buy a guitar so we used to make our own guitars, with a can used as an acoustic kind of body -- but these (Township Guitars) are just purely electric," adds Ngwenya, an accomplished guitarist himself.

Distinctive sound

Each Township Guitar comes with a single or double coil pick-up as well as volume and tone controls, a truss rod and a fully adjustable bridge.

Read this: 5 African festivals you have to see

They consist of a five-liter oil can body -- often covered in the colors of the South African flag -- a maple neck and a rosewood fingerboard. This gives the guitar a nice, clean, kind-of-twangy sound, creating a distinctive tone that reflects South Africa's rich musical history.

"The idea of the oil can guitar is very much a South African thing," explains Roy Bermeister, chief executive of Township Guitars.

Hear the guitar in action

Bermeister says that when European settlers arrived in South Africa, they brought with them oil cans, which locals transformed into musical instruments

"Some turned them into drums; some turned them into bass guitars; and some turned them into what's called a ramkiekie," says Bermeister -- a ramkiekie is an early-style four-string guitar that features an empty oil can as its body.

Read this: The rise of Fatoumata Diawara

"So now this ramkiekie is a 21st century guitar that you can hear in Carnegie Hall," says Bermeister.

Played by rock stars

The company sells its guitars online and from the small shop it has set up inside the bustling Waterfront Craft Market, a popular destination with tourists visiting Cape Town.

Here, near the end of a long line of stalls packed with colorful wares and intricate handicrafts, Ngwenya can be heard strumming away, his fluid playing and distinctive sounds attracting throngs of curious onlookers.

Indeed, the company says its hand-built creations have caught the eye of many guitar lovers, including some of the world's most renowned musicians.

"There is a number of really famous guitar players who've come and played the guitar here and bought them later," says Ngwenya from inside the market.

Read this: The gospel stars who sell mouse kebabs

"I've got people like Peter Gabriel buying the guitar, with his guitar player David Rhodes," says Ngwenya. "Just recently somebody bought one for David Gilmour," he adds. "Chris Rea is one who's using them a lot; Roger Taylor bought two guitars a few years ago; Paul Carrack too."

'Work of art'

All this wouldn't be possible, however, if it wasn't for a friend of Bermeister, a guitar enthusiast named Graeme Wells.

Back in 2002, Wells decided to make an oil can guitar for himself. A few weeks later, clutching his creation, he met up with Bermeister at a popular Cape Town cafÃ©.

"He showed me this oil can guitar which was magnificently made and tuned beautifully," remembers Bermeister. "It was really, in my opinion, a work of art."

Read this: Kora legend breaks music barriers

But Bermeister was not the only one impressed by Wells' creation. Famous South African musician Jimmy Dludlu also happened to be at the same cafe. Fascinated by the oil can guitar, he asked if he could play it and, moments later, ordered one for himself.

This prompted Wells and Bermeister to go into business together, setting up a workshop and starting manufacturing the aptly named Afri-Can Guitars. But a few years later, the two split up the business and in April 2008 Wells, who suffered from asthma, died.

"We lost a very talented guitarist and a very talented guitar manufacturer," says Bermeister. "He was a real luthier -- we took over from there and just tried to keep the standards."

Unlike Wells' striking creations, which were mostly designed to be collectors' items, Bermeister says the company's focus today is to create solid, affordable guitars with a "local flavor."

Township Guitars typically cost between $525 and $650, depending on the instrument's features. The company employs five people and imports components such as pick ups, humbuckers and strings from China.

Bermeister says that although running such a business is not without its challenges, the company would like to diversify its offerings.

"We see a lot of opportunity in expanding our product range," he says.

Read this: Somali rappers defy bullets

Back in the crafts bazaar, Ngwenya continues serenading passersby, his effortless playing filling the spacious market. And when asked if there's still one famous guitar player he'd like to hear playing a Township Guitar, Ngwenya pauses for a while, before declaring:

"Eric Clapton," he says with a smile. "I'd really love it if he comes around the shop."

So, if "Slowhand" is reading, how about an oil can guitar version of Layla?

Click through the gallery above to check out the Township Guitars. Photographs by Darren Wertheim.

@highlight

A South African company is crafting guitars out of old oil cans

@highlight

The idea comes from traditional South African instruments made out of cans

@highlight

The firm says many famous musicians have one of their guitars

@highlight

The guitars are sold online at a Cape Town craft market