San Diego (CNN) -- Every few years, I reassess how I feel about Mexican-Americans who wave Mexican flags. Much of it has to do with who is doing the waving and under what circumstances.

In 2006, I wrote a column saying it was a bad idea for immigration reform advocates to wave Mexican flags as they marched through U.S. cities such as Phoenix, Chicago, Dallas and Los Angeles. It's illogical to show your allegiance to one country while demanding accommodation from another.

But in 2007, I penned another column after attending a Luis Miguel concert in Las Vegas where fans of the Mexican singer unfurled Mexican flags. Nothing wrong with that, I concluded.

It's all about context. There is a big difference between a political protest and a concert.

Now, thanks to U.S. Olympic medalist Leo Manzano, and what I consider to be the misguided and ill-mannered way he chose to celebrate his silver medal in the 1500-meters final, I get the chance to think through the subject of flag-waving once again.

After Manzano finished his race and secured his medal, he did what athletes typically do at the Olympics. He held up his country's flag -- the Stars and Stripes.

The 27-year-old was born in Mexico, but the United States is his country now. His father migrated here illegally from the city of Dolores Hidalgo. Manzano was brought here when he was 4. Like most immigrants, they came in search of greater opportunity. And they found it -- for themselves, and their children.

That little boy eventually became a U.S. citizen. And then, after a lot of hard work and thousands of hours of training, he got the chance to represent his country and compete in the Olympics. And, to put the cherry on the sundae, he actually wins a silver medal. The last time an American won a medal of any kind in the 1500 meters was 44 years ago.

You can't help but be proud of Manzano and the country that allowed him the opportunity to fulfill his potential.

So why did Manzano carry two flags with him on his victory lap? As the world looked on, he held up both the U.S. flag and the Mexican flag. Not a good look. And not a good idea.

Manzano posted messages on Twitter throughout the competition -- in Spanish and English. After his victory, he tweeted, "Silver medal, still felt like I won! Representing two countries USA and Mexico!"

That's funny. I only saw one set of letters on his jersey: USA.

Later, he said to the media that he was honored to represent the United States and Mexico.

I realize that, for many of my fellow Mexican-Americans, the image of Manzano waving two flags is no big thing. And for many Americans who are Mexican-born, it's actually a great thing. Both camps might even find the gesture charming -- albeit, for different reasons.

Most Mexican-Americans I know would need a whole team of therapists to sort out their views on culture, national identity, ethnic pride and their relationship with Mother Mexico. They're the orphans of the Southwest -- too Mexican for the Americans, too American for the Mexicans. Their positive reaction to the photo has less to do with Manzano than with their own sense of displacement.

Many Mexicans who came to the United States -- particularly those who came as professionals or became professionals once they got here -- look to Mexico with a mixture of affection and guilt. They romanticize what they left behind and find it easier to love the country from hundreds or thousands of miles away. They may live in the United States, but many of them still consider themselves children of Mexico -- the kind who run away from home.

For both groups, the fact that Manzano, who holds dual citizenship, made a decision to show off the flags of both countries was a kind of signal to the people of Mexico that this accomplished young man hadn't forgotten where he came from. For some, that concept warms the heart.

But the image didn't warm my heart. It upset my stomach.

Understand, I've been called a Mexican separatist, a racist who hates anyone who isn't Mexican or Mexican-American, someone who is obsessed with his ethnicity. In fact, I can't remember the last time someone accused me of not being proud of being Mexican or Mexican-American. And in the past 20 years, I've written hundreds of thousands of words in defense of Mexicans and Mexican-Americans.

That said, the photo bothered me.

Some people will insist that this is Manzano's choice to make, that it was his sweat and sacrifice that got him to London, and this was his victory to celebrate however he saw fit. Those people are wrong. They're focused on the individual. But the last thing the Olympics is about is the individual.

It's about being part of a team -- the U.S. Olympic team. It's about national pride, not ego. Manzano wasn't there to compete for himself but to represent his country. All he had to do was decide which country that was. He chose not to choose.

What am I missing? Where were the Italian-American athletes waving the Italian flag, or the Irish-Americans waving the Irish flag? I didn't see that.

I remember that, in 1992, Mexican-American boxer Oscar De La Hoya held up both the U.S. and Mexican flags after winning a gold medal in Barcelona. But that was largely symbolic since De La Hoya was born in the United States. He wasn't an immigrant caught between two countries.

Leo, con todo respeto (with all due respect), you should be proud of your accomplishment. You deserve it. But when you're an Olympic athlete, you don't get to have your cake and eat it, too. Sooner or later, you have to choose which country you're going to represent. And you did. You made that choice, when you put on the jersey for Team USA.

It wasn't unlike the choice your parents made when they chose the United States over Mexico a quarter century ago. They voted with their feet. It would be nice if you haven't left your heart behind.

This country took you in during your hour of need. Now in your moment of glory, which country deserves your respect -- the one that offered nothing to your parents and forced them to leave or the one that took you all in and gave you the opportunity to live out your dreams?

The answer should be obvious.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Leo Manzano waved both U.S. and Mexico flags after winning in the Olympics

@highlight

Ruben Navarrette: It was not a good idea for Manzano to carry two flags

@highlight

He says Manzano should have been clear about which country he represented

@highlight

Navarrette: By putting on the jersey for Team USA, it's clear what his choice was