(CNN) -- This past week, like many Americans, I observed the media frenzy surrounding New Jersey Gov. Chris Christie as he deliberated over whether to opt in or out of the presidential race. As a researcher who studies weight discrimination, I anticipated some of the comments on Christie's body weight that inevitably emerged in the press. I was surprised, however, at just how much his body weight dominated coverage.

Even among reputable news organizations and political pundits, few could resist mocking Christie's "puffed up body," stereotyping him as undisciplined, or offering the unsolicited advice to "eat a salad and take a walk."

Rather than his qualifications, reports often featured derogatory comments -- some veiled, many not -- fat jokes, weight-related puns and abundant stereotypes, providing a clear example of how socially acceptable weight bias and discrimination against obese persons have become in our society.

How common is this? It may seem less significant compared with discrimination on the basis of gender or race, but it is rapidly increasing and no less important. Research shows that weight discrimination in the United States has increased by 66% over the past decade. It is now the third-most common type of discrimination reported by women, and the fourth most common among men. Recent estimates even show that weight discrimination is comparable to prevalence rates of racial discrimination.

Weight discrimination is especially common in the jobs setting. Decades of research have shown that overweight and obese employees are much less likely to be hired than thinner employees (even with identical, or better qualifications), they receive lower wages, are less likely to be promoted and are more likely to be fired from their jobs, compared with thinner employees.

Criticism of Christie's weight suggests this prejudice exists even if the job under consideration is at the highest levels of government -- and it isn't the first time. Surgeon General Dr. Regina Benjamin's excess weight was publicly censured and critiqued in the media discussion over her appointment, often eclipsing consideration of her impressive credentials, awards and accomplishments.

But in this most current debate -- over the issue of Christie's weight -- much of the discussion stems from public misperceptions about body weight and physical appearance.

Health (and health risk) comes in different sizes. Physical appearance alone is not sufficient to make determinations about health (or to infer anything about other characteristics, such as personal discipline, willpower or political influence, as some recent media reports otherwise suggest).

We cannot make assumptions about Christie's health status, let alone the health status of other thinner political candidates. There are many overweight individuals who eat a balanced diet and exercise regularly; there are many thin individuals who smoke cigarettes, drink too much alcohol, eat poorly, have high blood pressure and are sedentary. Being thin is not an automatic indicator of health, and neither is being overweight. If Christie's health status is to be scrutinized, then the health status of his political peers should be scrutinized as well.

To be clear: There is no reason to assume that a person can't be an effective political leader simply because of his or her body weight. Discounting an individual's credentials, training, abilities or accomplishments because of body weight is discriminatory. And it communicates an unfair, harmful message that a person's talents and contributions to society have lesser value if that person is obese. Given that two-thirds of Americans are overweight and obese, this is neither an accurate nor appropriate message.

Unfortunately, for people who have been discriminated against because of their weight, little recourse exists. There are no federal laws to prohibit weight discrimination. Only one state -- Michigan -- has legislation making it unlawful to discriminate against obese persons. Some individuals have pursued cases of weight discrimination through the Americans with Disabilities Act, but few have succeeded.

And yet the time may be nearing for more widespread legislation. In a recent study, my colleagues and I surveyed a national sample of 1,001 Americans about whether or not they would support legislation to prohibit weight discrimination. We found that many Americans are in favor of these laws, especially in the context of employment.

Specifically, our study found that 81% of women and 65% of men expressed support for laws that would make it illegal for employers to discriminate against obese employees because of their weight. These findings suggest that more people are becoming aware of weight discrimination as a problem in the workplace, and are in favor of doing something about it.

It's time to raise the bar (and the standards of journalistic reporting) for appropriate and respectful treatment of Americans who are obese. Because a person's body weight says nothing about his or her abilities, character or contributions to society.

The opinions expressed in this commentary are solely those of Rebecca Puhl.

@highlight

Rebecca Puhl: Media fixated on Gov. Chris Christie's weight as he pondered presidential run

@highlight

Puhl says weight discrimination has jumped by 66% in past decade, is common in jobs setting

@highlight

She says we don't make assumptions about thin people, who may have bad health habits

@highlight

Puhl: More people are recognizing weight has nothing to do with abilities, character