(Travel + Leisure) -- When you're dining at a revolving restaurant 250 feet above Cape Town, you expect the views to be fantastic. The real surprise is when the food appears -- and it's excellent.

What better way to savor a beautiful city than from this vantage point: a window seat at a revolving restaurant where the shifting views complement the gourmet courses. At Cape Town's Top of the Ritz, that means pairings of just-caught mussels with a view of iconic Table Mountain, spicy curry-butternut soup with the sandstone Twelve Apostle peaks, rack of lamb with beaches, and dessert with the sunset dipping below the Atlantic.

Travel + Leisure: America's rudest people

Over the past 50 years, revolving restaurants have opened in more than 50 countries on six continents, from Colombia to Nepal to Canada. Along the way, the concept has gone from futuristic novelty to often-tacky tourist traps. But set aside that skepticism: we've pinpointed select revolving restaurants that are worth the price of admission.

The revolving restaurant trend took flight in 1961, when Seattle architect John Graham built one on top of a shopping center in Hawaii. A year later Graham was commissioned to design the Space Needle for the upcoming World's Fair in his hometown, and brought the idea with him. The resulting ultramodern tower not only became an enduring icon of this Northwest city, it brought 20,000 awed visitors to the Space Needle restaurant each day of the World's Fair, setting off a global craze for revolving restaurants.

Far too many successors get by on their looks alone, serving generic, overpriced dishes that typically invite the harsh review: "killer views, mediocre food." Munich's Restaurant 181 rises above that revolving restaurant reputation and has become one of the city's most coveted dining spots. It even earned a Michelin star for chef Otto Koch's concoctions, such as morel-crusted veal and langoustine tartare on a bed of caviar.

Koch introduced airplane-esque classes of dining, from the First (eight courses, including the caviar, for $209) to the Economy Sunset Menu, a three-course prix fixe at a down-to-earth $52. That's about as frugal as you get at these revolving restaurants, which each deliver a once-in-a-lifetime meal that can't be duplicated anywhere else. Give them a spin.

Travel + Leisure: World's most beautiful subway stations

Perlan: Reykjavik, Iceland

Built above a geothermal spring, Perlan serves a practical function -- storing the city's water tanks -- and the indulgent one of fine dining in its giant glass dome. Enter, and you're greeted by sweeping views of the deep-blue ocean and volcanic mountains surrounding Reykjavik. Get your fill of fresh local seafood such as sous vide smoked trout ($20) and, in autumn, a special wild game buffet ($73) of Icelandic delicacies like wild goose, reindeer, and puffin.

Heads Up: Strókur, a geyser right outside the restaurant, can provide quite the mealtime show, shooting white plumes of steam high into the air.

Top of the World: Las Vegas

Every glittering light of the Las Vegas Strip can be seen from this 844-foot-high restaurant—the crown of the Stratosphere Casino, Hotel & Tower. The extravagant four-course tasting menu mixes classics such as lobster bisque and filet mignon with more inventive dishes like roasted miso Mediterranean loup de mer with shoyu ginger glaze, followed by crème brûlée and cheesecake lollipops.

Heads Up: Don't be alarmed if you see a person propel past your window -- the new SkyJump thrill ride leaves from right above the restaurant.

Summit Restaurant: Sydney

Red carpets, pink-tinged lighting, and sleek lounge furniture create a sultry vibe within this dining room, which revolves past the Sydney Opera House, Harbour Bridge, and Olympic Park. Australian TV chef-lebrity Michael Moore put local reef snapper and pan-fried quail breasts on the two-course dinner menu ($89). For a more low-key meal, head to the Orbit Lounge Bar and pair an Aussie craft beer like Lord Nelson Old Admiral Strong Ale ($10) with small bites such as deep-fried whitebait -- small and savory herring-like fish ($16).

Heads Up: On a clear day, you can see the lush Blue Mountains surrounding the city.

Drehrestaurant Allalin: Saas-Fee, Switzerland

The world's highest revolving restaurant is on top of a glacier 11,000 feet above sea level, reached by a remarkable alpine subway. A dozen of the highest peaks in the Swiss Alps slowly swirl by as diners warm up with hearty Swiss-German fare like kalbsbratwurst (veal sausage) with hash-brown-like rösti ($32), and Älplermakkaroni: macaroni in a creamy cheese sauce with ham, bacon, potatoes, and stewed apples ($32). If you're still frostbitten, a glass of mulled glühwein wine ($9) should do the trick.

Heads Up: Look southeast toward Italy; if visibility is good, you can see as far as Milan.

Restaurant 181: Munich

Chef Otto Koch's acclaimed restaurant inside the Olympic Tower was recently awarded its first Michelin star. Named for its placement 181 meters above ground, the restaurant has three airplane-esque options. In 181 First, the opulent eight-course tasting menu ($209) starts with langoustine tartare on a bed of sevruga caviar; 181 Business offers à la carte dishes like morel-crusted veal ($43); while the best value is 181 Economy's Sunset Menu, serving a three-course prix fixe ($52) from 6 p.m. to 8 p.m.

Heads Up: Don't get lost in the long view of the Bavarian Alps; one of the city's architectural triumphs, the canopied Olympic Stadium inspired by Alpine peaks, is directly below.

Travel + Leisure: America's most scenic roads

Top of the Ritz: Cape Town

Wedged in between the Atlantic Ocean and towering Table Mountain -- with the new World Cup Stadium to the north and posh Camps Bay beaches to the south -- this dining room showcases Cape Town's main attractions in one gradual revolution. The menu, meanwhile, covers traditional South Africa fare, dishes like ostrich carpaccio ($7) and a salad of biltong (beef jerky) and goat cheese ($7), plus plenty of wine from the vineyards of nearby Stellenbosch.

Heads Up: Robben Island, the offshore prison where Nelson Mandela was held for 18 years, is immediately to the north.

SkyCity: Seattle

Atop the Space Needle, in the space that ignited the revolving craze decades ago, SkyCity remains the best place for panoramic views of Seattle, Puget Sound, and snowcapped Mount Rainier. Fortunately, the menu is not stuck in the '60s. Chef Jeff Maxfield puts creative twists on Northwest classics, from Dungeness crab cakes with apple-fennel slaw and herbed aioli ($13) to grilled wild king salmon with blueberry butter, wilted pea vines, and micro herbs ($47).

Heads Up: It's hard to beat a multicolored sunset over the Olympic Mountains across the sound.

Restaurant Näsinneula: Tampere, Finland

A hundred miles north of Helsinki, this 550-foot lakefront tower in quaint Tampere is hardly a tourist trap; its restaurant is consistently mentioned as one of the best in Finland. Local, seasonal ingredients such as just-picked morel mushrooms in spring or vendace roe from Lake Näsijärvi (right outside the windows) in winter are incorporated throughout the menu. You'll just have to trust that some items -- such as parfait of white chocolate with juice of sea buckthorn shrub ($16) -- are more delicious than they sound.

Heads Up: When the seasons change in October, the red-orange-yellow leaf-peeping here is as good as in Vermont.

Brasserie Le Phare de la Méditerranée: Palavas-les-Flots, France

Down the coast from the glitzy resorts of the French Riviera, this quaint former fishing village lies on a strip of sand dunes that separates two saltwater lakes from the Mediterranean. Atop an old water tower converted into a cultural center, Le Phare overlooks area lakes and beaches, while serving dishes that emphasize local bounty -- from mussels and oysters to shrimp and lobster -- to the mostly French vacationers.

Heads Up: In spring and summer, the lagoon directly below the tower is often dotted with pink flamingos.

The Sky at New Otani Tower: Tokyo

It's hard to know which way to look when Tokyo's skyscrapers are spinning by on one side and an array of master chefs are working at lightning speed in the giant stage kitchen on the other. The dinner buffet highlights fresh seafood from Tokyo's famed Tsukiji Market, which you can request sautéed, grilled, steamed, or cooked tempura in front of you ($108). Additional stations prepare sushi and teppanyaki -- prime Japanese beef grilled on a hot iron plate at your table.

Heads Up: After dinner, head higher up to the 40th-floor bar for an even more impressive view of Mount Fuji and the Eiffelesque Tokyo Tower.

Travel + Leisure: World's coolest helicopter rides

Planning a romantic getaway? Don't miss Travel + Leisure's guide to the World's Most Romantic Hotels.

Copyright 2011 American Express Publishing Corporation. All rights reserved.

@highlight

In the past 50 years, revolving restaurants have opened in more than 50 countries

@highlight

Drehrestaurant Allalin, the highest revolving restaurant, is on top of a Swiss glacier

@highlight

Top of the World is the crown of the Stratosphere Casino, Hotel & Tower in Las Vegas