(CNN) -- Last year, on my third trip to the Central African Republic, I met Oumarou, a shy, soft-spoken boy who appeared to be far younger than the 13 years he said he was. He told me he had lived in a nearby village. He and his family had been asleep around dawn when strange men burst into their house. With machetes, they killed his father and brother.

As Oumarou ran for his life with his 10-year old brother, Adovan, the men struck a final machete blow on the head of the younger child.

The boys hid in the bush for weeks. Somehow little Adovan survived, and the two found their way to an abandoned schoolroom in the troubled town of Bossangoa.

People of all ages filled the space -- sitting, sleeping, waiting. Everyone had a similar story: They had seen family members killed, their houses had been set on fire, they had run for their lives, they were surrounded by their attackers, they were not safe. No one dared to guess what would happen to them. They were living from day to day. They were scared and they were hungry.

Since that November visit, the Central African Republic has spiraled into deeper chaos and violence -- an unimaginable violence in which children are directly targeted, raped, tortured, mutilated and killed.

In 2007 and 2008, I came away from my visits to this remote nation thinking that the women and children of the Central African Republic are surely the most abandoned people on Earth.

Marauders and armed militia throughout the country were terrorizing communities. Uncounted thousands of men, women and children were hiding in the forest eating leaves and sucking swamp water. For them, there were no medicines, no schools, no protection from the ever present violence.

By the time of my visit in late 2013, things had changed -- for the worse.

The violence had taken a more sinister shape along sectarian and ethnic lines, turning communities against each other. As in all conflicts, the most vulnerable, the children, pay the heaviest price.

According to the U.N, some of the 690,000 people have been displaced within their homeland while others have escaped into neighboring countries, where they are refugees.

Within Central African Republic, every system has crumbled. Malnutrition and disease stalk children

This is a country where impunity reigns. The complete absence of law and order has given even Joseph Kony and his Lord's Resistance Army a haven. It could easily be viewed as an open invitation for other extremist groups to set up training camps, including the likes of Nigeria's Boko Haram.

Yet in the midst of this grim scenario, there are unsung heroes: Doctors and health workers are risking their lives to save the wounded and the sick. Religious leaders, both Muslim and Christian, are sheltering displaced families regardless of ethnicity or religious preference.

Organizations such as Doctors Without Borders and UNICEF are also on the ground. UNICEF is working with local partners to provide lifesaving support to hundreds of thousands of children. But humanitarian needs have outpaced funding.

This year, UNICEF appealed for $81 million to help the most vulnerable children in the Central African Republic. At this point, not even half of that amount has been donated.

In the face of the enormity of this tragedy, and the many other conflicts around the world, it is understandable that we would feel helpless. However, we should be inspired by the heroism and determination of those frontline humanitarian workers -- and by Oumarou with his little brother and all the innocents who are hungry, hurting and living in terror but who hope for better times. For them, I think we can do better.

@highlight

Mia Farrow is a UNICEF goodwill ambassador; she focuses on kids devastated by war

@highlight

She got the Presidential Medal of Honor for her work in the Central African Republic

@highlight

Nearly 700,000 people have been displaced by fighting there

@highlight

UNICEF is working on the ground, but it's running short on funding