(CNN) -- He smiles. He stares. He sits without apparent expression.

Who is he?

That's the question historians are trying to answer after a collection surfaced of some 450 photo booth portraits, taken of the same man over what appears to be decades.

No one knows who he is or why he made, and kept, the photographs.

"Not knowing is very mysterious. It's like an abstract painting. You're going to fill in the blanks yourself. You bring to it what you know, and if we don't know anything, we sort of make up a story," said Donald Lokuta, a photography historian and owner of the collection.

The photographs are being shown as part of "Striking Resemblance: The Changing Art of Portraiture," an exhibition on display through July at Zimmerli Art Museum at Rutgers University in New Brunswick, New Jersey.

Lokuta bought the prints a year or two ago at an antiques show in New York. He was immediately drawn to the images and to the mystery behind them.

The photographs were taken in a Photomatic photo booth. They are small. Most have metal frames, though some of the later ones have either cardboard or plastic frames.

Lokuta guesses the photographs were made over a roughly 30-year period, starting in the 1930s. He speculates on why the man made so many and talks about the prints' appeal.

"He was either hooked on self-portraits and kind of wanted to see himself in a photograph constantly, or he worked for the company maintaining the machine," said Lokuta.

The theory that he worked in maintenance for the photo booth company mirrors the plot of the French film "Amelie," as CNN.com readers have noted.

"It's the same guy, and he's getting a little older, and a little older and a little older. Then his hair is messed up, then his hair is neat. Then he's smiling a little bit, then he's not smiling. Then he's wearing a winter jacket, then he's wearing a sports jacket," Lokuta said.

"It's just so familiar. It's like looking at yourself in the mirror every morning."

A potential lead

After purchasing the photographs, Lokuta got curious about where they might have come from.

He got in touch with Nakki Goranin, author of "American Photobooth."

Besides being a wealth of knowledge about that particular chapter of U.S. history, Goranin owns some images of the same man.

Turns out, the people who sold Lokuta the collection had previously sold a few of the photographs on eBay.

Goranin bought those prints, which stand out because unlike the 445 that Lokuta has, Goranin's photographs show the man with children.

She tracked down the sellers, who told her the photographs came from an auction in Michigan.

"I have a strong suspicion who the gentleman is," said Goranin, "but I'm not 100% sure."

She declined to give the name of the man she thinks appears in the photographs until she can do more research.

Selfies show 'ongoing portrait'

Zimmerli curator Donna Gustafson believes that having a story to go along with the man's face would be interesting.

"Having a name to attach to the face would maybe in a way close the book on it, but on the other hand, might open a new book or a new chapter," she said.

Gustafson and Lokuta are friends. She knew as soon as he showed her the photographs she wanted them for her portraiture exhibition.

Gustafson says she doesn't really have a favorite from the collection.

"What I love the most is how all of them sort of blend into an ongoing portrait of someone over time," she said.

Gustafson also loves the mystery.

"We just really don't know much about the man except that he seems to have enjoyed having his photo -- his selfie -- done, and he saved them all," she said.

"He seems like such an average guy, but this clearly sort of catapults him out of average into really interesting because why would he do this? And how is it possible that we have 445 pictures of a man and we know nothing about him?"

@highlight

A collection of some 450 photo booth portraits are on display at Rutgers University

@highlight

The images show the same man over what appears to be decades

@highlight

No one knows who he is or why he made the photographs

@highlight

"It's like looking at yourself in the mirror every morning," says the man who owns the prints