(AOL Autos) -- There is an old adage which goes something like this: "The cheap man always pays more in the long run."

Consumer Reports analyzed the cost of ownership across the 300 models in their database.

Consumer Reports magazine recently reached a similar conclusion when it announced the results of a study that compared the cost of ownership of more than 300 cars.

Consumer Reports noted that a car with a cheaper sticker price can often cost consumers more in the long run when compared to a higher-priced alternative.

The report, which appeared in Consumer Reports' Annual April Auto Issue, was based on a comparison of the 300 models in the Consumer Reports database. In short, the report concluded that a car's sticker price is one of many factors that should be taken into account when trying to decide between two cars in the same class.

For example, at about $17,500, a Mitsubishi Lancer is priced $5,000 less than a Mini Cooper. But when factoring in the total costs of ownership for each vehicle, the Lancer could cost drivers about $3,000 more to own over the first five years, according to the study.

And the purchase price of a Toyota Highlander is about $3,000 more than a V6 Ford Explorer -- but the Explorer's total cost of ownership is an extra $6,500 over those five years.

The study took into account such factors as depreciation, fuel costs, interest paid on the car loan, insurance, maintenance, repair costs and sales tax. Online subscribers to www.ConsumerReports.org can compare the costs for one, three, five and eight years of ownership.

"We think this information is valuable for consumers who have shopped around, and settled on a couple of different cars they like, and then have to decide on one or the other," noted Cliff Weathers, Consumer Reports' deputy editor, autos. "We're giving this information to the consumer to use as a tool to help them make that decision, a tie-breaker, if you will.

"If they're trying to decide between a Pontiac Solstice and Mazda Miata, for example, they can go to our Web site and find out which one will cost less to own over that five-year period. And in this particular case, the answer would be the Miata -- which was one of the least expensive cars to own of all the cars evaluated in our survey."

Depreciation was factored into the estimates based on the assumption that the vehicle will eventually be traded in when buyers make their next car purchase.

"Depreciation is the factor that accounts for the highest cost of ownership," Weathers explained. "Depreciation accounts for 48 percent of the cost of ownership over the first five years."

Different models depreciate faster, and more significantly, than others. In order to calculate depreciation for this owner-cost comparison, Consumer Reports started with the price that a typically-equipped model generally sells for. If a particular model often sells at a largely-discounted price that was also factored in.

Consumer Reports then deducted the wholesale trade-in value of the car at the end of the period, based on data from their Used Car Price Service, Weathers explained. In those cases when Consumer Reports didn't have depreciation data for a new model, it used estimates based on comparable vehicles.

The Fuel Factor

The second-biggest factor in cost-of-ownership, after depreciation, is fuel costs, which account for 21 percent of the total ownership costs. "Fuel economy can really make a big difference," Weathers said. "If you have a car that gets 25 miles per gallon, and another car that gets 19 miles per gallon, that's a potential difference of thousands of dollars over five years, if you're driving 12,000 miles a year."

Consumer Reports calculated fuel costs by assuming that the vehicles would be driven 12,000 miles a year -- the average annual mileage reported by those who responded to Consumer Reports' annual reader survey. Consumer Reports then applied the national average price of regular gas as of December 2007 or, if applicable, the price of premium or diesel fuel.

Fuel costs were an especially big factor with SUVs, the comparison revealed. Drivers who buy a Dodge Nitro could pay more than $10,000 to fill up the tank over a five-year period, for example. But the fuel costs for a similar-sized, more fuel-efficient Toyota RAV4 V6 would be $2,000 less during that period.

Consumer Reports' comparison also concluded that interest paid on car loans accounts for about 12 percent of five-year ownership costs. That figure is based on a five-year loan, with a 15 percent down payment, using the average interest rate of 6.86 percent reported by Bankrate.com in December 2007.

Auto insurance accounts for about 11 percent of total ownership costs over five years, according to the Consumer Reports comparison. Car insurance costs can vary depending on several factors such as the driver's age, location, and driving record. Auto insurance costs, in some cases, dramatically boosted the ownership costs of models that otherwise boasted reasonable ownership costs.

As an example, Weathers compared the difference in auto insurance rates for Mitsubishi Lancer Evolution and a similarly-priced Acura TL. "Insurance for the Lancer can cost you $2,500 a year or more, based our 2007 figures," notes Weathers. "Meanwhile, the annual car insurance rates for the Acura TL can cost as little as $900."

Maintenance & Repairs

Surprisingly, maintenance and car repairs account for only four percent of the cost of ownership, Weathers said. The maintenance and repair cost figures used in Consumer Reports' cost of ownership comparison were based on information gleaned from more than a million respondents in its annual Car Reliability Survey.

One notable conclusion reached in the Consumer Reports study is that Lexus  models have relatively high maintenance and repair costs -- primarily due to maintenance alone, even though Lexus owners reported excellent reliability.

The Lexus ES350 racks up an average of $2,300 in maintenance and repair in the first five years. Meanwhile, owners of a comparable Lincoln MKZ can expect to pay only half that much.

Another interesting tidbit discovered in the comparison is that the Range Rover is the most expensive vehicle on average for five and eight years when it comes to maintenance and repairs, costing about $2,000 in the fifth year alone. Meanwhile, the comparable Toyota Land Cruiser costs only $600 in that year to maintain and repair.

Some might be surprised to hear that the sales tax on the purchase price of the vehicle accounts for as much of the cost of ownership as maintenance and repairs. For its study, Consumer Reports used the national average of 4.83 percent in 2007.

With hybrid cars being a hot topic in the auto industry, Consumer Reports was also interested in the cost of owning one of those fuel-sipping vehicles. The report concluded that Toyota Prius hybrid actually costs less to own than similar conventional models.

Specifically, the sale price of a Prius is about $7,500 higher than a similarly-sized Chevrolet Cobalt, but the total cost of ownership over five years is almost $2,000 less - due primarily to its much lower fuel costs, although the amount of depreciation was a factor as well.

Weathers pointed to another interesting finding: "There are some vehicles, namely BMW, that are very inexpensive to own over first five years, because all of the maintenance is paid for during that period, under the warranty," he says. "But if we take it forward, the cost of maintenance and repairs over the next three years after that is going to be more expensive."

For more information on this study, visit www.ConsumerReports.org. To compare vehicle prices and specs for yourself, check out the AOL Autos Compare Cars tool. E-mail to a friend

@highlight

A car with a cheaper sticker price can often cost consumers more in the long run

@highlight

Report based on comparison of the 300 models in Consumer Reports database

@highlight

Second-biggest factor in cost-of-ownership, after depreciation, is fuel costs

@highlight

Maintenance and car repairs account for only four percent of the cost of ownership