(CNN) -- At first glance, Sergei Baltacha doesn't exactly look like a man of international sporting history.

Tall, slim and stylishly dressed, the 56-year-old appears to have more in common with a graphic designer or university professor than a globally renowned footballer.

But make no mistake -- this is a man who has represented the USSR at a World Cup and a European Championships before breaking through football's Iron Curtain to become the first player from the Soviet Union to play for an English club.

Baltacha, who hails from Ukraine (then part of the USSR and currently a country in political and social turmoil), was a cultured, yet physically tough defender and sweeper who made 300 appearances for Dynamo Kiev and earned 49 caps for the Soviet Union.

He eventually brought his steely Soviet style to English league side Ipswich Town, blazing a trail for the likes of Georgi Kinkladze, Dmitri Kharine and Andrei Arshavin in the process.

"It was interesting because it was 1988 and at that time it started to be the history of Gorbachov," of glasnost and perestroika, Baltacha said of the circumstances that surrounded his signing for The Tractor Boys in 1988.

There was interest from "some Italian clubs, some from Switzerland (but) first time when I heard about Ipswich I wouldn't choose any other team because for me English football is everything."

"I left everything that we have over there (in the USSR). When we got all the papers, passports, we flew and we started for two years to live here."

Pitching up near the Norfolk coast was a far cry from the regimented footballing education Baltacha received back home, however.

Strategy and attitudes to sport were far more sophisticated in his homeland than in England where a hard-drinking culture was still prevalent amongst players at many leading football clubs.

Early days

Baltacha had learned at the feet of Valeriy Lobanovskyi after all, a Dynamo Kiev hero and one of the most vaunted footballing coaches of the 20th century.

Lobanovskyi was famed for his scientific focus on conditioning and no little tactical nous. He was also one of the first coaches to harness the power of computer technology to track performance levels and simulate game scenarios.

Athletic and intelligent, the young Baltacha had the raw materials to succeed in the rigorous Lobanovskyi program.

He was spotted by the Dynamo boss while still a teenager at the Kharkiv academy of footballing excellence which he had left home to attend at the age of 13.

By 1976 an offer to turn professional was on the table from Kiev. Dynamo had won the European Cup Winners' Cup one year previously, becoming the first club side from the USSR to lift a major continental trophy.

The decision to accept was not a difficult one.

"I joined Dynamo Kiev and it was huge club, huge competition, and you play each game in front of 100,000 people. It's something special," Baltacha said of his time in the Ukrainian capital.

"Kiev was one of the best in Europe from the content of coaching, from facilities, its a premier ground, the analysis, the background of teams."

"Even when I came (to England) after I played for Dynamo twelve years (later), the clubs did not do that kind of work that we had at Kiev."

This meticulous approach was something that would filter its way into the USSR national team after Lobonovskyi took charge for two spells during the 1980s.

"Dynamo Kiev was the best side in Russia at the time. (We had) maybe 12, 14 or 15 or sometimes even 17 people who represented national team," Baltacha said.

"But (we would) still be very friendly with other players from other clubs. We had unity which I think maybe was a strength of ours. (We were) like brothers and it really helped us."

International stage

This promising group of players would go on to star at the 1980 Olympics in Moscow, the 1982 World Cup in Spain and the European Championships in Germany six years later.

The Soviets would reach the final of Euro 88 where they would lose to a Marco van Basten inspired Holland.

For football geeks, the game played at Munich's Olympic Stadium represented a heavyweight clash of footballing philosophies -- the scientific approach of Lobanovskyi against the "total football" ideals of Dutch manager Rinus Michels.

Lobanovskyi's Soviet side had beaten Holland 1-0 in the group stages earlier in the tournament, but Michels would get his revenge in the final thanks to a goal from Ruud Gullit and a wonder volley from van Basten.

Baltacha was injured for much of the tournament, however, and only managed to make an appearance in the final as a substitute after his side had gone 2-0 down.

It is for this reason he holds fonder memories of the 1982 World Cup in Spain. Although the Soviets were knocked out in the second stage, Baltacha was a key player at the heart of the USSR defense.

"(The) World Cup in Spain was like dream come true for me," Baltacha said. "I could not wait. I remember each game, like I could not sleep before game because you want to step up on football pitch."

"You're going to bed like maybe ten o'clock in evening and you're thinking about game. You're focusing. You're thinking about what can be happening. You're thinking and you're so excited you look at clock and it's (already) three o'clock morning," he laughingly adds.

Despite the Soviet's early exit, Baltacha regards the '82 World Cup as one of his proudest moments. He even scored a rare goal in the group stages against New Zealand.

"A lot of players will play in World Cup as forwards who never score and I was (a) center defender and I scored this goal. It's like a dream you know. This is the most memorable memory of all, it was fantastic."

Other favored memories of this tournament include playing against Brazilian legends of the game such as Socrates, Ã‰der and Zico.

"I will never forget (that) game against Brazil when we played in against Ã‰der and Zico. The two of them (scored) in the last ten minutes and we lost 2-1," he said.

Foreign travels

Baltacha began his British sojourn following his final international appearance in 1988.

After two seasons at Ipswich, he headed north of the border to Scotland, spending three years at St Johnstone before going on to manage Inverness Caledonian Thistle. Today, Baltacha spends his time coaching promising youngsters at English Championship side Charlton Athletic.

Pitching up at such comparative footballing outposts was a far cry from his days at the pinnacle of European football but his family had settled in the UK.

"After ten years you realize kids grow up ... you realize you have your house here, your home here, your land here ... you are more than 15 years here and its how it happened?"

His son, Sergei Junior, was a promising footballer before injury curtailed his career.

Daughter Elena, meanwhile, became a professional tennis player, reaching the number No. 1 ranking in Britain and breaking into the world's top 50.

But tragedy struck earlier this year when she was diagnosed with liver cancer. Like her father, however, aggression in the face of adversity is a trait the now 30-year-old Elena has in spades.

"She was fighter during her days in sport and she is a fighter now," he said.

"I would like to say thanks to everyone who is support(ing) us, sending message, emails, calling us to give us support or offer any advice or you know."

"Most importantly we are all together, fighting all together."

Sage words from a man who made a sporting career out of just such a philosophy.

See also: Super Eagle who flew to the top

See also: The best beard in football?

See also: Is Lacrosse the secret to Wall Street success?

@highlight

Sergei Baltacha was the first footballer from the USSR to sign for an English club

@highlight

The central defender learned at the feet of legendary coach Valeriy Lobanovskyi

@highlight

Baltacha earned 49 caps for the old Soviet Union