(CNN) -- After moving from New York to Virginia Beach five years ago, Jennifer Herzog started noticing something odd when exiting grocery stores.

Her hands and forearms felt hot, looked red and were swollen. After a few errands, she identified the irritant: plastic bags.

"There are some plastic bags that do it, and there are some that don't," Herzog said. "All grocery bags pretty much are bad."

She started noticing other irritants, too: She began to have a similar response to fragrances as she had to plastic bags. Now, when she hugs someone wearing certain perfumes or colognes, her face turns red and swells.

Dermatologist Joseph Fowler says skin reactions to fragrances and perfumes are common, but to have a reaction from finished plastic products like plastic bags is extremely rare, though not undocumented.

"There are a bunch of chemicals in plastics that can cause an allergy, usually when they're in the raw material state, and the unfinished products," said Fowler, co-author of a medical textbook on dermatitis, or inflammation of the skin. "But because the chemicals in finished products are bound so tightly, it's awfully hard for them to penetrate to the skin and set off the allergy."

Then again, the finished products may not be the real problem.

A reaction to plastics like Herzog's may have more to do with residue from the manufacturing process than the plastic itself, says materials science expert Andrew Dent.

"There are additives to make the plastic bags easier to process that manufacturers are putting on the outside surfaces," said Dent, vice president of materials research at Material ConneXion. "That could also be the problem."

Others may react with redness and swelling to plastic bags, but they don't necessarily have an allergy.

A condition called dermographic urticaria, in which the skin becomes inflamed from scratching or rubbing, is far more common, Fowler explains. For those with the condition, carrying heavy bags from the grocery store could be enough to cause a reaction.

Herzog, however, has developed allergies to some chemicals in plastics and perfumes, her doctor tells her, as well as to seasonal allergens like pollen. Her doctor explained that allergies to just about anything can develop at any time.

"I don't understand how it just comes out of nowhere, because I never, never had issues," Herzog said.

She wonders whether things could just as suddenly get even worse for her or for people she knows.

It's a notion she's confronted with not just in her personal life but also at work, in the catered food she arranges for groups of children and preteens at big events. Despite being 28 years old, Herzog has worked in the food and beverage industry long enough to see a dramatic increase in the number of children with food sensitivities, she says.

She wonders whether people are generally becoming more sensitive to things.

"It's amazing how many allergies these kids have. It's insane. We're preparing more special meals than regular meals. Which is weird, because then when you do adult functions, you maybe have like one or two allergies. The chefs are becoming very well-versed in this now."

Herzog's observations have some backing in peer-reviewed medical studies.

The latest numbers -- now two years old -- draw from 40,000 children in the U.S. and reveal that 8% of those under the age of 18 have food allergies.

That's twice the number estimated by the Centers for Disease Control and Prevention, using data collected in 2007.

Dr. Ruchi Gupta, who led the study finding the 8% figure, says that's probably a conservative number, in part because her team discounted reports by parents when the symptoms sounded more like a food intolerance, such as to gluten or lactose, than a true food allergy.

Although Gupta and the CDC used parent surveys to make their estimates, hospital records show a similar upward trend.

U.S. hospitals discharged about 4,135 children with diagnosed food allergies each year between 2001 and 2003. For the period from 2004 to 2006, that average annual number jumped to 9,537, according to the CDC.

"Food allergy among children in the United States is becoming more common over time," states the CDC website.

Whether food intolerance to lactose and gluten is also increasing is harder to determine, in part because the conditions often go undiagnosed. As the medical community grapples to understand the problem and what can be done about it, businesses have had to adapt and accommodate.

"It's a matter of life and death, especially with children. Six or seven years ago, you'd just say, 'Sorry, that risk is too much to take. I (would) suggest they bring something with them, or they don't come,' " said Jennifer Delaye, president of the International Caterers Association. "Now, today, it's a standard way of doing business. Entire menus are designed around that."

@highlight

"There are a bunch of chemicals in plastics that can cause an allergy," Dr. Joseph Fowler says

@highlight

Reaction to plastics may have more to do with leftover residue from the manufacturing process

@highlight

Food allergies among children in the U.S. becoming more common, the CDC says