Deforestation is a term that is used a lot in environmental reporting and it's easy to forget exactly what that word means. One of the reasons why we came to Sumatra was to help people understand what deforestation looks like and why it's a problem from the perspective of those on the ground watching it happen.

When it comes to deforestation in Indonesia, it has had a devastating effect. WWF estimates that half of Sumatra's forest cover has disappeared from 1985 to 2008. The forest cover has gone from 50% to 25%. That means, within my lifetime, the landscape of the island of Sumatra has completely changed.

Deforestation means taking a forest and destroying it. All of the trees, plants, insects, animals and people who live there are either killed or forced to find a new home. Once a forest is cut down, the plant species all are gone. Insects and animals might make it out to find new homes, but that might include areas populated by humans, making their survival questionable.

Read more: Indonesia's indigenous villages in flux

The indigenous people who live in the forest have to relocate to another area of forest or out of the forest altogether. This is a complete life change. The infrastructure, the way they provide for their families and the very basic way they live their lives would be completely different.

Deforestation in Indonesia is a byproduct of industrial attempts to sell timber or plant a palm oil or acacia plantation. In essence, these forests are cut down to make money. But money is important, so a compromise needs to be reached. There has to be a way to make money without destroying forests, wildlife habitat and indigenous peoples' way of life.

Indonesia is trying to do the right thing. The government has halted the cutting of virgin forest, also known as primary forest. This is untouched forest that has never been logged. Thirty Hills National Park was created in the 1990s to protect some of the rainforest. It is almost 144,000 hectares, but represents only a small portion of Sumatra's rainforest.

Much of the forested areas of Sumatra that are not privately owned or protected like Thirty Hills National Park are a patchwork of land divided up into concessions. These patches of forest are owned by the government and leased to different companies for different uses. Unfortunately, many of those uses involve cutting down critical wildlife habitat.

Interactive: Mission to save Sumatra's rainforest

Peter Pratje, Indonesian Director for the Frankfurt Zoological Society (FZS) has released more than 140 endangered Sumatran orangutans (mostly former pets) into the area of the rainforest near Thirty Hills. The intention was for the orangutans to roam free in the national park, but orangutans don't respect human boundaries. They prefer the lowlands, areas surrounding Thirty Hills that are industrial concessions.

These areas have been selectively logged, taking out the larger trees for timber. Conservationists think of it as an acceptable compromise. This process also allows fruit trees to thrive and multiply. Orangutans are herbivores who prefer a diet of fruit, so they naturally migrate to those lowland areas. Leasing these lands to industries that would clear cut this forest would deeply affect this small orangutan population. It could undo all the work Peter and his orangutan team have accomplished over the past decade.

Orangutans are not the only animals affected by deforestation. Critically endangered Sumatran elephants and tigers like the lowlands too. But this area isn't what's protected. The lowland is a moneymaker. It's easier to navigate than the hilly areas, making it prime land for logging and pulp or palm oil plantations.

Sometimes the government concludes the economic benefits are greater than the conservation needs. But NGOs like WWF and FZS are hoping to change minds about the importance of these concessions being marked for conservation. The hope is  to save the critical areas and find other patches of land less ideal for wildlife or indigenous people that can still generate an economic benefit.

@highlight

Jenni Watts produced Expedition: Sumatra, CNN's new environment special

@highlight

The team traveled round Indonesia charting some of the biggest issues affecting the country

@highlight

They met the local people in the indigenous Talang Mamak village of Semerantihan