Kathmandu, Nepal (CNN) -- Nepal's cabinet met at the base of Everest on Friday to highlight the impact of climate change on the Himalayas and adopted a 10-point Everest Declaration.

"The Himalayas are important not only for the people of Nepal but for 1.3 billion people who depend on waters from the mountains for their livelihoods," said Nepal's Prime Minister Madhav Kumar Nepal at the cabinet meeting broadcast live by state-owned Nepal Television.

Wearing oxygen masks and warm jackets, the cabinet met for about half an hour at Kala Patthar at an altitude of 5,242 meters surrounded by the world's highest mountains and glaciers.

The ministers flew in to Lukla, in the Everest region where the nearest airstrip is, a day earlier to acclimatize to the rarefied atmosphere of Kala Patthar. The cabinet met out in the open where tables had been set up. The ministers spoke through microphones because it was difficult to hear even over a short distance with the wind blowing.

Of the 27 cabinet ministers, 24 were present at the meeting and they were wearing blue sashes that said "Save the Himalayas."

The sun was shining bright during the meeting in the morning but in the afternoon fog descended and the wind grew fiercer.

Before they were airlifted by helicopters to Kala Patthar the ministers' health was checked to ensure they could withstand the high altitude and not suffer from acute mountain sickness because of the low amount of oxygen in the atmosphere at that altitude.

"This is a very important and historic meeting," Prime Minister Nepal said. The meeting comes ahead of the United Nations climate summit in Copenhagen next week.

The Himalayas have an important role in the world's environmental balance, he added.

The melting of the glaciers in the mountains due to global warming would bring about a scarcity of water in the river systems in South Asia, affecting more than a billion people in Nepal, India, Pakistan, Bangladesh and China, according to various experts.

"But there has not been enough study to say exactly how much of the river water comes from the melting of the snow and ice in the mountains," said Ajay Dixit, a climate change expert from the Institute of Social and Environment Transition, a Kathmandu-based think tank. "Estimates vary between four to 10 percent."

Dixit, however, added that in specific areas in the mountains where people depend on the melting of specific glaciers for irrigation, the change in the snow system will affect livelihoods.

There has been an annual increase of temperature by 0.06 degrees Celsius over the past decade, according to a study conducted earlier this year by Dixit together with Oxford University. It it estimated that the temperature in Nepal could rise by as much as two Celsius by 2030.

Rainfall patterns have also been erratic and this affects the livelihoods of almost two thirds of Nepal's population of 28 million who depend on rain-fed agriculture.

"Various global circulation models show that precipitation could go down by 14 percent or increase by as much as 40 percent by 2030," Dixit told CNN.

Although the contribution of Nepal, one of the poorest countries in the world, to carbon emissions is negligible, the poor and the marginalized bear the brunt of climate change, Prime Minister Nepal said at a press conference after the cabinet meeting.

The 10-point Everest Declaration the cabinet adopted includes increasing the protected area of Nepal's land from 20 percent to 25 percent, developing communities' capacity to cope with climate change and working together with other countries to mitigate the impact of global warming.

The declaration also supported developed countries' plans to contribute 1.5 percent of GDP to a climate fund and bring down greenhouse gases to pre-industrialization levels.

"The earth is our common abode," said Prime Minister Nepal. "To save the earth the biggest sacrifice is needed from nations producing large amounts of carbon."

@highlight

24 of Nepal's cabinet members met at base of Everest to highlight impact of climate change

@highlight

Ministers wore oxygen masks and used microphones because wind made it difficult to hear

@highlight

It is feared melting glaciers could cause water scarcity affecting one billion people

@highlight

Adopted 10-point Everest Declaration which increases area of Nepal's protected land