(CNN) -- For most of us, watching a fly mindlessly bouncing against a window in an effort to escape, is pretty annoying -- perhaps even infuriating.

For a team of Swiss scientists, this stubborn maneuver could change the face of search-and-rescue missions forever.

Introducing GimBall -- a spherical flying robot encased in a flexible cage, which allows it to happily smash into surfaces while navigating disaster sites.

Bounce back

Unlike other rescue robots, where colliding with obstacles could easily spell the end of an expedition, GimBall is able to bounce back without losing its bearings or damaging its in-built camera.

The futuristic floating ball is the brainchild of scientists at the Swiss Federal Institute of Technology (EPFL), and it's hoped that one day it will be used for everything from searching for survivors to measuring gas leaks in collapsed buildings.

Watch: Flying robots perform amazing acrobatics

"We were wondering why insects were so capable of going inside any building -- yet had limited senses such as eyesight," explained co-creator Adrien Briod.

"One capability that was completely overlooked was their ability to collide into surfaces. For insects this isn't a big deal -- but it is for robots."

Flying to the rescue

Indeed, one of the first major search-and-rescue missions to use robots was in the aftermath of the September 11 attacks on New York's Twin Towers -- an area deemed too dangerous or inaccessible to humans.

However, the ground-dwelling machines sometimes found it difficult to negotiate the collapsed World Trade Center, becoming stuck in the rubble.

In the last decade, robotics has come a long way, with scientists increasingly looking at the benefits of flying machines in disaster zones.

Watch: Flying robots inspired by birds

"A ground robot will very quickly be limited -- even a staircase is difficult. If you need to reach people on the fifth floor of a building, it won't be able to do it," said Briod.

"Flying allows you to overcome large obstacles. And it provides an elevated point of view -- it's very useful to have an image of the scene from eye level, than from the floor."

Clever design

So how does Gimball work? With a 37 centimeter diameter, the robot is a little larger than a basketball. Featuring a stable inner frame, and a rotating outer frame made of 90 flexible carbon rods, it is able to bounce off surfaces without damaging the machine.

While other robots might need heavy sensors to help avoid collisions, GimBall keeps things light, weighing just 370 grams.

Two propellers help it fly along at 5 kilometers per hour, with enough battery power to last five minutes. It can either be remote controlled, or fly autonomously, sending back footage to operators.

Briod now hopes the pioneering design will be used in real lifesaving missions within the next year, and said we were on the brink of a new era in technology where drones were used in everyday life.

"Up until now, the military had all the drones out there, but in the last few years there's been a huge development in civilian use," he said.

"Technology is developing really fast in the field of remote control -- drones are used in rescue missions, fire, or inspecting unstable buildings, bridges, and boats."

Sci-Fi future

The research team recently took GimBall for a spin in a Swiss woodland, watching it smash into trees, roll along uneven ground, and negotiate branches -- all without damaging its inner workings.

It appeared like a rogue alien aircraft that had been left behind on a mission to Earth. So what is it about flying robots that continues to capture our imaginations in a way few other pieces of tech can?

"It's not limited to 2D -- that's what fascinates people, this freedom to move in the third dimension," said Briod.

"And seeing your creation flying is extremely satisfying."

@highlight

Introducing GimBall, the flying robot that moves like a fly

@highlight

The machine features a protective cage that lets it bounce off surfaces

@highlight

Includes a small in-built camera

@highlight

Swiss scientists hope it will be used in search and rescue missions in the future