TEGUCIGALPA, Honduras (CNN)  -- The Honduran government extended a nationwide curfew to 36 hours Tuesday, as the country awaits the consequence of the surprise return of deposed President Jose Manuel Zelaya.

Honduran troops surround the Brazilian Embassy in the capital, Tegucigalpa, on Tuesday.

Zelaya, a centrist whose politics took a strong turn to the left once in office, was ousted in a coup on June 28. Despite increasing political, diplomatic and economic isolation, the government of interim President Roberto Micheletti has steadfastly resisted pressure to allow Zelaya to return to power. Micheletti maintains that Zelaya's removal was not a coup but a constitutional transfer of power, and Micheletti thwarted two very public attempts by Zelaya to return to his homeland.

When Zelaya suddenly appeared inside the Brazilian embassy in the capital of Tegucigalpa on Monday, it caught everyone by surprise, even the Brazilians, Brazilian Foreign Minister Celso Luiz Nunes Amorim told CNN en Español.

In response, Micheletti's government ordered a curfew beginning Monday evening.

Many pro-Zelaya supporters ignored the call and demonstrated outside of the Brazilian embassy.

Police dispersed about 2,500 demonstrators without causing any deaths, Micheletti said in a televised statement Tuesday.

But a doctor said that at least 80 people were admitted to an area hospital with injuries, Marcial Torres, a Honduran journalist for the newspaper La Tribuna, told CNN. Most were released from the hospital Tuesday afternoon, Torres said.

After the curfew was announced Monday, the government extended it once until Tuesday evening and then again to 6 a.m. Wednesday.

The result was a nearly-deserted city blanketed by what Torres called a "tense calm."

Uncertainty was fueling the tension in Honduras, Torres said -- uncertainty about what Zelaya, who said he returned for "homeland, restitution or death," has planned, and how Micheletti, who has held his ground against international pressure, will respond.

"The country is paralyzed," Torres said.

Supermarkets, banks, gas stations and public transpiration were all closed because of the curfew.

Schools and universities also closed.

Police and soldiers maintained a security cordon around the Brazilian embassy, dispersing supporters of Zelaya -- who remained holed up inside the embassy.

All flights in and out of the country were canceled Tuesday, after all four of Honduras' international airports were also closed.

Micheletti's government isolated the Brazilian embassy by cutting water, power and phone lines to the building, U.S. Department of State spokesman Ian Kelly confirmed to reporters in Washington.

Nunes Amorim, the Brazilian foreign minister, said the action was a "very serious" move by Micheletti that violated international law.

But police claimed utilities were turned off in the area surrounding the embassy to discourage looting.

About 100 people remained inside the embassy Tuesday night, many of them supporters and friends of Zelaya, Nunes Amorim said.

The Brazilian foreign minister said he spoke with Zelaya and asked him not to use inflammatory language.

Likewise, Kelly said, "The United States calls on all parties to remain calm and avoid actions that might provoke violence in Honduras and place individuals at risk or harm. We urge that all parties refrain from actions that would lead to further unrest."

Kelly said the American embassy in Tegucigalpa had closed because of the situation, but that U.S. diplomats remained in contact with both sides in the conflict.

Food delivered to the Brazilian embassy Tuesday was believed to have been brought by the Americans, Torres said.

The United States and Brazil said they support dialogue between the two sides, centered on the San Jose Accord, an agreement negotiated by Costa Rican President Oscar Arias.

But in an interview with local network Televicentro, Micheletti said that Zelaya's sudden appearance would not revive negotiations.

Micheletti's government sent a letter to the Brazilian authorities on Tuesday asking them either to give Zelaya asylum in their country or to turn him over to Honduran authorities. Zelaya faces charges of violating the constitution relating to a proposed referendum that was at the center of his ouster.

"Unless the government of Brazil proposes another solution, its obligation is to turn him over to the relevant Honduran authorities with urgency," the letter said.

Earlier in the day, local television footage showed video of water cannons being used to scatter Zelaya supporters and the ousted president's backers throwing rocks and other objects at police.

The demonstrators flipped over and burned a police vehicle, said El Heraldo newspaper, which showed a photograph of an overturned truck on its Web page.

Zelaya was removed by soldiers in a coup June 28 after he tried to hold an election that day on a measure to allow a president to run for a second consecutive term.

The measure would have asked Hondurans whether they wanted to place a referendum on the November presidential ballot, which would convene a constitutional assembly to consider changing presidential term limits. Zelaya's term ends in January and he would not have been subject to any measures adopted by the constitutional assembly.

The nation's supreme court ruled the June ballot initiative was illegal and congress had decreed Zelaya couldn't hold it.

Micheletti has denied that a coup took place, saying that Zelaya was removed legally through constitutional means. He vowed Monday night to stay in power despite Zelaya's return.

It was not publicly known Tuesday how Zelaya got into the country and he declined to provide details, only telling CNN en Español that it was a 15- to 16-hour trip he took "with the help of Hondurans."

Journalist Elvin Sandoval contributed to this report for CNN en Español.

@highlight

Brazil's Embassy surrounded after Jose Manuel Zelaya's backers dispersed

@highlight

Ousted Honduran leader staying at Brazil's Embassy in Tegucigalpa

@highlight

U.S. Embassy closes in Tegucigalpa, spokesman says

@highlight

All flights in and out of country canceled; curfew in effect