Damascus, Syria (CNN) -- The world is watching the situation in Syria transform before its eyes -- with an uptick in bombings and allegations of chemical weapons use -- but deciding what to do about it is no easy feat.

In the capital, there is less shelling and fewer fighter jets are seen in the air than in the past, but the streets are as empty as ever in the wake of recent bombings.

The increasing number of explosions is causing a lot of anxiety for Syrians, due in part to the fact that it's not clear which side is behind the blasts.

The government blames "terrorists," a designation that includes the rebels who are trying to bring down President Bashar al-Assad. The rebels accuse the government of bombing its own capital in a ploy for sympathy.

"They are all our children and it is sad. We are all Syrians killing each other," lamented Umm Wasim, who witnessed the latest tragedy: a bomb blast that killed at least 13 in Damascus Tuesday.

Equally frustrating for the Syrian civilians who are waiting and hoping for international intervention in the crisis is the fact that the United States has now said there is evidence that the chemical weapon sarin has been used on a small scale in the conflict. It appears that a line has been crossed, but the response from the world community has not been swift.

President Barack Obama said Tuesday the United States will wait until it has more details on the evidence of chemical weapons use before altering its strategy on the strife in Syria.

Obama previously called the use of chemical weapons a "red line," but the United States has not radically changed its approach to Syria in the days since an administration official announced the finding.

The United States doesn't yet know "how they were used, when they were used, who used them," Obama said. "When I am making decisions about American national security and the potential for taking additional action in response to chemical weapons use, I have to make sure I have the facts."

On Tuesday, a spokesman for the Free Syrian Army said that the rebels had secured what they believe is an unexploded chemical weapon deployed by the regime in Idlib. The FSA will try to get the unexploded canister out of the country for testing, he said.

"If the Syrian regime doesn't want to allow the U.N. investigation team in, we will do all we can in order to present the evidence to the international community because we have the moral and national obligations to our people and our nation," Louay Almokdad said.

At the scene of Tuesday's bombing in the capital, some people burst into tears as they spoke about the event and the general situation in Syria.

"They are killing our people. Washington and the West know they are terrorists. Why are they providing them with weapons?" asked Mohammed Agha. But the United States says it provides only non-lethal aid to the opposition. The question of arming the rebels is being debated among the international community.

Syrian state-run television said the "terrorist explosion" also wounded 70 people.

The blast apparently came from a car bomb parked behind the old building of the Interior Ministry, the Syrian Observatory for Human Rights said.

The Syrian Observatory, which opposes al-Assad's government, said the number of casualties is expected to rise because of the large number of injured.

Prime minister uninjured after bomb targets motorcade

Members of the Syrian armed forces were among those hurt in the explosion, the group said.

But Almokdad told CNN he believes the attack was staged by the government.

"The latest blasts are nothing but a farce staged by the Assad regime in order to beg for sympathy from the international community on the eve of the U.N. Security Council meeting to discuss the use of chemical weapons by the regime armed forces against our innocent civilians," the FSA spokesman said.

He also said the rebel army was not involved in the explosion.

"Setting up car bombs in the capital or anywhere in the country is not a strategy that the FSA condones," Almokdad said. "We reject targeting any civilian area and risking the lives of our civilian population."

Syrian rebels attack military airports across country, opposition says

Tuesday's blast occurred a day after Syrian Prime Minister Wael al-Halqi survived a bombing that targeted his motorcade in an upscale Damascus neighborhood, the government and opposition reported.

The Syrian Observatory said one of al-Halqi's escorts and five civilians were killed in the explosion. Another escort and a driver were badly injured, the group said.

The state-run Syrian Arab News Agency reported casualties but did not elaborate on the incident.

No one immediately claimed responsibility for the Monday blast. But the rebel spokesman said he believes that attack was also set up by the government.

"Al-Halqi is a minor figure propped by the al-Assad regime, and he is not a strategic target to the FSA or anyone in the revolution. We actually feel sorry for the man who was appointed to be a prime minister," he said.

The Syrian civil war has pitted al-Assad's forces against rebels seeking an end to four decades of Assad family rule.

More than 70,000 people, mostly civilians, have been killed in the conflict in the past two years.

CNN's Fred Pleitgen reported from Damascus, with Mariano Castillo reporting and writing from Atlanta. CNN's Saad Abedine and Holly Yan also contributed to this report.

@highlight

Obama says more information is needed before a decision on Syria

@highlight

A rebel spokesman says recent blasts were set up by the government to garner sympathy

@highlight

State-run TV calls Tuesday blast a "terrorist explosion;" no one has claimed responsibility

@highlight

The blast took place a day after the prime minister survived a bombing on his motorcade