The near daily stream of violence in Iraq is a bitter reminder that the country is still far away from stabilizing and that the Sunni-Shiite divide, which has led to over 6000 deaths in 2013, appears wider than ever.

Despite this climate of uncertainty and destruction, Iraq's top energy official told CNN that the country's oil production will continue to climb -- reaching at least 3.5 million barrels a day by the end of the year.

Hussain al-Shahristani, the Deputy Prime Minister for Energy, said two new fields in southern Iraq, near Nasiriyah and Basra, have revved up production.

"These two fields will add between them 300 thousand barrels. There's extra production from the other fields so when you add them up you will get to 3.5, 3.6 million barrels a day by the end of the year," Shahristani told me during a one-on-one interview at the Gulf Intelligence conference in Dubai.

Iraq has had difficulty managing expectations over the past few years. The original plan was to hit 6 million barrels a day by the end of this year, double that level by 2020 at the latest. Those forecasts have been ratcheted down significantly with the government's so-called revised integrated strategy.

Shahristani said Baghdad needed to decide whether to front load production or set a more realistic target that will allow fields to produce more crude over the next two decades.

"We decided to go for the second option to maximize recovery rather than hit the highest possible production in a short time," he said.

Iraq was criticized within energy circles for signing service contracts that gives international energy giants a production fee of just $1.15 -$2.50 a barrel, instead of production sharing agreements that give the majors a percentage of overall production.

Shahristani admits that strategy has forced a rethink and in some cases a revising of existing contracts.

"I would confess that our contracts have been very tight, perhaps the toughest the oil companies had to deal with," he said. "We want the oil companies to make a good profit in Iraq and that is why we are willing to reconsider those contracts," he added.

The climate with its international partners is improving and Iraq is confident it can now deliver a sizable level of production capacity by the end of the decade.  It has committed to just over 9 million barrels a day, which would put the country in the league of Saudi Arabia and Russia -- currently the two largest producers in the world.

The International Energy Agency in Paris has expressed reservations, suggesting Iraq will be producing 6 million barrels in that time frame.

"All I will say, at this point, is that Iraq has signed contracts with the largest international oil companies who have the best know-how in this field," Shahristani said. "And they have very strong financial muscle, if they say they can do it, they can do it." Further, he added, they are bound by contract to do so.

According to BP's 2013 Statistical Review of World Energy, Iraq sits on 143 billion barrels of crude, 9% of global proven reserves. Oil executives say there is plenty more to be found, with some 300 potential sites in the southwest of the country still not explored.

There is speculation that thawing relations between Tehran and Washington could see a partial lifting of economic sanctions on Iran, which has cut production by 1.5 million barrels a day.

The deputy PM said he is hopeful negotiations will proceed in good faith, but does not expect downward pressure on prices as a result.

However, he said, it was yet to be seen if that would reflect on oil production in the short term. "I personally doubt 2014 will give sufficient time even if sanctions are relaxed," he noted.

@highlight

The violence in Iraq is a reminder the country is far from stable, but oil production is set to rise this year

@highlight

Its forecasts have previously been ratcheted down and more realistic targets set

@highlight

Deputy PM Hussain al-Shahristani said new fields would add to production

@highlight

Thawing relations between Tehran and Washington could assist in this