Shanghai (Financial Times) -- Capital markets have funded wars for centuries. Now the People's Liberation Army is also turning to the stock market to help propel China's ambitious naval expansion plans.

Beijing's military spend, at $166bn last year, is second only to the US. The country has been ramping up its naval prowess amid territorial disputes in the South China Sea and other surrounding waters. But with its largest defence contractors still predominantly state-owned, China wants to push them closer to the private sector and on to public markets to foster their growth.

Launching what it described as the start of a push to use capital markets to fund China's defence industry, state-controlled China Shipbuilding Industry Co, the country's biggest shipbuilder, said it would raise Rmb8.5bn ($1.4bn) through a private placement of shares to buy production facilities and equipment to make warships.

Chinese investors cheered the prospect of being able to invest in the country's military-industrial complex, driving the Shanghai-listed shares of China Shipbuilding up by the daily limit of 10 per cent. Shares of other companies expected to benefit, such as Shanghai Zhenhua Heavy Industries, a maker of large steel structures, also surged.

The company itself was quick to tout the lucrative nature of military assets to investors. "This will expand the range of investable assets in our capital market and will allow investors to enjoy the returns generated by high-end military products," it said in a statement to the stock exchange.

China has ramped up its military spending since the 1980s, with its official defence budget increasing at a double-digit pace in every year but one over the past two decades. Its spending is still less than a quarter of the US which spent $682bn in 2012, according to the Stockholm International Peace Research Institute.

In recent years, China has placed extra emphasis on building up its blue-water navy -- a force capable of operating far from the country's shores. Mired in territorial disputes in the East China Sea with Japan and in the South China Sea with countries including the Philippines and Vietnam, China has started to deploy naval ships more regularly to patrol what it defines as its sovereign waters.

In 2011, it launched its first aircraft carrier, the Liaoning, though it was built on an unfinished hull acquired from Ukraine. Analysts believe it is only a matter of time before China produces its first indigenous carrier.

The China Securities Journal, a leading government-run financial newspaper, said the stock market penetration by companies in China's military industry was very low. While about 80 per cent of the assets of the world's top 100 military companies are publicly listed, only 30 per cent of the assets of China's top 10 military companies have been listed, it said.

For China's beleaguered shipbuilding industry, hit hard by overcapacity and slowing economic growth, the start of more military projects offers some consolation. "Military spending is classic counter-cyclical support in a downturn," said Jon Windham, head of Asia transport research at Barclays. "It's simply a more stable part of the business and one they want to talk about more because the commercial side is in free fall."

China Shipbuilding's private placement structure is complex. It is issuing shares to two sibling companies, Wuchang Shipbuilding and Dalian Shipbuilding, to raise the funds, and is then using that money to acquire some of those two company's military assets. Initially, these assets had been stripped out of the listed company when China Shipbuilding went public.

© The Financial Times Limited 2013

@highlight

China opens national defense industry to public market investors

@highlight

Country's biggest shipbuilder aims to raise $1.4 billion in Shanghai IPO

@highlight

China has ramped up its blue-water navy in recent years

@highlight

Beijing launched country's first aircraft carrier in 2011