(CNN)  -- The Dominican Republic was the first country to give aid to Haiti in the aftermath of Tuesday's devastating earthquake. Some of the first video images of the Haitian capital of Port-au-Prince came from a Dominican television crew.

On the face of it, the quick reaction from Haiti's neighbor may not seem surprising given their proximity. But historically, a much wider gap in relations has existed between Haiti and the Dominican Republic since colonial times. The Dominican Republic's outpouring of support to Haiti is a reminder of how the less-than-friendly legacy between the two nations has been buried even deeper.

Some tensions still exist between citizens of both countries. Dominicans recall how they were under Haitian rule for a period in the mid-1800s, and how they repeatedly fought Haitian aggressions. Today, Haitians provide cheap labor in the Dominican Republic, a trend that has caused resentment on both sides, not unlike the illegal immigration debate in the United States.

But as far as the countries themselves are officially concerned, "relations are at a high point compared to 20 or 30 years ago," Ernesto Sagas, associate professor of ethnic studies at Colorado State University, told CNN. "Relations between the countries at the presidential level are at high levels."

Dominican Public Works Minister Victor Diaz Rua surveyed the damage in Port-au-Prince Wednesday as his country planned the necessary logistics to provide international aid. Are you there? Submit an iReport

"The center of the city, where the presidential palace collapsed, is practically completely destroyed," Diaz Rua told CNN en Español, noting he saw hotels, schools and hospitals that were damaged.

Impact Your World: How you can help

Diaz Rua also saw few emergency teams working.

"We're going to send teams from the Dominican Republic to help with the rescue. We're going to send food, water and mobile clinics," he said.

Such cooperation was not historically the case.

Haiti, a former French colony, and the Dominican Republic, with roots as a Spanish colony, have tensions that go back to those days, Sagas said.

The Dominican Republic gained its independence from Haiti in 1844, after Haiti had occupied it. The Dominicans spent the next 20 years fighting off Haitian invasion attempts.

By the early 20th century, Haitians had become a source of cheap labor in the neighboring country. Racism and security concerns resulted in a massacre in 1937. Dominican leader Rafael Trujillo ordered the execution of Haitians living near the border between the countries, resulting in the killings of 20,000 to 30,000 Haitians, historians say.

The current tragedy appears to push those tensions further into the past.

"This is the worst disaster in Haiti's recorded history," Sagas said. "The best role the DR can play is to open its border for other nations to funnel all the aid to Haiti."

The Dominican Republic appears to be following that path.

The government on Wednesday started sending food, medicine and rescue crews to Haiti, the El Nacional newspaper reported. Top Dominican leaders amassed at the border as a staging ground to begin transporting aid into the country. Are you looking for loved ones?

Among the aid are 10 mobile cafeterias that can produce 100,000 meals a day, and heavy equipment to remove debris, Diaz Rua said.

@highlight

Dominican Republic first nation to give aid to Haiti post-quake

@highlight

Historically, wide gap in relations between neighbors

@highlight

DR's quake support shows ties growing stronger

@highlight

DR providing food, medicine and rescue crews to Haiti