When Secretary of State John Kerry first took office he talked of changing Syrian President Bashar al-Assad's calculus.

Assad "needs to know that he can't shoot his way out of this," Kerry said in March at a Rome meeting with members of the Syrian opposition.

When he and Russian Foreign Minister Sergei Lavrov first conceived the idea of bringing the regime and the opposition together for peace talks in Geneva, they believed strengthened international support for both the political opposition and rebel forces would leave the Syrian leader ready to negotiate his own ouster.

U.S. policy since then has had the opposite effect.

Assad's calculus has indeed changed.

The political opposition is on the verge of collapse, rebel groups now having to battle the growing strength of Islamist forces on the ground, and his regime is at the center of implementing an international deal to rid the country of chemical weapons. He heads to Geneva believing the false narrative that he is even more powerful.

As his forces continue to kill thousands each week from barrel bombs with impunity, Assad has no reason to think he can't shoot his way out of the crisis.

Representatives of Syria's main opposition group voted Saturday to attend next week's peace talks in Geneva. Leading up to the vote, the opposition was bitterly divided on whether to attend at all.

Members of the opposition suggest that the United States is setting them up to fail by not providing the Free Syrian Army with sufficient resources to change the balance of power on the ground.

"Is the opposition being set up for success by United States, not just to participate in a conference that will lead to a political solution, but being empowered to ensure success of the stated objectives of Geneva?" asked Oubai Shahbandar, a senior adviser to the opposition.

"It is the position of the opposition that you cannot have a successful political process if the U.S. doesn't also increase its support. Right now, the regime thinks its winning. They think they have successfully avoided military strikes, western sanctions and repercussions for continued war crimes. It is these components that make any successful outcomes of Geneva unlikely," Shahbandar said.

For months, U.S. Ambassador to Syria Robert Ford has shuttled to Turkey to meet with members of the Syrian National Council. In preparing for Geneva, Ford and other U.S. officials repeatedly urged the opposition to present a transition plan that saw the group playing a major role in a post al-Assad government, which could include some elements of the current government. Now the group is being implored to just show up.

The Obama administration maintains it still believes al-Assad should step down. But rather than hand over power, he is talking about running for re-election this spring in what is all but certain to be a fraudulent election. And the opposition, whose legitimacy is mostly conferred upon them by the international community, appears to be in no position to force his hand.

"The Syrian opposition is in a space capsule heading toward Geneva and breaking up in the atmosphere and this may be one of the West's biggest failures," says Salman Sheikh, director of the Brookings Doha Center.

"Geneva has put unbearable pressure on an opposition that has always lacked unity and direction and this has a great bearing for any process the international powers are looking to launch," Sheikh said.

Having lacked resolve to either use force against al-Assad or arm the opposition, and with no coming together of the Security Council on even the growing humanitarian crisis, the Obama administration now has fewer tools in the toolbox.

What's left is the diplomatic "fig leaf" of Geneva, which few people besides Kerry believe is more than an effort to check the diplomatic box and manage some sort of response to the Syrian crisis, rather than demonstrating the mettle to find a solution.

"Despite how everyone tries to dress it up, this is not the right kind of place for the U.S. to be on what is shaping up to be the biggest humanitarian disaster of this century and which is promising to have the largest loss of life and bloodiest conflict the Middle East has seen," Sheikh said.

"But there is no alternative. It is all we have, so now have to go through it and hope for something after Geneva. I think it is a misreading of the situation and the whole region. I'm not sure they can stand many more months of this while the ground churns," Sheikh said.

Syria's ghost homes, ravaged by war

Moreover, there is no agreement in terms of what the parameters of the Geneva talks are. The United States, United Nations and other Western and Arab countries want talks on a transitional government. The Syrian regime, Russia and Iran - who won't be there as a participant but with thousands of fighters on the ground helping the regime will be the elephant in the room - believe Geneva is about fighting the growing Islamic insurgency and rehabilitating al-Assad.

With al Qaeda forces continuing to capture territory and even checkpoints on the border with Turkey, narrative of al-Assad as savior is stronger.

Even as Washington is turning up the pressure on the opposition to join the talks, the administration is significantly lowering expectations. U.S. officials concede merely getting the opposition and the regime in the room would be a success.

"When we first conceptualized the conference, we believed that we would be able to help form a transitional government and that would be that," one senior State Department official acknowledged. "But we understand achieving political progress is more challenging eight months later."

The first direct talks between the two sides after three years of conflict would be a milestone. To jumpstart negotiations over a political transition, Kerry said he and Lavrov are seeking confidence-building measures, including possible local ceasefires, access for delivery of humanitarian aid and exchange of prisoners. Agreement on these issues would also be no small feat.

With progress toward a transitional government highly unlikely, the conference will now focus as much on the humanitarian crisis as it will on discussions about Syria's political future.

"The humanitarian situation has taken on a greater importance. It is an enormous crisis and it is appropriate to focus on that," another senior U.S. official said.

"We still have a desire to see a transitional government and nobody is giving up with that. But we are also thinking about what our other objectives are," the official said.

81 days captive in Syria

Having accepted the fact that Geneva is not likely be a turning point for the conflict, the administration now says it hopes Geneva will be the beginning of a "process." But there is wide trepidation among the Syrian opposition about a process that is open-ended and fails to stop the violence and suffering.

"Nothing will happen overnight but it can't be indefinite, Shahbandar said. "The regime will drag this process on while it continues to bomb cities and increase its starvation campaign."

In addition, any future effort to find a political solution to the Syrian conflict must focus more on broadening the participation of that process to include more Syrians with influence on the ground.

"The biggest failure of Geneva is that the regime and opposition can't turn the corner. They can't because they don't represent the majority of Syrians," Sheikh said.

Revolutionary councils inside Syria, the backbone of the civil resistance, have been providing services to the people and are increasingly becoming the de-facto representation of the Syrian opposition.

But those doing the work on the ground, whether it be political or fighting, are not involved in the political process under way.

He lost his leg in war and now helps others

Sheikh, who meets frequently with a cross section of Syrians said that with all of its planning for a post al-Assad Syria, the international community has yet to help build an indigenous opposition in a meaningful way.

"Alawites, Christians, tribal leaders, rebel commanders and business associations all need to be brought in and they aren't," Sheikh said. "If I can do that in a little old think tank, how come the international community hasn't been able to support that?"

Damascus softens its stance as next Geneva talks near

@highlight

Assad has no reason to think he can't shoot his way out of crisis, Labott says

@highlight

Opposition suggests U.S. is setting them up to fail

@highlight

Administration says it hopes Geneva will be beginning of a "process"