(CNN) -- Dan and Susan Hartmann are HIV discordant. He has HIV; she does not. They always have protected sex, which was never an issue, until they wanted to start a family.

The Centers for Disease Control and Prevention recommends that people like Susan, who are in a discordant relationship, take pre-exposure prophylaxis, or PrEP, to protect against personal HIV exposure. But there is little research on how the medications affect a fetus. Meanwhile, adoption can be complicated when one parent is HIV positive.

Assisted reproduction using IVF and techniques such as sperm washing (ridding the sperm of the virus before creating an embryo with an egg), are costly and illegal in some states, like California in 2007, when the Hartmanns were living there.

So what's the best way for HIV discordant couples, like the Hartmanns, to have children?

It's a question being asked more often as people with HIV are living somewhat normal lives with the disease and perhaps getting married and wanting to start a family. It is something at the top of mind on this World AIDS Day, which this year is focused on achieving an AIDS-free generation.

The CDC estimates there are 140,000 mixed-status heterosexual couples, but that number is based on a 1996 study; experts say the number is much higher today. The Hartmanns are open about their journey to parenthood because they hope others will benefit from their experience.

Dan Hartmann was diagnosed with HIV when he was 12, infected by contaminated blood products he received as treatment for hemophilia, a rare genetic blood disorder.

"It was scary," Dan remembers. "There was definitely a time period ... toward the end of high school, college, you know, I wasn't sure I would be here now."

It was the '80s, and AIDS was all over the news. So was the story of an HIV-positive teen named Ryan White, who was expelled from his high school in Russiaville, Indiana, after revealing he had the disease.

In Annapolis, Maryland, ninth grader Dan Hartmann was telling his school he, too, was HIV positive.

Susan Slingluff was in the gym when Hartmann and his father, a physician, spoke to the school.

"It's OK to touch him. It's OK to share your pencil with him. It's OK to drink from the water fountain. You can use the same lavatory," she remembers being told. The discussion laid the groundwork for her connection to the HIV community.

Susan and Dan went to prom together and then lost touch. Six years passed before Dan called Susan out of the blue. That phone call lasted two hours and sparked a bicoastal relationship. Eventually Dan relocated from Syracuse, New York, to San Francisco to be with Susan. They bought a house and got married.

Susan dreamed of having children. But how?

"I was 26 and it wasn't immediately needed, so I just knew that we would start asking questions and do the research and figure out what we were going to do," Susan says.

Susan read everything she could find about how a heterosexual married couple with one HIV partner could make a family but couldn't find answers. Not in research and not from their own health care providers.

"I don't think that doctors didn't want to share it, I just think they didn't have it," Susan says. "We're just not the usual clientele."

In March 2007, the couple testified at a California Senate Health Committee hearing to repeal a law banning assisted reproduction techniques using HIV-infected sperm. The law was repealed and through the process they met experts who had the answers they were seeking.

Over dinner one night, one such expert made a suggestion the Hartmanns describe as shocking: having unprotected sex.

Because Dan had an undetectable viral load and they were in a monogamous relationship, the physician explained, the risk of Susan becoming infected with HIV from unprotected sex with her husband was low. Susan says it was somewhere between a 1 in 2,000 and 1 in 4,000 chance every time.

It wouldn't mean throwing away the condoms. This was timed according to Susan's ovulation; on her most fertile days they'd try. They decided to try this approach for a few months. If either one of them changed their mind at any point they would stop.

"You check in and you're like, 'I'm feeling really nervous about this today, are you still OK with this?' And vice versa," Dan says.

Some days, he woke up reminding himself that Susan was more likely to get struck by lightning than to become infected this way. Other days, he'd wake up wondering what on earth they were doing.

After five tries in two months, Susan was pregnant. The excitement was building, but it was too early to breathe a sigh of relief. They still didn't know if Susan was infected with HIV.

At three months, Susan's test results came back negative, which tempered concerns as they shared the news of Susan's pregnancy with family and friends. Subsequent tests at six and nine months were also negative. At that point, they knew their daughter would be OK.

Now 4, Ryan is healthy and happy, just like her mom. She loves My Little Pony, swimming and even likes green vegetables. She doesn't know that her parents might be considered pioneers by some -- that they've paved the way for other HIV discordant couples. She knows her dad has hemophilia and takes medicine. They'll explain the rest later, Susan and Dan say.

Susan insists it wasn't about luck; she says their decision was supported by science.

Dan agrees. "It's sort of like getting in the car. We wore our seat belts. It would have been more shocking for Susan to have gotten HIV than to have not," he says.

Susan doesn't think about HIV every day. She says it's like a third, silent partner in their marriage.

The Hartmanns may decide to expand their family, and if they do, they will see what science says at the time. They say they may decide to take the same approach. Or, Dan says, when the time comes, they may try assisted reproduction.

For now, Dan is living the life he once thought he'd never live to see.

He'll get to die of a heart attack in his 70s, Susan jokes, just like everyone else.

@highlight

Dan and Susan Hartmann wanted to start a family, but Dan is HIV-positive

@highlight

They sought out technology and medical guidance about what to do

@highlight

The answer surprised them: Try having unprotected sex

@highlight

The Hartmanns now have a healthy daughter, and Susan does not have HIV