Opelika, Alabama (CNN) -- At the Community Market food bank, two small alcoves -- each with three chairs and a desk -- are used for interviewing potential clients.

At the desk closest to the front door, Michael Davis sits across from an elderly woman with thick glasses. Dottie Battle is a volunteer at the food bank, and she asks for Davis' identification. He reaches into a worn Ziploc bag, pulls out his driver's license and social security card, and hands them to her.

Battle asks for his gas, electric and telephone bills, and Davis also pulls them from the same bag. Then Battle asks Davis if he has applied for food stamps, a requisite for this program. He shakes his head "no."

"You need the food stamps," Battle says firmly. "You need them badly. And we will need proof that you went and applied for them before you come back. ...You know that, you've shopped here before."

Failure to comply with all the requirements could mean denial from the Community Market program -- at a time when Davis says he's been hungry for about two days.

"It's not a good feeling," Davis says. "You have to think about it like fasting, like they did in the Bible, and pray for another blessing. That's really the only way to get through it."

After about 10 minutes, Davis is approved for 75 pounds of food from the Community Market this visit. He quickly picks up his documents and begins looking for food on the shelves.

Rising food prices expected to cause inflation

This week, the U.S. Labor Department announced that raw import grain prices rose 1.4% this past February -- that makes an 8.5% increase over the past twelve months.

Keystone food commodities like corn, soybeans and wheat have already increased 149% this past decade, according to the New America Foundation's Smart Strategy Initiative Director Patrick Doherty.

Doherty recently wrote for CNN that the U.S. is too vulnerable to rising food and oil prices, and that strong policy decisions are needed to steer the economy through the prolonged price spikes.

"With persistent high unemployment, oil fueling more than 95% of America's transportation system, and transportation costs running 24% of income in suburbia and in exurbia, 35%, America's middle class is extraordinarily exposed," writes Doherty.

For families already on the brink, such increases could be devastating.

"If prices go up any more, you are going to see more people here and other food banks," says Community Market director Elsie Lott. "You can see it every day. People that used to give us food are now asking for it."

Hunger already a 'social fever'

Over the past year in Lee County, Alabama, more than 3,000 families accessed the Community Market food bank. Nationwide, the Gallup Organization reports 16%have gone hungry during the year due to finances.

"Hunger is like a persistent social fever in our country," says Jim Weill, president of the Food Research and Action Center.

"It is like a malignant social ill that leaves the country weaker, and more susceptible to other problems like poorer educational performance and health problems."

FRAC advocates for federal funding of food programs as a way of solving hunger.

"If you look at other wealthy societies, mostly European, but also some Asian, they have a vastly different hunger problem than we do," Weill says. "Fewer people in those countries go hungry. The sharing of economic growth and the sharing of affluence lifts a lot of people out of poverty and hunger."

A recent New York Times data sheet shows those differences plainly. In Singapore 2% of the population goes hungry. Advanced economic countries of Sweden, Denmark, Germany France, England and Switzerland all have fewer hungry people than the United States.

Renewed focus on feeding children

To curb this trend, especially among children, many private businesses annually help fill the pantries of the poor. Bank of America, Xerox and Geico help food banks around the country.

Small businesses have also helped extensively in underserved communities. In the Tuscaloosa area, for example, the Alabama Credit Union funds a food program called Secret Meals for Hungry Children. Enrollment has swelled has from 18 participants to more than 900 in a little more than two years.

"The thing that most surprises me is the numbers," says the program's administrator, Dusti Monk. "I think it was a little naive of me to think that hunger was a third world country issue, when it's right here in our backyards."

The program enlists teachers to identify hungry children, and then request meal packets from the credit union. The teachers secretly slip meals into the student's back packs on a Friday, so the kids have food over the weekends.

"You can tell the kids are hungry by the way they eat when they get to school on Monday," Monk says.

The program costs $120 per student, annually. Monk says the Credit Union recruits sponsors from the community and around the state, and the response has been overwhelmingly positive.

President Barack Obama has enlisted the help of private organizations like the Alabama Credit Union to help eliminate childhood hunger by 2015. During his term, "food insecure" households have remained virtually unchanged according to statistics compiled by the U.S. Department of Agriculture.

Four decades ago, President Richard Nixon urged Congress to help eliminate federal hunger spending programs.

"That hunger and malnutrition should persist in a land such as ours is embarrassing and intolerable," Nixon wrote in 1969.

Back then, less than 5% of the population was estimated to go hungry due to poverty or other economic reasons, according to research by the Citizens' Board of Inquiry into Hunger and Malnutrition.

A government 'waiting for you to die'

For people, like Wendy Madison of Opelika, rising food prices could be the difference between good health and a bad smile. Madison says she has been poor most of her life, and that she lost her front teeth due to poor nutrition.

"It's the worst thing in the world," Madison says. "I don't even want to look at people. I cover up to smile. Emotionally, it hurts just as bad as being hungry."

Madison says there was a 10-year period where her family was doing well, before her husband Joseph had a massive heart attack. She says her family's biggest mistake is they failed to plan for such hard times, and didn't save.

Now, their family of three depends on a little more than $1,000 dollars in disability pay, along with $294.00 in food stamp benefits per month -- the equivalent of a dollar per meal. Madison says her food stamp benefits have not increased despite rising food prices. An increase in benefits have been denied repeatedly -- leaving the Madisons "begging for food while going hungry."

"It makes you feel useless," Madison says, "like your government is waiting for you to die so they don't have to help you anymore."

@highlight

U.S. is vulnerable to rising food and oil prices

@highlight

Rising food prices are having a direct effect on food banks

@highlight

Food banks are seeing people who used to donate using food banks now