(CNN) -- NATO will begin to scale back operations in Libya following Moammar Gadhafi's death, with the preliminary end date of October 31, NATO chief Anders Fogh Rasmussen said Friday.

A formal decision on a definitive end date will be made early next week.

"We did what we said we would do and now is the time for the Libyan people to take their destiny into their own hands," Rasmussen said after meeting with officials in Brussels to determine what should happen next.

NATO forces will be on standby until the end of the month to continue to provide assistance to civilians if needed, he said, adding that, if requested by the new Libyan leadership, the international body could also help in the transition with regards to reforms to the country's defense and security sectors.

Although Gadhafi was eventually captured by Libyan fighters and apparently killed by crossfire, the seven-month-long western intervention through NATO was a key factor in his downfall.

One question is sure to come up: Has the Libya operation presented a model for future NATO missions or has it revealed the organization's limitations in terms of resources and political will?

New day for Libya, but one fraught with challenges

Within days of the U.N. Security Council's authorization of Resolution 1973, with the mandate of protecting Libya's civilian population, NATO forces were engaged in action by air and sea.

The operation relied on three main prongs -- implementing a no-fly zone, enforcing an arms embargo and taking action to protect civilians and civilian areas under threat of attack.

Since March 31, some 9,634 strike sorties, where targets are identified or hit, are among 26,000 sorties to have been conducted, NATO said Friday.

Among the targets were Gadhafi's military command centers, armored vehicles, munitions dumps and underground bunkers.

NATO confirmed on Friday that 11 pro-Gadhafi military vehicles were hit by NATO aircraft outside his stronghold of Sirte Thursday morning, after they were seen leaving the city at high speed carrying large amounts of arms and ammunition.

NATO did not know at the time of the strike that Gadhafi was in the convoy, which was targeted only because of the threat it posed to civilians, the NATO statement said -- but it later learned that Gadhafi "was in the convoy and the strike likely contributed to his capture."

Gadhafi died soon after he was seized by Libyan fighters.

U.S. Defense Secretary Leon Panetta said Friday that Gadhafi's death is proof of the success of the NATO alliance and the mission in Libya.

"This was not an easy effort, it involved a great deal of cooperation, a great deal of partnership. But the fact was that working together, they accomplished this mission that Gadhafi is no longer. And finally Libya belongs to the Libyan people," Panetta said while flying to Asia for a series of meetings with U.S. allies in the region.

Rasmussen similarly hailed the alliance's Libya mission as a "remarkable success," saying the operation "prevented a massacre and saved countless lives."

Gadhafi killed in crossfire after capture, Libya PM says

U.S. Vice President Joe Biden told CNN's "State of the Union" program, in an interview to be broadcast Sunday, that the operation had shown that the United States did not have to carry the weight of international military interventions alone.

The point, he said, "is that the NATO alliance worked like it was designed to do, burden-sharing. In total, it cost us $2 billion, no American lives lost."

And unlike other NATO operations, such as Afghanistan, where the United States has carried "the primary burden," Biden said, "this was really burden-sharing."

Pentagon spokesman George Little put the price tag for U.S. Defense Department operations in Libya as of September 30 at $1.1 billion. This included daily military operations, munitions, the drawdown of supplies and humanitarian assistance.

Britain and France also committed significant resources to the operation, as did some smaller nations, such as Norway, which provided six Norwegian F-16s in the early months of the mission.

But those who argue the operation exposed NATO's weaknesses point to the larger countries, such as Germany and Poland, which did not get involved. Germany abstained from the U.N. Security Council vote on Resolution 1973, saying it was concerned about a protracted military conflict.

And despite President Barack Obama's determination that the United States take a backseat role in Libya, its surveillance drones and air support provision were key.

In a farewell speech to the NATO council in Brussels in June, former U.S. Defense Secretary Robert Gates warned that the organization had become a "two-tiered" alliance poorly equipped to deal with challenges.

Criticizing the reluctance of some of the alliance's 28 members to spend money on defense, he said the Libya operation had made it "painfully clear" that shortcomings could "jeopardize the alliance's ability to conduct an integrated, effective and sustained air-sea campaign."

More analysis of NATO's performance is bound to come up as the smoke clears. NATO may also be called to help Libya's fledgling government and disparate militias achieve an orderly transition.

"There are significant security challenges ahead for Libya," Toner said. "Whether that is something NATO can help them with, or whether we can help them with, or whether other countries can help them with, we'll figure that out in the days ahead."

But French Foreign Minister Alain Juppe, on Europe 1, suggested it was all over.

"It's up to the National Transitional Council to say it as the Libyans have their fate in the hands today. But, I think we can say that the military operation is finished, all of Libya's territory is under the control of the National Transitional Council. And that, subject to a few transitory measures in the week to come, the NATO operation has come to an end."

Damon Wilson, of the Washington-based Atlantic Council think tank, said he expected the NATO ambassadors meeting in Brussels to recognize that NATO's military operation in Libya was done, but that its involvement in the country was not.

NATO could help the new civilian government in such areas as civilian control of the military, professionalization of security forces and border security, he said, although it might take time before the interim government was in a position to make requests of NATO.

And NATO can draw some important lessons from the mission, Wilson said.

"In many respects this was a successful operation. It was an operation in which the United States did play a pretty prominent role, and we even downplayed how much of a role we played.

"But our European partners really stepped up to the plate. It showed that NATO works but it also showed that the alliance is effective in including our Arab partners -- in this operation, a key ingredient to success."

CNN's Chris Lawrence, Barbara Starr, Jamie Crawford and Saskya Vandoorne contributed to this report.

@highlight

"We did what we said we would do," NATO chief says

@highlight

A decision on a definitive end date will be made next week

@highlight

NATO confirms a strike by its aircraft likely contributed to Gadhafi's capture

@highlight

Officials: Coalition forces' seven-month mission is drawing to an end