(CNN) -- To most of the world, David Beckham is a soccer player, both hero and goat, at times loved and loathed, depending on which end of his gracefully served free kicks you reside.

The hullabaloo over Beckham's arrival on American shores in 2007, however, had little to do with the Beautiful Game. There is no shortage of Americans who see nothing attractive in the sport at all. They don't get it or don't want to. Yet Beckham somehow mattered, if his vocation didn't.

With the 38-year-old announcing his retirement Thursday, it's difficult to quantify his ultimate impact on the game in the United States, but it's safe to say he didn't hurt it.

A rocky start to the U.S. leg of his colorful career may have dampened the fanfare with which he landed in Los Angeles to play for Major League Soccer's Galaxy, but he'd eventually snare two MLS Cups before returning to Europe to ply his trade.

"He was still a bit more successful as a celebrity than as a soccer player, which makes sense, because we're more of a celebrity culture than a soccer culture," said Sports illustrated senior writer and Fox Soccer analyst Grant Wahl.

Wahl, also author of "The Beckham Experiment: How the World's Most Famous Athlete Tried to Conquer America," said the England international's move from Spanish powerhouse Real Madrid to L.A. was met with an immediate spike in interest among Americans.

Becks put butts in seats, and opposing teams would develop marketing plans around him to sell tickets when the Galaxy visited, Wahl said. The results on the field, however, left Galaxy fans wanting, as his first four years were defined by injury, sparse appearances and contentious loan spells to Italy's AC Milan.

Bleacher Report: Beckham's career-defining moments

Still, Beckham's mere presence was enough to increase the attention Americans paid to soccer, which has long been a fifth wheel or worse among many American sports fans.

"it's very hard to specifically quantify" what Beckham has meant to the U.S. game's growth, said Sunil Gulati, president of the U.S. Soccer Federation, but several milestones followed his arrival: MLS attendance is up, there are more live games -- MLS and otherwise -- on television, the L.A. Galaxy has become a global brand, and most important, a sport that commanded only a few column inches of coverage 20 years ago now enjoys widespread coverage by the nation's sports media.

"David helped in that. He's certainly given the sport a lot of exposure," Gulati said. "He increased the visibility of the sport and growth of the game, which was already on a good path."

Consider, too, these facts:

• In 2006, a year before the Coming of Beckham, MLS signed an eight-year deal with ESPN, which brought the league between $7 million and $8 million annually, according to Sports Business Daily. A deal with NBC for the 2012-14 seasons reportedly earned the league $10 million a year.

• About 3 million people attended MLS games in 2006, with an average attendance of about 15,500 per game. Last year, with more teams, the total attendance doubled while the average attendance jumped more than 3,000 per game.

• Chivas USA and Real Salt Lake both paid $10 million expansion fees to join the MLS in 2005, while Toronto FC paid the same amount in 2007. The Montreal Impact, which began playing during the 2012 season, paid $40 million. There are reports that Abu Dhabi's Sheik Mansour bin Zayed al-Nahyan would be willing to pay $100 million for his prospective New York City FC to join the MLS.

• There were only 12 teams in the MLS the year before Beckham arrived. Montreal became the 19th team last year.

• The year Beckham joined the Galaxy, barely 100 players were making $100,000 or more (PDF), and only four -- one of them Beckham -- had a salary of more than $1 million, according to the MLS Players Union. This year, 240 players made at least six figures (PDF), and eight players draw paychecks of $1 million or more.

Blame it on Beckham? Perhaps not. It's a stretch to anoint him "savior of the MLS," Wahl said. The league hasn't collapsed since he left for Paris Saint-Germain. Plus, the MLS did a lot to promote the sport on its own -- building soccer-specific stadiums, expanding into the right cities, developing youth players -- while ESPN helped lay the groundwork with its coverage of World Cups.

But, Wahl concedes, "I do think Beckham is a part of it.

"I look at what he achieved here. It wasn't all that different than what Pele did when he came in the 1970s to play for the New York Cosmos," he said, referring to the North American Soccer League, which folded in 1984.

As the best player of all time, Pele put a spotlight on the game that perhaps no other player could. And while Beckham, wielder of a deft right foot in his own right, won't be mentioned among history's greatest ever, Wahl said he believes Beckham was the biggest celebrity to play the game.

You look at the world's greatest athletes -- Tiger Woods, Usain Bolt, Lionel Messi, LeBron James -- and none carries the cachet that comes with Beckham, Wahl said.

Beckham wasn't even the best player to grace MLS, he said. The New York Red Bulls' Thierry Henry, a French goal machine who holds every major title for which he's competed, including the World Cup that eluded Beckham, holds that honor. But he's no Beckham, either, Wahl said.

So what is it about Becks that makes him so appealing? Gulati said he believes it's that combination of unique player and grand persona that makes Beckham Beckham.

"There's only one player in the last 20 years that is iconic in the way that David Beckham is," he said.

Wahl sees it similarly. Beckham is "a pro's pro," a guy known for his work ethic, a free kick master who captained England for six years and won league championships in England, Spain, the United States and France.

He has a relatively quiet demeanor and lets his action speak more than his words, Wahl said, and it doesn't hurt that he's married to a Spice Girl and is the object of much adoration.

"I think part of it is, he's a tremendously good-looking guy who has embraced the positive and negative that comes with being a global celebrity," Wahl said. "Women love the guy."

Bleacher Report: The evolution of David Beckham's hairstyles

Which explains why he has been found on billboards and in subway stations over the years pimping everything from Samsung and Sainsbury's to Emporio Armani and his own H&M clothing line. Even his son Romeo, 10, is a Burberry model.

While it may be difficult to ascertain exactly how Beckham popularized the American game or whether his MLS Cups or sex appeal were bigger contributions, he certainly spurred Americans' appetite for the sport, if only by being here.

"His biggest achievement," said Wahl, "was signing with the MLS."

@highlight

As Beckham retires, experts say his celebrity lifted game in U.S.

@highlight

His first two years in L.A. were abysmal, but he finished U.S. career with two MLS Cups

@highlight

Since he joined L.A. Galaxy, MLS player salaries, attendance and expansion fees are up

@highlight

Beckham is no "savior of the MLS," says SI's Grant Wahl, but he did a lot to increase exposure