CHENGDU, China (CNN) -- Rainy weather and poor logistics thwarted efforts by relief troops who walked for hours over rock, debris and mud on Tuesday in hopes of reaching the worst-hit area of an earthquake that killed nearly 10,000 in central China, state-run media reported.

Setting out from Maerkang in Sichuan Province at 8 p.m. Monday, the 100 or so troops had to travel 200 kilometers (124 miles) to go before reaching Wenchuan, the epicenter of the quake, also in the province, Xinhua reported. After seven hours, they still had 70 kilometers (43 miles) to go.

"I have seen many collapsed civilian houses, and the rocks dropped from mountains on the roadside are everywhere," the head of the unit, Li Zaiyuan, told Xinhua.

Added CNN Correspondent John Vause: "The roads here are terrible in the best of times ... right now they're down right atrocious. They've resorted to going in one man at a time on foot."

Nearly all the confirmed deaths were in Sichuan Province, but rescuers were hindered because roads linking it to the provincial capital, Chengdu, were damaged, Xinhua reported.

Local radio quoted disaster relief officials as saying a third of the buildings in Wenchuan collapsed from the quake and another third were seriously damaged.

The earthquake was powerful enough to be felt throughout most of China. Many children were buried under the rubble of their schools.

The Chinese government said the death toll was sure to rise.

An expert told CNN the 7.9-magnitude quake at about 2:28 p.m. Monday (6:28 a.m. GMT) was the largest the region has seen "for over a generation."

Residents as far as Chongqing -- about 200 miles from the epicenter in Sichuan Province -- spent the night outdoors, too afraid of aftershocks to sleep indoors.

Local radio in Sichuan quoted disaster relief officials as saying a third of the buildings in Wenchuan collapsed from the quake and another third were seriously damaged.  Watch as the death toll rises »

The state-run Zhongxin news agency reported that a survivor who escaped Beichuan county in Sichuan Province described the province as having been "razed to the ground."

The Red Cross Society of China, coordinating some of the international aid efforts, encouraged financial donations because of the difficulty of getting supplies to those most in need.

At least six schools collapsed to some extent in the quake or aftershocks that followed, Xinhua reported.  See a report on rescue operations at the school »

At one school, almost 900 students -- all eighth-graders and ninth-graders, according to a local villager -- were believed to be buried.  See workers in Chengdu hiding under their desks during the quake »

At least 50 bodies were pulled from the rubble by Monday night at Juyuan Middle School in Juyuan Township of Dujiangyan City, Sichuan Province, Xinhua reported.

"Some buried teenagers were struggling to free themselves from the ruins while others were calling for help. Eight excavators were working at the site. Devastated parents watched as five cranes worked at the site and an ambulance waited," Xinhua reported.

"A tearful mother said her son, ninth-grader Zhang Chengwei, was buried in the ruins."

Meanwhile, 2,300 people were buried in two collapsed chemical plants in Sichuan's Shifang city, and 80 tons of ammonia leaked out, Xinhua reported. Six hundred people died there. The plants were among a series of buildings that collapsed, including private homes, schools and factories.

The local government has evacuated 6,000 civilians from the area and was dispatching firefighters to help at the scene, Xinhua reported.

Much of the nation's transportation system shut down. Xinhua reported there were "multiple landslides and collapses along railway lines" near Chengdu.  Quake victims have been sleeping outside in Chengdu »

Sichuan Province sits in the Sichuan basin and is surrounded by the Himalayas to the west. The Yangtze River flows through the province and the Three Gorges Dam in the nearby Hubei Province controls flooding to the Sichuan -- though there were no reports of damage to the world's largest dam.

Monday's quake was caused by the Tibetan plateau colliding with the Sichuan basin, Zhigang Peng, an earthquake expert at Georgia Institute of Technology in Atlanta, Georgia, told CNN.

"Earthquakes in this part of China are infrequent but not uncommon," he said.

The last major earthquake in the region occurred in the northwestern margin of the Sichuan basin when a 7.5-magnitude quake killed more than 9,300 people on August 25, 1933.

President Hu Jintao ordered an all-out effort to help those affected, and Premier Wen Jiabao traveled to the region to direct the rescue work, Xinhua reported.

"My fellow Chinese, facing such a severe disaster, we need calm, confidence, courage and efficient organization," Wen was quoted as saying.

"I believe we can certainly overcome the disaster with the public and the military working together under the leadership of the CPC Central Committee and the government."

Peter Sammonds, professor of geophysics at University College London, called the earthquake "tremendous."

"Particularly in the more remote, the more mountainous part where this has taken place, a lot of the buildings are built on sediments that are quite unstable. They're probably liquifying, causing the buildings to collapse. You might expect landslides to occur, which could actually stop the relief efforts going through on the roads, so this could be very grim in the remoter, more mountainous parts of this province."

While many of the most immediate efforts were focused on Sichuan Province, Xinhua also reported dead and injured in Gansu, Chongqing and Yunnan provinces.

A provincial government spokesman said they feared more dead and injured in collapsed houses in Dujiangyan City in Wenchuan County.

A driver for the seismological bureau said he saw "rows of houses collapsed" in Dujiangyan, Xinhua reported.

Bonnie Thie, the country director of the Peace Corps, told CNN she was on a university campus in Chengdu about 60 miles from the epicenter, in the eastern part of China's Sichuan province, when the first quake hit.

"You could see the ground shaking," Thie told CNN.

The shaking "went on for what seemed like a very long time," she said.

Bruce Presgrave, a geophysicist with the U.S. Geological Survey, said this quake could cause major damage because of its strength and proximity to major population centers. Also, it was relatively shallow,  and those kinds of quakes tend to do more damage near the epicenter than deeper ones, Presgrave said.

An earthquake with 7.5 magnitude in the northern Chinese city of Tangshan killed 255,000 people in 1976 -- the greatest death toll from an earthquake in the last four centuries and the second greatest in recorded history, according to the U.S. Geological Survey. Tangshan is roughly 995 miles (1,600 km) from Chengdu, the nearest major city to the epicenter of Monday's quake.  Read an explanation about earthquakes »

After the quake struck Monday, the ground shook as far away as Beijing, which is 950 miles (1,528 km) from the epicenter. Residents of the Chinese capital, which hosts this year's Olympic Games in August, felt a quiet, rolling sensation for about a minute.  See CNN's interview with an American in Chengdu »

Thousands of people were evacuated from Beijing buildings immediately after the earthquake.

At least seven more earthquakes -- measuring between 4.0 and 6.0 magnitudes -- happened nearby over the four hours after the initial quake at at 2:28 p.m. local time, the USGS reported.

A spokesman for the Beijing Olympic Committee said no Olympic venues were affected. The huge Three Gorges Dam -- roughly 400 miles east of the epicenter -- was not damaged, a spokesman said.

The earthquake was also felt in Hong Kong, Shanghai, Taiwan, and as far away as Hanoi, Vietnam, and Bangkok, Thailand, according to the Hong Kong-based Mandarin-language channel Phoenix TV.  Impact your world

CNN's John Vause and Jaime FlorCruz contributed to this report.

@highlight

NEW: China says at least 10,000 dead but it expects figure to rise

@highlight

NEW: Rain hampering rescue, aid efforts in worst-hit area

@highlight

Nearly 900 children buried when a school building collapses, 50 bodies found

@highlight

7.9 magnitude quake is felt throughout much of China