(CNN)A leader of al Qaeda in the Arabian Peninsula has claimed responsibility for last week's deadly attack by brothers Said and Cherif Kouachi on the French satirical magazine Charlie Hebdo.

Here's what we know about the Islamist extremist group.

AQAP has its home in Yemen, an impoverished and troubled nation that borders Saudi Arabia and Oman and eyes strife-torn Somalia across the Gulf of Aden.

In recent months, the Sunni extremist group has come under pressure within Yemen from Shiite Houthi rebels and government forces.

But the Paris attack shows the group's apparent continued ability to direct operations beyond Yemen's borders.

Its influence on would-be jihadis is also widereaching, thanks to its slick, English-language online magazine, Inspire, first published in 2010.

As military operations in Afghanistan and Pakistan have squeezed the central leadership of al Qaeda, its affiliates have stepped forward as the main perpetrators of terror attacks, though recently challenged for the spotlight by ISIS.

AQAP chief Nasir al-Wuhayshi is al Qaeda's No. 2 and has so far remained loyal to the terror network's leader, Ayman al-Zawahiri. He was designated as al-Zawahiri's global deputy in 2013.

AQAP late last year issued a rebuke to ISIS -- already cut off by al Qaeda's general command in February -- reflecting a certain rivalry between al Qaeda and ISIS, as the latter seeks to extend its reach beyond Iraq and Syria.

Some analysts say that rivalry could prompt each terror group to escalate.

"The tension, and the competition, between al Qaeda and ISIS is tremendous," says Matthew Levitt at the Washington Institute for Near East Policy. "They're in competition for money. They're in competition for recruits. They're in competition for the attention of the media."

He said AQAP had recently been eclipsed in the race for global impact.

"They hadn't carried out anything spectacular in quite some time, and were becoming second fiddle to their jihadi competitors in ISIS," he said. Meanwhile, "ISIS has tremendous things to point to for their success: The holding [of] territory; they've established a caliphate. The vast majority of foreign fighters who are traveling from around the world are flocking not to al Qaeda, but to ISIS."

Al Qaeda in the Arabian Peninsula first emerged in Saudi Arabia in 2002, but thanks to the efforts of the Saudi authorities was a mostly spent force by 2005, according to analysis from Jane's World Insurgency and Terrorism. It re-emerged, reinvigorated, in Yemen in 2009 after the Saudi outfit merged with a Yemeni al Qaeda counterpart, the analysis said.

In a video statement released a week after the bloody shooting at the magazine's Paris offices, AQAP commander Nasr Ibn Ali al-Ansi claimed full responsibility for the attack.

"We clarify to the Islamic world that the one who chose the target, laid the plan, financed the operation and appointed its emir, is the leadership of the organization," he said.

Al-Ansi described the Kouachi brothers as heroes, saying they not only accepted their terror assignment but "promised and fulfilled."

He said the arrangements for the operation had been made by the group's late leader, radical American cleric Anwar al-Awlaki, "who threatens the West both in his life and after his martyrdom."

The attack was revenge for the magazine's depictions of the Prophet Mohammed, he said.

Al-Ansi blamed not only Charlie Hebdo, but also France and the United States in his statement.

U.S. National Security Council spokesman Alistair Baskey said the intelligence community was working to determine the video's authenticity.

There have been conflicting accounts as to which of the brothers went to Yemen -- or whether, indeed, it was both -- and how many times.

But a senior Yemeni security source told CNN the Yemenis believe both were in Yemen for about three months, starting in April 2011.

It is unclear how much of the time the brothers spent together. The official added the Yemenis do not believe Cherif attended language schools in Sanaa, as his brother had earlier.

It is thought likely that one or both of the brothers received weapons training from AQAP while in Yemen and that one may have met with al-Awlaki.

A Yemeni journalist and researcher, Mohammed al-Kibsi, told CNN he had twice met and spoken with Said Kouachi in the capital, Sanaa, and that Kouachi had briefly roomed there with the failed "underwear bomber" Umar Farouk AbdulMutallab.

Investigators believe Cherif Kouachi was in Yemen in 2011 and that when he left, he was carrying money from AQAP earmarked to carry out attacks, a U.S. official told CNN. The investigators believe AQAP could have provided as much as $20,000 but the United States hasn't verified the exact amount.

U.S. officials consider AQAP the most dangerous branch of al Qaeda, according to CNN terrorism analyst Paul Cruickshank.

In November, AQAP released a statement calling on Muslims around the world to forget their differences and renew their efforts to carry out operations against American targets, whether civilian, military or diplomatic.

The U.S. State Department's Rewards for Justice program has posted a reward of up to $10 million for information that brings al-Wuhayshi to justice, saying he "has provided significant support for AQAP terrorist operations." He has been a Specially Designated Global Terrorist since 2010.

And while al-Awlaki was killed in a U.S. drone strike in Yemen in 2011, the radical cleric's influence lives on -- and with it a threat to the United States, says CNN national security analyst Peter Bergen.

Al-Awlaki was an influence on Tamerlan and Dzhokhar Tsarnaev, who are alleged to have killed three people in the Boston Marathon bombings in 2013, Bergen said.

He also influenced Carlos Bledsoe, who shot up an Army recruiting center in Little Rock, Arkansas, killing an American soldier in 2009. After the attacks, Bledsoe said his spiritual inspiration was al-Awlaki.

Maj. Nidal Hasan killed 13 people at Fort Hood, Texas, in 2009 after sending 18 emails to al-Awlaki in Yemen, a correspondence that was known to the FBI. Al-Awlaki did not direct this attack, but he was the key inspiration for Hasan.

AbdulMutallab's botched attempt to bring down an American jet over Detroit in the fall of 2009 also was directed by al-Awlaki, Bergen said.

A video released by AQAP's official media arm in December showed a short clip of AbdulMutallab together with both al-Wuhayshi and al-Awlaki.

AQAP set out its objectives in a May 2010 statement as the "expulsion of Jews and crusaders" from the Arabian Peninsula, the re-establishment of the Islamic caliphate, the introduction of Sharia, or Islamic law, and the liberation of Muslim lands, according to analysis from Jane's World Insurgency and Terrorism.

This suggests the group aims to rid Yemen and Saudi Arabia of non-Muslims and overthrow the nations' governments, to be replaced with what it considers to be an Islamic state.

To that end, it has targeted foreigners and government forces in Yemen, as well as Saudi leaders. In 2009, Prince Mohammed bin Naif bin Abdulaziz, the Saudi Arabian deputy minister of interior, survived a bomb attack carried out by an AQAP militant.

Through its Inspire magazine, the group also hopes to radicalize Western Muslims and stoke grass-roots jihadist action in Western nations, the Jane's report says.

The group's current incarnation "is widely considered to be the al Qaeda regional franchise that represents the most serious international threat," it concludes.

CNN's Salma Abdelaziz, Tim Lister, Paul Cruickshank, Dugald McConnell, Barbara Starr and Michelle Kosinski contributed to this report, as did journalist Hakim Almasmari.

@highlight

The Yemen-based al Qaeda affiliate has played a part in several attacks against the West

@highlight

One or both of the Kouachi brothers are believed to have had contact with AQAP in Yemen