Just $50,000. That was the humble fundraising goal Ryan Grepper set on July 8, lowering his expectations for the second Kickstarter campaign for his Coolest Cooler creation, a high-tech cooler jam-packed with all sorts of fun gizmos -- from a built-in ice crushing blender to Bluetooth speakers and a USB charger.

See, the first time Grepper took to the crowdfunding site -- back in November 2013 -- his goal was far more ambitious: $125,000. Yet, after an encouraging strong start, interest in the campaign began wavering. By closing, the project managed to raise a little over $100,000 in pledges and eventually failed to hit its mark.

The failure dealt a blow to Grepper's confidence -- but the entrepreneur, who describes himself as "part visionary, part mad scientist" refused to give up. Taking the lessons he'd learned from the failed campaign, Grepper re-grouped and last month re-introduced an advanced version of his creation.

The result?

Just over a month later: more than $8.2 million in pledges and some 41,000 backers. With 21 days still to go, Grepper's project has become the third most-funded campaign on Kickstarter ever -- and could very well hit the top spot if pledges continue to pile in.

So, what was the secret behind Grepper's astonishing comeback? And what are the best tips that could help turn your business idea into a crowdfunding mega-success? To find out, CNN's Future Finance spoke to Grepper himself and Julie Wood from Kickstarter, as well as crowdfunding experts Piers Duruz and Salvador Briggman about their top tips for being a Kickstarter success.

Ryan Grepper, Coolest Cooler creator

Make sure the design is visually compelling. My first Kickstarter campaign failed and I believe one of the biggest reasons was that I had not advanced the design far enough to capture the Kickstarter audience.

Kickstarter is a very visual platform. When I took my design further along in the process I was better able to share my love of the Coolest and more people naturally connected.

Consider the time of year when customers will be most receptive. I originally launched the Coolest in November. At the time I was thinking we might hit the Christmas shopping and tailgating audience, but what quickly became apparent was that folks were not focused on coolers in November. Relaunching in July was perfect because people are thinking about coolers during the summer and it was much easier to get exposure. This sounds obvious now, but I believe in learning from my mistakes.

Develop a following before the campaign. Although my first campaign failed, I saw that some people were very interested in the Coolest. We nurtured that interest in between our first and second campaign and worked hard to grow that excitement. By the time we launched our second campaign we had a terrific core of interested backers. Now I can't believe how our group of backers has grown.

Julie Wood, Kickstarter spokesperson

Make a video! Projects with videos have a higher success rate than those without. Your video doesn't have to be super pro looking. Some of our favorite project videos have a very DIY feel.

Offer great rewards!  Some rewards are straightforward, like a copy of the album you made. Other rewards are more creative and unique. The best projects tend to have a mix of both -- it's important to have great rewards at at all pledge levels. The most popular pledge amount on Kickstarter is $25, and the site-wide average for all pledges is about $70.

Updates are a great way to build a relationship with your backer community. While your project is live, keep your backers informed about new developments and funding milestones. It'll inspire them to help you spread the word. Treat your project like a story that's unfolding before their eyes. Detailed updates like "Pics from last night's show!" or "We found a printer for our book!" are fun for everybody to follow along with.

Piers Duruz, founder of Crowdfunding Dojo

Start building an email and social media audience immediately, with the promise of content that interests them for following you. Growing an audience takes time, but you can do it while you plan everything else. Even your journey to prepare can be interesting to the right people.

The first 48 hours of your campaign is the most critical. If you can get your followers to visit and pledge at any time, make it right at the start.

Read this: How to start your own currency

Start your promotion with the people who are closest to you and work your way out. Each group provides social proof to the next group, by showing other people have already backed you when they arrive.

Salvador Briggman, founder of CrowdCrux

Don't re-invent the wheel. Study the creators that have come before you. How did they structure their Kickstarter page? What rewards did they offer? How many updates did they do throughout the campaign?

In addition, by backing several popular projects in your category, you can see how other creators do backer communication and how long it takes them to fulfil their promises. Also, by browsing their list of backers, you can get an idea of whether the supporters are part of the Kickstarter community (backed multiple projects) or are first-time supporters, meaning the project drove a lot of its own traffic.

Focus on emotion, but back it up with technical ability. It's no secret that part of what makes crowdfunding campaigns spread quickly and gather a supporter base is social media. Whether it's networks like Facebook, Twitter, LinkedIn, and Pinterest ,or social bookmarking websites like Reddit, StumbleUpon, Digg, Blogs, and Tumblr, information can disseminate in a matter of hours and light up the web 2.0 news networks.

What many people overlook is the reason why information spreads: it spreads when it makes a reader feel a certain way, which then makes them want to share that link.

The feeling that prompts a backer to share that link could be "This is so cool!" or "This is an important cause." It's easiest to invoke a feeling when you have a prior relationship with your backers, as is the case with the multi-million dollar "Reading Rainbow" campaign.

Although ultimately, you want your backers to come away from your video and campaign feeling something, you must also back up your pitch with technical ability. What prototype have you created? Why can your team deliver on their promises? You must engage both the left and right hemisphere of the brain when crowdfunding.

Everything is sales. Typically, when we think of a salesman, we think of a slimy quick-talking city slicker with too-white teeth and a $2,000 suit. These types of individuals are an instant turnoff.

The best types of salesmen don't make you feel like you are being "sold to." They have the ability to create the urge to buy. Usually this is the result of giving people what they want, or connecting problems people experience with an appropriate solution.

Since you are going to be doing a lot of self-promoting, it's important that you adopt the mental mindset of your potential backers. What types of rewards would get them excited? How would they want to be pitched? What would turn them off?

Read this: How to start your own currency

Read this: Would you bank with Starbucks?

@highlight

Want to launch a successful Kickstarter campaign? Here's how to do it

@highlight

Ryan Grepper raised $8 million for his Coolest Cooler

@highlight

Compelling design and the right timing are key, he says

@highlight

Experts say building a social media audience early is key