Pottstown, Pennsylvania (CNN) -- Health and safety concerns about Japanese nuclear power plants after this month's earthquake and tsunami have Lindsey Schiller wondering what could happen across the street from her own house in her Philadelphia suburb.

Schiller, who is a registered nurse, has lived for nearly a decade with her husband and two children in the shadow of the Limerick Generating Station nuclear energy facility in Pottstown, about  20 miles northwest of Philadelphia.

Since long before the Japanese disaster, Schiller's unique neighborhood landmark has been the source of family jokes.

"We kid around when we get really big flowers ... we're under the power plant, and I kid around that I glow," laughed Schiller as she held her baby Adam in sight of the plant's giant twin cooling towers.

In all seriousness, she said, all the Schillers are happy and healthy. "We have nothing going on different" from anyone else despite their nuclear neighbors.

But Schiller did express concern when she learned that new scientific data show a slightly higher risk that the plant may be damaged during a powerful earthquake, according to a report by the U.S. Nuclear Regulatory Commission.

"Should something occur, they would warn us," Schiller said. "I kind of figure we're all in the same boat."

Radiation: What you need to know

The power plant has sent information to surrounding residents that shows how to prepare for a nuclear emergency, Schiller said, but she admitted her family has not prepared an at-home emergency kit. "We would just sort of put them together if we had to evacuate," Schiller said.

The risk of a quake-related nuclear accident, experts say, is comparatively low because the facility is rated to withstand levels of seismic movement that are rare for the region.

Based on U.S. Geological Survey seismic data from 1989, the NRC report estimated the annual risk of quake-related damage to the nuclear core at the Limerick plant to be relatively remote -- once in about 50,000 years.

But updated research increased the chances of quake damage slightly.

According to the NRC report, 2008 seismic hazard estimates from the USGS indicate the annual risk of damage to the core at about once in 20,000 years.

"The chances of damage are extremely remote, but engineers compare two very remote risks to understand their relative meaning," said Gregory S. Hardy, a consulting engineer with the NRC and the International Atomic Energy Agency for the firm Simpson Gumpertz & Heger. "Getting into your car and driving on a freeway poses a risk that everyone realizes could result in a fatal crash, but the chances are so remote that we decide to take that risk."

How close are you to a U.S. nuclear plant?

Limerick operator Exelon released a statement recently expressing confidence that its "nuclear facilities are equipped with numerous and redundant safety systems designed to protect them against earthquakes, flooding and other natural disasters."

Although Schiller's concerns about earthquakes have risen after the March 11 disaster, the troubles with Japan's Fukushima Daiichi nuclear power plant aren't directly blamed on the quake, but on the devastating tsunami that followed it. After the 9.0-magnitude quake hit, the tsunami cut off power to systems that cooled nuclear fuel. Virtually landlocked Pennsylvania is not in a danger zone for tsunamis.

Pennsylvania State University geoscience professor Dave Bice said a similar quake in this region is very unlikely.

"There's very, very little earthquake activity here," he said. "In some areas, there are lots of very, very small earthquakes, but the energy they release is very, very minimal."

On Wednesday, the NRC announced it would review programs and regulations in light of the Japanese troubles to ensure protection of public health and safety.

U.S. nuclear agency launches safety task force

As for Schiller, she doesn't anticipate an earthquake near her home anytime soon. But if something does happen, she said, "We're going to be the first ones to find out."

For some, Limerick's towering structures provide a reliable directional beacon for Pottstown's 22,377 residents, as they make their way to the local outlet shopping mall with its Gap and Cole Haan stores and a new Wegmans grocery store not far away. But the towers also remind residents that nuclear power comes with risks that are very different from traditional fossil fuel-burning plants.

In a national CNN/Research Corporation poll of Americans who live near nuclear power plants, nearly 60% said it's unlikely that a disaster or accident would put their families in immediate danger.

In addition, nearly 60% of poll respondents said they didn't think local emergency services were prepared to handle that kind of situation.

See details about the poll

The same poll also suggests that most Americans living near nuclear power plants haven't prepared disaster supply kits.

Tour a New York nuclear power facility

Schiller said she's generally comfortable with her community's preparedness. "All the local schools, they all have evacuation plans and they tell you where your child will be evacuated to."

But public reaction to an emergency is something that gives Schiller pause. "I honestly would be afraid that there would be some mass panic -- mass exodus -- and the highways and the roads would get pretty congested and blocked, and I think it potentially could be chaotic."

Nukes protected from big disaster costs

The Limerick plant, which first went online in 1986, can keep electricity flowing to more than 2 million homes, its website says. It's awaiting NRC approval to increase its capacity, and the plant's owners intend to apply for a 20-year extension to its operating license.

In a statement, John Rowe, Exelon chairman and CEO, said his company's "plants are safe, particularly given the different seismic patterns in our regions and the absence of tsunami-type events where we have operations."

Congressional supporters of nuclear power, like Sen. Joe Lieberman, I-Connecticut, have expressed interest in slowing down the permitting process for new nuclear power plants in the U.S. until more information is known about the troubles at the Japanese facilities.

Nuke lobbyists scramble on Capitol Hill

Rowe's statement said, "... we watch, we learn, and we will work with the Nuclear Regulatory Commission and other policymakers, as well as industry colleagues, on what, if anything, should be done to apply what can be learned from" events in Japan.

Far from Capitol Hill, perhaps nowhere is the nuclear reminder taller and more in-your-face than at Schiller's home, which is dwarfed by Limerick's twin towers. When she looks out the living room window of her cozy home, they are just a couple of football fields away from her front door.

Schiller says she's not planning any major changes in light of the NRC report and the events in Japan.

"Let's just say I'm not gonna pack up and leave tomorrow."

@highlight

Pennsylvania mom concerned about a nuclear power plant across the street

@highlight

Agency: Chance of yearly quake core damage upgraded to 1 in 18,868, vs. 1 in 45,455 before

@highlight

New data also affects other U.S. nuclear power plants; officials reviewing regulations

@highlight

Owner: Plant is safe; mom: "Should something occur, they would warn us"