Washington (CNN) -- A Food and Drug Administration advisory committee said Wednesday that the agency should look at updated data on mercury amalgam dental fillings that may indicate possible medical problems for patients.

The panel -- after hearing two days of testimony from experts, members of the public and dental professionals -- recommended the FDA look at information updated since the agency ruled in 2009 that the mercury in dental fillings is not harmful.

Committee members noted, however, that the FDA's decision was solid, based on information available at the time. The committee also stressed that more studies need to be done on amalgam fillings, especially in children.

Public pressure prompted the panel's review, initiated less than 18 months after the agency's decision.

Committee members listened to testimony by consumer and dental groups claiming the FDA used flawed science when it set the current guidelines for mercury safety levels.

"We need to see where the science is and if there are gaps." said the panel's chairwoman, Dr. Marjorie Jeffcoat, a dentist and researcher with the University of Pennsylvania.

In its final rule, the FDA concluded clinical studies did not establish a causal link between dental amalgam and health problems in people age 6 and older. But it did add that developing fetuses and young children may be more sensitive to the neurotoxin.

Amalgam tooth fillings are an alloy made up of various metals and 50 percent mercury,

Mercury toxicity has been well documented, but when it comes to amalgam fillings there isn't a lot of data. Many dentists favor these fillings because they are cheap, easy to put in place and durable.

Dental professionals also argue that mercury fillings last longer than resin composites, and are easier on the tooth. The American Dental Association agrees with the FDA that amalgam fillings are safe.

Yet, some experts say mercury from these fillings penetrates into the body and damages human cells, especially in the brain, bones and kidneys. How much damage it is unknown, which is why the advisory committee is revisiting the issue.

In Wednesday's public hearing, 30 people testified for and against the use of amalgam fillings.

Jessica Kerger, an attorney from Toledo, Ohio, said she was a healthy child until she started getting amalgam fillings. As she got older, she faced numerous health problems and a variety of diagnoses. She even had her amalgam fillings removed. It wasn't until a doctor tested her for mercury poisoning that she realized her problem, she said.

Now, after being treated for excess mercury in her body, Kerger said, "I'm an active mother, attorney and I have a black belt in karate. I blame my fillings and I am begging the FDA to get rid of them."

While others testified that mercury in their fillings caused such health problems as loss of memory, impaired vision, miscarriages and paralysis, many dental professionals asked that amalgam fillings remain.

Addressing the board, Dr. Vincent Mayher, a former president of the Academy of General Dentistry, said public accusations that dentists force patients to receive amalgam fillings is exaggerated.

"It's Inflammatory. No dentist I know of forces a patient at any time to get amalgam fillings these days, especially pregnant women and little children." Mayher testified

Andrew Read Fuller, a dental student at UCLA and member of the American Student Dental Association, noted there is no scientific data that amalgam fillings cause the problems some attribute to them, and said that, as a future dentist, he would use amalgam fillings on any of his patients as well as himself.

"In the absence of new evidence there is no reason to question the FDA's decision." Fuller said.

Yet some dentists did say they would avoid using amalgam fillings because of numerous public reports of mercury poisoning.

"I always wondered why we were told by the (American Dental Association) to be careful when disposing of mercury. If it's so dangerous to the environment, why not my patients?" asked Dr. Stephen Markus, a dentist in the Philadelphia area.

The committee also recommended that the FDA come up with models that could be used to look at the effects of mercury vapor exposure from dental fillings. And when designing these models, it said, the agency should take into consideration age, health history and physical makeup of individuals.

There was also discussion that more data needs to be looked at to come up with stronger models, especially those based on younger children and unborn fetuses.

More information on amalgam fillings should be posted for both for patients and dentists, the committee said.

It also noted the FDA's biomarker using urine to detect mercury exposure is not perfect but is the best available for adults. Members also noted that more updated data is needed before the agency can make stronger guidelines on amalgam fillings.

Although the committee's recommendations will go to the FDA board for consideration, the board does not have to follow them. Traditionally, however, it does.

@highlight

Advisory panel recommends re-evaluation of mercury in dental fillings

@highlight

The FDA ruled in 2009 that the mercury is not harmful

@highlight

Updated data should be examined, the panel says