(CNN) -- America's foreign policy has gone into a tailspin. Almost every major initiative from the Obama administration has run into sharp, sometimes embarrassing, reverses. The U.S. looks weak and confused on the global stage.

This might come as happy news to some opponents of the administration who enjoy seeing Barack Obama fail, but it shouldn't.

America's failure in international strategy is a disaster-in-the-making for its allies and for the people who see the U.S. model of liberal democracy as one worth emulating in their own nations.

There is no question that Obama was dealt a difficult hand.

He came to office after America's international standing was battered by the unpopular Iraq war launched by George W. Bush. Since then, countless events outside of Washington's control have presented the White House with options ranging in many cases from bad to worse, and problems that had no good solution.

Still, trying to count the ways in which foreign policy has gone badly for Obama makes for a stunningly long list.

Relations with Russia have fallen off a cliff, making the theatrical "reset" of 2009 look, frankly, cringe-worthy. No, it's not all Obama's fault. Putin has sought to belittle the U.S. and humiliate Obama personally, a man he reportedly despises, as part of his campaign to build up his authoritarian rule at home. Obama just canceled a summit meeting after Putin -- incredibly, posing as the great defender of freedom -- granted asylum to NSA leaker Edward Snowden despite the very public pleas from Washington, which only made the U.S. look more powerless.

You might confuse the times with the old Cold War days, but back then the U.S. looked mighty -- one of two awe-inspiring superpowers. The U.S. doesn't exactly inspire awe anymore.

Obama dramatically warned Syrian dictator Bashar al-Assad, as he slaughtered his people by the thousands, that if he used chemical or biological weapons, he would cross a "red line." The line was crossed and not much happened. Syria is crumbling, self-destructing in a civil war that I, for one, believe could have turned out quite differently if Washington had offered material and diplomatic support for moderates in the opposition. Fears that the opposition would be dominated by extremists became a self-fulfilling prophecy.

Syria's war has sucked in Lebanon's Iran-backed Hezbollah militia, taking Lebanon to the edge of disaster and making Iran a major player in a war for the survival of the anti-American Shiite axis -- Iran-Syria-Hezbollah -- while the U.S., to all appearances, stands helplessly on the sidelines.

But it is Egypt where America's foreign policy fiasco is most visible.

It was in Cairo in 2009, where the newly elected Obama, still reflecting the glow of sky-high expectations, launched his campaign to repair relations with the so-called "Muslim World."

His landmark "New Beginning" speech in Egypt was cited by the committee that awarded Obama the Nobel Peace prize.

Nobody knew what would happen in Cairo's Tahrir Square a few years later. But today, the same people who yearned for democracy despise Washington. When Egyptians elected a Muslim Brotherhood president, Washington tried to act respectfully, but it showed a degree of deference to the Muslim Brotherhood that ignored the ways in which the group violated not only Egyptians' but America's own standards of decency and rule of law.

As tensions in Egypt grow between Islamists on one side and the military and anti-Islamists on the other, there is one sentiment shared by all: Both sides feel betrayed by Washington.

Egypt's most powerful man, Gen. Abdel Fatah al-Sissi, said, "You [the U.S.] left the Egyptians; you turned your back on the Egyptians, and they won't forget that."

The awkward dance around whether to call Egypt's overthrow of President Mohamed Morsy a coup made Washington look dishonest and incompetent, especially when Secretary of State John Kerry accidentally went off script during an interview in Pakistan, saying the military was "restoring democracy."

Just as the Arab uprisings were unfolding, the U.S. announced a major new policy, the "pivot" to Asia, with new attention to China's rising power. But the pivot proved premature. The Middle East demanded American attention with increasing urgency.

Then there's al Qaeda, all but given up for dead, now apparently resurrected. More than a dozen U.S. embassies stand shuttered across the Middle East and Africa, the world's last remaining superpower symbolically cowering behind locked gates.

The scare came from what could be counted as a victory for U.S. intelligence, reportedly the result of communications surveillance. And yet, one wonders whether telling the world that the U.S. successfully listened in on al Qaeda's leaders isn't an absurd mistake. But Washington is on the defensive, trying to explain to the world that the surveillance is still necessary.

Everyone, it seems, is angry at the U.S. after Snowden's revelations of NSA spying. Even Germany, one of America's closest friends, cannot hide its irritation. Bolivia is furious after the presidential plane was forced to land on suspicions that Snowden was aboard.

America's diplomatic disaster is the result of ham-handed efforts to please all sides, compounded by a failure to explain America's position in a coherent way. In fact, there is no driving idea behind the country's foreign policy. What does America stand for in the world today, can anyone answer that question?

The problem, ironically, is tailor-made for none other than President Obama. Although there is no denying that he bears the brunt of the responsibility for the problem, he is someone who has shown a talent for distilling overarching ideas from competing narratives.

It is time for a real reset, for a pivot.

It is time for Obama to spend some time thinking about what America stands for, what its goals are and then explain it in a clear and credible way. Even if we disagree with his conclusions, at least there will be a North Star guiding his policies.

Obama's supporters and his critics should hope he can pull America forward.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: The U.S. looks weak and confused on the global stage

@highlight

Ghitis: The ways in which foreign policy has gone badly for Obama makes for a long list

@highlight

She says relations with Russia have fallen off a cliff; leaders in Egypt don't trust us

@highlight

Ghitis: Obama should spend some time thinking about what America really stands for