Pasco, Washington (CNN)A proud laborer from Mexico, Antonio Zambrano-Montes picked fruit in the orchards of Washington state, but when his most valuable tools -- his hands -- became injured last year. he fell into deep despair.

He couldn't work or send money to family in Mexico, two routines that shaped his life.

It was this misfortune that distressed Zambrano-Montes in the days before he and police in the town of Pasco clashed in February, in a confrontation that ended with officers firing a total of 17 bullets, hitting Zambrano-Montes several times and killing him. He was unarmed but was accused of pelting police with rocks.

His killing is now cited by family and Latino activists as another national example of officers using excessive lethal force against unarmed men, often minority men.

The police shooting of Zambrano-Montes, 35, now haunts his family, due in no small measure to how the hail of police bullets was captured on videos and posted on YouTube by bystanders.

"Toño," as loved ones called him, was one of 16 children, and he migrated to the United States about 10 years ago to join other relatives and harvest food on farms, said his mother, Agapita Montes.

That police fired 17 bullets at one of her 16 children leaves the mother aghast, she said.

"My son was a happy person, a hard worker and he got along with his siblings," the mother said last week in an interview with CNN en Espanol shortly after a funeral service for her son at Pasco's Saint Patrick Catholic Church.

"I had not seen him in 10 years, but I would talk to him over the phone," said the mother, who traveled to Pasco from her rural home in the central Mexican state of Michoacán for her son's funeral.

"I felt good that he was here. He was happy, and as a mother that was good for me," she said.

It was at a funeral home where the 60-year-old Montes saw her son for the first time in a decade.

More precisely, what she saw was his body.

She almost fainted.

"Imagine so many years without seeing him and to come and see him in this situation. For a mother, it's heartbreaking, something you never hope for or want to happen to your children," Montes said.

The video of officers gunning down Zambrano-Montes keeps playing over and over in the minds of the family. The tape shows Zambrano running across a street with police in pursuit before he was fatally shot.

Police have said that Zambrano-Montes was throwing rocks at cars and trucks when confronted by police. He then allegedly stoned two officers, and police resorted to deadly force, authorities said. Officers had used a Taser on him, but it wasn't effective, police said.

From what the mother has seen of the video, she noticed her son isn't shown throwing rocks.

"I don't see him throwing rocks. The only thing I can see is that he's running, he raises his hands and they still shoot him. Why? I ask myself. Why?"  Montes said.

"And when he falls, they still handcuff him, and that is what hurts me the most."

Zambrano-Montes' family said his limited English left him unable to understand the officers' commands, shouted in English. More than half of Pasco's 68,000 residents are Latino. Of the 71 sworn officers in the police department, 12 are certified as fluent in Spanish, a spokesman said.

Montes now wants justice for her son.

"I ask for justice to be done because it's not right what they did to my son," Montes said.

Erlinda Zambrano, an aunt of Zambrano-Montes, also found it very difficult to accept the police version of events, she said.

"We are living with profound pain from how he died, and it's something very bad and terrible," the aunt said. "I look at the videos now and I cannot sleep because it's too hard."

The police killing of Zambrano-Montes has left the family grief-stricken and torn apart.

In fact, a rift has developed between his mother's family and his former wife, Teresa De Jesus Meraz Ruiz, 32, who's also mother to his two young daughters.

Each side commissioned a separate autopsy on Zambrano-Montes' body. The mother and the former wife haven't spoken to one another for years. In fact, Zambrano-Montes and the former wife had been separated for many years, according to the mother and the former wife's attorney.

In all, the case involves three autopsies, including the one conducted by authorities.

In a surprising revelation this past week, one of the autopsies appeared to conflict with the official account.

The autopsy commissioned by Meraz Ruiz and her attorney appeared to show that Zambrano-Montes had bullet wounds to the buttocks and the back of the arm.

That is at odds with what authorities said a day earlier, when Kennewick Police Sgt. Ken Lattin told reporters, "We do know this from the preliminary autopsy report, there were no shots in the back."

Kennewick police belong to a team of local law agencies, called the Tri-City Special Investigative Unit, that is conducting an independent investigation of the police shooting of Zambrano-Montes in Pasco.

Franklin County Prosecuting Attorney Shawn P. Sant declined to comment this week on how the conflict between the two autopsies. Sant was shown a copy of a body diagram in the second autopsy, conducted by the former wife's side, he said.

"Our office is waiting for complete reports from both pathologists before making any conclusions," Sant said in a statement.

"There are several questions that will be answered in the final pathology reports including number of gunshot wounds, number of bullets recovered, bullet trajectories, etc.," Sant said.

Ultimately, an inquest jury will "decide what information is significant to the cause and manner of death and whether anyone is criminally liable for Mr. Zambrano's death," Sant said.

Zambrano-Montes's mother said her son married Meraz Ruiz in a church ceremony in Mexico more than 10 years ago, but the marriage wasn't officially registered with civil records.

Meraz Ruiz couldn't be reached for comment, but her attorney, Charles Herrmann, acknowledged his client's church marriage in Mexico and asserted that Meraz Ruiz is the legal wife and widow of Zambrano-Montes.

The couple had been separated for "quite some time," and Meraz Ruiz and the couple's two daughters now live in California, Herrmann said.

Meanwhile, Ruiz and her two children this week withdrew a $25 million claim against the city of Pasco alleging that officers killed Zambrano-Montes "execution style," Herrmann said.

Herrmann said his client wants to do more research and investigation into the shooting. The former wife plans to file a renewed claim at a later date, Herrmann said.

For her part, Zambrano-Montes' mother has hired attorney Benjamin Crump, who has represented the families of Michael Brown and Trayvon Martin, both young African-American men whose deaths caused national protests.

Brown, 19, was unarmed when he was fatally shot by a white police officer in Ferguson, Missouri; the officer was cleared of criminal wrongdoing. Martin, 17, was also unarmed when he was fatally shot in a physical confrontation in Florida with former neighborhood watch captain George Zimmerman, who was later acquitted of a murder charge by a jury.

Meanwhile, the Mexican consul in Seattle, Eduardo Baca, has written a letter to Pasco Police Chief Robert Metzger expressing "deep concern over the unwarranted use of lethal force against an unarmed Mexican national by police officers."

Zambrano-Montes' mother and family have asked U.S. Attorney General Eric Holder to conduct "a full, fair and complete investigation" into the killing, according to a Friday letter provided by the mother's attorney.

The U.S. Justice Department office in Seattle is monitoring the case, a spokesman said.

Also, the FBI in Seattle "is monitoring the investigation of this use of force, conducted by the Tri-City Special Investigative Unit," FBI spokeswoman Ayn Dietrich-Williams in Seattle said.

Meanwhile, Latino community leaders in Pasco met Wednesday with the U.S. attorney for Eastern Washington, Michael Ormsby, and Assistant U.S. Attorney A. Aine Ahmed, according to the group Consejo Latino.

The meeting lasted two and a half hours, the group said.

That organization is advancing a community demand for a U.S. Department of Justice inquiry into Zambrano-Montes' killing because of "widely-held community beliefs that the local police investigation of the police shooting was perceived as a conflict of interest and was lacking in credibility and impartiality," Consejo Latino said.

According to the group, the federal prosecutor's office will provide remedies and suggestions to Pasco police on their practices and procedures.

For now, Zambrano-Montes' mother has taken control over her son's body, which she plans to send to Mexico for burial on a little ranch called Pomaro in the Michoacán municipality of Aquila, she said.

The former wife isn't contesting the mother's control over Zambrano-Montes' body, said Herrmann, attorney for the former wife.

The plot is near where the mother and her family live, in the mountains far from people. In fact, they must walk a good distance just to go shopping, Montes said.

His burial has been delayed because the mother commissioned an autopsy on her son in Florida, conducted this past week, and she has ordered more tests on his remains.

His grave will mark the end to a long journey.

He came to the United States looking for his own American dream, Zambrano-Montes's family said.

But he left the world through what his family says is a continuing nightmare.

CNN en Espanol's Jaqueline Hurtado reported from Pasco. CNN's Michael Martinez wrote and reported from Los Angeles.

@highlight

Antonio Zambrano-Montes, 35, picked fruit in Washington state's orchards until he injured his hands

@highlight

He arrived to the United States about 10 years from Michoacan, Mexico

@highlight

His family says they want justice after he died unarmed in police shooting