(CNN) -- Rebecca MacKinnon: We're losing control of our digital privacy

The erosion of privacy rights under the Fourth Amendment, written to protect us against unreasonable search and seizure, began in earnest under President George W. Bush. The Patriot Act, passed overwhelmingly but hastily after 9/11, allows the FBI to obtain telecommunication, financial, and credit records without a court order. Moreover, the Foreign Intelligence Surveillance Act's 2008 amendment act grants U.S. companies immunity from being sued by their customers when they comply even with blatantly illegal government surveillance requests.

As a presidential candidate in 2008, Barack Obama pledged to reform the Patriot Act and rescind the FISA Amendments Act, but as president he reversed his position. The Obama administration has fought bipartisan efforts in Congress to bring the change he once championed.

The result is the "new normal": surveillance, often of questionable legality and sometimes clear illegality, against which Americans have little effective recourse, on the rare occasions that we even know that violations are taking place. Read more ...

Rebecca MacKinnon is a Bernard L. Schwartz senior fellow at the New America Foundation, co-founder of the international bloggers' network Global Voices Online, and a founding board member of the Global Network Initiative. She is the author of "Consent of the Networked: The Worldwide Struggle for Internet Freedom."

Douglas Rushkoff: NSA's phone snooping a different kind of creepy

I'm finding it hard to get too worked up over the revelation that the National Security Agency has been authorized by the secret Foreign Intelligence Surveillance Court to collect all our call data from Verizon. Hasn't everyone already assumed this? Everything we do in the digital realm -- from surfing the Web to sending an e-mail to conducting a credit card transaction to, yes, making a phone call -- creates a data trail. And if that trail exists, chances are someone is using it -- or will be soon enough. Read more ...

Douglas Rushkoff writes a regular column for CNN.com. He is a media theorist and the author of the new book "Present Shock: When Everything Happens Now.

Bruce Schneier: The Internet is a surveillance state

All of us being watched, all the time, and that data being stored forever. This is what a surveillance state looks like, and it's efficient beyond the wildest dreams of George Orwell.

Sure, we can take measures to prevent this. We can limit what we search on Google from our iPhones, and instead use computer web browsers that allow us to delete cookies. We can use an alias on Facebook. We can turn our cell phones off and spend cash. But increasingly, none of it matters.

There are simply too many ways to be tracked. The Internet, e-mail, cell phones, web browsers, social networking sites, search engines: these have become necessities, and it's fanciful to expect people to simply refuse to use them just because they don't like the spying, especially since the full extent of such spying is deliberately hidden from us and there are few alternatives being marketed by companies that don't spy.

This isn't something the free market can fix. We consumers have no choice in the matter. All the major companies that provide us with Internet services are interested in tracking us. Read more ...

Bruce Schneier is a security technologist and author of "Liars and Outliers: Enabling the Trust Society Needs to Survive."

Neil M. Richards: Surveillance state no answer to terror

Terror attacks, plane crashes, even school shootings stick in our head out of all proportion to the danger they pose to us as individual citizens precisely because they are extraordinary.

But remember the big picture. How many people do you know who have been the victims of terrorism? On the other hand, how many people do you know who have suffered from cancer, or obesity, or gun violence? If we're interested in safety, public health and gun control are much more important issues than terrorism. They, not surveillance, should be our safety priority.

We should honor the victims. We should praise the Bostonians, police and private citizens, who helped find the culprits. But we should also rest secure that our system of government is working. We should reject, like Edward Davis did, any call to move further towards a police state. Read more ...

Neil Richards is a professor of law at Washington University. He tweets about privacy at @neilmrichards and is the author of the recent Harvard Law Review article, "The Dangers of Surveillance."

Michael Hayden: Obama administration overreached on leak probes

Intelligence agencies often act on the edges of executive prerogative and move forward based on a narrow base of lawfulness and limited congressional notificationâ€”and these are often sufficient to underpin a one-off covert action.

But democracies don't get to do anything repeatedly over a long period (like drone strikes and targeted killings) without political supportâ€”and political support is the end point of a process that begins with informed debate. Informed debate depends on information, the kind that most journalists seek.

We cannot make public the nation's legitimate secrets, but Americans need a broad outline of what is being done on their behalf. Ironically, the public dialogue generated by a free press may be one of the best guarantors that the Republic will, in the future, be able to act boldly (and occasionally secretly) in its own defense. Read more ...

Gen. Michael V. Hayden, who was appointed by President George W. Bush as CIA director in 2006 and served until February 2009, is a principal with the Chertoff Group, a security consulting firm. He serves on the boards of several defense firms and is a distinguished visiting professor at George Mason University.

Rand Paul: Don't let drones invade our privacy

When assuming office, every government official must take an oath to abide by and uphold our Constitution. Since 2010, I have made that my mission in Congress. Unfortunately, the Obama administration is not upholding nor abiding by the Constitution -- in fact, this administration is going to great lengths to continually violate it.

Its most recent transgression involves the use of domestic drones.

These small drones are to be used as a crime fighting tool for law enforcement officials. But is unwarranted and constant surveillance by an aerial eye of Big Government the answer? Read more ...

Rand Paul, a Republican, is a U.S. senator from Kentucky.

Frida Ghitis: Google knows too much about you

If Americans -- or people anywhere -- decided to take up Google's offer to check out its new policy, they would discover something so troubling, so frightening, really, that it would override the national tendency to leave companies alone to make money how they see fit. At least in the case of companies such as Google -- and now Facebook -- which know more about us than even our closest friends. Read more ...

Frida Ghitis is a world affairs columnist for The Miami Herald and World Politics Review. A former CNN producer and correspondent, she is the author of "The End of Revolution: A Changing World in the Age of Live Television." Follow her on Twitter: @FridaGColumns.

David Frum: Privacy was good while it lasted

To be a politician today is to live in some ways like a citizen of North Korea. A politician must assume that he or she is under 24-hour audio-visual surveillance. Any objectionable remark, any untoward joke, any awkward facial expression may be recorded and broadcast. Professional and personal ruin can strike at any moment.

If George Allen's "macaca" moment didn't drive home the point, Scott Prouty's 47% video certainly should.

But it's not only politicians who live under perpetual surveillance. We all do! Read more ...

David Frum, a CNN contributor, is a contributing editor at Newsweek and The Daily Beast. He is the author of eight books, including a new novel, "Patriots," and a post-election e-book, "Why Romney Lost." Frum was a special assistant to President George W. Bush from 2001 to 2002.

Amitai Etzioni: Despite Facebook, privacy is far from dead

If you read closely the various alarmist articles about the death of privacy, you soon will note that many deal either with public spaces or with hypotheticals. They claim that police could abuse these tools, might use them to ill effect and so on. The American Civil Liberties Union, for example, criticized the use of drones by law enforcement by arguing that such use "could eventually eliminate the privacy Americans have traditionally enjoyed in their movements and activities."

Facebook has been caught in the same crossfire between strong privacy advocates and the social benefits it generates for hundred of millions who use it to communicate with their families and friends, close and not so close. It improved its privacy settings, though it still takes a considerable amount of effort to set them at the specific level one prefers.

However, if Facebook users choose to ignore the risk to their privacy when they log in to this domain, which is known for its openness, their complaints must be taken with a grain of salt. Read more ...

Amitai Etzioni is professor of international relations and director of the Institute for Communitarian Policy Studies at George Washington University. He is the author of "The Limits of Privacy."

The opinions expressed in this commentary are solely those of the authors.

@highlight

CNN Opinion rounded up a selection of essays about privacy and security

@highlight

Neil Richards: After Boston terror attack, some call for more surveillance. That's a bad idea

@highlight

David Frum: Privacy was a relatively recent human invention; now it's likely gone forever

@highlight

Rebecca MacKinnon: Government's surveillance powers have expanded