(CNN) -- This week the Democratic National Convention isn't running away from the abortion issue. Almost all of Tuesday night's speakers made some reference to reproductive freedom, from Nancy Keenan of NARAL to Michelle Obama.

So confidently and constantly was it mentioned that it became something of a litany. Deval Patrick is for it, Martin O'Malley wants it passionately, Julian Castro sees it as a fundamental right. In case you missed it, the Democrats really, really believe in reproductive freedom.

The electoral message is that Mitt Romney and the Republicans are waging a war on women, or at least a concerted effort to limit access to contraception and abortion. The goal is to expand the gender voting gap to the Democratic Party's advantage. And also to turn out the base -- reviving the liberal coalition that put Barack Obama in office in 2008

By contrast, Romney seems to be avoiding abortion talk as much as possible. He mentioned it only once in his convention speech, and the ticket has been beset by rumors of flipping and U-turning on the issue. No one doubts that the GOP is as anti-abortion as ever, but it seems to regard the matter as a distraction from this election's central issue -- jobs.

Historically, this finds us in a very unusual situation. It used to be Republicans who used abortion as a wedge issue against Democrats. Now it's the other way around.

For more than 30 years, Republicans used abortion partly from conviction, partly to win religious voters and partly just to keep the Democrats on a back foot, forcing them constantly to equivocate in a manner that made them seem muddled or the prisoner of the feminist lobby. When they ran for the White House in 1992, Bill Clinton and Al Gore had both "evolved" on the issue so dramatically or cynically that even the spokeswoman for the National Right to Life Committee described the position as "pretty slippery."

In office, Clinton stuck to a formula of "safe, legal and rare" that seemed to acknowledge that abortion was something troubling that ought to be reduced. His wife went further. When she was setting herself up for a presidential run, Hillary Clinton described abortion as a "sad, even tragic choice" that she hoped would "not ever have to be exercised." Yet neither Bill nor Hillary Clinton lobbied for legal limits that would reduce the number of procedures significantly.

Until recently the Democratic message has been that abortion is almost too complex for a definitive stance. Recall the painful contortions that John Kerry went through in 2004, trying to explain how a faithful Catholic could regard abortion as a matter of private conscience. The electoral problem was less Kerry's thoughtful attempt to resolve a painful conundrum than it was George W. Bush's comparative clarity.

All that changed under Obama. Evidence suggests that this is not a man who has ever doubted that the abortion rights position is both constitutional and ethical. As a state senator he voted "present" on a bill that would have compelled doctors to provide life support to fetuses that survived a termination procedure and were not expected to live. Obama argued that the language of the bill extended the legal protection to a "pre-viable" infant and so would not be constitutional. (PolitiFact notes that Illinois "already had a law on its books from 1975 that said if a doctor suspected an abortion was scheduled for a viable fetus -- meaning able to survive outside of the mother's body -- then the child must receive medical care if it survives the abortion.")

As a presidential candidate, he trumpeted his support for Planned Parenthood and abortion rights. As president, he reopened the flow of tax dollars via U.S. foreign aid to groups that provide abortion overseas, and he refused to use his authority to support a bill that banned gender-selective terminations. The White House said that bill would "subject doctors to criminal prosecution if they fail to determine the motivations" behind abortions, according to news reports.

The Democratic Party's platform theoretically contains no limit on access to abortion. In another historical switch, the Democratic platform is now the more radical.

The political meaning of the president's approach to reproductive rights is hard to fathom. Conservatives insist that the so-called war on women is a cynical distraction from the poor performance of the economy. But it's hard to imagine that working. Pollsters repeatedly say that abortion rights ranks low on voters' list of priorities, and with unemployment seemingly stuck at higher than 8 percent, some may resent the attempted obfuscation. Pollsters also report that the "pro-choice" position is at a record low. If the Democrats wanted a moral issue to beat the Republicans with, they'd probably be better off focusing on same-sex marriage.

But maybe it all comes back to likability -- something that Obama easily outranks Romney on. Todd Akin's appalling comments on sexual assault, Paul Ryan's attempt to distinguish between legal varieties of rape, and the conversation among conservatives about abortion in cases of rape and incest -- all of these have communicated the sense that the Republican attitudes toward women are old-fashioned, bordering on medieval. It smacks of precisely what conservatism promises not to be: the state telling people what to do with their lives.

And the language is far removed from the experience of most people, for whom all rape is rape and contraception is a reality, not a theological challenge. Perhaps Obama is using abortion less as a specific issue to wedge between Republicans and women than as a way of accentuating the infamous Romney "weirdo factor." The narrative throughout Tuesday's proceedings has been that the Democrats are as diverse and ordinary as the rest of America, contrasted with the wealth and social Old World attitudes of the Republicans.

The president's approach is a big gamble. It is true that likability matters, and there's no doubt that the news cycle on moral issues currently favors the president (thanks largely to Akin). But the constant reference to abortion rights Tuesday night was at risk of coming off too strong. Abortion is a complex, painful issue that touches upon faith, gender and class.

It is not a matter that lends itself well to electioneering. More importantly, there's a danger that in pushing the "war on women," Obama may seem distracted from the real challenges facing America. Jobs, debt and health care are what matter most to voters in 2012. It's still the economy, Mr. President.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Tim Stanley: Democrats are not running from abortion issue, just the opposite

@highlight

He says Mitt Romney avoids it -- a switch for GOP, which has long used it as wedge issue

@highlight

Stanley: Unlike top Democrats in past, Obama makes it clear he supports abortion rights

@highlight

Stanley: Obama, Democrats risk sounding like "war on women" fight more important than jobs