Westminster, Maryland (CNN) -- Matthew Snyder's funeral was to be a private affair, with family and friends gathering at a Catholic church to mourn the 20-year-old Marine who died a hero in Iraq, serving his country. But Matt's father says his grief was compounded by anger and helplessness because of about a dozen unwanted visitors, a fringe group standing at the center of a constitutional showdown.

"I was just shocked that any individual could do this to another human being," Albert Snyder told CNN. "I mean, it was inhuman."

He speaks of members of a small Kansas church who have gained nationwide attention for protesting loudly at funerals of U.S. service members, denouncing homosexuality. Both sides will now receive a Supreme Court hearing over their competing constitutional rights. Oral arguments are Wednesday morning, with a final ruling some months away.

At issue is a balancing test between the privacy rights of grieving families and the free speech and religious expression rights of demonstrators, however disturbing and provocative their message. Several states have attempted to impose specific limits on when and where the protests are conducted. Here, venue and context will be key to the justices' decision -- whether funerals warrant a greater zone of privacy, and whether the "speech" in this case was specifically aimed at a private citizens like the Snyder family.

'Everyone deserves to be buried with dignity'

Matt Snyder always wanted to be a solider, his father said. His son enlisted just after high school, he said, and enjoyed the military life: "I think Matt wanted to be in a job where he could help people and serve that purpose."

The young lance corporal died from a noncombat-related vehicle accident in Iraq's Anbar province on March 3, 2006. Albert Snyder called it the worst day of his life. The funeral was held at St. John Catholic Church in this northern Maryland town.

Two days before, members of the Westboro Baptist Church had advertised its intent to appear and picket. That prompted a heavy police presence at the March 10 funeral, including a command center and SWAT team.

Westboro Baptist Church members were confined to a pre-assigned space along a public road, some distance from the church building. The funeral procession was rerouted to avoid driving directly past the protesters. The hecklers carried signs that varied from the general to the personal: "God Hates America," Priests Rape Boys," but also "You're Going to Hell," and "God Hates You," which the Snyder family claimed was directed at their son, who was not gay.

The church patriarch Fred Phelps led the protest. "That's what I preach. They're either fags or f---ing enablers. Take your choice, each one is going to hell." Another church member said, "We're here to tell them that they sent their son to hell."

There were no direct confrontations and no arrests of the church members.

Albert Snyder then sued, claiming defamation and invasion of privacy. He says he became violently ill when he saw an online "manifesto" the Westboro Baptist Church posted after that protest. In it, the Phelps family said Albert Snyder and his wife raised Matthew "for the devil" and that "God killed Matthew so His servants would have an opportunity to preach His words" at other venues across Maryland.

"They are very sick individuals," said Snyder. "It comes down to dignity. No one should be buried with what the Phelps did. Everyone deserves to be buried with dignity."

A jury agreed and awarded Snyder's family $2.9 million in compensatory damages, plus $8 million in punitive damages for intentional infliction of emotional distress, and intrusion upon seclusion, among other finding. Those total damages were later reduced to $5 million. It was the nation's first civil suit against the church over the protests.

Albert Snyder testified he suffered severe physical and emotional distress, but church members argued their broader message was aimed at the unspecified actions of the military and those who serve in it.

A federal appeals court agreed, concluding the signs and shouts did not directly refer to the lance corporal, and were therefore protected speech on issues of national debate. That court called the Kansas church's actions "rhetorical hyperbole."

Now the Supreme Court is poised to offer the final word.

Founder's daughter dismisses effort to silence church

Westboro is a mostly family affair, with the Phelps family making up most of the 75 or so congregants. They own a compound of houses in Topeka, Kansas, where they live and conduct services.

The pastor has 13 children, at least 54 grandchildren and seven great-grandchildren. He described himself as an "old-time" gospel preacher in a CNN interview in 2006, saying, "You can't preach the Bible without preaching the hatred of God."

The church, founded in 1955 and led by Phelps, is not affiliated with any known Baptist associations but has been officially registered as a religious institution. Its members believe God is punishing the United States for "the sin of homosexuality," through events including soldiers' deaths. Members have traveled the country hundreds of times, shouting their unique message.

Before they began protesting the funerals of soldiers, church members brought their colorful "God hates fags" signs to the funerals of gay men who died of AIDS or AIDS-related illnesses. Church members also picketed the funeral of Matthew Shepherd, the victim of an anti-gay beating and one of those for whom the Matthew Shepherd and James Byrd Jr. Hate Crimes Prevention Act was named.

They also show up at football games, music concerts, Jewish institutions, the Holocaust Museum in Washington, state legislatures and courthouses. They plan to picket outside the Supreme Court at Wednesday's oral arguments in the dispute.

Westboro leaders openly admit they seek to shock and provoke with their message.

"WBC's speech is in a format showing it is religious commentary," said church members in their brief to the Supreme Court. "WBC's speech was public-issue speech, highly disliked, and needing protection. A massive public discussion is under way in this nation -- about the wars; the soldiers; their deaths; and their funerals. Everyone is using the occasion of soldiers' deaths to comment, about the policies of this nation."

Shirley Phelps-Roper, daughter of the church's founder and a leader of the group, dismissed Snyder's efforts to silence the church. "I don't care what they want to," she said in a 2006 CNN interview. "What they want to do is litigate our religious doctrine. Well, you don't do that in America."

Free speech or harassment?

The Supreme Court has never addressed the specific issue of laws designed to protect the "sanctity and dignity of memorial and funeral services" as well as the privacy of family and friends of the deceased. But the high court has recognized the state's interest in protecting people from unwanted protests or communications while in their homes.

In a larger context, the justices will be asked to address how far states and private entities such as cemeteries and churches can go to justify picket-free zones and the use of "floating buffers" to silence or restrict the speech or movements of demonstrators exercising their constitutional rights in a funeral setting. Various jurisdictions across the nation have responded to the protests with varying levels of control over the Westboro church protesters.

In a separate appeal, the high court last year temporarily blocked Missouri's effort to enforce a specific law aimed at the church. Phelps, his daughter Shirley Phelps-Roper and other church members had protested near the August 2005 funeral of an Army soldier in St. Joseph, Missouri. State lawmakers later passed the "Spc. Edward Lee Myers Law," criminalizing picketing "in front or about" a funeral location or procession. That issue could reach the Supreme Court in the next year or two.

Snyder's attorney, Sean Summers, says there would be no constitutional quandary if the Phelps picketed the state capitol or in a public park. But he says this is different. "When they protest outside a private funeral, they're not trying to advocate for or against a particular position," he told CNN. "All they're doing is harassing a family so they can hijack someone else's private event."

The grieving father remains angry at the Phelps and said he is determined to continue the fight.

"They are using the First Amendment as a sword and a shield. My son and thousands like him did not put their lives on the line so that someone could abuse the Constitution like this," he said. "Men and women have died for this right and to have it abused and spit on -- it's not free speech. This fight has never been about free speech to me, it's about harassment."

CNN's Kate Bolduan contributed to this report.

@highlight

Westboro Baptist Church brings anti-gay message to soldiers' funerals

@highlight

Father of a Marine who died a hero in Iraq sued; the case is now before U.S. Supreme Court

@highlight

The church defends its "highly disliked" speech as "needing protection"

@highlight

One other lawsuit against the church could reach the high court next year