(CNN) -- My friend Susan had a solution to her days spent stressed out as the head of marketing for a global tech company: Shoes. She knew no problem could truly be solved by buying a new pair. But, she told herself, she could afford it, and shoes made her happier -- especially when she was thinking about what she was going to purchase in place of the drama going on at work.

For Susan, whose name I've changed (along with all others cited), even the act of going online to browse the new arrivals at her favorite online shops was thrilling. Clicking through heels and wedges and flats, planning and plotting her purchases, was as stimulating as the coffee she sipped. When her box of shoes arrived in the mail, it was like Christmas morning.

But when the box was opened, the shoes tried on, admired and put away, Susan was left to wonder: Now what?

"I rarely regretted a purchase, but having a new pair did not make me want more pairs any less," she told me. "They may have filled a need, but they didn't make me any happier, not like imagining myself in them had seemed to do."

Retail therapy has long been a tool for the stressed-out, brokenhearted or just plain bored; some figures, including a 2012 survey by online retailer eBates put the number of Americans who go shopping to feel better at more than half.

In many ways, retail therapy works: A great dress or a sharp, well-fitting suit can soothe the soul, provide a confidence boost that helps you land a job, or inspire creativity in a way that's more than just imagined. According to a 2011 study published in the Journal of Psychology and Marketing, retail therapy can positively affect your mood.

The study noted that 28% of shoppers had purchased something to celebrate an occasion or personal victory and 62% to cheer themselves up. Indeed, studies show, money can buy happiness.

A December 2012 study published in the journal Emotion found well-being rises with income at all levels of income -- and that richer families, and countries, are happier than poorer ones.

But retail therapy might not work quite in the way consumers assume it works. That's because the happiness that buying something provides is derived not from acquiring the item, or from the item itself, but from the targeting it, wanting it and anticipating its arrival into your life. That is, the electric jolt shopping can provide is a result of the act of desiring, more than the act of fulfilling.

Meaning: You're better off if you don't buy the outfit, or gadget, or piece of art, but simply long for it.

The evidence: In June, the Journal of Consumer Research published a study finding that when it comes to shopping, wanting things makes people happier than actually having them, even among those, such as Susan, who do not experience buyer's remorse. Researchers analyzed the emotional state of consumers before and after making a significant purchase.

Most, especially those who self-identified as materialists, anticipated future purchases with strong, positive emotions: They felt joy, excitement, optimism and peacefulness when they thought of their future purchase, which they also believed would improve their relationships, boost their self-esteem, enable them to experience more pleasure and be more efficient. (Super shoes, indeed.)

But after the purchase was made, and the anticipation faded into reality, what followed was what the researchers called "hedonic decline." Happy feelings dissipated. Consumers were left wanting more.

That doesn't mean all purchases end in remorse or longing.

The Consumer Research study argues that buying is less satisfying than wanting, but not that buying makes people sad. Though the happiness that results from acquiring an item may be short-lived, the happiness that comes from thinking about and planning for a purchase can be sustained.

Below are a few tips for prolonging retail therapy afterglow:

Opt for experiences over stuff. Plenty of studies show that buying experiences is more satisfying that buying things. The answer, though, isn't to quit your retail therapy cold turkey, but to weave in experiences -- trips, sporting games, theater -- that might provide some added meaning.

Play hard to get. Resist the impulse to see something in a magazine, or at a friend's house, and go straight away to buy it. Instead, let yourself think about the item for as long as you can. (One key to the success of social media site Pinterest, where users can post photos to create a public sort of "wish list" of ideas, goals, and, yes, goods.)

Limit flash sales. Or limit even buying anything simply because it's discounted. Flash sales foster quick and easy purchasing, but as such limit the beneficial impact of desire. There's no chance to feel the rush of wanting and to envision how an item might make your life better before it's put into the cart, paid for and at your door.

Shop in person. Recall, and participate in, the joy of buying things from a brick-and-mortar store, which prolongs the joy of shopping from an impulse buy in the half hour before you rush off to work to an afternoon spent with a friend or even just yourself. Online shopping is a relatively mindless activity that, while relaxing, offers little in the way of engagement with others. Shopping in the presence of people, though, fosters a sense of connection to others, which can increase levels of happiness and satisfaction derived from the experience.

Spend within your means. Perhaps the most crucial conclusion made in the study of hedonic decline is that more really isn't better, and that wanting a new car is as effectual, moodwise, as having the new car.

Why not, then, hang onto the old one for a little longer? The next time you're about to press "Complete My Order" or perform the in-person equivalent, remember that it's not about what's acquired, but about what's yet a possibility; that it's the hope of what's to come that provides the biggest thrill of all.

The opinions expressed in this commentary are solely those of Peggy Drexler.

@highlight

Peggy Drexler: Retail therapy is a pick-me-up for the stressed, brokenhearted or bored

@highlight

Drexler: People enjoy anticipating ownership, but it's a let-down when they get it home

@highlight

Joy of shopping, she says, comes from wanting and anticipating, not from acquiring

@highlight

Drexler: Delay the purchase, don't impulse buy, and get experiences rather than stuff