Nearly 10 months after their son died, the parents of Kendrick Johnson are finally getting what they've been asking for: another investigation into the teen's mysterious death in the gym of Lowndes High School in Valdosta, Georgia.

Michael Moore, the U.S. Attorney for the Middle District of Georgia, said Thursday that federal authorities will investigate the circumstances behind the death of Johnson, whose bloody body was found inside a rolled-up gym mat on January 11.

Johnson's family suspects the 17-year-old was murdered and that someone has tried to cover up evidence in the case.

While warning his jurisdiction is limited as a federal prosecutor, Moore said that after lengthy review of evidence collected by authorities and the family's own investigator that "sufficient basis exists" to warrant a formal review of the facts.

Should evidence gathered in the investigation warrant criminal or civil rights charges, he said he would recommend them.

"I will follow the facts wherever they lead. My objective is to discover the truth," he said.

Who was Kendrick Johnson?

In addition to suspicions of a coverup, the family's lawyer has also raised civil rights concerns, questioning whether officials in the predominantly white county took the investigation of an African-American teenager's death seriously enough. Authorities say they did.

"We're happy that a fresh pair of eyes is starting to look at Kendrick's case," Kendrick's father, Kenneth Johnson, told CNN's Jake Tapper on Thursday. "We're just waiting on the truth to really come out."

CNN legal analyst Sunny Hostin called the announcement "a significant development for this family and this case."

"Now you have the resources of the federal government, in particular the FBI," she told CNN's Wolf Blitzer. "With that type of resources directed at this investigation, there will be more answers to be found."

The announcement comes a day after a judge granted the family and CNN access to surveillance images and investigative files related to the case, which the Lowndes County sheriff's office had declared accidental.

CNN has been reporting on the case for months, uncovering new details of the teen's death and raising questions about the sheriff's office handling of the case.

Among other things, CNN obtained death-scene images that led outside exerts to question the official explanation that Kendrick had suffocated reaching for a sneaker.

"His parents never accepted this explanation that he climbed into a wrestling mat got stuck and died. It flew in the face of all common sense," Benjamin Crump, a family attorney, told CNN's Tapper.

"This is a murder-mystery and we're going to get to the bottom of it," he said.

Gym mat death shocker: Body stuffed with newspaper

A mysterious death

Authorities found Kendrick's body on January 11, wedged into a rolled-up wrestling mat in the high school gym.

Imagery obtained by CNN -- a 15-minute video and nearly 700 photos taken by sheriff's investigators -- show his body clad in jeans and layered orange and white T-shirts.

His face was bloated with pooled blood, some of which had poured out of his body, soaking his dreadlocks and spilling onto the floor.

Within 24 hours of finding the body, Lowndes County Sheriff Chris Prine announced that investigators had no reason to suspect foul play in the death.

On Thursday, Prine's attorney said that the sheriff welcomes Moore's decision to review the case, and will continue to cooperate "in every way."

"We appreciate Mr. Moore's interest in these tragic circumstances and applaud his urging of the community to come forward with facts and evidence rather than feelings or opinions, no matter how sincere they may be," said attorney James Elliott.

"While Sheriff Prine has every confidence that his office's investigation was handled with the necessary diligence to assure that all leads were examined and exhausted, he welcomes the U. S. Attorney's further review of the case," the attorney said.

But a former FBI agent contacted by CNN to review the materials questioned those conclusions.

Harold Copus, now a private investigator, questioned how authorities handled evidence in the case, including blood smears found on a nearby wall they said were unrelated to the case.

Copus also questioned the handling of a pair of gym shoes that had a substance that appeared to be blood on them.

Investigators told CNN the shoes weren't collected as evidence because the substance was not blood.

Despite the findings of state medical examiners who found no evidence of foul play, a private pathologist hired by the family to conduct a second autopsy after exhuming the teen's body found that Johnson had a blow to the right side of his neck "consistent with inflicted injury."

The pathologist also discovered that the teen's organs had not been returned to his body after the initial autopsy. It had instead been stuffed with newspapers.

The absence of the organs fueled the family's suspicions of a coverup in their son's death.

"They know something happened in that gym, and they don't want it to come out," Kenneth Johnson said at the time.

Kendrick Johnson's parents want answers

Brick walls

For months, the family's quest for answers went nowhere. It took until May for autopsy results to be issued, and then the sheriff's office said the investigation had been closed.

The sheriff's office and school officials resisted the family's request to obtain school surveillance images and other records, citing state law that exempts the release of "education records of a minor child."

After months of pursuing official answers and getting nowhere, they began staging daily rallies.

A Facebook tribute page and a CNN iReport submitted by Kendrick's aunt spread the message far beyond the southeast Georgia town.

On Monday, a Lowndes County judge ruled that authorities had to turn over the surveillance records and files sought by the family -- the first step, family attorney Chevene King said -- in finding what they say is  the truth about what had happened.

Video included in the release and reviewed by CNN shows him walking in a hallway and entering the gym.

It also shows him inside the gym prior to his death, along with other students playing basketball.

There is no indication that any of the people shown in the video have any knowledge of the events surrounding Kendrick's death.

See the evidence

A civil rights case?

King has alleged that if Kendrick had been white, the investigation would have gone differently. He doesn't believe race tells the whole story though.

"You have to consider race as a factor, but I don't think that that's the end-all in terms of trying to understand why this case was handled in the way that it was," he said Thursday.

"We believe that, certainly, if there is a coverup it is a coverup for somebody, and not a nobody," he said.

Prine, the sheriff, is white, as are about 60% of the county's residents. However, sheriff's office officials have rejected the claim that race influenced the case.

"Race never played into it," Stryde Jones of the Lowndes County Sheriff's Office said in May. "The victim played into it. That's who we're working for is the victim and the victim's family."

King said none of the materials released Monday are expected to show exactly what happened to Kendrick.

But they could cast doubt on the official explanation and nudge officials toward reclassifying Kendrick's death to allow a new investigation into what happened, King said.

"Essentially, it shifts the focus from what the sheriff had offered to other theories that were not explored and that have I think begun to slowly creep to the surface," King said after the hearing.

On Thursday, Lowndes County Coronor Bill Watson said he has not made a decision yet on whether to open a coroner's inquest into the death. That would be the first step in reclassifying the death to something other than accidental to allow a fresh investigation into the circumstances.

Watson said he would make that decision in "the next day or so."

"And I'm emphasizing the 'or so'," he said.

Regardless of what happens, Kenneth Johnson said Thursday the family has no choice but to keep pressing on.

"We're fighting for Kendrick to the end," he said.

@highlight

"This is a murder-mystery and we're going to get to the bottom of it," says attorney

@highlight

Johnson's father: "We're happy that a fresh pair of eyes is starting to look"

@highlight

U.S. Attorney Michael Moore announces "formal review" of case

@highlight

Johnson's family believe he was murdered; authorities say the death was accidental