New Delhi (CNN) -- Indians want their version of the American Dream. Even the Chinese Dream will do. And so they have voted for a man who promises more for less: more development and growth, with less government and red tape.

For India's 1.27 billion dreamers, their new Prime Minister Narendra Modi is a known commodity. His simple mandate is to do for India what he has done for the north western state of Gujarat in the last 12 years: conjure up Chinese-levels of growth and prosperity.

But for Modi's counterparts in Washington, Beijing, and Islamabad, India's new leader is considered a wildcard. Will he be aggressive, or a dove? What is his foreign policy? Does he have a vision for India's place in the world?

There's very little to go on. Modi has never addressed foreign policy at length; Indian campaigns rarely involve debates on world affairs. Few in New Delhi seem to have a clear sense of his plans. When I spoke with Arun Shourie, a former Indian minister now being touted as a top candidate to head the finance ministry, I got a telling response: "Anyone who says they know Modi's plans, doesn't really know anything. The ones who know won't talk."

So let's start with the few signals we've received from the man himself.

Reaching out to neighbors

Modi has certainly begun with a flourish, scoring a coup in getting his Pakistani counterpart to attend his swearing-in.

On Monday, Nawaz Sharif became the first Pakistani Prime Minister in history to attend an Indian prime minister's inauguration.

The two men were photographed exchanging a firm handshake. Modi later tweeted that Sharif had "shared some very emotional things" during their meeting. He elaborated with a story about how Sharif's mother became emotional when watching Modi's mother offering him sweets. (Read the series of tweets here)

Modi's Twitter account also highlights his early attempts to strengthen ties with his new counterparts. After his election, he announced to his 4.38 million followers congratulatory messages from U.S. President Barack Obama, Israel's PM Netanyahu, German Chancellor Angela Merkel, France's Hollande, Russia's Putin, as well as leaders from New Zealand, Fiji, Qatar, Afghanistan and more.

Japan got an especially lavish mention: "Personally, I have a wonderful experience of working with Japan as [Chief Minister of Gujarat.]," Modi tweeted. "I am sure we will take India-Japan ties to newer heights." Japan's PM Shinzo Abe follows only three people on Twitter -- Modi, of course, is one of them.

Twitter diplomacy is not just about rhetoric -- there have been some early results, too. Sri Lankan President Mahinda Rajapakse tweeted Sunday: "As a goodwill measure on the occasion of @narendramodi's swearing-in, President instructs officials to release Indian fishermen in custody."

None of the above sheds light on what kind of vision Modi has, but it is indeed a refreshing marker of proactive engagement -- the opposite of India's foreign policy in years gone by. In an excellent essay in Foreign Affairs last month, Manjari Chatterjee Miller described how Indian foreign policy in the last 50 years has been characterized "more by continuity than by change" -- irrespective of the party in power.

'Non-alignment'

India's relations with major powers have stayed stable. Broadly, there are two reasons behind this trend. One is India's historic pledge of "non-alignment": the country's first Prime Minister Jawaharlal Nehru founded the global Non-Aligned Movement, a group of states agreeing to not align with major powers. The other reason is India's neglect of foreign policy planning from the very top: civil servants get little-to-no instruction from the prime minister's office, and so have great levels of autonomy and wield significant power. The result is no clear vision from New Delhi, and a general stasis in India's relations with the world. It has often been pointed out that India has fewer diplomats than Singapore, a country with a population 1/250th the size of India's. India has consistently punched below its weight despite aspiring to be a global player.

Will Modi change these trends? Again, it is difficult to read his mind. But turn again to what Modi has actually said. The writer Dhruva Jaishanker points out that Modi has repeatedly stated that foreign policy begins at home. This is not to suggest that Modi will be insular. Instead, his relations with other countries will be driven by business needs and a sense of realism -- perhaps similar, in theory, to China's relations with South Asian and African states.

Many writers and commentators have expressed fears about Modi's foreign policy on two main fronts. First, that he will channel his brand of pro-Hindu nationalism into friction with Pakistan. Second, that he will use his prior history with Washington -- Modi's U.S. visa was revoked in 2005 over a never-before-used religious freedoms act -- as a reason to snub the world's biggest economy. On both fronts, we have no way of confirming those fears just yet. But with each passing day, we are witnessing an evolving Modi, a realist whose goal is to grow India Inc. and do business with anyone -- at home or abroad -- who can help achieve that goal.

Modi's real test will be whether he can bring a longer-term vision to India's foreign policy planning. Will he keep New Delhi non-aligned? Will he pivot further East? Will he help fulfil Obama's prediction that India and the U.S. will form the 21st century's defining partnership?

Only Modi knows the answers. But if Indian foreign policy has so far not been driven by the prime minister's office, I think we can now expect that strange quirk to change. For better or worse, Prime Minister Modi will take charge.

@highlight

India's new prime minister has promised citizens growth and prosperity

@highlight

What's less clear is how Narendra Modi will approach foreign policy

@highlight

Modi has wasted no time connecting with other foreign leaders

@highlight

In the past India's foreign policy has been more about continuity than change