(CNN) -- Lectures, slide shows and notes are often boring, but people are using technology to find entertainment in these unlikely places.

Spoof notes of "Star Wars" are scribbled into a fun online "pencast."

Some use high-tech pens to track presentations. Others share PowerPoints in slide show form online. These technologically spiced-up presentations seem to be getting more attention these days.

They're also creating buzz about what the future of presentations might hold.

Consider "pencasts," which are made using the Pulse SmartPen and specially gridded paper, both sold by the California startup Livescribe. The pen writes like an ordinary pen but also has a voice recorder, and it "notes" (so to speak) which notes were taken at which point in the recording.

Some quirky SmartPen presentations come off as comedy sketches. One popular presentation muses about how George Lucas might have come up with the idea for Star Wars.

Some university students love the technology because they can record and play back what their professor was saying at an exact point in their notes -- which is especially useful when you can't read your own writing. And many professors are all for it, too.

"I feel like this is one of those 'Rear View Mirror' moments in which a new technology comes into our lives with enormous potential and we just don't know what to do with it yet," blogs Michael Wesch, a cultural anthropology and digital ethnography professor at Kansas State University.

"We think of it in terms of what we know (pen and paper) and fail to recognize the potential."

That potential -- for entertainment and serious uses alike -- can be gleaned from pencasts posted on the Livescribe Web site's community section, which is about a year old. The pencasts posted there have collectively received more than 1.5 million views.

Soon, it will be easier to embed pencasts on other sites, like personal blogs, the company says.

Slide shows are further along in popularity.

A startup called SlideShare launched in late 2006 with the idea of allowing people to easily share their PowerPoint presentations. Its site had more than 15 million visitors last month, and its 2008 contest for the best presentations showed off the form's potential.

The best are far removed from the dull bullet-point presentations you might have fallen asleep to. Many use dramatic images, striking design and memorable phrases.

Former Vice President Al Gore developed his presentation on the planet's environmental challenges into the Academy Award-winning documentary and best-selling book "An Inconvenient Truth."

Last year's top SlideShare presentation, called "Thirst," highlights the looming water crisis and has nearly 200,000 views.

Others are more light-hearted. The No. 2 spot (with more than 60,000 views) went to a presentation called "Foot Notes." It shows pictures of the narrator's feet in various places she's been (like on cobblestone corridors in Prague and a dance floor in Chicago), interspersed with inspiring quotes related to feet and walking.

Finally, for many people, the most dreaded, boring form of communication of all is the lecture. But then, how to explain the popularity of the TED videos?

TED stands for Technology, Entertainment, Design. The conference started in the mid-'80s and has become a networking event of sorts for the world's best and brightest. Dozens of speakers give presentations of about 20 minutes each -- the perfect duration for a juicy "media snack."

TED.com started introducing TEDTalks to the public for free in July 2006, and by the following year, there were more than a hundred talks dating back to 2002. Broken down into dozens of themes, today they're popular fodder for video iPods.

In one, the amputee athlete and model Aimee Mullins talks about how her many pairs of artificial legs often beat having a single pair of regular ones -- some make her taller, others are works of art. In another, Jill Tarter, an astronomer and director of the Center for SETI Research, discusses how insanely large the universe is and what a "waste of space" it would be if life on Earth were indeed all there is.

It's hard to watch a handful of TED videos and not feel your perspective broadening. That helps explain how, despite the lecture format, TEDTalks has become hugely popular. A few months ago, the videos surpassed the 100 million views mark -- not bad for a bunch of lectures.

@highlight

Technology injects new life into a dull medium: presentations

@highlight

SmartPens bring audio and written notes together

@highlight

Growth in online applications makes slide shows and lectures more interesting

@highlight

Success of TED lectures means educational content can be popular