Mountain View, United States (CNN) -- Google "Marissa Mayer" and the first key words that come up are "net worth" and "salary" -- terms that reflect her fame as one of the world's most powerful women.

Mayer joined internet giant Google as a 24-year-old in 1999; one of the company's first 20 hires and its first female engineer. In 2010, she moved from heading up Search Products and User Experience to become VP of Local, Maps and Localization Services, the company's next key growth area.

Mayer prides herself on being able to pick trends, both on and offline. "Back in about 2003, I correctly called cupcakes as a major trend. It was a business prediction, but it's been widely interpreted as [that] I just like them. (Truth is, there's other sweets I like far more, like vanilla fudge)."

She says the science of search engines -- information retrieval -- is still in its infancy. "It's like physics in the 1600s or biology in the 1800s. There's big breakthroughs all the time. Now you can find photos in addition to web pages, books in addition to photos. Now it's personalized. They're the kinds of breakthroughs that happen early in the science."

Not only is the quantity of information in the world increasing -- by Mayer's last count, there are now 582 million websites, up from 10 in 1991, the year the internet was made public -- but the forms that information takes is also multiplying. Search capabilities must grow and adapt in tandem with the new forms of media we use.

Video has been the latest format to proliferate online, and Mayer predicts the next push will be into new search modes and personalization. Voice searching, which didn't exist a few years ago, now comprises almost 25% of the searches done on Android devices. As of June last year, Google experiences more Google Maps traffic on mobile than on desktop.

One of Google's newest products, launched in November, brings mapping technology indoors. "Now, in some of the 'big-box retailers,' or inside of malls or office buildings, we actually have the internal layout, and we actually can put the blue dot in the right spot. So if you're looking for a conference room or a particular department in an Ikea, you can see 'Oh, I'm here.'"

After graduating in 1999 with a Masters in Computer Science from Stanford University, Mayer received 14 job offers. She chose to work at Google during a spring break period in which, she says, she made all the decisions she is most proud of.

"Those decisions all had two things in common: I always surrounded myself with the smartest people I could find, because they make you think about things harder.

"And I always did something I was a little not ready to do. I think that's how you grow. When there's that moment of 'Wow, I'm not really sure I can do this,' and you push through those moments, that's when you have a breakthrough. Sometimes that's a sign that something really good is about to happen. You're about to grow and learn a lot about yourself."

In order to push yourself out of your comfort zone, though, Mayer recommends you first find an environment that's comfortable. "I'm a really shy person, yet at Google, my colleagues would never believe that; because here, I'm outspoken, because I feel like I can express my opinions and find my voice."

Besides nurturing self belief, Mayer says it's also important to work for people who believe in you. She advises seeking out mentors "who aren't just looking at what they can get from you in order to advance the company, but are also investing in you and what you're going to be doing in 10 years and preparing you for that next step."

More from Leading Women: Women! Embrace your inner geek

A proud "geek," for whom the word just means "for an area that you're passionate about, all the details matter," Mayer worries that stereotypes about computer scientists might hinder women from working in technology.

"There is such a stereotype of the hacker; the pasty-skinned guy with the thick glasses, the pocket protector, the blue glow coming off of the monitor ... people think if they're going to be good at this, that's what they need to be. You can be good at technology and like fashion and art. You can be good at technology and be a jock. You can be good at technology and be a mom. You can do it your way, on your terms."

Ultimately, being a geek can triumph over gender. "I'm not a woman at Google, I'm a geek at Google," Mayer says. "If you can find something that you're really passionate about, whether you're a man or a woman comes a lot less into play. Passion is a gender-neutralizing force."

@highlight

Marissa Mayer was Google's first female engineer and one of its first 20 hires

@highlight

She now oversees the company's push into maps and localization

@highlight

Her advice: Work somewhere you feel comfortable, then get out of your comfort zone