(CNN) -- The paint is peeling, puddles litter the inside of the building, putrid water lies in what was supposed to be a swimming pool and even the statue of the man who had the vision to build the sports complex is cracked -- a sad and inglorious tribute to Marc-Vivien Foe 10 years to the day after the Cameroonian's tragic death.

Once earmarked as a state-of-the-art $10 million sports academy, the only inhabitants today are not the next generation of Indomitable Lions but a handful of squatters and policemen -- with Foe's father funding the latter because of the high risk of theft in this corner of Yaounde.

Those are not Martin Foe's only financial concerns because his bitter row with Marc-Vivien's widow Marie-Louise over the distribution of the estate of the two-time African champion, double French league winner and former Premier League star lies at the heart of the complex's decline.

With Martin claiming that Marc-Vivien's properties should be returned to his side of the family and the star's wife -- neither relative would speak directly to CNN -- believing she should be the recipient, the duo are at such loggerheads that a resolution seems incredibly remote. It's a dispute made all the more tragic given the former international's body lies in the all-but-abandoned complex.

Shortly after the midfielder died of cardiac arrest during a Confederations Cup semi-final on 26 June 2003, Cameroon's government pledged funds to ensure completion of a project started by a man who was posthumously decorated as a Commander of the National Order of Valor.

The country's then prime minister laid the medal on top of Foe's coffin as some 3,000 mourners - including further government dignitaries, FIFA president Sepp Blatter and Cameroon's football squad -- gathered at the four-hectare site.

But because of the intense familial row -- while a government promise of funds also failed to materialize -- the real legacy of Foe's death is not to be found in a suburb of Cameroon's capital but in the world's international football stadiums instead.

"Foe's death really shook FIFA and what changed was the attitude of the Executive Committee and other decision-makers towards medicine and the health of the players," Professor Jiri Dvorak, FIFA's chief medical officer, told CNN from Brazil.

"There were already medical courses in place and we were aware of the issue of cardiac arrest, but that was the extent of what we were doing. But once we experienced it live, in front of rolling TV cameras, we realized the reality of the situation and understood we had to do more.

"It made me certain that prevention was the way to go and so many, many new regulations have been implemented since then to reduce the risk of sudden cardiac death on the pitch."

Medical screening

Football's world governing has acted steadily over the years to try to ensure that there are as few repeats as possible of the awful scenes that were broadcast to millions around the world from Lyon a decade ago.

The French city was, ironically, the very one where Foe's registration was kept although English side Manchester City had been keen to sign the tall Cameroonian -- who had been with them on loan the preceding year -- on a permanent basis.

They would never get the chance as the then 28-year-old collapsed in the 72nd minute of the semifinal against Colombia with no-one around him.

An opponent was the first to notice the seriousness of the situation and unlike the swift treatment given to Bolton Wanderers' Fabrice Muamba at Tottenham Hotspur last year, medical assistance was slow to arrive.

Despite attempts to resuscitate him for 45 minutes and the fact that he was still alive when taken to the ground's medical center, Foe died because of hypertrophic cardiomyopathy -- a condition that involves an abnormal thickening of the heart muscle.

Those who are prone to the problem are up to five times more likely to suffer a cardiac arrest when exercising intensively than they would be when leading a sedentary lifestyle.

As the tributes flooded in for a talented player with terrific stamina and, according to those who knew him, a permanent smile on his face, FIFA reacted by making it mandatory to equip all stadiums hosting international matches with automated external defibrillators.

In addition, the organization introduced medical screenings of all players ahead of any FIFA competition -- a policy which was of clear benefit to all the recipients, but especially those from Foe's continent.

At the African Under-17 Championship in Algeria, FIFA -- in conjunction with the continental body CAF and the local FA -- medically assessed all 160 players and unwittingly discovered that nearly 70% of the teenagers had never seen a doctor before in their lives.

Late last month, FIFA issued all of its 209 member associations a Medical Emergency Bag, one which the global body says is similar to those in use by the American and South African military and which, more importantly, boasts a defibrillator among its contents.

However, Dvorak readily concedes that the bag will be largely worthless unless the training of teams' medical personnel is up to scratch.

"It is important that the doctors and paramedics are adequately educated to be able to use it in case of emergency, but we can never guarantee that the right training is being done all around the world," said the Czech.

"Definitely at those competitions where we are responsible, like the Confederations Cup here in Brazil, we check that the relevant people are able to understand what they have in their hands -- and how important it is that they know."

All the more so since the first symptom of those suffering hypertrophic cardiomyopathy can sometimes be death itself, while footballers to have died of cardiac issues in recent years form a depressingly long list -- with the cases of Antonio Puerta (Sevilla), Daniel Jarque (Espanyol) and Phil O'Donnell (Motherwell) prominent among them.

While the medical measures undertaken by FIFA form part of Foe's legacy, a final chapter continues to play out wherever Cameroon's Indomitable Lions roam.

Irreplaceable midfielder

The first team from Africa to reach the World Cup quarterfinals (in 1990), Cameroon were feared at the time of Foe's death -- with the team having added the 2002 Nations Cup to their 2000 title as they became the first to win back-to-back crowns in nearly four decades.

Since the death of a central midfielder who has simply proved irreplaceable in the middle -- a box-to-box player with aerial presence and a calming, disciplined demeanor -- Cameroon's footballing fortunes have steadily declined.

They have not won a match at the World Cup since Foe's death (missing out on Germany 2006 altogether) nor another African title -- and political rows and team squabbling have meant the four-time continental champions have failed to qualify for the last two Nations Cups.

The last month has been indicative of the country's recent woes, with World Cup qualification having hung by a thread until opponents Togo -- who beat Cameroon earlier this month -- were found to have fielded an ineligible player during the qualifier, meaning the Lions may be awarded some fortuitous points instead.

At the same time, the football federation chose to re-elect Iya Mohamed as president -- despite the fact he was being detained by local police at the time after being accused of transgressions connected to his role as director-general of the state-owned Cotton Development Company.

A once proud game is, in short, something of a mess -- and perhaps the crumbling complex where the patriotic Marc-Vivien Foe lies is a fitting, if sad, reflection of the lamentable state of Cameroonian football today.

@highlight

26 June 2013 is the10th anniversary of Marc-Vivien Foe's death

@highlight

Foe died from a cardiac arrest during a Confederations Cup semi in Lyon, France

@highlight

Back in Cameroon, Foe's sports academy is in a state of disrepair

@highlight

Last month FIFA issued all of its 209 member associations with a Medical Emergency Bag