Washington (CNN) -- As the Senate cleared the way for consideration of gun control measures for the first time in nearly 20 years, the path ahead for any gun control measure in the Republican-led House of Representatives is rocky and uncertain.

Senate overcomes filibuster, clearing the way for debate on gun bill

Family members of those killed in the tragic shooting in Newtown, Connecticut, spent three days shuffling from meeting to meeting with senators urging swift action. But across the Capitol, there is no sense of urgency as most rank and file House GOP members are taking a wait and see approach to moving any gun bill, while a bloc of Republicans members are solidly against considering new gun restrictions.

Manchin to Sandy Hook parents: 'I can do something'

House Speaker John Boehner of Ohio repeated his long held position that the House would review whatever emerged from the Senate. He was noncommittal about bringing gun legislation to the House floor for a vote.

King, Thompson to introduce background checks in House

"I fully expect that the House will act in some way, shape or form but to make a blanket commitment without knowing what the underlying bill is I think would be irresponsible on my part," Boehner told reporters on Thursday.

Unlike senators, many of whom represent diverse states that include urban and suburban constituencies pressing for new gun restrictions, House districts are more narrowly drawn along partisan lines, and the current House is dominated by members in reliably Republican seats who feel less pressure to act. In many cases, these members are getting lobbied from constituents to hold the line against anything they think could curb access to guns.

Sen. Rand Paul: The government wants your gun rights

"You have a lot of members here who are still scared of the NRA," Democratic Rep Carolyn McCarthy of New York, a gun control advocate, said on Wednesday.

Gun control advocates are hopeful the Senate deal struck by pro-gun Sens. Joe Manchin, D-West Virginia, and Pat Toomey, R-Pennsylvania, a key conservative, on expanding background checks will help provide cover for Republicans in the House who might be worried about backlash for supporting it.

While it appears Toomey's top billing is helping, so far most rank and file House Republicans say they want proof the Senate can actually pass something. Meanwhile, they continue to call for the Obama administration to enforce current gun laws, and emphasize there is bipartisan support to address mental health issues over measures dealing with access to guns.

Republican Rep. Shelley Moore Capito, who hails from Manchin's home state and is running for an open Senate seat there in 2014, said the Senate proposal "has got problems. It's very unpopular in the state."

Capito said her office is already getting a lot of calls from voters in her district who oppose it, and estimated the current breakdown of the calls is roughly nine callers against gun control legislation for every one caller who says Congress needs to pass something. But Capito said she still wants to see the fine print of the Senate plan.

A bipartisan duo in the House -- Rep. Peter King, R-New York, and Democratic Rep. Mike Thompson, D-California -- plan to introduce a House version of the background check bill early this week.

King said there would likely be fewer than 10 House Republicans supporting it at first, but he said many GOP colleagues want to wait to see what happens in the Senate.

King said it was too early to gauge the chances for the background check bill in the House, but stressed, "the biggest swing factor will be if a number of 'Pat Toomey- like' Republicans support it in the Senate and it just creates a wave."

Thompson argued the national polls showing a public outcry for action mean Boehner and other House GOP leaders can't ignore the issue for long.

CNN Poll: Popular background checks also cause worry

CNN Poll: Importance of guns soars, as do gun owner concerns

Gun rights activist: 'Your polls are hokum'

"I cannot imagine how the majority in the House could even think of not taking this bill up for a vote, especially after you've seen this breakthrough bipartisan support in the Senate. This isn't about the leadership of the majority party throttling Congress. This is about the American people wanting a vote, wanting background checks."

Why is this so hard? The disconnect on background checks and guns

Would background checks have stopped recent mass shootings?

How do background checks work?

Moderate GOP Rep. Charlie Dent, who represents one of a few swing districts in Pennsylvania, noted that the NRA backed a similar measure adopted by his home state in the 1990s requiring background checks for pistols. Toomey called Dent and other House Republicans earlier this week seeking their support before he unveiled his plan.

Dent called the Senate compromise "a proposal really worthy of serious consideration" and while he hasn't fully endorsed it, he is on record pushing for enhanced background check legislation.

NRA: Senate compromise 'will not prevent the next shooting'

Asked if Toomey helps attract support from his GOP colleagues, Dent said, "I suspect the answer to that question will largely depend on where you live. I suspect those who are from states like Pennsylvania, also the northeast, mid-Atlantic area might bring some measure of comfort to House members knowing that Sen. Toomey supports this."

Others agreed Toomey's top billing helps with House conservatives, but only to a degree.

"What it does do is it forces you to look at it seriously, as it should. I don't think on issues like this, however, it will impact how people will vote in one way or another," said Rep. Mario Diaz Balart, R-Florida.

Pennsylvania Republican Rep. Patrick Meehan, a former federal prosecutor who represents a suburban area outside Philadelphia, said he's already on board with the Senate plan. He said the background check piece along with other provisions "could be a promising package (in the House) and something that could be sold."

Thompson said Thursday he and King are in discussions with seven to eight additional House Republicans about signing on to that bill.

In recent high-profile legislative debates, such as the fiscal cliff, Boehner has passed final measures with a majority of his own members opposing them.

But Texas Republican Rep. Steve Stockman, an ardent gun rights advocate, is circulating a letter to Boehner warning him not to allow a vote on any gun bill unless a majority of House Republicans are on board.

The letter, signed by 46 House Republicans so far, argues the background check measure violates the Second Amendment and wouldn't be an effective crime-fighting tool.

It concludes "under the precedents and traditions of the House, we would ask that no gun legislation be brought to the floor of the House unless it has the support of a majority of our caucus."

Asked if he'll adhere to the test of only allowing a vote on a bill if it has the support of the majority of his own members, Boehner left some room on Thursday: "Certainly my prerogative or my intention is to always pass bills with strong Republican support."

Senior House GOP aides caution that while the Senate may pass a bill soon, that doesn't necessarily mean the House will take up the proposal. They note that the process in the Senate took several months.

House Republicans do expect President Barack Obama to ramp up political pressure and keep the issue out front to try to force action, but one of these senior House Republican sources suggested the White House refrain from any attempt to squeeze members.

"If the president really wants to get something done it is not the best strategy to try and jam the House. That hasn't proven to be effective in the past," this aide told CNN.

In gun debate, Biden cites paranoia, Ferraris

But McCarthy insisted this time around the pro-gun control effort is just getting started and is more organized to turn the pressure on House members after the Senate acts.

Pointing to public opinion polls showing overwhelming support among women for gun legislation, McCarthy pledged, "We're showing our power and that power is not going to go away. I think it's going to be more difficult for them when they go home and haven't voted for something to save lives."

Michelle Obama makes emotional entrance into gun debate

Opinion: A mother's journey to bearing arms

Capito said the shooting in Newtown that left 20 children and six educators dead was a "wake-up call" and believes the House will ultimately vote on some package. But she stressed because the issue was politically sensitive it should go through "regular order," meaning committees will hold hearings and spend time going through proposals. That means it will be many weeks, and likely months, before the House moves anything.

@highlight

There is no sense of urgency in the House about moving a gun control bill

@highlight

West Virginia Republican: The Senate proposal "has got problems"

@highlight

Pennsylvania GOP Sen. Pat Toomey has been calling GOP House members from his state

@highlight

NEW: A bipartisan duo in the House plans to introduce a background check bill next week