New York (CNN) -- Amid criticism that he's fanned tensions between the public and police, New York's mayor met with the families of two slain officers on Monday.

"They are in tremendous pain," Mayor Bill de Blasio told reporters, "and they are worried deeply."

The mayor said speaking with Officer Rafael Ramos' two teenage sons made him think of his own children.

"You have two teenage, good young men, who no longer have a father because of an assassin," de Blasio said.

"I told them that I lost my own dad when I was 18, and that as painful and difficult as it is, families come together. People find a way forward," he said. "I also told them that we would be there for them. That the NYPD family would be there for them and the people of New York City and the family of New York would be there for them, and we will be."

Officer Wenjian Liu's family also is devastated, de Blasio said. His parents are mourning the loss of their only child, and his wife of just two months is facing the heartbreaking reality of losing her husband in an instant.

De Blasio repeated his calls to put aside debates and protests and focus on the officers' grieving families.

"It was an attack on every single New Yorker and we have to see it as such," he said.

The slain officers are "now our family and we will stand by them," de Blasio said. "Our first obligation is to respect these families in mourning."

He also pushed back against his critics, calling remarks from the head of the city's police union "wrong and mistaken," and accusing the media of contributing to the atmosphere of tension between police and protesters.

Police investigators told reporters they're trying to piece together where the gunman who ambushed and killed the two officers Saturday was in the hours before the shooting. Officials told reporters Monday there's a roughly two-hour gap in the timeline they've assembled leading up to the shooting, and they asked for the public's help to pinpoint where shooter Ismaaiyl Brinsley was before the incident.

Police Commissioner William Bratton told reporters that investigators believe the gunman acted alone.

So why is it so important to piece together his every move leading up to the shooting?

"We owe it to the families to find out what happened," Bratton said. "That's why we're seeking to build this case up, so we know going forward exactly who talked to this man."

The backlash

Police say Liu and Ramos were sitting in their patrol car in the Brooklyn neighborhood of Bedford-Stuyvesant on Saturday afternoon when Brinsley ambushed them.

Authorities haven't established the gunman's motive, but they've noted that Brinsley, 28, broadcast his plans to kill police on social media. And in some of his posts, investigators have said, he mentioned the cases of Michael Brown and Eric Garner, African-American men who were killed by police.

Brinsley's sister and aunt told CNN affiliate WCBS that he was estranged from them, deeply troubled and suicidal.

But the family members said they don't believe the police officers he killed were targeted for what they represented, despite his social media posts before the shooting.

"This has nothing to do with police retaliation," said Jalaa'a Brinsley, the gunman's older sister. "This was a troubled, emotionally troubled, kid. He needed help. He didn't get it."

Since Saturday's shooting, critics have taken aim at de Blasio's comments about the protests surrounding Garner, a 43-year-old who died in July after police in Staten Island placed him in what appeared to be a chokehold. A wave of protests erupted in New York City -- and nationwide -- after the officer involved was not indicted.

The head of New York's police union said de Blasio had "blood on his hands." And, in the aftermath of Saturday's shootings, video showed officers turning their back on the mayor as he passed them.

Others have said that de Blasio should not be blamed, arguing that the gunman is solely responsible for the weekend's bloodshed.

Bratton told reporters Monday that tensions between New York mayors and police unions are decades in the making.

"Can you point out to me one mayor that has not been battling with the police unions in the last 50 years? .... So the experience of this mayor, in terms of some cops not liking him, it's nothing new. It's part of life, it's part of politics. And it is what it is. This is New York City. We voice our concerns and we voice our opinions," Bratton said. "So what I suggest is ... that we will engage in dialogue once we get our officers respectfully mourned and buried, and return to dialogue where we can hopefully resolve whatever differences are out there."

'We cannot take this lightly'

But there's one thing New York's mayor said shouldn't wait.

"If you see something on social media that is a threat against a police officer, call 911 immediately," de Blasio said. "We would much rather get too much information than too little."

Online threats against police officers must be taken seriously to stop future attacks, de Blasio said, referring to social media posts by the gunman who killed the officers.

"Once this individual posted on Facebook his intention, anyone who sees that has the obligation to call the police immediately and report it," he said. "We cannot take this lightly."

Investigators have been combing through the gunman's social media posts and looking through his cell phone.

Many of his Instagram posts show "self despair," said Robert Boyce, the New York Police Department's chief of detectives. There are also anti-government tirades, he said.

Among several thousand images on Brinsley's cell phone, investigators found footage of a recent protest in New York's Union Square Park, Boyce said. In the video, recorded around December 1, "he is a spectator watching one of the protests," Boyce said.

New threats

As they grieve the deaths of two of their colleagues, New York police must also deal with a spate of new threats.

The department plans to increase security around the New Year's Eve Ball Drop in Times Square as a result of ongoing threats against officers, a law enforcement official said.

The NYPD is investigating more than 15 threats to officers posted on various social media platforms, trying to determine whether any are serious or credible, a senior New York City law enforcement officer told CNN.

The department's intelligence division continues to monitor social media for threats made to the NYPD. Officials have not released details about any potentially credible threats.

But the troubling messages aren't just coming from New York.

A Memphis, Tennessee, man has been questioned after allegedly posting threats against the NYPD, CNN affiliate WREG reported.

"Good job. Kill em all I'm on the way to NY now #shootthepolice 2 more going down tomorrow," an Instagram post read.

The NYPD has already pulled all of its auxiliary officers off the streets in the wake of the killings of the two officers. Auxiliary officers are unarmed volunteer officers who help with traffic control or other minor situations.

The victims

As they grapple with the shooting, de Blasio said Ramos' family remains united in their Christian faith, their strong sense of family and their belief in public service.

Ramos had been scheduled to graduate later Saturday afternoon from a community-crisis chaplaincy program, according to the Rev. Marcos Miranda, president of the New York State Chaplain Task Force.

"He thought being a chaplain was something he could see himself doing as a full-time ministry when he retired from the NYPD," Miranda said. "You just looked in his eyes and there was kindness all the way around."

A quote on the slain officer's Facebook page says, "If your way isn't working, try God's way."

A funeral service for Ramos will be held on Saturday at Christ Tabernacle, the church he'd attended for nearly 14 years.

A statement on the church's website described him as a family man who loved his wife and two sons and "always talked about his kids and how well they were doing athletically and academically."

Liu's family is waiting for family to come from China to work out the details of funeral arrangements, Bratton said.

In a statement released Monday night, his family said Liu was 12 when his parents emigrated with him in 1994, coming to the United States from Canton, China, in search of a better life.

He majored in accounting in college, but he opted for a different path, joining the New York Police Department in 2007. He was proud to serve as an officer, his family said, using his Chinese language skills whenever they were needed.

He got married in September and had been looking forward to having his own family.

Tears streamed downed family members' faces as they stood before reporters in front of the family's Brooklyn home Monday evening. His widow thanked members of the community for their support and sent condolences to the Ramos family.

"This is a difficult time for both of our families," Pei Xia Chen said, "but we will stand together and get through this together."

Shimon Prokupecz reported from New York; Catherine E. Shoichet and Ashley Fantz reported and wrote from Atlanta. CNN's Holly Yan, Joe Sutton, Alexandra Field, Ray Sanchez, Rick Martin, Alexandra Jaffe, Elise Miller, Daniel Verello and Andy Rose contributed to this report.

@highlight

NEW: Official: Security building for New Year's Eve in Times Square after threats to cops

@highlight

New York's mayor says slain officers' families are "in tremendous pain"

@highlight

Reverend on Ramos: "You just looked in his eyes and there was kindness"

@highlight

NYC police investigate more than 15 threats against officers posted on social media