Washington (CNN) -- U.S. President Barack Obama and other world leaders are set to address a host of pressing economic and military security issues this weekend as the United States hosts a high stakes Group of Eight summit outside Washington and a NATO summit in Chicago.

A user's guide to the Chicago NATO summit

The three-day diplomatic marathon kicked off Friday morning with remarks by Obama on the rising concern over global food security. Obama outlined a new international effort to address hunger in Africa and elsewhere, calling it a moral, economic and security imperative.

The failure to adequately address the issue is "an affront to who we are," he declared.

Obama also met at the White House on Friday with new French President Francois Hollande, who was elected on a platform opposing increasingly unpopular eurozone austerity measures.

"Much of our discussion centered on the situation in the eurozone," Obama noted. "President Hollande and I agree that this is an issue of extraordinary importance not only to the people of Europe but also to the world economy."

NATO invites Pakistan to Chicago summit

Leaders of most of the G8 -- made up of the United States, France, the United Kingdom, Germany, Japan, Italy, Canada and Russia -- were meeting later Friday and Saturday at the Camp David presidential retreat in Maryland. Debate is expected to focus on whether an economically weakened, debt-laden Europe should continue down the road of austerity trumpeted by German Chancellor Angela Merkel or focus more on economic stimulus to help the continent grow its way out of the current crisis.

Hanging over the deliberations is the fate of economically battered Greece, which has been unable to form a new elected government. Many analysts believe that Athens will be forced to exit the euro currency shortly, which could further rattle global economic confidence.

"Greece must stay in the eurozone," Hollande insisted during his meeting with Obama. We all "must do what we can to that effect."

The G8 leaders are also expected to discuss the standoff over Iran's nuclear program and the bloody conflict in Syria, where at least 9,000 people have died over the past 14 months, according to United Nations estimates. In recent days, violence has spilled over into Lebanon and Turkey, where thousands of Syrians have fled.

Russian President Vladimir Putin will not attend the G8 meeting, which makes significant progress on either Syria or Iran unlikely. Russia has been at odds with the United States and other G8 countries over exactly how hard to crack down on Damascus and Tehran.

Later this weekend, the war in Afghanistan is expected to dominate discussions at the NATO summit. Afghan President Hamid Karzai and Pakistani President Asif Zardari are both expected to attend the meeting.

Opinion: Why ordinary Afghans worry about NATO summit

NATO leaders are currently on a timetable to withdraw all of the alliance's combat troops from Afghanistan in 2014.

One of the key issues to be discussed in Chicago is who will pay to build up Afghan security forces during and after the NATO drawdown. Afghan national security forces should total around 350,000 by 2015, according to CNN National Security Analyst Peter Bergen. Karzai's government can afford to cover only a fraction of the cost, which is expected to total roughly $4 billion annually after 2014, Bergen notes.

NATO's post-Afghanistan future unclear

Another issue is Islamabad's continued blockade of much-needed NATO supplies over Pakistani roads to Afghanistan. Pakistan has kept its airspace open but closed its ground routes after the death of about two dozen Pakistani soldiers in November at the hands of NATO forces at a post on the Afghan-Pakistan border. NATO insists that the incident was an accident.

Obama officials are also pushing for more Pakistani involvement in peace talks with the Taliban.

Protests are expected near the sites of both the G8 and NATO summits this weekend.

"We expect the worst and hope for the best," said Ross Rice, an official with the Chicago FBI. That "is the way to characterize how the weekend plays out."

CNN's Peter Bergen, Elise Labott and Ted Rowlands contributed to this report.

@highlight

President Obama is hosting G8 and NATO summits this weekend

@highlight

Europe's economic crisis, Iran and Syria are expected to top the G8 agenda

@highlight

NATO leaders will discuss the war in Afghanistan

@highlight

Protests are expected at both summits