(CNN) -- This is how the world ends -- at least at the multiplex this month.

Last weekend's box-office champ "2012" primarily uses an ancient Mayan prophecy to spin a tale of world destruction. "The Road," due out November 25, showcases a father and son navigating a post-apocalyptic world of ash, cold and cannibals. And the indie documentary "Collapse" gives voice to one man's belief that, as we exhaust natural resources, civilization is ready to crumble.

Such concerns have always been with us, says Alexander Riley, a sociology professor at Bucknell University who's incorporated eschatology (the study of the end times) into his courses.

"It's been a constant part of the landscape in the Western world for a long time," he says, though it's been particularly present in recent times, perhaps driven by ever-quickening social and technological change, he adds.

Examples can be found through the centuries. At the end of the year 999, pilgrims made their way to Jerusalem, convinced that the Last Judgment was at hand. In 1843, thousands of followers of the religious leader William Miller gathered on New England hilltops, waiting for ascension. In 1982, some believed the "Jupiter Effect" -- the rough alignment of several celestial bodies -- would cause catastrophe.

And the coming of the year 2000 led to fears about technological collapse -- in the form of the Y2K bug -- and rumblings about the return of Jesus.

The fact that none of these events led to the end of the world hasn't calmed end-times fears. Indeed, many people are still trying to interpret alleged prophecies -- such as the biblical Book of Revelation, Nostradamus' verses and that 2012-focused Mayan Long Count calendar -- in hopes of figuring out exactly when the other shoe will drop, and humanity will be freed from its vale of tears.

Riley observes that end-times passions find particularly fertile soil in the United States, which has a higher degree of religiosity compared to other developed nations, according to a 2008 Gallup survey. At the evangelical Friends Church in Yorba Linda, California -- one of the largest Quaker churches in the world -- Phil Hotsenpiller, the church's teaching pastor, gives a yearly series of lectures on end-times concepts and says interest has been high, with "lines out the door."

He says that he tries to educate his audience about the sources of apocalyptic thought, and why biblical prophecy is such a draw for some.

"Biblical prophecy lays out a scenario that God says this is what's going to happen, and just watch for these signs," he says.

The movie business has taken notice: The Weinstein Company, producers of "The Road," asked Hotsenpiller to take his show on, well, the road to discuss themes of the film.

But it's not just Christian groups that have an end-times fascination. Riley says that all the major monotheistic faiths -- Judaism, Christianity and Islam -- have variations on the belief that God interacts directly with humanity, and has made a promise "to wrap things up, and then we'll get on with Act Two."

That idea of an Act Two -- or, better yet, a conclusion -- satisfies something innate in humans, he says.

"Lots of people have an interest in cultural narratives ... that have a closure that coincides to some degree with their own lives," Riley says. Science provides a story as well, he says, "but it's very open-ended." The eschatological narrative, on the other hand, says "the world is going to come to an end, and it's likely going to come to an end in my lifetime. So conveniently, everything is going to wrap up when or before MY life wraps up."

Which is where Hollywood, longtime manufacturer of great stories and seeker of customer satisfaction, comes in. iReporter: See "2012" in theatres

Movie history is replete with end-of-the-world scenarios, whether driven by religion ("The Seventh Sign"), alien invasion ("Mars Attacks!"), environmental disaster ("The Day After Tomorrow"), warfare ("Dr. Strangelove") or much of the above ("Beneath the Planet of the Apes"). Wheeler Winston Dixon, Ryan Professor of Film Studies at the University of Nebraska-Lincoln, points out that the topic is almost as old as film itself: The first sound film of Abel Gance, who made the groundbreaking 1927 silent "Napoleon," was 1931's "The End of the World," in which a comet slams into Earth. (It flopped.)

Such films allow us to enjoy the present while watching a fantasy about the future, he says.

"I think it's a desire to sort of say ... 'We won't have to worry about the future, because there is no future,' " he says. "And so therefore, we can do what we want now, and all the debts are put off and all the responsibilities are avoided."

Besides, "the complete destruction of the world has always been attractive, because ... by witnessing that act and staying outside of it, you've witnessed the apocalypse," he says. "It's much like a horror movie. It allows you to participate without risk."

"We love adrenaline," adds Peter Hankoff, a writer-producer of documentaries for the National Geographic Channel and the Discovery Channel, among others. "We always have this need to be vigilant or hypervigilant. So when something like this comes on our radar of the possibility of the end, it peaks our adrenaline level. ... We love disaster, and we love to avert it."

But Hankoff, a pleasurably acerbic skeptic who has made documentaries about Nostradamus, says it's hard to persuade people invested in end-times theories to revise their views.

"The problem is, when you're faced with the facts, and faced with finding real concrete proof ... 2 plus 2 equals 4, no matter how many times you add it up." Believing in the end offers power to the dispossessed, he adds: "[If] there's this level of feeling of insignificance, what's the greatest equalizer in the world? The end of the world." iReporter: "2012" good, not great

Sometimes, the fixation can lead to tragedy. In 1995, members of the Japanese group Aum Shinrikyo released sarin nerve gas into the Tokyo subway system, killing 12 people. Two years later, members of the Heaven's Gate cult committed suicide in the belief that a spaceship was going to come and take them off earth.

And many terrorists and agitators subscribe to end-times beliefs, with hope that their provocations can lead to apocalypse.

Still, as optimists are fond of pointing out, "apocalypse" doesn't mean end, but is Greek for "revelation" -- an unveiling of truth. In that respect, says Hotsenpiller, a concern about the end can lead to a desire to fix things: hope that we, as humans, can make a positive impact.

"All of us deep down know that something's wrong with the world and with us as people," he says. "There is something wired into us, or placed in there by God, that says, 'Every one of you is going to have to deal with the issues that ... aren't right in your life.' That doesn't have to be a negative. It can be a positive. It can be where I come to grips with who I am as a person, with who I am before God, and I make some changes."

And for those who are still convinced that 2012 means the collapse of civilization, Hankoff -- who doesn't buy it for a minute (though he can't wait to see the movie) -- is pleased to offer a solution.

"I want everybody that believes that 2012 is going to happen to send me their stuff," he says. "And if you get mad at me for saying that 2012 is totally insane, you can send me an apology on December 22, 2012 -- which is a Saturday, by the way -- because I'm still going to be here."

@highlight

Movies about end of the world particularly present in recent times

@highlight

Professor: One reason could be faster social and technological change

@highlight

Producer: People love adrenaline, and end-of-the-world scenarios provide it

@highlight

But "end of the world" is more likely a wake-up call for people to fix their lives, pastor says