LONDON, England (CNN) -- Beautiful and intelligent, and balancing a modern outlook with a deep concern for her people, Jordan's Queen Rania seems in many ways to represent the optimistic face of the Middle East's future.

Not just a pretty face: Queen Rania has used her position to fight for better education for Jordanian youth.

Since she entered the spotlight after she married then Prince Abdullah in 1993, she has become known for her philanthropic work, pushing for better educational facilities for Jordan's school children and supporting efforts to empower women.

Feted by the West (she has been interviewed countless times, including a half-hour appearance on Oprah), she was named the third most beautiful woman in the world by Harpers and Queen magazine in 2005.

She has used her considerable status -- Forbes magazine ranks her 81 in the world's 100 most powerful women -- to correct what she sees as misconceptions in the West about the Arab world.

A beacon of hope then in a troubled region? Not exactly. The reality behind the picture perfect image is more complex.

To a large extent Queen Rania remains a paradox -- a symbol of the contradictions that still blight the region as it tries to come to terms with modernity.

She is the business graduate who left her job at a multinational to marry into a monarchy that has ruled Jordan for the last 60 years, at times with an iron rod.

She may talk passionately about freedom of speech and equal rights. Yet Jordan's own human rights record under the stewardship of her husband King Abdullah II has hardly been exemplary, and has included accusations of terrorist suspects being tortured, harsh laws to clamp down on public dissent and the arrest without trial of critics of the government.

Jordan also has one of the highest incidences in the Middle East of honor killings -- the practice of women being killed by male family members if they engage in pre-martial sex. To her credit, Rania is not burying her head in the sand over the problems of Jordan.

She acknowledges, for example, that unemployment rates among young people stand at 25 percent, double the global average, and that "creating jobs is one of the most important priorities for us."

The daughter of Palestinian parents, she is also acutely aware of the severe social problems that conflict has created in the wider region.

She talks about a "hope-gap" in trouble spots such as Iraq and Palestinian areas, where young people can be sucked into a vortex of violence and where there are few, if any opportunities to rescue them.

"It's all about providing that opportunity, a sense of hope for the future generation because I believe that if that future generation is growing without that sense of hope, then we are looking at a very dangerous situation."

Faced with so many complexities in the current political and social climate in the Middle East, it's perhaps not that surprising that Rania is focusing so much of her energy on young people. As well as efforts to improve education, she has initiated an online debate on the video sharing site YouTube.

The queen is asking viewers to send in comments about their ideas of Islam and the Arab world. She then appears and discusses her reaction to the comments. The conversation is due to run until International Youth Day on August 12.

"When I'm in the West I'm asked why do the Arabs hate us? When I'm in the Arab world I hear very negative comments about the West," she told CNN. "The rising tensions between both sides is a fact of life, I don't think that anyone can deny it."

She wanted to take the debate online and ask young people to participate in order to "bring them into the conversation because they are the ones that can change the discourse."

She said the Internet is a force for free speech, and that greater communications are making it harder for authoritarian regimes to stifle dialogue.

"If you don't like the comments that are out there the best way to tackle it is to respond to them and to put your side of the story."

A mother-of-four, she believes that young people should be allowed to be involved in the political process, not only because she is concerned they're being denied a voice but also because she says she thinks they have a huge amount to offer.

She said young people need to be seen as "active agents as opposed to just persons in the making and to do that we really need to educate them, engage them and empower them in the decision-making process."

That her idealistic pronouncements can seem at odds with the reality on the ground is not surprising, given just how difficult that reality is. That she cares enough to try and make difference is only to her credit.

@highlight

Queen Rania married in to the Jordanian royal family in 1993

@highlight

She has attracted wide attention because of her beauty and charity work

@highlight

She has also used her position to call for greater understanding of Islam in the west

@highlight

Her husband's government has faced criticism over Jordan's human rights record