Responsibilities come along with a camera: when to use it or when to set it aside. Our human nature is to gawk, and the camera often creates a layer of added unreality, shielding at least our full attention from all that is in front of us.

A freelance photographer for The New York Post recently took a heart-stopping photo of a subway train bearing down on a man who had fallen on the tracks. Instead of trying to pull the man to safety, the photographer took photos. One landed on the cover the The Post. The public outcry -- against the photographer, the paper and the bystanders who also did nothing to save the man -- was swift and severe.

Back in the day when mobile phones did not come with a built-in camera, uproars made us duck and cringe. You'd suck in your breath and hope that trouble might sweep by without touching. Nowadays, if you are an ordinary citizen or even a special officer who is off duty, I hope you will find a quick, compassionate, humane response to everything in life.

My purpose here is not to address the issue of journalists who are merely on duty, looking for spot news or prowling for features. My argument is not about instinct and reflex, which probably gripped the subway photographer, R. Umar Abbasi.

He told reporters he "had no idea" what he was shooting. "I'm not even sure it was registering with me what was happening. I just started running. I had my camera up -- it wasn't even set to the right settings -- and I just kept shooting and flashing, hoping the train driver would see something and be able to stop."

Opinion: Why the outrage over photo in subway death?

Whatever Abbasi's motives may have been or still be, it is the habit of many photojournalists to shoot a lot and to keep shooting at all costs, especially in the heat of a dramatic moment.  It's the reality of the job.

In the movies, every photojournalist starts off as an aloof, confused, emotionally stunted voyeur. Think of Jimmy Stewart in "Rear Window," Dennis Hopper in "Apocalypse Now" or the photographers portrayed in "Blood Diamond," "Delirious" and "City of God." Screenwriters always demand that they lay their cameras down and, only in that way, attain clarity, take action and remake events for the sake of a noble, happy ending. Bearing witness is never enough, in this characterization.

It's a popular conclusion, seemingly the only one that we are fed, but it is not in the best interests of society.  Indeed, the National Press Photographers Association feels so conflicted about our role that it now goes beyond giving out awards simply for the best pictures of the year. It now has another plaque for the photojournalist who stops taking pictures, choosing instead to save a stranger's life or limb.

I've been an investigative journalist and photographer for over 40 years, half of that in the field and half of it on the assignment desk. I am frequently called upon to judge the work of my peers.

The journalist's job is to be invisible and, in that way, to see on behalf of everyone else. We perform our most vital role when the stakes are high, even to the level of life and death. Our duty is to test the tough question, the one at the very heart of a given story, the one immediately at hand.

Say a photojournalist and an editor want to do a story about medicine and public policy. They might reflect on a couple of these questions and attempt to show them in a journalistic investigation: How often do schizophrenic patients stop taking their meds, becoming a danger to themselves and others? Does trouble sometimes show up like clockwork and for the same combination of reasons? Might a schizophrenic patient with a history of violence pick fights and hurt people? Is it time for an intervention?

Nothing could be more compelling for the public and policymakers to examine, and photographs could be the best way to illuminate the problem. If the system needs fixing and our role as journalists is to witness things when they break down, we can't go around preventing or fixing the breakdowns before they even happen. We have to simply watch and wait and see how bad things get. We must see for ourselves.

Stories of this quality are not psychologically easy for the journalist to undertake, or for the public to digest.  They must be presented in a dignified manner, with the fullest possible context.  If editors try to be quick and lurid in their display, both subjects and audience will only feel insulted.

Back in 1977, in Rhodesia, I watched the brutal interrogation and torture of a man over a three-day period. The officer in charge later learned that the prisoner had died as a result. Up until that point, the government and the army had insisted that there was nothing to the rumors of such treatment, that if there were problems, they weren't significant. Only by waiting and watching patiently, I found out that there was more to the story. Much more.

In 2005, I sat on a panel at Columbia University that reviewed the best journalism of the year. One unforgettable news photograph -- out of a portfolio of 20 -- showed Iraqi insurgents pulling a man out of a car in midday traffic and shooting him in the head. When we awarded that eyewitness account with a Pulitzer Prize, a chorus of criticism was heaped on the decision. The photo was too disturbing, so they said. How did the photographer just happen to be there? Couldn't he have stopped it? Wasn't he just as bad as the bad guys?

No. He was doing his job. He was performing one of the most crushing duties that society can assign, all in the name of today's honesty, tomorrow's decisions about it and history's fullest account.

Entering this profession is not easy, and not everyone has the internal strength for it.

But we dare not turn a blind eye. Someone's got to do it.

@highlight

Photographer took picture of man in path of subway; public outcry ensued

@highlight

J. Ross Baughman says a photojournalist's job is to witness

@highlight

He says if role is to record bad things in world, one can't fix them before they happen

@highlight

Writer witnessed brutal torture in Rhodesia; in doing so, he revealed government lies