(CNN) -- Thousands of people across the world railed against corporate power, grinding poverty and government cuts Saturday as the Occupy Wall Street movement spread to the streets of Europe, Asia and Australia -- and took a particularly violent turn in Rome.

Firefighters battled a blaze at an Interior Ministry building near Porta San Giovanni in Rome, the main gathering site of the Italian protesters taking part in the Occupy movement Saturday, said eyewitnesses who reported seeing a Molotov cocktail thrown near the building.

A spokesman for Mayor Gianni Alemanno, who condemned the violence, confirmed 70 people were injured, 40 of them police officers. No arrest numbers were available late Saturday.

Police said hundreds of anarchists in Rome moved in where peaceful demonstrators had gathered as part of the global Occupy movement. The anarchists -- some wearing ski masks and belonging to a group termed "Black Bloc" -- torched cars, broke windows and clashed with police.

"It's been completely hijacked by these violent factions, and the police are nervous, and the situation is very tense," Barbie Nadeau, a Newsweek correspondent, told CNN. "I myself saw at least -- I would say -- a dozen people who probably needed some hospitalization or some care -- some stitches certainly."

Two police officers were seriously injured and two young men lost parts of their hands in explosions when protesters torched cars, she said.

In London, protester Peter Vaughn, reflecting the mood of many in the crowd there, said people criticized financial institutions that have "gambled away our money."

"We're giving people a real voice against a government that just ignored us," he said.

One protester in Belleville, France, referring to the country's leaders, said government isn't listening to the people and dialogue with them is impossible.

"You are not listening to us, whatever we do, however we vote, however we demonstrate. It does not give any result. Quite the opposite, as poverty and austerity plans continue. So we can't go on like this so we are getting out and showing ourselves," he said.

The protests spread amid the growing financial crises for several Western countries. Finance ministers with the Group of 20, meeting in Paris, pledged Saturday to take "all necessary actions" to stabilize global markets and ensure that banks are well capitalized.

Europeans turned out amid debt troubles and austerity plans in Greece, Belgium, Italy, Spain, Ireland, Portugal and Germany.

United for Global Change -- the central site for the movement organizing worldwide protests -- said 951 cities in 82 countries were to take part in the demonstrations after online organizers called for a worldwide rally.

More than 10,000 demonstrators of all ages gathered peacefully in Madrid's spacious Plaza de Cibeles on Saturday and than walked uphill to Puerta del Sol. The "May 15 Movement" started five months ago to the day over austerity measures and high unemployment. Some demonstrators said they felt Spain's protest had gone global and that the world had joined the movement started in their country. The newspaper El Pais said tens of thousands of protesters turned out in Barcelona.

Around the world, protesters marched, listened to speeches, and displayed banners reading anti-corporate slogans, including the now ubiquitous "we are the 99%," "Banks are cancer" and tax the rich 1%."

The vandalism that erupted in Rome angered peaceful protesters. There were car fires and masked people breaking windows at banks and stores, where many thousands faced a large police presence. Firefighters were working to contain the blaze and the tensions calmed down in the evening hours. But the echo of Molotov cocktails could be heard and a lingering cloud of black smoke could be seen, Nadeau told CNN.

In Germany, police used pepper spray on two protesters who crossed beyond police lines.

Still, the demonstrations across the world were peaceful overall, inspired by the protests in the United States. In London, WikiLeaks founder Julian Assange spoke to demonstrators. The demonstrations are contained to an area in front of St. Paul's Cathedral. There have also been three arrests, two for assault on police.

"What is happening here today is a culmination of greed that many people all over the world have worked towards from Cairo to London," Assange said.

Tens of thousands demonstrated in German cities, witnesses said. Peaceful protests with a festive atmosphere blended with a mood of anger toward big business, where demonstrators carried signs saying "Goldman Sucks," "Eat Cash," "People should not be afraid of their government," and "The government should be afraid of their people."

"They are stealing our rights," one banner read at a demonstration of several thousand people in Madrid.

Canadians turned out in Toronto, with placards jutting up from a crowd saying "Arrest the 1%" and "Stop ignoring the youth, we are your tomorrow." A sign on a dog said "99% against (corporate) fat cats."

Retired businessman Wong Chi Keung, in Hong Kong, said, "We should not let the banks get away with being big bullies."

Debbie Chen works for a group protesting against Apple's treatment of its workers in China.

"As the world's most valuable company they earn the lion's share while the workers on the production line earn only 1% of the selling price of an iPhone. We hope there can be more even distribution of profits," she said.

About 200 people marched through Tokyo carrying various signs, including "No More Nukes and "Free Tibet." The crowd included children jumping and skipping behind the adults. Some protesters wore costumes -- including a giant panda.

"I'm here because young Japanese people are suffering for losing their jobs, but not many speak out their issue to the public," said Kesao Murakami. "I really want young people to appeal forcefully to the public saying, 'We are in trouble.' "

In the Indonesian capital of Jakarta, about two dozen people -- some wearing masks -- gathered near the U.S. Embassy.

"We wanted to show that the American regime, its system of imperialism needs to be destroyed," said Rudi Daman, leader of the International League of Peoples' Struggle.

The group urged its chapters to stage a global day of action against "imperialist plunder, repression and war."

Australian cities of Melbourne and Sydney joined rallies against "corporate greed" as protesters aligned themselves with the global movement.

"Our protests are to show our solidarity with Occupy Wall Street and also protest various problems -- from indigenous issues in this country to government problems," said Alex Gard, one of the Melbourne organizers. "We know we have it better than the protesters in the States ... but there are still problems in this country."

Organizers urged protesters to bring sleeping bags and other soft items to sleep on.

"I've heard people say they plan to be there for days, even months," Gard said.

Organizers worldwide started social media pages on Facebook and Twitter devoted to "October 15" â€” #O15 on Twitter â€” urging protesters to join the global call for protests.

The worldwide movement is galvanized by the Occupy Wall Street movement started last month as a backlash against the economy and what demonstrators say is an out-of-touch corporate, financial and political elite.

Occupy Wall Street organizers say they are inspired by the Arab Spring that led to the toppling of regimes in Tunisia and Egypt.

The founding movement in the United States has spread to other major cities in the nation.

CNN's Junko Ogura, Kathy Quiano, Per Nyberg, Laura Perez-Maestro, Al Goodman, Livia Borghese, Erin McLaughlin, Diana Magnay, Ben Brumfield and Tim Schwarz contributed to this report

@highlight

70 are injured in Rome clashes

@highlight

The predominantly peaceful protests are inspired by Occupy Wall Street

@highlight

Julian Assange addresses the crowd in London

@highlight

Calls for the protests began on Facebook and Twitter