Atlanta, Georgia (CNN) -- The curious faces scrutinize the classroom kitchen, where pots and pans dangle from the ceiling and sharp knives glisten on the counter next to heaps of spinach and ripe green peppers. The one-night, hands-on course, called Food 101, is meant for them. They are the cooking inept, who can't properly to chop an onion, let alone sauté a medley of vegetables.

First-time student Jessica Clark, 33, of Atlanta, is attending the course offered by Cook's Warehouse because she is dubious of her kitchen abilities. She only knows how to prepare grilled chicken and steamed broccoli (and on some nights canned black beans and rice). Her boyfriend is sick of eating the same thing at home. She is sick of eating out.

"I usually make whatever is easy, and I guess that's not much," says Clark, dressed in an apron with her fingers still wet from fumbling through the tomato dicing activity. "I've avoided the kitchen for 33 years."

Cooking dinner? There's an app for that

From British celebrity chef Jamie Oliver to First Lady Michelle Obama, a food revolution is brewing in America, a push to return to the bygone days when healthy home-cooked meals were much more frequent. Despite the efforts to get Americans back into the kitchen, there still exists a group of adults in their 20s and 30s -- like Clark -- who are clueless in the kitchen.

Ironically, these 20- and 30-somethings may have stretched their palates while traveling the world and even spend hours watching the cooking shows and "Top Chef," but they are defeated when they enter the kitchen. They don't own cooking utensils in their Tupperware-filled cabinets. They rely on microwaves, restaurants and takeout menus to feed their empty stomachs. Simply put, they cannot cook.

"Lots of people think, read and talk about food, but they don't know how to do anything," said Jennifer Berg, head of the Food Studies program at New York University. "There is an incredible disconnect to actually knowing how to do something."

I never learned to cook

No one tracks precisely how many young noncookers exist, but it's easy to find them. Just ask anyone between the ages of 20 and 40, and they will shrug and say either they can't cook -- or point to a friend who can't make anything.

They come with plenty of excuses for their cooking incompetence: "My friends would rather eat out.  ... I don't like cleaning the mess afterwards. ... Cooking for one person is impractical. ... I'm too busy with my job to cook. ... I live in a city with plenty of affordable restaurant options. ... My New York City kitchen is too small."

"I couldn't tell if she wanted the big bubbles or little bubbles," says Sharita Robertson of Baton Rouge, Louisiana, reflecting back on a time in her early 20s when a friend asked her to boil some eggs. Robertson never had to boil anything before her friend asked her.

She admits her mother cooked meals for her growing up, but she doesn't know why she never learned.

"I just never had to do any of it," she says.

Robertson, now 30, has a 7-year-old daughter, but she rarely prepares anything more complicated than opening a jar of spaghetti sauce and boxed pasta. One time, she tried to fry some chicken, but the attempt ended with a disastrous blister on her leg.

Most of the time, her mother cooks for her daughter.

Restaurants, processed foods take over

At all ages, there are individuals who cannot cook. But NYU food studies expert Jennifer Berg theorizes the group of 20- and 30-somethings can't cook mainly because of a dependence on processed foods that took hold in the 1970s. Greasy snacks, frozen dinners and instant soups flooded the marketplace, replacing traditional home cooking as mothers joined the workplace.

During this period, the feminist movement grew stronger, Berg explained. A stigma formed around mothers who cooked meals from scratch. They were labeled domesticated women tied to the household, Berg said. Home economics classes were out, working mothers were in.

And so, Berg says a generation of children never learned from their mothers how to cook.

Another reason why some people cannot cook, some food experts believe, is that the restaurant culture took hold of the American family. Dual incomes made restaurants more affordable to the growing middle class. In particular, fast food chains such as McDonald, Pizza Hut and Burger King began invading almost every community in America.

Nearly half of spending on food in the American family went to "food away from home" in 2008, according to theU.S. Department of Agriculture's Economic Research Service. In 1970, about 30 percent of food dollars were spent away from home.

"If you have a great food scene and so many affordable options, then you don't need to necessarily be in your own kitchen," said Amy Cao, 26, a food writer who created the AmyBlogsChow.com. "Cooking is no longer a survival tactic."

Cao 26, admits on her blog that she cannot cook even though her job is to dine and review restaurants across New York City. Her inability to cook inspired her video series called "Stupidly Simple Snacks" on her blog, where she helps young noncookers learn how to prepare a quick snack.

In one of her fast-paced, three-minute online videos, she looks uncomfortable in the kitchen as she teaches her viewers how to make a Greek salad that only requires putting chopped tomatoes, cucumbers, olives and feta cheese in a large mixing bowl. She struggles to use the pepper grinder, and then casually tops the salad with balsamic vinegar and a few pinches of salt.

Cao hopes the simple recipe can make cooking less daunting for young folks like herself.

The great obesity war

Studies have shown that eating out usually consumes more calories than cooking at home, which has complicated the obesity epidemic. About 34 percent of adults in the United States are considered obese, defined as having a BMI 30 or higher, according to the CDC. The obesity epidemic has motivated the food reform efforts by Jamie Oliver and Michelle Obama.

"If you don't know how to cook, then you have no options," writes Oliver to CNN. "You're forced into a series of bad choices and a diet of mostly processed foods ... cooking skills are life skills and just as important as knowing how to manage your money."

In the March edition of Newsweek, first lady Michelle Obama, who has embarked on the fight against child obesity, wrote about the lack of healthy home cooking.

"Back when many of us were growing up, we led lives that kept most of us at a pretty healthy weight," she wrote. "We walked to school every day, ran around at recess and gym and for hours before dinner, and ate home-cooked meals that always seemed to have a vegetable on the plate."

A cooking comeback?

Some food experts argue a revival of cooking has emerged among the young adults, both male and female, over the last decade. The Internet is loaded with young foodies, blogging and posting about their culinary adventures. The popular Food Netwook will launch the Cooking Channel this month, a trendier sister channel that targets younger audiences.

Cao writes on her blog that she's trying to learn to cook for the sake of her health and wallet. Several weeks ago she learned to bake tarragon chicken. It's a recipe that took three times to get right. She mashed the spices into the butter and then coated the chicken breast all by herself.

Barbara Fairchild, editor of Bon Appetit magazine, said she's noticed subscriptions jumped among 20- to 30-year-olds over the past few years. "Cooking is hip now," she said. "It's not just for someone with a French accent who is 70 years old and lives in Paris. It's become much more inclusive."

Back in the Cook's Warehouse classroom kitchen in Atlanta, there is only one bloody finger by the end of the night from a dicing and chopping exercise. The steam from the freshly made vegetable stock is simmering in the pot. A steak is being seared on a pan in a homemade sauce. The students are eager to enjoy a home-cooked meal.

Clark says she is inspired by the course. No more chicken and steamed broccoli. With some basic cooking skills, she's going to throw her friends a dinner party, all from scratch.

@highlight

Ushered by Jamie Oliver and others, there's a push to get Americans back into the kitchen

@highlight

A lot of 20- and 30-somethings have no idea how to cook

@highlight

Food experts: Restaurants, processed foods took a toll on home cooking

@highlight

Food shows and food blogging have become popular in the past decade