The new year will be the year the nation really starts to experiment with marijuana.

It won't be the year legalization sweeps the country; it will be a year of wait and see. Indeed, 2014 will see the legalization movement gain greater political strength while facing the possibility of setbacks  if the implementation of new laws fails.

It will also be a year of momentum-building. Advocacy groups will build on their recent ballot successes and work hard assisting implementation of new laws in Colorado and Washington. It may not be a flashy year; it may not be a headline-grabbing year, but it will be a critical year for the future of legalization advocacy.

In 2013, Washington and Colorado built the administrative infrastructure to ready their states for the legal sale of marijuana after successful 2012 ballot initiatives. Those initiatives were among the biggest victories to date for the legalization movement.

Of course, those successes didn't come about by accident. They were largely because legalization advocates -- over the course of many years -- transformed the movement into a mature, organized set of interest groups. These well-funded, expertly staffed groups showed themselves to be a political force with statewide ballot initiatives and increasingly in elections. Demonstrating the increasing acceptance of marijuana, the founder of a medical marijuana store, a respected businessman, was voted mayor of Sebastopol, California, last month.

Opinion: Finally, a nation legalizes pot

Statewide victories were complemented by local-level initiatives. Successes in places like Portland, Maine, and Lansing, Michigan, will probably generate greater energy in other cities, like Washington, that are considering legalization.

Building on this trend, groups will continue to develop as a politically savvy and powerful interest. In the world of lobbying, nothing breeds success (or raises funds) like prior success, and the past 14 months mean the movement will grow in numbers and financial capacity.

On a grass-roots level, organizations like NORML and the Marijuana Policy Project will continue to show people that support for legalization is no longer taboo. Instead, it is a serious issue that deals with public health, regulation, taxation and budgeting. These groups have done well to frame the issue not as a dorm-room debate but as a public policy problem. Those efforts pull supporters out of the shadows; they will continue in 2014.

In 2014, marijuana advocacy organizations will also continue to do something unheard of in today's American politics: unite Americans. This is one of the most remarkable, rarely discussed aspects of the movement. They don't just bring together like-minded Americans. They often bring together groups who normally bitterly oppose each other.

Liberals join hands with libertarians. Wealthy white voters who see marijuana laws as outdated join with non-white voters who see the enforcement of marijuana laws as discriminatory. Children of the 1960s join with their grandchildren who won't retire until even as late as the 2060s.

On many issues, these groups have different views, but on legalization, many people find common ground. All those who think it should be legal to inhale may be the ones who breathe fresh air into American politics. They will produce policy solutions in a system that consistently fails to do anything of note.

The gains for supporters of legalization will be on display in 2014. But something else will happen behind the scenes this year that will be absolutely critical for the movement.

Advocates are planning statewide efforts, similar to those in Colorado and Washington. Organizations in places like Oregon and Massachusetts, among other states, are considering legalization ballot initiatives in the coming years. However, elected officials and voters may well take a wait-and-see approach. Colorado's and Washington's experiences will affect voters in future legalization efforts.

If those states have a positive experience with legalization -- dispelling opponents' concerns about addiction, traffic safety and crime --- and it adds to their budgets,  others will be more open to legalization. Advocacy groups will face a flourishing political landscape.

If, however, the experiences in those states are negative -- implementation goes awry, programs become cost-inefficient or public health concerns arise --  the movement will stumble.

Advocates are not leaving that outcome to chance. In a show of how serious they are about legalization-as-public-policy, they are actively assisting states in implementation. If the movement will continue to succeed, it must be actively committed to making implementation work and work well. If the experience of the Affordable Care Act in 2013 has shown us anything, it is that implementation matters. Botched rollouts, unforeseen bumps in the road and other challenges hurt advocates and embolden opponents.

In this way, 2014 is the start of experimentation with marijuana. It might not be a flashy year for the movement or the opposition. But 10 years from now, legalization advocates may look back at this year and note that it was make or break for the movement, making 2014 one of the most crucial years for marijuana policy.

@highlight

2014 is the year the nation starts to experiment with legal marijuana, John Hudak says

@highlight

He writes that other states will watch what happens in Colorado, Washington closely

@highlight

Hudak: Organized advocacy groups took debate out of dorm room to policy makers

@highlight

He says groups will help states with implementation, crucial for success