(CNN) -- Whenever a new hotel opens, guests are quick to flock there, clamoring for its shiny new rooms and state-of-the-art features. But there's something to be said for staying at a venerable older property, like these top-rated hotels that are each celebrating their centennial this year.

Some of them have survived issues like war, recession, fire and lackluster management over the past 100 years, but each has persevered and truly stands the test of time. So next time you're visiting these eight cities, consider checking in at these legendary lodgings.

GROVE PARK INN, Asheville, North Carolina
Opening date: July 12, 1913

Easily distinguishable by its granite exterior and red clay-tile roof, the Grove Park Inn has long been a favorite mountain retreat, hallowed for its sweeping views, Southern hospitality and rustic yet refined Arts and Crafts design. A recent $25 million renovation, timed by current owner KSL Resorts to coincide with its anniversary celebrations, ensures this grande dame is back to form; even the giant fireplace in the lobby is working again.

7 amazing island rentals

Famous guests: Thomas Edison, Helen Keller, Henry Ford

Historical fact: In 1930, William Howard Taft resigned from the Supreme Court in the hotel's Great Hall.

HÔTEL PLAZA ATHÉNÉE, Paris, France
Opening date: April 20, 1913

Almost immediately after it opened, this testament to French culture and style became the place to see and be seen in Paris, and it remains so to this day. Now part of the Dorchester Collection, the hotel features 191 elegantly appointed rooms and suites pairing 18th-century-style touches with modern conveniences like remote-controlled air-conditioning. And you'll not just sleep well here, but eat well, too, given that all four of its restaurants fall under the supervision of famed French-born chef Alain Ducasse.

Go underground: Cave hotels

Famous guests: Marlene Dietrich, Richard Burton and Elizabeth Taylor, Jackie Kennedy

Historical fact: Legendary designer Christian Dior loved the hotel so much he opened his House of Dior on the same street, and avenue Montaigne soon became the capital of high fashion.

HOTEL DU PONT, Wilmington, Delaware
Opening date: January 15, 1913

With its elaborate woodwork, polished terrazzo floors and plush Queen Anne furnishings, the Hotel du Pont is a perfect example of the extravagance of America's Gilded Age. Additions over the years include elegant ballrooms, dozens more guestrooms, a theater substantial enough to house a Broadway show and a collection of notable artworks by the likes of N.C. and Andrew Wyeth.

6 hot resorts for adults only

Famous guests: King Carl XVI Gustaf of Sweden, Amelia Earhart, Eleanor Roosevelt

Historical fact: The hotel was conceived by a pair of DuPont executives as a place for people to stay while visiting their Brandywine Valley headquarters, yet no expense was spared in its creation and the final bill totaled an estimated $1 million, a hefty sum at that time.

FORT GARRY HOTEL, Winnipeg, Manitoba
Opening date: December 10, 1913

The Fort Garry is one of a group of grand hotels built by the Canadian National Railway in the early 20th century to increase travel along its transcontinental routes. These château-inspired accommodations quickly grew in popularity, and while some have fallen by the wayside, the Fort Garry maintains its glitz and glamour, a fact that recently heralded it a spot on a list of the 10 most romantic spots in Canada.

Famous guests: Sir Arthur Conan Doyle, Jack Dempsey, Liberace

Historical fact: The hotel once had its own bakery, butcher shop, heating plant, artesian well and printing press. The latter remains but is only accessible through a doorway on the roof.

BENSON HOTEL, Portland, Oregon
Opening date: March 4, 1913

The success of the Benson Hotel can be attributed to Simon Benson, an emigrant from Norway who moved to Portland and made a fortune in the lumber business. Ever the pioneer, he took a hotel that bled cash for the first 16 months of its life (it was originally called the New Oregon Hotel) and transformed it into a world-class property that now sits on the National Register of Historic Places. Managed today by Coast Hotels, it still oozes Benson's influences, from the Austrian crystal chandeliers to the Circassian walnut columns.

Famous guests: Every seated president since William H. Taft

Historical fact: Back in the day, guests of the hotel were greeted each morning with a complimentary cup of hot clam nectar. Today, it's a cup of hot coffee.

HOTEL SAVOY, Moscow, Russia
Opening date: March 30, 1913

The two aren't related, but much like the Savoy Hotel in London, Moscow's Savoy is a landmark property dripping with opulence, albeit in a much smaller, more intimate setting. Designed as a haven for aristocrats visiting from Saint Petersburg and beyond, it still draws Russia's elite, who can often be found hobnobbing in the lobby bar. Another beloved feature is its location, which is just steps from top sights like the Kremlin, the Bolshoi and St. Basil's Cathedral.

Famous guests: Isadora Duncan, Luciano Pavarotti, Richard Gere

Historical fact: The Hotel Savoy was built by the Salamander Fire Insurance Company, and images of salamanders can be found in the carpets, the pool and elsewhere throughout the property.

GSTAAD PALACE, Gstaad, Switzerland
Opening date: December 8, 1913

Gstaad is one of Europe's favorite winter sports destinations, but guests flock to this old-school resort year-round, enticed by the lighted tennis courts, Olympic-size swimming pool, high-end fitness center with saunas and massage rooms, and the hundreds of miles of hike and bike trails that weave through the Bernese Alps surrounding the property. One of the few family-owned and -operated hotels in Switzerland, the Gstaad Palace makes a point to treat its guests like one of their own, and the result is a boom in repeat visitors.

Famous guests: Marc Chagall, Madonna, Jimmy Carter

Historical fact: Owing to the Palace's isolated mountainside location, the Swiss government found it a fitting place to stash a chunk of its gold reserves during World War II.

GRANDE COLONIAL, La Jolla, California
Opening date: February 1, 1913

Given the Grande Colonial's spectacular seaside setting in a charming suburb of San Diego, it's not hard to see how the hotel has survived for the last hundred years. Or how it could easily make it another hundred. The property has undergone multiple renovations over the decades, including an $8 million restoration completed in 2007 and a recent overhaul of the entry, lobby and adjacent public spaces, both meant to preserve the hotel's original European-style ambiance and aesthetic.

Famous guests: Groucho Marx, Jane Wyatt and a couple of ghosts said to haunt the hotel's hallways

Historical fact: The pharmacist at a drugstore that became part of the hotel back in 1928 was the father of actor Gregory Peck, who grew up in the area and later co-founded the La Jolla Playhouse.

@highlight

The Grove Park Inn celebrates its 100th birthday in July

@highlight

Gstaad Palace in Switzerland is a family-owned hotel marking 100 years in December

@highlight

The Fort Garry Hotel was built by the Canadian National Railway in the early 20th century