Chicago (CNN) -- Women have been some of Sheryl Sandberg's harshest critics, but the thousands who gathered over the weekend in Chicago at BlogHer, the largest conference in the world for women bloggers, fully embraced the "Lean In" author, crowding around her for a handshake and a personal photo and giving her a standing ovation after her keynote appearance.

Sandberg's repeated message to the women here was that "Lean In," her best-seller that has now sold 1 million copies, wasn't just about encouraging women to become a CEO or run for office.

" 'Lean In' is about believing in ourselves and reaching for any ambition," the Facebook chief operating officer and mom of two said, adding the book was directed at all women, from the work-at-home mom fighting for a better teacher for her children to a woman reaching for the C-suite. "It's about each one of us asking ourselves what we would do if we weren't afraid and then reaching for those ambitions."

In light of criticism her message is elitist or critical of women who don't have sky-high aspirations, Sandberg seemed to take pains to clarify what leaning in means for women such as the many work-from-home mom bloggers at this conference.

Were these remarks a shift in her message, I wondered as I listened, a recalibration after her book set off a national debate about what it means to "Lean In" or a message that Sandberg had always wanted to send from the start?

"It's not a recalibration, but if the message got lost, I have to take some responsibility," Sandberg told me with a chuckle during a press conference. She said that while she considered writing a more detailed book, which she seemed to indicate would have included the stories of women from all walks of life, to make it "really authentic," she focused mainly on her experiences and those of the people around her, who happen to be corporate women.

"The intention was for the message to be really inclusive so that message is important to me," she said.

Judging by the response from women I chatted with after Sandberg spoke, her message came through loud and clear this time.

"I had always taken 'Lean In' as go all the way to the top," said Danielle Herzog, a mom of two who blogs at Martinis and Minivans. "Well, what if I don't want to go all the way to the top right now?"

But after hearing Sandberg speak, Herzog concluded that leaning in means simply "following your dreams," whether they lead you to the boardroom or not.

"What I took away from this is you should be the best at whatever you want to be," said Norine Dworkin-McDaniel, co-creator of an illustrated humor blog about parenting, "I don't want to be the CEO of a Fortune 500 company. I would hate that, but I can be the best CEO or chief of scientific snarkiness of Science of Parenthood."

Another point that resonated with the women here was Sandberg's concern about how we're raising our daughters, leading to what she calls a "leadership ambition gap" -- how by middle school, in survey after survey, more boys say they want to lead someday versus girls.

"And no wonder because little girls figure out really easily that the boys are going to lead and be liked and they are going to be told, 'Do not be bossy,' " she said.

Leigh Baker, who writes about the comical side to parenting, didn't realize until she listened to Sandberg how differently she's raising her son and daughter.

"I am guilty of saying that she's bossy," she said. "I encourage her to be a leader on the field, but I don't encourage her to be a leader off the field, but I do the exact opposite with my son."

Sandberg's celebrity status following the release of her book has led to speculation she might be looking for her next act beyond Facebook, maybe even considering a run for public office. "No, I'm doing about all the leaning I can do right now," she told BlogHer co-founder Lisa Stone with a laugh.

Facebook, she made clear, remains her focus, but she'll also spend as much time as she can on her "Lean In" online community, which now has more than 250,000 members, making it one of the fastest-growing communities on Facebook and the most engaged, according to Rachel Thomas, president of Sandberg's nonprofit, LeanIn.org.

To demonstrate the power of that community, after her keynote, Sandberg joined dozens of women at BlogHer as they broke into small groups to conduct "Lean In" circles designed to allow women to open up to their peers about questions such as what's holding them back.

"There were tables that cried, they cheered, they clapped, and at the end, they talked about ... how they felt, and it was amazing. 'We can do anything,' 'I feel empowered.' That is why circles are growing so rapidly," said Thomas, noting how there are more than 7,000 registered circles in all 50 states and at least 50 countries.

During Sandberg's time at BlogHer, I was struck by the disconnect between the criticism she's received nationally -- especially from some women -- and the response she received here from women, many of whom are not working in corporate America.

"I thought she was really humble and approachable, and I wasn't really expecting that," said Kelly Glover, host of the blog Big Curvy Love, who had a chance to meet Sandberg.

Deb Gaisford, a mom of an 18-month-old who blogs at Urban Moo Cow, said she thinks much of the criticism stems from women trying to defend their choices. "I think it's because people are looking at their own situations and clinging to their own sort of insecurities and not really being open to her message."

Jessica Ziegler, co-founder of the blog Science of Parenthood, said she doesn't find any of the criticism surprising. "People love to stir it up. It's so much easier to have a big fat negative opinion than to get behind a movement that is trying to support a huge group of people."

Follow Kelly Wallace on Twitter and like CNN Living on Facebook.

@highlight

Sheryl Sandberg: "Lean In" is about women facing their fears and following their dreams

@highlight

Some criticized Sandberg's best-seller as being elitist or geared toward corporate women

@highlight

If her message got lost, Sandberg says she needs to take responsibility

@highlight

Women at BlogHer, the largest conference of women bloggers, liked what they heard