(CNN) -- Newtown's legislative council had heard enough: residents complaining about loud gunfire, the Connecticut town's small police station inundated with phone calls from frightened residents.

So, a few months ago, they tried to restrict when and where residents could shoot their guns in an effort to quiet the complaints.

Instead, they got an earful from gun-control opponents.

Today, there's a much deeper debate over gun rights in Newtown and around the country in the wake of Friday's massacre at Sandy Hook Elementary school.

And the battle line in that debate runs straight through towns such as the once-sleepy Connecticut community.

"It's a town with a longstanding history and cultural tradition of guns," explained council member Paul Lundquist.

Newtown's longstanding gun culture manifested itself as a family outing for Adam Lanza, 20, who authorities say shot and killed his mother -- who introduced him to target shooting -- before killing 20 children and six adults at the elementary school and then taking his own life.

For several years, Lanza and his mother frequented several gun ranges in the area, according to federal authorities. That's nothing out of the ordinary in this Connecticut town, where shooting sports are a popular pastime.

"In Newtown right now, you can shoot any gun at anytime on your property," said town police commission member Joel Faxon.

Lawmakers seem prepared to tackle gun control

The commission's attempt earlier this year to curb the city's lax attitude toward gun use was stonewalled by gun-control opponents in August, which Faxon said he couldn't understand.

"All we wanted to do was make sure that all the guns that are fired in Newtown are fired in a safe fashion and aren't going to injure anybody and aren't going to infringe on anybody else's property and create a danger," Faxson explained. "Even that safety-based solution was staunchly and vigorously opposed by gun rights individuals."

It shows just how sensitive the debate over gun control can be in Newtown -- and the nation. But what about now? Has the climate for gun control changed in the wake of Friday's horrible attack? Might Newton's gun culture change as a result of what happened at Sandy Hook Elementary?

"I would hope so," Faxon says. "The time has come now for people to be reasonable. It's unreasonable not to have a safety ordinance about where you're going to have a shooting range. If that can't pass, I mean, what CAN pass?"

Gun-control opponents say even small restrictions represent a slippery slope that threatens Second Amendment constitutional rights.

"You can make as many laws as you want it will NOT change people who want to hurt others," said CNN commenter Steve Lahey. "We all need to arm ourselves now. That is the only way."

Another CNN commenter, Hector Rodriguez, disagrees. He suggests the nation should "start by banning all assault weapons. You don't need them unless you want to be the next mass shooter!"

These comments and other similarly entrenched positions on both sides of the debate show that gun rights are connected with deep-seated moral issues for many Americans, explained constitutional expert David Kopel.

"Just as some people believe there can be absolutely no restrictions on the First Amendment right of freedom of speech and of the press, some other people take a similar view to the Second Amendment about the right to bear arms," said Kopel of the Denver-based think tank Independence Institute. "At the other end of the spectrum, some advocates of gun prohibition view the idea of owning guns to defend yourself as intrinsically immoral."

Analysis: Guns and the law

In Washington, the gun-control issue has lain virtually dormant for years since a 1994 federal ban on semi-automatic assault rifles elapsed in 2004.

But that was before Friday.

Newtown has lit a legislative flame. Sen. Dianne Feinstein has vowed to introduce new legislation banning weapons such as the Newtown gunman's Bushmaster rifle.

"Six-year-olds with three to 11 bullets from this Bushmaster in their body. Twenty of them. Is this America? I don't think so," said Feinstein. "And I think these incidents are going to continue until we do something to change the supply mode of these weapons out in our society."

The California Democrat said her bill will propose banning "the sale, the transfer, the importation, and the possession" of such weapons.

Feinstein, who helped champion the 1994 ban, said she and her staff have looked at the initial bill and tried to "perfect it." Even Sen. Joe Manchin, a conservative Democrat and self-described "proud gun owner," said the Newtown massacre should be the tipping point in the debate over limiting gun rights.

A new ABC/Washington Post survey taken shortly after Friday's shooting in Newtown suggests that American attitudes are already shifting.

According to the survey, 44% of Americans now strongly support stricter gun laws, with 32% opposed. That's the first time in five years of ABC/Washington Post polling where significantly more people favor rather than oppose stricter gun-control measures.

And for the first time in surveys dating back to 2000, less than 50% of respondents said the best way to reduce gun violence is to enforce existing laws, a common mantra for those who oppose gun restrictions.

The number of people who say the best way to cut gun violence is to pass new laws has risen to 32%, the highest level in an ABC/Washington Post poll since 2000.

In the months and years ahead, Newtown will become a symbol -- not for its rolling hills or for being "nicer" than other busy parts of the Northeast -- but for the worst tragedy ever imaginable.

It will join that dark list of names, such Columbine, or even Dunblane, the Scottish town where a gunman killed a teacher and 16 students who were about the same age as those in Newtown.

In Australia, say "the Port Arthur," and most folks will immediately think of the horrific slaughter of 35 people by a man with a semi-automatic rifle.

Both of those 1996 massacres in Dunblane and Port Arthur sparked widespread outrage that led to restrictions on weapons.

Twelve days after Port Arthur, Australia's prime minister announced gun reforms. High-caliber rifles and shotguns were banned and other restrictions were enacted.

Dunblane sparked a national anti-gun campaign and petition drive that resulted in a UK ban on the private ownership of handguns.

The question is: Will the outrage over Newtown have similar results?

After shooting, cops take no-tolerance approach to copycat threats

CNN's Ashley Killough and Todd Schwarzschild contributed to this report

@highlight

Before Friday's attack, Newtown considered regulating outdoor shooting ranges

@highlight

Expert: Gun-control advocates and opponents see it as a moral issue

@highlight

Newtown will enter gun-control lexicon like Columbine, Dunblane, Port Arthur