(CNN) -- Pop-cultural suburbia: Take your pick.

Happy children. Low taxes. Smooth roads. Picture windows. Quiet streets. Shopping malls.

Or: Bored teenagers. Sterile sprawl. Endless traffic. Creepy neighbors. Festering secrets. Shopping malls.

For some, the promised land. For others, a worm-infested dullsville.

Why such a divide?

Perhaps it's the natural reaction to disillusionment, says Syracuse pop culture professor Robert Thompson.

The suburb "was touted as the perfect way to package American life in the utopian era that we expected the end of World War II to bring us," he says. "We're in the Space Age. Television comes out. Air conditioning and dishwashers and all of this stuff. The suburbs stood for the place where this perfect kind of life was going to be lived."

The suburb wasn't a new concept; people had been attempting to push their way out of crowded cities for as long as there had been crowded cities, and rail service and streetcars made it possible to build communities on city outskirts. "Streetcar suburbs," such as Atlanta's Inman Park, Pittsburgh's Squirrel Hill and Houston's Houston Heights, started sprouting in the 19th century.

But it was the automobile, with its promise of personal mobility, that fostered a suburban boom. The most popular exhibit at the 1939 New York World's Fair was Norman Bel Geddes' Futurama -- sponsored by General Motors -- which posited a future of superhighways leading consumers through muscular cities and bucolic towns.

"I Have Seen The Future," read the souvenir buttons.

CNN Photos: Bill Owens' 'Suburbia' captured the American Dream

The future originally looked something like the past. Tired of six-story walkups? In the suburbs you could have your own picket-fenced home, just like the ones in small towns of yore. Sick of the subway? In the suburbs you could ride the comfortable commuter train -- or, even better, travel to work on a speedy expressway in your very own car.

Television was the best mirror of this optimistic age. Mayfield's Cleavers ("Leave It to Beaver"), Springfield's Andersons ("Father Knows Best," less biting than the radio version) and Hilldale's Stones ("The Donna Reed Show") all lived in crime-free municipalities urban enough to have the latest appliances (like, well, a television) but removed enough that their kids could play and bike without those crowded city worries -- like traffic, ethnic groups and the poor.

In this period, it was writers who poked holes in suburban perfection. John Cheever, with his quietly desperate New York escapees, was the master of suburban dissatisfaction, but others -- novelist Richard Yates ("Revolutionary Road") and journalist Vance Packard ("The Status Seekers") among them -- took aim at the consumerist society entwined with suburbia. On TV, only "Twilight Zone's" Rod Serling -- at heart, a writer -- seemed to agree with them.

Eventually their views took over. If the cities were rotten -- just check out early '70s films such as "The French Connection" and "Shaft" for a taste of the chipping paint -- the suburbs were soulless, cookie-cutter places inhabited by people with secrets. Southern California, which is often depicted as one big suburb, was the center of this emptiness (it doesn't hurt that the region's chief industry is fantasy), but it's an image that transfers anywhere, from Chicago ("Ordinary People") to Elm Street ("A Nightmare on Elm Street"). Indeed, horror movies such as "Nightmare," "Dawn of the Dead" and "Poltergeist" found plenty to work with in the suburbs.

These days, the pop culture divide still holds. To some -- Woody Allen comes to mind -- the city, for all its faults, is vibrant and lively, and the suburbs are "American Beauty" dead ends. To others, particularly television producers, it's the suburbs -- where most of us live, after all -- where real life happens, and the city is something for the wealthy, the terminally hip, the criminals and the tourists.

iReport: What makes your suburb unique?

The truth, of course, is neither here nor there. Today's suburbs are increasingly multicultural and, in some cases, have developed their own skyscraper-filled "edge cities," in the term popularized by journalist Joel Garreau. Accurately portraying such a complex environment is as difficult as accurately portraying the people who live there -- though there are some (author Tom Perrotta, "My So-Called Life" producers Marshall Herskovitz and Edward Zwick) who try.

In the end, suburbia is what our imagination wants it to be, and it won't quite fit into those little boxes of ticky-tacky.

"We know that inside each one of those identical boxes, with its Dodge parked out front, and its white bread on the table, and its TV set glowing blue in the falling dusk, there were people with stories," concluded the pilot of "The Wonder Years." "There were families bound together in the pain and the struggle of love. There were moments that made us cry with laughter. And there were moments ... of sorrow and wonder."

@highlight

Pop-culture depiction of suburbia is divided: Paradise or hell

@highlight

In years shortly after World War II, suburbia was presented as utopia

@highlight

In recent decades, attitude has often gone the other way

@highlight

TV usually favors suburban life; books and movies show negatives