(CNN) -- What do you do if you're a "crazy kid" growing up in Utah? You clip on your skis and go downhill fast -- very fast -- that's what.

"I'd say most of the time I'm basically on the verge of crashing," Ted Ligety -- the "King of Schladming" and arguably the best male skier in the world right now -- told CNN's Human to Hero series.

"The fastest way down is just being -- one little slip up and you are done -- so that's the fastest way to go down. We're riding a fine line most of the time."

Known as "Ted Shred" for his fearless attitude on the piste, Ligety's approach to gravity -- traveling at speeds that even motorists might start to feel nervous about -- has served him well since making his pro debut a decade ago.

See Ligety's downhill run via headcam

"For me I think it's one of the most fun sports out there too because it's such an adrenaline rush -- you're just using gravity," he said.

"We have courses where you reach speeds of 100 mph (160 kph) so it's very unique in those ways."

Securing a stunning hat-trick of titles at this month's world skiing championships in the Austrian resort of Schladming, the 28-year-old from Park City matched a feat last achieved by the legendary Jean-Claude Killly back in 1968.

In doing so he all but singlehandedly hoisted the United States to the top of the medals table in Austria.

Those victories in the super-G, super combined and his specialty giant slalom, where he was defending his 2011 title, showed Ligety's all-round versatility and catapulted him to superstar status.

No-nonsense approach

Not that he is letting his recent success go to his head.

The American has even bigger goals ahead -- trying to overhaul Austrian Marcel Hirscher at the top of this season's overall World Cup standings and then challenging for gold at the Sochi 2014 Winter Olympics.

"I still believe the overall (World Cup) title winner is the No. 1 skier in the world," Ligety said.

"I have been having a great season but I'm a little way back in the overall, so to me Marcel Hirscher is the No. 1 in the world.

"I had a really hot couple of weeks and luckily that fell during the world championships. I am hopeful I can continue the success of the worlds into the other events besides giant slalom."

Ligety's no-nonsense approach and relentless quest for improvement means he has swerved the media hullabaloo which accompanies his fellow U.S. teammates such as Lindsey Vonn and Bode Miller.

"I'm not doing ski racing to become famous. I do it because I love it and I'm competitive. That's what drives me. My main focus is on ski racing, not the red carpet," he states on his official website.

Vonn's fall in the women's super-G at Schladming, suffering a serious knee injury, brought her season to a premature end, and with Miller still recovering from a knee injury of his own, Ligety might have to start getting used to a more intensive media glare.

Unexpected triumph

Suddenly all the attention is on him, and even he admits that his success was a little unexpected.

"I knew I had very good chances at medals in both the super-G and combined, but to win both was definitely a surprise," he said.

"My main goal for the worlds was to defend my giant slalom title, so winning the super-G and combined added a little extra pressure.

"I was so focused on the giant slalom I didn't realize what I had done until it was over. Though it's still hard to fathom that I won three golds and that it has not been done since Killy in 1968."

There is also the smaller matter of Sochi 2014, where Ligety hopes to add to the Olympic gold he won as a 21-year-old in the super combined at the 2006 Winter Olympics in Turin.

Ligety insists he is "not focused on the Olympics yet" but memories of his earlier success leave a warm glow.

"Winning the gold medal in the 2006 Olympics was pretty surreal," he said.

"I still kind of shake my head when I think about winning the gold medal because I was so young and it was really cool to win the gold. To hear the national anthem and stand on top of the podium was a really surreal experience."

While his career is on an upward trajectory, Ligety downplays suggestions that he will be carrying main U.S. hopes at the Russian resort next February.

"It's far enough away so much can change between now and then. Bode and Lindsey should be healthy for the Olympics so we will have a very strong team besides myself."

Commercial venture

That 2006 victory opened up other commercial opportunities, and Ligety cleverly exploited his nickname to start a similarly-titled company specializing in custom-made helmet and goggle combinations.

"I was a crazy kid and would go straight line moguls and was willing to push myself to another level. And, you know, it rhymes with Ted, so 'Ted Shred' was what I was called."

Ligety may have had a wild streak as a teenager, but he has adopted the same levelheaded approach to business as his skiing career, partnering a friend who brought technical expertise to the venture.

"It's nice to have the distraction of running a company. I wouldn't say I do the day-to-day business side of it just because it would be impossible with my schedule, but it's a fun distraction to take it away from the grind of always traveling and ski racing."

His products are worn by a growing number of fellow World Cup skiers, including Alexis Pinturault, a young Frenchman who beat Ligety into third place as he claimed his maiden World Cup giant slalom win at Garmisch-Partenkirchen last weekend.

It was a rare defeat in giant slalom this season for Ligety, who has taken advantage of a change in the length of skis and their turning circle to dominate the discipline.

Outspoken critic

Ironically, Ligety was an outspoken critic of the rule changes introduced by world governing body, the FIS, and was perplexed that as a leading competitor he wasn't consulted on the changes.

"I wasn't even talked to about it or asked if I thought it was a good idea, it just happened and I thought it was done in a very improper manner," he said.

He quickly put that lack of consultation to one side when he won an early-season race by more than two and a half seconds -- the margins are usually tenths of seconds -- and Ligety is still waiting for the rest of the world to catch up.

The American believes the new regulations play to his strengths as a near 10-year veteran of the circuit and because of his style of starting the turns around the gates a little earlier and finishing a little later.

"It allows me to be cleaner on the edge and accelerate more out of the turns," he said.

Using gravity

As a youngster he was inspired by the exploits of Tommy Moe -- "my first ski hero" -- who won gold and silver at the 1994 Winter Games in Lillehammer.

Skiing since the age of two, Ligety started competing seriously as a 10-year-old, progressing through the ranks to make the full U.S. ski team by the team he had left high school.

However, his early Olympic success in Turin, becoming the first American since Moe to claim a skiing gold, was not matched in the 2010 Winter Games in Vancouver where he finished fifth behind teammate Miller in his super combined title defense.

A ninth place finish in the giant slalom was also a disappointment.

But 2011 saw Ligety claim his first world title, winning the giant slalom at Garmisch and then going on to clinch his third World Cup crown in his favored discipline.

For Ligety, the 2013-14 season will bring promise of finally winning the overall World Cup title -- "that's been my goal since I was a little kid" -- and truly cementing his status as the No.1 racer.

"I think a lot of guys are faster skiers than me but they might not necessarily have the same mental fortitude as me," he said.

Ligety will spend the offseason hanging out with friends, taking part in other sports such as mountain biking and keeping track of the progress of his favorite basketball team -- the Utah Jazz.

Then the hard work will begin in his quest for World Cup and Olympic glory: six months on the road with the U.S. team when he hopes to fulfill his remaining ambitions in alpine racing.

"I just try to work hard and play hard and have fun with it."

@highlight

Ted Ligety won three gold medals at the 2013 World Championships in Schladming

@highlight

The 28-year-old American first man for 45 years to achieve the hat-trick

@highlight

Ligety won super combined Olympic gold at the 2006 Winter Olympics

@highlight

Nicknamed "Ted Shred" for his fearless behavior as a young skier