(CNN) -- U.S. officials are claiming that the terrorist group Islamic State in Iraq and Syria, or ISIS, is "now a credible alternative to al Qaeda."

But what does that really mean in terms of ISIS' potential threat to the United States? After all, al Qaeda hasn't pulled off a successful attack in the States since 9/11, or indeed anywhere in the West since the London transportation bombings in 2005.

This month, Sen. John McCain, R-Arizona, criticized the airstrikes in Iraq ordered by President Barack Obama directed at ISIS as too limited, telling CNN's Candy Crowley, "That is simply a very narrow and focused approach to a problem which is metastasizing as we speak. Candy, there was a guy a month ago that was in Syria, went back to the United States, came back and blew himself up. We're tracking 100 Americans who are over there now fighting for ISIS. ISIS is attracting extreme elements from all over the world, much less the Arab world. And what have we done?"

The case McCain alluded to was that of Moner Mohammad Abu-Salha, who grew up in Vero Beach, Florida, and who conducted a suicide bombing in Syria in May on behalf of the Nusra Front, al Qaeda's Syrian affiliate. According to The New York Times, Abu-Salha had returned to the United States after being trained by Nusra and then went back to Syria to conduct the suicide operation in which he died.

McCain asserted on CNN that 100 Americans were fighting with ISIS. In fact, according to U.S. officials, 100 is the total number of Americans believed to have fought or attempted to have fought with any of the many Syrian insurgent groups, some of which are more militant than others, and some of which are even aligned with the United States.

According to a count by the New America Foundation, eight people from the United States have been indicted with crimes related to trying to join ISIS or the Nusra Front. (By contrast, some 240 U.S. citizens and residents have been indicted or charged with some kind of jihadist terrorist crime since 9/11.)

Some of the Nusra Front cases are far from threatening. On April 19, 2013, Abdella Tounisi, an 18-year-old American citizen from Aurora, Illinois, was arrested and charged with attempting to provide material support to Nusra. However, he was caught in a sting operation and described his fighting skills thusly: "Concerning my fighting skills, to be honest, I do not have any." Tounisi pleaded not guilty and awaits trial.

Other cases appear more serious. In December, Sinh Vinh Ngo Nguyen, a U.S. citizen from Southern California, pleaded guilty to a charge of attempting to provide material support to al Qaeda. Between December 2012 and April 2013, Nguyen had traveled to Syria, where, he stated, he fought alongside the Nusra Front. On his return, Nguyen discussed with an informant his intent to participate further in jihad.

In August 2013, Gufran Mohammed, a naturalized American citizen living in Saudi Arabia, was charged with attempting to provide material support to the Nusra Front in Syria, by facilitating the recruitment of experienced fighters from al Qaeda's Somali affiliate to Syria.

He pleaded guilty last month.

Opinion: How Iraq's black market in oil funds ISIS

Yet so far no U.S. citizen involved in fighting or supporting the Nusra Front or ISIS has been charged with plotting to conduct an attack inside the United States despite the fact the war in Syria is now in its fourth year and the war in Iraq is in its 11th year. Indeed, some Americans who have traveled to Syria have ended up dead apparently because they have no combat experience to speak of; for instance, Nicole Mansfield from Flint, Michigan, was killed in Syria last year by forces loyal to the Syrian dictator Bashar al-Assad.

Further, ISIS' predecessor, al Qaeda in Iraq, never tried to conduct an attack on the American homeland, although it did bomb three American hotels in Jordan in 2005.

And it's also worth noting that in none of the successful terrorist attacks in the States since 9/11, such as the Boston Marathon bombings last year or Maj. Nidal Hasan's massacre at Fort Hood, Texas, in 2009, did any of the convicted or alleged perpetrators receive training overseas.

Returning foreign fighters from the Syrian conflict pose a far greater threat to Europe, which has contributed a much larger number of foreign fighters to the conflict than the United States, including an estimated 700 from France, 450 from the United Kingdom and 270 from Germany.

Unlike in the United States, European countries have reported specific terrorist plots tied to returning Syrian fighters. Mehdi Nemmouche, a suspect in the May 24 shootings at a Jewish museum in Brussels, Belgium, that killed four people, spent about a year with jihadist fighters in Syria, according to the Paris prosecutor in the case. But Nemmouche's case is the only instance of lethal violence by a returning Syrian fighter in the West.

Still, the United States must consider European foreign fighters returning from Syria as more than a European problem because many of those returning are from countries that participate in the U.S. visa waiver program and can enter the States without a visa.

Moreover, experienced al Qaeda operators are present in Syria. As one senior U.S. intelligence official put it to us, these are veteran members "with strong resumes and full Rolodexes." The wars in Syria and Iraq allow such longtime fighters to interact with members of other al Qaeda affiliates. For example, in July, the United States adopted enhanced security measures at airports based on intelligence that bomb-makers from al Qaeda in the Arabian Peninsula were sharing their expertise in making bombs capable of evading airport security with members of the Syrian Nusra Front.

Despite these dangers, however, the threat to the United States from foreign fighters in Syria and Iraq remains only a potential threat.

The administration's airstrikes in Iraq are properly focused upon the more imminent threats to U.S. government employees and American citizens in the Kurdish city of Irbil who are threatened by ISIS advances and the humanitarian catastrophe befalling the Yazidi population in areas controlled by the militant forces.

The last time there was a similar exodus of American citizens and residents to an overseas holy war was to Somalia following the U.S.-backed invasion of Somalia by Ethiopian forces in 2006. More than 40 Americans subsequently went to Somalia to fight with Al-Shabaab, an al Qaeda-affiliated group.

Opinion: ISIS beheading -- what should U.S. do?

Just as is the case today in Syria, for a good number of the Americans who went to fight in Somalia it was a one-way ticket because 15 of the 40 or so American volunteers died there either as suicide attackers or on the battlefield.

In 2011, Rep. Peter King, R-New York, then-chairman of the House Homeland Security Committee, warned of Americans fighting in Somalia. "With a large group of Muslim-Americans willing to die as 'martyrs' and a strong operational partnership with al Qaeda leaders in Pakistan and in Yemen, al-Shabaab now has more capability than ever to strike the U.S. homeland."

As it turned out, those Americans who returned from the Somali jihad did not attempt or carry out any kind of terrorist attack in the States.

Now King is back at it again, telling NBC last week, "ISIS is a direct threat to the United States of America. ... They are more powerful now than al Qaeda was on 9/11."

ISIS is surely a major problem for Iraq, and its tactics and strategy are abhorrent, as demonstrated by the beheading of American journalist James Foley, its use of crucifixions and its genocidal attacks on the small Yazidi minority. But that doesn't mean it is a serious threat to the American homeland.

@highlight

U.S. officials now see ISIS as a credible threat, on a par with al Qaeda

@highlight

Peter Bergen: Some lawmakers have exaggerated the current threat to U.S. from ISIS

@highlight

He says the problem is a potential issue, but few have been charged so far

@highlight

Bergen: Clearly ISIS is a potent force that must be countered in Middle East