MIAMI (CNN) -- When "Marta" was 12, she entered the United States illegally, hoping to join her mother, who had left her in Central America years ago to search for work. Three years later she was sitting in immigration detention by herself waiting to be deported back home to her grandmother, who was dying of cancer.

"Marta" was 12 when she came to the U.S. illegally and alone. She had something most kids don't -- an attorney.

Her case is typical of the 7,211 children known to have entered the United States illegally in 2008 by themselves, according to the federal Office of Refugee Resettlement, which runs the shelters where the children are detained. Children come searching for family members or a way out of poverty with little understanding of the legal ramifications they face.

Marta had something not every child in those circumstances receives -- legal representation. A lawyer employed by the Florida Immigrant Advocacy Center, a nonprofit legal assistance group, took her case. It made the difference between being deported and getting a shot at a visa.

But not every child will go before a judge with a lawyer. Last year, as many as 50 percent of the children detained went before judges with no lawyer, according to Wendy Young, director of Kids in Need of Defense. She says it could get worse, because the organizations that provide free legal defense for these children are struggling financially and cutting back.  Go inside a secure, children's detention center »

"The impact [of having fewer legal services] would be devastating, because these are children who can't get through legal proceedings alone. It's just not realistic," said Young, who added that there have been cases where babies were carried into court to face judges without lawyers.

The Office of Refugee Resettlement did provide $5 million to the Vera Institute, a nonprofit organization that works with the government on justice policy. Vera used that money to help 14 nonprofit organizations provide legal information to children of all ages, but the government is barred by law from providing actual representation to detained children, according to Maureen Dunn, director of the Unaccompanied Children's Services Program for the resettlement office.

"They are children and they don't understand procedures and immigration laws, there are some very arcane laws ... and we help them break down a complex process," said Dunn, who said she believes no more than 30 percent of detained immigrant children face judges without lawyers.

In Marta's case, her lawyer, Michelle Abarca, determined during interviews with her that she had no place to go home to and no safe place to live in the United States. She argued in court that Marta qualified for a special visa for children who have been abused, abandoned or neglected and need the protection of the United States. She now lives in a foster home in Florida and has a U.S. visa.

Dunn says the government's goal is to demystify the legal process for children by teaching them about the legal process and determine which children might qualify for relief and need representation.

"They are very vulnerable in a system that was created for adults," said Susan Shah, director of the Vera program. Shah said the program then tries to connect the children with lawyers willing to work free, either with the support of their law firms or through groups like Florida Immigrant Advocacy Center.

But services are not always available. The advocacy center represented 400 children this year, but Cheryl Little, the center's executive director, said its chief funder, Florida Children's Trust, is making severe cutbacks. The trust funds programs for children from money levied through real estate taxes and a bad economy has created deep reductions. U.S. Senator former child refugee of Operation Pedro Pan

"We're in the red by at least $400,000. We're looking at layoffs, cutting salaries, benefits and freezing positions we need," said Little, whose group represented Marta. "It means the lifeline we now extend to children won't be there. It means that kids will get sent to bad circumstances when they may qualify for the protection of this country. It breaks my heart to think of the consequences."

Angelina Jolie and Microsoft help fund Kids in Need of Defense. The group worked with 1,000 pro bono lawyers this year and trained them to represent children facing immigration hearings. But volunteer lawyers without day-to-day experience in immigration are not necessarily a replacement for lawyers versed in complicated immigration law, according to Young.

"Getting a good defense can literally mean the difference between life and death for a child who is fleeing war or is the victim of human trafficking," Young said.

Marta, whose lawyer has handled as many as 100 clients at once, still depends on her attorney to guide her through the legal process that lies ahead.

"I'll be OK," said Marta. "Because I have my lawyer and my God."

@highlight

"Marta" was 12 when she came to the U.S. illegally to find her mother

@highlight

Agency: 7,211 children entered the U.S. illegally in 2008 by themselves

@highlight

Expert: As many as 50 percent of those kids went before judges with no lawyer

@highlight

Watch Marta's story on CNN's "Latino in America," tonight at 9 p.m. ET