(CNN) -- Israel's security can only be assured when its neighbors believe that it is no longer oppressing the Palestinian people but instead living in peace and harmony with them.

The de facto strategy of past and present Israeli governments of seeking security through domination and by pushing Palestinians out of their homes, or allowing right-wing religious fanatics to create settlements throughout the West Bank to ensure that no Palestinian state could have contiguous parts, has not and cannot work to provide safety for Israel.

Israel's fate and its well-being are intrinsically linked to the well-being of the Palestinian people. It's time for the powerful to show generosity to the relatively powerless.

So those in the U.S. and Israel who want Israel to be secure should welcome the Palestinian Authority's decision to seek observer status as a nonmember state in the United Nations. The authority has agreed to return to negotiations with Israel without conditions once that status has been granted. The goal is creation of a state living in peace with Israel in borders roughly approximating those of the before than 1967 war, with minor border changes mutually agreeable through negotiations.

So who opposes this? Hamas, Israel and the U.S.

Opinion: Palestinian move at U.N. won't solve anything

Why Hamas? Because Hamas' strategy is to keep their area so powerless that the Palestinian people will turn away from support for the secular and peace-oriented and nonviolence-committed Palestinian Authority. So the last thing Hamas wants is for the Palestinian Authority to win popular esteem by being seen as having "delivered" a real tangible accomplishment to the Palestinian people in the form of statehood.

To the extent that even observer status is a step in that direction, powerful elements in Hamas want to undermine it. In fact, Hamas consistently tries to undermine the Palestinian Authority. That explains why it has been so unwilling in the past years to stop its war crimes against Israeli civilians by sending (thankfully, mostly inefficient) missiles toward Sderot and other parts of southern Israel. But even as they fall short of their targets, Hamas manages to create fear and trauma for millions of Israelis.

Why Israel? Because the Likud-Beiteinu dominated government does not want a Palestinian state to emerge that would limit the ability of the Israeli settlers to expand their hold on much of the West Bank. So while they sometimes talk about a two-state solution, they have in mind a tiny state that would not be economically or politically viable.

Its strategy: Insist that it cannot negotiate seriously with the Palestinian Authority on creation of a state because the authority cannot control Hamas. With that reasoning, they ask how can Israel be expected to work with the authority on terms for a peace treaty that would actually be viable? And then simultaneously, Israel strengthens Hamas in various predictable ways.

Palestinian United Nations bid explained

Its first move in this direction was to pull out of Gaza militarily without negotiating for the Palestinian Authority to take over control there, de facto leaving Gaza in the hands of Hamas. If the pull-out had been done in cooperation with the Palestinian Authority, there would have been no missiles and hence no "proof" that giving up land to the Palestinians would only increase Israeli vulnerability.

To keep any substantial Palestinian state from developing, the government of Prime Minister Benjamin Netanyahu has managed, in the latest Gaza war (whose cease-fire is for the moment holding) to strengthen Hamas. It allowed Hamas to show that it can fight back against Israeli assault in contrast to the Palestinian Authority who, Hamas points out, has gotten nothing in return for the past five years of complete non-violence and security cooperation with the Israeli Army (IDF).

Netanyahu is not stupid, and this is an intended outcome.

The shelling of Israeli sites killed five people. Israeli bombing killed 150 Palestinians. Yet the air raids and missiles aimed at Israel again stimulated the latent post-traumatic stress disorder among Israelis that leads so many to vote for right-wing parties against their own best interests out of fear of the Palestinian people, most of whom would like to live in peace with Israel.

(Palestinians told me when I visited a few weeks ago that the ongoing trauma of the occupation is so present it can't become post-traumatic).

Palestinians again take status case to U.N.

As long as Hamas is seen as the main face of Palestinians, even centrist and left-wing Israelis will support militarism rather than peace compromises.

Why the U.S.? The Obama administration gave a green light to Israel's attack on Gaza, refused to support calls for an immediate cease-fire and has now joined Israel in opposition to upping Palestinian status at the U.N.

The most charitable explanation is the Obama team believes the Netanyahu government will never negotiate a reasonable deal with the Palestinians and so has turned its attention to trying to gaining leverage with Israel to stop it from dragging the U.S. into a war with Iran. And for that, it's willing to ditch the Palestinian Authority, even though it certainly knows that the authority might soon collapse unless it can deliver something real for its people.

In my recent book, "Embracing Israel/Palestine" (North Atlantic Books, 2012), I show that Israel will be safe when it becomes famous not for its power but for its spirit of generosity and open-hearted caring for the Palestinian people.

I've outlined how a Marshall Plan to eliminate poverty in Israel and the surrounding states would totally change the political dynamics and create the preconditions for lasting peace. A similar path would make the U.S. far more popular and far more powerful around the world. But this strategy of generosity will take a major paradigm shift in the consciousness of Americans and Israelis, and for the moment, that seems unlikely. But it's worth fighting for.

The opinions expressed in this commentary are solely those of Rabbi Michael Lerner.

@highlight

Rabbi Michael Lerner: Israel cannot achieve security by dominating Palestinians

@highlight

He says the powerful should show more generosity to the relatively powerless

@highlight

Israel, U.S. should support Palestinian move for nonmember state status at the U.N., he says

@highlight

Lerner: Hamas serves Netanyahu's aim of marginalizing the Palestinian Authority