(CNN) -- At just 31 years old, and already heading a vast business empire he built from scratch, Ashish Thakkar has been referred to by some as Africa's youngest billionaire. But this is a label the Ugandan entrepreneur doesn't want to associate himself with.

"Money should never be a measurement for anything," says Thakkar, founder of the pan-African multi-sector business conglomerate Mara Group.

"I like to see myself as an entrepreneur that's being disruptive -- I like to be the underdog in a lot of cases," he adds. "It's all about how you go about it; but one thing I definitely don't want to be known as is as 'Africa's youngest billionaire.'"

Whilst having problems with that specific description, Thakkar has no issue about claiming other, less corporeal, titles. An adventurous spirit, Thakkar is gearing up to become the first ever East African in space, proudly representing the region in the Virgin Galactic program, which offers paying customers the opportunity to travel beyond the Earth's atmosphere.

"I'm taking quite a few of flags into space, as a way to kind of send a strong message that 'look, we as Africa have the vision and the ability as well," says Thakkar.

"It's something that started off for fun and it's actually turned out to be something quite nice where we can send a strong message to say, 'we're coming, we're going to mark our space in that territory too."

Reading this: Flying doctor takes to the skies

Conquering the space frontier seems like a rather fitting move for a maverick entrepreneur such as Thakkar, who quit school around the age of 15 to embark on his first commercial enterprise -- a small IT business inside a shopping mall built across the road from his father's shop in Kampala, Uganda's capital.

"The idea initially was to do it for the two months during my summer holiday," recalls Thakkar." And when school started again I conveniently didn't tell my parents that it did, and obviously they figured me out in a week."

Thakkar believes his business journey was easier because of his accommodating parents, who allowed him to pursue his entrepreneurial dreams.

"So I told them, 'look, if you want me to go through the whole cycle I'll do it for formality purposes, but I'm going to end up doing this, so I'd really appreciate it if you'd let me do it now.'

"They were surprisingly really open-minded and kind of gave me the opportunity and said 'look, do it on your own, try it out for a year -- if it doesn't work out you go a year behind your friends.'

"And I've still got that option open 16 years down the line."

So, at the age of 16, Thakkar spotted a gap in the market and went big. As his business evolved, Thakkar started flying to Dubai to stock up on computer hardware and then sell it for a profit in Kampala.

"I was flying to Dubai every weekend because I didn't have the money to set up a shop and have enough working capital to do an air cargo," recalls Thakkar. "So Monday to Friday I'd sell my goods in Uganda and on a weekend I'd actually fly to Dubai, fill my suitcase up with IT stuff again and bring it back, and the same repeated," he adds.

This quickly developed into a thriving business and before long Thakkar was branching out into several other areas.

Today, the Dubai-based Mara Group has grown into a major corporation that operates in 18 African countries and has various and diverse interests -- from financial services and real estate to communication, manufacturing and agriculture.

The group also runs the Mara Foundation, a non-profit arm focused on fostering entrepreneurship among young Africans.

Read this: African CEOs look to bright future

While Thakkar acknowledges that there are still many challenges when it comes to doing business in Africa, he says the continent holds a fantastic opportunity going forward.

"The West is definitely investing more in Africa -- or wanting to invest more in Africa -- but they're still investing a lot in Asia as well, specifically India and China. [The] nice thing is that India and China's investing in Africa, so the ultimate destination is us," he says.

"People do want to come to Africa; people realize that we're the next big thing -- India and China have had their time, it's now ours."

Echoing a growing chorus of voices cautioning against exploitative behavior from foreign investors, Thakkar adds that, whilst Africa still needs investment in many sectors, gone are the days where the continent desperately relied on outsiders.

"We're evolving; we're writing our own story now; we're making it happen for ourselves," he says.

"So I think that's very important for people to realize that they must plug into what's important to us and how it should be done that's going to benefit our countries and our people -- local beneficiation, empowerment of our people.

"We want to see our economies and our countries transform, so I think people with that mindset, willing to help us on that route, are more than welcome. And I think that's hopefully what we're going to see more of now, because we're becoming more picky as countries."

@highlight

Ashish Thakkar, 31, is the founder of pan-African business conglomerate Mara Group

@highlight

The Ugandan entrepreneur started IT venture in his teens

@highlight

He now heads a corporation doing business in 18 African countries

@highlight

Thakkar is set to go into space as part of the Virgin Galactic program