(CNN) -- Parliamentary processes in state legislatures don't offer too many moments of genuine excitement, but on Tuesday night we saw one in Texas, as state Sen. Wendy Davis mounted a successful old-school, Mr. Smith Goes to Washington-style filibuster to stop a bill dramatically restricting women's access to abortion in our second-largest state.

It featured accusations and recriminations, aching feet in pink tennis shoes, shenanigans over the time stamp on the bill, and an angry crowd. This rare episode offers us an important illustration of where politics is in America today, and where it will be for some time to come.

To simplify things a bit: The Republican party is in retreat, yet more aggressive than ever. The culture war will never die. And for all Americans' supposed disgust with party polarization, the people we elect are doing pretty much what the voters ask them to.

When Republicans won sweeping victories at the state level in the 2010 elections, they decided that they should use every ounce of power they had to remake the states they control.

Those Northeasterners might be passing marriage equality and expanding health insurance, but in the red states it was a different story. They rolled out bills to cut taxes for the wealthy and increase them for the poor, to make it harder for people to vote, and to reject the expansion of Medicaid under the Affordable Care Act (which meant keeping their poor populations without health insurance, even though the federal government would pick up the tab).

Perry renews Texas abortion battle with special session

They also went after abortion rights with particular zeal. No fewer than 92 state laws restricting abortion were passed in 2011, the year after the Republican victories; last year another 43 such laws were added to the books. Nationally, the GOP is in the doldrums, disliked by young people and growing minority groups, and with an increasingly unpopular agenda. But where they have power, they're making the most of it.

The depressing truth is that despite Wendy Davis' heroic feat of vertical endurance (the strange rules of Texas filibusters forbid one from even leaning on something, let alone sitting down or taking a bathroom break), when the Texas legislature comes back for its next session, Republicans are likely to pass this bill or something like it again.

Perhaps they'll be given pause by all the attention garnered by this controversy over the last couple of days. But probably not, because the legislators are true believers. They're not waging war on women's rights because they think it will get them a few extra votes, they're doing it because it's what they believe.

When the House of Representatives in Washington passes a ban on abortions after 20 weeks, it's nothing more than an impotent legislative outburst. Just like the 37 times the House has voted to repeal Obamacare, it knew its bill would never pass the Senate or get the president's signature. Representatives did it to make themselves feel better, maybe blow off some steam. But at the state level, Republicans have real power, which means women and minorities and the poor suffer.

Just this week, the Supreme Court gutted the Voting Rights Act, giving states in the South freedom to enact new restrictions that could enhance the power white voters have at the ballot box. But the court also struck down the Defense of Marriage Act and effectively killed California's Proposition 8, making gay people's lives a little easier, particularly where they're now allowed to marry. The result will likely be that red states will get redder and blue states bluer.

Some people mocked Barack Obama for arguing in 2008 that he could bring Republicans and Democrats together to transcend party divisions.

What most forget is that George W. Bush made exactly the same promise in 2000 ("I don't have enemies to fight," he said in his convention speech. "And I have no stake in the bitter arguments of the last few years. I want to change the tone of Washington to one of civility and respect."). Bill Clinton said the same thing in 1992. None of them succeeded, and it doesn't seem like that unity is in the offing any time soon.

The opinions expressed in this commentary are solely those of Paul Waldman.

@highlight

Paul Waldman: Sen. Wendy Davis' filibuster over abortion bill a rare look into state of politics

@highlight

He says nationally GOP may be weak, but in states, where abortion vulnerable, it controls

@highlight

He says depressing truth is despite Davis' feat, GOP likely to pass an abortion bill later

@highlight

Waldman: At state level, GOP has real power, meaning women, minorities, poor suffer