(CNN) -- When people across the world tune in to the opening ceremony of the 2012 Olympics on Friday, regular TV programming will be set aside for pageantry and pomp.

Amid all the attention to the "Made in China" controversy about Team USA's uniforms, little has been written about their design. But if numerous online slide shows ranking the best and worst of the opening ceremonies uniforms are any indication, the design is what we're most interested in.

Opinion: Why not make Olympic uniforms in China?

Nations did not always wear uniforms in the Olympic Games, and the United States did not adopt a cohesive look until about 1920.

Today, however, with huge worldwide audiences and markets at stake, the uniform is a calculated part of each nation's global image. The colors, patterns, silhouettes, lines and shapes of each nation's uniform form a statement about its identity. U.S. designers, for example, have frequently used white cowboy hats in their ensembles.

Strike a pose: High style meets high performance at London 2012

Designed by Ralph Lauren, Team USA's 2012 opening ceremony uniforms feature berets and navy, brass-buttoned, double-breasted blazers for the men that -- even without chevrons, medals or epaulettes -- draw clear inspiration from the dress uniforms of the U.S. Army and Navy.

Should the appropriation of military style concern us?

Almost all Olympic uniforms we see today derive from religious or military forms of apparel. Military apparel migrated to civilian life centuries ago, when veterans realized uniforms invited attributions of reliability, discipline and heroism and when various civil institutions used them as a means of regulating groups of people. Men's clothing strongly has been influenced by military looks, and the fashion industry markets "military chic" to women as well.

America's love affair with military looks is especially intense and enduring. And unlike the Vietnam War, when military uniforms were appropriated in anti-war protests, today's military looks are part of a sartorial status quo that subtly affirms a pro-soldier, pro-military message.

We know the athletes are not real warriors, of course, but clothing sends powerful messages. Fashion critics long have charged that military fashions are a problem because they aestheticize war and divorce clothes from their true functions and origins. We ought to be wary of efforts to make any aspect of war desirable.

Considering that the U.S. spends more on defense than the next 10 nations combined, some would argue that dressing the Olympians like members of the armed forces during the biggest television event of the year is an arrogant or impolitic choice.

Skeptics might counter that Jamaica's opening ceremony outfits are militaristic, too. But Jamaica's are more clearly sportswear, and in color, pattern and tone, their look is joyful and lighthearted. And Jamaica isn't a global military power.

For most Americans, however, the military style of the 2012 the uniforms will raise little concern because we have been encouraged to ignore the countless ways in which military culture is integrated into our society.

Fashion designers promote military styles as cutting edge, but usually refute the notion that the military aesthetic has anything to do with real war. Glitzy Pentagon marketing campaigns, military-backed Hollywood films and first-person shooter video games elevate the cultural status of uniformed troops and encourage us to identify with them. All of these things help maintain a pro-military citizenry.

The 2012 Olympics uniforms are another in a long series of salutes to and affirmations of the American military. They are a product of an inherited, imperial history of clothing, of our particular war-fighting history and of the "support the troops" trope so common in 21st century war rhetoric.

Readers: Forget uniforms, Olympians would bet better off 'naked'

Whether we're comfortable with it or not, the military uniform of Team USA is at least as American as white cowboy hats.

But there are other choices. Historically, roughly half of the U.S. opening ceremonies uniforms have been inspired by sportswear, including the excellent styles in the 2004 and 2008 Summer Games. Maybe it's time to get more creative.

In the next Olympics, how about getting Betsey Johnson to design a uniform that is radically different?

The opinions expressed in this commentary are solely those of Paul Achter.

@highlight

Paul Achter: In Olympics, uniform is a calculated part of each nation's global image

@highlight

Achter: Team USA's 2012 opening ceremony uniforms draw from military style

@highlight

Critics charge that military fashions are a problem because they aestheticize war, he says

@highlight

Achter: How about getting Betsey Johnson to design our uniform for the next Olympics?