All BlackBerry did Wednesday was change its corporate name, introduce two new smartphones and launch a bold new mobile operating system, BlackBerry 10, that may be the struggling company's last stab at relevance.

Now it's up to consumers to render a verdict on whether BlackBerry's new offerings -- the all-touchscreen Z10 phone and the Q10, which still has a keyboard -- are worth buying over iPhones or Android devices.

BlackBerry (they're now no longer known as Research in Motion) still has some work to do, and early reviews of BlackBerry 10 have been mixed. But there are some promising signs out there.

Here are five reasons BlackBerry 10 may win over fans, new and old.

New productivity features

Large companies and government agencies have historically been BlackBerry's core clients. But in recent years more people have been bringing their own devices into the workplace, choosing to stick with fun, app-laden phones over devices that just offer security and IT-department approval.

For BlackBerry 10, the company smartly focused on features that maximize productivity and speed.

A new feature called Balance splits a BlackBerry phone into two separate devices, one for work and one for personal use. (Balance is only for customers connected to BlackBerry Enterprise Service 10 at work.) The separate profiles cordon off sensitive work information so that IT departments can control the flow of data.

Personal apps, e-mails and photos are on the Personal side, so you can jump from one profile to the other. It's a way to manage both sides of your life without sacrificing privacy or security, and without dragging around two separate devices as some BlackBerry users have been doing.

CNNMoney: BlackBerry's Z10 and BB10 feel a generation late

Being productive requires switching between apps and tasks quickly and seamlessly. At the BlackBerry 10 launch event Wednesday morning, executives demonstrated something called BlackBerry Hub, which collects all a user's notifications in one spot. It can be accessed from anywhere on the phone with a swipe, and shows social media, calendar, BBM, e-mail and other updates (you can pick what shows up here to minimize noise).

You can have up to eight apps going at once, and the feature lets users quickly switch back and forth between messaging platforms without having to open or close apps or revisit the home screen.

Another popular tool, BlackBerry Messenger (BBM to its friends), got a new upgrade. The messaging app already allowed for free voice calls over Wi-Fi, but in BB10 it's adding a FaceTime-like video-chatting feature. Perhaps its coolest new trick is the ability to share your phone's screen with the person on the other end of the call (if they're also on a BlackBerry 10 device), so you can review work documents or enjoy photos together without having to e-mail or upload the files.

Big-name apps

A smartphone is only as good as its app-store selection. BlackBerry has been working hard, and spending money, to fill up its app store with over 70,000 apps for the launch of BlackBerry 10. However, many of those apps are old BlackBerry or Android apps that have been ported over to the new system, not designed specifically for its features. It's going to require quality, not just quantity, for people to leave behind the Apple App Store and Google Play store.

BlackBerry has managed to secure an impressive number of big-name apps out the gate. Skype, Kindle, WhatsApp, SAP and "Angry Birds" have committed to developing for BlackBerry 10, which means they're on the way soon, if not in the online store yet. Popular apps such as Facebook, Twitter and LinkedIn already have BlackBerry 10 apps. But there are still many missing pieces, such as apps for Instagram, Hulu and Google products.

BlackBerry is clearly aware of the importance of robust app offerings. But app developers might still need to be convinced that the new platform will catch on and not be a waste of their time.

Typing is easy to learn

BlackBerry fans are good at resisting change. Its diehard users have stuck with the company even though there were more advanced phones running superior software and featuring stores stocked with many more apps. The biggest sticking point was the beloved physical keyboard that could be navigated with a lone speedy thumb.

Although BlackBerry announced two devices on Monday, it was the keyboard-free Z10 phone that dominated the event and is getting the larger marketing push. The company clearly wants to shift users to a touchscreen keyboard. To be successful, it will have to make learning how to type on the screen simple and enjoyable.

"Typing on a glass screen with one thumb, it's magic," said Heins.

In BlackBerry's future, keyboards may be an afterthought

BlackBerry says the touchscreen keyboard learns how you type, adapting over time to be more accurate and to automatically correct common mistakes. There's support for multiple languages, and you can switch between languages mid-message. While you are typing, it will auto-suggest what words it thinks you may be composing, and you can swipe up to toss one directly into your message.

Positive buzz

A strange thing has happened in the past couple of months. Consumers, investors and the press have been cautiously optimistic about the Canadian company's plans for a comeback. BlackBerry has gone from being mocked to being seen as an underdog people are rooting for. Rebranding is one part of that process, and on Monday CEO Thorsten Heins announced that the company is renaming itself BlackBerry, dropping the awkward Research In Motion (RIM) moniker.

BlackBerry hasn't had a major product release in 18 months, which is an eternity in the smartphone world and long enough for memories of the devices to slip people's minds. Hardcore fans may be ready to upgrade to BlackBerry 10, but to take on Apple and Google, BlackBerry needs to shed its stigma of being out of date.

When you want cool points, you hire a celebrity (see: Windows Phone 8 and Jessica Alba, Polaroid and Lady Gaga). BlackBerry trotted out Alicia Keys near the end of Wednesday's event and gave her the honorary title of Global Creative Director. It was a nice touch, but tech-savvy shoppers aren't easily fooled by celebrity endorsements. They need to see real people using the devices, and they need to test them out for themselves.

Global appeal

BlackBerry is rolling out its new Z10 phone gradually around the world, starting in the UK on Thursday. The phone launches in Canada on February 5, and in the United Arab Emirates on February 10. It won't be released in the U.S. until sometime in March.

The focus on making the phone an international product is smart, since the company has a strong hold in places like the UAE, Indonesia, England and parts of South America. Wednesday's press announcement referenced satellite launch events for BlackBerry fans in London, Dubai and South Africa, among other far-flung places.

BlackBerry hasn't just been wooing developers in the U.S., it's paying attention to the top mobile apps in other markets and getting those developers to create products for the BlackBerry 10 platform. To hold its own against Apple, Android and Microsoft, it will need them.

@highlight

Maker of BlackBerry announces two new phones and a new mobile operating system

@highlight

The company will need to win over consumers, not just companies, to stay competitive

@highlight

Features like multitasking and a central notification center will appeal to productivity fans

@highlight

BlackBerry 10 will need to win new fans to compete against Apple and Google's Android