(CNN) -- Nine weeks after Angelina Jolie underwent a double mastectomy to prevent cancer, the actress had another surgery to reconstruct her breasts using implants.

"There have been many advances in this procedure in the last few years, and the results can be beautiful," Jolie wrote in her op-ed piece for The New York Times.

Breast reconstruction is not right for everyone, says CNN contributor Dr. Anthony Youn, a plastic surgeon in Detroit. But studies have shown that women who undergo immediate reconstruction following a mastectomy benefit psychologically.

"To most women, their breasts are really a part of how they see themselves," Youn says. "When you take it away ... it's like you're losing a part of yourself and a part of what you identify with as being a woman."

Infographic: Breast reconstruction options

The majority of patients who want to proceed with reconstruction have options available, says Dr. Colleen McCarthy, a surgeon at Memorial Sloan-Kettering Cancer Center in New York. There are two main types to choose from: implants or reconstruction using the patient's own tissue.

Some patients have a history of radiation treatments for breast cancer, which may prevent them from receiving implants (radiation can cause scarring, which makes the skin less flexible); others don't have enough donor tissue available on their body to use in a reconstruction. Otherwise the decision is left up to the patient's preference, McCarthy says.

Five reasons we love Angelina Jolie

If the patient chooses to have breast implants, there are usually two procedures involved. The first is done to place a tissue expander under the muscle in the breast cavity. Over the next few months, the expander is injected with saline regularly to stretch the muscle.

"If you just put an implant into the breast, it's basically going to sag because there's nothing to hold it up," Youn explains.

This option allows the patient to decide what size implants she's most comfortable with, McCarthy says.

"Women who choose implant reconstruction will often choose to go slightly smaller or larger (than their original breast size), depending on how much the skin stretches," she says.

Tough choices in fight against breast cancer gene

The second implant surgery involves placing the permanent implant -- either filled with silicone gel or saline -- in the enlarged cavity. This procedure generally takes between 1.5 and 3 hours, Youn says.

"It's typically easier, less painful and less invasive" than the second option utilizing the patient's own tissue, he says.

Breast implants are not lifelong devices, according to the Food and Drug Administration. A tear in the silicone shell can cause a leak. Saline implants will visibly show the leak by sagging; the FDA recommends silicone gel implant patients get a follow-up MRI every couple of years.

The second option is a more complex surgery and has a longer recovery period. Patients generally choose it because it's done in a single procedure and they want a more natural result, McCarthy says. Breasts reconstructed with the patient's tissue are softer and will age like a normal breast.

What is the BRCA gene?

In this procedure, tissue is taken from the patient -- most often from their abdominal area -- and moved to the breast. This can be done with muscle or without, and there are several ways to keep blood flowing to the tissue, McCarthy says. These decisions depend on how much tissue and/or blood flow is available for the surgeon to work with.

"Other options include (taking) tissue from the back, thigh and buttocks," she says.

The Women's Health and Cancer Rights Act of 1998 ensures all reconstruction services are covered by insurance. That includes any surgery that needs to be done on the opposite breast to make them symmetrical and any nipple reconstruction procedures.

Almost 80% of patients have nipple reconstruction done following a breast reconstruction surgery, according to the Mayo Clinic.

Youn takes skin from the breast to recreate the nipple. He then sends his patients to a tattoo artist who will fill in the darker color to create the areola.

With both types of breast reconstruction the patient will retain some sensation. But numbness is to be expected afterward, Youn says.

Why more women are choosing double mastectomies

@highlight

Angelina Jolie opted to have breast implants following her double mastectomy

@highlight

Another option is to have breasts reconstructed from the patient's own tissue

@highlight

Both procedures have their positives and negatives, Dr. Colleen McCarthy says