As Americans make up their minds and gear up to vote, CNN asks some of America's foremost presidential historians to weigh in on the question: What does it take to make a president great?

Richard Reeves: FDR's place in the 20th century

Presidential greatness is determined by being in the White House at the right time -- or the wrong time. The presidency is a reactive job and we judge the presidents by their handling of one or two big crises, usually unforeseen.

Nobody remembers whether Abraham Lincoln or Franklin D. Roosevelt or John F. Kennedy or Ronald Reagan balanced the budget. What we remember is the agony of the Civil War. The Great Depression and Pearl Harbor. The Cuban Missile Crisis and the threat  of nuclear war. The winding down of the Cold War.

Roosevelt, who probably understood the presidency better than anyone else -- before or after him -- was the greatest president of the 20th century because he knew what people wanted from the highest office in the land: action, words and optimism.

That all came together when he said he was no longer "Dr. New Deal" -- he became "Dr. Win The War." While historians will argue forever whether FDR actually ended the Depression, he did take aggressive action and fought with the right words with his "infamy" speech on December 7,1941, after Pearl Harbor was attacked.

When the Soviet Union was putting nuclear missiles in Cuba, Kennedy said in private that doing nothing was the worst option and he would be impeached if he did not take action. In good times or bad, a president is expected to do something! Sometimes he does the right thing and becomes great for it.

Richard Reeves is the author of a presidential trilogy: "President Kennedy: Profile of Power," "President Nixon: Alone in the White House" and "President Reagan: The Triumph of Imagination." He is senior lecturer at the Annenberg School for Communication and Journalism at the University of Southern California.

Aida Donald: Truman believed in the strength of character

In early 1962, my husband and I were invited to the White House by first lady Jackie Kennedy because she wanted the president -- who loved history -- to listen to my husband, David Herbert Donald, talk about Abraham Lincoln.

When the talk was over, President Kennedy asked: "Do you think that what makes a president great is a war?" My husband blanched and said, "No, Franklin Roosevelt was a great president before World War II started. His domestic program had already made him a great president."

Of course, Lincoln was a great war president. His saving of the Union and the freeing of 4 million slaves were his greatest accomplishments.

Now, I would add that Harry Truman was also a great president, because he was commander in chief in a great war and then reconstructed the world after World War II.

Truman drew red lines to keep the Soviets from continually gobbling up countries.  He saved Greece and Turkey with his Truman Doctrine. He saved Berlin with an airlift when the Soviets blockaded it. He led in forming the North Atlantic Treaty Organization to protect Europe. He started the Point Four program to assist poor countries. He was behind the Marshall Plan of giving Europe $6 billion to reconstruct itself and be a bulwark against Communism.  He encouraged the rebuilding of Japan as a democratic and capitalist country and as a counter to Communist China.

One should add two other momentous decisions Truman made that affected his greatness: He recognized the state of Israel as soon as it declared its independence, and he desegregated the American armed forces by executive order.

From his earliest days, Truman kept a motto in his head: "A leader needed a true heart, a strong mind, and a great deal of courage."  And he loved what Ben Franklin said: "Always do the right thing. This will satisfy some people and astonish others."

In a nutshell, Truman believed that above all else, character made for greatness. It just happened that his greatness came from the battlefield and its aftermath.

Aida D. Donald, former editor-in-chief of Harvard University Press, is the author of "Citizen Soldier: A Life of Harry S. Truman."

H. W. Brands: Don't dare to be great

Great presidents are those who change the course of American history. Andrew Jackson established the principle that ordinary people should exercise political power. Abraham Lincoln reversed secession and freed the slaves. Franklin Roosevelt founded the welfare state and led the alliance that defeated fascism. Ronald Reagan dismantled large parts of the regulatory state and legitimized demands for smaller government.

Not everyone agrees with the policies of great presidents; transformation is often painful. Great presidents are opportunists: They acknowledge America's strong bias toward the status quo and recognize that large changes are possible only when the status quo has been severely compromised. The greatest presidents -- Lincoln and FDR -- embody the paradox that they preside over the worst times, when the status quo is so broken (the Civil War, the Great Depression) that it cannot continue in its old form.

Great presidents appreciate that their authority is as much emotional and moral as it is institutional. They manifest charisma suited to their eras and convey compelling visions of new ways forward: popular democracy for Jackson, Union and liberty for Lincoln, social security for Roosevelt, lower taxes and lighter government for Reagan.

Is America ripe for another great president? Not yet. The economy underperforms but hasn't collapsed. The federal debt mounts but hasn't prompted a flight from the dollar.

So must we wait for things to reach a crisis before we can expect another great president? Yes.

But this is the wrong way to view our predicament. We do not need a great president to fix what ails us. A good president will do. James Polk broke the impasse over expansion to the Pacific. Theodore Roosevelt tamed the trusts. Lyndon Johnson defeated Jim Crow. Each appealed to America's core values and sense of self. Each proposed substantial but achievable goals. Each played politics, and played it well.

The next president shouldn't strive for greatness, which would confer historical reputation but require more than the rest of us can bear. Being a good president will be good enough.

H. W. Brands' new book is "The Man Who Saved the Union: Ulysses Grant in War and Peace."

Joan Hoff: Presidents and war

A review of polls of presidential scholars since 1948, but especially since 1962, reveals that all of the top great or near-great presidents, except for Thomas Jefferson and Theodore Roosevelt, were involved in war during their presidencies. Six of them -- James Polk, Lincoln, Woodrow Wilson, FDR, Truman, and Dwight D. Eisenhower -- were wartime presidents.  LBJ, Richard Nixon, George H. W. Bush, and George W. Bush have not secured great or near-great status in these polls because of the failed Vietnam War, the successful but forgotten First Gulf War, and the misguided invasion of Iraq based on false intelligence.

Given the length, expense and unpopularity of the wars in Iraq and Afghanistan, it is conceivable that future presidents may not automatically receive the vaunted accolade of presidential greatness when they commit the nation to military action.

Taking action in a time of perceived crisis is also not always wise, as demonstrated by JFK's Bay of Pigs fiasco, Jimmy Carter's mishandling of the U.S. hostage situation in Iran, and Reagan's hostage-for-arms scandal known as the Iran-Contra affair.

This leaves us with the greatness of Jefferson and Theodore Roosevelt. How did their success as leaders emerge without waging war? Importantly, both were intellectuals while most of the wartime presidents were not. So their writings and peaceful actions enhanced their reputations as thoughtful presidents. Despite Jefferson's silence about his own slaves, the principles of the Declaration of Independence about fundamental human rights and equality still ring true. He also doubled and explored the nation's land area and established the precedent of executive privilege.

Likewise, Roosevelt -- despite his macho association with the Rough Riders during the Spanish-American War and his great white hunter lifestyle -- was the first president extensively to preserve national forests and parks, support civil service reform, oppose unregulated great corporations, and promote inspection of food and drugs. He also was the first American president to win the Nobel Peace Prize, because of his mediation of the Russo-Japanese War.

Responding to crises and initiating wars may not represent the best way to determine the greatness of American presidents for the rest of the 21st century.

Joan Hoff, author of "Faustian Foreign Policy from Woodrow Wilson to George W. Bush," is research professor of history at Montana State University.

Joseph Ellis: When major crisis strikes

Presidential greatness is a rare thing.

The three greatest American presidents -- George Washington, Abraham Lincoln and Franklin Roosevelt -- all came to office at times of great crisis.  Washington created a nation out of a confederation of states.  Lincoln saved the nation that Washington created from dissolution.  Roosevelt rescued the capitalistic economy of the nation from the Great Depression and, in World War II, its democratic legacy from totalitarianism.

If history is a guide, then, presidential greatness only occurs in the crucible of major crises. If Islamic terrorists detonated a nuclear bomb in New York or Washington, or if an American attack on Iran's nuclear facilities generated a widespread war in the Middle East, then the conditions would exist for the display of presidential greatness.

Let's hope that neither Barack Obama nor Mitt Romney will have to face such a predicament.

Joseph J. Ellis is the author of the Pulitzer Prize-winning "Founding Brothers: The Revolutionary Generation."

@highlight

America's top presidential scholars weigh in on what makes a president great

@highlight

Richard Reeves: FDR was the greatest president of the 20th century

@highlight

H.W. Brands: America is not ready for another great president right now

@highlight

Joan Hoff: Wartime presidents tend to be considered great, but perhaps no longer