(CNN) -- If the United States is serious about thoroughly defeating ISIS, it must -- somehow, some way -- go through Syria.

But how? And in what way?

Those are the big questions now, as President Barack Obama weighs what to do inside the war-ravaged nation where ISIS leaders are based and where the Islamist terror group rose to prominence.

Obama ceded Thursday that "we don't have a strategy yet" for what to do about ISIS inside Syria, with a senior administration official adding that a decision is "a week or so" away.

There are certainly options, but none is clear-cut.

"There is no such thing as a no-risk strategy," said Rep. Adam Smith, D-Washington. "It's a matter of taking the right risk and balancing that risk to make the right choice."

Here's a look at some possibilities, including why and how they could and could not work:

1) Ground forces

In other words, go all in.

When terrorists attacked on September 11, 2001, the United States showed its willingness to use its full military might when it attacked Afghanistan -- a campaign that dragged on for years and killed more than 2,300 American troops.

That steep cost, both human and financial, is the big reason this is very, very unlikely to happen again in Syria.

No U.S. officials have suggested troops on the ground. The fact none were sent to fight in Iraq -- a country where the U.S. has deeper ties and a government it works with -- is further indication there will be no U.S. ground invasion of Syria anytime soon.

There could be smaller-scale, targeted operations, though. After all, Pentagon spokesman Rear Adm. John Kirby told CNN that, this summer, elite U.S. commandos from units like Delta Force and Navy SEAL Team 6 went into Syria and tried to rescue American journalist James Foley and others held by Islamic militants.

They didn't find hostages, but who's to say U.S. Special Operations Forces couldn't conduct more such missions to save others or for some other purpose? Then there's the possibility American troops could go into Syria to help with the targeting of U.S. airstrikes.

Of course, all bets are off if ISIS pulls an al Qaeda and strikes inside the United States.

That hasn't happened yet, though some experts believe that such an attack from ISIS -- which, upon beheading Foley, warned other U.S. citizens could be next -- might be a matter of time.

2) Airstrikes

Obama gave the go-ahead to pound ISIS forces in Iraq from the air. Why not do the same in Syria, a country the President himself ceded Thursday has become a "safe haven" for the terror group?

Except it's not that simple.

It starts with the fact that Syria is a mess. Three years of civil war have torn apart the country, spurring the emergence of rebel groups fighting to oust President Bashar al-Assad and sometimes against each other. About the only thing al-Assad and rebel groups have in common is that ISIS is their enemy.

Obama is pushing to get al-Assad too, but they're on the same side when it comes to ISIS. Yet U.S. officials insist this shared cause doesn't mean they'll coordinate any military action with al-Assad's government, even if Syrian officials are demanding it.

It's one thing to anger Syria even more. It's another thing to anger its allies Iran and Russia. Russia, which is already at odds with the West over Ukraine, could block any U.N. Security Council effort to give a seal of approval to international strikes.

All of this brings many questions: Does the United States really want to conduct a military campaign in a country without a government that is stable and that it trusts? Can it count on opposition factions it supports to provide any long-term stability? And does it know that airstrikes will wipe out ISIS in Syria rather than stalling the group?

Absent a fortune-teller, it's hard to tell how any military action would turn out.

Still, if Obama decides that's the way to go now, White House spokesman Josh Earnest stressed, more needs to be done politically, diplomatically and economically long-term to keep ISIS down.

"Any sort of strategy that's predicated only on the use of American military force will not be an enduring solution," he said.

3) Support factions in Syria to fight ISIS

The Obama administration frequently touts its support for "moderate opposition" battling both al-Assad's forces and ISIS. Yet, for all its talk, it hasn't directly armed such forces.

The ideal is, if you arm groups like the Free Syrian Army, they can help take out ISIS.

That may not be realistic, considering ISIS with the Syrian government may be the most powerful forces now in the nation. Then there's the real possibility that if moderate forces lose, American weaponry may end up in the hands of ISIS, as has happened in Iraq.

Still, it helps to have someone local you trust to provide on-the-ground intelligence for airstrikes or compliment those strikes with a ground assault.

Smith, the Democrats' ranking member on the House Armed Services Committee, is among those who believes "U.S. military might alone is not going to contain ISIS. We are going to need partners locally."

"We have to strengthen them, not so much so they can win," Smith said of the Free Syria movement, "but so that they can survive and maintain some territory to give us a partner to work with."

4) Cut off ISIS's funding

If you can't pound ISIS into submission militarily, the reasoning goes, you can hit it where it hurts: the wallet.

The thinking goes that, in order to wage war, you need weapons, vehicles, ammunition. In order to govern a country, you need access to food, water and electricity. And usually to address these needs, a group needs money.

Implementing sanctions and freezing bank accounts are often the first, least controversial steps to go after a terrorist group. And they can have an impact, but they also have their limits.

For one, one shouldn't think such efforts will be effective overnight. They take time to coordinate, and it takes time to drain militants' piggy banks. Plus, it's not like there's a readily available list of ISIS donors to go after.

And the fact is, ISIS isn't like many other terror groups. Unlike others like al Qaeda, it's chief goal is as practical as it is ideological: to take over and govern territory.

Already, ISIS has proven adept at seizing weaponry. It's also paid attention to things like food stocks, electricity, sewage, medical care and more, as a recent Foreign Policy article noted.

"They are in this for the long haul," Rep. Mike Rogers, R-Michigan, said. "They are trying to structure themselves in a way that they can hold and expand their holdings."

Whether its government is effective or not, one thing ISIS has proven is its zealousness for the cause and willingness to sacrifice civilians who haven't believed in it from the beginning.

5) Build a true international coalition

One big thing the United States has going for it: Practically no one likes ISIS.

Sure, there are groups and individuals backing the formation of an Islamic State -- which is what ISIS calls itself now that it controls a vast swath of Syria and Iraq -- governed by sharia law. Some from oil-rich Muslim states in the Middle East may bankroll the group; others fight, with U.S. Attorney General Eric Holder this summer estimating that there are 7,000 such foreigners with militant groups in Syria.

"There are clearly two camps in the world today: those who believe that sovereignty and supremacy in the world belongs to God, they are the Islamic State, (and) those who believe sovereignty belongs to man," said British firebrand preacher Anjem Choudhary, who sides with the Islamic State.

Yet ISIS has far, far more detractors than supporters. It has a bloody track record of beheadings, crucifixions, stonings, not to mention the widespread slaughtering of minorities, Christians and Muslims who don't prescribe to its strict interpretation of Islam.

Such actions -- like Foley's execution -- spurred widespread condemnation. Some have incentive to go beyond condemnation and act, militarily, against ISIS.

Start with nations that border Syria, like Jordan and Turkey. As its self-ordained caliphate shows, ISIS has shown that it doesn't abide by national borders. What's to stop it from advancing into another country, especially if it gets bigger, stronger and richer? That possibility might spur other countries, besides the United States, to step in sooner rather than later.

Even if they don't neighbor Iraq or Syria, nations with significant populations of Sunnis -- which is the sect of most Muslims worldwide, including in Middle Eastern nations like Saudi Arabia and Egypt-- may have reason to worry. Like with al Qaeda previously, disaffected young Muslims anywhere-- even in the West -- could join ISIS, then perhaps deciding to act out in their homelands.

"It's certainly not in the interest of governments in that neighborhood to have (ISIS) wreaking havoc or perpetrating terrible acts of violence," said Earnest, the White House spokesman.

These nations could band together. The United States could be part of this coalition, perhaps letting others take an equal or greater role in military operations.

The idea of Washington leading "from behind" has precedent: look at Libya. This international coalition got what it wanted with the downfall of dictator Moammar Gadhafi. But years later, Libya is not a model of anything good: beset by warring militias and without an effective central government.

Rogers, the House Intelligence committee chairman, thinks the Obama administration has had "no real strategy" on ISIS so far -- especially a strategy that addresses the group's base in Syria -- even though the group's been growing stronger for years.

"We're so far along into this," the Republican said of ISIS's rise. "It's not like this happened just last week."

@highlight

Obama: U.S. has no military strategy yet on what to do against ISIS in Syria

@highlight

There's been no hint of ground forces, but commandos did do a rescue mission

@highlight

Airstrikes are a possibility; a congressman says it's critical U.S. work with locals

@highlight

"There is no such thing as a no-risk strategy," Rep. Adam Smith adds