(CNN) -- For most people in the world, freedom of religion is of such paramount importance and warrants all the legal and constitutional respect and protection. It is fair to say that this concept has been imbedded in numerous people's mind such that any accusation of its violation almost automatically triggers waves of condemnation.

A woman reads a state media newspaper Saturday in Beijing with coverage of Tibet.

That may explain why so many people, especially in the West, are so agitated if they conclude that the Tibetan question boils down to freedom of religion, or, even worse, to its violation.

However, their agitation will be significantly muted if they are reminded that, while freedom of religion is of paramount importance, it is equally important to keep church and state separate, lest disasters and tragedies ensue.

In this light, it is important to be reminded that what those Tibetan diaspora outside of China want to restore is a unique and anachronistic system which mixed church and state into such a lethal institution: clergy and nobles accounting for barely 5 percent of the population ruled over millions of serfs who were dealt with as chattels and animals, with no single iota of human rights. That was not ancient history, that was Tibet barely 50 years ago.  Watch a recent history of Tibet »

Anyone in a major Western country advocating freedom of religion to the disregard of separation of church and state will be either marginalized or held with ultra suspicion. If a clergy does so in the United States, his church will lose tax exemption and all the other privileges of a religious institution. Mankind knows too well that mixing church and state together can be a recipe for disasters, especially in a diverse and heterogeneous society.  Watch Victor Gao discuss Tibet with CNN »

Therefore, what looks as a matter of freedom of religion to many people in the West is viewed by China more importantly as a matter of separation of church and state. But why such sharp contrasts?

Many people in the West eagerly embrace the Dalai Lama as a spiritual leader. China would wish His Holiness were indeed nothing but a spiritual leader, otherwise many problems would have been much simpler to resolve. What looks like a spiritual leader to many in the West is viewed by China as less a spiritual leader than a political activist with dangerous political motivations.  Watch an online address by the Dalai Lama »

But why such sharp contrasts?

It goes without saying that religious differences need to be handled with extra care and sensitivity. Human history has been plagued with wars and conflicts either in the name of religion or in the excuse of religion with ulterior motives. Therefore, whenever religion is touched upon, normally "your religion for you and my religion for me" is a good guidance for avoiding calamities. If anyone in the West wants to convert to Tibetan Buddhism and revere the Dalai Lama, or the 14th Dalai Lama to be more accurate, as not only a spiritual leader, but as the reincarnation of all the previous 13 Dalai Lamas and, more amazingly, as the reincarnation of the great God Avalokite Svara, China, rather than having any grudges against him, probably would treat him with all the due respect as a true believer. But China views many Western sympathizers of the Dalai Lama, especially those Western politicians, as having ulterior political motives aimed at infringing upon China's sovereignty and territorial integrity. But why such sharp contrasts?

The Tibetan issue has become a major divider and sensationalizer in the world today. But if reason prevails over passion, the following simple truths may be shocking to learn for those much agitated people:

Therefore, let's avoid mixing apples with oranges, or oranges with apples. Let's avoid any double talk. If one is using "Free Tibet" as an expedient alternative for "Independent Tibet," then don't complain about China's wrath at his real motivation. If one is advocating freedom of religion to the disregard of the separation of church and state, then don't complain about being accused by China as a hypocrite. If one is mesmerized by the Dalai Lama as a spiritual leader or even the reincarnation of God, he should not accuse China for being cool-headed enough to see through the religious veil which covers major political agendas.

For those who warn China that, being in his mid-70s, Dalai Lama's earthly years may be numbered and his eventual passing away may turn Tibetan diaspora and some Tibetans in China into violence and terror, the word of caution is that, now that the whole world is caught in deteriorating financial and economic crisis, any attempt to use violence and terror to further damage global stability and security will be condemned as a public enemy and dealt with as such. It is ludicrous to fancy that any threat of violence or terror will bent the will of China.

On the other hand, China needs to continue the dialogue with the Dalai Lama and his followers both at home and abroad, and seek a mutually convenient solution. From China's perspective, the bottom line is loud and clear: if the Dalai Lama is indeed nothing but a spiritual leader, then the solution can be quick and easy; if the Dalai Lama is wearing the spiritual hat for political purposes, then nothing will be easy.

As for me, ever since my first trip to Tibet, I have been telling everyone I know that you need to visit Tibet, at least once in your lifetime, because Tibet is so unique, so extraordinary, so magnificent, so holy, that not visiting Tibet may be an eternal loss and regret.

@highlight

Victor Gao: Important to consider church-state separation on Tibet debate

@highlight

Beijing accuses Dalai Lama of causing conflict, seeking independent Tibet

@highlight

Dalai says he seeks autonomy for region, not independence

@highlight

Tuesday marks 50th anniversary of failed uprising in Tibet against Chinese rule