(AOL Autos) -- There is no easy cure for teenage traffic deaths and injuries, but Susan Kessler believes she has at least come up with a way to help limit the carnage: When a new driver gets behind the wheel, just slap a temporary warning sign on the car.

The Caution and Courtesy Driver Alliance volunteers hand out the magnets during 2008 publicity campaign.

Kessler has developed signs for teens with learner permits and first-year licenses. They are attached magnetically to the car's sheet metal and display the words "Caution Newly Licensed."

It's not hard to imagine the signs being a nightmare to teens obsessed with what their peers think. But, Kessler, a Kennesaw, Georgia, mother of six, says the real horror is out on the highway: thousands of young people are killed and injured in traffics every year.

More than 15,000 of people have ordered the signs since Kessler and a group of other moms introduced them four years ago.

Parents can mount one on the trunk when a teenager takes off in the family car and remove it when he or she returns home. Once other drivers see it, they presumably exercise extra caution and create a "protective bubble" around the new driver, or so the thinking runs. AOL Autos: Rules for safe driving

Kessler would even like to see states require the use of the signs for new drivers, as some European countries do, and she has found some support for this in the Georgia legislature.

Her goal is straightforward: limit teenagers' capacity to do damage to themselves and others. Drivers 16 to 19 years old are four times as likely as older drivers to end up in a collision, all other things being equal, according to the Insurance Institute for Highway Safety (IIHS).

All U.S. states have adopted tougher licensing systems since the mid-1990s, generally requiring more supervised hours of driving and imposing more restrictions on new licensees.

But they have all stopped short of setting the minimum driving age at 18, as most European countries do.

The latest research has confirmed that putting restrictions on young drivers does pay off in lower accident, injury and fatality rates. One IIHS study over 10 years found that states with strong licensing laws had 30 percent fewer fatalities among 15 to 17 year olds than states with weak laws (those lacking restrictions on cell phone use, for example, or having only minimal restrictions on nighttime driving during the first year of driving). AOL Autos: Most common car related injuries

Armed with a decade of data, activists like Kessler now see a chance to save more lives with further reform.

"My first fear for each of my sons is, 'Please don't let anybody hit them,'" she said. "My second fear is that they might hit anyone else."

"Do you have any idea what it is like to be the parent of a 16-year-old who has killed someone?" she asked. "Parents have called me and said it's like living in a black hole."

Her campaign started four years ago when she started to worry about her son Donnie, even though his turn at driver training was still a few years down the road. The fact that nearby Atlanta ranked as one of the most congested cities in the country naturally fed her fears.

She and a group of friends began to think about ways to give young drivers an edge. They didn't want to force teenagers to wait until they were 21 to drive. But they did want to help them stay safe while they were learning. AOL Autos: Teen driving tips

The moms came up the idea for magnetic signs, only later discovering that a similar approach is a requirement for new drivers in parts of Europe, Kessler said. Once, when she proposed the idea to a Georgia state official, he asked her if there was anyone who didn't like it. She laughed and said, "Yes, my son. But we can work on him."

But she is happy the other people can readily identify new drivers and give them plenty of room. "And whenever you are being watched, your behavior tends to be a little better."

Since they can easily spot teenagers right out of driver's education, police can enforce restrictions on the number of passengers allowed in their cars, she said. Many states restrict the number of occupants for six months or a year in the second phase of their graduated license programs.

"When you are learning how to drive, you need all your concentration and you can't be cool for all your friends," Kessler said.

Skeptics argue that teenage drivers will pull the signs off as soon as they are out of their parents' sight. But Kessler has an answer for the skeptics: If parents ever found out a son or daughter did that, it should be the last time they ever drove the family car.

One early success for the "newly licensed" signs was a pilot program in Cobb County, Georgia, in 2007; Kessler and her friends distributed more than 3,000 magnets. She now sells them nationally at cost, for $7.99, through a Web site, newlylicensed.com, and is looking for a national retail outlet to handle them. She has also been a guest on television programs to promote the magnets.

Kessler also advocates longer periods of supervised driving for new drivers, contending they should be at least 400 hours. Accidents only start to decline after drivers get that amount of driving experience under their belts, she said. AOL Autos: Teen drivers need better training

Many experts agree the quickest way to save lives would be to raise the driving age from 16 to 17 or higher. "But it's a tough sell," said Russ Rader, a spokesman for Arlington, Virginia-based IIHS.

The states could withhold a provisional license until 17. But so far, only New Jersey does that, offering new drivers a full license at 18. "But New Jersey has had a very positive experience with it," Rader said.

There are other options, too. More states could impose tougher restrictions: less nighttime driving, a ban on cell phones (if they haven't already prohibited them), and fewer passengers allowed in the car.

Right now, states are all over the map on these issues. For example, Illinois has a cell phone restriction for the first year, while Montana and Idaho do not. Montana only allows one passenger unrelated to the driver the first six months of the provisional period but allows three for the second. During the entire probationary year, New Jersey allows only one person who isn't part of the driver's household in the car. AOL Autos: Risky teen driving habits

North Carolina enforces a fairly tough nighttime restriction, 9 p.m. to 5 a.m., while Florida prohibits driving between 11 p.m. to 6 a.m. The rule is more lenient in Texas: Driving is permitted anytime except midnight to 5 a.m.

Other countries aren't squeamish about placing nationalized limitations on young drivers. For example, the United Kingdom requires drivers to be at least 17. The age is 18 in most other European countries. A movement is underway in Australia to more than quadruple the period of supervised driving to 120 hours.

New Swiss drivers have to post a warning sign on the vehicles they drive, as do young drivers in New Zealand. Some countries requiring the warnings have even put teeth into their signage laws: Drivers who collide with a car displaying the new-driver signs face heavy fines or even jail time, Kessler said. That's an indication that the signs are important tools to reduce accidents.

"We aren't going to save every kid," Kessler said. "We are rational about this. But if we save at least some of them, it's worth it."

@highlight

Research finds putting restrictions on young drivers lowers accident rates

@highlight

Some countries require new drivers to post warning signs on their cars

@highlight

Mother of teen invents magnets for cars that warn, Caution Newly Licensed

@highlight

Identifying teens lets police enforce restrictions such as number of passengers