(CNN) -- The recent climate summit in Lima, Peru, has laid the foundations for a new climate treaty to be adopted in Paris in 2015. We have made significant progress toward an agreement that for the first time will involve all countries in serious efforts to combat climate change. The compromise reached in Lima ensures that all opportunities are open for negotiations to be successful over the coming year.

This progress is welcome because ultimately, taking action on the climate is both a moral issue and the key to our well-being. Indeed, in recognition of the importance of tackling climate change, Germany earlier this month adopted a package of measures that will considerably bolster our efforts.

The package we passed provides the instruments we need to achieve our goal of cutting emissions by 40% by 2020 compared with 1990 levels. It includes additional measures for all relevant sectors -- from energy generation, transportation and agriculture to insulating buildings.

Once, such changes might have sparked widespread concern that we would somehow be hampering our competitiveness. Yet the European Union has been able to banish the myth that ambitious climate action is detrimental to the economy.

Between 1990 and 2012, for example, greenhouse gas emissions in the EU fell by 18%, while the overall economy grew by around 45%. The reality is that greater prosperity doesn't have to mean more greenhouse gas emissions, poorer environmental protection or higher resource consumption. In fact, in the future, the opposite will surely prove to be true: Only those economies that take the Earth's planetary boundaries seriously will be able to achieve sustained success.

Of course, doubts remain. Yet 15 years after we launched our "Energiewende" -- the move away from an energy supply based on fossil and nuclear fuels -- the economic impact has been broadly extremely positive: Renewable energy sources now account for nearly 30% of our electricity demands, and by 2050, our energy supply will be based almost completely on renewable sources.

Indeed, the boom in environmental technologies is one of the reasons Germany made it through the economic crisis relatively unscathed.

There are now over 1.5 million people working in this sector. Technologies such as photovoltaics are now commercially viable despite the doubts about their economic benefits only 10 years ago. Meanwhile, money that would otherwise have been needed to import expensive fossil resources now instead goes to individuals, cooperatives, farmers, and small and medium-sized enterprises, that can all themselves become energy suppliers.

The second pillar of our climate policy is energy efficiency. In a world where political tensions are mounting even as the hunger for natural resources grows, efficient production is becoming the deciding factor for a country's competitiveness. With this in mind, Germany supports companies that optimize their refrigeration facilities, for example, or that use heat-power co-generation.

But even as we improve the standards for new construction, we also have to face the challenge of the considerable existing stock of public and private buildings. Our goal is to ensure that these buildings are climate-neutral by 2050, and we have allocated significant state funding to stimulate private investment in improving the energy efficiency of our buildings.

Scientists have long agreed that climate action strengthens economic development and creates an opportunity for comprehensive modernization of our economies. The age of fossil fuel is coming to an end, just as the age of the horse and cart, the steam locomotive and the oil lamp eventually came to an end.

But to hasten this end, we must invest in our future. Scientists estimate that more than $90 trillion will need to be invested globally in public infrastructure and energy systems over the next 15 years. Agreements like the one in Lima will encourage greater certainty in green investment, but that deal is not the end, merely the latest part of an ongoing, global change that we need to promote.

We are pleased that the United States, with recent announcements by President Barack Obama, is also willing to contribute to this change, thus testifying to the country's continuing ability to modernize itself while retaining its traditional values.

Back in September, while world leaders were preparing to attend the annual U.N. General Assembly meetings, demonstrators came together in New York to demand that we take climate change seriously. It was an inspiring scene, one that I hope all leaders took to heart.

These demonstrators in New York called for us to act now, not tomorrow. Let us do just that.

@highlight

Barbara Hendricks: Lima climate talks marked significant progress

@highlight

Tackling climate change doesn't have to hurt economy, she writes

@highlight

Germany has passed measures to cut emissions dramatically by 2020

@highlight

Germany welcomes U.S. contributions on climate policy, author says