(CNN) -- The most decorated skier in U.S. history is out for the season -- but not for the rest of her career, experts say, thanks to dramatic advances in treating even some of the worst kinds of knee injuries.

Lindsey Vonn, 28, was taking a run on the opening day of the Alpine Ski World Championships in Austria when she crashed Tuesday.

Heart-stopping video of the crash shows Vann shoot over a hill and attempt to land the jump off-balance. Her right knee twists and slams into the mountain, causing her to flip over and smack into a gate.

Vonn had to be airlifted off the mountain. On the video, she can be heard screaming in pain through the rescue operation.

Doctors will have a better sense of Vonn's injuries once the swelling goes down and the fluid decreases, experts say. As of Wednesday, the U.S. Ski and Snowboard Association said Vonn had been evaluated and released from the Schladming Hospital.

Dr. Christian Kaulfersch, who treated Vonn at the Austrian hospital, said she doesn't need surgery right away, but that she suffered from a "complex torn ligament" in her right knee. Her anterior cruciate ligament (ACL) and medial collateral ligament (MCL) are torn and Vonn has a lateral fracture of the tibial plateau, the upper end of the tibia or shin bone.

Vonn faces race against time

ACL tears do require surgery, but MCL tears can heal on their own, according to doctors. It's the tibial plateau fracture that will need a much closer look and is the wild card in how long recovery may take, doctors say.

First, Vonn will need time. The time will allow the MCL ligament and tibia break to heal on its own, depending on its severity, according to Dr. Jeffrey Webb, a professor of orthopaedics and sports medicine specialist at the Emory Sports Medicine Center. He's seen a lot of knee injuries over the years as the team doctor for the NFL's Atlanta Falcons.

"With an MCL tear, you let it heal for two to four weeks and let the scar tissue build up, and only then do you want to go in and do the ACL reconstruction," Webb said. During this time, Vonn will likely wear a brace and try to get some motion back. It'll be painful to walk, so she'll be on crutches or even in a wheelchair.

Doctors will continue to run tests to determine the extent of the injury. Doctors will use MRIs and CAT scans to determine what approach they'll have to take for the broken tibia. And only then will surgeons go in and repair the ACL and figure out if the MCL and bone break needs surgery.

"Back in the 1970s and 1980s we'd call this a career-ender of an injury, because doctors back then didn't know how to fix it, but we have better techniques and more practice at it, so we now call this injury -- even as horrific as it looked -- a 'career delayer,' " said Webb.

While the rate of injury for skiing overall has declined over the past 60 years because of better equipment and training, knee injuries remain common in the sport, particularly among women, according to a 2003 study. Alpine skiiers "hold the notorious distinction of having among the highest rates of ACL injury of any activity or sport," study authors wrote.

"She's an amazing athlete. Just the amount of training and work that she puts in, I've seen firsthand in the past. If anyone's going to come back, she can," said Dr. Michael J. Rossi, one of the study's co-authors and an orthopaedic surgeon who works with the U.S. ski team under the direction of Dr. J. Richard Steadman.

Champion skier Lindsey Vonn vows to fight on in bid to race the men

Recovery for a weekend-type athlete would be at least nine months, according to Webb.

Recovery for a world-class athlete like Vonn is more in the six- to eight-month range, according to Dr. Tom Hackett, a Vail, Colorado-based doctor at the Steadman Clinic who often travels with the U.S. ski team and helps with team members' treatment.

"It is hard to know without all the information in front of me. There are many subtle decisions made on the day of operation," Hackett said.

Vonn interviewed in 2010

But with Vonn's physical condition and determination combined with her medical treatment, Hackett believes Vonn could recover before the Olympics, a year and a week away. Doctors will continue to work with her to help her stay in top shape even without a fully functioning knee.

"Typically when we manage an athlete of her caliber, we find ways to maintain fitness and strength and power as much as possible while she recovers," Hackett said.

A six- to eight-month recovery time doesn't leave a lot of training time for the Olympics, but Vonn, a 2010 Olympic gold medalist, is determined to be there, according to her statement.

"First off, I want to say thank you to the amazing medical staff that cared for me. I plan on returning to Vail as soon as I can to have the necessary surgeries," Vonn said in the statement. "I am also grateful to my fans for the outpouring of support, which has really helped me stay positive. I can assure you that I will work as hard as humanly possible to be ready to represent my country next year in Sochi (Russia)."

CNN's Trisha Henry contributed to this report.

@highlight

Lindsey Vonn's dramatic crash tore her ACL, MCL and fractured her bone

@highlight

Recovery could take six to eight months

@highlight

Vonn vows to do what she can to compete in the Olympics