(CNN) -- Pope Benedict XVI urged warring parties in Syria on Tuesday to end the 21-month-old civil war.

"May peace spring up for the people of Syria, deeply wounded and divided by a conflict which does not spare even the defenseless and reaps innocent victims," the pope said in his traditional Christmas message, delivered from the balcony of St. Peter's Basilica.

"Once again, I appeal for an end to the bloodshed, easier access for the relief of refugees and the displaced, and dialogue in the pursuit of a political solution to the conflict."

Read more: Syrian military police chief defects to join 'the people's revolution'

Sunni Muslims make up three-quarters of Syria's 22.5 million people. But Christians, who represent 10% of the population, have been drawn into the war, which has largely been fought by the Alawite-dominated government and the largely Sunni opposition.

Christians have been historically protected by the regime of President Bashar al-Assad, and have been reluctant to take sides. Some Christians in Syria abhor al-Assad, and others support the government. Many have been apprehensive about the prospects of an opposition government and fear the influx of jihadists in rebel ranks.

Jaramana, a town in the Damascus suburbs with a Christian and Druze population that has mostly been pro-regime, was the site of violence Monday night.

Read more: U.N. envoy meets with Syrian president as deaths mount

The opposition Syrian Observatory for Human Rights said rebels ambushed and killed a military intelligence officer there.

The Local Coordination Committees of Syria, an opposition network, said Tuesday that Free Syrian Army rebels killed five military intelligence soldiers in clashes with government forces.

A report issued last week by the U.N. Commission of Inquiry on Syria focused on sectarian hostilities and referred to dangers faced by Christians. It cited a car bombing outside a bakery in Jaramana and the kidnapping of Christians in September.

Read more: Opposition: More than 100 Syrians killed in bakery attack

Before the conflict started in March 2011, the largest Christian communities were in the Damascus, Aleppo and Homs regions, it said. But many Christians have fled their homes because of the violence.

Homs Christians have escaped to Damascus, and some have made their way to Beirut; Armenians who had been living in Syria have sought refuge in Armenia.

Syria's Armenian Orthodox and other Christian communities "have sought protection by aligning themselves with the government, with the consequence that they have come under attack from anti-government armed groups," the report said.

Read more: Refugee figures fail to give true picture of Syria crisis

Some Christians have formed "armed self-defense groups to protect their neighborhoods from anti-government fighters by establishing checkpoints around these areas."

More than 40,000 Syrians have been killed since March 2011, and hundreds of thousands have been displaced from their homes. At least 171 people were killed Tuesday, the LCC said. Of those, 61 died in Damascus and its suburbs.

The Syrian Observatory reported that rebel fighters had taken over the town of Harem in Idlib province. Regime forces and militia allies surrendered; many of them and pro-government civilians died during clashes, it said.

Tuesday's violence occurred after two days of air assaults on Syrians who had been waiting on line for bread. An air assault in Homs province killed at least 15 people Monday, a day after more than 100 were killed at a bakery in Hama province, opposition activists said.

Both bombings took place in areas known for anti-government sentiment. The state-run Syrian Arab News Agency (SANA) blamed "armed terrorist groups" for the Hama province attack.

Read more: U.N. envoy meets with Syrian president as deaths mount

Doctor: Mystery gas kills six, injures dozens

A doctor in Homs said six people have died after exposure to a mysterious gas. Dr. Abu al Fida said he treated about 30 of the more than 60 people who were affected by the gas this week.

Those who were close to the source of the gas suffered symptoms such as paralysis, seizures, muscle spasms and, in some cases, blindness, he said. Those who were farther from the source suffered difficulty breathing, disorientation, hallucinations, nervousness and a lack of limb control similar to excessive tear gas exposure, he said.

Al Fida said those affected responded well to atropine, which is used to treat sarin gas patients, but it was unclear what the substance may have been.

He said the gas appeared as a white flash that went clear.

Opposition activist Rami Abdulrahman, director of the Syrian Observatory for Human Rights, said six rebel fighters died after inhaling a white gas that had no smell.

"Gas was released and spread in the area after members of the regime forces threw canister bombs," Abdulrahman said. "... The activists said that everyone who (inhaled) the gas felt severe headaches, and some had seizures."

CNN cannot independently confirm government or opposition reports from Syria because the government has severely restricted access by journalists.

State-run SANA quoted Fyodor Lukyanov, the editor-in-chief of the journal Russia in Global Affairs, as warning that "allegations of the Syrian government using chemical weapons could be excuses for foreign military intervention in Syria."

It added, "In a statement to journalists on Tuesday, Lukyanov said that the reports on chemical weapons in Syria could be exploited to undermine the authorities and motivate foreign forces, stressing that there's no proof that chemical weapons have been used and that these reports seem to be another round of the media war against Syria."

U.S. President Barack Obama has previously warned that any use of chemical weapons by Syria in its civil war would be crossing a "red line" that would prompt a swift U.S. response.

Diplomatic front: More talks, but no clear results

On the diplomatic front, U.N. peace envoy Lakhdar Brahimi met Tuesday with members of the National Opposition Coordination Commission at a hotel in Damascus. Commission Chairman Hassan Abdel Azim said possible solutions to the crisis were reviewed with the envoy. The group is seen as a government-approved opposition group or regime front. It is not recognized by other opposition groups, such as the LCC or the Free Syrian Army.

Read more: U.N. announces $1.5 billion aid effort for Syrian refugees

Tuesday's meeting came a day after Brahimi met with al-Assad.

The LCC on Tuesday laid out its demands for peace talks. It said it would reject any initiative that would force Syrians "to choose between accepting unfair compromises or the continuation of the regime's crimes against them." The group also warned against granting the government "more time to continue to destroy and kill."

The LCC said that the president and his officials must leave power in order for any initiative to work, and that any plan to give the government immunity against prosecution would be "immediately rejected, as it threatens the chance for Syrians to succeed in achieving justice."

In Bahrain, the six-nation Gulf Cooperation Council called for an immediate end to violence in Syria, and pledged support for the opposition, Kuwaiti state-run news said.

Members of the group, such as Qatar and Saudi Arabia, have supported the Syrian opposition. The four other Gulf Cooperation Council members are the United Arab Emirates, Kuwait, Bahrain and Oman.

CNN's Amir Ahmed, Samira Said and Mohammed Jamjoom contributed to this report.

@highlight

Gas reports "could be excuses for foreign military intervention"

@highlight

A flare-up is reported in a Christian-Druze enclave outside Damascus

@highlight

Rebels hold a town in Idlib province, says opposition Syrian Observatory for Human Rights

@highlight

A mysterious gas kills six people in Homs, a doctor and an opposition group say