(CNN) -- "So, how many black friends do you have now?"

It's a question I get asked a lot, ever since I set out five years ago to find out why I, your typical middle-class white person, had no black friends at all.

I do have black friends now, actually. Several. But I rarely offer that information when asked, because to ask white people how many black friends they have is to pose the wrong question.

Recently, a Reuters poll came out showing that 40% of white Americans have zero nonwhite friends, and only 20% of white Americans have five or more nonwhite friends. People seemed shocked that the numbers were so bad.

Personally, I was surprised that they were so good. America remains a deeply segregated and divided country. Even accounting for institutional and socioeconomic barriers, in the places we have the opportunity to integrateâ€”the high school cafeteria, for instanceâ€”we largely don't.

The Reuters survey itself is misleading, lumping all minorities together under the vague heading of "nonwhite." Depending on what part of the country you live in (e.g, anywhere but Minnesota or Wyoming), it's not uncommon to have Asian or Hispanic friends.

But the social divide between whites and those groups is more a function of the slow-rolling, generational process of immigrant assimilation. That is a wholly different phenomenon from the social divide between whites and blacks, which is the product of 400 years of slavery and segregation. That's the social divide we should worry about, and if the poll had focused on that, the numbers would surely have been much worse.

The reason why "How many black friends do you have?" is such a terrible question is because it shows how we typically talk when we talk about race. Even when we try to talk about race in a constructive way, we usually make black people the object of the sentence, rarely the subject.

Black friends are the things to be acquired to prove one is not racist. The way the question is asked accords black people no agency, nor does it reveal anything about the real character of the white person being queried.

What you really want to know is not "How many black friends do I have?" but rather, "Have I become the type of individual that a black person might choose to be friends with?" That's a real question. Poll a couple thousand white people with that and you might start to get some interesting answers, or at least some confused and befuddled looks.

White people are products of their own whitewashed, sanitized environment. Black people have been systematically excluded from white neighborhoods. Black stories rarely surface in popular culture. The history of race in high school textbooks has been boiled down to a handful of bedtime stories about Jackie Robinson and Rosa Parks. Try to tap into the average white person's feelings on race and you won't necessarily find feelings of hate and antipathy. You just won't find much of anything, no fully formed or well-considered thoughts about race of any kind. There's nothing really there. Even white people who want black friends don't know where to start.

America's lack of integration wouldn't be such a big deal except for the fact that relationships and social networks are vital to economic advancement.

Even when programs like school busing and affirmative action give black people access to white spaces, when those people go to climb the social ladder there's nothing there for them to grab onto, because there's very little reciprocal effort coming from the other direction. It's high effort and low reward.

The result is that black people end up with integration fatigue. Many black writers responded to the Reuters poll with essays on why they didn't want white friends, and didn't need them. White friends weren't worth the bother.

This is their prerogative, but ultimately, it's to society's disadvantage because white people control the access to, well, just about everything. If you don't have white friends, you might have a decent job and a comfortable life, but all the doors of opportunity in this country are not open to you. "I may do well in a desegregated society," the Rev. Martin Luther King Jr. said, "but I can never know what my total capacity is until I live in an integrated society."

Interracial friendships, social bonds across the color line, are a key factor in putting the sins of America's past behind us. But it's not something that's accomplished by white people knowing lots of black people. It helps if white people know how to be better white people.

The opinions expressed in this commentary are solely those of Tanner Colby.

@highlight

A recent Reuters poll shows that 40% of white Americans have zero nonwhite friends

@highlight

Tanner Colby: I get asked a lot, "So, how many black friends do you have now?"

@highlight

He says some people see black friends as things to be acquired to prove one is not racist

@highlight

Colby: Social bonds across the color line are critical to a truly integrated society