(Financial Times) -- Chinese listed companies have reported a sharp rise in unpaid bills during the third quarter, in one of the clearest signs yet of the toll that China's economic slowdown is taking on corporate balance sheets.

A Financial Times analysis revealed that 66 per cent of listed Chinese companies that have reported third-quarter results showed a year-on-year increase in such unpaid bills -- called accounts receivable in accounting -- as a proportion of sales, according to the S&P Capital IQ database.

China's economy is on track to grow at less than 8 per cent this year, which would be its slowest in more than a decade. While that is still very fast by international standards, many companies have invested on the expectation of sustained double-digit growth and the sharp rise in accounts receivable is an indication of how even a mild slowdown has caught them off guard.

The hardest hit companies are those linked to the construction and infrastructure sectors, including machinery makers, steel mills, coal and cement companies.

Sany Heavy, the world's ninth-largest machinery maker by sales, reported that accounts receivables were up 83 per cent year to date at the end of the third quarter, hitting Rmb21bn. "Due to the impact of the macroeconomic environment, sales repayments have seen some deferrals," the company said. Other machinery companies reported similar problems: at Shanghai-listed First Tractor, accounts receivable rose 169 per cent from the beginning of the year.

At Zoomlion, a leading Chinese machinery maker, accounts receivable at the end of the third quarter were up 69 per cent from the beginning of the year, according to earnings released on Tuesday.

Janet Zhang, economist at GaveKal Dragonomics said accounts receivable growth picked up in August and September. "Some enterprises are reluctant to reduce production, so they continue to produce and sell things even when the buyers can't pay the money," Ms Zhang said. "This is a big difference from 2008, when collapsing demand caused many enterprises to reduce production very significantly."

China's metals producers and coal miners have been particularly slow to cut production despite lacklustre demand for their products. At Baosteel and Jiangxi Copper, the biggest listed producers of steel and copper, unpaid bills rose 52 per cent and 66 per cent, respectively, since the beginning of the year.

However, some optimists expect that the problem of unpaid bills could improve by the end of this year, as Beijing's small steps to encourage economic growth start to take effect. "This might be a lagging indicator that will dissipate in coming quarters," said Frederic Neumann, an economist at HSBC. "The financial situation has eased recently," he added, citing recently approved new infrastructure projects.

Furthermore, for all the pain being felt by Chinese corporations, the country's banks are showing few outward signs of any credit trouble. At the end of the first half, the overall bad debt ratio for the banking sector was just 0.9 per cent, near an all-time low since the country's banks were recapitalised a decade ago.

Of the big banks that have reported their third-quarter results, credit quality has actually improved. In quarter-on-quarter terms, non-performing loan ratios fell 0.5 basis points at China Construction Bank, 2bp at Agricultural Bank of China and 1.5bp at Bank of China.

There has been a slight increase in overdue loans at most banks, however, and many analysts and investors believe that banks might be disguising a more serious deterioration in asset quality by moving bad loans off their balance sheets or simply rolling them over.

Additional reporting by Simon Rabinovitch and Gwen Chen in Beijing.

© The Financial Times Limited 2012

@highlight

Chinese listed companies have reported a sharp rise in unpaid bills during the third quarter

@highlight

Clear sign of the toll that China's economic slowdown is taking on corporate balance sheets