Washington (CNN) -- Shocking as it may sound, the seemingly endless federal bureaucracy can get confusing, especially when interpreting statutory procedure. When that happens, federal courts -- including the Supreme Court -- by precedent normally give the government the benefit of the doubt, what is called "administrative deference."

That ambiguity was on display Monday in an unusual legal dilemma: Can a child conceived after the death of the biological father be eligible for survivor benefits under Social Security?

The Obama administration thinks not, and a majority of justices -- almost by default -- appeared to agree during a spirited morning of oral arguments.

"You lose if the statute is ambiguous," said Chief Justice John Roberts to the lawyer for the surviving parent. "Is there any reason we shouldn't conclude based on the last hour that it's at least ambiguous?"

Added Justice Elena Kagan: "It's a mess."

At issue is how the court should interpret the word "child" and whether state laws over wills and trusts are adequate to deal with evolving technology for in vitro fertilization.

Robert Capato developed esophageal cancer just months after marrying Karen Kuttner in 1999. Concerned the medical treatment could leave him sterile, Capato began depositing semen in a sperm bank. After his health improved, the couple conceived naturally and a son was born.

But the man's condition later worsened and Robert died in March 2002. The confusion lies in the fact his final will did not specify whether children born after his passing could be legally declared his survivors. But a separate notarized document from the Capatos stated, "Any children born to us, who were conceived by the use of our embryos, shall in all respects and for purposes, including but not limited to descent of property, be children of our bodies."

Karen underwent the in vitro fertilization procedure and 18 months after her husband's death, twin children were born. She then applied for Social Security survivor benefits, but the agency rejected the claim.

An administrative judge concluded the "domicile at death" for Robert, the wage earner, was Florida, and that state did not provide for children conceived after the parent's death.

A federal appeals court then found for Karen Capato, saying the twins were "children" within meaning of state law and Social Security regulations. The agency then appealed to the Supreme Court for review.

The justices clearly appeared at odds over how to treat this relatively new category of offspring, and whether they should be in the same category as stepchildren or adopted children when deciding survivor benefits.

Roberts suggested "there is no clear answer. I mean, let's take a situation where this type of reproduction is new, and the state legislatures haven't had a chance to decide whether they want to recognize the offspring for state intestacy (inheritance) law or not."

Several of his colleagues searched for related scenarios that could guide them in this unusual instance.

"Let's assume Ms. Capato remarried but used her deceased husband's sperm to birth two children. They are the biological children of the Capatos. Would they qualify for survivor benefits even though she is now remarried?" asked Justice Sonia Sotomayor. "A situation like that is what is making me uncomfortable, because I don't see the words 'biological' in the (federal) statute. I don't see the word 'marriage' directly, within the definition of 'child.'"

Justice Antonin Scalia was more direct. Federal policy "disfavors children who are born after the father has died. Which is in accord with the title of the statute: Survivors Benefits," he said. "What is at issue here is not whether children that have been born through artificial insemination get benefits. It's whether children who are born after the father's death gets benefits."

Charles Rothfeld. Capato's attorney, said, "There is no question that children who are ... pro-conceived naturally in the marriage and are born after the father's death are deemed to be dependents and receive benefits."

Sotomayor jumped in: "I am interested as to what your definition of child is. Is it just a biological offspring? Is it limited to a biological offspring born of a particular marriage? But in what context?"

Rothfeld struggled to respond.

"What if the Capato twins were conceived four years after of the death in this case?" asked Roberts. "Would your argument be the same?"

"These children were born 18 months after the insured wage earner died," said Justice Ruth Bader Ginsburg. "If we look to other categories of children -- say, stepchildren, and there is also one for adopted children -- they qualify only if they had that status no less than nine months before the wage earner died, and adopted children there is also a limitation. The stepchild and the adopted child, there could never be any question of being born 18 months later. They wouldn't qualify. There is a time limit for the other children. And if Congress had thought about this problem, maybe it would put a time limit on this, too."

Rothfeld did little to convince the court that advances in artificial insemination were something lawmakers could not have anticipated when they passed the Social Security Act in 1939 and should not continue to hinder his client's ability to seek benefits. "I think the problem is that we're dealing with new technologies that Congress didn't develop -- wasn't anticipating at the time."

A ruling by the court is expected by June, but it is not likely to have an immediate widespread impact. Court records show only about 100 other federal benefit applicants in a similar situation as Capato.

But the justices could use this appeal to clarify what it means to be a "child" in relation to a parent and whether current state and federal law is flexible enough to incorporate a growing a range of technological conception possibilities.

The case is Astrue v. Capato (11-159).

@highlight

NEW: "It's a mess," Kagan says

@highlight

The Supreme Court hears a case dealing with the child of a deceased father

@highlight

The child was conceived by in vitro fertilization after the father died

@highlight

The question is whether the child can be eligible for Social Security survivor benefits