Washington (CNN)As the Missouri National Guard prepared to deploy to help quell riots in Ferguson, Missouri, that raged sporadically last year, the guard used highly militarized words such as "enemy forces" and "adversaries" to refer to protesters, according to documents obtained by CNN.

The guard came to Ferguson to support law enforcement officers, whom many community leaders and civil rights activists accused of using excessive force and inflaming an already tense situation in protests that flared sporadically from August through the end of the year.

The National Guard's language, contained in internal mission briefings obtained through a Freedom of Information Act request, is intensifying the concerns of some who objected to the police officers' actions in putting down riots. They broke out after the August 9 shooting of unarmed black teenager Michael Brown by city police officer Darren Wilson. A grand jury declined to indict Wilson in the case.

"It's disturbing when you have what amounts to American soldiers viewing American citizens somehow as the enemy," said Antonio French, an alderman in St. Louis.

The documents obtained by CNN also detail that the Missouri National Guard was concerned about perceptions of its deployment, with superiors later telling troops to stop using heavily militarized language to describe protesters.

And the communications show them calibrating the timing of their deployment in November -- in anticipation of the St. Louis County grand jury's decision on whether to indict Wilson -- to try to ensure that their presence didn't further dial up tensions, though several community members voiced concern that they were not deployed quickly enough.

"We are deliberately constraining mobilization timelines to the last couple days to minimize backlash from calling up the NG early," Col. David Boyle, Army chief of staff at the Missouri National Guard, informed his officers in a Nov. 18 email. "We have coordinated for lower profile, less confrontation likely mission sets to emphasize support roles and minimize public militarization perception."

Additionally, some in the National Guard seemed worried the language in the mission briefings could be problematic.

Days before the announcement of the grand jury's decision, an email from Boyle warned of potential consequences from using language that could be "construed as potentially inflammatory." Two days after that, notification was sent to commanding officers stating that "all reference of 'enemy' were changed to state 'criminal elements'."

Still, National Guard spokesman Capt. Quinn defended the militarized language as standard for the planning process ahead of deployment.

In an email to CNN, he said the documents used in the Ferguson mission briefings were "a generic military planning format utilized in a wide range of military missions, so the term 'enemy forces' would be better understood as 'potential threats.' Often in Guard operations, threats would include inclement weather, heat, failing levees, etc."

In further comments emailed to CNN late Friday, after the initial version of this article appeared, Quinn insisted that "while the term 'enemy forces' appears in a handful of early drafts of the operations order it was also clear that as soon as leadership saw the language, they correctly identified it as being inappropriate for this type of mission" and claimed that the language was changed "well ahead of the grand jury's decision."

But internal communications from as early as Aug. 14 through Nov. 18, when the directive was issued to change the inflammatory language, show numerous uses of the terms that were sent to a large number of National Guard commanders and leadership.

Though the National Guard's actions throughout the fall did not elicit the type of complaints that were directed at the police, some in Ferguson were displeased that the guardsman didn't do more to act against looters and vandals.

Ferguson Mayor James Knowles criticized the guard at a November 25 news conference, saying that "unfortunately, as the unrest grew and further assistance was needed, the National Guard was not deployed in enough time to save all our businesses."

Quinn, in his comments to CNN, responded that it would not have been part of the National Guard's mission to confront those destroying businesses. Rather, the force would have stood guard at sites of unrest while law enforcement officers entered looted businesses and arrested suspects.

The documents reveal that the Missouri guard was especially concerned that "adversaries" might use phone apps and police scanners to expose operational security.

"Counterintelligence operations are directed at supporting an information campaign. Their audience does not require the information to be accurate and is easily swayed," one document read.

A document titled "Operation Show-Me Protection II," which outlines the Missouri National Guard's mission in Ferguson, listed players on the ground deemed "Friendly Forces" and "Enemy Forces." Among groups characterized as hate groups were the KKK, the RgB Black Rebels and the New Black Panther Party, but also "General Protesters."

The document read: "Protesters have historically used Molotov cocktails, rocks, and other debris to throw at police. Several small arms fire incidents have occurred. Some elements may utilize militants [sic] tactics taught by USPER RgB Black Rebels."

A communication specifying the types of gear and dangers the soldiers were likely to face warned that, "rioters likely have constructed home-made protection like goggles, gas masks, and plywood shields. Further, select individuals may have bullet proof vests and may carry firearms."

It further noted that, "a possible method of attack is the use of Molotov cocktails against personnel and equipment. Also the possibility exists of the use of arson for destruction and disruption of the power grid through targeted attack."

In addition to analyzing the threat general protesters could pose to soldiers, the National Guard also briefed its commanders on their intelligence capabilities so they could "deny adversaries the ability to identify Missouri National Guard vulnerabilities upon which threat forces may exploit, causing embarrassment, or harm to the MONG," the mission set states.

"Adversaries are most likely to possess human intelligence (HUMINT), open source intelligence (OSINT), signals intelligence (SIGINT), technical intelligence (TECHINT), and counterintelligence capabilities," states Appendix 3, which outlines Operations Security. But the ways the National Guard lists for how this information can be obtained are nothing more than open records, social media, and listening on conversations being carries out in public by civil authorities or law enforcement.

"Overseas deployments are all about predictability," Col. David Boyle of the Missouri National Guard warned in an email on August 25 in the wake of protests just two weeks after the death of Michael Brown. "DSCA (defense in support of civil authorities) is not, it is all about rapid expansion and contraction to fit quickly shifting support requirements."

CORRECTION: An earlier version of this story misstated details about the St. Louis County grand jury's decision on whether to indict Wilson.

@highlight

The National Guard's language worries those who objected to the tactics used in quelling riots

@highlight

The language is contained in internal mission briefings