(CNN) -- The world's coral reefs are under threat. Overfishing, unsustainable tourism, coastal development, pollution, the global aquarium trade and climate change are having a devastating effect on these fragile ecosystems, according to the International Coral Reef Initiative.

In Mexico and across the world, the fragile ecosystems of coral reefs are under threat from human activity.

The group has designated 2008 as International Year of the Reef in a bid to publicize the reefs' precarious predicament.

Meanwhile fellow conservation group, Nature Conservancy, warns that if destruction continues at its current rate, 70 percent of the world's coral reefs will have disappeared within 50 years.

A report released in January by the World Conservation Union concluded that hurricanes and rising sea temperatures in 2005 -- the hottest year since records began -- caused large-scale examples coral bleaching, in which corals lose the essential algae that coat their surfaces, devastating more than half of the Caribbean's reefs.

But human activity at ground level is having an equally damaging effect, says Paul Sanchez-Navarro, Director of Centro Ecologico Akumal, an organization that monitors the impact of development on the reefs that thrive off the coast of Mexico's Quintana Roo province. Pollution spilled into the sea by the thousands of hotels on the Mexican Riviera is "stressing" the coral reefs.

"There are a lot of nutrients going into the ground water caused by treated water from the hotels and municipal waste water treatment plants," he explains. "They inject the water into the ground and that makes its way into the aquifer... We've found way too many nutrients -- nitrates and phosphates -- and that comes from human waste, mostly urine."

The result, says Sanchez-Navarro, is increased algae growth that effectively suffocates the coral, impeding its growth.

The reefs off Quintana Roo form part of the Meso American Barrier Reef which stretches over 1000 kilometers from Mexico as far the Bay Islands of Honduras, making it the second longest barrier reef in the world. The barrier reef supports more than 60 species of coral, 350 types of mollusc and over 500 species of fish.

Reef-building coral has existed for 25,000 years and creates complex ecosytems which rely on a delicate balance of external pressures to survive. They thrive in water temperature of 23 to 25 degrees celcius and are usually found at depths of less than 25cm from the surface where sunlight can penetrate.

While coral reefs in other parts of the Caribbean have suffered from coral bleaching caused by rising sea temperatures, Mexico's reefs have largely escaped this partly due to the hurricanes that have battered this coastline in recent years. These cool the water down in their wake but damage the reefs in other ways: the World Conservation's report, "Corals -- facing the death sentence", found that 2005's Hurricane Wilma and Hurricane Emily decreased coral cover from 24 percent to 10 percent in the reefs off Mexico's Cozumel.

An occasional storm can actually have a beneficial effect on coral reefs, says Sanchez-Navarro, because the turbulence allows the coral to break off and spread. But the coral needs time to recover and the increase in category four and five storms, which some scientists believe is caused by climate change and rising sea temperatures, allows no time for this.

"The difficulty now with climate change is that if we are going to have big storms every year then the coral doesn't have a chance to recover," says Sanchez-Navarro. "Normally you would have a big storm every five to ten years. The storm breaks up the coral but if the coral is healthy it starts to grow again and actually a hurricane every ten years is not bad because it disperses the coral in more places and then it grows up more."

While the damage from pollution and hurricanes is having a devastating effect on the Mesoamerican barrier reef and the hundreds of species which depend on it for food and shelter, eventually it will also have a human cost. An estimated one million people rely on the reef for employment and a source of income.

The white sands that have made this stretch of tropical paradise so popular with tourists are generated by the breakdown over thousands of years of coral and the calcium it produces. Eventually no coral will mean no white beaches.

Sanchez-Navarro believes the depletion of Quintana Roo's reefs is already affecting the local fishing industry. Around the world ten percent of all fish caught originate from reefs.

"We'll probably see reduced fish stocks because there is less areas for them to take refuge in," he says. "We don't have numbers for them but we have observations made by divers who have been coming here for years who have noticed over time the depletion."

Coral reefs also provide essential protection from storms, acting as a buffer that prevents coastlines from feeling the full force of a storm surge. "At the bottom of the hurricane you have a lot of motion going on in the water itself, it's not only above water," explains Sanchez-Navarro.

"This momentum that comes from the storm usually has this big surge but it hits the reef first and it changes the dynamic of the waves. Coral reefs drop the intensity of the storm significantly: the surge can become 75 percent less."

Sanchez-Navarro does not think that tourism in itself is necessarily damaging to the region's coral reefs. Snorkeling and sub aqua can cause physical damage to the reef if divers stand on the reef or anchors from boats are dropped in the wrong place. But with co-operation with the local dive schools he believes bad practice can be cut out.

The main threat remains the expansion of unsustainable hotels and the dumping of untreated pollution into the sea, he says.

"The biggest challenge here is defining what is sustainability for the region because there's so much investment, especially from Spain -- Spanish investment has bought up virtually the entire coast -- and they don't seem to be required to obey the law.

"They can cut down mangrove when they want -- they actually pressured the federal government to change the mangrove law because they bought up all this mangrove and they want to cut it down and drain it and fill it up with hotels." E-mail to a friend

@highlight

Conservationists predict 70 percent of all coral reefs will go within 50 years

@highlight

Mexico's Meso American Barrier Reef stretches over 1000 kilometers

@highlight

The reef is at risk from overfishing, unsustainable tourism and pollution

@highlight

An increase in storms, blamed on climate change, is also harming the coral