(CNN) -- Monday is the second day of the year, which means millions of Americans have started new diets. They resolved to lose weight, get in shape, and they are starting strong.

Sadly, the odds are that almost all of these resolutions will soon be broken and abandoned. Close to half of all dieters end up heavier than ever. Virtually none will lose weight permanently.

The same is true for the country as a whole. Obesity has become the country's leading public health problem. Yet as we talk and talk about the issue, the country only becomes fatter and fatter.

The problem for the country echoes the problem for individuals: Willpower is not enough. "(It's a) basic instinct, even stronger than the sexual instinct, to store calories to survive the next period of starvation. And we live in an environment where there's food every half mile. It's tasty, cheap, convenient, and you can eat it with one hand."

Thus says Martijn Katan of the Institute of Health Sciences at VU University in Amsterdam, author of one of the many studies on the limits of dieting, quoted in U.S. News & World Report.

If you as an individual want to change your weight, you must change your whole life. Likewise, to reduce obesity in modern society, we will have to alter the way society is organized.

Weight gain is driven by two trends: increases in calories consumed and decrease in calories expended. Modern America induces both.

For example: The after-inflation cost of sugary soda has declined by an estimated 48% over the past 20 years. Correspondingly, consumption of sugary soda has soared: Sugary soda is now the single most important source of calories in the American diet.

For example again: The number of Americans who work at physically taxing jobs continues its steady decline. Even those jobs that demand physical labor -- manufacturing, for example -- are much less grueling than they used to be, as electrically powered machines do the lifting and shifting that used to consume human energy.

While Americans expend fewer calories at work, they spend more time in cars -- almost twice as much as in the 1970s. They spend 26 hours per week consuming TV or online entertainment. Americans could theoretically compensate for more sedentary lifestyles by stepping up their recreational exercise -- but only about 20% of Americans bother. Some 80% never do -- including presumably all those failed dieters.

Want to change this? It's no small project. It would involve the redesign of cities, the relocation of schools, the reinvention of our modes of eating and amusement.

First lady Michelle Obama has made healthy eating her special project. Good for her, and let's hope her efforts lead to success. But if we are to succeed, we should understand: The campaign against obesity will have to look a lot less like the campaign against smoking (which involves just one decision, to smoke or not to smoke) and much more like the generation-long campaign against highway fatalities, which required the redesign of cars, the redesign of highways, and changes in personal behavior like seat-belt use and drunk driving.

The good news is that the campaign against highway fatalities has yielded real progress: down two-thirds since the mid-1960s. The bad news is that, for most of us, it will take more than a New Year's resolution. However, if you are seriously resolved, congratulations -- and see you on the jogging path.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum says Americans eat more, exercise less than in earlier generations

@highlight

He says obesity is No. 1 health problem, extremely difficult to reverse

@highlight

Michelle Obama is to be commended for taking on the issue, he says

@highlight

Frum: To solve it will take major changes in the American way of life