(CNN)In September 2002, then-former Israeli Prime Minister Benjamin Netanyahu told a U.S. congressional committee "there is absolutely no question whatsoever" that Saddam Hussein's Iraq was developing nuclear weapons at "portable manufacturing sites of mass death." Once Hussein had nuclear weapons, Netanyahu warned, "the terror network will have nuclear weapons," placing "the security of the entire world at risk."

Fast forward to this week, and Netanyahu was back, this time as prime minister, to make virtually identical claims about Iran. Yet not only has the U.S. intelligence community disagreed with Netanyahu's assessment of Iranian nuclear intentions, so does Israel's, according to leaked documents. Indeed, more than 200 retired security officers have publicly criticized Netanyahu as a danger to Israel's security. Sadly, Netanyahu's presentation reinforces caricatures regularly advanced by American and Gulf Arab pundits -- caricatures of Iran as aspiring Middle Eastern hegemon, bent on overthrowing an otherwise stable regional order. It's a misguided perspective that is actually hurting the United States.

In Netanyahu's view, America should only improve relations with an Iran that stops its regional "aggression," its support for "terrorism," and its "threat[s] to annihilate ... Israel."  In other words, America should not improve relations with an Iran whose regional influence is rising.

In reality, Iran's rise is not only normal, it is actually essential to a more stable region. As nuclear talks with Tehran enter a decisive phase, rapprochement with a genuinely independent Iran -- not a nominally independent Iran whose strategic orientation is subordinated to U.S. preferences -- is vital to halting the decline of America's strategic position.

Washington has long worked to consolidate a highly militarized, pro-American Middle Eastern order. Yet these efforts -- pursued across Democratic and Republican administrations and intensified after 9/11 -- have clearly failed. As a result, the Middle East today is less stable, more riven with sectarian and ethnic conflict, and more violent than at any point in its modern history. And America, in a textbook illustration of "imperial overstretch," has made itself weaker, both regionally and globally.

America's quest for Middle Eastern hegemony has failed for many reasons.

For a start, seeking dominance impels Washington to replicate, in multiple venues, its Faustian bargain with imperial Iran from 1953 until the last shah's overthrow in 1979, providing substantial and effectively open-ended support to governments acting against the desires of their own publics. While American elites argue that America benefits from such arrangements, they are ultimately unsustainable, as Iran's 1979 revolution demonstrated.

A determination to dominate the Middle East keeps locking Washington into these kinds of relationships; for its own sake, the United States needs to stop trying to be the Middle East's hegemon. That means embracing a regional balance of power -- not the chimera of American dominance misleadingly labeled as "balance," but an actual balance in which major regional states, acting in their own interests, constrain one another.

Under any political system, Iran would be a significant regional actor, due to its geostrategic location, hydrocarbon resources, and large, educated population.  But the Islamic Republic -- which Iranians built themselves as a participatory Islamist system representing their interests, not those of rulers beholden to foreign powers -- has a legitimacy America must accept to foster a truly stable Middle East.

Iran has gained influence in Iraq, Lebanon, Afghanistan, Syria and Yemen by backing political structures that, in Tehran's judgment, will produce governments committed to foreign policy independence. Washington needs cooperation with just such an Iran against common foes like the Islamic State of Iraq and Syria, and to balance counterproductive policies of America's regional allies.

Washington's self-damaging drive for Middle Eastern hegemony is inextricably linked to its unconditional support for an increasingly extreme and unrepresentative Israel.

A myth prevails that America's bond with Israel flows from "shared democratic values" and response to the Holocaust. In fact, Washington only started providing Israel with significant military assistance and diplomatic impunity after the 1967 War, when Israel seized pivotal territory from Egypt and Syria, two Soviet allies opposed to American regional dominance.  For the remainder of and after the Cold War, U.S. officials calculated that ensuring Israel's military superiority over its neighbors helped America pursue hegemony over the Middle East, even as occupying millions more Palestinians clearly made Israel less democratic. (The U.S. government's own demographic data show that the number of Arabs under Israeli control -- in "Green Line" Israel, Gaza, the Golan Heights, East Jerusalem and the West Bank -- exceeds that of Israeli Jews, making the Israeli state a minority regime for the people it governs).

A state representing all these people would not occupy Arab populations or seek ever greater freedom of military initiative in its neighborhood. Israel's pursuit of these policies -- facilitated by U.S. guarantees of its "qualitative military edge" -- conditions Washington's commitment to keeping over 100 million Arabs under U.S.-backed autocracies and puts America on a war footing with an Iran unwilling to join this inherently unstable regional order.

The reality is that Israel's concern about Iranian nuclearization is not that Tehran will use (at the moment nonexistent) nuclear weapons against a nuclear-armed Israel. Instead, as then-Defense Minister Ehud Barak explained in 2012, it is that a nuclear Iran would "restrict our range of operations."

But this is precisely what a truly stable balance of power requires. America needs constructive relations with all major regional states, including Iran, so that they constrain one another's reckless impulses.

@highlight

Hillary Mann Leverett: Middle East less stable than at any point in modern history

@highlight

United States needs constructive ties with all major regional states, including Iran, she says