Kabul, Afghanistan (CNN) -- Pakistan continues to support the Taliban in Afghanistan, a secret NATO report says, according to a journalist who has read it, despite years of Pakistani denials and American pressure to stop backing the insurgency.

Pakistan's Inter Services Intelligence agency knows the whereabouts of all senior Taliban commanders, Times of London reporter Jerome Starkey said Wednesday, citing the report.

Pakistan dismissed the accusation that it is helping the Taliban across the border.

"We are committed to non-interference in Afghanistan," Pakistan Foreign Office spokesman Abdul Basit said Wednesday. "This is frivolous, to put it mildly."

He added, "Pakistan has suffered enormously because of the long conflict in Afghanistan. A stable and peaceful Afghanistan is in our own interest and we are very much cognizant of this."

NATO downplayed the importance of the document.

The classified report is based on the "opinions or ideals" of Taliban detainees, and represented only their opinions, not the actual progress of NATO against the Taliban, International Security Assistance Force spokesman Lt. Col. Jimmie E. Cummings said.

The document says the Taliban depend on Pakistan for support, even though they do not necessarily welcome it, Starkey said.

"It is a marriage of convenience," he said. The Taliban see Pakistan as manipulative, but they see no alternative to accepting its support, he said.

The Taliban are absolutely confident of victory, he said the report found, based on 27,000 interviews with more than 4,000 detainees ranging from senior Taliban commanders to Afghan civilians.

They also include mid- and low-level Taliban, al Qaeda, and foreign fighters, he said.

CNN has not seen the document, but has been told by ISAF that reports of its contents are for the most part accurate.

ISAF spokesman Cummings said Wednesday not to read too much into it.

He said it was "extremely important not to draw conclusions based on Taliban comments or musings" and that the report "should not be used as any interpretation of campaign progress" against the insurgency.

A military official in Kabul said such reports have been done for "several years" and it was not written by military personnel.

And a NATO official noted that the "Taliban-led insurgency in Afghanistan has suffered dramatic losses of leadership and resources," insisting that "Taliban momentum has been significantly reversed."

Pentagon spokesman Capt. John Kirby said the report, called "State of the Taliban 2012," is the product of thousands of interviews with Taliban detainees in 2011. "It's not just a rough transcript, but there's been no analysis applied to it," he said.

The report was compiled over the course of a year, "and a lot of things changed during the year. 2011 was a tough year for the Taliban," Kirby said.

Top U.S. officials have repeatedly suggested the Afghan insurgency gets support from Pakistan.

Adm. Mike Mullen testified in September that the Taliban and the Haqqani network, another militant group, had safe havens in Pakistan that they used to launch cross-border attacks on U.S. troops in Afghanistan.

"Because of providing that safe haven, because of connections between Pakistan intelligence and the Haqqanis, Pakistan bears some responsibility for the attacks on us," said Mullen, who was then chairman of the Joint Chiefs of Staff.

He told the U.S. Senate Armed Services Committee that it was an important U.S. aim to have "a positive relationship with Pakistan," but said: "In order for there to be a normal relationship between our two countries it is imperative that Pakistan actively break its ties with the militant extremists using their soil against us."

A month later, U.S. Secretary of State Hillary Clinton threw down a gauntlet to Pakistan as she prepared to travel there from Afghanistan.

"Our message is very clear: We're going to be fighting, we're going to be talking, we're going to be building," she said. "And they can either be helping or hindering. But we are not going to stop our efforts to create a strong foundation for an Afghanistan free from interference, violent conflict and one that has a chance to chart its own future."

Relations between the United States and Pakistan -- complicated at the best of times -- have been especially tense in the past year.

Islamabad was angered when American special operations forces killed al Qaeda leader Osama bin Laden in a cross-border raid into Pakistan, and furious at the killing of 24 Pakistani troops in a November NATO strike which the coalition called a case of mistaken identity.

Wednesday's leaked report is consistent with the latest American intelligence analysis of the Taliban.

The U.S. intelligence community said Tuesday that Afghanistan's insurgents remain "resilient" and senior Taliban leaders "enjoy safe haven in Pakistan."

The annual threat assessment compiled by all the various American intelligence agencies said Taliban-led insurgents have "lost ground in some areas," but mainly where NATO-led "surge forces are concentrated."

A U.S. official told CNN the ISAF report includes a summary of comments from "some of the most motivated and ruthless insurgents that are trying to boost insurgent morale."

"Some of the stuff there you couldn't even deem 'intel.' It's just comments," said the official, referring to intelligence.

Starkey, the Times journalist, said the report said it should be treated as informational and not necessarily analytical.

The official described the report as "relatively new" and "an internal document for our use that's not meant to be distributed."

The official, who is not authorized to discuss contents of the report on the record with the media and asked not to be named, emphasized that it did not represent the opinions of ISAF.

The official declined to say whether the report was seen by top NATO commanders, including the ISAF commander, Gen. John Allen.

The leak comes as Afghan President Hamid Karzai's government appears to be moving slowly toward talks with the Taliban.

Karzai's government recently dropped its opposition to the Taliban establishing an office in the Gulf state of Qatar to facilitate talks.

And it may be opening a separate channel to talk to the insurgency.

The Afghan government hopes to hold talks with Taliban representatives in Saudi Arabia in the coming weeks, a senior Afghan official said Tuesday, in a move that threatens to cloud already fragile steps to negotiate an end to the United States' longest war.

The senior official, speaking anonymously as he was discussing sensitive diplomatic issues, said there were plans for a meeting between insurgents and Afghan officials in Saudi Arabia. Yet, he added, the plans were at such an early stage that it was not clear who -- including American officials -- would attend or when any talks would be held.

The United States has acknowledged that it has held discussions about the opening of a Taliban office in Doha, Qatar, as well as the possibility of transferring some Taliban prisoners held at Guantanamo Bay as part of American support for Afghan reconciliation efforts.

CNN's Richard Allen Greene, Shaan Khan, Barbara Starr, Pam Benson and Joe Sterling contributed to this report.

@highlight

NEW: The document has not been analyzed, a Pentagon spokesman says

@highlight

Pakistani intelligence knows where Taliban commanders are, the report says

@highlight

A NATO spokesman says the report is based on the opinions of detainees only

@highlight

Pakistan firmly rejects the report, a Foreign Office official says