WASHINGTON (CNN) -- The grooved, gray concrete wall rising from a few inches to a few feet seems to be solely for blocking the noise from the nearby highway, but like many parts of the new Pentagon memorial, there is more to the wall than meets the eye.

Seven years after the September 11 attack on the Pentagon, the wall is designed to remind visitors of the youngest and oldest victims, wrapping the memorial in symbolic imagery.

It stands 3 inches tall at its beginning, representing the youngest person killed there -- 3-year-old Dana Falkenberg -- and continues to a height of 71 inches, corresponding to the oldest victim, retired U.S. Navy Capt. John D. Yamnicky Sr.

Both were aboard American Airlines Flight 77 when terrorists hijacked the plane and smashed it into the Pentagon that day. Falkenberg died with her mother and father, Charles Falkenberg and Leslie Whittington, and her 8-year-old sister, Zoe.

President Bush attended a solemn ceremony on the grounds Thursday, along with dignitaries and family members of those killed in the attack.  See images of 9/11 »

A flag was raised at half staff and the national anthem was played. The words on a big screen seemed to capture the moment: "We will never forget."

"The Pentagon memorial will stand as an everlasting tribute to 184 innocent souls who perished on these grounds," Bush said. "A memorial can never replace what those of you mourning a loved one have lost. We pray that you will find some comfort amid the peace of these grounds. We pray that you'll find strength in knowing that our nation will always grieve with you."  Watch bagpipes play at the site »

Donald Rumsfeld, who was defense secretary when the Pentagon was attacked, said, "We will never forget the way this huge building shook. We will not forget our colleagues and friends who were taken from us and their families. And we will not forget what that deadly attack has meant for our nation."

The symbolism inside begins for visitors as they first step into the memorial.  Watch as the Pentagon remembers 9/11 victims »

As they enter the cenotaph, they pass over etched stone that reads, "September 11, 2001 -- 9:37 a.m.," the exact moment of the attack on the Pentagon.

The stone in which that infamous date is carved was recovered from the smoldering ruins of the Pentagon, still stained with the burn marks from the explosion and fire from Flight 77 slamming into the building.

Across the memorial grounds, 184 bench-like structures, each one dedicated to a victim, are clustered in what seems like an uneven and unsettling array throughout the main grounds of the memorial.  See the symbolism driving the memorial's design »

"We've tried to keep everything subtle to the extent that people can discover," said Keith Kaseman, the memorial co-designer.

Thomas Heidenberger stopped recently with his son, Tom, to pay tribute to his wife, Michelle, a senior flight attendant on Flight 77. They wept as they sat on the bench honoring her. iReport: How are you observing 9/11?

"These were the first to die in this so-called war on terror," Heidenberger said. "Why shouldn't we not just remember the day, but remember their sacrifice, remember their lives?"

His son said the memorial was touching because it started with an artist's rendition, but now is a reality and a fitting tribute to those who died.

"It looks great," he said. "I'm very impressed."

The benches are laid out in a pattern according to the year each victim was born, from 1998 to 1930. Some rows, called birth-year aisles, have just one seat, and some have three or more.

All of the granite-covered benches, called memorial units, are oriented in the direction the plane hit the building, pointing east.

Each unit rises smoothly from the ground in a gentle slope to form the bench. A small pool of water beneath each one gently gurgles, adding to the relaxing nature the designers intended.

On the end of each unit, the name of the victim is inscribed in stainless steel. Family members who lost loved ones have already begun leaving flowers and notes at the benches.

The names on the benches face east or west, depending on where the victims were when they died. If the victim was on the plane, visitors read the name as they look toward the western sky. If the person was inside the Pentagon, you read the name looking at the building, facing east.

"The idea that this place is just an invitation for your thoughts and your interpretations is what we see as persisting through time, and I think that's what sets it apart to some extent," Kaseman said.

Just steps from the Pentagon complex, it is like many of the Washington memorials in that access is freely available 24 hours a day. But it stands in a different place from the more well-known monuments.

Tucked away on a small patch of super-secure land between a busy highway and the nation's military headquarters, the symbolism of a post-9/11 security environment is present.

An iron fence surrounds the memorial, providing visitors with unintended symbolism. Just outside the fence, a Pentagon police guard shack is on one side, and a giant earthen berm -- designed to deflect bomb blasts from the Pentagon -- is on another. On a third side is a checkpoint with explosives-sniffing dogs and a secure road that leads to a Pentagon delivery facility away from the building.

It is hard to imagine that a few years ago, this land was once just flat grass and the original location of the building's helicopter port before the attack.

It has taken seven years to build the memorial. But the time has not lessened the memories or the solemn nature of the location, feet from the impact site.

A kind of peace is still present between the whirring traffic and the occasional low-flying military helicopter preparing to land at a helipad.

Plantings and trees will eventually fill it in the young memorial, creating a more private and intimate setting; and for those who lost family, friends and colleagues, the symbolism outside the memorial will be drowned out by the intimate symbolism inside.

Thomas Heidenberger said those who lost loved ones in the New York attack still don't have a memorial -- "no place to go, have no closure." He stressed the importance of such sites to families left behind.

"We have a place to go other than a burial plot or a vacant stone in a cemetery," he said. "The children who were born to 9/11 moms who don't have a dad, they have a place to go. And the elderly now have a place to go visit their children, their loved ones."

@highlight

Pentagon unveils 9/11 memorial to honor the 184 victims killed there

@highlight

Benches are laid out in a pattern according to the year each victim was born

@highlight

Son visits site with dad to honor his mom: "I'm very impressed"

@highlight

Watch 9/11 memorials in New York and Washington on CNN.com Live