(CNN) -- A U.S. congressman is questioning whether the NCAA failed to hold the University of North Carolina accountable during a 2012 academic fraud investigation and is demanding answers from NCAA brass.

If he doesn't get them, he'll call for congressional hearings and subpoena NCAA President Mark Emmert, Rep. Tony Cardenas told CNN.

The California Democrat is referring to a probe in which the National Collegiate Athletic Association investigated UNC's system of "paper classes" -- independent studies requiring little work and no attendance. Athletes were able to get easy "A"s without actually going to class.

The NCAA declined to sanction the university, saying the scandal was academic in nature, not athletic.

However, whistle-blower Mary Willingham has said that paper classes were openly discussed as a way to keep athletes eligible to play, and former football player Michael McAdoo said he was forced into majoring in African-American studies, the department at the heart of the paper-classes scandal.

"I think it's important to know if they are looking the other way," Cardenas said. "I think it's very suspicious."

CNN analysis: Some college athletes play like adults, read like 5th-graders

Cardenas' call for an explanation could have implications for the NCAA, as it's involved in three court cases aiming to dissolve the long-standing amateur model and give players more rights -- and possibly salaries.

Meanwhile, the Student-Athletes Human Rights Project has filed a complaint with the U.S. Department of Education over UNC's paper classes. The student-athlete advocacy group, based in Durham, North Carolina, alleges the classes violated Title IX because the number of male students taking them was disproportionate, and Title VI because too many black students took them.

As more critics are emerging and speaking publicly about the way the NCAA handled the UNC case, the NCAA is standing by its assertion that athletes are paid with an education, are students first and should not receive salaries.

Critics say that model is flawed because many athletes do not get an education.

"Kids who are walking out of these schools cannot read. They are getting degrees that are worthless," said Tom McMillen, a former congressman and basketball player who now serves as secretary for the University System of Maryland Board of Regents, speaking on the issue of NCAA reform last week at the nonprofit Aspen Institute. "I think the chink in the armor of the NCAA is that they say you're going to get an education."

In a Monday phone interview with CNN, McMillen stated his opinion succinctly: "If these kids aren't getting an education, the whole thing's a sham."

Emmett Gill, a former NCAA adviser and current head of the Student-Athletes Human Rights Project, raised the same point in a letter to Emmert asking for a renewed investigation at UNC.

Gill said he believes the NCAA and UNC are ignoring the alleged academic fraud to protect the amateur model. If the NCAA were to admit that athletes are not getting an education, it would be devastating to the organization, Gill said.

Two former college athletic officials-turned-reform advocates -- Gerald Gurney at the University of Oklahoma and David Ridpath at the University of Ohio -- also recently began reviewing academic fraud cases for which the NCAA handed down punishments, comparing them to UNC. They believe the data will demonstrate that the NCAA is ignoring the problem.

"They do pick and choose," Ridpath said. "The NCAA is abdicating their responsibility, and there is a clear and convincing case of academic fraud the NCAA is overlooking."

But the NCAA's investigation is over despite recent revelations from McAdoo and Willingham's public statements.

When reached for comment, the NCAA said its "rules only govern academic fraud as it relates to athletics departments and student-athletes. Any broader issue is not under the NCAA's purview."

In 2012, the NCAA did go to Chapel Hill to investigate. It was alleged that about a dozen players had dealings with agents -- a big NCAA violation. Then, information surfaced suggesting one of the most prestigious public universities in the country had been passing athletes through classes that they never had to attend.

There was talk that the allegations could deliver a devastating blow to the institution, perhaps even going back to its 2005 and 2009 basketball championships.

But that didn't happen.

While the football team had to vacate wins and forgo scholarships because of the agent scandal, little came of the academic fraud probe. The NCAA came to town, punished a few players and left, finding no evidence of institutional fraud.

Willingham was never contacted or interviewed, and UNC was left to police itself.

The school instituted more than 180 reforms to make sure paper classes did not continue. But no one asked why: Why did UNC need to create these easy-A classes? Who came up with the idea? Who knew about it?

McAdoo was one of the players caught up in the scandal.

A defensive end recruit with numerous Division I coaches trying to woo him, McAdoo chose North Carolina, not just to play ball, but because he wanted to major in criminal justice. He wanted an education, he said.

"When the coaches and academic staff came to my house all the way in Tennessee, you know they wasn't even talking football. They was talking academics," McAdoo said. "So they were saying, 'You know what? We can't promise your son that he's going to go to the NFL, but one thing that we can promise him is that he will get a college degree.' "

They didn't make good on that promise, he said.

On his second day of school, athletic advising handed him a schedule and told him what classes he'd be taking. None of them was related to criminal justice. Instead, there was an African-American studies class, something McAdoo says he had no interest in.

He felt "lied to," he said.

When the academic fraud scandal broke, the NCAA said one of McAdoo's tutors had done too much work for him.

"The university knew what was going on and they knew I was taking paper classes and they kind of swept it under the rug," he said.

He was declared academically ineligible, and right before his senior season, he says he felt forced to leave Carolina. And after a short stint with the Baltimore Ravens, he went to the Canadian Football League, where he's now playing.

McAdoo and his attorney, former North Carolina Supreme Court Justice Bob Orr, say they feel like the NCAA picked on McAdoo while ignoring the larger institutional problem.

"The individual players were singled out," Orr said. "Literally thrown under the bus, in my opinion, by the way the enforcement process works, and I think the university hoped and the NCAA was compliant with the sense of 'OK, we've punished the players. Let's move on.'"

UNC has long insisted that the paper classes were solely the idea of one man -- now-indicted professor Julius Nyang'oro, who was head of the African-American studies department.

Two internal reviews commissioned by the university found there was no evidence that counselors or anyone in the athletics department knew about the abuse.

UNC's athletic reform Chairwoman Joy Renner told CNN that she believes the students found the easy classes by word of mouth and that UNC officials were stunned as to why Nyang'oro would offer paper classes.

McAdoo says that's not true, and Willingham told CNN that paper classes were openly discussed within the athletics department as a way to keep athletes eligible.

"In the building, almost everyone would have talked about it," she said, referring to working in athletics. "And outside of the athletic department, some other people that were involved in advising certainly knew about the paper class system."

Willingham, who has studied athlete literacy for years and has personally worked with the athletes who were part of her study, previously told CNN for an exclusive story that there are athletes at UNC who are reading at elementary school levels.

Some of the athletes who were pushed into paper classes were put there because they weren't reading at high enough levels to succeed in legitimate courses at North Carolina, she said.

There are athletes -- including some who played on the 2009 championship basketball team -- who took as many as 12 paper classes, Willingham said, adding that it's telling that one key indicator of graduation rates dropped significantly once the paper classes were uncovered and brought to an end.

"They were used for students who were in the NCAA tournament. They were used for students who were going to world competition, like soccer players. They were used for the Olympics," Willingham said of the paper classes. "They were used for summer classes for students who were playing baseball on the coast. They were used for students who were having eligibility issues."

UNC officials have attacked Willingham's credibility and disavowed her research, saying of her research suggesting some athletes read at elementary school levels: "We do not believe that claim and find it patently unfair to the many student-athletes who have worked hard in the classroom and on the court and represented our university with distinction."

But since she spoke to CNN, UNC has commissioned yet another investigation of the paper classes scandal. This time, Ken Wainstein, a former Homeland Security adviser to President George W. Bush, is doing the review.

He has already spoken to Willingham and Debbie Crowder, Nyang'oro's secretary, and has talked to Crowder about the other people in athletics who were aware of paper classes, according to Crowder's attorney.

While Nyang'oro faces a criminal fraud charge, the district attorney announced earlier this year that Crowder will not be charged, and unless more information is revealed, the active investigation is over.

@highlight

A congressman questions the NCAA's decision not to sanction UNC in fake class scandal

@highlight

A student-athlete group files complaints with the Department of Education over "paper classes"

@highlight

UNC has sought new investigation since exposure of low literacy among athletes