CNN's Arwa Damon visited a national park in West Java, part of Indonesia, on March 7, and reports on her experience with scientists working to save the habitat of the endangered gibbon species.

Poachers kill the mothers and sell the baby gibbons on the black market. There are only 4,000 Java gibbons left.

WEST JAVA, Indonesia (CNN) -- Primatologist Dr. Jatna Supriatna scans the treetops in a national park on the island of Java, looking for gibbons. This area is home to about 150 of the remaining 4,000 Java gibbons. These highly acrobatic creatures are easy prey on the ground and live well above it in the jungle canopy.

"They like the trees here, the fruit from the trees, so sometimes they are here," Supriatna says softly, as we trek through the natural beauty with midday light streaming through the foliage.

"This is keystone to the gibbons. You can't kill the trees" he continues emphatically, pointing out the dainty figs that are a staple part of the gibbons' diet.

But that's exactly what's going on. Indonesia has the shameful distinction of holding the "highest deforestation" title in the 2008 Guinness Book of World Records, destroying an estimated 300 soccer fields of forest every hour.

According to the World Wildlife Fund, these shy and elusive creatures are the most endangered of all ape species.

"They don't have any too big a natural enemy, but encroachment," Supriatna explains.

Through the foliage we can see the electrical towers from the human communities, slowly eating away at what's left of this protected land.

Baby gibbons are also subject to illegal poaching because they are considered cute pets and, according to Supriatna, selling for thousands of dollars on the black market.

"They kill the mother because they want to have the baby," Supriatna says. "So if they kill the mother, there is no chance for survival of the population, of the gibbon."

In a project run by Conservation International, primatologists are trying to rehabilitate gibbons they saved from people's homes. UuUu, a 7-year-old female, is tranquilized and gently moved to the "introduction cage."

Because gibbons live in family groups, her only chance of survival in the wild is with a mate. As she sits hunched over in a corner, drooling and smacking her lips from the effect of the drugs, in the neighboring cage, Kiss Kiss, a male, emits low whimpers, a visible sign of his agitation.  Watch the effort to get the pair to mate »

UuUu slowly shakes off the drugs and groggily clambers on the fencing.

"They will spend at least a week watching each other," Supriatna explains laughing. "Not like humans. They have to invest a lot in the pairing because when they are in nature, they have to find the right guy for the female because their entire life, they will be there. It's not like they can choose one and just move to the other."

For this species, there are no one-night stands. And Kiss Kiss can attest to just how picky female gibbons can be. He was already rejected by a female he spent six months with.

In the five years since this project began, there have only been three successful couplings, between the 16 gibbons at the center. So far no couples have been introduced back into the wild. Not only do the primatologists have to get the pairs to mate, but they also have to teach them vital lessons about their diet. For these gibbons that were snatched from the wild, nature can be poisonous.

This makes preserving those already there even more important. Gibbons are a vital part of this already fragile ecosystem, crucial to seed distribution and the health of the ecosystem. Supriatna warns that changing the balance of nature will cause disasters.

In the distance, as the afternoon rains start to roll in, we can hear the gibbon's melodic song. Supriatna's picks out the male-female duet.

"Listen, the female [is] usually singing a little bit longer and louder."

The haunting melody gets louder, but the gibbon pair it's coming from isn't close enough for us to see. But its easy to imagine them deftly swinging through the canopy. And the realization sets in, that the gibbon song, like the nature we hear it in, risks being a thing of the past. E-mail to a friend

@highlight

West Java is home to about 150 of the remaining 4,000 Java gibbons

@highlight

World Wildlife Fund: Gibbons are most endangered of ape species

@highlight

Conservation International tries to rehabilitate gibbons

@highlight

Indonesia holds the "highest deforestation" title in 2008 Guinness record book