Washington (CNN) -- In a classic "Saturday Night Live" sketch, Christopher Walken plays a music producer with just one message for his bands: "More cowbell! I gotta have more cowbell!"

Sometimes you wonder if Walken is producing this year's election, too. In Mitt Romney, the GOP has nominated its least ideological candidate since Richard Nixon. At every turn, the party has demanded, "More ideology! I gotta have more ideology!" With the selection of Paul Ryan as his running mate, Romney has now acceded to that wish. The least ideological Republican candidate since 1968 has committed himself to the most ideological Republican program since 1964.

Democrats must be stunned.

The first battle in every election is the battle to decide what the election is about. What's the question voters must answer?

Romney's choice of Ryan energizes two sides

In 1992, for example, Republicans wanted the election to be about George H.W. Bush's steady leadership in a dangerous world: the end of the Cold War and victory in the Persian Gulf. Democrats countered, "It's the economy, stupid!"

This year, an incumbent even more embattled than George H.W. Bush has his own preferred election theme. He doesn't want to debate his own record, which is pretty dismal. He wants to debate the record of the congressional Republicans elected in 2010, a bunch radically less popular even than the president himself.

You'd imagine that Romney's job was to refuse the Democratic invitation, to choose his own ground for the election, and to keep his distance from the congressional GOP. You'd imagine, but you'd be wrong.

Romney has instead chosen to bolt himself to the House Republicans. He has chosen as his running mate Paul Ryan, the House Republican leader -- not their formal leader, but their intellectual leader, the person who set their agenda. He has effectively adopted Paul Ryan's agenda as his own: big immediate cuts in spending, a dramatic cut in the top rate of income tax to 28% and a bold reform of Medicare for those 55 and under.

Obama's message in 2012: "Forget the economy. It's Medicare, stupid!"

The Romney-Ryan response? "We agree. Medicare it is."

William Bennett: Why Paul Ryan?

The Romney-Ryan team will tell you that fixing Medicare is crucial to their plans for economic growth. By assuring markets that Medicare costs will grow more slowly after 2023, a Medicare fix -- it's argued -- will ignite job creation in 2013. In the meantime, federal spending cuts and upper-income tax cuts will restore business confidence.

Will voters accept this argument? Possibly, although relatively few economists will do so.

Most economists would draw a distinction between the government's fiscal problems over the medium term and the economy's problems in the near term. The economy's near-term problems can be traced to the housing crisis.

Americans assumed crushing levels of debt in the 2000s to buy expensive homes, homes they assumed would continue to rise in price forever. In 2007, household debt relative to income peaked at the highest level since 1928. (Uh oh.) When the housing market crashed, consumers were stranded with unsustainable debts, and until those debts are reduced, consumers will drastically cut back their spending. As consumers cut back, businesses lose revenue. As businesses lose revenue, they fire employees. As employees lose their jobs, their purchasing power is reduced. As purchasing power is lost throughout the economy, housing prices tumble again.

Rinse and repeat.

Opinion: Is Paul Ryan for or against Ayn Rand?

Since 2008, the debt burden on households has declined somewhat, partly because of increased saving, mostly because of mortgage default. But household debts have declined nowhere near enough, and the pace of household debt reduction is slowing.

The result: slow recovery of the private economy, weak consumer demand, paltry job growth -- considerably offset by continuing job shrinkage in the public sector.

Paul Ryan's various plans and road maps contain many interesting elements for the reduction of government in the decades ahead. They do not respond to the most immediate and urgent problem: prolonged mass unemployment caused by heavy household debt.

Why not? There's why the ideology makes itself felt. Conservatives ardently believe that big future deficits are the cause of today's unemployment. They feel it. They know it. And they don't want to hear different.

When naysayers worry that the Romney campaign has over-indulged the ideology, the answer quickly comes: "Well, Reagan was ideological in 1980 -- and he still won. Why can't Romney do the same, especially since the economy is even worse now than it was then?"

Opinion: Ryan will shift the campaign dynamic

Fair answer. Here's the difference: Although Ronald Reagan was a highly ideological candidate, he did not run a highly ideological campaign. Quite the contrary! Precisely because party conservatives trusted Reagan's ideological commitment, they allowed him space to move to the center.

Seeking the GOP nomination in 1976, Reagan had pledged large immediate cuts in federal spending ($90 billion, at a time when that was a lot of money). In 1980, Reagan emphasized an easier-to-swallow message of tax cuts, not spending cuts -- and indeed promised that he'd protect the Medicare program he'd opposed when it was created in the mid-1960s.

No such leeway for Mitt Romney. He has been constrained first to endorse Paul Ryan's budget plan (which he did in December 2011 after months of attempted evasion), to endorse a cut in the top rate of income tax to 28% (March 2012), and now finally to choose Ryan himself as his running mate. No leeway -- and now no exit.

Conservatives exult that the GOP will now offer the country "a choice, not a referendum." That phrase does not make a lot of sense. (What is more of a choice than a referendum?) But there's good reason why conservatives say it. They are looking for a rephrasing of the slogan uppermost in their minds: "a choice not an echo" -- the title of the best-selling manifesto that helped persuade Republicans to follow Barry Goldwater to disaster.

Opinion: Why Ryan pick won't help Romney

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Conservatives have pushed for a more ideological approach to the campaign

@highlight

He says that in Paul Ryan, conservatives get their wish but it may come back to haunt them

@highlight

By picking a running mate with a plan to change Medicare, Romney gives Obama an issue

@highlight

Frum: Ryan's long-term fiscal fix does nothing to deal with the causes of current economic slowdown