(CNN)"Sell all that you own and distribute the money to the poor, and you will have treasure in heaven; then come, follow me," Jesus tells the rich man in one of his best-known parables.

It was a mantra he invoked repeatedly: the poor were blessed, and it was easier for a camel to pass through the eye of a needle than it was for the well-to-do to enter paradise.  Meanwhile, Jesus told his Twelve Apostles to leave their day jobs and follow him on an itinerant mission with few prospects of success and no visible means of support.

So how did this wandering band of  first-century evangelists support themselves?

Clearly, money was a concern, and not just as an impediment to salvation. In the New Testament, money gets 37 mentions, while "gold" gets 38 citations, "silver" merits 20, and "copper" four. "Coin" comes up eight times, and "purse" and "denarii" -- the Roman currency -- get half a dozen mentions each for a total of 119 currency referrals.

Perhaps the most relevant reference is also one of the most charged passages in the New Testament:

As the Gospel of John tells it, six days before Passover, Jesus was in Bethany at the house of his friend Lazarus, whom he had raised from the dead. A woman named Mary takes a jar of costly perfumed oil and anoints the feet of the reclining Jesus. She dries his feet with her hair, an irresistible image for artists and dramatists. Judas Iscariot objected to the act.

"Why was this perfume not sold for three hundred denarii and the money given to the poor?" Judas asks.

Though 300 denarii was the annual wage of a laborer, Jesus told Judas to leave her alone, and foreshadowing his fate, said the anointing would be useful for his burial, and besides, "you always have the poor with you" -- but Jesus would not always be there.

What that passage makes clear is that the Jesus community had a common purse because they needed money to survive.

So how much?

"I imagine the ministry functioned at a subsistence level," Rabbi Joshua Garroway, a professor of Early Christianity and the Second Commonwealth at Hebrew Union College in Los Angeles.

Jesus and his disciples walked, wore what they had, slept outside or in stayed in friends' homes. They ate what they caught or what others shared.

"I venture to guess that begging and hospitality will have sufficed to meet the basic needs of Jesus and the companions with whom he traveled," Garroway said.

Garroway said that it was possible, even likely, that Jesus and his followers received donations from supporters, and possibly substantial ones from some of the rich people who were drawn to his ministry despite -- or perhaps because of -- his preaching on the perils of wealth.

The Gospel of Luke gives us a glimpse of how Jesus' ministry functioned on a practical level:

"Soon afterwards he went on through cities and villages, proclaiming and bringing the good news of the kingdom of God. The twelve were with him, as well as some women who had been cured of evil spirits and infirmities: Mary, called Magdalene, from whom seven demons had gone out,  and Joanna, the wife of Herod's steward Chuza, and Susanna, and many others, who provided for them  out of their resources."

So, according to Luke, women whom Jesus had healed in turn provided for him out of their "resources," with Mary Magdalene and Joanna capturing our attention -- one by virtue of her husband, and the other, by her stature in the story of Jesus.

Joanna was an upper-class woman married to a man who was intelligent and capable enough to manage the complicated household of Herod Antipas, the son of Herod the Great, the violent and ambitious head of Judea.

As part of this volatile but powerful household, Joanna would be uniquely positioned to help Jesus with her resources, being both wealthy and having palace connections. She attends to him during his life, and, the Gospels tell us, after his death, as one of the trio of women who go to his tomb and find it empty.

With her on that morning is Mary Magdalene, also identified as -- among other things -- a financial supporter of Jesus. Mary likely came from the prosperous town of Magdala, on the Sea of Galilee. As home to a thriving fishing industry, as well as dye and textile works, Mary could well have come from an affluent family -- or have been a successful business woman herself.

Mary Magdalene was free to travel the country with Jesus and his disciples, so was unlikely to have a husband and children waiting for her at home, and in "Finding Jesus" we examine the Gnostic gospel of Mary Magdalene and explore the argument that Jesus was, in fact, her husband. She may have simply been an independent woman with her own resources who found a compelling message, and messenger.

Not only was Mary Magdalene one of Jesus' most devoted followers, who stuck with him all the way from Galilee to Jerusalem, from the ministry to the cross and the tomb, but also she provided for him from her own means, said Mark Goodacre, a professor of New Testament and Christian Origins at Duke University.

When the Gospels speak of her "ministering" to Jesus, they are explaining that she was one of the key figures in Jesus' everyday mission, Goodacre continues. Along with other women like Joanna and Susanna, she was one of those who made his mission viable.

Along with these women, men like Joseph of Arimathea and Nicodemus, both men of stature and wealth, may have chipped in to help fund Jesus' ministry.

The Gospels reveal that both these men were rich, and supported Jesus -- indeed, it was Joseph who removed Jesus from the cross on Good Friday, anointing his body with the help of Nicodemus, and placing him in the tomb that Joseph had reserved for himself.

After the resurrection on that first Easter Sunday, the movement Jesus started grew exponentially, and the church's relationship to money grew more complicated as the needs became greater.

Michael McKinley is co-author, with David Gibson, of "Finding Jesus: Faith. Fact. Forgery.: Six Holy Objects That Tell the Remarkable Story of the Gospels."

@highlight

Some of Jesus' most important financial backers were women, historians say.

@highlight

Joseph of Arimathea and Nicodemus, both men of stature and wealth, chipped in to help fund Jesus' ministry.