(CNN) -- Scandinavia's humanitarian generosity in the 1990s appears to have had some unintended, and unwelcome, consequences, as dozens of young ethnic Somalis living there have embraced jihad, returning to the Horn of Africa to join the al Qaeda affiliate Al-Shabaab.

Norway's Intelligence Agency PST is still investigating whether one of the attackers at the Westgate Mall in Nairobi had lived in Norway. The 23-year old had come to Norway with his family at the age of nine as a refugee, but according to Norwegian media had become unsettled after being unable to find work and begun to frequent jihadist websites.

In a statement last week, the PST said it had not yet been determined whether the man took part in the attack, but added: "Based on the information that we have uncovered this far in the investigation ... the suspicion of his involvement has been strengthened."

If it is confirmed, the Norwegian citizen will become the latest in a lengthening line of Somalis from Scandinavia who have either joined Al-Shabaab or planned terror attacks in their adopted homelands. He would also, like his compatriot Anders Breivik -- an anti-Muslim extremist who killed dozens at a youth camp at Utoya island near Oslo in 2011 -- have demonstrated just how deadly gun assaults on civilians can be.

The Al-Shabaab commander known as Ikrima who was targeted by US Navy SEALs in an unsuccessful raid in Somalia earlier this month also spent several years in Norway. Kenyan counter-terrorism sources told CNN they suspected Ikrima had a hand in the Westgate attack and was connected to the suspected Norwegian gunman.

Kenya mall attack video fuels army looting claims

Morten Storm, a Dane and former intelligence informant who penetrated Al-Shabaab and spent time with Ikrima, told CNN that Danish intelligence are particularly concerned about the threat of a Somali terrorist operative who works closely with Ikrimah called Abu Musab al Somali.

Storm says Danish intelligence told him of their concern that al Somali was planning terrorist attacks inside Denmark after intercepting communications between him and militants there.

Al Somali -- who also goes by the name Abu Muslim -- came to Denmark as a young refugee, was granted permanent resident status, and settled in Copenhagen. In 2005, al Somali travelled to Somalia where he joined other foreign fighters affiliated with the Islamic Courts Union, an Islamist militia that evolved into Al Shabaab. A year later al Somali travelled to Yemen to broker a weapons deal with al Qaeda, according to Storm.

After serving about two years in jail al Somali returned to Somalia, where he joined Al-Shabaab. According to Storm, who exchanged messages with al Somali, he also worked closely with Jehad Serwan Mostafa, an American Shabaab operative wanted by the FBI, and Abdelkadir Warsame, a Somali Al-Shabaab operative who was arrested navigating the sea between Yemen and Somalia by the United States in 2011.

Ikrima's name also featured in the trial of two Swedish Somalis who were arrested in 2010 after allegedly training with Al-Shabaab in Somalia. Swedish authorities accused them of planning to return to Somalia to carry out terrorist attacks. A phone intercept between a senior Al Shabaab figure in Somalia and one of those arrested was introduced during the trial. "You should contact this brother -- his name is Ikrima," the senior figure said on the phone.

After being convicted the pair were subsequently acquitted by an Appeals court, but it nevertheless noted the men were in contact with, and sympathetic to, Al-Shabaab.

Analysts estimate there are several hundred committed Al-Shabaab supporters across Scandinavia.

There are about 25,000 ethnic Somalis in Norway, 17,000 in Denmark and 44,000 in Sweden. The great majority arrived after Somalia collapsed as a state in 1991. Most have been grateful for sanctuary but a very small minority have become radicalized, especially among those who came to Europe as children.

In one of the most bizarre cases, two teenage sisters of Somali origin left their home in Norway last week -- apparently headed to Syria.

According to a Norwegian police statement: "The family that reported the missing girls is deeply concerned by the purpose of the journey and fears they might have gone to Syria." The Norwegian newspaper Verdens Gang reported that the sisters, aged 16 and 19, left a message saying for their family saying Muslims in Syria were being "attacked from all directions."

Among ethnic Somalis who have tried to carry out acts of terrorism in Scandinavia is Mohamed Geele, who first moved to Denmark in 1995 at the age of 12. Three years ago, he tried to murder Kurt Westergaard, the Danish cartoonist responsible in 2005 for a controversial depiction of the Prophet Mohammed. Police arrived minutes after Geele forced his way into Westergaard's house in Aarhus with an ax.

Geele had already been under observation by Danish security services because of his suspected close links to Al-Shabaab. He is now serving a nine-year sentence for attempted murder. Of all al Qaeda's affiliates none has made more noise about the cartoons than Al-Shabaab. Some analysts believe that is because Scandinavian Somalis brought their anger over the issue with them when they travelled to Somalia to join Al-Shabaab.

The group has explicitly threatened another Scandinavian cartoonist, Lars Vilks. In a 2011 video subtitled in English and Swedish, Abu Zaid Sweden -- a Swedish-Somali member of the group -- said: "We will catch you wherever you are."

And he added: In whatever hole you are hiding -- know what awaits you -- as it will be nothing but this: slaughter," as he simulated slitting his throat.

Michael Taarnby, one of Denmark's leading experts on Al-Shabaab, told CNN in 2011: "Intelligence services have very little understanding of what's going on. Recruiting informants has been an uphill battle because Somalis don't trust them to protect them."

"Those attracted are usually quite young -- there's the usual issue of a clash of cultures -- of being stuck between east Africa and Scandinavia and not knowing where they belong," Taarnby told CNN.

Al-Shabaab has recruiters in several Western countries who try to persuade young Somalis to join the group in Somalia, and help them get there, according to Western counter-terrorism officials.

There is also evidence that jihadists of non-Somali backgrounds in Scandinavia have gravitated toward Al-Shabaab. One reason is the increased mixing of Somali nationals with extremists of Arab and south Asian descent in hardline Salafi mosques across Scandinavia.

Munir Awad, who is Lebanese-born but lived in Sweden, was one of four men convicted of a plotting a Mumbai-style attack against the offices of a Danish newspaper, Jyllands-Posten, in 2010. The newspaper had printed cartoons of the Prophet Mohammed several years previously. Awad was suspected of having joined up with jihadist militants in Somalia in 2006 before fleeing the country, according to a Danish security source. He was sentenced to 12 years in prison.

The numbers of militants traveling from Europe to Somalia is believed to have slowed in the last two years because of setbacks suffered by Al-Shabaab in Somalia, its internal power struggle, stories of mistreatment of Western recruits, and the magnetic pull of jihad in Syria. But Scandinavia's intelligence services remain concerned about a terror pipeline to, and from, east Africa.

@highlight

Dozens of young ethnic Somalis living in Scandinavia have embraced jihad

@highlight

Norwegian officials investigating whether one of Westgate mall attacks had lived there

@highlight

Teenage sisters of Somali origin left home in Norway last week, apparently for Syria

@highlight

One ethnic Somali tried to murder cartoonist who depicted Prophet Mohammed