(CNN) -- On this date, July 30, nearly a half-century ago, the United States achieved a major victory. Medicare, the nation's first national health insurance program, was born. As part of President Lyndon Johnson's Great Society, Medicare extended health coverage to seniors who inevitably needed care. It's been a well-accepted success and highlights the benefits of improving health care access.

But despite Monday's cautiously optimistic report on Medicare's solvency, a sustainable and comprehensive health care system requires covering everybody. Expanding Medicare for all is the fairest, most effective and straightforward way to ensure universal coverage in America.

With Medicare, seniors have greater access to care. Yet most people deal with an overly complex system that fails to provide the same benefits our seniors receive. Even after the passage of Obamacare, unacceptable burdens remain. Consider the health coverage of women.

Today women consume the most health care services. They have greater annual health care expenses than men and pay a greater proportion of their health care costs out-of-pocket. The Kaiser Family Foundation reports that about one in five women is still uninsured. More than half these women struggle with their medical bills.

The story is even worse for low-income women, who are more likely to forgo treatment because of its cost. About 4 million low-income women can cover only themselves and are unable to receive financial support to purchase insurance for their families.

Women make up two-thirds of the low wage workforce -- and only 23% of low-wage jobs provide employer-sponsored health insurance. Obamacare was supposed to help. But 3 million low-income and minority women live in states that have yet to expand Medicaid, leaving them unable to obtain Obamacare's coverage for our most vulnerable families, which was promised in the law.

To be sure, Obamacare does offer greater protections and support for working women to obtain basic insurance. But with the fluctuating and often excessive premiums, deductibles and co-pays, these bills remain onerous. Accesses to in-network physicians remain restricted.

Women, like so many working Americans, are getting nickel-and-dimed, unable to afford and access comprehensive medical coverage. Our health plans continue to be held hostage by private carriers who must spend on hefty overhead and marketing to guarantee ever-growing profits for their shareholders.

To make matters worse, the courts have further restricted the availability of comprehensive coverage. With the U.S. Supreme Court's ruling in Burwell v. Hobby Lobby Stores Inc., which gave companies the ability to withhold benefits based on religious grounds, women may lose coverage for basic birth control and reproductive health needs.

It's unconscionable that in the richest nation on Earth, health disparities linger because ordinary people can't obtain good care. Working families continue to wrestle with pocketbook-busting medical expenses and tussle with companies that get in between them and their physician.

It doesn't have to be this way. We could provide hassle-free health care to both men and women just as we do for everyone over 65. By opening Medicare to everyone, we could secure universal coverage and run a more efficient and just system.

Medicare is far from perfect, but the flexible program stands strong. By expanding it, we can better pay for quality care and bargain with hospitals, drug companies and device firms on behalf of everyday people. All Americans could obtain quality care from any physician. And similar to how they do it in most wealthy nations, the government will reimburse the provider or company for that care. Businesses could focus on staying competitive rather than haggling with insurance companies over costly health plans for their workers.

We can fund the plan by preserving how we pay for health care and asking our very well-off to contribute a little more. The government would levy a small increase in payroll taxes on employers -- who would no longer have to pay health plan premiums -- and also issue a small tax on stock and bond transactions.

A single-payer health care system built off Medicare would guarantee universal coverage and far better health outcomes. To that end, Michigan's U.S. Rep. John Conyers, a Democrat, has again introduced his Medicare-For-All proposal. U.S. Rep. Jim McDermott, D-Washington, and U.S. Sen. Bernie Sanders, I-Vermont, have introduced a similar version.

Outside our nation's capital, Vermont is working to implement universal coverage for its residents next year, aiming to serve as a model for the rest of the nation.

As Sanders said, "The United States is the only major nation in the industrialized world that does not guarantee health care as a right to its people."

What America is doing on health care isn't working for either men or women. If we want to join the rest of the industrialized world, we must increase eligibility to the widely popular program, Medicare, which celebrates its 49th anniversary on Wednesday. The nation deserves a system that values wellness above profits, and progress over inertia and false starts.

@highlight

Vijay Das: Nearly 50 years old, Medicare has been a success and has improved health care

@highlight

He says we should extend Medicare health coverage to assure quality care for all

@highlight

Das: Report optimistic on Medicare' solvency: It's efficient and just way for universal care

@highlight

Das: U.S. only major nation in industrialized world that doesn't guarantee right of health care