WASHINGTON (CNN) -- Shortly before leaving the White House in 1829, John Quincy Adams reportedly said, "There is nothing more pathetic in life than a former president."

Ex-presidents George H.W. Bush, Jimmy Carter and Bill Clinton have stayed in the public eye since leaving office.

If he had had a crystal ball, Adams might have tweaked that statement to say there is nothing more lucrative in life than to be a former president.

Last Friday, we learned that the Clintons have made a whopping $109 million since 2001. Bill Clinton has brought in almost $52 million from speeches generally going for $250,000 a pop.

He earned somewhere in the ballpark of $15 million from his partnership with billionaire investor Ron Burkle. And don't forget the $15 million advance from his 2004 autobiography, "My Life."

So much for the "sacrifice" of public service.

But before bemoaning Clinton's selling of the ex-presidency, a little historical perspective is in order. There's nothing original about what the former president has done -- it's just the magnitude of the proceeds. The precedent was set long before he said goodbye to the Oval Office.

Clinton's immediate predecessors weren't too reluctant to use their stature to pad their bank accounts. Gerald Ford capitalized on his accidental 2½ years as chief executive by accepting positions on the boards of American Express and 20th Century Fox, among others.

Ronald Reagan caused a stir when he netted $2 million dollars for a couple of 20-minute speeches in Japan in 1989. George H.W. Bush has held seats on a number of corporate boards and traveled extensively to deliver paid speeches.

Even Jimmy Carter, who has by all accounts been a model ex-president through his globetrotting humanitarian work, has not been shy about accepting financial compensation for addressing audiences.

Some former presidents have been more loathe than others to cash in on the unique fame and honor that accompanies the highest office in the land.

Harry Truman wrote in his memoirs, "I could never lend myself to any transaction, however respectable, that would commercialize on the prestige and dignity of the office of the presidency." Impressive sentiments from a man whose only source of government support after leaving office in 1953 was, according to historian David McCullough, an Army pension of $112.56 a month.

Historian Richard Norton Smith writes that the famously frugal Calvin Coolidge was so reluctant to cash in on his fame that he had name tags and tailor marks removed from old suits before reselling them.

But don't feel so bad for Silent Cal. His $3,000-a-week column didn't hurt. Neither did his acquisition of 8,000 preferred shares of J.P. Morgan securities which, according to Smith, were priced below market value. Apparently the definition of "cashing in" is in the eye of the beholder.

If you're looking for a role model from the bland, bearded roster of late 19th century ex-presidents, try Rutherford B. Hayes. When his term expired in 1881, he moved back to Ohio and reportedly became a successful chicken farmer.

Benjamin Harrison and Grover Cleveland both returned to their legal careers after leaving office. Harrison actually went to work for a foreign power, serving as lead counsel for the government of Venezuela during the arbitration of its boundary dispute with Great Britain. (Don't tell me you've never heard of the infamous Venezuela-British Guiana boundary arbitration of 1899.)

Then there's the big loser of the ex-president's club: the hapless Ulysses S. Grant. He decided to join his sons in a partnership in the New York-based brokerage firm of Grant & Ward. Big mistake. The firm was poorly run, and the northern hero of the Civil War lost almost everything but the shirt on his back. A sympathetic Congress restored Grant's military pension, but the old general didn't restore his family's financial position until penning his best-selling memoirs.

Sadly, Grant himself never got to enjoy the $450,000 in royalties generated by the publication of his memoirs. A lifelong cigar lover, he died of throat cancer less than a week after completing the text.

Perhaps Grant's brush with poverty was partly what inspired Gilded Age icon Andrew Carnegie to propose, in November of 1912, the establishment of a pension providing $25,000 annually to all ex-presidents and their widows. The object of the pension, according to a statement released by Carnegie at the time, was to ensure that former presidents "may spend their latter days devoting their unique knowledge gained of public affairs to the public good free from pecuniary cares."

Generous man, that Carnegie. Adjusted for inflation, his offer translates to almost $550,000 today. Carnegie was willing to fund the pension himself -- a fact that wasn't well received by his congressional critics.

Forty-six years later, Congress finally got around to establishing a publicly funded presidential pension. That pension is now worth $191,300 annually, with a bit more thrown in to support a former president's office staff. It's not quite as generous as Carnegie's proposal, but it's not exactly poverty either.

Has the establishment of a pension freed our former presidents from their "pecuniary cares"? Not quite. But maybe we shouldn't act so surprised. After all, as they always like to remind us, our presidents are also our fellow Americans.

And at the end of the day, what is more American than making money? E-mail to a friend

@highlight

Bill Clinton has brought in almost $52 million from speeches

@highlight

Ronald Reagan netted $2 million dollars for speeches in Japan

@highlight

Rutherford B. Hayes reportedly became a chicken farmer after leaving office

@highlight

Presidential pension is now worth $191,300 annually