The big auto show in Detroit doesn't kick off until next week, but major car companies are already showing off some of their more exciting car-tech prototypes here at the International Consumer Electronics Show.

BMW and Audi unveiled their latest driverless car technology and conducted demonstration drives. Nevada is one of a few states where it's legal to test drive autonomous cars, though it requires a person to sit in the driver's seat at all times.

BMW added its highly active assist technology to a modified 2 Series Coupe. The car can slide into a controlled drift to demonstrate how precise the control systems are and how it can handle a critical situation. The company has posted a video showing it in action.

"It's like the best test driver you have," said Dr. Werner Huber, BMW project manager driver.

The car uses steering, breaking and throttle to control acceleration, deceleration and direction in very small, exact amounts. The demonstration is just one aspect of the technical building blocks required to make a self-driving car. There are also sensors, environmental modeling and decision and driving strategy technologies that BMW is working on. Those were not included on this particular test vehicle.

Early automated-vehicle prototypes from car makers, universities and Google looked like Frankenstein experiments, covered in custom-hacked hardware. Now the technology is getting smaller and the necessary sensors and cameras are shrinking to barely noticeable sizes.

Audi is particularly proud of decreasing the size of its computer systems, which previously filled the entire trunk of the car, into a box that's mounted inside the glove compartment.  The German car manufacturer demonstrated its Sport Quattro Laserlight concept car at CES.

Audi's real advancement this year is the compact zFAS car computer. In the future, the Nvidia powered system could be used for key automated-driving tasks like traffic sign recognition, lane departure warnings and pedestrian spotting.

Size isn't the only technical challenge. Dependability is also incredibly important for a computer system driving a car. You can't reboot a vehicle while it's hurtling down a highway at 60 mph.

"We can't have these systems crash," said David Anderson, Nvidia's senior automotive solutions architect. "This is a safety critical application."

Making it legal

Car makers agree that while there are many technical issues ahead, they may not be the most daunting obstacles self-driving cars face.

Autonomous driving features are at least seven to 10 years away from becoming commercially available. The technology inside the cars is developing fast, but the auto industry will need at least that much time to sort out a tangle of non-hardware and software issues to clear the way for the cars.

"The main problems are regulations and laws," said Audi's Heribert Braeutigam.

Various laws will have to be updated around the world to make it legal for automated cars to drive on the road. Car manufactures and suppliers are already forming working groups to address the topics and work with governments.

"We can only influence the technology. The framework work must be done by governments," said Huber.

Insurance and liability are particular tricky. If a car driving itself gets into an accident that results in damages or injuries, who is responsible? The driver who was watching Netflix on a state-of-the-art car entertainment system, or the manufacturer that designed the car?

Researchers and makers of driverless cars say the technology will be far safer than people-driven vehicles because they eliminate unpredictable human errors like distracted or drunk driving, or poor reactions to emergency situations. However, the cars won't be accident proof. The first major accident involving the technology will be a huge public relations hurdle for the entire industry.

Driverless cars' people problem

Inside the vehicle, the humans are the difficulty.

"The psychological aspects of automation are really a challenge," Huber said.

At first, cars will share driving responsibilities with their human owners. Companies are working on automated parking features or traffic assistance technology that will take over in specific scenarios under certain speed limit. There will be many times where the driver will have to actually drive, which means they will not be completely off the hook even during downtime.

"He's not allowed to sleep, read a newspaper, or a use a laptop," said Braeutigam, outlining some of the rules for a driver in a partially automated vehicle. The rules are to minimize the amount of time needed to turn a passive passenger into an alert driver who is in control of the car.

That's where the connected, in-car entertainment and information systems come in. They may seem like an unnecessary distraction or luxury, but they're actually a key safety feature in the automated driving system.

Car makers will want to limit drivers to only using in-car systems while not steering so the vehicle can get their attention when there's an emergency or when they need to take over driving. An in-car system can pause movies, turn off e-mail and hide reading materials when it's time to drive. If the driver doesn't respond, it might sound alarms and blink lights, eventually turning on the hazards and slowing to a complete stop.

"We need five to 10 seconds to pull him back into driving," Huber said. During that time, the car must be able to operate autonomously.

Will the public want them?

There's also the small matter of selling the public on automated driving. For people who love the act of driving, taking a powerful car like a BMW 2 Series Coupe and turning the action over to an automated system might seem like a waste.

"We have to interpret the driving fun in a new way," Huber said. That means bringing content and activities to the car so that the driver can make better use of his or her 30 minutes in traffic. They'll still be able to take over during the fun parts, zipping down a curvy country road.

Privacy will be another big concern. The various sensors and in-car systems can collect data about driving patterns and locations and save that data in the cloud. The idea is to use this information to assist the driver, say updating a car's route based on real-time mapping information.

A recent report to Congress said in-car services that currently collect location data on drivers don't always follow recommenced privacy practices. Many companies, like car makers or GPS services, share collected data with third-parties, though the report didn't find any selling the information to data brokers. The report recommended the government do more to protect drivers' privacy.

Information collection will become more prevalent in the future. Eventually, car makers hope to open up the lines of communications between individual cars on the road to better avoid traffic jams and prevent accidents. That technology is even farther off than automated driving, since car manufacturers need to come together to agree on protocols and frequencies.

As cars pile on more advanced automated technology, it becomes clear they fit into the Consumer Electronics Show as much as the typical car show. They are moving beyond just being cars.

"The car is becoming a driving robot, a moving robot," Huber said.

@highlight

BMW and Audi demonstrated autonomous driving vehicles at CES in Las Vegas

@highlight

Self-driving cars face a number of technical, legal and human challenges

@highlight

The technology could appear on the roads in seven to 10 years