Austin, Texas (CNN) -- Even when pared down to just its Interactive portion, South by Southwest can feel like a huge and amorphous thing -- sort of like, as director Hugh Forrest says, the Internet itself.

This tech-themed gathering has exploded in the years since the term "dotcom billionaire" became a career goal for any 20-something with a computer and an idea. The Interactive portion of the festival now draws more than 30,000 people each year, more than both the original Music portion of the festival and Interactive's older cousin, Film.

With that growth has come some meaningless noise. If you wanted to see a grown man in black fingernail polish swing on a wrecking ball like Miley Cyrus or hear a big-money venture capitalist attempt to rap onstage with Nas this week, you could.

But beneath the noise, there's still a lot of signal.

All-night parties and desperate sales pitches aside, South by Southwest is still where some of the digital world's smartest people come to talk about ideas that will guide agendas for years to come. It's where trends crystallize and where nascent startups take flight.

And even at a disparate festival whose offerings ranged from wrestling superstar John Cena extolling the virtues of the online WWE Network to a discussion about how virtual reality may become a life-saving medical tool, some themes did emerge.

Here are five of our takeaways from South by Southwest Interactive.

No new Twitter ... and that's OK

From a tech perspective, South by Southwest's "greatest hit" was Twitter, the social network that came to the show in 2007 with a small core of support and left on the back of a hype rocket that, 240 million users later, helped make it part of the public's consciousness.

In the years that followed, a handful of social startups like Foursquare and GroupMe earned more modest "SouthBy bumps." But, since then, the clamoring throngs of app creators in Austin have failed to produce a breakout. And, this week, it felt like fewer were even trying.

"I think that social media has become so baked into everything we do that the revolution has plateaued a little bit," said Forrest, the SXSWi director.

"Twitter was our big moment," he added. "But I also think, at this point, it's our biggest albatross. (Observers now always ask) 'Why isn't there a Twitter this year?' "

Yes, plenty of entrepreneurs were promoting their products at SXSW this week, and that's not going to stop. But the more expectations fade for a new tech superstar to emerge, the more folks can enjoy seeing innovations without having to wonder whether every single one of them is the "next big thing."

A crossroads for privacy

In 2014, many of us have adopted a perhaps oversimplified but nonetheless handy approach to online privacy: Assume you don't have any, and don't post anything you don't want the whole world to see.

Some tech titans, like Facebook's Mark Zuckerberg, have argued that we live in a post-privacy age.

But online privacy, particularly from the all-seeing eye of the world's governments, still has its champions, and some of the world's most visible spoke at South by Southwest.

NSA leaker Edward Snowden and WikiLeaks founder Julian Assange both appeared remotely: Assange from an embassy in London and Snowden presumably from Russia, where he fled with state secrets he stole while working as a government contractor.

Both called on tech-savvy attendees in Austin to create products that help Web users hide their activity from prying eyes.

"South by Southwest and the tech community, the people in the room in Austin, they're the folks who can fix this," Snowden said. "There's a political response that needs to occur, but there's also a tech response that needs to occur."

Meanwhile, entrepreneurs and marketers at SXSW were discussing the best ways to make money off their users' data.

The tech community, like the world at large, is at an online-privacy crossroads. Which way the momentum will shift remains to be seen.

Gadgets galore

Until recently, Interactive week was about apps, websites and ideas. The shiny things that blink and buzz and flash belong at the Consumer Electronics Show in Las Vegas or the Mobile World Congress in Barcelona, thank you very much.

But, this year, there was a visible uptick in the number of places Austin-style innovation was merging with cutting-edge hardware.

A drone used a Taser-like stun gun to knock some guy off of his feet. "Game of Thrones" fans used a virtual-reality headset, the Oculus Rift, to immerse themselves in a 3-D version of a scene from the fantasy series.

Rows of 3-D printers were everywhere you looked, and although they had more "gee whiz" appeal last year, it was interesting to see the technology continue to evolve. (One of our favorites? 3D-printed candy from a machine built in partnership with Hershey.)

There were developers showcasing wirelessly connected homes that memorize and accommodate your habits. The trend extended all the way to street teams hawking e-cigarettes, or "digital vapor cigarettes," as the new ones are being called, because "e-cigarette" is so 2013.

But nowhere did hardware and innovation merge more visibly at this year's festival than in ...

Wearable tech

This trendy gear was so front-and-center at SXSW this week that it deserves its own category.

Wearable technology -- gadgets on your body, such as fitness trackers -- was a standing-room-only event at SXSW's Startup Accelerator, where new companies pitch their products to investors in the hopes of attracting funding and press.

One startup demoed solar-paneled clothing that can recharge a phone in two hours. Another pitched Nymi, a wristband that authenticates users through their unique cardiac rhythm and eliminates the need to type passwords on a mobile device.

But the big winner was Skully, an augmented-reality motorcycle helmet. The helmet has a 180-degree rear-view camera that projects images to a headset display so the driver can see the road in every direction. The company's CEO, Marcus Weller, describes his product as "like Google Glass, except it can save your life."

And speaking of Glass, seeing people walk around Austin in Google's connected eyewear was so commonplace that no one even bothered to look twice -- a rarity outside the Bay Area.

Foreign flavor

It was impossible to grab a bite or a beer in downtown Austin this week without hearing animated conversations in languages other than English.

More than ever, the festival is becoming an international affair, reaffirming how the digital revolution has spread far beyond Silicon Valley.

People from a record 74 countries attended South by Southwest Interactive this week, up from 55 last year. Forrest said the influx of international visitors reflects the growth of the global startup scene.

More than 70 businesses were represented at German Haus, a gathering space sponsored by Germany's business community. Enterprise Ireland brought 20 more. India, England, Sweden, France ... those are just a handful of the other countries that had a SXSW presence, official or otherwise.

Facebook's recent $19 billion purchase of WhatsApp, the messaging service, heralds what's likely to be a recurring theme. As digital markets mature in the United States, the tech world will be increasingly looking at services, like WhatsApp, that have huge numbers of overseas users.

As usual, SXSW is a nice condensed look at the bigger trend.

@highlight

The South by Southwest Interactive festival just wrapped in Austin, Texas

@highlight

SXSWi director: "The (social) revolution has plateaued a little bit"

@highlight

Wearable tech was a standing-room-only event at SXSW's Startup Accelerator

@highlight

People from a record 74 countries attended SXSW this week, up from 55 last year