Boston (CNN) -- In the end, the Etch A Sketch didn't work.

Mitt Romney, the multimillionaire who touted his business credentials as the Republican presidential hopeful, failed to convince voters that he was the man to unseat President Barack Obama and jump-start the economy.

"We have given our all to this campaign," Romney told supporters in his concession speech. "I so wish that I had been able to fulfill your hopes to lead the country in a different direction, but the nation chose another leader, and so Ann and I join with you to earnestly pray for him and this great nation."

The result brought an end to Romney's longtime ambitions to become the nation's commander-in-chief. He had come up short in the GOP primary in 2008, but maintained his ambition and launched his 2012 candidacy on a farm in New Hampshire.

Opinion: Romney couldn't overcome contradictions

He stumped across the nation, focusing on key swing states such as Ohio and Florida, selling himself as the ultimate alternative to Obama -- a man who understood how to fix the economy and who had worked across the aisle as governor in largely Democratic Massachusetts.

"America is a land of opportunity. But lately, for too many Americans, opportunity has not exactly come knocking," Romney wrote in a recent opinion piece on CNN.com. "We've been mired in an economic slowdown that has left millions of our fellow citizens unemployed. The consequences in dreams shattered, lives disrupted, plans deferred, and hopes dimmed can be found all around us."

The son of a former Michigan governor and auto executive, Romney has long been known among friends for his leadership skills. "This guy is impressive as far as executive ability goes," Romney friend Philip Barlow wrote his mom in 1982. "I think he could be president of the United States."

Reflecting on that note now, Barlow said, "I was that impressed with his executive abilities and him as a leader."

Barlow is a professor of Mormon history and culture and the director of the religious studies program at Utah State University. He served as one of two counselors to then-Bishop Romney in the Church of Jesus Christ of Latter-day Saints.

Portrayals of Romney as "being out of touch with the poor seem kind of silly to me," Barlow said.

"I knew him on that level of real human stuff as opposed to the public image," Barlow said. "The man that I knew is not a caricature. He's not a man without compassion for the poor."

But it is that image of Romney -- an out-of-touch rich guy who shipped jobs overseas as the head of Bain Capital -- that stuck. During various stages along the way, Romney said "corporations are people" and that he "likes being able to fire people." And that was long before his now infamous 47% moocher line.

Romney's Republican opponents in the primaries, and the Obama campaign and Democrats after that, helped create that caricature, defining Romney to the electorate before Romney tried to show them who he was.

At one point, senior Romney aide Eric Fehrnstrom said the fall campaign is "like Etch A Sketch. You can shake it up and we start all over again." It was a comment that dogged the campaign and only served as political fodder of Romney as a flip-flopper, waffler and a candidate with no core values.

GOP expands majority in governors' mansions

But even then, he won the GOP primary, although evangelicals initially were lukewarm to embrace a Mormon who seemed disconnected with the Republican base.

Trailing Obama in polls through the summer, Romney did try to shake up the Etch A Sketch picture he had created of himself as a "severely conservative" candidate, as he once described himself before a gathering of conservatives, tacking to the center in the last weeks of the campaign. But that might have only hurt him, contributing to the image of a politician with no firm convictions.

The fallout late Tuesday was almost immediate within the party. How could Obama have won in an electoral landslide when the economy is sluggish, the country is polarized and a sizable chunk of Americans believe the nation is on the wrong track?

"The takeaway is that a candidate can run for office with a lot of money, but when it takes him until March of 2012 to even get 25% support within his own party, you're running a weak nominee," said Erick Erickson, RedState.com editor and CNN contributor.

The tea party was quick to jump on the defeat.

"What we got was a weak moderate candidate, hand-picked by the Beltway elites and country-club establishment wing of the Republican Party," said Jenny Beth Martin, the national coordinator of Tea Party Patriots.

The strong language served as a salvo to the GOP and a sign of the potential civil war ahead within the party.

Romney had emerged from the primary season as the best alternative after the GOP cycled through a series of hard-line conservatives. In doing so, the once-moderate Massachusetts governor turned to the right, on abortion, health care and immigration.

Even within the Republican Party, many wondered what Romney's principles were: Was he the pro-health care governor who supported abortion rights, or the GOP candidate who pledged to repeal Obamacare and spoke against abortion rights? And why was he not touting his economic vision for the country more?

"You can make the case against Mitt Romney that he didn't sell those business credentials well enough," said Gloria Borger, CNN's chief political analyst. "There will be some Republicans who say it wasn't us. It was him."

"There's pretty common agreement," Erickson added, "that he really didn't run a campaign on the big ideas that he claims. He was rather guarded, even through the debates, on what exactly he was and was not going to do. The Obama campaign hounded him a lot on what his plan was."

The presidential election results are seen as a repudiation of the Republican Party. Most pundits predicted a bitter battle within the party on immigration -- that if the far right doesn't change its intractable position, then the GOP is doomed down the road.

GOP retains control of the House

"The Republican Party needs to move forward, not sideways," said Alex Castellanos, a Republican strategist and CNN contributor.

Castellanos, who was a Romney adviser in 2008, compared this moment to the early 1990s for Democrats, when Bill Clinton brought the party closer to the center. "They transformed their party. Republicans are still seen as the party of not having enough solutions," Castellanos said.

"We've got a failing, tanking economy going over the cliff -- and the opposition party was not seen as an alternative."

CNN senior political analyst David Gergen agreed, saying it's imperative that the GOP transform itself. "It's extremely unhealthy for the country to have a Republican Party that relies on whites for about 90% of their national vote," he said.

Borger said President George W. Bush was rebuffed by the GOP base when he pushed for immigration reform 10 years ago -- a stance she said haunted this election for Republicans.

"When you look back on this election, when you look back to the primaries, when you look back to Mitt Romney moving to the right on immigration," Borger said, "I think it was a huge opportunity that they missed."

There will be gnashing of teeth in the days, weeks and months ahead. What lies in store for the Republican Party remains a long way off.

Shortly before 1 a.m. Wednesday, Romney walked onto a stage in Boston and told the crowd he had called Obama to congratulate him on the victory. "I pray that the president will be successful in guiding our nation," he said.

At the end, he walked from the podium to the middle of the stage and gave his wife, Ann, a kiss. Running mate Paul Ryan and his wife, Janna, and Romney family members joined him. The crowd chanted, "Mitt! Mitt! Mitt!"

He and Ann then walked hand-in-hand.

The Romneys exited stage right.

Five things we learned on Election Night

CNN's Rachel Streitfeld reported from Boston and Wayne Drash reported and wrote from Atlanta.

@highlight

Romney says he gave all to his campaign

@highlight

He concedes election to Obama

@highlight

Romney had to fight an image of being out of touch

@highlight

But a friend says the nominee was far from the caricature he was portrayed to be