(CNN) -- Last month, when Edward Snowden began leaking highly classified documents to the press, many Americans were shocked by what they read.

I don't blame them. For years, the architecture of the programs designed to keep us safe have been a secret to all but a few members of the intelligence community and select legislators. The companies that were involved in these programs were under strict gag orders. And while members of Congress had the opportunity to be briefed on these programs, it would have been a crime, literally, for us to have talked about them publicly.

As a result, when Snowden's leaks became public, Americans had no way of knowing the scope of these programs, their privacy protections and the legal authorities they were operating under. It was just Snowden and his documents on the one side and the government on the other, saying "trust us."

The government must give proper weight to both keeping America safe from terrorists and protecting Americans' privacy. But when Americans lack the most basic information about our domestic surveillance programs, they have no way of knowing whether we're getting that balance right. This lack of transparency is a big problem.

Ex-CIA chief: What Snowden did

Since I came to the Senate, I've been working to fix this. I've supported amendments to the Patriot Act and the Foreign Intelligence Surveillance Act that would have required greater public reporting on the use of surveillance authorities and greater disclosures about the legal opinions and safeguards that support them. When those amendments failed, I voted against renewing both of these laws.

I want to be clear: I didn't vote "no" because I wanted to end these programs or because I thought they were unnecessary. Based on briefings, I believe these programs protect our country and have saved lives and have reasonable safeguards in place to protect Americans' privacy. I voted the way I did because I wanted to send a loud signal to my colleagues that transparency was critical and that there was too little of it in place. National security laws must protect national security. But they must also protect the public trust and preserve the ability of an informed electorate to hold its government to account.

I'm working on legislation that will require the federal government to annually report how it uses key authorities under the Patriot Act and the Foreign Intelligence Surveillance Act, including the authorities underlying the phone metadata and the PRISM electronic surveillance programs that recently came to light. For each of these authorities, the government must disclose how many Americans' information is being collected and how many Americans' information is being queried and actually seen by federal officers or agents.

My legislation would also allow companies to publicly report on how many Patriot and FISA orders they're getting and how many of their customers these orders affect. There's a way to do this that protects national security. Since 2009, Google has been reporting on the number of national security letters it receives, and that hasn't hurt anyone. I frankly think that after Snowden's disclosures, an even stronger case can be made that we can achieve greater transparency without harming national security.

Opinion: Supreme Court must protect our privacy from the government

As chairman of the Senate Judiciary Subcommittee on Privacy, Technology, and the Law, a big part of my job is making sure that our privacy laws are keeping up with our technology. In 1787, there was no such thing as a phone, let alone a wiretap. And so, almost 50 years ago in a case called Katz v. U.S., the Supreme Court had to determine whether a wiretap constituted a search under the Fourth Amendment. The court said that it did. Justices explained that people had come to expect and assume that their calls were private. In subsequent cases, the court formally adopted the rule that the Fourth Amendment will protect people where they have an expectation of privacy that society recognizes as reasonable.

In 2013, we're long overdue for another public conversation about what constitutes a reasonable expectation of privacy. It's hard to have that debate around secret programs authorized by secret legal opinions issued by a secret court. Actually, it's impossible to have that debate.

Thankfully, public pressure for transparency is building. Last week, a broad coalition of 63 companies and civil society groups -- from Apple to the ACLU -- sent a letter to the president and congressional leaders calling for the reforms put forward in my bill. I think we can pass it.

Ultimately, I suspect that with this information out there, many Americans will come to believe that these programs have reasonable safeguards for our civil liberties. Others will still call for their end or dramatic restructuring. I want to let Americans decide for themselves.

The opinions expressed in this commentary are solely those of Sen. Al Franken.

@highlight

Al Franken: Americans don't know scope of surveillance and which authority OKs it

@highlight

Franken: We need a balance between protecting U.S. from terror and protecting privacy

@highlight

We can't know if civil liberties are safe if all about surveillance is secret, he says

@highlight

Franken: We need to know who, when and how, to judge if surveillance crosses a line