New Delhi (CNN)India and the United States, the two largest democracies, seem like natural allies. The kinship between their leaders, however, has been a bit of a surprise.

There are, of course, the obvious perceptual differences: President Barack Obama studied law at Harvard, relishes golf and prefers his suits sober, in dark gray or navy blue. Prime Minister Narendra Modi had a modest education, swears by yoga and readily wears flamboyant hats depicting India's diverse heritage.

And then there's the small matter of paperwork: Modi was a pariah in the United States just one year ago, his visa revoked over his handling of riots in 2002, when he was chief minister of the state of Gujarat.

But what a difference a year — and a big electoral victory — makes.

When President Obama arrives in New Delhi on Sunday, he will have met Modi four times in five months: at the White House, at the East Asia Summit in Myanmar, at the G20 Summit in Australia and now in India. The latest visit is the most significant: Obama will become the first U.S. president to visit India twice, and the first American chief guest at India's Republic Day parade. It's an open declaration of friendship.

What explains this unlikely rapport?

Aides on both sides have pointed out that when the two leaders met in Washington in September, there was a palpable chemistry. They shared a sense of priorities, of where they wanted the alliance to head.

On his previous visit to India, in 2009, Obama spoke of the two democracies forming one of the "defining partnerships" of the 21st century. But in those initial years, the partnership became strained. First came a stalled nuclear deal; later, a needless spat over an Indian diplomat in New York. India's disappointing growth, meanwhile, seemed to lead to declining interest.

Modi has now successfully hit the reset button. By not bearing a grudge against Washington for blacklisting him, and by wooing American business with gusto, he has revived a flagging partnership. Americans who have negotiated with Indian teams under Modi say it's evident the new Prime Minister has been clear with his envoys: It's time to fix things with Washington.

And so it comes down to Modi and Obama in New Delhi. Indian TV channels alternate between flashing banners saying "Namaste Obama" one minute and asking about "deliverables" from the summit the next. For days, teams in London have been hammering out a potential deal to trade civilian nuclear energy. There is talk of increased ties on defense, and on renewable energy. Climate change will be an important topic for both sides: India generates more than half its energy needs from the dirtiest fuel in common use, coal.

And there will be much more soaring rhetoric. On a visit earlier this month, U.S. Secretary of State John Kerry called for trade between the two countries to multiply five times. That will be unattainable for quite a while.

It may be asking too much to judge the Modi-Obama summit through deliverables alone. After all, the invitation came just a couple of months ago when the two met in Myanmar. Symbolism has inherent value: By visiting India for a second time, Obama is putting New Delhi on the map in Washington. In India, he will be seen by a generation of young Indians on TV; they will glow with pride that the world's most powerful man has come to town once again.

The real work between the two countries will continue at a smaller, ongoing level: with increased people-to-people contact, with more trade, with more tourism, with an energized Indian diaspora in the United States, and with many, many more days of talks between the two countries' envoys.

In many ways, the people on both sides are ahead of policy. According to a Pew Research Center survey last year, 58% of Indians view Americans favorably, with only 18% holding an unfavorable view. It's time for government to catch up.

With both India and the United States benefiting from lower crude prices and a growth upswing, this is as good a time as any.

@highlight

U.S. President Barack Obama travels to India this weekend

@highlight

Ravi Agrawal: Kinship between leaders has been a surprise