(CNN) -- Forces loyal to Alassane Ouattara took control of state-run television and attacked the residence of Laurent Gbagbo on Friday as Ivory Coast's bloody, four-month battle for political power appeared to enter its final stages .

Artillery and mortars joined the cacophony of gunfire Friday in Abidjan, the nation's commercial center and largest city, witnesses said. French and United Nations troops beefed up their presence on the streets to fill a security vacuum.

"The situation on the streets has deteriorated to such an extent that it's just become too dangerous to go outside," said Henry Gray, a field coordinator with the humanitarian medical group Doctors Without Borders, who called his organization while in lockdown. "There's a lot of pillaging and looting going on, and if you're out on the streets, you're basically a target."

And the violence isn't isolated to Abidjan. At least 800 people were killed Tuesday in the fight for control of Ivory Coast's western city of Duekoue, the International Committee of the Red Cross said Friday.

The whereabouts of Gbagbo, who refused to cede power after a disputed November election, were not known. The French ambassador to Ivory Coast said on France Info radio that Gbagbo's residence was empty.

U.N. spokesman Farhan Haq said the U.N. mission in Ivory Coast has been in contact with both Ouattara and Gbagbo in an effort to ensure a peaceful resolution.

"I cannot confirm anything about any exit of Laurent Gbagbo," Haq said.

Gbagbo adviser Abdon Bayeto blamed the United Nations and global leaders including France and the United States for Ivory Coast's bloodshed by recognizing Ouattara as the legitimate president.

Ouattara knows he lost the election, Bayeto said, adding that Gbagbo is a true democrat.

"For 30 years there was no trouble in the country," he said. "We are going to be victorious."

The chances for that victory appeared slim Friday after pro-Ouattara forces launched a massive offensive in a final push to oust Gbagbo.

Gbagbo had been expected to appear on state-run television, but the embattled president has not been seen in public for days and the TV network -- accused of having incited post-election violence -- went dark Friday after pro-Ouattara forces attacked the building and took control.

Ouattara, the internationally recognized president, had been confined to a United Nations-protected hotel in Abidjan. Gbagbo's siege of the hotel ended Thursday after pro-Ouattara forces carried a nationwide offensive to Abidjan.

Ouattara declared evening-into-morning curfews for Friday and Saturday in Abidjan. Ouattara's interior minister also announced on radio that the air and sea borders of the country would be sealed until further notice.

It will be only "hours, maybe days" before Gbagbo falls, predicted Ouattara's spokesman, Patrich Achi. "The army does not want to fight for Laurent Gbagbo."

The African Union called again Friday for Gbagbo "to immediately hand over power."

"Gbagbo's days are numbered because he overstayed his welcome," Kenyan Prime Minister Raila Odinga told CNN. Odinga has served as the African Union's main negotiator in Ivory Coast. "The will of the Ivorian people must finally prevail."

Events in Ivory Coast are sure to have critical implications for the immediate region and all of Africa.

The nation had been on the rebound from a 2002 civil war and the elections last year inspired expectations that the cocoa-producing nation would embark on a new chapter that would take it closer to becoming a stable democracy.

But the post-election chaos does not bode well for other African nations struggling to become stronger democracies. And thousands of people have crossed into neighboring nations including Liberia, which is trying to hold onto its own fragile peace.

An Abidjan resident told CNN that most of the city's 4 million residents were huddled inside their homes Friday with no access to information since national broadcasting was off the air. The resident was not identified because of security reasons.

"Armed gangs are out on the street and there is a real atmosphere of fear out in the community, particularly in the poorer areas," Gray said. "It's weird, because Abidjan is actually a really nice city with well-maintained roads and nice bridges and big buildings."

Documentary filmmaker Seyi Rhodes said Abidjan, a city that never slept before the turmoil erupted, was empty and bleak. International journalists covering the conflict did not dare venture out from their hotel Friday.

Abidjan has become a city divided where it is difficult to decipher loyalty, Rhodes said.

"There is nothing now," said Rhodes, who had visited the city before the conflict. "Abidjan is a shadow of its former self."

The U.N. High Commissioner for Refugees reported an exodus of more people Thursday.

"Heavy fighting, widespread human rights abuses and fear of war have already forced up to 1 million people to flee their homes in Abidjan," the report said.

Some 500 foreigners, including 150 French citizens, sought refuge Thursday at a French military camp, said a spokeswoman for the French Defense Ministry.

A Swedish employee of the United Nations was killed in Thursday's fighting in Abidjan, said Joakim Larsson, a spokesman at the Swedish Ministry of Foreign Affairs.

"She was in her home when she was hit by a bullet which killed her," Larsson said.

Before Friday's revelation of the 800 or so deaths in Duekoue, human rights monitors had documented the deaths of 462 people -- some in heinous fashion -- and warned Abidjan is on the brink of catastrophe.

"The international community must take immediate steps to protect the civilian population," said Salvatore Sagues, Amnesty International's researcher on West Africa.

Republican Forces wrested control of much of Yamoussoukro and other key cocoa-producing and port cities earlier in the week before marching to Abidjan, the commercial center of Ivory Coast.

The U.N. High Commissioner for Human Rights reported Friday that the agency had received "unconfirmed but worrying reports" that Republican Forces have been committing human rights violations in their advance to Abidjan, especially in the Guiglo and Daloa areas in western Ivory Coast. Among the complaints were arbitrary arrests and ill-treatment of civilians.

Similar abuse accusations have been leveled at Gbagbo's men in Abidjan, the agency said.

Concerned about the rising tide of violence, the U.N. Security Council voted unanimously Wednesday to impose sanctions on Gbagbo, his wife and three associates, as well as give U.N. peacekeepers more authority to protect civilians.

The U.N. resolution demands that Gbagbo step down immediately and that all state institutions, including the military, accept Ouattara as president. It also authorizes U.N. peacekeepers "to use all necessary means to carry out its mandate to protect civilians under imminent threat of violence."

CNN's Zain Verjee, Carey Bodenheimer, Christabelle Fombu and Moni Basu contributed to this report.

@highlight

NEW: At least 800 people were killed Tuesday in the Ivory Coast, the Red Cross says

@highlight

NEW: A witness says, "If you're out on the streets, you're basically a target"

@highlight

Laurent Gbagbo has refused to cede power since a disputed November election

@highlight

Forces loyal to Alassane Ouattara attack Gbagbo's home and take control of state TV