London, England (CNN) -- The launch of the Facebook Home app has reignited the privacy debate over whether the social networking site is becoming too integrated in our lives.

Unveiled last week, Home integrates all of the social network's services into the operating system of Android phones. Instead of having to download apps to use Instagram, Facebook Messenger, and Facebook Camera, access to these features is consolidated into Facebook Home, which appears on the user's home screen.

Typically for a Facebook launch, it has attracted fierce criticism. CNN contributor Andrew Keen, an expert in the digital economy, said: "Facebook wants to know everything we do, so they can sell more advertising. It shows that Facebook has absolutely no respect for our privacy."

"They are by definition creepy, untrustworthy and they've proven that time and time again," he added.

Facebook has responded to the criticism following the launch in a blog post to say that the data Home would collect is no different from what the social networking site already tracks and that it is used internally to improve the user experience.

For tech-savvy digital natives, who share personal information frequently and tend to see value in such personal disclosures, the polemic around Home could be seen as a non-issue.

It also could be argued that privacy is a long-dead illusion that is fast becoming an outdated concept.

David Rowan, editor of technology magazine "Wired," thinks so. "Our concept of privacy is very much a 20th century idea," he told CNN at Names not Numbers, an idea-sharing and networking conference held in the UK recently.

"All that personal data you are giving to these private companies they are making money on and they decide how it's going to be used. You lose control of that data."

Commentators say that we should be asking tougher questions about that information is being used.

Read more: Using social media to predict the future

In his upcoming book "Who Owns the Future?" digital pioneer Jaron Lanier discusses how the world's biggest online services such as Google and Facebook are not in fact "free" because in return we are duly handing over information about ourselves that can be turned into big money.

Read more: 5 tips for controlling your privacy online

But can we really move beyond privacy? Keen thinks that if we don't act soon, we could. In his latest book, "Digital Vertigo", he argues that in California's Silicon Valley there are people who "have already discarded privacy as if it's like gas lighting -- an archaic thing which humans will move beyond."

Keen urges us to consider what privacy really means in the "Big Data Age."

Read more: Privacy was good while it lasted

He talks in apocalyptic terms about a "scary, nightmarish, dystopian future," where we live in a world of "radical transparency".

Technology seems to be moving ever closer to a world where every aspect of our existence is recorded, both at our will and not, and Keen argues that humans are not ready for this, this ability "to press the rewind button on your life".

"The internet needs to learn how to forget. All it knows is how to remember. That's not very human," he says, arguing that forgetting is as essential to the human condition as remembering.

But, in today's world, the documentation of our every move and every desire is becoming increasingly inescapable. According to Rowan, "anybody who is using any kind of electronic device is giving up the practical ability to be untrackable."

So pervasive is the power of internet giants that the U.S. government launched an official "National Data Privacy Day" -- a drive to raise awareness among teenagers and young adults about the importance of maintaining what little privacy they may have left.

Keen draws similarities between the negative impacts of the industrial revolution and those of the digital world order, which, he says, "is in some ways more profound and far-reaching".

Just as "the downside of industrialization was pollution, data distribution and the invasion of our privacy is the pollution of the big data age."

Monique Rivalland contributed to this report

@highlight

Sharing personal information online has become the norm

@highlight

Editor of "Wired" David Rowan thinks privacy has become a "20th century idea"

@highlight

Experts worried we don't know implications of how our data is being used online