The anti-apartheid message was serious and heartfelt, but the song that alerted many around the world to the injustices of the South African regime could not have been more upbeat.

"Free Nelson Mandela" by The Special AKA was a Top 10 hit in the United Kingdom in 1984, and it instantly became the unofficial anthem and slogan for the international anti-apartheid movement.

The song's eponymous subject rose to prominence in the 1950s as a radical young member of the African National Congress, the main opposition movement to the segregationist South African government.

As an advocate of guerrilla attacks, Mandela was frequently arrested and eventually convicted in 1964, along with other ANC leaders, for sabotage. He received a life prison sentence, and spent 27 years in a cell, mostly on Robben Island, off the South African coast.

While Mandela languished in jail, an anti-apartheid movement slowly developed in the West, starting with sporting sanctions against South Africa and later an artists' boycott of performances in the country.

The writer of "Free Nelson Mandela," Jerry Dammers -- the founder of the multiracial English ska-punk band The Specials, later renamed The Special AKA  -- admits he knew little about Mandela before he attended an anti-apartheid concert in London in 1983. That concert gave him the idea for the song.

"I'd never actually heard of Nelson Mandela, although I knew a lot about the anti-apartheid movement and he was becoming a figurehead for the whole movement," Dammers told CNN.

The keyboardist, who also wrote "Ghost Town," the seminal Specials song against the policies of Great Britain's prime minister at the time, Margaret Thatcher, may not have known much about the imprisoned anti-apartheid figurehead, but his lyrics brought Mandela's struggle to the attention of a wider audience.

The song's relentlessly upbeat feel certainly helped push it up the charts. "It ends with the thing of 'I'm begging you' and then 'I'm telling you,'" Dammers said. "It is a demand but in a positive way, it brought some sort of hope that the situation could be sorted out."

Some of the lyrics:

Free Nelson Mandela

21 years in captivity

Shoes too small to fit his feet

His body abused but his mind is still free

Are you so blind that you cannot see? I said...

Free Nelson Mandela, I'm begging you

Free Nelson Mandela

Veteran DJ and broadcaster Paul Gambaccini said the song was effective in educating people about Mandela, whose reputation was low in the West at the time. "Now we have this sainted vision of Mandela, but at the time Thatcher treated him as a terrorist. So to release a record about someone whom your PM considers a terrorist is quite brave."

The song helped to change perceptions about Mandela, according to Gambaccini, a presenter on leading UK station BBC Radio 2. "It did educate people about apartheid an incredible amount, because they certainly weren't going to learn about Mandela from conventional sources. The word on him from on high was very bad, so it was up to musicians to take a leading role in rehabilitating his reputation."

"Free Nelson Mandela" was also an extremely effective protest song, he added, a view echoed in 2010 by left-leaning current affairs magazine New Statesman, which included it in a list of the top 20 political anthems of all time.

"'Free Nelson Mandela' was effective for two reasons," Gambaccini said. "It's a good pop record in that it's catchy and sounds good. And you immediately know what it's about, because the first three words are 'Free Nelson Mandela.' And secondly, it had a clear message that the audience agreed with."

And the fact that The Specials were at the time a "Top 10 band" meant the audience took note. "If the Specials say it, there must be something to it," as Gambaccini noted.

Four years later, in 1988, Dammers and the band Simple Minds helped organize the Nelson Mandela 70th birthday concert at London's Wembley Stadium, featuring acts such as Dire Straits, George Michael and Sting. Peter Gabriel played "Biko" about another anti-apartheid activist, while Steven Van Zandt performed his influential song "Sun City."

The event was watched by a global television audience of 600 million and is credited with hardening popular opposition internationally to the apartheid regime. Gambaccini is proud of his contribution to the event, for which he was one of the TV presenters.

"The concert was an incredible success," he said. "It had the biggest TV audience to date, and put Mandela in Topic A position around the world. But it might never have happened without the song 'Free Nelson Mandela,' because this inspired some of the artists who appeared at Wembley to be there."

As the impact of the concert rippled around the world, the South African government was secretly holding talks with Mandela. These meetings culminated in his release on February 11, 1990. Four years later, he succeeded F.W. de Klerk to become the republic's first black president.

Mandela never forgot the debt he owed to supporters in the United Kingdom. In 1996 he used a speech to both Houses of Parliament in London to give his thanks: "We take this opportunity once more to pay tribute to the millions of Britons who, through the years, stood up to say: No to apartheid!"

In 2008, singer Amy Winehouse joined Dammers for the finale to a concert in London's Hyde Park marking Mandela's 90th birthday. The song's message had long since been realized -- and indeed the by-then-frail elder statesman appeared onstage -- but it was received as warmly as ever.

@highlight

"Free Nelson Mandela," by The Special AKA raised awareness of the jailed ANC figurehead

@highlight

Songwriter Jerry Dammers said it had a message that situation could be resolved

@highlight

It was performed at 1988 concert in London that increased pressure on South Africa