(CNN) -- It's been a long time. A very long time. But I cannot forget my first school lunch.

Call it free or call it charity, but it was a good meal that provided me, and so many others, with sustenance that made our school days more delightful. Our meals honored the traditions of the time -- red beans and rice with smoked sausage, bread and perhaps dessert. And of course every Friday we had fish sticks, potato salad or French fries.

We've come a long way since then. Today, most public school children get perfectly balanced meals. School chefs use food selected to provide maximum nutrition, food that will enhance a student's well-being and learning abilities. Their standards come from federal nutrition experts in the U.S. Department of Agriculture who survey what important foods are missing from children's diets.

More than 90% of the nation's schools follow these criteria. Come September, guidelines for healthier snacks will be added. Still, for all our efforts, the White House reports that, because of a poor diet, one-third of our children are on the path to diabetes.

Regulations implementing the nutritional guidelines must be legislated by Congress. As it considers the Agriculture Appropriations Bill, Congress -- especially House Republicans -- will have to decide if it represents the interests of our children or of special food lobbyists.

For example, the Maryland-based School Nutrition Association has sought, and received, congressional support to grant a one-year waiver from the standards to schools that can demonstrate six months of financial loss. The group represents 55,000 school lunch workers and nutritionists. But The Washington Post quoted a health professional who said the group reflects its funders, who are mostly frozen food and agribusiness interests.

Getting our children healthy lunches has had bipartisan origins. The healthy school lunch program was put forth during the George W. Bush years, and strengthened with the Healthy, Hunger-Free Kids Act Michelle Obama saw successfully to adoption in 2010.

Implementing USDA healthy lunch standards has met with some schools' resistance, according to the Government Accountability Office and the School Nutrition Association. But why? After all, a USDA study found only 0.15% of the schools surveyed said they were having difficulty complying with the healthy foods standards.

And the same study found that upward of 90% of the schools involved are successfully meeting the guidelines. That finding confirms another study done in 2012 by the Kids' Safe and Healthful Foods Project, "a collaboration between The Pew Charitable Trusts and the Robert Wood Johnson Foundation that provides nonpartisan analysis and evidence-based recommendations" on food standards. It found 94% of school districts were on board to meeting the healthy food guidelines.

Jessica Donze Black, a nutritionist and director with Pew, told the press, "We are disappointed (with this waiver) that would weaken national nutrition standards for foods served in schools." Indeed, more than 100 child nutrition experts at national, state and local levels released a petition to Congress on May 19, requesting lawmakers fight, and end, the waiver to opt out of all the breakfast and lunch standards for schoolchildren.

We are beginning to reverse childhood obesity; it has fallen among preschoolers. But childhood obesity doubled during the past 30 years. Our progress is tiny but encouraging.

The proposed waiver appears to be an attempt to buy time so the frozen food industry and agribusinesses can worm their foods into the schools. The provision is opposed by hundreds of nonpartisan, nonprofit nutrition organizations and supported by just a handful of powerful junk food interests.

Congress appears willing to gamble with our children's health at the same time Olivier De Schutter, a U.N. health expert, declares that "unhealthy diets are greater threat to health than tobacco." Ironically, De Schutter calls for global regulation of salty, sugary foods, just when some members of Congress seem ready to abandon our own standards.

Providing our children with healthy food will reduce future health care costs. So why is this too being turned into a partisan dodge? Republicans in Congress have limited a pilot program that will test efficient ways to deliver foods during the summer only to children in rural low-income households. (This is not to be confused with the Summer Food Service Program, which will continue to deliver meals to urban and rural children alike.)

The excuse given by a House Agriculture spokeswoman is that rural children are scattered over wider areas and so "have some unique challenges." As if urban children going hungry don't face "unique challenges."

The House version of the Agriculture Appropriations Bill also seeks to add starchy, white potatoes to the list of "qualified vegetables" under the Women, Infants and Children, or WIC, supplemental feeding program for pregnant women and young children. This move comes after heavy lobbying by the white potato industry, which wants the prestige of qualifying for WIC and the marketing advantage that comes with it.

Congress should say no to the special interests, stop turning the well-being of our children into a partisan tool and focus on our children's health and their future.

Join us on Facebook.com/CNNOpinion.

@highlight

Donna Brazile says Republicans want to undo Michelle Obama's gains in healthy lunches

@highlight

House bill would grant waivers, allow potatoes to be considered as "qualified" vegetable

@highlight

Brazile: Frozen food, agribusiness want to whittle away at healthy lunch programs