Washington (CNN) -- Myles Eaddy stands mystified at the edge of the baseball field along the first base line at Nationals Park while the New York Mets warm up for their evening game against the Nationals.

His head traces the ball into the outfield with each crack of a bat.

Nationals Park is one of several Major League Baseball parks that he has visited this summer with his Little League team, the Anderson Monarchs. As a tribute to Jackie Robinson and the Negro Leagues, the inner city team traveled back in time aboard a vintage 1947 Flxible Clipper touring bus, once used by the Newark Eagles, for the ultimate road trip.

The three-week, 4,000-mile journey gave the team from South Philadelphia a glimpse at what Robinson and other players went through during the barnstorming days of the Negro Leagues.

R.A. Dickey and the Zen of the knuckleball

"I'll never forget this," said 10-year-old Eaddy. "It's hard to explain. It's really fun. I get to do all this stuff, meet all these people. It's a once in a lifetime opportunity."

Along the cross-country trip, the Monarchs played games against local youth teams, met surviving players from the Negro Leagues and visited historic sites such as Robinson's grave site in Brooklyn, the Field of Dreams in Iowa and the Negro Leagues Baseball Museum in Kansas City, Missouri.

Then it's back on the road in the sweltering heat on the un-air-conditioned bus with no electronic games to pass the time -- a reminder of the traveling conditions the early baseball pioneers endured.

"Just like those guys did, there's a lot of card games, a lot of conversation, sitting and just staring out the window," said head coach Steve Bandura. "It's been great, they're not bored."

This week, the team was in Washington, D.C., to play against another youth team in suburban Virginia. Their game attracted a special spectator: Mamie "Peanut" Johnson, the only female pitcher in the Negro Leagues.

Johnson wanted to meet the Monarchs' only female player and the team's No. 1 pitcher, 11-year-old Mo'ne Davis, known for her sizzling fastball.

"I'm glad to meet them, and I'm glad to meet this young lady here because she reminds me a great deal of me, years ago, long time ago," said Johnson, who played for the Indianapolis Clowns from 1953 to 1955. "It's a joy to see her out there. It makes me feel good."

How church helped sign Jackie Robinson to Brooklyn Dodgers

After the game, the team visited the Lincoln Memorial and stood where Marian Anderson, the namesake of their team's rec center, performed her historic concert on Easter Sunday in 1939.

Still wearing their old-school uniforms with high socks, the team huddled around Bandura for a quick refresher on why they were there.

The Daughters of the American Revolution forbade Anderson, the legendary contralto singer, to perform at Constitution Hall. But First Lady Eleanor Roosevelt invited Anderson to sing on the steps of the Lincoln Memorial, he explained.

"We represent Marian Anderson," Bandura told his team. "We have the 'A' on our hat and that's what it's there for. And that's why I wanted to bring you guys here."

The next day it was back to baseball, including a visit with Washington Nationals standout shortstop Ian Desmond.

"This is great, you know. This is something these little guys will never forget in their lives," Desmond said while passing out batting gloves to the Monarchs. "When I was a kid I actually got to go to Cuba and the Dominican Republic, and to just experience baseball in a different way kind of makes you appreciate the hard times that people went through."

Eaddy said he doesn't want the trip to end, even if things got a little hot and sticky on the road.

"It's really hot. We always have to stick our heads out the window. The only time we get that much air is when we're on the highway," he said. "I would like to stay on the bus every day, that's how much history that bus has."

Ballplayers served country on battlegrounds

The Monarchs have their own link to history -- their team is named for the Kansas City Monarchs, the Negro Leagues team where Robinson started, in the same city that hosted this year's All-Star game. This year marks the 65th anniversary of Robinson becoming the first African-American to play Major League Baseball.

"We are the only African-American club in any of the tournaments and leagues we participate in, so Jackie Robinson has always been a role model for our kids," Bandura said. "We're getting so much love everywhere we stop, which would have been a little bit different in 1947 I'm sure, so that just shows how far we've come."

The players in Bandura's program start with T-ball and then go on to play basketball, soccer and baseball together. The commitment is year-round and includes dedicated parents, a rigorous schedule against competitive teams and focus on education.

"We didn't reinvent the wheel here," Bandura said. "This is what they're doing in the suburbs every day ... all kids should have the opportunity to explore and develop their talents."

He said the goal is to get his players to college.

The Monarchs wrapped the road series 8-4. Their last stop is Cooperstown, New York, where they'll attend the Baseball Hall of Fame induction ceremony on Sunday.

"It's been awesome," said Scott Bandura, the team's catcher and the head coach's son. "I can't get enough of it."

Rare photos of Jackie Robinson, 65 years after his major league debut

@highlight

The Anderson Monarchs are a Little League team from Philadelphia's inner city

@highlight

They are touring the country to honor early African-American baseball players

@highlight

Their stops include historical sites and friendly games with youth leagues

@highlight

The team has also met members of the Negro Leagues