(CNN) -- Anyone who has been deceived by a punchbowl at a party, or a diet-busting cake, will recognize the value of knowing exactly what you are eating. A new pocket scanner promises to deliver that power by giving the user an instant breakdown of alcohol, sugar, or calorie content before they consume.

The USB-shaped 'SCiO' device was launched through a Kickstarter campaign earlier in the week and reached its target within 24 hours, with devices available for as little as $149.

The product of Israeli start-up Consumer Physics, it uses spectrometry to read the "molecular fingerprint" of an object, shining near Infra-Red light on it which stimulates the molecules and then records their reactions.

An accompanying app then displays the nutrient values on a smart phone, measuring fat, protein and carbohydrate levels to the milligram, as well as overall quality.

This underlying technology has been industry standard for decades in quality control of oil, sewage or chemicals. But SCiO is the first portable spectrometer for consumers, and offers far greater versatility of application. The product, developed by engineers from leading institutions such as MIT and Harvard, has been tested in live demonstrations with high accuracy. The final product will be sent to backers this year.

"The first application is for consumers interested to know the nutritional value of what they're eating", Dror Sharon, CEO of Consumer Physics, told CNN. "I often meet people who don't know what's in cheese, fruit and vegetables and have a hard time discerning what they should eat.

"I think this can be empowering if people want to change their intake, whether for medical reasons or training, and can be educational in teaching us to make better nutritional choices."

Uses do not end with food. Apps are available to analyze medicine or the health of houseplants. SCiO could be a protective tool for clubbers keen to check if their drink has been spiked, or patients to see if their pills are as advertised.

The device could be applied to the environment as well as consumed objects -- an athlete could scan their track or field in order to optimize its playability.

Sharon acknowledges the device has limitations, suggesting it can identify elements between "0.1% to 1%" of the overall chemical makeup, and that it would need to be more robust to be an effective guide for allergy sufferers. The sensor can also be disrupted by interference such as packaging.

Yet hand held spectrometry still represents a long sought-after breakthrough for the industry. "The challenge has always been calibration that works for different materials", says Dr Bryan Curtiss, molecular scientist and head of technology at spectrometry firm ASDI.

"What they've done is quite an ingenious approach as the device only measures the spectrum, and then applies calibration (in the algorithm cloud) and sends results, so the lab system and software have been centralized."

The success of the Kickstarter campaign indicates a substantial market, and addresses a genuine need says Quantified Self technologist Maarten Van Braaben: "This is answering a question as food checking has never been automated well, and this offers a less tedious process."

SCiO will have rivals in this new marketplace. Canadian company TellSpec will launch their own hand held spectrometer this year, focused on food, while calorie sensing wristbands such as the HealBeGoBe are also close to market.

Van Brabben foresees further innovation with the technology. "If you could have the same spectrometry analysis through the camera on your phone that would be a popular concept, and I think it's not far off, perhaps two or three years."

Consumer Physics are providing a 'maker kit' for developers to use their technology in any form they wish, and Sharon hopes they can become as ubiquitous as smart phones with billions in circulation.

@highlight

New device allows users to check the nutritional value of food

@highlight

SCiO, which was funded by Kickstarter, can detect if a drink has been spiked

@highlight

It can also be used to analyze medicine contents or the health of houseplants

@highlight

In two or three years people may be able to analyze food content via their smart phones