Washington (CNN) -- Few answers have emerged to the myriad questions about the Boston Marathon bombing and its aftermath, but that didn't stop political leaders from clashing about what happened and why it did on Sunday talk shows.

Republican members of Congress played up a possible connection to global terrorists and said the lone surviving suspect should be designated an enemy combatant to allow unfettered questioning and unlimited detention.

Democratic legislators called for handling the 19-year-old suspect as a crime suspect rather than a war enemy, allowing the U.S. citizen the right to legal representation under federal law that could impose the death penalty.

A closer look at their statements and arguments showed how politicians blend facts, conjecture and spin to push their side's agenda while countering arguments from across the aisle.

The facts so far tell a still-convoluted story. Tamerlan and Dzhokhar Tsarnaev, brothers of northern Caucasus origin who had lived in the United States for years, allegedly set off two bombs near the finish line of Monday's Boston Marathon, killing three people and injuring more than 170.

Graham: 'Ball was dropped' in probe of Tamerlan

After the FBI released video footage and photos of the pair on Thursday, they allegedly shot to death a university police officer and carjacked a getaway vehicle, leading to a wild chase through Boston and its suburbs that ended with Tamerlan dead and Dzhokhar on the lam.

He was captured Friday night to culminate a day of door-to-door searches in an unprecedented manhunt in parts of Boston and its suburbs.

With authorities still trying to nail down exactly what happened and why, the political chatter on Sunday provided more partisan posturing than solid answers.

Republicans focused on a six-month trip last year to Russia and perhaps his former Dagestan homeland and other Caucusus regions by Tamerlan Tsarnaev, the elder brother who some family members said had become a radicalized Islamist in recent years.

Timeline: A look at Tamerlan's past

The chairmen of the powerful House Intelligence and Homeland Affairs committees focused on Tamerlan's travels, insinuating links to terrorist training without making any definitive declarations or accusations.

"He, we believe, may have actually traveled on an alias to get back to his home country," Rep. Mike Rogers, the Michigan Republican who chairs the intelligence panel, told NBC. "... So you know he had some radicalization before he left. You know that he didn't probably travel on his own name or some variation of his own name. And when he comes back, he has a renewed interest in that radicalization belief process."

Add it all up, Rogers said, and "it would lead one to believe that's probably where he got that final radicalization to push him to commit acts of violence and where he may have received training on what we ultimately saw last Monday."

Rep. Michael McCaul, the Republican from Texas who chairs the homeland security committee, hinted to reporters that Tamerlan made additional trips to the northern Caucasus region than the 2012 visit made public by authorities.

'Enemy combatant' can be tried in civilian court

"We know he's starting to radicalize in 2009, which would lead me to the, um, yeah, I could speculate that he was probably going over there more often," said McCaul, who is privy to congressional briefings on the matter. "We don't have -- I don't have the evidence of that just yet. But that's obviously an area of focus."

Asked specifically about confirmation that Tamerlan made other trips, McCaul acknowledged that "it's unconfirmed at this point," but added: "My judgment is we'll probably see there were other trips to the region."

Such conjecture seeks in part to raise the specter of international terrorism at a time when Congress is wrestling with deficit reduction issues including forced spending cuts to the military and other government services.

While concerns of an international terrorism link to the Boston bombers remains high, conservatives seek any opportunity to reinforce the need to maintain military readiness and national security in order to protect it as a spending priority amid the austerity debate in Washington.

Republican Rep. Peter King of New York, who has complained that America let down its guard against terrorism, told "Fox News Sunday" he was referring specifically to Congress.

"Some of my own party want to start cutting funding for homeland security because they think this war is over," King said. "It's not."

Meanwhile, Democratic legislators pushed back against GOP calls for designating 19-year-old Dzhokhar Tsarnaev a war enemy to allow unfettered interrogation and possible indefinite detention, like terrorism suspects at Guantanamo Bay.

Instead, they argued the suspect, who is hospitalized in serious but stable condition with wounds that included a gunshot to the throat, should be treated as a crime suspect with the right to legal representation.

"I don't think we have to cross the line and say he should be an enemy combatant, which could be challenged in court," Democratic Sen. Chuck Schumer of New York told CNN.

Boston's week of terror

The issue dates to the "war on terror" from the Bush administration after the 9/11 attacks, and remains a sore point for liberals who question the constitutionality of designating a naturalized citizen such as the younger Tsarnaev as an enemy combatant.

Schumer and follow Democratic Sen. Dianne Feinstein of California emphasized that a federal criminal charge against Tsarnaev could carry the death penalty in an effort to show their party wasn't soft on terrorism.

"The federal law allows the death penalty," Schumer said, noting that he wrote it in 1994. "This is just the kind of case that it should be applied to. In fact, the only other time it's been used since '94 is on (Oklahoma City bomber) Timothy McVeigh and given the facts that I've seen, it would be appropriate to use the death penalty in this case and I would hope they would apply it in federal court."

Feinstein told reporters that Tsarnaev could be interrogated now for any information on possible further terrorism threats under a public safety exception to immediately informing a suspect of Miranda rights.

"If he's not Mirandized, it can't be used in a court of law," she said, noting authorities already had "plenty of evidence" that can be used to convict him.

Suspects initially questioned under the public safety exemption and then later tried in civilian court include Umar Farouk Abdulmutallab, the "underwear bomber" who attempted to blow up a Detroit-bound airliner on Christmas Day in 2009, and Faisal Shahzad for his 2010 attempt to detonate a bomb in Times Square.

Conservative GOP Sen. Lindsey Graham of South Carolina made a similar argument to CNN in calling for Tsarnaev to be declared an enemy combatant for now, then later being criminally charged and put to trial in a civilian court.

According to Graham, a public safety exception to reading Miranda rights will expire, meaning the ability to continue interrogating Tsarnaev could be jeopardized by his right to remain silent and be represented by an attorney.

The public safety exception to the Miranda rule allows investigators to question suspects before apprising him of their rights when they believe there is an imminent public safety threat.

Did one brother brainwash the other?

Despite Graham's warning that the exception will expire, Attorney General Eric Holder has opened the door to longer interrogations for that purpose in cases involving "operational" terrorists.

Another political dispute stemming from the Boston bombings involved calls by some conservative Republicans to put off consideration of bipartisan immigration reform legislation for now.

GOP Sen. Dan Coats of Indiana said Sunday that Congress should wait until the emotional reaction to the bombings subsides before tackling the volatile issue of immigration. His comment to ABC followed a similar call last week by fellow Republican Sen. Chuck Grassley of Iowa, who noted the Tsarnaev brothers were immigrants.

"It's important for us to understand the gaps and loopholes in our immigration system," Grassley said, asking "how can individuals evade authorities and plan such attacks on our soil?"

Schumer, one of the "Gang of Eight" senators who drafted the immigration plan, said some on the right who opposed the bill were using the Boston bombing as an excuse to stall the legislation.

"If they have a reason, a suggestion as to how to change it based on what happened in Boston, we'll certainly be open to it," Schumer said. "But we're not going to let them use what happened in Boston as an excuse, because our law toughens things up."

Graham, a Republican co-author, agreed it was time to tackle the immigration issue, saying "we need to move on."

Immigration reform resonates with the Hispanic-American community, which is the nation's fastest-growing demographic and heavily supported President Barack Obama's re-election last year.

FBI disputes mother's claim they tracked elder bombing suspect

CNN's Ashley Killough and Alan Silverleib contributed to this report.

@highlight

Partisan posturing emerges over Boston bombings on Sunday talk shows

@highlight

Despite little evidence, Republicans hint of possible international terror ties

@highlight

Democrats argue against designating the suspect an enemy combatant

@highlight

Authors of immigration reform reject conservative calls to put off the issue