(CNN) -- Few paintings have been more viewed, more analyzed, studied and interpreted, than Leonardo da Vinci's "Mona Lisa," otherwise known as "La Gioconda."

Despite this, no one has come up with an explanation for that enigmatic smile, or a lot of other details in this painting that, despite all the ink and hot air expended on it, measures a mere 77 by 52 centimeters (about 30 by 21 inches).

In the frigid bowels of a derelict building in central Florence, Italy, that covers the ruins of an old Franciscan convent, a group of researchers is trying to nail down some of the elusive details of the woman featured in the iconic painting. It is here that old city records say the woman who posed for the painting, Lisa Gherardini, the second wife of wealthy Florentine silk merchant Francesco del Giocondo, was buried.

Read more: Unveiling of alternate 'Mona Lisa' raises questions

Silvano Vinceti is leading a team to exhume and identify Gherardini's remains.

Those remains are wrapped in aluminum foil and packed into large Tupperware containers stacked in an old filing cabinet. Vinceti and his colleagues took them out, one by one, and eventually found one packet with what appeared to be skull fragments.

"This is probably it," Vinceti tells me excitedly, his eyebrows arching. The remains, he says, will be sent for DNA testing to several universities in Italy and abroad, where they will be checked against the DNA of two confirmed relatives of Gherardini buried elsewhere.

I ask Vinceti: Why go to all this trouble to find out if this was the woman who posed for da Vinci more than 500 years ago?

"Once we identify the remains," he says, gesticulating dramatically, "we can reconstruct the face, with a margin of error of 2 to 8 percent. By doing this, we will finally be able to answer the question the art historians can't: Who was the model for Leonardo?"

I've seen this before. Several years ago, I did a report about the reconstruction of the face of the Pharaoh Tutankhamen (aka King Tut) by French and American forensic experts using his mummified remains as a model.

After piecing together Gherardini's skull fragments, researchers will be able to reconstruct her face, factoring in that she was probably in her early 20s when she posed for da Vinci.

Read more: Scientists unlock secret of Mona Lisa's face

Vinceti has no doubt that da Vinci was commissioned to paint a portrait of Gherardini, but he is not certain whether the painting that now hangs in the Louvre in Paris is of her, or just contains some of her features.

For starters, he says, that famous smile is not Gherardini's. Analysis of the "Mona Lisa" shows, he says, that "when Leonardo began painting the model in front of him, he did not draw that metaphysical, ironic, poignant, elusive smile, but rather he painted a person who was dark and depressed."

The smile, he believes, was added later, and probably belongs to da Vinci's longtime assistant (and rumored lover) Gian Giacomo Caprotti, whose distinct features appear in other works by da Vinci. Other art historians say the "Mona Lisa" is a surreptitious self-portrait.

There is something eccentric, or slightly mad, about Vinceti. A former producer for RAI, the Italian state broadcaster, he speaks in the language of veteran television producers the world over -- emphatic, direct and full of expletives. In the past, he's produced documentaries about his attempts to solve old art mysteries and plans to do the same with his current project on the "Mona Lisa." His high-profile efforts have been criticized by academics, but Vinceti brushes them off with a dismissive snort.

Part of his motivation in this current project is a personal identification with da Vinci, who, Vinceti says, "never went to university, didn't learn Greek or Latin, and was not considered learned."

It will be several months before DNA tests can be conducted and the reconstruction of Gherardini's face can be completed. And regardless of the results, Vinceti concedes that da Vinci is beyond comprehension: "This is the magic of a great genius who eludes classification, around whom remains a fog of mystery. I am under no illusion that we will be able to solve the mystery of the 'Mona Lisa.'

Read more: Museum discovers earliest copy of 'Mona Lisa'"

@highlight

DNA testing planned for remains of woman thought to be the model for the iconic painting

@highlight

From that, Italian researchers hope to reconstruct the model's face

@highlight

Former TV producer says he's sure that a portrait of Lisa Gherardini was commissioned

@highlight

But, he says, he is not sure that Leonardo da Vinci's painting is completely of her