(CNN) -- On Wednesday, U.S. Secretary of State Hillary Clinton arrives in my former homeland of Laos. This is the first visit by any U.S. secretary of state since 1955 and a trip I didn't think would happen in my lifetime. After all, the U.S.-backed war in Laos left the U.S. and the new government of Laos in tense relations for decades.

Beyond the diplomatic significance of this trip, the visit can help to heal the wounds of war, bringing hope for many Americans of Lao descent, like myself, that we no longer have to choose between our former and new homelands. The visit offers an opportunity to help advance a complex relationship and address one of the remaining war legacies.

Between 1964 and 1973, during the Vietnam War, the U.S. dropped the equivalent of one planeload of bombs every eight minutes, 24 hours a day, on a country the size of Minnesota. One ton of bombs was dropped for every person in Laos at the time, making the nation the most heavily bombed per capita in history. The "Secret War," not formally authorized by Congress and in violation of international accords, sought to halt Communist ground incursions from North Vietnam and to cut off activities along the Ho Chi Minh Trail in Laos.

I grew up not knowing much about this history -- it wasn't taught in school -- and what little I knew, I pieced together from my parents, who avoided extensive conversations about the past.

The bombing ended in 1973, the same year I was born in the capital city of Vientiane. The new government came into power shortly after, and by the time I was 6, my family left Laos due to the country's growing instability. The decision to leave their homeland was difficult for my parents, but it was guided by the promise that their young children would one day live the American dream of bountiful opportunities and lasting freedom.

Our harrowing journey began with the separation of our family members and a secretive swim by my father across the Mekong River to a refugee camp in Thailand, and eventually led us to northern Virginia, where I started my new life. Over the next 20 years, I set about becoming American, all the while mourning for a homeland I feared I would never see again. Laos clamped down its borders after 1975, and relations between the U.S. and Laos, while not severed, were tense. When they eventually thawed, I took the opportunity to travel.

In 2004, I made my first trip back to Laos, and felt a deep affection for the people, culture and land that I barely remembered from my childhood. Reconnecting with my Lao heritage included discovering the dark history and lingering effects of that Secret War -- of which I and the majority of Americans knew little. I discovered that the past is still very present.

In the 40 years since the bombing ceased, 20,000 people have been killed or maimed by unexploded ordnance, with an estimated one-third of Lao land still littered with it.

In subsequent trips, I witnessed the devastating effects of these leftover bombs on the local population: They hinder economic growth and force thousands of people to go about their daily lives in fear of deadly explosions. I met children in the countryside, many of whom were just 6 or 7 years old -- the same age I was when my family left the for the U.S. -- who were maimed by playing or tampering with the small, toylike cluster bombs. These children are innocent victims of a war we had thought was long over.

The U.S. began funding the cleanup of these bombs in 1997, and until recently, contributed an average of $2.6 million per year to this effort. This year, Congress directed that this contribution be increased to $9 million, a hopeful sign that the U.S. sees clearance of these bombs as a priority. But funding still pales in comparison to the enormity of the problem: Only about 1% of these bombs have been cleared. We have a long way to go, but this is a problem that can be solved -- as long as the U.S., in cooperation with Laos and other international donors, makes a long-term, sustained funding commitment.

As an American of Lao descent, I am heartened by Secretary Clinton's visit to Laos. The reconciliation process is well under way, and despite the complex history between my two homelands, the U.S. and Lao governments can be on the right side of history and clear Laos of these deadly bombs once and for all. That way, the dreams that my parents had for me when I resettled in the U.S. -- to live freely and with bountiful opportunities -- may also be realized for the children in Laos for generations to come.

The opinions expressed in this commentary are solely those of Channapha Khamvongsa

@highlight

Channapha Khamvongsa: Hillary Clinton travels to Laos, an opportunity to right relations

@highlight

She says U.S. huge bombing campaign during "Secret War" left lethal ordnance behind

@highlight

She says a third of Laos has unexploded ordnance; 20,000 have been killed, maimed

@highlight

Writer: U.S. recently upped funding for cleanup; U.S., world must make long-term commitment