(CNN) -- When Senate Majority Leader Harry Reid announced he would be pushing for a public option in the final health care bill, it looked as if he had given up on the possibility of a bipartisan agreement.

Most Republicans have been steadfast in their opposition to the Democratic health care proposals. The only serious possibility for GOP backing has come from Sen. Olympia Snowe of Maine. While expressing support for much of the Senate Finance Committee bill, she has said she would accept a public option only if private markets and new regulations fail to control costs and lower premiums.

Reid's decision is not a sign of commitment to an ideal but rather an act of political realism. The notion that either party will be able to find substantive bipartisan support for legislation today is dubious. The political forces that generate partisan conflict in Washington are deeply rooted and hard to change.

Partisanship is not always a bad thing for politics. Strong parties can give voters real choices at the ballot box, and party leaders are willing to push for bold objectives that centrists often avoid.

But bipartisanship is also a valuable objective, and good to have as part of our political mix. When both parties are open to sometimes entering into negotiations and reaching agreements, this improves the chances for major policy breakthroughs that will last over time.

When Americans see that their leaders are willing, under the right circumstances, to focus on doing what the country needs even if the other side might receive more credit, citizens are exposed to a side of government that is usually overshadowed by the political machinations that dominate the news.

But the pressures against bipartisanship are enormous. Gerrymandered congressional districts favor representatives who play to the party base. The number of centrists in both parties has steadily diminished. The campaign finance system empowers party leaders and conservative activists who are able to raise and distribute substantial amounts of campaign funds to pay for television ads and get-out-the-vote operations.

Within the GOP, their power was recently on display in New York's 23rd district. Conservatives pressured centrist Republican Dede Scozzafava to step down from the special election to clear the way for Conservative Party candidate Doug Hoffman, who has received the strong support of national conservative groups.

"Doug's campaign," Republican National Committee chairman Michael Steele announced, "will receive the financial backing of the RNC and get-out-the-vote efforts to defeat Bill Owens on Tuesday."

In the Senate, the constant threat of the filibuster offers the minority party an easy way to thwart the agenda. The media favors stories about conflict over consensus.

People tend to be a nostalgic for moments when the two major parties worked together. In fact, this has rarely been the case.

But when there were periods with some bipartisanship in the 20th century, what is striking is how much more substantial they were. They involved significant numbers of legislators from one party joining forces with the other.

One of the most famous examples of bipartisan leadership involved Republican Sen. Arthur Vandenberg, who in 1947 and 1948 chaired the Senate Foreign Relations Committee. Vandenberg worked with President Harry Truman to pass some of the key policies of the Cold War, including the National Security Act, the Truman Doctrine and the Marshall Plan.

Many Republicans disagreed with Vandenberg, focusing much more on attacking Truman. But Vandenberg still delivered Republican votes for that short period. During the Senate vote on the Marshall Plan in 1948, which provided economic assistance to help rebuild Western Europe, 31 Republicans joined 38 Democrats to vote for the bill.

The same held true with the Civil Rights Act of 1964. We often remember the important work of Republican Sen. Everett Dirksen, an Illinois conservative who joined forces with Johnson in the summer of 1964 to vote for cloture to end the filibuster by Southern Democrats. Dirksen was one of 27 Republicans who voted to end the filibuster and then to vote for civil rights.

Today, discussions of bipartisanship focus on obtaining one or two votes from the opposition party. This is a phenomenon we have seen intensifying since the 1970s. Republicans also had trouble obtaining Democratic votes under President George W. Bush.

Until politicians are able to deal with some of the underlying forces that make bipartisanship difficult to achieve, party leaders should not give so much weight to legislative strategies that hinge on appealing to the other side.

Seriously searching for bipartisanship, for example, would require reforming the campaign finance system so that legislators are not in such desperate need of private campaign contributions, over which party leaders and activist organizations maintain tight control.

Citizens should also support media outlets that place solid journalism above partisan analysis. Right now, bipartisan votes are not coming. In the past few weeks, Democrats seem to have come to this conclusion and are now focusing more on what will unite their own party than what will win Sen. Snowe's vote.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer says Harry Reid appeared to be giving up on bipartisanship

@highlight

He says Democrats are more focused on unity than on attracting GOP votes

@highlight

Bipartisanship once involved many legislators crossing party lines

@highlight

Today, Zelizer says, many forces make bipartisanship hard to achieve