American architect Michael Graves has little patience for bad design. He also dislikes the ugly things he sees in hospitals.

When he stayed at a rehabilitation center recovering from a rare, life-threatening infection, Graves eyed the magenta-and-green floral sheets on his bed.

"It's far too ugly for me to die here," he quipped in October at TEDMED, a conference about great ideas in health care.

It got worse as he stayed at eight different hospitals and three rehabilitation centers adjusting to life in a wheelchair.

"They didn't make big mistakes," Graves said about various designs he observed in hospitals and rehab centers. "They just made the most frustrating mistakes you could ever imagine and made your cure more difficult. Your room should make it easier for the doctors and the aides and the patient. But instead it does just the opposite."

Graves is one of the most revered living architects and has won numerous prizes in his field. Critics have hailed him as one of the original American voices in architecture as he has designed hundreds of buildings for corporations, governments, foundations and universities such as the Team Disney building in Burbank, California. He has been praised for making buildings functional as well as aesthetically pleasing.

For many Americans, Graves might be best known as the designer of affordable household items sold at Target. The Graves line includes practical items from tea kettles and drying racks to whimsical kitchen equipment like avocado scoopers and large bamboo salad tongs.

His Target line came with a simple, idealistic premise: "Good design should be affordable to all."

Now Graves wants to extend his philosophy to hospitals.

He became familiar with healthcare facilities eight years ago after a freak infection left him paralyzed. Doctors still cannot identify what caused the illness.

In 2003, Graves, in high demand, kept a hectic schedule.  While in Europe on a business trip, he developed a cold he couldn't shake.

"My immune system was pretty low because of stress," he said.  "I was standing on a site in Geneva, where it was below 0 [degrees], all day long, with a terrible cold."

The symptoms spread to his lower back.  Graves returned to the states and went to work the next morning, but the crippling pain only got worse.

He went to the hospital, "and by the next morning, I was paralyzed from the chest down," he said.

Doctors couldn't identify the infection.  They have ruled out meningitis. Graves has been told about four other people in the United States have the same mystery illness.  The condition is so rare that there isn't a name for it.

The sinus infection travels to the brain, then to the spine, causing paralysis.

"My spinal cord isn't cut," he explained.  "It looks like the bottom of a sunken ship."

This meant Graves, an avid golfer and traveler, could no longer enjoy long walks on the green and strolls on Italy's cobblestone streets

Throughout his recovery, Graves became frustrated with his hospitals and facilities.

At a rehabilitation center, he wheeled himself into the bathroom one morning.  When Graves reached for the sink faucet for hot water, the handle was out of reach.

Toothpaste?  Also out of reach.  Toothbrush?  Out of reach.

So he looked for an outlet for his electric razor.  The outlet was near the base of the wall near the floor -- also out of his reach from the wheelchair.

The biggest aggravation, he said, was that the rehabilitation center was built for people in wheelchairs.

"When I went through some of the struggles that were caused by my room, I lost the self empowerment that I was supposedly gaining during the day in rehabilitation," said Graves.  "I was no longer self-reliant, but dependent. This makes you feel terrible as a patient... as a paraplegic. You're feeling at the will of others."

He stayed at one glossy, new hospital with a four-story glass atrium and expansive lobbies.  But that hospital's patient rooms were so small that those in wheelchairs and hospital employees had a hard time maneuvering.

"All the money had been spent on the public spaces," he said.  "The public spaces were glorious. I got to the patient room, these were the smallest patient rooms ever known to man."

Channeling all his frustration, Graves continued to sketch.

"Whether I was paralyzed or not, I would draw, because drawing for me is like playing the piano," he said.  "You've got to keep practicing, got to keep doing it. It's not that you lose it, but you don't draw as well if you don't draw every day."

He started sketching better ways to design the hospital --  furniture, rooms, buildings.

These sketches are becoming a reality as Graves' company has teamed up with a hospital furnishing company called Stryker. The products became available in 2009.

Graves designed chairs with larger handles, so it's easier for a person to hoist themselves to stand.  A bedside cabinet has a rounded edge and two-way drawer to access items from both sides.

Graves has employees of his company spend a week in wheelchairs to understand patients' needs.

"I'm impatient with getting it wrong, because if you spend the time and you use your intellect, you can get it. And there is no excuse for getting those patient rooms wrong time after time," he said.

Graves' interest in architecture now extends to building better hospitals, facilities and home care environments.

"This is my life now," he said. "I had to give up golf, give up walking. I had to give up a lot of things, give up driving. It isn't so bad.

"I take on health care. That's pretty good. I wouldn't have been a health care nut if it hadn't been for my paralysis, so something good came from this."

@highlight

Award-winning architect Michael Graves stayed at 8 hospitals

@highlight

Graves in 2003 became ill with mysterious illness and was paralyzed

@highlight

Graves wants to fix poorly designed hospitals and furniture for patients