Good afternoon, everybody.

Ten days ago, the world watched in horror as men, women and children were massacred in Syria in the worst chemical weapons attack of the 21st century.  Yesterday the United States presented a powerful case that the Syrian government was responsible for this attack on its own people.

Our intelligence shows the Assad regime and its forces preparing to use chemical weapons, launching rockets in the highly populated suburbs of Damascus, and acknowledging that a chemical weapons attack took place.  And all of this corroborates what the world can plainly see -- hospitals overflowing with victims; terrible images of the dead.  All told, well over 1,000 people were murdered.  Several hundred of them were children -- young girls and boys gassed to death by their own government.

This attack is an assault on human dignity.  It also presents a serious danger to our national security.  It risks making a mockery of the global prohibition on the use of chemical weapons.  It endangers our friends and our partners along Syria's borders, including Israel, Jordan, Turkey, Lebanon and Iraq.  It could lead to escalating use of chemical weapons, or their proliferation to terrorist groups who would do our people harm.

In a world with many dangers, this menace must be confronted.

Now, after careful deliberation, I have decided that the United States should take military action against Syrian regime targets.  This would not be an open-ended intervention.  We would not put boots on the ground.  Instead, our action would be designed to be limited in duration and scope.  But I'm confident we can hold the Assad regime accountable for their use of chemical weapons, deter this kind of behavior, and degrade their capacity to carry it out.

Our military has positioned assets in the region.  The Chairman of the Joint Chiefs has informed me that we are prepared to strike whenever we choose.  Moreover, the Chairman has indicated to me that our capacity to execute this mission is not time-sensitive; it will be effective tomorrow, or next week, or one month from now.  And I'm prepared to give that order.

But having made my decision as Commander-in-Chief based on what I am convinced is our national security interests, I'm also mindful that I'm the President of the world's oldest constitutional democracy.  I've long believed that our power is rooted not just in our military might, but in our example as a government of the people, by the people, and for the people.  And that's why I've made a second decision:  I will seek authorization for the use of force from the American people's representatives in Congress.

Over the last several days, we've heard from members of Congress who want their voices to be heard.  I absolutely agree. So this morning, I spoke with all four congressional leaders, and they've agreed to schedule a debate and then a vote as soon as Congress comes back into session.

In the coming days, my administration stands ready to provide every member with the information they need to understand what happened in Syria and why it has such profound implications for America's national security.  And all of us should be accountable as we move forward, and that can only be accomplished with a vote.

I'm confident in the case our government has made without waiting for U.N. inspectors.  I'm comfortable going forward without the approval of a United Nations Security Council that, so far, has been completely paralyzed and unwilling to hold Assad accountable.  As a consequence, many people have advised against taking this decision to Congress, and undoubtedly, they were impacted by what we saw happen in the United Kingdom this week when the Parliament of our closest ally failed to pass a resolution with a similar goal, even as the Prime Minister supported taking action.

Yet, while I believe I have the authority to carry out this military action without specific congressional authorization, I know that the country will be stronger if we take this course, and our actions will be even more effective.  We should have this debate, because the issues are too big for business as usual.  And this morning, John Boehner, Harry Reid, Nancy Pelosi and Mitch McConnell agreed that this is the right thing to do for our democracy.

A country faces few decisions as grave as using military force, even when that force is limited.  I respect the views of those who call for caution, particularly as our country emerges from a time of war that I was elected in part to end.  But if we really do want to turn away from taking appropriate action in the face of such an unspeakable outrage, then we just acknowledge the costs of doing nothing.

Here's my question for every member of Congress and every member of the global community:  What message will we send if a dictator can gas hundreds of children to death in plain sight and pay no price?  What's the purpose of the international system that we've built if a prohibition on the use of chemical weapons that has been agreed to by the governments of 98 percent of the world's people and approved overwhelmingly by the Congress of the United States is not enforced?

Make no mistake -- this has implications beyond chemical warfare.  If we won't enforce accountability in the face of this heinous act, what does it say about our resolve to stand up to others who flout fundamental international rules?  To governments who would choose to build nuclear arms?  To terrorist who would spread biological weapons?  To armies who carry out genocide?

We cannot raise our children in a world where we will not follow through on the things we say, the accords we sign, the values that define us.

So just as I will take this case to Congress, I will also deliver this message to the world.  While the U.N. investigation has some time to report on its findings, we will insist that an atrocity committed with chemical weapons is not simply investigated, it must be confronted.

I don't expect every nation to agree with the decision we have made.  Privately we've heard many expressions of support from our friends.  But I will ask those who care about the writ of the international community to stand publicly behind our action.

And finally, let me say this to the American people:  I know well that we are weary of war.  We've ended one war in Iraq.  We're ending another in Afghanistan.  And the American people have the good sense to know we cannot resolve the underlying conflict in Syria with our military.  In that part of the world, there are ancient sectarian differences, and the hopes of the Arab Spring have unleashed forces of change that are going to take many years to resolve.  And that's why we're not contemplating putting our troops in the middle of someone else's war.

Instead, we'll continue to support the Syrian people through our pressure on the Assad regime, our commitment to the opposition, our care for the displaced, and our pursuit of a political resolution that achieves a government that respects the dignity of its people.

But we are the United States of America, and we cannot and must not turn a blind eye to what happened in Damascus.  Out of the ashes of world war, we built an international order and enforced the rules that gave it meaning.  And we did so because we believe that the rights of individuals to live in peace and dignity depends on the responsibilities of nations.  We aren't perfect, but this nation more than any other has been willing to meet those responsibilities.

So to all members of Congress of both parties, I ask you to take this vote for our national security.  I am looking forward to the debate.  And in doing so, I ask you, members of Congress, to consider that some things are more important than partisan differences or the politics of the moment.

Ultimately, this is not about who occupies this office at any given time; it's about who we are as a country.  I believe that the people's representatives must be invested in what America does abroad, and now is the time to show the world that America keeps our commitments.  We do what we say.  And we lead with the belief that right makes might -- not the other way around.

We all know there are no easy options.  But I wasn't elected to avoid hard decisions.  And neither were the members of the House and the Senate.  I've told you what I believe, that our security and our values demand that we cannot turn away from the massacre of countless civilians with chemical weapons.  And our democracy is stronger when the President and the people's representatives stand together.

I'm ready to act in the face of this outrage.  Today I'm asking Congress to send a message to the world that we are ready to move forward together as one nation.

Thanks very much.

@highlight

Obama calls attack of Syrian civilians 'an assault on human dignity'

@highlight

President spoke with congressional leaders Saturday morning and asked for a vote

@highlight

Obama says he's comfortable going forward without U.N. Security Council approval

@highlight

Obama: 'We're not contemplating putting our troops in the middle of someone else's war.'