Pyongyang (CNN) -- It is exceedingly rare for Western journalists to be allowed inside the Democratic Peoples Republic of Korea (DPRK) -- commonly known as North Korea. It is even less common for an American reporter to visit this reclusive nation, home to nearly 25 million people who are essentially isolated from the rest of the world.

Yet here I am, an American member of a CNN crew, reporting from Pyongyang about the latest high profile sporting event to sweep this city since a bizarre basketball tournament earlier this year.

You probably remember when American NBA star Dennis Rodman organized a basketball tournament in Pyongyang.

Rodman was widely criticized in the United States for befriending the DPRK's Supreme Leader Kim Jong Un, whose authoritarian regime has been accused by a United Nations panel of widespread human rights abuses, charges that North Korea strongly denies.

'Sports diplomacy'

Outside press were not invited to cover Rodman's trip. This time, CNN is among a handful of news organizations granted rare access to Pyongyang to cover the International Pro Wrestling Festival.

Retired Japanese wrestling star turned politician Kanji "Antonio" Inoki is organizing the event. In his professional heyday, Inoki fought in a memorable and bizarre 1976 match in Tokyo with boxing great Muhammad Ali. Today, as an aging member of the Japanese parliament, he is once again in the headlines for his latest attempt at what he calls "sports diplomacy" between Japan and North Korea.

Inoki is holding the event in the home country of Rikidozan, his late wrestling mentor. He says it will bring together professional fighters from the United States, China, and several other countries. The wrestlers are also scheduled to tour Pyongyang and interact with North Korean fans.

Our journey so far

After landing in Pyongyang, we headed to our hotel,which sits on its own island.

Complete with a microbrewery, the hotel tries to give journalists on this trip a Western experience, serving simple Western-style omelettes and potatoes for breakfast. Dinner was a Korean-style meal.

Taking a look around the city, we saw some people holding cell phones, which looked like small Blackberrys. People weren't blindly walking about with their eyes locked on the screen; a common sight in Western cities.

These were not touch-screen phones, instead gadgets where people can access the internal net and visit certain North Korean sites like government sites and the country's largest newspaper.

On Friday morning, we visited the birthplace of North Korean founder, Kim Il Sung. This site is considered sacred -- every North Korean who visits the capital goes there. Bus loads of school children, who took a 23-hour trip from a northern rural province, arrived at the site to take a look.

Asked about how they felt about being there, the students recited facts about the place. Even when our minders encouraged them to speak with us, it appeared they were shy or nervous facing foreigners and TV cameras.

We headed to the Munsu Water Park, a park with water slides and pools, that current leader, Kim Jong Un, is said to have personally scrutinized 113 times. There weren't many children there, though many North Korean families appeared to be enjoying the activities.

The rest of Friday will be spent visiting a new pediatric hospital and a sports village -- all in Pyongyang.

During our tightly-controlled five-day trip, we will be under the constant supervision of government minders. We are staying in a hotel on an island -- in the middle of a river -- and we aren't allowed to leave without our government-assigned escorts. We expect them to monitor what we shoot and step-in to stop us if we point our cameras in the wrong direction.

We expect to see only what the government will allow us to see -- the landmarks of Pyongyang, omnipresent tributes to the Kim family regime, and majestic displays of patriotic pageantry.

Thawing relations

This unusual visit to the Hermit Kingdom comes at a time when years of frosty relations between Tokyo and Pyongyang could be beginning to thaw.

In July, Japanese Prime Minister Shinzo Abe eased several unilateral sanctions on North Korea after the two countries made progress in talks about Japanese citizens kidnapped by the North Korean regime during the Cold War.

The Japanese government says North Korean operatives kidnapped at least 17 Japanese citizens in the late 1970s and early 1980s and possibly dozens more.

In 2002, North Korea shocked the international community by admitting to the kidnappings and returning five victims to Japan. But questions still linger about the fate of the remaining 12 confirmed abductees and the other suspected cases.

A North Korean "Special Investigative Committee" of about 30 government officials is expected to update the Japanese government in the next few weeks on the status of missing Japanese citizens. Families of the abducted hope renewed diplomacy between the two countries will bring long-awaited answers.

Among the Japanese sanctions lifted is a restriction asking its citizens not to travel to North Korea, which opens the door for more Japanese tourists to embark on commercial tours of the country.

Behind the curtain

Our flight on North Korea's only airline (one of just 10 scheduled flights a week) was packed with mostly Japanese press and an eclectic group of wrestlers who will tour Pyonyang and entertain crowds who rarely see anything like this in their country.

At a press conference, one North Korean official said he hopes the event will bring the DPRK closer to Japan after years of tension.

Even though decades of isolation and crippling sanctions have left North Korea struggling economically and lagging far behind much of the developed world in terms of technology and infrastructure -- the nation is nearly unrivaled in its ability to mobilize tens of thousands of citizens to put on a spectacular show.

It remains yet to be seen if we will get a glimpse behind the curtain to witness the true reality of life in one of the most secretive places on Earth.

I asked our government minders if they'd be willing to show us what life is really like for regular people in North Korea. They said they'd ask their superiors and get back to us.

@highlight

CNN is in Pyongyang for the International Pro Wrestling Festival

@highlight

Organized by Japanese wrestling star turned politician Kanji "Antonio" Inoki

@highlight

NEW: CNN visits water park and birth site of North Korea's founder

@highlight

Relations between Japan and North Korea are starting to thaw