(CNN) -- Construction crews began working on nearby tent cabins in Curry Village not long after Jenna Beck and her family arrived at Yosemite National Park.

Beck had reserved seven nights in one of the park's 91 "signature tent cabins," now at the epicenter of a hantavirus investigation. Eight visitors to the park have contracted hantavirus pulmonary syndrome, and three of them have died. Officials on Thursday confirmed that someone who stayed in another part of Yosemite contracted hantavirus.

When campers checked out, crews moved in, spraying the tent cabins with bleach, replacing canvas and insulation, and hammering in new boards, Beck said. Curious about what was going on, she asked a crew member whether it was annual maintenance. The worker said they were dealing with a mice problem.

"When we checked in, nothing was said to us," said Beck, who got to the park August 18. "We had no clue that anything was going on. There was no word to us, nothing about a rare and deadly disease."

Scott Gediman, spokesman for Yosemite National Park, said the California Department of Public Health issued a news release August 16. He said park officials were handing out fliers and fact sheets to park visitors and had the notices at the front desk.

"We certainly had an extensive outreach effort, but I can't guarantee that every person was contacted during that week," Gediman said.

Beck, 38, said she and her boyfriend, David Sotar, 40, did not find out about the hantavirus investigation until August 24, when they found a note on their cabin that said they needed to be immediately relocated.

When she went to the registration desk to find out what was going on, she was told about the hantavirus cases and given a pamphlet about the virus. She was livid.

"I'm worried. We've been taking a lot of vitamins and have been watching each other," Beck said. "The minute anybody exhibits any flu-like symptoms, we're going straight to the doctor."

Gediman said that the situation was fluid and that officials inspected, cleaned and disinfected the cabins to make sure they were as rodent-proof as possible. Delaware North Company, the park's primary concessioner, hired a private contractor to retrofit the cabins and eliminate any gaps between the canvas and the wood where rodents could get in.

"We were very transparent up front," Gediman said.

Officials closed the cabins in late August, and they are closed indefinitely.

The situation has proved unsettling for Beck's mother, Mary Kay Beck, who accompanied her daughter, her grandson and Sotar to Yosemite. She sat reading her book while the crews worked. At one point, she saw workers remove insulation from a tent nearby that an animal had shredded. The bottom of it was discolored by urine and had droppings.

Although Beck is concerned about potential exposure and is unhappy with the way the situation was handled, she and other campers said the hantavirus cases will not deter them from future vacations in Yosemite or from camping elsewhere.

"Will I camp again? Absolutely, yes, I will go camping again," Beck said, adding that Yosemite is one of her favorite places. "That was not camping. That was staying in a crummy tent that was a public health risk, a public health nightmare."

Raquel Garcia, 38, of Fullerton, California, went to Yosemite in early August with relatives. The group rented four tent cabins in Curry Village but did not stay in the signature tent cabins.

Garcia isn't worried. She already has reservations to stay in the same place next year.

"Are you going to live your entire life in a bubble because you are afraid you are going to be exposed to something? You just try to make the best choices you can for your family," she said. "I don't feel like enjoying nature like that is putting them at risk."

Kevin Battey, 31, of Riverside, California, is a frequent camper. Many wild animals are carriers of disease, he said, and there are always risks when you stay outdoors.

Battey stayed in the Upper Pines campground in Yosemite in early June and proposed to his girlfriend on the top of Half Dome.

"I think it could happen anywhere," he said. "It's just something to think about whenever you go camping."

Health officials have sent warnings about the hantavirus cases to park visitors from 39 other countries. The Centers for Disease Control and Prevention has said that up to 10,000 people could be at risk.

Yosemite, which receives about 4 million visitors a year, has been contacting people who stayed in the signature tent cabins between mid-June and the end of August. Seven of the eight people who contracted the virus stayed in those cabins. The eighth person stayed in multiple High Sierra Camps in Yosemite in July, the California Department of Public Health said Thursday. That visitor had mild symptoms and is recovering. Six of the people who contracted the virus are from California. One visitor is from Pennsylvania and the other is from West Virginia.

Officials are advising anyone with hantavirus symptoms to seek immediate medical attention.

Rare but serious, hantavirus pulmonary syndrome is caused by a virus that people get through contact with the urine, droppings or saliva of infected rodents, primarily deer mice. In California, the deer mouse is the only carrier of hantavirus, and about 14% of mice in the state carry the disease, according to the National Park Service.

Symptoms appear one to six weeks after exposure and may mimic a cold or the flu. Symptoms include fever, chills, headaches, gastrointestinal problems, muscle aches and fatigue. It is not contagious from person to person.

What you need to know about hantavirus

People have contracted hantavirus while camping before, said Brian L. Hjelle, a medical doctor and a professor at the University of New Mexico's Health Science Center in Albuquerque. Hjelle, who has worked extensively on hantavirus, said a man camping on the floor of the Grand Canyon contracted the virus after a mouse ran across his face.

"It does happen, but probably the risk to any individual person is pretty low," he said. In general, the virus requires an active infestation; many people who have contracted the virus have reported seeing live or dead mice.

Hjelle said he wouldn't be surprised if there were previous cases of hantavirus connected to Yosemite that hadn't been tracked back to the park. Before this year, Yosemite National Park had one hantavirus case in 2000 and one in 2010.

"I think that they probably are going to need to look at their practices more carefully in that particular site," Hjelle said. Even though campers are warned to protect food from bears, there is no doubt a lot of food in the area, which can attract mice.

"You can't have that many visitors packed in that tight with food," he said. "It might not be possible to do what they are doing (at Curry Village) in the long-term."

@highlight

CDC officials have said that up to 10,000 people could be at risk for hantavirus

@highlight

Yosemite's "signature tent cabins" are closed indefinitely

@highlight

Many campers say outbreak won't keep them from coming back