(CNN)Harley Earl taught Detroit how to get its Hollywood swing on. He's credited for single-handedly igniting an automobile renaissance. His legacy has been compared to Leonardo da Vinci and even Steve Jobs. I mean, this guy created the Corvette, for God's sake.

So, with a resume like that, why isn't Harley Earl a household name?

It's not like Earl was a slacker. He came to Detroit from Hollywood, where he was designing cars for movie stars. As General Motors' top designer, Earl created iconic cars with unique, sweeping lines and features like tail fins and wraparound windshields.

"It's uncanny how he embodied the words 'pioneer' and 'trailblazer,'" Earl's grandson Richard Earl said on the phone last week from his home in West Palm Beach, Florida.

"Harley Earl was the first car designer to allow regular folks to get their hands on a work of art. He allowed you to step into the equivalent of a Rembrandt, drive it away and then show it off."

During his heyday spanning the 1930s to the late '50s, Earl created innovations that were decades ahead of their time:

-Rear backup cameras connected to dashboard video

-An automated driving system

-Collision warning alarms

-Cruise control

-Keyless entry

-Onboard computers

-Rain-sensing technology

Earl was the first, say experts, to meld car style with functionality — kind of like what Apple's Steve Jobs did with personal computers.

Related story: World's 'crazy beautiful cars'

Jobs and Earl executed their unique vision in similar ways. The Apple chief had a reputation for being demanding. So did Earl. Standing at 6 feet, 4 inches tall, "Earl was very authoritative, he absolutely got his way," said award-winning automobile journalist Ken Gross. "He got his own way because he had the taste, the intelligence and the vision to force it."

Like Jobs, Earl "offered products we didn't know about until they were unveiled," wrote ZDNet's Oliver Marks. "Some of these innovations turned into products Americans wanted so badly they then couldn't live without, a format Apple has used with devastating effectiveness. ..."

Yep, Jobs called those heart-pounding product unveilings "keynotes." In the 1950s, Earl called them Motoramas.

Motoramas were GM's annual traveling car shows where new designs were unveiled. Eventually, "people aspired to have the latest, the most exciting, the most stylistic" cars every year, said Gross. That spurred sales, created jobs and helped turn automobiles into the lifeblood of America's economy.

Death in the family

All this innovation and success came in the wake of a family tragedy. In 1927, Harley and Sue Earl's 2-year-old son Billy died suddenly after a botched medical procedure.

"To deal with it, he thew himself into his work," Richard Earl said. "It left him a little terrified of being a father." Harley Earl developed a reputation as an imposing workaholic who ruled his design studio "with an iron hand, demanding minute changes, ordering countless modifications," according to Gross.

His drive to execute his vision turned Harley Earl into a car industry disruptor, 70 years before disruptors became cool. GM's competitors didn't want to redesign their cars every year. But Harley Earl's success forced them to.

His unconventional ideas -- and even his flamboyant pastel suits -- shoved the car-making establishment back on its heels. Here was "this stylish, dominating, supercreative guy amidst the gray suits and the finance folks," said Gross.

"I'm sure during lunches at the Detroit Athletic Club there were people who were annoyed by Earl -- saying kind of, 'Who is this guy?'"

Earl also wanted to put a finger in the eye of European car-makers who dominated the sports car market at the time. That's kind of how the Corvette was born.

By the early 1950s, Harley Earl was tired of seeing European roadsters on America's highways. As Richard Earl put it: "Harley was like, 'No more!'" It was high time for the Europeans to meet a worthy American competitor.

"Harley and a board-man and a body engineer sat around and came up with the idea for the Corvette in a darkened room in Detroit's historic Argonaut Building," Richard Earl said. "It was Harley's vision pure and simple — a lot of people forget that Harley was not only an artist, he was an engineer."

Today, 62 years after its debut, GM describes the Corvette as, the "world's longest-running, continuously produced passenger car." Experts call it the most collected car in America.

Related: Rocket-powered 'Vette

'Vettes have held a treasured place in Richard Earl's heart since age eight. That's when a simple gesture from his grandfather forged a memory he will never forget.

To celebrate young Richard's birthday, Harley Earl made plans to take him on a spin in one of his custom Corvettes, a 1963 Sting Ray convertible painted a stunning bright blue and outfitted with spectacular chrome side-pipes.

The car's top was off when Harley Earl pulled into the driveway wearing his aviator shades. Richard hopped in. "You ready to roll?" grandfather asked. "I felt like I'd been touched by the automobile gods," Earl recalled with a chuckle. "He was kind of like a movie star, with a kind of presence about him."

Off they went on a sports car adventure, cruising through the ritzy avenues of Palm Beach turning heads at every corner. "Nobody had a car like this," Earl recalled. "People noticed."

"I remember him stepping on the accelerator," Earl said. "I remember the roar of the engine. I remember the smile that spread across my face when he'd go fast ... and slow down ... and go through an S turn. It's a feeling I only had once in my lifetime. And it was a great feeling."

Related: Corvette Z06 among world's fastest cars

An army of Harley Earls

Decades later, Richard Earl is on a crusade to invigorate his grandfather's legacy and to spark a car design revolution. So many car designs today all look the same, Earl complains. He wonders if 21st century automakers have forgotten that innovative designs can boost car sales. "I want to inspire an army of new Harley Earls across the planet," he said.

Gross admits that "some people think of their cars more like appliances," instead of appreciating them as functional art. But Harley Earl never had to include all of today's safety and environmental factors in his designs. Nonetheless, Gross said there are plenty of stylish designs coming off modern assembly lines. He named Cadillac, Mercedes-Benz and even BMW, despite its much-dissed "Bangle-Butt."

So why ISN'T Harley Earl a household name? Should he be?

"For a lot of people who aren't enthusiasts, it's not particularly important who designed the car," Gross said. "I don't know that anyone is going to erect a statue to Harley Earl, but I think it's important that he's remembered. There really isn't anybody today in the design industry that has the impact and the clout, the presence and the profile that Harley Earl had in his day. ... But Harley had a unique set of circumstances. He was The Man."

Future product designers could take a few lessons from Earl, said Gross, including having "the courage of their convictions" and being "confident in their creativity."

Full circle

In 2007, Harley Earl paid a visit to his grandson.

Well, sort of.

Richard Earl reunited with his late grandfather's 1963 blue Sting Ray at a car show, where he got a chance to relive that birthday cruise.

As Richard steered the roadster through its paces, his mind returned to that day, exactly 40 years earlier. "The story had come full circle," Richard said.

He remembered his grandfather's rare demonstrations of affection as they exited the car —  tousling Richard's hair, then, a warm embrace.

"I think he really was trying to be a good grandfather," Earl said. "Maybe that wasn't the easiest thing for him most of his life, because he had worked so hard. But we had a moment — it was one of those moments you treasure."

@highlight

Experts say we can take a lesson from legendary car designer Harley Earl

@highlight

Corvette creator Earl shared management traits with Apple chief Steve Jobs

@highlight

Harley Earl was a Detroit "disruptor," 70 years before disruptors got cool