Tamerlan Tsarnaev is telling no tales. The older of the two brothers who allegedly committed the Boston Marathon bombings was likely the one who planned the attack, but when he died in a shootout with police just days after the blasts, his thoughts and motivations vanished with him.

But the brain that was home to his angry mind remains, and in this case that may mean something.

Tsarnaev was an amateur boxer who won the New England Golden Gloves competition as recently as 2009 and 2010. That speaks to a young man with a healthy sense of discipline and focus, and if he had a violent streak, it was violence well-channeled.

What we know about the suspects

But his sport of choice suggests the possibility of something else too: traumatic brain injury.

As the National Football League and other pro sports increasingly reckon with the early dementia, mental health issues, suicides and even criminal behavior of former players, the risk of what's known as chronic traumatic encephalopathy (CTE), is becoming clear.

Roughly 4,000 former NFL players and 2,000 of their spouses are currently suing the league, claiming that the perils of head injuries were never explained to them and, indeed, that the players were pushed to get back on the field even when it was clear that they had suffered concussions.

It was inevitable, then, that questions would be raised about whether Tsarnaev's brain may have been similarly traumatized during the years he boxed, and if there had indeed been damage, did that spark his alleged murderous behavior? The answer is a likely yes to the first part and a likely no to the second.

TIME.com: Terrorists and mass shooters: More similar than we thought

Boxers are perhaps the best-studied victims of CTE, with the consequences of consistent trauma to the head described initially as "punch drunk," but emerging as CTE in the 1950s, says Dr. Robert Stern, cofounder of the Boston University Center for the Study of Traumatic Encephalopathy.

The term "better describes a neurodegenerative disease caused, at least in part, by repetitive brain trauma," he says.

The presence of CTE can only be confirmed postmortem, by looking for tau proteins in the brain -- produced when neural connections stretch and show signs of wear. Whether the presence of those proteins, however, play any role in behavior is less clear.

In general, older people with CTE exhibit problems with memory, attention span and the ability to learn new material -- all of the things we associate with Alzheimer's disease and other forms of dementia. They may also exhibit impulsiveness, anger, situational explosiveness and paranoia, which are familiar as well to families of people suffering from dementia.

In younger people, the predominance of the symptoms is frequently reversed: outbursts and lack of impulse control come first, with an underlying loss of cognitive abilities eventually following.

And that's the problem with looking for CTE in Tarnaev. Authorities haven't revealed if they plan to examine his brain, and unless they have taken some necessary steps to preserve it for study, they may have lost that option already.

But it may not matter. "The Boston bombing was a planned attack," says Dr. Robert Cantu, also of Boston University and co-director of the Encephalopathy Center. "There were lots of explosive devices put together in a very premeditated way. There was no flipping out here, no impulsiveness. That's not what you see with CTE in younger people."

That doesn't mean Tsarnaev didn't have brain trauma related to his boxing. "I think he did," Cantu says. It's just that it may not have caused his alleged criminal behavior.

TIME.com: Brother's keeper: Did older sibling lure brother into plot?

That points to the difficulty of establishing any link between the condition of a brain and actions that may or may not result from it.

Cantu points to the case of the late pro wrestler Chris Benoit, who killed his wife and son and then himself in 2007. When his brain was studied after he died, it showed signs of CTE-- but here, too, it might have had little to do with his murderous behavior.

"In Benoit's case the behavior was again premeditated. It took place slowly, over the course of a weekend. He even sedated his son first so he wouldn't suffer," Cantu says. Criminally pathological? Certainly. But triggered by CTE? Probably not.

TIME.com: Brothers in arms: Sibling psychology and the bombing suspects

For now, there is no cure for CTE and the best treatment is prevention, which sports leagues from Pop Warner football on up are beginning to address with rules changes and more stringent medical monitoring of players.

As my colleague Sean Gregory reported in January, investigators at UCLA have developed a still-experimental technique to detect CTE in the brains of living patients, using positron emission tomography (PET) scans and a radioactive dye that clings to tau proteins.

Early diagnosis, if it becomes routine, could be used to keep already ill people away from contact sports and prevent their condition from being exacerbated by more hits. They might also be enrolled in treatment and therapy programs that would slow the onset of what for now are inevitable symptoms.

While none of this likely would have deterred Tsarnaev from his alleged plot, it might be used to diagnose other people at risk of explosive CTE-related violence and stop them before they act out. By treating a single person's wounded brain, doctors could one day save uncounted other lives.

This article was initially published on TIME.com.

The brain of a bomber: Did damage caused by boxing play a role in the Boston bombings?

@highlight

Tamerlan Tsarnaev was an amateur boxer who won competitions in 2009 and 2010

@highlight

That raises questions on the possibility of traumatic brain injury

@highlight

One expert says Tsarnaev likely did not have chronic traumatic encephalopathy