(CNN) -- Despite some signs that the economy is on the mend, a lack of confidence from consumers and companies alike may hamper job growth during the next few months, economists say.

Unlike this point last year, there are some indicators for optimism about the U.S. economy.

The market seems to be on a rebound, with stock prices growing steadily since March.

Meanwhile, the U.S. Gross Domestic Product, a broad indicator of the economy's strength, grew during the third quarter. It was the largest such growth since the summer of 2007.

However, the unemployment rate is staggering. The national rate hit 10.2 percent last month, the first time it has been double digits in more than 25 years.

The jobless rate increased in 29 states and the District of Columbia in October, according to a recent Labor Department survey. Thirteen states reported an unemployment rate above the current national rate.

Track unemployment numbers by state and industry

There is also concern that the GDP growth is largely the result of the economic stimulus implemented by the federal government and other government initiatives like the "Cash for Clunkers" program for automobiles.

Ben Bernanke, the Federal Reserve Chairman, said recently that economic conditions were better than they were a year ago, and a modest recovery was on the horizon.

Sounding a note of caution, he said: "Some important headwinds -- in particular, constrained bank lending and a weak job market -- will likely prevent the expansion from being as robust as we would hope."

Polls suggest many Americans are not confident about the economy.

"Some economic indicators may suggest that the economy has turned the corner -- but try telling that to the American people," said Keating Holland, CNN's polling director.

More than eight in 10 Americans say that economic conditions are in poor shape, according to a recent CNN/Opinion Research Corp. poll. Of that number, 43 percent described the conditions as "very poor."

See the poll results (pdf)

Ali Velshi, CNN's chief business correspondent, said it may not feel as if the economy is in a recovery until the jobless numbers decrease. That may partly explain the poll's findings.

Velshi described the American economy as being founded on three pillars. One is the value of a home growing at a rate faster than the cost of owning it, he said.

The other is the value of investments -- think of a 401(k) plan or an IRA or savings for kids' education -- increasing at a rate faster than inflation.

The third, and most important one, is income, Velshi said. "You can live without a [buying a] house. You can live without a 401(k). You can't live without an income."

On that front, Bernanke sounded somber during his remarks to the Economic Club of New York on November 16.

"The best thing we can say about the labor market right now is that it may be getting worse more slowly," he said. "Jobs are likely to remain scarce for some time."

Read Bernanke's remarks (pdf)

Bernanke said jobs will likely be created next year but a high unemployment rate may still hold through 2010.

So, why does unemployment continue to rise while Wall Street seems to be rebounding?

"There's this real disconnect between Wall Street and Mainstreet," said Peter Rodriguez, an economist at the University of Virginia. "Wall Street can benefit from forward-looking financial markets and they've already begun to rise.

"But that doesn't give anyone any new jobs."

Rodriguez said there was "an ample amount of what you might think of as underemployment in the active workforce."

Let's say you're a manager and you have 50 employees. During tough economic times, you might minimize the pain by cutting people's hours. Instead of working 40 hours, they work 35 hours, and your company limps along during the recession without having to lay off people.

"What that means is, on the return to normalcy, rather than hiring people, you just raise work hours," Rodriguez said.

Bernanke brought up the dynamic as well last week. "Recently, we've seen the interesting phenomenon that firms have come out of recessions in aggressive cost cutting mode and in doing so, they've actually created productivity gains," he said.

CNNMoney: Are things really getting better?

Consequently, the number of part-time workers who say they would like a full-time job but can't find one has doubled since the recession began, he noted.

However, those gains companies made while cutting back on workers are likely "limited and probably temporary," he said.

"If demand, production and confidence pick up, they will find their labor force stretched thin and they will add new workers," he said.

The trend might not change until companies and business owners feel confident enough in the economy to start hiring.

There are a number of factors that could influence that perspective, including access to credit, lending from banks and overseas competition.

They have to feel assured of a recovery to discard their caution and put their money at risk, Rodriguez said.

"They feel better, but not better enough to invest in growth," he said. "They're becoming slightly less timid, but we're still deep in the rehabilitation phase."

@highlight

The national unemployment rate is 10.2 percent

@highlight

Labor Department: The jobless rate increased in 29 states in October

@highlight

Federal Reserve Chairman Ben Bernanke sees modest growth on the horizon