(CNN) -- Believing that celebrity and success -- even attractiveness -- guarantee immunity from domestic violence is like believing famous people are magically protected from the dangers of other drivers on the road, airborne pathogens from a stranger's sneeze, or the path of a wild fire.

Domestic violence knows no boundaries, affecting women â€” and some men â€” who meet every descriptor of race, age, socioeconomic or educational status, sexual orientation, demography, geography, ideology, disability or theology. Domestic violence is more common than breast cancer and left-handedness.

Famous or anonymous, one in four women in this country will experience domestic violence in her lifetime, according to the Centers for Disease Control. Each year in the United States, 5.3 million women experience domestic violence, at an annual cost to the American economy of $5.8 billion.

According to the U.N. Women's 2011-2012 annual report, "This pervasive human rights violation affects all countries and communities." The World Health Organization reports that 15% to 71% of women ages 15 to 49 in a multicountry study had experienced intimate partner violence.

Notably, nowhere on this planet is there 0% violence against intimate partners. Nowhere on this planet is there a society immune to domestic violence. And no upscale neighborhood or celebrity-frequented restaurant is off limits.

So why should the recent public altercation between TV chef Nigella Lawson and her handsome, successful husband, Charles Saatchi, surprise anyone? In light of tabloid photographs that show Saatchi holding a tearful Lawson by the neck, it should be clear that intimate partner violence is a universal scourge. Why does the myth that intimate partner violence exists only in lower socioeconomic communities persist?

Saatchi has not been charged in connection with the incident and has denied his actions were abusive, calling the encounter a "playful tiff." Horrified observers reportedly had a different take.

Certainly no one wishes the suffering of violence on anyone regardless of who they are. But this alleged incident provides a painful reminder that it is time to permanently dissolve the mythology that domestic violence only happens to low-income women. And it is time to take such an outrageous public display of apparent violence seriously.

Shortly after the publication of the photos, Britain's Nick Griffin of the National Party tweeted: "If I had the opportunity to squeeze Nigella Lawson, her throat wouldn't be my first choice." Next, he followed up with this: "To feminist cranks whining re my 'objectifying' Nigella, she was happy to use her curves to sell books. Her chorizo & potato soup v good btw."

That's about as funny as referring to a sleeveless tank top as a "wife beater" and thinking that's OK.

Saatchi's downplaying of the incident as "playful" to the media is also no surprise. As a survivor of domestic violence myself, and an advocate and spokesperson for nonviolence for the past 18 years, I know that sentiment is on par with the common rationalizations for domestic violence I have heard: "She asked for it. She likes it. She made me mad. She provoked me. It was her fault."

Saatchi's comment does not match in scope the most outrageous response I once heard from a police officer about a man who shot his wife: "She ran in front of the bullet." But Saatchi's flippant dismissal matches our universal misunderstanding that domestic violence is not about us. It is always about other people somewhere else.

Unfortunately, the sorority of successful and powerful women who have reportedly been victims of domestic violence includes Halle Berry, Madonna, Whitney Houston, Pamela Anderson,  Mariah Carey, Tina Turner, Meredith Baxter and Rihanna.

Sometimes a batterer is the most charismatic man in the room; they are lawyers, doctors, politicians, business titans, actors, celebrities, singers and professional athletes.

I understand; domestic violence was not something I ever thought would happen to me. I married a man I knew my whole life; he was smart, handsome, kind and ambitious. We dated for three years with no hint of violence. That changed four months into our marriage. At the time, I thought I was powerful and successful enough to change him; I was not. We have been divorced 18 years.

What I learned is a partner's behavior is not something you can control, no matter how educated you are, no matter how idyllic your life was growing up, no matter how much you dreamed your life would go well.

And no matter if you are a vibrant, internationally successful best-selling author and chef.

Though she and her children have moved out of their family home, Lawson has yet to publicly comment on the situation. We don't know whether she views herself as a victim of domestic violence, but those photographs tell a story we need to keep repeating.

So many of us who believe the myths of domestic violence don't tell because we are ashamed to tell. We believe as successful women we are immune, that it happens to others. Millions of women around the globe in all manner of circumstances think they cannot say the truth about the violence in their lives because they will die of embarrassment.

But we all need to remember, in the most severe cases, it is never embarrassment that kills them.

@highlight

Celebrity chef Nigella Lawson was photographed with her husband's hands at her throat

@highlight

There's a common perception that women with money and means aren't abused

@highlight

The U.N. calls domestic violence a "pervasive human rights violation"

@highlight

Michele Weldon calls Charles Saatchi's dismissal of the incident "flippant"