In a church in Irbil, 40-day-old Yeshua lies asleep in a crib, his sister playfully rocking him. It's a peaceful scene. Their mother watches over them, but her face shows the fear and despair many Iraqi minorities have felt over the past few days.

The Sunni militant group ISIS, which calls itself the Islamic State, has steamrolled into Iraq's north, forcing hundreds of thousands of minorities from their homes. The militants have beheaded some who won't bend to their will and are "putting people's heads on spikes" to terrorize others, a senior U.S. administration official said.

Nearly 40,000 Yazidis are trapped on the top of Mount Sinjar with few resources; many with just the clothes on their back, U.S. President Barack Obama said in an address late Thursday evening.

"These innocent families are faced with a horrible choice," Obama said. "Descend the mountain and be slaughtered, or stay and slowly die of thirst and hunger."

So who are these people being threatened by the Islamic State? And why do the militant Islamists have them in their cross hairs?

The Yazidis

The Yazidis are one of the world's smallest and oldest monotheistic religious minorities. Their religion is considered a pre-Islamic sect that draws from Christianity, Judaism and the ancient monotheistic religion of Zoroastrianism.

Yazidis worship one God and honor seven angels. Unlike Muslims and Christians, they reject the idea of sin, the devil and hell itself.

Many Muslims regard them as devil-worshippers because the Yazidis revere an angel who, their tradition holds, refused to obey God.

Their religious differences have made them a target for persecution throughout history, most recently during the U.S. war in Iraq -- in 2007, more than 700 people were killed when suicide bombers attacked a Yazidi village. Before that, they were targeted for centuries under the rule of the Ottoman Empire.

Iraq's Yazidis trapped, hiding from ISIS in the mountains

President Obama and U.S. Secretary of State John Kerry have said that if the Yazidis are not protected, their slaughter could quickly escalate to a genocide.

To help the trapped people, the U.S. has sent them humanitarian airdrops. Obama has authorized airstrikes against the Islamic State fighters who are threatening the Yazidis there.

Opinion: What chance to Yazidis have against group too brutal for al Qaeda?

The U.S. State Department's 2013 International Religious Freedom Report estimates that approximately 500,000 Yazidis live in the northern Iraq, accounting for less than 1% of the country's population. Another 200,000 live in other parts of the world, according to the website YezidiTruth.org.

Like the Kurds, they mostly reside in Iraq's north, many in the town of Sinjar in northwestern Nineveh province, bordering Iraq's Kurdish region. The province is home to mostly Arabs and Kurds, who have jostled for control over it for centuries.

Iraqi Yazidi lawmaker: 'Hundreds of my people are being slaughtered'

But Yazidis also reside in Turkey, Syria, Armenia, Iran and parts of the Caucasus region.

The people speak Kurdish and are of Kurdish descent, but most see themselves as ethnically distinctive.

Iraqi Christians

Before being targeted by ISIS, an enormous portion -- some say as many as half -- of Iraq's Christians fled the country at the start of the U.S. war in 2003. Al Qaeda in Iraq, which preceded ISIS, brutally targeted the country's Christian minority.

According to the State Department, Christian leaders and nongovernmental organizations estimate that there are approximately 500,000 Christians in Iraq -- a that figure has declined by nearly 300,000 in the last five years. At one point there were over a million Christians living in Iraq.

7 terrible countries for Christians

Most Iraqi Christians are Chaldeans, who are communicants with the Roman Catholic church. They predominantly reside in northern Iraq.

The al Qaeda splinter group has taken control of the country's largest Christian city, Qaraqosh. And last month, Christians in the country's second largest city, Mosul, were told they must convert to Islam, pay a fine or face "death by the sword."

"Christian communities are particularly affected: a people fleeing from their villages because of the violence that rages in these days, wreaking havoc on the entire region," said the Rev. Federico Lombardi, a spokesman for Pope Francis.

The Pope said on Twitter: "I ask all men and women of goodwill to join me in praying for Iraqi Christians and all vulnerable populations."

ISIS overtakes Iraq's largest Christian city

Turkmen

The majority of the world's Turkmen, a Turkic-speaking, traditionally nomadic people, live in Turkmenistan and elsewhere in Central Asia.

But a small minority of them can be found in the Middle East, primarily in northern Iraq, Iran and Turkey.

The city of Tal Afar, whose population is mostly made up of Turkmen, was caught in the crossfire of sectarian violence between Shiites and Sunnis during the recent Iraq war -- a suicide attack killed 150 people in 2007. The city's  population dwindled from about 200,000 to 80,000 in just a few years.

Sunni Turkmen make up 1% to 2% of Iraq's population, according to the State Department. A smaller group of Shia Turkmen live there, as well.

Shiites

Despite the risk ISIS poses to Yazidis, Turkmen, Christians and the country's other minorities, the risk to Iraq's majority Shia Muslims is far more widespread.

In their quest to create an Islamic caliphate stretching from Syria to Iraq, ISIS has targeted Shiites in both countries.

In June, the group claimed on Twitter that it killed at least 1,700 Shiites in June. ISIS is also fighting Syrian President Bashar al-Assad's forces in Syria. Assad is a member of the Alawite sect, on offshoot of Shia Islam.

Like many of the minorities in in the Nineveh province, Shiites and Alawites have been labeled as infidels by ISIS.

Shiites outnumber Sunnis in Iraq on the whole. Most of Baghdad is predominantly Shiite, but large portions of Iraq's western and northern territories contain Sunni majority populations.

Maps: Where is ISIS?

Will anyone stop ISIS?

Opinion: Stop ISIS from committing genocide

@highlight

Nearly 40,000 Yazidis are trapped on the top of Mount Sinjar

@highlight

The Islamic State has forced hundreds of thousands of minorities from their homes

@highlight

The U.S. has sent  them humanitarian airdrops and authorized air airstrikes