Kabul, Afghanistan (CNN) -- U.S. Secretary of State Hillary Clinton flew to Afghanistan early Saturday as part of a 13-day trip that will tackle some of the thorniest U.S. foreign policy issues.

Clinton was in Kabul on a previously unannounced visit and will meet with Afghan President Hamid Karzai.

During the trip, the top U.S. diplomat also will meet Israeli and Palestinian leaders, visit Egypt, where tensions are rife between military and civilian leaders, and attend a conference of leading Asia-Pacific nations, the region of increasing strategic focus for the United States.

In Paris, the first stop of the trip, Clinton attended a meeting Friday of the Friends of Syria, a group of more than 60 countries that aims to find a solution to the Syrian crisis.

Clinton lambasted Russia and China on Friday for blocking efforts to topple Syrian President Bashar al-Assad, who has lost a key general to defection.

Clinton will travel to Tokyo to attend a conference Sunday about providing future financial support for reconstruction and development in war-torn Afghanistan.

NATO-led troops have been fighting against Islamic militants in Afghanistan for more than 10 years, and the country still has a strong dependency on foreign aid.

Poverty and corruption are widespread in Afghanistan, which came in 172nd out of 187 countries in the United Nations' 2011 Human Development Index, which ranks nations based on life expectancy, education and living standards.

The conference in Tokyo will address Afghanistan's likely financial needs for the period starting in 2015, the time troops from the United States and other coalition members are expected to have withdrawn from the country.

At the start of next week, Clinton will make stops in Mongolia, a resource-rich but economically underdeveloped neighbor of China and Russia; and Vietnam, which is locked in territorial dispute with Beijing over parts of the South China Sea. She also will visit Laos, a small communist-ruled nation in Southeast Asia that has not been visited by a U.S. secretary of state in 57 years.

She will then spend the second half of next week in Cambodia, where senior officials from countries like China, Indonesia and Myanmar are attending meetings organized by the Association of Southeast Asian Nations.

In Asia, the Obama administration has tried to find a balance between engaging with Beijing while seeking to contain its growing influence. Fostering stronger ties with China's neighbors is a crucial part of this approach.

On July 14, Clinton will travel to Egypt to express support for the country's "democratic transition and economic development," said Nuland, the state department spokeswoman.

But it's a transition that some in Egypt fear may last indefinitely.

Mohamed Morsi was sworn in Saturday as Egypt's first democratically-elected president, taking the helm of a deeply divided nation that is economically strapped and lacks a working government.

His inauguration was overseen by Egypt's military rulers, who have been in control of the country since Hosni Mubarak was ousted last year during a popular revolution.

The generals dissolved the Egyptian parliament last month after a high court ruled that it was unconstitutional. They also named a defense council to oversee national security and foreign policies.

Morsi has suggested that control of legislative powers should return to civilian hands, and some of his supporters are pushing for a confrontation with the military rulers.

Clinton will wrap up her trip with a visit to Israel, where she will meet the country's leadership to talk about "peace efforts and a range of regional and bilateral issues of mutual concern."

High among those matters is likely to be Iran and its controversial nuclear program.

Western powers are concerned that Iran is developing nuclear weapons even though Tehran insists the program is for peaceful, civilian energy purposes.

Israel has said it may attack Iran to halt the program. It has expressed skepticism that the mixture of sanctions and negotiations being pursued at the moment by the United States and European nations is deterring Tehran from pursuing nuclear weapons.

CNN's Jethro Mullen contributed to this report.

@highlight

NEW: Secretary of state arrives in Afghanistan

@highlight

Clinton's 13-day trip will involve key Middle Eastern and Asian issues

@highlight

She will visit Egypt, as well as meeting Israeli and Palestinian leaders

@highlight

In Tokyo, she will attend a conference about Afghanistan's future