(CNN) -- After five years of trying, an international group of authors have achieved their aim of taking their Palestine Festival of Literature to Gaza for the first time.

The annual traveling festival, known as PalFest, was set up in 2008 to bring book readings and cultural events to Palestinians who otherwise had little access to the outside world.

Each year the literary festival has visited several cities in the West Bank, but has been unable to gain permission from Israel to visit Gaza.

Israel imposed an economic blockade of Gaza when Hamas took over in 2007, which it says is needed to stop the transit of weaponry to be used by militants in attacks on Israel

This year, the group of 37 writers, artists and community organizers applied instead to enter Gaza from Egypt through the Rafah crossing, which re-opened last year. After a two-week wait, they were granted permission from the Egyptian Ministry of Foreign Affairs to enter Gaza.

Also on Inside the Middle East: Gaza music students find smart ways around travel ban

"We didn't know if we would get in until the very last minute," said Jamal Mahjoub, a British Sudanese author who traveled with PalFest. "We didn't know if we would manage until we actually crossed the border."

The group included Palestinians living in Jerusalem, West Bank and around the world, and prominent Arab authors including Egyptians Ahdaf Soueif and Khaled al Khamissi. None of them had been to Gaza before.

They spent five days in Gaza from May 5-9, running workshops for university students, free public events and visiting refugee camps.

Also on Inside the Middle East: Iraqi artist inspired by George W Bush shoe thrower

The 10-piece Egyptian band Eskenderella, which became well-known for playing in Tahrir Square during the Egyptian revolution, played its first concert in Gaza to a packed hall.

Omar Robert Hamilton, an independent filmmaker and founder of PalFest, said: "Coming to Gaza was a necessity. We have tried every year but always failed before. Everything was incomplete until we came.

"It was vital to come here because of the fact that it's so divided and considered a separate entity, but at the same time totally connected to the West Bank."

In total around 2,000 Gazans attended the PalFest events. In one event, each author had 10 minutes to give the message they had always wanted to say to Gazans.

Hamilton added: "It's been pretty overwhelming. Everyone is so welcoming and pleased that we have managed to get there.

"They are very frustrated by the lack of access to the outside world. It's been a very emotional trip, but overwhelmingly positive.

"We began PalFest as an attempt to help connect Palestine with the rest of the world. Lack of access to art, culture and education is a form of restriction.

"We wanted to do what we could to support cultural life in Palestine, and to put on a festival that would be taken for granted anywhere else."

PalFest collected more than 1,500 books -- including copies of an anthology of extracts from works by festival participants -- which were distributed to cultural centers and university libraries.

Also on Inside the Middle East: Unspoiled island sanctuary caught on camera

Mahjoub said: "There was a real thirst for any books they could get their hands on: poetry, contemporary novels, books about history and politics. It's hard for people and institutions to get enough books and resources.

"They are hungry for any kind of cultural life, as there are no cinemas and few concerts."

He added: "The most important thing has been meeting people and talking on a cultural level, to hear about their experiences and their isolation.

"We have driven up and down the country and have tried to get as broad a picture as possible of what it's like to live here. I didn't come to lecture people about my literature, but to find out what their experiences are."

PalFest organizers said that on Wednesday evening the closing event was shut down by the police, but added that police later apologized for the incident, saying it was an "individual error."

PalFest is supported by organizations including the UK Arts Council and the British Council. Its patrons including Nigerian novelist Chinua Achebe, British author Philip Pullman and British actor Emma Thompson.

This year's festival also included one event in Ramallah in the West Bank and one in Cairo, Egypt, on May 11.

@highlight

PalFest is a traveling festival that visits Palestinian communities

@highlight

The group entered Gaza for the first time after four years visiting Jerusalem and the West Bank

@highlight

The 37 writers and artists received permission from Egypt to enter Gaza through the Rafah crossing