(CNN) -- One year ago this week, President Barack Obama launched the Atrocities Prevention Board to find ways to get ahead of the kind of crisis we're seeing in Syria, and the kind we witnessed in Darfur and Rwanda.

The board's aim is to shift U.S. foreign policy away from responding to atrocities to preventing them; to oversee the development of prevention and response policy, and to deal with urgent situations as they arise. The board is under the chairmanship of the National Security Council and is a result of a decades-long effort by the global anti-genocide community. It marks its one-year anniversary 10 years after the genocide began in Darfur, and nearly 20 years after Rwanda.

Given the changing nature of warfare, the board -- and the 12 agencies that compose it, including State, Defense, Homeland Security, CIA, and the Agency for International Development -- also was charged with suggesting ways in which conflict prevention could be more nimble and effective.

The problem, however, is that we're still using hardware to fix a software problem. And we're not particularly nimble. In a fast-moving, interconnected, and open-information world, anticipating and preventing armed conflict or mass atrocities requires tools that are equally as fast, flexible and high-impact as the modern perpetrators of violence.

We don't need new targeted sanctions programs, visa bans, or expanded military authorizations. These are old tools, more reflective of an outdated, hard-powered and overly militarized approach to engagement than those needed to counter 21st-century security threats.

The tools we need are people who are well-trained, technologically connected, fully empowered and well-resourced in hot spots throughout the world. These people, American and local, collect our intelligence, design and inform our early warning systems, quell political unrest through diplomacy and development, and train the next generation of leaders in conflict regions to read and write, legislate and litigate, reignite broken economies and repair eroded social fabric.

What work did we do in the last 10 years in Syria or Libya to empower civil society in conflict prevention, invest robustly in strengthening governance, access to justice and the rule of law, and expand information networks and open communication? We did very little.

This work -- building human capacity in countries in turmoil and expanding systems for information sharing -- is the single most cost-effective approach to atrocity prevention when the true objective is sustainable peace. And yet we have left meager footprints on these fronts in Afghanistan or Iraq.

As the Atrocity Prevention Board begins its second year, the road ahead must be redesigned to better reflect these recommendations. If we want to prevent more situations like Syria, we must work closely with Congress to protect or increase funding for the State Department's Conflict Stabilization Operations and the Complex Crises Fund, international organizations, transition initiatives, and programs focused on access to justice, governance and security reform, human rights and social inclusion.

How do we get Congress to fund this critical atrocities prevention work in the age of sequesters and cost-cutting measures? Engage the American public.

The public will be essential for atrocities prevention efforts to succeed. The American public is behind us on this. According to a poll by the U.S. Holocaust Museum, seven in 10 Americans think the United States should prevent or stop genocide or mass atrocities from happening in another part of the world. Engagement with the American public is an untapped resource of support. Yet, a year after the board was established, a clear mechanism for civil society to engage in its work does not exist.

We commend the Obama administration -- along with civil society, international institutions, think tanks and academics and activists in anti-genocide and prevention -- for their efforts to advance our national understanding of modern day conflict, and our ability to respond in a truly paradigm-shifting way. The Atrocities Prevention Board filled a major hole in U.S. foreign policy and sets a promising trajectory for increasing the U.S. and international community's ability to prevent mass atrocities.

But more work is needed. Now it is time to take that commitment to the next level by issuing an executive order spelling out the U.S. government's strategy for preventing mass atrocities and the key tasks of those charged with making it happen.

We can stop the next genocide. We can prevent the next violent conflict. But to do so, we have to commit the resources early, not after atrocities have already started.

The opinions expressed in this commentary are solely those of the writers.

@highlight

President set up Atrocities Prevention Board to get ahead of potential genocides

@highlight

The board's aim is to shift U.S. policy away from responding to atrocities to preventing them

@highlight

Writers: Congress needs to put long-term efforts in place in potential hot spots

@highlight

Writers: Sanctions, visa bans or military operations don't work in modern-day conflicts