(CNN) -- A free Lamborghini in Miami, Florida.

Brazos, a new luxury condo development in Austin, Texas, will auction off its rooms at deep discounts in May.

Complimentary housekeeping in Phoenix, Arizona.

Two bedrooms for the price of one in Atlanta, Georgia.

It's a buyers market again for condominium shoppers after years of artificially high prices and speculation. Marketing gimmicks, along with auctions, upgrades and incentives, continue to be wildly popular for developers desperate to relieve the inventory glut.

"We want to move the products as fast as we can," said Summer Dunham, marketing manager for Starpointe Communities, which develops luxury condominiums in Scottsdale, Arizona, one of the first states slammed by the nation's housing crises. "It was very slow in 2008. Everyone had difficulty selling."

So in February, the determined company auctioned off 20 four-story condominiums overlooking a golf course, private park and three swimming pools against a mountain backdrop. The upscale properties were priced as high as $1.6 million before the market sank.

The auction was declared a success for the company, which sold nearly all of its units in a weak market where only 115 out of nearly 2,000 available units have closed in the first quarter of this year, according to a report by Metrostudy, a research firm tracking the condo market.

And bargain hunters were jazzed to pay, on average, $600,000 for a unit at the auction.

"Developers will bend over backwards to sell these units," said Brad Hunter, chief economist at Metrostudy. "There is no limit on the number of ways they will work with someone to sell at this point."

Condominium sales continue to sag amid soft demand from buyers. Metrostudy reported that sales prices nationwide have dropped from a massive and unsustainable pace that reached a crescendo in 2006.

Sales are at a virtual standstill today. For example, only 158 units closed out of 3,137 available units in Palm Beach County, Florida, during the first three months of this year, according to Metrostudy.

The situation has only worsened with the  economic downturn, Hunter said. Buyers are tightening their wallets and demanding lower prices. Recovery isn't expected for several more years in some markets, the firm says.

Even more troublesome, thousands of new units are entering saturated condo markets such as Miami, Florida, and Phoenix, Arizona. Much of the financing from the projects came before the condo market collapse, experts say.

Meanwhile, the value of existing condominiums is falling. The National Association of Realtors found that the prices for existing condos has dropped nearly 16 percent since 2006. The small number of recent sales probably were brought on by the deep discounts, said Walter Molony, spokesman for the group.

"The condo market is starting to improve, but you still have a long way to go," Molony said.

Other prospective buyers are having trouble obtaining loans to make down payments in a tight credit market, housing experts say. This month, Fannie Mae implemented additional fees on condominium loans regardless of applicants' credit scores. Some private mortgage lenders are also refusing to give loans to buyers for condos that are empty or have delinquent owners.

But if buyers do have the cash saved up, now may be the best time to finance. Interest rates have fallen to under 5 percent in some places.

In some condo markets, marketing teases are still popular. While they may not make the sale, they spark interest, sellers say.

"At one point, they were giving away free flights, free Vespas," said Ben Kakimoto, a Realtor at John L. Scott Real Estate specializing in condos in Seattle, Washington.

Kakimoto said at least five more high-rise luxury condos are set to open in downtown Seattle this year in addition to the oversupply already on the market. His research shows there is a 9.2-month supply of condos in Seattle -- the highest number his company has ever seen. A healthy market should have about five or six months of supply, he says.

High-end shoppers will find luxury properties like the South of Fifth development in South Beach, Florida, which offered a free Lamborghini worth $260,000 when buyers purchased one of the multimillion-dollar properties, said Sildy Cervera, who managed the sales.

"The fear factor is still holding people back," said Cervera, who ended the promotion this month after receiving ample inquiries but few buyers.

In recent months, auctioning has become a popular way for developers to liquidate their properties.

When consumers name a price, they can feel confident they are getting rock-bottom prices, said Chris Longly, a National Auctioneers Association spokesman. Auctioning also can encourage more buyers, he said.

Next month in Austin, Texas, Kennedy Wilson, a California company that handles auctions nationally, will auction units at the Brazos, a sophisticated development with prices previously at $200,000 to $1.6 million. Instead, the starting bid prices will range from $80,000 to $600,000.

Kennedy Wilson President Rhett Winchell said he has received four times as many inquiries for auctions in the last year, compared with the previous year. "We can sell out 30 to 50 properties at one single event," he said.

Last month in Atlanta, sellers auctioned off The Horizon at Wildwood, where sleek contemporary condos originally priced at $375,000 went for $200,000. In Atlanta, only 645 units units sold, leaving more than 6,000 units unsold in 2008, according to Haddow & Company, a real estate consulting firm.

It was here, at the Horizon auction last month at a W Hotel -- where drinks and finger foods were served -- that cattle rancher George Drake, 73, and his wife purchased a new two-bedroom condo for nearly 40 percent off.

"I got a fine deal," said Drake, who is currently painting the walls before he and his wife move in next month. "I am really pleased."

@highlight

Condo market continues to see slow sales in cities like Miami, Phoenix and Atlanta

@highlight

Thousands of units will come onto the market this year despite declining demand

@highlight

Auctions are selling upscale properties at 40 percent off to cut their inventory

@highlight

Marketing gimmicks like free cars, housekeeping or upgrades are also offered