(CNN) -- Why is the Mona Lisa the most famous painting in the world?

Her enigmatic smile? The mystery surrounding her identity? The fact she was painted by Renaissance pin-up boy Leonardo da Vinci?

Sure, all of these things helped boost the popularity of the 16th century masterpiece.

But what really catapulted the small, unassuming portrait to international stardom was a daring burglary over 100 years ago.

When Italian handyman Vincenzo Peruggia stole the Mona Lisa from the Louvre in 1911, he never could have guessed her absence would be the very thing that made her the most recognizable painting on the planet.

Suddenly images of the artwork were splashed across international newspapers, as the two-year police hunt hit dead-end after dead-end.

It wasn't until December 1913 -- exactly 100 years ago next month -- that Peruggia was finally caught and the Mona Lisa recovered, becoming the best known painting in a time before we shared images on TV, internet, and phones.

Today, she is the jewel in the Louvre's crown, helping attract over 9.7 million visitors to the Paris museum last year, and immortalized in everything from Andy Warhol's pop art to Dan Brown's bestselling novel, "The Da Vinci Code."

But had Peruggia instead slipped another artwork under his cloak that fateful day, it could have been a very different story.

"If a different one of Leonardo's works had been stolen, then that would have been the most famous work in the world -- not the Mona Lisa," said Noah Charney, professor of art history and author of "The Thefts of the Mona Lisa."

"There was nothing that really distinguished it per se, other than it was a very good work by a very famous artist -- that's until it was stolen," he added. "The theft is what really skyrocketed its appeal and made it a household name."

Bold burglar

So how did Peruggia pull off one of the greatest art heists of all time? With mind-boggling ease, it seems.

The handyman had been hired by the Louvre to make protective glass cases for some its famous works -- including the Mona Lisa.

After hiding in a closet overnight, he simply removed the painting, hid it under his smock, and was about to waltz out of the building when he discovered the door was locked.

Desperate Peruggia removed the doorknob, but still it wouldn't open -- until a helpful plumber passing by opened the door with his key.

It was 24 hours before anyone even noticed the Mona Lisa was missing, with artworks often removed to be photographed or cleaned.

"The Louvre had over 400 rooms but only 200 guards and even fewer on duty overnight," said Charney, founder of the Association for Research into Crimes against Art (ARCA). "There were basically no alarms in play."

"It was under-secure. But to be fair, most museums were at that time."

Front page news

The French press had a field day, seeing it as an opportunity to poke fun at the seemingly inept government which ran the Louvre.

This was an era where newspapers were really taking off, and pretty soon the theft -- and the image of the Mona Lisa -- was splashed across the world. "60 detectives seek stolen Mona Lisa, French public indignant," reported the New York Times.

For the first time there were queues outside the Louvre, just to see the empty space where the painting had hung.

"The theft launched it into becoming a household name for people who had never been to Europe and had no interest in art," said Charney, adding: "And it's really just continued from there."

Over the next two years, the bungling police investigation dragged on, with Pablo Picasso a suspect at one point. The force even interviewed Peruggia twice, before concluding he couldn't possibly be the man behind the brazen burglary.

Discovery

The head of the Paris police retired in shame. And then two years later, an art dealer in Florence received a letter from a man saying he had the Mona Lisa. It was signed "Leonardo." The man was of course Peruggia.

After setting up a meeting with the dealer and the director of the Uffizi gallery in Florence, Peruggia turned up with the painting which had spent years hidden in a trunk in his apartment.

Peruggia, then 32 years old, claimed to have stolen the artwork to return her to her native Italy. He was arrested and eventually sentenced to seven months jail.

"He seemed to have genuinely been convinced he would be heralded as a national hero and genuinely dismayed to discover he wasn't," said Charney, adding: "He was maybe a few pickles short of a sandwich, but not a lunatic."

For most of us, the Mona Lisa will only ever be seen from behind bullet-proof glass, a thumbnail in the distance, smiling her knowing-smile behind jostling tourists with camera phones held aloft.

But for over two years Peruggia had the famous woman all to himself. Did he fall in love with her?

"I think so," said Charney. "There are a number of thieves who have stolen art and have suffered a sort of 'reverse Stockholm syndrome' -- where the hostage-taker falls in love with the hostage."

"In this case, the hostage was a work of art."

Stove ashes probed for traces of stolen Picasso, Matisse, Monet works

@highlight

The Mona Lisa is the most famous painting in the world. But why?

@highlight

Theft over 100 years ago helped catapult artwork to international stardom

@highlight

Leonardo da Vinci's masterpiece now attracts millions of visitors to Louvre