(Financial Times) -- When Guo Shuqing became China's top securities regulator in October, investors hoped that he would bring a reformist zeal to the job that would help break the stock market's two-year losing streak.

They were right about the zeal but wrong about the impact on the market. Barely a week has gone by without the regulator announcing another new measure to improve the functioning of the country's beleaguered market. But after a brief climb upwards, the benchmark Shanghai Composite Index is down nearly 13 per cent since Mr Guo took office.

It is premature to dismiss his reforms as a failure. Over the longer term, analysts say that Mr Guo's reform programme is putting the Chinese stock market on a more solid footing, helping to ensure that it will serve as an important channel for direct financing in an economy that has long been overly reliant on banks for credit.

In the short term, the main problem is straightforward: China's economic weakness.

As Chinese companies report their first-half results, there should be little doubt about why the stock market has struggled this year. "Forecasts of company earnings have been continuously revised downward since the beginning of the year," Ivy Pan, an analyst with ABN Amro Private Banking, wrote in a recent note.

Profits at industrial groups slid 2.2 per cent in the first half, sharply down from a 29 per cent gain in the same period last year, according to the national statistics bureau.

The government has started to loosen policy, cutting interest rates twice and encouraging banks to lend more to infrastructure projects. However, compared with late 2008 when it unveiled a mammoth stimulus package, Beijing has been much more tentative this time around and liquidity remains relatively constrained.

Given the bleak corporate backdrop and the muted policy support, a stock market rally this year would have been surprising and divorced from the fundamentals of the economy. For Mr Guo's part, analysts say it is reassuring that he has not been sidetracked by concerns over market weakness.

One episode highlighted this point last month. Retail investors, who account for about three-quarters of the daily turnover in the Chinese market, launched an online petition that attracted nearly 10,000 signatures in two weeks. Their aim was to get the regulator to halt initial public offerings, believing that a cap on the supply of new equities would give a lift to the market.

"Behind every retail investor, there stands a family that has been deeply hurt by the endless IPOs and the poor performance of stocks," the petition read.

The China Securities Regulatory Commission had halted IPOs in late 2008 after the market crashed, so there was a precedent for such a move. But this time it issued a rebuff. "Based on previous experiences, suspension of IPOs doesn't help improve the market environment in any substantial way," the investor protection bureau said in a statement.

Another indication of Mr Guo's commitment to press on with reforms even at the risk of hurting sentiment has been his focus on devising a better system to delist shares. One of the oddities of the Chinese stock market is the more than 150 shares that have ST before their company name.

ST stands for "special treatment" and it means that a company has made losses for two consecutive years. Although mere shells of companies, they have hung around on China's main board and continued to suck in money from investors taking a punt.

To stop this from happening, the securities regulator plans to put a 1 per cent ceiling on how much an ST share can rise in any given day and also to force persistently weak stocks to delist. Investors are struggling to digest these changes, but ultimately, they will improve the overall quality of the market, says Liu Fei of Fuli Investment Consultancy.

Not all of Mr Guo's moves have been tough medicine for the market. Some have been aimed precisely at boosting short-term investor confidence. He has called on listed companies to increase dividends. Over the weekend, the securities regulator announced that it would cut transaction fees on stock trading by 20 per cent.

With the Shanghai Composite Index up for three straight days, a rare winning streak in recent months, some believe the market might have finally found a bottom.

Chen Ruiming, an equity strategist at Haitong Securities, a domestic brokerage, disagrees. He believes that economic worries will push Chinese stocks lower again in the coming months. But beyond that, he is optimistic that the regulator is finally getting it right.

"The stock market will only play a more and more important role in allocating capital and raising financing in China. The government is very focused on this," Mr Chen says. "This is the big direction, the big trend, and it won't change."

Additional reporting by Emma Dong

© The Financial Times Limited 2012

@highlight

Investors had high hopes when Guo Shuqing became China's top securities regulator in October

@highlight

There are almost weekly new measures to improve the functioning of the country's beleaguered market

@highlight

Still, the Shanghai Composite Index continues its more than two-year slide

@highlight

Analysts: Over long run, Guo's reforms will put Chinese market on solid footing