Millions of Americans are none too happy with the federal government right now. The shutdown is over after 16 days, but the things we missed while the government was closed are still fresh in our minds. Here are nine things readers are thrilled to have back, in no particular order. Add your own in the comments below and we might add them to our list.

1. National Parks (+ Panda Cam)

Parks make us happy. That was the battle cry from photographers, campers, newlyweds and other outdoor lovers turned away from national facilities ranging from Yellowstone National Park to the neighborhood playground during the shutdown.

"I missed the first part of canoe season on the Buffalo National River in NW Arkansas, just as leaves started on fall color," Tulsa, Oklahoma, attorney Teresa M. Burkett wrote on Twitter. As soon as she heard the impasse was breaking, she set up a canoe trip for this weekend. "The nation's first national river is America at its finest. Truly the best part of our federal government: America's national parks."

Lovers of the National Zoo's Panda Cam were also at a loss for cuteness. The webcam was back up by Thursday morning (the 8-week-old panda cub was sleeping, last we checked.)

Yellowstone protester: Stop 'holding our parks hostage'

2. Health care research

The National Institutes of Health and Centers for Disease Control and Prevention offer life-saving treatments for a lot of hopeless people. Young mother Michelle Langbehn has been through nine months of chemotherapy, two cycles of radiation, a spinal fusion and several tumor removal surgeries for her cancer. When the government shut down, she was waiting for the NIH to review her medical files to determine if she was eligible to enter a clinical drug trial. She's since learned that she didn't qualify, but countless other patients will benefit from that study and others.

Open for business again

3. Weather information

Our environment plays a key role in our daily lives, even if we aren't giving much thought to which way the wind blows.

The absence of the National Oceanic and Atmospheric Administration's website made it harder for some to find out about current weather conditions or see views of the Northern Lights. Those who depend on this information for school or other research were missing a key resource.

"It's day 14 of the shutdown and I have lost two weeks of thesis research because NASA and NOAA's websites are down," tweeted a user named Nicole.

Omoju Miller, a resident of California's earthquake-prone Bay Area, tried to visit the U.S. Geological Survey website, but saw it was closed.

"So we had a small earthquake in the middle of the night," she wrote. "Went to USGS, guess what? They are furloughed because of the government shutdown!"

4. Museums

The Smithsonian Institution's museums -- including the National Air and Space Museum, the most-visited museum in the country -- were closed during the shutdown, spoiling vacation plans for thousands.

But now that they've reopened, treasures like the Wright brothers' airplane, the original star-spangled banner, the Hope diamond, Dorothy's ruby slippers and spacecraft that actually went to the moon are again on view to the public, and all free.

"Any of the Smithsonian museums are wonderful. And the price is just right," noted reddit user empirialest on a discussion about favorite museums. Don't forget your astronaut ice cream!

5. Space exploration

Gazing up at the sky to see what's out there is a pastime here on this planet, but there is so much the naked eye can't see. Those addicted to space and the stars rely on NASA's website for views of what's out there in outer space, but with the shutdown in action, they were missing their space and science fix. The thought of it all coming back made some very happy, like Twitter user Angela Schmidt, who likes to tune in to what's happening with the International Space Station.

"The government is gonna reopen!" Schmidt wrote excitedly. "I finally get NASA TV back! Missing my daily ISS updates!"

Another Twitter user, Jeffery Elliott, wrote an abbreviated letter of support to the agency during the shutdown.

"Dear NASA," he said, "On behalf of the American people, I want to apologize. We took you for granted and now we're paying the price. We're so very sorry."

6. Libraries and archives

The Library of Congress, U.S. Census and other government departments keep the flow of information going. Students and researchers realized how much they needed access to archival materials during the shutdown.

Georgia Tech graduate research assistant and Ph.D. candidate Glo Ross missed having census data at her fingertips. "The #shutdown just got real for this PhD student. Access to census data for research? Denied," she tweeted.

Ross uses Geographic Information Systems, spatial statistics and other data obtained from the U.S. Census site. She is writing her dissertation on the transformation of food deserts in Atlanta.

Cutting off access to federal data "stops knowledge flow and creativity -- big disadvantage to those studying past trends and predicting future ones," she said.

7. Being able to change names

San Francisco safety Donte Whitner's  name change wasn't the only one put on hold because of the shutdown (he wanted to drop the W and go by Hitner).

"No name change, but enjoyed the convo," Courtney Ziller wrote on Twitter after a trip to the local Social Security office in Minneapolis, only to be told she couldn't file the paperwork for a new Social Security card because of the shutdown.

The Social Security office also stopped issuing replacement Social Security cards, replacement Medicare cards and proof-of-income letters.

8. Getting paid

'Our shutdown fears have been realized'

Hundreds of thousands of federal employees are ready for the government to show them the money. More than 400,000 were still furloughed at the end of the shutdown, and it was twice that when the shutdown began. Essential workers -- those who kept working without pay during the shutdown, including military service members -- can now receive their back pay.

"It feels like crap," said Air Force archaeologist and cultural resources manager Tom Penders when the shutdown began. "We live paycheck to paycheck as it is and barely make ends meet."

Plenty of other workers and business owners will never recoup their losses, such as hotel server Joy Lorien, who was temporarily laid off from her job at the Skyland Resort in Virginia's Shenandoah National Park at the height of tourist season.

There were other serious impacts on low-income families. Head Start preschool programs were forced to close in six states until a Houston couple donated $10 million to keep them running through the shutdown.

9. Our sanity

While the government stood still, some Americans felt their heads spinning.

Angie Smith missed "that sense of peace knowing things are functioning as they should." E. Kate G. missed "being proud of our country."

And Tim W. missed "common sense," saying "I have no reason to believe it will be back anytime soon."

What government resources are you glad to have back? Tell us in the comments below.

@highlight

Americans are happy to have certain resources back after the government shutdown

@highlight

Most-missed included national parks, museums, government data and health services

@highlight

What are you glad to have back? Add your thoughts in the comments below