PARKLAND, Florida (CNN) -- Sherri and Ira Rojhani stopped paying the mortgage on their 2-year-old South Florida home in April, victims not of a troubled economy, but, they say, of drywall from China that they believe is making them sick.

An air conditioning unit in a Florida, is blackened and corroded from Chinese drywall, homeowners say.

They join a growing list of homeowners in 13 states who face foreclosure or the prospect of paying both their mortgage and rent on alternate housing as they seek relief from what they describe as corrosive gasses emitted from the Chinese drywall. The drywall is now the subject of several scientific studies.

"Families are being forced to make health decisions based on financial consideration, and that is fundamentally flawed," said Sherri Rojhani, a homeowner in Parkland, Florida. "We shouldn't be in a position to stay in a home, based on our health," she said.

Homeowners allege the gas is causing home appliances and copper wiring to fail and causes chronic, long-term upper respiratory infections.

Federal authorities including the Centers for Disease Control and Prevention, the Environmental Protection Agency and the U.S. Consumer Product Safety Commission are studying the possible health effects of the drywall. Most of their results are still some time off.

On Tuesday the EPA announced that it found sulfur, a corrosive material, in the Chinese drywall samples it tested and that sulfur was not found in the U.S. manufactured drywall samples it also tested. The EPA also found strontium in the Chinese drywall at levels about 10 times higher than in the U.S. drywall. Strontium is a metal often used in manufacturing the glass for television screens.

The EPA also detected two elements typically found in acrylic paints in the Chinese drywall but not in the U.S. drywall.

The EPA said these results are not intended to establish a definitive link between the drywall and the conditions being found by homeowners in their homes.

The CPSC says representatives from the Chinese government are in the U.S. working on the issue.

Pointing to the blackened copper on their home's corroded air conditioning unit as all the evidence they need, the Rojhanis say they aren't going to wait for the government studies. They say the air in the home they share with their son, Seth, 18, who is paraplegic with a history of cancer, is giving them headaches and causing sinus infections. Sherri says she's been coughing since February.

"What we are doing is discontinuing our mortgage, and saving our money for moving expenses, and for a rental property," Sherri Rojhani told CNN.

They stopped paying their mortgage in April. Their attorney contacted their mortgage company, Countrywide, recently bought by Bank of America, almost a month ago with details of their plight.

A letter to the Rojhanis from Bank of America's counseling center said the bank intends to move forward with the foreclosure process.

That doesn't make sense to Sherri Rojhani.

"It's worth zero. They cannot sell it. They face the same issue we do for a potential buyer," she said.

Countrywide / Bank of America did not respond to CNN's request for comment.

Indeed, banks and mortgage companies across the country may soon find themselves in the same position if homeowners walk away and allow their homes to be foreclosed.

"They're having to make choices about their credit and whether they are going to lose their home, but they're always going to pick their health first," said Michael Ryan, the Rojhanis' attorney.

According to the Gypsum Association, a trade group that represents drywall manufactures, enough drywall was imported from China during the housing boom from 2005 to 2007 to build 30,000 complete homes. But it's possible that some of the Chinese drywall was used in smaller remodeling projects across the country. So, the number of homes affected is difficult to calculate.

Meanwhile, the U.S. government has made clear that not all Chinese drywall is bad.

Rather than foreclosing, the Rojhanis suggest the banks team with homeowners against those who supplied the drywall.

"It's in their best interests to join us in going after ... the distributors and the manufactures to get remediation," she said.

The Rojhanis are now suing their home builder.

Joseph Espinal lives in the same Parkland, Florida, area as the Rojhanis, but his lender, HSBC, has given him and his family a three-month grace period in paying their mortgage.

In an e-mailed statement, an HSBC spokeswoman, Kate Durham, told CNN: "HSBC does not comment on individual customer matters but we can tell you that our home preservation team members regularly work with customers facing various hardships, to offer assistance."

But what happens after that three-month payment hiatus ends is anybody's guess.

"It's a great start," Joseph Espinal told CNN. "But I don't see anybody coming up to the plate and saying, Mr. Espinal, I know we screwed you by building a house with toxic chemicals, here's a temporary home, while we repair what went wrong."

He's moving his wife and two young daughters into a rental this month, after what he describes as almost two years of sickness and visits to doctors.

"We have sinus headaches which lead to antibiotics, and then three weeks, four weeks later, I'm back asking for more," he said.

Espinal made a 40 percent down payment on his home. He's concerned and angry about what's happened to his investment.

"I don't want to lose my money," he said.

CPSC says Florida leads the nation in complaints about Chinese drywall. Other complaints from homeowners are coming from Louisiana, Virginia, Wisconsin, Ohio, Alabama, Mississippi, Missouri, California, Washington, Wyoming, Arizona, Tennessee and Washington D.C.

Many homeowner's have turned to their home insurance companies for help, only to find that any problems would not be covered by homeowner's policies.

"If it's defective, where they have to be recompensated, that would have to come from the manufacturer," said Loretta Worters of the Insurance Information Institute, an insurance industry trade group.

Last week, Florida Reps. Robert Wexler, a Democrat, and Mario Diaz-Balart, a Republican, were successful in passing legislation that required the secretary of housing to examine the effect of Chinese drywall on mortgage foreclosures and to study the availability of property insurance coverage for these homes.

"It is critical that we address this problem swiftly to avoid devastating results in our communities and long-term effects on the health and well being of our families," Diaz-Balart said in a written statement.

Meanwhile, Florida's attorney general has warned consumers to be aware of fraudulent companies selling bogus test kits and quick fixes, costing thousands of dollars.

There are no quick fixes according to state and federal experts.

Sherri Rojhani says she won't be taking any chances.

"If the fumes are strong enough to corrode metal, and copper pipe is turning black, I don't need a degree from the EPA to determine if my lung tissue is at risk."

@highlight

Chinese-made drywall emits corrosive gasses, homeowners say

@highlight

Mortgage relief sought as value of homes reduced to zero, homeowners say

@highlight

Residents say they choose between health, foreclosure

@highlight

Drywall-related problems not covered by insurance, insurer says