(CNN) -- One priceless car was crushed. Another, mashed; a third, pancaked. Now, Vette City faces a sinkhole summer.

A total of eight vehicles at Bowling Green, Kentucky's National Corvette Museum remain just as wrecked as they were when the earth swallowed them whole more than two months ago.

Workers fished the last car out of the monster sinkhole on April 9 and so far, not one coat of paint has been applied to any of the cars. Not one dent has been removed. Nothing.

Why? Museum officials were shocked by the damage.

"The last three or four cars that came out of the sinkhole ... we didn't expect them to come out looking quite that bad," said Dana Forrester, lead Corvette restoration member of the museum's board of directors.

Among the worst-damaged was a custom-made, one-of-a-kind speed demon that can zoom-zoom at more than 175 mph. ... Well, it could. The sinkhole reduced it to â€” as one museum official put it â€” "just a tire." The whole dirty mess has been enough to make any grease-smeared gear-head cry.

Next month, the museum's board of directors plans to meet with independent restorers and Chevrolet's parent company General Motors to consider new strategy on how to save the cars. "We'll listen to what they say about it, and then we'll make a decision as to which car gets restored and to what degree," Forrester told CNN on the phone.

Surprisingly, the museum may choose not to restore the worst-smashed cars at all.

And then there's another problem: what to do about that 40-foot-wide, 60-foot-deep sinkhole.

Thank goodness nobody got hurt when it desecrated the museum's cathedral-like Skydome in the early morning hours of February 12. The idea of a giant hole suddenly opening up inside a museum and stealing away with some of the crown jewels of the auto world grabbed global attention. Reports estimated the total value of the cars at more than $1 million. Passionate owners and fans still feel the pangs.

Even for folks who don't care about cars, the Corvette matters. It's historic. Experts call the Corvette the most collected car in America. We're talking about the "world's longest-running, continuously produced passenger car," according to General Motors. Since the 'Vette's 1953 debut, more than 1.5 million have rolled off Chevrolet assembly lines, creating jobs for generations of Americans. The sleek silhouette has transformed into a pop culture icon across TV, films and advertising.

Although GM announced back in February that it would "oversee" restoration of the Corvettes, more options are on the table now.

"Recent discussions have changed what the original thoughts were," said Forrester, who's also an officer of the National Corvette Restorers Society. Restoration of some of the cars "may not be possible," he said. Or for some of the cars, "it may be best" that an independent restorer other than GM do it.

Related story: Check out the 625-horsepower Corvett Z06

The privately funded, not-for-profit museum is governed by the board of directors - but driven by its donors and 28,000 members. Don't think 'Vette-heads around the world aren't watching closely. They are. And they care about the details.

"I think they should do it the right way and deliver a finished product like it wasn't damaged at all," said longtime New York Corvette owner Frazer Bharucha, 47, of the Long Island Corvette Owners Association. "When it's all said and done, it should look the way it was when it first entered the museum."

To outsiders, restoring a Corvette "correctly" might seem -- well -- kind of anal. Attention to detail sometimes includes specific engine bolt heads, or original headlights, or even a $10,000 set of original tires. Will the sinkhole cars get that same level of treatment? "I don't believe they'll go that far," Forrester said.

GM's goal is "sensitive restoration," said its Corvette communications manager, Monte Doran. Doran is expected to take part in meetings with museum officials where he anticipates a "serious talk to see if they want us to restore all the cars."

Final Corvette raised from sinkhole

GM designer says: Save their 'souls'

Just be careful, advised Tom Peters, GM's director of exterior design for performance cars. Respect the vehicles. They have "souls." They have "character" and "being." Replacing too many key original parts might result in "re-creations" rather than restorations, he said.

Peters described himself as a passionate museum supporter who's not at all involved in the restoration project. "You have to ask, what is it going to take to bring some of these cars back to being authentic? It's just terrible, but the last two they pulled out are basically pancakes," he said. It's hard to know for sure -- and too soon to tell, but "maybe they're better off just leaving them as they are."

Decisions about which cars to restore might be based on some of these questions:

Did enough of the car's unique body panels survive? Does the car still have structural integrity? Did its fundamental framework suffer too much damage?

Worst damaged:

- 2001 custom-made, one-of-a-kind Mallett Hammer Z06 racing car

- GM-owned 1993 ZR-1 Spyder; fewer than 12 were ever built

Significantly damaged:

- 1984 PPG Pace Car; a one-of-a-kind car for Indy Car World Series

- 1993 Ruby Red 40th Anniversary model; more than 6,000 were built

- 1992 '1 millionth' Corvette to come off the assembly line

- 2009 '1.5 millionth' Corvette to come off the assembly line

Least damaged:

- 2009 ZR1 Blue Devil, among GM's fastest production cars

- 1962 tuxedo black Corvette, the oldest sinkhole car

Related story: GM reveals most powerful drop-top Corvette

Institutional memory

The black '62 poses another big question: Does GM still have enough institutional memory to best restore a car that's more than a half-century old? Should independent specialists be brought in to help?

"It may be best that there's some other restorer to do it," Forrester said. "I know GM's got the expertise to go back and take the [two] cars they still own and work on them to a certain degree, but as far as structural work ... I don't know. I'm sure that will enter into the discussion."

Oh, about that 60-foot-deep hole in the floor...

In an apparent masterstroke of marketing genius, the museum has put the wrecked cars on display for visitors -- sort of a sports-car version of a carnival freak show.

Also, the museum plans to allow visitors close access to the hole this weekend on a temporary basis. They'll be able to stand in the Skydome three feet from the edge, where they can get a good look at the natural forces that crushed the cars.

See how the museum is showcasing the sinkhole

The new exhibits appear to be popular. March attendance spiked by more than 50%. Donations following the sinkhole collapse have already topped $75,000.

"It's the rubberneck effect," said museum spokeswoman Katie Frassinelli.

The whole mess is now "part of the museum's history -- and part of Corvette's history," said Forrester. The idea is, why not embrace it?

Museum officials haven't decided on a long-term strategy to deal with the sinkhole.

There's talk about leaving the hole open as a permanent exhibit, and building stairs so visitors could walk down into it.

Another option would be to return the Skydome to its original condition by filling the sinkhole with dirt and replacing the collapsed floor.

"I personally lean toward securing the hole -- but not filling it -- and creating something like a bridge across it so people can actually look down into it," said Forrester. An accomplished artist, Forrester has painted a watercolor canvas depicting the hole and the 2009 ZR1 Blue Devil rising out of it.

If there's a bright side to the sinkhole collapse, Forrester thinks he's found it. "Millions of people in the Corvette culture have pulled together over this," he said. "Now more people outside the community are discovering how special this culture really is."

@highlight

No major repairs have begun on Corvettes recovered from a giant sinkhole

@highlight

Worse-than-expected damage to priceless Chevrolets prompts strategy shift

@highlight

Museum board member: restoration of some cars now "may not be possible"

@highlight

Board considers which cars to save and whether to use independent restorers