(CNN) -- In a time of global political combustion, with calls for democracy sparking mass demonstrations, self-immolations and civil wars, the women of the small African country of Togo might be the first to try to bring down a dictator by staging a sex strike.

The women, along with many men in Togo, have had enough of one-family rule. President Faure Gnassingbe took the presidency in 2005, shortly after the death of his father, who had held power for 38 years. The country has maintained a thin democratic faÃ§ade, holding regular elections, but between father and son, the family has not relinquished power in four decades.

Opposition protests demanding changes to the electoral law ahead of the next elections have resulted in clashes with security forces and mass arrests. So on Saturday, in front of thousands of people at a rally in the capital of Lome, the female members of the opposition group Let's Save Togo announced the deployment of their new weapon.

Isabelle Ameganvi, head of the women's wing of the group, called on all Togolese women to "keep the gate of your 'motherland' locked up" for a week. If all goes according to plan, this is the week during which Togo's men are having time to think about the motherland and about their yearning for, well, democracy.

Organizers of the sex strike say they want to bring about the release of prisoners, and they want to motivate the men to take action against Gnassingbe. Ultimately, they want to see a true democratic change and the president to step down.

The idea of using sex for political objectives is not new. Women, who throughout history have found themselves at a disadvantage with men holding most of the power, have long known that men have a special vulnerability when it comes to sex. Withholding sex has been used to achieve political goals before.

As with every occasion when women have resorted to this tactic, the decision was reached after profound frustration with other methods. And it is a sign that women's power remains very limited that their best strategy is to pressure men to take action.

Some women say this tactic harms women by emphasizing their sexuality rather than their humanity. But Togo's activists say they are using their power wherever they can find it.

The idea of a sex strike has a history that goes all the way back to ancient Greece. In the play "Lysistrata," the women of Athens, fed up with the men's endless wars, decide to stop having sex with them until they put an end to the Pelopponesian War. The comedy was performed before Athenian audiences exactly 2,500 years ago.

Interestingly, in the play by Aristophanes, the women do more than withhold sex. They also take over the Parthenon, where the city holds the treasury that funds the war, and they fight to hold on.

It may take more than sex to persuade men to do the right thing, but "Lysistrata"-inspired actions have an illustrious and possibly successful track record.

In the countless times when women have launched sex strikes, it's impossible to know whether it was the lack of sex that ultimately produced the desired outcomes, because by the time women opted to brandish this weapon, they had tried many other ways. And it is also impossible to know just how thoroughly each strike was implemented. Or how many men resorted to sexual violence to break the strike.

Still, there are some interesting examples of women achieving their objectives -- which, incidentally, always seem to benefit society at large, not just women -- after the sex strike was called. Whether one thing produced the other is a subject of debate.

The clearest case of success took place in the Colombian town of Barbacoas, where last year women launched their "crossed legs strike" to demand construction of a road. They would not have sex, they vowed, until the men managed to get a road built so that it wouldn't take 10 hours to reach the provincial capital just 35 miles away.

Moved by the men's unimaginable suffering, the government agreed to build the road.

A few years earlier, also in Colombia, the wives and girlfriends of gang members in the embattled city of Pereira said they would keep their legs crossed unless the men stopped the violence that had killed nearly 500 people. The murder rate reportedly dropped by 26.5%.

But it wasn't ancient Greece or South America or a recent sex strike in the Philippines that inspired the Togolese pro-democracy activists. It was the amazing story of Liberia that gave them cause for optimism.

In 2003, the Liberian people had endured 14 years of a brutal civil war that had torn the country apart. The leaders of the Women of Liberia Mass Action for Peace organized a series of nonviolent actions, including a sex strike, demanding an end to the war. The group's leader, Leymah Gbowe, later won the Nobel Peace Prize, sharing with Ellen Johnson-Sirleaf, another Liberian woman who was about to make history.

Again, nobody knows just how important a role the no-sex portion of the protests played. But before the year was over, the parties to the conflict signed a peace deal ending the war and laying the groundwork for democratic elections.

When Liberians went to the polls, the majority voted for Johnson-Sirleaf, the first woman elected president in Africa's history.

Now that is a success story, because once women hold real political power, they no longer need to resort to sex strikes and other indirect means to express their views and obtain results. In the end, it's about giving all citizens, including women, a fair say in the political process. That's the ultimate goal in the struggle for true democracy.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Activist women of Togo are withholding sex to get men to take action against dictator

@highlight

Sex strike organizers say they will use whatever power they have for democratic change

@highlight

Successful sex strikes have happened many times historically and globally

@highlight

Frida Ghitis: But women need real power to have a fair say and role in political process