(CNN) -- Four journalists and an executive from a Myanmar magazine have been sentenced to 10 years of hard labor on charges of violating state secrets by claiming the military was making chemical weapons.

The sentencing has drawn an outcry from international media and rights watchdogs, who say it is evidence of a drastic rollback of press freedoms this year in a country that had been praised for its reforms since 2011.

Those sentenced -- reporters Yazar Soe, Sithu Soe, Lu Maw Naing, and Paing Thet Kyaw and chief executive Tint San -- all worked for the Yangon-based current affairs magazine Unity Weekly, said Tint's lawyer, Than Saw Aung.

They had been convicted under the country's 1923 State Secrets Act, Than said, adding that his client would appeal the sentence.

The periodical, which has since been shuttered, had published stories in January alleging that Myanmar's military had seized hundreds of hectares of land to build a factory to manufacture chemical weapons, according to the New York-based Committee to Protect Journalists (CPJ).

Myanmar's government has previously denied accusations it has used chemical weapons against ethnic rebels.

"CPJ is alarmed that journalists were tried under a 100-year-old spying statute and slammed with an outrageously harsh sentence," said CPJ's Asia program coordinator Bob Dietz, Asia program coordinator in a statement calling for donor countries to Myanmar to exert pressure over the case.

"This conviction should shatter any illusions that President Thein Sein's government grasps the role of a free press in a democracy."

Myanmar's presidential spokesman Ye Htut could not be reached for comment.

'Back to square one'

Scores of journalists, some of them wearing T-shirts that read "Stop killing press," gathered at Yangon's Shwedagon Pagoda Friday offering prayers for the sentenced journalists Friday, while some publications printed blacked-out front pages in protest.

Aung Zaw, editor of news magazine The Irrawaddy, told CNN the case showed it was "back to square one" in terms of press freedom in Myanmar, also known as Burma.

"The sad fact is Burma overnight restored its former title as enemy of the press," he said.

The government could have asked for a retraction or correction if the report was untrue, he said, or prosecuted the Unity staff using newly passed media laws.

Instead, it had chosen to bludgeon them using the colonial-era State Secrets Act to send "a serious warning to other journalists."

He said the harsh sentences handed down had shocked journalists, but also made them more resolute not to back down from their work.

Tide turned

While Myanmar has been praised for reforms in recent years, rights groups say the tide appears to have turned when it comes to media freedom.

Benjamin Ismail, the head of Reporters Without Borders' Asia-Pacific desk, described the court's decision in a statement as "a grave setback for press freedom."

He said it marked "a return to a dark time when journalists and bloggers who did their job were jailed on national security charges or for allegedly trying to overthrow the government."

Rupert Abbott, Amnesty International's deputy Asia-Pacific director, said in a statement that the sentences reflected "a wider crackdown on free media since the beginning of the year, despite government assurances that such practices would end."

Myanmar President Thein Sein warned in a speech earlier this week that the increased press freedom the country had enjoyed should be used without threatening the stability of the state, the state-run New Light of Myanmar reported.

Reporters Without Borders says that while no journalists were imprisoned in Myanmar in 2012, they have been the target of a growing number of prosecutions this year. Reporters from local media outlets have been jailed this year, and a foreign journalist deported after covering a press freedom rally.

Zaw said the resumption of official antagonism towards the fourth estate was reflected in a visit to The Irrawaddy's newsroom by special branch officers in recent weeks.

He claimed the officers, who would not reveal who had sent them, had harassed staff about the magazine's editorial positions and finances.

"It was a sign of intimidation," he said.

Burma is ranked 145th out of 180 countries in the Reporters Without Borders press freedom index.

Ei Mon Kyaw and Kocha Olarn contributed to this report.

@highlight

Five magazine staffers in Myanmar have been sentenced to a decade of hard labor

@highlight

Observers say it marks a return to old ways following a couple of years of promising reforms

@highlight

The sentences have been criticized around the world as "outrageously harsh"

@highlight

The magazine, since shuttered, had run stories about the production of chemical weapons