(CNN) -- Smart policies are essential to America's "war on obesity."

The latest idea in that fight is a curious proposal from Mayor Michael Bloomberg of New York City. He's planning to ban the sale of sugary drinks 16 ounces or larger in public venues such as restaurants and movie theaters.

Critics are crying that the move is an infringement on personal freedom. But the bigger question is: What's the rationale behind targeting a single dietary factor in the sea of unhealthy foods and drinks that barrage us every day? Is it scientifically sound?

A typical 16-ounce soft drink contains about 180 calories, nearly all from sugar. It doesn't contain any fat. While Bloomberg's ban will make it illegal to sell large-sized sugary drinks, it's perfectly legal to sell plenty of other beverages (milkshakes, anyone?) and foods (how about some ice cream?) that pack far more calories per amount served as well as very high levels of fat, sodium or other laboratory-engineered chemicals.

Opinion: Bloomberg's visionary move against obesity

And what about the typical meal that goes along with a soft drink? A fast food meal contains tons of calories and is loaded with ingredients that are known to increase risks for diabetes and cardiovascular diseases. And, it is consumed in a matter of minutes.

If Bloomberg's ban goes into effect, fast food restaurants can easily game his policy by offering a regularly portioned sugary drink that will likely come with free refills.

Many academic scientists in the field of obesity prevention support Bloomberg's efforts. After all, the track record looks good. New York City hit a home run when it banned the use of hydrogenated vegetable oils in restaurants. Granted, scientific evidence have consistently showed that these cooking oils are hazardous to health.

Experts have claimed that sugary drinks are a leading cause of obesity. If you make it more difficult for people to consume excessive amounts of these drinks, then shouldn't we see a drop in obesity?

Overheard on CNN.com: Doughnut lovers' lament, washed down with a giant soda

It seems so simple on the surface, but it's not.

Obesity is the result of an extremely complex interplay of factors, including dietary habits, environment, genes, etc. One of the best studies available, appearing last year in The New England Journal of Medicine, tells a more complicated picture.

The study shows that if you increase drinking sugary beverages by one serving per day, it will lead you to gain an additional pound of body weight over four years. A similar amount of weight would be gained from eating an additional serving of red or processed meat daily for four years. But when it comes to potato chips, there seems to be a stronger relationship with weight gain (1.65 pounds). And French fries blew away the numbers (3.65 pounds).

Does this look like good scientific evidence for banning the sale of large portions of soft drinks? Not really. Especially since the floodgates are open for selling enormous sizes of French fries and bacon double cheeseburgers, which seem to have more effect on weight gain.

We can argue about whether a change in body weight of a quarter of a pound per year is meaningful and how much faith we can put in these studies of self-reported diet. But there have been no authoritative research showing whether consuming sugary drinks is directly linked to a rise in obesity.

So, there is really no way to draw any conclusions about the scientific basis for Bloomberg's ban. It's guesswork for all we know.

Controversy fizzing over Bloomberg's soda ban

The proposal does represent a baby step into uncharted waters that should be navigated. A policy aimed at changing people's level of portion size couldn't hurt in our national struggle to reduce obesity. If people are going to the drive-through to pick up a fast meal and the large drink they're getting is no longer as large, then they would be consuming a little bit less sugar than they would otherwise.

However, the high profile targeting of a single dietary factor, based on shaky obesity science, may be setting us up for disappointment if there is no measurable public health impact.

The opinions expressed in this commentary are solely those of Mark A. Pereira.

@highlight

Mayor Bloomberg of New York City plans to ban sale of large sugary drinks

@highlight

Mark Pereira: A ban based on shaky science may be setting us up for disappointment

@highlight

Why target a single dietary factor among so many unhealthy foods and drinks, he asks

@highlight

Pereira: Eating French fries seems to have more effect on weight gain