(AOL Autos) -- Over the decades, I've interviewed dozens of automotive engineers; engine engineers, transmission engineers, chemical engineers, tire engineers, etc. But never have I interviewed an engineer quite like Ford's Cristina Rodriguez.

Cristina Rodriguez has been with the Ford Motor Company for 12 years.

What separates Crissy (what she prefers to be called at work) from other engineers is that it seems as though she was born be where she is today; the Vehicle Dynamics Development Engineer of the 2010 Ford Taurus.

The Taurus goes on sale this summer, and it is arguably the most important vehicle Ford announces this year.

This thirty-something Puerto Rican is the only woman at Ford Motor Company to have achieved her status as a Vehicle Dynamics Development Engineer. The job is equal parts engineer, race driver and vehicle psychologist.

"As an engineer, I need to make sure the car is safe," Rodriguez said. "As a (race) driver I have to make sure the car handles well. And then I have to tune the car to have the right personality for being the latest Ford." AOL Autos: Best sedans under $30K

She goes on to define what how cars exhibit personality.

"Some cars have a more relaxed personality, so everything about the way they drive is soft and slower to react," she said. "Fords have a DNA that is sportier, more fun to drive, more responsive, more alive, so they need to feel that way."

You'll be able to tell whether Rodriguez has done her job well when you get behind the wheel of the new Taurus.

While we didn't get to drive the new Taurus, we did get an opportunity to ride in the high-performance Taurus SHO model at Ford Motor Company's Dearborn, Michigan proving grounds (a special test track for developing new cars and trucks). More on that experience later. AOL Autos: Best and worst automotive designs

Preparing for success

Rodriguez told us about her background in the automotive business. "I've grown into this job because Ford's engineering group works on a model that emphasizes 'technical maturity.'"  AOL Autos: First drive of the 2010 Chevy Camaro

For Rodriguez, this means that because she first possessed the technical background for the job, she was then able to develop and prove her practical skills on her way to becoming one of the company's most influential engineers. She's been with Ford 12 years.

Matter-of-factly, Rodriguez elaborates. "In this job, your body has to become a precisely calibrated instrument that can understand what the car's mechanicals are doing," she said. "It takes a while to tune your body, but I've been working on this particular chassis for eight years, so I really know what it's capable of and how to make it respond."

While the 2010 Taurus is an all-new vehicle, it is related to other Ford products (the Lincoln MKS, Ford Flex, and the outgoing Ford Five Hundred/Taurus). Rodriguez also contributed to the ride and handling on those vehicles, a task that began with the Ford Five Hundred back in 2001.

Born to Cuban parents who fled Castro's communist regime, Rodriguez grew up in Puerto Rico.

"I learned to be a methodical thinker from my father, who was a chemical engineer," she said. "But it was my mother who was the mechanical one. She encouraged me when I was growing up to figure out how things worked, and she never got too mad at me when I put things back together and still had a few pieces left over."

While Rodriguez worked on her motor skills, another aspect of her life laid groundwork for her future success.

"I come from a very athletic family," she said. "My grandfathers and uncles played Olympic basketball, so we were always active. I can remember that when my brother enrolled in little league baseball, he didn't want to join without a friend, so my mother enrolled me with him. I was the only girl in the league."

We doubt Rodriguez throws like a girl. And if you thought we'd make a joke about her driving like a woman? Think again. We doubt anyone could keep up with her on a track, male or female.

Regarding her education, her Bachelors in engineering came from Georgia Institute of Technology. She also earned a Masters from The University of Michigan in Ann Arbor.

Mechanical engineering is a heavily male-dominated career path, but this hasn't slowed Rodriguez's progress. It is obvious that Rodriguez knows how to operate with the guys, without becoming one of the guys.

Certainly, Rodriguez doesn't look like a mechanical engineer: pocket protectors and out-of-style glasses don't seem to be part of her wardrobe. Actually, she looks like she could be Indy Racing League driver Danica Patrick's sister. This comparison is fitting given the ride we were about to experience.

Spicing up the bull

Rodriguez explained the process used to give a car a dynamic personality.

"First, we start with models generated by Computer Aided Engineering," she said. "These give us starting points for (suspension) spring rates, dampers, bar thicknesses, etc. After that, everything we do is by the seat of the pants.

That's why it's so important to have a feel for what's happening at the road, because you end up becoming a cook who is perfecting a recipe by trial and error. We add more of this or take away some of that. Each change is designed to wake you up and make you feel alive behind the wheel, just like eating a great meal." AOL Autos: 2009 best looking cars

The 2010 Ford Taurus has four distinct suspension calibrations; they are mechanical recipes, if you will. There's one each for the front-wheel-drive Taurus, the all-wheel-drive Taurus, the all-wheel-drive high-performance SHO and the ultimate SHO fitted with the Performance Package.

Rodriguez noted that each model has unique suspension calibrations that are based on the specific model's equipment and personality.

For example, the two non-SHO Taurus models must have the same feel even though one carries the additional weight of the all-wheel-drive system.

"The Taurus needs to be comfortably engaging," she said. "It can't be stiff like a (Mustang) Shelby GT500, but it also can't be too soft like a Toyota Camry. We wanted to keep most of the suppleness of the Lincoln MKS sedan, but make it more responsive." AOL Autos: First drive of the 2010 Ford Mustang Shelby GT

The move from the regular Taurus to the SHO edition is dramatic. This is where about 10-percent more chili powder and cayenne pepper get added to the recipe. Nearly every tunable suspension component is changed between the base model and the SHO, resulting in a much more dynamic drive.

The step up from the SHO to the SHO with the Performance Pack tightens everything even further (more chilies), including another 20-percent on the dampers (those would be struts and shock absorbers to non-engineers), then 9-percent stiffer rear springs, and a thicker rear anti-roll bar.

These changes make the most performance-oriented SHO a more neutral handling car that drivers should find exceptionally agile and immediately responsive.

Riding shotgun in the Ford Taurus SHO

Rodriguez was only too willing to take us for a ride to demonstrate what she had been talking about, "This car is really my pride and joy. I think you're going to like it." With that, she moved the floor-shifter into Sport mode and took off.

Riding along in the passenger seat, we couldn't help but feel how effortlessly the twin-turbocharged EcoBoost engine took the full-size Taurus well above legal speeds.

Unlike turbocharged cars from decades past, the SHO did not seem to exhibit any turbo lag. And the turbochargers sounded quiet (no turbo whine or unrefined popping and hissing). The EcoBoost is efficient, too, although EPA numbers aren't yet available.

From where we sat, the ride was firm but not harsh, even as Crissy drove us over test roads that were intentionally bumpy and pocked.

By far, the most fun was riding along on the handling course. This smooth, serpentine ribbon features undulating hills and off-camber curves. Normally, one wouldn't expect a full-size car to be at home here. The steering would be too slow and the handing ponderous. We weren't behind the wheel, but we got the impression that the Taurus SHO is no traditional full-size car.

The SHO's heavy-duty six-speed gearbox felt quick and smooth from a passenger's perspective, and as Rodriguez increased engine speed, the growl came from under the hood, not the exhaust. Rodriguez confirmed that the turbochargers absorb much of the exhaust noise.

The faster Rodriguez drove, the smaller the Taurus seemed to get, easily carving lines between and through the corners. The roll of the body felt well controlled from a passenger's perspective, and it never wallowed. Watching Rodriguez dial in the steering, the car felt like it responded quickly and directly.

Compared to an all-wheel-drive Taurus, the SHO's unit gets unique tuning with a greater power bias to the rear wheels for a more balanced feel, and the car seemed to rotate around the corners effortlessly. We can't wait to get behind the wheel ourselves later this spring, when we'll provide a full road test.

"After doing this for 12 years," Rodriguez said. "I know what a car should feel like, and I don't get questioned anymore," Rodriguez said. In other words, Rodriguez earned the respect of other engineers, making it completely understandable why Ford would trust her to tune the ride of this very important new car.

After about 30 minutes of trashing around Ford's Dearborn proving grounds, Crissy Rodriguez aptly demonstrated that she and the team she's part of knows how to dial in the suspension of a performance car. As she pressed the Start/Stop button on the SHO's dash, Rodriguez said, "I think I've got the best job at Ford." We'd agree.

@highlight

Ford's Cristina Rodriguez is an engineer and race car driver

@highlight

As child, she took things apart, put them back together, some parts left over

@highlight

Rodriguez designed Taurus 2010, one of Ford's most important vehicles

@highlight

Your body has to be precisely calibrated instrument to understand car's mechanicals