London (CNN) -- Five centuries ago, King Richard III lost his life in the Battle of Bosworth -- the last king of England to die on the battlefield. Now, days after his long-lost remains were confirmed as those found beneath a parking lot, a new fight is shaping up: What city will get to be his final resting place?

The dueling rivals to be the final resting place of the 15th-century king are the central England city of Leicester, where his body was disinterred, and York, in northern England.

Richard III: My kingdom for a hashtag

The competition marks a significant change in the fortunes of the king long remembered -- thanks largely to William Shakespeare -- as a notorious villain, hunchbacked and hateful, accused of killing his own nephews, the "Princes in the Tower," to usurp the throne.

His unlikely exhumation from beneath the parking lot in Leicester, once the site of a church, Greyfriars Friary, has sparked calls for a revision of his murderous reputation and prompted global interest in his story.

Amid the furor, the city of York, home to the breathtaking York Minster, has staked a claim to rebury him there on the grounds that Richard had strong local links.

Read more: Is this the face that launched 1,000 myths?

The last English king to die in battle, he was also the last monarch of the House of York, and as such holds a special place in the hearts of Yorkshire residents, the city council argues.

The councilors plan to write to Queen Elizabeth II and the Ministry of Justice to press their city's claim.

"City of York Council and all its political leaders are united in the belief that York is the most fitting burial place for Richard III, one of the city's most famous and cherished sons," said Kersten England, chief executive of the council.

Council archaeologist John Oxley argues that Leicester was "certainly not where Richard wanted to be buried" after his death in August 1485.

Read more: Body found under parking lot is King Richard III

During his late teens and early 20s, Richard built up considerable property holdings in northern England, Oxley said, and the late king's son is believed to be buried in the small village of Sheriff Hutton, a few miles north of York.

"His links with Yorkshire and in particular with the City of York were deep and are well-documented," Oxley said of the erstwhile monarch. "Throughout this period of time there was within the City of York well-articulated support for Richard. There is today within the contemporary city very strong support for Richard."

Richard III: The mystery of the king and the car parking lot

The City of York Council has gone back to the city's centuries-old archives to find evidence for that historic affection.

Records from a city council meeting in August 1485 speak of "grete (great) treason" in the death of a king who had reigned "mercifully" over them. Richard, the document states in the late medieval English of the time, was "pitiously slane and murdred to the grete hevynesse of this citie."

As a city archivist points out, these were strong words at a time when Henry Tudor had just taken the throne and would expect the loyalty of his subjects.

An online petition submitted to the government is testament to the rather more contemporary support for Richard III. It already has more than 5,000 signatures -- though it would need to cross the 100,000 mark before it came to the attention of the House of Commons.

Read more: Will Richard III discovery rewrite history?

But Leicester is unlikely to give up its newly discovered king without a fight.

A rival online petition calling for his reburial at Leicester's cathedral had garnered almost 2,000 signatures as of Wednesday afternoon.

And local lawmaker Jon Ashworth pressed Justice Minister Chris Grayling on the issue in the House of Commons on Tuesday.

"Will the Minister confirm that under the terms of the licence, it is up to the university to decide what to do with the remains and that the university has handed them to Leicester cathedral and that Richard III will be buried there?" he asked.

Grayling, who declined to answer another lawmaker's question about possible outstanding parking fines incurred by the king, assured Ashworth that he hoped "everyone will come together for a proper service to mark the occasion, and for a formal interment in the cathedral."

Opinion: Richard still the criminal king

Leicester City Mayor Peter Soulsby stated Monday that the king's remains would be reinterred at Leicester's St. Martin's Cathedral, just a stone's throw away from where the skeleton was discovered.

And he also emphasized what may prove to be the chief obstacle to York's claims -- that the license granted by the Ministry of Justice to the team of experts who disinterred the monarch anticipates his reburial in Leicester.

According to the mayor, the terms of the license state: "The remains shall, no later than August 31, 2014, be deposited at Jewry Wall Museum or else be reinterred at St Martin's Cathedral, or in a burial ground in which interments may legally take place."

"Having lain in the shadow of Leicester Cathedral for over 500 years, it is fitting that he should now finally be laid to rest here," Soulsby said of Richard III.

The Jewry Wall Museum, only a short distance from the cathedral and the Greyfriars parking lot, houses medieval relics and ancient Roman ruins on its grounds.

Speaking Tuesday in London, as a lifelike reconstruction of the monarch's head was revealed, the chairman of the Richard III Society said the design for a tomb would be revealed in the next couple of weeks.

Chairman Dr. Phil Stone said that it was based on Richard's life and that a team of "Ricardians," as people interested in rehabilitating his reputation are known, had been involved.

The society has received two donations for the tomb so far, he said -- one worth 10,000 British pounds.

The society, which believes the monarch has been unfairly maligned by history and in particular the Tudors who ousted him, backed the efforts to find Richard's remains, spearheaded by member and screenwriter Philippa Langley.

Their dream came true when scientists announced Monday that DNA testing had established that the skeleton was indeed that of Richard III.

CNN's Erin McLaughlin, Susannah Cullinane and Bryony Jones contributed to this report.

@highlight

The city of York says it should be the final resting place for the remains of Richard III

@highlight

The 15th-century monarch's remains were discovered beneath a parking lot in Leicester

@highlight

Leicester's mayor says Richard will be reburied in nearby Leicester Cathedral

@highlight

Scientists said Monday that DNA testing had confirmed the skeleton was that of Richard III