Washington (CNN) -- President Barack Obama said Sunday that any controversy over his remarks last week that Israel-Palestinian negotiations should start from pre-1967 borders and include land swaps was "not based in substance."

In his first speech as president to the main American-Israeli advocacy group, the American Israel Public Affairs Committee (AIPAC), Obama sought to reassure the vital U.S. Jewish lobby of his administration's commitment to Israel's security while also making clear his desire to kick-start the stalled Israeli-Palestinian peace talks at a time when the entire Middle East landscape is changing amid the so-called Arab Spring demonstrations.

Obama acknowledged that he expected some controversy from his call last Thursday for negotiations to be based on border demarcations from before the six-day war of 1967, in which Israel seized the West Bank, Gaza Strip and other territory.

Got questions about the peace process? Share a short video

However, he said, his policy on the border issue "means that the parties themselves -- Israelis and Palestinians -- will negotiate a border that is different than the one that existed on June 4, 1967," the eve of the war. Those negotiations will involve "mutually agreed-upon" land swaps to deal with changing conditions of recent decades, he said.

"That's what mutually agreed-upon swaps means. It is a well-known formula to all who have worked on this issue for a generation," Obama said to applause. "It allows the parties themselves to account for the changes that have taken place over the last 44 years," including the new demographic realities on the ground and the needs of both sides.

His proposal contained "nothing particularly original," he said, adding that "this basic framework for negotiations has long been the basis for discussions among the parties, including previous U.S. administrations."

"If there is a controversy, then, it's not based in substance," Obama said.

The Thursday remarks drew a chilly response from Israeli Prime Minister Benjamin Netanyahu, who used a joint appearance with Obama on Friday to reject any possibility that Israel could return to its pre-1967 borders. Netanyahu said such borders would be "indefensible" and noted that major Israeli population centers now lie outside them.

On Sunday, a statement by Netanyahu responding to Obama's AIPAC speech was more conciliatory, saying: "I share the president's will to promote peace and I value his current and past efforts to achieve this goal."

"I am determined to act together with President Obama in order to find ways to resume the negotiations for peace," Netanyahu's statement said. "Peace is a vital need for all of us."

Maen Areikat, the chief Palestinian representative to the United States, told CNN on Sunday that his Palestine Liberation Organization also welcomed the U.S. support for restarting the peace talks.

At the same time, Areikat called for concrete steps by Israel that showed "they are genuine and sincere about the ending the conflict with us," instead of what he labeled "nationalist, ideological" slogans and steps such as continuing to expand housing settlements in the West Bank and East Jerusalem.

In his speech Sunday, Obama repeated a line from Thursday that the "status quo" in the Israel-Palestinian conflict is unsustainable. He listed a series of reasons why conditions on the ground dictated the need for a revitalized peace effort now.

"First, the number of Palestinians living west of the Jordan River is growing rapidly and fundamentally reshaping the demographic realities of both Israel and the Palestinian Territories," Obama said. "This will make it harder and harder -- without a peace deal -- to maintain Israel as both a Jewish state and a democratic state."

He also cited the increasing difficulty for Israel to defend itself against regional enemies, and the "new generation" of Arabs reshaping the entire region through the protest movement that already has toppled governments in Tunisia and Egypt.

"A just and lasting peace can no longer be forged with one or two Arab leaders. Going forward, millions of Arab citizens have to see that peace is possible for that peace to be sustained," Obama said, adding that a growing regional and international impatience with the Israel-Palestinian peace process is leading some to look for other options, such as a U.N. resolution in September to recognize an independent Palestinian state.

Even though such a U.N. General Assembly resolution would be non-binding, Obama told the AIPAC meeting that the United States would oppose any effort to isolate Israel in international forums.

He also repeated U.S. criticism of Hamas, the Palestinian group that governs the Gaza Strip and is considered a terrorist organization by Washington.

Hamas and the other main Palestinian group, the Fatah party of Mahmoud Abbas that heads the governing authority in the West Bank, agreed on May 4 to work together to set up unifying elections in May 2012.

Areikat said that under the agreement, Fatah would continue to negotiate on behalf of the Palestinians until they can elect their own leaders and representatives next year.

"Hopefully, come May 2012, the Palestinian people will be able to choose those people who are committed to negotiating a peaceful resolution with Israel," Areikat said, conceding that Hamas would be a voice in any Palestinian unity government that emerges from next year's vote.

Obama said Israel cannot be expected to negotiate with Hamas until it renounces violence and recognizes Israel's right to exist as a Jewish state. The audience applauded loudly when Obama called for Hamas to release Gilad Shalit, an Israeli soldier captured five years ago.

In response, Hamas Spokesman Sami Abu Zuhri told CNN that the U.S. government has "a clear preference for Israel" at the expense of freedom for the Palestinian people and their right to establish a sovereign state.

In the United States, political opponents criticized Obama for what they described as harming Israel's negotiating position with the Palestinians.

Republican presidential hopeful Newt Gingrich labeled the Obama policy a "disaster" and "extraordinarily dangerous" in an appearance Sunday on the CBS program "Face the Nation."

"A president who can't control his own border probably shouldn't lecture Israel about their border," Gingrich said.

While a few boos and groans were heard in the AIPAC crowd when Obama raised the border issue Sunday, he received consistent applause throughout the speech and a vigorous standing ovation at the end.

In Israel, about 150 right-wing activists protested Sunday against Obama's policy in front of the American Embassy in Tel Aviv, with some bearing slogans that declared: "Obama, Israelis are not willing to commit suicide."

@highlight

NEW: A Palestinian official calls for sincere steps from Israel

@highlight

President Obama says the idea of pre-1967 borders with land swaps is nothing new

@highlight

Any controversy over his speech on the issue lacks substance, Obama says

@highlight

The president spoke to the main American-Israel lobbying group