(CNN)Who says you need a printer to churn out digital-quality images? The Human Printer, a project from graphic design duo Stinsensqueeze, is recreating this modern effect with decidedly old-school techniques.

Louise Naunton Morgan and Stina Gromark use fine tip markers and endless patience to mimic the layered tonality of CMYK color printing, which uses cyan, magenta, yellow and black to create the full spectrum. (You may recognize these colors from your old printer cartridges.) However, the handmade component gives each print its own look and feel.

"With something handmade, you create unique experiences or unique art works, whereas digitally, you can produce it over and over again, and it's exactly the same," says Gromark.

How it's made

Recreating an image seems both incredibly simple and frustratingly specific. Using a half-tone version of a digital image as their guide (imagine a picture broken down into tiny grayscale circles), the designers create four layers of tiny pen dots that correspond with the CMYK process colors. If done correctly, the dots should create the illusion of seamlessly blended colors and defined shapes.

"It's like what you see on a billboard: if you were to look really closely, you would see all of the individual dots," Naunton Morgan explains. "The process is really very simple, just take care not to make lots of errors ... Anyone could do it."

The amount of time needed to complete an image largely depends on the subject's complexity and the size of the dots (smaller dots create a more convincing optical illusion and take more time), but on average, it takes one person eight to 10 hours to fill a letter size sheet.

Fusing the human and the digital

Naunton Morgan and Gromark first started the Human Printer in 2009 while studying at Central Saint Martins in London. As graphic design students, they often discussed human interaction with technology, and how the handmade relates to the digitally produced.

"You print an image for a digital print and it always has the same finish to it. Something that's handmade is much more unique, it's much more individual,"  Naunton Morgan says. "These ideas married themselves together and we were like 'Hey! What would happen if you were to do (digital printing) by hand?'"

Their peers' enthusiasm compelled them to extend the project beyond graduation, and Naunton Morgan and Gromark eventually absorbed it into their current design practice. (They currently operate out of London and Paris.)

The future of prints

While they do accept commissions like a traditional printing service and have recently started selling prints online, Naunton Morgan and Gromark try to reposition their work in more creative ways. In September, they were invited to create their largest and most ambitious work yet at Unseen photo fair in Amsterdam. For four days, visitors watched Naunton Morgan, Gromark and a rotating team of five volunteers work in a glass cabin, dotting out a landscape on one of its 140 square foot walls. They've also released two books exploring human intervention in digital processes. Though they haven't confirmed what they'll try next, Gromark is happy to muse on the possibilities.

"Could we print in on another material? Could we explore the same process in a 3-D printer?" she says. "We're just trying to expand the way we see it."

Replacing traditional printing, however, will never be the goal. The hours required to make a print by hand are wildly impractical in the face of today's instant printers, and no matter how much effort is made, it's impossible to get a true duplicate with markers. In fact, the Human Printer put this to the test last year by hand-printing the same image 20 times in a row. The prints were not identical, but they were inimitable.

"That's the nature of why it's called the Human Printer," says Naunton Morgan. "It's about celebrating things that are handmade and do have errors, compared to those that are digitally produced."

Is this the end of ambitious Chinese architecture?

Explicit nude drawings that shook the world

Fondation Louis Vuitton unveils Paris' latest landmark

The lost art of the American pin-up

@highlight

The Human Printer recreates digital prints by hand using fine tip markers

@highlight

Stinsensqueeze, the design duo behind the project, mimics CMYK color processes

@highlight

The project is meant to highlight the relationship between humans and technology

@highlight

Making a letter size image this way could take up to 10 hours