Moscow (CNN) -- The computer contractor who exposed details of U.S. surveillance programs was on the run late Sunday, seeking asylum in Ecuador with the aid of the anti-secrecy group WikiLeaks, the organization and Ecuador's Foreign Ministry announced.

Edward Snowden left Hong Kong after Washington sought his extradition on espionage charges, according to WikiLeaks, which facilitates the publication of classified information.

"He is bound for the Republic of Ecuador via a safe route for the purposes of asylum and is being escorted by diplomats and legal advisers from WikiLeaks," the group said. Ecuador's foreign ministry said it had received a request for asylum from Snowden, and a CNN crew spotted a car with diplomatic plates and an Ecuadorian flag at the Russian capital's international airport.

Ecuador has already given WikiLeaks founder Julian Assange refuge in its embassy in London for a year after he unsuccessfully fought extradition to Sweden in British courts.

In Washington, the response was swift. The Obama administration asked Ecuador, Cuba and Venezuela, not to admit Snowden or to expel him if they do, a senior Obama administration official told CNN on Sunday. It also urged countries through which he might pass not to accept him.

The Justice Department said it was "disappointed" in the decision by Hong Kong authorities to allow Snowden to leave the semi-autonomous Chinese territory, arguing it had followed the proper legal steps to have him held and sent back to the United States. U.S. and Hong Kong officials had "repeated engagements" over the case, and Attorney General Eric Holder discussed the matter with his counterpart in Hong Kong last week, the department said.

"At no point, in all of our discussions through Friday, did the authorities in Hong Kong raise any issues regarding the sufficiency of the U.S.'s provisional arrest request," a statement from the department said. "In light of this, we find their decision to be particularly troubling."

And a source familiar with the matter told CNN that the U.S. government has revoked Snowden's passport.

State Department spokeswoman Jen Psaki said it was routine to revoke the passports of people charged with felonies. She would not comment specifically on the status of Snowden's passport but said anyone wanted on a felony charge, "such as Mr. Snowden," should be stopped from "any further international travel, other than is necessary to return him to the United States."

Among those accompanying Snowden is former Spanish judge Baltasar Garzon, now the lawyer for WikiLeaks and Assange, according to a statement from the organization.

"The WikiLeaks legal team and I are interested in preserving Mr. Snowden's rights and protecting him as a person," Garzon said. "What is being done to Mr. Snowden and to Mr. Julian Assange -- for making or facilitating disclosures in the public interest -- is an assault against the people."

Garzon added in a statement Monday that Snowden has sought his legal advice. Garzon said he has not yet decided whether to represent Snowden.

Assange sought asylum in June 2012 to avoid extradition to Sweden, where he is wanted for questioning over allegations that he raped one woman and sexually molested another. He has repeatedly said the allegations are politically motivated and that he fears Sweden would transfer him to the United States.

There are no charges pending against Assange in the United States. But a U.S. Army private who military prosecutors say leaked a vast cache of classified documents to WikiLeaks is now being court-martialed on charges of aiding the enemy, and he faces life in prison if convicted.

Snowden has admitted he was the source who leaked classified documents about the NSA's surveillance programs to the British newspaper the Guardian and to The Washington Post. The documents revealed the existence of programs that collect records of domestic telephone calls in the United States and monitor the Internet activity of overseas residents.

NSA chief: Snowden 'betrayed' our trust

Snowden gave up a comfortable life "in order to bring to light what he believed was serious wrongdoing on the part of our political officials," said Glenn Greenwald, the Guardian columnist who co-authored the stories. "And he's now at best going to spend the rest of his life on the run from the most powerful government on Earth."

The disclosures rocked the Obama administration and U.S. intelligence, raising questions about whether the NSA was infringing on American civil liberties. Snowden told the Guardian that he exposed the surveillance programs because they posed a threat to democracy, but administration officials said the programs are vital to preventing terrorist attacks and are overseen by all three branches of government.

"We have not in a single case had a place where a government official engaged in willful effort to circumvent or violate the law. Zero times have we done that," Gen. Keith Alexander, the NSA's director, told ABC's "This Week."

Snowden was a Hawaii-based computer network administrator for Booz Allen Hamilton, an NSA contractor. Alexander said Snowden "betrayed the trust and confidence we had in him" and is "not acting, in my opinion, with noble intent."

"This was an individual with top-secret clearance, whose duty it was to administer these networks," Alexander said. "He betrayed that confidence and stole some of our secrets."

He said the super-secret communications intelligence agency has changed passwords and procedures since Snowden's disclosures -- "But at the end of the day, we have to trust that our people are going to do the right thing."

Greenwald said Snowden has been extremely judicious about what he has revealed.

"I know that he has in his possession thousands of documents which if published would impose crippling damage on the United States' surveillance capabilities and systems around the world. He has never done any of that," Greenwald told CNN. "If his goal were to harm the United States, there were all sorts of things he could have done, from uploading those documents on the Internet to selling them to a foreign intelligence service."

Hong Kong: Extradition request didn't comply with requirements

Snowden left Hong Kong "through a lawful and normal channel," the government of the semi-autonomous Chinese territory said Sunday. The U.S. government announced Friday that it was charging Snowden with espionage and theft of government property and asked Hong Kong to hold him for extradition proceedings.

In a statement Sunday, Justice Department spokeswoman Nanda Chitre said Hong Kong authorities had informed U.S. officials of Snowden's departure.

"We will continue to discuss this matter with Hong Kong and pursue relevant law enforcement cooperation with other countries where Mr. Snowden may be attempting to travel," she said.

Hong Kong said the American request for a provisional arrest warrant "did not fully comply with the legal requirements under Hong Kong law" so it asked for additional information. Because Hong Kong didn't have enough information, "there is no legal basis to restrict Mr. Snowden from leaving Hong Kong," the government said.

But a Justice Department official said Sunday that the United States had met requirements and disputed the assertion from Hong Kong's government.

"They came back to us with a few questions late Friday and we were in the process of answering those questions," the official said. "We believe we were meeting those requirements. As far as the relationship with Hong Kong goes, this raises questions and we will continue to discuss with authorities there."

Hong Kong's lack of intervention came after Snowden told the South China Morning Post that U.S. intelligence agents have been hacking computer networks in Hong Kong and mainland China for years. The territory's government said it has requested "clarification" about that in order "to protect the legal rights of the people of Hong Kong."

Snowden 'told the truth in the name of privacy,' Paul says

President Barack Obama, top legislators and national security officials defend the surveillance programs Snowden detailed as necessary to combat terrorism and argue that some privacy must be sacrificed in a balanced approach. In a chat session moderated by the Guardian last week, Snowden said he went ahead with the leak because Obama worsened "abusive" practices instead of curtailing them as he promised as a candidate.

Obama has been receiving updates on the Snowden case from national security aides, a senior administration official told CNN.

But Snowden's revelations also sparked criticism from U.S. spy chief James Clapper, who told the Senate Intelligence Committee in March that the NSA didn't "wittingly" collect data on millions of Americans. After Snowden's revelations, Clapper told NBC that he answered "in what I thought was the most truthful, or least untruthful manner" to the question from Sen. Ron Wyden, D-Oregon.

Republican Sen. Rand Paul of Kentucky told CNN's State of the Union that both Clapper and Snowden will be judged by history.

"Mr. Clapper lied in Congress, in defiance of the law, in the name of security. Mr. Snowden told the truth in the name of privacy," said Paul, the son of former Libertarian-turned-Republican presidential hopeful Ron Paul.

Paul said that unlike civil rights protesters who broke the law and submitted to the courts to make a statement, Snowden faces a "disproportionate" penalty. But he added that Snowden's actions may be judged more harshly if he "cozies up" to an oppressive government overseas.

"If he goes to an independent third country like Iceland and if he refuses to talk to any sort of formal government about this, I think there's a chance that he'll be seen as an advocate of privacy," Paul said. "If he cozies up to either the Russian government, the Chinese government, or any of these governments that are perceived still as enemies of ours, I think that that will be a real problem for him in history."

CNN's Phil Black reported from Moscow. CNN's Matt Smith and Catherine E. Shoichet reported from Atlanta. CNN's Jill Dougherty, Nic Robertson, Holly Yan, Jake Carpenter, Joe Johns, Dan Lothian, AnneClaire Stapleton, Carol Cratty, Melissa Gray and Steve Brusk contributed to this report.

@highlight

NEW: Justice says it's "disappointed" in Hong Kong's refusal to arrest Snowden

@highlight

Snowden faces "the rest of his life on the run," columnist says

@highlight

The United States has yanked Snowden's passport and asks countries to turn him away

@highlight

He "betrayed the trust and confidence" of the NSA, director says