U.S. Vice President Joe Biden will visit Japan and China this week as a dispute seethes over Beijing's recent claim of a large swath of airspace in the region.

The Chinese declaration less than two weeks ago has prompted a war of words between governments and flights through the contested air zone by military planes from the United States, China, Japan and South Korea.

The uneasy situation in the sky over the East China Sea has raised fears that a midair incident could cause circumstances to spiral out of control. It has also fueled concern about how far China is willing to go to pursue its interests in the Asia-Pacific region and push back against U.S. influence.

"Whatever Beijing's motives in declaring the zone, it will add to the growing international tide of suspicion and sometimes even outright hostility as China increasingly asserts its growing power," Andrew Hammond, a geopolitical analyst, wrote in a commentary for CNN.com this week.

U.S. officials say that during his visit this week, Biden will raise American concerns about Beijing's newly declared air defense identification zone -- which the United States and Japan reject -- and encourage dialogue among countries in the region to ease tensions.

He will also "make the broader point that there is an emerging pattern of behavior by China that is unsettling to China's own neighbors," a senior Obama administration official said in a briefing last week.

U.S. State Department spokeswoman Jennifer Psaki reiterated Monday that Washington doesn't recognize the air defense zone nor China's demand to be notified of plans by jets from other nations to fly into the area. Psaki said the U.S. position is separate from any U.S.-based airlines' decisions to comply with China's demands.

Reassuring an ally

Biden will begin his Asia trip in Japan, the U.S. ally that is locked in the most direct confrontation with China and plans to beef up its military.

Tokyo and Beijing's bitter dispute over a set of small, uninhabited islands in the East China Sea has already led to frequent tense encounters between the two sides' ships and planes over the past year. Now, China's new air defense zone overlaps significantly with that of Japan and encompasses the disputed islands.

China is asking aircraft entering its air defense zone to identify themselves and submit flight plans. Japan has told its airlines not to comply with the new Chinese demands, but the U.S. government has urged American carriers to follow Beijing's instructions.

After arriving in Tokyo late Monday, Biden is scheduled to meet Tuesday with Japanese Prime Minister Shinzo Abe, who is likely to want reassurances of American commitment to standing firm against China's air zone claims.

The United States has thousands of troops stationed in Japan, and U.S. officials have reiterated that a mutual defense treaty between the two countries applies to the disputed islands, known as Senkaku by Japan and Diaoyu by China.

Biden will stress that "the United States has a rock-solid commitment to our allies," a senior administration official said this week. He will also push for a reduction in tensions in the region, the official said.

China flies fighter jet into disputed air defense zone; Japan remains defiant

A bolder China

But the American opposition to China's new air defense zone isn't simply a matter of supporting Japan and South Korea, another U.S. ally upset by the Chinese claim.

U.S. officials say that China's zone impinges not only on existing zone's declared by Japan and South Korea, but also on international airspace that is regularly used by commercial carriers, civil aircraft and military planes.

China argues, however, that it has the right to establish the air defense zone, just as Japan and South Korea were allowed to set up theirs in previous decades. It has also left open the possibility that it could declare more zones in the region, notably in the South China Sea where it's engaged in territorial disputes with the Philippines, Vietnam and others.

After Japan, Biden will travel to Beijing, where he'll meet with several top Chinese officials, including President Xi Jinping, who assumed power slightly over a year ago.

Many analysts see Xi as the mastermind behind the new air defense zone declaration, identifying the move as part of an assertive new Chinese foreign policy aimed at testing U.S. resolve in the Western Pacific.

China says it monitored U.S. B-52s that flew through its new air zone

U.S. officials have emphasized the importance of the personal relationships cultivated between top leaders in Beijing and Washington. The question is whether Biden's previous meetings with Xi will give him enough traction to defuse tensions over the East China Sea.

In an editorial published Monday, the state-run newspaper China Daily predicted that the air defense zone could be "a hard-to-navigate topic" for Biden and British Prime Minister David Cameron, who is also visiting Beijing this week.

The pivot to Asia

The final stop on Biden's tour will be in South Korea, another key American ally, where he will meet with President Park Geun-hye.

China's new air defense identification zone partially encroaches on South Korea's existing zone, and has drawn criticism from Seoul.

But other sensitive issues concerning the United States are also simmering on the Korean Peninsula. North Korea is holding two U.S. citizens prisoner, and Washington continues to press for their release.

Beyond the immediate issues, Biden's visit aims to underscore American commitment to its broader foreign policy goal of focusing more on the Asia-Pacific region. That effort was undermined earlier this year when President Barack Obama canceled a visit to four Asian nations -- including two regional summits -- because of the U.S. government shutdown.

"The message is clear and simple: The United States is a resident Pacific power, we're here to stay, and we're actively engaged on the full spectrum of issues in the region," a senior administration official said last week.

Massive naval power remains at heart of America's look eastwards

@highlight

State Department says U.S. military and government planes won't recognize zone

@highlight

Biden will visit Japan, China and South Korea during an Asian visit

@highlight

His trip comes as the region has been roiled by China's new air defense zone claim

@highlight

U.S. officials say Biden's visit is aimed at voicing concern but also reducing tensions