The SAT college exam will undergo sweeping changes on what's tested, how it's scored and how students can prepare, College Board President and CEO David Coleman said Wednesday.

Standardized tests have become "far too disconnected from the work of our high schools," Coleman said at an event in Austin, Texas. They're too stressful for students, too filled with mystery and "tricks" to raise scores and aren't necessarily creating more college-ready students, he said.

The SAT to be released in spring 2016 is designed to change that, he said.

The test will include three sections -- evidence-based reading and writing, math and an optional essay -- each retooled to stop students from simply filling a bubble on the test sheet.

"No longer will it be good enough to focus on tricks and trying to eliminate answer choices," Coleman said. "We are not interested in students just picking an answer, but justifying their answers."

The test will shift from its current score scale of 2400 back to 1600, with a separate score for the essay. No longer will test takers be penalized for choosing incorrect answers.

To prepare students for the test, the College Board will partner for the first time with Khan Academy to provide free test preparation materials, starting in spring 2015. Afterward, income-eligible students will receive fee waivers to apply to four colleges for free.

Why the test is changing

The last major changes to the SAT came in 2005, when it altered some question formats, added a written essay and changed its score scale from 1600 to 2400.

For this change, Coleman cited the need to create more opportunities for students, rather than obstructing them with test questions that felt detached from their educations and the preparation colleges needed.

Coleman, who joined the College Board in 2012, has spoken critically of his organization's test and discussed how it could be improved.

"Admissions officers and counselors have said they find the data from admissions exams useful, but are concerned that these exams have become disconnected from the work of high school classrooms and surrounded by costly test preparation," Coleman said.

In recent years, another exam, the ACT, has gained popularity as several states adopted it as part of their standardized testing programs.

And while the majority of four-year colleges require an exam score for admission, hundreds of schools have shifted to test-optional policies that allow students to decide what to submit -- or whether to share a test score at all.

Indeed, students' grades and the academic rigor of their courses weighs more heavily in college admissions decision than standardized test scores, class rank or professed interest in a particular school, according to the National Association for College Admission Counseling's 2013 "State of College Admission" report released in January.

The report was based on surveys sent to public and private high schools, postsecondary institutions and data from the College Board, the U.S. Department of Education and the U.S. Census Bureau.

"I'd like to be optimistic and believe some of this is going to be good," said Steve Syverson, a member of the NACAC board and dean of admissions emeritus for Lawrence University in Appleton, Wisconsin -- a test-optional school. "I just don't know how it will work out."

Syverson was part of NACAC's Commission on Standardized Testing that in 2008 urged standardized test makers to adhere more closely to school curricula, colleges to consider more about applicants than seductively simple test scores and society to stop rating schools based on standardized test scores.

Syverson was intrigued by the Khan Academy partnership, he said, and pleased with the direction Coleman seemed to be taking the test. He wonders whether fee waivers and others changes are meant to draw back students and schools that have turned away from the SAT or testing in general.

Until he sees the passages students will be reading, the questions they're answering and the way colleges react, he has to remain skeptical.

"Some of this is just words. They had a lot of great language around the last change," in 2005, Syverson said. "The angst about the exams has just continued to grow."

How the test will change

Sections of the redesigned SAT might sound similar to the current test, but the changes are significant, Coleman said.

The reading and writing sections will include questions that require students to cite evidence for their answer choices, and will include reading passages from a broader range of disciplines, including science, history, social studies and literature.

Test takers will no longer be asked to complete sentences with obscure words they might have memorized from flash cards.

Instead, students will have to consider the context of how words like "synthesis" and "empirical" are used. They're not "SAT words" as they've come to be known, Coleman said, but words students are likely to encounter again.

"We must do all we can to foster this daily work that prepares students," Coleman said.

The math section will no longer allow calculators to be used on every portion. It will focus on data analysis and real world problem-solving, algebra and some more advanced math concepts -- areas that most prepare students for college and career, Coleman said.

"It is not that helpful to tell students, 'To get ready, they should study all of math,'" Coleman said.

The essay, which the SAT added in 2005, will now be optional. SAT essays have faced criticism over the years from educators who said they focused too much on what test takers wrote, not whether their statements were true, or their arguments reasonable.

Coleman said the College Board would now take responsibility for "unintended consequences" of how the essay test was designed.

Essays will be scored separately from the rest of the test, and the prompt will remain basically the same in every test: It will ask students to consider a passage and write an essay that analyzes how the author made an argument, used evidence and styled ideas.

The redesigned test will take about three hours, with an additional 50 minutes for the essay, and will be administered by print and computer; the current test is available on paper only.

How students can prepare

Last year, when Coleman announced plans to redesign the SAT, he said it would launch in 2015. Toward the end of 2013, he delayed the launch to 2016 in order to allow partners more time to prepare.

That means more time for students, educators and guidance and admissions counselors to understand the changes -- and more time for the College Board's Khan Academy test prep program to gear up.

Partnering with the free, online resource is intended to make the SAT more transparent, and cut back on perceptions of inequality around expensive test preparation services, Coleman explained Wednesday.

"If there are no more secrets," Coleman said, "it's very hard to pay for them."

Students' classrooms are meant to be the best preparation for the redesigned SAT. The College Board's Khan Academy tools will supplement that learning.

"It's going to meet students where they are," said Salman Khan, the Khan Academy creator. "We'll take you as far back as you need to go or as far forward as you need to go."

Khan emphasized that he is planning to challenge the existing test prep industry by offering high quality, easily accessible tools.

"This isn't just a 'Hey, since it's free, it's better than nothing," he said. "Our intention in this partnership is this will be the best thing out there, and it happens to be free."

On April 16, the College Board will release more detailed specifications about the test and sample test questions.

Some Khan Academy tools will be available to help students taking the SAT before the redesigned exam launches, Coleman said.

For students, Coleman said, "we hope you breathe a sigh of relief that this exam will be focused, useful, open, clear, and aligned with the work you will do throughout high school."

What do you think of changes to the SAT? Share in the comments, on Twitter @CNNschools or on CNN Living's Facebook page.

@highlight

College Board's SAT test will undergo its first major changes since 2005

@highlight

Test will align with high school curricula and return to a 1600 scoring scale

@highlight

Free test preparation will be offered through the College Board and Khan Academy

@highlight

The new test will be available to students in spring 2016