Editor's note: Lois Pope and Arthur H. Wilson are co-founders of the Disabled Veterans' LIFE Memorial Foundation, the nonprofit organization that has spearheaded the development of The American Veterans Disabled for Life Memorial. Award-winning actor Gary Sinise, star of "CSI: NY," is the national spokesman for the memorial.

As we prepare to pay tribute this Veterans Day to the courageous men and women who have selflessly served our country, the image of American soldiers who made the ultimate sacrifice in the wars in Afghanistan and Iraq is in our minds. But we also must recognize that many thousands have returned from these wars with severe injuries and permanent disabilities.

The numbers of troops coming home with damaged bodies and, in many cases, minds, is increasing. Advances in medical and military technology are reducing the number of deaths from combat, but soldiers who survive attacks often end up with lost limbs, horrific burns, traumatic brain injuries and other life-altering wounds.

For example, in 2006 for every fatality in Iraq, there were 16 wounded. We need to do a better job of honoring and meeting our obligations to these unsung American heroes.

Welcome home: Share your homecoming experience

Beyond significantly increasing funding to meet the ever-growing costs of treatment, as well as other benefits, America has a responsibility to ensure that our disabled veterans are never neglected or erased from our collective memory. A permanent public tribute to recognize them is now underway.

Yesterday, in a ceremony attended by hundreds of disabled and able-bodied veterans whose service dates back to WWII. House speaker Nancy Pelosi, Secretary of Veterans Affairs Eric Shinseki and others joined us to break ground on The American Veterans Disabled for Life Memorial.

Sitting across from the U.S. Botanic Garden, in full view of the U.S. Capitol, this memorial will serve to educate generations about the true cost of war, and to celebrate the men and women who may be broken in body but never in spirit.

The groundbreaking, however, marks just the beginning of efforts -- our obligation -- to create this memorial.

Unfortunately, we often marginalize and forget the men and women who sacrificed for our freedom. In fact, Veterans Day itself has become for far too many of us an extra vacation day from work or school. For retailers, it has become yet another day to lure shoppers with special sales and promotions.

All of us should instead consider this sobering fact:  Since 2001, the number of disabled veterans has risen by 25 percent to over 3 million today. In contrast, the increase in the six years prior to September 11, 2001, was just 4 percent. Well over 180,000 veterans of the Iraq and Afghanistan wars are already collecting disability benefits.

A Stanford University study last year estimated that as many as 35 percent of Iraq war veterans will suffer from post-traumatic stress syndrome, a condition that has already led to high rates of depression, suicide, substance abuse, unemployment, relationship and family problems, and other issues.

We have been privileged to meet a number of these veterans and have witnessed their Herculean struggles to regain health, reshape lives shattered by disability, learn new trades or professions, and rejoin the civilian world.

While their disabilities remind us of the fragility of life, they also inspire us with their fortitude, strength of character, and unflagging commitment, not just to survive, but to flourish as devoted husbands and wives, fathers and mothers, sons and daughters, friends and colleagues, and hard-working and productive citizens.

We wish that every American could walk down the National Mall in Washington. It is a humbling and inspiring experience. The story of our country is told there in museums, monuments and memorials that commemorate the individuals and events that have shaped our history, molded our national character, and woven the very fabric of our nation.

But, while there are many fitting memorials to fallen soldiers, as well as monuments to our founding fathers, there is nothing for disabled veterans. They are the only historically significant group that has not been recognized in such a manner.

That is why the Memorial is so important. Much work still needs to be done, from fundraising and building an endowment to actual construction.

We have faith that the American people -- individuals, foundations, and corporations -- will continue to lend their support.

It is not possible to look into the eyes of any disabled veteran and not feel compelled to do something to recognize what he or she has given up for our sake, for the freedoms that we take them for granted.

John Quincy Adams said: "You will never know how much it has cost my generation to preserve your freedom. I hope you will make good use of it."

This Veterans Day, let us think on the words of America's sixth president. Let us pay special honor and be inspired by the over 3 million who continue to bear the scars of war long after the guns have fallen silent and the memory of their sacrifice has faded from the public's consciousness.

The opinions expressed in this commentary are solely those of Gary Sinise, Lois Pope and Arthur Wilson.

@highlight

Gary Sinise, Lois Pope and Arthur Wilson say many return from war disabled

@highlight

Yesterday was groundbreaking for The American Veterans Disabled for Life Memorial

@highlight

The monument will be reminder of those who return from war, injured, changed

@highlight

Writers: Fundraising, construction remain for monument; Americans should support it