WASHINGTON (CNN)  -- Question: How many years since the Civil War have both U.S. senators from Pennsylvania been Democrats?

Sen. Arlen Specter's breed of fiscally conservative, socially progressive lawmakers is on decline in Northeast.

Answer: two. The state sent Democrats Francis Myers and Joseph Guffey to the Senate between 1945 and 1947.

If you knew that, you understand just how far the Republican Party has fallen in its ancestral homeland of the Northeast, a decline that was underscored by Sen. Arlen Specter's recent decision to leave the party.

Specter's decision to join Pennsylvania Sen. Bob Casey on the Democratic side of the aisle raises a host of questions about a party that, after years in power, suddenly finds itself hemorrhaging voters and ceding vast swaths of electoral terrain.

First and foremost, who killed the Rockefeller Republicans? What happened to Specter's breed of fiscally conservative, socially progressive, temperamentally moderate Northeastern officeholders? And if they can be resurrected, should they?

Liberal to moderate Northeastern Republicans once were as much a part of the political landscape as today's liberals from Massachusetts. Now, they live mostly in the history books. Olympia Snowe and Susan Collins of Maine may be the last ones standing in today's Senate.

The Northeast region sealed the deal for Abe Lincoln in 1860. It broke the back of William Jennings Bryan's populist Democrats in 1896. It kept the Republicans in power for all but 16 years between the Civil War and the New Deal. Specter's home state was the only large industrial state to back Herbert Hoover over Franklin Roosevelt in 1932.

Even after FDR started tilting the region to the Democrats, it produced a slew of moderate GOP officeholders, postwar leaders like New York's Nelson Rockefeller and Jacob Javits, Pennsylvania's Richard Schweiker and John Heinz, Maine's Margaret Chase Smith and William Cohen, Massachusetts' Leverett Saltonstall and Ed Brooke, Connecticut's Prescott Bush and Lowell Weicker, Rhode Island's John Chafee, New Jersey's Clifford Case and Maryland's Mac Mathias.

So what happened?

In short, notes CNN Polling Director Keating Holland, there has been a slow but steady Northern backlash to the GOP's four-decade-old "Southern strategy." Race and religion brought Southern whites into the Republican Party but also began pushing out a lot of affluent Northern suburbanites. Those socially moderate voters formed the core of the Rockefeller Republican constituency.

Major political realignments don't happen overnight, however. A lot of disaffected Dixiecrats continued voting Democratic in state and local elections for a long time, even after being wooed by Richard Nixon and Ronald Reagan.

Old habits die hard, and Southern Democratic parties slowed their decline by continuing to nominate candidates more in step with voters in their states.

The same story, only in reverse, held true in the Northeast. Thirty years ago, after Nixon but before the Reagan Revolution, the 11 Northeastern states stretching from Maryland to Maine still sent 37 Republicans to the House of Representatives and another 10 to the Senate. Today, those same states have 18 Republican representatives in the House and three in the Senate.

The numbers are more stark in New England and New York. New England no longer has a single GOP representative in the House. The 29-member New York House delegation has only three Republicans.

And what about Specter's home state?

Since Nixon implemented the Southern strategy in 1968, the Republican presidential nominee's share of the popular vote in Pennsylvania has been smaller than his share of the nationwide vote in every election.

The erosion of the Rockefeller Republican vote is clearly seen in election returns from Specter's political base, the moderate Philadelphia suburbs.

In 1976, Gerald Ford lost Pennsylvania to Jimmy Carter while carrying suburban Bucks, Chester, Delaware and Montgomery counties. In 2008, John McCain lost Pennsylvania to Barack Obama while getting crushed in those same counties. McCain lost Delaware and Montgomery counties by more than 20 points.

Those same suburbs are now represented by only one Republican congressman, moderate Rep. Jim Gerlach, who has been elected in each of the past four cycles by the skin of his teeth. Increasingly precise gerrymandering to create safer districts for incumbents has taken a bad situation for moderate Republicans and made it worse. Safe Republican districts are conservative districts, and conservative districts don't nominate moderates.

When Specter announced his defection to the Democrats, he noted that more than 200,000 Pennsylvania Republicans changed their registration to become Democrats in 2008. Specter knows that the bulk of those switches came from the moderate suburbs.

After barely beating conservative challenger Pat Toomey for the 2004 GOP nomination, he could read the writing on the wall for the 2010 primary.

Now that Specter's gone to the other side, should Pennsylvania Republicans nominate a conservative in 2010?

Not if they want to have a good chance to win. A new Quinnipiac poll of Pennsylvania voters suggests that Specter would beat Toomey, a former congressman, by 20 points in a general election contest. Former Gov. Tom Ridge, a social moderate in the Rockefeller Republican mold, trails Specter by only 3 points, a statistical dead heat.

It's not impossible for more conservative candidates to win statewide in the Northeast -- former Pennsylvania Sen. Rick Santorum won two terms before losing in 2006 -- but it is significantly harder and happens much less often.

Conservative candidates in step with today's Southern-dominated GOP are out of step in the Northeast. They also represent a distinct ideological minority on the West Coast, much of the Midwest and, increasingly, the Southwest.

Of course, GOP strategists are right when they say the party has been left for dead before, only to spring back to life.

Barry Goldwater's 1964 blowout loss was followed by major Republican gains in the 1966 midterms and Nixon's triumphant return in 1968. The party's 1974 Watergate debacle laid the groundwork for Reagan. And Bill Clinton's 1992 win paved the way for the GOP's first House majority in forty years.

But what may make the fallout from 2008 different is the clear regional nature of the GOP's setback. The wipeout in the old Republican heartland has been a long time coming.

At the same time, the Republicans have lost some ground in the South and the West because the Democrats have been willing to nominate candidates who differ with national party leaders on hot button social issues like gun control and abortion. They also haven't been afraid to throw a few fiscal conservatives into the mix. Winning national coalitions are rarely unified on all of the big issues.

The GOP now has to decide whether it wants to copy the Democrats' strategy in the Northeast or whether it would rather circle the ideological wagons. The decision may dictate the shape of American politics for years to come.

@highlight

Liberal, moderate Northeastern Republicans once a strong part of landscape

@highlight

Specter's decision to switch parties raises a host of questions about the GOP

@highlight

There's been a slow northern backlash to GOP's "Southern strategy," Holland says

@highlight

GOP has been left for dead before, only to spring back to life