The rates of U.S. children affected by attention deficit-hyperactivity disorder (ADHD) are skyrocketing, according to a recent report, but experts caution that the latest numbers require a bit of decoding.

That information shows that 11% of children aged 4 to 17 were diagnosed with ADHD, a 16% increase since 2007, the last time that researchers at Centers for Disease Control (CDC) did a comprehensive survey for the prevalence of the neurobehavior disorder.

The rise was especially dramatic among boys, with an estimated 1 in 5 boys in high school diagnosed with ADHD. What's more, about two-thirds of the children diagnosed were treated with stimulant medications that can improve attention but also come with side effects.

Are rates truly climbing at such an alarming rate? Possibly. But many experts believe that's unlikely.

The data was collected by the CDC and analyzed and reported by the New York Times; the CDC plans to publish its own report on the data in the coming months.

TIME.com: Are ADHD medications being overused?

To start, the information on ADHD rates came from parents reporting on the diagnosis for their children during telephone interviews. Such reports are useful but not as reliable as the verified diagnoses from medical or school records, says Dr. William Barbaresi, director of the developmental medicine center at Boston Children's Hospital.

Second, such records-based data suggests that ADHD rates among children may be somewhere between 7.5% and 9.5%, with boys at the higher end of the range, not 11%.

In its previous round of analysis, CDC found that ADHD diagnoses rose by 22% between 2003 and 2007, based on the same telephone surveys of 76,000 families in the United States, climbing by an average of 3% to 6% each year between 2000 and 2010. But the latest figures, which included responses collected between 2011 and 2012, show a far higher prevalence that hints at classrooms full of hyperactive and impulsive kids.

"By definition, ADHD requires that symptoms have to have a significant effect on life," says Barbaresi. "To say that a tenth of all children have a biologic condition that affects their life enough to call it a disorder just does not make sense."

TIME.com: Teens taking ADHD drugs to get good grades

If that's the case, then a significant proportion of these children may also be mistreated with medications that they don't need.

"This report and others raises questions about whether we may not be overdiagnosing ADHD and overusing medications," says Dr. Thomas Power, director of the center for management of ADHD at Children's Hospital of Philadelphia.

That could have serious implications for children's long term mental and physical health, since ADHD drugs such as Ritalin and Adderall have been linked to dramatic weight loss and suppressed growth. And some experts have voiced concern that early use of the behavior-modifying drugs could alter the natural arc of children's social and creative development.

TIME.com: New ADHD guidelines include kids as young as 4

The apparent rise in the prevalence of ADHD highlights several shortcomings in the way that not only ADHD, but mental health issues in general, are diagnosed and treated in the United States, says Barbaresi. Most children are labeled with the disorder by their pediatrician or family doctor, who aren't always trained in providing the in-depth evaluation that a reliable diagnosis requires.

"Symptoms are not and should not be sufficient," says Ruth Hughes, CEO of Children and Adults with Attention-Deficit Hyperactivity Disorder (CHADD). "The symptoms have to occur every day for a long period of time, and, more importantly, these symptoms have to lead to major disruption or impairment in at least two areas of a person's life, such as at school or in relationships."

While the American Academy of Pediatrics (AAP) recently provided an updated guideline on the criteria for a proper ADHD diagnosis, including reports not only from parents but from teachers and other daycare personnel about a child's hyperactive, impulsive and inattentive behavior, not all physicians have the time to carefully collect and vet the input from these sources.

TIME.com: Teens' use of ADHD drugs up sharply

In addition, in order to properly identify a child affected by ADHD, Barbaresi, for example, conducts a medical and psychological assessment that takes several hours and requires the child and the parents to complete questionnaires about how the child responds to different situations, which factors seem to trigger hyperactive behavior or inattentiveness, as well as how disruptive these episodes are to the child's daily activities.

Unfortunately, most insurers do not reimburse for such evaluations, and that pushes already busy doctors to take the path of least resistance -- prescribing medications such as Ritalin or Adderall.

"That's the big elephant in the room -- pediatricians and the family practitioner are being asked to sort out a complex situation in an inadequate amount of time without access to data from psychological assessments they need to make these fine distinctions," says Barbaresi. "So it's a set-up for inappropriate decisions to be made."

And those include not just mis-diagnosis and over-medication of children but mistreatment and even under-diagnosis in some situations. In rural and urban areas, where mental health services are scarcer and more stigmatized, rates of ADHD diagnoses are slightly lower than in affluent areas, and children in these areas are less likely to be treated properly.

That could have implications for the long-term health of these children, since studies also show that about 60% of children with ADHD have a learning disability, and that 60% will go on to develop another mental illness by age 19.

So a proper diagnosis of ADHD doesn't just provide opportunities to treat behavior problems, but potentially mental illnesses as well. That's why "it's clearly inappropriate to do these superficial assessments," says Barbaresi.

TIME.com: Nearly 1 in 4 who seek treatment don't have ADHD

Being too quick to diagnose the disorder also means doctors may be bypassing effective, non-drug treatments that may benefit many children, especially the youngest. The AAP recommends that children younger than 6 start with behavior therapy before beginning medications, but writing a prescription is far easier than monitoring a series of sessions that involve training and a commitment of time and effort from parents and family members.

"The problem we face is that behavioral, psychosocial and non-pharmacologic interventions are not sufficiently available to people," says Power. "When I talk to pediatricians and primary care physicians, they tell me they don't want to be diagnosing ADHD as often as they are, and they don't want to be using medications as often as they are, but they don't have many other options available. It's difficult to get kids into mental health treatments and psychosocial treatments that they believe many of these children and their families need."

These programs are designed to assess what factors trigger and sustain inappropriately impulsive and hyperactive behavior, he says, by involving parents and helping them to modify environmental factors or interactions with their children to modify their behavior. Playing and engaging more directly with children on a regular basis, for example, tends to calm them down, and setting limits and educating children about the consequences of their actions can also help.

In groups that Power has conducted with his patients, parents have reported that such behavioral interventions are effective in improving children's relationships with their parents as well as with their teachers and classmates in school.

But these programs don't work in a vacuum, and ideally, parents, doctors and teachers should coordinate their efforts to ensure that the appropriate behavior is being positively reinforced among children with ADHD. "The best treatment is a combination of parent training, behavioral intervention, school interventions, and medication where needed," says Hughes.

All too often, current therapies aren't taking advantage of the full power of this recipe.

This article was initially published on TIME.com.

Understanding the rise in ADHD diagnoses: 11% of U.S. children are affected

@highlight

A recent report shows the rate of U.S. children with ADHD is rising

@highlight

Some experts say it raises questions about whether we are overdiagnosing ADHD

@highlight

And some children may be treated with medications they don't need, experts say

@highlight

Under-diagnosis may also be a problem in some areas