(CNN)Having helped to plan my fair share of international conferences and summits, I know a real success when I see it. And the White House's summit on countering violence and extremism this week wasn't one.

As an exercise in focusing on the homegrown aspects of countering extremism and facilitating better communication among religious, educational,  community leaders and law enforcement,  this week's three-day meeting had merit.

But if the purpose of the summit was to craft a strategy -- even a political one -- to help defeat the Islamic State in Iraq and Syria (ISIS), then its impact is likely to prove very limited indeed. That goal -- if it can be accomplished at all -- will only be realized by demonstrating that ISIS can't expand the territory under its control and govern effectively in the territory it currently controls.

And that will require a long war and a sustainable military and political strategy involving local and regional allies.

Of course, it is understandable why the summit was called -- the Obama administration's failure to send a high-level representative to Paris in the wake of the Charlie Hebdo terror attacks was widely criticized; and the summit had been postponed once before. It was, therefore, particularly important that the President demonstrate leadership in the fight against extremism.

And it has to be said that convening a meeting of some 60 nations is no small achievement. Indeed, perhaps the most useful contribution of gathering so many officials together was that it will aid coordination of domestic efforts on how to preempt homegrown radicalism among young people. In that sense, the President was right to refer to the challenge as generational, something American Muslims have been active and alert to even before the summit began.

But the summit also highlighted the limitations, contradictions and flaws in the approach the administration has embraced.

The President went to great lengths to offer a strategic view of how to combat ISIS that focused on the importance of changing the way states in the region govern themselves. "When people are oppressed and human rights are denied, particularly along sectarian lines or ethnic lines, when dissent is silenced, it feeds violent extremism," he said.

There's no doubt that bad governance -- or even no governance -- has enabled the rise and success of ISIS. But the suggestion that democracy is an antidote to radical Islam only shines a light on some of America's key allies in the fight against ISIS, including the monarchies and sheikhdoms of the Arab Gulf, such as Saudi Arabia, Qatar, and states such as Egypt and Jordan.

None could be described as anything close to a democracy, and none have any intention of undertaking serious reforms to become one. In fact, if the President wants to preserve his Sunni Arab coalition against ISIS, he'll have to do the opposite of what he's suggesting -- not push these countries to serious reform. Because if he does, they won't cooperate with him.

This contradiction leads to a second problem -- the idea that a summit in Washington, or indeed anything made in America, will somehow lead to an effective counter narrative that will halt ISIS success at recruitment.

The reality is that the United States has been particularly ill-suited to capturing the hearts and minds of Arab and Muslim youth, partly because of our policies in Iraq and Afghanistan, but also our support for authoritarian regimes, our drone strikes and our support for Israel.

We may not actually have the problem in the right sequence. Instead of hearts and minds, it should be minds and hearts.

First, you appeal to people on the basis of their interests, and then the emotional component follows. Many of the governments in the region lacking political inclusiveness and employment opportunities can't do this. And if their own governments can't provide a compelling alternative to the ISIS religious vision of some kind of Islamic caliphate, then how can the United States be expected to?

There may be many reasons why ISIS succeeds in attracting followers -- personal frustration, alienated lives, a perverted fascination with violence and terror, a sense of identity and belonging. The question, then, is how do you craft a compelling counter vision for young people in the region or aggrieved European Muslims other than to say hammer ISIS's depravity? And when you do that, you simply reinforce conspiracies about the West and supposed plots against Islam.

Neither democratic reform in the Arab world (highly unlikely), nor counter-messaging (probably ineffective), will check the rise of ISIS. That can be achieved only by a military and political strategy designed to demonstrate that ISIS has failed. And that means containing and reversing the group's gains through the use of air power, standing up local allies, marshaling a Sunni Arab coalition, and most likely by deploying additional U.S. Special Forces.

There are many constraints inherent in this approach. Iranian-backed Shia militias feed ISIS recruitment by killing Sunnis. And Bashar al-Assad's regime in Syria does the same. Meanwhile, ungoverned spaces in Libya and Yemen offer new opportunities for IS affiliates. But stopping ISIS gains and rolling them back in Iraq and over time in Syria are critical, and would be the best counter-narrative possible.

The legitimacy of ISIS, Graeme Wood argues in a must-read piece in The Atlantic, depends on its ability to control territory -- its putative caliphate. In fact, that's what gives ISIS leader Abu Bakr al-Baghdadi his legitimacy. Rolling that back in Iraq and bleeding ISIS in Syria is the only way to demonstrate that the group has failed to deliver.

All this underscores that we are in a long war, and one that will include some tough choices -- including how to deal with al-Assad, Iranian ambitions in Iraq, non-democratic allies, and the deployment of additional U.S. forces on the ground. Right now, however, this is the best approach we have.

Hold another summit and try hearts and minds if you must. But the fight against ISIS will be won on the ground by showing the world that this quasi-state that aspires to re-create an 8th century, violent form of Islamic rule will not succeed in the 21st.

@highlight

White House hosted summit this week on countering extremism

@highlight

Aaron David Miller: Fight against ISIS will be won on the ground