(CNN) -- A Somali Islamist militant movement on Monday issued a statement claiming responsibility for a devastating trio of bombings that killed 74 people in Uganda's capital.

"We wage war against the 6,000 collaborators; they have received their response," the statement from Al-Shabaab read in apparent reference to the African Union peacekeeping force in Somalia that Uganda contributes troops to.

Analyst Alex Vines, from London-based think tank Chatham House, told CNN that if Al-Shabaab did carry out the attacks there could be global implications as countries and businesses vie for opportunities across Africa.

Why is Uganda important?

Vines: Historically it's been important for the export of coffee and fish out of Lake Victoria, but now oil has been found, Uganda could become a significant, if not major, oil exporter. So there's much international interest, and not just western.

The deal that's been struck with Tullow Oil looks as if it'll be farmed out to the French company Total and the Chinese state oil company CNOOC. So these attacks in Uganda could have global implications for business, be they Chinese or Western.

Will they deter investors?

Vines: I think investors will do a stricter risk assessment and practice due diligence. They will look at where they think it's safe for their workers to go and advise them to be careful when socializing at night, but I don't think it will stop investment at all.

Does Uganda have a history of violence?

Vines: Uganda has had a low-intensity conflict linked to the Lords Resistance Army (LRA), of Joseph Kony, but this has been much subdued in recent years. There have been recent acts of random terrorism in Kampala but nothing like that seen last night.

(United Nations humanitarian chief Jan Egeland has described the 20-year conflict in northern Uganda between government forces and the LRA as the most neglected humanitarian crisis in the world. Kony has said he wants to rule Uganda according to the Ten Commandments but the LRA campaign has been marked by brutality, including the abduction of many school children with girls forced to be sex slaves and boys pressed into the guerrilla army.)

Uganda is on the U.N. Security Council and is going to play a more global role as U.S. and other countries want to impose sanctions on countries like Iran and North Korea. Is Uganda's international role the reason it's been targeted?

Vines: Al-Shabaab are the leading point of inquiry because of its previous threats against Uganda and because of its contributions to the African Union Mission in Somalia (AMISOM) and the presence of the EU training mission in Mogadishu.

Bomb belt found in Uganda attacks probe

I think Uganda has been targeted for these bombings because of its activities in Somalia. Uganda is on the Security Council but it is going to step down at the end of this year. So that's a transitory issue. Uganda certainly sees itself as playing a regional role: President Museveni was instrumental in pushing for U.N. sanctions on Eritrea that came into force earlier this year so clearly he has many enemies as well as friends.

What are the implications of the attacks?

Vines: If radical Islamist group Al-Shabaab is involved, this will be its first attack outside Somalia. If this is true the bombings will show it has the capability against soft targets outside Somalia. Also it's important to understand Somalia isn't a monolithic, single state. There's extreme violence in the south of the country but north of Mogadishu and in an area called Somaliland it's been pretty stable. In fact in Somaliland recently there's been an election with what looks like the peaceful transition of the head of state of that area. So this is a complicated region for sure.

Is there any possibility of peace in Somalia?

Vines: The West's policy is to support the transitional government in Mogadishu but it only controls a few streets. The part of Somalia around Mogadishu and to the south is controlled by Al-Shabaab, who do not recognize the transitional government and want to impose a strict Islamist code. My own personal view is that rather than ignoring al-Shabaab we should be discussing with them what they want.

And in that way it's similar to the situation in Afghanistan with the Taliban ... the debate going there about whether one must engage with them rather than just fight them. The country remains very vulnerable and reliant on AU peacekeeping forces and AMISOM, which is what Uganda is part of, and I think that's why Uganda was attacked.

@highlight

Somali militants claim reponsibility for bomb attacks that killed dozens in Uganda

@highlight

Uganda possibly targeted because of its activities in Somalia

@highlight

Al-Shabaab group has issued previous threats against Uganda

@highlight

Analysts say there could be global implications for businesses across Africa