(CNN) -- For African business leaders who study and further their training overseas, returning to the continent can be even tougher.

It can be hard for them to commit to returning to the even smaller economies of their home countries, says Krishna Patel, HSBC's CEO for Africa.

"You get expatriate Ghanaians and Nigerians with the best will in the world wanting to come back," Patel told CNN. "But they find themselves employed [in Europe or the United States] and think, 'I'm one man, I'm one woman, and I have an opportunity here.'"

There is a steady flow of Africans leaving their homeland to study overseas. Students from sub-Saharan Africa are the most mobile in the world, according to the United Nations Educational, Scientific and Cultural Organization (UNESCO).

As many as one in three higher education students in Botswana, Namibia and Swaziland study abroad according to a UNESCO report. By comparison, one out of every 250 North American students studies overseas.

South African Richard Remmington, an IT manager studying for an MBA at Oxford's Saïd Business School, said there just aren't that many opportunities back home.

While South Africa has seen a surge in corporate opportunities for talented businessmen and women, "the economy is just too small to accommodate the kind of jobs they want to do," Remmington told CNN.

Even when young Africans want to combat the so-called "brain drain," it can be difficult for them to find the right opportunities back home.

"This group of people, despite how important they are to the continent, are having the darndest time connecting to opportunities back home," said Okendo Lewis-Gayle.

He's the president of Harambe Endeavor, an alliance of African students and young professionals studying at top academic institutions around the world.

Right now, there's no systematic way for these young leaders to go home and be effective, said Lewis-Gayle, who started Harambe with a Zimbabwean classmate at Southern New Hampshire University in the United States three years ago.

"Because many of them still have this perception of the 'dark continent,' that nothing is going on, they don't even try," he said.

Communication and recruitment challenges are some of the biggest obstacles facing young business leaders who want to return home, according to Lewis-Gayle.

Harambe organizers hear African graduates expressing particular frustration about a lack of information on how to find the jobs that suit their backgrounds.

For example, Lewis-Gayle said, China is investing heavily in Africa, which is creating several opportunities. Yet you have African students in Taiwan or  Beijing who really don't know how they can be effective back home.

"Someone who is African and is educated in China or Taiwan and speaks fluent Chinese shouldn't be wondering what he or she can do back home," he said.

Fledgling organizations like Harambe, which connect young workers with businesses seeking to invest or expand in their countries of origin, are helping to tackle this problem.

Harambe has helped launch entrepreneurship programs in Burkina Faso, Cameroon and Ghana as well as a microfinance scheme in Ethiopia. But it's been an uphill battle getting these programs off the ground.

"There's this barrier of folks kind of looking down on the youth and not thinking that they're ready or prepared to be of value -- this is huge, because in countries where youth is encouraged and supported, its easier for people to start things," Lewis-Gayle said.

It isn't just creating and finding opportunities, but funding them as well, that can keep young executives from going home.

A Harvard University African higher education survey found that recent graduates interested in entrepreneurship felt they couldn't turn their new ideas and skills into viable businesses in their countries of origin, due to an almost complete lack of venture capital.

But the overall business climate is starting to change, as investors eye Africa's growth potential, and that could lead to more options for expatriates wanting to return home, Patel from HSBC said.

"The world has had a very big jolt," he told CNN. "Suddenly the risk adjustment on returns from Africa is looking like a good opportunity."

@highlight

Young African business leaders who study abroad find it difficult to connect to business opportunities back home

@highlight

Communication and recruitment challenges are some of the biggest obstacles

@highlight

Students from sub-Saharan Africa are the most mobile in the world, according to UNESCO

@highlight

Groups like the Harambe Endeavor try to connect young workers with businesses seeking to invest or expand in their countries of origin