Nervous anticipation extends far beyond the racially charged powder keg of Ferguson, Missouri, over a grand jury decision on whether to indict a white police officer for fatally shooting an unarmed black teenager.

The St. Louis suburb has simmered with anger since the day in August when 18-year-old Michael Brown was shot multiple times by Officer Darren Wilson.

With the grand jury expected to deliver its decision any day, people worry that tensions could boil over -- not only in Ferguson, but at demonstrations in more than 30 cities from Boston to Los Angeles organized by a group called the Ferguson National Response Network, mostly for the day after the decision is announced.

While most protests in Ferguson have been peaceful, some devolved into violence, especially in the nights immediately after the shooting. The imminent decision has renewed concerns over clashes between protesters and heavily armed law enforcement officers, especially if Wilson is not indicted.

"I, like so many other people, am on pins and needles," said the Rev. Alvin Herring, a Washington-based deputy director of the community organizing group PICO National Network. "This case has resonated with a lot of people who are beginning to understand that the issue of police violence and lawlessness is an issue that, although for the moment is focused on Ferguson ... it is an issue that challenges the nation."

Though Herring expects to be in Ferguson after the announcement, he said members of the network's 3,000 multidenominational congregations around the country plan to participate in vigils and protests.

The Ferguson National Response Network lists planned community responses to the grand jury decision in big cities such as Cleveland, Denver, Detroit, Indianapolis, Pittsburgh and Seattle. It's also planned public gatherings -- to be held the day of the announcement or the day after -- in smaller cities that include Portland, Oregon; New London, Connecticut; Grand Rapids, Michigan; Chattanooga, Tennessee; Blacksburg, Virginia and Iowa City, Iowa.

"The faith community has been quite busy on issue of Ferguson," Herring said. "It has been a challenging experience because many clergy have been looking for how they make the connection between the faith they celebrate on Sunday and the everyday cares, challenges and struggles that their people face the other six days of the week."

Police departments prepare

Throughout the country, law enforcement agencies have been busy with Ferguson.

"Many of my colleagues I've had an opportunity over the last few days to talk to around the country ... are preparing for whatever the outcome may happen to be," said Cedric Alexander, president of the National Organization of Black Law Enforcement Executives and public safety director for DeKalb County, Georgia.

Alexander said law enforcement agencies in the Atlanta area, for instance, have "working relationships with our community members and leaders" and are preparing to mobilize should tensions erupt.

"There are many communities in which we really have to engage our communities and set some real parameters about how we're going to work together," Alexander said.

Atlanta police spokeswoman Kim Jones said the department will respect the rights of demonstrators to peaceably assemble but will not "tolerate those who violate our laws, destroy property or endanger lives."

"We have met with, and are in discussion with, numerous law enforcement agencies throughout the metro Atlanta area to ensure our efforts are coordinated, and that we are maintaining the same level of readiness and vigilance," she said.

In Texas, a Dallas police spokesman, Lt. Jose Garcia, said the city did not anticipate violent demonstrations following the grand jury decision.

"However, we have adequate resources in place to address any situation that may arise," he said. "In addition to the resources, we work hard to develop and maintain strong relationships within our communities. We feel confident that together we can address such a situation if it arises."

Police officials would not reveal specific preparations.

But CNN law enforcement analyst Tom Fuentes, a former FBI assistant director and police officer, said federal agencies will likely be working with local police departments, particularly sharing information on agitators from the U.S. and abroad who typically move from state to state to stir problems at public demonstrations.

And law enforcement agencies in cities such as New York and Washington have extensive experience dealing with protests.

"The Washington metro police have demonstrations in downtown Washington all the time," he said. "It's not like they're not prepared or equipped. People will be on heightened alert. When the word goes out that the decision has been made, departments are going to be trying to at least be ready, to have their officers on standby to go to extended shifts and whatever might be necessary to prevent things from getting out of hand."

Unresolved tensions

When members of the United States Conference of Mayors met with police chiefs from around the country in Little Rock, Arkansas, last month, the situation in Ferguson was at the top of the agenda.

Conference spokeswoman Elena Temple said the group has had internal discussions on how to react to the grand jury decision but will not make a statement on the case until the announcement.

"We don't know what's going to happen," she said. "We're waiting like everybody else."

Outgoing U.S. Attorney General Eric Holder told the gathering of mayors and police chiefs that law enforcement had a responsibility to address tensions within communities.

"The events in Ferguson reminded us that we cannot and we must not allow tensions, which are present in so many neighborhoods across America, to go unresolved," Holder said.

The Ferguson case, Holder said, underscored divisions between police and residents in many U.S. cities.

"When I traveled to Ferguson in the days after that incident, my pledge to the people of that community was that our nation's Department of Justice would remain focused on the challenges they faced, and the deep-seated issues and difficult conversations that the shooting brought to the surface, long after national headlines had faded," he said.

Federal officials are conducting two civil rights investigations, one into Brown's killing and the other into the local police department's overall track record with minorities.

Free speech, worries about violence

Police will be on hand at protests to ensure freedom of expression -- without any criminal activity.

PICO, on its website, says it opposes "any militarized response against American citizens exercising our right to freely and peaceably assemble."

Missouri Gov. Jay Nixon has called for protests to remain peaceful once the grand jury rules in Wilson's case but vowed to crack down on any "ugliness."

Nixon made clear last week he's not anticipating violence, but wants to be ready for anything.

"This is America. People have a right to express their views and grievances, but they do not have the right to put their fellow citizens or their property at risk," he said.

Many protesters, furious because they felt Brown's killing was an example of excessive force, clashed with heavily armed law enforcement in the streets for days after the shooting. Authorities, who responded in armored vehicles and military gear, were criticized for escalating the violence rather than tempering it.

Brown's family has implored would-be protesters to refrain from the looting and violence that marred the early protests.

But through its attorney, the family asked authorities to use "reasonable restraints" in dealing with protesters. The attorney blamed assault rifles, manhandling, tear gas, rubber bullets and false arrests for agitating the protesters who took to the streets.

Fuentes said people on both sides of the issue have all but telegraphed what's to come after the grand jury decision is announced.

What happens in Ferguson, he said, can influence what happens in the rest of the country.

"When you have demonstrations, emotions are high," Fuentes said. "When you have high emotions, a mob can get out of control. ... When emotions are high, all it takes is one or two people to incite the crowd into doing something else. And one bad cop can incite things if shots are fired or if the police do something too aggressive. It can work both ways."

@highlight

Cities around the country anxiously await grand jury decision in Ferguson case

@highlight

Group calls for demonstrations in more than 30 cities from Boston to Los Angeles

@highlight

Law enforcement agencies prepare to respond