(CNN) -- Over the course of my career at BP, from trainee to chief executive, I led two separate lives. The first one involved being the public face of one of the world's largest companies. The second was my private life as a gay man.

When I lied in a witness statement to protect my privacy, those two worlds collided, and I lost the career which had structured my entire professional life.

I wish I had been braver to come out earlier during my tenure as CEO of BP.

I regret it to this day.

I wrote The Glass Closet and set up GlassCloset.org to encourage others to avoid my mistakes, and to bring their whole selves to work.

That can only happen if leaders, and CEOs in particular, create a corporate environment in which people feel comfortable coming out.

Here are six things they can do to smash the glass closet.

1. Follow the leader

Set a clear direction from the top. Businesses must proactively make LGBT inclusion part of the agenda of leaders, rather than delegating it to the human resources department or to a company network.

Leaders should be assessed against their ability to create a sustainably inclusive working environment. As I progressed through the ranks at BP, it would have been odd for a chief executive to devote resources to LGBT inclusion. Today, it is increasingly noticeable when they do not.

2. Be authentic

Ensure positive messages are accompanied by meaningful solutions. LGBT conferences, corporate networks and Pride sponsorship are important, but they are not enough, and seldom have a long-term impact in a company. It is the job of a CEO to initiate unremitting, uncompromising and sustainable action, with targets, measurement and sanctions. That is the test of a true leader.

3. Remember the hidden cost of hidden lives

Make an effective business case. LGBT inclusion is first and foremost a human imperative. But it is also good for businesses, which suffer when employees are preoccupied by something other than their work. Peter Sands, the CEO of Standard Chartered, told me that he worries about the hidden costs of hidden lives. He is right to worry. People are happier, more productive, and make more money for their company when they can be themselves.

4. Straight allies matter

Harness the support of the straight majority. Most people are straight, and only they can create a safe space for people to come out.

By creating an environment of acceptance, understanding and inclusion, the straight majority can ensure that coming out is not accompanied by the disastrous consequences which closeted employees fear.

That should begin by stamping out damaging 'micro-inequalities', such as the assumption that every man is married to a woman, or the practice of not asking gay people about their partners in case it makes them feel uncomfortable. Small changes in behavior can an enormous signal to someone grappling with a hidden life.

5. Celebrate role models

Company policies and behavioral change can create the right space for people to come out, but role models prove that it is possible and worthwhile.

That is why The Glass Closet is full of stories, and it is why I set up GlassCloset.org, where gay and straight people can share their stories of sexuality in the workplace.

If closeted employees can identify with someone who has been through the closet door and succeeded, then they are more likely to let go of the fears that hold them back. At BP, I did not have an openly gay role model, nor did I have the advantage of looking to another chief executive for precedent. Without a gay role model, I failed to be one for others.

6. Go global

Look beyond your hometown. 77 countries still outlaw homosexual acts between consenting adults. Companies that are committed to LGBT diversity do not bend their policies, even in the most challenging environments.

IBM, for instance, does not allow its non-discrimination policies to be adjusted in any of the 170 countries in which it operates.

That sends a clear message to governments, who understand the importance of major international companies for their economies.

Companies cannot change the law, and LGBT employees in these countries must be mindful of the dangers they could face. But by creating a safe space for people to be open about their sexuality, wherever they are in the world, companies can help those countries to take a step in the right direction.

Read more: Love wins in gay couple's 40-year immigration fight

The opinions expressed in this commentary are solely those of John Browne.

@highlight

Former CEO of BP looks at the ways companies can support their gay employees

@highlight

Making sure people feel comfortable coming out is good for business, he says

@highlight

John Browne resigned as CEO after a British newspaper group outed him as a gay man