(CNN) -- Long before Chen Guangcheng became internationally known as a human rights crusader, villagers near his home knew him as the man to go to when they had trouble with local authorities.

Despite having little formal legal education, Chen began advocating on behalf of villagers in 1996 at the age of 25, according to China Human Rights Defenders, a China-based human rights group.

Chen has been at the center of a burgeoning international impasse since his dramatic escape last week from the guards who kept him under house arrest in a small village in eastern China. He was confined to his home after serving four years in prison, apparently over his legal advocacy for what he called victims of abusive practices such as forced abortions by China's family planning officials.

Fellow activists say he made his way to the U.S. Embassy in Beijing, where he remains as the United States and China try to sort out the future for Chen, who has sought to call attention to the practice of forced abortions and sterilizations in China.

Yet he never sought out to be a rabble-rouser, said New York University law professor Jerome Cohen, who first met Chen when the activist traveled to the United States as part of a State Department program in 2004.

"You got the feeling you were in the presence of some Chinese equivalent of Gandhi or something," Cohen said. "He had this gentle but steely moral force."

Chen was born in 1971 in Dongshigu, a small farming village in eastern Shandong province, more than 400 kilometers (248 miles) from Beijing.

After an eye infection left him blind as a child, Chen seemed destined to a farmer's life, just like his parents.

But at the age of 17, Chen's fortune turned when he learned of a school for the blind in a nearby city.

Chen learned the law from television and radio broadcasts, newspapers and books. He also took a few constitutional law classes at the college for the blind -- where the primary course of study was massage therapy.

"When he came back to his village, he didn't want to spend his time giving massages," Cohen said. "He wanted to help people who weren't getting help elsewhere."

He quickly became known locally as an advocate for farmers and the disabled in Shandong, where he offered free advice on taxes and corruption and stood up for the disabled.

"Someone has to fight for people with no voice," Time magazine quoted him as saying. "I guess that person is me."

He also helped his village obtain a system to pump well water, making clean water easily accessible to villagers for the first time and helping cement his local reputation, Cohen said.

His desire to continue helping the disabled and voiceless led Chen and his wife, Yuan Weijing, to take on concerns that officials in Linyi, a city in Shandong, were using violence and coercion in a campaign to enforce China's policy limiting many couples to one child.

The investigation carried him to Beijing, where he pressed national officials to take action against the local authorities. It also carried him to prison, where he spent four years behind bars on what supporters called trumped-up charges before authorities confined him to house arrest in 2010.

What Chen was fighting: forced abortions

In a video released after his escape last week, Chen said he and his family were beaten and cut off from the outside world during their detention.

The case that brought him to international prominence began in 2005.

That's when he learned of claims that local officials were requiring parents with two children to be sterilized and forcing abortions in women pregnant with their third child, according to human rights groups.

The officials were trying to meet birth quotas set by the national government, according to Amnesty International.

In June 2005, three months after beginning his investigation, Chen organized a lawsuit against local officials and traveled to Beijing to meet with legal experts and tell international journalists about his findings.

Hours after meeting with journalists from Time, he was taken into custody by government agents and sent back to his home, where he was placed under house arrest.

Authorities also refused to allow his lawsuit to proceed.

Chen escaped from house arrest at that time as well and ventured to Beijing, where he met with supporters -- including Cohen.

Chen was pale, anxious, with little appetite, Cohen said.

But it was apparent even then that the people he was trying to help with his legal efforts was what concerned him, not his own welfare, Cohen said.

"One day, when he was especially frustrated by the county court's refusal to accept the lawsuits he brought on behalf of impoverished pro bono 'clients,' he asked me: 'What do the authorities want me to do? Lead a protest in the streets? I don't want to do that,'" Cohen said in testimony to the Congressional-Executive Committee in November.

Ironically, that's what authorities soon accused Chen of doing.

His August 2006 conviction on charges of "intentionally damaging property and gathering crowds to disturb transport order" led to a four-year prison sentence. Human rights groups roundly called the charges trumped-up and demanded his release.

Instead, Chen went to prison where, according to Amnesty International, fellow prisoners beat Chen on orders of guards, authorities refused him medical treatment and limited visits with his wife and lawyers to no more than 30 minutes a month.

By this time, the detained activist had turned into an international cause celebre. Time selected him as one of 2006's "Top 100 People Who Shape Our World," along with Premier Wen Jiabao.

The following year, the Ramon Magsaysay Award Foundation, which grants prizes to Asians who excel in their fields, named Chen among its honorees for his "irrepressible passion for justice in leading ordinary Chinese citizens to assert their legitimate rights under the law."

After serving his sentence in September 2009, Chen was released to house arrest, but he and his family continued to endure abuse, according to human rights groups and Chen himself.

In a video released April 27, Chen said guards repeatedly beat him and his wife and prevented visitors from reaching their home.

"All the stories online about the brutal treatment I received from the Linyi authorities, I can personally testify they are true," he said in the video posted to YouTube. "The reality is even harsher than the stories that have been circulating."

In the video released after Chen's escape, he called on Chinese authorities to leave his family alone and punish the officials who he says illegally detained him and engaged in abuses against him and his family.

The man whose ever-present dark sunglasses have become a symbol for supporters worldwide also posed a question to Chinese officials who have taken great steps to keep his name and likeness out of the national media and discussions.

"If you continue to ignore me," he said, "what would the public think?"

CNN's Beijing bureau chief Jaime FlorCruz contributed to this report.

@highlight

Chen never sought to be a rabble-rouser, says law professor

@highlight

An eye infection left him blind as a child; his parents were farmers

@highlight

Chen became an advocate for farmers and the disabled in Shandong

@highlight

The case that brought him to international prominence began in 2005