(CNN) -- When other people suffer misfortunes, we feel sorry for them.

Or do we?

More than we probably want to admit, we sometimes are secretly pleased.

Does a Red Sox fan feel happy to see a Yankee fan miserable over a humiliating loss? Would a Democrat ever tire of watching replays of Mitt Romney's Etch A Sketch moments? Do you find yourself consuming the tabloid news, riveted by coverage of disasters in the gossip columns?

The German language has a word for this feeling, schadenfreude, or, pleasure caused by the misfortunes of others.

Most people feel uneasy taking pleasure in the misfortunes of others. Our parents gave us stern, shaming looks if we laughed when others got into trouble. Maybe this is one reason why there is no word for schadenfreude in some languages, such as English.

Just because we don't have a label for it in English doesn't mean the feeling doesn't exist. It's very real, and you must have experienced it at some point in your life, or know someone who has.

So, why do we feel schadenfreude?

One reason comes down to the simple fact that we often gain from other people's misfortunes. Much of life involves competition. Napoleon advised, "Never interrupt an enemy when he is making a mistake." Misfortunes happening to rivals can level the competition. Any sympathy we might feel is mixed with the pleasing effects of the benefit that may come our way. Self-interest is a powerful motive, and it is only natural to feel good if we are gaining from an event, even if it is from another person's misfortune.

A team of University of Kentucky researchers led by David Combs recently provided good evidence for this in the blood sport of politics. In a series of studies published in the Journal of Experimental Social Psychology, they screened participants for their party allegiance and then asked them to privately give their emotional reactions to news events, some of which were embarrassing to either the Democrat or Republican presidential candidates from the 2006 and 2008 elections. Overall, Democrats were much more pleased than Republicans when a Republican candidate suffered and Republicans were much more pleased than Democrats when a Democratic candidate suffered. These two groups seemed to live in separate parallel universes.

Such findings come as no surprise to anyone who follows politics and who feels the effects of the election outcomes in the gut. Comedian Stephen Colbert captured the point during the summer of the most recent presidential campaign, when the economic indicators were looking bad for the incumbent, Obama, "I've got some good news and some bad news. The good news is there's plenty of bad news, which is great news for Mitt Romney."

The studies led by Combs used private reports, but were the participants being completely frank? Did they even know their true feelings?

Social neuroscientists Mina Cikara, Matthew Botvinick, and Susan Fiske in a study published in Psychological Science provided more corroborating evidence for schadenfreude using sports fans rather than political junkies.

They took advantage of the natural, storied rivalry between the Boston Red Sox and New York Yankees, and recruited diehard fans from each group. These fans watched simulated baseball plays while placed in a brain scanner. The plays involved their own team playing against their rival or playing against a neutral team. Pleasure-related brain activation was linked with the rival losing; pain-related activation was linked with their own team losing.

Notice that these examples come from intergroup competition. Often, our identity with a group affects our emotions. If our group comes out on top, that gives us a boost.

In a classic demonstration, research led by Edward Hirt at Indiana University showed that Big Ten fans felt more optimistic about their own personal abilities (from throwing darts to success in asking attractive people out for a date) after their team won than after it lost. As a long-suffering Red Sox fan, I can attest to the elixir provided by "our" defeating the Yankees' in the American League playoff in 2004 and then going on to win the World Series.

There is something about intergroup dynamics that brings emotions like schadenfreude out into the open. The tribal, "us" vs. "them" mindset seems easily evoked, and it is thrilling to win at a rival group's expense. Maybe, we feel less guilty and selfish in our pleasure when it's "for the team."

Schadenfreude is a natural feeling, and there is little use in berating ourselves over its easy arousal. But let's not encourage it, either. Apparently, those who experience schadenfreude may also express willingness to harm a rival fan or group. So let's keep schadenfreude in check.

The opinions expressed in this commentary are solely those of Richard H. Smith.

@highlight

Richard Smith: When people suffer misfortunes, we feel sorry for them, or do we?

@highlight

Smith: More than we probably want to admit, we sometimes are secretly pleased

@highlight

He says in sports, politics, schadenfreude tend to be brought out into the open

@highlight

Smith: Schadenfreude is a natural emotion, we shouldn't berate ourselves for feeling it