(CNN) -- The competition for payment processing services, especially mobile payments, is heating up.

Last week Google kicked it up a notch by announcing that it's phasing out Google Checkout in favor of the new Google Wallet. This service supports in-store tap-to-pay payments from your phone via near field communications technology, as well as purchases on the web.

If you log in to your Google Checkout account now, you'll be notified that you've been switched over to Google Wallet. Any credit cards or other payment information you've saved in Google Checkout will be available in Google Wallet.

The catch: Google Wallet isn't yet widely used for in-store purchases. So far its NFC payments are enabled only for Sprint Nexus S users who also have a Citibank MasterCard or a Google prepaid card, and who are making purchases at MasterCard PayPass-enabled merchant locations.

So this holiday shopping season, it's unlikely that many people will be waving their phones around to buy holiday gifts.

But in the coming year, more U.S. smartphones will be equipped with NFC, bringing a variety of tap-to-pay or wave-to-pay options to consumers. A competing NFC-based mobile phone payment system, ISIS, is launching in some markets (Austin, Texas, and Salt Lake City) in 2012.

Why are U.S. retailers slow to adopt NFC payment technology?

One reason is the expense and effort required to install NFC-enabled point-of-sale equipment in stores and to integrate it with merchants' systems.

It's a bit of a chicken-and-egg dynamic: Retailers typically don't invest in offering a new payment option until they see widespread consumer demand; but few consumers are likely to prefer a payment option that's not yet widely accepted.

At the recent Open Mobile Summit, Google VP of Payments Osama Bedier observed: "Merchants adopt new payment models because they increase sales. If I gave you a payment option that was totally free, merchants wouldn't adopt it unless it increased sales."

GigaOm writer Ryan Kim contends that payments alone aren't enough to make NFC popular.

"Mobile marketing, along with consumer loyalty, will be in the front seat as well and will be critical in helping to drive the growth and adoption of NFC," he wrote. "While the idea of contactless payments is intriguing, there is increasingly an awareness that tapping a phone to pay for an item will not sell itself. ... Discounts, daily deals and loyalty reward programs can be activated through NFC technologies."

At the Open Mobile Summit, Dickson Chu, managing director of digital networks for Citi's Global Enterprise Payments unit, said he also thinks retailers' adoption of NFC will be driven by marketing. But he cautioned: "Reward discounts are a race to the bottom. Not every merchant engages in that, it's just not part of their economics."

Chu thinks that in the long run, merchants may use NFC not just to deliver deals and coupons, but to deepen relationships with individual consumers. "That's interesting, and it may be more profitable, but it's a longer term play," he noted.

Another Open Mobile Summit panelist, PayPal's VP for mobile, David Marcus, made this point: "Today, retailers learn about customers at the least effective time -- just when they're leaving the store. They'd like to know about you when you arrive at the store, so they can customize your shopping experience and treat you properly."

That may sound creepy to consumers (remember "Minority Report"?), but in the competitive retail business, merchants are constantly seeking an edge to boost sales and repeat business.

The technology of NFC itself is still a moving target, and standards aren't settled. Merchants are wary of investing in the next Betamax.

This week a global organization of wireless carriers with GSM mobile networks announced that 45 carriers around the world -- including AT&T, T-Mobile, and Verizon Wireless in the U.S. -- are supporting standards for NFC payments and committed to support and launch services based on it.

But, as PaidContent noted, "The crucial questions now will be whether these carriers stick to their word; and whether handset makers, other infrastructure providers and consumers follow these carriers' lead."

In the meantime, while these issues sort out, Google also announced this week that it's making it easier to integrate Google Wallet into mobile web payments.

Granted, at most stores this probably would not make sense yet -- but it might appeal to the many consumers who buy movie tickets online, rather than stand in line at the box office. So Google is partnering with Fandango.com and MovieTickets.com to offer Google Wallet as a payment option for their mobile web checkout.

Once this option is implemented, users won't have to try to type their 16-digit credit card number plus the expiration date and security code on their phone in order to buy a movie ticket. Typing on mobile phones is a notorious hassle, and mobile Web users often abandon their online shopping carts when they reach the point of entering payment information.

Of course, Fandango.com and Movietickets.com don't just sell tickets on the Web. They also offer their own apps for iPhone, Android, and other smartphone platforms.

It's unclear whether Google Wallet will be offered as a payment option for in-app purchases -- but Albert Wenger, a partner with Union Square Ventures, observed that if Google decided to offer this ability, it might "pull the rug out from underneath Apple's 30% tax on in-app purchases."

The opinions expressed in this column are solely those of Amy Gahran.

@highlight

Google Wallet supports tap-to-pay phone payments using near field communication

@highlight

U.S. retailers are slow to adapt to NFC tools because of installation expenses and efforts

@highlight

Google Wallet will be offered as an option for Fandango.com and MovieTickets.com

@highlight

45 carriers around the world have announced their support of standards for NFC payments