Spring Lake, North Carolina (CNN) -- Taryn Davis says she felt lost and isolated after burying her husband, a 22-year-old Army corporal killed in Iraq four years ago.

While she struggled with her grief, it seemed that those around her found it easier to move on with their lives. Other military wives avoided her as though she represented their deepest fears. Family and friends insisted that her youth should provide solace.

"After the funeral, I felt ostracized," Davis said. "Everybody liked to write off my grief due to my young age. They liked to say: 'Well, at least you're young. You'll get remarried.' "

The topic of her husband -- even the mention of his name, Michael -- became taboo. She also struggled with survivor guilt that kept her from seeking happiness and embracing laughter.

"It's hard to laugh and it's hard to smile after a spouse is killed," said Davis, 25. "In a way, you feel bad, because you're like, 'He should be here and have the ability to smile and laugh.' ... In another way, I think once people see you laugh or smile, they're like: 'Oh, she's over him. Great.' "

After her husband's death, the military provided a death gratuity and assisted her with funeral arrangements. She also received recommendations for survivor support groups.

Davis researched several of the groups over the Internet but didn't see anyone her age. She was also intimidated by the size of the gatherings -- sometimes hundreds of people at a time. She attended some grief groups near her home in Buda, Texas, but the widows she met there were over 65 years old and not tied to the military.

Determined to interact directly with other young war widows and find out how they were handling their grief, Davis reached out to one whose husband was killed alongside Michael. The widow agreed to a visit, and Davis brought along a video camera, filming their emotional encounter and their touching account of memories, love and loss.

"It was the first (military) widow that I was seeing face to face," Davis said. "And for me, it was inspiring ... like, 'Man, if she can get up every day and do this with a child, I can do this. ... I can't let her down.' "

Davis traveled the country interviewing other military widows, compiling six testimonials in her documentary, "The American Widow Project." And four months after her husband's death, she started a nonprofit by the same name. To date, the group has connected nearly 800 military widows through its website, which includes an online forum offering support and inspiration.

Do you know a hero? Nominations are open for 2011 CNN Heroes

Nearly 3,000 military spouses have been widowed during the global war on terror, according to the U.S. Department of Defense. Davis was convinced that many of them, like her, were searching for a more modern way to connect with other widows.

"Our main form of communication with our husbands (was) Skype and Facebook," Davis said. "The Internet ... it's a safe haven, in a way. ... It lets (the widows participate) at their own pace. ... It allows other women who maybe are kind of afraid to step forward ... (to) be like ... 'You know, they look like me.' "

Social networking is vital to the youth-oriented organization, which connects women from across the country. Each week on its Facebook page, the group hosts "Memory Mondays," where group members can share their favorite memories of their husbands. And on "Widow Wednesdays," a new member's story is posted.

Once members feel comfortable, they can start attending events, which take place about every two months in a different city. Small, intimate groups of up to 15 widows meet for a few days, and there's always a fun activity lined up, such as zip-lining, surfing or skydiving. It reflects Davis' resolve to live with the gusto her husband had shown in life.

It's "kind of having that perfect combination of a time where they are just living life like it's going out of style, followed by a time where they can reflect," she said.

The American Widow Project is open to widows of any service member as well as women who were engaged to a service member. While the group accepts women of any age, Davis said, the average age of its members is 25.

"Our comfort zone after our husbands were killed was our grief, our pain, this feeling that nobody understood who we were," Davis said. "And when they come to these events, they step outside of that comfort zone, and they're laughing and they're smiling. ... It's one step, but it's the one step that leads to the next step. ... As long as they're taking steps forward, that's all that matters."

When a widow first makes contact with the American Widow Project, Davis sends her an introductory packet that includes her documentary film. The website provides a 24/7 hot line that allows immediate connection to another widow, information on support and services, and personal stories from women who have lost their husbands. It constantly reminds the women that they are in familiar, accepting company.

"One widow told me ... the first time you meet another military widow, it's like someone holding a mirror up to you," Davis said. "And it's a mirror that ... you haven't wanted to look into, because for once, you're finally seeing who you are, and you're seeing it through them. It's liberating."

Six months after her husband was killed in Afghanistan, Brooke Toner attended her first American Widow Project event.

"My little sister wrote Taryn," said Toner, 30, through tears. "She didn't know how to get me through the loss, so she wanted me to find other sisters to get me through the loss.

"From my first event, I went from feeling completely alone to not anymore at all."

According to Davis, that sentiment is returned to her in spades.

"They've given me the gift of life again," she said. "I don't know what my life would be if I didn't talk to a widow every day. I'm so grateful that they're in my life. They've taught me that love is eternal and that life can be amazing again."

Want to get involved? Check out the American Widow Project website at www.americanwidowproject.org and see how to help.

@highlight

Taryn Davis is helping young military widows find the emotional support they need

@highlight

She started the American Widow Project four months after her husband's death

@highlight

The group's website has a 24/7 hot line, and many of its members meet in person, too

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes