(CNN) -- A movement away from using chimpanzees for research is gaining speed. This month, a working group organized by the National Institutes of Health issued a report recommending that most federally supported chimpanzees be retired and taken to sanctuaries.

"It's not that the chimpanzee is not itself a valuable animal," said K.C. Kent Lloyd of the University of California, Davis, who co-chaired the working group.

But newer technologies, other animals and non-animal systems have been "shown to address questions that we before may have only been able to address for chimpanzees," he said.

A 60-day comment period has begun on this report, and the public is invited to weigh in. After that, NIH Director Francis Collins will determine whether he will accept the report in its current form or make changes, Lloyd said.

The recommendations pertain to the 360 chimpanzees that the NIH owns that are currently either "research active" or "research inactive." An additional 91 chimps eligible for research live at the Texas Biomedical Research Institute in San Antonio; although the NIH financially supports their maintenance, the agency cannot itself retire these animals, Lloyd said.

A separate group of 219 NIH-supported chimpanzees has been retired and is living at Chimp Haven Inc. in Keithville, Louisiana, or the New Iberia Research Center at the University of Louisiana at Lafayette.

Laboratory chimps get a new lease on life

Plans to accommodate additional retiring chimpanzees should begin "immediately," the report said.

But the report does not call for the elimination of all research on chimpanzees, who share about 99% of their DNA with humans. About 50 chimpanzees should be kept for potential research needs, the report said. They could all live in the same colony to minimize costs.

In December 2011, the Institute of Medicine proposed guidelines (PDF) for chimpanzee research, stating that there is little anticipated need for these animals in research and that they should live in appropriate environments and social settings.

At that time, the Institute of Medicine committee highlighted two areas where chimpanzees could still be useful in biomedicine: creating a hepatitis C vaccine and developing therapies for cancerous tumors. Studies of chimpanzees' cognition and brain activity may also fit the group's standards.

The NIH accepted the institute's report and established a working group to give further advice on how to implement those recommendations.

To gather information for the new report, Lloyd and colleagues went on field trips to various facilities to discuss with their experts what works and what challenges they encounter.

"We were not there to inspect facilities; we were there to learn and to be exposed to how chimpanzees are maintained in a variety of environments," Lloyd said.

The report recommends that chimpanzees live in social groupings of at least seven and that no chimpanzee should live alone for extended periods of time without a documented medical reason or social circumstances.

"Pairs, trios, and even small groups of 4 to 6 individuals do not provide the social complexity required to meet the social needs of this cognitively advanced species," the report said.

Chimpanzees should have a living space of at least 1,000 square feet per animal and should be able to climb at least 20 feet vertically, the report said.

The Humane Society of the United States is happy about the report's recommendations for chimpanzee retirement and for the standards of living conditions for the animals, although its ultimate goal is to end all animal use in research, said Kathleen Conlee, vice president for animal research issues.

"It finally confirmed that there should be no chimpanzee breeding, which we were also very pleased with," she said.

Conlee said no U.S. laboratory meets the guidelines for chimpanzee living conditions described in this report. But Lloyd could not confirm this, as the working group did not evaluate individual sites based on those standards and didn't visit every single U.S. laboratory.

The report included the observation that smaller animal models have helped scientists make strides in highly virulent viruses. Mice, rats, hamsters and guinea pigs are among the animals that are increasingly used for the research of emerging infectious diseases. "The availability of these models will continually raise the scientific bar for justifying the use of chimpanzees," the report said.

If the recommendations go into effect, they will have jurisdiction only over NIH-supported or owned chimpanzees. But there are other chimpanzees that are part of research in the United States that do not fall into these categories. The Institute of Medicine report counted more than 930 chimpanzees at U.S. medical research facilities as of May 2011. Many are used for hepatitis testing.

Morality: It's not just for humans

@highlight

The National Institutes of Health owns 360 research-eligible chimpanzees

@highlight

Chimpanzees share about 99% of their DNA with humans

@highlight

The NIH recommends keeping 50 chimps in a colony for potential research

@highlight

The new report is open to public comment for 60 days