(CNN) -- We can spend the next few years beating ourselves up and debating the proposition that George W. Bush saved Iraq and Barack Obama lost it. Or we can get real and try to sort out what we can do now to protect U.S. interests in a region that's melting down.

Iraq was never the U.S.'s to win. That point -- along with lowered expectations and focused goals -- must be the basis of any new approach to the region.

And here are three reasons.

1. Demography: There are two factors that nations -- even functional ones (and Iraq is not) -- can't alter: What they are -- their demography; and where they are -- their geography.

Iraq has been dealt an unhappy hand in both departments. There is, to be sure, a sense of Iraq national identity. But at the same time the end of Saddam Hussein's cruel rule -- for which the U.S. is responsible -- opened up a Pandora's box of sectarian tensions and expectations -- for which the U.S. is partly responsible -- that have never been adequately addressed.

In essence, the U.S. overturned a brutal minority Sunni rule and enabled Shia majority rule. The ins became the outs, and the outs the ins. And guess what? Despite several successful elections, $25 billion from the U.S. to train and equip the Iraqi military, and another trillion in support of the Nuri al-Maliki government, Iraq never equitably distributed political and economic power.

Sunnis became disenfranchised, angry and vulnerable to jihadi persuasions; Shia sought to get even, get ahead and maintain a privileged position; and Kurds sought to protect their own interests and effectively create a separate governing authority. Iraq these days isn't so much a nation as it is a collection of battling sectarian groups, each seeking advantage at the expense of the Iraqi state.

2. Geography: Iraq's neighbors, particularly Iran and Saudi Arabia, do not share America's vision of an equitably balanced and independent polity. Each of them has its own vision. Iraq has become a pawn in a regional competition between Sunnis and Shia and Arabs and Persians. Iran wants a weak, stable Iraq not aligned with the West, under Shia influence. The Saudis want al-Maliki out and are happy that the militant group Islamic State in Iraq and Syria may provide that opportunity, even as they fear the jihadists. They want Sunnis empowered and Iran disempowered.

Turkey has made its peace with the Iraqi Kurds and hopes to get them to moderate the radical tendencies of those in Syria, but really has no answer to the ISIS contagion. Jordan is vulnerable to ISIS too, but can't exercise much influence in Iraq.

And that leaves Syria. The regime of Bashar al-Assad is aligned with both Iran and al-Maliki, and -- likely under Tehran's encouragement -- has begun to use military force against ISIS along the Syria-Iraq border. All this regional maneuvering reflects the reality that the neighbors' interests will continue to trump America's by virtue of their proximity, their influence in Iraq, and the reality that Iraq is more vital to them than it is to us.

3. Syria: Iraq can't be stabilized without dealing with Syria. And to date, the U.S. -- by default the only power that remotely has the capacity to alter the course of the civil war there -- has been unable and unwilling to do that. The ISIS threat may prompt a review of the Obama administration's Syria policy, but we should be under no illusions that Washington is ready to jump in with a comprehensive political, economic, and military strategy to end the conflict.

Indeed, the United States will be faced with some tough choices. It may find itself in the odd position of ramping up support for the more moderate Sunni rebels in Syria but also striking ISIS. That means we will be trying to weaken al-Assad on one hand, but indirectly strengthening him on the other by attacking a common enemy. Under no circumstances should the Obama administration commit to trying to put two broken nations back together again. Bottom line is that the real challenge is ISIS, which is likely to remain ensconced in parts of Syria and Iraq.

What should Obama do?

First let's be clear about what he shouldn't do. The United States needs to abandon any illusions that it can transform or find an easy way out of the situation. It is stuck in a region that it can't fix or leave. There isn't a single problem in this region that has a comprehensive or definitive solution. Instead, the U.S. should accept the reality that it will be dealing with outcomes, not happy endings, there. Iraq may never be a unified polity, but it need not necessarily be a failed one.

The question is, can we shape these outcomes to our advantage? Bush 43 tried to do too much; Obama too little. Is there a balance?

The U.S. needs at least three different but related approaches:

1. Coordinate with regional partners. Sure, in the case of Iran, it's like putting the fox in charge of the chicken coop. But the U.S. can't begin to deal with ISIS on its own. Iran is the key external power in Iraq. And Turkey, Jordan and Saudi Arabia have a stake in stopping ISIS's advances. The U.S. may have to accept the reality that the evil al-Assad is a hedge against ISIS, even though his policies helped to facilitate its rise.

2. Think diplomacy first, then military force. You need the first to make the second effective. That coordination must try to produce a more acceptable political arrangement in Baghdad, with or without al-Maliki. Without the Iraqi government regaining Sunni support, ISIS will continue to roll. And this means some new and more inclusive political arrangement in Baghdad to share power.

Forget democracy and making Iraq whole. To bring Sunnis around and check ISIS, we may have to not only concede influence to Iran but also to some pretty bad Sunnis, including former Saddam supporters and insurgents.

3. The U.S. will need to do what it can to buck up the Iraqi military. This could easily lead to sending additional advisers, but under no circumstances should it involve the use of combat forces. We may well have to use airstrikes and drones against ISIS. And this is tricky, because it risks feeding jihadi sentiment. That's why a new political arrangement is mandatory.

But even without it, the United States must face the reality that ISIS -- with money, passports, and a base of operations -- will emerge as a threat to our friends in the region, to Europe and ultimately to us.

We shouldn't run scared. ISIS's own ideology will produce a counterreaction among Iraqis who will oppose its harsh, unforgiving ideology. Indeed as the International Crisis Group points out, ISIS is its own worst enemy.

The region is littered with the remains of failed jihadi efforts, including al Qaeda central. In 2013, there were 17,800 global fatalities as a result of terrorist attacks. Only 16 of those were Americans.

Terror is not a strategic threat to the homeland right now. But it may well require a coordinated counterterror effort with our regional and international partners to prevent it from becoming one.

@highlight

Aaron Miller: Debating what went wrong in Iraq not useful; protecting U.S. interests now is

@highlight

Iraq is complex, he says, with sectarian groups at odds, neighbors with own interests

@highlight

He says U.S. must work with Iraq's neighbors, even al-Assad, to halt ISIS. Democracy can wait

@highlight

Miller: U.S. must help right Iraqi military, but without combat forces. Point is to check terror