(CNN) -- It is not everywhere in the Middle East that the assassination of a security chief is accompanied by popular grief and with a funeral akin to a hero. In fact most of the revolts in the Arab Spring are against systems in which oppression is mainly conducted by such heads of security, the dreaded moukhabarat rule.

The killing of Brigadier General Wissam al-Hassan in a car bomb in Beirut last week is the latest of a series of assassinations and explosions that have become associated with that city.

Brig. Gen. Wissam al-Hassan a pivotal, 'polarizing' figure

One such explosion was the Marine Barracks bombing of the October 23, 1983, which caused the death of 241 U.S. soldiers, an anniversary that was not mentioned in the U.S. presidential foreign policy debate.

However, the link between this attack and U.S. engagement with the Assad regime -- both the father Hafez, and then the son Bashar -- would have been useful in evaluating the impact of U.S. policies on Lebanon and on the region.

Following the Marine bombing the U.S. "redeployed" its troops from Lebanon and there followed a series of hostage-taking of American and European citizens.

The hostages were taken by Syrian/Iranian proxies in Lebanon and were later released in Damascus with the Reagan administration reluctantly having to thank Hafez Assad and re-engage with Syria if only to coordinate the repatriation of the hostages.

This soon became a habit, with a gradual acknowledgement of Syria's role in resolving Lebanese problems -- albeit problems that Syria had a hand in creating in the first place.

This engagement culminated in Assad being given a free hand in Lebanon as part of the incentives for Syria joining the Gulf War coalition to oust Saddam Hussein from Kuwait in 1990.

The lesson was that U.S. protection is whimsical -- in order to protect the sovereignty of one small country, Kuwait, from its ambitious neighbor, another small country, Lebanon, was sold down the river to an equally ambitious neighbor, Syria.

On the U.S. side, the conclusion was the opposite - the belief that Pax Syriana brings peace and stability to Lebanon.

This stability lasted for about 15 years during which the Syrian moukhabarat penetrated every institution and organization in the country.

This included the army, security services, parliament, ministries and even political parties and the religious establishment.

Another turn in U.S.-Syrian relations was in 2004 when U.S. President George. W. Bush and French counterpart Jacques Chirac patched up their differences over Iraq by sponsoring U.N. Security Council resolution 1559 calling for Syria to withdraw from Lebanon and to stop interfering in the affairs of the country.

The deal was off, Syria withdrew its army but there was a return of instability, wars and assassinations in Lebanon till the summer of 2008 when the west re-engaged.

The Doha agreement in May 2008, accompanied by Western re-engagement with Syria, came after Syria's allies had withdrawn from government, blocked parliament, occupied the city center of Beirut for 18 months and a Hezbollah-led attack on the city in May. All of this came while anti-Syrian politicians and journalists were being assassinated.

The agreement restored Syrian influence in the country, again with Western blessing, this time under the guise of a National Unity Government.

Assassinations stopped, stability returned, and eventually a fully pro-Syrian government was formed, almost coup like, where some Hariri allies were coerced to switching side or the country would face renewed chaos.

Again the West engaged Syria to bring back stability to Lebanon. The pattern emerges where Lebanon is like a hostage, and the West the subject of extortion.

The success of this model of Western relations with Syria encouraged the Assad regime to replicate it throughout the region.

Thus agreements between the Palestinians from Hamas and Fatah were blocked, and Assad promised to facilitate them; al Qaeda-type terrorists were infiltrating Iraq from Syria, and Assad promised to control that border; the PKK created problems for Turkey and Assad promised to suppress it in Syria.

This was all in the same way that Hezbollah was armed through Syria and Assad promised to control it too.

The 2011 revolt against Bashar al-Assad in Syria came as a total surprise to a U.S. administration still enjoying their honeymoon with him.

Key administration officials repeatedly visited Damascus and believed in al-Assad's promises of stability in the region and peace with Israel, thus vindicating their own policy of engagement and dialogue instead of that of isolation, intervention and regime change associated with the Bush period.

Wissam al-Hassan was appointed in 2005 as head of one of the new Lebanese security branches, free from Syrian infestation, that were set up after the assassination of former Prime Minister Rafic Hariri.

He was at the forefront of the international investigation that preceded the setting up of the Special Tribunal for Lebanon (STL) and his unit collaborated with over 30 international teams and trained in the most advanced forensic techniques. Other members of his team were also the targets of assassination. The unit is said to have foiled over 35 assassination plots, disrupted terrorist networks and uncovered spy rings. Al-Hassan's latest exploit may have been a step too far.

Whether true or not, many in Lebanon immediately suspected al-Assad's regime in the assassination. If they did kill the man who was in charge of protecting the country, the message to Lebanon and the West is clearly that the Assad regime can still do a lot of damage to the region unless it is left alone to finish the job of suppressing the revolution.

Lebanese and Syrians, who watched the presidential foreign policy debate with great anxiety, are worried about whether al-Assad's blackmail still works, and would have found little comfort in the lack of will of both candidates to take any decisive moves against the Syrian regime.

The opinions expressed in this commentary are solely those of Nadim Shehadi.

@highlight

Nadim Shehadi says the Beirut attack would be a useful moment to evaluate U.S. regional policy

@highlight

History 'shows pattern where Lebanon is like a hostage, the West the subject of extortion'

@highlight

Shehadi: Lebanese, Syrians are worried over whether al-Assad's 'blackmail' still works

@highlight

Shehadi: Little will from U.S. presidential candidates to make decisive move against regime