During CNN's "Going Green: Green Light for Business" coverage, we've asked businesses to tell us how they balance the imperative for profit with environmental concerns. First up is the co-founder of Hong Kong-based DIAZ Fine Jewelry, Salina Khan Fuchigami, whose business packages cubic zirconia diamonds in an environmental wrapping.

Growing up surrounded by generations of jewelry wearing tradition, I was drawn to the brilliance and transparency of diamonds from an early age. Later, it was the fact that diamonds are a unique resource, evoking beauty and eternal love that lead me to found DIAZ Fine Jewelry.

Salina Khan Fuchigami co-founded DIAZ Fine Jewelry with her husband Takashi.

However, as I began to learn beyond the basics and beauty of diamonds, I began to discover the many environmental and ethical issues related to them. And the once simple wish to create a line of exquisite diamond jewelry grew into a mission -- to create an ecologically and ethically correct jewelry brand.

I was one of many who were understandably concerned to learn that jewelry they had as a symbol of love may have come at a terrible human and environmental cost. Although the social and ethical issues associated with conflict diamonds were the impetus at the core of the DIAZ philosophy, the serious environmental impacts of the diamond industry could not be ignored.

There's an undeniable link between the degradation of our global environment and consumer culture. The trouble is that these days, things are so nicely packaged, presented and displayed that we hardly ever question how the raw materials used to produce the goods are extracted and processed. We rarely think of how it all affects the environment and humankind. It's impossible to assess exactly how much devastation one single diamond could have caused before it was cut, polished, set and sold at a high-end retailer. It's hard to imagine what a diamond mine looks like by looking at the "stunning sparklers" that are neatly displayed in shop windows. Somewhere along the way it became irrelevant to question the true cost of the stones.

Diamond mining practices are not without huge ecological impacts. Whether extracted from a large-scale diamond mine using modern, clinical mining methods, or through small-scale artisanal alluvial diamond digging, the diamond industry faces environmental challenges just as with any mineral extraction. Land disturbance, which involves the shifting of large quantities of soil from the earth, is interlinked with issues of waste and water pollution as well as huge impacts on biodiversity.

Through my company, I knew I could offer an alternative to mined-diamond jewelry of equal beauty and quality -- using lab-created jewels and meticulous craftsmanship -- jewelry that evoked beauty and eternal love, and that was truly transparent.

As with any environmental or ethical issue, education, knowledge and action are the keys to ending unnecessary harm. So, as the business grew, we made sure each of our customers received an info-leaflet with every purchase. We began donating proceeds from our sales to grassroots organizations that ran mine-reclamation projects promoting organic farming and biodiversity in mining towns in Sierra Leone, a country devastated by civil war that was fueled by diamonds and now has a landscape scarred by indiscriminate alluvial diamond mining. We began monitoring the working conditions at our workshop, and looking for more sustainable methods of packaging and delivering our jewelry.

We found that our customers were happy to be a part of a solution and not the problem. The economic downturn, combined with an increasing awareness of the ecological and ethical facts surrounding diamonds, has meant an increase in customers who appreciate affordable luxury without any attached guilt.

There's no doubt that the choices we make and the actions we take today affect the fate of our planet and in turn our well being. With shifting consumer behavior and a changing economic and environmental climate, the time has come where being environmentally conscious is an imperative for all individuals and businesses alike.

@highlight

CNN has asked businesses to explain their concept of "Going Green"

@highlight

Jeweler Salina Khan Fuchigami uses cubic zirconia instead of diamonds

@highlight

Khan Fuchigami: "Diamond mining practices have huge ecological impacts"

@highlight

Blog series is part of CNN's "Going Green" coverage from June 15 to July 10