(CNN)On Thursday, President Barack Obama revealed that a U.S. drone strike had killed Warren Weinstein and Giovanni Lo Porto, two aid workers held hostage on the Afghanistan-Pakistan border. Al Qaeda had sought to trade the two for prisoners held by the United States and an end to drone strikes. But it is not only terrorist groups that try to reap reward from the taking of hostages -- take the case of Jason Rezaian, The Washington Post's Tehran bureau chief.

On April 20, just two days before diplomats resumed talks in Vienna, Austria, to reach a final agreement over Iran's nuclear program, Rezaian's Iranian attorney announced that his client had been charged with espionage, conducting propaganda, collaborating with foreign governments and collecting information "with malicious intent." The State Department, Rezaian's employers at The Washington Post and fellow journalists reacted with outrage. Their anger is justified, but the decision should surprise no one: There is a long history of rogue regimes seizing hostages against the backdrop of diplomacy to extract concessions, humiliate the United States or signal unease.

The scale of Iran's current hostage-taking -- not only Rezaian but also Iranian-Americans Saeed Abedini and Amir Hekmati -- may pale in comparison with Iranian behavior of decades past. But the use of hostages to extract concessions or dampen the enthusiasm surrounding reconciliation is part of a consistent pattern.

Consider the original Iran hostage seizure: On November 4, 1979, radical students seized the American Embassy in Tehran, ultimately holding 52 diplomats hostage for 444 days. Often forgotten was what sparked that episode, which occurred more than nine months after Ayatollah Ruhollah Khomeini declared the Islamic revolution victorious.

The problem was a rush to reconcile: At a November 1, 1979, Algiers reception, Zbigniew Brzezinski, President Jimmy Carter's national security adviser, met Iranian Prime Minister Mehdi Bazargan. According to Brzezinski's own memoir, he told Bazargan that the United States was open to any relationship the Islamic republic wanted. Photos of their handshake graced newspapers around the world. Iranian hardliners, meanwhile, were apoplectic that Barzagan was "betraying" Iran's revolutionary principles, and seized the embassy to block any rapprochement. Khomeini endorsed their action. "Our young people must foil these plots," he reportedly said. The hostages became pawns in an escalating series of demands. Brzezinski's dream of reconciliation became a nightmare.

Iran released the embassy hostages as Ronald Reagan took his oath of office, ending its first but not last hostage-taking episode. Iranian proxies seized a number of Americans in Lebanon. Reagan blessed a plan to trade arms for hostages. Putting aside the illegalities of diverting weaponry to the Nicaraguan Contras, the genesis of the scheme was not only a desire for diplomacy but also, much as with Obama's outreach today, to solidify the moderate camp within the Iranian political spectrum.

Initially, the scheme worked, but no sooner had American officials delivered the last load of military equipment and the last hostages set free, then kidnappers seized three more Americans. Hostage-taking had simply become another way to collect concessions.

Of course, Iran is not alone in such games. Whenever the United States tries to use diplomacy to bring rogue regimes in from the cold, it faces hostage crises. Take North Korea: Obama campaigned as the anti-Bush on the world stage. "The notion that somehow not talking to countries is punishment to them ... is ridiculous," Obama, then a senator, declared in July 2007.

Obama hadn't even marked two months in office when North Korea detained two journalists working for Al Gore's Current TV. A kangaroo court sentenced Laura Ling and Euna Lee to 12 years in prison. It was traditional hostage diplomacy. Former President Bill Clinton traveled to Pyongyang to appeal for their release.

North Korean leader Kim Jong Il used the episode to solidify the position of his third son and designated successor, Kim Jong Un. North Korea's police force put out word that "General Kim Jong Un's artifice let former U.S. President Clinton cross the Pacific to apologize to the Great Leader. It was all made possible thanks to General Kim Jong Un's extraordinary prophecy and outstanding tactics." North Korea's deputy foreign minister confided that the groundwork for the episode had been planned long in advance.

Ling and Lee were neither the first nor the last Americans that North Korea seized during the Obama era. After North Korea torpedoed a South Korean ship, killing 46, Obama sought North Korea's censure in the U.N. Security Council. Pyongyang responded by threatening Aijalon Mahli Gomes, an American imprisoned earlier that year for illegally entering North Korea.

On cue, former President Jimmy Carter arrived to mediate for Gomes' release, called for new talks and, by omission, derailed efforts to hold North Korea accountable for its killing of nearly four dozen South Korean sailors.

The pattern would repeat in 2012 when North Korea seized Kenneth Bae, an American whom Kim Jong Un sought to leverage into concessions. The following year, North Korea arrested an 85-year-old Korean War veteran touring the hermit kingdom and, the next year, took two other tourists hostage. Each arrest resulted in a high-level visit, an apology to North Korea that bolstered the dear leader's claims of strength and renewed engagement.

Saddam Hussein likewise worked from the same playbook. In March 1995, Iraqi security forces seized two American defense contractors who strayed into Iraq from Kuwait. Sentenced to eight years, they served 114 days before Rep. Bill Richardson, D-New Mexico, a close Clinton ally (and future Cabinet-level U.N. ambassador) flew to Baghdad to retrieve them. The American media lauded Richardson, but his trip was not without cost: Saddam used it to depict Iraq as strong and America as weak. "President Saddam Hussein ... accepts the pleas by Bill Clinton, the Congress and American people," the Iraqi News Agency reported.

And so did the Taliban. Fifteen years before Obama traded alleged American deserter Bowe Bergdahl for five high-value Taliban and alleged al Qaeda operatives imprisoned at Guantanamo Bay, the Taliban arrested two Americans female missionaries. Their detention -- and threatened death sentence -- came against the backdrop of Clinton-era attempts to negotiate with and perhaps even normalize relations with the Taliban; the Taliban, too, knew how holding Americans captive could even the playing field or even represent leverage for new concessions.

So what does Iran's hostage brinkmanship portend? Diplomats drink their own Kool-Aid, and convince themselves that their engagement can bring rogues in from the cold. Ego, ambition and arrogance convince presidents that the failure of past diplomacy rests with their predecessors rather than adversaries. Hostages such as Rezaian are canaries in the coal mine, however. Their captivity -- not suave officials and their smooth promises -- show both the true character of the regime and its disregard for the norms of diplomacy.

@highlight

A U.S. drone strike accidentally killed hostages Warren Weinstein and Giovanni Lo Porto

@highlight

Michael Rubin: Hostages such as journalist Jason Rezaian are canaries in the coal mine