(CNN) -- Using high-tech robotic cameras, a team of scientists is getting a rare first glimpse of marine life in the North Atlantic that could shed light on the ocean's ecosystem and climate to as far back as 1,000 years.

Images of tulip-shaped sponges, brightly colored corals, delicate pink stars and feathery organisms were among the breathtaking marine life beamed up by a submersible robot that scoured the ocean bed at a depth of some 9,800 feet [3,000 meters] off the Atlantic coast of Newfoundland.

The team, led by Fisheries and Oceans, Canada and including scientists from three Canadian universities and the Spanish Institute of Oceanography, is in the midst of a 20-day expedition to study 11 areas under the protection of the Northwest Atlantic Fisheries Organization.

Exploring these areas is important because they contain the "trees of the ocean," said Ellen Kenchington, research scientist with the Fisheries Department of Canada. She is among the lead scientists in the expedition.

"It's been really spectacular," she told CNN affiliate CTV from her office at the institute as pictures from the robot streamed on her computer. "It's really changing our perception of the diversity that's out there. ... We're seeing new species in deeper waters."

Kenchington told the Montreal Gazette that scientists potentially can look at the coral's chemical composition and determine the temperature of the water and other data from 1,000 years ago.

"That's how we are able to say if there is warming or a change in climate direction," she said. "In order to understand the present, we need to put it into context."

Corals have been a highly successful life form for 250 million years. They are tiny animals and polyps that exist as genetically identical individuals and can eat, defend themselves and kill plankton for food. In the process they also secrete calcium carbonate, which becomes the basis for an external skeleton on which they sit.

These calcified deposits can grow to enormous sizes over a long period of time and form coral reefs. The reefs are among the world's most productive ecosystems and can harbor more than 4,000 species of fish and many other marine life forms.

Some estimates have suggested 20 percent of the world's coral reefs are already dead and an additional 24 percent are gravely threatened.

In the week they have left in the expedition, Kenchington and her team hope to collect samples and video from the depths of the ocean to gain a new understanding of these corals as well as other marine life.

The underwater robot, operated by crew aboard the Canadian Coast Guard ship Hudson, is enabling the crew to go about 500 meters deeper than they have before.

Kenchington told CTV the research will also help them evaluate areas that are still too deep for current fishing technologies but could be accessible in years to come.

"This will enable us to give advice in the future about what types of organisms are in these areas before they're fished," she said.

@highlight

The scientists discovered deep-sea marine life that could shed light on the ocean's climate

@highlight

Robotic cameras scoured the ocean bed at a depth of 9,800 feet off the Canadian coast

@highlight

The research will also help evaluate if the protected areas should be further conserved