Atlanta, Georgia (CNN) -- Roland Marbaugh wrote 509 pages of his tales of war -- from the swampy Solomon Islands in World War II to the frozen Chosin Reservoir in Korea.

His son typed them all up on an electric typewriter in the 1980s but unpublished, Marbaugh's stories remained largely in his mind. Until now.

Marbaugh's story will soon be among 600 others on Witness to War, a virtual library of Americans in combat. When his testimony is posted in a few days, viewers will be able to hear the former Marine captain, now a spry 91, recount harrowing tales with photographic precision.

Some things never dulled in Marbaugh's memory. Like how fellow Marine "Wee Willie Wilson" killed 19 Japanese in their foxholes on the Pacific island of Bougainville and was awarded a prestigious Naval Cross for his "valiant fighting spirit."

"He had 20 rounds of ammunition; killed 19 Japanese. Willy was a show-off," Marbaugh said of his fellow Marine. "We don't know how he got in their bunker. He never told me."

Marbaugh might have never gotten a chance to recount his stories had it not been for Atlanta entrepreneur Tom Beaty, the founder of Witness to War.

Beaty's own interest in combat tales developed rather unusually.

He didn't come from a military family. Nor did he grow up like Marbaugh's children, listening to war stories from daddy. He didn't even like history lessons in school, in which he learned about the sweeping nature of war -- dates and names, but nothing that gave a boy a clear idea of what it was like to be there.

Then, when he was 11, Beaty's mother gave him a pictorial history of World War II. He flipped through the pages and stared at each photograph. What was it like to be there? What did war smell like? How did it feel to be wounded or watch someone die?

He earned a degree in military history at the University of North Carolina and more than anything, he wanted other Americans to appreciate the view from the foxhole as much as he did.

Later in Atlanta, he began attending World War II roundtable meetings. Someone, he realized, needed to capture the veterans' stories for posterity.

He bought a camera and recording equipment and launched Witness to War in 2002. Outside of his business consulting job, Beaty spent his own money and time interviewing soldiers, Marines, sailors and airmen. It was a labor of love and a project that married his personal interest with a desire to give back to those who had sacrificed.

War at Home: A soldier's war on two fronts

Today, it's a searchable archive of 600 such accounts. Beaty hopes to grow the virtual library by at least a thousand more tales in two years. Eventually, he'd like to see it all in the Library of Congress.

He knows he's racing against time with World War II veterans, many in their 90s, like Marbaugh, or even older. They are dying off at the rate of 1,000 per day, according to the Department of Veterans Affairs, and taking their stories to cold graves.

"Every time a veteran dies, a library burns," Beaty said in his suburban Atlanta office.

"What I learned in high school was the high-level view of things, not the horror of delivering freedom," he said. "Our mission is simple -- to preserve, honor and educate."

Imagine, he said, if the stories of Revolutionary War or Civil War veterans had been captured on video.

Beaty used to do all the interviews himself. Now he has an assistant and hopes one day to be able to deploy a team of interviewers to record veterans' stories.

He has interviewed Medal of Honor recipients whose experiences are well known. But it's those who have rarely spoken who interest Beaty the most. And sometimes, it's his curiosity that leads him to them.

When Beaty was visiting his father's grave in Union County, North Carolina, he noticed a dual grave with two headstones.

The father had passed away, but there was only a birth date for the son. It was an unusual name: Arch de Castrique.

Beaty looked up de Castrique and ended up eating breakfast at McDonald's with him, listening to stories about Japanese soldiers and their combat tactics and agreed to tell them on camera. Shortly afterwards, de Castrique developed Alzheimer's and could no longer recall his experiences. Eventually, the disease took his life.

But his story lives on because of Beaty's project.

Sometimes, the interviews are emotional, filled with painful pauses and tears. Others are cathartic, as it was for Glenn Gooch, who fought with the 4th Infantry in World War II.

Gooch told Beaty how he had come across dead Americans during his first combat experience in France, some with their throats slit. It was meant to scare the living.

Or another time, when he fired his M1 rifle at a German soldier close up in the dark.

"I can see it just as plain today as I did that night. Shooting at him so much until his body, his hips, in that area, looked like it was on fire."

All the while Gooch speaks, his eyes never meet Beaty's camera. It was the first time he had talked about his combat memories publicly.

Beaty is constantly on a search for more stories. He contacted Marbaugh after he read an account of the 17 days of brutal battle in North Korea's Chosin Reservoir on its 60th anniversary.

The Marines were encircled by Chinese troops. They fought for their lives. Beaty said he was struck by the accounts of hand-to-hand combat with Chinese troops.

Marbaugh said many of his fellow Marines froze to death as they were forced to retreat south. When the Chinese charged down a hill, he gave the orders: a bayonet or a bullet.

"We had to do what we had to do," he said. "Not too proud of it."

Marbaugh, then a captain, started off with 500 men under him. After Chosin, he was left with 75.

The temperatures fell to 16 below. The dead were covered up and left to freeze.

Marbaugh said "Tootsie Rolls" was the code name for ammunition. But somebody who loaded up the ammo for airdrops thought the Marines wanted candy. So with every case of ammo came the sweet stuff.

"You could do nothing with food or water," he said, referring to the frigid weather. "But you could put a Tootsie Roll under your arm. It would get warm and soft."

Marbaugh also told Beaty a harrowing tale of napalm, when there were hundreds of Chinese soldiers coming their way and the Air Force stepped in to save the surrounded Marines.

There were four planes -- one to spot and three to attack.

"The second plane dropped his napalm but not the third or fourth. At the same time Marines from all sides opened up with mortars and heavy machine guns.

"Why didn't you drop?" the second pilot asked the others.

"There was no target left," they replied.

"We had massacred them," Marbaugh said.

Marbaugh was honored to be able to share his stories. "I'm glad they picked me," he said.

Beaty looked at Marbaugh and his son and thought about all the lifelines that were stopped by war, all the families that never were because a man died on the battlefield. He said he felt a need to make the connection between the sacrifices that were made and the freedoms that Americans enjoy.

He was thankful for men like Marbaugh, who survived to tell. They were warriors who became walking libraries.

@highlight

Tom Beaty founded Witness to War in 2002

@highlight

The website posts video testimonies of veterans

@highlight

They provide views of war from the foxhole

@highlight

Former Marine Roland Marbaugh recorded his memories of the Pacific and Korea