(ArsTechnica) -- The Federal Communications Commission is releasing the details of its new net neutrality Order in stages. Although the FCC's new ban on "unreasonable discrimination" for wired ISPs allows certain kinds of traffic discrimination (not all bits need be equal), the agency made clear after Tuesday's meeting that "paid prioritization" deals with Internet companies are unlikely to be allowed.

Critics had worried that the new Order would only affect outright website blocking, leaving paid prioritization untouched (or even implicitly sanctioned).

"Pay for Priority Unlikely to Satisfy 'No Unreasonable Discrimination' Rule," advises one subheading of the new net neutrality rules. Ed Whitacre's dream of directly charging Google and Yahoo to "use his pipes" -- a key event in starting the entire net neutrality debate -- appears to be dashed.

"A commercial arrangement between a broadband provider and a third party to directly or indirectly favor some traffic over other traffic in the connection to a subscriber of the broadband provider (i.e., 'pay for priority') would raise significant cause for concern," the Commission then elaborates. This is because "pay for priority would represent a significant departure from historical and current practice."

Insofar as engaged

As we've reported, the FCC's new rules forbid Internet providers from blocking lawful content and they require transparency from ISPs. They also require that network management and packet discrimination to be "reasonable," but that only applies to wireline broadband. Wireless operators gets a free pass on rationality; they're limited only to the transparency and blocking provisions.

Here's the text of the Commission's "no unreasonable discrimination" rule:

A person engaged in the provision of fixed broadband Internet access service, insofar as such person is so engaged, shall not unreasonably discriminate in transmitting lawful network traffic over a consumer's broadband Internet access service. Reasonable network management shall not constitute unreasonable discrimination.

What are "reasonable network management" practices? Here you go:

A network management practice is reasonable if it is appropriate and tailored to achieving a legitimate network management purpose, taking into account the particular network architecture and technology of the broadband Internet access service.

Legitimate network management purposes include: ensuring network security and integrity, including by addressing traffic that is harmful to the network; addressing traffic that is unwanted by users (including by premise operators), such as by providing services or capabilities consistent with a user's choices regarding parental controls or security capabilities; and by reducing or mitigating the effects of congestion on the network.

"Specialized services" like IPTV (think AT&T''s U-Verse) will also be allowed over the last-mile broadband connection, although the FCC insists it will watch their deployment for anti-competitive behavior. But the Order rather strongly suggests that priority deals are "unlikely" to fit into this "reasonable" framework.

Why not? First, "since the beginning of the Internet," the agency explains, "Internet access providers have typically not charged particular content or application providers fees to reach the providers' consumer retail service subscribers or struck pay-for-priority deals, and the record does not contain evidence that US broadband providers currently engage in such arrangements."

Second, priority deals would represent a "departure from longstanding norms" and "could cause great harm to innovation and investment in and on the Internet."

They would raise barriers on entry for edge providers and could also boost "transaction costs arising from the need to reach agreements with one or more broadband providers to access a critical mass of potential users."

Third, pay for priority could hurt users at the low end of the economic ladder -- bloggers, students, libraries, schools, advocacy groups.

"Even open Internet skeptics acknowledge that pay for priority may disadvantage non-commercial uses of the network, which are typically less able to pay for priority, and for which the Internet is a uniquely important platform."

Finally, ISPs that push pay for priority service "would have an incentive to limit the quality of service provided to non-prioritized traffic." As some game developers worry, ISPs might effectively charge for non-inferior service, investing "less in open access and more in services that they can provide at a premium."

"In light of each of these concerns, as a general matter, it is unlikely that pay for priority would satisfy the 'no unreasonable discrimination' standard," this section of the FCC's Order concludes. "The practice of a broadband Internet access service provider prioritizing its own content, applications, or services, or those of its affiliates, would raise the same significant concerns and would be subject to the same standards and considerations in evaluating reasonableness as third-party pay-for-priority arrangements."

History

All of these assertions will soon be contested. AT&T has all but told the FCC that it could live with net neutrality rules... provided those rules give a green light to priority access arrangements.

As AT&T warned the FCC a year ago, a "strict" nondiscrimination provision "would completely ban voluntary commercial agreements for the paid provision of certain value-added broadband services, which would needlessly deprive market participants, including content providers, from willingly obtaining services that could improve consumers' Internet experiences."

On top of that, AT&T has its own take on the history of this matter. The ISP insists that paid priority access was "fully" and even "expressly" contemplated by the Internet Engineering Task Force decades ago as it mapped out the 'Net's key protocol, TCP/IP.

But the Center for Democracy and Technology pushes back that AT&T is misreading early IETF documents, which were purposed to "describing the technical architecture needed to deploy differential services not the payment schemes that may be associated with it."

Hello, Level 3

Then there's the sticky question of whether the dispute between Level 3 Communications and Comcast falls into this zone of scrutiny. The Internet backbone and Content Delivery Network operator insists that Comcast crossed the line by charging it to move Netflix movie data to Comcast network subscribers. Comcast pushes back that this is just a private peering/transit dispute, in which Level 3's sudden jump in traffic required a economic response.

When asked if the FCC would scrutinize the Level 3 dispute, Chairman Julius Genachowski responded that the agency was "looking into it." It seems likely that if controversies like this keep coming up, complaints invoking the FCC's new Order will be filed, requiring the Commission to look into the matter quite a bit over the coming months.

Or maybe not. Comcast seems quite sanguine about Tuesday's decision.

"While we look forward to reviewing the final order, the rules as described generally appear intended to strike a workable balance between the needs of the marketplace for certainty and everyone's desire that Internet openness be preserved," Comcast Vice President David Cohen declared. "Most importantly, this approach removes the cloud of Title II regulation that would unquestionably have harmed innovation and investment in the Internet and broadband infrastructure."

Reasonable and timely

Rather than Title II common carrier regulations, much of the Order's legal framework is based on Section 706 of the Communications Act, which requires the FCC to "encourage the deployment on a reasonable and timely basis of advanced telecommunications capability to all Americans."

The question of whether this and various other sections of the Act that the FCC is invoking will survive court scrutiny is an interesting one, but there are other potential legal bugbears ahead. The ISPs also insist that they've got the First Amendment right to cut priority access deals with content providers.

"The First Amendment protects the right not just to decide what to say, but how to say it," former National Cable and Telecommunications Association CEO Kyle McSlarrow declared last year. "Does the First Amendment really allow the government to prohibit a content or applications provider from paying to acquire the means to distribute its content in the form or manner it wishes?"

How will all this play itself out? It depends on how the FCC enforces this advisory, and who sues the government in response.

"We have a legal basis for the rules we adopted today that is very strong -- that gives us the authority we need," Genachowski told reporters in a press conference held after Tuesday's Open Commission meeting. "And I am confident it will in court."

COPYRIGHT 2011 ARSTECHNICA.COM

@highlight

The FCC's new rules forbid Internet providers from blocking lawful content

@highlight

Critics worried that the new Order would leave paid prioritization untouched

@highlight

FCC: Reasonable network management shall not constitute unreasonable discrimination