(CNN) -- Sakineh Mohammadie Ashtiani, a mother of two, is waiting to die in Iran by a method of execution described by her lawyer as "barbaric" -- stoning.

She will be buried up to her chest, deeper than a man would be, and the stones that will be hurled at her will be large enough to cause pain but not so large as to kill her immediately, according to an Amnesty International report that cited the Iranian penal code.

The 42-year-old woman from the northern city of Tabriz was convicted of adultery in 2006, and her execution is imminent, said prominent human rights lawyer Mohammad Mostafaei.

Ashtiani was forced to confess after being subjected to 99 lashes, Mostafaei said Thursday in a telephone interview from Tehran.

She later retracted that confession and has denied wrongdoing. Her conviction was based not on evidence but on the determination of three out of five judges, Mostafaei said. She has asked forgiveness from the court but the judges refused to grant clemency.

Iran's supreme court upheld the conviction in 2007.

Mostafaei believes a language barrier prevented his client from fully comprehending court proceedings. Ashtiani is of Azerbaijani descent and speaks Turkish, not Farsi.

The circumstances of Ashtiani's case make it not an exception but the rule in Iran, according to Amnesty International, which tracks death penalty cases around the world.

"The majority of those sentenced to death by stoning are women, who suffer disproportionately from such punishment," the human rights group said in a 2008 report.

On Wednesday, Amnesty made a new call to the Iranian government to immediately halt all executions and commute all death sentences. The group has recorded 126 executions in Iran from the start of this year to June 6.

"The organization is also urging the authorities to review and repeal death penalty laws, to disclose full details of all death sentences and executions and to join the growing international trend towards abolition," the statement said.

In Washington, the State Department criticized the scheduled stoning, saying it raised serious concerns about human rights violations by the Iranian government.

"We have grave concerns that the punishment does not fit the alleged crime, " Assistant Secretary of State P.J. Crowley said Thursday. "For a modern society such as Iran, we think this raises significant human rights concerns."

Calling Iran's judicial system "disproportionate" in its treatment of women, Crowley said, "From the United States' standpoint, we don't think putting women to death for adultery is an appropriate punishment."

Human rights activists have been pushing the Islamic government to abolish stoning, arguing that women are not treated equally before the law in Iran and are especially vulnerable in the judicial system. A woman's testimony is worth half that of a man.

Article 74 of the Iranian penal code requires at least four witnesses -- four men or three men and two women -- for an adulterer to receive a stoning sentence, said Mina Ahadi, coordinator for the International Committee Against Stoning. But there were no witnesses in Ashtiani's case. Often, said Ahadi, husbands turn wives in to get out of a marriage.

Mostafaei said he could not understand how such a savage method of death could exist in the year 2010 or how an innocent woman could be taken from her son and daughter, who have written to the court pleading for their mother's life.

The public won't be allowed to witness the stoning, Mostafaei said, for fear of condemnation of such a brutal method. He is hoping there won't be an execution.

Mostafaei, who himself did jail time in the aftermath of the disputed presidential elections in June 2009, said he realizes the risk of speaking out for Ashtiani, for fighting for human rights. But he doesn't let that deter him.

He last saw Ashtiani five months ago behind bars in Tabriz. Since then, he said, he has been searching for a way to save her from the stones.

CNN's Bobby Afshar and Elise Labott contributed to this report.

@highlight

NEW: State Department has "grave concerns"

@highlight

Sakineh Ashtiani was sentenced to death on adultery charges

@highlight

Mother of two will be killed using a "barbaric" method, says her Tehran lawyer

@highlight

He says she was forced to confess under duress