(CNN) -- The original "pop-up restaurants" were secretive affairs.

Called "supper clubs," they were hosted in private homes, the locations of which were revealed at the last minute via social media or guerrilla advertising.

These underground gatherings of complete strangers were inspired by a love of food and seen as an act of rebellion against the established restaurant trade.

Are celebrity chefs stealing the show?

Today, the idea is increasingly hijacked by celebrity chefs and big corporations.

Everyone from Pierre Koffmann to Rene Redzepi to Gordon Ramsay are "popping up" in locations away from their home turf.

Exclusive and expensive pop-up dining clubs, membership for which can run into thousands of dollars, have also evolved out of the pop-up idea, to become part of the world's high-end dining scene.

The latest interpretation is from molecular gastronomy chef Heston Blumenthal, who'll be transporting his three Michelin-starred Fat Duck restaurant from a village in England to a casino in Melbourne, Australia for six months in 2015.

Other celebrity chefs jumping the pop-up bandwagon include:

• Rene Redzepi, head chef of Copenhagen's Noma restaurant. He ran a pop-up at the swanky Claridges hotel in London for 10 days. At nearly $330 a head, his menu featured dishes like live ants and flowers. Opinion was divided about whether his restaurant, which focuses on locally foraged food, had traveled well.

• Celebrity chef Jean-Christophe Novelli. He braved accusations of selling out by creating a one-day pop-up restaurant in London to showcase ingredients from discount supermarket chain Aldi.

• Marcus Samuelsson of Red Rooster in Harlem, who opened a two-month pop-up in June at The Fairmont Hamilton Princess in Bermuda.

• One of the most unusual pop-ups was on the London Eye. A capsule on the giant ferris wheel was transformed into a dining room with menus from the likes of Gordon Ramsay and Ireland's Richard Corrigan.

So are celebs and big money enterprises cashing in on and corrupting what should be an authentic, fun foodie experience?

Or are pop-ups a natural training ground for future stars and novel dining experiences?

A sign of the times

Pop-up restaurants have their roots in Latin America where illegal, privately owned eateries called paladares (meaning palate) sprang up after the Cuban Revolution.

The trend spread to the East Coast in the United States and London in the UK in the 2000s, run by foodies in their homes and unknown chefs in venues like disused warehouses or pubs.

Supper clubs gave the hosts a chance to experiment with cooking and guests loved the risque feel.

A chance for rising chefs

Pop-ups offer rising chefs the chance to get their name known without all the investment and risk of opening a physical restaurant.

Many now-famous chefs cut their teeth on temporary restaurants.

Ludo Lefebvre of Trois Mec in Los Angeles previously ran Ludobites, a series of pop-ups across the city selling affordable, high-end food.

Tom Collins of Bistrotheque ran the UK's first "guerilla" restaurant in a converted brewery in east London in 2006.

Pop-up pioneer and food blogger Kerstin Rodgers, aka Ms Marmitelover, started one of the first supper clubs at her home in London in 2009.

"I was cooking in various cafes and didn't have the money to start my own restaurant," she says.

"This was a way to cook without having to pay for premises and staff and without taking all the risks of opening a new restaurant."

Her first event cost just $16 -- now she charges $67 for themed suppers and can cater for 20 people in her living room.

"It's good for tourism because people from abroad can come and eat in a Londoner's home. It's good value food cooked from scratch, which can't be said of many restaurants nowadays," she adds.

Stealing the show

"I'm an original punk and I think there are parallels between the punk movement and supper clubs," says Rodgers.

"Punks hate all these bloated rock stars sitting in tax exile in their mansions and in a sense supper clubs were a reaction to bloated and overpriced restaurants."

Posh dining clubs and celebrity chefs are the antithesis of the pop-up movement, she believes.

"What I find disappointing is there have been a lot of opportunists who don't understand the roots of it, piling in with their big backers and marketing teams and pretending to do the same thing, and they're not."

Social side

Unlike some modern dining clubs, which require a big annual fee and a recommendation to become a member, the original supper clubs were open to an eclectic mix of people.

Stephanie Biden runs a Thai-themed supper club in her home in southwest London. She saw Jamie Oliver visit a New York supper club on TV and thought she'd try it.

"One of the great things is that if you invite friends around for dinner you tend to spend time thinking about who would be a good combination of guests to invite, and on the night your attention is divided between hosting and cooking.

"With a supper club you don't have to worry about that. You can focus on the cooking and preparing the best food you can," she says.

"It's been a great way of getting friends and acquaintances from different parts of your life to meet one another. The dynamic is unique, lively and informal -- it's neither like a dinner party, nor like going to a restaurant."

Exclusive club

But supper clubs are becoming increasingly commercial enterprises.

Tamsin Lonsdale runs The Supper Club. It has 1,000 members who pay $3,000-4,000 each for an annual membership offering access to monthly dinner parties in New York, Los Angeles and London.

Uma Thurman, Christian Slater and Naomi Campbell are just some of the celebrities joining other personally vetted guests at her lavish events.

"It's good to have something for everyone. The pop-up scene has more variety in it nowadays especially in America," she says.

"Some are bring your own, some are very foodie-orientated. I try to marry the food, chef and the people. The suppers are structured and organized but our members like that structure -- they can't just drop everything at a moment's notice.

"Of course I'm in it to make money but I genuinely love meeting new people and it's a relationship thing -- you can't put a price on that.

Her role is to "curate" a dinner party, she says, similar to an art exhibition. She brings together different people. The only criteria is they must be "shining stars" in their field, whether surgeon or entrepreneur.

Testing food trends

A different kind of pop-up club is Dinner Lab, which tests out cutting-edge food concepts in pop-up restaurants in 10 cities across the United States.

The aim is to discover the latest food trends and offer undiscovered chefs the chance to experiment, says 20-something CEO Brian Bordainick. It costs $100-$175 to become a member and then $60-$80 per event which includes food and alcohol, in venues ranging from helipads to piers.

"For most chefs, the restaurant decides what they will be cooking. Artists like having a free rein to be creative and we give them a platform to do it," says Bordainick.

"We help them get out of the shadow of the head chef and hone in on which concepts could be a success. We're trying to figure who and what's next."

Every course is rated by up to 120 guests, and the aim is to eventually open permanent restaurants using the research.

"We're experimenting in a way where we throw stuff at the wall and see what sticks," says Bordainick. "It allows people to try out experimental dishes in a very approachable way.

"Pop-ups are no different from any type of trend, it's only a matter of time before it makes its way into big organizations who try to homogenize it. But I say, different strokes for different folks."

Future

It was always going to be hard for underground restaurants to stay underground forever.

Celebrity chefs and big business cashing in on the scene don't seem to have dented the popularity of temporary restaurants ranging from home-cooked grub in someone's living room to innovative cuisine in an aircraft hanger.

Expect the pop-up to keep popping up.

Claire Hu is a wine, food, culture and travel journalist based in South Africa.

@highlight

Celebrity chefs like Noma's Rene Redzepi and Heston Blumenthal are cashing in on the pop-up restaurant trend

@highlight

Pop-up restaurants started as illegal, privately owned eateries that sprang up after the Cuban revolution

@highlight

Pop-up pioneer Kerstin Rodgers thinks posh dining clubs and celebrity chefs are the antithesis of the pop-up movement

@highlight

New type of dinner club uses pop-up restaurants to test out cutting-edge food concepts