(CNN) -- I have been fortunate to have lived and experienced two worlds: My childhood in India -- which in many parts is a world of poverty, infrastructure problems, and a paucity of qualified health-care personnel, a world of many preventable deaths.

The other world is the United States, where my time at the Massachusetts Institute of Technology exposed me to amazing technologies, tremendous resources to build "things," to build businesses, and where -- for the most part -- there exist reliable systems, processes and medical technology which enable us to save lives, whenever they can be saved.

Watch Myshkin Ingawale's TED Talk

The opportunity that exists, one might well be told multiple times, by multiple very enthusiastic and entirely well-meaning people, is to take the best of the West and put it to good use in the so-called East.

So, that would mean that, to improve health care in the so-called Third World -- we should take lifesaving medical technologies that the West has developed and transplant these to countries like India.

The poster child for this kind of transplant is the mobile revolution in many developing nations like India, which have leapfrogged the rather expensive wired telephony phase altogether, and jumped straight to mobile phones.

In India today, about half the population already owns mobile phones. It is not only their primary means of voice communication but also becoming their most important source of all forms of information -- business, media, health ... So can we replicate this kind of success story in health care delivery?

TED.com: The universal anaesthesia machine

Can we take the cool technologies developed in Route 128 and in Silicon Valley, put them on Indian soil, amidst lower resource settings, and expect a similarly spectacular outcome in health care?

There might be a case to made for this approach, but to date my experience suggests that the problems in health care in the developing world are too complex, too entangled with other issues (social, political, economic) and -- in some cases -- too alien altogether from the Western world perspective -- to have a simple "tech-transfer" fix.

Also, a similar problem emerges when the best brains in the West, with all the best intentions, design new products intended to solve the problems of the developing world, while not having a full knowledge or context to the problem the product is designed to solve.

The story I told in my TED talk was my personal narrative of a team of doctors, engineers and designers who were thrown into the midst of a severe problem -- anemia in children and pregnant women in a rural, underserved part of India.

As many as 1 million or more children and pregnant women are dying as direct or indirect result of undiagnosed, untreated, unmonitored anemia. The treatment for anemia is not only well understood, but also widely available -- iron tablets, folic acid, iron injections, supplements and in extreme cases -- blood transfusions.

TED.com: Touring a hospital in Nigeria

Many government and WHO-backed schemes (e.g. "Janani Suraksha Yojana" in India) exist that provide subsidized health care -- free treatment. In rural India, there is a village health worker (Accredited Social Health Activist) in every village -- a ratio of one for every 1,000 people. The implementation of these health-care schemes is largely on the shoulders of the ASHA workers. In India there are more than 500,000 -- a really big (if not highly qualified medically...) force for doing good.

Having experienced the conditions in a village in India, my group of friends -- who eventually set up the startup Biosense Technologies -- developed a simple, hand-held device that the ASHA worker could use to diagnose and monitor anemia noninvasively (without needles) and at the point of care (she could carry the hand-held device door to door). The ToucHb is designed for low-resource settings, requires no medical expertise and is perfect for the quick and affordable anemia screening it is tasked to do.

The device emits three wavelengths of light. The light passes through the tissue, and from understanding how much of it is transmitted, how much of it is scattered and how much of it is absorbed, we can figure out how much hemoglobin there is in the blood.

Our insight behind the ToucHb product was not merely that anemia needed diagnosing -- this is obvious to every person in public health care. Our insight was not merely that the ASHA worker needed to be empowered to solve problems in her community, and that she was the real centre of the public health system, rather than the doctors sitting in cities and towns -- again, obvious to folks in the development world.

Our insight was not merely scientific -- how to develop a product that could measure blood hemoglobin and diagnose anemia all without needles and in the form of a device no bigger than a TV remote control -- there are other scientific approaches and technologies available for noninvasive hemoglobin estimation.

TED.com: Your health depends on where you live

Our real insight was that we needed to not only build something that works from a scientific standpoint but also makes sense from a commercial and cultural and political-adoption angle. This was not easy and I cannot point to any single glorious "aha" moment in time when it all clicked.

All I have are a series of failures -- monuments to our own stupidity, ideas and prototypes and commercial models failing in the lab, in the field, in a government office, at the VC (venture capital) meeting, failing due to some reason from a plethora of reasons in the complex entangled mesh that is India. Slowly, over three years, our team and ToucHb stumbled our way to making the beginnings of impact. We are still stumbling forward, but have been told we are going the right way!

I want a thousand stories like ToucHb to emerge to solve the pressing health care needs of the 3 billion underserved people in the world, dying or suffering from completely preventable diseases. I believe neither the "First World" or the "Third World" can do this alone.

The best researchers sitting at MIT or Stanford do not always understand the context and nuances of the developing world's problems they sometimes set out to solve, and the best field people in the developing world do not have the resources and scientific expertise to create robust and cutting-edge technology solutions that scale to the levels of the problem.

TED.com: The promise of research with stem cells

There are ways around this impasse, but none are quick or simple: Either technology innovators from the West who propose solutions for the East must follow through and stick it out in the field, to design and implement their vision to the end, or the developing nations must wait for a few more years while their indigenous tech innovation ecosystems mature...

In the face of this complexity, I have personally found three simple rules that I have internalized, for tech innovators to create real impact:

1) Experience the problem: Don't assume you understand the problem.

2) Fail early, fail often: Don't fall in love with your ideas -- expose them as early as possible to data, to real life, and hence to failure.

3) Build a team: Surround yourself with people smarter than you, with very diverse skill sets ... and have fun!

The opinions expressed in this commentary are solely those of Myshkin Ingawale.

@highlight

Myshkin Ingawale: Mobile tech enables developing nations to leapfrog over wired systems

@highlight

He says nations such as India need ways to jump ahead in health care

@highlight

Ingawale: New technology isn't a magic pill; technology must fit health care delivery system

@highlight

His company developed a tool to detect anemia without drawing blood