(CNN) -- Sen. Chris Dodd's announcement that he is retiring follows an illustrious career, but one that has recently been overshadowed by controversies, political woes and personal tragedies.

"I love my job as your senator. I always have, still do. However, this past year has raised some challenges that insisted I take stock of my life," the Democratic senator said in front of his Connecticut home Wednesday.

During this session of Congress, Dodd was at the center of what he called the "two most important issues of our time": health care and financial reform.

Dodd is chairman of the banking committee, and when his close friend and colleague, the late Sen. Ted Kennedy, was battling brain cancer, he stepped in as acting chairman of the Senate health committee.

The death of Kennedy in August was devastating for Dodd, who worked alongside the Massachusetts senator for decades. And Kennedy's death came just weeks after Dodd's sister passed away.

And Dodd, 65, was diagnosed with and treated for prostate cancer last summer.

"In the midst of all of this, [I] found myself in the toughest political shape of my career," Dodd said Wednesday.

A source close to Dodd says his recent personal tragedies and challenges weighed heavily in his decision to retire.

Dodd is Connecticut's longest-serving senator. He took office in 1981 after three terms in the House. But his prospects in the upcoming election were not good.

An internal Dodd campaign poll taken last month showed him trailing the leading Republican contender for his seat, Rob Simmons, 46-51 percent. That deficit is significant in the Democratic-leaning state of Connecticut, where the same poll shows President Obama with a high favorability rating.

Another source close to Dodd said he had been well aware of his uphill battle for months. The source said his political reality was a big part the reason he decided not to seek re-election, but insisted, "this isn't a decision forced upon him or by anyone. He was looking at his career, looking at his record of accomplishments over the past 35 years, asking what else is there."

Personal and political challenges "have given me pause to take stock and to ask questions that too few of us in elected public life ever do: Why am I running?," Dodd said.

Dodd's announcement came almost two years to the day that he abandoned his presidential run. He said at the time that he counted his experience on the presidential campaign trail as one of the most rewarding of his career in public service.

"It was obviously an uphill battle from the beginning, and I think that those are the times that you really see the character of the person that you are working for," said Taylor West, a Democratic strategist who worked on Dodd's campaign.

"He conducted that campaign in the way that I've seen him do everything else, which was with a lot of class and a lot of dedication," she said.

West recalled Dodd's humor and his love for the people he met.

"He is someone who wears his heart on his sleeve, and that's part of the reason why people are drawn to him," she said.

West said she looks forward to watching what Dodd can accomplish over the next year, now that he is freed up from campaign concerns.

Following a disappointing showing in his presidential campaign -- getting less than 1 percent of the vote in the Iowa caucuses -- Dodd faced more struggles back home and in Washington.

The senator was criticized last year for his role in big bonuses handed out at AIG after the insurance giant received taxpayer bailout money. AIG's Financial Products unit is based in Connecticut.

Dodd initially denied having anything to do with American International Group paying out millions in bonuses, then later acknowledged his role in adding language to the stimulus bill to ensure that existing contracts for bonuses at bailout recipients, such as AIG, were honored.

Dodd also faced controversy when news surfaced that he had received favorable mortgage terms from now-defunct sub-prime mortgage lender Countrywide Financial. Dodd later severed his relationship with Countrywide to avoid any appearance of impropriety.

In another blow to his credibility, Dodd took heat for insisting that the government-sponsored mortgage lenders Fannie Mae and Freddie Mac were sound and failing to rein them in. The Senate Finance Committee he chairs oversees the lenders. Dodd had also received more campaign contributions from Fannie Mae and Freddie Mac than any other lawmaker, according to the Center for Responsive Politics.

Even with help on the trail from President Obama and Vice President Joe Biden, Dodd wasn't able to gain much ground in the polls. Biden last month conceded that Dodd was "getting the living hell beat of him."

Despite his troubles, Dodd said he managed four major pieces of legislation through Congress in the past year: health care reform, credit card reform, the tobacco regulation bill and the Helping Families Save Their Homes Act.

Throughout his career, he's focused on children's issues, championing the Family and Medical Leave Act, working to expand the Head Start program and chairing the Children and Families subcommittee.

Dodd will serve out the rest of his term, which ends in January 2011.

"This year will be a huge part of his legacy. We're looking at the likelihood that we will have an enormous piece of health care reform that his father actually introduced as a plank in the Democratic platform 60 years ago. Getting that done is going to be a huge part of his legacy," West said.

Dodd attributes his commitment to public service and human rights to his parents, the late Sen. Thomas Dodd and Grace Murphy Dodd, according to his Senate biography.

Dodd's father served in the Senate for two terms. He was censured by the Senate for financial misconduct, then lost his re-election bid in 1970. He died of a heart attack the following year.

Before his career in politics, Dodd spent two years in the Peace Corps, enlisted in the Army National Guard and served in the U.S. Army Reserves. He attended Providence College and later earned a law degree from the University of Louisville.

Dodd declined to speculate about what he will do when he leaves office, but he said his two daughters -- Grace, 8, and Christina, 4 -- will benefit greatly from his decision.

"I'm still driven by the same passions that motivated me to try my hand at politics so many, many years ago. And just as I've encouraged the people of Connecticut, I'm looking to the future with a spirit of optimism and confidence," he said.

CNN's Dana Bash contributed to this report.

@highlight

Dodd faced deaths of sister and Sen. Kennedy, was treated for prostate cancer last year

@highlight

Democrat is Connecticut's longest-serving senator

@highlight

He suffered blows to reputation in the past year, was facing tough re-election bid

@highlight

Throughout his career, Dodd has focused on children's issues