(CNN) -- It's a problem which is there in black and white.

There are 92 professional clubs in the English Football League -- but just two of those are led by black managers and according to the latest English Football Association report, while there are only 15 black or ethnic minority coaches working across the professional game.

It is a damning statistic which shames English football and the FA's chairman Greg Dyke says that must change with the FA currently discussing the merits of the Rooney rule which is used in the NFL as a way of bringing more black or ethnic minorities into the sport.

Chelsea manager Jose Mourinho recently said "there is no racism in football" but Dyke, who took over from David Bernstein in July 2013, is concerned about minority representation saying English football must implement its own Rooney rule.

"It has to happen," Greg Dyke, chairman of the FA told CNN, referring to the rule, which was introduced in the U.S. states to ensure teams should interview at least one black of ethnic minority candidate.

In the U.S. the number of black assistant coaches working in NFL rose from 14 in 1980 to 199 out of 610 in 2012 -- a rise of 32.6%.

Some 25 years ago, there was only one black head coach, Art Shell, who managed the Oakland Raiders, while now there are currently four with Lovie Smith, Mike Tomlin, Jim Caldwell and Marvin Lewis all leading the way.

But English football has not progressed with one former player, Sol Campbell, complaining that he would have to move abroad to pursue coaching opportunities because of the "archaic" attitudes towards black coaches.

"You go anywhere in the country to watch football now and there's a disproportionate amount of ethnic minorities and yet why are they not coming through the game?" pondered Dyke.

"We've got an inclusion group looking at whether the Rooney Rule would work. We apply the Rooney Rule when we're applying for coaches. You need to know it's going to work."

Rio Ferdinand, the former Manchester United and England defender, has advocated such a system and Dyke, has not discounted it.

"There's no point saying if you're going to interview five people with one from an ethnic minority if they're never going to get the job," he added.

"That's damaging. You need to know it's going to work which is why you have to get more coaches through."

The lack of leading Black, Asian and minority ethnic (BAME) coaches working in English football is just one problem facing Dyke and his commission.

Lagging behind European rivals

By the sound of it English football is effectively broken.

According to the latest report, there are only 205 English coaches with a UEFA pro-licence, the top qualification, compared to 2,353 in Spain and 1,304 in Germany.

Even lower down the ranking, Italy boasts 37,742 coaches with a 'B' licence compared to just 9,548 in England -- the lowest out of the five top leagues in Europe.

While the FA says there are 50,000 coaches active in England, 39,000 of those do not possess qualifications above the Youth Award 3 -- the level below the 'B' licence.

"We're miles behind, miles behind," said Dyke when commenting on coaching.

"We're miles behind on coaching and facilities. Can we catch up? Yes, but it will take five or 10 years."

The latest proposals would involve the FA set up a coach education organization which will be led by a new head of education who will sit on the governing body's executive.

The FA plans to build 'football hubs' in 30 different cities across England including London, Birmingham, Manchester, Liverpool and Sheffield with £230 million being invested in the project over the next five years, though bear in mind the Dutch FA is plowing €1 billion ($1.3 billion) into their domestic game every year.

The hubs will boast state of the art facilities including 3G artificial pitches which are widely used across Europe with Germany boasting 3,735 such surfaces compared to just 639 in England.

England has one synthetic pitch for every 42,000 people according to the FA report, while the Netherlands has one for every 13,000 -- a significant advantage for the development of young players.

Each hub will also have floodlights, changing rooms, a classroom and changing facilities all of which will be cared for by a local body.

There are also plans in place to increase those holding the very top coaching qualification to 300, while taking the number of Youth Award Level 3 coaches from 800 to 3,000.

"One of the criteria when we are setting up these coaching courses is that we want to get more people through it so we get more coaches," said Dyke.

"It's their job to analyze the constraints why people aren't coming. Is it that there isn't enough supply? Is it cost? Time?

"If you're an ex-Premier League footballer then cost doesn't matter. Therefore do you approach it by reducing the cost or by putting aside a fund for those who can't afford it?"

Leagues apart

While the FA counts every penny in its budget, the Premier League posted revenues of over £3 billion ($4.8 billion) last June, according to financial analysts Deloitte.

The Premier League has already secured a domestic television deal worth over £3 billion which lasts until the end of the 2016 season, while foreign broadcasters have paid £2.3 billion for the same period.

But have those riches damaged the English game with young domestic talent often not being the opportunity to shine with big money being spent on overseas stars?

According to the latest figures from the FA, Premier League starts made by English players were recorded at just 32%, while the figure for those at the top six clubs have decreased from 28% to 25%. That figure was at 69% two decades ago.

During the last transfer window, which ended on August 31, Premier League club spent a record £835 million on players.

The drought of young English talent has had a knock on effect with the national team suffering with the country not having reached the semifinals of a major tournament since 1996.

Speaking at the Leaders Conference in London earlier this week, Christian Seifert, the chief executive of the German Bundesliga, said the sheer amount of money within the Premier League was having a negative effect on player development.

He said: "If you have so much money compared to us ... and you can afford nearly every player around the world, how motivated are you to put the cards on young players who need one or two years?"

Seifert claims that the success of the German national team, which came following a through review of the country's failings during the dire 2000 European Championship campaign, benefited from the relationship with the nation's FA and the Bundesliga.

Dyke concedes that the FA cannot help transform the fortunes of English football alone -- he knows that without the cooperation of the Premier League, England could remain in the international wilderness without a supply line of fresh, young talent.

"The trouble is that because we're the richest league in the world, they've got enough money not to worry about bringing kids through," said Dyke.

"The average Premier League manager reign lasts a year. So, he's not going to do think about the five-year development, he's going to think about how to save his job.

"He can save his job by going to Belgium and buying a 22-year-old who has already played 200 games at a decent level.

"No we can't do it without the Premier League, but the Premier League and the clubs recognize the issue.

"At some stage, some of the owners of the clubs are going to say, 'I'm spending six or seven million on an academy and getting nothing out of it.

"It needs money and they've got money. I think they'll contribute as long as other people contribute."

Read more: FIFA's sexism own goal?

Read more: Managerial spat boils over

@highlight

English FA chairman Greg Dyke committed to recruiting more black coaches

@highlight

England "miles behind" European neighbors, says English FA head Greg Dyke

@highlight

Dyke desperate to nurture young talent but needs help of Premier League, he says

@highlight

England's domestic league has boomed while country's international fortunes flag