(CNN) -- Like many voters on Election Day, Nurul Aman and his family dutifully rose before sunrise and headed to the polls in Andover, Massachusetts, to cast their votes.

Nurul, Nilufur and Samuel Aman voted as a family for Barack Obama in their first presidential election this year.

But this election was especially significant for Aman, wife Nilufur and son Samuel, who were all voting for the first time.

"As the first-time voter, it was emotionally remarkable to perform my civic duty," said Aman, a Bangladeshi native who became a U.S. citizen in 2005. "I felt great taking the ownership of this voting process that created a historic moment for the nation and the world."

As a family, the Amans represented two major groups from the bloc of first-time voters, which accounted for roughly 11 percent of this year's electorate. Samuel Aman is a college student, and his parents, both in their 50s, are recent citizens.

An overwhelming majority of first-time voters, including the Amans, voted for Sen. Barack Obama over Sen. John McCain by a margin of 69 to 31 percent, CNN exit polls show.

For Aman, a business and economics professor at the University of Massachusetts, it was an easy choice. He felt that Obama's campaign reflected a "paradigm shift" that would restore the American dream that had drawn Aman to the United States as a post-graduate student in the 1980s.

"I expect Obama will restore the American dream and create economic security by creating new jobs in new fields like alternative energy, science and math, global warming and health care. That is the only way economy can get back on track," Aman said.

Aman's views reflect those of first-time voters who were drawn to Obama for his pledges to restore the America dream. Now, with Obama headed for the White House, first-time voters are hoping he will stick to his campaign promises.

Alex Patel became a citizen in 1995, but he wasn't inspired to vote until now because of America's deteriorating image abroad.

"This time, I felt it was very important to vote, because I saw where the country was heading, in a very opposite direction from the rest of world," said Patel, who moved to the Houston, Texas, area from India with his parents in 1990.

Patel said Obama campaigned on issues that were important to him: working with allies on security issues, energy concerns, civil rights issues like closing the Guantanamo Bay detention facility and withdrawing troops from Iraq.

For young voters, discontent over the Iraq war emerged as a key issue, according to CNN exit polls.

"The first thing I want Obama to do is to get our men out of Iraq; that's all that really matters to me right now," Clara Baldwin, a sophomore majoring in secondary education in English at Gallaudet University in Washington, wrote in an e-mail. "We have really spent a lot on war; why not focus on our own economy?"

Like many college students, Baldwin also considered the candidates' positions on issues that affect her directly. As a deaf person, she looked for the candidates' disability plans and could find one only for Democrats.

Gillian McGrath, a Temple University senior who is studying social work, hopes Obama will make good on his promise to implement funding for social services so that she can do her job -- if she finds one.

"A lot of families can't afford food and need food stamps and health care, even just child care so they can finish school or go to work," said McGrath, who volunteers with children at her local Police Athletic League. "I'm hoping he'll start taking out troops and create more jobs, especially within social service agencies, because I'm going to need a job when I get out of school."

About 66 percent of voters between the ages of 18 to 29 cast ballots for Obama, a number attributed to his campaign's use of new media, including the Internet and mobile media.

But equally inviting among young voters was his fresh perspective and direct appeals to them to become engaged in the process.

"The fact that Obama appealed so much to the youth to make us feel like our voices count, they've grown to idolize him. That's what kind of sparked my interest. He really mobilized youth," said Sophia Le Fraga, a freshman at New York University.

For many new citizens struggling with English, the act of casting a vote was their own form of civic commitment.

"When you don't speak English, it's difficult to be heard, but the person who votes speaks for himself and the community," said Ysidra Frias, a Dominican living in Lynn, Massachusetts, who became a U.S. citizen in January 2007.

After becoming a citizen, Frias became active in the Massachusetts-based community organization Neighbor 2 Neighbor, which helped register 1,111 voters in low-income neighborhoods throughout the state.

Frias said that for minorities like her, Obama was a sympathetic voice who understood the pervasive effect of poverty, unemployment and lack of social services in their communities.

"He talks about creating sources of employment and social programs, but he also talks about how the communities must help themselves,"said Frias, who plans to continue working for Neighbor 2 Neighbor to help bring about the changes Obama has promised.

"To give a plate of food to the hungry doesn't help, because where does the next meal come from? Obama gives us hope for finding the tools to help ourselves."

Then there were others who were dislodged from political apathy by the prospect of casting a historic ballot for the first African-American president.

"I actually started paying attention because Obama was a black man running, but once I started listening, he started making sense to me, and I decided to get out there and vote," said Michael Fogle, an African-American grocery store stocker and father of five from Lexington, Kentucky.

Those who voted for McCain are less optimistic about what an Obama presidency will do for them.

"I hope he succeeds, simply because I care for our country too much, but I don't really expect him to," said Keith Neely, a senior at Brentwood High School in Brentwood, Tennessee.

"More specifically, I'm unsure as to which Obama will be inaugurated in January. Will it be the more liberal Democratic primary Obama, or will it be the more moderate general election Obama?" Neely said in an e-mail to CNN.com.

"I firmly believe that Barack Obama has the ability to be a successful president, but that depends entirely on his willingness to stick to his campaign promises and avoid the temptation that an extremely liberal congress will provide."

@highlight

First-time voters such as students, new citizens made up 11 percent of electorate

@highlight

69 percent of new voters chose Barack Obama based on platform of change

@highlight

College students want Obama to end war, improve job market for them to enter

@highlight

New citizens hope Obama will boost economy, improve America's image abroad