(CNN) -- This is no treasure hunt for a casket of gold at the bottom of the ocean.

Instead, it's like looking for a needle in a haystack, with this search potentially for no more than a few partly rotten timber frames on Newport Harbor's sea floor.

For years, the whereabouts of one of the most famous ships in nautical history -- HMS Endeavour -- has remained a mystery.

"I don't like to call it treasure as there's no gold or silver," Dr Kathy Abbass, the executive director of Rhode Island Marine Archaeology Project, a not-for-profit organization set up in 1992 set up to study the area's maritime history, told CNN. "But it's an intellectual treasure."

The Endeavour is now believed to have been intentionally sunk -- in a new life and under a new name -- during the American Revolution in 1778.

Endeavour is endemic to every Australian and New Zealand child's education with a rich British and American history to boot.

It was the boat on which Captain James Cook achieved the first recorded contact with the east coast of Australia, Hawaii, and the first circumnavigation of New Zealand.

Cook also provided the first accurate map of the Pacific and is believed to have shaped the world map more than any other explorer in history.

So how exactly did the British Royal Navy vessel get from exploring undiscovered far flung lands to lying in waters off the east coast of the United States, sharing the ocean floor with torpedoes and other 18th Century vessels?

A visit by Abbass to the Public Records' Office, now The National Archives, in London uncovered the fact that Endeavour had been sold into private hands and was known as the Lord Sandwich by the time of its demise.

"Lord Sandwich was the first lord of the admiralty at the time so the name makes sense -- a nod by its private owner," she says. "We know from its size, dimension and these records that the Sandwich was the Endeavour."

In its new guise, it was used to house Patriot prisoners before it was one of 13 ships scuttled in a bid to stop a French invasion at Rhode Island.

"The American army was assembled on the mainland and the French sent a fleet to help," she continues. "There's speculation that had the French fleet succeeded on that day, the revolution would have ended in Rhode Island rather than linger on for five more years.

"The British knew they were at great risk so they ordered 13 ships out to be scuttled in a line to blockade the city. They were sunk in fairly shallow waters. The French realized they couldn't get close to the city and had to stay away but they still cannoned the city."

It is a far cry from its previous existence, arriving in Botany Bay (part of the greater metropolis that is Sydney now) in 1770.

It was a voyage on which it first came close to its demise by running aground on Australia's Great Barrier Reef, a section later renamed Endeavour Reef, which Cook navigated in the dark and from which he escaped by ditching weapons on board to lighten the load of the vessel.

It is now believed to rest alongside 12 other vessels in a two-square-mile area where that conjoined scuttling took place eight years later.

Nine of the ships have already been located -- the most recent just last month -- and there is every chance that Endeavour could already be among those nine, although reaching that conclusion is a slow and pain-staking process.

Simple math would suggest there is a 70% chance Abbass and her team have already dived among the 300-tonne ship's ruins.

In recent weeks, the quest has been picked up courtesy of a new partnership with Australian Maritime Museum, located in Sydney just a short boat ride from the Botany Bay that Cook first encountered.

Head of research Dr Nigel Erskine is a maritime archaeologist whose Phd was on HMS Bounty and who has dived with regularity in Newport Harbor.

In Australia, the countdown has begun to 2020 and the 250-year anniversary of Cook's arrival on Australian soil.

Erskine admits that finding the ship, of which a replica has been made and was launched in 2012, would be a major fillip.

"I'm 60 years old and growing up there was a picture of Captain Cook and the Queen in most school rooms," he recalls. "It's obviously a massive part of Australia's heritage."

However, finding Endeavour is no certainty.

He adds: "It's absolutely possible it might have been destroyed. Newport Harbour is very busy and there's 13 ships there, American and English. It's like an underwater jigsaw puzzle."

The search is done using a variety of methods such as sight sonar, which he likens "to shining a torch on the ocean floor", as well as GPS.

Abbass is a realist too but is confident in the outcome.

"I don't know if we'll find all 13 but I think we have a good chance," she says. "It may have been salvaged or destroyed when the harbor was dredged but we don't think that happened. We have a great chance of finding Endeavour."

Unlike her Australian counterparts, she is not solely obsessed with finding the one ship but with all of them, in her quest for greater maritime knowledge of American and British vessels at that time.

If and when Endeavour is properly found, who does she belong to?

All Royal Navy vessels still belong to Britain wherever they end up coming to rest. Privately owned vessels, however, like the Lord Sandwich, as she became known, are a different matter.

And when uncovered she will belong to Rhode Island, although getting to that point was not without its concerns.

"There's no gold in the vessel so there wasn't an issue of treasure salvers," she explains. "But with the history of Endeavour, there was a concern of someone trying to get to her. But a law is now in place that she belongs to Rhode Island although that doesn't mean we won't share her."

The waters in the harbor are murky and visibility, at best, is no more than six feet. That combined with the cost of equipment and man power -- with limited financial resources -- makes it a slow process.

The state of preservation depends how much the timber frames of the vessels are under silt, which because of their lack of oxygen effectively preserve the wood.

For Abbass, those murky waters have become her life's work. The search for that particular treasure goes on.

@highlight

The search for Captain Cook's Endeavour centers on two square miles in Newport

@highlight

Cook helped shape the map of the world on board the vessel from 1770

@highlight

For years, its whereabouts remained but it is now thought it was scuttled in 1778

@highlight

It is part of a total of 13 18th Century ships under water in Newport Harbour