LONDON, England (CNN) -- As well as their potential for creating effective therapies for debilitating diseases, embryonic stem cells could open the door to improved pharmaceutical drug testing, according to a leading British stem cell researcher.

Embryonic stem cells seen pictured through a microscope viewfinder in a laboratory.

Speaking at a recent meeting of the British Pharmacological Society in Brighton, UK, Christine Mummery described how using embryonic stem cells to create human heart cells could be a viable and scientifically exciting alternative to animal testing.

Mummery, a Professor of Developmental Biology at Leiden University Medical Center in The Netherlands told CNN: "It could save a lot of time and effort of taking the wrong drugs through, or it may allow drugs through which are lost at an early stage, because they affect the animal cells but don't have an effect on human cells.

"It may also allow more and better drugs to come through the first tests or flag up safety issues at an earlier stage."

Drug development is an incredibly expensive and protracted process. Typically, it costs around $1 billion to bring a new drug to market and the whole process usually takes about ten years.

Before new drugs can go forward for clinical trials, it's necessary for the chemical compounds which make up a drug to undergo thousands of tests for toxicity before beginning trials on animals -- initially on rodents and then often on dogs.

It's here, at this ethically sensitive stage, that Professor Mummery believes stem cell research could transform drug development.

"Many drugs are designed to affect the heart deliberately, controlling beats and rates of contraction," said Mummery, who specializes in converting embryonic stem cells into cardiac and vascular cells.

But, as she points out, plenty of drugs designed to treat other complaints can also have negative side effects on the heart -- the painkiller Vioxx being a notable example.

"It's really important for the pharmaceutical industry to have proper test systems to pick those sorts of things up," she said.

Merck & Co withdrew Vioxx in 2004 because of concerns over increased risk of stroke and heart attacks. Lawsuits filed against the company have cost them billions of dollars and many litigants still await their day in court.

Stem cell based drug testing is already being promoted in the UK with the public/private initiative "Stem Cells for Safer Medicine" which was set up in 2007.

It's something Mummery hopes will be replicated in other countries and particularly in the U.S. under President-elect Obama who is a proponent of stem cell research.

A 2007 sabbatical at the Harvard Stem Cell Institute in Cambridge, Massachusetts gave Mummery first-hand experience of the ethical debates that have engulfed stem cell research debates in the U.S..

"I was shocked at the light years we are away from the way people think about embryonic stem cells in the States," she said. "It's very mixed up with the abortion issue. It's put into the same category."

Public funding, or the lack of it, under President George W. Bush has also stymied research.

"What's happened in the U.S. is that people have become very frustrated and a lot of private initiatives -- like the Harvard Stem Cell Institute -- were started up to circumvent the lack of National Institutes of Health (NIH) funding. NIH researchers are either left behind or have a huge administrative burden," Mummery said.

"You go into a lab in the States and they say; 'this is our NIH lab, and this is our other lab'. They have to buy one microscope to look at NIH lines and another to look at other lines. They have to administer all the stem cells separately. There are even dotted lines in a lab which you can and cannot cross. It's completely ridiculous," she said.

Drug company interest in stem cell drug testing was demonstrated in July 2008, when GlaxoSmithKline entered into a $25 million-plus agreement with the Harvard Stem Cell Institute.

Commenting on the deal, Professor Patrick Vallance, Head of Drug Discovery at GSK said: "GSK believes stem cell science has great potential to aid the discovery of new medicines by improving the screening, identification and development of new compounds."

Drug testing is an emotive subject not least because of animal testing. So how have anti-vivisectionists greeted the news?

Chief Executive at the British Union for the Abolition of Vivisection (BUAV), Michelle Thew told CNN: "We have some concerns about the technology in general because it will still use animal cells and animals, but we are positive about things which may reduce the numbers of live animals in testing."

Clearly, the BUAV would like to do away with all animal testing altogether. Their obvious ethical objections, are backed up by questions about its efficacy.

"One of issues with drug development," Thew said, "is that animal testing is not very successful at getting drugs through the process because a lot of the tests aren't very predictive. They are also very expensive and time-consuming."

Even if stem cell drug testing does mark the beginning of the end for animal testing, the ethical vacuum is already being filled by another storm of controversy surrounding the use of embryonic stem cells.

But, as Mummery points out, these objections will disappear should researchers from Japan and the U.S. continue to improve on early successes in creating stem cells from skin cells.

Whatever the debate, the fact is at the moment, says Mummery, there are very few new drugs coming on to the market in the European Union. "The drug companies are very nervous about the costs involved and the risks," she said.

"If there was a reliable system to flag up issues they would be much more confident of taking drugs through to market."

@highlight

Leading UK stem cell expert calls for embryonic stem cells to be used to test drugs

@highlight

Using stem cells could reduce costs and flag up issues prior to clinical tests

@highlight

Hopes for better funding in U.S. boosted by support of President-elect Obama