(CNN) -- I was late to work one recent morning. I was out getting married.

Maria, my partner of 12 years, was losing her health benefits. We needed to add her to my family plan by June 1 and it was already May 31. We have a 7-year-old daughter. You don't mess with this stuff. So we left our child at elementary school, grabbed two Mamas at drop-off to serve as witnesses, and hopped a cab to City Hall. The Mama crew produced white-frosted cupcakes to mark the occasion. I worried about making it to work. Maria looked like she was there to get a tooth extracted. It's hard to get jazzed about this stuff when you are rushing to only getting half married.

I call it half married because, in our situation, the only benefit this New York state marriage brought us was the right to put her on my company insurance plan, a benefit that would be taxed as income by the federal government because they don't recognize same-sex marriages. If my employer didn't offer to offset the tax, a rare benefit in U.S. companies, I'd actually be signing up for something more expensive than I could buy on the open market.

That's not the only limitation with a state marriage, which brought us benefits we'd already acquired through legal documents. There are 1,138 federal benefits to marriage you don't get as a gay couple who are married in New York, like SSI, Medicaid, inheritance rights, veterans' benefits and rights as joint parents. We could jam wedding cake down each other's throats at a big party, just like the others, but cupcakes at the justice of the peace seemed fine for this.

Same-sex spouses entitled to federal benefits

The truth is we got out of the marriage debate ages ago. This was only paperwork affirming what we already knew. We declared ourselves self-married back in 2001 during a romantic trip to Healdsburg, California. I engaged in drop-to-your-knee romanticism at our spa hotel, produced a diamond ring and made all sorts of fresh-love promises. We were the only ones we told back then, and that felt like enough.

Ten years earlier, as a journalist, I had covered the 1991 case of gay couples in Hawaii who sued for the right to marry. Opponents would successfully persuade 38 state legislatures and the federal government to bar recognition of same-sex marriages out of concern that they would be made legal. I'd watched this fight firsthand and wanted no part of it. We had made our private commitment in the absence of legal benefits and divorced ourselves from the ongoing public fight. I was a journalist who wanted to see every side of this debate, not become a part of it.

In 1999, I traveled to Montpelier, Vermont, when that state came close to allowing even a limited state-sanctioned marriage between two people of the same gender. A state legislator showed me a stack of old legal papers. "This is what 'married' means in Vermont," he said, adding they would replace the word with "civil union" to satisfy a state court ruling that the Vermont constitution guaranteed equal treatment for gays. A simple search-and-replace of wording would allow Vermont to create separate but equal institutions.

Other states followed suit, including New York, which allowed domestic partnerships. So Maria and I went and got one of those in 2002, for no other reason than giving our union the paperwork needed for all sorts of things. We didn't need a cake or party then, either, but a notary public at Chase Manhattan Bank jumped up and hugged us both when he saw what he was certifying. Then we dispassionately dropped off the papers at a window that the city clerk had created next to the dog license registry.

Opinion: For gays, progress stunning, fast

The next year -- exactly 10 years ago today -- the U.S. Supreme Court, in deciding Lawrence v. Texas, ruled that it was legal for two people of the same gender to have sex, essentially legalizing being gay. Justice Antonin Scalia said in his dissent, "Today's opinion dismantles the structure of constitutional law that has permitted a distinction to be made between heterosexual and homosexual unions, insofar as formal recognition in marriage is concerned," Scalia wrote.

"If moral disapprobation of homosexual conduct is 'no legitimate state interest' for purposes of proscribing that conduct ... what justification could there possibly be for denying the benefits of marriage to homosexual couples..?" That seemed very far away.

Around that time, gay people began seizing every opportunity to get sort-of married. They traveled to Canada and rushed to appear before activist justices of the peace in Oregon, upstate New York and San Francisco. I interviewed people who got married over and over again, before judges would shut everything down and make them unmarried. These didn't feel like weddings to me; they felt like news stories, protest weddings that came without the gift of benefits. They meant something to the people exchanging rings, but I felt no more or less legally married than they were, so it was easy to remain objective about what these things meant.

Then something extraordinary happened. Massachusetts courts ruled gays had a constitutional right to marry and, on May 17, 2004, I watched the first ever same-sex couples legally wed in the United States.

Our friends got annoyed when we said we weren't rushing up to Massachusetts to get married. We hadn't called ourselves "married" years earlier to make a point. We had made a commitment. Rushing off to get married in Massachusetts, when we lived in New York, felt like activism. I was far from that when it came to this issue.

By that fall I was pregnant with Luna and suddenly there was a need for all sorts of legal paperwork. Absent the right to marry in New York, we spent thousands obtaining health care proxies, wills and creating joint ownership of our apartment. When she was born we told her we were married. "Mamas!" she would shout and urge us to both kiss her cheeks at once and affirm her family trio. "I have two Mamas."

But her two Mamas were not both legally her parents. We spent another $10,000 on a second-parent adoption to make us both her legal parents, even though we had no legal relationship to each other. I've filed taxes each year as a single parent, which actually made my tax situation better. There were definitely good and bad benefits associated to the right to marry.

Opinion: Fight for gay rights must continue

Then our own state recognized same-sex marriages and suddenly the social pressure was on us to get "gay married." A dozen states allow gays to marry, but this was the one we live in.

At the time, it seemed to us that we got no practical benefit from a state marriage given all the paperwork we had completed. We'd already made our commitment and had the acceptance and love of our friends and families. Our employers recognized our relationships and our child was safe. Facebook lit up with emotional appeals to get to the altar, but we were simply not in a marrying way. I felt like this was still a story for me to tell, not live. The only struggle we had was how to explain this debate to Luna, who believed her parents were already married. Did she need us to get "married" yet again?

For our anniversary we went to see a play called 
"Standing on Ceremony," in which Richard Thomas plays a guy named Joe eulogizing his dead partner. Joe asks if they should get married and the dying man asks what that would mean about the last 45 years of their lives together.

I asked myself the same question. If Maria and I suddenly got a state marriage, would we find ourselves celebrating our first anniversary a year later, as if we didn't already have a 7-year-old child, a home we'd owned for 10 years, a relationship we'd built over 12 years?

What finally brought us to the city clerk's office was the requirement that our marriage be sanctioned by the state of New York for me to add Maria to my family health insurance -- call it a modern shotgun wedding.

The marriage bureau staff ushered us into a room where cases displayed old marriage records of turn-of-the-century brides and grooms. We stood at an altar in work attire while the Mamas readied their iPhones for pictures. We took off the rings we'd worn for the last 12 years. The justice of the peace read traditional vows in a booming voice, then directed us to put our rings back on each other.

The whole thing went down in about two minutes, and Maria inexplicably began to cry, which made me cry. There were pictures of us jamming the Mamas' cupcakes down each other's throats. Then we all rushed off to work.

This morning we had warned Luna at breakfast that the U.S. Supreme Court was deciding today whether "gay" people can be legally married. "You're lesbians," she declared, checking to see if that word, "gay," included us too.

Then she began listing all the people she knows who would be affected, starting with the children. I dropped her off for her last day of school and she said: "Love you, Mama" and I got a kiss. An hour later, the U.S. Supreme Court married us all over again -- a decision that changed everything, and nothing at all.

Opinion: How youth led change in public attitudes

@highlight

CNN's Rose Arce and her partner, Maria, were together 12 years before they married

@highlight

The couple were only "half married," Arce says, because they didn't have full benefits

@highlight

A Supreme Court ruling today struck down some barriers to same-sex marriage