(CNN) -- A week of Nobel Prize announcements comes to a climax on Friday with the unveiling of the winner of the Peace Prize, perhaps the world's most prestigious award.

But who's going to win it? Guessing can be tricky, not least because the names of the nominees are secret.

We do know that there are a record number of nominees this year, since committee head Geir Lundestad has said 199 individuals and 38 organizations are in the running.

And the Norwegian Nobel Committee seems to like springing surprises. Few had heard of Iranian lawyer Shirin Ebadi before she won the prize in 2003, or of Kenyan environmentalist Wangari Maathai before she got it the following year.

And while practically everyone has heard of the 2009 Nobel Laureate, President Barack Obama, practically no one expected him to win the prize within a year of taking office.

That said, it's always fun to guess, so here are some of CNN's top contenders:

Liu Xiaobo: The leading Chinese dissident was sentenced to 11 years in prison late in 2009 for inciting subversion of state power. He's the co-author of Charter 08, a call for political reform and human rights, and was an adviser to the student protesters at Tiananmen Square in 1989.

His sentencing prompted a groundswell of support for him from former Peace Prize laureates and perennial contenders.

Vaclav Havel, the hero of Czechoslovakia's 1989 Velvet Revolution (who never won the Nobel Prize), retired South African Archbishop Desmond Tutu (who did, in 1984) and the Dalai Lama (1989) were among a group of intellectuals who publicly urged the Nobel Committee to give the prize to Liu shortly after he was sentenced.

American writer Kwame Anthony Appiah, the head of the American PEN center, a literary and human rights organization, nominated Liu in January, he said.'

The Wall Street Journal reported in February that Chinese Foreign Ministry spokesman Ma Zhaoxu said it would be "totally wrong" for "such a person" to win the Nobel Peace Prize, and that the comment was later scrubbed from the official transcript of the briefing.

The Irish bookmaking Paddy Power has already paid out on bets for him to win the prize, it announced Wednesday after a surge in betting led it to suspect that information had leaked.

Memorial: Born of the violence and repression that accompanied the final days of the Soviet Union, the Russian human rights group now focuses on monitoring "hot spots" or conflict zones within the country -- a task that has proven deadly.

The group's leading activist in Chechnya, Natalya Estimirova, was kidnapped and murdered in July 2009. She was shot in the head and the chest, and her body was dumped in the neighboring Russian republic of Ingushetia.

Estimirova had worked in Chechnya for more than 10 years and had openly criticized Chechnya's Moscow-backed president, Ramzan Kadyrov, and his methods.

Her murder outraged human rights activists worldwide. Human Rights Watch, the Committee to Protect Journalists, the European Union and the United States were among those appealing to Russia to conduct a transparent investigation of the crime.

Mary Robinson: The first woman to be president of Ireland went on to be the U.N. high commissioner for human rights, a post she held from 1997 to 2002. After she left the United Nations, she founded a new organization, Realizing Rights, which aims "to put human rights standards at the heart of global governance and policy-making and to ensure that the needs of the poorest and most vulnerable are addressed on the global stage."

Robinson also is a member of the Elders, a group of leading statesmen and stateswomen brought together by former South African president Nelson Mandela -- himself a Nobel Laureate -- to support peace building and try to address the major causes of human suffering. The 13 current, former and honorary Elders include six Nobel Peace Prize winners.

Robinson trained as a lawyer and has argued cases before the European Court of Human Rights, the European Court in Luxembourg, and Irish courts.

Morgan Tsvangirai: The longtime leader of the opposition to Zimbabwe's President Robert Mugabe entered an uneasy power-sharing agreement with his rival in 2009, becoming prime minister. Tsvangirai has led the Movement for Democratic Change since 1999, surviving three assassination attempts, beatings and imprisonment.

He rejects the charge that he "sold out" or gave legitimacy to Mugabe with the power-sharing agreement.

"The country was confronted with chaos and anarchy. We rescued our country and saved it in order to have the long-term stability that we are looking for," he told CNN last month.

He continues to press for "a credible and legitimate election" in Zimbabwe, he said.

Sima Samar: The chairperson of Afghanistan's Independent Human Rights Commission, Samar is a medical doctor who fled Afghanistan when its communist regime arrested her husband in 1984.

She remained in exile until 2002 when she was appointed as a women's affairs minister in Afghan President Hamid Karzai's transitional administration.

She's done work on human rights around the world, not only in Afghanistan. She served as the United Nations special rapportuer for human rights in Sudan from 2005 to 2009, and was considered for the post of U.N. High Commissioner for Human Rights, according to an organization which tries to predict Nobel Peace Prize winners.

"She has been under frequent attacks both from conservative religious leaders and from Islamist radicals, and she is a prominent voice for the rights of women," the Peace Research Institute Oslo said, adding that she "does invite respect by being a principled and outspoken proponent of human rights and the need for a true reconciliatory process."

PRIO is not connected to the Norwegian Nobel Institute, which chooses the winners. Its director, Kristian Berg Harpviken, also considers the Democratic Voice of Burma news agency and the Special Court for Sierra Leone to be top contenders.

CNN's Kristie Lu Stout, Robyn Curnow and Arthur Brice contributed to this report.

@highlight

Mario Vargas Llosa says he is surprised and "very grateful"

@highlight

Prizes in medicine, physics and chemistry have already been announced

@highlight

The Peace Prize will be announced Friday

@highlight

Last year's literature winner was Romanian-born Herta Mueller