President Barack Obama unveiled an aggressive new climate change strategy on Tuesday that would limit pollution from existing coal-fired power plants, and he made clear that approval of the Keystone XL pipeline depended on the project not increasing overall greenhouse gas emissions.

Obama raised the two politically charged issues during a sweeping address on second-term environmental priorities that included his plan of executive actions that don't require congressional approval in an era of partisan gridlock in Washington.

He also pledged global leadership on climate change and to redouble U.S. efforts to fight it.

The Georgetown University speech came as environmental constituents and climate change advocates press him to take more aggressive action and to push harder for clean energy alternatives.

Obama said he was taking action for the "sake of our children and the health and safety of all Americans," saying new initiatives on his environmental agenda built around clean-energy industry and policy will spur the economy and leave a cleaner planet for future generations.

"We can do all of that as long as we don't fear the future and instead we seize it," Obama said, adding that his plan was a signal to the world that America would take bold action to reduce carbon pollution.

Obama pledged in 2009 the United States would cut greenhouse gas emissions by 17% of 2005 levels by 2020.

Environmentalists have said decisive action was necessary to make that goal possible with a major legislative effort in Congress failing in Obama's first term.

The president again said that U.S. energy strategy must be more than producing more petroleum, reviving his call for eliminating tax breaks for "big oil."

"We can't drill our way out of the energy and climate challenges that we face," he said, a familiar Democratic sentiment on energy policy.

Obama cautioned that the impact of his plan would be felt over time, but now is the moment to further prepare the nation to reduce carbon pollution and protect Americans from climate change.

"The world still looks for the United States to lead," he said, noting that the United States is the world's largest economy and the second-largest carbon emitter.

"We have a vital role to play," he said.

Obama said the United States must use less "dirty energy," waste less, and transition to cleaner sources, and redouble efforts to reach a new global agreement to reduce carbon emissions with "concrete action" that is ambitious, inclusive and flexible.

He said the United States must "strengthen our position" as a natural gas producer, which he said is producing jobs, lowering power bills, and over time would help the country transition to cleaner energy overall, including wind and solar power applications.

And Obama said he doesn't have much patience for those who say there's no proof of man-made climate change.

"We don't have time for a meeting of the Flat Earth Society," he said.

Americans having their say on divisive Keystone pipeline plan

Keystone pipeline

On the sensitive prospect of the Canada-to-Texas Keystone pipeline, Obama said it would only come about if its development would be in the nation's best interest. And that, he said, would be served if the project does not significantly worsen carbon pollution.

"The net effect on our climate will be absolutely critical in determining whether this project will be allowed to go forward," he said.

The State Department is in the final stages of reviewing the proposal that has contributed to the political stalemate in Washington.

Proponents of the pipeline, many of them Republicans that Obama is looking to compromise with on key issues, say Keystone will enable U.S. energy independence, create jobs and develop important industrial infrastructure.

Opinion: The real, and dirty, Obama scandal

Among detractors are some of Obama's traditional allies, who were instrumental in getting him elected twice. They say the massive pipeline effort is dangerous, inherently filthy and must be stopped.

In a lengthy study, the State Department has weighed in on the side of proponents. But the Environmental Protection Agency has blasted environmental impact assessments.

The Canadian crude that would flow through the Keystone pipeline is mixed with sand in its raw form. Environmental experts say extracting oil and transporting it requires more energy than pumping crude out of a well. Pushing it through pipes increases the energy consumption as well.

That higher energy use leads to greater greenhouse gas emissions, an increase of "18.7 million metric tons (20 million tons) C02 ... per year when compared to an equal amount of U.S. average crudes," the EPA said.

Coal plants

The Obama administration created regulations for newly built coal plants during the president's first term. On Tuesday, he issued directives requiring the EPA to establish carbon pollution standards for plants that are already active.

The administration is not laying out new standards on its own. Instead, it plans to work with industry, states, labor and other interest groups to develop them. Obama directed the EPA to come up with a detailed draft proposal by June 2014 and a finalized version one year later.

Environmental groups have been calling on Obama to issue such regulations on coal plants, the largest source of carbon emissions in the United States.

Obama argued that the benefits of reduced carbon emissions will far outweigh the costs of implementing new rules. Critics have said new regulations could damage the economy. Construction of new coal plants has slowed in part due to EPA regulations.

"The impact could be economic havoc," Luke Popovich, a spokesman for the National Mining Association, which represents the coal industry, told CNNMoney earlier this year.

Coal is used to produce about 40% of the nation's electricity.

Hal Quinn, president and chief executive of the National Mining Association, told Congress last week that U.S. exports of coal are becoming an increasingly large share of the economy. Last year, he said, exports added $16.6 billion to the economy and supported 168,430 jobs.

While the administration has not given a cost-benefit analysis of its new plan, the Natural Resources Defense Council (NRDC), a large environmental action group, estimates it would cost $4 billion to comply with new regulations on coal power plants, but the economy would see anywhere from $25 to $60 billion in benefits.

A large part of the benefit comes from reduced health care costs. Carbon pollution is known for contributing to higher rates of asthma, as well as other possible illnesses.

Republican reaction was swift with the GOP's political arm in Virginia rolling out its claim of Obama's "war on coal." As part of the gubernatorial campaign, it quickly released a "robo call" initiative in the southwestern part of the state describing Democratic support for "job-killing policies."

Obama's second term could look like his first

Frustration with Obama

Many environmentalists will likely embrace the president's proposals on climate change even though he pushed through sharp cuts in car and truck emissions during his first term.

Activists have expressed frustration with the administration in the past, saying Obama hasn't worked with a strong sense of urgency on the issue since taking office even though he pushed forward a sweeping plan to reduce car emissions and fuel use.

While the idea of long-term climate change is a controversial notion politically, it's accepted as fact by most researchers and Obama.

A March poll from Gallup indicated nearly half -- 47% -- of Americans think the U.S. government is doing too little to protect the environment, while 35% said the government was doing the right amount and 16% said it was doing too much.

The president offered renewed hope to the environmental community -- but fears among the coal mining industry and concerns among climate change skeptics -- in his inauguration speech and State of the Union address this year.

He robustly signaled he would do more to combat climate change during his second term. And again last week, during a speech at the Brandenburg Gate in Berlin, Obama urged countries to work together to fight the "global threat of our time."

Opinion: Climate change is real

Opinion: When crocodiles roamed the poles

@highlight

Obama outlines second-term environmental priorities in address on climate change

@highlight

He directs EPA to establish carbon pollution standards for plants

@highlight

Texas-to-Canada Keystone pipeline in final stages of government review

@highlight

March poll: 47% think the government is doing too little to protect the environment