Gaza City (CNN) -- Gaza's night skies were illuminated Friday by clashes between Israeli forces and Hamas militants throughout the 27-mile-long Palestinian territory.

With fighting reported all along the coastal enclave, casualties poured into Gaza City's Shifaa Hospital, including children, after Israeli artillery shelled east of the city, physicians told the Hamas-run Al-Aqsa TV.

The conflict raged for a second night and came after Prime Minister Benjamin Netanyahu warned earlier in the day that ground troops are prepared to expand an offensive against Hamas militants.

Palestinian Authority President Mahmoud Abbas will travel Saturday or Sunday to Qatar, "where we're exerting every possible effort in order to do one thing: stop this bloodshed," said chief Palestinian negotiator Saeb Erakat.

"In the last 24 hours, 68 Palestinians have been killed, the infrastructure has been destroyed, more than 20,000 homes have been damaged or totally destroyed. This madness must stop," Erakat told CNN in phone interview from Turkey in the early hours of Saturday. Abbas was meeting with the Turkish Prime Minister Recep Tayyip Erdogan and spoke earlier with Pope Francis about the conflict.

"We are doing whatever we can," Erakat said.

Israeli tanks and soldiers are plunging deeper into Gaza, and the fighting against Hamas led to a high toll of casualties and a doubling of displaced Palestinians to 40,000. That prompted a U.N. relief agency to seek $60 million, authorities said.

President Barack Obama said Friday he spoke with Netanyahu and restated U.S. support for Israel's right to defend itself against Hamas rockets being fired from Gaza.

"In fact, while I was having the conversation with Prime Minister Netanyahu, sirens went off in Tel Aviv," Obama said. Those sirens sounded in response to a Hamas rocket attack on the coastal Israeli city, an Israeli government spokesman said.

But Obama also said he hoped Israel's ground assault on Gaza would continue to take an approach that "minimizes civilian casualties."

"I also made clear that the United States and our friends and allies are deeply concerned about the risks of further escalation and the loss of more innocent life," Obama said.

The Israel Defense Forces are targeting tunnels used by Hamas and others to slip into Israel and to smuggle in weaponry and supplies.

Netanyahu did not explain what would spark a wider offensive or what it would entail. But he said Israel had no choice but to take the fight to Gaza to protect its own people.

"We chose to commence this operation after we had exhausted the other possibilities," he said, "and with the understanding that without action, the price that we would pay would be much greater."

Hamas spokesman Sami Abu Zhuri condemned the Prime Minister.

"Netanyahu is killing our children, and he will pay the price. The ground invasion is not scaring us. We pledge to drown the occupation army in Gaza's mud," Abu Zhuri said.

Four ground incursions, 90 airstrikes

The Israeli military conducted at least four ground incursions into Gaza and about 90 airstrikes, said Jeffrey Feltman, the U.N. undersecretary general for political affairs, in a briefing Friday to the U.N. Security Council.

Israel also fired 91 missiles, 357 tank shells and 150 shells from warships, Feltman said.

Hamas militants fired 127 rockets and 29 mortar shells at Israel since Thursday, Feltman said.

The Israeli military counted 135 rockets fired from Gaza since Thursday, with about 87 of them hitting Israel. One hit a kindergarten in Gan Yavne and another damaged a home in the Sha'ar HaNegev regional council.

Israeli forces struck "some 240 terror activity sites" in Gaza and found 10 tunnels with 22 exits across the territory, the military said.

Meanwhile, U.N. Secretary-General Ban Ki-moon was scheduled to travel to the region Saturday in an effort to "end the violence and find a way forward," Feltman said.

The grim task of counting casualties

The warfare between Israeli forces and Hamas militants has made for high casualties.

The Palestinian Health Ministry said that at least 271 Gaza residents have died and more than 2,000 have been injured in the territory since Israel began its military campaign against Hamas last week. At least 24 of the deaths occurred since the ground offensive started late Thursday, the ministry said.

Most of the casualties have been civilians, according to the United Nations.

Among the deaths Friday were eight members of the same Palestinian family -- including four children -- in Beit Hanoun, the Gaza Health Ministry said. The Abu Jurad family members were killed when Israeli artillery fire landed on their home in northern Gaza, the agency said.

At one point, about 20 Palestinian houses were hit in the fighting when the death toll stood at 26, Feltman said.

The IDF said early Friday that one Israeli soldier was killed by friendly fire in northern Gaza, the second Israeli fatality of the conflict. Seven soldiers were wounded.

The IDF said its troops had killed at least 17 fighters and captured 13, in addition to uncovering 13 tunnels.

Within Gaza, the number of displaced people grew Friday to 40,000 from 22,000, and the United Nations Relief and Works Agency was operating 34 shelters, a spokesman said. The agency launched an appeal for $60 million to assist the displaced for a month and then provide provisions for the next six months, the spokesman said.

Early Friday, artillery fire pounded Beit Hanoun in Gaza. The area was shrouded in smoke.

A CNN crew near Sderot, Israel, spotted a substantial increase in armor and tanks on Friday.

Hamas' military wing, the Al Qassam Brigades, planted a bomb that exploded in the path of an Israeli tank east of Khan Younis in southern Gaza, Al-Aqsa TV reported.

Human shields and cease-fire

The IDF accuses Hamas of using civilians as human shields, but when pressed on whether all killed Palestinian civilians were such shields, IDF spokesman Lt. Col. Peter Lerner said "we are going to great lengths to try to minimize the civilian impacts."

"I'm not saying there cannot be mistakes," which would be investigated, Lerner told CNN late Friday.

Hamas senior official Ghazi Hamad was asked in a CNN interview on why the militants wouldn't agree to a cease-fire and whether their refusal would amount to a death sentence for many Palestinians in the face of Israel's superior military.

"Look, we have some demands. ... They should listen to us," Hamad said. "We are not against this cease-fire. We want to live. We want to be also in a good situation."

Hamas leaders had rejected an earlier Egypt-backed cease-fire proposal, saying they had not been consulted on the deal and complaining that it did not address their broader demands, such as opening Gaza border crossings and freeing some Palestinian prisoners.

Hamas' Al Qassam Brigades claimed that "we are winning this battle with the grace of God and with the resolve of our people in Gaza," spokesman Abu Obadiah told Al-Aqsa TV.

"We are ready for a long, drawn-out battle with the enemy," he added.

Outsize the battle zone, violent protests

The Israeli operation set off some protests around the world, including in Turkey, where violent demonstrations outside the Israeli Embassy prompted Israel's Foreign Ministry to send diplomats' families home and reduce staffing to a minimum.

Turkish President Abdullah Gul said Friday that Israel is "terrorizing the region" and "committing genocide."

"I would like to pronounce one more time that the attacks that started last night have come to a very dangerous phase and I am warning Israel one more time, if they don't stop attacks on Gaza, the consequences might be heavier and the outcome will be massive," Gul said.

In Jerusalem, police arrested 12 people Friday after what spokesman Micky Rosenfeld described on Twitter as "masked Arab rioters" threw stones at police officers on the Temple Mount, a disputed holy site. No injuries were reported, Rosenfeld said.

United Nations face-off

Palestinian Ambassador Riyad Mansour, permanent observer to the United Nations, accused Israel of choosing "to continue waging war on our people," he told the U.N. Security Council in a statement Friday.

"This savage Israeli aggression cannot be justified by any means," he said.

Israeli Ambassador Ron Prosor to the United Nations said his country "did everything in our power to avoid" the ground offensive.

"But Hamas rejected every overture to restore the quiet," Prosor said.

Prosor cited how the UNRWA admitted Thursday it found 20 missiles in one of its schools in Gaza and suggested the missiles belonged to Hamas, which is using U.N. sites "to commit a double war crime by targeting Israeli civilians while hiding behind Palestinians civilians," he said.

'Where are we supposed to go?'

Al-Aqsa TV reported Friday that Israel had sent text messages to many Palestinians telling them of safe corridors to reach central Gaza.

Before the incursion, the IDF dropped leaflets in 14 areas of Gaza, urging residents to temporarily leave their homes.

"The IDF is a moral army, and it does not aspire to harm even one single innocent person," Netanyahu said Friday. "Not a single one. We are only operating against terrorist targets."

But many residents of Gaza have said they have nowhere to go in the small, impoverished strip of land. Border crossings with Israel and Egypt are closed.

"Since the Israelis started this 11 days ago, they have been telling us to leave. Where our we supposed to go -- to the Gaza Sheraton? Or take a hike in the forest?" said Al Madhoun, the resident of northern Gaza.

Kenneth Roth, executive director of Human Rights Watch, said Israeli bombs hit Wafa Hospital in Gaza while four patients were inside. Seventeen others had evacuated, he said.

Some 300,000 of Gaza's approximately 1.8 million residents have been cut off from medical care because of Israeli military operations, Gaza Health Ministry spokesman Dr. Ashraf al-Qidra said Friday.

Gaza crisis: Who's who in Hamas

Israeli military's 'knock on roof' warnings criticized by rights groups

War-scarred Gaza medical crews also in harm's way

Opinion: A smart way out of the Gaza confrontation

CNN's Michael Pearson reported and wrote from Atlanta; Michael Martinez, from Los Angeles; Jethro Mullen, from Hong Kong. Ben Wedeman reported from Gaza City. CNN's Kareem Khadder Ian Lee, Ali Younes, Ralph Ellis, Tim Lister, Diana Magnay, Samira Said, Michael Schwartz, Salma Abdelaziz and Tal Heinrich also contributed to this report.

@highlight

NEW: Palestinian Authority President Mahmoud Abbas meets with Turkey's Prime Minister

@highlight

NEW: Abbas will travel to Qatar to try to "stop this bloodshed," official says

@highlight

Death toll in Gaza rises to at least 271, Palestinian officials say

@highlight

Israeli soldier also killed in Gaza during the offensive, military says