This year marks the 150th anniversary of the Battle of Solferino which led to the creation of the International Committee of the Red Cross. The ICRC is using the date to launch an awareness campaign of its work in conflict-affected countries, featuring photos taken by five award-winning photojournalists. This week we're bringing you stories from some of the world's most troubled countries, as told by the ICRC.

CITÉ SOLEIL, Haiti (ICRC) -- Roudeline Lamy was 23 when she was shot in the stomach. The impact of the bullet sent the small baby she was holding tumbling to the ground.

Roudeline Lamy shows the scar from her bullet wound. At 26, she's a widow after losing her husband to gangland violence.

Roudeline still suffers from stomach pains and her daughter, now three years old, is paralyzed from the waist down.

The mother and child sleep on the concrete floor of a shack that floods every time it rains. Since Roudeline's husband was killed by the gangs, she has had to rely on the charity of friends and her faith that God will not abandon her.

With very few State services, God is all the poor in Haiti's sprawling seaside slum of Cité Soleil can believe in. Two schools and one state hospital serve the ever-expanding population, with aid agencies and religious groups trying to plug the gap.

The International Committee of the Red Cross (ICRC) has been in Haiti since 1994 and in Cité Soleil since 2003. Rob Drouen, head of the ICRC delegation, explains, "Haiti is a fragile state where armed gangs can be used to stir up trouble for political reasons and abject poverty fuels discontent."   See photos taken by award-winning photojournalist Ron Haviv »

Even among the children. In Cité Soleil, a dozen street children start pummeling a young girl. It's not known why. But within seconds word has spread that a fight is on. Hordes of children with matted hair and ragged clothes race to the scene, glad of anything to relieve the monotony of yet another day with nothing to do. Weary parents pull their children away, leaving the shaken girl to escape.

This is a far cry from the days when families ran for cover from daily gun battles. A few years ago, Cité Soleil was one of the most dangerous and destitute places on earth -- a shanty town torn apart by a vicious gang war for control of the area.

United Nations troops have stabilized the security situation in Haiti, the western world's poorest country, and many gang members are either dead or behind bars. Nevertheless, violence still surrounds the 300,000 residents of Cité Soleil, fueled by hunger and the frustration of trying to survive on less than a dollar a day.

I sidestep the brawling children and enter the home of a woman who has suffered more than most. A long-standing resident of Cité Soleil, 83 year old Elevanise Tidor was first caught in gangland crossfire in 1993. In 2004 she stepped into harm's away again when she was shot in the breast and stomach. As she undoes her faded dress to show the scars from her mastectomy, she tells me she was later hit by a car and now can hardly walk.  Watch Elevanise Tidor tell her story »

Confined to a sparsely furnished corrugated iron shack, she worries about how her children and grandchildren are going to make ends meet.

"My body took the bullets, but my family has been hit the hardest," she says. "I can't work or do anything for them. My grandchildren often go to bed crying with hunger."

That the victims of violence can suffer for years after the event is well-known, but in Cité Soleil the suffering can last a lifetime.

With the help of the ICRC, a group of victims of the violence is aiding fellow sufferers. In 2007, Pierre Wilber founded REVICIS (Regroupement des victimes de Cité Soleil) after gang members beat him up for political reasons. REVICIS has already identified 300 victims and is now trying to get funds for social, psychological and legal help.

"There are so many social problems in Cité Soleil that everyone here is a victim," he says. "But we give priority to people visibly scarred by violence, because they have suffered a double blow."

Brice Osmer is one of the rare victims who can still work. In April 2005, he was caught in a shoot-out between UN troops and gang members. He was hit three times and lost an arm. Since then he walks the streets selling mobile phone time cards and bags of water.

"On a good day I earn a dollar, but it's thanks to my wife who sells food from dawn to dusk that my children don't starve."

In 2004, at the height of the gang warfare, the Red Cross ensured that people had safe access to water. Previously, they had been risking their lives crossing frontlines to fill up their buckets.

Today, the ICRC works with the water board, maintaining and running 53 communal water points across Cité Soleil, turning them on for a couple of hours 20 days a month.

Prospere Borgelin works with the ICRC on its water project. He also works with other international organizations to improve living conditions in Ti-Haiti where he lives (Ti-Haiti is Creole for Petit Haiti, or Little Haiti.)

Like other community leaders, he has seen the benefits of working closely with the humanitarian agencies and with the Brazilian troops from the U.N. stabilization mission responsible for security in Cité Soleil.

"The troops have brought security. Communities are beginning to organize themselves. We see the results in that roads are being built, rubbish collected and sewage removed," he says.

At considerable personal risk, Borgelin has helped the U.N. and the Haitian police arrest gang members in his neighborhood and continues to be vigilant.

Like many in Cité Soleil, he fears that the U.N. will pull out before the Haitian police are ready to take over and that the streets will again echo to the sound of gunfire.

"Misery," he says, "breeds violence. And there's still plenty of misery in Cité Soleil."

For more about this topic go to the ICRC Website.

Have you been affected by conflict? Send your photos and stories to iReport.

@highlight

Worst of the violence is over in Haiti, but life remains intolerably hard in slums

@highlight

Many residents of Cité Soleil bear the scars of gang-related warfare

@highlight

United Nations troops have stabilized the situation but poverty fuels unrest