(CNN) -- Sure you can wear T-shirts and shorts almost anywhere you go in St. Augustine, Florida. You wouldn't be in the Sunshine State if you couldn't.

But it would be a serious mistake to write this small Atlantic Coast city off as just another sandy tourist trap.

Yes, the beaches are beautiful.

Yes, there are kitschy bars and a requisite gator farm in the area.

But this remarkable city -- the oldest, continuously populated European-settled city in the continental United States -- boasts a fascinating military history, an abundance of ornate Spanish architecture and a European-style historical district that is best accessed by foot or bicycle.

Start with a stroll down Aviles Street, a picturesque brick lane deemed the oldest street in the oldest city.

50 United States, 50 amazing spots

It's so narrow that locals often refer to the RVs that tourists sometimes try to squeeze through as "balcony killers." Palm trees peek their top-heavy heads out from behind European-style buildings housing art galleries, curio shops and cafes with cheerful outdoor seating.

"Best ambiance in the city is anywhere on that street," says local historian and unofficial St. Augustine guide Roger Smith.

Make sure to duck into the many small gardens tucked into courtyards and alcoves along the downtown streets. These beautiful shady respites -- often featuring moss-covered statuary and a bench or two -- are every bit as lovely as something you'd discover in New Orleans or Charleston, and they offer a moment of shelter from the Florida heat.

Next, check out the Gonzalez-Alvarez House on St. Francis Street. It is a well-restored double-level home with two coquina fireplaces and a second-level porch.

The oldest surviving Spanish Colonial home in the state, this residence has been occupied since the 1600s, and offers tourists a glimpse at how people survived in the sweltering tropical heat and of what possessions families valued most, including a crude water purification system that stands outside one of the exterior doors.

Witness the rich legacy

Not only is St. Augustine steeped in history, it's a city that is actively discovering itself every day. Nowhere is this more evident than in the ongoing excavations at Ponce de Leon's Fountain of Youth Archaeological Park.

As you walk paths lined with Spanish moss-laden oaks and tall, proud palm trees, you can imagine what famed explorer Ponce de Leon felt as he came ashore here in 1513 in search of his legendary Fountain of Youth.

Spanish General Pedro MenÃ©ndez de AvilÃ©s followed Ponce de Leon's path and founded the colony of St. Augustine in 1565 on this site where an ancient Native American (Timucua) village stood.

Today, visitors can watch archaeologists unearth artifacts, tour a detailed replica of the first Franciscan friars' Mission de Nombre de Dios and see a live 16th-century weapons display, including a daily cannon firing.

St. Augustine spent nearly 200 years under Spanish rule and served as an important defender of Spain's trade routes along the Atlantic.

One of the most impressive historical legacies of this military history is the grand Castillo de San Marcos, a masonry fort built starting in 1672 following a vicious attack by the pirate Robert Searle which left dozens dead and many St. Augustine homes, buildings and churches ransacked.

The highly fortified military installation also once housed the mighty Native American leader Osceola. Today, visitors can wander the fortress or catch a historical re-enactment of a colony battle.

The fort itself is built out of coquina, a type of rock found on nearby Anastasia Island that is formed from seashells and tiny mollusks, whose secretions form limestone. The material absorbs shock so well that cannonballs lobbed at the fort tended to bounce off the thick walls or stick in them, according to historian Smith.

Look in on an opulent era

St. Augustine's glitzy phase was ushered in in the 1880s when oil tycoon Henry Flagler, seeking a warmer climate for his ailing wife, was charmed by this curious beach town. Flagler decided to turn St. Augustine into a destination for the wealthy and famous.

Among other things, he built the opulent Ponce de Leon Hotel, a stunning example of Spanish Renaissance architecture and one of the first buildings in the nation to have electricity. The hotel's luxurious ballroom is ringed by Tiffany stained glass windows, carved wooden columns and murals painted by artist George W. Maynard.

"[Flagler] really spearheaded the idea of hotels for wealthy people from the north to spend the winter down here," says Susan Richbourg Parker, director of St. Augustine's Historical Society. "It was the Gilded Age and there was a lot of wealth. It was important for the wealthy to see and be seen and they could do that at Flagler's hotel."

Today, the Ponce de Leon is restored to its authentic origins, but it no longer operates as a hotel. Instead, the grand building serves as the centerpiece of Flagler College, and houses a women's residence hall, dining facility and security office. Public tours of the college are available from May to December and cost $10 per adult.

Explore the outdoors

Spending some time on the picturesque beaches ought to be a high priority on any trip to St. Augustine, and the best place to start is with a visit to the St. Augustine Lighthouse & Museum.

This magnificent maritime marvel is a daunting 219 steps to the top, but the payoff is a breathtaking panorama of St. Augustine and the Florida coastline. General Admission for adults is $9.75; kids taller than 44 inches are admitted for $7.75. Be sure to browse the many specialty tours (at additional cost) this facility offers, including a romantic sunset/moonrise tour.

For some good toes-in-the-ocean fun, head to the pristine Anastasia State Park where you can find miles of unspoiled beaches, biking paths, tidal pools and campground facilities. Wade in the warm waters and watch local bird species like laughing gulls and least terns skim the sands.

And there's plenty of fun for the kids, too.

Don't miss the St. Augustine Alligator Farm Zoological Park, where you can ride a zip line high in the air over the gators. (Adult tickets $22.95; $11.95 for kids ages 3 to 11). Or head to the St. Augustine Pirate and Treasure Museum, which houses a well-maintained collection of authentic pirate artifacts. (Adult tickets are $13.99, youths, $6.99).

Stay and eat

If you thought all St. Augustine served up were beautiful beaches and some cool history, you haven't tasted the homemade biscuits and peach butter at the Yard Bird Cafe on King Street in the downtown historic district.

"Most tourists don't find [Yard Bird], but they should," says Allie Olsen, founder of the blog Simply St. Augustine. Sit in the restaurant's charming outdoor area and load up on the blue crab quiche or the chicken biscuits.

For a great cup of joe, hit up The Kookaburra, a self-described Aussie-American espresso bar featuring coffee drinks, hot chocolates, juices and a strong selection of Aussie pies (meat, veggie or brekkie).

For such a diminutive city -- there are only around 13,000 year-round residents -- this sandy enclave has an impressive array of good eats and swanky nightclubs to keep you well fed and hydrated. "It's a small town with big-city perks," says blogger Olsen. "And I get to wear my flip-flops year round."

Stave off afternoon hunger pangs with a trip to Crave, a food truck situated right on the water in downtown St. Augustine. This food truck serving healthy sandwiches, salads and wraps is only open for lunch, and, with any luck you'll get there just in time to snag a picnic bench with an ocean view.

For great seafood, try Catch 27, a Southern-style restaurant where the traditional shrimp and grits won't disappoint. For unusual libations in a vintage 1920s loft space, sidle up to the bar at Ice Plant. And locals swear the best place to listen to terrific tunes and get busy on the dance floor is the Tradewinds Lounge.

"It looks divey from the front, but the house band is amazing," says local historian Smith. "The former lead guitarist with Santana plays here from time-to-time. Jimmy Buffett will come in occasionally ... rumor has it, when Buffett was coming up in the ranks, he got booed here. So he'll come in, but he never plays," says Smith.

At the end of a long evening, check into the Bayfront Marin House bed and breakfast in the downtown area. This charming waterfront inn is brimming with elegance and stunning views, and, in the balmiest months, serves complimentary homemade ice cream and margaritas.

This B&B also offers free parking and complimentary bicycles to those guests who'd prefer to ditch the car for an easier way to get around the city. Rates start at $229 for ocean view suites and $179 for smaller rooms.

@highlight

The town of St. Augustine, Florida, dates back to 1565

@highlight

There's a wealth of Spanish architecture, a lighthouse and lovely Atlantic beaches

@highlight

Henry Flagler added some Gilded Age opulence to the city