(WIRED) -- Google's netbook-friendly Chrome OS takes direct aim at Microsoft, whose eight-year-old Windows XP leads the netbook market. But the odds are stacked against Google.

Despite its buzz, the odds are stacked against Google's Chrome OS becoming a serious rival to Windows.

In competing with Windows, Google Chrome OS will have to deal with many of the same challenges Linux has: compatibility, usability, and unfamiliarity. The record isn't good: In the past year, Linux-based netbooks have rapidly lost market share to Microsoft, as people find that Linux doesn't work as expected, may not support the applications or peripherals they're used to using, and is just plain different.

"The propeller heads or early adopters understood what Linux was about," says Richard Shim, an analyst with IDC, a market research company. "But as netbooks have gone mainstream, users want the apps they are familiar with rather than the non-standard ones on Linux."

While sales of netbooks have exploded, Linux's market share on these devices has dramatically declined. In 2008, about 24.5% of netbooks shipped with an Linux operating system, estimates IDC. This year, it's expected to plunge to 4.5% and in 2010, only 3 percent of all netbooks will run a Linux OS.

Even if it offers the same or better features than similarly-equipped Windows notebooks, Google Chrome OS will face the same uphill battle Linux has.

Here's what Google needs to figure out to make Chrome OS a success.

Compatibility with popular applications

Some of the earliest netbooks featuring Linux faced high rates of return because they did not support popular applications, says Shim.

"Many users found that the universe of applications compatible with Windows was much larger than those with Linux," Shim says. "So when they looked at their Linux netbooks not only did it run non-standard apps but also a graphical interface they weren't familiar with."

Chrome OS will run on top of a Linux kernel, although Google has said that it will have an entirely new interface and will run all web applications rather than native Linux apps.

Multimedia compatibility issues in some flavors of Linux helped add to early customer confusion, says Chris Kenyon, director of OEM services at Canonical, which supports Ubuntu. "Some of those Linux netbooks that didn't have Flash preinstalled or multimedia codecs pre-installed faced lot of problems," he says.

Translation: If a customer can't watch YouTube on her new netbook, she's more likely to return the netbook rather than install Adobe's Flash plugin for Linux.

What Google must do: Google Chrome OS can't afford to make those mistakes. Flash support and the ability to play a wide variety of multimedia files will have to be standard. And where popular application support is missing, Google will have to ensure that it provides satisfying alternatives (such as Google Docs in place of Microsoft Word).

Usability

User interface is a big factor for computer buyers. Many netbook buyers are first-time Linux users. And these newbies have often been stumped by the operating system's unusual interface. Even with very Windows-like and user-friendly Linux distributions, like Ubuntu, they often don't know how to perform simple system management or hardware configuration tasks. Options for those exist on the OS but new users have to put in the effort to learn, which can be a turnoff. Chrome OS will have to find a way to offer its customers a familiar graphical user interface that makes it easy to do the tasks they have been used to on a Windows operating system.

"UI is a very significant component for new operating systems," says Shim. "You have to fight the first impression that this is different and then you have to sell people on why different is better."

What Google must do: Google needs to integrate Gmail, Google Docs and the Chrome web browser in a package that makes it easy to not just use these individual programs but also perform other routine tasks, such as installing new software or changing display configurations.

Compatibility with popular hardware

Google will also be under pressure to ensure Chrome OS works flawlessly with gadgets such as cameras, printers, smartphones and e-book readers. So far, Linux netbooks have had a spotty record. Some such as Ubuntu or Red Hat offer better support for popular gadgets but still users have faced compatibility problems. A recent review from the Wall Street Journal complained that Linux-based netbooks could not load software drivers to print photos to Canon and Dell printers. The review also said there were problems loading pictures over a USB cable from the Canon PowerShot SD750 digital camera onto a Dell Mini 10 netbook running Ubuntu.

Another big stumbling block for Google will be iTunes. The popularity of iPods means that many people expect their netbook to sync with their iPods. However, netbooks running Linux do not support iTunes, including Ubuntu, and that means no iPod or iPhone support.

"iTunes itself doesn't work on Ubuntu but you can use emulators," says Kenyon. "It's something we would like to change."

It also has to be dead-simple to use hardware that's pre-installed on your netbook, such as a webcam, a Bluetooth connection, or a 3G wireless data card.

What Google must do: Ubuntu and other Linux vendors may not have the clout to get Apple to support Linux, but Google could make it happen for Chrome OS. Google and Apple share a close relationship, and Google CEO Eric Schmidt is a member of Apple's board of directors.

Also, drivers for Wi-Fi hardware or webcams in the netbooks come pre-loaded with Windows netbooks; Chrome OS will have to ensure it offers customers the same simplicity right out of the box.

Resistance to change

PC users may complain about glitches in the Windows operating system, the viruses and the blue screen of death. But unhappy as they may be, they are not beating down the doors of any of the Linux vendors to get a new OS. More than 80 percent of the at least billion PCs worldwide run some version of Windows, and 96 percent of netbooks are running Windows, according to NPD Group.

Changing consumer expectations has been one of the biggest challenges that Linux vendors face. Google will have to deal with this, too.

What Google must do: Massive advertising. Fortunately for Google, this is a business it knows well.

Support from netbook makers

One of Microsoft's biggest strengths is the relationships it has built with device makers such as Dell, HP, Lenovo and Asus. As a new entrant Google will have to work with these PC makers to ensure that netbooks come pre-loaded with Chrome OS. Google can probably swing a few early deals, as it has with Android, but to be a force to reckon with it needs to ensure widespread availability.

So far, Linux vendors have found that difficult to get OEMs completely on board. PC makers don't want to jeopardize their relationship with Microsoft, which powers the higher-margin products such as desktops and notebooks.

What Google must do: Wheel-and-deal to ensure that Google Chrome OS is available on as many netbooks as possible.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2009 Wired.com.

@highlight

The odds are stacked against Google's new operating system as a rival to Windows

@highlight

Chrome OS must face the same challenges as Linux: compatibility and unfamiliarity

@highlight

A big stumbling block for Google will be whether its system supports iTunes

@highlight

Google must work with PC makers to ensure netbooks are pre-loaded with Chrome