(CNN) -- I'm 45, and my son is 7.

Once in a while, I still get carded when I try to buy certain well-guarded cold medicines, so I was taken aback in recent months when two different strangers asked, "Is that your grandson?"

I was most surprised by the instant assumption, without an awkward pause or hesitation, as if grandmother was the only option. I was 38 when Jason was born -- not exactly a young mother, but nowhere near the age I imagine a grandmother to be.

Both incidents took place after I moved from California to Atlanta, a Southern city, and both times I was asked by fellow black women -- one about 21, and one who was my senior.

I thought about the incidents when I read a recent CNN.com essay by Rose Arce on being mistaken for her daughter's nanny. The essay inspired me to post my case of mistaken grandmother identity on Facebook, where I got lively responses ranging from "Are you kidding?" to makeover tips.

Had I let too many gray hairs escape my patrol?

Maybe the question shouldn't have surprised me, given the historically high teen birth rates and young grandmothers in the black community, especially in the South.

But I have since learned about a convergence of birth and child-rearing trends that make it harder to guess whether an over-40 caretaker is a grandparent or, like me, a more ... er ... "mature" mother.

First, experts say teenagers are having fewer babies.

"We believe evidence-based teen pregnancy programs work best," says Vikki Millender-Morrow, the CEO of the Georgia Campaign for Adolescent Pregnancy Prevention (G-CAPP), founded by Jane Fonda. "We also believe in giving the kids hope. Even with all the education in the world, if they don't believe their future circumstances are brighter than what they're seeing, what's the reason to delay?"

Georgia had the highest teen birth rate in the nation in 1995, but currently ranks No. 13, according to Millender-Morrow. And recent data shows that Georgia was one of 10 states -- including Mississippi, Florida and Arizona -- that had the most dramatic decreases in births to 15- to 17-year-olds between 2007 and 2009.

It's a national trend.

According to preliminary data from the Centers for Disease Control and Prevention's National Center for Health Statistics published this year, the birth rate for teens ages 15 to 19 had reached its lowest point in the nearly 70 years since the data has been tracked. Black births to teens ages 15 to 17 have plummeted since the 86.1 rate in 1991, for example, when the Hispanic rate was 69.2 (per 1,000 women).

Still, black and Hispanic teenagers still have a much higher birth rate than non-Hispanic whites. The February report shows that the birth rate per 1,000 teens for black teenagers ages 15 to 17 was 32.1 in 2009, and even higher at 41 for Hispanic teens -- compared with just 11 for non-Hispanic whites.

If more young people are weighing their life options -- with fewer "babies having babies" -- fewer grandparents are raising their grandchildren, right?

Wrong. More children are being raised by their grandparents.

U.S Census Bureau data from 2009, published in July, reports that the percentage of white and Hispanic children being raised by one or both grandparents doubled between 1991 and 2009, from about 1% to 2%. About 5% of black children are raised by a grandparent, a figure the Census Bureau says has remained constant since 1991.

Citing the impact of harsh economic times, the Pew Research Center's latest data from 2008 indicates that 2.9 million children were being raised primarily by their grandparents -- up 8% from 2000, and 5% from 2007.

Pew reports that the number of black grandparents serving as primary caregivers fell 12% between 2000 and 2008, but the number of white grandparents spiked 19%. The number of Hispanic grandparents becoming caregivers rose 14% during that eight-year period. According to Pew, 53% of grandparent caregivers are white, 24% are black, 18% are Hispanic and 3% are Asian.

"Many of these children come to live with their grandparents because of substance abuse or child maltreatment or abandonment," said Dr. Ottive Breedlove, associate director for operations at Project Healthy Grandparents, a community outreach research project that Georgia State University in Atlanta launched in 1995. "You're entering your late fifties or sixties, and you're thinking about retiring, settling down, as opposed to gearing up again to raise a family."

The project gives grandparent caretakers in eligible counties services for a year, with referrals for financial assistance, housing and health care. An average of 60 to 75 grandparent-led families participate a year. And there is a waiting list.

"[The grandparents] don't get a rest," says child psychologist Dr. Judith M. Kinney, assistant director of the University of Maryland Counseling Center. She says that 25% to 30% of the patients in her private practice are being raised by one or both grandparents. "They've been doing it for 40 years."

Fongie Lanier, 57, who lives outside Atlanta, took responsibility for raising her three grandchildren in 1997 because her daughter had substance abuse problems and was sometimes incarcerated. Lanier, a part-time assistant in a law office, says her daughter and grandchildren were living with her until her daughter left one day. "It was too much responsibility for her," she says.

Lanier says two of the three grandchildren also had medical challenges because of a rare blood disorder. Now, her grandchildren are 23, 21 and 19, with the youngest about to start college.

"Some of my friends have young kids, and I have grandkids," says Lanier, who got married and had her first child at 16.

Most of my friends, like me, got a much later start. And we're not alone.

The National Center for Health Statistics reports that the birth rate for women ages 40 to 44 rose 3% between 2008 and 2009 -- the only age group to have an increase for that time period.

Women are waiting longer to have children. According to a 2009 report from the center, the average age of a mother's first birth jumped 3.6 years between 1970 and 2006, from 21.4 years to 25 years. For black mothers, the average age rose from 21.7 to 22.7; for Latina mothers, the average age for a first child rose from 22.4 to 23.1.

No wonder observers are confused.

South Carolina stay-at-home mother LaVeda H. Mason, a writer, experienced age whiplash after her seventh child was born when she was 40. Until then, a youthful face meant she was carded constantly. No more.

Two weeks after the first time she wasn't carded, the bigger shock came in a restaurant: "The woman behind me looked at me and said, 'What a cute baby! Is she your grandbaby?' I was speechless for 30 seconds until I realized my mouth was hanging open. Then I just closed it and said, 'No, she's my daughter.' ... My mother said, 'Girls are having babies at 15, so if you have a baby at 15, and your child has a baby at 15 or 16, at 30 you're a grandmother.' I like to think I'm not old enough to be a grandmother, but since my oldest is 21, it is possible."

My over-40-new-mom status might have come as a surprise to observers previously, but regional customs might explain why no one had blurted out the grandmother question before I moved to Atlanta. Until recently, I lived in Los Angeles.

"Southern black people, to me, treat other black people like family," says Duchess Harris, 42, author of "Black Feminist Politics from Kennedy to Obama." Harris and her husband had the last of their three children when she was 37. She's an associate professor of American Studies at Macalester College in St. Paul, Minnesota, but she was born in Virginia.

Maybe as more mothers wait longer to have children, the question "Are you his grandmother?" eventually will be weighed as carefully as "Are you pregnant?"

You can't tell in a glance.

Tananarive Due is a writer based in Atlanta. Her website is www.tananarivedue.com.

@highlight

Tananarive Due, 45, has been asked if her 7-year-old son is her grandson

@highlight

Many women are having children at a later age

@highlight

Meanwhile, more children are being raised by grandparents