Washington (CNN) -- Authorities searching the home of a Connecticut woman who rammed barricades and led police on a chase near the U.S. Capitol found discharge papers from a 2012 mental health evaluation that listed prescriptions to treat schizophrenia and other mental disorders, a law enforcement source briefed on the investigation said Friday.

The woman, identified by law enforcement sources as Miriam Carey, 34, died after police shot her.

Earlier, sources said investigators found medications, but that proved later not to be accurate.

Carey's boyfriend told police in December that she appeared to be delusional, believing that President Barack Obama had placed Stamford, Connecticut, where they lived, under lockdown and that her home was under electronic surveillance, a law enforcement source involved in the investigation said.

Thursday's incident played out in one of the most heavily policed places in the world, temporarily locked down Congress and sparked anxiety among tourists and staffers alike.

Police say Carey rammed barricades and police cruisers -- actions Washington police Chief Cathy Lanier said appeared deliberate -- and sped down Pennsylvania Avenue before crashing. Two law enforcement officers were injured, and officers shot her to end the incident.

The Carey family is questioning whether shooting her was the only way to end the chase.

"We want to know if protocols were followed," family attorney Eric Sanders said on CNN's AC360.

Carey apparently did not have a weapon, but did have a 1-year-old girl in the car with her. The child -- Carey's daughter -- survived the chaos unharmed, officials said.

The child has been taken into protective custody by the D.C. Child and Family Services Agency. She has been temporarily placed with a foster family, according an agency spokesperson.

Carey's family has identified the woman's body, said Beverly Fields, a spokeswoman for the Office of the Chief Medical Examiner.

Why a new mom might put herself -- and her child -- in harm's way

Authorities who searched Carey's apartment in Stamford found discharge papers that listed risperidone, a medication to treat schizophrenia and bipolar disorder, a law enforcement source said. They also found paperwork listing escitalopram, an antidepressant commonly prescribed under the brand name Lexapro, according to the source.

It was not known if she was taking any of the medications, and authorities have not officially linked the incident to mental illness or any other factor.

According to Xavier Amador, a psychologist and expert in schizophrenia and other mental health disorders, it is possible the medications were prescribed for postpartum psychosis, a rare illness that usually comes on suddenly within the first four weeks after birth.

A few months after her daughter was born, Miriam Carey was diagnosed with postpartum depression with psychosis, her sister, Amy Carey-Jones, said on CNN's "AC360."

"There wasn't a pattern. It was something that occurred suddenly," Carey-Jones said. "She seemed overwhelmed. There was a lot of stress.

"There was not moments of her walking around with delusions. That was not what was going on."

Her sister made progress with the help of counseling and medications. Carey-Jones said her sister recently told her that the doctors said she didn't need the medication anymore.

"They tapered her off the medications, and she said she felt fine," Carey-Jones said.

She declined to discuss what medication her sister had taken.

Carey's boyfriend contacted police last winter, when their child was four months old, according to the law enforcement source who told CNN about the boyfriend's reports to police.

He told police that she was suffering from post-partum depression, was having trouble sleeping and was on medication. Carey underwent a mental health evaluation, said the source, who added that the boyfriend has been questioned by federal authorities about Thursday's events.

The source told CNN that Carey left a letter addressed to the boyfriend at her apartment and that it appeared to contain white powder. The letter was being tested for hazardous substances.

A car chase, gunshots

Thursday's drama began around 2 p.m., when the woman steered a black Infiniti near the White House, a U.S. Secret Service source said. She drove up to a barrier at the 15th and E street checkpoint and was approached by Secret Service officers. She hurriedly made an erratic three-point turn, striking the barrier and backing into an officer before driving away, the source told CNN.

Police said the car sped down Pennsylvania Avenue toward the Capitol, where security vehicles stopped it at Garfield Circle.

The woman slammed the car into reverse, crashing into a police cruiser, and tried to get away. At that point officers began firing, a witness said.

Dramatic video footage by a videographer for Alhurra TV, a Middle Eastern news outlet financed by the U.S. government, showed the black vehicle then speeding around a nearby traffic circle with a police car in close pursuit and then heading away. The car crashed into more security barriers a few blocks later, witnesses said.

More shots were fired after the vehicle stopped, and the woman was hit several times, said Metropolitan Police Department Chief Cathy Lanier. Carey was later pronounced dead, Lanier said. Two officers were injured.

A Capitol Police officer whose vehicle crashed during the chase was hurt, authorities said. The officer was released from a hospital Thursday night. The Secret Service did not release information about its injured agent.

Chaos and a child in the car

Inside the woman's car was the 1-year-old child, who was not harmed. The child was taken into protective custody, officials said. Officers didn't know there was a child inside the woman's car during the chase, officials said. Also, the early investigation revealed that there was no evidence that the woman had a gun or fired a shot.

The bedlam from the fatal chase reverberated throughout a U.S. Capital already shaken by the recent mass shooting at the Navy Yard in the city and on edge due to tensions over the showdown over shutting down the federal government.

Authorities locked down the Capitol building and other government facilities in the area.

House and Senate sessions were immediately suspended, with legislators ordered to take cover and keep away from windows. Police also closed Pennsylvania Avenue in front of the White House.

Sirens blared as people in and around government office buildings reported hearing gunshots. Bystanders hid in fear.

Shemaiah Ofori-Attah and her husband, Edmund, at first thought the speeding black car and sirens were part of a motorcade.

"Then when we heard the gunshots we knew this was something serious, so we just dropped to the ground," she said.

Danny Farkas, the Alhurra videographer, captured the scene. He said he had a fleeting thought that perhaps the driver had explosives in the car.

"I was surprised at the movie-like quality of what was going on in front of me," he told CNN's "New Day."

Michael Pearson and Lateef Mungin report and wrote from Atlanta; Deborah Feyerick reported from Washington; CNN's Chelsea J. Carter, Joe Johns, Evan Perez, Dana Bash, Mike Ahlers, Ted Barrett, Jake Tapper, John King, Aaron Cooper, John Auerbach, Gabe Lamonica, Brian Todd, Martina Stewart, Rose Arce, Tom Cohen, Jen Bixler and Dan Merica contributed to this report.

@highlight

NEW: "We want to know if protocols were followed," the Carey family attorney says

@highlight

The papers listed prescriptions to treat schizophrenia and other disorders, the source says

@highlight

Miriam Carey's boyfriend told police she seemed delusional, a source tells CNN

@highlight

She died Thursday after a car chase with police near the Capitol