Bariloche, Argentina (CNN) -- During a visit to Argentina 11 years ago, Elena Durón Miranda was horrified to see children as young as 3 years old rummaging through a trash dump for food and valuable materials.

"I saw children collect green sausages, a bag of potato chip crumbs, a bag of noodles with cream, and recovered leftover yogurt next to a diaper," said Durón Miranda, a Mexican psychologist who was visiting Bariloche to do research. "The children began to gently clean the food -- wiping each little noodle, each potato and peeling the sausage skin so methodically and accurately. It was as if they had done this same activity many times."

Durón Miranda said there were maybe 200 children at the dump collecting things to eat and sell.

"At that moment in time, my son was the same age as many of them," said Durón Miranda, now 41. "So that struck me as horrific."

Durón Miranda learned that many children in Bariloche, a popular city for skiers and tourists in southern Argentina, drop out of school and spend their lives working at the dump.

Determined to restore their dignity, Durón Miranda decided to stay in the country and start a nonprofit called PETISOS, which stands for Prevención y Erradicación del Trabajo Infantil SOS (Prevention and Eradication of Child Labor SOS). The organization aims to provide children with free education and extracurricular programs so they have an alternative to working.

Today, approximately 200 boys and girls in Bariloche benefit from PETISOS.

"We carry out very personalized tracking of all the boys and girls we work with," Durón Miranda said. "We work with the families, we work with the schools, we work with the medical or health centers in order to ... get them out of the labor situation."

Do you know a hero? Nominations are open for 2011 CNN Heroes

When she was starting, Durón Miranda first set out to understand what was leading the children to work in the dump.

"I wanted to know what would lead a family to let this happen," she said. "What I did was set up camp inside the garbage dump and work with the children, right alongside them. I picked through garbage, too. I also watched how they got around, everything they did. So the families started to develop a lot of trust in me."

While Argentina has laws against child labor, the majority of working children do so for their families as unpaid laborers, according to the International Labor Organization. Parents don't force their children to work, but the children join in at an early age because work activities often revolve around family networks.

"All parents want a better life for their children than what they had," Durón Miranda said. "However, there are times when their situation is so precarious they have no other way out but for the whole family to work and try to make ends meet."

PETISOS programs are open to anyone in the community, working or nonworking. But involving a working child can be a lengthy process.

Durón Miranda and her team start by tracking a child and observing his or her work habits. After earning the child's trust, which can often take between six months and a year, they set up a meeting with the child's family. Then they develop an integrated plan for helping the child and try to get the family to understand the importance of education.

"When you work in situations where the context is one of such great poverty, it's very difficult to talk to parents about the long term because usually they live in the immediate term," Durón Miranda said. "We tell them that a child that has more years of schooling has the opportunity to get a better job and eventually (make) more money than (they make) doing subsistence work."

PETISOS has a team of professionals and volunteers working with the children to ensure their growth.

The children are enrolled in school and have a tracking group to make sure they attend. There are afterschool workshops held at the PETISOS headquarters, where children can get help with their homework or do art projects. And psychologists, doctors and social workers are also available to work with the children and their families.

Family heads can also receive job training and child-rearing support.

"The parents are happy with the project because they realize we're concerned about the children. ... We give them an incentive to have a better future, a different future," Durón Miranda said.

Oftentimes, there are several children from the same family in the PETISOS program.

Rosa Del Carmen Aguilar is a single mother of seven who used to work in the garbage dump to provide for her family. Durón Miranda's programs helped Aguilar get out of the dump and keep her children out of trouble.

"I didn't have a salary, I didn't have a job, and we always have the need," Aguilar said. "I resorted to her. She was the person I had the most trust in. ... The kids are moving forward, and we've gone a long way."

The group is funded by grants and donations. As a result of PETISOS efforts, many children have gone on to graduate from high school and attend college. There are others who are working stable jobs, and many young women have started families and are more sensitive to the upbringing of their children.

"That's very important for us," Durón Miranda said. "I think that's where we start to break vicious cycles stemming from negligent upbringing and upbringing with mistreatment. I think that's our greatest success to date."

Durón Miranda describes her job as "full-life" rather than "full-time," but she said she can't imagine it any other way.

"The problems these boys and girls are living, and which we spend all our time on, are very painful," she said. "Fortunately, we have the capacity to transform pain into the desire to do something about it."

Want to get involved? Check out this website to see how to help.

@highlight

Elena Durón Miranda is helping Argentinian children through her nonprofit, PETISOS

@highlight

The group provides children with free education and extracurricular programs

@highlight

She started it 10 years ago after seeing kids at a trash dump in Bariloche

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes