New York (CNN) -- The United Nations General Assembly on Thursday endorsed an upgraded U.N. status for the Palestinian Authority, despite intense opposition from the United States and Israel.

The resolution elevates their status from "non-member observer entity" to "non-member observer state," the same category as the Vatican, which Palestinians hope will provide new leverage in their dealings with Israel.

Its leaders had been working with dozens of supporting nations to develop a formal draft, enlisting the backing of European countries such as France and Spain.

The vote was 138 delegates in favor of the measure, nine against and 41 abstentions, including Germany.

Read more: Palestinian United Nations bid explained

Palestinian Authority President Mahmoud Abbas said the move, which many call symbolic, represents a "last chance to save the two-state solution."

It comes on the heels of an eight-day conflict that raged between Israel and Hamas fighters, where a series of airstrikes and rocket launches drew international attention and threatened regional stability.

"We did not come here seeking to delegitimize a state established years ago, and that is Israel; rather we came to affirm the legitimacy of the state that must now achieve its independence, and that is Palestine," he said.

But Israel's U.N. ambassador Ron Prosor said the move largely ignores the specifics of longstanding issues, such as settlements in disputed lands, and cannot substitute for direct negotiations between Jerusalem and Ramallah.

This resolution "doesn't pursue peace," Prosor said, criticizing Abbas for being unable to represent the Gaza Strip, where a Hamas-controlled government presides.

"It pushes it backwards," he said.

Izzat Al-Rashq, a member of the Hamas' political bureau, welcomed the decision but made demands reflecting Hamas' unwillingness to recognize the state of Israel.

"We need to put this in its normal context as a part of the National Strategic vision based upon the rights and national principles without compromising an ounce of soil from our Palestinian lands extending from the Ocean to the (Jordan) river," he posted to his Facebook page.

He called for the establishment of a Palestinian state "with Jerusalem being its capital" on land that includes what is Israel.

The effort stalled last year when it became apparent that the bid could not get the necessary support in the Security Council. Observer state status does not require Security Council approval, unlike full membership recognition.

The observer status resolution needs only a majority of the U.N.'s 193 members to approve.

Read more: Palestinian move at U.N. won't solve anything

The United States and Israel have remained steadfast in their opposition, saying the move will not advance the cause of Middle East peace.

U.S. Ambassador to the U.N. Susan Rice said American leaders could not support a measure that circumvents direct talks and cautioned that Thursday's decision did "not establish Palestine as a state."

Rice urged both sides to the resume direct negotiations without preconditions.

"Israel is prepared to live in peace with a Palestinian state," Israeli Prime Minister Benjamin Netanyahu said Thursday. "But for peace to endure, Israel's security must be protected, the Palestinians must recognize the Jewish state and they must be prepared to end the conflict with Israel once and for all."

Israeli government spokesman Mark Regev called the resolution "political theater."

Opinion: Why U.S., Israel should welcome Palestinian move at U.N.

But Palestinian leaders have said they had the right to go to the U.N. because Israel failed to comply with agreements signed more than two decades ago.

"It's about a contract. Our contract is that in five years, we should have concluded the treaty of peace and all core issues. This did not happen, and we're talking about 20 years later. And going to the U.N. is not a unilateral step," Palestinian Authority chief negotiator Saeb Erakat said in September.

The last round of negotiations between Israel and the Palestinian Authority was in 2010.

Erakat said the new status would eliminate Israeli justifications for building settlements in the disputed areas of East Jerusalem and the West Bank.

But Israeli officials disagreed.

"No decision by the U.N. can break the 4,000-year-old bond between the people of Israel and the land of Israel," Netanyahu said.

Former Israeli Prime Minister Ehud Olmert, however, threw his full support behind the new status for the Palestinian Authority.

"What the Palestinians moved to do today in the U.N., I think is in basic line with the strategy of a two-state solution," Olmert told CNN's Christiane Amanpour on Thursday.

The peace process is completely stalled at the moment, but Olmert said Israel must move rapidly toward a two-state solution. "Time is running out for Israel more than for the Palestinians," he said.

U.N. Secretary-General Ban Ki-moon, who supports a two-state solution, said Thursday's vote "underscores the urgency of a resumption of meaningful negotiations."

"I urge the parties to renew their commitment to a negotiated peace," Ban said.

Meanwhile in Washington, Israel's Defense Minister Ehud Barak addressed his country's relations with Iran and expressed doubt about sanctions against that country. The United Nations' nuclear watchdog has said Iran is cooperating enough in a review of its nuclear programs.

"I don't believe that these kinds of sanctions will bring them to a moment of truth where they sit around a table and look at each others eyes and decide that the game is over, they can't stand it anymore, they are going to give up their nuclear intention," Barak said.

Barak was visiting U.S. Defense Secretary Leon Panetta, who noted how the Israeli defense chief announced his retirement from political life. Panetta praised Barak's "brilliant strategic mind" and "warrior heart."

CNN's Richard Roth, Anna-Maja Rappard at the United Nations and Michael Martinez contributed to this report

@highlight

The vote was 138 delegates in favor, nine against and 41 abstentions

@highlight

The resolution elevates their non-member status from "observer entity" to "observer state"

@highlight

The United States and Israel remain opposed