(Wired) -- Wikipedia turns 10 Saturday, a decade during which the globally crowdsourced online encyclopedia weathered fierce criticism about its reliability and banishment from academia.

At the same time, it's so popular it turns up pretty consistently in the top 10 Google results for nearly any search.

In a wide-ranging interview with Wired.co.uk, founder Jimmy Wales talks about censorship, staying relevant, and why nothing keeps him awake at night.

Wired.co.uk: Did you ever think Wikipedia would be as big as it is, 10 years ago?

Jimmy Wales: I remember looking at a list of the top 100 websites and seeing an encyclopedia reference-style site ranked around number 50 and thinking that if we did a really good job we could be in the top 100 or maybe even top 50. But today Wikipedia is the fifth most popular website in the world.

What has been the biggest challenge over the last 10 years?

I would say that the biggest challenge has been dealing with the growth, and particularly in building an organization behind Wikipedia that is as strong as Wikipedia itself. Hiring Sue Gardner to run the Wikimedia Foundation was one of the best things we ever did.

What has been the biggest surprise for you?

Although I always wanted Wikipedia to be global, I think I never really grasped what that would mean for the project and for me personally. I never thought about how I might need to travel all over the world to meet people.

Do you get tired of defending the integrity of Wikipedia articles? How do you counter the criticism?

No, I don't really get tired of it, because I think that our responsibility to help make Wikipedia as good as it possibly can be means that we have to take seriously every legitimate criticism and think about how we can improve.

In terms of countering the criticism, I think that today most people understand that Wikipedia is pretty good but not perfect, and that it is getting better all the time. It's really important that our community remain steadfastly committed to taking quality really seriously.

Do you see a time when Wikipedia could be a credible academic source?

I think it is already generally used and accepted far more in academia than any conventional encyclopedia ever was. What people sometimes forget is that citing [Encyclopaedia] Britannica in an academic paper is not what students should be doing, either.

What are your main areas of focus at the moment?

I'm focused increasingly on the growth of Wikipedia in the developing world. We are experiencing a lot of growth in a lot of different places, and at the Wikimedia Foundation it is a part of our five-year strategic vision to put resources behind assisting local communities grow and flourish in languages where we are currently small. We're opening our first office outside the U.S. this year, in India, and I'm super excited about that.

Are there any legislative issues that threaten the Wikipedia model?

I worry about censorship in many parts of the world. It's a major human rights issue and one where we try to be at the forefront of terms of advocating for the free right to share information and learn from others. While I'm optimistic about the direction the world is headed, generally, I think there is a need for constant vigilance and pressure on repressive governments.

How did you know that people would give up their time and expertise to create the collaborative encyclopedia?

I always thought that people would contribute. I didn't know, before Wikipedia, how to help them contribute, but a lot of my belief in Wikipedia came from participating in some high-quality mailing lists where I met really smart people who were perfectly happy to share what they knew.

How do you encourage a more-diverse range of contributors?

There are many ways to look at this.... Diversity across languages means that we need to look at technical and performance issues in various places around the world, and that we need to assist local communities with recruitment and publicity.

Diversity within the major languages is also desirable ? we want to make it easier for more people to edit ? people who are geeks but not necessarily computer geeks!

To what extent do you think Wikipedia represents the best aspects ofthe web ? e.g., democratization of information, power of the crowds?

To a very strong extent, I think that Wikipedia shows a hopeful set of possibilities for the future. I'm not a big fan of the terminology "crowds" in this context.

I think it can be disrespectful to talk about communities in those terms. We aren't a crowd. We are thoughtful and noble individuals working together in peace and by choice for a common goal.

How do you stay relevant?

We stay relevant mostly by sticking with intense passion to our mission-driven culture. We are here to provide a free, high-quality encyclopedia to every single person on the planet in their own language. It is a simple and powerful charitable mission.

Are you never tempted to take advertising? If not, why not?

No, not at all. We like being supported by small donors. It's good for Wikipedia and good for the world.

What keeps you awake at night?

My superpower is sleeping, so nothing really keeps me awake at night. Sometimes, jet lag.

Where do you see Wikipedia in 10 years?

More languages, more information, higher quality.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2010 Wired.com.

@highlight

Online encyclopedia Wikipedia turns 10 years old on Saturday

@highlight

Founder Jimmy Wales: "Wikipedia is pretty good but not perfect"

@highlight

Wales says he worries about censorship in many parts of the world