(CNN) -- The Obama administration's attempt to mandate that Catholic organizations provide contraception to their employees in insurance plans injected some ugly nostalgia into the presidential race in recent weeks. "The sexual and religious politics of the 1990s (are) suddenly back," wrote Andrew Sullivan in Newsweek, while Mormon Glenn Beck said that "We are all Catholics now" (somebody tell the Pope). President Barack Obama has stirred up the Republican Party's inner-fundamentalist -- an angry, vengeful spirit currently being channeled by candidate Rick Santorum.

As Saint Santorum leaps to the top of the national polls, it does indeed feel like a return to the 1990s. In that decade, the prominence of God and guns created a brutal partisan atmosphere that pitted liberal against conservative, libertine against fundamentalist.

But while the issues Santorum is pushing are the same, America in 2012 is different place. Santorum will have to sell his social conservatism to the "Modern Family" generation -- people who are a little more tolerant than their parents were and lot more interested in positive solutions to economics problems. In other words, this is not your mother's culture wars.

That one, the old one, was formally declared 20 years ago by conservative pundit and presidential candidate Pat Buchanan. On August 17, 1992, he told the Republican National Convention, "There is a religious war going on in this country. It is a cultural war, as critical to the kind of nation we shall be as the Cold War itself. For this war is for the soul of America."

Watching at home, a young Rachel Maddow -- who had just come out to her friends as a lesbian -- recognized the speech as "positive polarization," dividing the country in two and reaching out to the bigger, more conservative half. Buchanan, she once told an interviewer, was "without euphemism, declaring that my own country was at war with me." At the time, a Gallup Poll showed that only 38% of Americans thought homosexuality was an "acceptable alternative lifestyle."

Positive polarization worked: The night after the speech, the GOP candidate President George H.W. Bush leapt 9 percentage points in the polls and looked competitive against Democratic challenger Bill Clinton. Clinton still won the 1992 election handily, but the culture war would handicap his presidency. It contributed to the Republican sweep of Congress in 1994 and climaxed in the impeachment of Clinton in 1998. (He was acquitted.)

But America started to change in the new millennium. War and unemployment drew voters' attention away from social issues. Religious conservatism as a political project was largely discredited by the burlesque of its leaders. Televangelist Pat Robertson claimed he could deflect hurricanes with prayer, Moral Majority founder Jerry Falwell blamed 9/11 on homosexuals, and evangelical pastor Ted Haggard bought crystal meth from a gay prostitute. (Update on Haggard: He's now "what the kids call bisexual.")

Of course, social conservative activists never went away -- they just stopped proselytizing and joined the tea party instead. A recent Pew Forum on Religion & Public Life survey found that the tea party draws a great deal of its strength from religious conservatives. Sixty-four percent oppose gay marriage, 59% want abortion illegal in most circumstances, and 42% say they empathize with the "Christian movement." No wonder then that they are thrilled by the so-called revival of the culture war, or that they are gravitating toward the super Catholic Santorum.

There is more than a thematic connection between Santorum and the age of Buchanan. Santorum's campaign manager is Mike Biundo, who worked for Buchanan in 1996. His statewide staff is peppered with former Buchananites (Jim Finnegan and Ted Maravelias of New Hampshire, Michael Phillips and Craig R Bachler of Florida), and his list of endorsements is a roll call of '90s Christian conservatives: Gary Bauer, James Dobson, Phyllis Schlafly and Richard Viguerie. Just to complete the picture, Mitt Romney touted an endorsement from Buchanan's old rival Bob Dole.

The revival of the cultural conflict will probably help Santorum in the GOP primaries. All his victories have come in Midwest caucus states, with a turnout presumably dominated by the faithful.

But within the wider population, the conversation about God and sex is probably less relevant than it was in Buchanan's day. Attitudes on abortion have ebbed and flowed, but on everything else the public has mellowed. Take gay rights. In 1992, 48% of Americans thought sexual relations between people of the same gender should be legal. Now it's 62% and, for the first time, a majority of Americans also support same-sex marriage. Likewise, Public Policy Polling insists that Republican opposition to the contraception mandate will actually cost it votes. Generational change and economic problems have rendered debates about lifestyle largely academic.

One might hypothesize that the new culture war is really about partisan battles between political elites rather than a genuine social rift within the adult population. At this moment in the news cycle, it hurts Obama that he is being screamed at by little old nuns, and it helps Santorum that he is mobilizing bishops and rabbis. But if Republicans fight the general election on the battlefield of culture, they are more likely to lose.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Tim Stanley says Catholic contraception dust-up cast by some as new culture war

@highlight

Stanley says this may work in GOP primaries, but it won't with today's general voters

@highlight

He says social issues Pat Buchanan touted in 1992 don't resonate in bad economy

@highlight

Stanley: "War" is more relevant to political elites than voters and won't help GOP in election