Heather Kern's heart had raced ever since she was 11.

It would randomly speed up at times and then drop back to normal. But those quirks didn't stop her from lacing up her boots for a hike every weekend or jumping in the pool for a long swim -- at least until she gave birth to her little girl in August 2008.

That's when her heart changed.

Two weeks after delivering her daughter Cindy, Kern realized something was very wrong. The 32-year-old began experiencing numbness in her limbs and had severe chest pain.

"My heart felt like a Ping-Pong ball -- it was going crazy speeding up and slowing down," she remembers.

Kern went to see a cardiologist in their new home state of Texas. She didn't know what to expect; for years doctors had shrugged off her symptoms.

She was stunned to learn that her problems were caused by heart disease. The new mother had a left ventricular non-compaction cardiomyopathy, a congenital disorder that affects a small percentage of people. With LVNC, muscle fibers in the lower left chamber of the heart do not turn into solid muscle as they should during normal development. Instead the fibers remain and interfere with the heart's function.

Kern's cardiologist suspected that she also had Catecholaminergic Polymorphic Ventricular Tachycardia, an abnormal heart rhythm disorder that could potentially cause sudden cardiac arrest.

The diagnosis sent her into a spiral of depression.

"I thought I was going to die," she says. She had already put on 40 pounds during pregnancy and was now being told she couldn't do anything active that would strain her heart.

Life became a series of tests and checkups, shuffling in and out of the hospital. She had to get an implantable cardioverter defibrillator (ICD) implanted, and was put on heart medication to regulate her life-threatening arrhythmias.  Eventually, Kern started seeing a counselor to deal with the emotional pain.

"That first year with my daughter, I couldn't enjoy her because I was having problems, and I was sick," she says.

As she tried to cope with her new reality, she turned to food. Over the next four years, her weight ballooned. Food, inactivity and even her heart medicine caused her to put on weight. And her growing waistline was not helping her self esteem. She became so heavy she couldn't bear to step on the scale and refused to pose in photographs with friends.

At the start of 2012, she came across a weight-loss challenge on a couponing website. The challenge was between a group of strangers online who counted calories to lose weight. It didn't seem like something that would strain her heart, so Kern decided to join the group's challenge.

"I thought I'd try losing weight with people online. I figured if I fail it's not as bad because I don't really know them," she says.

So she cut her food intake by 500 calories a day, eating only 1,200 calories and religiously documented everything she put in her mouth.

A chocolate lover, she got rid of all candy from her house. And she stopped eating after her daughter.

"Oh the French fries -- my kid with her Happy Meals would drive me crazy," she says. "I would eat half her meal because she couldn't finish it."

But with calorie counting, there was no room for extra food.

She weighed in at 260 pounds at the start of the challenge. In six weeks she had dropped 20 pounds, winning the weight-loss competition.

It was a boost of confidence that motivated her to take control of her life. She was determined to get to a healthy weight not only for herself, but also for her daughter.

"My mom and grandfather both died in their forties because of this, and they didn't know they had heart disease," she said. "A lot of people have the same kind of thing I have. It's like a totally different ball game when you're trying to lose weight."

She made counting calories a routine, logging her intake on sites like caloriecount.com or on her mobile phone. But she wanted to do more. She wanted to be active but didn't know how. She asked her cardiologist about light exercise; he thought it would be a good idea to try.

So Kern strapped on her tennis shoes and put Cindy in a stroller and walked down the street. That was as far as she would go. The fear that her heart would act up made her turn around. But those first few steps were just the beginning. She slowly built the courage to walk a little further each day around her neighborhood, paying close attention to her body.

Soon, she was able to jump on the elliptical for five minutes at a time, building up her endurance. "You got to go slowly," she says.

Losing weight was gradual for Kern, who is 5'8". It took her two years to reach her goal weight of 135 pounds on October 2013. Kern, who started a new job at a patient advocacy company, now focuses on maintaining her weight.

She joined a gym to build muscle and goes every day. She still lives with her heart condition, but losing the weight has helped keep her heath in check.

"Some days I go to the gym and my heart isn't cooperating. It feels like it is rattling around," she says. "You never push yourself with this disease. They tell you to push yourself at the gym, but you have to listen to your body."

Kern currently takes only half her heart medication. Her cardiologist attributes her improved health to her weight loss. She says the entire process changed the way she views life.

"When I was diagnosed with heart disease, I literally thought that my life was over," she said. "But the huge weight-loss proved to me I could still do what I set my mind to. Life wasn't over; it could be wonderful."

@highlight

When Heather Kern was diagnosed with congenital heart disease her life changed

@highlight

Since exercising could strain her heart, Kern started calorie counting to lose weight

@highlight

It took two years for her to lose 125 pounds, but now that she is lighter her heart is healthier