Jakarta, Indonesia (CNN) -- The Indonesia volcano that threatened President Obama's visit is now "likely" to shorten an already brief stop to the capital city of Jakarta.

Obama arrived in Indonesia, where he spent part of his childhood, on Tuesday for a two-day trip.

White House spokesman Robert Gibbs, who earlier told reporters that officials were closely monitoring the ash cloud from Mount Merapi, said forecasting shows air traffic might again be disrupted.

Obama is scheduled to meet with Indonesian President Susilo Bambang Yudhoyono and hold a news conference with him; attend an official dinner; and visit the Istiqlal Mosque, the largest mosque in southeast Asia.

Gibbs said the President still hopes to deliver a speech at the University of Indonesia.

"My sense is, our hope is that while we may have to truncate some of the morning we can get the speech in," Gibbs told reporters aboard Air Force One on a flight from New Delhi to Jakarta..

Ben Rhodes, the deputy national security adviser for strategic communications, said earlier that Obama lived in Jakarta for several years as a boy.

In the university speech, "he'll have a chance to talk about the partnership that we're building with Indonesia ... [and]also to talk about some of the themes of democracy and development and our outreach to Muslim communities around the world, while also speaking of Indonesia's pluralism and tolerance as well," Rhodes said ahead of Obama's 10-day tour of Asia.

"While [Indonesia is] a Muslim majority, it's a host to a broad religious diversity," Rhodes added.

On Sunday, Muslims staged rallies across Indonesia to protest Obama's visit to the world's largest Muslim-majority nation.

"We don't see the differences between Obama and Bush. They both oppress Muslims. They both have blood on their hands," said Ismail Yusanto, a spokesman for the Muslim group Hizbut Tahrir.

"That's why we reject Obama and we don't believe that he's reaching out to Muslims."

About 20,000 people attended the rallies, the spokesman said.

More than one in 10 of the world's Muslims live in Indonesia, which has about 205 million Muslims.

Obama's trip to Asia started Saturday with a three-day visit to India.

His stay in India -- the third largest economy and one of the world's few growth markets -- included a meeting with Indian Prime Minister Manmohan Singh in New Delhi and an address to the nation's parliament.

In another major sign of growing ties between India and the United States, Obama on Monday backed a permanent seat for India in the U.N. Security Council.

"In the years ahead, I look forward to a reformed U.N. Security Council that includes India as a permanent member," he said to India's parliament.

The statement came as Obama made a wide-ranging address that envisioned closer economic and security ties between the United States and India, standing "shoulder to shoulder" with the world's largest democracy.

Obama praised India's democratic institutions: its free electoral system, independent judiciary, the rule of law, and a free press. He said India and the United States have a unique link because they are democracies and free-market economies.

"When Indians vote, the whole world watches. Thousands of political parties. Hundreds of thousands of polling centers. Millions of candidates and poll workers, and 700 million voters. There's nothing like it on the planet. There is so much that countries transitioning to democracy could learn from India's experience; so much expertise that India can share with the world. That, too, is what's possible when the world's largest democracy embraces its role as a global leader," he said.

Noting the country's rise as a world power, Obama said he sees the United States cooperating with India in various international and regional alliances. He praised India's role in the climate change negotiations and its role as a top contributor in U.N. peacekeeping missions.

Obama's visit to India included a town hall-style meeting with students, a celebration of the Hindu holiday Diwali and a visit to Humayun's Tomb, an architectural precursor to the Taj Mahal.

On Wednesday, the president will leave for South Korea, where he will attend the G-20 summit in Seoul.

Obama is to meet with Chinese President Hu Jintao while both are in South Korea. The U.S. president also is to deliver a speech to U.S. troops in South Korea on Thursday, which is the Veterans Day holiday in the United States.

Obama's Seoul visit will include a meeting with South Korean President Lee Myung-bak and a news conference.

The U.S. president will leave South Korea for Japan on Thursday.

In Japan, Obama will speak at a CEO Business Summit that is part of an Asia-Pacific Economic Council summit. Obama's packed schedule includes other APEC events and bilateral talks with Japanese Prime Minister Naoto Kan, Russian President Dmitry Medvedev and Australian Prime Minister Julia Gillard.

The president's Asia tour is part of an administration focus on a vital region for expanding trade and fighting terrorism, Rhodes said ahead of the trip.

"If you look at the trend lines in the 21st century, the rise of Asia, the rise of individual countries within Asia, is one of the defining stories of our time," Rhodes said, later adding, "We see core U.S. national interests that will be advanced by us playing a key role in helping to shape the future of the region and making clear that we're an Asian and a Pacific power."

Obama will head back to the United States on Sunday.

CNN White House correspondent Dan Lothian contributed to this report.

@highlight

NEW: Obama could leave Indonesia early due to Mount Merapi eruptions

@highlight

The U.S. president arrives in Indonesia after three days in India

@highlight

He is scheduled to meet with Indonesian President Susilo Bambang Yudhoyono

@highlight

His Asia tour will include the G-20 summit in South Korea and the APEC summit in Japan