Editor's Note: Republican strategist Alex Castellanos was a former campaign consultant for Mitt Romney's presidential campaign and has worked on more than half a dozen presidential campaigns. Castellanos is a partner in National Media Inc., a political and public affairs consulting firm that specializes in advertising. He has produced many Republican political ads and has clients such as the U.S. Chamber of Commerce.

Alex Castellanos says Barack Obama's change theme has buckled to "top-down liberalism."

(CNN) -- In theater, they say the second act is the hardest to write. It requires relentless focus and discipline. The writer must give himself fearlessly to one central idea and never waver, though temptation is the opposite: There are many paths a story can take.

So it is in politics, as Barack Obama's campaign is learning.

The clear campaign of change ran into trouble in Act II when it was tasked with explaining what change actually meant. Obama, as they say in show business, "ran out of script."

The wind in his sails stalled in the hot calm of August and he has yet to recover. After John McCain's improbable resuscitation to seize the GOP nomination, the Arizona senator's top aides briefed him about his exacting challenge: He would go into the conventions trailing Obama by at least 8 percentage points and then battle back through the fall to parity.

Yet, as cooler days and hotter rhetoric mark the start of the fall finale, it is Obama who finds himself clawing back, forced to attack, launching uncharacteristic partisan and personal attacks against a McCain who has "lost track" of and is "confused" about how many houses he owns.

How did the soaring campaign of change become grinding politics-as-usual and crash so thunderously to earth?

The Obama campaign's clear message in the primaries was a bottom-up, organic populism that cast voters themselves as the agents of change.

"We are the change we have been waiting for," Obama told his supporters during the primaries. In return, they sang, "Yes we can." This heady mix of populism and change swelled his campaign into a cause.

In marketing terms, it is called "voter as hero." Obama empowered his supporters, telling them they, not the old political establishment, could achieve anything.

Bottom-up politics is one thing, however. Bottom-up government, another. When Barack Obama became the nominee of the national Democratic establishment, the candidate of hope ran into political reality: His party's canons of governing are the opposite of change.

Barack Obama may believe "change doesn't come from the top down, it comes from the bottom up," but the leadership of his party doesn't. The national Democratic establishment, from the Daily Kos and MoveOn.org to Pelosi and Reid in Congress, still believe in top-down big-government from Washington, especially if they get to run the factory. Politically, they are industrial-age dinosaurs

They believe the era of big government is back, not over. They would keep money and power in their hands, not devolve it to the average American. That was not something the Denver Democrats were eager to confess.

Instead, they advocated a sly European-style socialism that would not speak its intent. "Decent, quality health care as a fundamental right and not a privilege," the Democrats offered during the first night of their convention. A big-government health-care factory run by Washington? That's change? Why not the same for food, clothing and shelter?

But relax, Joe Lunchbucket, an even bigger public-sector industrial plant will impose no cost on your family. Obama's party promises not to tax you, just business -- the people who sell you your groceries and gasoline and sign your paychecks.

As Fred Thompson noted in his GOP convention speech, "They won't take any water out of your side of the bucket. Just the other side." This is not "voter as hero" but, instead, "voter as victim." A heroic Washington has all the money, the power, and the answers. Same old, same old. So the candidate of change fell silent. And he sang change never again.

Barack Obama could have spoken truth to power. He could have pledged to confront the Democratic Party establishment. He could have brought a more natural, organic era of bottom-up government, not just bottom-up politics, to a dated party clinging to a decaying philosophy of authority.

But when the irresistible force of Obama's bottom-up politics met the immovable object of Democratic Party power, it was the dream, not the power, that conceded.

"Yes we can" turned out to mean not "Yes the people can", just "Yes Washington can." Too bad. It would have refreshed the Democratic Party and the country.

This movie is not new: The candidate who runs to change the establishment doesn't. Instead, we see it change him. The hope for real change in Washington has been suffocated by an older generation's embrace.

Now, Barack Obama finds himself trapped without a post-partisan message. Instead of challenging politics-as-usual, he sells the usual partisan politics: "Bush-McCain", he shouts from rooftops, sounding like every other Democrat in the chorus, pretending partisanship is fresh.

The story? Bottom-up change ran into top-down liberalism. Old-fashioned liberalism won. That's Act II. Stand by for the play's end.

This opinions in this commentary are solely those of the writer.

@highlight

Alex Castellanos: Obama's message was populism and bottom-up change

@highlight

Obama campaign taken over by Democratic establishment, he says

@highlight

Castellanos: Democratic party champions big government and opposes change

@highlight

"Yes we can" turned into "Yes Washington can," Castellanos says