Drinking a daily cup of coffee -- or even several cups -- isn't likely to harm your health, and it may even lower your risk of dying from chronic diseases such as diabetes and heart disease, a new study in the New England Journal of Medicine suggests.

The relationship between coffee drinking and health has been a hot topic in recent years, but research has produced mixed results.

Some studies have linked coffee consumption to better health and a lower risk of premature death, while others suggest that coffee -- or rather caffeine -- might contribute to heart disease through negative effects on blood pressure, cholesterol, and heart rate.

The new study is by far the largest of its kind to date. As part of a joint project with the AARP, researchers from the National Institutes of Health followed more than 400,000 healthy men and women between the ages of 50 and 71 for up to 13 years, during which 13% of the participants died.

Health.com: Big perks -- coffee's health benefits

Overall, coffee drinkers were less likely than their peers to die during the study, and the more coffee they drank, the lower their mortality risk tended to be. Compared with people who drank no coffee at all, men and women who drank six or more cups per day were 10% and 15% less likely, respectively, to die during the study.

This pattern held when the researchers broke out the data by specific causes of death, including heart disease, lung disease, pneumonia,stroke, diabetes, infections, and even injuries and accidents. Cancer was the only major cause of death not associated with coffee consumption.

"There has been some concern that coffee might increase the risk of death, and this provides some reassurance against that worry," says Neal D. Freedman, Ph.D., the lead author of the study and an investigator with the division of cancer epidemiology and genetics at the National Cancer Institute, in Rockville, Maryland.

Health.com: Trying to cut back on coffee? Here's how

Even moderate coffee consumption was linked to better survival odds. Drinking a single cup per day -- which was much more common than a six-cup-a-day habit -- was associated with a 6% lower risk of dying among men and a 5% lower risk among women.

Although these reductions in risk might seem modest, they could have potentially dramatic implications for public health if spread out over the tens of millions of coffee drinkers in the United States, says Susan Fisher, Ph.D., chair of community and preventive medicine at the University of Rochester Medical Center, in Rochester, New York.

"Even a small decrease, when you're talking about a [behavior] that is so ubiquitous across the human population, could mean many, many lives saved," Fisher says.

Health.com: Is coffee healthier than you think?

The findings, however, stop short of saying that coffee drinking directly lowers the risk of chronic disease. Like much of the previous research on coffee, the study was based on survey data -- in this case, a single questionnaire distributed in the mid-1990s -- that may provide an incomplete picture of the participants' overall health and lifestyle.

Although the researchers took into account a wide range of extenuating factors, including diet and exercise regimens, smoking, alcohol consumption, body mass index, and marital status, it's possible that people who drink coffee differ from the rest of the population in as-yet unidentified ways that make them less vulnerable to disease and early death.

The explanation for the study findings "might not specifically be the coffee," Fisher says. "It might be some characteristic of the coffee drinker."

Health.com: Surprising sources of caffeine

Still, it's plausible that coffee drinking actually improves health. Coffee contains some 1,000 compounds, many of which are health-promoting antioxidants, Freedman says.

"There's some data showing that some of these components may prevent insulin resistance and have a role in diabetes," he says.

In the study, both regular and decaf were associated with a lower risk of dying, which suggests that these and other substances in coffee might be more important than caffeine. But even decaf contains trace amounts of caffeine, so the authors can't entirely rule out the possibility that caffeine has an effect on health, Freedman says.

@highlight

Daily cup may lower risk of dying from chronic diseases such as diabetes

@highlight

NIH followed 400,000 men and women for 13 years, during which 13% died

@highlight

In the study, both regular and decaf were associated with a lower risk of dying