(CNN) -- Health officials say the H1N1 virus, commonly known as the swine flu, is likely to cause more illnesses and deaths in the United States, even though much of the initial anxiety has eased.

A researcher investigates swine flu at the Centers for Disease Control and Prevention in Atlanta, Georgia.

The Centers for Disease Control and Prevention reported higher levels of flu activity than the average for mid-May and an unusual number of outbreaks in schools. Some clinics reported high numbers of respiratory diseases more commonly seen during the peak of flu season.

"We do think that the way the virus is spreading in the U.S., we are not out of the woods, and the disease is continuing," said Dr. Anne Schuchat, interim deputy director for science and public health program at the CDC in a news conference this week.

In the United States, six deaths have been linked to the swine flu, although it's unclear whether these were caused by the virus or pre-existing conditions. Nationwide, at least 5,123 cases of H1N1 flu have been reported, although the actual number of people affected may be higher.

New data released by the CDC Tuesday showed that the majority of the 30 patients who were hospitalized with H1N1 in California had other medical conditions, such as chronic heart and lung disease, suppressed immune system, diabetes, and obesity. None of the patients died.

They had fevers, coughs, vomiting and shortness of breath, according to the CDC report that examined the patients. Six of them were admitted to the intensive care unit and four required mechanical ventilation.  See an explanation of H1N1 flu »

Five of them were pregnant -- two of the fetuses did not survive.

Earlier this month, Judy Dominguez Trunnell became the first U.S. resident to die from complications of the H1N1 flu. Her daughter was delivered via emergency Caesarean section.

Dominguez Trunnell felt body aches and numbing in the left side of her face and went to the hospital, her husband, Steven Trunnell, told CNN's Larry King.  Watch the interview. »

Trunnell has filed a wrongful death claim against Smithfield Foods, a pork and meat producer, alleging that the company's actions may have contributed to the virus' creation.

"She was a healthy, pregnant woman who was eight months pregnant until she contracted the virus," he said. "She became acutely ill, but she was never diagnosed with any major medical complications of any kind."

Health officials have said repeatedly since the outbreak's beginning that the virus cannot be contracted from eating pork.

Pregnancy increases the risk of certain medical problems and creating complications from the flu, Schuchat said.

"There is some immunosuppression that occurs during pregnancy," she said. "There maybe also a role of the mechanical effect of pregnancy in decreasing the lung capacity that maybe you're not easily able to handle lung infection or respiratory problems."

Early steps toward an H1N1 vaccine are being taken.

The process could take between five and six months from the time the virus appeared to when the vaccine would be available to the public, officials have said.

Tom Skinner, a CDC spokesman, said the agency has sent H1N1 strains to roughly seven labs around the world to use in the first steps of  vaccine development. The CDC expects to get the viruses back from the institutions by the end of the month and "if we do go in the direction of producing a vaccine, we could see the production of pilot lots, and clinical trials, beginning as soon as late June."

Though the initial surveillance of the California cases indicates that most healthy patients recovered and were discharged after short hospital stays,  those with other medical conditions had greater complications.

"Our best estimate right now is that the fatality [with the H1N1] is likely a little bit higher than seasonal influenza, but not necessarily substantially higher," Schuchat said. The seasonal flu kills 36,000 people every year.

While people of all ages get the seasonal flu, its complications more severely affect older people or those with weakened immune systems. About 95 percent of people who die from the seasonal flu are 65 years old and above, according to the World Health Organization.

Many of the confirmed and probable cases for the H1N1 virus have been younger people between the ages of 5 and 24.

"The hospitalizations that we're tracking have this disproportionate occurrence among younger persons," Schuchat said. "That's very unusual to have so many people under 20 requiring hospitalization and in some of those intensive care units."

While there have been no deaths in that age group in the United States, Schuchat said: "We would not be surprised to see serious hospitalizations and deaths occurring in people in this age group and I think we need to be prepared for that."

"It's important to dispel the idea that we're out of the woods, or that this was a problem that really didn't merit response," she said. "Influenza is unpredictable, and we really need to stay attuned to that, to be prepared for surprises in the days and weeks ahead."

And the flu viruses can mutate. Dr. Dan Jernigan, deputy director for the CDC's influenza division said last week, "We're not seeing significant evidence of any mutation towards more virulence in the U.S."

H1N1 flu activity has been confirmed in 22 states and appears to be most active in the Southwest.

In April, concerns about the H1N1 virus prompted travel warnings, airport checks and school closures. The outbreak has sickened 9,830 people worldwide and caused at least 79 deaths -- mostly in Mexico, according to the WHO.

Last month, U.S. officials discouraged all nonessential travel to Mexico after the flu strain killed dozens of people there. On Friday, the CDC downgraded its warning and advised people with medical complications, advanced age or pregnancy to check with a doctor before going on a trip to Mexico.

CNN medical senior producers Saundra Young and Shahreen Abedin contributed to this report.

@highlight

CDC reported higher levels of flu activity than the average for mid-May

@highlight

Health officials warn disease is likely to continue and contribute to more deaths

@highlight

Initial data shows hospitalized patients had underlying medical conditions