(CNN) -- In January 1999, Israeli Prime Minister Benjamin Netanyahu announced on live television that he was firing his defense minister, Yitzhak Mordechai. The minister, Netanyahu argued, had colluded with his political rivals and was aiming to undermine the Prime Minister's authority. Mordechai would go on to lead a centrist party and play a pivotal role in the victory of Ehud Barak and the Labor Party over Netanyahu. Fifteen years later, and Netanyahu has again taken to the airwaves, announcing the firing of two senior Cabinet members. Is history set to repeat itself?

On Tuesday, Netanyahu accused Finance Minister Yair Lapid and Justice Minister Tzipi Livni, the main centrist leaders of his center-to-far-right coalition, of disloyalty and of undermining his authority, publicly criticizing his policies and conspiring to form an alternative coalition. As a result, Israel now heads to elections, tentatively scheduled for March.

If you're scratching your head and wondering, "Didn't Israel hold elections recently?" then you're not alone. This Knesset, the 19th, will be one of the shortest serving parliaments in Israel's 66-year history. As a result, just two years after they last headed to the polls, Israeli voters and politicians are wondering aloud why these elections are necessary.

But will the outcome of the elections resemble those of 1999, which prompted Netanyahu to take a hiatus from political life?

Netanyahu is a leader with remarkably few confidants, and has never excelled at the art of personal politics. After three terms as prime minister, "Netanyahu fatigue" has set in across the political spectrum and even within his own party, and some have already suggested the election is effectively a referendum on the country's leader.

And in some ways, Netanyahu really is vulnerable.

Livni and Netanyahu had clashed over a "basic law" (akin to a constitutional amendment) to reaffirm Israel's status as the nation state of the Jewish people, a bill that attracted scathing critiques from, among others, President Ruvi Rivlin (of Netanyahu's own Likud party), and his predecessor Shimon Peres. Lapid and Netanyahu clashed over measures to deal with the politically explosive issue of the high cost of living and a growing wealth gap between Israelis.

But perhaps most importantly, security issues -- especially the dramatic erosion of Israelis' sense of personal security over the past six months -- have undermined Netanyahu's position. After all, he has long prided himself on the relative calm during his years as Prime Minister. And, though hawkish, Netanyahu had been far more hesitant to go to war than some of his more dovish peers.

Yet in the aftermath of the lengthy conflict in Gaza last summer, some Israelis were disappointed with Netanyahu's decision not to topple Hamas, which strengthened the political hand of right-wing leaders like Minister of the Economy Naftali Bennett of the Jewish Home party, a former aide of Netanyahu's who left the Prime Minister's office amid acrimony, and Foreign Minister Avigdor Lieberman, another former aide and ally of Netanyahu whose relations with the Prime Minister have seen several ups and downs.

This has occurred against the backdrop of a wave of terrorist attacks against civilians, most notably a gruesome attack on a synagogue in Jerusalem, midprayer, which left five dead. A palpable sense of personal fear is apparent and, naturally, nothing motivates voters more.

All this said, this is not 1999. When then-Defense Minister Mordechai left the Likud, he joined a cascade of respected, veteran leaders who had broken with the young, brash and inexperienced Prime Minister. Fast forward to today, and it is the veteran Netanyahu, a steady hand and a known commodity (for better or worse) who is firing a brash, inexperienced Lapid in the name of proper governance. The reality is that while public opinion currently holds Netanyahu at fault for the political crisis, it remains at a loss as to who might replace him.

In general, in democracies, incumbents lose more than challengers win; when leaders are replaced it is usually because the voters are fed up with their reigning leaders. And yet, for a change of leadership, there must be a credible challenger there to pick up the pieces. Instead, today -- by attrition and political longevity -- Netanyahu has found himself seemingly alone as a major player in the political sphere.

The challenge for the opposition is therefore formidable. The Israeli public has moved to the right and, with every terrorist attack, the hawkish camp solidifies its advantage. The most likely outcome, at present, would be a new Netanyahu government with a stronger right wing and religious base, including the ultra-Orthodox parties that were shunned from this coalition at Lapid's demand. Netanyahu may even bring weakened centrist figures back into the coalition, having lost their veto power in parliament. Indeed, even those dismissed this week by Netanyahu have so far refused to promise that they will not join another Netanyahu coalition.

And yet, a Netanyahu defeat is not out of the question. He is the clear front-runner, but the campaign has barely begun, and party alignments are still unclear. Livni may well join forces with either Lapid or with Labor; a new party of former Likud minister Moshe Kahlon has yet to truly form but already shows considerable promise. In addition, several new entrants are expected in the political sphere as well, some of whom have impressive resumes in security, diplomacy and academia.

It is by now a clichÃ© to call an Israeli election the most important ever. Instead, it is most likely that the outcome will be a continuation, or even accentuation, of current Israeli policy. But with the dramatic challenges Israel faces, domestically, regionally and internationally, expect the sense of malaise in Israeli politics to deepen.

These elections may simply be a prelude to a deeper political crisis.

@highlight

Natan Sachs: Benjamin Netanyahu more vulnerable than he seems

@highlight

Poll to come after Netanyahu fired two ministers

@highlight

Growing concerns over security could hurt PM at poll: Sachs