(CNN) -- Whatever the reason for its recent spate of problems, Boeing's 787 Dreamliner won't fly again until regulators are satisfied the plane is airworthy.

Reports of fire and smoke have put the focus on the plane's cutting-edge lithium ion battery systems and grounded the fleet worldwide.

Only 50 Dreamliners are in service so far, but the airlines that bought these multimillion dollar aircraft are losing money while they sit on the ground. Big questions remain: How long will it take to get the Dreamliner back in the air? Will travelers feel safe enough to board them?

It's going to be "a big mess, cost Boeing a lot of money" and embarrass carriers that fly the 787, said aviation historian David T. Courtwright, a professor at the University of North Florida.

The Federal Aviation Administration on Wednesday ordered an emergency inspection of all U.S. 787s. United Airlines is the only U.S. carrier flying the aircraft, with six in its fleet. The airworthiness inspection will address the potential risk of battery fires. An in-flight fire aboard any aircraft is among the most dangerous aviation scenarios.

Dreamliner woes explained

Grounding a plane is rare

It's very rare for the FAA to order an entire model of airliner out of service, even for a short time. Industry observers remember that the agency grounded the entire U.S. fleet of DC-10s for 37 days in 1979. That was after American Airlines Flight 191 crashed at Chicago's O'Hare airport, killing all 271 people aboard and two others on the ground. An NTSB investigation blamed design vulnerabilities and an engine pylon maintanance procedure.

"I was just starting my career flying at Delta and had just flown out of that airport a few days before,' said Kevin Hiatt, head of the Flight Safety Foundation and a former commercial pilot. "It was a big, beautiful DC-10. It was very, very distressing,"

Several DC-10s were involved in crashes caused by maintenance, design and other issues in the 1970s and 1980s, spurring doubt about the plane's safety. The last DC-10 to carry paying passengers flew in 2007.

The Dreamliner, of course, hasn't crashed in its 15 months of service and is making its debut during a period of unprecedented U.S. aviation safety.

Nonetheless, every day that Dreamliners are grounded ratchets up the pressure on Boeing, United and other airlines that have made commitments to buy the 787s.

The battery that grounded Boeing

A time frame for flying again

So now, Boeing looks for answers. A time frame for getting back in the air is anyone's guess, but the Dreamliner could be "grounded another two weeks or two months," said John Goglia, a former member of the National Transportation Safety Board and ex-airline mechanic.

Experts will "figure out what's wrong, design a fix and build a part to fix it," said Goglia. "It's not easy."

Even if Boeing engineers get lucky and find the answer to the problem now, it might still take at least a couple weeks "to get up and running," he said.

With reports of problems continuing to plague the Dreamliner, Hiatt said the FAA didn't need to take any chances.

"They're acting with an abundance of caution," he said. "They're going to go ahead and be proactive and not have the same situation" as the DC-10.

Growing pains aren't unusual

Other aircraft, including the Airbus A380, have had problems during rollout, said University of Dayton professor Raul Ordonez, an aircraft electrical and computer engineer who spent time observing Dreamliner development at Boeing's Seattle headquarters. It's what often happens when a new aircraft is put into service.

"I know Boeing spent a lot of time testing things extensively," said Ordonez. "These are very complex systems ... and there may be problems they didn't anticipate. It's one of the most complex commercial aircraft ever."

With problems appearing in a forward electrical compartment on Wednesday's All Nippon Airlines (ANA) 787 emergency landing, aviation historian Courtwright, author of "Sky as Frontier: Adventure, Aviation, and Empire," worried the situation is more serious than simply problems confined to the aft electrical bay.

"It raises the specter of something more systemic and perhaps a defective lithium ion battery, he said.

The Dreamliner relies on electricity to power more functions than previous Boeing airliners, and that takes a lot of battery power. Lithium ion batteries replaced the traditional nickel cadmium batteries in the new aircraft. Lithium ion batteries keep a charge longer than nickel cadmium and weigh less, so the plane can save fuel.

But there are questions about using lithium ion batteries because they've never been used on an airliner to the extent that the Dreamliner uses them.

All this regulatory turbulence is part of a painful but necessary process of airline development.

"That's aviation," says airline pilot Patrick Smith of the aviation blog Askthepilot.com. "There's a certain statistical aspect that you're working with in that nothing is going to happen but the best thing is to take the plane out of service and take a time out."

CNN's Aaron Cooper contributed to this report.

@highlight

Grounding of aircraft model by regulators very rare, experts say

@highlight

The FAA grounded the DC-10 in 1979 for 37 days

@highlight

The time line for restoring service is uncertain, former airline mechanic says