(CNN) -- When trash disappears into the dumpster, where does it go?

A straightforward question for many of us, but in the Brazilian city of Belo Horizonte there's seldom a simple answer where garbage is concerned.

That's because the catadores (trash collectors) of the ASMARE cooperative are adept at transforming any old disused material into furniture, jewelry or even works of art.

"I have two jobs," explained 39-year-old collector Edimar Ferreira. "I go and collect the trash and then I transform it into art. I make small sofas, wooden benches, tables, and other plastic adornments."

"We have a phrase (at ASMARE): 'o seu lixo e o meu luxo,' (roughly translated as 'your trash is our luxury,')" he cheerily added.

See also: Brazil's middle class boom

Catadores like Ferreira are a familiar sight in towns and cities across Brazil -- a motley collection of individuals who sift through mountains of street trash or landfill to locate paper, cans, bottles, metals and other types of recyclable materials.

A 2010 estimate by the Business Commitment for Recycling (CEMPRE) association stated that there were roughly one million catadores in Brazil, although only a small number work officially for cooperatives and organizations like ASMARE.

Many are the formerly homeless, ex-convicts or individuals who have stumbled upon hard times, selling what they find to recycling companies.

Arts and crafts

In recent years, however, the cash return for many of Belo Horizonte's catadores has become too inconsistent to ensure a stable income.

The solution that ASMARE -- a professional group representing nearly 200 pickers-- came up with was to get creative with the one material they have plenty of -- trash.

Recruiting the help of local artists and volunteers, ASMARE has run an arts program for the best part of a decade where workers are taught how to transform the recyclable items they find during their daily collections.

"The art center started with the purpose of us being able to make our own carts, and then for the catadores' children to learn how to make crafts and other art pieces with the material collected," said Dona Geralda, founder and president of ASMARE.

"The main benefits are the generation of employment and income for the catadores and their children. We (have now) started to implement the culture of 'garbage that is not garbage,'" added the 63-year-old, who has herself been a catadore since she was eight.

See also: Brazil's thriving African culture

All items created at ASMARE are sold in a shop near the organization's headquarters, with profits shared equally amongst the catadores.

Combining art sales and the money accumulated from selling on recycled materials, an ASMARE worker's monthly income now averages out a respectable 1,700 Brazilian Reais (about $800).

Branching out

Yet although it was one of the first to introduce creative programs (as well as claiming to be the first catadore cooperative in Brazil), the Belo Horizonte outfit is far from alone in its aesthetic endeavors.

Other organizations and artists have adopted similarly imaginative tactics in undertaking creative projects with catadores in recent years.

In Sao Paolo, a street project called "Pimp My Carroca" has been adding colorful graffiti to the wooden carts used by many catadores since last summer.

The 2010 Oscar-nominated film Wasteland documented the catadores of Rio de Janeiro's now closed Jardin Gramacho landfill as they became subjects of works by the Brazilian artist Vik Muniz. The artworks eventually sold for tens of thousands of dollars each.

See also: Does Brazil deserve its B for BRIC

According to Mauricio Soares, an artist who heads the ASMARE creative program, helping catadores to produce art is about much more than just the obvious financial or creative benefits.

"In Brazil the catadore is often discriminated against because of their origin," Soares said.

"Therefore, linking art to recycling allows them to go to places that they have never been before and they end up having better acceptance because their creative work gives them a good visibility," he added.

Recycling attitudes

Soares also sees the potential to promote the possibilities of recycling across the country.

"Art through recycling aims to arouse people's consciousness to think about what trash is or is not," Soares said. "This new consciousness will help us to promote waste reduction.

"When people see a recycled art piece, for instance, on a woman's neck they may begin to understand that it is not (just) trash," he added.

See also: Send us your favorite pictures of Brazil

This is something that Ferreira strongly agrees with. He points to what he has learned since he began the ASMARE program two years ago as an example of how attitudes to trash can change.

"This experience has made me look at recycling in a different way," he said.

"There are materials that I used to throw away that now I keep, because I can already envision making some nice piece with it later. I don't see the material only as trash anymore."

@highlight

Catadores are waste collectors who pick through trash to source recyclable materials

@highlight

There are an estimated one million catadores across the country

@highlight

The ASMARE organization is transforming recyclable materials into works of art