(CNN) -- Although most Swedes would be too modest to say so themselves, Stockholm can stake a decent claim to being the capital of Scandinavia.

Built on 14 islands, Stockholm seems to float on water.

Built on 14 islands where Lake Mälaren meets the Baltic Sea, Stockholm is a soft-hued vision of light and water, the bewitching start to an archipelago of some 24,000 islands and islets.

Sweden's neutrality during World War II means Stockholm was spared the bombing inflicted on most European capitals; the result is the unspoiled old town of Gamla Stan, with its winding, cobbled streets.

Despite a post-war building blitz that saw the construction of some particularly uninspiring modernist architecture, it is a city where gray concrete facades are largely eschewed in favor of a smorgasbord of pastel colors, rusty reds and glowing ochres.

For a capital city it's unusually green -- not just leafy and dotted with verdant parks, but environmentally sound. Stockholm proper has a population of just 800,000, avoiding the congestion and pollution that plague larger cities -- so much so that you can fish from, and swim in, the waters surrounding the city center.

Cold and sometimes bleak during its long, dark winters, Stockholm comes alive during the summer, when the Scandinavian sun barely sets. As temperatures rise the city's cafe culture blossoms, only for Stockholm to become a ghost town during July, when the locals make the most of their generous holiday entitlement and slip off to holiday cottages in the archipelago.

But beyond its historic heart Stockholm is a progressive, evolving city. Its financial fortunes grew with the mid '90s IT boom and shrank when the dotcom bubble burst, but it remains a hotbed of technology and communications companies.

Watch ABBA's Bjorn Ulvaeus take CNN on a tour of Stockholm »

Around 20 percent of the residents of greater Stockholm are of foreign descent, giving a sense of cultural diversity -- not to mention some welcome variety to the city's thriving restaurant scene.

Despite Sweden's largely anti-EU stance, Stockholm is cosmopolitan and outward looking, with a keen eye for the latest international trends. Its shops are filled with the latest in functional, minimalist Swedish design and there are enough boutiques boasting hip New York brands and cool Swedish labels to indulge Stockholmers' obsession with style. It's also the city where Swedish global exports H&M and IKEA have their flagship stores.

For all its picture-postcard pleasantness and progressive civic planning, Stockholm can seem a little sterile. It's not the kind of place likely to be described as "edgy."

Stockholmers themselves can come across as standoffish, but that's not say that they are unfriendly -- just politely reserved. Small talk is regarded with a certain suspicion meaning the locals can be hard to get to know, but it's amazing what a difference a couple of glasses of akvavit can make.

Puritan legal regulations mean that high-alcohol drinks (that's anything with more than 3.5 percent alcohol) are heavily taxed and can only be bought in bars and government-run "Systembolaget" shops. The result is that a night on the town is expensive enough to make anyone teetotal, with Stockholmers often avoiding midweek drinking, saving their krona for weekend partying.

But what Stockholm lacks in grit it more than makes up for in style. From its artfully designed coffee shops to the classic contours of its baroque and rococo buildings, this island city is endlessly pleasing to behold, especially when viewed from the water that flows like blood through its veins.

@highlight

From artfully designed cafes to baroque buildings, Stockholm exudes cool

@highlight

The island city has dubbed itself the capital city of Scandinavia

@highlight

City blossoms in the summer when temperatures rise and sun barely sets

@highlight

Influx of immigrants has added new dimension to city's gastronomic scene