(CNN) -- Language experts weighed in Thursday after poring over the nearly 2,700 words of President Obama's Oval Office speech on the Gulf oil disaster.

"It was straightforward and easy to understand," said Ron Yaros, assistant professor at the Philip Merrill College of Journalism at the University of Maryland, referring to the explanations of the crisis and its possible solutions. He divided the speech into 1,200 "idea units," each of which represents a point the president was trying to make.

He then looked at how many of those idea units contained jargon -- unexplained terms that the average person might not recognize -- and found none in the 65 idea units that explained the problem.

Of the 417 idea units that discussed what Obama planned to do, "I found only one idea unit that probably would be potentially confusing to a nonexpert. That was the term 'relief well.' He never explained that."

BP is digging a relief well that is expected to intersect with the blown-out well in August. At that point, BP plans to pump heavy drilling fluid into the runaway well, ending the flow.

"If you look at the entire speech, and you look at the amount of jargon, it came out to 1.5 percent," he said.

iReporter:Obama's speech too fuzzy on details

But Obama's speech may have gone over the heads of many in his audience, according to an analysis of the 18-minute talk released Wednesday by Paul J.J. Payack, president of Global Language Monitor.

Tuesday night's speech from the Oval Office of the White House was written to a 9.8 grade level, said Payack, who gave Obama a "solid B." His Austin, Texas-based company analyzes and catalogues trends in word usage and word choice and their impact on culture.

He singled out this sentence from Obama as unfortunate: "That is why just after the rig sank, I assembled a team of our nation's best scientists and engineers to tackle this challenge -- a team led by Dr. Steven Chu, a Nobel Prize-winning physicist and our nation's secretary of energy."

"A little less professorial, less academic and more ordinary," Payack recommended. "That's the type of phraseology that makes you [appear] aloof and out of touch."

Yaros disagreed, supporting the quality of the president's explanation for spelling out the efforts under way, even if they have not succeeded in ending the flow.

"He's just trying to be transparent," Yaros said. "We can't cure cancer, but I'm comforted to know that the best researchers in the nation are devoted to finding a cure."

Payack found these three sentences insensitive: "Already, this oil spill is the worst environmental disaster America has ever faced. And unlike an earthquake or a hurricane, it is not a single event that does its damage in a matter of minutes or days. The millions of gallons of oil that have spilled into the Gulf of Mexico are more like an epidemic, one that we will be fighting for months and even years."

"You shouldn't be saying that in Katrina-land," said Payack, referring to the 2005 hurricane that devastated the Gulf Coast. "New Orleans lost a third of its population [to evacuees who did not return]; it's still recovering."

But he praised Obama's phrase "oil began spewing" as active and graphic.

Obama's nearly 10th-grade-level rating was the highest of any of his major speeches and well above the grade 7.4 of his 2008 "Yes, we can" victory speech, which many consider his best effort, Payack said.

"The scores indicate that this was not Obama at his best, especially when attempting to make an emotional connection to the American people," he added.

Though the president used slightly less than four sentences per paragraph, his 19.8 words per sentence "added some difficulty for his target audience," Payack said.

Mark Liberman, a linguist at the University of Pennsylvania, was unimpressed with Payack's criticism of the sentence length.

"I think we can all agree that those are shockingly long professor-style sentences for a president to be using, especially in addressing the nation after a disaster," Liberman wrote on his blog.

"Why, they were almost as long as the ones that President George W. Bush, that notorious pointy-headed intellectual, used in his 9/15/2005 speech to the nation about Hurricane Katrina, where I count 3,283 words in 140 sentences, for an average of 23.45 words per sentence! And we all remember how upset the press corps got about the professorial character of that speech!"

Yaros challenged the value of Payack's analysis. "There's a tremendous amount of difference between analyzing the written word and interpreting the spoken word," said Yaros, a former science reporter who studies how to make complex topics understandable.

Payack acknowledged Thursday in a telephone interview that his analysis is indeed based on a written version of the speech, but said that does not necessarily render it invalid. "With the internet, probably as many people read the transcript as heard it," he said. "To think it's not read and analyzed by tens of thousands of bloggers is looking at the old model."

Yaros countered that he doesn't just count words and sentences, but instead measures the audience's comprehension of news content.

Liberman said the "grade level" calculation had been debunked as "a mindless bit of math" that does not take into account the skill with which words were chosen or delivered.

Yaros, too, declined to rank the speech by grade level. "In my opinion, placing a 'grade level' on 2,698 written words that are spoken (with a variety of delivery aspects such as pauses, emphases) does NOT accurately represent the importance of clear explanations about the KEY information presented in the speech," he said in an e-mail.

"In other words, I could confuse you with my introduction and conclusion, but if -- in the middle of my talk -- I specifically addressed and answered your concerns, then I have adequately communicated what you CARED about."

@highlight

Nearly 2,700 words with little jargon

@highlight

People understand spoken and written word differently

@highlight

Payack gives Obama "Solid B"