Simferopol, Ukraine (CNN) -- Hostilities intensified in Crimea on Saturday as Ukrainian officials accused pro-Russian forces of armed aggression and President Barack Obama rounded up world leaders to demand Russia "de-escalate the situation."

Obama called British, French and Italian leaders and hosted a conference call with the presidents of Lithuania, Latvia and Estonia, the White House said.

"All of the leaders agreed on the need for Russia to pull its military forces back to their bases, allow for the deployment of international observers and human rights monitors to the Crimean peninsula, and agree quickly on the formation of a contact group that could lead to direct dialogue between Ukraine and Russia to de-escalate the situation and restore Ukraine's sovereignty and territorial integrity," a White House statement said.

They also rejected a proposed referendum in Crimea on whether it should rejoin Russia "as a violation of Ukraine's constitution," the White House said.

"The leaders made clear that Russia's continued violation of international law will isolate it from the international community," the White House said.

Secretary of State John Kerry phoned Russian Foreign Minister Sergey Lavrov on Saturday and issued a diplomatic ultimatum, according to a senior U.S. administration official.

"He made clear that continued military escalation and provocation in Crimea or elsewhere in Ukraine, along with steps to annex Crimea to Russia would close any available space for diplomacy, and he urged utmost restraint," the official said.

Kerry said the United States is ready to work with allies to facilitate a Ukraine-Russia dialogue, the official said.

French President Francois Hollande said he and Obama "discussed the need for Russia and Ukraine to find a peaceful exit from the crisis and to fully restore the sovereignty and territorial integrity of Ukraine," Hollande's office said.

Tense in Crimea

Meanwhile, Ukrainian officials charged that pro-Russian forces comprised of 100 armed men reportedly took control of a military office in the Crimean regional capital, Simferopol.

The men, equipped with automatic weapons, say they belong to the Crimean self-defense forces, Vladislav Seleznyov, the head of the Ministry of Defense media office, said on his Facebook page.

A CNN team that visited the scene said it appeared calm. Armed, masked men were at the entrance, and Russian flags were being painted on the gates. Those questioned declined to say what was happening inside.

Amid signs that the tense standoff of the past week is growing more volatile, Russian troops also stormed a Crimean border control point at Schelkino, near Kerch, early Saturday, seizing the armory and driving the officers' families from their living quarters, Ukraine's border service said.

Meanwhile, a light plane belonging to Ukraine's State Border Protection Service was fired upon Saturday afternoon while flying over the Crimean border from Armyansk, the service said.

"The aircraft crew recorded shooting aimed at the plane. The extremists opened fire with automatic weapons. The pilots made a sudden maneuver, descended to the minimal height and, with accelerated speed, changed the course," the border guard service said.

The plane landed at its base, with no damage and no injuries to the crew, the service said.

It blamed "Russian armed aggressors" for targeting the plane, which has no weapons.

Armed men have now refused for three consecutive days to allow military observers from the Organization for Security and Co-operation in Europe, or OSCE, to enter the Crimea region.

The observers are returning to the southern Ukrainian city of Kherson to plan their next steps after being denied entry at the Armyansk crossing point Saturday, the OSCE said.

The OSCE said shots were fired in the air when a group of people wearing balaclavas approached the checkpoint ahead of its party.

A convoy of military vehicles, believed to be carrying Russian soldiers, traveled through Simferopol on Saturday, heading toward the border post at Armyansk, a spokesman for the Ukrainian Ministry of Defense told CNN.

Armyansk is one of the key main access points between southern Ukraine and Crimea, and the Ministry of Defense is trying to find out if the convoy will stop there, said Vladislav Seleznev, the Crimean press secretary for the Ministry of Defense.

Poland evacuates consulate

The crisis in Crimea began about a week ago, when pro-Russian troops quietly took effective control of the region.

Since then, tensions have flared between Moscow and Kiev over the Black Sea peninsula, while the world's diplomats have urged that conflict be avoided.

Earlier Saturday, Moscow accused the OSCE, a regional advisory group, of hypocrisy.

First, condemn violence by demonstrators in Kiev that led to the ouster of Ukraine's former President Viktor Yanukovych, the foreign ministry said, according to state-run news agency RIA Novosti. Then talk about Crimea.

"Some OSCE members and executive bodies have acted in the worst traditions of double standards while dealing with the situation in Ukraine," the ministry reportedly said.

Amid mounting tensions, Poland has decided to pull staff from its consulate in Sevastopol, the Crimean port city where Russia has a large naval base.

Polish Foreign Minister Radoslaw Sikorski tweeted, "Because of continuing disturbances by Russian forces there, we have reluctantly evacuated our consulate."

Russian demands

Earlier Saturday, Lavrov insisted Russia was not militarily involved in the standoff in Crimea.

"We are ready to continue dialogue, with the understanding that the dialogue will be honest and a partnership, and without attempts to cast us as a party to the conflict -- which is what a few of our partners are trying to do now. This crisis was not created by us," he said.

That dialogue might not include Ukraine's new interim government, whom Lavrov criticized.

"The current government is dependent on the radical nationalists who seized the power," he said. "Even our Western partners know what they are like. They visit Ukraine often. But they try to hide the facts."

The aim of dialogue would be the implementation of a deal agreed upon on February 21, Lavrov said, when Yanukovych was still in power. This envisaged fresh elections, constitutional reform and the disbanding of illegal armed groups.

Ukrainian authorities and Western powers have said there are Russian troops on the ground in Crimea, despite the Kremlin's denials.

The interim government was voted in by a large majority in Ukraine's parliament, including members of Yanukovych's own Party of Regions, after he fled the country for Russia following bloody street protests. Protesters were angry over his rebuff of a trade deal with the European Union in favor of one with Russia.

Ukraine: Let observers into Crimea

Ukrainian Acting Foreign Minister Andrii Deshchytsia urged Moscow on Saturday to pursue diplomacy, not violence.

"We cannot afford to let anybody die in this conflict," he said.

Ukraine will continue down a diplomatic path, he said, and will not respond to Russian "provocations."

He urged Russia not to block international organizations like the OSCE and United Nations from sending observers into Crimea.

Live: Ukraine crisis updates

Russia says the armed men who have taken control of key sites in Crimea are local self-defense forces.

Map: How Ukraine is divided

Crimea, a self-governing region in southern Ukraine with an ethnic Russian majority and strong cultural ties to Russia, has become the epicenter of a battle for influence between Moscow, Kiev and the West since Yanukovych was pushed out of office.

Complete coverage on the Ukraine crisis

Russian fears

Anton Fedyashin, executive director of the Initiative for Russian Culture and a professor of history at American University, told CNN that Russia had nothing to gain from the current tensions in Ukraine.

"There is no advantage for Russia to stoke this instability," he said. "A lot of it is instability that is born of the great cultural, ethnic and now political divisions that are on the ground."

While most Ukrainians do not want to be allied solely with either Russia or Europe, he said, Moscow is definitely concerned by Kiev's turn toward the West.

"The great Russian fear right now is that Ukraine, in the guise of being incorporated economically into Europe, is slowly incorporated into the NATO alliance," he said.

"Ultimately, of course, Russians are concerned about their Black Sea Fleet in Sevastopol. This explains their very harsh and highly risky reaction, and the presence of what seem to be Russian forces in the Crimea."

Russian speakers make up about 60% of Crimea's population of more than 2 million, but around a quarter are Ukrainian and 12% are Crimean Tatar, a predominantly Muslim minority. Neither of the latter two groups would welcome a switch to Russian control.

President Obama has proposed a potential solution to Putin that would include direct talks between Kiev and Moscow and the replacement of Russian forces with international monitors to protect the rights of ethnic Russians.

International Women's Day

Women in Ukraine are typically celebratory during International Women's Day, held Saturday, but not this year.

The military tensions have cast a pall over the day, said Maia Mikhaluk, a CNN iReporter in Kiev.

"Usually it's a celebration that symbolizes the beginning of spring. But right now it's hard to get into any kind for festive mood," Mikhaluk said. "The most common wish when people congratulate women with Women's Day today is a wish for peace in our country."

In Simferopol, women voiced opposition to the pro-Russian Crimean government and advocated the peninsula remaining as part of Ukraine.

Asset freezes, visa bans

The West has also offered financial support to the fledgling government in Kiev.

Ukraine's new government and the EU have agreed to revive a trade deal and an aid package that could bring $15 billion to Ukraine.

Such aid is desperately needed.

Russian energy giant Gazprom has not received any payment from Ukraine in February -- and cannot supply natural gas for free, the company's CEO Alexey Miller said, according to Russian state news agency Itar-Tass.

If Gazprom cut off gas supplies to Ukraine, as it did during a dispute in 2009, then European nations could also suffer shortages, since major gas pipelines pass through Ukraine on their way from Russia to Europe.

In Crimea: 'We will protect our land from Western extremists'

Ukraine PM: Crimea 'was, is and will be an integral part of Ukraine'

CNN's Matthew Chance reported from Simferopol, and Laura Smith-Spark wrote from London. CNN's Anna Coren in Simferopol, Kellie Morgan in Kherson, Tim Schwarz in Kiev, Alla Eshchenko in Moscow, Bharati Naik, Chelsea J. Carter, Yon Pomrenze and Michael Martinez also contributed to this report.

@highlight

NEW: John Kerry tells Russia its continued escalation "would close ... space for diplomacy"

@highlight

Obama rounds up world leaders to demand Russia "de-escalate" crisis

@highlight

Russian troops seized a Crimean border control point, Ukraine border service says

@highlight

Amid disturbances, Poland evacuates its consulate in Sevastopol, Crimea