(CNN)It's hardly surprising that the recent crash of an unmanned aerial vehicle, or drone, on the grounds of the White House has sparked debate about the future of the technology. But although this intrusion is the one that has made national headlines, it's far from the first over the past 12 months.

Last year, for example, the Federal Aviation Administration fined a man for crashing a drone in Manhattan, narrowly missing pedestrians. Also in 2014, the National Park Service banned the use of drones in parks. And in Washington, the FAA reported nearly 200 drones sighted near other aircraft or restricted buildings.

Such incidents generally lead anti-drone activists and some politicians to lambaste the drone industry for violating our privacy. Others use such events to highlight how terrorists and criminals could use drones to wreak havoc. But while there are elements of truth in these claims, and while the challenge of handling this increasingly widespread technology should be taken seriously by state and federal authorities, the government does in fact have it within its power to regulate this new and exciting technology with which many Americans have also fallen in love.

According to current FAA rules, no commercial or government organizations (including universities and other research agencies) can fly any drone of any size outside, not even 1 inch above the ground, without special authorization, something that is difficult and time-consuming to obtain.

However, in an almost "Alice in Wonderland" reality, hobbyists and recreational users with virtually no training or aviation knowledge are allowed to fly drones under 55 pounds in unrestricted airspace under 400 feet. In practice, this means that any recreational user can buy a drone from the Internet and fly it with no training or experience, while an aviation drone expert with thousands of hours of training is not allowed to fly that very same drone over a field to take images of ailing crops to pinpoint infestations.

The FAA has been under fire from both Congress and various commercial enterprises to revamp these rules. Indeed, under the FAA Modernization and Reform Act of 2012, Congress ordered the FAA to begin licensing commercial drones by 2015, and the FAA has repeatedly said it will soon produce a proposed rule for small UAVs.

An early draft of these rules obtained by The Wall Street Journal reportedly will require operators to have formal pilot training and licensing in addition to flying only during the day and only in direct line of sight.

But there are numerous problems with these proposed changes.

For a start, there's the requirement that all drone operators must get private pilot licenses. While no doubt a boon to struggling flying clubs around the country, there is little evidence to suggest that a person with experience flying inside an aircraft has the necessary skill set to fly a drone remotely, especially where the autopilot is doing the flying and human skill cannot recover a damaged aircraft.

Interestingly, the FAA's researchers conducted a study 10 years ago that showed formally trained military pilots of manned aircraft make more mistakes when controlling UAVs than do operators who learn to control drones without any hands-on flight experience.

This may sound counterintuitive, but it's known as negative transfer of training, and is well-known to the human factors community -- pilots of manned aircraft learn to rely on a completely different set of visual and aural cues that simply do not exist for operators of drones. This means that video gamers and air traffic controllers will in many cases likely make better drone pilots than actual pilots since their skill sets more closely align with the task of remotely supervising an aircraft.

Moreover, restricting such flights to daytime hours and only in line of sight, as has been suggested, wipes out important growth industries for drones such as delivery of medical and other supplies.

These new rules, if approved, will not only further stifle the emerging U.S. drone industry, which promises to infuse money and jobs into local communities, but will also allow other countries to overtake the U.S. lead quickly. Amazon's new Prime Air, for a start, would likely have problems conducting business in this country, at a time when France has recently announced its national postal service will be conducting drone operations in the near future.

And in its recent unveiling of Project Wing, another potential drone delivery service, Google X conducted its testing and flight demonstrations in Australia, which is known for its more drone-friendly policies.

Ultimately, the key question is whether more streamlined and coherent FAA policies could have prevented incidents such as the drone crash on the White House lawn. And while people with nefarious (or fraternity prank) intent will likely ignore whatever laws are on the books, training for all drone users tailored specifically to unmanned systems would almost certainly mean fewer such incidents.

That said, requiring operators of small drones to obtain expensive and marginally useful private pilot ratings, in excessively constrained flight conditions, will only ensure that the average drone pilot will ignore the regulations.

The challenge drones pose is a very real one, and if we want to reduce the chances of public harm, the FAA and other bodies will need to step up. But they also need to be smart about it. Knee-jerk reactions will only hamper America's ability to adapt to the technology -- and it will do nothing to keep us safer.

@highlight

The crash of a small drone on White House grounds made headlines recently

@highlight

Mary "Missy" Cummings: FAA must outline clear regulations on drones