(CNN) -- "The International Olympic Committee has the honor of announcing that the 23rd Winter Olympic Games in 2018 are awarded to the city of Pyeongchang."

The date was July 6, 2011. The speaker was International Olympic Committee (IOC) President Jacques Rogge.

It might have been third time lucky for the South Korean city, having lost narrowly to Vancouver in 2010 and Sochi in 2014, but the name of Pyeongchang probably had many of us reaching for an atlas.

Important point: it should not be confused with Pyongyang, the North Korean capital.

'Korea's Alps'

Located approximately 113 miles (182 kilometers) southeast of Seoul, in the spectacular southern part of Gangwon Province, Pyeongchang sits at 700 meters above sea level in one of the most rugged, mountainous regions of the country, an area often referred to as "Korea's Alps."

It seems like a reasonable choice. South Korea also has previous Olympic form -- though admittedly of the summer variety (Seoul 1988).

It's also arguably a less puzzling choice than Sochi, a crumbling Soviet-era beach resort on the Black Sea coast -- ironically one of the few places in Russia where snow is actually scarce. The looming Caucasus Mountains nearby were not exactly known for snow sports either, so virtually everything -- from competition venues to road and rail links -- had to be built from scratch.

15 top Sochi moments

Yet the Sochi games went reasonably well -- from a sporting perspective at least. The action was at times exhilarating, visitors overcame hotel horror stories, and the security threat from extremists never materialized.

Yet critics will point to the $50 billion price tag -- the largest ever for a summer or winter Olympic Games -- and protests against Russia's human rights record and its stance on gay rights. The sight of the Pussy Riot punk group being attacked with whips and teargas by Cossack militia making headlines across the world would have made President Vladimir Putin wince.

'Flat-pack' games

The 24th Winter Olympic Games promises to be much less controversial.

It also won't have Sochi's "flat-pack" construction feel as Pyeongchang already boasts established infrastructure, with six major ski resorts, including Alpensia, Pheonix Park and High1, making it one of the country's top skiing and snowboarding destinations. Pyeongchang was also the site of South Korea's first official ski resort in 1975.

Russia's Sochi gold rush - paradise lost, or found?

Seven of the 13 competition venues required by the IOC, including those for cross-country skiing, ski jumping and biathlon, are already in place, while snow is less likely to be concern as the region typically experiences heavy winter snowfall -- something that organizers in Sochi and Vancouver could not be as confident about.

Unseasonably mild temperatures bedeviled the Canadian host city in 2010, disrupting many of the ski events. Fearing similar problems, organizers at Sochi stockpiled huge amounts of snow from the previous season.

Olympic legacy

Yet the South Korean government won't be sitting on their hands either, as it seeks to turn this area into a world-class winter sports destination well beyond 2018.

It currently takes more than three hours by road from Seoul to reach Pyeongchang -- a journey that will shorten to just 50 minutes when a new high-speed rail network opens in 2017.

Last month, the South Korean government unveiled a comprehensive plan to develop the city and the surrounding areas in Gangwon Province.

Designating the region of some 27.4 square kilometers as a special district, the government announced plans to invest 3.3 trillion won (US$3.1 billion) by 2032 to turn it into "a mecca of winter sports and a major tourist destination," according to the prime minister's office. Most of this investment will be made by 2018 to host a successful Winter Games, it added.

Stressing the importance of preventing any waste of resources after hosting international events, Prime Minister Chung Hong-won told the Yonhap news agency: "(The plan) should be aimed at a continued regional development after a successful hosting of the Pyeongchang Olympics."

Pyeonchang's 2018 destiny was never really in doubt, as it won the right to become the first Asian city outside Japan to host the Winter Olympics. It comfortably beat off the challenge of two other bid cities: Munich in Germany, and Annecy in France.

Had it won, Munich would have been the first city to host both the Summer and Winter Olympics. The city attracted the Summer Games in 1972. Annecy, meanwhile, met with many difficulties in its bid for the 2018 nomination, including a small budget and change in leadership on the bid committee.

@highlight

Third time lucky for Pyeongchang, which lost out to Vancouver in 2010 and Sochi in 2014

@highlight

Located southeast of Seoul in an area known as "Korea's Alps"

@highlight

Many of the required venues already in place as Pyeongchang is an established destination

@highlight

Government plans to invest heavily in region, including high-speed rail link with capital