(CNN) -- On Tuesday, President Barack Obama pledged $263 million to procure body cameras and training for up to 50,000 police officers. On Wednesday, a grand jury declined to charge the New York Police Department officer whose chokehold contributed to the death of Eric Garner -- an incident captured in full on video. Unsurprisingly, Thursday brought cries of "what's the use?" After all, an officer walked even though there is a video of the killing.

So, body cameras must not make any difference, right?

Wrong. The fact is that even though the grand jury decided not to charge Officer Daniel Pantaleo over Garner's death, having a video of the incident has still had a huge impact -- without the video, the story wouldn't be leading the headlines, and protesters wouldn't have assembled to demand change.

Also, the video of Garner's arrest came from a cell phone, not from a police body camera. Would Pantaleo have used a banned chokehold if he knew his supervisor would be reviewing video of the arrest? Probably not. A body camera might therefore have saved Garner's life.

People act better when they know they're being watched -- or recorded. Cops act better, and the people they encounter on the street are more cooperative. A study commissioned by the Police Foundation in 2012, for example, found that cops with body cameras were involved in far fewer use of force incidents than cops without.

Opinion: Are police body cams really the answer?

That same year, I praised Daytona Beach (Florida) Police Chief Michael Chitwood for his decision to fund and deploy body cameras for many of his officers, and the footage captured has helped me in cases I have handled. And, taking a broader perspective, the transparency inherent in such a program has also helped instill more trust among residents of the city.

"The cameras help defuse some of the tensions that might come up during encounters with the public," Chitwood said. "I think that 98% of the time, cameras help improve relationships with the community."

We should also be careful not to draw too many conclusions about the ineffectiveness about video cameras simply because there was no indictment in New York. Remember, the 23-person grand jury in the Garner case saw more than just the video; they reportedly heard from 50 witnesses and pored through 60 exhibits (including other video) that the rest of us haven't seen. It's very possible, therefore, that while Pantaleo's actions were improper, they weren't technically illegal in this case.

And that raises what may be one of the biggest issues to come from all this -- our existing laws and police policies may be unjust. Through our elected officials, we tell police officers when it is appropriate to use force, and we've told police they can use physical force to make an arrest, even for misdemeanors. We've also told police they can use deadly force to stop a dangerous fleeing felon. If we feel such standards on the use of force are unjust -- or that they are not being applied equally for all people, regardless of race -- then we need to demand that our elected leaders change these laws.

But we cannot correct injustice if we cannot see it. Gandhi said that we "must make the injustice visible," and that may be the real value of body cameras in policing. Body cameras have the potential not only to expose when cops break the rules, but they will also help expose laws that are unjust.

Law enforcement, for their part, should not see body cameras as a threat, because they might well also show us that when cops have to make life or death decisions, they usually get it right. But that raises a point that is often lost when we are debating the actions of individual officers -- cops are not a gang of miscreants, waiting to murder and scheming to deny civil rights.

Police officers have taken on one of the most dangerous jobs in our society. They protect citizens from other citizens, and they face the delicate task of balancing the rights of the aggrieved with the rights of the accused. Of course, we could make a blanket change to the laws and tell cops not to make arrests over misdemeanors. But if you own a business, you may quickly find that this means open season for your stock. And we could tell cops not to chase fleeing felons. But if burglars simply have to run from police to escape justice, then there will be a lot of criminals on the loose. Finally, we can tell our police officers never to draw their weapon unless drawn upon. Yet then we would be telling them to put their lives at even greater risk even as they are out there trying to protect ours. Constrain police too much, and remove their ability to exercise good judgment, and the about a dozen cops left willing to do the job will be ineffective -- and every criminal will know it.

This isn't to suggest that the Pantaleo incident doesn't highlight how we need better trained cops with a community-based focus of law enforcement. But if we are to make the changes necessary then we must also accept that making some of the changes required is expensive -- the President's pledge of $263 million for 50,000 cameras, for example, is only a fraction of the more than 700,000 officers in the country.

Ultimately, we must be willing to dig deep, because if we want a free and safe society, we have to be willing to pay for it.

@highlight

Mark O'Mara: People act better when they know they're being watched

@highlight

O'Mara: Grand jury in Garner case saw more than just the video

@highlight

He says police officers have taken on one of most dangerous jobs in society