(CNN) -- The 30-mile highway from Kifri to Tuz Khurmatu in northern Iraq is a no-man's-land dotted with motley gatherings of thousands of displaced families, caught between the cruelty of ISIS forces and targeted by militias backed by Iraq's government.

In August, these people lived in towns around Tuz and Amerli, at the epicenter of fighting in which the militias, Iraqi security forces and Kurdish Peshmerga, assisted by U.S.-led airstrikes, supposedly drove ISIS forces (ISIS calls itself the Islamic State) from the area. No one stayed to protect civilians from the aftermath; their homes were looted and burned by militias, they say, after ISIS pulled out.

Now, several thousand families from this region, about 90 kilometers south of Kirkuk, are eking out an existence in makeshift shelters along the road, caught between contested territory and the mountains leading to the relative safety of Iraq's Kurdish region. At a defunct chicken factory, I met some 40 families who said they had been living there for two months without a visit, let alone any assistance, from humanitarian organizations or government officials.

Despite warnings from international aid agencies about deteriorating conditions for people displaced by conflict in other parts of Iraq, these communities have been overlooked. Their current residences -- the chicken factory, a school, makeshift tents -- are too dangerous to visit, according to representatives of local humanitarian organizations.

A woman named Shahlaa says that like many of the people forced from the towns around Tuz and Amerli, she was displaced twice: first when ISIS entered her town and warned of an impending battle, and then when militias attacked the village to which she had fled with her husband and three small children.

"We didn't get to stay there very long," Shahlaa said of the village. After a week she saw dozens of SUVs, armored vehicles and pickup trucks approaching. She watched, terrified, as "so, so many" pro-government militiamen dressed in black piled out carrying automatic weapons. "They started shooting in the air and at the ground, they just wanted to scare us out of there," she said.

But the militia leniency didn't last very long. After driving ISIS fighters from the area between Kifri and Amerli, the militias began looting and burning homes. Families described how, after running for their lives, they sat on a hillside overlooking their towns and watched them burn.

They are not alone. Militias have emptied almost 80 towns of their Sunni residents, a sheikh in Kirkuk told me. Other sheikhs, security and government officials, and some of those displaced have said the same. Yet none of the displaced from these towns has received aid, he said. The sheikh said that militiamen forced him out by setting fire to his home and scrawling their unit names on his walls well after ISIS had left the area: the Badr Brigades, Saraya al-Salam, Kita'ib Hezbollah, and Saraya al-Khorasani. These are all powerful Shia militias with high-level representatives in Iraq's government.

At the chicken factory, Shahlaa gestured to the industrial equipment in a small room where she sleeps alongside 16 relatives. "Look at where we're living," she said in disgust. The area is particularly windy and rains have become heavier as winter approaches. "When we left, we barely had time to take anything with us; we're sharing blankets," she said. "We're running out of food and water and we're running out of money. How will we survive the winter?"

Not only are these displaced families exposed to the elements, but they also are still caught perilously between ISIS and the militias. One man living in a makeshift camp nearby told me militiamen picked him up a couple of days earlier but released him "because they decided I was too old." But many of his neighbors remain detained, he said.

Recently, the United Nations humanitarian agency, the Office for the Coordination of Humanitarian Affairs, or OCHA, launched a plan to help displaced persons in Iraq, requesting $1.6 billion and noting that "early contributions [are] essential with the onset of winter." But even if it raises funds, it is unlikely that OCHA or its humanitarian partners will be able to reach the people who most desperately need help in time to save them. The U.S. and Iraqi governments are supporting displaced people in relatively safe areas, but will they be able to reach the 40 families I met -- or others in hazardous conditions -- in time to save them from freezing or starving to death this winter?

Given that the Iraqi government and U.S.-led coalition created the conditions these people are living -- by attacking their areas and often leaving them to the mercy of the militias -- the same governments should now step in to facilitate humanitarian access, lest history makes their "liberation" operation look more like a pathway to a massacre.

As I left the chicken factory, children swarmed around me, giggling and wanting to show me how they slept like chickens packed into a room. As much as I wanted to, I couldn't spare the time. I had already stayed dangerously long and the risk that someone hostile to my presence had noticed -- whether ISIS or a militiaman -- was just too high. I left the factory and its tenants behind, just as they remain out of reach and abandoned by the international community, the authorities in Baghdad and the Kurdistan Regional Government.

@highlight

Conditions are deteriorating for many displaced in Iraq, says Erin Evers

@highlight

Governments should facilitate humanitarian access, Evers says

@highlight

OCHA has launched a plan to help displaced persons in Iraq, she says