(CNN) -- Around the world, city-defining skyscrapers are pushing the limits of technology and engineering.

The best part -- many of them are home to luxury hotels, giving travelers the chance to check in, look down and soak up the cities below.

The Ritz-Carlton, Hong Kong

Sitting atop the 488-meter International Commerce Centre building in Hong Kong's Kowloon District, The Ritz-Carlton, Hong Kong is currently the proud owner of the World's Highest Hotel Suite record from Guinness World Records.

Each of the hotel's 312 rooms includes a telescope, so guests can take advantage of the views (smog depending), or take in the city while swimming laps in the world's highest swimming pool.

Even if you aren't a guest at the hotel, consider popping up to Ozone -- the world's highest bar, of course -- where cocktails and Asian tapas are served among marble, wood and leather furnishings.

The Ritz-Carlton Hong Kong is on floors 102-118 of the International Commerce Centre, 1 Austin Road West, Kowloon, Hong Kong; +852 2263 2263; rooms start at HK$6,000 (US$770) a night for a deluxe suite, rack rate; presidential suite is HK$100,000 per night; www.ritzcarlton.com

Park Hyatt Shanghai

Occupying the 79th to 93rd floors of Shanghai's tallest building, the 492-meter, bottle-opener-shaped World Financial Center, Park Hyatt Shanghai was the world's highest hotel until being overtaken by The Ritz-Carlton Hong Kong in 2011.

Designed by Kohn Pedersen Fox of New York, the Park Hyatt Shanghai has a minimalist, cocoon-like feel.

On a clear day the Park Hyatt Shanghai's views are unbeatable, particularly the toy castle appearance of the colonial-era buildings lining the opposite side of the Huangpu River.

Since opening in 2008, the 174-room hotel has gained a reputation for its dining and nightlife options, with Wednesday evening Ladies' Nights (sparkling wine served free to women) a local favorite.

The Park Hyatt Shanghai is on floors 79-93 of the Shanghai World Financial Center Tower, 100 Shiji Da Dao, near Dongtai Lu, Lujiazui; +86 21 6888 1234; rooms start from RMB 3,000 (US$480) for a Park King room. shanghai.park.hyatt.com

Trump International Hotel & Tower Chicago

If you're looking to stay at a lofty height in the windy city, look no further than the five-star luxury of Trump International Hotel & Tower Chicago.

The 92-story building tops out at 423 meters (including its spire) and the views from many of its 339 guest rooms overlook the Chicago River, with visibility all the way to Lake Michigan on a clear day.

An understated, contemporary aesthetic permeates the building, but there's nothing at all subtle about the luxurious treatments available at the hotel's wellness center, The Spa at Trump, where treatments include gem-infused oil massages (diamond, ruby or sapphire) and guests can take their pick of luxury spa-wear from the "robe menu."

Trump International Hotel & Tower Chicago is located at 401 North Wabash Ave., Chicago; +1 312 588 8000; rooms start from US$533 (including tax) per night for a Deluxe City View room; www.trumphotelcollection.com/chicago/

Armani Hotel Dubai

A world first from fashion designer Giorgio Armani, this hotel is located within the Burj Kalifa, the world's tallest building.

Occupying the first eight floors, as well as floors 38 and 39 of the 828-meter tower, the Armani Hotel Dubai has 160 rooms, seven restaurants, a nightclub, spa and boutiques.

Every guest gets a personal "lifestyle manager" throughout their stay in order to get the most out of their time in what has been billed as "the most prestigious square kilometer on earth" by Dubai's tourism czars.

The spacious guest rooms (or "residences" as they're called) feature curvaceous lines and a sophisticated coffee-inspired color palette -- latte, cappuccino, mocha and espresso in floor coverings, drapes, wallpaper and cushions.

Spectacular views include the "world's largest performing fountain" at the foot of Burj Kalifa. It shoots water more than 150 meters into the air while lights flash and a recording of Italian tenor Andrea Bocelli provides dramatic accompaniment.

Armani Hotel Dubai is located on floors 1-8, plus 38 and 39, Burj Khalifa, Dubai; +971 4 888 3888; rooms are available for US$750 per night for an Armani Deluxe room; dubai.armanihotels.com

Baiyoke Sky Hotel, Bangkok

As Thailand's tallest hotel (though construction is underway on a rival) the Baiyoke Sky Hotel soars 88 stories above Bangkok's streets. According to the hotel's website, that's the equivalent height of 182 people standing on top of each other.

There are 658 guest rooms in numerous categories (including a special block reserved for women with added security and "high-class services") and the hotel also features an outdoor pool and rotating observation deck on the 84th floor.

The Baiyoke Sky Hotel's location in Pratunam's fashion district makes it a friendly destination for shoppers. Less than a block from the hotel are the mega-malls of Siam and Petchaburi Roads.

The Baiyoke Sky Hotel is located at 222 Soi Ratchaprarop 3, Rathaprarop Road, Ratchathewi, Bangkok; +66 2656 3000; rooms are available from THB 1,783 (US$60) in the hotel's Standard Zone (floors 22 to 45); www.baiyokehotel.com

Q1 Resort and Spa, Gold Coast (Australia)

This sleek skyscraper towers above other highrises of Australia's shiniest beachfront destination. The 526 apartments in Q1 are available for both long-term residents and vacationers, with glassed-in balconies that offer inland and ocean views.

The slanted, curved roof of the tower is meant to resemble both the Olympic torch and Sydney's iconic opera house. Q1 was designed not to cast shadows on its surroundings.

As well as being the tallest building in the Southern Hemisphere (when measured to the top of its spire), Q1 is also the second tallest freestanding structure in the Southern Hemisphere, behind Auckland's Sky Tower.

Q1 Resort and Spa is located on Hamilton Avenue, Surfers Paradise, Queensland; +61 7 5630 4500; rooms are available from AU$225 (US$234) for one-bedroom spa suites; www.q1.com.au

@highlight

The Ritz-Carlton, Hong Kong holds Guinness Record for world's highest hotel suite

@highlight

Trump International Hotel & Tower Chicago can give views to Lake Michigan on a good day

@highlight

Q1 Resort and Spa is tallest building in Southern Hemisphere