Editor's note: As Syria's neighboring countries are struggling to accommodate an influx of refugees, no place is less prepared to cope than Iraq. Save the Children CEO Carolyn Miles recently returned from a visit to the refugee camps in Iraq where she saw the conditions firsthand.

(Save The Children) -- Tiny baby Banaz sat sleeping peacefully in her car seat, unaware of the hubbub around her. Her beautiful 2-month-old face was the picture of calm. We sat on an old mattress in the heat and spoke with her parents, who had left Syria just one month before. They fled the violence and instability in the province of Hasakah in northern Syria to come to this teeming, garbage strewn spot near the northern Iraqi mountains. Her young father spoke of the day they decided to leave Syria, when the fighting got to be too much. The family of four -- mother, father, 2-year-old Zahraa and 1-month-old Banaz -- left with nothing but what they could carry on the walk to Domiz camp.

Banaz and her family may be some of the lucky ones to get to the relative safety of this northern region of Iraq. The border at the crossing they came through was closed during our visit, with thousands of Syrian refugees, many of them Kurdish, now waiting along the border. They are escaping the fighting that has torn Syria apart and scattered its people.

The border points for refugees trying to leave Syria can close unpredictably --just one more piece of uncertainty for a people brutalized by a war that has killed at least 70,000 and driven more than 1.7 million from Syria to Lebanon, Jordan, Turkey, Egypt and here in Iraq.

These refugees may be the most forgotten of this war, with the majority of the attention and funding for relief going to the large populations now living in Jordan and Lebanon. But Iraq now has more than 161,000 refugees -- most of them in northern Iraq -- and by UNHCR estimates that figure could reach a staggering 350,000 by the end of this year.

The Kurdistan Regional Government, which leads three northern provinces of Iraq, has stepped up to try to help those flowing across the Syrian border, providing basic housing and services like meals and water. But the flow is becoming too much, with a camp developed last April for 10,000 now swelling to more than 50,00, with absolutely no capacity to receive any more of those expected to surge in again once the border reopens.

The conditions in the camp are tough. More than 50,000 people are packed in a dense area outside the city of Duhok with no sewer systems, insufficient everything, and the threat of screaming wind storms, like the one that tore apart tents the day before our arrival. The smell and the heat -- 90 F when we were there, certain to be 110 or more by August -- follow you everywhere and trash is piled high along parts of the rutted dirt and mud pathways.

Banaz's parents were doing the best they could, staying in the tent with a neighbor from their old village while they waited for a tent of their own and searched for work in the nearby village. The father was a roofer by trade and was trying to find a position that would allow him to get his family out of the camp to a better life. When asked if he would go back to Syria, he said of course it was his country and he loved it and would go back -- as soon as it was safe.

As we finished our visit, Banaz's eyes fluttered open and she blinked awake. This little baby is clearly cherished in the midst of the squalor and hardship that is now her family's life. She and her parents and sister should not be forgotten in Iraq. It is an urgent and rapidly growing need, and we must all step up and help in a country that now faces yet another major challenge after years of war.

For more information on how you can help Syrian refugee families across the region, go to savethechildren.org/Syria or CNN.com/impact.

*Please note that names have been changed to protect the privacy of those involved.

@highlight

The exodus of Syrian refugees currently equals around 250,000 each month

@highlight

Iraq now houses more than 151,000 Syrian refugees

@highlight

After more than a decade of conflict, Iraq is struggling to provide for the influx

@highlight

Save the Children is working to improve camp conditions for Syrian refugees everywhere