(CNN) -- On a cold December evening, the green and white of Celtic were demolishing the red and gold of Motherwell and extending their lead at the top of Scotland's Premier League.

At the same time, a few hundred of their fans were demolishing seats, throwing green smoke bombs onto the pitch and extending their reputation for notoriety.

For Celtic's management, it was the final straw. They banned 128 Celtic supporters from attending future home matches and coach Neil Lennon bemoaned the "powder keg" atmosphere generated by a group of fanatical followers called the Green Brigade.

There are passionate soccer supporters the world over, the sort who name sons after their clubs' stars or travel hundreds of miles on a wet Tuesday evening. But Celtic's Green Brigade brings a sectarian flavor to its support for Glasgow's Catholic club. In fact, it's more than a flavor -- though its members have described themselves as "anti-sectarian."

This week Celtic went before the disciplinary committee of European football's governing body UEFA for the seventh time in as many years.

The latest infraction: the Green Brigade had unfolded huge pictures of a Scottish nationalist hero, William Wallace, and more controversially of Irish Republican Army hunger-striker Bobby Sands before a recent game against AC Milan. Above the portraits, the slogan: "The Terrorist or the Dreamer."

UEFA punishes such behavior, "particularly messages that are of a political, ideological, religious, offensive or provocative nature." It holds clubs responsible for the actions of its fans -- whether signs, chanting or throwing pyrotechnics. Celtic was fined 50,000 euros and responded by asking all its fans to "unite with the Club" with no more such banners.

Celtic is one half of the most famous -- and at times infamous -- rivalry in British football. Its old enemy Glasgow Rangers has Protestant affiliations and for many years had a policy of not buying Catholic players.

Submerged in debt, Rangers fell on hard times. Now the club -- resurrected as a new company but still featuring its predecessor's team manager and several of its players -- is in the lower reaches of the Scottish League. But in the past the two Glasgow clubs' epic battles for supremacy have been accompanied by provocative anthems, sectarian songs, violence and even deaths among supporters.

There was a time when a club's directors would see such behavior as part of the fans' identity with a cause or heritage. Football in Europe grew up in the slums of industrialized cities, generations before the term "politically correct" was born.

Glasgow Celtic was founded to provide charity to Irish Catholics who had fled famine for work in Scotland. And religious identity was a mooring in an alien land. Similarly in Liverpool, where one in four inhabitants in the late 19th century was of Irish origin, Everton FC was run by Liberals supporting Home Rule for Ireland while Liverpool FC was dominated by Protestant and Unionist figures.

Today club football is big business with sponsors paying millions to have their names on stadiums and shirts, and top players earning six figures a week. Consultancy Deloitte calculates that the 20 richest clubs (all in Europe) generated more than $6 billion in revenues in 2011/12.

A club like Celtic which competes in the European Champions League wants to attract international stars regardless of how or whether they were baptized. Getting into constant trouble with the European football authorities doesn't help.

The fines are minimal; it's the damage to reputation that puts off sponsors. After the Bobby Sands incident, Celtic's chief executive,Peter Lawwell reminded fans that Celtic was "a top football club in fantastic shape, aiming to play its part as a major football club on the European stage."

But fans don't always want to co-operate with the new corporate branding that clubs like to project. For sure, those attached to sectarian labels are a very small minority. The rest of society has moved on and religious observance has shrunk.

But traditions and rivalries are ingrained for literally millions of fans in the UK and around the world. Supporters of English Premier League side Hull City have launched a vocal campaign against plans by the owner to change the club's name to Hull Tigers to broaden its appeal in Asia.

The name of the protest group -- "City Till We Die" -- is a mark of the emotions generated. Similarly Cardiff City fans last year protested the decision of Malaysian owner Vincent Tan to change the team's colors from blue to "lucky red."

Many fans just don't trust the corporate ownership of their clubs. In July, the new director of Fan Relationship Management at Manchester City made the mistake of saying his mission was to "better engage them, serve them and monetize them."

Beyond Britain, regional, political and class differences -- or the memory of them -- still feed the rivalries and passions of football fans. In Milan, both AC and Internazionale have their own versions of the "Green Brigade" -- known as Ultras. AC supporters tend to be more working class; Inter's from more affluent parts of the city.

Several Italian clubs -- Inter among them -- have been in trouble because of a neo-Nazi fringe of supporters. The Rome club Lazio, which was the favorite of Italian dictator Benito Mussolini, has a notorious group of right-wing "Irreducibili" Ultras among its fans. In the past, they have even taunted Jewish supporters of rivals AS Roma with posters recalling the Holocaust.

History also infuses Spain's greatest rivalry, between Barcelona and Real Madrid. Barca is the champion of the Catalans, traditionally a more left-wing club than Real, representative of the capital's elite.

These passions still have a feverish hold. But a new era of multi-million dollar sponsorship and television deals, stadia with executive boxes behind smoked glass, and the spiraling price of match tickets, has changed the game.

Consultants Price Waterhouse said in a recent report: "All sporting bodies are walking a tightrope, as they attempt to balance increased commercial demands on their sports with the often conflicting need to maintain the integrity and unpredictability that make sporting competitions so exciting and appealing to their supporters."

One example: Barcelona's first-ever deal with a sponsor in 2011, a five-year contract with the Qatar Foundation (later Qatar Airways) worth more than $200 million. Fans began a petition against the commercialization of their beloved team, and one of its most famous former players, Johann Cruyff, described the deal as "vulgar." But the sponsorship remained.

Fans (and some players) also grumble at the need for their teams to go on tiring pre-season tours of North America or the Far East to open up new markets for their club's "brand".

The big football clubs with monstrous wage bills could not survive without sponsorship and television deals, whose value is growing faster than revenue from tickets. But the fans are still the fabric of any club. In the era of social media they are able to organize and protest, and more are doing just that.

@highlight

A group of Glasgow Celtic fans lands the club with a fine after displaying banners at games

@highlight

The "Green Brigade" contravened rules against "provocative" religious and political messages

@highlight

Celtic has banned more than 100 fans from attending games and calls on supporters to unite

@highlight

Traditional religious and political allegiances of European fans often clash with the commercial ambitions of the clubs