Washington (CNN) -- A Navy SEAL team that fought its way upstairs at Osama bin Laden's compound killed him with rapid-fire shots to his chest and forehead, according to a U.S. official who has seen military reports of the raid.

The unarmed bin Laden, who the White House said put up some form of resistance, was moving when he was first shot, the official on Wednesday told CNN Pentagon correspondent Barbara Starr.

Sen. Dianne Feinstein, chairwoman of the Senate Intelligence Committee, told CNN that weapons were near bin Laden, who died on an upper floor of the compound toward the end of the nearly 40-minute raid. "He was right there and going to get those arms. You really can't take a chance."

The official who had seen the report -- and other sources -- provided new details on the nighttime operation and bin Laden's gruesome wounds, which were photographed.

President Barack Obama, not wanting to inflame passions or appear to gloat, decided not to release a photo of bin Laden's corpse, the White House said Wednesday.

"There's a long history of images like that being used to rally opinion against people, to turn people into heroes," White House press secretary Jay Carney said.

A senior Democratic official close to the White House told CNN that Obama was "never in favor" of releasing a photo.

The photo decision -- following intense debate within the administration and by the public -- came as the United States continued pressing the Pakistani government on how it could not have known the al Qaeda leader was living near a military academy in Abbottabad when he was killed by U.S. special forces early Monday.

The SEAL team is back on American soil, a senior U.S. official today CNN Wednesday night.

Investigators, meanwhile, continued poring over materials gathered at bin Laden's hideout.

The haul includes 10 hard drives, five computers and more than 100 storage devices, such as disks, DVDs and thumb drives, a senior U.S. official told CNN. The materials might provide clues on al Qaeda members and potential plots for future attacks.

The commandos also recovered five cell phones, audio and video equipment, "lots" of paper documents and some five guns, including AK-47s and pistols, a U.S. official told CNN homeland security correspondent Jeanne Meserve.

The objects were "hiding in plain sight," according to the official, who described the material as a treasure trove of information.

At a Senate Judiciary Committee hearing Wednesday, U.S. Attorney General Eric Holder said of evidence taken from the residence, "As we glean information from that material, we will make appropriate decisions with regard to who might we add to the terrorist watch list, the no-fly list, all those things."

A U.S. official told CNN in the afternoon that no names have been added to the watch list.

It appeared bin Laden had contingency plans while he stayed at the fenced compound.

Bin Laden had 500 euros (about $745) in cash and two telephone numbers sewn into his clothing when he was killed, a congressional source present at a classified briefing on the operation Tuesday told CNN Wednesday.

Photos taken shortly after the raid show three men lying dead in pools of blood and the wreckage of a U.S. helicopter abandoned during the assault.

One of the dead men bears a family resemblance to bin Laden, but there was no confirmation of his identity. The al Qaeda leader's adult son was among those killed in Monday's attack by U.S. commandos, according to American officials.

The pictures were published Wednesday by Reuters. The news agency says they were taken by a Pakistani security official about an hour after U.S. forces left bin Laden's compound and that it is confident of the authenticity of the purchased images. The commandos took bin Laden's body with them, U.S. officials have said.

CIA Director Leon Panetta and Carney on Tuesday said the commandos fought their way up to the third floor of the compound, moving room to room. Bin Laden and his family lived on the second and third floors, Carney said.

The U.S. official who described bin Laden's last moments said the al Qaeda leader was "moving" at the time he was initially shot. The official declined to describe those movements.

Previously, another U.S. official said bin Laden was shot when he made a threatening move. When asked if bin Laden tried to grab a weapon or physically attack a commando, the official would only say, "He didn't hold up his hands and surrender."

The first shot hit bin Laden in the chest and the second struck him in the forehead just above the left eye, the official told CNN.

A photo shows a gunshot wound to the head above the left eye, with the skull partially blown away, according to two sources who have seen a photograph of bin Laden's body.

SEAL teams are trained, if at all possible, to take the first "hit to kill" shot by aiming dead center between the eyes, and then with a chest shot, according to a military officer familiar with their tactics and techniques.

If Bin Laden was moving, that first shot might not have been possible. The shots occurred so rapidly they were nearly simultaneous.

One of bin Laden's daughters has told Pakistani interrogators that she saw her father shot, a senior Pakistani intelligence source said Wednesday. The daughter, believed to be 12 or 13 years old, was among those left behind at the compound after Monday's U.S. raid, the source said.

U.S. officials said bin Laden's wife was in the room with him and rushed at U.S. special operations forces, who then shot her in the leg.

The Pakistani intelligence source told CNN Wednesday that four men at the compound were killed in addition to bin Laden: bin Laden's son, two men who were brothers, and an unknown man. That conflicts with information provided by the White House, which said Tuesday that three men and one woman were killed in the operation, in addition to bin Laden.

Because bin Laden was killed and buried at sea, the administration has been under some pressure to release a photo proving he was dead.

The president noted that few credible people have questioned the death and that conspiracy theorists would not be satisfied with a photo, the senior Democratic official said. That position was supported by Defense Secretary Robert Gates and Secretary of State Hillary Clinton, the Democratic official said.

"We don't trot out this stuff as trophies," Carney quoted Obama as saying in an interview earlier Wednesday with the CBS News program "60 Minutes."

"This is somebody who was deserving of the justice he received," Obama said in the interview. "But we don't need to spike the football."

Sen. Lindsay Graham, R-South Carolina, called Obama's decision a "mistake."

"I know bin Laden is dead. But the best way to protect and defend our interests overseas is to prove that fact to the rest of the world," he said in a written statement.

Questions are mounting, meanwhile, about why Pakistan failed to locate or bring bin Laden to justice.

According to two sources at a briefing Tuesday, Panetta told lawmakers that Pakistani officials either "were involved or incompetent. Neither place is a good place to be."

The United States is asking Pakistan for information on who built and owned the compound where bin Laden lived, two senior U.S. officials said Wednesday.

Pakistani government officials have insisted that they did not know bin Laden's whereabouts.

"What worse statement can come than that we heard from Panetta?" a senior Pakistani intelligence official said. "I am afraid this statement is totally regrettable. (Panetta) of all people knows how much we have been doing."

The official, who did not want to be named, said his country had been generously sharing intelligence with its American counterparts.

Husain Haqqani, Pakistan's ambassador to the United States, said his government will conduct an inquiry to find out how bin Laden managed to maintain residency there.

The government was not complicit with bin Laden because having him there was harmful, Haqqani told PBS' Charlie Rose. Any official who was aware of the fugitive's presence and failed to act will be held accountable, he added.

Obama, meanwhile, planned a visit Thursday to New York's ground zero where the twin towers of the World Trade Center once stood. The towers fell in September 11, 2001, when al Qaeda hijackers flew commercial planes into them.

Obama will take part in a wreath-laying ceremony and will meet with families of victims and first responders, but will not make remarks, White House spokesman Carney said. He characterized the event as "bittersweet."

CNN's Nick Paton Walsh, Nic Robertson, Dana Bash, Ted Barrett, Elise Labott, Tom Cohen, Jeanne Meserve, Pam Benson, Barbara Starr, Suzanne Kelly, Chris Lawrence, Jessica Yellin, John King, Ed Hornick, Shawna Shepherd and Dan Gilgoff contributed to this report.

@highlight

NEW: Pakistan ambassador vows inquiry

@highlight

Reuters photos show bodies, helicopter at compound

@highlight

News agency says they were taken by a Pakistani security official

@highlight

Bin Laden was near weapons when he was shot, Sen. Feinstein says