BEIRUT, Lebanon (CNN)  -- Lebanese voters were heading to the polls on Sunday with their main choices to lead the next government a Hezbollah-backed alliance or a U.S.-backed coalition.

Hezbollah party workers in the southern town of Nabatiyah hope for an election victory.

Analysts say the race will be tight, with the Hezbollah-dominated "March 8 alliance" possibly winning a majority of seats in parliament. The polls opened at 1200 GMT and will close 12 hours later.

Turnout is expected to be high among the country's 3 million registered voters. About 50,000 troops were on the streets, but the run-up to the balloting had been free of violence.

The vote comes at a critical time for Lebanon as it sits amid a power struggle between a weakened pro-Western government and a stronger pro-Syrian Hezbollah political bloc that has gained political momentum in recent years.

The United States considers Hezbollah -- which is supported by both Syria and Iran -- to be a terrorist organization.

The group grew in popularity after its militant wing claimed victory over Israel after a 34-day military conflict in 2006. Since then, it has been more widely perceived by its supporters to be the "defenders" of Lebanon.

Though U.S. President Barack Obama didn't mention the Lebanese general election in his address on Thursday, he did call for religious tolerance in the Muslim world, noting sectarian clashes between Sunnis and Shiites and the struggles faced by religious minorities.

"The richness of religious diversity must be upheld -- whether it is for Maronites in Lebanon or the Copts in Egypt," he said, referring to Christian groups in those countries. "And if we are being honest, fault lines must be closed among Muslims as well, as the divisions between Sunni and Shia have led to tragic violence, particularly in Iraq."

In Lebanon's unique power-sharing government, the presidency is reserved for Maronite Christians, the speaker of parliament is always a Shia Muslim, and the prime minister is a Sunni Muslim. The law was created to balance power among Lebanon's three main religious groups.

Analysts say the Hezbollah-dominated "March 8 alliance" may win a parliamentary majority with the support of Christian opposition leader Gen. Michel Aoun -- the only prominent Christian politician to back the bloc.

"They keep trying to scare the Christian voters with their stories about Hezbollah's weapons, so to all of those who complain about Hezbollah, can they tell us how they will disarm the party," Aoun told supporters Friday. "Hezbollah's weapons will no longer be a problem when the causes behind its existence disappear, including the borders' issues."

A close look at Lebanon's political landscape reveals that the country's Christian voters are split on how they will cast their ballots. Some Christian voters want their representatives to step out of the shadows of Hezbollah and Saad Hariri, who leads the Sunni-dominated "March 14 coalition."

Christian voters are divided between supporting Aoun and other Christian leaders who want Hezbollah to disarm.

"In these elections, Christians look more divided than ever while others seem more unified than ever," said Shibley Telhami, a senior fellow at the Brookings Institution.

For the Obama administration, the elections could be indicative of the president's odds of pushing stability in the region.

Former U.S. President and Nobel Peace Prize Winner Jimmy Carter said the United States should work with whichever coalition wins.

Carter was in Beirut as part of more than 200 international observers monitoring the election. He also oversaw balloting in Gaza during the elections in the Palestinian territory in January 2006.

The Palestinian militant group Hamas won that race "fairly and squarely" by a huge margin, Carter said. The United States and Israel later refused to recognize the legitimacy of the Hamas win.

"And it's resulted in a split in the Palestinians and a very difficult situation there," Carter added. "I think they (the United States) learned a hard lesson that they should accept the results of an election."

Two senior Obama administration officials -- Secretary of State Hillary Clinton and Vice President Joe Biden -- have visited Lebanon in recent months, signaling concerns with a possible Hezbollah victory.

During his trip to Beirut two weeks ago, Biden warned the country that while the United States supports Lebanon's democratic process, it will reconsider its assistance to the country if its next government strays from certain "fundamental principles."

Biden's visit followed Clinton's April trip to Beirut in which she called for an "open and free" election without outside interference -- a veiled reference to Iran and Syria.

Such rhetoric has been dismissed by Hezbollah leader Hassan Nasrallah as "meddling."

The Hezbollah leader has been increasingly vocal in the lead-up to the election, blasting the current government as powerless.

However, part of the reason Lebanon's government is crippled is that it made concessions to Hezbollah -- including giving them veto power -- in order to end a political stalemate that boiled over into violence of historic proportions last year.

While some analysts are concerned Hezbollah could gain more control over Lebanon's government after Sunday's vote, a key Lebanese politician, Dori Chamoun, warned that assessment may be misleading.

Chamoun, who opposes the March 8 alliance, said talk of Hezbollah's possible victory may be based on "rumors" and propaganda being spread by the Shiite militia and their political allies.

"They (Hezbollah) think they can scare many but no one is scared," Chamoun told CNN. "They can spread all kinds of rumors on their four TV stations saying that they will win this upcoming elections."

Chamoun, whose father, Camille Chamoun, was Lebanon's president in the 1950s, is running for a seat in parliament.

Even if a Hezbollah-dominated government does move in, it could have trouble working with Christian and Sunni Muslim politicians who -- under Lebanese law -- must participate in the government.

It would also be difficult to find a Sunni political figure willing to serve as prime minister in a Hezbollah-led government since the majority of Lebanon's prominent Sunni politicians are aligned with Hariri's March 14 coalition, which has declared it will not participate in any government if Hezbollah wins.

Lebanon's political landscape could be shifting after a similar shift in neighboring Israel. Voters in the Jewish state overwhelmingly supported conservative parties over more moderate groups, bringing into power Prime Minister Benjamin Netanyahu earlier this year.

Netanyahu is viewed in the Arab world as more hawkish than his predecessor, Ehud Olmert, who ordered the war against Hezbollah in 2006.

A Hezbollah victory in Lebanon could further inflame tensions with Israel, particularly with an estimated 30,000 rockets pointed at Israel from southern Lebanon -- all under the control of Hezbollah.

CNN's Cal Perry, Octavia Nasr and Saad Abedine contributed to this report.

@highlight

Analysts say the race will be tight

@highlight

Some say the Hezbollah-dominated alliance may win a parliamentary majority

@highlight

Turnout is expected to be high among the country's 3 million registered voters

@highlight

About 50,000 troops deploy to the streets