Fort Hood, Texas (CNN) -- Those who knew Nidal Malik Hasan before he was a major in the Army -- and the suspect in last week's mass killing at Fort Hood -- say he was long known for militant Islamist views.

Doctors who crossed paths with Hasan in medical programs paint a picture of a subpar student who wore his religious views on his sleeve.

Several doctors who knew Hasan spoke to CNN, but only on condition of anonymity because of the ongoing investigation of the shooting, which left 12 soldiers and one civilian dead and dozens of other people wounded.

Hasan, an Army psychiatrist who faces 13 counts of premeditated murder, "was clearly espousing Islamist ideology" during his time as a medical student at the Uniformed Services University of the Health Sciences in Bethesda, Maryland, one of his former classmates told CNN.

Hasan's family has revealed little about him, saying in media interviews that Hasan was a "good American" and a lifelong Muslim who complained he was harassed in the Army because of his religion.

His former classmates describe a much more militant Hasan.

His presentations for school were often laced with extremist Muslim views, one source said.

"Is your allegiance to Sharia law or the United States?" students once challenged Hasan, the source said.

"Sharia law," Hasan responded, according to the source.

The incident was corroborated by another doctor who was present.

The source recalled another instance in which Hasan was asked if the U.S. Constitution was a brilliant document. Hasan replied, "No, not particularly," according to the source.

The former classmate told CNN that he voiced concerns about Hasan to supervisors at the school.

A second former medical school colleague of Hasan said several people raised concerns about Hasan's overall competence.

Even though Hasan earned his medical degree and residency, some of his fellow students believed Hasan "didn't have the intellect" to be in the program and was not academically rigorous in his coursework.

Hasan "was not fit to be in the military, let alone in the mental health profession," this classmate told CNN. "No one in class would ever have referred a patient to him or trusted him with anything."

The first classmate echoed this sentiment.

Hasan was "coddled, accommodated and pushed through that masters of public health despite substandard performance," the classmate said. He was "put in the fellowship program because they didn't know what to do with him."

The second classmate said he witnessed at least two of Hasan's PowerPoint discussions that included what he described as extremist views.

In these presentations, which were supposed to be about health, Hasan justified suicide bombings and spoke about the persecution of Muslims in the Middle East, in the United States and in the U.S. military, the source said.

Some in the crowd rolled their eyes or muttered under their breath, he said, and others were clearly uncomfortable.

Those in the audience, which included program supervisors, did not loudly object to Hasan's presentations, but did complain to their higher-ups afterward.

The supervisors expressed "appreciation, understanding and agreement" that the complaints would be discussed, but it was unclear what action, if any, came, the source said.

When the classmate challenged Hasan personally, Hasan dodged the questions, the source said.

Despite the controversy that his schoolwork created, classmates did not view Hasan as mentally unstable or psychotic, the source said.

Questions remain over how much Hasan's behavior and actions in school were reflected in his personnel files.

Col. Kimberly Kesling, deputy commander of Clinical Services for Darnell Medical Center at Fort Hood and Hasan's supervisor at the post, told reporters last week that Hasan was doing a good job in Texas.

"As a supervisor, I am aware of the job performance of people coming into our organization, that is part of our credentialing process," Kesling said. "The types of things that were reported to me via his evaluation report were things that concerned me, but did not raise red flags toward this [the shootings] in any way, shape, or form."

"His evaluation reports said that he had some difficulties in his residency, fitting into his residency, and we worked very hard to integrate him into our practice and into our organization, and he adapted very well, was doing a really good job for us," she said.

Prompted by reports of former classmates, however, Army investigators would like to speak with people who have had contact with Hasan and who may have information about his activities and behavior, Maj. Gen Kevin Bergner, head of U.S. Army public affairs, said.

Defense Secretary Robert Gates weighed in on the information surfacing about Hasan.

"I deplore the leaks that have taken place," he said on a trip to Oshkosh, Wisconsin. People are talking about "what they know, which is one small piece of the puzzle."

"They don't know whether or not what they're leaking might jeopardize a potential criminal investigation and trial," he said.

"People who have a piece of this, frankly, ought to keep quiet and let the authorities go forward on this in an organized and comprehensive way," Gates said.

Hasan came under investigation last year when his contacts with radical imam Anwar al-Awlaki were intercepted by terrorism investigators monitoring the cleric's communications, a federal law enforcement official told CNN.

An employee of the Defense Department's Criminal Investigative Services, assigned to the Joint Terrorism Task Force, decided to drop the investigation after reviewing the intercepted communications and Hasan's personnel files.

Hasan remained hospitalized Thursday from gunshot wounds he received from two police officers who responded to last week's shooting.

CNN's Brian Todd and Ed Lavandera contributed to this report.

@highlight

NEW: Defense Secretary Gates: Leaks should stop, because they might jeopardize probe

@highlight

Medical school classmates: Hasan espoused Islamist views in class

@highlight

Hasan said his allegiance was to Sharia law, not the U.S., source says

@highlight

Hasan charged with murder, accused of killing 13 at Fort Hood last week