(CNN) -- Tom wasn't accustomed to not knowing the right answer. A business executive in his 50s, he had been suffering from agonizing back pain for nearly two years, and all his doctors could tell him was that they couldn't find the cause or an appropriate treatment.

So Tom did what most people wouldn't -- he started researching to find a doctor anywhere in the world who could help him.

The problem, as it turned out, was that Tom's doctors were looking at his spine for the source of his pain, and that's not where it was coming from. He was suffering from sacroiliac joint dysfunction, the deterioration of the two joints on the side of the lower spine that connect it to the pelvis.

Studies have found that 20 to 25% of all chronic lower back pain comes not from the spine but from the sacroliac, or SI, joint, which bears and transfers weight and movement from your upper body to your legs. When the ligaments wear out and the SI joint becomes unstable, it can generate a similar kind of sharp back pain -- or sciatica-like pain down your leg -- as a ruptured disc.

Most spine surgeons, however, aren't trained to look at the sacroiliac joint; they generally don't learn about it during their residency or fellowships. And it doesn't occur to most patients to ask. Then X-rays, MRIs and CT scans of aching, aging backs show narrowing spinal discs, without actually showing whether these discs are producing pain ... further confusing the diagnosis of the suffering patient.

As a result, many people progress through the usual stages of back pain treatment, from physical therapy and chiropractic treatment to injections, laser procedures and finally to surgery, without ever addressing the true source of the pain.

One study found that among "failed" spinal fusion patients -- people who had their lumbar vertebrae fused and were still in pain afterward -- the SI joint was the real culprit in more than half the cases.

When you know to look at the SI joint, finding out whether it's the source of the pain is usually pretty easy. If an injection of the local anesthetic Lidocaine into the joint produces temporary pain relief, then that's likely where the problem resides. If so, all the treatments previously misdirected at the spine -- chiropractic, physical therapy and medication -- can be aimed at the proper target.

If those treatments don't work, the next step is often surgery. Up until recently, that meant a major open fusion procedure, followed by several months of recovery.

However, a new, minimally invasive procedure is now available that uses small titanium implants to stabilize the joint. The tiny incisions mean patients recover much more quickly. The procedure is being done regularly here at UCLA and at other top spine centers around the country.

It worked for Tom -- he's living pain-free and is back in control of his life. And there are millions more Toms out there living with chronic back pain who could benefit from knowing more about where that pain may be really coming from and how it can be dealt with effectively.

If you are suffering from lower back pain, make sure to ask your doctor to examine your SI joint in addition to the routine examination. You may want to seek out a spine surgeon who has experience with sacroiliitis -- the Internet is a good place to start but referrals are also valuable.

Ask the surgeon directly if he/she has experience operating on patients with SI dysfunction in the past year. And don't accept a lumbar fusion surgery performed for back pain alone (versus leg pain) without having your SI joint checked out by an expert.

The opinions expressed in this article are solely those of Dr. Nick Shamie.

@highlight

Studies show 20 to 25% of all chronic lower back pain comes from the sacroliac joint

@highlight

Most spine surgeons aren't trained to look at this joint and may miss it in a patient

@highlight

Finding out if the SI joint is the source of pain is usually pretty easy, Dr. Nick Shamie says