(CNN)In January 2014, 22-year old Redouane Hagaoui left his home in the Belgian town of Verviers. He was due to travel to Morocco to see his grandparents, but never arrived. Instead, Hagaoui went to Istanbul, called his family from somewhere in Turkey, and then vanished into Syria.

His family and friends were stunned. One friend told the local newspaper SudInfo: "He doesn't even speak Arabic very well."

On Friday, the day after Belgian police killed two extremists during a raid in Verviers, a CNN crew met Hagaoui's mother and sister at her home, just a few hundred yards from the scene of the shoot-out. At the time, Belgian media were suggesting he may have returned to Verviers and been killed in the police raid.

They were too upset to talk; at that moment, they had no idea whether Redouane was alive or dead. The imam of the local mosque, Franck Hensch, told CNN they had not seen Redouane since 2013. He had been a serious but kind boy and had worked in a local restaurant, the imam said.

Hensch and the president of the mosque M'Hamed Bouchlagham said that extremism was not common among Muslims in Verviers but that fewer young people were attending the mosque and instead were being influenced elsewhere.

While the identities of the two men killed in the police raid have not been disclosed, it now seems Hagaoui is still alive and likely still in Syria or Iraq -- one of dozens of young Belgian men and women who have left their dreary, industrial towns to wage jihad in Iraq and Syria.

A recent study by the Brookings Institution in Washington estimated that at least 250 individuals have left Belgium -- fewer than the number from Britain and France but the highest in Europe when measured per capita. Other sources put the number above 300.

One of them posted a photograph of himself brandishing an automatic weapon and with an ammunition belt round his neck. Calling himself Fayssal Oussaih, he said he came from Maaseik, a small town on the Dutch border. He was reportedly the fourth resident of Maaseik to leave for Syria.

Jihadists' travel tips

Another Belgian jihadist with a high profile is Abdelhamid Abaaoud, a 27-year-old Belgian of Moroccan descent from a suburb of Brussels. An ISIS video posted in March last year shows him in a truck towing four dead bodies away in the aftermath of a massacre. Abaaoud's 13-year old brother also arrived in Syria later -- to become reputedly the youngest foreign fighter there.

Belgian analyst and historian Pieter Van Ostaeyen says jihadists help each other with travel advice through social media.

One posted on Facebook: "Everything you need is available here, be it clothes or things for your home, we have everything." And a tip: "Don't behave like a warrior. Shave your beards, behave like tourists and buy tickets back and forth."

Precise figures on the number of Europeans who have gone to Iraq and Syria -- and which groups they have joined -- are hard to come by. The consensus among counter-terrorism analysts is that more than 3,000 have traveled, of whom 500 have returned, including up to 70 who have come back to Belgium.

Of those who have gone, there appears to have been a sharp shift toward joining the Islamic State in Iraq and Syria (ISIS) in the last year. Van Ostaeyen writes: "If there is one important difference between those who left during the first wave and the second it would be their favor to fight for the Islamic State."

And ISIS has made it clear it plans to send fighters to Europe, once western forces are, in its words, "defeated" in Iraq and Syria.

An outlawed group called Sharia4Belgium is suspected of arranging the travel of some would-be jihadists. Nearly fifty of its members are currently on trial in Antwerp, but almost all are being tried in absentia.

Guy Van Vlierden, an investigative journalist with Belgian newspaper Het Laatste Nieuws who tracks jihadist networks, told CNN that Sharia4Belgium had disbanded because of prosecutions and the flow of members to Syria.

"As an informal network though, I think it still exists. And from time to time, people try some kind of relaunch," Van Vlierden said.

One of the group that went to fight is Azeddine Kbir Bounekoub, a Belgian-Moroccan from Antwerp in his twenties who is believed to be in Raqqa -- ISIS's self-declared capital -- and has a Facebook page in the name of Abu Gastbijshaam.

After the attack on a Jewish museum in Belgium by a gunman accused of allegiance to ISIS, he wrote on Facebook page: "May Allah raise up more young people who take the example of those who committed the attack in the Jewish museum."

"Third generation"

Analysts of Islamist extremism in Europe talk of a "third generation" -- Muslim teenagers and men in their early twenties intensely alienated from the countries to which their parents and grandparents immigrated in hope of a better life.

A significant minority among them feel marginalized within their own country (they have no experience of any other) and are enticed by ISIS's slick multilingual propaganda machine.

Some even see the Kouachi brothers, who attacked the offices of Charlie Hebdo in Paris as heroes; there were a number of incidents in French schools when the minute's silence for the victims was interrupted. One college teacher in a suburb of Paris with a high Muslim population told CNN that since the Paris attacks some Muslim students had adopted the slogan "JeSuisKouachi," as a riposte to "JeSuisCharlie."

Few of them will ever pack their bags, but they could easily be further radicalized at home. Most of those who do make it to Syria are raw recruits with few skills. But they learn fast -- and one worrying dimension of the conflict to Western analysts is the coming together of this "third generation" with veteran jihadists -- men like Abdelkader Hakimi.

Now 48, Hakimi left prison in 2011 after serving a long terror sentence. He is thought to have trained in Afghanistan, and as a young man had been condemned to death in his native Morocco for trying to overthrow the monarchy. On Facebook last year he suggested he was in Aleppo, Syria. His current whereabouts are unknown.

While European intelligence agencies scramble to tackle the first wave of returnees, some analysts offer a few crumbs of comfort. Among the hundreds who have followed their dream of jihad, some never imagine returning home. Yilmaz, a young Dutchman and former soldier, told a Dutch television network that he did not expect to come home, far less commit an attack in Holland.

Others are killed or become suicide bombers; a few return home disillusioned with the violence.

Tracking fighters

The Brookings study says the threat posed by foreign fighters could be reduced by better co-operation among European intelligence services. "Intelligence from the communications of foreign fighters, shared open-source monitoring, and other information obtained by one service can prove crucial for discovering transnational networks," it says.

Van Vlierden says that given their modest resources, the Belgian security services have been pioneers in tracking fighters.

"I truly think, for example, that the Jewish Museum attack wouldn't have happened with a perpetrator from Belgium itself," he told CNN.

Four people were shot dead at the museum in Brussels last year. The alleged assailant -- a French national named Mehdi Nemmouche -- was arrested in France, highlighting the additional problem posed by Europe's open borders: 26 European states are part of the Schengen Agreement, which abolished passport and immigration controls between signatories.

In Paris, analysts and former officers in the security services have long been critical of the lack of collaboration between France's police and the domestic and foreign intelligence services in the wake of the Paris attacks. That lack of communication became apparent after the Toulouse shootings in 2012, when Mohamed Merah killed seven people across several days in Toulouse.

Governments in northern Europe now face threats on multiple fronts, from loosely-organized cells with ready access to weapons, and in many cases the expertise to use them.

Last July Chams Eddine Zaougui and Peter van Ostaeyen warned in the New York Times that "Policy makers' unrealistic obsession with foreign fighters could be a distraction from a more serious domestic terrorist threat."

The unfortunate lesson to be drawn from recent events in Paris and Belgium is that policy makers now need to focus on both.

@highlight

At least 250 individuals are believed to have left Belgium to wage jihad in Iraq and Syria

@highlight

Analyst Pieter Van Ostaeyen says would-be fighters help each other with travel advice through social media

@highlight

ISIS has made it clear it plans to send fighters to Europe, once western forces are "defeated"