(CNET) -- Investigators for the Department of Justice began asking questions about Apple's business practices involving digital music at least three weeks ago, multiple music industry sources told CNET.

DOJ investigators have interviewed numerous executives at record companies and digital music stores and according to those with knowledge of the discussions, it is clear that investigators are interested in learning whether Apple has employed anticompetitive tactics.

The sources said that the department's inquiry is just in a fact-finding stage and that there is nothing to indicate investigators have found any wrongdoing or would file a complaint against Apple.

Representatives from Apple and the Justice Department did not respond to interview requests.

This is what we know about the investigation so far.

• DOJ investigators have interviewed executives from the four major music labels and several digital music retailers about how Apple wields its iTunes influence.

• Part of what investigators are interested in is whether Apple used its market dominance to discourage two of the top record companies from participating in a special Amazon music promotion called the "MP3 Daily Deal."

• Apple has a history of throwing its weight around the music sector. Apple's iTunes accounts for 70 percent of all digital song sales and wields huge power. Apple has often used that clout to dictate terms to suppliers -- that is, the major labels.

Here are just a few examples: The major labels wanted variable pricing on songs and albums and for years Apple resisted. In 2005, Apple CEO Steve Jobs said the top recording companies were "getting greedy"after music execs considered a music price hike. Last year, Apple finally gave the labels some additional control over song pricing.

The big record companies wanted the ability to sell albums that were unbundled, meaning they wanted Apple to sell hot LPs as a full package and refrain from selling individual songs from these works. Again, on this issue Apple hasn't given much ground.

To iTunes' fans, Apple was a freedom fighter. The perception was that Apple was standing up for consumers.

Apple's refusal to force customers to buy full albums saved them from having to shell out money for songs they didn't want. To them, Apple's reluctance to raise the 99 cent song price was another way the company kept music costs down. And the government never made a peep about these practices.

Deal or no deal?

But what may not seem as consumer-friendly is the accusation that Apple tried to squash a competitor's effort to offer discounted music.

Amazon's "MP3 Daily Deal," is a promotion that involves slashing prices on specific music titles and pushing them heavily on the day of their release. Amazon sometimes negotiated to get exclusive access to the music for a period of time, and the labels and their artists would often support the Daily Deal by promoting it on their Web sites.

Apple managers informed the labels that any music included in Amazon's promotion would receive no promotion at iTunes, music industry sources told CNET in April. In one case, Apple complained to Sony Music Entertainment after seeing material from Alicia Keys touted as part of the Daily Deal.

In March, Ed Christman, from Billboard magazine, broke the news about Apple's attempts to make the labels "rethink" their support for the Daily Deal.

He wrote that Apple contacted EMI executives with similar gripes about such albums as Corinne Bailey Rae's "The Sea," Lady Antebellum's "Need You Now," and Ke$ha's "Animal."

When it comes to tracing iTunes' potential DOJ troubles, one has to start with Apple's success. During the last decade, with its iPod digital music players and iTunes music store, the company completely remade the way people across the globe listen to, store, and buy music.

Apple's iTunes store accounted for 28 percent of all music purchased by U.S. consumers in the first quarter of this year, research firm NPD Group said Wednesday.

Two years ago during the same period, iTunes' market share was 19 percent.

Companies that dominate a market as much as Apple rules digital music often are accused of anti-trust violations. When companies are up against similar-sized competitors, then aggressive tactics are seen as just good business. But the same practices from players holding hefty market share can raise eyebrows in a hurry.

One other thing. During the same period that Apple saw double-digit growth, Amazon also was grabbing greater market share in digital music. Amazon's share grew from 6.8 percent in the first half of 2008 to 11.8 percent in the first quarter of 2010.

What DOJ investigators must be asking now is how much did the "Daily Deal" help propel that growth and did any of Apple's actions slow it down?

© 2010 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

Department. of Justice is asking questions about Apple's business practices

@highlight

Investigators want to know whether Apple has employed anticompetitive tactics

@highlight

Apple's iTunes accounts for 70 percent of all digital song sales