ATLANTA, Georgia (CNN) -- Food from healthy clones of cattle, swine and goats is as safe as food from non-cloned animals, the Food and Drug Administration said in a report released Tuesday.

Debate has raged around food products from cloned cattle, such as this one produced by the company Viagen.

"Extensive evaluation of the available data has not identified any subtle hazards that might indicate food-consumption risks in healthy clones of cattle, swine, or goats," the 968-page "final risk assessment" concluded.

"Thus, edible products from healthy clones that meet existing requirements for meat and milk in commerce pose no increased food consumption risk(s) relative to comparable products from sexually-derived animals."

But the FDA said it needs more information to determine the safety of meat and milk from cloned sheep. The FDA also concluded that food from newborn cattle clones "may pose some very limited human food consumption risk."

The purpose of using cloned animals is to improve the overall value of a given herd by creating genetic copies of donor animals, resulting in a herd that produces higher-quality milk and meat.

For years, heated debate over the use of cloned animals for food production has stretched from Congress to cattle farms and dinner tables nationwide.  Judy Fortin has more on the debate over meat and milk from cloned animals ».

Dr. Stephen Sundlof, director of the agency's Center of Food Safety and Applied Nutrition, acknowledged the controversy to reporters.

About half of the more than 30,500 comments from the public the FDA has received about the matter have dealt with labeling, he said.

But, he added, agency regulators cannot require cloned products be labeled as such if -- as they assert -- there is no material difference between them and food produced by conventional methods.

"There's really nothing for us to label," he said.

Consumers won't be able to figure it out for themselves, he said. No test exists that could distinguish meat from a cloned animal from other meat.

Either way, food products from cloned animals or their offspring would not reach store shelves for years, experts said.

But companies could label their clone-free products as such, Sundlof said. In addition, foods labeled "organic" would not contain cloned products.

Tuesday's announcement followed the agency's December 2006 preliminary conclusion, reached after a four-year review, that milk and meat from cloned animals are safe for human consumption.

The agency was then to collect more safety data before issuing a final decision.

Last month, the Senate passed a measure intended to bar the FDA from approving the products until further study was conducted. The legislation, part of the Senate's $286 billion farm bill, also required the Agriculture Department to examine consumer acceptance of cloned meats.

On Tuesday, opponents of using cloned animals in food production expressed anger at the move.

"The FDA has acted recklessly and I am profoundly disappointed in their rush to approve cloned foods," Sen. Barbara Mikulski, D-Maryland, said in a written statement.

"Just because something was created in a lab doesn't mean we should have to eat it. If we discover a problem with cloned food after it is in our food supply and it's not labeled, the FDA won't be able to recall it like they did Vioxx -- the food will already be tainted."

Vioxx, a painkiller, was withdrawn from the market in 2004 after it was linked to a heightened risk of heart attack and stroke.

"We think the FDA should pay attention to what Congress is asking them to do," said J.D. Hanson, policy analyst for the Center for Food Safety. "It looks like they are releasing it to sidestep what Congress has asked them to do."

The National Farmers Union, in a written statement, said "consumers have the right to know if the food they feed their families comes from a cloned animal."

Another concern is possible economic fallout. "People will start consuming less dairy and meat" if they are not sure of the products' safety, predicted Michael Hansen, a senior scientist with Consumers Union. His group calls for more study and clear labeling.

Perhaps in an effort to placate critics, Tuesday's report included hundreds of pages of raw data in the risk assessment.

Some consumer groups said they were pleased with the report. "There are still unanswered questions about the use of cloned animals in the food supply, but the Food and Drug Administration has satisfactorily answered the safety question," the Center for Science in the Public Interest said in a written statement. "While the safety of any food cannot be proven with absolute certainty, consumers should have confidence that meat and milk from cloned animals and their offspring will be safe."

Experts say it is unlikely actual clones would be used in food production. A cloned cow costs $15,000 to $20,000 to create. More likely, experts said, the offspring of cloned animals would be used.

Bruce Knight, the U.S. Department of Agriculture's undersecretary for marketing and regulatory programs, said only about 600 cloned animals exist in the United States, about 570 of which are cattle.

He said the agency is urging providers to extend a voluntary moratorium on the use of the meat or milk from cloned animals during the transition, a period he would not specify.

Mark Walton, president of ViaGen, which uses cloning technologies, said his company will comply with the request, but he played down the scope of the matter. "The number of cloned animals in the barn yard today is minuscule compared to the size of the total livestock population," said Walton. "In addition, clones are to be used as breeding animals, not for consumption. Because of a supply chain management system that allows tracking of cloned livestock, consumers are unlikely to ever eat these animals."

A spokeswoman for the National Cattlemen's Beef Association, Karen Batra, predicted, "It will be many, many years" before the technology becomes mainstream.

She further predicted that its adoption would not be accompanied by a hike in prices. "There comes a point where consumers will find another form of meat," she said. E-mail to a friend

CNN's Jennifer Pifer and Val Willingham contributed to this report.

@highlight

Sheep meat, milk need more research, FDA says

@highlight

Heated debate has raged for years over use of cloned animals for food production

@highlight

Products from cloned animals won't be labeled

@highlight

Food products from cloned animals not expected on store shelves for years