It's no secret that a battle has boiled over in the Republican Party.

The fight has played out in the policy arena but also on the campaign trail. And since the inception of the tea party in 2009, it seemed like that wing had the upper hand. It slowly made effective inroads into a party many members of the vocal new group thought had lost its way.

They elected a new breed of Republican into office, including Texas Sen. Ted Cruz and Kentucky Sen. Rand Paul, who surprised the political world by defeating establishment-backed candidates in their respective primaries.

But those two successes haven't been the norm, especially in the Senate, as many inexperienced but ideologically more pure candidates have been unable to seal the deal.

In 2010, Sharron Angle won the Senate primary in Nevada and Christine O'Donnell won in Delaware. Two years later, Richard Mourdock and Todd Akin won in Indiana and Missouri respectively.

All four went on to lose against the Democrat.

In a year in which Republicans have their best shot in several elections of regaining control of the Senate, party leaders are hoping to avoid general election stumbles.

The Republican establishment is off to a good start this primary season, but it had an easy opener.

Texas Sen. John Cornyn easily won his primary against tea party backed challenger Rep. Steve Stockman, who was largely persona-non-grata during his campaign. Still he spent $2.6 million in the final weeks leading up to the early March primary.

Brian Walsh, a former Cornyn spokesman and former communications director for the National Republican Senatorial Committee (NRSC), which works to get Republicans elected to the Senate, said Cornyn did the work necessary to beat a challenger, including researching possible opponents and raising money.

"It's not a coincidence that John Cornyn won," he said.

Republican incumbents fight back

Senate Republicans want to make sure that what happened in Texas happens elsewhere.

Senate Republican Leader Mitch McConnell, who is facing a primary challenge from Matt Bevin, has taken the unusual step of publicly criticizing at least one group working to defeat some GOP incumbents, including McConnell - the Senate Conservative Fund.

"I think we are going to crush them everywhere," referring to SCF-backed candidates. "I don't think they are going to have a single nominee anywhere in the country," he said in a recent interview with The New York Times.

And in an interview with The Weekly Standard, McConnell said the organization is giving conservatism "a bad name."

"We know their business model is only to criticize Republicans," he said.

SCF Executive Director Matt Hoskins said in a statement to CNN that its members know that beating McConnell "won't be easy." But they're working to elect Matt Bevin "because they know things won't change in Washington unless we change the people we send there."

While McConnell's press office said he was talking specifically about the SCF, tea party groups took offense.

"He must not want the tea party vote in the general election and that is why he should be removed," Amy Kremer, the Tea Party Express chair, told CNN previously.

And the local Louisville Tea Party group endorsed Bevin last week.

McConnell is expected to win his primary, but he's not making many friends among groups aligned with the tea party.

Evangelical Latinos say they could be force in midterm elections

Incumbents at risk

The SCF is not the only thorn in Republican incumbents' side.

In addition to the local and national tea party groups, Washington-based operations like Club for Growth and FreedomWorks have vowed to make sure that Republicans in name only (RINOs) -- those viewed as not committed to their description of a limited government -- have to empty out their Washington offices after November.

Other Senate incumbents facing primaries include Kansas Sen. Pat Roberts and Mississippi's Thad Cochran.

In Cochran's race, the conservative Club for Growth published an op-ed this week in SunHerald.com in Mississippi calling him a "liberal" because, among other things, he voted to create the Department of Education in the 1970s.

"Why would his seventh term be any different from the last six?" Club for Growth President Chris Chocola, a former member of Congress who voted for the budget-busting expansion of Medicare Part D in 2003, wrote in the opinion piece.

Republican strategist John Feehery said that claim is ridiculous.

"These guys are desperate and they are losing, so they are going to be using more and more language that is less and less rational," he said.

But Stuart Rothernberg, editor of the Rothenberg Political Report, said Cochran could have problems against State Sen. Chris McDaniel, who will benefit from money and resources of the Club for Growth and the SCF.

"If there's going to be an incumbent whose defeated, Cochran is the first name on the list," Rothenberg said.

Perhaps because Cochran, who has served in the Senate for 42 years and won his last election with 61% of the vote, doesn't yet understand the strength of his opponent.

"The tea party is something I don't really know a lot about," he said on local station WLOX.

But the Republican establishment isn't sitting on its hands and is even active in states like Mississippi and Kansas where any Republican would most likely to win.

"In the past, if it's a red state, we'd say 'we don't need to pay attention to that,'" said Walsh, adding that incumbents are prepared this year.

Primary involvement

And in primaries where there is no incumbent, the establishment is taking the calculated and unorthodox step of coalescing around favored candidates.

While individual senators often endorse candidates, Walsh said the organization took "a hands off" approach during the last two election cycles.

This year, the organization is more engaged. What's unclear, however, is exactly what resources the NRSC is providing to preferred candidates.

In North Carolina, candidate Thom Tillis is the establishment favorite against tea party and FreedomWorks-backed candidates.

He held a fundraiser at NRSC headquarters in Washington on Monday. McConnell attended as did a number of the 17 GOP senators who have endorsed him.

Tillis spokesman Jordan Shaw said he can't speak about the role the NRSC is playing in the race.

"I don't work for them and can't speak for" the NRSC, Shaw said. "Until we clear the primary, we've got to be respectful of the process."

Asked if the NRSC was getting involved in any primaries this year and if it could identify specific ways the group was helping, spokeswoman Brook Hougesen said, "As we have said time and again, any Republican candidate running for Senate is free to use our building as a location for their fundraiser," Hougesen wrote in an email. "This is all information that has been repeatedly reported."

If Tillis' doesn't beat his opponents, OB-GYN Greg Brannon and pastor Mark Harris, in the May 6 primary, Democrat Kay Hagan's path to reelection is thought to get a lot easier.

A similar scenario is playing out in Louisiana where Democratic Sen. Mary Landrieu is in danger of losing her seat in the state that President Barack Obama lost by 12 points in 2012.

Conservative groups, including the SCF, endorsed Rob Maness, a candidate who announced that he would not support McConnell as Republican leader, over well-funded, establishment-preferred Republican Bill Cassidy.

What changed

Republican strategist John Feehery said Republican incumbents have learned their lesson from difficult losses in the past two election cycles.

"I think Republicans have recruited better candidates and incumbents are taking this seriously," he said.

The government shutdown over Obamacare funding was also a pivotal moment for the Republican Party as many in the GOP thought it was a pointless endeavor.

After the shutdown ended, House Speaker John Boehner said conservative groups like FreedomWorks, which advocated the shutdown strategy, have "lost all credibility." And he said in January the shutdown strategy was a "predictable disaster."

The shutdown "hurt their standing and degraded some of the leverage they had," Republican strategist and former Boehner spokesman Kevin Madden said. "That leverage has now swung back toward McConnell and Boehner."

Lessons from Florida's special election

Some establishment candidates are receiving an added boost. The Chamber of Commerce, which usually does not get involved in primaries, decided that this year would be different.

"Our goal for 2014 is to protect and expand a pro-business majority in the House and advance our position in the Senate. How do we accomplish that? We're going early, often, and local," the chamber wrote on its website.

The chamber has backed McConnell and a series of other races that are seeing opposition from conservative groups.

Feehery said McConnell has nothing to lose by going after groups like the SCF who, he said, make their money by being "professionally unhappy."

"These people have no desire to find common ground. Nothing that Mitch McConnell will do will make these groups happy," Feehery said.

@highlight

Republicans are taking an aggressive stance against intra-party opposition

@highlight

One conservative groups called Mississippi Republican incumbent a "liberal"

@highlight

Establishment trying to prevent candidates who can't win in general election