Moscow, Russia (CNN) -- Artyem Saveliev turns eight years old this week. His birthday will be anything but normal.

Last Thursday his American adoptive family put him on a solo, trans-Atlantic flight from the United States to Moscow. They hired a Russian driver to deliver the boy from the airport to the Russian Ministry of Education.

Russian officials allowed CNN to see a copy of a letter addressed to the Ministry of Education and signed by Artyem's adoptive mother, Torry Hansen, which the little boy carried when he arrived.

"To Whom It May Concern," the letter reads, "This child is mentally unstable. He is violent and has severe psychopathic issues/behaviors. I was lied to and misled by the Russian Orphanage workers and director regarding his mental stability... After giving my best to this child, I am sorry to say that for the safety of my family, friends and myself, I no longer wish to parent this child. As he is a Russian National, I am returning him to your guardianship and would like the adoption disannulled [sic]."

Russian officials are fuming at these accusations.

"How can you imagine that a 7-year-old boy can be [a] menace or danger for the family? For the adult people?" said Pavel Astakhov, Russia's Child Rights Ombudsmen.

"[Artyem] is in very good mental and physical condition," Astakhov said. "He's a very nice boy. He's funny. And he's very communicative."

Astakhov met with Artyem several times since he arrived in Moscow, as have officials from the U.S. Embassy.

"When we saw him, he looked like a very tired little boy off a long trans-Atlantic flight," said John Beyrle, the U.S. ambassador in Moscow.

The case of Artyem comes after the Russian media focused intense attention on several previous cases in recent years of abuse involving adopted Russian children in the United States. Not surprisingly, some Russians are calling for an end to the practice of foreign adoption.

"I am against the idea of sending our children abroad," said a woman, who gave her name only as Alexandra, as she watched her grandchildren play on a sunny day in a Moscow park.

Russian officials have made public appeals for a temporary freeze of American adoption of Russian children until a proposed bilateral treaty has been signed to allow monitoring of children after they are brought to the United States.

"We don't have any instrument or tools to control our children which are living in adoptive families," said Astakhov. "In this situation we have a kind of legal vacuum ... we have to freeze all activity in the adoptive process for the United States of America."

Those are ominous words for thousands of desperate American families who end up waiting years and spending tens of thousands of dollars trying to adopt Russian children. According to the U.S. Embassy in Moscow, more then 50,000 Russian children have been adopted by American families in the last 16 years.

The U.S. State Department offered to send a delegation of diplomats to Moscow later this month to address the adoption issue.

"The Russian government has now told us informally that that's acceptable. We're actually working out the dates," said Beyrle. "So I would say to American families that are in the process of adoption not to worry too much. We're working on this, and we really don't think that this will have any long-term effect on the ability of American families to adopt here."

Russia has no shortage of orphans.

The United Nations Children Fund reported that in 2008, some 714,000 Russian children were living in state institutions. Unlike many Western societies, the vast majority -- 83 percent of these children -- are "social orphans" taken from biological parents who were deemed unfit by Russian state agencies, said Bertram Beinvel, UNICEF's representative in Moscow.

"What is important to draw out of this [Artyem's] case is to conduct a thorough analysis on the adoption of the child, then to [learn] what happened when he was put back on the plane," Beinvel said. He also called for a bilateral treaty to prevent future cases of abuse from occurring.

Both U.S. and Russian officials predicted it might take a matter of months to hammer out this proposed agreement.

But that offers little consolation to Artyem Saveliev, who has now lost two families before reaching the age of 8.

"He lost his native family, his mother. And he lost his adoptive family, Torry Hansen," said Astakhov. "Now the best way is to place him in a new family which can give him attention and love."

But Astakhov made it clear any new family for Artyem would be a Russian one.

@highlight

Russian officials allowed CNN to see a copy of a letter sent to Russia with 7-year-old Artyem

@highlight

Official "How can you imagine that a 7-year-old boy can be [a] menace or a danger...?"

@highlight

Sentiment shared now by many Russians: "I am against the idea of sending our children abroad"

@highlight

Russian media have focused on several previous cases of abused adoptees in U.S.