(CNN) -- During the recent Republican presidential debate, the issue of vaccinating girls against human papillomavirus, or HPV, came up several times, and some statements have been made that may concern parents of children scheduled to receive the vaccine.

The statements questioned the safety of HPV vaccines and the rationale for the recommendations for their use from the Advisory Committee on Immunization Practices of the Centers for Disease Control and Prevention, the American Academy of Pediatrics and the American Academy of Family Physicians.

HPV vaccines have the promise of improving the lives of both women and men. The recommendations for use of the vaccine are based on scientific data, including safety studies, which indicate that the benefits of HPV vaccines far outweigh any of the known risks. The safety record of these vaccines is excellent.

After five years and more than 35 million doses of HPV vaccines given, all of the available scientific evidence shows that HPV vaccines are safe and effective, and that the current recommendations will result in the best opportunity to prevent HPV infection and its consequences.

HPV is the most common sexually transmitted infection. Studies show that 50% to 70% of women will develop an HPV infection during their sexually active lives and that infection occurs soon after they become sexually active. Although most infections resolve over six to 24 months, some persist and can lead to cancer. Certain types of HPV are responsible for almost all cases of cervical cancer, other cancers of the anal and genital areas and a significant percentage of oropharyngeal cancers in men and women. Other HPV types cause genital warts.

In the United States, each year about 12,000 cases of cervical cancer are diagnosed, and nearly 4,000 women die of complications of cervical cancer.

HPV vaccines are an important scientific breakthrough. They prevent infection with the HPV types most commonly associated with the development of cancer and therefore are expected to reduce significantly the number of cases of HPV-related cancer in women and men.

Two HPV vaccines are available in the United States. The first, Gardasil, was licensed by the Food and Drug Administration in 2006 for girls 9 through 26 years of age to prevent cervical cancer and genital warts. In 2009, the license was extended to include boys 9 through 26. More recent data show Gardasil also prevents other genital cancers in women and anal cancer in both women and men.

The second HPV vaccine, Cervarix, licensed in 2009 for women 10 through 25 years of age, targets the prevention of cervical and related genital cancers. Both vaccines were studied extensively before the FDA licensed them. The rationale for the recommendation to immunize at 11 through 12 is that the vaccine will be most effective if given before a person becomes sexually active. Protection is expected to last for many years.

"Catch-up" vaccinations to age 26 are also important. Even though some persons in this age group already will have been infected with one or more of the HPV types in the vaccine, the vaccine will protect them against the HPV types in the vaccine to which they remain susceptible.

By the time the FDA licenses a vaccine, common side effects are known; evaluation for adverse health effects is an important requirement of the clinical trials that lead to licensure. No serious safety concerns were detected during the clinical trials of either of the two HPV vaccines.

After a vaccine is licensed, a number of systems are in place in the United States to monitor vaccine safety. These include the Vaccine Adverse Event Reporting System, a passive reporting system that can detect early-warning signals about possible new vaccine adverse effects, and the CDC's Vaccine Safety Datalink project, which provides a database for planned immunization safety studies of possible adverse effects arising from review of those reporting system reports and medical literature.

But investigation of reports to VAERS since both HPV vaccines were licensed has suggested that rare serious allergic reactions (including anaphylaxis) and fainting spells, which can occur after any immunization, can also occur after HPV vaccine. Vaccine providers, particularly when vaccinating adolescents, should consider observing patients (with patients seated or lying down) for 15 minutes after vaccination to decrease the risk for injury should they faint.

A recent study was conducted in CDC's Vaccine Safety Datalink among females 9-26 years of age who received HPV vaccine (Gardasil). The study found no statistically significant increased risk for any of outcomes studied after vaccination. Studies on HPV vaccine safety will continue and reports of any rare event occurring after receipt of HPV vaccine will be reviewed.)

And the Institute of Medicine, part of the United States National Academy of Sciences, recently reviewed reported vaccine-related, adverse events and did not find that data supported a causal relationship of HPV vaccine to any neurologic condition.

Parents have a great opportunity today to reduce the risk of HPV-related cancers in their children. Parents who have concerns about HPV vaccine and some of the statements made about safety should ask their children's doctors for information. The CDC has a website that provides accurate, up-to-date information about the safety and effectiveness of HPV vaccines.

Parents would do well to use trusted and reliable resources when making the important decision to protect their children from HPV infection and HPV-related cancers.

The opinions expressed in this commentary are solely those of Joseph Bocchini.

@highlight

Joseph Bocchini notes issue of HPV vaccine safety coming up in recent GOP debates

@highlight

He says CDC, others say vaccine helps prevent HPV, which can lead to cancers

@highlight

He says vaccine has been widely tested and is safe with side effects rare

@highlight

Bocchini: Parents should listen to reliable information in deciding to vaccinate their kids