What kind of privacy will you have 10 years from now?

Will you have given up trying to keep secrets and be willingly sharing all your personal information online? Or will new tools and laws give you control over your private data, allowing you to pick and choose what to share, even sell?

A new survey on the future of privacy finds that experts are split fairly evenly between these two visions of the future. But one thing they do agree on is the present: We are already living under constant surveillance, willingly offering up chunks of personal information online, where it is collected, tracked and used to make money.

Pew's Internet Project released its latest report on the future of privacy Thursday, a collaboration with Elon University's Imagining the Internet Center. The report is a survey of more than 2,500 experts about what they think online privacy will look like in 2025. It collected opinions from professors, researchers, futurists, policymakers and heads of major companies.

When asked if there would be "a secure, popularly accepted and trusted privacy-rights infrastructure by 2025," 45% of those surveyed said yes. The other 55% said no, citing lack of incentive for governments and companies to self-regulate, the logistical challenges of creating a workable global system and the growing apathy of Individuals about their own privacy.

"Most experts believe that businesses and governments have little incentive to bolster privacy. This is, in part, because people have proven that they will give away personal information for something as small as a free cup of coffee," said Janna Anderson, director of Elon's Imagining the Internet Center.

The volume of information we share will only increase in the coming decade. Right now, every online purchase, search query, location check-in, email and social-network post is another drop of information that can be collected by tech companies and data brokers.

The next wave of technology -- like fitness trackers, homes that track your habits to save energy, smart cars and facial recognition -- will generate even more personal information about people. Anderson said the experts who knew the most about the impact of these new technologies were more likely skeptical about privacy rights in 2025.

Some of the respondents predict a fierce battle between companies, governments and individuals over control of personal information. However, many don't think the public will put up much of a fight.

For the great privacy wars to get started, people may need motivation in the form of a major incident -- what some analysts call a "privacy Chernobyl."

For now, most people are just starting to understand the value of their personal data.

"People are becoming more attuned all the time to the fact that they are paying for 'free' services offered by Google, Facebook, Twitter and other popular companies by giving up personal information that is sold as a commodity by those companies," said Anderson.

Even though governments can tap that data to monitor people, and companies can collect it to make more money off of customers, some people just won't care. For them, oversharing isn't all doom and Big Brother. A few of the experts in Pew's survey think the potential benefits to consumers will actually make it a desirable trade-off.

"The benefits of cloud-based, personal, digital assistants will be so overwhelming that putting restrictions on these services will be out of the question," said Google's chief economist Hal Varian. "Everyone will expect to be tracked and monitored, since the advantages, in terms of convenience, safety, and services, will be so great."

Convenience could be all it takes to talk people out wanting privacy.

"While Americans claim to care about privacy, they care even more about convenience. Americans have happily sacrificed their privacy over the last several decades, and will continue to do so, even as they complain," said Paul Saffo, a consulting professor at Stanford University. "Privacy has already shifted from being a right to a good that is purchased."

A handful of other respondents also predicted that privacy could be bought back in the future, creating classes of people who can't afford privacy.

What happens if privacy disappears? Many respondents think the public will easily accept the new norm, especially the younger generation.

"We will adapt to 100% transparency and the utter loss of privacy, accepting that secrets no longer exist. The societal impact of scandals (exposed secrets) will diminish because it is impossible to react with constant indignation when secrets are revealed all the time," said futurist Marcel Bullinga.

Google Vice President Vint Cerf also thinks social norms will shift.

"The uploading and tagging of photos and videos without permission may become socially unacceptable. As in many other matters, the social punishment may have to be accompanied by legislation -- think about seat belts and smoking by way of example," he said.

Another thing respondents seem to agree on: Whatever happens next, it's going to be a roller coaster ride.

"I expect the dynamics of security and privacy are going to be a bloody mess for the next decade, mired in ugly politics and corporate greed," said Microsoft research scientist Danah Boyd.

@highlight

New Pew survey asks experts what privacy will look like in 10 years

@highlight

Living in public is expected to become the new default

@highlight

Some people willingly trade their privacy for convenience and services

@highlight

New tools might give people control over their data, at a cost