(CNN) -- At least one in six people worldwide doesn't have access to clean water, and this contributes to about 1.5 million preventable deaths each year, according to the United Nations.

Doc Hendley, a top 10 CNN Hero in 2009, is trying to help change that. Through his nonprofit, Wine to Water, the former bartender from North Carolina has helped provide clean water to more than 150,000 people in 15 countries.

Wine-tasting events are one way Hendley and his group raise the funds that enable them to distribute water filters and help install wells in communities around the world. And next month, bartenders from 16 countries will be donating their tips to the cause.

For World Water Day, CNN's Meghan Dunn sat down with Hendley to talk about the crisis and his recent efforts to help some of the 3.6 million people displaced by the Syrian conflict.

CNN: What should people know about the water crisis?

Doc Hendley: It takes many women and children four and five hours, every single day, just to get water. And then it's absolutely filthy, and it's making their children sick. Diarrhea kills more children under 5 than AIDS, malaria and measles combined. And 88% of (those) deaths are caused by poor sanitation, unsafe drinking water and poor hygiene.

A lot of people ask me, "If this water crisis is so bad, how come we haven't heard much about it?" Well, here in the West, we help support things that we can empathize with.

We know what it's like to lose a loved one to a disease like cancer. We understand what it means to need a good, solid education for a child. So (those causes) get a lot of the spotlight. But it's hard for us to empathize with the water crisis. We wash our cars; we water our lawn. We just can't imagine what it's like to not have access to water.

CNN: Why did you start working on this issue?

Hendley: I began raising funds to support the fight against the global water crisis back in 2004, and I had an opportunity to live in Darfur, Sudan, during the height of the genocide there. My job was to (work in) refugee camps and get them access to water.

When I first started witnessing these women and children and the effort they would go through for a cup of water, and then to see actually the water that they were providing to their kids -- when you see that firsthand, you can't help but be changed. When I came home, it's all I could think about. I dreamed about it. So I decided this is what I want to do with my life.

CNN Heroes changed everything for Wine to Water and for me. When I was (honored) back in 2009, it had taken us five years to reach about 25,000 people in four different countries around the world. Now we're in 15 different countries around the world. Syria is our latest one we just added.

CNN: Why did you get involved in the situation in Syria?

Hendley: Right now in Syria, every single day, thousands of people are fleeing their homes because of this fighting ... going to an unknown future, with no resources.

In these (displacement) camps, a lot of the men have either been killed or they're all fighting, so it's mostly populated by children and women. The vast majority is children. And as you know, a lot of these kids' systems are very weak, and they're drinking filthy water. My first thought was, "Let's see if we can get some water filters into these camps."

Do you know a hero? Nominations are open for 2013 CNN Heroes

Another big reason for me was that the first country I worked in, Sudan, was a predominantly Muslim country, and I've really felt a connection with the Muslim world ever since. I really wanted to get out there and reach out, to show that we want to help in any way we can.

CNN: What are you doing to help?

Hendley: We created a partnership with Zakat (a U.S.-based Muslim charity), and right now we're actively working in two camps in the northwestern region, near border areas between Syria and Turkey.

I was able to (go) inside some of these camps, inside Syria, just a couple months ago. The living conditions, they're terrible.

On that trip, I was able to bring about 350 filters with me. Until we can get each household to have their own water filter, which is the ultimate goal, we have a couple of distribution areas where people can come with their buckets of water and run (it) through a number of filters in order to clean it.

When it's not an emergency situation, we can go into an area and teach them, using their local resources, how to build their own water filter. But in a war zone, like what's going on in Syria, we just need to get a clean water fix immediately.

Syria is the very first location that we're using these Sawyer filters. We're really excited about them. If they're used properly, they will last 10 years and filter 250 gallons of water every day.

We have another partnership with an organization called Stop Hunger Now that's going to be also sending meals over to Syria. So we're packaging a container with about 250,000 meals, and then we'll also be packaging 1,000 water filters in that, so there'll be about 1,350 filters altogether in these two camps. And this'll be just the first of many shipments, hopefully. If we can get the support of more people back home, we'll be able to send over a lot more filters.

CNN: How can people help Wine to Water with this issue?

Hendley: We have a really cool campaign going on right now where people can actually get involved from all over the world to help support our work. It's called Just One Shift.

The whole concept is, bartenders from around the world are going to unite together and give up the tips from one of their shifts during one week (April 8-14) to support our efforts with Wine to Water. We've already had bartenders in 16 different countries sign up.

You can go to our website, and we have a link for Just One Shift where you can click and see if there's a (participating) bar in your hometown and what night the bartender is giving up their shift. So you can go and have some drinks and know that all the tips that you're giving that night are going to be donated back to us at Wine to Water. And that will allow us to be able to bring more of these water filters into the displaced persons camps all throughout Syria.

The service industry crowd, the bartenders out there, they're all people that love to build relationships, that love to talk about what's going on in the world and how can we fix it. With this Just One Shift campaign, bartenders around the world are going to prove that we can change the world.

CNN: You visited Syria in December, and you're going back again next month. Do you ever worry about the risk?

Hendley: Going inside Syria reminds me a lot of my time (in Sudan). When I was younger, I was a little more reckless; I didn't have as much to lose. Now I have a wife and two kids, and so I do find myself thinking, "Is this work really worth risking my life over?"

You know, when you see these families get to access clean water, it makes the answer pretty easy: Of course it's worth it.

A lot of people think because the number is so big, what can one person really do? It's just too overwhelming. But if you think, "I could help one other person or five other people or one village," you can make a huge difference.

@highlight

Doc Hendley, a top 10 CNN Hero in 2009, has expanded his Wine to Water initiative

@highlight

His nonprofit has helped provide clean water to people in 15 countries, including Syria

@highlight

Worldwide, at least one in six people does not have access to clean water

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes