(CNN) -- History is against Kevin Krigger. A black jockey hasn't won America's most prestigious race -- the Kentucky Derby -- for over a century.

But in Krigger's mind, history has already been rewritten -- we just don't know it yet.

"I know I'm going to win. Why? Because I'm riding Goldencents," he told CNN in his lilting Caribbean accent. "I couldn't be this confident on any other horse."

The bookmakers appear equally assured, placing Krigger as the second favorite to win the $2 million "Run for the Roses" -- so called for its iconic blanket of ruby-coloured flowers draped over the winner.

Kentucky is the first race of the U.S. Triple Crown series -- followed by the Preakness and Belmont Stakes.

But for many, the Derby -- run on Churchill Downs' historic dirt track -- is also a fabulous festivity, capturing the public's imagination in a way few horse races can.

History repeats?

If Krigger's prediction is right, he'll be the first black jockey to win the premier race since Jimmy Winkfield took the trophy back-to-back in 1901 and 1902.

Today, look out across any U.S. race track and you'll likely see an ocean of white -- and increasingly Latin American -- jockeys at the helm.

But turn back the clock 150 years and African Americans ruled the field -- when the Kentucky Derby first launched in 1875, 13 of the 15 jockeys were black.

Much like the NBA today, black athletes dominated horse racing for the next three decades, winning 15 of the first 28 Derbies.

"They were the premier horsemen in the world," says Joe Drape, author of "Black Maestro," which tells the story of champion jockey Winkfield.

"It was the first professional sport for black athletes in America. They were at the forefront of horse racing and it was a place where they could earn a good living."

But the rise of Jim Crow laws in the late 1880s -- segregating blacks and whites -- spelled an end to the golden era of jockeys like Winkfield.

Listen: Derby's forgotten history is rekindled

They would later be replaced by successive waves of plucky immigrants ready to try their luck on the track -- from the Irish to Latin American riders today.

In 2013, Krigger is one of 50 black jockeys competing in the U.S. -- out of an estimated 1,000.

So could the 29-year-old from the Virgin Islands be the one to return the trophy the original godfathers of racing?

"If someone is going to be the first African American in 111 years to do it, then why not me?" he said.

Childhood dreams

The same thought ran through Krigger's mind as a youngster watching the Derby on TV, from his home on the island of St Croix.

Horses were a part of life for the rural community, and as a four-year-old Krigger would pull the animals next to cars so he could clamber on board.

At 10-years-old he was given his first mare, challenging other children to races on the beach and down dirt roads.

Horse-mad Krigger would even balance his saddle on the arm of the sofa and pretend to ride it.

"I was born riding horses -- walking came second," he said. "I watched the Derby every year and I knew that one day I would ride in it. It was always my dream."

Moving on up

At 17, he headed to the U.S. to follow that dream, competing across the country with some success, though failing to crack into the top-ranked competitions.

His time would come a decade later. In 2011 Krigger finally found his stride, winning 124 races and notching up $2.8 million in prize money.

The racing world took notice -- Krigger got a call from famous Los Angeles agent Tom Knust with an offer to compete at some of the top southern California circuits.

He needn't have asked twice. Krigger packed up his family of four children and long-term girlfriend, and moved them from Seattle to a hotel, and then a trailer, before settling into a rented house.

He came under the tutelage of reigning Kentucky Derby winning trainer, Doug O'Neil, with a chance to ride the horse of his dreams -- Goldencents.

It's little wonder Krigger is feeling confident about this Saturday's derby -- the pair has won four of their six races together.

Expectation and dedication

Since winning the Santa Anita Derby last month -- the first black jockey in the 78-year history of the race to do so -- hype has been building around the possibility Krigger could make a repeat performance at Kentucky.

California's Santa Anita Derby is seen as an important precursor to Kentucky, with seven of its winners going on to take the "Run for the Roses."

But despite the enormous expectation, Krigger remains cool as ice: "Every one of my races I approach the same way -- at the end of the day, it's just another race."

He's trained hard to reach this momentous point in his career -- he rises at 5am each morning -- and success will have nothing to do with his skin color.

"I don't think my win is a win for African American jockeys -- every one of us has to earn the respect of our trainers," Krigger said.

"The next black jockey isn't going to ride in the Kentucky Derby because of me -- it's going to be down to them."

@highlight

America's most prestigious horse race -- the Kentucky Derby -- is run Saturday

@highlight

Kevin Krigger is adamant he will be first black jockey in 111 years to win

@highlight

African American riders used to dominate the sport, winning 15 of first 28 Derbies

@highlight

Confident Krigger says success will have nothing to do with skin color