ATLANTA, Georgia (CNN) -- I was 14 at the time. Lebanon's civil war was in full flood. One afternoon the shells began raining down on our neighborhood in Beirut.

A Lebanese woman and her son run through west Beirut in 1989 during fighting between rival forces.

We ran from school screaming. Forget the book bags, classmates, homework. Just run. Out of breath, my knees giving way, it seemed to take forever to reach our local shelter -- a dark humid room at the back of our apartment block.

The memory of that terrifying afternoon receded -- until recently. After more than a decade of relative peace and reconstruction, the bombings and assassinations have returned to Beirut.

Every time I hear of a new explosion, I think of a frightened child sitting in darkness.

In 1988, I watched the last throes of Lebanon's civil war firsthand -- and like millions of Lebanese, sad, frustrated and often fearful.  See a timeline of Lebanon's recent history »

Now I watch from another continent, but I find those same emotions resurfacing. The conspiracies, the car bombs, the threatening rhetoric and political deadlock are eerily familiar.

The actors are like shadows from a long gone past. They are grayer perhaps --  those who have avoided assassination. But the cast in Lebanon's tragedy has changed little in two decades. Then, as now, a presidential election is the setting, and the struggle where religion and clan play the main roles threatens to set Lebanon back 20 years.  See bios of Lebanon's major players »

In 1988, the president's term was coming to an end and the warring factions were unable to agree on a new candidate. Militias prevented parliament members from reaching the assembly building. Compromise was nowhere in sight.

The West had abandoned Lebanon to the manipulation of its neighbors. Syria had its choice for president; Israel had its own allies -- a foil for growing Muslim radicalism. The country was awash with weapons.

In his last act as president, Amin Gemayel named fellow Christian and Army Chief Michel Aoun as prime minister. At a stroke, he shattered the convention that a Muslim hold that position.

Muslims refused to serve in the Cabinet and the country ended up with two governments. Aoun famously declared: "I am prime minister and six ministers in one."

Aoun's "War of Liberation" against Syria turned into defeat. Then, he turned on fellow Christians of the Lebanese Forces in the "War of Elimination." When that failed, the Syrians drove Aoun to take refuge at the French Embassy.

In August 1990, I came to CNN as a World Report panelist. I tried to explain Lebanon's chaos, the bewildering array of factions and the horrors of civil war for ordinary civilians.

I had seen people killed in front of me; children orphaned in seconds, parents burying their infants in oversize white coffins. So when I was offered the opportunity to stay at CNN, I gratefully accepted the chance to escape the anarchy.

But almost as I left, the civil war was being laid to rest. The various factions had fought each other to a standstill; Arab governments, supported by the West, helped negotiate a new constitutional framework overseen by Syrian influence. Peace came to Lebanon, but it would be five years before I returned.

In 1995, I went back and was stunned. I kept looking around for checkpoints manned by militants. I couldn't believe that I could go anywhere without being harassed or kidnapped by one faction or another.

No longer did identity -- Christian, Muslim or Druze -- define where Lebanese could go. People mixed freely in chic coffee shops and smoked the hubble-bubble, laughing at the same jokes. It was as if Lebanon's divisions had been wiped away by some magic eraser.

Downtown Beirut, once rocked by explosions and pitted with bullet holes, was rocking to Lebanese pop music. The dusty sandbags had given way to boutiques carrying the latest European fashions and deluxe hotels. Lovers had returned to Beirut's Corniche, overlooking the Mediterranean, for romantic strolls at sunset.

But the agreement that ended the civil war was more a truce than a real settlement -- and was overseen by a "pax Syriana." As anti-Syrian sentiment grew, so did political tensions.

On Valentine's Day 2005, the Corniche was once again rocked by an explosion.  Former Prime Minister Rafik Hariri was killed.

The symbolism left me speechless. On the day of love, Lebanon was thrown back into its most hateful history. It had been widely expected that Hariri would run for office again and demand the withdrawal of Syrian troops. Suspicion fell on Damascus, which vehemently denied involvement. On March 14, Martyrs' Square became a human sea of demonstrators: Muslims, Druze and Christians alike, demanding the "truth."

But Hariri's death also exposed the fault lines that had broken Lebanon a generation previously. Even after it withdrew its troops, Syria still had allies in Lebanon.

One was Hezbollah, accused of the suicide attacks that had killed scores of U.S. Marines in Beirut more than 20 years previously. Another was Gen. Michel Aoun; now back from exile, the same Michel Aoun who had defied Syria in 1989, but who now made common cause with Hezbollah against his fellow Christians.

Earlier this year I visited Martyrs' Square. The spirit of the Cedar Revolution had evaporated. The place looked like a morgue. Anti-government Hezbollah squatters had brought life there to a standstill.

As I passed through, business owners stood silent in the sun and shook their heads at me in despair. I wondered if they sensed my disappointment, my pain at watching Beirut bleed again.

Lebanon's political actors now find themselves re-enacting scenes from the final act of the civil war 19 years ago. Once again, the term of the president is approaching its end; there is no agreement on his successor. Suspicion and fear are the political currency of the day.

And the questions haunts me: Will the country's brief renaissance that so amazed me in 1995 be snuffed out by the old curse of sectarian rivalries? E-mail to a friend

CNN's Joe Sterling, David Ariosto, Saad Abedine and Tracy Doueiry contributed to this report.

@highlight

CNN's Octavia Nasr: Will Lebanon's brief renaissance be snuffed out?

@highlight

Nasr says Lebanon's key power players haven't changed since 1980s

@highlight

Nasr: Current struggle threatens to set Lebanon back 20 years