(CNN) -- From the day of his capture, Ratko Mladic has been as combative in custody as he was as a battlefield commander during the bloody civil war that ripped apart Yugoslavia two decades ago and saw the worst slaughter in Europe since Nazi rule.

Mladic, 70, is accused of orchestrating a horrific campaign of ethnic cleansing that included the massacre of 8,000 Muslims in the Bosnian town of Srebrenica.

The former Bosnian Serb general has been indicted on 11 counts of genocide, war crimes and crimes against humanity in the 1992-95 war that killed 200,000 people and displaced another 2.2 million people from their homes.

On Monday, his lawyers filed a petition to delay his trial by six months, contending the prosecution failed to share evidence in a timely manner and that the presiding Dutch judge was biased because of his role in other trials of Serbs.

The court, however, said the trial is set to open as scheduled on Wednesday morning. Mladic will face his accusers at the International Criminal Tribunal for the former Yugoslavia in The Hague, Netherlands.

Among those in the courtroom will be the families of Srebrenica victims.

"Victims have waited nearly two decades to see Ratko Mladic in the dock," said Param-Preet Singh, senior counsel in the International Justice Program at Human Rights Watch. "His trial should lay to rest the notion that those accused of atrocity crimes can run out the clock on justice."

2001: Ratko Mladic captured

Mladic's trial begins after a landmark war crimes ruling last month, when another international tribunal found former Liberian President Charles Taylor guilty of aiding and abetting war crimes in neighboring Sierra Leone's notoriously brutal civil war.

"Both trials are evidence of the growing international trend to hold perpetrators of atrocities to account, no matter how senior their position," Human Rights Watch said.

Mladic eluded authorities for nearly 16 years until his capture last May, when police burst into the garden of a small house in northern Serbia. Europe's highest-ranking war crimes suspect was discovered standing against a wall in a utility room normally used for storing farm equipment, according to a government minister.

Though he was carrying two handguns, he surrendered without a fight. He was extradited for trial in the Netherlands.

But from day one in custody, he has exhibited defiance and appears not to have relinquished his visceral antagonism toward his enemies. He drew a finger across his throat in court, a gesture aimed at some of the Srebrenica widows. At other times, he disrupted proceedings by putting on a hat in the courtroom and refusing to enter a plea.

He has sought delays in his trial and said he is in failing health.

But come Wednesday, Mladic's long-awaited trial is set to start.

In July 1995, Mladic was in command of the Bosnian Serb Army and led his soldiers into the town of Srebrenica. In the days that followed, the soldiers systematically slaughtered nearly 8,000 Muslim men and boys.

Mladic was dubbed the "Butcher of Bosnia."

Bosnia peace negotiator Richard Holbrooke once described Mladic as "one of those lethal combinations that history thrusts up occasionally -- a charismatic murderer."

In the three decades leading up to the violent splintering of Yugoslavia, Mladic rose rapidly through the ranks of the Yugoslav army. In 1991, he served as a front-line commander spearheading Serb forces in a yearlong war with Croatia.

By the time he took to Bosnia's battlefields, he had become a hero to many Serbs, seen as a defender of their dwindling fortunes.

In May 1992, Bosnia's Serbian political leaders picked him to lead the assault on their Muslim enemies who clamored for independence.

Mladic wasted no time galvanizing his heavily armed forces in a siege of Sarajevo, cutting the city off from the outside world. Serb forces pounded the city every day from higher ground positions, trapping Sarajevo's ill-prepared citizens in the valley below. More than 10,000 people, mostly civilians, perished.

Some observers conjured images of Sarajevo in describing Syrian attacks on the besieged city of Homs earlier this year.

As the war ended in the fall of 1995, Mladic went on the run.

Shortly after Mladic was sent to The Hague last year, authorities nabbed former Croatian Serb rebel leader Goran Hadzic. He was the last Yugoslav war crimes suspect at large.

Bosnian Serb wartime leader Radovan Karadzic was arrested in 2008. And Serbian President Slobodan Milosevic was arrested in 2001 but died before his trial could be completed.

@highlight

Bosnian Serb Ratko Mladic's lawyers sought to disqualify the presiding judge

@highlight

But the trial will open as scheduled Wednesday

@highlight

Ex-general was indicted on 11 counts of genocide, war crimes and crimes against humanity

@highlight

Nearly 8,000 Muslim men and boys were slaughtered in Srebrenica