(CNN) -- With the weather warming up, a thrilling spring is in full swing for avid readers. There are a slew of new titles hitting shelves in May and a few recent releases you may have missed; from spies to private eyes, World War II history to werewolves and a new riff on Sherlock Holmes. For anyone looking to bury their nose in a good book at the park, pool side or on the front porch, here are five must reads for your consideration.

'A Delicate Truth' by John le Carre

To many fans of spy fiction, le Carre is king. Over the past 50 years, he's elevated the espionage genre to an art form in classics like "The Spy Who Came in from the Cold," and "Tinker, Tailor, Soldier, Spy."

Now 81, the British-born author has written his 23rd novel, "A Delicate Truth," which addresses the war on terror.

The book begins with a top-secret mission, codenamed Wildfire. British and American agents are in Gibraltar to capture a jihadist arms dealer, but the covert op ends in "an utter cock-up." A conspiracy and attempt at a coverup soon follow.

Longtime fans will already know that le Carre was a member of the British Foreign Service from 1959 to 1964, and writes with absolute authenticity about the kinds of spy tradecraft his characters employ. "A Delicate Truth" seems ready-made for the movies and not surprisingly, filmmakers are already working on a big screen adaptation. Le Carre himself appears in a stylized trailer for his novel that feels like a short film unto itself.

Watch the trailer and read an excerpt from "A Delicate Truth."

'Red Moon' by Benjamin Percy

When it comes to horror fiction, vampires are so last year. The zombie craze is losing steam. Witches? Please.

Werewolves are where it's at.

Benjamin Percy, a contributing editor at Esquire magazine, takes lycanthropes to another literary level in his new novel, "Red Moon," turning the monster mythology on its ear. The story takes place in an alternate version of reality where being a werewolf is considered a disease, spread by a mysterious virus. While doctors search for a cure, the infected live alongside the general population, only as second-class citizens. They're shunned, segregated and treated with mind-numbing drugs to keep from turning into monsters, full moon no longer needed.

There's a guerrilla war being fought overseas in the ancestral home of the beasts, not unlike recent history in Iraq and Afghanistan. Percy draws a pretty direct parallel with the war on terror, which comes to a head when a werewolf terrorist unleashes a bloody attack on a passenger plane. The sole survivor of the flight becomes one of several main characters readers follow throughout the book.

There's also a rebellious teen who's the daughter of hippie werewolf parents, an Oregon politician running a rabid anti-werewolf campaign and an underground network of werewolf insurgents with plans to carve out their own corner of the country. If you enjoyed Justin Cronin's apocalyptic vampire tale, "The Passage," then check out "Red Moon." It has a similar vibe and will appeal to readers looking for a tense, thrilling tale with some good grisly fun.

Read an excerpt from "Red Moon."

'The Baker Street Translation' by Michael Robertson

I'll admit it. I'm a sucker for a good Sherlock Holmes story. Count me among the fans of the recent resurgence in Arthur Conan Doyle's iconic detective -- Robert Downey Jr.'s Hollywood action-hero version, as well as the character's modern re-imagining in the BBC's "Sherlock" and CBS's "Elementary."

That said, any Holmes fan would enjoy Michael Robertson's fresh new take on the Holmes stories in "The Baker Street Translation," the latest in his series of books about the brothers of Baker Street. The concept is clever, Reggie and Nigel Heath are siblings who lease law offices at London's 221B Baker Street, where they get mail addressed to the building's best known, albeit fictional resident.

There are fan letters and then a few pieces of correspondence from people who believe Holmes is real and need his help. By answering the more persuasive sounding appeals, Reggie and Nigel can't help but get pulled into their own cases, including a potential plot against a member of Britain's royal family and a mystery that would even confound the famous fictional sleuth. Robertson's characters are appealing, the story is light, fast-paced and thoroughly entertaining.

For any Sherlockian, it's elementary -- this series is not to be missed.

Read an excerpt from "The Baker Street Translation."

'Angel's Gate' by P.G. Sturges

Dick Henry, aka the Shortcut Man, is back in P.G. Sturges' latest noir novel, "Angel's Gate," a romp through the seamy underside of Los Angeles.

For the uninitiated, Henry is an ex-cop turned fixer. If you have an unusual, even criminal problem, and you need to cut through the red tape, fast, call Dick. His solution may not always be moral, ethical, or legal but he gets the job done. That's why he's called the Shortcut Man.

Sturges is the son of Hollywood legend Preston Sturges, the moviemaker behind such classics as "Sullivan's Travels." Like father, son shares a love of quirky characters and screwball plots.

Case in point -- in the book, Henry is hired by the sister of a young actress who disappeared years ago in Hollywood. His search for the missing girl takes him to the door of an aging and amorous movie mogul, who keeps a stable of starlets for some altogether unwholesome activity. The mystery goes even deeper with a fading movie star who has a dark secret, a missing screenplay, and a mysterious death on a yacht.

There's also a running gag about a foul-smelling ficus being passed around the characters in the story. While the subject matter is definitely adult, Sturges breaks the dark mood with some welcome humor. For readers who haven't yet met him, take advantage of this entertaining introduction to the Shortcut Man.

Read an excerpt from "Angel's Gate."

'Frozen in Time' by Mitchell Zuckoff

When it comes to riveting nonfiction, author Mitchell Zuckoff has a knack for finding fascinating but forgotten stories from World War II. His last book, "Lost in Shangri-La," recounted the true-life story of a U.S. military plane crash in the rainforests of New Guinea and how a small group of survivors, caught between enemy Japanese troops and a tribe of man-eating headhunters, were able to stay alive and are eventually rescued.

Now in "Frozen in Time," Zuckoff takes readers to a much colder clime, Greenland's Ice Cap, the scene of another crash and another amazing rescue. There's plenty of bad luck to go around and three plane crashes in the new book. First, a U.S. Skytrooper cargo plane goes down in 1942 over Greenland, then a B-17 bomber crashes during the subsequent search and rescue mission and then a "Duck," a small amphibious plane also disappears looking for the downed airmen.

That's just the beginning of the story. The real struggle here is the nearly five months the crash survivors spent stranded on the ice, battling blizzards and sub-zero temperatures. Adding to the narrative, there's also a connection to the present woven into the harrowing WWII tale. Nearly 70 years after the crash, Zuckoff, members of the U.S. Coast Guard and a group of polar explorers go back to Greenland looking for one of the original crash sites and a plane still believed to be buried under the ice. In both time periods, this is a truly suspenseful and thrilling American story of perseverance with a worthwhile payoff in the final pages.

Read an excerpt from "Frozen in Time."

@highlight

Catch up on the new fiction books available in May

@highlight

The pop culture focus on Sherlock Holmes continues with "The Baker Street Translation"

@highlight

Spies and private eyes make comebacks

@highlight

Vampires are so last year -- get ready for werewolves