The sad fact behind the building collapse in Bangladesh in which hundreds died is that it isn't an isolated problem. The story will leave the headlines at the end of this week but on Monday hundreds of thousands of workers will return to factories that are frankly further tragedies waiting to happen, and will keep producing clothes for high street brands.

Seven hundred workers have died in factory collapses and fires in this very small region outside Dhaka alone in the last decade.

Savar, where the building collapse took place, is a swampland (yes, swampland...) north of the Bangladeshi capital which has seen mass growth in recent years.

This same region was the site of a horrific factory fire in November last year, when 112 workers burned alive in a building with no fire exits.

Hundreds of factories are being thrown up in a short space of time, with limited building regulations, to meet the growing demand from western brands for cheap export clothing. And it is cheap. Wages for Bangladeshi workers are the lowest in Asia, aside from the recently opened Myanmar industry, at $37 a month.

Read more: At least 250 killed in fire at Bangladeshi clothing factory

As the demand for cheap clothing grows in the west, brands continue to look for ways to race to the bottom on prices, and sadly this involves cutting corners on health and safety. Brands will by no means admit to this.

The prices that they pay, they assure us, are enough to pay workers enough to live on and keep factories in tip top condition. But, faced with constantly decreasing incomes, factory owners inevitably let things slide, like replacing faulty machinery or fixing worrying building subsidence...

When garment factories were still mainly based in retail countries, consumers knew people who held jobs in factories, and had a personal connection with those who had been injured or put at risk in the workplace.

But with globalization has come consumer apathy. Who cares about people who make clothing? As long as it is cheap we will buy it.

Especially in a recession, cheap clothing is a welcome industry for many. People in western countries living on the poverty line need to buy clothes for their children.

Jobs in Bangladesh are also vital for a country where hundreds of thousands of people live below the poverty line. It isn't the responsibility of the consumer to feel guilty about buying what is readily available in shops.

Business must stop just holding up its hands to say: "It is not our fault -- they bought it." The responsibility for ensuring that a product was made with human rights in mind has to fall somewhere, and the United Nations guiding principles on business and human rights says that it falls jointly to states and mass corporate businesses to "protect, respect and remedy" human rights.

In short, the brands, not the consumer, are the ones who must take responsibility for the endemic problems that this industry faces.

Read more: Is your old -shirt making Africa poor?

So what can be done? Many western brands rely on audits and in-house checks to monitor whether conditions in their factories are up to scratch. In a country where a little hand shake and a small exchange of money gets the job done, this process often fails to give an accurate picture of factory conditions, building and fire safety.

It is common for fire extinguishers to be borrowed for inspection day, for workers to be schooled in what answers they have to give when asked questions.

The Clean Clothes Campaign together with local and global unions and labor rights organizations, has developed a program that hopes to solve this. The Bangladesh Building and Fire Safety Agreement is a proposal for a sector-wide initiative that includes independent building inspections, worker rights training, public disclosure and a long-overdue review of safety standards.

The crucial element of this is that unions and worker led committees take a central role in monitoring and reporting back on improvements that need to be made, in a public way.

This transparent and practical agreement is unique in that it is supported by all key labor stakeholders in Bangladesh and internationally. So far, U.S. company PVH, owner of Calvin Klein and Tommy Hilfiger, and German retailer Tchibo have signed up to the program, but it needs a critical mass of brand support to be implemented.

Joint memorandam of understanding on fire and building safety:

Labour Behind the Label and others are calling on all brands sourcing from Bangladesh to publicly sign up to take part in the building and fire safety scheme to make transparent, worker-led improvements to the industry.

Read more: Retailers and suppliers hit by fallout from deadly Bangladesh factory fire

In the wake of tragedies such as yesterday's building collapse, the Tazreen fire in November, and the nearby Spectrum factory collapse some years ago, something must be done to make a change. This proposal is the best on the table by far.

How many more deaths will it take to move brands from making CSR statements of regret, to investing in a sustainable and safe industry? We hope none.

@highlight

Scores killed in Bangladesh clothing factory collapse; many still missing

@highlight

Tragedy is no isolated problem, says campaign group Labour Behind the Label

@highlight

As demand for cheap clothing grows, brands look to reduce prices, activist says

@highlight

This involves cutting corners on health and safety, Anna McMullen says