Islamabad, Pakistan (CNN) -- Pakistan's intelligence agency has detained several people who gave information to the United States before the U.S. killed Osama bin Laden, officials in Pakistan said Wednesday.

The agency detained several people who cooperated with the CIA, a Pakistani official said; the official did not know the precise number. One rented a safe house to the CIA in Abbottabad, the Pakistani city where U.S. special forces killed bin Laden early May 2, a Pakistani source familiar with the arrests said Wednesday.

Some of the CIA sources in Pakistani custody were low-level and not considered crucial, a senior administration official told CNN. The official said the sources were not spying on Pakistan, and therefore should be dealt with leniently.

News of the arrests, first reported by The New York Times, is likely to further strain an already rocky relationship between the two countries.

The United States has complained that Pakistan has not done enough to fight al Qaeda and other militants. Senior U.S. officials also suspect that some in Pakistan helped bin Laden live there. CIA Director Leon Panetta reportedly has told legislators that Pakistan was either involved in helping the world's most wanted fugitive avoid detection or was incompetent for not knowing he was living on Pakistani soil.

Pakistan, meanwhile, has protested unilateral action by the United States in Pakistan, such as the raid that killed bin Laden: The United States did not tell Pakistan about it until the raid was over. It also has complained about civilian casualties caused by suspected U.S. drone strikes that have targeted Islamic militants in northwestern Pakistan.

Now comes news that Pakistan has detained some of the very people who helped the United States find and kill bin Laden.

Panetta discussed the arrests Friday with Pakistan army chief Gen. Ashfaq Kayani and Lt. Gen. Ahmad Shuja Pasha, Pakistan's head of military intelligence, the official said. A U.S. official confirmed that the discussion had taken place but would not give details about the arrests.

The first Pakistani official did not say whether the owner of the safe house was suspected of being a CIA informant. He asked not to be identified because he was discussing sensitive internal matters. The second Pakistani official asked to remain anonymous because he is not authorized to speak to the news media.

A Pakistani military spokesman confirmed that there were "a number of people arrested in Abbottabad after the raid on the Osama bin Laden compound" but said he could not say what relationship, if any, they may have had with the CIA.

Some were seized at "a house in Abbottabad that was used to monitor the bin Laden compound activities," said Syed Azmat Ali, the military spokesman. "They could have been Pakistanis who were informants to the CIA."

Ali said those arrests were made by Pakistan's powerful military intelligence agency, Inter-Services Intelligence, "immediately after the raid, so this is not a new piece of information."

He and the intelligence official who asked not to be named were responding to a report in The New York Times that Pakistan had arrested five CIA informants who gave information to the United States before the raid on bin Laden's hideout.

The newspaper attributed the report to "American officials" without naming them.

It said one of those arrested was a Pakistani army major who had kept records of license plate numbers on cars that stopped at the bin Laden compound. Ali, the Pakistani military spokesman, said that assertion was "categorically" not true.

The newspaper also cited a top CIA official's damning assessment of Pakistan's cooperation with American counterterrorism efforts.

Asked last week at a private briefing of the Senate Intelligence Committee to rate Pakistan's cooperation with the United States on counterterrorism operations, using a scale of one to 10, Deputy CIA Director Michael J. Morell gave it a three, the Times said, quoting "officials familiar with the exchange."

Asked Wednesday by CNN to rate the Pakistani spy agency's relationship with the CIA on a scale of one to 10, military spokesman Ali gave it a four.

White House spokesman Jay Carney said Wednesday that maintaining the U.S. relationship with Pakistan is "complicated," but "helps our national security interest."

He called the cooperation "vital," and said Pakistan is "an important partner in fighting terrorism."

"They have been reliable in providing information that's led to successful missions against terrorists," he said.

At the State Department, spokesman Mark Toner said that, despite the challenges, "more terrorists have been identified and killed on Pakistani soil than anywhere else in the world. And that's, in part, due to this counter-terrorism cooperation that we have. So it's in our interest to work through these challenges as they arise and to move forward."

Panetta, who has been nominated to be secretary of defense, defended the relationship to Congress in confirmation hearings last week.

"They maintain relationships with certain terrorist groups," he said, adding: "They continue to not take aggressive action with regard to these safe havens, and ... they're concerned about the sovereignty results and criticisms of the United States when, in fact, my view is that the terrorists in their country are probably the greatest threat to their sovereignty."

During a visit last week to Pakistan, Panetta raised the issue of two raids that appear to have failed because of intelligence leaks in recent weeks, a U.S. official said.

The United States had shown the Pakistanis evidence of two bomb-making sites near the Afghan border, the official said, asking not to be named discussing intelligence and diplomatic issues.

The Americans believed the sites were being used to stage attacks against U.S. forces in Afghanistan.

When the Pakistanis raided the sites, both were empty.

"The targets appear to have been tipped off," the U.S. official said.

The relationship between the two countries has been in a downward spiral over disputes about how to pursue counterterrorism efforts.

One reason Pakistanis have supported militants in the tribal region is that the fighters are seen as a bulwark for Pakistani interests. That includes a focus against the influence of longtime rival India in Afghanistan. Despite fears that elements sympathetic to militants are working for the ISI, American officials have argued that maintaining an alliance with Pakistan is crucial to the success of U.S. anti-terrorism efforts.

The United States is suspected of carrying out routine strikes by unmanned aircraft targeting suspected terrorists in Pakistan: two suspected strikes Wednesday killed 15 suspected militants, two Pakistani officials said.

Pakistani officials have said there were more than 100 such strikes in their country last year, a record, according to CNN national security analyst Peter Bergen. They think most of the casualties were foot soldiers or civilians, not high-value terrorism targets, he said.

The New America Foundation in Washington, which maintains an independent count of reported drone strikes, says there were 118 of them in 2010, killing 600 to 1,000 people.

Polls show that nine of 10 Pakistanis view the strikes unfavorably.

Many Pakistanis were angered by the case of Raymond Davis, a CIA contractor who was charged with killing two Pakistani men but then released after compensation was paid to their families.

Davis described the two men as attackers and said he shot them in self-defense. Lahore Police Chief Aslam Tareen, however, said the case was "clear-cut murder."

According to Davis, the shooting occurred January 27 after two men attacked him as he drove through a busy Lahore neighborhood, the U.S. Embassy has said.

U.S. officials originally said Davis was a diplomat and tried to claim diplomatic immunity but then revealed that he was a CIA contractor.

CIA chief Panetta's unannounced visit last week was the latest in a series by U.S. officials -- including Secretary of State Hillary Clinton, Chairman of the Joint Chiefs of Staff Adm. Mike Mullen and Sen. John Kerry -- efforts to smooth things over after bin Laden was killed in the Navy SEAL raid.

The Pakistani military said in April that drone strikes "not only undermine our national effort against terrorism but turn public support against our efforts, which remains the key to success."

The United States has regarded Pakistan as a top ally in its fight against the Taliban, al Qaeda, the Haqqani Network and other Pakistan-based militants who have launched attacks against international and Afghan troops in Afghanistan.

Washington has argued that Pakistan has not done enough to go after al Qaeda and other extremists. U.S. officials have expressed impatience with the Pakistanis and suspicions that elements of the ISI directorate are sympathetic to militants.

CNN's Nasir Habib, Aliza Kassim and Barbara Starr contributed to this report.

@highlight

White House spokesman calls U.S. relationship with Pakistan "complicated," but "vital"

@highlight

CIA Director Leon Panetta talked with Pakistani top brass about failed raids, a source says

@highlight

Suspected CIA informants were arrested after the bin Laden raid, an official says

@highlight

The arrests could be another blow to the relationship between the U.S. and Pakistan