Washington (CNN) -- There is an old joke in the Middle East that goes like this: One of Hosni Mubarak's advisers finally gets the courage to say, "Mr. President, maybe it's time to think about your farewell address to the Egyptian people." Mubarak looks at the adviser and asks, "Why? Where are they going?"

In reality, Mubarak got the message loud and clear.

Now, this leader, who for decades has been not just the symbol of Egypt but a dominant voice in the Middle East, will be leaving, and nobody is sure what will emerge in his wake. The effects will be felt not just in the Middle East but back in the United States.

Today, the U.S. has less leverage in the region than ever before. At talks last month in Istanbul, Turkey, Iran showed the U.S. and its allies that it will remain defiant on its nuclear program in the face of tough sanctions.

Lebanon is in the throes of a dangerous game of brinksmanship that threatens to send the country back into civil war after Hezbollah, supported by Syria and Iran, brought down the U.S.-backed government of Prime Minister Saad Hariri and installed billionaire businessman Najib Mikati as its choice for the job.

In Yemen, a strongman president has been ejected, but he was also key to U.S. anti-terror efforts in the country that harbors an active and threatening subset of al Qaeda.

Reform in the Middle East was an important item at the outset for the Obama administration. President Obama received international goodwill upon taking office, for simply not being President George W. Bush. He flew to Cairo early in his tenure and gave a much-watched speech to offer a "new era" in U.S. relations with the Arab and Muslim world.

That was the high point.

Although it came into office hoping to seduce the region rather than fight it, the Obama administration has not delivered on the tantalizing promises it made since taking over, not only to show progress on solving the Israeli-Palestinian conflict but to encourage democratic reform. Change in the region comes not from his encouragement but from the disaffected taking matters into their own hands.

These dashed expectations Obama has created in the region are not just disappointing; they have hurt U.S. credibility in the region and have had diplomats and Middle East experts scratching their heads about just what Obama's vision for the region is.

This troubled region has always looked to the U.S. to help in times of crisis. Now, countries like Turkey and Qatar, whose interests don't always align with Washington's, are taking the lead.

While its influence on big-ticket issues in the region is declining, the U.S. has redoubled efforts to tackle their root causes, such as poverty, hunger and disenfranchisement of women. These are the same ills that prompted Tunisians to take to the streets, with people in the neighborhood nipping at their heels.

Sensing the winds of change in the region, the Obama administration has been engaged in a robust debate over the past few months about whether to elevate the issue of reform. The answer was delivered in a speech last month in Qatar by Secretary of State Hillary Clinton, in which she warned Arab leaders that unless they reform and address economic and social frustrations, their regimes would "sink into the sand."

The fall of President Zine El Abidine Ben Ali in Tunisia and the events in Egypt caught U.S. officials off-guard and brought that debate to critical mass.

For the first time in history, the U.S. has broken with authoritarian Arab allies. The events in Egypt have leaders of other pro-U.S. countries in the region rightly concerned about what will happen if demonstrations take place in their countries and whether they can count on America's loyalty.

The Obama administration is trying to send the message to these countries -- but not necessarily their leaders -- that they can count on American loyalty.

For years, a game ensued in which the U.S. called for reform and Arab leaders resorted to cosmetic and ad hoc changes to placate Washington, which accepted the meager gestures in the hopes they would lead to further changes.

That game is over.

Obama's decision to break with Mubarak, a critical U.S. ally in the Mideast, serves as a warning to Arab allies that they too are expendable and their reactions to U.S. calls for reform in the future must be met more seriously.

Although the U.S. has finally found its footing on the reform issue, its aspirations of restarting Mideast peace talks between Israelis and Palestinians may be stalled indefinitely.

Mubarak was an anchor of U.S. policy of stability in the region. The twin pillars of that policy -- support for pro-American regimes that share U.S. security interests and the pursuit of Israeli-Arab peace -- are now on shaky ground. Israel will probably conclude that if such entrenched Arab regimes can fall, making peace with a deeply divided Palestinian movement is anything but a sure bet.

Israel is keeping a wary eye on developments in Egypt with fears that an Islamic takeover there would end three decades of cooperation between the two countries.

The U.S.-brokered Camp David accords, signed by Israeli Prime Minister Menachem Begin and Egyptian President Anwar Sadat in 1978, ended a generation of hostilities between the two nations and forged a relationship that has endured, in part, because of the stability of the Mubarak regime -- which came to power after Sadat was assassinated in 1981 -- and in spite of deep animus among rank-and-file Egyptians toward Israel.

Eli Shaked, Israel's ambassador to Egypt from 2003 to 2005, predicted that if the Mubarak regime falls, a new Islamist regime, hostile to Israel and Western nations, will replace it.

"There will be no democracy in Egypt," Shaked said. "If there will be democratic elections in Egypt in the summer or in the very near future, (they) will be the first and last democratic elections in Egypt."

While he recognizes that the causes of the upheaval in Egypt lie in economic and social strife, Israeli President Benjamin Netanyahu said he is concerned that "there is a possibility that an organized force will take advantage of the situation."

A new Egyptian regime probably will affect relations with Hamas, which controls the Palestinian territory sandwiched between Israel and Egypt, and may play up the harsh criticism among many sectors in Egyptian society toward Israeli policy.

But some terrorism experts believe that extremist voices are being drowned out by the chants of the protesters in Cairo. CNN analyst Paul Cruickshank wrote that al Qaeda's support base, "already severely shaken by its barbaric excesses in Iraq and biting criticism from fellow jihadists, could narrow yet further."

"The televised scenes of secular, middle-class youngsters and Egyptians from all walks of life courageously and largely peacefully challenging the regime of President Hosni Mubarak have been transmitted onto tens of millions of television screens across the Arab world and have captured the imagination, providing vastly more attractive role models for young Arabs, whose hopes for too long have been strangled by political, economic and cultural sclerosis," he wrote.

U.S. officials feel that the Muslim Brotherhood, Egypt's main Islamic political organization, has been very sophisticated in its handling of the people's revolt. The group deliberately stayed out of the fray in the early days of the protests, allowing other Egyptians to lead the charge for fear Mubarak would cite fears of extremist activity in cracking down on the demonstrators.

Carrie Rosefsky Wickham, an associate professor of political science at Emory University and author of "Mobilizing Islam: Religion, Activism and Political Change in Egypt," notes that the Brotherhood is an umbrella organization that encompasses different views and trends. Though technically illegal, the group does have a presence among the masses, but it is no longer the defiant anti-system movement it was in the past.

The key question is whether the Brotherhood will continue to exercise self-restraint when the Mubarak regime falls.

Rosefsky believes it will, arguing that the Brotherhood is less interested in seizing power and calling the shots than it is in spreading its message and influencing policy. Other experts believe the Brotherhood will grab power if given the chance.

It is unclear to what extent established institutions of Egypt and other countries will be willing and able to change and open enough political space for viable oppositions to flourish.

The future of U.S. policy and interests in the region will largely depend on who ends up in power, not just in Egypt but in the host of other countries on the verge of transformation. In a doomsday scenario, extremist Islamic factions in Egypt, Tunisia and even Jordan could come to power, killing critical diplomatic and military relationships, forcing the closing of the Suez Canal and allowing Iran fill the vacuum. That could even trigger a most dangerous war between Israel and Iran. Nobody expects that worst-case nightmare to come through, however.

Regardless of the outcome, the Obama administration has concluded that it must try to be on the right side of history, which is seems to be the catchphrase of the week for Middle East analysts. Supporting the status quo could embolden leaders to hold on, possibly becoming even more oppressive. That could give way to a permanent resistance that creates even more pressure for chance, further radicalizes the Arab street and creates even more anger at the United States.

This tectonic shifts taking place in the region have altered the American role in the Middle East indefinitely, if not forever. For the first time in decades, the U.S. is in uncharted waters in the proverbial boat without a paddle. There is certain fatalism to it all, with the U.S. gradually accepting the hard reality that it can only be driven by events rather than helping to drive them.

The hope is that the whoever the new leaders of the Middle East are, they will look to Washington as a partner.

When asked how the U.S. will pick up the pieces in the region, one senior official simply said, "We will call whoever is in charge."

@highlight

Nobody is sure who will fill Hosni Mubarak's place when he steps down as Egypt's president

@highlight

The effects will be felt in the Middle East and in the United States

@highlight

Follow them on Twitter @eliselabottcnn and @joshlevscnn