When Zane Buzby traveled into remote parts of Eastern Europe to find the birthplace of her grandparents, she knew it would be a life-changing journey. She could never have imagined how much.

She met a professor who asked her to bring supplies to eight elderly Holocaust survivors in Belarus. Soon after she crossed the border, she found herself in another world.

"It was as if I'd gone back in time 100 years. There were no cars, only horse-drawn wagons, little slanted huts," Buzby recalled. "It was something out of 'Fiddler on the Roof.' "

Buzby was appalled to find the survivors living alone in shacks, suffering in abject poverty. They often had to choose between buying food, medicine or paying for heat.

Back home in Los Angeles, Buzby was unable to forget them.

"I don't speak Russian, so I put a heart on a piece of paper, put a Jewish star in it and put $20 bills in an envelope," said the 65-year-old television director. "I just wanted them to know I cared."

Soon the survivors began writing back, sharing their stories from the war. Using a translator, Buzby began corresponding with them, and the professor sent her names of others in need.

"Suddenly there was a list -- 50, 80, 100 people," she said.

For seven years, Buzby carried out this work with help from family and friends. In 2008, she formed the Survivor Mitzvah Project, a nonprofit that provides financial aid and friendship to 2,000 elderly Holocaust survivors throughout Eastern Europe.

The lingering impact of the war

Many of the Jews in Eastern Europe were not sent to concentration camps. Their villages were instead targeted by Nazi mobile units, which massacred thousands. To survive, people fled into the woods.

Do you know a hero? Nominations are open for 2014 CNN Heroes

"As a child, I ran from the killing squads three times," wrote Ruven from Lithuania. "Even now, I still dream that I am running."

After the war, those who returned to their villages had little or no extended family left. Many have not been able to get reparations intended for Holocaust survivors. Now in their 80s and 90s, they find themselves struggling once again to survive.

Since 2001, Buzby said, she and her group have distributed more than $2.5 million in direct aid to members of what she has dubbed the "unluckiest generation." Some of them have endured multiple conflicts and have lost family members to Chernobyl or were left penniless after the Soviet Union disbanded.

"But through it all, they have a great philosophy on life," she said. "For them, holding a hand, sharing a moment, that means everything."

A lifeline of letters

Every one to two months, Buzby sends at least $100 each to most of the people on her roster, along with a letter about her life. She has realized that the personal connection is something these people crave the most.

"The money is lifesaving, but the letters are equally lifesaving," said Buzby. "These people are living often without any parents, siblings, friends. They're isolated."

"Your letter for me is like a little ray of sunshine in the darkness," wrote Rakhil from Ukraine.

"I am no longer alone in my apartment. The letter with your photographs is on the table," wrote Fira from Ukraine.

After the recession hit America in 2008, survivors reiterated how much the letters meant.

"I got so many letters that started with, 'We heard that your country is broke. If you can't send us any more money, we understand. Just please keep writing,' " Buzby said.

Buzby receives more than 900 letters a year. Each one is quickly read by a Russian speaker in her office. If it does not describe an urgent situation for the group to address, the letter gets e-mailed to volunteer translators. Then Buzby's return letter is translated into Russian and sent out with the funds.

Once or twice a year, Buzby also visits some of the people she helps.

"We have definitely created what I call a 'family of strangers,' " she said. "I have all these grandparents praying for me."

Buzby is desperate to preserve the survivors' stories. She is working on a documentary about their experiences and hopes to donate her archive of nearly 10,000 letters to a museum or university.

"They've trusted me with their stories, so I need to make sure (their stories) live longer than I do," she said.

Buzby mostly wants to help them live out their final days in dignity.

"We can really write a more hopeful final chapter to the Holocaust, one of kindness and compassion," she said. "What a way to give them what they finally deserve at the end of their lives."

Want to get involved? Check out the Survivor Mitzvah Project website at www.survivormitzvah.org and see how to help.

@highlight

Zane Buzby visited Eastern Europe to bring supplies to elderly Holocaust survivors

@highlight

Buzby: "There were no cars...it was something out of 'Fiddler on the Roof.' "

@highlight

Her nonprofit provides financial aid and friendship to elderly Holocaust survivors

@highlight

Do you know a hero? Nominations are open for 2014 CNN Heroes