A team of scientists has just finished what might literally be described as one of the most breathtaking jobs in the world -- surveying and mapping the coral reefs in Southeast Asia's Coral Triangle off the coast of Indonesia's Sulawesi Island.

As part of the Catlin Seaview Survey, teams from the University of Queensland, Indonesia's Sam Ratulangi University and Indonesia's Institute of Sciences spent time underwater over several weeks near the city of Manado to record data and map reefs in what the survey says "could become one of the last refuges on Earth for coral reefs."

The effort was part of a larger project to map the Coral Triangle, which encompasses 647 million hectares of land and sea located within the territories of Indonesia, Malaysia, the Philippines, Papua New Guinea, the Solomon Islands and Timor-Leste.

"Coral Triangle" refers to a roughly triangular shape of waters between the Pacific and Indian oceans.

One of the world's most crucial breeding grounds for marine biodiversity, it's home to 75 percent of all known coral species, including nearly 600 species of reef-building corals and 3,000 species of reef fish.

The Catlin Seaview Survey says the scale of its undersea mapping project is unprecedented.

Located on the island of Sulawesi, Manado is the capital of Indonesia's North Sulawesi province.

Coral devastation

According to experts, about 40 percent of the world's corals have been lost in the last three decades due to climate change and human activities.

Assuming the current rate of decline remains steady, some marine biologists predict that most of the world's remaining coral will disappear by the middle of the century.

The Catlin Seaview Survey got underway in September 2012 on Australia's Great Barrier Reef.

Centering on the waters of Southeast Asia, the 2014 campaign commenced in April and has also covered areas around Apo Island and Tubbataha Reefs in the Philippines, Komodo and Bali in Indonesia, and East Timor.

Located in the center of the Coral Triangle, Manado is a crucial section for researchers.

"Regions like Manado in the Coral Triangle could, by the middle of the century, be one of the only places on Earth where coral reefs will exist," says Ove Hoegh-Guldberg, chief scientist of the survey and director of the Global Change Institute at the University of Queensland.

"Understanding the structure and function of such reefs is of the utmost importance if we are to underpin their resilience to global change."

"This information is necessary to make informed decisions about how much, and where, governments should invest to ensure the future well being of our planet," says Stephen Catlin, chief executive of Catlin Group Limited, a Bermuda-based insurance company that sponsors the survey.

How coral reef maps are made

The coral mapping effort employs a Seaview SVII underwater camera, which has a rod and propeller attached to the back to create a sort of photo scooter.

Three digital SLR cameras encased in the SVII's globe-shaped lens capture high resolution, 360-degree images of reefs.

Designed by Catlin Seaview Survey, the camera's new technology helps shorten surveying time of large, shallow water areas from months to days.

Officially called the South East Asia Expedition: Survey 4, the survey around Manado, which concluded this week, covered up to 80 linear kilometers of reef, and comprised 40 two-kilometer transects.

To map such a vast area, scientist-divers took photographs while "riding" the camera at an average depth of eight meters while traveling at 4 kph.

Thousands of images will eventually be stitched together to create a whole picture of the reef system.

The images will be uploaded for viewing on the company's database, The Global Reef Record.

Some of the images can be found on Google Maps.

The team will begin mapping a section of the Coral Triangle in the Solomon Islands later this month.

@highlight

The Coral Triangle is home to 75 percent of all known coral species in the world

@highlight

Researchers are using a special camera with a propeller attached to it to map the reefs

@highlight

About 40 percent of the world's corals have been lost in recent decades due to climate change and human activities