(CNN) -- Everyone on the East Coast knew Thursday that monstrous Irene, energizing over bathtub-warm ocean waters, was heading toward them, posing the biggest hurricane threat to the United States in six years.

What they did not know was the exact path of the storm. So people along a 700-mile stretch of the Atlantic Seaboard were, as North Carolina Gov. Bev Perdue put it, preparing for the worst and praying for the best.

There was even a possibility that the storm, which could reach Category 4 status, could slam into Manhattan, causing concerns about soaring skyscrapers and underground tunnels.

A state of emergency has already been declared in Virginia, Maryland, New Jersey, New York, Delaware, Connecticut and parts of North Carolina in anticipation of Irene.

Fears were perhaps greatest in North Carolina and Virginia and on the slivers of islands that extend off those coastlines, which could start feeling Irene's punch by Friday evening.

On North Carolina's Ocracoke, there is only one way off the island -- by ferry. The county ordered tourists and residents to evacuate.

Bobby Hill, the emergency manager for the North Carolina Ferry Division, said more than 1,500 people left Wednesday. The ferries are operating all day Thursday, he said, but the last chance for anyone to get off the isolated, skinny island sticking out in the Atlantic, is one boat Friday morning.

After that, well, you are out of options.

Clayton Gaskill was one of about 100 Ocracoke residents still around Thursday night. In between playing progressive rock songs on community radio WOVV-FM, he talked about residents making final preparations. "You pick up stuff that will float."

"This is a little more serious than many of them," Gaskill said, referring to other storms in the region. Isabel in 2003 and Alex in 2004 did have significant impact. Residents have a couple grocery stores, ice and an emergency electrical source to help them ride out and recover from Irene.

"As long as the storm is in progress, you are on your own," Gaskill said.

Hill has lived through 15 hurricanes in his lifetime: Floyd, Hazel, Connie, David. He's used to boarding up his home in coastal Beaufort and firing up the generator. You might call him a veteran.

"You're a veteran of one and they still keep coming," he said.

Irene? Well, it will be another name on the long list.

Janeen Wall has only one name in her hurricane memory. Floyd in 1999.

"It was scary," she said.

So much so that Wall was not taking any chances. She arrived at her rented vacation condo on Carolina Beach just this Monday. But by Thursday, she was safely back home in Richmond, Virginia, buying extra bottles of water and gas for the grill, in case the power goes out.

In Wilmington, North Carolina, Leigh Muscle planned a dream wedding for Saturday -- along the Intracoastal Waterway, of course.

"Literally my first reaction was, 'Nooo!,'" Muscle told CNN affiliate WWAY.

She had planned to walk down the aisle in the front yard of her mother's house; the reception was to be in the back yard, along the water.

"As of now, it looks like it's just going to be a little bit of rain and a little bit of wind, and it just looks like we need to move the event from outside to inside, so that's what we're planning," Muscle said.

She's hoping a perfect storm won't ruin her perfect day.

On Nags Head, Leanne and Nathan Robinson, surfers since they were kids, hoped to ride a few waves like they do in every hurricane the North Carolina natives have lived through.

The winds are too high during the hit, but the swell before and after the storm could be ideal.

But this time, it's different. Not because Irene is so huge, or that she is eyeing the Outer Banks. But this time, the young couple owns a house. This time, they have a 2-year-old daughter to protect.

If it looks like a direct hit, Leanne plans to evacuate with their child. Nathan will stay to look after the house and the surf shop that Leanne manages.

"We are going to wait until tomorrow afternoon to make a decision," Leanne Robinson said.

In the meantime, they've brought in the tomato plants, picked up debris and tied down everything that needs to be secured. And they cut dead branches off the tall pines in their yard.

Farther north in Lewes, Delaware, Georgia Tugend is planning to ride out the storm along with her husband, Dave, and dog, Barkley.

"Our plan is not to leave," Tugend said. "Temporary shelters will not take the dog, and we feel that our house is elevated enough that we would avoid any possible storm surge."

Tugend, who lives about half a mile from the Delaware Bay, said she and her husband are securing several items in their yard, including outdoor furniture and a 14-foot aluminum boat.

"We're going to hope for the best as far as the cars go," she said, noting that they don't have a garage.

Tugend said she plans to fill her tub with water, and may stock up on extra beer as well.

"We had some really bad storms this past fall and winter with gusts clocked up to 70 miles per hour. We know we can get through that," she said. "But you don't want to get cocky. If we get 100-mile per hour winds, that's a different ballgame. We've never lived through that."

In nearby Dewey Beach, 71-year-old Allan Lynch was taking steps to protect his restaurant, The Captain's Table.

Lynch, a lifelong resident of the area, is planning to cover all of the windows at the restaurant, take down loose signs outside and bring in his trash cans.

Lynch said he will probably close his business. He's also bringing in a supply of dry ice to help preserve the restaurant's food in case power is lost.

As for himself, Lynch said he would probably "go inland a little bit" and seek shelter with his 90-year-old mother if the storm becomes severe enough.

Lynch's wife stocked up extra milk, water and batteries.

Some described their preparations as "minimal," such as Nathan Nickerson in Cape Cod, Massachusetts.

But "I've got my chainsaw sharpened, and I've got my tractor ready to clear the way" if there are a lot of downed trees, he said.

Nickerson predicted that traffic at his business -- Arnold's Lobster and Clam Bar in Eastham -- will "probably drop off to nothing, at least temporarily." But the place will stay open as long as it can, Nickerson said. Thursday, he was already taking down several awnings, tents, and umbrellas.

If nothing else, he joked, he would hold Arnold's annual employee party during the storm.

Meanwhile, the owner of Alex's Bait & Tackle at Point Pleasant Beach in New Jersey said he's preparing for the worst. He's going to put as many as 150 sandbags in front of his water's edge store.

"I will stay here as long as I can," Marc Palazzo said. "Most storms I ride out, but for the first time in 15 years I'm thinking of not riding this one out.

"I think the storm will head right up the Jersey shore at this point," he said. "And locally, I don't think we're prepared. Nobody's boarding up anything, and there could be some major devastation."

Stores even farther north in New Hampshire were also gearing up for Irene.

The emergency display was up at the Home Depot in Manchester, reported CNN affiliate WMUR. Generators. Flashlights. Backpack survival kits. And extra supplies of sump pumps.

Peter Hoiries, who works for a restoration company, warned residents of Irene's strong winds.

"Standard shingles used in the New England area are good only for 75 miles per hour," he said. Older ones could blow off in even lighter winds.

In Horseneck Beach, Massachusetts, the sun beat down Thursday. No sign of Irene yet, but people asked: "What if?"

Boat owners in Falmouth Harbor began removing their vessels, according to CNN affiliate WHDH.

Some people find it exciting, the prospect of a hurricane -- generally thought of as a Southern thing -- heading to New England. But veterans were quick to say "beware."

"They're exciting until they get a week into not having hot water, refrigerator, running around for ice and no electric power," said Bruce Crenshaw, a charter boat captain. "The excitement wears off quick."

The reality is that many folks on the East Coast were still in a wait-and-see mode Thursday, as Irene -- slowly but surely -- made her way toward them.

CNN's Phil Gast contributed to this report.

@highlight

Ferries were moving people off some North Carolina islands

@highlight

Hurricane veterans know to board up and stock up on supplies

@highlight

People are preparing as far north as New Hampshire

@highlight

Irene poses the biggest hurricane threat to the U.S. in six years