LONDON, England (CNN) -- Hope was 14 years old when her uncle raped her.

Betty Makoni founded the Girl Child Network to help Zimbabwe's young sexual abuse victims.

"He trapped me to the ground and covered my mouth with his hand," said the 18-year-old from Zimbabwe. "He threatened to kill me if I ever told anybody."

So, she kept quiet.

"After a while people around the villages started saying that I looked pregnant," she said.

Hope was not only pregnant, but her uncle had infected her with HIV.

Like many young girls in Zimbabwe, Hope was the victim of a widely held belief that if a man with HIV or AIDS rapes a virgin he will be cured of his disease. This so-called virgin myth, perpetuated by Zimbabwe's traditional healers, has led to the rape of hundreds of girls, according to UNICEF. Some of those victims are too young to walk, much less protect themselves.

Betty Makoni has fought for nearly a decade to protect her country's young girls from sexual abuse. And she's witnessed some of the worst cases of the myth in action.

"The youngest girl I ever came across was a day-old baby who was raped," said Makoni, 37.

Through her Girl Child Network (GCN), Makoni has helped rescue 35,000 girls from abuse -- including Hope; thousands more have found an empowering community and a public forum in which to speak out.

"Ten girls per day report rape cases," she said. "It means if we keep quiet, at least 3,600 girls per year may just be contracting HIV and AIDS."

Makoni's own tragic experiences fuel her fierce determination.

"I was raped when I was 6 years old," she recalled. Her attacker was a local shopkeeper. Makoni said her mother would not allow her to report the abuse.

"She said, 'Shh, we don't say that in public,' " Makoni remembered. "I had no shoulder to cry on."

Three years later, she witnessed her father murder her mother. In that moment, Makoni said she realized the potentially deadly consequence of a woman's silence.

"I told myself that no girl or woman will suffer the same again," she said.

Believing an education would provide her the best opportunity and means to speak out, Makoni earned two university degrees and became a teacher. While teaching, she noticed that girls were dropping out of school at an alarming rate. She approached her students with an idea.

"I [said] to girls, 'Let's have our own space where we talk and find solutions,' " Makoni said. Girl Child Network was born.  Watch Makoni help young girls find safety and empowerment in Zimbabwe »

By the end of the first year, there were 100 GCN clubs throughout Zimbabwe where girls could find support. Makoni said she was not surprised: "Every woman and girl identified with the issues that we were raising," she said.

In 2000, she quit her teaching job to volunteer with GCN full time. "I decided to become an advocate because I walked my own journey to survival," she said.

The following year Makoni successfully procured a piece of land and opened the organization's first empowerment village, designed to provide a haven for girls who have been abused. Girls are either rescued or referred to the village by social services, the police and the community. The healing begins as soon as a girl arrives.

"In the first 72 hours, a girl is provided with emergency medication, reinstatement in school, as well as counseling," said Makoni.

It is important to her that the girls are in charge of their own healing. "It gives them the confidence to transform from victims to leaders," she explained.

The process helped Hope work through the times when she said "I thought my life had come to end."

"They offered all they could ... as I was in a traumatized state," she said. "I really appreciate what [Betty Makoni] has done and is doing in my life."

Today, GCN has grown to 700 girls' clubs and three empowerment villages across Zimbabwe. An estimated 300,000 girls have received assistance.

For those who were at greatest risk, Makoni believes that help was especially critical. "If my organization didn't exist, the 35,000 girls I've saved from rape and abuse could have died by now," she said.

But for Makoni, speaking out came with a high personal cost. In 2008, she was forced to flee her native country. "I left Zimbabwe because my life was in danger as a result of my project being interpreted politically."  Watch Makoni describe her reasons for leaving her homeland »

Today, she lives with her family in the United Kingdom. She still serves as executive director of her organization and shows no signs of slowing down.

GCN has partnered with the DOVE project, a group based in Essex, England, that deals with domestic violence.

"We are now bringing the girls from a local community to the international scene," she said.

Her efforts in Zimbabwe will also be highlighted in an upcoming documentary, Tapestries of Hope.

Makoni says nothing will end her fight for the rights of women and girls. "This is the job I have always wanted to do, because it gives me fulfillment. And in girls I see myself every day."

Want to get involved? Check out the Girl Child Network and see how to help.

@highlight

Many in Zimbabwe believe a man raping a virgin can cure him of HIV or AIDS

@highlight

Betty Makoni's Girl Child Network cares for Zimbabwe's young sex abuse victims

@highlight

The organization has rescued more than 35,000 girls

@highlight

Do you know a hero? Nominations are open at CNN.com/Heroes