Punjab province, Pakistan (CNN) -- Monsoon has many translations in the various languages spoken across South Asia.

But words alone cannot describe its power and splendor -- it's a necessary force of nature, thundering life back into fields parched by endless days of summer, where the rains create lush landscapes of vivid greens and intense marigold.

It is awaited with bated breath; people anticipate the storm, welcome it and embrace its fury.

This year the monsoon rains came late but when they did it was with an unrelenting force that brought massive flooding to parts of Pakistan-administered Kashmir and across the plains of Punjab province, wreaking devastation and disaster along the way. So far, more than 400 people have been killed across India and Pakistan, with tens of thousands more displaced.

According to Pakistan's National Disaster Management Authority, "exceptionally heavy to very heavy rains from September 4 to 7 resulted in exceptionally high flood discharges at various control points on the River Chenab."

The rains have now eased, leaving behind the deep waters from this year's deluge.

On our journey to the city of Jhang in southern Punjab, the road passes along the River Chenab, which literally translates as Moon River. The river has swollen and swallowed entire towns -- and livelihoods. At one point, we see the dome of a mosque peeking up through the waters as displaced families stand helplessly with their livestock on higher ground nearby wondering where to camp for the night.

Relief camps

On the outskirts of Jhang, a relief camp has been set up by the government. Men mill around by the roadside while the women sit inside the canvas tents, their children running around outside in the foggy heat -- the humidity seems so thick one could slice it with a knife.

Pakistan last suffered from massive floods in 2010 when close to one fifth of the country was submerged underwater. This year's flooding is not as devastating but the outlook is still quite grim.

Thirty-five-year-old Mansabdar is angry. Forced to find shelter in the camp, the rage and desperation is palpable in his voice: "I have nine children, we have been out here for six days. I took nothing with me, we've only been given water and some rice by the authorities. My village is underwater. When will I be able to go back home?"

Just a few kilometers away from the camp, under an awning, sit representatives from Imran Khan's Movement for Justice party, an indication of how this calamity is slowly becoming politicized.

The city of Jhang lies closest to Trimmu Barrage, through which the Chenab flows. This barrier, which is in place to stem flooding and aid irrigation, has a capacity of 600,000 cusecs, or cubic feet per second, which is the measure for the flow rate of water.

But according to Pakistan's National Disaster Management Agency (NDMA), on the evening of September 12, close to 800,000 cusecs of water will pass through the barrage, causing flooding in the surrounding districts of Multan, Muzafargarh, Khanewal, Jhang and Toba Tek Singh.

Helicopter perspective

CNN was given access to a military rescue helicopter that flew over the flooded areas close to Jhang and near the head of Trimmu Barrage. The muddy waters that had inundated roads, villages and homes went on as far as the eye could see.

Our helicopter eventually descended close to the head of the barrage to deliver engines for rescue boats. Lines of tents had been set up on a narrow strip of land along the barrage for the many displaced people in the area.

Farzana stood nearby holding her baby; she had left her home only a day ago. "We didn't pick up anything," she said. "We scooped up our children in our arms and fled."

A group of young boys holding metal water containers dipped their feet into the water. "School's out" they said, "but we miss home."

According to Asif Mughal, an activist for the education campaign Alif Ailaan, 948 schools have closed down in the district of Jhang alone. The government ordered them to be closed on September 5. It will take close to 20 days for them to reopen, though "nothing is certain yet," said Mughal.

The scale of the crisis is such that NDMA has now requested assistance from the United National Development Project (UNDP).

Fatima Inayet, a UNDP spokesperson, told CNN "the UN is discussing with the NDMA the possibility to support the government in carrying out an immediate and detailed assessment."

Until then, many ordinary Pakistanis are on their own.

As dusk settled on the road to the city of Multan, which lies to south-west of Jhang, two young men using rubber tires to stay afloat took advantage of the fact that the fish farms nearby had broken open to catch some carp.

"It's the easiest access to food," Shaukhat told CNN. "We don't know when this is going to end, we must make do with what we get."

@highlight

This year the monsoon rains came late but when they did it was with unrelenting force

@highlight

Hundreds of people have been killed, thousands more displaced in India and Pakistan

@highlight

CNN crew traveled in Pakistani military helicopter to witness extent of flooding

@highlight

Muddy waters inundated roads, villages and homes as far as the eye could see