(CNN) -- World leaders are moving carefully and anxiously, trying to prevent a disaster in the Korean Peninsula. This increasingly unpredictable round of saber-rattling is far from over, but so far the winner is the North Korean regime and the losers are the brutally oppressed North Korean people, joined by much of the rest of the world.

While we watch the drama from far away, it's worth noting just how far North Korean weapons programs -- not just the weapons themselves -- can reach.

U.S. intelligence officials differ on their estimates of the range and accuracy of North Korean missiles, nuclear-tipped or not. But the country's nuclear and missile technology has already found its way to the Middle East.

North Korea helped Syria develop a nuclear reactor. It has sold missile technology and weapons to anyone willing to pay, and it has developed close cooperation with Iran.

If the crisis ended right now -- with every piece of military hardware back to where it stood a few months ago and everyone taking a vow of silence on the matter so that we get no more threats and no more demands -- the confrontation would have already sent clear and damaging messages across the globe, encouraging tyrants and regimes seeking or considering the idea of developing nuclear weapons.

Opinion: North Korea endgame - 3 scenarios

North Korea's message seems to be: If you have nuclear capabilities, it doesn't matter how outrageously you behave; it doesn't matter how horribly you mistreat your people; it doesn't matter how flimsy your economy is.

When you have a nuclear arsenal, countries that could topple your regime with a tiny fraction of their power suddenly become afraid of making you angry.

This is a pernicious reality with tragic and hazardous consequences.

Nuclear development makes it easier for the totalitarian regime to condemn the North Korean people to grinding poverty and imprisonment in nightmarish gulags. Several generations of the same family can live and die in captivity.

While the North Korean people go hungry, the regime diverts scarce resources to its nuclear and missile programs while its top leader, the youthful Kim Jong Un, adds insult to injury with his visibly expanding girth.

As the latest crisis unfolded and as North Korea threatened a "preemptive nuclear attack" on the United States, a "final destruction" of South Korea, and a "nuclear attack" on Tokyo, world powers held a new round of talks with the Iranian regime over its nuclear program. Coincidence or not, the talks with Iran produced nothing, not even the customary agreement to hold more talks.

Iran, one can only imagine, must be paying close attention to the dance macabre between Pyongyang and the rest of the world. North Korea, whose entire economy is worth about $40 billion -- less than a small-sized American city and a tiny fraction of prosperous South Korea and its trillion-dollar economy -- has ordered the whole world to attention.

Experts are scratching their heads, trying to figure out what exactly Kim Jong Un wants and how far he will go. There's general consensus that he wants, like all dictators, to strengthen his hold on power and to secure the support of the military.

But he is accomplishing more than that. North Korea is giving its crucial weapons industry a huge boost of publicity. Every headline is a Super Bowl-size ad for the country's destructive wares.

Opinion: Why I fled North Korea

Current and future clients may have noticed that its arsenal has allowed North Korea to get away with creating these crises, which fortify the regime and sometimes even bring generous international aid. Without its dangerous arsenal, it's unlikely Pyongyang would have gotten away with the 2010 shelling of Yeonpyeong island, when it killed two South Korean marines and three civilians, sent the population fleeing in panic and set homes and forests on fire.

Despite South Korea's vow of "enormous retaliation," the regime is still in place.

Not only is it still standing, it is spreading its deadly know-how.

North Korea has long been one of the world's top proliferators of missiles and other weapons systems. U.S. officials say Iran recently received North Korean missiles capable of reaching Western European capitals. Last September, Tehran and Pyongyang signed a scientific cooperation agreement, which experts say is almost identical to the one North Korea signed with Syria a decade ago.

That agreement with Damascus brought North Korean technicians to help the Syrian dictator Bashar al-Assad build a nuclear reactor that Israeli warplanes destroyed in 2007. And the North, incidentally, is still sending weapons to Damascus.

Back home, when North Korea carried out its third nuclear test earlier this year, news reports in the region said Iranian scientists were there to observe.

This standoff is not over, but Pyongyang has already won. From the moment the North obtained nuclear weapons, however rudimentary, the game changed. From that moment, the chances that the North Korean people will rejoin the world and have a chance at a better life diminished greatly. From that moment, the South and the West's room to maneuver became much more limited.

The challenge now is to prevent a greater disaster, while keeping the regime from scoring an even greater victory, as it has in the past, by walking away from this confrontation with new rewards.

Beyond that, the world must seek a creative way to help free the North Korean people, while bearing in mind the disastrous consequences of allowing dangerous regimes to obtain nuclear weapons.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: North Korean weapons programs have spread to the Middle East

@highlight

Ghitis: North Korea's messages encourage tyrants to seek nuclear weapons

@highlight

She says with nuclear arsenal, powerful countries are afraid to make a regime angry

@highlight

Ghitis: This standoff is not over, but Pyongyang has already won