(CNN) -- The atmosphere is hushed and quiet as about 150 people take their seats. They're each clutching a folder and a tiny American flag. A few whisper about being nervous, but can't quite articulate why. It's the ubiquitous butterflies in the stomach that seem to come with any big day, any big decision.

As big days go, this is one of the biggest. All these people are about to become citizens of the United States. They'll gain the right to vote, to work certain jobs, to serve on a jury and to run for office. In about an hour, at the end of their citizenship ceremony in Atlanta, they'll officially be American by choice.

Jutka Emoke Barabas remembers that jittery feeling well. She was naturalized in 2000 in Honolulu, where she still lives, and is one of several CNN iReporters who spoke about why they chose to become American citizens. "Everyone arrived too early and we found ourselves standing and waiting, hardly able to contain our excitement," she said. "Everyone seemed to speak at the same time as they shared their stories with one another." There was a soldier from Cambodia, and Emoke Barabas herself, a political refugee from Hungary.

As a writer with dissenting views, Emoke Barabas said she had been thrown in a Romanian prison under former dictator Nicolae Ceausescu. Her father showed her a photo of the Statue of Liberty, telling her, "This is the place where freedom lives." After her release, she said she made it to Switzerland and, eventually, to the United States in 1990. Ten years later, she became a U.S. citizen.

"For me, American citizenship means freedom of expression and to live and work in a free country ... and not have to be afraid of being arrested or harassed because of owning certain common books or pictures," said Emoke Barabas. She also feels a sense of responsibility to her adopted country. "To be an American is not just a great honor, but also an obligation to do more and reach higher."

Naturalized citizen: Four reasons why "America is the best"

It has been a long wait in the Atlanta heat for the immigrants waiting to be naturalized this morning. The first in line arrived around 8 a.m. for a ceremony that starts at 9:30. But this is just the last stretch of the years-long marathon that most of them have been through to become Americans. For most people, it takes at least five years to become a citizen, and that's after you already have a green card -- permanent residency status -- a process that can take years itself. Many people at the ceremony have been in the United States for 10 years or more. One woman moved here in 1978.

Mario Imania knows how she feels. It took him 17 years to become a citizen. He came to the United States from Bolivia in 1988 for school and wasn't naturalized until 2005.

"I'm thankful for the opportunity to stay, study and work [in the U.S.], but it was not free by any means," said Imania. "The process was a nightmare that never ended: thousands of dollars and many years of fear and hopelessness."

Would he do it again? Yes, he said. Even though the United States didn't quite live up to all his expectations -- he feels society judges him based on "race, color, origin, looks and, yes, marital status" (Imania is gay) -- he still said, "I love you United States. You're home at the end."

It's almost time. Friends and family start to stream in to the ceremony room -- they had to wait until all the candidates for citizenship were seated -- and the atmosphere relaxes a little. There are waves and smiles, a few excited babies and children. The room is now full with the candidates and their loved ones. The cameras start to come out.

Roland Tadoum is one of those who clicked his camera all during his naturalization ceremony, too. He became a citizen in 2007, having moved to the United States from Cameroon 13 years earlier.

"I'd just graduated from high school, the political situation in Cameroon was evolving into a multiparty system, the country's currency had been devalued, the banks were failing, unemployment was at its highest, university officials and professors were constantly on strike," he said. "It was a simple decision."

CNN iReport: "I am accepted for what I am, not for what I represent"

Once in the United States, Tadoum earned his B.S. in computer science and went on to get an MBA. Today, he's a senior project manager for a large health care company.

"I don't know if my achievement could be reversed for an American moving to Cameroon," said Tadoum.

Three officials approach the podium and the ceremony begins. Lights are dimmed, and the audience rises as a recording of the national anthem comes over the speakers.

The officials say 54 countries are represented in today's naturalization ceremony. They list each one, asking the people from said country to rise, and every nationality mentioned is met with applause. Brazil, Ghana, Iran and South Korea get the loudest cheers. Everyone is standing now, all their countries' names having been listed.

The time has come. "Ladies and gentlemen, please raise your right hand."

Cameras flash, phones shoot video. Friends and family of the naturalization candidates surround them in the room, capturing the oath of citizenship. They finally finish the lengthy oath and there are claps and cheers. They are now Americans, citizens of the United States. Many are holding and waving their little American flags. Now it's time to say the Pledge of Allegiance. They stand with their hands over their hearts and face the flag.

"Pledging allegiance to the flag was one of the proudest moments of my life," remembers Stephen Park, who attended his own naturalization ceremony in 2005. Originally from Scotland, he moved to the States to be with his wife, who is from Chicago. The pair met online and decided to build their new life together in the United States.

Park had a green card, "but that wasn't enough for me," he decided. "I believe strongly in the Constitution of this country and just having the right to work here wasn't enough. I wanted the right to vote and I wanted the right to call myself American."

"No other country gives you the right to pursue happiness, and that is the right that I have grabbed firmly with both hands," Park said. "A lot of people complain about this country ... but try living elsewhere without all the rights that you take for granted. In some ways, we immigrants are the lucky ones; we see more clearly the opportunities that this great nation affords all its people."

Immigrant: Becoming American doesn't mean giving up native culture

The citizenship ceremony only takes about 40 minutes in total. The new citizens grin as they are each handed their certificate of naturalization.

Most stick around to take photos in front of the large American flag next to the podium, or a portrait of President Obama that is hanging on the wall. They proudly display their certificates of naturalization and wave their flags for the camera. They're Americans now -- Americans by choice.

@highlight

This July Fourth, we ask naturalized citizens why they chose to become Americans

@highlight

Some wanted a better education or career opportunities

@highlight

Others needed to escape political or economic turmoil

@highlight

See the process of naturalization through the eyes of immigrants