(CNN) -- The Ebola epidemic in West Africa is playing out before the world's eyes. Each new update about the disease's spread is breathless; each new detail is related with dramatic flourish.

"Ebola Outbreak Hits Home" reads one headline; "Ebola outbreak is 'out of control,' " says another.

Meanwhile, on Tuesday, workers in hazmat suits carefully transported a second American patient with the disease to an Atlanta hospital for treatment.

It is no wonder people are frightened of Ebola despite the fact that an outbreak has never happened in a developed country.

"What if Ebola just wipes us out?" one Twitter user asked.

Our fears are reflections of an infectious disease narrative fed to the public for years -- by health officials, by the media and through a potent story delivered in books and movies about the "Bug or Virus That Will Kill Us All," experts say.

The drama of infection, and the horrible death wrought by Ebola, only adds to our morbid attention.

"We're fascinated by epidemics," said Philip Alcabes, director of the public health program at the Adelphi University Center for Health Innovation. "What we see on this side of the ocean is poor people dying, and doctors and health aides in space suits.

9 questions about this new Ebola drug

"It looks like the movies, and we've been prepped for a cinematic response," he said -- for the plot to unfold much like it does in a film.

"People perceive this as a very dramatic disease," said David Quammen, a science writer and the author of "Spillover: Animal Infections and the Next Human Pandemic."

"There is almost hysterical fear about Ebola on behalf of distant people in developed countries who think, 'This is going to come and get us.' "

Hysteria tends to take hold, experts say, the moment that health officials label an outbreak of disease an epidemic or pandemic.

Priscilla Wald, author of "Contagious: Cultures, Carriers, and the Outbreak Narrative" and an English professor at Duke University, says those pronouncements are often the beginning of an "outbreak narrative."

"A terrifying disease, easily transmitted, spreads from a developing country and threatens to become apocalyptic," she says, roughly summarizing the plot of movies such as "Outbreak" and books such as "The Hot Zone."

"That story has been told so many times, even when people hear one piece of that story, that one element may invoke the entire narrative," she says.

Conflating movie images with reality, and seeing those same images cycled through newscasts, may explain the roots of our fears about infectious diseases generally, but there is a deeper quality to our consternation about Ebola.

"Ebola has been the disease people around the world love to fear," says Quammen, adding that the SARS outbreak in 2003 infected thousands more people than the current Ebola outbreak yet caused significantly less worry.

"SARS wasn't as dramatic in terms of symptoms," he said. "It wasn't as vividly gruesome as this disease sometimes is."

An Ebola infection can cause profuse internal bleeding. One online commenter interpreted it as "... your internal organs rot into a bloody pulp and you're living through it."

Alcabes says, "Sometimes we're morbidly fascinated with diseases that are disfiguring."

Alcabes, author of "Dread: How Fear and Fantasy Have Fueled Epidemics from the Black Death to Avian Flu," compares current attitudes about Ebola with how people decades ago feared leprosy, another disease that is not highly contagious. Our anxiety tends to overshadow facts about the disease that could temper our unease, he says.

Ebola outbreaks have occurred only sporadically since strains of the virus were first identified in the mid-1970s. The outbreaks have tended to appear, affect a few hundred people and eventually fizzle out. (Considering that history, the current outbreak that's killed more than 900 people might be cast as an unsettling anomaly.)

What you need to know about Ebola

When an Ebola outbreak is investigated, the source of an infection usually points back to an animal. The virus infects, say, a chimp or gorilla, and a human who has close contact with that animal becomes infected.

Coming into contact with, or eating, the types of animals that become infected with Ebola would be a highly unusual scenario in the United States -- as unusual as mass human-to-human infection.

Still, ambivalence is not the attitude we should have when it comes to diseases such as Ebola, says Wald, the "Contagious" author. We should have some level of deference to Ebola's virulence; it kills between 60% to 90% of the people it infects.

At the same time, it must be acknowledged that becoming infected is difficult.

"Should you be scared? Yes and no," Wald says. "You shouldn't be impervious to the situation. You should experience an appropriate level of concern without allowing it to spiral into unrealistic panic."

Quammen says, "(People) should be scared in a rational way. But to be simply scared that this is the boogeyman that's going to come and get us is ignorant and wrong."

Ebola is horrible, he adds, "but it has killed far fewer people than things we think of as mundane diseases like measles, influenza and malaria."

In other words, Quammen says not to buy into the cultural myth, the sort of drama that has suffused the conversation about Ebola. For some, that may be easier said than done.

What is the risk of catching Ebola on a plane?

The difficulty with corralling our fears is that at the root of our despair is potentially something basic, even natural. Perhaps Ebola fears are a proxy for heavier questions we may be subconsciously pondering about our collective demise.

"We humans dread death," Alcabes says in his book. "It is only natural that the mass mortality brought by great plague makes us afraid."

Quammen, who has written extensively about fears of "The Big One" -- the virus that could wipe us out -- says that Ebola is not it.

In a recent New York Times editorial, he said Ebola is not "... an incipient pandemic destined to circle the world, as some anxious observers might imagine. It's a very grim and local misery, visited upon a small group of unfortunate West Africans, toward whom we should bow in sympathy and continue sending help.

"It's not about our fears and dreads. It's about them."

Ebola is here: 5 reasons not to panic

Experimental drug likely saved Ebola patients

Economic 'scare factor' adds to misery

@highlight

An infectious disease narrative has been fed to public for years, experts say

@highlight

The horrible death wrought by Ebola adds to our morbid fascination, they say

@highlight

Expert: "It looks like the movies, and we've been prepped for a cinematic response"