Brasov, Romania (CNN) -- The ruins of Poienari Castle sit high on a mountain peak with a seemingly never-ending vista looking out over deep gorges, charcoal-gray cliffs and mountain streams.

It's a natural paradise, but we did not make the trip to this castle just for the awesome view. Visitors come for its connection to history's most famous vampire, Dracula.

The famous book and the ensuing movies are fiction, but since Bram Stoker published his novel in 1897, the world has been looking to Transylvania (in modern central Romania) as "Count Dracula's" home.

And there is a bit of truth to it. Stoker never visited Eastern Europe, but his famous character is based, in part, on a real 15th-century prince.

Vlad Dracula lived from 1431 to about 1476 and ruled Wallachia, which was actually south of Transylvania. As military leader, he was a hero to his people, and he has a place in the Romanian National Military Museum.

Another museum explains the name "Dracula" is actually a title from the knightly order of the dragon, whose mission was to defend Christianity. Documents he signed "Vlad Dracula" still exist.

A nickname often associated with him is Tepes, which means impaler, and comes from his brutal application of capital punishment by skewering bodies on a wooden spike.

Visiting Dracula's castle

Poienari Castle is not on the main tourist route. In fact, it's pretty hard to get there.

Public transportation is infrequent, and the big tourist town in the region, Brasov, is hours away.

The woman running our hostel found a friend to drive three of us for 40 euros each (about $55 U.S.).

Our guide for the excursion was Daniel Ignat, a 20-year-old bar tender and Brasov native.

We piled into his tiny red Opel Corsa for the nearly three hour drive. He carefully speed around hairpin curves, over mountain passes and through farmland that looked like time stood still.

Farmers drove horses pulling wooden carts, hay stacks were piled (by hand) outside farmhouses and cows occasionally wandered into our path. In places, the roads were so bad that Daniel had to drive on the wrong side of the road to avoid potholes that looked like they might swallow the car.

When we arrived at a communist-era hydroelectric plant, we had to abandon the Opel and climb the final distance to Poienari Castle on foot.

Rigorous journey

The signs warn it is 1480 concrete steps straight up. I can't imagine an army hoping to take the castle. It's hard enough taking the modern stairs.

The castle entrance is guarded by a single keeper who speaks almost no English. The entrance fee is 5 Romanian lei (less than $2 U.S.).

Signs in English and Romanian explain Vlad expanded the castle in 1457. Legend has it he captured the residents of an enemy town and forced them to build the castle as punishment.

The structure was never huge, but now all that's left is ruined walls about one-story high. As you walk through the citadel, you can get a feel for how Vlad and his garrisons peered out over the valleys below looking for enemies.

Despite its rather well-accepted connection to Vlad, the castle is anything but a tourist trap. We only saw two other people on the beautiful fall day we visited.

This is not the place to buy Dracula T-shirts. In fact, the only souvenirs we found were the few postcards the castle keeper offered for sale.

Dracula a hero?

Most Romanians see Vlad as a bit of a hero, not the evil demon of "Count Dracula" fame.

As he drove us to Poienari, Daniel told us "He was our leader. ... He does not deserve this reputation."

In the Middle Ages, brutal punishment and executions, including those like Vlad carried out were common.

In fact, one museum suggested Vlad is more of a Robin Hood character, "merciless with the rich ones that were violating the law, but at the same time, a reliable friend of the poor. For the peasants of Wallachia he was the national hero that served their cause."

Dracula's more convenient castle?

Despite a rather tenuous connection with the historic Dracula, the place tourists seem to flock to seek out the vampire is Bran Castle. Still intact, sitting on a cliff with towers and sporting secret staircases, it just looks like it should have a spooky vampire inside.

And that's what the touts outside are banking on. Before you even get to the gate, venders are lined up hawking T-shirts, "Vampire Wine" and Dracula-shaped coffee mugs.

Vlad's armies passed through when fighting in the area, but the museum points out there is little evidence he spent time here.

The displays inside the castle are primarily devoted to the Romanian royal family, who used it as a residence in the first part of the 20th century, though one room does recount the history of the legend of Dracula, including bios of Stoker and Vlad.

This left one young tourist confused. She stopped me, asked whether I spoke English, and asked in all seriousness "Do you know where Dracula's bedroom is?"

Bran Castle is less than an hour outside of Brasov. It's on a main road, and the public bus is 8 lei (less than $3 U.S.) round trip. Entry is 20 lei (less than $7 U.S.).

@highlight

Ruins of Poienari Castle can be found in a rugged, isolated area of Romania

@highlight

15th-century leader Vlad Dracula lived here, and tourists are sparse

@highlight

More tourists go to Bran Castle, which is intact but had little connection with Vlad