(Lonely Planet) -- Fashion, food and music all take their cues from the past, so why not a little travel with a vintage twist? Here's our down-the-years guide to yesterday's holidays, with suggestions for how you can get a little taste of more -- or less -- glamorous eras.

1910s

As the twentieth century began travel overseas was the preserve of the wealthy and was starting to assume some of the grandeur we associate with this era. It was all possible thanks to boiling water, which became the steam that turned the turbines on steam trains and ships. This was the start of the ocean liner era -- passenger carrying airships were decades away -- with companies competing for speed, size and luxury. The Cunard ship Mauretania, launched in 1907, held the speed record for crossing the Atlantic for twenty years.

Lonely Planet: 7 ways to experiment with travel

How to do this today: Cruises are more popular than ever before, but only Cunard's transatlantic crossings between Southampton and New York preserve the spirit of travelling to get somewhere rather than boarding to eat and drink vast amounts while trying to sneakily sleep with fellow passengers. The Queen Mary 2 (diesel driven) is the only vessel sailing a transatlantic schedule each year. Fares start at Â£699 including a flight home from your destination.

1920s

Fast forward past the First World War into the decadent 1920s. Whatever people did it involved jazz playing in the background and an elegantly-poised cigarette holder in their hand. The spirit of the age took people to the French Riviera, maybe Nice, Cannes or St Tropez, but certainly to the house of someone rich and famous who would host with G&Ts, dips in the deep blue Med and spare barely a thought for the penniless rabble about to get blindsided by the Depression.

How to do this today: The south of France remains a magnet for glam travel -- it's just much cheaper to visit than it used to be. For starters, Nice is something of a budget air hub, serving destinations across Europe, and is also an excellent base for exploring the region. A stroll along the city's Promenade des Anglais is evocative of another age, no matter where you're staying.

1930s

The giant Zeppelin airship is the iconic image of this decade, and it was these mammoth beasts that carried long-distance airborne traffic throughout the 1930s. The most famous of these, the ill-fated Hindenburg, carried between 50 and 72 passengers. It was 243 meters long -- over three times as long as an Airbus A380, the largest commercial plane in service. It also took 68 hours to reach Recife, Brazil from Germany.

How to do this today: California is one of the few places you'll find airships today. Airship Ventures offer tours of the San Francisco Bay Area and other parts of California, with flights starting at $375 for 45 minutes.

1940s

Tourism in many places ground to a halt in the 1940s, but American trains enjoyed boom years before the post-war rise of the automobile. Comfortable, sleekly-liveried services operated high-speed, long-distance services with evocative names like the Pioneer Zephyr and 20th Century Limited. Think shiny cutlery serving fine fare inside equally shiny trains.

How to do this today: Some great American rail services still operate. The Empire Builder leaves Chicago's iconic Union Station each day, bound for Seattle or Portland. The 2200-mile journey takes 46 hours and features cheese and wine tasting along the route.

1950s

While for some, the 50s were about the development of a political ideology from the back of a bike in South America or road trips across America, (think Jack Kerouac's classic "On the Road"), for others they were as glamorous as the days of pre-war hedonism. The Jet Age, ushered in by entry into service of the Brit-built De Havilland Comet in 1952 means travel becomes sleek, fast and fun.

How to do this today: Cocktails in Cuba recall the pre-revolutionary island vividly portrayed in The Godfather, Part II. El Floridita in Havana may be a popular spot for a tourist tipple, but you know you're following in some famous footsteps.

Lonely Planet: How not to behave on an airplane

1960s

The 60s were the decade that travel changed forever. The advent of mass tourism introduced a generation of northern Europeans to just how quickly the Spanish sun could turn you lobster pink, and forever transformed sleepy fishing villages into brash, in-your-face holiday resorts. Even today, the straw donkey remains an iconic souvenir of this time, and one redolent of stellar tackiness.

How to do this today: The digital age ushered in choice and flexibility to a sunshine holiday. Now you can come and sizzle on the costa of your choice via traditional package or budget flight and self-catering apartment. And going is still the only way of securing a straw donkey which, astonishingly, cannot be purchased online.

1970s

While Mum and Dad were schlepping to the Costa del Sol (or other fashionable costa), rebellious teenagers dropped out and headed for Kathmandu. Overland. The Hippy Trail was at its zenith in the 1970s, bringing to various parts of the Middle East and Central Asia gaggles of long-haired kaftan-wearing westerners, fugs of smoke and impromptu yoga sessions.

How to do this today: Crossing Iran and Pakistan takes a little more planning than it did 40 years ago, and Kabul is not the crossroads it once was. Anyone heading from Istanbul to Nepal will find there is still a Freak Street in Kathmandu, complete with chocolate cake, dreadlocks and all the tie-dye you can handle.

1980s

The 80s brought wider horizons for millions of younger travelers as an adventurous few months on the road gained popularity. The European rail pass -- whether InterRail or Eurail -- was at the peak of popularity. This excellent value way to cross the continent didn't just link big cities and idyllic rural branch lines, it also brought together penniless travelers from around the world for a month-long series of rolling parties. Not that anyone even vaguely attractive wanted to talk to you, as you hadn't had a wash since Belgrade a fortnight ago.

How to do this today: InterRail is still around, and still a great way to explore Europe. In fact, you can combine it with budget flights to avoid back-tracking. The true connoisseur will take the time-honored option of sleeping on the free ferry from Italy to Greece, under the Adriatic stars.

1990s

In the early 1990s the world opened up to travelers, with previously hard-to-reach places emerging from decades of isolation. From the Soviet Union to Central America, this was a decade of blazing new trails. And as the decade ended, improved transport and communication links meant more places were accessible as well as safer, and you could reliably phone home to brag about it.

How to do this today: The old world continues to meet the new in Hong Kong, which began the 1990s as part of the British Empire and finished it as a Special Autonomous Region of China. The cream teas and Rolls Royces at the Peninsula Hotel are still here but they've been joined by fast rail links to the rest of China and ranks of new skyscrapers jostling for space on the city's famous skyline.

2000s

How dull flying must have been when we had our bags taken from us with little fuss then receive an assigned seat and a complimentary meal, before arriving at a convenient rather than remote airport for our destination! And yet, before low-cost carriers swept the globe, this was what came as standard when flying. By the time the decade was out, flag carriers were in retreat for all but long-haul flying and a 60km journey to central Oslo had become part of the fun.

How to do this today: Take a weekend break to an obscure destination in eastern Europe. Bydgoszcz, Poland or Plovdiv, Bulgaria both fit the bill.

Lonely Planet: Dropping a line: the history of postcards

© 2011 Lonely Planet. All rights reserved.

@highlight

Take a trip with a vintage twist to make the most of your holiday

@highlight

Relive the 1930s with an airship ride over the San Francisco Bay Area

@highlight

Hope on the InterRail for a great way to crisscross and explore Europe