(CNN) -- It started a few years ago, as I was spiraling down one of Wikipedia's endless information rabbit holes.

I already had as many trains of thought as I had tabs open, and yet, somewhere between the fall of the Roman Empire and the chemical properties of copper, another little thought managed to burrow a space for itself: I started to consider the process by which all this information had been amassed, ordered, published and argued over -- the massive collaborative effort shared amongst so many contributors, and the exponential benefit such a resource provided.

Over time that initial little moment of wonder grew into a fascination with the culture around shared information - code and designs that can be studied, modified, and redistributed by anyone, for any purpose.

Check out this demo of 3D printing pen

But no matter how many documentaries I watched, books I read, and blogs I followed, I remained a spectator. The conversation about remix culture and self-replicating machines was between hackers, engineers and Harvard professors, and I didn't feel I could contribute. I made music videos, not circuit boards.

Before this year I had never used a 3D printer, never written a line of code, and about the only thing I could make myself was an omelette. But in this inexperience I saw an opportunity to share the story and the struggles of a complete beginner, trying everything for the first time.

Since August 1 2012 I've been living a "Year of Open Source," exploring how the systems and culture of free and open-source software work in other areas.

For a year, I'm using or developing products and projects that are shared under open licenses, made to be copied or built upon by others -- which also means not buying any traditionally copyrighted or patented products. I've been applying this concept to as many areas of my life as possible and documenting the results in blogs and videos.

Digital tattoos, mind-reading headphones: The shape of things to come?

Some lifestyle changes have been welcome -- swapping Mac software for Linux was much easier than I expected, and I'm never going back. "Researching" open source beer is also a pleasure.

People often ask me what I miss. Without any hesitation, it's cinema! Open-source, remix-friendly films aren't too common. I haven't been to the movies in 10 months and it takes just the faintest murmur from the nearby open air cinema before I find myself anxiously wiping phantom popcorn grease from my fingers.

Similarly, avoiding "all rights reserved" music has left me with a hollowed-out collection: some dusty public domain blues, and a sparse selection of new music under certain Creative Commons licenses. If you were to compare my music library before, and my music library now, you could never claim it was an improvement.

But this project is not about what I'm missing out on. The value of my new music is that it's truly mine to use however I like.

When you're expressly given permission to use something, it starts a creative process. I use open-source photos, video and music freely in the videos I make, promoting the original artists while allowing my work to be remixed and reused by others in the same way. Using the commons means I never have to start from zero. I'm currently creating an open educational curriculum for teaching video editing, but I can use existing ideas, resources and examples as a framework.

Makeblock: open source 'Lego for adults'

My DIY skills have come a long way -- making scarves, wine, soap and toothpaste, though it seems like whittling sticks when compared to the possibilities of open hardware and digital manufacturing.

The online sharing of 3D files allows people around the world to collaborate and create intricate physical objects using laser cutters, 3D printers and CNC mills. It's not as easy as clicking "print" but I've been able to develop projects that would be impossible using traditional techniques.

Thanks to the help from Fabienne Serriere and her hacked knitting machine I was able to survive the Berlin winter with an open source woolly hat. Its pattern draws on public-domain snowflake images, and a knitted QR code leads to the hat's source files.

Although 3D-printed underwear is a long way off (plastic chain mail, anyone?) I thought computers could still take some of the difficulty out of making your own clothes. People don't all fit neatly into small, medium and large, and patterns should reflect that. At my local co-sewing space I met a talented tailor and designer who helped me make a parametric underwear pattern -- you type in your waist measurement, and the pattern adjusts its shape to fit.

Read this: My open-source cure for brain cancer

This community is growing fast. Berlin's first Fab Lab is just starting to plug in the 3D printers and warm up the soldering irons, already attracting a diverse collection of people who are exploring digital manufacturing for the first time.

With each step there are technical challenges, and other difficulties along the way -- a lack of budget, as well as the time spent researching and organizing collaborations. Progress is slow. I haven't yet tackled big issues like an open-source approach to electricity, internet service or land access, and I'm running out of time.

On August 1 2013, the restrictions will stop and, yes, I'm heading straight to the movies. But now, I need no impetus to look for open-source solutions wherever possible -- it's automatic. The year might be ending, but this process is not.

The main lesson I've learned is that if you want to make things yourself, if you want to help others, or express yourself creatively, you don't need any special skills or background to get started. There is an ever-growing wealth of information, tools and designs in the commons, which you already have permission to use. Share and share alike.

The opinions expressed in this commentary are solely those of Sam Muirhead.

@highlight

Sam Muirhead is using only products shared under open licenses

@highlight

He is hoping to complete a year of open-source living

@highlight

Sam has had to give up most movies and 'all rights reserved' music

@highlight

He is currently creating an open educational curriculum for teaching video editing