(CNN) -- "Two professors, both alike in dignity, in fair Geneva where we lay our scene."

When it is finally written, the story of one of the greatest scientific discoveries of our age may begin something like this.

Last month, two eminent professors -- Peter Higgs and Francois Englert -- were jointly awarded one of science's greatest honours: the Nobel Prize in Physics.

The award came on the back of the dramatic announcement last year that the Large Hadron Collider (LHC), based in Geneva, had made an astonishing discovery: a new particle, a Higgs Boson, had been comprehensively proven to exist.

Physicists around the world rejoiced -- some wept openly. Years of speculation, theory and research had suddenly been validated.

In typical Scandinavian understatement, Staffan Normark, permanent secretary of the Royal Swedish Academy of Sciences said "This year's prize is about something small that makes all the difference."

The discovery came as a major puzzle piece in the way physicists understand the universe. The "Standard Model" of physics, which some regard as a "theory of almost everything" suffered from a significant "missing link" before the discovery of the Higgs Boson. Now there seemed to be a reason why particles have mass; now we had a key to understanding our 4% of the universe and perhaps access to understanding the other 96% of the universe as well.

But just as one set of answers were being revealed, more questions immediately presented themselves. CNN Labs spoke to some of the world's top physicists about what the discovery of the Higgs Boson means, and what questions now need to be addressed.

Joel Butler, a scientist at the prestigious Fermilab laboratory in Illinois said: "The big question is why the Higgs (particle), with a mass more than 100 times that of the proton, is so light. That question is not answered by our picture of the universe"

Jon Butterworth, Head of Physics and Astronomy at University College London, says that in his view: "There are issues like what is dark matter? (And) why is the universe mostly matter not antimatter?"

Hitoshi Murayama, a professor of physics at UC Berkeley, says: "The main question is this: we have never seen an elementary particle without spin. Electron, quarks, photon, etc all have spins ... The Higgs boson may actually have spin but it is spinning in extra dimensions of space we cannot see. We really need to know the true nature and context of this newly discovered particle."

To answer these questions the Large Hadron Collider will soon be joined by another massive experimental facility -- the International Linear Collider (ILC). Like the LHC, the ILC will be a vast machine that stretches for miles beneath the earth. A site for the ILC has yet to be determined.

The history of science is replete with machines that have helped scientists make significant breakthroughs, providing the kind of quantifiable, testable, reproducible data science requires to progress.

From Marie Curie's ionization chamber used in the discovery of spontaneous radioactivity, to Cathode ray tubes which led to the discovery of the electron, to Geiger counters and more recently the Large Hadron Collider, discoveries have come from equipment both big and small; simple and complex. The ILC sits as the latest in a long line of machines designed to advance physics, but what exactly will it do that the LHC cannot?

Tim Meyer, Head of Strategic Planning and Communications at TRIUMF, Canada's national laboratory for particle and nuclear physics, says that it will be able to produce many more Higgs particles than the vast collider in Geneva, and will offer new levels of accuracy.

"The ILC will be able to study the Higgs precisely," he said. "It will be a Higgs factory and will be able to make measurements of the Higgs' properties with 3% relative precision as opposed to the LHC's 25% relative precision, people believe ... The ILC could 'crack open the Higgs' and reveal the mysteries of nature's first spin-zero particle."

Brian Foster, the European Regional Director for the International Linear Collider, says that it is not impossible that the vast machine could help us discover an overarching theory of everything.

"If we are lucky, the ILC can detect a whole new family of particles that might help us to realize Einstein's dream of uniting all the theories of physics into one overarching and conceptually simple theory," Foster says.

A decision to begin construction on the International Linear Collider is currently expected by 2015.

Monique Rivalland contributed to this article

@highlight

The International Linear Collider aims to "discover an overarching theory of everything"

@highlight

The vast new facility will increase understanding of the Higgs Boson, commonly known as the "God particle"

@highlight

Research into the particle led to the awarding of this year's Nobel Prize in Physics