(CNN) -- In South Korea, telematics is big business. If it sounds like a buzzword to advertise the latest purveyor of high-tech must-have gadgets, its etymology is no less firmly rooted: "tele" means remote; "matics" means information. Cruising right alongside wireless broadband and DMB (Digital Media Broadcast) cell phones, telematics refers more specifically to automobiles receiving remote information from commercial service providers. These services could include Global Positioning System (GPS), on-demand entertainment, Internet and Web access, or weather and traffic conditions.

All taxis in Seoul are already equipped with a telematic GPS navigation device.

Among the corporate sponsors of telematics research and development are Samsung, LG Electronics, Hyundai and General Motors, who all have speech-interfaced applications targeting consumer products launching in early 2008. Among the top academic contenders of this highly competitive field of R&D is one of South Korea's top three elite institutions of higher education, Korea University.

Within Korea University, the School of Electrical Engineering's Intelligent Signal Processing Lab (ISPL), headed by Professor Ko Hanseok, specializes in both image and speech processing. Applications of image processing include such popular consumer features as light balancing and face recognition, now standard on most digital cameras, which can also be associated with voice recognition. Current research in audio processing includes noise suppression and continuous speech recognition, which can be applied as much to cell phones as to voice-controlled telematic devices in vehicles.

But while South Korea may live up to its reputation as being the "world's most wired country," Professor Ko points out that on a global scale, the relatively tiny nation is uncomfortably wedged between China and Japan. On the one hand, China overshadows the manufacturing industry as the "world's fastest-growing economy;" on the other, Japan dominates the collective image of the "world's most high-tech nation."

So, faithful to Korea University's forward-thinking slogan "Global pride," Professor Ko keeps his research lab's projects closely aligned with what he calls the "impact factor." R&D value is measured in industry impact, which depends on market analysis and consumer trends. After all, the majority of his students studying and working at the highly reputed university are sponsored by the corporate partners that will apply their research to real-world products.

In yet another example of South Korea's converged efforts toward collective success, telematics has united the gadget-makers with the engineering academics, as the industry driven by consumers in cars. E-mail to a friend

@highlight

Telematics: Cars receiving remote information from service providers

@highlight

Korea University researches noise suppression, continuous speech recognition

@highlight

Samsung, LG Electronics, Hyundai, GM will launch new devices in 2008

@highlight

South Korea is uncomfortably wedged between China and Japan