ATLANTA, Georgia (CNN) -- Children with high-risk medical conditions or disabilities should be among the first to be vaccinated against H1N1 influenza, also known as swine flu, the Centers for Disease Control and Prevention advised Thursday.

CDC: The H1N1 virus is spreading in the United States, particularly in the Southeast.

And high-risk children under 18 years of age should be rushed to a doctor at the first sign of the virus, said Dr. Thomas Frieden, CDC director.

In addition, doctors should be aware that some otherwise healthy children with bacterial infections may be more susceptible to the flu, he told reporters during a conference call.

Frieden said the vaccine should be available by mid-October, and will be free at public hospitals and other sites. All schoolchildren should be vaccinated, he said.

"We also are recommending that all people with underlying conditions get vaccinated -- people who have asthma, diabetes, lung disease, heart disease, neuromuscular conditions, neurological conditions that increase their risk factors and women who are pregnant," Frieden added.

As of August 22, there had been 556 deaths in the United States associated with the H1N1 virus, and 42 of those deaths were children under the age of 18. The figures were published August 28 on the CDC Web site.

Thursday, the CDC's Morbidity and Mortality Weekly Report focused on the pediatric cases -- 36 that were counted among the 477 flu-related deaths up to August 8.  Watch more on what the CDC had to say about H1N1 influenza »

Seven of the children who died were younger than 5 years old, the report said, and 24 had underlying disabilities, such as muscular dystrophy or cerebral palsy, or one or more high-risk medical conditions.

Frieden said the H1N1 virus -- which he said never really went away, judging by the cases reported this summer -- is spreading in the United States, particularly in the Southeast.

"The good news is that so far, everything that we've seen, both in this country and abroad, shows that the virus has not changed to become more deadly. That means that although it may affect lots of people, most people will not be severely ill," he said.

He noted, however, that both H1N1 and the seasonal flu are unpredictable. Because of this, health professionals have to be ready to change their protocols based on any new information.

On Wednesday, the CDC said there were six suspected cases among its approximately 7,000 employees at the Atlanta, Georgia, headquarters.

Frieden referenced findings by federal agencies who were asked to study the impact of H1N1 in the Southern Hemisphere. They examined data from Argentina, Australia, Chile, New Zealand and Uruguay, since they more closely resemble U.S. demographics and economic development.

"All countries report that after mid-July, disease activity in most parts of the country decreased. This indicates that the duration of the current influenza season in the Southern Hemisphere, in which the 2009 H1N1 virus is the predominate strain, may be similar in length to an average seasonal influenza season," according to the Flu.gov Web site.

Earlier Thursday, the Institute of Medicine released a report recommending a major step up in protection for health workers dealing with patients suspected or confirmed to have H1N1 influenza.

The institute, in recommendations requested by the CDC, said loose paper masks are inadequate because workers can still breathe in the virus. Instead, health workers should switch to a specific type of mask -- N95 respirators -- that form an airtight seal around the nose and mouth.

CNN's Mariam Falco contributed to this report.

@highlight

CDC: Children with medical issues should be among the first to get H1N1 vaccine

@highlight

Head of CDC predicts the vaccine should be available by mid-October

@highlight

As of August 22, 42 of the 556 U.S. deaths linked to H1N1 virus were in kids