(CNN) -- Hopes soared recently when the Nigerian government said it had reached a deal with the terrorist group Boko Haram to free more than 200 girls and young women still missing after a mass abduction in April.

But with each passing day, it looks less and less likely that the girls will be freed.

In fact, Boko Haram has kidnapped numerous other young people in at least two incidents that have happened since the Nigerian government reported a deal.

Boko Haram kidnaps 30 in northeast Nigeria

What's going on?

Who and what is Boko Haram?

The name "Boko Haram" translates to "Western education is sin" in the local Hausa language. The group has said its aim is to impose a stricter enforcement of Sharia law across Nigeria, which is split between a majority Muslim north and a mostly Christian south.

The group was founded 12 years ago by charismatic cleric Mohammed Yusuf. Police killed him in 2009 in an incident captured on video and posted to the Internet.

Boko Haram is now led by Abubakar Shekau.

In recent years, its attacks have intensified in an apparent show of defiance amid the nation's military onslaught. Its ambitions appear to have expanded to the destruction of the Nigerian government. The militant group has bombed schools, churches and mosques; kidnapped women and children; and assassinated politicians and religious leaders alike.

What was agreed upon in the ceasefire deal?

Nigerian officials said on October 16 that President Goodluck Jonathan's government had reached a ceasefire agreement with Boko Haram after a month of negotiations.

But officials provided few details about the release.

Doyin Okupe, a government spokesman, did not specify when the girls would be freed. He said not all would be let go at once, but a "significant number" would be released soon.

The Nigerian government had also consented to some demands by Boko Haram, but Okupe declined to provide details.

Boko Haram has remained silent on the deal the government said it signed with the group in neighboring Chad last week. Nigerian officials have emphasized there is no set time line for release of the girls, which likely would happen on a piecemeal basis instead of all at once.

So is there actually a deal?

David Cook, who studies jihad, wrote on October 18 that he had doubts about a deal going through.

"It remains to be seen whether this truce will actually materialize, whether it is merely an election ploy for Nigeria's embattled President, Goodluck Jonathan, and most crucially whether it will bring about the release of numerous captives taken by Boko Haram during the past year," he wrote in an analysis for CNN.

"While Boko Haram has suffered some reverses during the recent past, there is no indication that the group has suffered any mortal damage. The most plausible interpretation of the truce is that it is a bought one (probably in tandem with the Cameroonian release of captives), and that Boko Haram is merely using it (assuming that it holds to the truce at all) as a respite in order to regroup."

In an article written for CNN the day after Nigeria announced the ceasefire, Brookings' Richard Joseph wrote: "This is a case when we will actually need to see the girls emerging from their six-month confinement before we can truly believe."

What has Boko Haram done since Nigeria announced the truce?

Boko Haram gunmen kidnapped at least 30 boys and girls from a village in northeast Nigeria during the weekend.

Last week Boko Haram militia kidnapped 60 women and girls in two Christian villages in neighboring Adamawa state, according to residents and community leaders.

The heavily armed fighters left 1,500 naira, or about $9, and kola nuts as a bride price for each of the women abducted Saturday, suggesting that they would be taken as sex slaves, residents told CNN.

Then on Friday and Saturday, heavily armed Boko Haram gunmen invaded the town of Mafa in Borno state and seized 30 boys and girls, local leaders said.

"They took them away to their base in the bush, and we believe they are going to use them as foot soldiers," Mafa local government chairman Shettima Maina said.

Mallam Ashiekh Mustapha, the local chief of Mafa who confirmed the abductions, said the kidnappers also stole 300 cows from the farming community in the raid.

The Nigerian government has said Boko Haram has denied involvement in the kidnappings, but the group has issued no public statement on the issue.

Are Boko Haram and Nigeria's government really interested in peace?

Richard Joseph argues that "the campaign for the Nigerian presidency has effectively merged with the campaign to defeat Boko Haram."

"If the government is successful in brokering a lasting ceasefire with Boko Haram and bringing home these girls, Goodluck Jonathan would undoubtedly get a significant boost in his reelection efforts."

In July last year, Professor of African History and Peace Studies at the University of Ibadan Isaac Olawale Albert wrote an opinion piece for CNN in which he argued that Boko Haram had no reason to pursue peace.

"Leader Abubakar Shekau and some of the group's other senior members have nothing to gain from any permanent peace -- especially as the international community has already cast them in the mold of former al Qaeda leader Osama bin Laden. As they await eventual capture, they will not mind causing more trouble," Albert said.

Director of the Royal African Society Richard Dowden noted in May that President Jonathan had not commented on the schoolgirls' abduction for two weeks after the incident.

The reason, Dowden argued, was that the problems of the northeast region did not matter to his government as there was no incentive to develop the region. "It produces nothing and will not vote for President Jonathan," he wrote.

Why did Boko Haram abduct the girls?

Shehu Sani, a human rights activist in northern Nigeria who has previously been involved in mediating with Boko Haram, told CNN in May that the mass April abduction and other recent attacks were messages to the Nigerian government that the recent arrest of Boko Haram followers in Islamic schools will be avenged. In 2012, Shekau's wife and three children were reportedly taken into military custody.

Sani said he believed Boko Haram targeted the girls to force concessions from the Nigerian government -- beginning perhaps with the release of Boko Haram followers from prisons.

"The fact Shekau said he would sell the girls and did not say he would kill them is a clear indication that negotiation is possible," he said.

But at least some of them may be traded for ransom money. Boko Haram has begun trading hostages for cash -- most notably in the case of a French family kidnapped in northern Cameroon last year and reportedly freed for some $3 million.

The international outrage sparked by the abduction also serves Shekau. "It has put pressure on the government to reach out to him," Sani said

Has Boko Haram negotiated before?

Shekau is not beyond negotiating with the Nigerian government, despite his apocalyptic rhetoric and frequent denials of President Goodluck Jonathan's legitimacy. According to the International Crisis Group, negotiations in Ivory Coast a year ago were on the verge of producing "an apparent peace agreement that was to begin with a ceasefire."

Then Shekau was designated a terrorist by the U.S. State Department and abandoned the talks.

What are the chances of the girls' safe return?

Jacob Zenn, an expert on Boko Haram with the Jamestown Foundation, a Washington-based research and analysis firm, said in May that the mass kidnapping may have been part of an effort by Shekau to reinforce the loyalty of largely uneducated recruits by providing them with "free servants or sex slaves."

"Many will likely end up becoming mothers -- it's a real horror and over the next years we'll slowly hear the stories of girls few-by-few as they manage to make it out," Zenn told CNN.

"Boko Haram has likely split up or sold the girls into many small groups," and they can be used as human shields in the event of an attack, he said.

However, if the ceasefire announcement is real, it would appear the girls are alive, leaving hope for the chance of their return.

@highlight

Ceasefire between Nigeria and Boko Haram raised hopes for release of kidnapped girls

@highlight

Militants have continued their kidnappings even after the deal was reached

@highlight

Some experts doubt that the ceasefire will go through

@highlight

Others say negotiated release is still possible