(CNN) -- Detroit became the largest U.S. city to exit bankruptcy this week, with the effective approval of a plan to slash $7 billion in debt and reinvest $1.4 billion to improve city services.

The move set in motion the "Grand Bargain," an $816 million deal that ensured the bankruptcy's timely and fair resolution, by helping to honor city retirees and preserve the Detroit Institute of Arts.

Retired public employees and artwork -- two civic assets rarely thought of in the same breath. But in Detroit -- and, indeed, in countless cities across the country -- the duo constitute an essential part of the city soul.

Take Diego Rivera's Detroit Industry Murals, a work as iconic as any on display in the DIA. The murals personify the spirit of Detroit, where citizens of varying backgrounds came together to build the city with their own hands. It is this spirit of hard work and determination that made Detroit an envy of the world -- and that persists in communities throughout the region today.

For much of the last 18 months, though, the pensions of tens of thousands of Detroit's retirees, along with the world-class art collection at the DIA, were put at risk in Detroit's bankruptcy. As the museum and retirees led the news, the focus was not the enduring spirit of the murals, nor the toil of Detroit's workforce. The question, instead, centered on the whether Detroit needed them at all. How much would the city cut from retirees' pensions plans? What art could be sold from the DIA?

At the Kresge Foundation, a philanthropy rooted in Detroit and committed to expanding opportunity in cities nationwide, we fundamentally rejected this way of thinking. We refused to stand by while pensioners were dealt a devastating blow to their livelihoods. We couldn't keep quiet as assets of one of our community's greatest treasures were stripped.

So we -- along with dozens of partners across the private, public and philanthropic sectors -- contributed to the Grand Bargain. In doing so, we affirmed our commitment not only to Detroit's future, but to an even Grander Bargain: The notion that government and the citizens it represents can join together in pursuit of the common good. This social compact, and the set of values it embodies, must be embraced as cities look to succeed in the 21st century.

With Detroit's bankruptcy now behind us, it's time to step back and reflect. Why did so many put so much money into art and pensions? And what can we take from this chapter in one of America's greatest cities?

First, the Grand Bargain is a study in collaboration between diverse -- and even unexpected -- stakeholders. When our group of foundations first announced this investment in January, we hoped our involvement would bolster the spirit of positive engagement and creativity in Detroit, encouraging others to invest strategically across the region.

It did. Local and national philanthropies, retirees and unions, elected officials on both sides of the aisle and from all corners of Michigan, businesses from the "Big Three" automakers to JP Morgan Chase, cultural advocates, a groundswell of Detroit residents -- all came together to forge this compromise, underscoring that no one entity, or sector, can do it alone.

In an age of budget constraints and political polarization, cooperation is not only possible, but indeed critical to solving our most pressing urban problems.

Second, this deal highlights the need to move beyond accepted ways of thinking â€” to reject the status quo, particularly when it is shrouded in pessimism. It's one thing to pay lip service to Detroit's most vulnerable residents and a vital civic asset. It's entirely another to develop a legal framework and garner the support necessary to do so. Revitalizing American cities will require the same nimbleness, innovation and risk-taking that were on display in Detroit. It will require real risk -- of resources and reputation.

Third, our investment says something about the values we, as foundations, think are essential to prosperity and inclusion. Shoring up pension funds helps families, bolsters the local economy and relieves pressure on municipal operating budgets.

Treasured cultural beacons like the DIA strengthen metropolitan areas, attract residents and visitors alike, and add to citizens' connection to the city. And in Detroit, supporting the dignity of retired city employees and preserving the art were, above all else, essential to hastening the city's bankruptcy and putting it back in the starting blocks.

There's no doubt that Detroit's emergence from bankruptcy has been hard. We faced tough questions about the accountability of non-elected decision-makers; and about the feasibility of improving Detroit's public services, remediating blight and rebuilding the tax base. Retirees who negotiated in good faith still face pain and hardship. The road ahead will be challenging, as institutions need rebuilding, communities need repairing, and the trust of citizens needs restoring.

But it is the positive characteristics of the Grand Bargain that form the basis of Detroit's future -- and that serve as inspiration for other cities to tackle similar, seemingly insurmountable challenges. Resilience and hope triumphed in Detroit. All strands of our community joined to weave a fabric of possibility that will forever change this city.

There have been times over this last year when our aspirations to get back to work seemed beyond reach. But the stakes were too high to fail; there was simply too much potential to give up. In Detroit, each person, institution, and community rose to the challenge.

It's time to do that once again -- not just in the Motor City, but across the nation. If there's a lesson from Detroit's bankruptcy, it is that. We can, and we will, protect our cities.

@highlight

Rip Rapson: Detroit exited bankruptcy this week, saved pensions, city's art collection

@highlight

He says 'Grand Bargain' bonded varied stakeholders committed to Detroit's future

@highlight

Plan prioritized workers,arts, civic life to health of city, but still challenges, he says

@highlight

Rapson: Other cities should learn to draw communities together, think outside box