(CNN) -- The Circuit of the Americas in Austin, Texas lies just 200 miles from the Mexican border.

On Sunday it will host the first U.S. Grand Prix since 2007 -- and thousands of Formula One fans are expected to cross the Rio Grande to cheer on a driver they know as "Checo."

Sergio Perez has become one of the darlings of Mexico, a country that in recent times has become more synonymous for the drugs war waged by Felipe Calderon during his tenure as president.

The sporting focus this weekend will be on America, but the problems of its neighbor will come into sharp focus in the Mexican town of Nuevo Laredo -- the closest crossing point for those hoping to see Perez at what is, in effect, his home race.

It is a town that in recent months has become awash with drug-related killings, the most recent resulting in 10 suspected criminals being shot dead in a gunfight with soldiers and the police last month. Nationwide, the battle against drugs in the last six years has accounted for 60,000 deaths, 16,000 bodies remain unidentified and 24,000 people are missing.

It's an issue that Perez would rather not speak about. Not that he shies away from hard subjects in conversation, but simply because he would love his country to be remembered for other reasons.

"My country is really only in the media for drugs and violence, which is sad," says the 22-year-old from Guadalajara. "And yes there have been problems with the Mafia and drugs, but it's getting better.

"People need to focus on the fact it's a great place, with some great beaches and some great people. It's the best country in the world and I'm so proud to be Mexican," adds Perez, as his bright smile breaks out for the first time in conversation.

It's not difficult to see his appeal. Perez has given his country much-needed positive headlines with his performances for the Sauber team over the past two years, and many of his 114 million compatriots aspire to emulate his success story.

The times he has been able to return home this season have been relatively few and far between -- such is the punishing schedule of an F1 driver -- but the reaction is always the same, and it's not uncommon for Perez to be mobbed in public.

In Guadalajara, he is vying for the crown of the city's favorite son with his close friend Javier Hernandez, who plays for top English soccer club Manchester United.

Perez knew "Chicharito" long before he became a household name in the Premier League, and talks fondly of watching him play for his home city in past seasons.

"The thing is I didn't know how good he was then," says Perez, himself a keen footballer and, like Hernandez, a striker. "If I did I would have bought him myself, sold him and made lots of money!

"But obviously I watched him many times play for our city and he was clearly very good. But it was still a surprise for us when Manchester United signed him. But he's been very good and scored some good goals lately both for Man Utd and for Mexico."

The pair remain in close contact via text, with Hernandez berating Perez for his association with Chelsea, which signed up as a partner to the Sauber team earlier this season.

"He doesn't like seeing me in Chelsea colors," admits Perez with a smile.

Next season, that will no longer be a problem because Perez is moving up the grid to McLaren, a deal that was sealed last month and which led to a wave of texts of congratulations from Hernandez among others.

Perez has been hot property in his sophomore F1 season following a trio of podium finishes at a team usually more renowned for keeping pace somewhere in the midfield of the grid.

And he admits his sudden rise to the top draws parallels with Hernandez -- who scored just 18 minutes into his United debut and was crowned player of the year for the 2010-11 season as the club won a record 19th English title.

"I guess it's similar, yes," Perez says. "I hope I start at McLaren like Chicharito did at Man Utd."

Perez does not lack for ambition or confidence. When asked about his goals for next season, he says deadpan: "Just one goal -- to be world champion."

While admirable as a target, it's highly unlikely. For one thing, McLaren is still struggling to match the pace of the front-running Red Bulls despite Perez's repeated mantra that "I've joined the best team in the world."

Then there is the fact that alongside him in the other McLaren is Jenson Button, 10 years old and wiser, and with a world title and 14 race wins to his name.

But Perez is not deterred by such statistics and, in conversation, it's hard not to buy into his positive outlook -- which McLaren has clearly done by paying him a reported $11 million a year.

"My target straight away is to win the world championship," he says. "I need to get wins to do that. I know it will be very hard to win the championship but it's the challenge I want."

Perez is looking forward to working with Button, whose relationship with current teammate Lewis Hamilton has seemingly deteriorated this year.

"I've spoken to Jenson a bit since I signed for McLaren," says Perez. "He seems to be a great guy and I think he'll be good fun as a teammate. He's a very tough guy to beat and is very experienced. He's one of the fastest guys out there."

Not perhaps quite as quick as 2008 world champion Hamilton, who is potentially a daunting act to follow. "For sure, I've got big shoes to fill," says Perez. "I rate him very highly and he's maybe the fastest out there. It's going to be tough to follow what he did."

McLaren bosses are confident he will do just that, despite the fact Perez has not picked up a single point at Sauber since signing for the team.

But it is not the last few races on which the British team reached its decision. Perez, the son of a former Mexican F3 champion and whose elder brother is a NASCAR racer, has always been quick -- he showed that in F1's feeder series competitions.

However, he has been prone to lapses in concentration and occasional errors.

Those have been rarer this year, and he has been notoriously kind on his Pirelli tires, which in turn has helped him bag top-three placings in Malaysia, Canada and Italy.

Where once he was considered aggressive -- and that still flares up on occasion -- Perez has a smooth driving style, akin to Button. It makes him a perfect fit for McLaren's engineers, who can build the car around essentially similar drivers.

His efforts this season were not enough, however, to persuade Ferrari to take a risk on him and sign him as a replacement for Felipe Massa. Perez is a product of the Ferrari driver academy and appeared to be being groomed for a role at the "Prancing Horse."

But Ferrari president Luca di Montezemolo put paid to that back in September by claiming that he lacked the experience required for F1's most successful team. McLaren, looking for a replacement for the Mercedes-bound Hamilton, decided to take the gamble but there is enough to suggest it will pay off.

His departure will prove costly for Sauber, which has brought in Nico Hulkenberg from Force India as a replacement.

Perez has long been backed by Telmex owner Carlos Slim, the world's richest man and a backer that McLaren would dearly love on board. The switching of his investment has cast doubt over the future of Sauber's other driver this year, Japan's Kamui Kobayashi -- who has no major sponsor.

Of his podiums in 2012, March's Malaysian race was arguably Perez's pinnacle to date, scything his way from 10th on the grid to come within a whisker of beating Ferrari's two-time world champion Fernando Alonso to the win, while he also finished second behind Hamilton at Monza in September.

"All my podiums were equally great," he says, "but I'm disappointed I've not had a win. I want to win at Sauber before leaving.

"Sauber has become like a family to me and it's always hard to leave your family. But I have a new family to go to and there comes a point when you have to move up to a new challenge. It will be great to join a new team, to have a new experience."

Before the move, though, Perez feels like he has unfinished business in the season's final two races.

"I still want to give everything until the last lap of the last lap," he says. "I want to give everything I can."

@highlight

Formula One driver Sergio Perez looking forward to his "home" race in Texas on Sunday

@highlight

The Mexican is expected to have thousands of fans crossing the border to support him

@highlight

He has been one of F1's surprise success stories in only his second season on the grid

@highlight

Perez has earned a big-money move to McLaren after three podium placings in 2012