Editor's note: Rudy Ruiz founded RedBrownandBlue.com, a site featuring multicultural political commentary, hosts a nationally syndicated Spanish-language radio show; and wrote a guide to success for immigrants ("¡Adelante!" published by Random House). He is co-founder and president of Interlex, an advocacy marketing agency based in San Antonio, Texas.

Rudy Ruiz says immigration reform can't wait for next year.

SAN ANTONIO, Texas (CNN) -- One of the greatest challenges for minorities in any democracy is that their priorities often differ with those of the majority.

Consequently, even if a minority group does not experience outright tyranny, it can suffer tragic neglect. That's the lingering problem with immigration reform.

Latino leaders have long called for comprehensive immigration reform. During the presidential campaign, it finally seemed destined for reality as candidates sought the crucial Latino vote.

But today, where's immigration reform on the list of priorities?

Apparently, it's plummeting faster than bank stocks were during the market's freefall. Maybe the president hoped we wouldn't notice. He mentioned it in passing while we were engrossed in the health care drama. And instead of telling us directly, in a meeting with the Latino leaders that supported his candidacy, he announced it while chatting with foreign heads of state.

What did he say? No immigration reform until 2010. But since he's expending massive political capital on health care, and 2010 is a midterm election year renowned for inaction on controversial matters, the postponement is as menacing as the promise is dubious.

"Experience and history have told us if it's postponed to the following year, then you're talking about 2011," Rep. Henry Cuellar, D-Texas, told the San Antonio Express-News.

But with health care and financial reforms, budget deficits, and tax hikes looming, what hurdles will we face by 2011? What realistic hopes remain for immigration reform?

Rep. Charles Gonzalez, D-Texas, said if a comprehensive bill isn't passed, "We'll try to do it piecemeal."

"Piecemeal" is a favorite course for a Congress that finds bipartisan compromise unpalatable. But given the issue's persistent magnitude, such a response is tantamount to a negligent -- perhaps tyrannical -- master tossing a crumb from the table to a pack of ravenous, emaciated dogs.

Instead, why don't we step up as a nation and face the challenge with a level of honor and attention that is consistent with the best of our ideals? After all, the Statue of Liberty raised its torch to welcome immigrants, not to light the way for the insurance executives and Wall Street bankers prioritized by policymakers today.

I grew up on the border and I can honestly say, it pains me to watch us squander billions on a border fence when we've yet to see a man-made structure that can stop the forces of nature. What we call "immigration" -- in the case of Latinos -- is actually a pattern of migration, a natural movement of homo sapiens dying of thirst and hunger, seeking water and nourishment in more fertile grounds.

Comprehensive immigration reform should thus be viewed as an essential measure to protect human rights on our soil and continent. This is a time to think big, not small. This is about more than laws and lines drawn on a map.

It is about the origins of our humanity, not our nationality. Real people are suffering as raids continue, border deaths and hate crimes escalate, and families are destroyed.

"Without a solution, the problems will only worsen," I was told by Salvador Sanabria, executive director of El Rescate, a non-profit serving immigrants in Los Angeles, California, for 27 years. "Comprehensive reform will save lives, keep families together and give immigrants the opportunity to contribute fully to America's economy and security. It's a humanitarian issue, but it'll also benefit America to do it right."

On an issue prioritized by the nation's largest, fastest-growing minority group, why not do it right? Why wait any longer?

Even Sen. John Cornyn, R-Texas, in rare agreement with his Democratic counterparts, said he was disappointed by the delay. He said he is "ready to work" with the president on the issue.

With our nation divided on many fronts, why can't we capitalize on bipartisan support for immigration reform now? Rather than blame competing priorities for procrastinating, why can't Washington wow us with a display of multitasking brilliance?

At least immigration reform doesn't come with a price tag of a trillion dollars and a host of new taxes as health care reform does. That should make it popular by comparison.

"Reform is a priority in the Latino community," LULAC President Rosa Rosales told the San Antonio Express-News. "I would strongly urge that Latino organizations push the issue that we need comprehensive immigration reform now."

Latino leaders should settle for nothing less. Latino voters should exhort all elected officials to act with the same urgency they would exhibit were it their own kin dying on the vine.

Thomas Jefferson once said: "All tyranny needs to gain a foothold is for people of good conscience to remain silent."

In that spirit, we should unite to make this not only a Latino priority, but an American priority. And all people of good conscience should speak up for what's right -- or risk creeping towards tyranny by neglect.

The opinions expressed in this commentary are solely those of Rudy Ruiz.

@highlight

Rudy Ruiz: During campaign, candidates promised action on immigration

@highlight

He says President Obama said action will be delayed till next year

@highlight

He says that delaying reform amounts to tragic neglect of human needs

@highlight

Ruiz: Can immigration be resolved in a congressional election year?