(CNN) -- Gulf Coast chefs and fishing advocates claim, "Come on in; the water's fine!" but find themselves facing a public awash in apprehension over potentially oil-tainted seafood.

When New Orleans, Louisiana, chef John Besh recently urged people to choose U.S. shrimp over imports during an interview about the state of seafood in the wake of the Gulf of Mexico spill, commenters responded negatively, writing, "What's a little tar or mercury in your system anyways?!" and "I hope you enjoy the petrol in your fish."

Another commented, "You eat the fish from down there, don't complain to anyone when you get cancer in 10-15 years. I can't even believe a responsible human being would advocate for eating seafood slathered in oil first."

A tweet in their response to CNN's query about diners' feelings on New Orleans seafood declared all post-spill offerings "a no-geaux." Similar sentiments abound online, despite authorities' assurances as to the safety of seafood currently on the market.

Maps and apps track spill

The supply of Gulf Coast food -- and the cost of it -- fluctuates on a daily basis, with the NOAA Fisheries Services map of safe and affected fishing waters constantly being redrawn. ABC reports that in light of the reduced amount of seafood on the market, "Fish that normally sold for $2.50 a pound were going for $3.25."

On Tuesday, Louisiana Gov. Bobby Jindal declared a commercial fisheries failure to trigger aid for commercial fishermen from the Economic Development Administration.

In a letter to Secretary of Commerce Gary Locke, the governor wrote, "The waters offshore Louisiana's coast supply nearly one-third of all commercial seafood harvested in the lower 48 states, with values in excess of $2.85 billion annually. As the largest provider of domestic seafood in the continental United States, protection of Louisiana's fisheries, habitats and catch are critical to our nation's economy and food supply. In addition to the potential biologic and ecologic impacts in these coastal communities, we must not overlook the crippling effect that this event will have on the commercial and sport fisheries in Louisiana. The seafood industry is not only a large economic driver, but a defining element of the unique culture, and a crucial tourist draw to the state."

While the impact of the Gulf Coast oil spill on the future of shellfish harvesting is unknown, the Louisiana Department of Health and Hospitals is closely monitoring conditions and sampling water at oyster beds and fishing docks to determine whether the haul is suitable for public consumption. It has the authority to order closures of areas that are deemed unsafe.

The department's daily assessments and harvesting closures are distributed to restaurants and seafood purveyors, and agency Secretary Alan Levine has released a statement declaring, "Oysters exposed to the spill will not be permitted to be harvested, and thus are not available for consumer purchase. DHH stands by the quality of Louisiana seafood as a healthy and delicious choice for consumers."

On the other side of the Gulf, groups like the Florida Sea Grant, which operates as a partnership between the Florida Board of Education and the National Oceanic and Atmospheric Association, echo that sentiment.

Steve Otwell, a seafood specialist with the Florida Sea Grant College Program, writes in an Oil Spills and Seafood Safety FAQ on the group's website, "All seafood sold in Florida retail stores, supermarkets and restaurants will remain safe to consume prior to and during any potential exposure to contamination from the pending oil spill."

Michael Herdon of the Food and Drug Administration backed that claim in a statement, writing, "The FDA is closely monitoring the developing situation in the Gulf Coast region to help ensure that seafood potentially impacted by the oil spill is not making its way into commerce. Fish and shellfish harvested from areas unaffected by the closures are considered safe to eat. There is no reason to believe that any contaminated product has made its way to the market."

For the proprietor of several New Orleans restaurants and author of the award-winning cookbook "My New Orleans," Besh's livelihood hinges on their assessments being correct.

He said, "We have the best and the brightest working for us on the state level, out there testing the waters every day to make sure they know exactly where this oil is and what effect it's having. As the oil shifts and moves with currents and we get a list from Health and Hospitals telling us what fisheries have opened or closed, and we buy accordingly."

He and some other well-known chefs are putting their time and money where diners' mouths are.

Besh and TV star and celebrity chef Paula Deen will participate in a seafood cooking demo at the New Orleans Wine & Food Experience on May 29 and then join Food Network star Aaron Sanchez and James Beard Award-winning chef John Currence for a fundraising dinner at Besh's flagship restaurant August that evening. All the proceeds will go to aid the Louisiana Wildlife and Fisheries Foundation.

The help is surely needed, as the situation in the Gulf worsens and the financial future of multigenerational oyster and shrimp families hangs in the balance.

"Right now, it's a really sad sight," Besh said.

"We had Catholic Charities of the New Orleans area started putting together food baskets and goods and a little bit of cash for the shrimping and oyster families of southeast Louisiana, because now they've been out of work for a long time. Many of our local fishermen, their only hope of getting work right now is helping out with oil mitigation."

Dennis O'Hern of the Fishing Rights Alliance echoes Besh's fears that a way of life hanging by a thread is even more deeply imperiled by the spread of misinformation. "The further you get away from the coast, the greater the perception that the fish is tainted. People will shy away from the line-caught grouper sandwich and opt for tilapia."

He continued, "That will absolutely ruin fishing for my generation as well as my daughter's generation. I put my roots down here; my daughter may not be able to dive again. I recommend anybody that comes down here to fish, to do it while they can."

Even avid eaters without a stake in the business have stepped forward to offer their support. CNN contributor Donna Brazile took to Twitter to declare, "The Louisiana Seafood Festival will be held in June. Paula Deen from the Food Network will come down for the contest. Buy Louisiana seafood."

She told CNN, " It's still the best seafood in the world. And I know Ewell [Smith, executive director of the Louisiana Seafood Promotion & Marketing Board] is working nonstop to ensure the best quality hits our marketplace."

@highlight

Chefs and fishermen fear customers will refuse safe Gulf seafood

@highlight

Experts sampling water at oyster beds, fishing docks to see if haul is OK to eat

@highlight

Celebrity chefs head to Louisiana in show of support and to attend fundraisers