Washington (CNN)Votes won't be cast until 2016, but the next White House occupant will have an extremely busy 2015.

A flurry of official entrances into the race could come this spring -- with all eyes on Hillary Clinton on the Democratic side, and Republicans looking at a wide-open field that includes more than a dozen potentially viable candidates.

And much of the action will take place in the first two states to vote: Iowa and New Hampshire.

Many of the events on 2015's calendar will be familiar: Conservatives will flock to major conferences. The Iowa State Fair will draw a huge crowd. The first debates will be major events. But presidential election cycles are "almost unique," said David Oman, a former Iowa GOP co-chairman and the chief of staff to two of the state's Republican governors.

The 2016 cycle, Oman said, "is well underway. It's almost all under the radar." Many contenders visited Iowa to campaign for Republican Senate candidate Joni Ernst in 2014 -- and did some outreach and organizing while they were there, he said.

"There are a lot of phone calls that are being made among Iowa activists, and certainly into the state -- some from the candidates or would-be candidates, and others from people who are helping them," he said.

"We've been in the somewhat invisible primary -- the activist organizing stage, etc., for some time now," said Terry Shumaker, a New Hampshire Democrat who co-chaired Bill Clinton's campaigns and is backing Hillary Clinton in 2016.

Here's a look at some of the key events and dates on 2015's calendar:

Jan. 15: An unofficial Clinton decision. That's the date pro-Clinton aides and confidants have long said that if she's not running, she'll make that clear -- at least privately. Otherwise, Democrats could be in a tough position, with the field effectively frozen and no clear alternative emerging in the early polls. Outside infrastructure like the group Ready for Hillary are also making plans into 2015, but no other candidate has any comparable backing.

Jan. 23-24: The Rubio confab. Florida Sen. Marco Rubio will host his fourth annual "Team Marco" gathering at the Delano Hotel on Miami's South Beach -- this time, with a huge decision to make: Is he running for president?

The meeting will give Rubio a chance to take stock of how deeply former Florida Gov. Jeb Bush's own steps into the race will cut into the senator's home-state donor base -- including right-leaning Cuban-Americans who could have been angered by President Barack Obama's move to ease tensions with the communist country. It's also crucial in putting together the infrastructure Rubio would need for a national campaign.

Jan. 24: Iowa Freedom Summit. The inaugural event organized by Rep. Steve King and the conservative group Citizens United will feature at least eight prospective GOP presidential candidates who will speak with grassroots activists from across the state.

On the guest list so far: New Jersey Gov. Chris Christie, Texas Sen. Ted Cruz, former Arkansas Gov. Mike Huckabee, former Pennsylvania Sen. Rick Santorum, Texas Gov. Rick Perry, businessman Ben Carson and businesswoman Carly Fiorina, and Donald Trump. Wisconsin Gov. Scott Walker has said he might attend, as well.

Feb. 25-28: CPAC. GOP presidential hopefuls will flock to the annual Conservative Political Action Conference -- known as just "CPAC" -- to court their party's ideological grassroots.

The conference has also offered a window into the debates riling conservatives. In 2011, the participation of the pro-gay rights group GOProud and the invitation of then-Indiana Gov. Mitch Daniels, who had called for a "truce" on social issues, sparked boycotts from conservatives who are focused on just those policies. The conference has also been criticized for taking a libertarian turn, with Texas Rep. Ron Paul winning its 2010 and 2011 straw polls.

It could be a particularly important barometer for Kentucky Sen. Rand Paul, who won the 2014 CPAC straw poll and has since sought to increase Republicans' outreach to minority voters and smooth over his divisions with the GOP establishment.

March 9-13: Selma march's 50th anniversary. Commemorating the Selma-to-Montgomery voting rights march, and the police beatings of protesters it included, has long drawn presidents and White House hopefuls to Alabama. This year's 50th anniversary will be no different.

March 19: Clinton's last scheduled paid speech. The lone heavyweight in the Democratic presidential field is scheduled to deliver a paid speech to the American Camp Association on March 19 -- the last one currently on her calendar.

The date itself isn't all that meaningful: Hillary Clinton's presidential campaign plans are unlikely to be stalled by the American Camp Association. She could call off the event, or send Bill Clinton instead. Or, she could still schedule more paid speeches, especially if she doesn't want to enter the race until the spring. Still, those looking for signs of Clinton's plans will watch to see whether the current timing of her last paid speech moves in either direction.

Early August: Iowa State Fair. It's a must-visit for presidential candidates looking to mix and mingle with a broad swath of voters. The Des Moines Register, Iowa's most important newspaper, will have what Oman called a "massive presence" at the state fair -- including the Register Political Soapbox, where candidates will make appearances, deliver stump speeches and take questions. The 11-day fair will see visits from a candidate a day, and sometimes more.

August: Ames Straw Poll. For a non-binding gut check of conservatives, this summer-before-the-caucuses tradition gets a lot of attention. Thousands of Iowans -- as well as candidates, political operatives and journalists -- have historically descended on the Iowa State University campus, where they're courted by campaigns that see the event as an early test of their organizational strength in the state that kicks off the nominating process.

However, the straw poll hasn't predicted much in recent years. In 2011, Minnesota Rep. Michele Bachmann won, with Texas Rep. Ron Paul landing a close second -- though both had faded by the time the elections rolled around. In 2007, Mitt Romney won the straw poll, but former Arkansas Gov. Mike Huckabee won the actual Iowa caucuses.

There's also the question of whether the straw poll will continue in its previous form. Some conservative groups have pushed to eliminate it, or at least make major changes. Iowa Gov. Terry Branstad commented in 2012 that the straw poll has "outlived its usefulness." Still, Iowa GOP operatives say it'll likely take place in some form in 2015.

The straw poll was held in early August 2011. The date hasn't yet been set for 2015, but it'd likely come shortly after the state fair.

Fall: State party dinners. Most campaigns' top donors will come from out of the early-voting states, but they'll need as much of the local party infrastructure in their corners as possible. In Iowa, for example, Republicans will flock to the state GOP's fall dinner. "That's where the activists and donors show up all at one time. By that time you better have your campaign rolling and your organization well underway," Oman said.

In New Hampshire, the state Democratic Party's annual Jefferson-Jackson dinner and its 100 Club dinner would be big opportunities for candidates not named Hillary Clinton. "If you're less well known than Hillary Clinton, scoring a speaking engagement at one of those two big dinners, which are populated by activists, would be a big deal for anybody," Shumaker said.

Iowa's 99 counties and New Hampshire's 10 counties will also offer candidates lower-profile speaking opportunities.

Late 2015: The debates. National Republicans have tried to winnow what during the 2012 election cycle seemed like an unending string of debates. But the debates will still happen, they'll be televised nationally, and they'll present candidates with opportunities to grab media attention -- for better or, as Texas Gov. Rick Perry learned when he forgot the name of the third federal agency he wanted to abolish during one debate, for worse.

All year: Politics & Eggs. The New England Council and the New Hampshire Institute of Politics & Political Library at Saint Anselm College co-host these regular Granite State events. Candidates typically speak for about 15 minutes, and then take questions. Dates for 2015 appearances haven't yet been announced -- but a spate of presidential contenders are all but certain to be added to the schedule in the coming months.

"That is a real tradition. Virtually everybody that has run for president has spoken at one or more of those over the years," Shumaker said. "My guess is that will really heat up after the new year, and that's a great way to meet a crowd that's not a typical political crowd -- it's bipartisan, heavy on business people and education and non-profit types and students."

@highlight

The coming year will be jam-packed with can't-miss events for 2016 presidential hopefuls

@highlight

The key events include activists' conventions, state party dinners and even state fairs

@highlight

Many of the most important events will take place in Iowa and New Hampshire