(CNN)  -- Skier Paul Wampach, a 49-year-old manager from Chicago, Illinois, hardly matches the stereotype of a hostel dweller: an under-30 backpacker from outside the United States who can't afford fancy lodging.

Travelers looking to meet new people might consider staying at hostels, say experts.

For the fifth time in two years, Wampach plans to head to the Fireside Inn in Breckenridge, Colorado, where he's booked a dorm-style room for less than $40 a night during his ski vacation.

"If I'm traveling by myself, there's no reason to splurge," said Wampach, who is single and described himself as neither rich nor poor. "That $40 or $50 [I save on lodging] goes to food, beer and ski-lift tickets." And amenities such as Internet access and a hot tub at the hostel add creature comforts to the trip.

Wampach's travel habits are consistent with a growing number of travelers called "flashpackers."

They are usually over 30, in mid-to-late career and can afford higher-end hotels but instead choose budget options -- albeit better-furnished and well-kept ones -- because it fits their lifestyle, said Mark Vidalin, Marketing Director for Hostelling International USA, a nonprofit network of hostels. Flashpackers also tend to stay connected by traveling with gadgets and seeking accommodations with free Wi-Fi, Vidalin said.

The term "flashpacker" likely originated in Australia, and combines the term "flash" -- meaning "stylish" -- with "backpacker," according to Vidalin.

Flashpackers and regular backpackers are booking hostels at U.S. vacation destinations in full force this year. Attendance at hostels has been consistently rebounding from lows following the September 11, 2001.

This year's turbulent economy appears to be fueling demand for hostel space.

Heading into ski season, Loree Weisman, the owner of the Crested Butte International Lodge and Hostel in Crested Butte, Colorado, said her hostel bookings are trending ahead of the town's other lodging options -- and up about 25 percent from her bookings by the same time last year.

Amid the unsteady economy, she said, people "don't want to give up a vacation, but they might need to adapt a vacation."

Instead of canceling pricey vacations due to economic fears, many travelers are rejecting accommodations with private bedrooms and bathrooms.

They're going for hostels with their dorm-style bunk beds, community bathrooms, and, most importantly for many hostel dwellers, shared living spaces.

"There's a sense of community, and there's a social aspect to it that's pretty significant," said Jim Williams, editor of "The Hostel Handbook" and a former hostel owner. "That is the heart of hostelling. You don't go to a hotel and lock the door."

Wampach agreed, saying that hostels offer "a tremendous way to meet people from different cultures and talk to people you wouldn't normally talk to."

But the communal atmosphere of hostels leaves many travelers skeptical, particularly Americans, Williams said.

"Americans have privacy issues. If you suggested to most people they were going to share a room with five other people, most of them wouldn't want to do it," he said.

What if a roommate snores or what if he smells or doesn't stop talking? -- these are legitimate questions for travelers considering the hostel option, said Williams.

Frequent hostel dweller Mandy Creighton, 30, said she enjoys the overall hostel experience, but it's a "huge challenge" to "walk through the room and to my room without having to talk to 20 people."

Creighton and her partner, Ryan Mlynarczyk, 32, who are documentary filmmakers from Sebastopol, California, are bicycling around the United States for a year and stopping in ecologically sustainable communities along the way.

Their choice to stay in hostels is rooted in a desire to maintain a green lifestyle by sharing resources as well as saving money.

Mlynarczyk experienced the other side of the privacy issue when he stepped out of a shower in a San Francisco, California, hostel to discover he had a female audience.

"I ... didn't have my towel on -- and some girl walks in and was like, 'Woo!' I'm totally open to that sort of thing, but I think she was a little bit new to it, and she kind of was giggling. But obviously the immediate reaction was, 'Oh my God!' " Mlynarczyk said.

In contrast to Americans who treasure their personal space, the communal environment is more ingrained in European culture, experts said.

It's possible to trace that cultural divide to post-World War II, said Williams, when Europe underwent its financial recovery in the 1950s and its culture was more communal. On the other hand, the U.S. economy was booming, and there was no need for Americans to share resources.

"At the same time [Europeans] were creating hostels, American teenagers were focused on getting their own cars," Williams said.

Nevertheless, Hostelling International reported its hostels in many destination cities saw notable increases in October versus the same time last year: New York overnight guests increased by 9.8 percent, Washington by 9.7 percent and San Diego, California, by 22.1 percent, according to Hostelling International.

Despite the rise in many hostel bookings, Williams said hostelling still isn't part of mainstream American culture.

"We do hostelling about as well as we do soccer. We do it, but it's a limited market, and we do it a certain way. Otherwise, most Americans aren't very comfortable [with] it," Williams said.

Wampach said he believes this represents Americans' "relatively conservative views and lifestyles."

But people are respectful of each other's space, he said, and they rarely spend time together in the dorm room aside from sleeping anyway.

"You just do your best; everybody understands you are who are," Wampach said. "Sometimes you get a guy who snores but ... that's part of the deal."

@highlight

"Flashpackers" are professionals older than 30 who prefer hostels to hotels

@highlight

Hostels in New York, Washington and San Diego, California, report increased guests

@highlight

Sense of community is the "heart of hostelling," expert says

@highlight

Many Americans uncomfortable with hostels' lack of privacy