(CNN) -- The politically divided Palestinian territories took a major step toward reconciliation Wednesday when the rival movements of Hamas and Fatah announced a deal to form a unity government, officials from both groups said.

The move comes amid international efforts for statehood advanced by Palestinian Authority President Mahmoud Abbas of Fatah. It could portend unity in the fractious Palestinian territories.

The two political factions have been close to civil war, culminating in 2007 when Hamas took control of Gaza after deadly fighting with Fatah partisans. Fatah retained control of the other Palestinian territory, the West Bank.

One expert described the announcement as a significant development -- occurring against the larger backdrop of uprisings throughout the Arab world.

The threat of similar unrest in the Palestinian territories may have spurred the two factions to seek a deal, said James Gelvin, a history professor at the University of California at Los Angeles and a Middle East expert.

"If it goes through, it's a very big deal," Gelvin said of the agreement. "From 1964 to 2007, the Palestinian national movement spoke with one voice. Beginning in 2007, the Palestinian national movement spoke with two voices. So if the Palestinians are going to attempt to move toward statehood, they're going to have to speak with one voice again."

Gelvin added that both factions fear "that whatever is going on in the rest of the Arab world is going on in Palestine but underneath the surface."

On March 15, Palestinian demonstrators filled al Manara Square in Ramallah, but their demands were for an end to the split between Hamas and Fatah rather than the revolutionary themes in other Arab countries.

Instead of occupying the square like the Cairo protesters in neighboring Egypt, the Palestinians called for change through unification and then dispersed, though lingering elements remain as part of what they proclaim as the March 15 movement.

"There is a concern that they are becoming increasingly irrelevant, both Hamas and Fatah. Fatah was a child of the '50s with their armed struggle and tactics and their level of corruption. Hamas was a child of the 1980s with the so-called Islamic wave," Gelvin said.

Another expert, however, said any formal involvement of Hamas in a new government would doom its diplomatic relations with the United States because it has deemed Hamas a terrorist organization.

"It's essentially a great blow for American policy," said Nathan Brown, a professor of political science and international affairs at George Washington University.

"If they can come up with a neutral government" in which Hamas isn't formally involved with any ministries, Brown said, "they might be able to get around the legal requirements but the political obstacles will be there.

"A lot depends on the fine print," Brown added.

Azzam al-Ahmad, the head of Fatah's negotiating team, formally announced the deal in Cairo.

"Today, we signed a memorandum of understanding outlining points that we agree on regarding what the Egyptian proposal suggested," al-Ahmad said. "We also added our agreement to form a government made up of independent figures.

"We agreed on a date for elections and talked about national participation and cooperation in the post-elections period," he added.

Israeli Prime Minister Benjamin Netanyahu warned that the authority must decide whether it wants "peace with Israel or peace with Hamas."

"It is impossible to have peace with both since Hamas is looking to destroy the state of Israel and says it openly," he said, emphasizing that projectiles have been fired on cities and children.

"I think that the mere idea of reconciliation shows the weakness of the Palestinian Authority and raises wonders whether Hamas will take over Judea and Samaria as it took over the Gaza Strip. I hope that the Palestinian Authority chooses right -- that it chooses peace with Israel. The choice is theirs," Netanyahu said.

Many Israelis refer to the West Bank as Judea and Samaria.

On Wednesday, U.S. officials continued to express concerns about Hamas.

"We have seen the press reports and are seeking more information," said Tommy Vietor, National Security Council spokesman.

"As we have said before, the United States supports Palestinian reconciliation on terms which promote the cause of peace," Vietor said. "Hamas, however, is a terrorist organization which targets civilians. To play a constructive role in achieving peace, any Palestinian government must accept the quartet principles and renounce violence, abide by past agreements and recognize Israel's right to exist."

The Mideast Quartet -- the United States, the European Union, Russia and the United Nations -- has called on the new government to renounce terror and recognize Israel.

The deal would establish a new parliament and a date for general elections, Hamas officials said Wednesday.

They've also reached an agreement over security issues that have kept the two sides apart, the Hamas officials said.

Fatah officials said Hamas' reservations have been discussed and resolved and also confirmed that the two parties have agreed to hold parliamentary and presidential elections in a year's time.

Fatah leader Abbas and Hamas leader Khaled Meshaal are going to meet soon in Egypt, a Hamas official said.

For years, there has been a big divide between the hard-line and anti-Israel Hamas and Fatah, which has engaged in peace negotiations with Israel.

In the recent past, both sides sought reconciliation, but those efforts failed.

Israel and militants in Gaza have fought continually for years. Israel has retaliated against Gaza militants who have fired missiles into southern Israeli towns.

CNN's Guy Azriel and Elise Labott contributed to this report.

@highlight

NEW: A Palestinian protest last month sought Fatah-Hamas unity

@highlight

An expert says the announcement marks "a very big deal"

@highlight

But the two factions may be acting out of fear that the Arab world's uprisings could hit them, too

@highlight

Israel says Fatah must pick peace with Hamas or with Israel