(CNN) -- A prominent Kurdish opposition leader was shot dead Friday in a brazen assault that came as protesters across the country demonstrated for his fledgling anti-regime movement, activists said.

Mashaal Tammo, spokesman for the Kurdish Future Party and a member of the newly formed Syria National Council, was killed in a private residence in the northeastern city of Qamishli, one of the cities where protesters gathered Friday. At least eight other people died in the Damascus suburbs and other locations during demonstrations, activists said.

"The violence continues unabated," Victoria Nuland, State Department spokeswoman, said on Friday.

Tammo's death was reported by three groups -- the Local Coordination Committees of Syria, the Syrian Observatory for Human Rights and Avaaz, an international activist organization. Tammo's son and another activist, Zahida Rashkilo, were injured. Avaaz said Tammo was meeting with activists at the time.

Avaaz said the attackers were members of the Shabiha, the pro-government militia.

"The Kurdish people are very angry as a result," an activist told Avaaz.

Kurds live in a contiguous area that spreads across Iraq, Iran, Syria and Turkey. Kurdish rebels have fought for an independent state.

Human Rights Watch, which notes that the Kurds are the largest non-Arab ethnic minority in Syria, has estimated that Kurds make up about 10% of Syria's population. The Syrian government, viewing Kurdish identity as a threat, has suppressed the group's political and cultural rights.

The Syrian National Council announced this month that it will "represent the Syrian revolution" inside and outside the country in an effort to end the government of Syrian President Bashar al-Assad.

The council "will work on mobilizing all groups of the Syrian people and provide all kinds of necessary support to advance the revolution and achieve the goals of our people that include the toppling of the current regime, including the head of the regime, and building a democratic, multiparty system in a civilian state that provides equality to all its citizens, without any kind of discrimination," they said.

The LCC said groups including the Muslim Brotherhood of Syria, the Revolution Forces, the Public Council for Revolution Forces and the Superior Council of the Revolution have all joined it in the opposition government.

The idea takes a page from the success of the National Transitional Council in Libya, where the opposition movement managed to drive strongman Moammar Gadhafi from power.

Anti-government demonstrations have raged in Syria for nearly seven months, and the al-Assad regime has launched a fierce crackdown on protesters. The death toll has exceeded 3,000, the observatory said. Most of those killed have been civilian protesters and others have been security forces.

Activists stage nationwide protests with a specific theme every Friday after Muslim prayers. This Friday the protest theme is the "National Council represents me," a reference to the Syrian opposition movement.

The Local Coordination Committees of Syria, or LCC, reported three deaths in Douma, outside the capital, three in the western city of Homs, one in the coastal city of Latakia and one in the suburbs of Hama, in the west during the day.

Riad Saif, a former parliament member and now an opposition leader, was beaten in the Damascus neighborhood of Medan and a massive demonstration unfolded in the Idlib province town of Saraqeb, the LCC said.

The Syrian Observatory for Human Rights also confirmed three deaths in the Damascus suburbs. It said forces opened fire and wounded more than two dozen people near a Homs mosque.

Many world powers have been outraged over the government's crackdown. The European Union and United States have already imposed sanctions against the regime.

But earlier this week, Russia and China vetoed a U.N. Security Council draft resolution condemning Syrian authorities for using violence against anti-government demonstrators.

The two nations argued that even in its watered-down form without economic sanctions, the proposed resolution would have led to military intervention similar to the NATO operation to protect anti-government protesters in Libya.

Russian President Dmitry Medvedev said his country wants an end to the bloodshed and is calling for the regime to implement changes, state-run RIA Novosti reported Friday.

"If the Syrian leadership is unable to complete such reforms, it will have to go, but this decision should be made not by NATO and certain European countries, it should be made by the people of Syria and the government of Syria," Medvedev told the Russian Security Council.

Some countries are taking their own steps to pressure al-Assad. After the U.N. vote, Turkish Prime Minister Recep Tayyip Erdogan said his government is preparing sanctions on Syria.

A U.S. envoy speaking at the U.N. Human Rights Council in Geneva, Switzerland, criticized Syria.

"A government that fails to respect the will of its people, denies the fundamental rights of its citizens, and chooses to rule through terror and intimidation, cannot be considered legitimate and must step aside immediately," said Betty King, U.S. ambassador to the U.N. and other international organizations in Geneva.

Faysal Mekdad, deputy Syrian foreign minister, said, "it's my feeling that no country should judge a sovereign state's measures."

They were at the council's Universal Periodic Review of Syria.

@highlight

A Kurdish activist, a member of the opposition Syria National Council, is slain

@highlight

At least eight other deaths are reported in violence in Syria Friday

@highlight

Violence is reported in the Damascus suburbs and Homs

@highlight

Russia's Medvedev says the Syrian regime must make reforms