(CNN) -- The Malaysia Airlines Flight 17 disaster is a poignant reminder of the randomness of fortune and misfortune. But it also serves as a prelude to an emerging security environment marked by irregular warfare, proliferated high-end technology and complex economic and energy dependencies that will complicate decision-making among allied nations and confound coherent approaches to grand strategy.

Indeed, the tragedy has underscored the challenges of a new era in which the line between state and nonstate actors is increasingly blurred. From Syria to Iraq, Gaza to Ukraine, nonstate militias and separatists wage shadow wars using sophisticated technologies that were formerly the monopoly of states.

This new era is particularly apparent in the case of Flight 17, allegedly downed by a Russian SA-11 surface-to-air missile fired by Ukrainian rebels. The downing, which killed all 298 people aboard, is a reminder that small groups -- often exhibiting less restraint than state actors -- can acquire high-tech weaponry of great lethality and precision, which can be deployed so quickly people may not have time to make measured decisions.

As technology continues to progress and spread, this challenge will become even more acute. With the proliferation of unmanned and, particularly, autonomous systems that will reduce the role of human input, it will be even easier to imagine senseless acts of irreversible killing, either to achieve a political cause (terrorism or insurgency) or out of sheer happenstance and miscalculation. Once missiles and armed drones strike their target, neither the casualties nor the consequences can be undone.

The blurring of state and nonstate actors may also increase the difficulty of determining who is responsible, as can be seen in the ongoing Flight 17 investigation. Ironically, in the era of big data, governments may find it harder to identify -- or at least to prove with a sufficient degree of confidence -- who actually pulled the trigger in a given act of armed aggression or political violence.

Recent events in East Asia provide further evidence of these developments. While most observers believe that North Korea used a mini-submarine to sink a South Korean corvette, the Cheonan, in March 2010, some were unwilling to be convinced even by an exhaustive international forensic investigation. (North Korea denied responsibility.) Conspiracies and propaganda -- disseminated across ever-expanding social media platforms -- fill the void, leaving people to believe what they want.

Escalation may be more likely and deterrence may be more susceptible to failure under such conditions. One chilling possibility is that a future attack, perhaps involving a nuclear device, might trigger an interstate war without definitive proof of who really instigated the fateful first blow.

In an instant war, moreover, once conflict appears to have started, there may well be an incentive for some actors to "use it or lose it," particularly in the absence of an existential threat of mutual assured destruction.

In addition to the challenges highlighted by the Malaysian jet downing, the emerging security environment will be characterized by an unprecedented level of globalization and connectivity. And while the dark side of globalization has long been identified, the connectivity that fuels our century also threatens us.

In an era of increasingly capable cyberwarfare capabilities that can be executed by nonstate actors and individuals, malicious and potentially lethal attacks may be facilitated through the Internet. Many of these may be difficult or even impossible to trace back to specific entities, and even when attribution is possible, the political costs of a response may be high.

The recent controversial move by the United States to indict five members of China's military on charges of cyber-espionage demonstrates the challenges of imposing costs on a subset of actors without upsetting other and often larger goals, such as cooperative China-U.S. relations.

The convergence of these factors will complicate the difficulty of alliance decision-making in the years to come, as differing threat assessments, dependencies, interests and standards for international involvement lead states to pursue competing policies, as in France's decision to deliver Mistral warships to Russia despite broader European calls for an arms embargo.

There are many lessons to be learned from Flight 17's tragic end over Ukraine. But perhaps one central takeaway is that we are witnessing the end of an era of traditional state power, and entering a new era that could place us only a few short missteps away from cascading into more lethal and disruptive conflicts.

Join us on Facebook.com/CNNOpinion.

@highlight

Authors: Malaysia Airlines Flight 17 disaster may be sign of more instability and danger ahead

@highlight

They say nonstate groups can get access to lethal weaponry and inflict serious damage

@highlight

Rules of deterrence that inhibit state leaders from risky behavior may not apply, they say

@highlight

Authors: It may be harder to trace incidents of terror and violence back to their source