(CNN) -- In China, the "little emperors" may have no clothes, at least when it comes to economic risk-taking and being conscientious workers.

That's the finding of a new study that looks at the effects of China's one-child policy on the current generation of young adults in the world's second-largest economy.

China enacted strict rules mandating that families in urban areas be limited to just one child in 1979 in an effort to curb a rapidly rising population. Since then China's economy has taken off, while its population growth has slowed, and wages and living standards have soared.

But China's young people may be in search of security and office jobs now and less likely to become a new generation of stockbrokers, business-starters or high risk managers.

In a paper published in the latest issue of Science, a team of researchers from Australia studied a group of 421 individuals born both right before and right after the implementation of China's one-child policy. They tested them with a series of games involving trading money with each other that measured how trusting they were and how willing they were to go after "winning" transactions.

One of the authors, Professor Lisa Cameron of Monash University, said that the groups of children born after the policy were considerably more risk-averse, less trusting and trustworthy, pessimistic and less competitive than children born before the policy.

The study concluded that "the causal impact of the One Child Policy is to reduce the probability of choosing a risky occupation (defined to include private firm managers, stockbrokers, people who are self-employed or freelancing) by 22.7 percent."

"These were quite large differences," Cameron said from Melbourne, Australia. "It was eye-opening how much more nervous and less trusting they were and implies that these behaviors could have wide-ranging economic and social implications."

The study found that 27% of the children born before 1979 were from single-child families, while 82% of the individuals born by 1983 studied were only children. The subjects were all from Beijing and were better educated than the average citizen, but the authors believe that the results should be similar in other Chinese cities and populations.

And rather than getting better, the study found that as a new generation of children of only children grows up, the effects they found are likely to "magnify" as fewer Chinese grow up with extended families.

The authors said that much of the outcome of the study could be explained by the effects of the one-child policy on family values in China. Many opinion pieces in Chinese media criticize what is seen as a selfish wave of young people who have always gotten whatever they want from doting parents, causing them to be nicknamed "the little emperors."

@highlight

Children born under China's one-child policy less likely to take economic risk, study finds

@highlight

Only children are often criticized in media, earning the nickname "little emperors"

@highlight

China's one-child policy began in 1979 in urban areas to curb population growth