(CNN) -- Financial markets were in turmoil on Wednesday amid fears that more countries could be sucked into Greece's mounting debt crisis. European indexes followed those in Asia into the red after Standard & Poor downgraded Greece's debt rating to junk status and Portugal's rating also dropped two notches.

So what has prompted the crisis and what could happen next?

How did Greece get into this trouble? Years of unrestrained spending, cheap lending and failure to implement financial reforms left Greece badly exposed when the global economic downturn struck. This revealed partly fiddled statistics that showed debt levels and deficits exceeded limits set by the European Central Bank.

How big are these debts? National debt, put at €300 billion ($394 billion), is bigger than the country's economy, with some estimates predicting it will reach 120 percent of gross domestic product in 2010. The country's deficit -- how much more it spends than it takes in -- is 12.7 percent.

Greece crisis deepens on global market sell-off

What does the credit rating downgrade mean? The credit rating is an assessment of a country's ability to repay its debts, and Tuesday's downgrade to junk status, the lowest in the eurozone, means Greece is viewed as a financial black hole by foreign investors.

Institutions such as pension funds can no longer buy Greek bonds and it leaves the country struggling to pay its bills as interest rates on existing debts rise. The Greek government of Prime Minister George Papandreou, which inherited much of the financial burden when it took office late last year, has already scrapped most of its pre-election promises and must implement harsh and unpopular spending cuts. And any bailout from the International Monetary Fund (IMF) is likely to mean more austerity measures must be introduced.

How does this affect the rest of the world? Greece is already in major breach of eurozone rules on deficit management and with S&P downgrading the country's debt rating to junk status, this reflects badly on the credibility of the euro. With other countries such as Portugal, Spain, Italy and the Republic of Ireland all wobbling under massive debts this means a sizable chunk of the eurozone is under great strain. This could knock the whole eurozone into the red, affecting the whole world economy.

And if Europe needs to resort to rescue packages involving bodies such as the IMF, this would further damage the euro's reputation and could lead to a substantial fall against other key currencies, especially the U.S. dollar.

And what does it mean for ordinary people? If you own shares in banking groups that own Greek bonds, through your pension fund for instance, or in any euro-denominated company in fact, these are likely to have been hit hard. But if you're traveling to Europe on vacation, it is likely your own currency will go further, especially if you have dollars.

So what is Greece doing? As already mentioned, the government has started slashing spending and has implemented austerity measures aimed at reducing the deficit by more than €10 billion ($13 billion). It has hiked taxes on fuel, tobacco and alcohol, raised the retirement age by two years, imposed public sector pay cuts and applied tough new tax evasion regulations.

How have these measures been received? Badly. There have been warnings of resistance from various sectors of society and workers across the country have staged strikes closing airports, government offices, courts and schools. This industrial action is expected to continue.

How are Greece's European neighbors helping? Led by Germany's Chancellor Angela Merkel, all 16 countries, including the other ailing countries such as Ireland, which make up the eurozone have agreed a $50-billion bailout plan for their ailing neighbor. Last week, Greece announced it would finally tap this package.

The package involves co-ordinated bilateral loans from countries inside the common currency area, as well as funds and technical assistance from the IMF. Any European-backed loan package requires the unanimous approval of eurozone members, meaning any country in the zone, would have veto power.

Merkel's government is under international pressure to put forward the money, but with state elections scheduled for the next few days, it is also facing great pressure at home to hold back.

Will the IMF have to produce a bigger package and how soon? There is much talk in the markets that the IMF would and should increase its portion of the Greek bailout and fast. Should the IMF come up with say another $15 billion would it be enough? Some people want to see a knockout loan from the Eurozone and IMF closer to $100 billion to give Greece enough firing power to cool the speculation on a default.

CNN's Jim Boulden contributed to this report.

@highlight

Financial markets in turmoil amid fears more countries could be sucked into Greek debt crisis

@highlight

Greece's debt rating downgraded to junk status, Portugal's rating also lowered two notches

@highlight

Greece's national debt is now bigger than the country's economy

@highlight

Country has implemented austere measures to try to curb debt