(CNN) -- A deadly attack Wednesday delivered the harshest blow yet to President Bashar al-Assad's regime, taking the bloodshed into his inner circle.

Jordan's king calls Syria attack 'a tremendous blow' to al-Assad regime

Three top officials were killed and a number of others were wounded in an explosion at a national security building in Damascus, state TV reported.

The attack came after several days of violence in the capital. At least 189 people were killed across the country on Wednesday, including 37 in Damascus and 69 in its suburbs, the opposition Local Coordination Committees of Syria said.

The officials killed were Defense Minister Dawood Rajiha; Deputy Defense Minister Assef Shawkat -- al-Assad's brother-in-law; and Hasan Turkmani, al-Assad's security adviser and assistant vice president, state TV reported.

Interior Minister Ibrahim al-Shaar was among those injured in the blast, state TV said, adding that he "is in good health and that his condition is stable."

Getting to know Syria's first family

The attack, which occurred during a meeting of ministers and security officials, was coordinated by rebel brigades in Damascus, said the deputy head of the opposition Free Syrian Army, Col. Malek al-Kurdi.

The government described it as a suicide bombing. But al-Kurdi said a remote control was used to detonate an explosive device that had been planted inside the meeting room.

Al-Assad quickly named Gen. Fahd Jassem al-Freij as defense minister, state-run news agency SANA said.

State-run SANA said the government has killed or captured a "large number" of terrorist infiltrators in Damascus and inflicted "heavy losses" on terrorists in Homs and Idlib.

Video from a Damascus suburb showed Syrians rejoicing after news spread of the bombing.

Soon after, the pro-government Shabiha militia took to the streets, attacking with knives, shooting and saying, "This is retribution for what you have done," according to an opposition activist in Damascus, who is going by the name Lena to protect her identity.

There were bodies in the streets around the Yarmouk, a Palestinian refugee camp, and people were too afraid to collect them, Lena said.

"The people are really scared," she said, adding that mosques were blaring the messages "Stay in your homes" and "God is great."

A Damascus resident said shootings occurred in Baghdad Street, a major road that includes branch offices of state security agencies.

In the neighborhood of Medan, where violence has raged in recent days, Free Syrian Army fighters "launched their biggest attack yet all over Damascus, in 17 points," said Abo Abdo, a rebel fighter. They were working to "disperse the regime's forces all over the capital," he said.

Syria, on the official Syrian Arab News Agency, said its armed forces "chased down terrorists who infiltrated" Medan, and "killed and arrested a large number of them. The military units also chased down terrorists who terrorized some families in the neighborhoods of al-Qaboun and Tishreen and forced them to leave their homes."

With the Syrian government restricting foreign journalists from gaining access to the country, CNN cannot independently confirm reports of violence or details about the attack.

The bombing took place in a building in Rawda Square, near al-Assad's home and the U.S. Embassy, which suspended its operations in February. Security officials and government spies have had a heavy presence in the area.

The bombing's repercussions spread from the capital of Syria to the capital of Egypt, where clashes erupted Wednesday between the Egyptian police and hundreds of protesters outside the Syrian Embassy. Some of them were chanting, "Down, Down, Bashar al-Assad!"

"We only wanted to remove the flag and replace it by the independence flag, but the Egyptian riot police started beating us so we pelted them with rocks," said Ahmed H. Aggour, an organizer of the protest in Cairo. "Next thing you know they fired an incredible amount of tear gas, several canisters landed on the British Embassy nearby."

He added, "We want people in Syria to see how we are supporting their cause here in Egypt."

Most of the protesters were Egyptian, Tarek Shalaby, an Egyptian activist and web designer at the scene.

Alla Mahmoud, a spokesman from the Interior Ministry, told CNN that 15 protesters were arrested. Some suffered minor injuries, from excessive inhalation of tear gas to bruises.

Meanwhile, U.S. President Obama called Russian President Vladimir Putin on Wednesday to discuss the Syrian situation, the White House said. "They noted the differences our governments have had on Syria, but agreed to have their teams continue to work toward a solution," it said.

A planned Security Council vote on a draft resolution on Syria was delayed at the request of Kofi Annan, joint envoy to Syria for the United Nations and the Arab League, until 10 a.m. Thursday, diplomats said.

Annan, who met Tuesday with Putin in Moscow, earlier this year put forward a peace plan that has failed to stop the violence.

Western countries are pushing for a resolution that threatens sanctions against al-Assad's regime if government forces don't stop attacks. That draft also calls for renewing the 300-member U.N. observer mission for 45 days.

The observers' work has been suspended because of violence.

Throughout Syria's 16-month crisis, Russia has opposed any international effort that would blame, punish or change the leadership of the Syrian government. Russia -- along with China -- has vetoed two previous draft resolutions in the U.N. Security Council, leading to accusations that Russia is protecting the Syrian regime.

Russia, meanwhile, has put forth its own draft, which "strongly urges all parties in Syria to cease immediately all armed violence in all its forms." The Russian draft also calls for renewing the U.N. observer mission for three months.

At the United Nations, German Ambassador Peter Wittig said Wednesday's events in Damascus "underline as clearly as never before that the Security Council now has to act. It has to send out a strong signal to the Syrian regime to stop the use of heavy weapons. We want to give the Annan plan, which we all support in the council, some teeth -- and that's why we should adopt a resolution with the sanctions threat."

In Amman, Jordan, King Abdullah said the situation in Syria is nearing an all-out civil war. "In other words, it's getting very, very messy," he said. "When you get full-out civil war, there is no coming back from the abyss."

Next for Syria: Showdown or stalemate?

The attack represents "a massive psychological blow to the regime" and will accelerate al-Assad's "demise," predicted Anthony Skinner, an analyst with Maplecroft, a think tank that provides risk assessments on global business.

It could suggest that "the regime itself is crumbling," said Rime Allaf, an analyst with Chatham House, a think tank focusing on international affairs.

Events in Syria show "a real escalation in fighting," said U.S. Defense Secretary Leon Panetta.

It "tells us that this is a situation that is rapidly spinning out of control, and for that reason it's extremely important that the international community, working with other countries that have concerns in that area, have to bring maximum pressure on Assad to do what's right, and to step down and to allow for that peaceful transition," Panetta said.

The U.S. government announced Wednesday a new round of sanctions against members of the Syrian government.

Timeline: How the horror has unfolded

Syrian Information Minister Omran al-Zubi, speaking on state TV, vowed that those behind the attack will be held accountable.

He insisted that those trying to divide the army are failing. "This army has not been divided," he said.

But increasing numbers of officials in the Syrian military have defected in recent days. Two brigadier generals fled overnight to Turkey, bringing the number of Syrian generals in Turkey to 20, a Turkish Foreign Ministry official said.

Rajiha, one of those killed Wednesday, was a member of the country's minority Christian community. who was named by the U.S. Treasury in sanctions this year. U.S. citizens were prohibited from engaging in transactions with him and other officials amid what the U.S. government called Syria's "continued use of violence against its people."

In 2006, the Treasury named Shawkat -- then Syria's director of military intelligence -- in an executive order, freezing his assets and prohibiting U.S. citizens from engaging in transactions with him. At the time, the U.S. government called Shawkat "a key architect of Syria's domination of Lebanon, as well as a fundamental contributor to Syria's long-standing policy to foment terrorism against Israel."

What we need to know about Syria

Days ago, Nawaf al-Fares, the former Syrian ambassador to Iraq who has become the country's highest-level diplomatic defector, told CNN that Shawkat had run an al Qaeda in Iraq training camp.

A U.S. official said al-Fares' claim was "broadly consistent with our understanding" of the Syrian regime's cooperation with al Qaeda "elements."

But the Syrian regime has repeatedly denied involvement in terrorist activities -- and has blamed the violence of the past 16 months on "armed terrorist groups."

Dark images of horror and despair smuggled out of Syria

Syria's al Qaeda boomerang

Since the crisis began in March 2011, the United Nations estimates, more than 10,000 people have been killed in the violence; the opposition Local Coordination Committees of Syria estimates that more than 16,000 have died.

Defector: 'The battle for Damascus is coming'

CNN's Salma Abdelaziz, Ivan Watson, Arwa Damon, Amir Ahmed, Holly Yan, Richard Roth, Brian Walker and Joe Sterling and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

The U.N. Security Council vote on a draft resolution is delayed until Thursday morning

@highlight

189 people were killed Wednesday, an opposition group says

@highlight

20 Syrian generals have defected to Turkey, a Turkish official says