(CNN)A few months before Malaysia Airlines Flight 370 went missing, an enthusiastic plane spotter named Gunnar Kullenberg heard Malaysia Airlines was about to stop flying to the United States. He wanted a photograph of its majestic Boeing 777-200 and planted himself at the Los Angeles airport at dawn. That's where he snapped a photo of the airplane dancing in the glowing sky.

"I didn't think much of it, other than that it was a beautiful fall day here in Southern California," Kullenberg recalled.

Ercan Karakas, an airline captain, captured a similar image in Istanbul in January 2012. "I'm a spotter. I love to watch and photograph the takeoffs of heavy aircrafts," he wrote of the experience. "I know they are not a metal, flying bird; they connect thousands of people in a journey to happiness."

When Flight 370 went missing, Kullenberg and Karakas were among the plane spotters who checked their trove of images. Several found they had photos of the plane when they discovered the registration number matched. Flight 370 was airplane 9M-MRO. These spotters' fantastical musings of planes in flight turned suddenly to dark speculation.

"I fly 60 to 90 times a year; how could this happen?" asked Hansueli Krapf, a Swiss businessman who captured 9M-MRO sitting on the runway in South Africa two years ago. "What on earth could have happened to a plane when there is so much tracking?"

Plane spotters upload hundreds of images to air buff websites all the time, reflections of their fascination with flight. They chat for screen pages about the mechanics and wonder about their far-off destinations and the passengers. They invent stories about people from far-flung countries touring faraway lands, on holiday, on business or studying abroad -- just like the passengers of Flight 370.

After the plane disappeared, Michael Raisch, a visual historian, surfed the airline websites looking for postings of the missing plane. "You begin to see how interconnected the world is," said Raisch, who once compiled a time-lapse photo project of the rebuilding of One World Trade Center. "There is a mystique to flying. Like everything matters more if it happened on an airline."

Raisch put up a Web page with some of the photos and reached out to the photographers for their recollections. What is emerging is a visual history of the plane.

The plane spotters document the 9M-MRO's travels. It spent time in Los Angeles, Kuala Lumpur, Malaysia, and Perth, Australia. It set down in South Africa, Vienna and Rome. The dates the spotters shared with CNN for the pictures they posted on  websites such as airliners.net and Wikimedia.org sync with the dates the plane flew through those airports. So does the information they provided about their own backgrounds as pilots or aviation students or ordinary folks with long histories of photographing planes. Their motive for recording air travel is also well-documented. They all love planes.

Plane spotters seek 'Wayne's World' thrills

Canadian Dan Miclea said he contributed to the gallery after he had an "Oh, wow" moment when he realized he'd seen 9M-MRO sitting on a runway in Rome on June 27, 2010. The 20-year-old has taken thousands of images of planes, including the moment he spotted a shiny Boeing 777 from Malaysia. "It's fascinating that we get such a big piece of metal up in the air and fly," he said.

Bernhard Ebner posted his photo when he discovered he had spotted the missing plane on May 5, 2013, in Amsterdam, the Netherlands. "We wanted to wake up early in the morning to catch the most long-haul flights," Ebner said. "It was a beautiful sunrise at this day as you can see on the picture, and a little bit foggy. Perfect for catching the early birds."

His excitement over capturing a picture of an exotic Malaysian airliner turned to sadness when he realized it had later vanished from the sky. "I was so surprised about this and can't really believe it. They have 105 planes, 15 Boeing 777-200, and I caught exactly this one, I don't know what I really should (say) now," Ebner said.

Raisch said he believes the plane spotters are deeply affected by having a piece of the airplane's history. "It's human nature to want to hold on to a piece of something," said Raisch, who still marvels at his photos of the towers before 9/11 and talks passionately of his chance encounter with actor Paul Walker, who died in a car crash. "The human part of you says, 'OMG, I have this piece of something that is now missing. I have something that is now lost.' "

Krapf, the frequent flier, said he feels like each picture allows him to share a special part of an airplane's history. He has been fascinated with planes since he was 4. "My father used to take us to Zurich Airport, and we would just watch," said Krapf, who later became an amateur pilot. "For me, pilots were heroes, gods. The aircrafts themselves with the noise they made and the size of them, the fact that we could fly, it all fascinated me."

He remembers the five-hour layover in South Africa, where he caught sight of the bold white plane with its blue and red streaks sitting on the runway, a glint of sunshine piercing the metal. "I was on a business trip on the way home from Zambia. I always take free time at airports to take some photos of planes," he said.

Lorenzo Giacobbo's image on January 30, 2011, in Rome is the kind of breathtaking photo the plane spotters yearn to capture. The sky is cloudy and rain showers are painting the clouds. Streaks of light pierce the liquid gray sky and illuminate the metal. "The moment I saw those images that I took of the plane, I was feeling shock and glad at the same time, because I never believe that plane is now gone and I have in my personal collection a copy of the plane," he wrote.

The experience is perhaps most emotional for Ignatius "Iggy"  Kwee, who snapped his image in Perth on August 10, 2010. He was active on a WhatsApp chat group for aviation fans when word of the missing plane came through.

"It's just sad really, and being a Malaysian myself, I might even have had a ride on that similar aircraft once upon a time ago flying from Kuala Lumpur to Perth back in the days before AirAsia X came to this part of the world," he said in a message to Raisch. "The triple seven is a joy to fly in. It's graceful with its huge twin engine, feeling robust in the air and beautiful to photograph in action with all the flaps down, the triple landing gear bogeys. Now having learned this is the first total airframe and lives lost of a triple seven in a crash, it's just unbelievable in this modern aviation world."

Ocean Shield: A mission of hope in search for Flight 370

Flight 370: High-tech search tools

Inside the flight simulator

Read the cockpit transcript

@highlight

Plane enthusiasts discover they took photos of missing Malaysia Airlines plane

@highlight

In photos, Boeing 777-200 registration number is visible on plane

@highlight

Plane spotters seem both happy and dismayed to find they have these images