(CNN)Be afraid -- be very afraid. This is the warning the world deserves to hear. Because the leader of the free world refuses to look with clear eyes at the chief security challenges of the 21st century: the fruits of radical Islam.

The results of the Obama White House's innovative efforts to make the world a better place can be accounted for in the ever-growing numbers of victims of radical Islam in the Middle East, North Africa and South Asia. Not to mention here in the United States, Canada and Europe. Is it not a tragic irony that the Arab Spring-era policies of a Nobel Peace Prize recipient accommodated the transition of Syria into the world's newest jihad theater while leaving Libya a failed state and Yemen a failing state?

The Syrian jihad gave rise to the Islamic State in Iraq and Syria, which now uses Syria as a rear operating base to support its jihad in Iraq, which could soon spill over into Jordan. Plus, Libya is now being used as a rear operating base by ISIS and other global jihadist elements striving to redraw the map of the Middle East, even as they plan attacks in Europe and North America.

Given the frightfully slow pace America's commander-in-chief is currently allowing our military and intelligence community to take action against both ISIS and its progenitor, al Qaeda, the picture of what's in store is clear: The body count will continue to grow in the places where these groups can generate buy-in for their agendas. And neither the United States nor our Western allies are immune to this cancer.

Academics who must say something new or different to garner interest in their work may describe the agendas of ISIS and al Qaeda as distinctly different. But the fact is they are not -- their agendas, which constitute the foremost threats to the global security environment today, are manifestations of radical Islam.

Of course, it's hardly a surprise President Barack Obama refuses to acknowledge all this in plain terms -- the president and his national security advisers have too often proven naïve, with a dangerous habit of viewing the world not as it is, but as they hope it could be.

There is no shortage of examples that highlight the absence of sound foresight on the parts of the world's most powerful politician and his national security team.

Just take the National Strategy for Counterterrorism published by the White House in 2011. That document contained the assertion that, "Since the beginning of 2011, the transformative change sweeping North Africa and the Middle East -- along with the death of Osama bin Laden -- has further changed the nature of the terrorist threat, par-ticularly as the relevance of al Qaeda and its ideology has been further diminished."

Yet, fast forward to January 2014 and America's top intelligence official, director of National Intelligence James Clapper, advised Congress that al Qaeda was no less capable of threatening the United States and our allies than a decade earlier.

Soon after Clapper acknowledged al Qaeda was not a band on the run, as President Obama had described the terrorist enterprise, a report by terrorism expert Seth Jones of the RAND Corporation highlighted yet another inconvenient truth for the White House:  As restraints on freedom of expression of radical religious views vanished in places like Libya, Tunisia and Egypt during the Arab Spring, those states became fertile recruitment grounds for terrorist groups -- including al Qaeda and groups aligned with it.

According to data compiled by Jones, from 2010 through 2013, the number of Salafi jihadist groups increased by 58%. These groups are fueled by Salafiyya Jihadiyya, an ideology that not only informs the agenda of al Qaeda, but is the source code for the agenda of the al Qaeda offshoot ISIS.

Most recently, absent from the National Security Strategy produced by the Obama White House in February 2015 is any real meaningful discussion concerning threats posed by al Qaeda. Yes, Osama bin Laden was killed on President Obama's watch. But contrary to what the White House seemed to think in 2011, bin Laden's death has not lifted the shadow he casts over America's, or our allies' security.

Indeed, within days of our new National Security Strategy's publication date, in the seventh issue of ISIS's English-language magazine Dabiq, the group's leaders described their jihad as a continuation of the jihad charted by bin Laden, while accusing his successor, Ayman al-Zawahiri, of steering al Qaeda off the path of its former leader.

Meanwhile, Yemen -- home to al Qaeda in the Arabian Peninsula, the al Qaeda branch that claimed credit for the January 2015 attack in Paris at the office of Charlie Hebdo -- has also become a failed state. AQAP is helmed by the second-highest-ranking official in al Qaeda writ large, and the Obama administration views it as the most dangerous component of al Qaeda's global network.

So it is interesting that, in the months before the Yemeni government was overthrown by Iran-backed rebels, President Obama described the U.S.-Yemen counterterrorism partnership as a shining example of success in the fight against al Qaeda -- interesting because the President did not do more to help that "partner" government remain in power. Once again, the president and his advisers appear to have either ignored or failed to recognize the trajectory of events in the Middle East.

What were they thinking? And how do they plan to combat AQAP now?

Despite what the White House wants the world to believe, a sober look at the security environment reveals the following key realities:

ISIS controls a large amount of territory in the Middle East, and the group is rapidly growing its ranks in places such as Libya and Afghanistan, while at the same time inspiring and plotting attacks in the West.

And, although ISIS is trying to "out al Qaeda" al Qaeda, resorting to attention winning stunts to boost its profile on television sets around the world, al Qaeda itself is no less of a threat to the United States and our allies today than it was in January 2014.

At the same time, the routine failures of President Obama and his advisers to understand the security environment, and to appropriately tailor America's national security posture in a manner demanded by it, foretells more disasters lie ahead.

Not only Americans, but also our allies should be very, very afraid. Indeed, President Obama's refusal to simply call a problem like radical Islam by its name strongly suggests he is unwilling to make the difficult decisions that must be made today if we are to stand a chance of defeating radical Islamist groups.

History has shown the dangers that millions can be placed in if our leaders don't face down a looming threat by calling it what it is and putting our full weight behind efforts to vanquish it.

President Obama has the resources at his disposal to do just that. But if he wants to help define a future for the Middle East and North Africa in which fewer threats emanate from those regions, he must spend more time listening to talented professionals in our military and intelligence community versus the idealists and yes-men surrounding him at the White House. There is too much at stake in the near term to continue down the path of experimentation with Pollyannaish theories about how to attain this future that have actually rendered us less safe.

Indeed, President Obama should also pay closer attention to what representatives from Arab states are saying behind closed doors. Most of their bosses would love to be the claimants to the prize of defeating ISIS and al Qaeda.

However, all of them recognize that, unless we all want things to get a whole lot worse before they might get any better, the United States will have to deploy considerably more of our "kinetic" resources to put those victories in sight.

This does not mean a ground forces-intensive response is required from us at this time. But if the President thinks it prudent to wait on our Arab partners to do most of the heavy lifting, he could be guaranteeing this will be the case in the not-too-distant future.

@highlight

Authors warn President Obama must be clear about radical Islam threat

@highlight

Al Qaeda still a looming threat, they say