(CNN) -- If you like to put words together in new ways, if you use your imagination when you use language, if you listen to how words sound, or if you have ever worked hard to say how you feel, you might -- by some great definitions -- be making poetry: You might be ready to read some.

April -- America's National Poetry Month -- makes as good a time as any to start. That it is spring after a super cold winter only helps. The season summons all the feelings of joy, and sometimes struggle, that change can bring.

"Nothing is so beautiful as spring," declared Gerard Manley Hopkins, the Victorian poet and priest. But spring also brought him down: In one of his last poems, he complained, "Birds build — but not I build," he could "not breed one work that wakes."

For as long as there has been something called poetry, maybe far longer, poets have observed the changing seasons and welcomed new life, celebrating the return of water in dry climates, warmth in cold ones. The author of Psalm 107 thanks the God who can turn "dry ground into watersprings," who can "sow fields, and plant vineyards, which may yield fruits of increase."

But poetry also comes to us as dissatisfaction. We feel something; we want something; we perceive something that just cannot fit the language of everyday life. It's too strange, or too private, or too intense, so we try to find a way to say this. We need a language whose shapes and symbols, whose sounds and intensities, give voice to our complaint.

"You want something: that's the pretext," writes the contemporary poet Rae Armantrout. We turn to poetry when we want something that the rest of life will not let us have. Henry Howard, the 16th century poet who helped invent the sonnet, wrote a poem that his earliest editor labeled "A Description of Spring, wherein each thing renews, save only the lover," bees make honey, snow melts, the turtle doves pair up, "and yet my sorrow springs." He has no mate.

When T. S. Eliot began his most famous poem "April is the cruelest month," he, too, complained that fertility had left him behind.

And spring poets after him would complain in new ways. For the contemporary poet Juliana Spahr, spring in Ohio prompts memories of a creek where "our hearts took on the brilliant blues, reds and oranges of breeding male rainbow darters and our hearts swam to the female rainbow darter."

But those memories prompt fears about water pollution, climate change, extinction: "gentle now," Spahr tells the endangered American species, "don't add to heartache."

Ann Kim looks at spring and sees human helplessness: "who would argue/ a hyacinth/ out of the woods?" The former U.S. poet laureate Louise Glück finds spring even harder to bear: In her poem "For Jane Meyers," "the mild harping of the breeze," "the daffodils flocking and honking" like demented geese, lead her to exclaim "It is spring! We are going to die!"

And we are going to die. So are the flowers, and so are the rainbow darters, and so are the bees. But poetry can also work to fend off our mortality, bringing together words so powerful, so memorable, that they might preserve something about us for many springs after we are gone. "Not marble, nor the gilded monuments/ Of princes shall outlive this powerful rhyme," promised Shakespeare.

Other poets have been more pessimistic about the same goal: in the poetry of Juan Felipe Herrera, poet laureate of California, "we pick up stones and scratch our names on sand." William Butler Yeats sometimes imagined that poetry could leave nature behind, separating the soul from the "dying animal." His poem "Sailing to Byzantium" asks the masters of an ancient art to "gather me/ Into the artifice of eternity."

With its rich rhyme scheme, its "hammered gold and gold enamelling," it is a poem fit to memorize. And spring is as good a time as any to find, and memorize, a favorite poem (you might find some here). Today we can find poems, and music and pictures and stories and video records, online with ease (that is one reason slam and performance poetry, meant for the stage, has done so well these days).

But in centuries past, when paper could be expensive and pixels were unheard of, the patterns that made poems easy to share and remember were one way to keep any memory alive. When we memorize poetry — as so many of our grandmothers and grandfathers did, whether in English or in Bengali or in Ghanaian Twi — we participate in the power of poetry to keep something alive long after its creators die. To read poetry, to write poetry, to study poetry, in the right spirit, is to make something bloom that can last far longer than any particular flower or leaf.

We have libraries — and, now, glowing screens — in which a world of poetry can come to you and you can take it with you, away from school, and out of the house. One of the most important poets in English, William Wordsworth, hoped you would do just that: In a poem entitled "The Tables Turned," Wordsworth asked his "Friend" to "quit your books," "let Nature be your teacher," and "Close up those barren leaves;/ Come forth, and bring with you a heart/ That listens and receives." More than 200 years later, poetry still encourages you to do just that; you might even bring a poem of your own along.

@highlight

Stephen Burt: National Poetry Month and onset of spring both great reasons to try poetry

@highlight

He says poets have long explored the warring emotion that change of season brings

@highlight

He says beauty, life, death collide. "It is spring! We are going to die," wrote Louise Gluck

@highlight

Burt: Poems help us express feeling. They are to be read, written, memorized. Try it!