Istanbul (CNN) -- Turkey's long-simmering war with a Kurdish insurgency has escalated over the last year, reaching death tolls unseen in more than a decade, a new report focusing on the conflict says.

"Turkey's Kurdish conflict is becoming more violent, with more than 700 dead in fourteen months, the highest casualties in thirteen years," concluded the International Crisis Group, a conflict resolution organization that has extensively researched Turkey's war with the Kurdistan Workers Party, or PKK.

"We're seeing the longest pitched battles between the army and the PKK, we're seeing a wide-spread campaign of kidnapping, suicide bombings and terrorist attacks by the PKK. They're very much on the offensive and unfortunately this is matched by much harder line rhetoric on both sides," added Hugh Pope, the chief author of the International Crisis Group report, in an interview with CNN.

115 Kurdish rebels killed in 14 days

Last weekend alone, at least eight Turkish police officers and four soldiers were killed in two separate ambushes in southeastern Turkey. The PKK promptly claimed responsibility for both attacks.

The Turkish government, meanwhile, claims to have killed hundreds of PKK fighters in recent months, both in operations in southeastern, predominantly Kurdish-populated Turkey and during air raids against suspected PKK camps in the mountains of northern Iraq.

"Within the last month, in the operations executed throughout the region, about 500 terrorists were eliminated," Turkish Prime Minister Recep Tayyip Erdogan said in a speech Monday. "We will on the one hand develop Turkey and on the other hand continue to tirelessly struggle against this terrorist organization that has bloody hands."

The escalation of violence and hard-line rhetoric on both sides has jeopardized hopes of bringing an end to a conflict that has bedeviled Turkey for 30 years. It also threatens to destabilize a member of the NATO military alliance that is already grappling with the influx of more than 80,000 refugees fleeing the civil war in neighboring Syria.

For decades, the Turkish state discriminated against the Kurds, Turkey's largest ethnic minority, which now makes up roughly 20% of the population. The Kurdish language was banned, and Kurds were long referred to as "mountain Turks."

The PKK, led by one of its founders, Abdullah Ocalan, launched a bloody campaign to carve out an independent homeland for Kurds from Turkey, as well as neighboring Iran, Iraq and Syria, in the 1980s. The conflict killed more than 30,000 people, most of them ethnic Kurds.

The war that raged across southeastern Turkey subsided when the PKK declared a unilateral cease-fire for several years after Ocalan was captured in 1999.

In 2005, Erdogan's government began secret talks with PKK leaders.

His Justice and Development Party, or AKP, also made a number of overtures toward the Kurds, relaxing bans on Kurdish language education, appearing to apologize for past discriminatory policies and launching a state Kurdish-language TV station.

"The AKP government actually did more for the Kurds than anyone up until now," Pope said. "[But] when a wave of massive arrests of legitimate Kurdish politicians began, that's when I think young people especially lost hope and the PKK's arguments for the legitimacy of armed struggle became persuasive to them."

Turkish authorities have arrested thousands of Kurdish activists, intellectuals and politicians in the past several years. Many of those targeted are members of the Peace and Democracy Party, or BDP, a legal Kurdish political party that elected 29 members to parliament on independent ballots in 2011.

According to this month's International Crisis Group report, those arrested "include elected deputies, mayors (some from major cities and districts), provincial councilors, party officials and ordinary activists. Many have been accused of membership in a terrorist organization, but not of committing any violent act."

Last week, 44 journalists and media workers from Kurdish news outlets appeared in an Istanbul courthouse on terrorism charges. Many of them have been awaiting trial in prison since their arrest last December.

"This is to silence the opposition," said Baran Dogan, one of the defense attorneys in the case. "This is not only about press freedom but also an intervention into a citizen's right to choose where to get news from."

In fact, in recent weeks, Turkey's fiery prime minister has publicly urged the Turkish media not to report on the growing number of Turkish casualties in the conflict, drawing criticism from media freedoms groups.

"Erdogan's most recent televised 'message to all the media' crosses from reprimanding into directly instructing journalists to stop covering the long-standing conflict between the Turkish Armed Forces and the outlawed Kurdistan Workers' Party (PKK). This is unthinkable," the New York-based Committee to Protect Journalists said in a news release this week.

One of the major obstacles to the peace process, however, is the position staked out by the leaders of the Kurdish movement in Turkey.

Video emerged last month showing several BDP lawmakers embracing and celebrating with armed PKK fighters in the mountains of southeastern Turkey. The scene provided further ammunition for critics who accuse the party of being a public face for the armed rebels.

The International Crisis Group report also points out that the BDP has essentially marginalized itself from negotiations with the Turkish government.

"The BDP says 'don't negotiate with us, negotiate with Abdullah Ocalan in prison,' " said Pope, the report's chief author.

Members of the party insist they do not have the power to persuade PKK fighters to lay down their weapons.

"We are not an armed group. If we tell them (the PKK) to lay down arms, will they obey?" Meral Danis Bestas, deputy chairwoman of the BDP, said in a phone interview with CNN.

Over the last decade, Turkey succeeded in forging alliances with neighboring Iran, Syria and Iraq to target Kurdish rebels operating in their respective territories.

But Turkey's relations with all three governments have deteriorated sharply over the past several years, and the conflict threatens to spill across borders.

This month, Turkish warplanes repeatedly bombed suspected PKK camps in the mountains of northern Iraq.

Meanwhile, Turks watched with alarm this summer as members of the Syrian branch of the PKK raised the guerilla movement's flag over several predominantly Kurdish towns along Syria's border with Turkey.

Should Turkey be afraid of the Syrian Kurds?

This has led to accusations from Ankara that Syria and its ally Iran are providing support to the PKK, charges denied by both Damascus and Tehran.

"If Turkey feels vulnerable to empowered Kurds in Syria, the only way to defend itself is to solve its domestic Kurdish problem," said Pope, the International Crisis Group report author.

The report urged the Turkish government to expand Kurdish language education, redefine Turkey's broad definition of terrorism and launch a package of measures for reintegration of former Kurdish insurgents. The group also appealed to Kurdish leaders to drop demands for a "self-defence militia" in Kurdish areas of Turkey.

One hope for resolution of the conflict may lie in an effort to rewrite Turkey's constitution. The document was drafted by a military junta that swept into power in a coup in 1980.

Kurdish lawmakers have joined with Erdogan's party, as well as two other parties represented in the Turkish parliament, to write a new version of the constitution.

But these reform efforts are being overshadowed by deadly, daily attacks in southeastern Turkey.

On Tuesday morning, Turkish television showed smoke billowing from a burning bus after a suspected PKK attack on a military convoy in eastern Bingol province.

According to Mustafa Hakan Guvencer, the governor of Bingol, the targeted convoy included buses carrying "200 military personnel returning from their vacations unarmed and dressed in civilian clothes."

The governor said the ambush killed at least 10 soldiers and wounded at least 60.

More: Kurds' ambitions add explosive element to Syria crisis

@highlight

NEW: At least 10 Turkish soldiers were killed Tuesday in a suspected PKK attack

@highlight

12 killed in PKK ambushes last weekend; Turkey says it's killed hundreds from PKK recently

@highlight

International Crisis Group says casualties are the highest in 13 years

@highlight

The Kurdistan Workers Party, or PKK, launched insurgency in the 1980s in response to state bias