(CNN) -- Marlene Monteolivo was a Democrat for many years, then a Republican. Now she's registered as a nonpartisan voter in Nevada who wants to support a candidate who will make the economy better.

The Colombia native, who works for a Las Vegas social services agency, says she's leaning toward GOP challenger Mitt Romney. She likes his business sensibilities.

But there's a hiccup. And it's a big one called immigration.

It's the 200-pound anchor on the Republican message, say experts in Nevada politics.

Many Latino voters will tell you "It's immigration, stupid," in the vein of the famously coined phrase on the economy during Bill Clinton's 1992 campaign.

Monteolivo doesn't like that Republicans blocked passage of the Dream Act, which would have created a pathway to citizenship for undocumented immigrants. She bristled at Romney's comment that 47% of Americans feel entitled to government aid. She took it to mean that Latinos, many of whom are not well off, are considered freeloaders.

Come November, Monteolivo says, her option might be to "vote for none of the above."

Romney and President Barack Obama are vying for the attention of 268,000 eligible Latino voters in Nevada, a critical bloc in a battleground state that is still reeling from the Great Recession.

Nevada leads the nation in the number of foreclosures and in the unemployment rate -- 12.6%. The rate among Hispanics is even worse -- a dismal 14.6%.

Add that to Latino disillusion with Obama for failing to pass comprehensive immigration reform, and Romney ought to be able to grab a chunk of Latino voters, says Carlo Maffatt, who works on Latino outreach for the Republican Party.

"With the economy as bad as it is, you would think lot of people would blame Obama and say, 'Let me give Mitt Romney a shot,' " Maffatt says.

But that's not the case.

In 2008, Nevada Latinos overwhelmingly voted for Obama, with whose help he handily defeated Arizona Sen. John McCain. Latinos were energized then by the promise of change in America's immigration policies.

Four years later, the Dream Act -- designed to create a path to citizenship for some young undocumented immigrants -- is all but dead on Capitol Hill.

Obama did sign an executive order that defers deportation for undocumented immigrants who were brought to America as children. But that does not change current immigration law.

"You hear Latino voices saying. 'Obama has not delivered,' " says David Damore, a University of Las Vegas political scientist. But that disappointment is more likely to translate into a "let's-just-stay-at-home" attitude -- as is the case with Monteolivo -- instead of voting GOP, even though Romney has tried to hit home with his message in Nevada.

"I have walked in Nevada neighborhoods blighted by abandoned homes, where people wonder why Barack Obama failed them," Romney said in a speech in Las Vegas earlier this year. "Well, Mr. President, Nevada has had enough of your kind of help."

Tough times might be the reason why Nevada has gone from a strong Obama state in 2008 to a real battleground this time around. But it may not be enough to sway Latinos. That's because many of them -- such as Monteolivo -- cannot get over a widely held perception that the Republican Party's immigration policy boils down to a debate on how high to build the fence along the border, Damore says.

The thinking is, he says, is that maybe we should give Romney a chance to fatten our pocketbooks but we can't take the risk with immigration.

That perception has not been eased any by Republican candidates in the state. In the nasty 2010 Senate race, Republican Sharron Angle claimed her opponent, veteran Sen. Harry Reid, was too soft on illegal immigration.

Latino groups expressed outrage over Angle's ads that they said were racist. They featured ominous images of a border crossing and hostile-looking Latino men; one carried an assault rifle.

She also drew ire for proclaiming to Hispanic school children: "Some of you look a little more Asian to me."

Reid defied anti-incumbent fervor to win a fifth term in office. Post-election pundits agreed that Hispanics, 15% of Nevada's electorate, had stood unified behind Reid to save him.

Since then, Nevada's Latino voters have grown in numbers. They have, after all, accounted for nearly half of the overall population growth in the state over the past 10 years. Their voting clout is sure to keep rising, and they form a voting bloc that will keep gaining national significance.

That clout is even heavier in an extremely close election year in which the Silver State's six electoral votes are oh so precious. Obama can no longer count on the overwhelming support of Latinos, and Romney has yet to figure out a way to connect, says Eric Herzik of the University of Nevada at Reno.

"The Latino vote may not be wild about Obama, but Romney has not shown them what he can do," says Herzik, chairman of his university's political science department. Romney's argument, says Herzik, is that everyone will be better off with lower taxes and less government regulation.

"That's a very nonspecific message," Herzik says for Nevadans who are about to lose their home, lose everything. "Many in Nevada are saying. 'I'm not having a problem paying my taxes. I'm having a problem paying my mortgage.' "

Ana Navarro: To woo Latinos, Romney needs specifics

If the Republicans were able to effectively lay out their economic message, they might have a chance in getting Latinos to overlook what they see as problems in GOP immigration policy, Herzik says.

Omar Lopez voted for Obama in 2008 but this year, he is still undecided.

Lopez's Las Vegas residential real estate business suffered a great deal in one of the hardest-hit housing markets in the country. He downsized his staff from 12 to 3. He says the president has a competitor worth listening to.

In Romney, Lopez sees a successful businessman who can perhaps solve the nation's woes. The problem is he hasn't heard specifics.

Last week, he went to hear Romney's son Craig speak at the Greater Las Vegas Association of Realtors in hopes of hearing a solid economic recovery plan. Part of that, Lopez says, has to be an emphasis on education.

"We are going to crash as a nation if we stop taking away money from education and the economy will be even worse than what it is," Lopez says. "Our kids are not going to college."

Nevada has the highest dropout rate among the 50 states. Only about 60% of Hispanic students in Nevada graduate from high school, according to the state of Nevada.

"I haven't heard a specific plan for education," Lopez says. "How are we going to raise our federal budget to support school programs? How are we going to motivate our teachers?"

Education and the economy are huge issues for Lopez, who is raising a 5-year-old son. But immigration policy is right up there.

He achieved the American dream after arriving from Colombia when he was only 21 and understands why immigration is a roadblock between Latinos and the GOP.

Maffatt, the GOP outreach worker, blames it partly on what he calls a lackluster effort by the Republicans. Hands down, he admits, the Democrats have done a better job connecting with Latinos.

He pointed to Obama's Las Vegas campaign appearance Sunday at the predominantly Hispanic Desert Pines High School. Sharing the stage was Mexican band Mana. Obama might as well have had U2 by his side. Obama's sixth appearance in Nevada this year hit the jackpot with Latino voters, who showed up in droves if not to see him, then the hottest rock stars south of the border.

Clever move, says Maffatt, who thinks the Mana concert will help re-energize Democratic Latino voters who might have become disappointed with the president's failure to pass immigration reform.

"Is it the right way to present a candidate? That's debatable," Maffatt says. "But the point is they are doing something. I don't see any (GOP) resources going into Nevada."

Lopez, the real-estate businessman, did not go to hear Mana. He gave his four tickets away to one of his clients.

She called him up the next day crying with excitement. "Oh, God," she told him. "I got to see the president."

It's those small things, Lopez says, that might help Obama with Latinos in Nevada. As for Lopez? He'll be waiting eagerly in front of his television set Wednesday night as Obama and Romney engage in their first debate.

CNN iReport: What would you ask the candidates in the first debate?

Lopez be tuning in for promises on education, the economy -- and immigration.

@highlight

Some Latinos in hard-hit Nevada are considering voting for Mitt Romney

@highlight

But for many, immigration is a deciding issue

@highlight

One GOP activist says his party has not done enough to connect with Latinos

@highlight

He says President Barack Obama's appearance with Mexican band Mana was great strategy