(CNN) -- The amount of education a person has plays a big role when it comes to deciding whether to make a long-term commitment to that special someone or to have a child outside of marriage, a new report says.

The 2010 edition of "The State of Our Unions" -- a report on attitudes toward marriage -- indicates highly educated Americans are "embracing a pro-marriage mindset" even as middle Americans lose faith in the institution. That shift resembles trends normally seen in the poor, where marriage is "fragile and weak," according to the report, issued Monday

The findings show moderately educated women, or those with a high school diploma and some post-secondary education but no four-year degree, are choosing the single life more often these days, especially when it comes to becoming a mother.

According to the report, "in the early '80s, 13% of babies of moderately educated mothers and 33% of babies of least-educated mothers were born outside of marriage, while 2% were born to highly educated mothers.''

In recent years, the numbers soared to 44% for moderately educated mothers and 54% for the least educated mothers. For mothers with a four-year college degree, births outside of marriage increased to only 6%.

Highly educated women also are getting married more and staying in those relationships longer, according to the report, which suggests this is a "striking reversal of historic trends"

The report cites an adherence to a "marriage mindset," which means religious attendance and faith in marriage is now a way of life for the highly educated.

The same couldn't be said for Middle Americans. From the 1970s to the 1990s, the report says, divorce or separation within the first 10 years of marriage decreased for the highly educated from 15% to 11% and fell from 46% to 36% for the least educated, but was nearly steady for the moderately educated, moving from 36% percent up to 37%.

"The State of Our Unions," released by the National Marriage Project at the University of Virginia and the Center for Marriage and Families at the Institute for American Values, was authored by sociologist W. Bradford Wilcox of the University of Virginia.

"The retreat from marriage in Middle America means that all too many Americans will not be able to realize the American Dream," he said.

"On average, marriage plays a key role in securing the welfare of children," said Wilcox, who added that studies show "children are much more likely to thrive if they are raised in a married home with their own mother and father."

Three national surveys were used to compile the final report. They were the General Social Survey, which conducts basic scientific research on the structure and development of American society; the National Survey of Family Growth, which gathers information on family life, marriage and divorce, pregnancy, infertility, use of contraception, and men's and women's health; and the National Longitudinal Study of Adolescent Health, a federally funded program at the University of North Carolina.

According to Wilcox, it's the first to address the causes of the "observed retreat from marriage in Middle America," and finds that shifts in marriage attitudes, increases in unemployment and declines in religious attendance are among the trends driving the retreat.

"Marriage has gotten weaker" with the decline of churches and civic group in communities, he said, adding that more outreach is needed in areas where these connections are lacking.

He also called on society to do a better job of pointing out the advantages of marriage, particularly when it comes to having children.

@highlight

Middle Americans are losing faith in marriage, while highly educated adults embrace it

@highlight

The 2010 edition of "The State of Our Unions" is released Monday

@highlight

Report: Middle Americans are more likely to have babies out of wedlock and to divorce

@highlight

"Marriage plays a key role in securing the welfare of children," its author says