EL PASO, Texas (CNN) -- Marina Diaz knows each day could be her last when she leaves for school each morning.

Marina Diaz and Alejandro Caballero cross a U.S.-Mexico border checkpoint on the way to school each day.

But that doesn't stop her from making the trip from her home on the dusty outskirts of Ciudad Juarez, Mexico, a key battleground in Mexico's drug wars, to El Paso, Texas, where she attends high school.

From the moment she catches a bus to downtown Juarez, she is mindful of her surroundings. This is a city that saw 1,600 homicides last year. She warily watches the federal soldiers patrolling the streets.

Diaz, 18, finally relaxes after she clears customs at a border checkpoint and passes the "Welcome to Texas!" sign greeting pedestrians at the intersection of El Paso Street and 6th Avenue in downtown El Paso. From there, it's another five minutes to the Lydia Patterson Institute.

She is not the only student making the trip across the border each day. In fact, most of the students in the school do it: About 70 percent of the institute's 459 students live in Juarez. Some are American citizens with Mexican parents; others are Mexican citizens who carry a student visa to any one of three U.S.-Mexico border checkpoints in El Paso that serve tens of thousands of students, white-collar workers and day laborers each day.  Students describe their lives and daily challenges »

When she gets to the school each morning, Diaz changes out of her jogging pants and into her uniform skirt.

"Because of the people over there, I don't feel comfortable with the men and stuff, so I wear pants," she explains. "You definitely see a difference here. The streets, they are more clean here than they are in Juarez, and I think the people respect you a little more. You don't have to worry about people giving you trouble."

El Paso, population 734,000, has long enjoyed the benefits of strong community ties with its industrial sister city of approximately 1.5 million. But the violence and insecurity created by the war between the Mexican government and the drug cartels has strained that relationship.

For students at Lydia Patterson, who live in Juarez and cross the bridge each weekday, the small, United Methodist preparatory school has become a safe haven in the months since drug-related violence in Juarez has intensified.

"My school is a home for me because I have teachers and they treat me like parents," says Hazel Barrera, 18. "Here, they take care of us and they make us feel comfortable and safe."

Lydia Patterson's faculty and administrators -- many of whom are graduates of the school, and also reside in Juarez -- say the school's mission is very much the same as it was when it was founded nearly 100 years ago as a sanctuary for Mexican families fleeing the violence of the Mexican Revolution.

"Our students are exceptional, and I always tell them I respect them and I admire their courage because they're living through this horrible time," says the school's president, Socorro Brito de Anda.  Watch de Anda talk about how cartel violence affects her school »

"There are some students who've had some very horrifying experiences, and we have to be there for them," she says. "Make them feel safe is mainly what we want to do here, make them feel that there's a place where they can go to school and concentrate on school without having to worry about their safety."

Despite the Spartan aesthetic of the school grounds, which occupies a city block in downtown El Paso, most students might agree that Lydia Patterson lives up to de Anda's standards.

Hazel Barrera and other Lydia Patterson students help clean the school to pay for their scholarships.

By 7:30 a.m., the cafeteria is buzzing with chatter in English and Spanish of students who come in early for free breakfast. In the open-air courtyard that divides a pair of red-brick, two-story buildings of classrooms, students sit alone and in groups, reading books and exchanging gossip. In between classes, they gather in the office of their beloved student activities coordinator, an alumnus who helps them study history and plan activities.

After classes, students linger as long as they can before it gets dark, chatting in empty classrooms with bars and gates over the windows and doors. Many stay for team sports or clubs, others contribute to the school's upkeep -- a stipulation of the scholarships that more than two-thirds receive.

If a soccer game or yearbook meeting ends late, the school ensures that a teacher, coach or parent escorts the students over the bridge, oftentimes, all the way home.

"There are teachers who can take us home because they are close to us and they want to be sure that we come home safe," Hazel says. "I don't feel like it's two countries, I feel like it's two homes."  Watch Hazel talk about her two homes »

Since Mexican border towns became battlefields in the drug war, American towns like El Paso have become refuges for middle- and upper-class Mexicans.

Many have moved their businesses stateside; the El Paso real estate market is seeing an influx of Mexican nationals and green card-carriers from Juarez purchasing homes and relocating their families.

Families that cannot give up their lives in Juarez send their children to schools like Lydia Patterson, which has accepted 25 new students from Mexico since January.

The instability in Juarez has sent ripple effects through the school.

"We've had more inquiries from parents wanting to bring students to our school because of security, but on the other hand, they're struggling financially because many have had to close their business in Juarez due to the violence, so they're looking for a safe place for their children," de Anda says.

"I've had parents in my office crying and pleading for us to take their children. They say the part of the day that their children are in school is the only time they don't fear for their safety," she says.

Ask any student walking through Lydia Patterson's fluorescent-lit hallways how "narcotrafico" related violence has affected him or her, and most relay some vignette about a relative or neighbor who was robbed at gunpoint, extorted with death threats or caught in the middle of gunfire.

Diaz remembers the time she and some friends were walking to the mall when they spotted a crowd swarming around a body.

"They told us that it had happened just a few minutes before, and it was like, wow, if we were there only a few minutes earlier, maybe it could've been us," she says, smiling nervously at the thought.

Many of the teens at Lydia Patterson appear trapped between two worlds: one in which society tells them they're not safe, and another in which they feel such fears are exaggerated.

The violence in Juarez has curtailed the social lives of Diaz and her friends, as their parents forbid them from going out after school or after dark on the weekends.

"It's not that they don't trust my friends or the things I do, but they're seriously worried that I may be in the wrong place at the wrong time and that something might happen to me," says Irvinn Ceja, 16.  Watch Irvinn describe how drug violence has changed his life »

Ceja says he is concerned more for his parents' safety than his own.

"I think that especially my dad, he's the one who works, he's a salesman, he works in the streets, he has to visit his clients, has to offer his products, so most of his time is on the streets driving and that's a big cause of stress because anything might happen," Ceja says.

Parents view Lydia Patterson as a means of elevating their family above the instability of Juarez.

"What would have become of my children if they stayed in Ciudad Juarez? Our lives changed the moment we were able to leave the danger, the fear of going out in the streets," says Maria Isabel Munoz Bustamante, whose daughter graduated from Lydia Patterson five years ago, and has a son, Alejandro, enrolled in his senior year. "We were nearly at the point of being another statistic in Ciudad Juarez, just a number."

The situation is Juarez also affects students who live in El Paso.

Mari Brito says her father's import business has taken a hit, and the family doesn't visit relatives in Juarez as much anymore.

Also gone are the days when Brito would cross freely between El Paso and Juarez to hang out with friends. Their contact is now limited to the school day and the Internet.

"We used to have all kinds of fun [in Juarez] and now we can't anymore because we don't know if it's safe," says Brito, whose parents sent her to Lydia so she could get in touch with her Mexican roots.

Like many El Pasoans, Brito sympathizes with the plight of her classmates and considers it a problem that extends to her community.

"I've learned to be grateful that I have the opportunity to live in El Paso and to probably care a little more about my neighbor city," she says. "We're all exposed to it because we know of it and we know the danger of it ... , so we've all been through it."

@highlight

70 percent of Lydia Patterson Institute's students commute from Mexico

@highlight

Students, parents say school provides sense of security in contrast to Juarez, Mexico

@highlight

Lydia Patterson Institute has admitted 25 new students from Mexico this year

@highlight

School founded as sanctuary for families fleeing Mexican Revolution