(CNN) -- As we well know, ISIS is recruiting angry young men as far afield as Minneapolis and London. The allure is much like the allure of a street gang -- in part, because ISIS looks an awful lot like a street gang.

Gangs have long been understood as a collective response or "solution" to the strains encountered by their respective members. For some youth, ISIS has become the "solution." They are searching for the same protection and respect that pull people into gangs. The difference is they are pushed by feelings of marginalization, victimization, and vulnerability that stem from the state's purported failure to protect Muslim interests.

"Fear leads to anger. Anger leads to hate," Yoda once said. Anger also incites people to action, lowers inhibitions, and fashions a desire for revenge.

There are legitimate concerns about radicalization among existing gang members, because they typically live out the same sociocultural and racial exclusion. Gang members already hold more anti-authority attitudes than the rest of us. Add to this the fact many of them go to prison each year, where they come into contact with radicalized individuals and are subject to influence, and the die has been cast.

For some gang members, joining ISIS could even make real the mythologized gang life that made gang membership originally so appealing. Real gang life -- where gang members stand around in the rain waiting for something to happen, or beg, borrow, and steal converted imitation firearms to make good on their threats -- rarely lives up to the hype. Hence, many real gang members still live at home with their mothers.

ISIS, by contrast, lives up to the myth. ISIS is armed to the teeth with samurai swords and Kalashnikovs. ISIS governs vast territories and shapes futures. ISIS, flush with oil money, pays far better than minimum wage. ISIS is the street gang on steroids.

Like many gangs, ISIS grew out of another group (al Qaeda in Iraq,) evolved under charismatic authority (Abu Bakr al-Baghdadi,) made some territorial gains (Syria and Iraq,) changed its name a few times (IS, ISIS, ISIL,) and, eventually, provoked a militarized response. In no way does this diminish the threat ISIS poses. In gang colors, dissing a rival gang in a self-produced YouTube video earns you five minutes of fame at best. Under ISIS's black flag, beheading an aid worker guarantees life in 24-hour news in perpetuity.

Having studied how gangs work, I know first-hand some gang members are Islamists. Others are attracted by the concept of terrorism. When gang members identify with Islam, however, it is only on a superficial level. Above all, gang members desire to be feared, thus, as in the Muslim Boys case in London, they strategically pose as jihadists and trade on powerful false perceptions about links to al Qaeda.

Both groups also look for all possible ways to enhance their reputation for violence because violence has a property that other commodities lack: A reputation for violence reduces the need for actual violence. To this end, just as Internet-based forms of communication play a key role in the cultural transmission of gang symbols and practice, technology also "advances the motives and accelerates the methods of radicalization." Contrary to popular belief, however, neither gangs nor terrorist groups formally "recruit" via the Internet because "cheap talk" online cannot be trusted.

Another thing gangs and terrorists group share, is a deep tension between personnel needs and infiltration risks. As a result, many are called to both groups but few are chosen. Material incentives attract opportunists, so groups screen for commitment. Illegal activity attracts law enforcement, so they also screen for trustworthiness.

Terrorists recruit in mosques for the same reasons gangs recruit in neighborhoods -- racial and ethnic homogeneity and residential stability inherently promote trust and, in the context of repeated interaction, reputations are acquired and authenticated.

But radicalization, like gang membership, lives on a spectrum. Radicalization, like gang membership, is also a gradual process. It begins with personal relationships. Lost men congregate at mosques, in neighborhoods, and online, finding others like them. They build friendships around their faith and its obligations or along the lines of shared identities and social networks. Eventually, this "bunch of guys" comes to constitute a closed society that provides a sense of meaning that otherwise does not exist in the larger world.

Terror intervention, like gang intervention, needs an emphasis not on the traditional "hot spots" for radicalization, but rather the "hot people" most deeply embedded in extremist networks. This is important. The old "hot spot" approach to gang suppression alienated communities of color by reinforcing the "us versus them" mentality that forced many people into gangs in the first place.

Our current version of "shock and awe" in response to ISIS risks prompting retaliation for the same reason: It gives legitimacy to the extremist argument that the West is complicit in the death of Muslims around the world.

As they say in the gang, if you live by the gun, you die by the gun. To bring peace, both on the streets and in Syria, underlying social and political grievances must be addressed.

EXCLUSIVE: From schoolteacher to ISIS member

The opinions expressed in this commentary are solely those of James Densley.

@highlight

Young ISIS recruits are searching for same protection and respect as gang members

@highlight

ISIS can deliver the myths of gang life, giving access to guns, power and money

@highlight

Gangs and terrorists share a tension between personnel needs and infiltration risks

@highlight

To tackle gangs and ISIS, underlying social and political grievances must be addressed