New Orleans, Louisiana (CNN) -- BP said Wednesday that efforts to contain and clean up oil gushing from a ruptured pipe in the Gulf of Mexico have made a "measurable difference" even as Louisiana's governor announced that thick, heavy oil has begun polluting the state's wetlands and estuaries.

Doug Suttles, BP's chief operating officer for exploration and production, said at a news conference that the company is "very pleased" with the performance of an insertion tube that was put in place over the weekend to suck crude oil from the well and funnel it to a surface vessel.

The flow rate from the tube has reached 3,000 barrels of crude (126,000 gallons) and 14 million cubic feet of gas a day, Suttles said, adding that crews hope to increase those numbers in coming days.

He said favorable weather conditions have also played a major role in cleanup efforts. About 14,000 barrels of oily water was skimmed Tuesday, and 50 percent of that mixture was oil, he said, adding that crews continue to deploy boom and conduct controlled burns.

But Gov. Bobby Jindal of Louisiana says the efforts haven't stopped oil from reaching his state's coastline. Thicker, heavier oil than seen in previous days has blanketed some of the state's precious interior wetlands, he said, and he called for the Army Corps of Engineers to approve an emergency permit to dredge sand from barrier islands to create sand booms as another line of defense.

"These are not tar balls, this is not sheen, this is heavy oil that we are seeing in our wetlands," Jindal said.

Video from Pass a Loutre in Plaquemines Parish, Louisiana, showed oil with a syrupy consistency lapping against reeds in a small area of marshland after creeping past booms and barriers.

"Everything that that blanket of oil has covered today will die," parish President Billy Nungesser said.

"Imagine [this oil] on top of a turtle or on top of a frog," he said as he held a stalk of reed that coated his hands in oil.

CNN iReporter Eileen Romero, touring the state's Chandeleur Islands by boat on Tuesday, described a "foamy sheen on top of the water" left by the oil and dispersants, and she said she counted between 10 and 15 dead Portuguese man-of-wars trapped in debris.

"While we were out there, my nose and the back of my throat began to burn as I inhaled the putrid-smelling air," Romero said.

Jindal compared the fight to head off the approaching oil to "knowing your body has cancer. ... We've got to stop this cancer from spreading [and] we'd much rather fight it on these coastal barrier islands than inland."

"We need more than just boom or skimmers," Jinadal said. "We need multiple lines of defense."

iReport: Track the spill, or share your story

Meanwhile, BP said it is continuing to mobilize equipment and perform testing in preparation for the first effort to actually stop the flow of oil.

Suttles said the first attempt at a "top kill" procedure could come as early as Sunday.

In that procedure, a large amount of heavy "mud" -- a fluid used as a lubricant and counterweight in drilling operations -- is inserted into the well bore. If that succeeds, the well will be cemented shut, officials have said.

Suttles cautioned, as he has with previous efforts, that the procedure will be performed at a depth of 5,000 feet, "which has never been done before."

"We're absolutely holding out hope that top kill works," said Coast Guard Rear Adm. Mary Landry. "Everybody is anxious to see success with this intervention. ... Let's keep our fingers crossed [and] let's all say our prayers."

Oil has been leaking at an estimated rate of 5,000 barrels (210,000 gallons) a day for nearly a month after an April 20 explosion aboard the drilling rig the Deepwater Horizon. The rig burned for two days and then sank, causing the ruptured pipe.

Also Wednesday, the U.S. State Department said it has been in communication with Cuban officials over the possibility of oil reaching that country's shorelines.

"The U.S. Interests Section in Havana today delivered a diplomatic note to the Cuban Foreign Ministry informing the Cuban government about the oil spill and what we currently know about its projected movement," the State Department's deputy spokesman, Mark Toner, told CNN. "We have had working level discussions with the Cuban government to keep them informed of developments."

The communication came after reports of oil possibly reaching the Gulf of Mexico's Loop Current. The current flows through the Yucatan Channel between Cuba and Mexico, and then northward, where it loops and exits the Gulf just south of the Florida Keys and travels to the west side of the western Bahamas.

The European Space Agency issued a statement Wednesday saying satellite images show the oil is in the Loop Current.

"With these images from space, we have visible proof that at least oil from the surface of the water has reached the current," Bertrand Chapron of Ifremer, the French Research Institute for Exploitation of the Sea, said in the statement.

Charlie Henry of the National Oceanic and Atmospheric Administration said Wednesday that amounts of light sheen "are feeling the effects of the Loop Current and that oil is going to move slowly" with the current.

"We actually expect that oil to dissipate," said Henry, adding it was "not an immediate threat" to Florida or other shorelines.

@highlight

Cleanup efforts have made "measurable difference" on ocean surface, BP says

@highlight

Louisiana governor says thicker oil than previously seen has hit wetlands

@highlight

BP says it hopes to begin effort to "mud" well shut as early as Sunday

@highlight

U.S., Cuba in communication about projected movement of oil