Washington (CNN) -- The FBI and Justice Department are undertaking a broad review of thousands of criminal cases to see if any defendants were wrongly convicted based on faulty forensic analysis. An FBI official said Thursday the issue is whether in some cases FBI experts went too far in trial testimony and drew more conclusions than existing scientific techniques could support.

"The department and the FBI are in the process of identifying historical cases for review where a microscopic hair examination conducted by the FBI was among the evidence in a case that resulted in a conviction," said Justice Department spokeswoman Nanda Chitre on Wednesday. "We remain committed to working closely with our law enforcement partners to go through thousands of cases, all of which are more than a decade old, and to assemble evidence for purposes of conducting a thorough and meaningful review of convictions."

Convictions and corrections: A look at the numbers behind wrongful imprisonment

The Washington Post first reported the review. This follows a report by the newspaper in April that Justice officials had known for years that questionable forensic work might have occurred in some trials in which defendants were convicted, but that no new look at the cases had taken place, and that defendants and their lawyers had not been informed of possible problems in the evidence.

The review will include cases in which the FBI lab was involved. In addition to analyzing evidence in federal cases, the lab provides assistance to state and local law enforcement agencies. FBI forensic examiners have testified in trials throughout the country.

The FBI has been able to provide more thorough analysis of small or degraded hair sample evidence since it began using mitochondrial DNA testing in 1996.

On Tuesday, federal prosecutors in Washington said a man convicted of a 1981 rape and home invasion is innocent and his conviction should be vacated. Kirk Odom, 49, spent 22 years in prison and was released in 2003. His case was highlighted by the Washington Post in April as one involving faulty forensic analysis.

The U.S. attorney's office for the District of Columbia said recent DNA testing in the case proved Odom was not the culprit. Instead, it said, the sample matched another man in the FBI's Combined DNA Index System who had previously been convicted of a sex crime. That person will not be charged in the 1981 rape because the statute of limitations has expired.

The Justice Department did not estimate how long it will take to go through cases or how many total cases may be reviewed. Officials said they will work on the review with two independent groups, the Innocence Project and the National Association of Criminal Defense Lawyers.

County settles for $4.1 million in wrongful imprisonment suit

@highlight

The review is looking for defendants wrongly convicted based on faulty forensic testimony

@highlight

The action follows a Washington Post report that the Justice Department knew of problems

@highlight

The Justice Department did not estimate how long it will take to go through cases