(Health.com) -- It sounds like something out of a sci-fi movie: A patient visits a doctor's office and, after a brief surgical procedure, walks away with a microchip under her skin that delivers medication in precisely timed and measured doses.

That scenario doesn't seem so futuristic anymore. Researchers at the Massachusetts Institute of Technology (MIT) announced today that they have successfully completed the first trial of a drug-releasing microchip in humans.

The results were published on the website of the journal Science Translational Medicine.

The pacemaker-sized microchip devices, which were implanted near the waistline of seven 60-something women in Denmark, worked as intended, releasing up to 19 daily doses of an osteoporosis drug that ordinarily requires injections. The implants proved safe, and tests revealed that they delivered the medication as effectively as once-a-day shots.

Health.com: How to fight osteoporosis

The devices won't be ready for mainstream use for at least another four years. But the researchers say the technology will ultimately enable people who take injectable drugs for conditions such as multiple sclerosis and rheumatoid arthritis to swap their needles for microchips.

Other drugs that could potentially be delivered in this manner include chemotherapy, fertility hormones, and vaccines, they say.

"It's almost like 'Star Trek,' but now it's coming to life," says study coauthor Robert Langer, Jr., Sc.D., an institute professor at MIT's Koch Institute for Integrative Cancer Research, in Cambridge, Massachusetts.

Langer, a chemical engineer, came up with the idea for the drug-delivery device about 15 years ago, while watching a TV show on how microchips are made in the computer industry.

Langer and his colleagues at MIT worked on the idea throughout the 1990s, and published the first paper on their research in 1999. That same year, Langer cofounded a privately held company, MicroCHIPS, Inc., to license the technology from MIT and commercialize the device.

Health.com: Injecting yourself 101

Here's how it works: Microchips containing tiny reservoirs of concentrated, freeze-dried medication are secured to the surface of a titanium housing, which also contains a wireless transmitter that communicates with a small portable computer. A surgeon implants the device via a one-inch incision, in an outpatient procedure requiring local anesthesia only.

Each reservoir on the microchip holds a single dose of medication and is sealed by a thin metal membrane. When instructed by the computer, the implant sends an electrical current through a membrane and melts it, allowing body fluids to flow into the reservoir and the powdered drug to diffuse into the body. (The melted metal resolidifies on the chip and is not released.)

In the recently completed trial, the microchips were loaded with Forteo (teriparatide), a drug used to build bone mass in postmenopausal women with osteoporosis. The study participants carried the implants for a total of 103 days, and received medication on 20 of those days. Overall, the devices successfully released 94% of the doses as planned.

Health.com: 11 foods for healthy bones

One implant malfunctioned due to a faulty microchip circuit, but the researchers caught the problem thanks to the wireless transmitter, says Robert Farra, the president and CEO of MicroCHIPS.

"The on-board diagnostics allowed us to identify right away...that the drug could not be released," Farra says. "There were no safety concerns to the patient and we decided not to include [her] in the study, as our study objective was on safety and efficacy."

The study participants were reportedly untroubled by the device. "They found the implants pretty much acceptable," Farra says. "They could not feel the device once it was implanted, and they all indicated they would be willing to repeat the procedure."

The fact that several of the women said they forgot about the implant once their incision healed is a "good sign," says John T. Watson, Ph.D., a professor of bioengineering at the University of California, San Diego. Watson adds, however, that the microchip system may not be for everyone.

The quality of life of people who take injectable medications "varies very broadly," says Watson, who coauthored an editorial accompanying the study. "Some people say 'I just don't want an incision' -- so they could opt out easily and elect another approach. On the other hand, there would be some people who would say 'I want this' because [they] want it to be forgettable, sort of like a pacemaker."

Health.com: Prescription drugs that lead double lives

More research and fine-tuning will be needed before the device can even be tested in full-fledged clinical trials, Watson says. The researchers need to establish that it's durable and reliable, for instance.

Langer and his colleagues say their implants could be used for brief stretches of 30 to 90 days (to administer pain medication after an injury, say), or for periods of up to a year.

"We think 365 doses is very manageable with the design that we're working on," says Farra, noting that MicroCHIPS is currently developing a one-year Forteo implant.

S. Louis Bridges, M.D., the director of clinical immunology and rheumatology at the University of Alabama at Birmingham, in Alabama, says microchip devices could be a boon for people -- such as rheumatoid arthritis patients -- who require regular injections or intravenous infusions.

Health.com: Alternative therapies for rheumatoid arthritis

"Patients tend to do OK, but there are some that absolutely hate [injections]," Bridges says. Some patients complain that the medicine burns, and some experience so-called injection site reactions in which the surrounding skin becomes red and swollen, he explains.

Patient comfort and convenience aren't the only potential benefits of microchips, Farra says. The automatic dosing ensures that people receive the medication exactly as prescribed, so doctors and patients don't have to worry about skipped or inconsistent doses, he says.

Copyright Health Magazine 2011

@highlight

Researchers at MIT completed first trial of drug-releasing microchip in human patients

@highlight

Pacemaker-sized microchip devices were implanted in seven 60-something women

@highlight

Osteoporosis drug were delivered as effectively as once-a-day shots