Cairo, Egypt (CNN) -- Bowing to eight days of protests, Egyptian President Hosni Mubarak said Tuesday he will not seek office again in elections scheduled for September, but vowed to stay in the country and finish his term.

The concession, the largest the embattled president has made so far, was remarkable for a man who has held a tight grip on power for three decades. But it was unclear whether the offer would do anything to calm opposition groups and protesters who have called for Murarak's immediate resignation.

"My first responsibility now is to restore the stability and security of the homeland, to achieve a peaceful transition of power in an environment that will protect Egypt and Egyptians and which will allow for the responsibility to be given to whoever the people elect in the forthcoming elections," Mubarak said in a televised address Tuesday night.

The announcement rang flat in Cairo's Tahrir Square, where thousands of protesters erupted in chants of "Down with Mubarak!" and "The people want the president to be judged!" following his announcement. Some waved shoes in the air -- a deep insult in the Arab world -- and said they would continue their demonstrations until Mubarak quits outright.

Mohamed ElBaradei, the Nobel Peace Prize winner who has become a leading opposition figure, said Mubarak's decision was "an act of deception" that would only "extend the agony."

"Whoever gave him that advice gave him absolutely the wrong advice," ElBaradei said.

However, Arab League Secretary-General Amr Moussa, a former Egyptian foreign minister, said demonstrators should weigh what Mubarak has said before responding.

"I'm aware that there are certain currents in Egypt that will not see that as satisfactory and they need more," Moussa, a possible presidential contender himself, told CNN. But, he added, "I believe that there is something new that has been offered."

Mubarak has led Egypt for nearly 30 years since the 1981 assassination of his predecessor, Anwar Sadat, aided by an emergency decree that has allowed him to rule with an iron fist. But following demonstrations that have only grown in the past week, the 82-year-old former air force general told his people Tuesday night, "I have spent enough time serving Egypt.

"I will pursue the transfer of power in a way that will fulfill the people's demands, and that this new government will fulfill the people's demands and their hopes for political, economic and social progress," he said.

Tuesday's turnout in Cairo, Alexandria and other cities came despite efforts by the government to suspend rail service and cut off mobile phone and internet networks, and in spite of the mounting hardships facing Egyptians.

Banks and schools have been shuttered during the demonstrations, teller machine screens are dark and gas stations have run out of fuel. Long lines snaked around bakeries and supermarkets as shops began to ration how much food customers could buy.

In Alexandria, protesters clashed with supporters of Mubarak, leaving 12 people injured, said Qutb Hassanein, a member of an opposition group. The military was called in to restore calm.

Mohammed Mahmoud, a protester, said he was hit in the head by a stick during the clash.

"We don't want him (Mubarak). We are staying here until we die," he said.

Mubarak's announcement capped a day in which anti-government demonstrators stood shoulder-to-shoulder in Tahrir Square for a "march of millions." It comes less than three weeks after a wave of protests that forced Tunisia's longtime strongman to flee to Saudi Arabia in mid-January.

Protesters last week taunted, "Mubarak, Saudi Arabia is waiting for you." But despite calls for him to leave the country, the aging leader vowed Tuesday that "This dear country is my country ... and I will die on its land."

Opposition leader Ayman Nour called the speech "very depressing." Nour said Mubarak was already expected to step down at the end of his term -- but he is believed to be maneuvering to have his son, Gamal, succeed him.

"He did not at any point in his speech reject the possibility that his son could run for president," said Nour, who spent three years in prison after challenging Mubarak in Egypt's first multiparty presidential election in 2005. He said the protesters in Tahrir Square "are angrier than ever" after the address.

Mohammed Habib, deputy chairman of the officially banned Muslim Brotherhood, said Mubarak's speech was built around emotional appeals to his decades of military service and the presidency.

"After 30 years during which corruption and diminishing the strategic role of Egypt in the region became the norm, I do not feel it is time to appeal for people's emotion," Habib said. "We should say 'thank you' to him, 'and get out.' "

In Washington, President Barack Obama said he spoke with Mubarak soon after he announced he would not seek re-election. Obama called for an orderly transition in Egypt that, he said, should be meaningful, peaceful and must begin now. The U.S. president stressed the Egyptian people will be the ones to determine their own leaders and destiny.

In Cairo, the U.S. ambassador to Egypt, Margaret Scobey, met Tuesday with ElBaradei and will be speaking with leaders of other political movements, a senior State Department official said. The official cautioned that Scobey's talks with ElBaradei doesn't mean the United States favors him.

As in Tunisia, the protests have been fueled by economic woes, including a dramatic rise in the cost of living coupled with high unemployment. Despite the government's food subsidies, people are struggling, with an estimated 40% of the country living in poverty.

The majority of Egypt's population -- and the vast majority of its unemployed -- is under 30, and many protesters are young men looking for economic opportunities and a better life.

As the demonstrations grew, Mubarak fired his cabinet and ordered newly appointed Vice President Omar Suleiman to hold talks on political reform with opposition leaders. And on Monday, the military -- the foundation of the modern Egyptian state -- announced it would not open fire on peaceful protesters.

"I think it's all over with once the army makes that announcement," said Juan Cole, a Middle East historian at the University of Michigan. Cole said he had expected the regime to endure the crisis with the support of the military, but that the military appears to have "cut Mubarak loose."

Shibley Telhami, a University of Maryland professor and Brookings Institution analyst, said the military may have anchored the government but, "At some point, they are going to have to make a decision about protecting the institution beyond the man."

And Fouad Ajami, a Johns Hopkins University professor and Hoover Institution analyst, said Mubarak's invocation of his years of service was "almost pathetic."

"I believe the crowd was discovering its power as Mubarak was discovering his own weakness and the vulnerability of his own regime," Ajami said. Now, "No one believes his promises, and now no one really believes his threats."

The demonstrations had turned ugly last Friday, when thousands of riot and plainclothes police used brutal force to crack down on people on the streets.

Unconfirmed reports suggest up to 300 people may have been killed during the protests, U.N. High Commissioner for Human Rights Navi Pillay said Tuesday. Human Rights Watch has reported 80 deaths from two hospitals in Cairo, 36 in Alexandria and 13 in Suez.

CNN has not been able to independently confirm the death toll. But since the weekend, the army has replaced police as the enforcers of security, and the gatherings have been largely peaceful.

In recent days, protests inspired by the Tunisian outcome have spread to Algeria, Yemen, Jordan and Sudan. Calls for political reform prompted Jordan's King Abdullah II Tuesday to dismiss his government and appoint a new prime minister, and a Facebook page urged similar demonstrations in Syria.

John Entelis, director of Middle East studies at New York's Fordham University, said the Arab world is facing a "wave" of unrest sparked by the Tunisian revolt.

"If it were not for Tunisia, none of this would be happening at this time or in this way," Entelis said.

CNN's John King, Ben Wedeman, Frederik Pleitgen, Ivan Watson, Housam Ahmed, Caroline Faraj, Salma Abdelaziz, Saad Abedine, Christine Theodorou, Zain Verjee, Arwa Damon and journalist Ian Lee contributed to this report

@highlight

NEW: President Barack Obama says a transition in Egypt must begin now

@highlight

NEW: Protesters and supporters of the Egyptian president clash in Alexandria

@highlight

Mubarak's position will only "extend the agony," an opposition leader says

@highlight

Arab League leader: Opposition should weigh speech before responding