(CNN) -- It was inevitable that the debate over same-sex marriage would have a strong religious component. This is partly because it involves such questions as the interpretation of biblical passages that, on their face, condemn homosexuality as a sin. But it also involves squaring the authority of ancient texts with modern theological understanding and developments in biology. And of course, the importance of love and human autonomy as religious values should be considered.

Those issues surfaced in the various briefs filed in the Supreme Court, some of which are written as if the court must inevitably choose one religious point of view as the winner and the other as the loser. This is a false choice. The Court can make all winners, or at least avoid allowing one side to suppress the other's deepest beliefs.

The U.S. Supreme Court has not been asked -- nor could it possibly answer -- the question of what God or the Bible thinks about same-sex marriage. Religious groups are divided on that question, some supporting and others opposing same-sex marriage. And even if the religious viewpoint were clear, it should play no direct role in deciding whether the Constitution requires the states or the federal government to recognize same-sex marriage. Our government should not act to further one or another religious view of contested moral issues.

Opinion: The real 'modern family' in America

Neither the court nor government may referee religious disputes. Under the Constitution, religious groups are free to urge and put into practice their different visions of the good, of moral life, and compete for adherents in the marketplace of ideas. Winners and losers are determined by the "votes" of individuals and congregations, of believers and nonbelievers, not by government bodies.

Neither can citizens opposed to same-sex marriage demand that the government refuse recognition to such marriages in order to avoid offending their religious sensibilities.

Religious liberty, as the American Jewish Committee told the Supreme Court recently in a friend-of-the-court brief, does not give anyone the right to demand that someone else be deprived of the "right to live the most intimate portions of their lives according to their own deepest convictions." That some religious groups regard same-sex marriage as an "abomination" does not authorize the government to ban such relationships. That is one price we all pay for protecting religious liberty.

Conversely, when government does recognize same-sex marriage, it creates a new set of problems for the liberties of religious believers. These extend well beyond the right of clergy or houses of worship not to perform or host same-sex ceremonies, or the right of religious institutions opposed to same-sex marriage to remain tax exempt.

Sutter: The county where no one's gay

Among other likely questions that will arise are these:

-- Must rabbis, priests and pastors provide religious marriage counseling to same-sex couples?

-- Must religious colleges provide married-student housing to same-sex couples?

-- Must churches and synagogues employ spouses who are in same-sex marriages, even though such employees would be persistently and publicly flouting the religious teachings they would be hired to promote?

-- Must religious social service agencies place children for adoption with same-sex couples? Already, Catholic Charities in Illinois, Massachusetts, and the District of Columbia have closed their adoption units because of this issue.

Resolving these conflicts will not be easy. In some instances the rights of same-sex couples will unavoidably trump religious liberty rights -- for example, the much discussed question of visits to spouses in intensive care units. But there will be cases where religious liberty will trump, and same-sex couples will have to accept the reality that not everyone accepts their relationships as legitimate. This, too, is a price to be paid for religious liberty.

Same-sex couples should not be denied the right to civil marriage; that is the immediate issue in the cases now before the Supreme Court. And when that right is secured, same-sex couples should not, without very good reason, be allowed to force dissenting religious organizations to recognize or facilitate their marriages.

The opinions expressed in this commentary are solely those of Marc D. Stern.

@highlight

Marc Stern: The debate over same-sex marriage has a strong religious component

@highlight

Stern: Government should not further one religious view over another on gay marriage

@highlight

He gives an example -- must religious colleges provide housing to same-sex couples?

@highlight

Stern: A key question is whether recognizing gay marriage infringes upon religious liberty