Since last week's Boston Marathon bombing, some people have called for placing more surveillance cameras in America's cities. This would be a mistake. It would be dangerous to our civil liberties, and it would be bad policy.

I felt last week's tragic events personally -- as a parent of young children, a runner and a graduate of Bedford High School in the Boston area. And it's easy to see why those extraordinary images made us all more sensitive to the everyday possibility of danger.

But the big picture is this: In a very unusual set of circumstances, two bad guys set off bombs.  They killed three people, and injured many more. The people of Boston refused to be terrorized, and they worked with the police to catch those responsible in a few short days.  Even under these extraordinary circumstances, our system worked. Bad people did bad things, but we found the suspects and we caught them.

Surveillance cameras of course played a part. They probably allowed the suspects to be identified more quickly, and they will surely provide useful evidence at the surviving suspect's criminal trial. Would more cameras have meant quicker apprehension of the suspects?  There's no evidence to suggest this. And it's important to remember that there are already lots of cameras in Boston. And though some may believe that blanketing our public areas with video surveillance will make us safer, we should reject this call.

First, surveillance cameras are expensive. They are costly to install and maintain, and in a time of limited budgets, they could be mistaken for an adequate substitute for human police officers on the street.  Should we trade off the cost of human police (or schools, or roads, or lower taxes) for even more robotic surveillance eyes?  I don't think so.

Second, surveillance cameras don't necessarily deter serious crimes.  Boston's numerous cameras didn't stop the crime at the Boston Marathon, nor did London's more extensive network of cameras deter the 2005 subway bombings.  Boston's talented police commissioner, Edward Davis, put it best right after last Monday's events when he said that despite the city's extensive security preparations, little short of a "police state" could have stopped the attacks.  It is to Davis' great credit that as police commissioner he didn't want a police state.

This brings me to my third point.  Surveillance cameras, or other government surveillance technologies, have costs in civil liberties as well as in money.  Surveillance cameras like we already have in Boston are like having a police officer with perfect memory on every street corner.  It might be relatively easy to say that even more video cameras would amplify that effect while posing little threat to privacy.

But surveillance cameras are getting better, and it's now possible to pair them with facial recognition technology linked to state driver's license databases. When this technology matures, it'll give the police the power to monitor all of our movements in public linked to our real identities, not just to our anonymous faces.

Such a system would conceivably give the government increased power over us, power that could be used not just to monitor, but in some cases, potentially, to blackmail, persuade or discriminate.  Police on every corner might be one thing, but police who can instantly see your identity papers and constantly track you are another.  We might decide we want a limited version of this system, but we need to talk about these things now, before well-meaning local governments make the decision for us.

It might be difficult to hear, but we can't be perfectly safe all the time.  And part of living in a free and open society means that occasionally some people will abuse that freedom.  That's why we have a criminal justice system in which the police investigate crimes.  It's better to punish the people who abuse their freedom and harm others than to take everyone's liberties away and subject us all to the eye of the state.

Less privacy, less civil liberties.  Being constantly observed might make us feel slightly safer, but this would be only an illusion of safety.  History has shown repeatedly that broad government surveillance powers inevitably get abused, whether by the Gestapo, the Stasi, or our own FBI, which engaged in unlawful surveillance (and blackmail) of "dangerous" people like Martin Luther King Jr.

Last week's events gripped our attention because they were extraordinary.  Terror attacks, plane crashes, even school shootings stick in our head out of all proportion to the danger they pose to us as individual citizens precisely because they are extraordinary.

But remember the big picture.  How many people do you know who have been the victims of terrorism?  On the other hand, how many people do you know who have suffered from cancer, or obesity, or gun violence?  If we're interested in safety, public health and gun control are much more important issues than terrorism.  They, not surveillance, should be our safety priority.

We should honor last week's victims.  We should praise the Bostonians, police and private citizens, who helped find the culprits.  But we should also rest secure that our system of government is working.  We should reject, like Edward Davis did last week, any call to move further towards a police state.

@highlight

Neil Richards: After Boston terror attack, some call for more surveillance. That's a bad idea

@highlight

He says cameras helped ID suspects, but it was the police system that worked

@highlight

He says more cameras would be costly, could not stand in for humans

@highlight

Richards: Punish those who abuse freedom, hurt others; don't take liberties away