(CNN) -- Eight years after troops in Afghanistan were outfitted with new uniforms, the Army is shopping for a different camouflage for its fatigues and equipment.

The move to a different uniform comes after soldiers, many of them redeploying to Afghanistan, began voicing their criticism in the summer of 2009 of the "universal" camouflage pattern, introduced in 2004 and meant to be used in all types of battle environments.

"They were saying that they didn't think the color selection was very effective for the terrain in Afghanistan," says Col. Bill Cole, the project manager for Soldier Protection and Individual Equipment.  "Afghanistan's a really diverse country in geographical terms. There are lots of sandy desert areas, but it also has mountainous areas that you would see up in the Alps. It has green irrigated fields that look like Iowa in the summer. It's a very diverse environment and soldiers would often traverse these different areas in one patrol."

The one-size-fits-all approach of the universal pattern wasn't working.

Cole says the Army probably knew at the time that the universal pattern wouldn't be perfect for every environment, but didn't realize how much of a compromise it would have to make.

Out of the negative feedback came a congressional charge for the Army to find a pattern that was "suited to the environment of Afghanistan."

Testing began in 2009 and the Army Natick Soldier Research Development and Engineering Center (NSRDEC) found that the universal pattern ranked "in the bottom 10" compared to the four backgrounds it was tested against.

A different brand of camouflage called "MultiCam" ranked at the top in the testing, pushing the Army to quickly outfit soldiers with the new uniform pattern. Most soldiers in Afghanistan today are wearing the MultiCam pattern, which has more green and tan hues, according to Cole.

Despite the positive results of the MultiCam pattern, the Army thought it could do even better, Cole says.

The Army purchase, however, isn't about the latest design in camo fashion, but rather the color coordination and specific pattern placement manufactured by advanced science.

"The direction that we got from the secretary of the Army and the chief of staff of the Army was, 'Yes, answer the congressional direction, but take a more comprehensive look at the Army camouflage need to operate anywhere in the world,'" Cole says.

This time around, the Army is looking for a family of camouflage patterns that can be used across the globe -- one for the desert, another for a wilderness/jungle environment, and a third transitional variant for "places in the middle," Cole says. The patterns would be similar in design but different in color palettes.

One leading camouflage designer is hoping his bid to create the family of patterns will be the winning one.

When most people look at a military uniform, they probably see a bit of green here, some tan there and a splash of gray to finish it off -- basically, a mixture of colors with no obvious thought to placement or shape. But that perception couldn't be further from the reality of the science behind an advanced camouflage pattern.

Although most detail of what goes into making a successful camouflage pattern is proprietary, Guy Cramer says he uses a mathematical equation, or fractal, to trick the eye into thinking it is seeing something else.

"The brain will pick up shapes and it basically categorizes anything it sees," Cramer says. "It says that's a tree. I know what it is and ignore it. The brain does this in milliseconds. So we insert these fractal patterns into the camouflage so that the brain recognizes it and doesn't think what it's seeing is an anomaly. It basically sees the fractal as background noise. Something that belongs in the environment but doesn't need any extra attention."

But camouflage as a science wasn't always so evolved, having started only about 100 years ago.  Even during World War I, some units began the conflict in brightly colored uniforms, making them easy targets for the enemy.

"It started as naturalistic observation, looking at zebra stripes and leopard prints in the wild and trying to figure out what their purpose was," says Dr. Timothy O'Neill, a camouflage expert advising the Army on the technical aspects of their search. "Very gradually over the years the focus shifted in military camouflage to how the human visual system works."

Industry bids for the Army uniform project have been submitted and will be put to the test against current Defense Department camouflage patterns such as those already used by the Marines and the Navy.

Cole says that, after extensive testing, his office should be able to present Army leadership with a recommendation by September 2012.

Research is expected to cost less than $10 million and is covered under the existing budget, according to Cole.

But he could not estimate how much developing the new uniforms would cost, saying it would depend on how quickly the new uniforms were given out.

@highlight

"Universal" pattern is not conducive to the varied terrain of Afghanistan

@highlight

Army officials are looking for a family of patterns that can work in any environment

@highlight

Bids for the project have been submitted and will be put to the test

@highlight

A recommendation is expected by September 2012