Harlem, New York (CNN) -- At the heart of West Harlem, West Africa is buzzing.

Nestled inside one of the world's most diverse cities, over the years the thriving neighborhood of Harlem has become the hub of New York's African American community.

At the start of the 20th century, throngs of African Americans migrated from the southern United States into the big city, lured by the jobs and opportunities of urban life.

But in the last 30 years or so, another group of people decided to call Harlem home. Scores of immigrants from several francophone West African countries moved to the borough to start a new life. At the center of it all, a vibrant Senegalese community has created a new home away from home, adding their culture, fashion and tastes to Harlem's diverse mix.

Known as Little Senegal, or Le Petit Senegal, the strip of blocks around West 116th Street is packed with inviting restaurants and colorful shops, powerful reminders of life back in the homeland.

"We're the ones who built Harlem," says El Hadji Fey, vice president of the Senegalese Association of America. "When we got here, all the stores you see over here, it was absolutely nothing. We bought a lot of stores here, a lot of Senegalese businesses right here.

"We were scared in the beginning -- you know how Harlem was 20, 30 years ago. We're the ones who really made Harlem grow up. That's why a lot of people call here Little Senegal because we started making the community grow, we started making people grow."

Along this stretch of blocks, the taste of Senegal is everywhere -- from the tantalizing scents of fish and rice stews emanating from the traditional restaurants dotting the neighborhood, through to the lively Malcolm Shabazz Market, where stall vendors hawk their wares, to the numerous Senegalese-named clothes and haircare shops.

At "Africa Kine," which was one of the first Senegalese restaurants to open in Harlem, some two decades ago, homesick customers find comfort in flavors conjuring up memories of home. Others come here looking for fellow countrymen who can make their new city feel less strange.

Waitress Maritou Djigal says that "thiebou dienn," Senegal's national dish made of Jolof rice with fish, is the meal of choice in the Harlem eatery.

"Most of the time they [diners] say 'it reminds me of Senegal, it reminds me of my family,'" she explains.

Not far from Africa Kine, at the Red Rooster restaurant, chef Marcus Samuelson is busy checking orders. Samuelson, known for introducing African spices to Western dishes, is using the continent's culinary traditions to expose Africa to a wider audience.

"I look at Africa as a great source of information and inspiration," says Samuelson. "And that's how I come up with some of the great dishes here," he adds. "Harlem is a very special and unique community and it always reminds me of Africa and I feel the most at home here. I love it, it's a real community."

Although called Little Senegal, landmarks with great historical significance for native Africans and African Americans stretch along the Harlem neighborhood.

Neal Shoemaker, the energetic president of the Harlem Heritage Tours and Cultural Center, says that some of the most famous African American activists calling for civil rights in the mid-1950s and 1960s were active in the area.

"As you walk through this area here, it's like taking a cultural bath," says Shoemaker, who's been leading tours through Little Senegal for over a decade

"Malcolm X's presence is everywhere in this area," he adds, as he walks through the neighborhood. "That corner right there, on 115th street where the housing project exists, where I was born and raised, is one of the corners where he'd minister to the people and he would offer what he felt was the diagnosis to many of the social problems of the area.

"So when you walk through this area here, you're walking in the steps of many great civil rights leaders."

@highlight

New York's Harlem is home to a vibrant Senegalese community

@highlight

Known as Little Senegal, the area is filled with West African restaurants and shops

@highlight

Civil rights leaders of the 1960s, including Malcolm X, were active in the area