(CNN) -- The changing black and white MRI images resembled a Rorschach test. Somewhere in these patterns was the story of my pain.

I knew there was something wrong with my shoulders because it felt as if my arms were attached by rusty nails. Looking at the scans, the surgeon made it clear: I needed surgery in both shoulders. I couldn't accept this reality. These surgeries aren't just a giant setback for my career as an acrobat, they could pose a threat to my sobriety.

I am a recovering heroin addict who cannot take opiate painkillers.

I have witnessed many recovering addicts relapse after surgery. I've traveled this path myself after a few terrible root canals from another medical experience, and came crawling back to heroin. I've learned not to take any risks.

How can I wager my recovery on the scales of justice? On one side sits surgery with the possibility of relapse. On the other sits an injured body in pain. How could I bargain the one element that has given me a beautiful and free life?

Addict goes under the knife

My first fear revolves around the actual pain itself. Narcotic painkillers are the number one prescribed medication after surgery because painkillers kill pain. During my active addiction, I lived many years with the ability to eradicate pain at my own whim by simply pushing the end of a syringe. Now, in recovery, I must bow down and surrender to it.

Is there a difference between eradicating pain and pain management? Do all opiate addicts have to suffer through physical painful situations?

I've played this scenario out many times.

I am prescribed narcotic painkillers after surgery, while holding on to the absolute perspective that no matter what, after six years of sobriety, I WILL NOT RETURN TO THE MADNESS OF ADDICTION.

Depending on strength and dosage, I'm instructed to take one to two pills every four to six hours. It takes about 20 minutes to feel the effects of the first pill. Can 20 minutes destroy a lifetime achievement?

As the pill dissolves, the thought slowly waltzes in, as it did in my past. To the outsider, I would appear fine, maybe a little drowsy. But the imperceptible secret would live behind the thick fog of my thoughts. Nobody can see the addiction's contemplation: "This feels good. ... Oh God, I remember this."

As the disease melodically whispers -- as if six years of sobriety never passed -- I cling to the memories of my lifelong struggle with heroin and remember I'VE GOT TO STAY SOBER AT ALL COSTS!

The secret grows, traveling back to memories of my most powerful highs, wrapping its venomous arms into my mundane reality. "Joey, you are in pain. It's OK. It's too much pain. Maybe you should take two pills (as prescribed)," it says.

Two pills seems reasonable, but four to six hours is just too long because the pain seems to be returning quicker. Maybe an extra pill wouldn't hurt, I think, eventually cutting back the indicated time by an hour.

In the final stage of my imagined scenario, the addiction begins to caress my insecurities. Perfectionism is my great destructor. I'm terrified of making mistakes or being imperfect because I don't want to be judged or laughed at (like so many of us). Drugs quiet this enormous desire to be perfect. The power of these opiates temporarily relieves these stresses, and I find solace in the darkness once again. Now that the secret is alive and thriving, I go straight to heroin, as the most effective and seductive drug I've ever known.

Surgery and sobriety is a controversial topic, even among those in recovery. It's such a gray area because nobody really knows how to treat such a delicate situation. I think it would be helpful to combine Eastern and Western medicines, to find some concrete solutions to pain management. Medication in combination with techniques such as acupuncture or frequency specific aricular therapy. It's not only the recovering addict who is at risk, but others who can end up addicted to narcotic pain medication.

Many years ago, I was in rehab with another patient who was also being treated for opiate addiction. He had cancer and was in a lot of physical pain. One night he was crying, not because of the pain, but because the doctor had prescribed him Percocet.

I couldn't understand why he was upset. We were addicts: A constant flow of opiates is winning the devil's lottery. What more could anyone ask for?

In recovery, I understand his suffering. His situation is terrible because, like myself, he cannot stop once he begins. He is faced with the endless temptation of his addiction because his medication resembles his drug of choice, forever keeping his addiction alive.

If I am my own worst enemy, and my thoughts are the only voice I hear, what options do I have?

The opinions in this commentary are solely those of Joe Putignano.

@highlight

Joe Putignano is a recovering heroin addict who's been sober for six years

@highlight

Putignano fears relapsing after an upcoming shoulder surgery

@highlight

Surgery and sobriety is a controversial topic, even among those in recovery

@highlight

A combination of Eastern, Western approaches might help, Putignano says