(CNN) -- It's the most romantic of all settings for a grand slam.

Paris in the spring sees the sweeping boulevards and majestic parks of the French capital in full and glorious bloom.

Nestled in the chic 16th arrondissement near the Bois de Boulogne, Stade Roland Garros is much loved by spectators and players alike -- a perfect venue for the second major of the season.

But for some of the biggest names in tennis, its red clay courts meant only heartbreak and shattered dreams.

For them it's the slam that got away. The one missing piece of the jigsaw in an otherwise perfect career.

Only seven men in history have achieved the feat of winning all four of the grand slams: Wimbledon, and the United States, Australian and French Opens.

Fred Perry was the first, back in the 1930s, while in recent years Andre Agassi, Roger Federer and Rafael Nadal have joined the exclusive club.

Agonizingly short

Pete Sampras, Boris Becker and Stefan Edberg, however, were left agonizingly short of the career sweep -- and all three missed out because of their inability to excel on the slower surface at the French.

Until Federer broke his record, Sampras was the all-time leader with 14 grand slam titles, including seven on the grass at Wimbledon.

"Pistol Pete" usually blew away the opposition with his trademark big serve and volley game -- but unfortunately at the French Open he had feet of clay and often exited in the early rounds.

A semifinal appearance in 1996 was the closest he came to lifting the title, being beaten in straight sets by the eventual winner Yeygeny Kafelnikov of Russia.

Looking back on his career, the 41-year-old American still has a nagging regret that he could not adapt his formidable talents to clay court play.

"I could have worked a little harder," he told CNN's Open Court show. "I mean I worked hard but you always look back at your career and feel I should have done."

Stubborn Sampras

Legendary tennis journalist and broadcaster Bud Collins told CNN that the match against Kafelnikov summed up Sampras' problems on clay.

"He was playing really well against him then reverted to his old serve and volley type and his chance was gone.

"He was stubborn about it. He was going to be Pete Sampras and it didn't work out."

Of the three, it was Edberg who came closest to adding the Coupe des Mousquetaires trophy to his impressive haul.

"I think we all tried to win the French Open and we all tried to prepare the best way we could," the 47-year-old told CNN.

In the 1989 final he faced a 17-year-old Michael Chang and was heavy favorite, despite the American teenager's incredible heroics en route to the title match.

Edberg led by two sets to one and looked set to end Chang's fairytale, but could not finish it off.

"It was a match that maybe I should have won, I was in the lead but somehow he got out of the grip and he won in five sets," he recalls.

Edberg denied

Chang became the youngest grand slam winner in history, but Edberg did not begrudge him his moment of triumph -- the Swede believed he would have other opportunities to win in Paris.

"At the time I thought I played a great tournament and I thought I would get another chance to win it, but I never really got another chance after that," he added with some regret.

Collins believes the six-time grand slam winner was just unfortunate to have run into an inspired opponent. "Edberg had a good shot, but it was just Chang's tournament."

Edberg enjoyed his greatest triumphs at Wimbledon -- where he was twice champion and once a losing finalist -- and maybe a clue to his French Open failures lay in his underlying attitude to the clay-court grand slam.

"I knew that I wasn't going to get my best results on the clay, but at the same time I saw it as a preparation for Wimbledon as well," he said.

"The more matches I could play on the clay and get ready physically, you know the easier it was on the grass."

In that respect he was similar to Becker, with whom he enjoyed a titanic rivalry at Wimbledon, meeting in three straight finals.

Becker's disappointment

But Becker's style of play was even more unsuited to clay-court perfection, which requires patience and skill and long baseline rallies.

Nicknamed "Boom Boom" because of his massive service and crunching ground strokes, he just could not adapt -- despite having grown up playing on clay courts.

"Clay was difficult because it was against my personality," he admitted. "On clay you win by making less mistakes, on any other surface you win by making more winners.

"I am not a guy that waits for the opponent to miss. So psychologically it was always difficult for me to play on clay."

But despite his perceived disadvantages, it was not for want of trying to claim his place in tennis history.

"Trust me, I tried everything to win.

"I reached finals, semifinals of big clay-court tournaments and the semifinals of the French three times but I wasn't good enough," he told CNN.

Those three appearances in 1987, 1989 -- losing in five to Edberg -- and 1991 all ended in disappointment.

"I lost to Mats Wilander, who was better than me on clay, I lost to an Agassi who was better than me," he admitted.

"It was just about the quality of play, and my quality of play wasn't good enough to win a major on clay."

Never suited

Becker also won six grand slams in total -- three at Wimbledon, two in Australia and the U.S. Open on his only final appearance -- plus four end-of-season ATP World Championship crowns.

Despite his French Open misses, the German superstar refuses to be downbeat about his efforts on the red dirt.

"I can't complain," he said. "Wilander, Agassi and Lendl were better. It wasn't unlucky. They were better."

Collins agrees. "Boris was just Boris, going to the net, diving around everywhere. I think he felt he was going to make it, but never did."

Edberg, who was also brought up on clay courts in his formative years and swept all the grand slam titles for junior players in 1983, was in Collins' opinion the best suited of the three to sample success in Paris.

But his serve and volley tactics could only work to a point as baseliners adapted to his style of play, particularly in the latter stages of the tournament.

"Some players hated playing against me on the clay, but the difficult thing with winning on clay was playing well for two weeks," Edberg said.

"You know I could win the tournament for one week, but I think playing serve and volley for two weeks, that was the tough part of it to play really well for two weeks on the clay and that's what you need at the French Open."

Mac regret

Other tennis legends have also come between a rock and a hard place on the unforgiving clay -- none more so than John McEnroe, who has often expressed his regret at not adding the French Open title to his seven other slams.

In 1984 he was on a 43-game winning streak and having reached the final was slicing and dicing Lendl in clinical style in the French title match.

Two sets up in under an hour, a disputed line call disrupted his concentration and Lendl eventually wrapped up a five-set win.

McEnroe's American arch rival Jimmy Connors was also stuck one short of the grand slam sweep by virtue of failing to win the French Open. And Arthur Ashe, who famously upset Connors to win the 1975 Wimbledon crown, was another to fall short on a surface he found difficult.

It seems some greats are destined never to taste the warm glow of success in Paris and current world No.1 Novak Djokovic just needs a French title to complete his career grand slam.

Djokovic's goal

"The King of Clay" Nadal denied him in last year's final and also prevented the Serbian taking his place in the record books this year with a five-set victory in Friday's semifinals.

Federer claimed his sole French crown in 2009 after Nadal lost his only match in eight years in Paris in the fourth round to Robin Soderling, and the Swiss maestro will be grateful he seized his opportunity to complete his grand slam set.

Collins, now 83, believes Australian great Ken Rosewall is the greatest player he has seen on clay at the French Open. "I'm a guy who goes overboard for Rosewall but realize (Bjorn) Borg and Nadal would be tough to beat."

Rosewall, however, is also in the group of legends who ended stuck one short of a career grand slam. In his case he never won Wimbledon, despite reaching the final four times -- the last as a 39-year-old veteran, but losing to Connors in 1974.

@highlight

Grand slam in tennis consists of Wimbledon, French, U.S. and Australian Opens

@highlight

Only seven men have completed a career grand slam in singles

@highlight

Pete Sampras, Boris Becker and Stefan Edberg all won three of the slams

@highlight

Each missed out on the career grand slam by failing to win French Open