Washington (CNN) -- He was talking about health care, but President Obama could have just as easily been summing up his entire first year when he made some blunt comments in a closed-door meeting with House Democrats last week.

Democratic sources who were in the room say Obama, pressed by liberals angry about the reform package getting watered down, decided to quote Sen. Tom Harkin, D-Iowa, who said recently: "What we're building here is not a mansion, it's a starter home. It's a starter home, but it's got a great foundation for expanding health care coverage to 31 million Americans."

Obama's point was that he believes the health bill -- if it can pass (and that's in real doubt now) -- would be a dramatic step forward but is just the first draft. He hopes to come back later in his presidency to pass a second reform package that finishes the job.

The same goes for other big Obama promises like energy reform to deal with climate change and financial regulatory reform to clean up Wall Street -- "mansions" that have not been built yet, even though a strong "foundation" has been put down to meet these promises in the future.

But Republican Scott Brown's stunning victory in Massachusetts on Tuesday suggests Obama may not even get the first draft of health care reform through Congress, because of a huge split in his own party: Angry liberals in the House are signaling they will not rush through what they consider to be the Senate's weak version of reform before Brown gets seated in the Senate, while skittish conservative Democrats in the Senate, like Ben Nelson of Nebraska, may no longer be on board with any kind of reform, out of a fear of becoming the next Martha Coakley.

The broader problem Obama has been facing, even before Massachusetts, is that securing a mere "starter home" on health care or any other major issue is a far cry from the sky-high expectations he set for his supporters one year ago, when they were shouting "Yes We Can!" after a campaign in which he laid out plans for dramatic change. To be fair, the president warned in his inaugural address, one year ago Wednesday, that all of the nation's problems would not be solved so quickly. "They are serious, and they are many," he said then. "They will not be met easily or in a short span of time."

Nevertheless, most Americans skipped past that section of the speech, and focused instead on Obama's promise to end the bitter partisan divide in Washington on the way to shaking up the system. That goodwill from the early days evaporated quickly, and the president's approval ratings have dipped as disappointment has grown among the very independent voters who helped elect him in 2008. That's why he very deliberately tried to recalibrate expectations at a Washington church this Sunday as he delivered remarks celebrating the birthday of the Rev. Martin Luther King Jr.

"There was a hope shared by many that life would be better from the moment that I swore that oath," Obama said. "Of course, as we meet here today, one year later, we know the promise of that moment has not yet been fully fulfilled. Because of an era of greed and irresponsibility that sowed the seeds of its own demise, because of persistent economic troubles unaddressed through the generations, because of a banking crisis that brought the financial system to the brink of catastrophe, we are being tested -- in our own lives and as a nation -- as few have been tested before."

Poll: 51 percent approve of Obama after first year

Channeling the outrage that fueled Brown's upset victory in Massachusetts, House Republican Whip Eric Cantor of Virginia said the reason for the disconnect is that the president dropped the talk of unity too quickly and instead "forged ahead with a narrow ideological agenda that has compromised his ability to create sustainable jobs and thereby fix our nation's most pressing problems."

In an op-ed on the new conservative Web site Daily Caller, Cantor charged his party has offered to work with the president but he has "paid our proposals mere lip service when the cameras are on, only to rebuff our ideas in their entirety once the meeting ends. As a result, the history books may well look back on the beginning of the Obama presidency as the era of squandered opportunities."

White House press secretary Robert Gibbs insists Republicans have not made serious overtures to meet the president halfway, perhaps hoping instead that Obama's struggles will help the GOP in the November midterm elections. And Gibbs says the real reason for Obama's problems stems from the fact that he made some tough decisions on unpopular -- but necessary -- government interventions to save the economy.

"Ensuring that the banks didn't collapse was not a popular decision," Gibbs said. "The president strongly believes it was the right one. Ensuring that two domestic auto companies didn't go out of business -- not popular. Again, the president believed it was the right decision to make."

Obama also frequently reminds the public that in addition to inheriting that financial crisis, he was also handed two unpopular wars, in Iraq and Afghanistan, and a continuing threat from al Qaeda, that have tested his mettle as commander in chief. All of that has weighed on Obama's approval rating, especially the difficult decision to send more than 50,000 additional U.S. troops to escalate the war in Afghanistan. The terror incident on Christmas Day was a fresh reminder that national security is a wild card for any president.

As each day in office passes, it will become harder and harder for Obama to continue pointing the finger of blame at former President George W. Bush for all of the "inherited" problems. And in a strange way, Tuesday's election loss could help Obama refocus his agenda at the start of year two. A top Democratic strategist close to the White House said that it's a lot better for the White House to take its lumps now and readjust priorities in the weeks ahead to avoid much larger losses in the midterm election -- rather than coasting along now and then getting hit with an awful surprise in November.

But will Obama and his top aides dig in and refuse to move to the middle a bit? Or will they acknowledge that Massachusetts is a wake-up call, as Indiana Sen. Evan Bayh and other moderate Democrats have suggested, and make some adjustments? Then-President Clinton was briefly humiliated by the 1994 midterm election debacle caused in large part by his overreaching health care effort, but he quickly picked himself up off the canvas and started focusing on bite-sized initiatives that won Republican support and positioned him for an easy re-election victory in 1996.

Ron Pollack, head of the liberal health group Families USA, is pushing Obama to finish off health reform quickly before Democrats lose their 60-vote supermajority in the Senate. But Pollack also said he thinks on some of the other big issues after health reform, like climate change and Wall Street regulatory reform, "they will have to get some Republican" lawmakers on board, and the new political reality may force some compromise on both sides.

But Pollack added that it's "way premature" to suggest the Massachusetts race will bring a major shift to the political climate. He's still confident that as the unemployment picture improves down the road, "people will see the good in Obama's policies" on health and other matters, and his standing will improve.

Of course, there's also the possibility the public mood continues to sour on the economy and Obama's other key initiatives like health care. Brown seemed to be warning in his victory speech Tuesday night that the anti-incumbent anger Obama rode into office could wind up blowing up in his face in November.

"What happened here in Massachusetts can happen all over America," Brown said to cheers.

In fact, when Brown talked about scrapping the health reform effort and starting over because "we can do better," the Republican crowd started a chant that had to send a tiny shiver down the spine of even the most confident White House staffer.

"Yes we can!" Brown's supporters shouted. "Yes we can!"

@highlight

Obama stresses building foundation for future steps toward his agenda

@highlight

Republican win in Massachusetts could create split among Democrats

@highlight

Obama also faces gap between high hopes at his inauguration and reality now

@highlight

One expert says it's better for White House to take its lumps now, before midterm elections