(CNN) -- Like giddy teenagers, Republican activists have fallen for another charming, personable and accomplished black conservative. Dr. Ben Carson is the newest object of their crush, which was born of a desperate need to attract more black men and women as high-profile standard-bearers.

You can't blame Republican loyalists for swooning over the doc, a renowned surgeon who rose from poverty to head pediatric neurosurgery at Baltimore's famed Johns Hopkins Hospital. If wooing voters of color were simply a matter of finding an attractive black face with an inspiring personal story and an impressive resume, Carson would be hard to beat.

But black voters tend to be more discerning than that. They have shown an unerring instinct for rejecting condescension and dismissing tokenism. There are many black Americans who admire Carson for his professional accomplishments (I'm one of them), but that admiration is unlikely to translate into votes.

One of the reasons is that Carson doesn't seem to know black Americans' political values very well. In his most recent book -- a political tract called "America the Beautiful: Rediscovering What Made This Nation Great" -- he writes: "Many African-Americans voted for Obama simply because he was a black man and not because they resonated philosophically with his policies." In fact, black voters have been increasingly allied with the Democratic Party since the 1960s when Lyndon Johnson pushed through significant civil rights legislation. Al Gore received about 95% of the black vote in 2000, John Kerry about 93% in 2004.

Moreover, Carson seems to have adopted the view, popular among so many ultra-conservatives, that the Democratic Party appeals to voters who shun the work ethic.

Talking to The New York Times recently about his conservative views, Carson described himself as a "flaming liberal" in college who later became disaffected with the Democratic Party. "One thing I always believed strongly in was personal responsibility and hard work," he said. "I found the Democrat Party leaving me behind on that particular issue."

That notion -- fallacious though it is -- is at least as popular among black conservatives as among white ones. I've been hearing it from black Republicans for at least two decades. Several years ago, I interviewed a black conservative running a doomed campaign for a suburban Atlanta congressional district. She had no prior political experience, no policies to advance, no program to sell. Her platform consisted of her belief in hard work, which she contrasted, at least implicitly, with black Democrats' supposed preference for sloth.

That view is as puzzling as it is infuriating. It may charm those white conservatives who hold stereotypical views of black Americans, but it bears little resemblance to the realities that inform their choices at the ballot box.

In his memoir, "Gifted Hands," and in his motivational speeches, Carson talks about his impoverished childhood and his remarkable semiliterate mother. Married at 13 only to later divorce her philandering husband, she enforced high academic standards for Carson and his brother while working two or three jobs as a maid or nanny -- and battling debilitating depression.

Carson eventually got into Yale and became, at 33, the youngest person to head a department at Johns Hopkins Hospital. He is famous for separating conjoined twins.

That's a compelling and powerful tale. But it differs from those of other hardworking black people I know only in the degree of success that Carson attained as a result, not in the measures of ambition, industriousness, discipline and self-respect his mother instilled in her children.

Yet black Americans know better than to believe those traits are enough to guarantee success. History taught us better. Just look back over the last decade and a half. In 2000, according to the U.S. census, less than a quarter of black Americans -- 22.5% -- lived in poverty. By 2010, that number had risen to 27.4%. Was there a sudden outbreak of indolence among black folk over that period? Or were there outside forces that conspired to knock them back down the economic ladder?

As long as the Republican Party refuses to acknowledge that, it will have little to offer workers of color -- and declining appeal to younger whites. They, too, understand the limits of self-reliance.

To be helpful to the GOP, Carson would have to remind them of the caprice of capitalism and the generational reach of racism's barriers. Instead, he sounds like the standard-issue Ayn Rand acolyte, no different from Mitt Romney or Paul Ryan. He opposes the Patient Protection and Affordable Care Act and supports a flat tax. For good measure, he's also a religious conservative who disputes evolution.

It's no wonder that conservatives have started to trumpet him as their Great Black Hope. Psychologists believe that romantic interest increases when people mirror each other's gestures. Carson perfectly reflects the beliefs of his suitors.

Still, this romance is unlikely to blossom into a long-lasting love affair. There are too many misunderstandings, too many unspoken expectations, too many half-baked assumptions. And some of those half-based assumptions are Carson's.

The opinions expressed in this commentary are solely those of Cynthia Tucker.

@highlight

Cynthia Tucker: Republicans are desperate for more high-profile black candidates

@highlight

She says they have swooned over Ben Carson, a renowned surgeon who rose from poverty

@highlight

Carson has a great life story but puts too much faith in the power of self-reliance, she says

@highlight

Tucker: Many Americans realize that outside forces also determine success or failure