Washington (CNN) -- West Virginia Sen. Robert Byrd, the self-educated son of a coal miner who became the longest-serving member of Congress, died early Monday at age 92, the senator's office said.

Byrd, a nine-term Democrat, was known as a master of the chamber's often-arcane rules and as the self-proclaimed "champion of the Constitution," a jealous guardian of congressional power.

His speeches were laced with references to poetry and the Greek and Roman classics, often punctuated by the brandishing of his pocket copy of the national charter.

He was also known as the "King of Pork," using top positions on the Senate Appropriations Committee to steer federal spending to his home state -- one of the nation's poorest.

Byrd relished the title.

"Pork, to the critic, is service to the people who enjoy some of the good things in life, and I've been happy to bring to West Virginia the projects to which they refer. I have no apology for it," he said.

"When I am dead and am opened they will find West Virginia written on my heart."

He was an outspoken opponent of the war in Iraq, calling his 2002 vote against a "blind and improvident" authorization of military action the proudest moment of his career.

West Virginia Gov. Joe Manchin -- a Democrat -- has the power to appoint a replacement for Byrd, whose current term is set to expire in 2013.

When Byrd entered Congress in January 1953, a postage stamp cost 3 cents and American kids were clamoring for a new toy called Mr. Potato Head. Harry Truman was president, Winston Churchill was Britain's prime minister, and Josef Stalin was still the Soviet Union's leader.

In November 2009, two days before his 92nd birthday, Byrd passed Arizona Democrat Carl Hayden's record to become the longest-serving member of Congress.

His health problems mounted in his later years, putting him in the hospital four times between February 2008 and September 2009.

Under pressure from fellow Democrats, he announced he would step down as chairman of the Senate Appropriations Committee after the 2008 elections.

"I have been privileged to be a member of the Senate Appropriations Committee for 50 years and to have chaired the committee for 10 years, during a time of enormous change in our great country, both culturally and politically," he wrote in a statement announcing his intention.

"A new day has dawned in Washington, and that is a good thing. For my part, I believe that it is time for a new day at the top of the Senate Appropriations Committee."

Robert Carlyle Byrd was born Cornelius Calvin Sale Jr. on November 20, 1917, in the North Carolina town of North Wilkesboro. His mother died when he was a year old, and he was adopted and renamed by his aunt and uncle, Titus and Vlurma Byrd.

He started his political career by running for the state House of Delegates in 1946, while working as a butcher and welder. He won a seat in the U.S. House of Representatives six years later, was elected to his first Senate term in 1958, and won his ninth in 2006, three weeks shy of his 89th birthday.

"If it's the Lord's will, the people will send me there. Why? This Constitution needs a champion," he said before the 2006 vote.

As the senior senator of the majority party, Byrd served as the Senate's president pro tempore -- third in line of presidential succession, behind the vice president and speaker of the House.

While he set two endurance records in Congress, he was only proud of one in the end. The other was for his 1964 filibuster against the Civil Rights Act, when he spoke for 14 hours and 13 minutes in an effort to derail the law.

He opposed civil rights when he first ran for office, a stance he came to regret later in life. He blamed "that Southern atmosphere in which I grew up, with all of its prejudices and its feelings," for his opposition to equal rights, which included joining the Ku Klux Klan in the 1940s.

He called the move "the greatest mistake of my life," an "albatross" that would always shadow his career.

"It's a lesson to the young people of today, that once a major mistake has been made in one's life," he said, "it will always be there, and it will be in my obituary."

Byrd was married to his childhood sweetheart, the former Erma James, for nearly 69 years before her death in 2006. They had two daughters.

"I have met queens and the wives of shahs and great women from all over the world, (but) to me now, this was the greatest woman I ever met in this world," he said.

He did not complete a college degree until 1963, when he earned a law degree from American University in Washington after taking night classes -- the only time a member of Congress has earned a law degree while holding office. He also received a political science degree from West Virginia's Marshall University in 1994, at age 76.

He rose through the Senate's Democratic ranks in the 1960s, and became the chamber's majority leader in 1977. He kept the party leadership when Republicans won back the Senate in 1980, serving as minority leader for six years, then spent two more years as majority leader after the 1986 elections.

In 1989, he became chairman of the powerful Senate Appropriations Committee -- one of the most influential posts in Congress, with extensive control over the federal government's purse strings.

Years later, Byrd explained to CNN the power of that unique position.

"In the forest there is a water hole," he said. "All the animals have to come to that water hole sooner or later. The Appropriations Committee is a water hole."

He spent the rest of his career as the panel's chairman or ranking Democrat, steering an estimated $3 billion in federal projects to West Virginia since 1991, according to the watchdog group Citizens Against Government Waste.

Byrd said he was looking out for the interests of his Appalachian constituents, nearly 20 percent of whom live below the federal poverty line.

"My memory is as good as it ever was, and it's stock full of recollections about the poor people of West Virginia, how they were laughed at," he told CNN in 2006.

But in the same interview, Byrd said it was his October 2002 vote against the resolution that gave President George Bush the authority to launch the invasion of Iraq "of which I am most proud."

He was one of 23 senators to oppose the authorization, warning that Congress was abdicating its constitutional power to declare war by giving the president what amounted to a blank check.

"We are rushing into war without fully discussing why, without thoroughly considering the consequences, or without making any attempt to explore what steps we might take to avert conflict," he said.

Four months later, with an American-led army poised to move across the frontier and U.N. weapons inspectors reporting no sign of Iraq's suspected weapons programs, Byrd returned to the Senate floor to condemn a "hauntingly silent" chamber.

Four years after casting that vote, he called the invasion "the blunder of the age."

Though he promised to support U.S. troops "to the last breath, the last dollar," he told CNN that he and other opponents of the war had been right.

"History will prove it was wrong to invade another country without provocation. That is wrong. That was wrong then, and it would be wrong 50 years from today," he said.

CNN's Dana Bash, Mike Roselli and Candy Crowley contributed to this report.

@highlight

NEW: Byrd: "When I am dead ... they will find West Virginia written on my heart"

@highlight

Byrd was a nine-term Democrat

@highlight

Known as the "King of Pork" for steering federal funding to his home state

@highlight

Said his greatest mistake was his 14-hour filibuster of 1964 Civil Rights Act