(CNN) -- As the toll of international sanctions on Iran continues to mount, Iran's new President Hassan Rouhani has signaled his government's interest in addressing the world's concerns over his nation's nuclear program, and easing the pain on the Iranian economy. Rouhani's recent statements, tweets and appointments have underscored a possible willingness to resolve the nuclear problem. He told NBC News Wednesday that Iran will never develop nuclear weapons.

At the United Nations General Assembly meeting in New York next week, Rouhani is expected to affirm his interest in resolving the issue.

In another positive step, President Barack Obama and Rouhani have exchanged lettersâ€”the first direct communication at this level between the two countries in many, many years. Explaining that this does not yet mean there is a breakthrough, President Obama indicated that he expects negotiations to be difficult and take time.

"Negotiations with the Iranians is always difficult," Obama said to George Stephanopoulos on Sunday. "I think this new president is not going to suddenly make it easy."

Indeed, there is little reason to necessarily believe that everything has suddenly changed for the better. After years of intransigence, many wonder whether Iranian Supreme Leader Ali Khamenei, who holds overwhelming authority, is ready to make honest concessions.

Furthermore, it's not yet clear whether Iran understands that a mere change in rhetoric won't mean automatic sanctions relief. In fact, only its concrete actions to resolve the nuclear questions will lead to a meaningful relief of sanctions. And when they come, those actions may initially be incremental, negotiated to test the willingness of both sides to take confidence-building actions that will lead to more comprehensive progress.

The United States should not dismiss Iran's rhetoric and its apparent litmus testing as insignificant. Though a deal will be difficult, as many negotiations are, it's not impossible to reach an agreement if Iran is willing to take the steps necessary. That, of course, is still a big "if."

It's no secret among diplomats and experts what a final deal will probably look like: Iran will retain a small level of enrichment capability under a very strict regimen of inspections by the International Atomic Energy Agency, which will also have ready access. So far, such a deal has never been in reach; the United States and its diplomatic partners still have a long way to go. Because of this, some would rather continue to fight for complete Iranian capitulation and zero ability to conduct nuclear activities of any sort, a result that does not allow the Iranian regime a chance to "save face."

This "all-or-nothing" outcome is simply not realistically attainable by means short of a major military intervention. As a result, the United States should be exhausting all diplomatic opportunities to reach an agreement that best preserves its security and the security of the region, while allowing the Iranians a chance to reach a settlement they can live with.

Congress has an important role in this delicate moment. Though the United States should remain skeptical of Iranian intentions, it should not turn down an opportunity that may be presenting itself. One of its biggest bargaining chips is the congressional sanctions, the presence of which, at this point, could be misinterpreted as an unwillingness to support a diplomatic solution.

Congress needs to be flexible in its approach and refrain at this time from tacking on additional sanctions or authorizing military force if it is serious about giving diplomacy the room it needs to operate and not missing a possible opening.

Ultimately, it won't be easy to resolve a decade's worth of issues over Iran's drive for a nuclear capability. But there is also no better time to put the Iranians to the test and see if they are truly willing to play ball and match their actions to their rhetoric on the diplomatic scene.

The opinions expressed in this commentary are solely those of Terri S. Lodge and Matthew Wallin.

@highlight

Terri Lodge, Matthew Wallin: Iran president Rouhani shows signs of wanting to resolve nuke issue

@highlight

They say UN General Assembly this month will offer chance to affirm this. Do his words matter?

@highlight

They say Iran, U.S. both testing. U.S. will want concrete actions before easing sanctions

@highlight

Writers: Congress must be flexible and be willing on diplomatic solution