Washington (CNN) -- Religion is a growing factor in world affairs, but the U.S. government tends to view it through the lens of counterterrorism. That's the conclusion of a two-year study by the Chicago Council on Global Affairs.

The success of American diplomacy in the next decade "will be measured by its ability to connect with the hundreds of millions of people throughout the world whose identity is defined by religion," the report says.

"The challenge before us is to marginalize religious extremists, not religion," it concludes.

The report, "Engaging Religious Communities Abroad: A New Imperative for U.S. Foreign Policy," finds the key challenge for America internationally is to "understand the role of religion in world affairs and to constructively engage with religious communities around the world."

The report, presented to the White House this week, was written by task force of 32 experts, including former government officials, religious leaders, heads of international organizations and scholars.

Religious communities, they point out, are central players in major developments around the world: the war in Afghanistan, the promotion of human rights, environmental policy and the pursuit of peace.

"Well-organized and well-funded extremist groups also use religion," they say, "to deepen existing cultural and political fault lines and justify militancy and terrorism."

"Religion has played a negative role in U.S. foreign policy in the past, especially in relations with the Muslim world," notes Thomas Wright, executive director of studies for the Chicago Council on Global Affairs and the report's project director.

The strategy of engaging religious communities is not trying to circumvent the First Amendment, observed Wright.

"The separation of church and state is vital and must be preserved in foreign as well as domestic policy," Wright said.

But citing President Obama's Cairo speech to the Muslim world in June 2009, Wright said "the United States has greatly improved its capacity to understand religious dynamics in world affairs."

The report notes the speech "set the stage for a new departure in U.S. foreign policy toward Muslim communities" but "the scope must be much broader."

"Engaging Islam is only one very crucial component of a larger challenge ... engaging the multitude of religious communities across the world as an integral part of our foreign policy."

Without "more serious and thoughtful engagement" with religion, the report says, "U.S. foreign policy will miss important opportunities."

@highlight

Chicago Council on Global Affairs issues two-year study on religion, foreign policy

@highlight

Report: U.S. government tends to view religion through the lens of counterterrorism

@highlight

It says major challenge for U.S. is to understand powerful role of religion in other societies

@highlight

Report specifically points out negative relations with the Muslim world