(CNN) -- One day after Thanksgiving last year, my mother, brother, cousin and I gathered in my 87-year-old grandmother's room at the nursing home. We knew it would be one of the last times we would see her alive. She knew it, too.

"I don't know when, I don't know how, I don't know why," my grandmother Mary said that day. "But I know one thing. God is going to take me home. He's going to take me home."

Home is comfortable: warm like a hug and familiar like the smell of my grandmother's seasoned greens. But so often the ease of intimacy slips into taking our loved ones for granted.

It's what crossed my mind as I listened to her that day. What didn't I know about her life? What had I not said? How much of this moment would I remember?

Grandmother Mary had not been able to sit at the Thanksgiving table that year, confined to a bed as she recovered after a medical procedure. We visited her on Thanksgiving and afterward to bring home to her.

Two months later, she was dead.

We knew that she knew how much we loved her. We made sure of it. But there is still the absence of an everyday presence that requires adjusting -- slippers found that bring back a story and smile, a song or smell that triggers a forgotten memory.

For decades, our family had incorporated a friendly inquisition into our Thanksgiving gatherings, much to the amusement of guests. Friends, neighbors and travelers joined us, an ever-changing mosaic of characters.

But a few traditions stayed the same.

There would be an element of service -- volunteering at a soup kitchen, preparing meals to share, hosting those without homes, a visit to the less fortunate.

And of course, delectable, savory food: sweet potato pie, yummy stuffing paired with cranberry sauce, gooey macaroni and cheese, luscious candied yams, soupy greens and warm, buttered rolls.

I loved it all.

But my favorite part of the meal had less to do with what we put in our mouths and more with what came out of them.

We are a communicative family, but Thanksgiving always provided a special time to vocalize for what, and for whom we were grateful, and why. Around the table we went, naming the people, places and opportunities that we appreciated that year.

It was an exercise in acknowledgment -- and patience. The lists could be long.

My grandmother often had the longest list. She had a lot to be grateful for, and this year, these rituals will take on even more meaning as we hope to honor her life, and each other.

Giving thanks

We start the meal with a prayer of gratitude for blessings past and present. The affirmation sets the stage for the appreciation of what we have, where we are and who helped us get there.

Tell loved ones why you love them

It's often taken for granted that those closest to us know that we love them. But it is always nice to be reminded why. No matter how old we are, my parents still get excited when their children return for a visit. We kids like to roll our eyes, and sure, it can be a little embarrassing, but we love it. To have accepting parents that are demonstrative of their love -- no matter their shortcomings -- never gets old.

Let loved ones get to know you

What's great about family is that they know you. What's frustrating about family is that they assume they know everything about you. It is the inevitable tension that comes with being known but still yearning to be discovered.

In the past few years, our family added a new question to the Thanksgiving discussion: What's on your bucket list?

My very grounded and sensible brother surprised us all when he shared that he wanted to skydive.

Another mentioned a dream to write books, though they had worked in social work their entire life.

The lovely surprise about this question is the novel things learned about those that are familiar: an opportunity to get to know who we think we know best all over again.

Share how you want to be remembered

After the loss of our grandmother, this ritual will resonate even more this year: we share how we would like to be remembered.

Perhaps because how we perceive ourselves can be different than how others do, this tends to be the most revealing and a window to how we might experience one another.

"Where we aim isn't where we always hit," my mother likes to say. Thus, those "encouraging" reminders may be taken as nagging. "Keeping it real" truth-telling can be experienced as criticism. Displays of affection can be seen as smothering. When all along, it might be that the intention was in the right place and simply misinterpreted.

When we are gone, loved ones can only relive encounters with us via their memories. It can be hard to put into words, but sharing how you want to be remembered -- and living it -- is a gift to loved ones in the time we have together now.

How would you like to be remembered?

"As a family man," my dad shared.

Family, dear friends and cherished memories are what I will be remembering at Thanksgiving this year -- and what I hope to not soon forget.

@highlight

The loss of a grandmother led to reflection on family and gratitude, Alicia Stewart writes

@highlight

Thanksgiving can be a time to honor family with new rituals

@highlight

Appreciate loved ones and share with them your love while they are alive, the author says