LONDON, England (CNN)  -- A glimpse of something shiny on the ocean floor nine years ago led a Welsh diver to uncover a piece of local history that had been forgotten for more than a century.

The silver pocket watch was found off the Pembrokeshire coast in Wales.

Diver Rich Hughes was exploring a shallow shipwreck off the Pembrokeshire coast in April 2000 when he noticed the object embedded in sediment. He thought at first that he had found a coin, but he found it was actually an intact silver pocket watch, still bearing the inscription of its owner.

Hughes said he was determined to trace the history of the watch, believing such a prized object deserved to belong to family members or a local museum. But that led Hughes on a nine-year search with lots of dead ends and few leads.

Now, months after enlisting the help of a local researcher, Hughes has finally tracked down a family member and will be presenting the watch to him next week.

"I'm very happy and satisfied that we found out who he was," Hughes told CNN by phone Wednesday. "It sort of brings the story to a close. It's quite rewarding that it hasn't just sat in the back of somebody's garage."

The watch inscription reads "Richard Prichard, Abersoch, North Wales, 1866." That was the only information Hughes had to go on for most of the past nine years; even the name of Prichard's ship was a mystery at the time.

Over the years, Hughes searched records in person and online, contacting everyone from county records offices to Lloyd's of London. Nothing turned up any information about Richard Prichard.

"It becomes a bit of a bug, really," Hughes said. "It's hard to describe. If you find something like that -- it's a very personal item, and one of my biggest bugbears is if somebody pulls something off a shipwreck and it just sits in the back of their garage.

"It's just a lost opportunity and it's tragic when that happens, that history is just put in a corner," Hughes said. "You're obligated to find something out about it. It's your duty to do it."

Earlier this year, out of frustration, Hughes said he turned his attention again to the place name inscribed on the pocket watch, Abersoch, a coastal town in north Wales.

"I just kept doing searches on Google to find out whether any historical societies at all had any information on it," he said.

That led Hughes to a couple that runs the Web site for a nearby village, Rhiw, and they put Hughes in touch with researcher and historian David Roberts.

Roberts searched the graveyards of local churches and found two references to Richard Prichard. He also found a reference to Prichard on the Welsh Mariners' Web site, showing that Prichard was captain of an iron-clad barque called the Barbara.

The pocket watch was probably a gift to Prichard when he was promoted to mate in 1866, from his fellow sailors or his parents.

Prichard became captain of the ship and died in 1881 while the Barbara was en route to Rangoon, which is modern-day Yangon, in Myanmar. He was buried at sea.

The watch was lost on the Barbara's return trip to Wales with a cargo of rice later that year. Roberts believes the man who took over from Prichard, Captain Jones, was probably bringing the watch home in order to present it to Prichard's widow.

Jones probably intended to sail through St. George's Channel, between Ireland and Wales, on his way to Liverpool, Hughes said. But on a dark November night, in driving rain and gale-force winds, Jones took a wrong turn and found himself stuck in the Bristol Channel, along Wales' south coast.

"These ships couldn't turn around -- they could only go 90 degrees to the winds," Hughes said. "He wouldn't have known where he was."

Hughes said the captain would probably have been filled with fear to see the cliffs of the Pembrokeshire coastline in front of him, where waves that night were probably at heights of 30 to 40 feet. With no way to turn around, the Barbara crashed into the cliffs and sank.

Everyone on board the ship was saved, with the exception of Captain Jones, who went down along with Prichard's pocket watch.

While that solved the mystery of the unidentified shipwreck, tracing Prichard's descendants proved a tougher task. Though Prichard had a son, he died with no heirs, and Roberts found no descendants from Prichard's three sisters.

Prichard's only surviving relative is Owen Cowell, a retired dentist living in Pwllheli, North Wales -- incidentally, not far from Abersoch. Cowell's grandmother was Prichard's cousin.

Hughes now plans to present the pocket watch next week to Cowell, who in turn plans to present it to the Abersoch village hall for display in an annual exhibition. This year's display will open a week from Saturday, he said.

@highlight

Diver finds watch on sea floor off Welsh coast, spends years tracing its history

@highlight

Diver discovers watch originally belonged to Richard Prichard, captain of the Barbara

@highlight

Prichard died at sea in 1881; watch was probably being returned to his widow

@highlight

Watch was lost when Barbara was shipwrecked in driving rain, gale-force winds