Watch your step as you climb these stairs, whether spiraling up mountains, narrow passageways or sky-scraping attractions.

All is right with the world when you're gazing down from the rooftop of Milan's Duomo. That is, until you remember the steep marble stairs that got you there—and are your only way down.

Stairways can leave just as much of an impact on your memory as the places they lead you. Some are so eye-catching they look like they belong in an M.C. Escher painting, while other stairs are downright intimidating, especially when they stand between you and a site you flew halfway across the world to experience.

In Peru, for instance, travelers need to tackle about 600 feet of slippery granite rocks carved into the mountainside to reach the Moon Temple at Machu Picchu. And at Yosemite National Park, you can't take a selfie at the top of Half Dome without climbing a cable ladder up the rock face for more than 400 feet.

All it takes is a misstep for any old staircase to become treacherous (just ask Jennifer Lawrence), yet some standout for being especially scary.

A set of stairs in Hawaii is so precariously perched that climbing is now illegal. In China, there's a stairway with an age requirement.

Other stairs are intimidating for more psychological reasons, such as the creaking noises made by the world's longest wooden stairway in Norway or the eerie atmosphere at "The Stairway to Hell," part of an abandoned industrial complex in Japan.

Travelers with nerves of steel—and eager for bragging rights—follow these stairs because of what they find at the end, whether a sacred Hindu temple or the top of a spectacular waterfall. There's nothing quite like the thrill of accomplishment that comes once you've taken that last step. Safely, that is.

Angkor Wat Temple Stairs, Cambodia

In this super-humid hotbox of Buddhist history, there's no shame in bowing down on your hands and knees or pulling yourself up with the provided ropes to scale the nearly 70 percent inclined stairs of Angkor Wat's uppermost temples.

Guides claim the steps were made to be so steep to remind people that heaven was hard to reach—though you might make the same argument about Earth as you try not to tumble on the way down.

The Verrückt, Kansas City, Kansas

It takes guts just to reach the starting point of the world's tallest and fastest water slide, opened July 2014. To get to the top, you've got to climb the 264 steps that snake up the slide's tower in 25 turns.

When you've summited at 168 feet—that's one foot taller than Niagara Falls—pat yourself on the back and take a selfie. Then brace yourself for the water slide's initial 50-foot linear drop, which can reach 65 mph. The only alternative is to turn around and suffer the 17-story walk back down those nauseating steps.

Pailon del Diablo Waterfall, Ecuador

At first it's lovely to notice that the staircase adjacent to these waterfalls was designed to blend in with the tropical landscape. But consider the name—in English, the Devil's Cauldron—and the evil tricks the steep steps can play.

They are made of smooth, oversize pebbles that provide little traction, and when you're looking down, they blend together, creating an optical illusion of a stone slide. They're also slippery from the constant mist from the falls and even though there's a metal railing to save you from any spills—but don't count on that too much—it too is drenched with water droplets.

Half Dome, Cable Route, California

What's between you and the most iconic peak in Yosemite Valley? A seven-mile (one-way) all-incline hike through the wilderness that culminates with climbing up the rock face along a cable ladder for more than 400 vertical feet.

If you're up for the challenge, snag one of the 300 hard-to-get daily permits available for Half Dome between Memorial Day and mid-October. (Check your footwear and the forecast; rainy conditions have proven fatal.) From the summit, you'll take in panoramic views of Yosemite Valley and the High Sierra.

Travel + Leisure: World's coolest playgrounds

Inca Stairs, Peru

At Machu Picchu, 600 feet or so of steep, slippery, cloud-covered granite rocks the Inca carved more than 500 years ago into the side of Huayna Picchu (the peak in everyone's photos) lead to the rarely visited Moon Temple—and a spectacular view of the ruins.

The park limits the climb to the first 400 visitors each morning and has added some metallic chains in the worst parts, so hold on because on one side is a sheer, damp wall and on the other, a straight drop into the Urubamba river.

Statue of Liberty, New York City

If you want to gaze out from Lady Liberty's crown, check your claustrophobia at her feet. The platform's only access is via a cramped, 146-step double-helix spiral staircase with just six feet of head clearance—and it's teeming with tourists. Real troopers, however, will make the entire tight 377-step hike up all the way from the lobby, the equivalent of climbing a 20-story building.

These physical challenges all come after you've managed another feat: snagging one of the hard to get passes that allow entry into the crown. They have to be booked at least three months in advance, are name and date specific and are limited to four per order.

Florli Stairs, Norway

Norway's Flørli Power Station is the starting point for the best hikes around the town of Lysefjord—and its stairs will make you gasp for two reasons. First, there are 4,444 steps that ascend a staggering 2,427 feet from the bottom. Second, it is the longest staircase in the world made entirely out of wood, meaning you should be paying close attention to each mysterious creak and crack you hear.

Mount Huashan Heavenly Stairs, China

There's no official count of steps on this cardiac stress test carved into a sacred Taoist mountain. Perhaps because anyone attempting to conquer this vertiginous washboard wall has lost count, distracted by the dizzying drop and its threat of death.

Eventually, the steep "heavenly stairs" stop, and this becomes the most hellish horizontal walk in the world—a three-plank-wide walkway with only a chain to hold onto, flush against the wall of flat rock. When that's done, there's another set of meandering, mountainside stairs. If you get to the top of Mount Huashan, you'll discover that "heaven" is a remote tea house with a terrific view.

Travel + Leisure: World's scariest bridges

Janssen Observatory, Mont Blanc, France

The steps are short and sweet. They're not cramped, they come with railings, and they don't get too crowded. What can make these stairs squeamish is their placement at the summit of the tallest mountain in the Alps, when they're open to the elements—gale-force winds and chilly temperatures.

Batu Caves, Malaysia

One of the most important Hindu holy sites outside of India is this series of cave shrines nestled into the side of a mountain about eight miles from Kuala Lumpur. The highlight: accomplishing the ascent of 272 steps that lead 330 feet up the rock to the main Temple Cave.

It's not just the stone stairs that test your temerity; it's the sneaky macaque monkeys. They aren't afraid of people and are liable to steal stuff right out of your bag. So while it's a good idea to climb without any food, it also can't hurt to say a prayer before going up. You may do so at the temple of Hanuman—the "noble monkey"—to the far left of the entrance, near Ramayana Cave.

Sagrada Familia, Barcelona

Gaudí envisioned a forest canopy when designing the rooftop of this Roman Catholic church, but climbing the spiral staircase to its towers feels more like crawling up a Slinky. Not only does it coil high along the tightly enclosed walls, but there's also no banister to prevent you from barreling over the middling edge while you're walking up and down with hordes of other people.

Haiku Stairs, Oahu, Hawaii

Can stairs be so seriously scary that they've been banned? Answer: Yes. The 3,922 rickety steps that lead a half mile up Oahu's Koolau Mountain Range pose such a risk, it's actually illegal to climb them. There's even a guard placed at the bottom to stop you from going up.

Nicknamed the Highway to Heaven, they were built in 1942 by the U.S. Navy as a means to installing communications wires. After World War II, they became popular with daredevil hikers. But by 1987, they had closed to the public for safety concerns, and they stay that way, despite a 2003 renovation project.

Duomo di Milano, Milan

No visit to Milan is complete without having marveled at the view of Italy's northern city from the roof of this famed cathedral stacked with about 2,000 statues. But in order to check it off your bucket list, you're required to wiggle up and down a steep, slender staircase in a shaft way clogged with tourists.

Tip: Head to La Rinascente, a department store across the street with a rooftop café that serves up perfect views of the cathedral and skyline—no stairs necessary.

See all of the world's scariest stairs

@highlight

Moon Temple at Machu Picchu can be reached by 600-foot slippery granite steps

@highlight

The journey to Yosemite's Half Dome requires a long cable ladder

@highlight

A misstep on any of these staircases can be lethal