Yabuli, China (CNN) -- Insulated in designer skiwear against a temperature of -15° Celsius, three of China's burgeoning ski set bundle into a gondola headed to a wind-swept mountaintop in Heilongjiang province, Northeastern China.

These new members of China's skiing elite had traveled from Harbin three hours drive away for a day's skiing at Sun Mountain, Yabuli, and clearly relished hurtling downhill at one of the country's newest high-end resorts.

"Control your speed" is good advice for any novice skier, but it could be equally applied to the growing number of businesses aiming to tap into the nascent Chinese skiing industry.

Skiing is just the latest market in China touted to "boom" as an increasingly affluent middle class finds new ways to spend their wealth and leisure time.

The China Ski Association put the number of skiers in China at 5 million in 2005, up from just 200,000 in 2000. The association predicts 20 million skiers by 2014.

"But around 80 percent will probably never do it again, because the experience is so bad," says Graham Kwan, CEO of Melco China Resorts the developers of Sun Mountain, Yabuli.

It's a factor that has held back the momentum of the Chinese ski industry, where the image is still one of bumpy nursery slopes crowded with first-time skiers snow-ploughing into one another.

"The industry isn't developing as fast as it should," says Justin Downes, president of Axis Leisure, a Beijing-based resort industry consultancy.

"Ninety percent of skiers are still considered beginners and rent their equipment. The quality of the product and safety has often been questionable, service has been poor."

Kwan hopes Sun Mountain will provide Chinese skiers with a five-star destination resort that keeps novices coming back to the slopes.

Others developers are following suit.

French resort company Club Med plans to open a dedicated ski village in China at the end of the year, the first of five the company plans to open by 2015. China's Wanda group have plans on a resort in the mountains bordering North Korea, and a resort called Beijing Secret Garden is being developed outside of Beijing near the Great Wall.

Since opening last year Sun Mountain has gained accolades, including TIME Magazine's Best Resort Make-over in 2009. Yabuli was also the site of the World University Games in 2009, with a reported $400 million invested by the government in updating the facilities and improving transport links to the area, making it the base for China's national ski team.

For Kwan, however, transforming a sleepy town with one aging hotel at the bottom of a mountain has been far from a smooth ride.

"To be perfectly honest, it's been a struggle," says Kwan.

"It's easy to have a mountain in China. People often ask, 'Why did you put [the resort] here?' There are beautiful mountains [elsewhere], but too far from the market. Chinese people travel like Europeans; they're North-South travelers."

With over $100 million invested in Sun Mountain, Kwan hopes it will be the centerpiece of the new face of skiing in China, offering more than just well-groomed slopes and après-ski with a Chinese twist.

"It's a combination of operations and real estate, you can't sell luxury homes if you don't sell luxury products," says Kwan.

A new boutique hotel at the top of the 1000-meter mountain will open next year and capacity eventually expanded to 15 hotels. But it is the resort's real estate that will be just as important to how fast the area develops. Around 75 houses are already built with almost a thousand more nestled on the mountainside planned for the next 10 years.

"The concept of buying a recreational home in the mountains when it's -20° Celsius is not something the Chinese have grasped yet," says Downes.

"The ski market [in China] is so small that you can't expect to put $100 million into a project and hope to recoup that any time soon off your ski operations. But the leisure real estate market is also immature in China."

As well as selling the resort as an investment opportunity, nurturing the culture of skiing is part of the development. Its absence is something that Downes believes is really hampering the market.

"When I went to work in a ski resort it's because I wanted to ski all day and party all night. The people who go to work in Chinese ski resorts don't have any aspirations to do any of those things," says Downes.

A few gold medals by Chinese skiers at the Winter Olympics could help create a buzz around the sport itself, but for Kwan and Downes, presenting a gold-standard lifestyle is just as important.

"All their gear is high-end, because of course it represents their status. And that's why we've chosen to go higher end, because those kinds of customers want to be with us," says Kwan, who plans to add VIP gondolas with heated seats and sound system at Sun Mountain, as well as slope-side tea service.

"You can't just pick up a Whistler or Three Valleys pop it into China and expect it to be successful," adds Downes. "Because while Chinese skiers want all the positive trapping they also want something that is theirs -- food and cultural elements, but delivered at a much higher level.

"The younger generation is getting money, traveling and getting more adventurous, they're the ones who are going to define the industry."

@highlight

China's ski industry seen as a huge growth market for up-scale resort developers

@highlight

China predicted to have 20 million skiers by 2014

@highlight

Numerous international developers are building resorts across the country

@highlight

Culture of skiing needs to be developed as much as resorts for success say analysts