(CNN) -- There is a hidden revolution at work that can transform the lives of a billion of the poorest people on the planet.

The dream of health for all, even the poorest of the poor, can become a reality because of recent breakthroughs in technology and health systems. Scientific results that our Millennium Villages Project team published this week in The Lancet, coupled with broader trends around the world, should be a wake-up call: We can end the deaths of millions of young children and mothers each year by building on recent innovations.

In 2006, the Millennium Villages Project and impoverished communities around Africa jointly embarked upon the fight against extreme poverty, hunger and disease. The idea was to use low-cost, cutting-edge technologies to overcome ancient scourges like malaria and mothers dying in childbirth. Today, there is no deep mystery about what to do to stop these deaths, since the diagnostic tests, medicines and procedures are known. The challenge is to scale up these life-saving approaches.

In four years, starting from conditions of massive death tolls and a lack of health services, the Millennium Villages were able to reduce the deaths of children under 5-years-old by around 22%. The progress is continuing as low-cost health services expand. The lessons extend far beyond this specific project.

Poor children die of three main categories of disease: infections, nutritional deficiencies and conditions around childbirth. The technologies and procedures to fight all these causes of death are improving dramatically. Therein lies a great hope.

Consider malaria, one of the biggest killers of children in Africa. A dozen years ago, all seemed lost: The standard medicine had lost its efficacy as the parasite became resistant; insecticide-treated bed nets were little used because they had to be regularly retreated with the insecticide, a practical burden that poor villages could not manage; and diagnosis required that the mother and sick child trek to a distant clinic in the desperate hope the clinic had a functioning laboratory.

Now all this has changed. A new generation of low-cost and highly effective medicines has been deployed. The nets now last five years without the need for retreatment. A trained village-based worker, as part of an expanded health system, can make the diagnosis at the household using a simple rapid test, without the need for a life-and-death journey to a distant clinic. The Millennium Villages have slashed malaria deaths, but much more to the point, malaria deaths are falling sharply across Africa, down by around one-third from their peak roughly a decade ago.

The advances are widespread. New vaccines can fight diarrheal and respiratory diseases that have traditionally killed vast numbers of children. Thanks to vaccines, deaths from measles have plummeted, and polio is on the verge of eradication. New medical procedures can end the transmission of the HIV virus from mother to newborn. Technologies to support higher farm production and low-cost nutritional supplements can bolster inadequate diets.

Perhaps most important, information can flow through even the remotest of villages, thanks to the massive increase in mobile telephones across regions that just a few years ago had no phones at all. The spread of mobile phones may mark the fastest global uptake of a technology in history. From a few million mobile phone subscribers worldwide in 1990, the number has climbed to more than 6 billion today, with more than 250 million subscribers in Africa.

Mobile connectivity and the spread of wireless broadband are greatly strengthening rural health systems. In all of the Millennium Villages, and in more and more villages around the continent, lay community workers are bringing health services from the clinics right to the community. Mobile phones are critical in supporting these outreach workers, enabling them to call the doctors and nurses for advice, summon an ambulance or connect to a computerized expert system via text messaging.

The big picture is thrilling. Globally, deaths of young children are falling. In 1990, the worldwide deaths of children under 5 totaled around 12.5 million. By 2010, the deaths were down to around 7.6 million. Yet this technology-based revolution in human well-being is at the risk of stalling.

The improvements required international help to support the expansion of services in the poorest regions. The Global Fund to Fight AIDS, tuberculosis, and Malaria and the U.S. PEPFAR initiative to fight AIDS exemplify the new kinds of support introduced during the past decade.

Total funding for primary health care in the poorest countries has risen by roughly $15 billion per year from the low levels of aid a dozen years back. That's a good sum, but modest in the scheme of things, amounting to around $15 per person per year from the high-income countries, with a combined population of 1 billion. It's about half the support needed to complete the job.

Alarmingly, the funding has come to a standstill and has even started to decline. The United States and Europe claim they can't afford to do more because of budget crises, but the needed sums could be filled many times over just by ending the loopholes that allow the richest companies to park their profits in Caribbean tax havens.

If children continue to die by the millions, it will be the result of misguided priorities, not true budget limits. Instead of making excuses for lives lost, let us celebrate the remarkable progress we are making and commit ourselves to finishing this historic and worthy task.

The opinions expressed in this commentary are solely those of Jeffrey Sachs.

@highlight

Jeffrey Sachs: Health innovations can save millions of poor children each year

@highlight

Sachs: Cell phones, fast diagnostic tests, better medicines changing global health

@highlight

But this revolution in poor countries is threatened by funding cuts, he says

@highlight

Sachs: Wealthy nations must not abandon the programs just as they are paying off