Johannesburg (CNN) -- "This shouldn't be happening" -- these were the words of a visibly nervous and frustrated sheriff of the court as he rang the outside bell and knocked at the gate belonging to a woman still considered by many in South Africa as the "mother of the nation."

Joe Maluleke and two other officials arrived at Winnie Mandela's house in Soweto on Tuesday to execute a court order granting a Johannesburg school permission to auction her belongings and pay an old debt. Among the goods meant to go under the hammer were 50 paintings, a round table, chairs and a silver tea set.

The problems started when the ex-wife of Nelson Mandela, the country's first black president and an international icon, registered her great niece, Nobantu Vutela, as a boarding student at Abbotts College in Northcliff, Johannesburg, according to court papers filed in 2008.

The accommodation fees for the year were 40,000 South African rand -- the equivalent of about $4,000 today. Winnie Mandela, 76, who earns an annual salary of around $90,000, as a member of parliament, was given six months to pay the full amount. It's unclear why she and not the girl's own parents enrolled her into the private school.

Despite the documents stipulating that R10,000 ($1000) be paid up front, lawyers representing the school say Mrs Mandela never paid a cent. They started instituting proceedings against her in October 2008. The case dragged on for five years. A lawyer acting on behalf of the school told CNN Mrs Mandela made her first payment last year but that she still owes nearly $5,000 with interest included. Mrs Mandela's lawyer is disputing the interest amount.

With dozens of journalists surrounding him, not a single bidder in sight, and Mrs Mandela's bodyguards stationed on the other side of the wall, Sheriff Maluleke knocked in vain. People could be seen moving around inside and outside the house, but nobody came out to let the sheriff in. At one point a car sped out of the premises using a side entrance. It is unclear who was in the car.

Maluleke was instructed by lawyers to get a locksmith and force his way into Mandela's house, but he was understandably reluctant. At one point a spectator shouted, "Why don't you climb over the wall?" The sheriff's irritated retort: "And get shot at?"

The tense standoff lasted for about two hours. Maluleke left Winnie Mandela's property empty-handed and dejected. He later admitted that the task he was expected to carry out was a difficult one. "Is it because she is the mother of the nation?" he was asked. "Exactly," he responded.

Read this: How South Africa avoided 'bloody racial war'

On Monday night Winnie Mandela's lawyer Yandisa Dudula had been frantically trying to stop the auction from going ahead.

"Mrs. Mandela has given me a check for R16,000 ($1,696), and another R4,000 ($212) has been given to the sheriff," he told CNN. "The auction is not necessary."

The school's lawyers insisted on getting the money in cash, failing which, they said the sale of her goods would go ahead as planned.

Confused neighbors looked on as the spectacle at Mandela's property unfolded.

"We thought she had money, it is very surprising that her goods are now having to be auctioned in order to recoup funds for a debt," one of them told CNN.

When asked what it is like to live next door "the mother of the nation," the neighbor said, "We never see her. When the old man (Nelson Mandela) lived in Soweto he would walk around, shake people's hands, greet and talk to them, he even invited us into his home."

"Winnie keeps to herself, but we still call her 'mother of the nation' and no-one wants to see her humiliated," the neighbor said.

Commentators say Winnie Mandela has become increasingly isolated, not only by her political family, the ruling African National Congress, but seemingly by her biological family as well.

"Internal tensions within the family could have played a role in no one coming to Mrs Mandela's aid," political analyst Somadoda Fikeni told CNN. "The family is fragmented and recent squabbles over money have further emphasized these divisions."

Two of Nelson Mandela's daughters -- Makaziwe Mandela and Zenani Dlamini -- are currently embroiled in a legal battle over the former political prisoner's money. They have filed court papers in an attempt to remove Mandela's longtime lawyer and friend, 84-year-old George Bizos, and others as directors of companies owned by the Mandela Trust.

The children's legal battle over their iconic father's monies has come under heavy criticism in South Africa. Bizos told local media the lawsuit is "a ploy to resuscitate the sale of Mandela's artworks" whose proceeds go to the companies at the center of the dispute.

Andrew Mlangeni, who was incarcerated on Robben Island with Mr Mandela, told CNN: "This is a matter that should have been resolved internally within the family."

Makaziwe recently rebutted accusations that her intentions are motivated by greed, telling the New York Times: "This issue that we are greedy, that we are wanting this money before my dad passes away is all nonsense."

The feud over Nelson Mandela's millions and now the threat of an auction at his former wife's residence underscore the contradictions and complexities in what many consider South Africa's political "royal family."

Read this: Big brands target South Africa's middle class

This is by no means Winnie Mandela's first brush with the law, although for years many saw her as untouchable.

The former freedom fighter was implicated in the 1980s murder of 14-year-old anti-apartheid activist Stompie Seipei. Her then-husband, Nelson Mandela, stood by her, despite a mountain of damning evidence. In 1991 she was convicted of kidnapping Seipei and for being an accessory to assault, but her six-year jail term was reduced on appeal to a fine and a suspended sentence.

In 2003 Mrs Mandela was convicted for theft and fraud in connection with an elaborate bank loan scheme where the ANC party letterhead was used to obtain loans for bogus employees including her youngest daughter Zinzi. The conviction carried a jail term, but that sentence too was suspended.

A few months ago police confirmed that they have reopened the murder case of two more former freedom fighters, allegedly last seen at her house more than 20 years ago. Their bodies were exhumed in March.

In recent years, "the mother of the nation's" influence in the country and within the ruling party has waned, and the protection she once enjoyed along with it. Last year she was voted second-last in the party's national executive committee. She had been top of the list at the previous ANC conference in 2007.

Still, respected columnist and journalist Justice Malala says he is astonished Winnie Mandela couldn't get help from a single one of her former comrades.

Malala told CNN: "It's great that she was paying for her great niece's school fees but I'm surprised that firstly she didn't feel she could raise the money from her own salary and secondly that no-one in the ANC was willing to help her. She could have also approached the Mandela Trust. Mandela has given money to president Jacob Zuma before when he was in trouble."

Perhaps the most astonishing part of the tale is why her children and grandchildren appear to have stood by and watched as threats of an auction became more serious.

Two of her grandchildren, Zaziwe and Swati Dlamini have recently launched a reality show in the U.S. called "Being Mandela." They also have a clothing line named "Long Walk to Freedom" after their grandfather's autobiography. Their mother Zenani Dlamini, Winnie's eldest daughter, is South Africa's ambassador to Argentina.

Despite the family's many ventures and connections, Winnie's lawyer says money isn't always readily available.

Winnie Mandela has often courted controversy, but she is still adored by many in South Africa.

She endured years of torture, torment, banishment and imprisonment by the apartheid regime while fighting resolutely for racial equality in the country.

And despite her legal and financial troubles over the years, very few South Africans are celebrating her downfall. Many of them took to Twitter to express their solidarity. "We cannot forget Winnie Mandela who stood tall for three decades" wrote one person.

@highlight

Winnie Mandela threatened with having her belongings sold off to pay school fees

@highlight

Mandela, ex-wife of South African icon Nelson Mandela, is regarded by many as "mother of the nation"

@highlight

Commentators say Winnie Mandela increasingly isolated from political and biological families

@highlight

Nelson Mandela's family embroiled in legal battle over former political prisoner's money