(CNN) -- The United States' decision to close its embassy in Yemen came after intelligence suggested that four al Qaeda operatives may be planning an attack on the compound, a senior administration official said Monday.

The United States had information that a group of eight terrorists had been planning an attack, the official said. Three were killed by Yemeni forces in recent days and another was captured wearing a suicide vest, but the other four were believed to be at large, the official said.

The United States and Britain closed their embassies Sunday. Britain's Foreign Office also cited security concerns.

Several other nations also made changes at their embassies Monday, including Japan, France, Spain and Germany. Each country cited the need for increased security measures.

France closed its embassy to the public. A French Foreign Ministry spokesman told CNN that embassy employees will continue their work, but without any visits from the public. The spokesman said the ministry was not acting on a specific threat.

Japan halted service at the consulate section of its embassy in Sanaa. The Japanese Foreign Ministry said the decision was based on the threat of terror, though not a specific threat. The embassy continued functioning.

Spain restricted public access to its embassy, the Spanish Foreign Ministry said, adding that the embassy continued to function "normally."

Germany said that while its embassy remained fully operational, security measures were increased. A spokesman for the German Foreign Ministry said fewer visitors were allowed into the embassy compound. The embassy had not received any terror threats, the spokesman said.

Yemen 'fertile ground' for terrorists

The wave of concern follows last month's attempted terrorist attack on a U.S.-bound airliner. Yemen-based al Qaeda in the Arabian Peninsula claimed responsibility. On Saturday, U.S. President Barack Obama linked the Nigerian suspect, 23-year-old Umar Farouk AbdulMutallab, to the group, which is a combination of al Qaeda networks in Saudi Arabia and Yemen.

John Brennan, assistant to the president for homeland security and counterterrorism, told CNN's "State of the Union" on Sunday, "What we do is to take every measure possible to ensure the safety of our diplomats and citizens abroad, so the decision was made to close the embassy."

The United States is working closely with the Yemeni government on the proper security precautions, he said.

The U.S. Embassy in Yemen has come under attack numerous times in recent years. In September 2008, 10 people were killed -- among them police and civilians, but no embassy employees -- when insurgents opened fire and set off explosions outside the compound.

On December 31 the U.S. Embassy alerted Americans in Yemen to remain on alert for the possibility of terrorist violence.

"I think what we've seen over the past several years in Yemen is an increasing strengthening of al Qaeda forces in Yemen," Brennan told CNN. "There are several hundred al Qaeda members there."

British Prime Minister Gordon Brown told the BBC, "We've got to also get back to the source of this, which is Yemen, Somalia, Pakistan, and we've got to recognize that we've got a group of young people who have been radicalized as a result of teaching by extremist clerics, and we've got to recognize that we're fighting a battle for hearts and minds here as much as everything else."

He vowed Britain will work with American authorities to support the Yemeni government in its counterterrorism efforts.

Al Qaeda in the Arabian Peninsula said the attempted attack on the airliner was in retaliation for airstrikes against it on December 17 and 24. One of those attacks targeted four al Qaeda operatives believed to have been planning an imminent attack against either the United States or Saudi Arabian embassies in Yemen, or both, a senior U.S. military official told CNN Sunday.

Three of the targets were killed in the attack and a fourth was wounded, the official said.

On Saturday, Gen. David Petraeus, head of the U.S. Central Command, met with Yemeni President Ali Abdullah Saleh in Yemen, a senior U.S. government official told CNN.

During his meeting with Petraeus, Saleh expressed his appreciation for U.S. help in combating extremists, offered more support for U.S. counterterrorism strikes and said he would continue providing assistance for the U.S. investigation into the attempted bombing.

The two men discussed the latest intelligence on al Qaeda in Yemen, the official said, adding that the group in the U.S.-Yemeni meeting was kept very small on both sides.

In remarks Saturday, Obama pledged that everyone involved in the attack would be held accountable, and highlighted his administration's attempts to crack down on extremist enclaves in Yemen. He reiterated his long-standing promise to "disrupt, dismantle and defeat" al Qaeda.

Obama said that AbdulMutallab had recently traveled to Yemen and that "its appears that he joined an affiliate of al Qaeda." Al Qaeda in the Arabian Peninsula apparently trained AbdulMutallab, equipped him with explosives and directed him to attack the plane, the president said in his weekly radio address.

Obama has been criticized by some political opponents for not responding more aggressively to the bombing attempt.

From the first day, the Obama administration has been focused on Yemen, Brennan said Sunday.

"We are very concerned about al Qaeda's continued growth there, but they're not just focused on Yemen," he said of al Qaeda. "They are, in fact, looking toward the West." That's why, he said, "we have to get to this problem in Yemen now."

CNN's Barbara Starr contributed to this report.

@highlight

United States' decision to close its embassy came after intelligence warned of al Qaeda attack

@highlight

Britain's Foreign Office also cited security concerns after closing its embassy in Sanaa

@highlight

France, Japan, Spain also halted service at the consulate section of their embassies

@highlight

Attempted bombing of U.S.-bound plane reportedly linked to al Qaeda unit based in Yemen