(CareerBuilder) -- Looking for the best time of the year to get a promotion? According to data collected and analyzed by LinkedIn, January, June and July are the most popular months for U.S. workers to receive promotions.

Globally, January, July and September are the top three.

"It is not surprising that promotions tend to occur around these times," says Roy Cohen, a career coach and author of "The Wall Street Professional's Survival Guide."

"In the U.S., promotions usually happen around new budget cycles and after holidays. January represents the start of a new calendar year and when performance evaluations are typically conducted. Some companies begin their new budget cycles in June or July, thus promotions occur in these months."

The worldwide tendency to promote in January can likewise be attributed to the turning of the calendar, marking a time of new beginnings. But while promotions in June and July in America may be due primarily to mid-year evaluations and fiscal calendars, many other countries have a special consideration.

"July represents the time before much of the world takes the month of August off for holiday, so decisions are made prior to vacation. And September is when they return," Cohen notes.

Other good times for promotions

The LinkedIn study also revealed that while certain months had a higher percentage of promotions compared to others, advancement is becoming less concentrated.

For example, during the 1990s, 22 percent of promotions occurred in January, but in the most recent decade that figure decreased to 16 percent.

"There are two types of promotions to consider. One is a promotion that fills a vacancy in a hierarchy. This can occur at any time that the vacancy occurs. For example, an editor retires and someone is promoted to fill the position," says John P. Millikin, a professor in the management department at Arizona State University's W. P. Carey School of Business in Tempe, Ariz., and a former vice president of human resources at Motorola Inc. in Phoenix.

"The other type of promotion is a step up in a hierarchy of jobs, such as a promotion from buyer to senior buyer. While it varies by company or industry, this usually occurs on a schedule that reflects an individual's performance evaluation period. Frequently, this would coincide with the end of a business performance period such as a fiscal year."

Besides someone's departure opening up opportunities for advancement, other situations can increase the odds for promotion at any time of the year.

"Strike when the iron is hot," Cohen says. "When you introduce a new idea that will increase productivity, save money or generate revenue, you're golden. When you've successfully completed a special project, you've got their attention. Ask what new projects you can take on and how those projects will position you for expanded responsibilities."

Likewise, Cohen notes that promotions often happen when there's a spike in business because there will be a focus on adding headcount to manage the expanded activity.

But are promotions out of the question when a company is having difficulty?

"Obviously, when times are tough as they are in most businesses today, you need to be sensitive to the needs of the business in asking about promotions," Millikin says.

"Do keep in mind, however, that tough times also present opportunities to shine. As people leave or are even laid off, showing a willingness to step up and take on additional responsibilities shows that you care about the organization."

Getting noticed

Regardless of the season, experts agree that there are things you can do throughout the year to make yourself more "promotable" including:

•Getting the extra training or experience needed for the position you desire.

•Letting managers know that you are interested in advancement.

•Asking superiors what steps they recommend to help prepare for a promotion.

•Looking at the big picture to see how your actions help your manager get her job done well.

•Making others aware of your contributions -- without going overboard or constantly bragging.

Above all, it is critical that you are performing up to par on your current job. As Millikin notes, "No one is going to be impressed with someone who is focusing so much on the next job that he isn't really doing the one he has well."

&copy CareerBuilder.com 2011. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

LinkedIn: January, June and July are the most popular months for U.S. workers to be promoted

@highlight

Cohen: "Promotions usually happen around new budget cycles and after holidays"

@highlight

Promotions can fill a vacancy in hierarchy or be a step up in a hierarchy of jobs