WASHINGTON (CNN) -- Former terrorist suspects detained by the United States were tortured, according to medical examinations detailed in a report released Wednesday by a human rights group.

A U.S. serviceman with his dog watches a detainee at Abu Ghraib prison in Iraq in 2003.

The Massachusetts-based Physicians for Human Rights reached that conclusion after two-day clinical evaluations of 11 former detainees, who had been held at the Abu Ghraib prison in Iraq, at Guantanamo Bay, Cuba, and in Afghanistan.

The detainees were never charged with crimes.

"We found clear physical and psychological evidence of torture and abuse, often causing lasting suffering," said Dr. Allen Keller, a medical evaluator for the study.

In a 121-page report, the doctors' group said that it uncovered medical evidence of torture, including beatings, electric shock, sleep deprivation, sexual humiliation, sodomy and scores of other abuses.

The report is prefaced by retired U.S. Major Gen. Antonio Taguba, who led the Army's investigation into the Abu Ghraib prisoner abuse scandal in 2003.  Watch why a rights group says there's evidence of torture »

"There is no longer any doubt that the current administration committed war crimes," Taguba says. "The only question is whether those who ordered torture will be held to account."

Over the years, reports of abuses at Abu Ghraib and allegations of torture at Guantanamo prompted the Bush administration to deny that the U.S. military tortures detainees.

Since only 11 detainees were examined "the findings of this assessment cannot be generalized to the treatment of all detainees in U.S. custody," the report says.

However, the incidents documented are consistent with findings of other investigations into government treatment, "making it reasonable to conclude that these detainees were not the only ones abused, but are representative of a much larger number of detainees subjected to torture and ill treatment while in U.S. custody."

Four of the men evaluated were arrested in or taken to Afghanistan between late 2001 and early 2003 and later were sent to Guantanamo Bay, where they were held for an average of three years before being released without charge, the report says. The other seven were detained in Iraq in 2003 and released within a year, the report says.

All the subjects told examiners that they were subjected to multiple forms of torture or ill treatment that "often occurred in combination over a long period of time," the report says.

While the report presents synopses of the detainees' backgrounds based on interviews with them, the authors did not have access to the detainees' medical histories. Therefore, there's no way to know whether any of the inmates may have had medical or mental problems before being detained.

Among the ex-detainees was an Iraqi in his mid-40s, identified only as Laith, whom U.S. soldiers took into custody in October 2003 and who was released from Abu Ghraib in June 2004. According to the report, Laith was subjected to sleep deprivation, electric shocks and threats of sexual abuse to himself and his family.

"They took off even my underwear. They asked me to do some movements that make me look in a very bad way so they can take photographs. ... They were trying to make me look like an animal," Laith told examiners, according to the report.

According to the report, Laith said the most "painful" experiences involved threats to his family: "And they asked me, 'Have you ever heard voices of women in this prison?' I answered, 'Yes.' They were saying, 'Then you will hear your mothers and sisters when we are raping them.' "

The examiners concluded in the report that "Laith appears to have suffered severe and lasting physical and psychological injuries as a result of his arrest and incarceration at Abu Ghraib prison."

Another detainee, Youssef, was detained by U.S. soldiers nearly seven years ago when he tried to enter Afghanistan from neighboring Pakistan without a passport, the report says. He initially was held in an Afghan prison, where he describes "being stripped naked, being intimidated by dogs, being hooded and being thrown against the wall on repeated occasions," the report says.

A few months later, he was taken to the Guantanamo Bay facility, where he was subjected to interrogators who would enter his cell and force him to lie on the floor with his hands tied behind his back to his feet, the report says.

Youssef said the interrogators wanted him to confess of involvement with the Taliban, the report says.

Based on its investigation, the report calls on the U.S. government to issue a formal apology to detainees subject to torture and ill treatment by the military since fall 2001 in Afghanistan, Iraq, Guantanamo Bay and elsewhere.

The rights group also demands that the Bush administration:

• "Repudiate all forms of torture and cruel, inhuman or degrading treatment";

• Establish an independent commission to investigate and report publicly the circumstances of detention and interrogation at U.S.-run prisons in Afghanistan, Iraq and Guantanamo Bay;

• Hold individuals involved in torturing detainees accountable through criminal and civil processes; and

• Monitor thoroughly the conditions at U.S.-run prisons all over the world.

CNN Radio contributed to this report.

@highlight

Report reveals medical evidence of torture, including beatings and electric shock

@highlight

Study calls on U.S. government to issue a formal apology to tortured detainees

@highlight

Rights group gives list of demands to Bush administration