(CNN) -- If you've booked travel online, you may have been there.

Nancy Cutter, a travel agent in Charlotte, North Carolina, discusses vacation options with a client.

Online travel sites flooded with overwhelming options, all claiming the best deals. Extra fees nestled into the fine print amid blaring advertisements. Pounding 16 digits into the telephone after you've booked the wrong flight before finally getting a human voice.

A few weeks ago, Darin Kaplan, a tech-savvy 27-year-old California restaurant manager, clicked his mouse hundreds of times, surfing the vast choices offered by online travel booking Web sites like Expedia.com and Orbitz.com to plan his 28th birthday cruise to Mexico before he gave up in frustration.

"It's a cut-and-paste experience when you're booking online. None of these sites are going to tell me what I can do with different options," said Kaplan, who uses the Internet for many purchases, including his basketball shorts and music tickets. "Travel agents know what they are talking about. It's more comforting to hand my money to someone who has the knowledge and experience."

Some travelers like Kaplan are finding themselves defecting from travel booking sites like Travelocity.com or airline sites like Delta.com. They are going back the travel agent, an industry that many industry experts once thought to be passé with the advent of online booking.

Fewer travelers are enjoying using the Web to plan and buy trips, according to a study last week by Forrester Research, a market research company. About 46 percent of U.S. leisure travelers enjoyed using the Internet to book travel this year, down from 53 percent in 2007.

Difficult site navigation and presentation on travel company sites and hotel and airline sites are causing a growing number of travelers to shift away from the Web and consider using alternative methods of booking travel.

"People are saying 'I don't understand my options, and I would like to talk to someone who can do all the searching and tell me what's available,' " said Henry Hartevelt, the analyst who wrote the Forrester study. "Major travel agencies have absolutely failed in their responsibility to innovate and think of creative new ways to help their customers shop."

In the brick-and-mortar travel agent model, a trained agent meets with the traveler in person or establishes a relationship over the phone. For a fee, they discuss the travel options they have researched.

These travel agencies began losing their monopoly on the industry during the late 1990s, when airlines began to sell tickets online and travel giants like Expedia.com exploded onto the scene, quickly gobbling market share by introducing the quick, do-it- yourself model.

In 1995, there were 37,000 brick-and-mortar travel agencies, according to the American Society of Travel Agents. Now, only 18,000 exist after many merged or folded.

"What the Internet has done is given us a nation that knows the price of everything and the value of nothing," said Bill Maloney, CEO of the American Society of Travel Agents. "How do you know if a hotel is actually a good value or if it's overpriced? You have these online generalists and these individual specialists."

Travel agent Nancy Cutter of Court Travel Ltd. in Charlotte, North Carolina, and a half-dozen other agencies across the country say they have experienced a surge in returning clients, who said travel Web sites were confusing and unhelpful.

In several instances, brick-and-mortar agents say they were able to offer deals at the same price as, and even undercut, the travel agent models, dispelling the belief that the cheapest rate is online.

Travel agents have deals with suppliers that can sometimes enable them to offer lower prices than on the Web. They also have time to cancel tickets for free, compared with some non-refundable tickets sold on the Web. Expedia.com said it recently waived the fee for travelers changing certain flights.

"Just because you can go out and buy Turbo Tax doesn't mean it's the best answer for everyone," Cutter said. "Some people will still go to an accountant. Booking travel can get complicated, and it's just not as easy as it looks."

Travel agents don't discount the value of online travel agencies, which can be useful for booking simple, short trips, but they say complex itineraries require more expertise from a professional. Many online travel companies agree that an agent may be valuable in planning a detailed honeymoon that includes a tour of vineyards in France or a family excursion to top snorkeling and kangaroo-watching destinations in Australia.

"If you're the type of traveler who needs hand-holding up front, then sure, a travel agent would be great, but you can usually find that same information on the Web," said Brian Ek, a spokesman for Priceline.com, a travel company famous for letting bidders set their own price. He said the agents available by phone at his company can help facilitate a sale and customize cruises for travelers.

Online travel companies say they have made functionality improvements on their sites in recent years. For example, Expedia.com, the world's largest online travel agency, offers a tool that can let customers compare seats on an airplane, with ratings on how comfortable a seat is and how much leg room is available. They also have hotel reviews and even Web tours of rooms to help travelers decide.

And, research shows that online travel model is poised to grow. Even in a recession, when companies and individuals are scaling back on travel, Expedia.com saw a 22 percent air transaction growth rate in the last quarter.

But Susan D. Tanzman of Martin's Travel and Tours in California, who has worked as an agent for 35 years, points out that agents follow up with travelers before and after the trip. If the traveler needs help, the agency can offer assistance. They often work 24 hours a day.

JoAnne Kochneff, owner of midsize agency Travel by Gagnon in Michigan, said agents can give the personal attention a site cannot. Kochneff's office provides a homey feel, with agents offering freshly baked cookies for clients who stop by to chat about their trips.

"They have personal experience traveling in the area, so they can give you a personal recommendation," said Frances Mosser, 67, of Kentucky, on her reason why she switched to the travel agent model this summer.

Mosser and her husband booked a trip to St. Melo in France with a travel agent. The agent helped them devise a way to reduce travel time by taking Ryan Air between countries.

"I don't think we could have planned the trip without her," Mosser said.

@highlight

Study finds 46 percent of travelers enjoyed using Web to book travel this year

@highlight

Some Web-reliant travelers are shifting to brick-and-mortar travel agent model

@highlight

Travel agents often specialize in certain countries or tours for complex itineraries

@highlight

Despite recession, Expedia had a 22 percent air transaction growth last quarter