(CNN) -- Every day millions of women apply lipstick without a second thought. What many don't know is that lipsticks may contain lead, the notorious metal that can cause learning, language and behavioral problems. Lead is a neurotoxin and can be dangerous even at small doses.

So what's lead doing in lipsticks?

Not all lipsticks contain lead, but a number of studies in recent years show that the metal is more prevalent than previously thought.

In 2007, the Campaign for Safe Cosmetics conducted a study -- "A Poison Kiss" -- that detected lead in 61% of the 33 lipsticks tested, with levels ranging from 0.03 ppm to 0.65 ppm. Parts per million (ppm) is the measurement of lead in the environment.

Medical experts say there is no safe level of lead in the blood. The FDA says it doesn't consider the lead levels it found in lipsticks to be a safety issue.

No lipstick lists lead as an ingredient. The amounts are small, but the presence of lead in lipstick, which is ingested and absorbed through the skin, raises concerns about the safety of a cosmetic product that is wildly popular among women.

Urged on by both consumers and the cosmetics industry, the U.S. Food and Drug Administration conducted its own testing in 2010. The FDA's results were even more astonishing: The agency detected lead in all 400 lipsticks tested, ranging from 0.9 to 3.06 ppm -- four times higher than the levels observed in the study done by Campaign for Safe Cosmetics.

And lead isn't the only toxic metal you may be applying to your lips. In a recent study, University of California researchers tested eight lipsticks and 24 lip glosses and detected nine toxic heavy metals, including chromium, cadmium, manganese, aluminum and lead.

The FDA said, "We have assessed the potential for harm to consumers from use of lipstick containing lead at the levels found in both rounds of testing. Lipstick, as a product intended for topical use with limited absorption, is ingested only in very small quantities. We do not consider the lead levels we found in the lipsticks to be a safety concern."

Likewise, the cosmetics industry also doesn't see this as an issue, saying that the dose makes the poison -- in other words, the trace amounts of heavy metals in lipsticks are not harmful.

But the FDA noted, "Although we do not believe that the lead content found in our recent lipstick analyses poses a safety concern, we are evaluating whether there may be a need to recommend an upper limit for lead in lipstick in order to further protect the health and welfare of consumers. "

Indeed, what the FDA and the cosmetics industry have been ignoring is cumulative exposure and potential long-term adverse effects.

It's true that a single lipstick application will not lead to harm. And the good news is that not all lipsticks contain detectable levels of lead or other heavy metals. (And by the way, cost doesn't seem to be a factor; a cheap or expensive lipstick isn't the determinant of how much lead is present.)

The problem is when women who wear lipstick apply it two to 14 times a day, according to the University of California study. The result is that they are ingesting and absorbing through their lips as much as 87 milligrams of product a day, the study says.

Women are not only applying their lipsticks several times a day, but they also are doing this in the span of a whole lifetime, which means that exposure to lead and other heavy metals adds up and can potentially affect their health.

One challenge for people wanting to avoid exposure is that none of the metals, with the exception of aluminum, are deliberately added to lipsticks and lip glosses. The metals are contaminants that are present in the pigments and base materials used to make the products. Because the metals are not ingredients, cosmetics companies are not required to list them on products' ingredient labels.

The law regulating cosmetics passed Congress in 1938 and has never been updated. The FDA possesses no legal authority to make sure products are safe before they are sold. Nor is the agency empowered to pull dangerous products from store shelves. It's the Wild West for cosmetics companies, which have very few rules restricting chemical ingredients used in everything from shampoos to lotions to lipsticks.

As the contamination of lip products with heavy metals makes it clear, allowing the industry to police itself is not the best idea.

We need the FDA to be empowered by Congress and to take action so women won't face any health risks when they put on makeup. Cosmetics companies should be required to adhere to a standard for best manufacturing processes to limit metal contamination.

For now, consumers should take precautions to protect themselves from heavy metal exposure from lip products. First, use less. If you find yourself reapplying lipstick 14 times a day, consider cutting back. Second, don't let children use lipstick, as their young bodies are especially vulnerable to toxic metals. Then let's get to work to make sure that by the time they've grown up, we have solved the problem of toxic chemicals in cosmetics.

@highlight

Sharima Rasanayagam: Studies found higher level of lead in some lipsticks

@highlight

Rasanayagam: This raises concerns about the safety of a popular product

@highlight

She says FDA and cosmetic industry should pay attention to long-term effects

@highlight

Rasanayagam: Congress needs to update the laws regulating cosmetics