President Barack Obama could take action as early as next week to protect undocumented immigrants with American-born children and those who entered the United States as children themselves from deportation, an administration official familiar with the plan told CNN.

The official said Obama could sign an executive order bypassing lawmakers and implementing those changes on his own by next week -- though the White House says it hasn't nailed down the timing or content and that final decisions won't come until Obama returns from his Asia trip.

The move has been the subject of months of anticipation. But with lame duck legislative wrangling underway on Capitol Hill, the president's advisers could also wait until next month.

While not specifying when Obama might make his move, the White House said Thursday he's nearing a final decision on how to repair a system both Republicans and Democrats admit needs fixing.

And while officials say the specifics of what he will announce haven't been finalized, the broad contours of a potential plan that eases deportations for millions of undocumented immigrants have been floated by immigration groups for months.

For the multitude of groups who are watching the process unfold, the moment is charged.

"Without hesitation I can say the level of anticipation is intense. We were hoping this would happen in September," said Clarissa Martinez, deputy vice president of the National Council of La Raza. "It's long overdue. The sooner the better."

Millions affected

An expansion of Obama's "deferred action" program (DACA) that went into place in the summer of 2012 is considered by immigration activists a likely component of Obama's immigration action. DACA delayed deportation proceedings for undocumented immigrants who were brought to the United States by their parents as children.

There were caveats on who was eligible: in order to apply, immigrants needed to be younger than 31 at the time the rule was enacted, and younger than 16 when they were brought to the U.S. And applicants are required to either be in school, have earned a high school degree, or be honorably discharged veterans.

The Migration Policy Institute, a nonpartisan think tank, says 1.2 million people were eligible under those rules and nearly 700,000 applied for deferred deportation, with hundreds of thousands more aging into the requirements over the next decade.

But many more would become eligible if Obama expands, or eliminates altogether, those requirements, which were meant to encompass the same sector that would have qualified for permanent resident status under the DREAM Act, which has languished in Congress.

That could mean extending deportation relief to the parents of U.S. citizens, a move that would bring another 3.4 million people into the eligibility ranks, according to a Migration Policy Institute analysis. If the parents of children who are eligible under the current DACA rules are also included, the number rises to 3.7 million.

Changing those rules could also expand the eligible population: eliminating the education requirement, for example, would allow 430,000 more undocumented immigrants to be eligible for deferred deportation, the Migration Policy Institute estimates.

And allowing people over 30 who were brought to the U.S. by undocumented parents would allow another 200,000 immigrants to apply, the think-tank's report says.

Immigration activists, frustrated with the rate of deportations under Obama and further exasperated with the delay in Obama's immigration action, have been urging the White House to go big and expand the deferred deportation order in a way that allow the maximum number of people to stay.

But many who have been watching the process closely believe the eventual announcement will fall short of those appeals.

"We have been making the case all along with activists and scholars that the president could provide relief to millions of people. I don't think they will," said Lorella Praeli, the advocacy director at immigrants' rights group United We Dream. "I think they will try to couch that as 'these are our political constraints.'"

Political football

Whatever Obama finally decides -- and at this point, the options seem clear -- he'll be met with fierce blowback from Republicans on Capitol Hill, who have spent months preparing for the announcement by warning of executive overreach and political well-poisoning.

The White House yielded to politics once already, delaying the immigration announcement from its promised debut this summer to a new date before the end of this year. The move was meant to shield vulnerable Democrats from political attacks on the topic; many of them lost their races anyway.

The postponement wasn't met kindly from immigration groups, who said there wasn't time to spare on providing deportation relief for the millions of people who could be affected by new rules.

This time the White House seems intent to get the announcement done before the New Year. Obama vowed action during a post-election press conference last week and Josh Earnest, his press secretary, reiterated the end-of-year goal during a press conference in Burma Thursday.

There could still be election year ramifications, since Democratic Sen. Mary Landrieu remains locked in a runoff contest with a Republican rival. But with the Senate firmly in Republican hands, any further delay would seem to offer little political advantage while only eroding support further among immigration reform activists.

"For us, every day that there's a delay, and every day that people have to wait, means more people unjustly deported," said Praeli.

Some Democrats want Obama to wait to announce the executive action after essential business clears the House and Senate. Sen. Harry Reid, the outgoing Senate Majority Leader, told CNN the president should hold off any immigration action until a new bill funding the federal government is approved. He said enacting the immigration plan ahead of the spending measure could anger Republicans and risk a government shutdown.

"I'd like to get the finances of this country out of the way before he does it. But it's up to him," Reid said.

But no matter when the action comes, it seems destined to ignite GOP furor. The near certainty of an executive action by year's end hasn't slowed Republican efforts to stop it: this week a Republican congressman from Texas, Rep. Joe Barton, said if Obama goes forward with the plan, impeachment proceedings could be a possibility.

Those threats aren't exactly a new thing. Democrats have raised millions of dollars by warning their party's base about impeachment threats from conservative House members.

More real is the threat that taking executive action on immigration forestalls any legislative effort on the matter. GOP leaders on Capitol Hill say a new plan delaying deportations would enrage Republicans, leaving little political will to push through a comprehensive overhaul of the immigration system.

Obama seems little concerned by Republican threats against making the immigration move, however, pointing out they had an opportunity to pass a bipartisan reform measure in the House but balked.

"I feel obliged to do everything I can lawfully with my executive authority to make sure that we don't keep on making the system worse," he said during last week's news conference.

@highlight

Obama has pledged to act on immigration before the end of the year

@highlight

Precise timing is unclear