Ukrainian sovereignty won't be the only casualty of Russian President Vladimir Putin's efforts to assert Russian influence and interest in Crimea.

It's still far too early to calibrate how this crisis will play out and what its consequences will be -- but it's a fair bet that whether it ends in a Putin victory, defeat, or draw, it's going to make a difficult situation in the Middle East even more complicated.

Whether Putin wins or loses in Ukraine, the odds that Russia could be a reliable partner for the U.S. have decreased dramatically.  And this only reinforces the painfully obvious:  When it comes to the core issues facing the U.S. in the Middle East, the U.S. must focus on outcomes, not solutions, and be very sober about what it might do to contribute to them.

Russia's friends

As go Putin's fortunes, so go those of Syrian President Bashar al-Assad. However the crisis turns out, with one possible exception, the Syrian regime is likely to benefit. And that exception is the highly unlikely contingency that Putin is so weakened from a botched policy in Ukraine or an uncharacteristically bold response from the United States and the West that he is permanently damaged and diminished, or removed from power. Not likely.

The possibility that events in Ukraine will leave Putin victorious will only buck up al-Assad further and demonstrate that Russian street cred is rising.  After all, in September, Putin masterfully intervened and used diplomacy to stay a U.S. military response against al-Assad's use of chemical weapons against civilians.

Now Putin appears to be standing up to the international community and ready to use force to protect Russia's interests in Ukraine. He's clearly not prepared to do that for Syria. But victories for Russia, particularly in the face of the West's empty rhetoric and red lines, can only reinforce al-Assad's conviction that he's betting on the right ally.

Ukraine mobilizes troops amid crisis with Russia

A Putin win -- maintaining significant Russian influence in Ukraine that clearly undermines Ukraine's sovereignty -- will leave Russia stronger and more dependable as a partner and ally in the eyes of al-Assad and, probably, Iran.

Although Iran is not nearly as dependent on Moscow as al-Assad is, Supreme Leader Ayatollah Ali Khamenei looks at the crisis and sees Russian resolve in the face of a feeble West. The hardliners in Tehran will draw their own conclusions about their margin for maneuver in maintaining nuclear weapons aspirations.

Russia has never been as allergic as America to the possibility that Iran will become a nuclear threshold weapons state. Iran will cut its own deal with America on the nuclear issue if it gets the right terms, regardless of what Putin thinks. But given the long odds against a comprehensive accord, should diplomacy fail, Tehran will likely be able to count on Russia to block punitive action in the U.N. Security Council and discourage the use of U.S. military force.

A Putin defeat in Ukraine won't help matters in the Middle East much either, unless the crisis somehow delivers a knockout blow to Putin.

A chastened Putin would probably be even more ornery and recalcitrant about cooperating with the international community on Middle Eastern issues.

But either way, the Russians are determined to frustrate U.S. solutions to Middle Eastern problems that seem like a Pax Americana and exclude Moscow. The reaction to the West's efforts -- to meddle in what Putin believes is Russia's sphere of influence and to oppose Moscow -- will create a mini-Cold War that could, for the remainder of the Obama administration and probably beyond, freeze productive U.S.-Russian cooperation across the board.

Small powers are watching

Beyond this, should Russia manage to have its  way in Ukraine, smaller powers will take notice, particularly those nations whose interests can be at odds with the West and the U.S.

Russia is not a small power. But it is standing up to America and the West.  And for the true smaller powers, how "big" reacts when faced with a challenge from "small" can be instructive.  And the Syrians, Iranians and North Koreans will pay attention to the West's resolve. It can't be a good thing if Russia acts in Ukraine without cost and consequence.

Israel isn't a friend of Russia nor an adversary of the U.S. But the Israelis have already seen what U.S. words mean when it comes to their own determination to continue settlement policy, and to U.S. threats to use military force in Syria, or even against Iran. And they have concluded that words mean very little.

The Saudis have reached many of the same conclusions about the Obama administration's willingness to say what it means -- and more important, act upon what it says.

America's image

Over the years, America has gotten into trouble when the issue of protecting its credibility is the be-all and end-all, in defiance of common sense and wise policy.

Credibility comes from believability -- when a president speaks of policy, he will make good on his words, if need be.

If there is is no cost or consequence for saying no to the U.S., then Washington will have zero street cred. At the same time, if the U.S. tries to maintain credibility by doing dumb or stupid things, or by overreaching, it undermines what it's attempting to protect.

The Obama administration's street cred is very low.  Everyone says no to the U.S., seemingly without consequence: al-Assad; Putin; Afghanistan's President Hamid Karzai; North Korean leader Kim Jong-un; Iraq's President Nuri al-Maliki. It seems the U.S. even gets "yes, buts" from friends and allies like Israeli President Benjamin Netanyahu and Palestinian Authority President Mahmoud Abbas.

Partly this comes from the U.S. setting expectations too high; misreading the way the world actually is; underestimating how determined smaller powers can be; and it comes from the reality that America doesn't control the world now and never did.

We have a very risk-averse president who's focused more on domestic affairs than foreign policy. And he is a leader more committed to improving the middle class as his legacy than he is to the Middle East and its insoluble troubles.

That president is facing a crisis in Ukraine, where geography, history, and proximity favor Putin and leave Washington with a weaker hand. Perhaps some face-saving win-win can be devised. But if not -- and perhaps unfairly, because Obama's options are bad ones -- America will again be judged a weak and feckless power.

As for the Middle East, regardless of how Ukraine goes, the President's fortunes will remain more or less the same: The U.S. will remain shackled with a Putin who is no friend and stuck in a region it can neither repair nor leave.

@highlight

Aaron David Miller: Putin's intervention in Ukraine affects more than Ukraine's sovereignty

@highlight

Miller: This crisis and U.S. response will affect how Middle Eastern nations see U.S.

@highlight

He says if Putin looks strong and U.S looks ineffectual, Syria, Iran and others take notice

@highlight

Miller: Obama administration is risk-averse, and faces long odds vs. Putin on Ukraine