(CNN) -- A fan recently summed up his feelings about NFL arenas in a blog post: Religions have their churches, and sports teams have their stadiums.

As the Green Bay Packers and Pittsburgh Steelers leave their fans' places of Sunday worship to face off in the Super Bowl, one of the world's top sports arena architects shared a story that illustrates why some facilities are better than others.

Rewind to 1998, when James Poulson and five top colleagues from the architectural firm now known as Aecom Ellerbe Becket were camping out in the office suite of Microsoft co-founder and Seattle Seahawks owner Paul Allen.

The pressure was on Poulson's self-described "SWAT team" to design a new stadium with built-in advantages for the home squad -- a stadium that would act as the Seahawks' virtual 12th man.

"The whole concept was to create a place at one end of the field for the real crazies who like to paint themselves blue and green," Poulson recalls. "The stands would be made of steel -- so when you stomp your feet, it made noise." But the area also needed to have a great view that wasn't blocked by the giant video scoreboard.

During a "pretty intensive roll-up-your-sleeves work-all-night atmosphere," crude models were built, handmade sketches were pinned to the office walls, and eventually, the presentation was ready for Allen. "We brought in this model with little blue lights built into it, and we turned off the room lights and turned on the blue lights in the model," Poulson said. "Paul was like a little kid with a new toy. He was so excited with the potential of something like that."

Looking straight at Poulson, Allen asked, "Where has this been done before?" Nowhere, Poulson told him. "Great, we're going to do it."

Infrastructural adversary

From there began Qwest Field's reputation as an infrastructural adversary for any visiting NFL team. Not only was the end zone noisy, the entire stadium seemed to amplify the crowd noise and focus it onto the field. Now the arena is among the top delay-of-game venues in the league -- much to the chagrin of Seahawks opponents.

More ideas flowed onto the blueprints.

The stadium was positioned so that Seattle's infamous horizontal rain would pelt the opponents' sideline area -- but not the home team's sideline."It was a calculated risk," Poulson admitted. "We knew where the rain was coming from, and we knew which way the stadium had to be oriented for percentage angles."

A recent report in Discovery News suggested that foot-stomping fans at Qwest might actually create their own mini-earthquakes.

Poulson explained, "We don't recruit players, and we don't build teams, and we don't coach. We try to create an environment that's conducive to spectacular athletic performance."

Welcome to the era of the NFL super stadium: a high-tech sports sanctuary designed to win more games, make more money and please more fans. "The buildings aren't always getting bigger, but they are getting smarter," says Christopher Lamberth, of 360 Architecture.

It's a time when rabid football followers name their pets after their favorite arenas, like Heinz.

It's a world where PETA praises animal-friendly NFL stadiums, such as the Packers' newly renovated Lambeau Field for its "hearty, meat-free fare."

It's also when fans aren't satisfied by simply sitting in the stands and watching a game on the field. They can do that at home, Lamberth said. But what they'll never replicate with at-home viewing is the vibe of actually being where the game is. So now, the idea is to combine the best of both worlds: at home and at the field.

"You can go sit in the upper deck and still have a good time," Lamberth said. "You can watch from a concession-area monitor. Or if you want to tailgate it in the parking lot and watch it on satellite, that's great, too." Either way, fans come away with a game-day experience.

Stadiums are reflecting this attitude by bringing to the field more of the comforts and gadgets of home -- luxury boxes, multiscreen video and top-notch concessions. Design trends follow with wider stadium concourses and large, open plazas surrounding the arenas.  Tailgating on steroids

This weekend's Super Bowl has embraced the idea as a way to boost attendance toward the 100,000 mark. Tickets: $200 a head. Experiencing the vibe of the Super Bowl parking lot: priceless.  At Lambeau, where Wisconsin's brutal cold often provides a home field advantage, the stadium has sponsored its own sort of tailgate-party-on-steroids called The Tailgate Tundra Zone.

Up to 4,000 partying Cheeseheads take over a couple hundred parking spots with the team's blessing.

With about 84,000 fans on a waiting list for season tickets, the Tundra Zone is the next best thing to being inside a stadium that has sold out its past 290 games.

Getting intimate at Heinz Field

In Pittsburgh, cold winds off the Ohio River blast into the open end of Heinz Field, creating a home field advantage for visiting teams' inexperienced kickers. The arena is considering adding 4,000 seats, and plans are under way to connect Heinz to downtown with a light-rail line.

Heinz and many of the league's other newer or newly renovated stadiums offer "intimate" settings. Fewer seats are in the end zone, and more seats are closer to the field. Spectators have a more direct line of sight to the action.

And then, of course, there's the amazing 21st century technology.

At the home of the Arizona Cardinals, the 19 million-pound field turf rolls from inside the stadium to the outside, so the grass can bask in the Phoenix sunshine. Cowboys Stadium's retractable roof is touted as the largest of its kind in the world. It opens or closes in just 12 minutes.

Media technology is built into the backbone of the NFL's New Meadowlands Stadium in New Jersey. Opened in 2010, the home to New York's Jets and Giants boasts four huge HD video scoreboards -- one for each corner of the field. Most stadiums have two -- one in each end zone.

For Jets games, ticket holders have access to a new hand-held sports video device called FanVision, which feeds detailed game stats and shows replays from several exclusive camera angles that fans wouldn't see anywhere else. Also, concession technology at Meadowlands speeds up purchases and shortens lines. Stadium operators can track sales data in real time.

Faster than you can spell 'Roethlisberger'

Meadowlands' Wi-Fi capacity is huge, said William Squires, an ex-Giants vice president who consults for the new stadium.

"You have fans trying to upload photos or video, and some of these stadiums just can't handle it," he said. "But we think we're ahead of the times when it comes to that. Our wireless abilities are pretty much off the charts."

Fans of the sci-fi film "Blade Runner" recall the giant video walls emblazoned on skyscrapers of the future. In the real world, stadium designers are moving in this direction. American Airlines Arena, which is home to the NBA's Miami Heat, was one of the first sports facilities to use MediaMesh technology that turns building facades into giant video screens.

Look for this trend to continue and intensify. Video projected on the building will reveal upcoming games or live broadcasts of the games being played inside. Or, the video facades could offset expensive ticket prices with paid advertising.

For future facilities, designers are looking at other ways to transform sports arenas.

Organizers of London's 2012 Olympics are interested in venues that can easily transform seating and field configurations from one sport to another. In Qatar, site of the 2022 FIFA World Cup, proposed stadiums include detachable upper tiers.

Designers are asking themselves, "How can we expand or adapt seating capacity?" Lamberth said. "The flexibility to host various events is the transformable."

@highlight

Super Bowl stadium boosts attendance by selling tickets for the parking lot

@highlight

Newer NFL facilities boast smarter designs, more technology

@highlight

Packers' Lambeau Field embraces "tailgating on steroids"

@highlight

Stadium architect reveals secrets of home-field advantage