(CNN) -- Ecological and conservation groups are praising a move by the Environmental Protection Agency to impose new restrictions on rat poisons to help reduce the threat of accidental exposure to children and wildlife.

The rules say only farmers, livestock owners and certified rodent control employees can buy rat poison in bulk.

"We are very happy that the EPA has done all it can to get these products off of the consumer market," said Michael Fry, director of conservation advocacy for the American Bird Conservancy. "By putting these restrictions in place, they are allowing a compromise to be made between themselves and organizations who have been working on this problem for a long time."

The EPA's new measures, which were handed down Thursday, require that rat poisons be kept in bait stations above ground and in containers that meet agency standards.

Loose bait, such as pellets, and the four most hazardous types of pesticides, known as "second-generation anticoagulants," will no longer be sold for personal use.

Under the new restrictions, only farmers, livestock owners and certified rodent control employees will be allowed to purchase rat poison in bulk. Bags larger than 8 pounds will no longer be sold at hardware and home-improvement stores.

Children who come into contact with highly toxic pellets can experience terrible symptoms from digesting them. They include internal bleeding, nosebleeds, hair loss and extensive bruising.

Between 2001 and 2003, rat poison was responsible for nearly 60,000 poisonings, according to a study done by the American Association of Poison Control Centers. About 250 of these yearly exposures result in serious injuries or death.

The EPA said it believes the restrictions will not only keep the products out of children's hands, but also reduce the ecological and wildlife risks associated with exposure to rat poison.

Bait blocks that are typically placed on the ground use fish and other flavors that attract endangered species, including mountain lions.

"In California, almost every animal tested by the National Wildlife Service had residues of rodenticides," said Fry. "The rat baits are also very lethal to scavengers, because the toxins remain in the rodent's body long after they initially die."

Although the EPA is receiving considerable praise for the initiative, this isn't the first time the agency has worked to combat the threat of rat poison.

In 1998, the EPA established two standards for rat poison. The agency required manufacturers to include an ingredient that made the poison taste bitter and use an indicator dye that would make the ingestion of pesticides more recognizable.

But regulations were revoked in 2001 after the agency came to a mutual agreement with manufacturers to rescind the requirements.

"We determined that the dye wasn't effective in keeping children from being accidentally exposed and the bittering agent actually resulted in a loss of efficiency in controlling rodents," said Steven Bradbury, director of the agency's Division of Special Review and Re-registration.

"In our decision Thursday, we felt that we needed an approach that would stop children coming in contact with the pesticides in the first place. That ultimately led to the implementation of bait stations," Bradbury said.

The decision to revoke the requirements led the West Harlem Environmental Action, Inc. and the Natural Resource Defense Council to file a lawsuit three years later.

Both organizations saw the retraction as a way to make it easy for consumers to purchase unsafe rodenticides over the counter. According to the West Harlem group, inner-city housing and park departments such as the New York City Housing Authority could continue laying rat baits in public areas that were easily accessible to children.

"Studies show that the number of poisonings in minority children is much higher than others," said Aaron Colangelo, a staff attorney at the Natural Resource Defense Council. "Not only do we have an environmental health issue, but an environmental justice issue as well."

New York State Health Department studies showed that 57 percent of children hospitalized for rat poisoning were black and 26 percent were Latino.

The EPA said it is working to reduce those numbers in upcoming years with regulations like the ones it introduced this week.

"We were frustrated that the EPA dragged their feet for three years before finally taking some productive steps," said Colangelo. "But, from our perspective, they are finally starting to do what needs to be done in order to protect children."

After June 4, rat poison manufacturers will have 90 days to comply with the EPA's guidelines. They will then have the opportunity to design new bait stations and formulas for their poisons.

All new products should be registered and certified by June 2011.

@highlight

EPA says new regulations will reduce rat poison exposure to children, wildlife

@highlight

Environmental groups laud efforts to keep rat poison off consumer market

@highlight

New restrictions prohibit sale of loose pellets, bulk bags for personal use

@highlight

Bait blocks for rats that are used in the wild can attract endangered species