Editor's Note: Barry Eichengreen is George C. Pardee and Helen N. Pardee Professor of Economics and Political Science at the University of California, Berkeley. He is the author of "Golden Fetters: the Gold Standard and the Great Depression, 1919-1939."

Barry Eichengreen says strong action should be taken to stop the financial crisis from getting worse.

BERKELEY, California (CNN) -- Every time the economy and stock market turn down, financial historians get predictable calls from reporters.

Could this be the start of another Great Depression? Could "it" possibly happen again? My stock answer has always been no.

The Great Depression resulted from a series of economic and financial shocks -- the end of a housing bubble in 1926 and the end of a high-tech bubble in 1929 -- but also from truly breathtaking neglect and incompetence on the part of policymakers.

It couldn't happen again precisely because policymakers know this history. Fed Chairman Ben Bernanke is a student of the Great Depression. Treasury Secretary Henry Paulson remembers the mistakes of Andrew Mellon, Herbert Hoover's treasury secretary.

We can be confident, I always answered, that there will not be another Great Depression because policymakers have read financial histories like mine. At least that was my line until recently. Now I have stopped taking reporters' calls.

The first thing that made the Great Depression great, of course, was the Fed's failure to act. It basically stood by as the banking system and the economy collapsed around it. This time, in contrast, the Fed can hardly be criticized for inaction. Not only has it cut rates, but it has rolled out one new unprecedented initiative after another.

Unfortunately, it has reacted more than acted. First, it provided funds to the commercial banks. Then, it targeted broker-dealers. Now, it is desperately propping up the commercial paper market. All the while however, the problem has been infecting new parts of the financial system.

One thing that restrained the Fed in the 1930s was the fear that rate cuts might cause capital to flee to other countries and the dollar to crash. The danger was that the same liquidity that the Fed poured in through the top of the bucket might just leak back out through these holes in the bottom.

There was a solution: coordinated rate cuts here and in Europe. Unfortunately, central bankers couldn't agree on what was needed. The result was further instability.

That central banks have learned this lesson of history and now see the need for coordinated action is at least one ground for hope. The problem is that they have already used their bullets. iReport.com: What lessons have your family passed down from the Great Depression?

U.S. Treasury bill rates have essentially fallen to zero, and the Fed's policy interest rates are only slightly above that level. Central banks are out of ammunition. This is no longer a problem they can solve by themselves.

What is needed now is Treasury action to address what has morphed into a global banking crisis. Between 1930 and 1933, not just the U.S. but also Europe and Latin America experienced rolling banking crises.

When Austria took desperate measures to prop up its banking system, its banking crisis only shifted to Germany. When Germany did the same, the crisis spread to the United States.

This was beggar-thy-neighbor policy at its worst. We have seen some disturbing evidence of the same in recent weeks, as when Ireland unilaterally guaranteed all bank deposits and thereby sucked funds out of the British banking system.

G7 leaders, when they meet in Washington at the end of this week, need to explain exactly how they will address this aspect of the problem. They need to commit money to recapitalizing their banking systems -- now, and not next week.

The U.K., which has just announced a $50 billion plan for bank recapitalization, has shown how this can be done in a matter of days. But a coordinated initiative will require the U.S. to put up a considerably larger sum.

My recommendation would be to abandon the idea of reverse auctions for toxic assets and instead use the $700 billion of the recently passed rescue plan for bank recapitalization. Although the Great Depression started in 1929, it took until 1933 for American leaders to grasp this nettle and recapitalize the banks. We can't afford to wait for years this time around.

A final thing that made the Great Depression such a catastrophe was that some of the worst shocks occurred right before the 1932 presidential election. There then followed an extended interregnum between the election and inauguration of the new president when no one was in charge.

The outgoing president, Hoover, asked his successor designate, Franklin Roosevelt, to cooperate with him on joint statements and policies, but FDR refused to do so. Meanwhile, the banking crisis deepened. Corporations failed.

The economy was allowed to spiral downward. It was this disaster that led us to amend the constitution to shorten the time between presidential election and inauguration from 4 to 2½ months.

The implication is clear. The two presidential candidates should be assembling their financial SWAT teams now. Paulson should promise that they will be invited into his office on November 5. This problem cannot wait until Inauguration Day.

The opinions expressed in this commentary are solely those of the writer.

@highlight

Eichengreen: Serious mistakes were made by policy makers in Depression

@highlight

Today's leaders know the lessons of the Depression, he says

@highlight

Still, events are rapidly overtaking the resources of the central banks, he says

@highlight

Eichengreen: The problem can't wait until Inauguration Day to be solved