These days, both violent video games and Congress have come under fire in the media and the court of public opinion, albeit for different reasons.

Now, McGraw Hill Education hopes to change the perception of both gaming and the nation's lawmakers with "Government in Action," a 3-D multiplayer game.

Designed for the college freshman American government course, which is taken by more than 750,000 students every year, the game allows players to experience the intricacies of life as a U.S. representative -- and explain why actually getting legislation passed isn't always as easy as it would seem.

For today's digital generation, it may prove a fresher approach to complex subject matter than the traditional textbook.

Rep. John Tierney, D-Massaschusetts, who worked with game developer Muzzy Lane Software, hopes this game will be another tool to get students interested in learning more about how Congress works.

"The ability to interact rather than just reading a text in this technology-driven age will probably drive more interest," Tierney said. "Video games with a core educational component may supplement traditional materials, such as textbooks, and may enable students to improve their understanding of certain subjects."

The game begins with the player getting elected to the House of Representatives, with two years to get re-elected. According to Stephen Laster, chief digital officer at McGraw-Hill Education, the goal is to build up political capital, awareness, approval and influence in multiple ways.

Gameplay takes place both in Washington and in the player's home district. The game will randomly assign players a congressman and political affiliation, and the president of the United States will also be randomly determined with each play. The game allows players to meet with the president and go to the Supreme Court.

"Players will need to work with both national and local media, appease local and national lobbyists, hold fundraisers and find co-sponsors of bills that will keep their constituents happy and align with their own political ideologies of left, centrist or right," Laster said.

"In multiplayer, which supports up to 18 players, fellow classmates can join together to co-sponsor bills, and the game's been designed to be customizable based on how the instructor wants to utilize it during his class or throughout a semester."

The game, which is part of the McGraw-Hill Practice suite of hands-on, experiential learning games, was tested in schools across the country, including Georgia Perimeter College, Collin Community College in Texas, California State University, San Diego State, Richland College in Texas and Clayton State in Georgia.

Professor Jason Seitz of Georgia Perimeter College said the game helped his students tie all of the concepts in his course together to develop a deeper understanding and knowledge of the subject. "With an engaged classroom, I can spend less time transferring facts and more time exploring implications," he said.

Despite the negative press that video games sometimes get, they're changing the way subjects are being taught in classrooms across the country. According to a March 2012 survey of teachers, 32% use games two to four days per week, while 18% use them every day. An overwhelming 70% of teachers agreed that using digital games boosts motivation and engagement, and 62% of teachers said that games make teaching easier.

Dave McCool, president and CEO of Muzzy Lane Software, said the challenge with serious games is to make them both fun and educational. While there have been proven benefits of using games as part of educational curriculum, educational games aren't flooding the market.

"The fact that 'Oregon Trail' and 'Carmen Sandiego' still stand out after 30 years isn't great from the perspective of how powerful good, serious games can be," McCool said.

McCool's team is expanding "Government in Action" to work on iPad and Android tablets to take advantage of touch controls. The iPad version of the game will make its debut at the 2013 SXSWedu conference in Austin, Texas.

"Educators seem to have more tools available to them than ever before, and there's no doubt that, when appropriately utilized, technology has the capacity to enhance the classroom experience," Tierney said. "The key, of course, is to familiarize and excite teachers to maximize its use in the most positive way."

As is the nature of gaming, "Government in Action" has been designed to be addictive. Instructors have found that students will replay the game again and again to explore myriad options, as well as to compete on the leaderboard.

Making virtual government fun is quite an achievement. Now, if these game developers could just translate that into the real-world government, that would be something else.

@highlight

"Government in Action" lets players serve as a member of Congress

@highlight

The game from McGraw-Hill is designed to be used in college classrooms

@highlight

Player, who's newly elected, is randomly assigned a party and district

@highlight

Congressman hopes game will help students understand lawmaking