(MNN.com) -- If you're a dog owner and call yourself eco-conscious, guilt might set in after reading the book "Time to Eat the Dog? The Real Guide to Sustainable Living" by Robert and Brenda Vale, which reveals dogs are worse for the environment than SUVs.

The authors, who designed the first sustainable settlement in the United Kingdom in 1996 and are architecture professors at Victory University of Wellington in New Zealand, measured the environmental impact of our lifestyles from the food we eat to how we travel to sports, hobbies and pets based on the Ecological Footprint technique created by Mathis Wackernagel and William Rees.

Bottom line: Our pooches cost the Earth more than a Toyota Land Cruiser. According to the Vales' research, a medium-sized dog has twice the impact of driving the luxury SUV 10,000 miles. Why? "Basically dogs are bad for the environment because they are large carnivores, so it takes a lot of land to provide their foods," says Robert Vale.

Luckily, there are a few things you can do to get Fido out of the proverbial doghouse.

MNN.com: Photos: 7 pudgy pets that should lay off the kibble

Put your dog on a diet

Since your canine's carnivorous diet is the biggest factor in his environmental impact, start by looking at what goes in the dog bowl. Most dog food isn't produced in an eco-friendly way, and the heavy bags of kibble or cans of wet food have to travel miles to get to your door.

Dr. Viv Harris, veterinarian and author of "Natural Remedies Dogs and Cats Wish You Knew: A Holistic Care Guide," suggests making your own dog food using locally grown or organic veggies.

Your vet can help you work out the perfect mix of proteins, carbohydrates, fats, minerals and vitamins to meet your dog's needs. And with all of the tainted pet food scandals in recent years, your dog may be better off eating home-made meals anyway. After all, many dog foods that claim to be natural still contain byproducts or low-grade meats.

If the do-it-yourself doggie diet sounds like too much work, look for smaller, locally made dog food brands. Or select chicken or rabbit based-kibble, which have a lower impact than beef.

MNN.com: Nutrition tips for your pet

Do your doodie duty

If you ask the Vales, dog poo isn't such a big deal compared to what goes in the other end. However, if you don't scoop up the poop, it can contaminate our waterways. If you're a city dweller and use plastic bags to clean up, choose biodegradable poop bags.

Shop smart

Just like when you shop for yourself, think about the impact of the products you buy for your pets. Choose dog shampoos that are free of sodium lauryl sulfate. For toys and dog beds, avoid plastic and synthetic products and look to natural fibers like organic cotton or hemp as well as products made from recycled goods.

Use birth control

Spaying and neutering your dog might sound inhumane, but it's the eco-conscious thing to do. "Reducing the overpopulation of dogs is crucial," Harris says. If your dog alone creates a impact bigger than an SUV, just think what its accidental litter of puppies could do!

MNN.com: 10 ways owning a pet benefits your health

Choose safe flea and tick treatments

According to the Natural Resources Defense Council (NRDC), some flea control products pose a cancer risk to children up to 1,000 times higher than the Environmental Protection Agency's acceptable limits. Keep these chemicals off little fingers and your pet's fur by talking to your vet about safer treatments or by choosing from the NRDC's list of safer flea control choices.

You can also make natural solutions at home. In her book, Harris suggests creating a DIY flea wash. Start with a base of castile soap and add 10 drops of lavender, five drops of eucalyptus, five drops of rosemary and five drops of cajuput oil.

Consider other pets

We're not suggesting you part ways with your pooch right now, but if you don't have a dog yet or are considering a second pet, you might want to think outside the dog box. According to the Vales, a goldfish is equal to the impact of just two cell phones; two hamsters or four canaries can be compared to a plasma TV; and a cat is only as bad as a Smart Car. Even smaller dogs are better than big dogs.

Change your own habits

Just like you can buy carbon credits when you take a long-haul flight, you can try to balance out your dog's impact by making some changes of your own. If you don't want to give up Fido, maybe you should give up meat or your car instead. Of course, smaller changes or buying carbon credits can help, too.

© Copyright 2011 Mother Nature Network

@highlight

Authors Robert and Brenda Vale reveal dogs are worse for the environment than SUVs

@highlight

Put your doggie on a diet

@highlight

You can consider other pets or change your own habits