Pretoria, South Africa (CNN)  -- Pretoria is a city desperately trying to shake off its image as the former headquarters of apartheid. While Cape Town is South Africa's tourist hub and Johannesburg the economic center, Pretoria is the country's administrative capital.

South Africa's equivalent of the White House, known as the Union Buildings, is situated here. So is Loftus, one of the country's 10 World Cup stadiums. On the outskirts of Pretoria are large plots and farms where many apartheid-era generals and ministers have retired.

Also surrounding the capital are various "black townships," including Mamelodi, where CNN correspondent Nkepile Mabuse was born and raised.

"Etched in my mind is an incident in Pretoria in the early '80s when, as a little girl, a big white man spat on me on the very first day 'whites only' cinemas opened their doors to black people," Mabuse recalled.

"Today, Pretoria is a city that, while littered with many reminders of South Africa's painful past, is also rich with evidence of its transformation," she said.

CNN.com asked Mabuse for tips on her favorite Pretoria spots.

Where can you get the best view of the city?

The view from the steps of the Union Buildings is pretty spectacular. The official seat of the South African government is located in these buildings.

Which restaurant would you take a loved one to for an anniversary or other special occasion?

For a totally African experience, I would recommend Moyo. This large restaurant and special event venue is situated in one of the oldest nature reserves in Pretoria. Here you can order not only South African food but also experience tastes from other parts of the continent. Before digging into your food, though, you will be invited to wash your hands in traditional African style or get your face painted. Depending on which day you choose to go, you may also be treated to the sweet melodies of the Moyo Beauties or a live band.

Where is the best place for people-watching?

You can experience the energy of a new, culturally diverse and vibrant post-apartheid Pretoria at Brooklyn Square. Its trendy courtyard restaurants are where the beautiful people of this town converge to eat, drink and listen to live music.

What is your favorite neighborhood?

Brooklyn, a suburb east of the city center. Its streets are lined with breathtakingly beautiful trees. Its houses are old Dutch style on the outside but modern on the inside. Many of its residents shop and play at Brooklyn Square.

How do tourists stick out, and what's the best way to blend in?

Opening your map in the middle of the street or asking just about everyone you bump into for directions is a total no-no, not only in Pretoria but everywhere else in South Africa.

If you are lost inside a mall, ask the security personnel or help desk for assistance. If you are on the road, stop at a gas station and ask the attendants for directions. Most South Africans are very friendly and willing to help, but since it's impossible to tell a criminal from an ordinary citizen, it's better to play it safe. If you need to refer to your map, make sure no one is watching.

What's the biggest misconception about your city?

That it is backward. Pretoria is just as cosmopolitan as Johannesburg and Cape Town.

Where do you go to relax?

Mangwanani. It is the quintessential African spa and has several branches in town.

What essential thing should visitors see/experience if they only have a few hours?

The 60-year-old Voortrekker monument is one of the first imposing structures you will see when driving into Pretoria. It is an architectural marvel that chronicles the history of the Afrikaner between 1835 and 1854, when Voortrekkers, or pioneers, left the Cape Colony for the interior of what is now South Africa.

Not very far from it is Freedom Park, opened in December 2007, a memorial and symbol of South Africa's hard-won democracy. The most spectacularly beautiful court in South Africa is the Palace of Justice, where Nelson Mandela and others were sentenced to life in prison in 1964. It is in the city center's busy Church Square.

Is there a "tourist trap" that's actually worth seeing?

The Union Buildings. Not only can you get the best view of the city from here, you can get pretty close to the presidential headquarters. Buy a souvenir or ice cream from the handful of traders there and take a walk down its vast manicured lawn. It is in the auditorium of this building where Nelson Mandela's historic inauguration took place in 1994 and where every South African president takes his oath.

What was your most memorable meal?

Nigerian couscous at Moyo. It's fantastic.

Where's your favorite place to spend a night out on the town?

Menlyn Square has some of the city's most popular bars, all in one location.

Are there local specialty dishes or drinks that visitors must try?

If you would like a taste of South Africa, you have got to try pap, a porridge made from maize, usually served with loads of sauce, a vegetable or meat. Try it with chicken feet. To drink, try Amarula. It's made from the African marula fruit and is usually served on crushed ice.

What is a good local souvenir?

Without a doubt, a vuvuzela. It is an elephant-sounding plastic trumpet blown by fans at every football game in South Africa. Get one that is nicely decorated with beads or hand-painted in the South African flag colors.

@highlight

For broad look at city, take in view from steps of Union Buildings

@highlight

Menlyn Square has some of city's most popular bars all in one location

@highlight

Try pap, a porridge made from maize, usually served with loads of sauce, a vegetable or meat