(CNN) -- Ephemeral messaging apps such as Snapchat, Wickr and Frankly, all of which advertise that your photo, message or update will only be accessible for a short period, are on the rise. Snapchat and Frankly, for example, claim they permanently delete messages, photos and videos after 10 seconds. After that, there's no record.

This notion is especially popular with young people, and these apps are an antidote to sites such as Facebook where everything you post lasts forever unless you take it down -- and taking it down is no guarantee that it isn't still available.

These ephemeral apps are the first concerted push against the permanence of Internet conversation. We started losing ephemeral conversation when computers began to mediate our communications. Computers naturally produce conversation records, and that data was often saved and archived.

The powerful and famous -- from Oliver North back in 1987 to Anthony Weiner in 2011 -- have been brought down by e-mails, texts, tweets and posts they thought private. Lots of us have been embroiled in more personal embarrassments resulting from things we've said either being saved for too long or shared too widely.

People have reacted to this permanent nature of Internet communications in ad hoc ways. We've deleted our stuff where possible and asked others not to forward our writings without permission. "Wall scrubbing" is the term used to describe the deletion of Facebook posts.

Sociologist Danah Boyd has written about teens who systematically delete every post they make on Facebook soon after they make it. Apps such as Wickr just automate the process. And it turns out there's a huge market in that.

Social media users migrating to smaller circles

Ephemeral conversation is easy to promise but hard to get right. In 2013, researchers discovered that Snapchat doesn't delete images as advertised; it merely changes their names so they're not easy to see. Whether this is a problem for users depends on how technically savvy their adversaries are, but it illustrates the difficulty of making instant deletion actually work.

The problem is that these new "ephemeral" conversations aren't really ephemeral the way a face-to-face unrecorded conversation would be. They're not ephemeral like a conversation during a walk in a deserted woods used to be before the invention of cell phones and GPS receivers.

At best, the data is recorded, used, saved and then deliberately deleted. At worst, the ephemeral nature is faked. While the apps make the posts, texts or messages unavailable to users quickly, they probably don't erase them off their systems immediately. They certainly don't erase them from their backup tapes, if they end up there.

The companies offering these apps might very well analyze their content and make that information available to advertisers. We don't know how much metadata is saved. In SnapChat, users can see the metadata even though they can't see the content and what it's used for. And if the government demanded copies of those conversations -- either through a secret NSA demand or a more normal legal process involving an employer or school -- the companies would have no choice but to hand them over.

Even worse, if the FBI or NSA demanded that American companies secretly store those conversations and not tell their users, breaking their promise of deletion, the companies would have no choice but to comply.

That last bit isn't just paranoia.

We know the U.S. government has done this to companies large and small. Lavabit was a small secure e-mail service, with an encryption system designed so that even the company had no access to users' e-mail. Last year, the NSA presented it with a secret court order demanding that it turn over its master key, thereby compromising the security of every user. Lavabit shut down its service rather than comply, but that option isn't feasible for larger companies. In 2011, Microsoft made some still-unknown changes to Skype to make NSA eavesdropping easier, but the security promises they advertised didn't change.

This is one of the reasons President Barack Obama's announcement that he will end one particular NSA collection program under one particular legal authority barely begins to solve the problem: the surveillance state is so robust that anything other than a major overhaul won't make a difference.

Of course, the typical Snapchat user doesn't care whether the U.S. government is monitoring his conversations. He's more concerned about his high school friends and his parents. But if these platforms are insecure, it's not just the NSA that one should worry about.

Dissidents in the Ukraine and elsewhere need security, and if they rely on ephemeral apps, they need to know that their own governments aren't saving copies of their chats. And even U.S. high school students need to know that their photos won't be surreptitiously saved and used against them years later.

The need for ephemeral conversation isn't some weird privacy fetish or the exclusive purview of criminals with something to hide. It represents a basic need for human privacy, and something every one of us had as a matter of course before the invention of microphones and recording devices.

We need ephemeral apps, but we need credible assurances from the companies that they are actually secure and credible assurances from the government that they won't be subverted.

The opinions expressed in this commentary are solely those of Bruce Schneier.

@highlight

Bruce Schneier: Ephemeral messaging apps such as Snapchat are on the rise

@highlight

Schneier: These apps claim they permanently delete your post, but that's not quite true

@highlight

He says the app companies might analyze their content and give info to advertisers

@highlight

Schneier: If the apps are not truly secure, dissidents who use them could be affected