London (CNN) -- With its early colonial portraits, depictions of grand historical battles, transcendentalist landscapes and intimate, turn-of-the-century paintings of the elite classes, the collection of American art at the Metropolitan Museum of Art in New York ranks as one of the finest in the world.

It also functions as a visual timeline for the events in the nation's history.

"It's American history through the eyes of American artists," said Morrison Heckscher, Chairman of the American Wing at the Metropolitan Museum of Art.

"Most of the major trends, the events of importance in the nation's history, were addressed by artists in one way or another -- war, Civil War, the environment, all of these things," he said.

Now, the American Wing at the museum has been re-configured for the 21st century and has re-opened to the public following a decade-long renovation program.

"The display of the art is broadly chronological," said Heckscher, explaining that the re-designed galleries move from early colonial paintings, onto the post-Revolutionary period, the Hudson River School, the Civil War era and finally to the late-nineteenth century paintings of John Singer Sargent and James McNeill Whistler.

Hermitage sets up 'mini-museum' in Madrid's Prado

Also on display are collections of American decorative arts, including furniture, silverware and ceramics.

"We want to treat these different media as works of art on their own -- it's an effort to have a broader a view of what constitutes art," said Heckscher.

But the jewel in the collection, according to Heckscher, is Emanuel Leutze's monumental painting Washington Crossing the Delaware, which depicts George Washington crossing an iceberg-strewn river with his troops at a pivotal moment in the revolution.

"It was a major history painting, Leutze had done a series of history paintings that documented and touched on the evolution of the United States as a democratic society," said curator at the American Wing Elizabeth Mankin Kornhauser.

Leutze grew up in America but subsequently moved back to his native Germany, where he painted Washington Crossing the Delaware in 1851.

"The intention was really to fuel the quest for freedom in Europe and Germany by looking back in time to this great hero of the American Revolution, creating this kind of mythic historical scene, an event that was a turning point in the revolution," said Kornhauser.

It was later taken to America and served as a focal point during the Civil War, Kornhauser said, and has fallen in and out of public favor ever since. Now it takes pride of place in the new galleries.

Also on display following a recent acquisition -- obtained just three days before the new wing opened in January -- is a sculpture of Abraham Lincoln by Augustus Saint-Gaudens, a reduction of the one that stands in Lincoln Park in Chicago.

"This is particularly exciting for us because it was originally in the collection of John Hay and John Hay was Lincoln's private secretary during the Civil War," said curator Thayer Tolles.

Khubiliai Khan's riches travel to New York's Metropolitan Museum of Art

The sculpture portrays Lincoln deep in thought and looking, according to Thayer, "as if the weight of the world is on his shoulders."

Though the works in the collection are arranged chronologically, themes emerge throughout -- notably the importance of the environment.

Kornhauser describes a painting by Thomas Cole, founder of the landscape-oriented, mid-19th-century Hudson River School, depicting a tourist attraction on the Connecticut River.

"He's portrayed settled land on the right and wilderness on the left and it's essentially his manifesto to preserve the wilderness, to not lose sight of the beauty and spiritual importance of the wilderness as we rush to settle the land," said Kornhauser.

"It's almost like the beginning of the environmental movement, portrayed in this painting," she continued.

This also comes through in the 1918 bronze sculpture "End of the Trail," by James Earle Fraser, which portrays a Native American sat slumped on his exhausted horse and which functions as a metaphor, according to Thayer, "for the effect of Euro-American settlement on the American West."

What also emerges throughout the collection is the enduring influence of European styles in American art. Through the works, said Tholles, you can see "an interesting blend of European sophistication and aesthetics with American subjects."

This carries through from the early colonial portraits by British artists, which influenced American painters such as John Singleton Copley, all the way through to Europhile John Singer Sargent.

"What is American art?" said Heckscher. "Well, it's somewhat in the eye of the beholder."

@highlight

Newly reopened American Wing at Metropolitan Museum of Art in New York shows American history through art

@highlight

Collection includes iconic paintings of American Revolution and American Civil War until beginning of 20th century

@highlight

Preoccupation with protecting natural environment and use of European styles reflected in the collection

@highlight

Collection now houses new acquisition, a bronze sculpture of Abraham Lincoln