(CNN) -- The power of the Mexican military was on full display Tuesday in Ciudad Juarez, where police reported the third consecutive day without a drug slaying.

A federal police officer guards a checkpoint earlier this month in Ciudad Juarez, Mexico

Ten drug-related killings in a single day were common before 9,500 army troops poured into the blood-soaked border town in the past few weeks, said Mauricio Mauricio, a spokesman for the Juarez municipal police.

"It's a much more secure city at this moment," he said. "We haven't had murders with the same regularity and frequency as before."

But as President Obama's administration announced plans Tuesday to beef up U.S. security along its border with Mexico, there are questions about whether increased military and police efforts in both nations can yield long-term results.

Mexico has been spiraling into a deepening pit of violence, with 6,500 people killed in 2008 and the body count continuing apace this year. Most of that violence is occurring along the border, which worries Washington.

Mexican President Felipe Calderon and others have said recently that the United States must share responsibility because the demand for drugs and most of the weapons used by drug cartels comes from north of the border.

The drug war and security will be a major topic when U.S. Secretary of State Hillary Clinton visits Mexico on Wednesday and Thursday.

Andrew Selee, director of the Woodrow Wilson Center's Mexico Institute, called Obama's pledge on Tuesday to give $700 million in aid to Mexico and assign an additional 360 staff along the border a "substantive commitment" that shows the United States is serious about attacking the problem.

"It's an attempt to really put some substance behind the idea of shared responsibility," Selee said. "They finally committed some of the resources they said they would to this."

Success will depend on the follow-through, he said.

"Now is the hard part," he said. "It's not easy to follow the money trail or stop the weapons or the criminal networks."

Others say the Obama plan falls short.

Larry Birns, director of the Council on Hemispheric Affairs, a Washington policy institute, calls it a "militarized strategy" that isn't oriented toward finding solutions based on economic development or social justice programs.

"This is a feel-good strategy that is meant to produce the illusion of concrete developments taking place when it's actually just really more of the same," Birns said. "You're talking about a 2,000-mile border, so the odd 16 [agents] here or 12 there is not going to do the trick."

On the other hand, Mexico's major military commitment is certainly showing short-term benefits.

Before the army arrived in Ciudad Juarez, there had been more than 400 drug killings this year, police spokesman Mauricio said. Since the army arrived, slayings have dropped 95 percent, he said.

Peter Hakim, president of the Washington-based Inter-American Dialogue policy institute, says Mexico's use of the army in Juarez -- and its evident success -- "shows that Mexico is definitely not a failed state. Nobody is going to challenge the government for control of a certain area."

Selee sees it as "increased determination from the Mexican government to establish order."

But there are limitations to using the military in Mexico, Birns and Hakim said.

"There's bad blood that exists between local communities and the military," said Birns. "The Mexican military has not fought a war for years. It's enemy has always been the local population."

Hakim noted the cost in money, and to the daily fabric of life.

"That's not a cheap way of keeping law and order," he said. "It does a great deal of harm to civilian institutions. The military is not trained to respect human liberties and individual rights."

It's an ambivalence that many Mexicans feel: security versus liberties.

Polls consistently show that security is the top concern among a vast majority of Mexicans. And for many Mexican citizens, the drug war can still hit close to home no matter how far away they live from the front lines.

Adrian Jesus Garrido Gomez, a 30-year-old bank loan officer with a wife and two young sons, lives in Tabasco state in southern Mexico, far from the violence tearing up Juarez and other border cities.

"Tabasco has always been relatively safe," Garrido said by telephone Tuesday.

He said a childhood friend worked for 2½ years in a high-paying white-collar job in Reynosa, across the border from McAllen, Texas. When he got married recently, his wife had one request: Let's move back to Tabasco. They did, six months ago.

"For them, it (was) very insecure," Garrido said.

Reynosa was the site of a four-hour gun battle last month that left five drug traffickers dead and seven police wounded. People worldwide saw video of a television reporter sprawled on a bridge during that fight, trying to file an on-air report over the roar of gunfire.

Hakim says Mexican President Calderon's efforts to paint the United States as partially responsible for the violence is lost on some Mexicans.

"In the end," Hakim said, "this is Mexico's problem as much as Mexico talks about a shared problem. The costs of not getting control of it will be paid by the Mexicans."

@highlight

Police in Ciudad Juarez, Mexico, reported third straight day without a drug slaying

@highlight

Questions remain about whether increased security efforts can work long term

@highlight

Polls consistently show security is top concern among vast majority of Mexicans

@highlight

Distrust of military has long been part of social fabric of Mexican life