(CNN) -- He's been decorated with awards and called one of the world's most influential people. He's addressed packed auditoriums and waved to crowds who line streets just to catch a passing glimpse of him. He's shaken the hands of countless global dignitaries and earned a fan base following on Facebook that might rival that of Hollywood stars.

He is His Holiness the 14th Dalai Lama, the 74-year-old spiritual leader of Tibet and the head of the Tibetan government-in-exile, based in Dharamsala, India. And though he describes himself, according to his Web site, as "a simple Buddhist monk," the love so many Americans and others have for him has, no doubt, bestowed on him iconic status -- whether he sees it that way or not.

"I'd love to be in his presence. I'd love to be in an audience where he speaks," said Jerilee Auclair, 55, of Vancouver, Washington, who has yet to have that pleasure. "I yearn for it. I watch his schedule to see if/when he'll be in my area. ... I love what he stands for. His inner peace inspires me to find mine, daily."

She's far from alone in her admiration.

A CNN/Opinion Research Corp. survey released Thursday, the same day the Dalai Lama visited the White House, showed that 56 percent of Americans hold a favorable view of him, putting him "in the same neighborhood as other major religious figures," said CNN Polling Director Keating Holland. "Favorable ratings for the pope, at 59 percent, and Billy Graham, at 57 percent, are virtually identical."

Not bad for a guy who lives on the opposite side of the globe, is entrenched in a decades-old political and cultural struggle many don't understand, and lives according to a tradition few Americans follow. Less than 1 percent of Americans identify themselves as Buddhist, with less than 0.3 percent of those being Tibetan Buddhist, according to The Pew Forum on Religion & Public Life.

But what he represents resonates with Americans who may need a figure like the Dalai Lama to look to, said Ganden Thurman, executive director of New York City's Tibet House, an organization dedicated to preserving Tibetan culture and civilization.

"He stands for achieving peace by way of peace, and since Gandhi and Martin Luther King aren't around, he's a placeholder for that kind of position," he said. "He says he's a 'simple monk,' but that's wishful thinking. He's a monk that's been saddled with the responsibility of shouldering the hopes and dreams of millions of Tibetan people. ... He's doing the best he can with that, and frankly, these are the kind of people we admire."

Not that Thurman, 42, always treated the Dalai Lama with this kind of reverence. His father, Robert Thurman, co-founded the Tibet House, is an Indo-Tibetan Buddhist studies professor at Columbia University and holds the first endowed chair in Buddhist studies in the West, according to the university's online biography. The older Thurman, who also happens to be the father of actress Uma Thurman, was a personal student of the Dalai Lama, and it was through this relationship that his son first met the spiritual leader.

"My earliest memory of meeting him, I was around 4. I was a pretty rambunctious 4-year-old," he said with a laugh, guessing that he probably jumped on His Holiness and grabbed at the man's glasses. "Diplomatic protocol wasn't high on my list of priorities."

Tenzin Tethong has known the Dalai Lama since he was a child. He worked in the exile government and served as the spiritual leader's representative in New York and Washington during the 1970s and 1980s. Now the president of The Dalai Lama Foundation, a Redwood City, California, organization that promotes peace, Tethong said he organized the Tibetan leader's first visit to the United States in 1979, 20 years after he had gone into exile

He recalled not being sure they'd be able to pull off the visit because by the early 1970s, the U.S. had normalized its relations with China, which has long viewed the Dalai Lama as a threat to its national unity on the issue of Tibetan autonomy. But they came at the invitation of various colleges and religious groups, and the American fascination with the Dalai Lama -- the curiosity about his exotic past, his beliefs and his teachings -- spoke volumes then, Tethong said.

In the decades since, the Dalai Lama's star power has only risen as Americans have learned more about his commitment to nonviolence, interfaith outreach and more. For starters, there was that Nobel Peace Prize he won in 1989.

High-profile supporters, like actor Richard Gere, helped give him and his people's struggles pop culture prominence, as did several mainstream films including "Seven Years in Tibet," starring Brad Pitt, and "Kundun," directed by Martin Scorsese.

With the increased exposure, there has also been a growing prevalence of "Free Tibet" bumper stickers, the appearance of Tibetan prayer flags in suburbia and Facebook fans who shower the Dalai Lama with praise.

"Have a nice and easy day with Obama! Namaste," one woman wrote Thursday. "thank you for all your love, guidance and wisdom ... u changed my life," a man added. And then this from a college-student fan: "HH Dalai Lama!! You kick metaphorical ass!!!"

How has all this attention not gone to his head?

"When fame happens, people get carried away, right? The Dalai Lama, despite tremendous adoration as well as adulation ... is very conscious of that," Tethong said. "One of the Buddhist practices is to always be very aware of one's self and how one looks at one's self and not to be carried away with one's ego."

Not standing on formalities -- he playfully threw snow at reporters outside the White House on Thursday -- staying grounded and his constant ability to exude warmth and joy have made him easy to love, people who admire him say.

"He really is the real deal -- a truly loveable guy. He lives his values," said Jamie Metzl, executive vice president of the Asia Society, a global organization that seeks to increase understanding and relationships between the U.S. and Asia. "Recognizing someone who lives their life according to such positive principles helps us all grow."

And Metzl, who said he's met the Dalai Lama three times, suggested the Chinese government, through its denunciation of the spiritual leader, has bolstered his recognition. He said that by saying the Dalai Lama is "a wolf in sheep's clothing," a claim Metzl said doesn't match what people read and see, "the Chinese are doing a great deal to turn him into a rock star."

But nothing does more to make people appreciate the Dalai Lama than being with him, said Charles Raison, a psychiatrist with Emory University Medical School.

Raison, who's been involved in a program where Western doctors work with and exchange teachings with Buddhist monks, recounted a time when he, his wife and several others met with the Dalai Lama about four years ago.

"Many people, myself included, have a powerful experience in his presence. I nearly erupted in tears," he said. And his wife, whom he said "does not have a religious bone in her body" was "just beaming."

He said studies have long shown that people have a physiological response to the behaviors, feelings and even smells put forth by others.

"Buddhists," he added, "say that sweet smells come from a saint -- a mark of spiritual advancement."

@highlight

The Dalai Lama, Tibet's spiritual leader, has broad base of fans in America

@highlight

His sense of peace inspires; 56 percent of Americans view him favorably, poll shows

@highlight

He fills symbolic placeholder left by Gandhi and MLK, Tibet House executive says

@highlight

Buddhism helps him avoid trappings of fame, by not allowing ego to take over