(CNN) -- The upcoming World Cup and Olympics guarantee that Brazil's international visibility will continue its rapid ascent. The country just has to ensure there are seats for all of the guests. Brazil may be emerging from its reputation as the permanent "land of tomorrow," but Parag Khanna suspects it will likely get there only at the last minute.

As Brazil's annual Carnival hangover fades, a more serious road lies ahead. It's crunch time for the South American giant as it prepares to host next year's football World Cup and 2016 Summer Olympics. The country definitely needs an economic boost given the recent downgraded forecast of barely over 1% growth for 2013. Hosting these mega-events was seen as an essential spark to get Brazil to overhaul its dilapidated infrastructure, but despite the advance notice, politicians aren't yet living up to their continental scale ambitions.

Brazilians excel at throwing massive parties, but so much is at stake beyond the Games. Can Brazil really become the "America of South America," unchallenged and indispensable to all its neighbors? Brazil wants to be the first superpower from the global south, yet with the equator just crossing a sliver of the country's north, it has quite a long climb still to join the league of the wealthy, not just the large.

Brasilia's technocrats have been aggressive, even creative, in recent years, using pro-poor policies and monetary intervention to deliver growth and stability. Yet lower interest rate policy has failed to drive stronger investment, and business confidence is down due to government intrusions large and small in banks, car companies, and other sectors. Even the major offshore oil discoveries haven't yet borne fruit for energy major Petrobras due to local content requirements that favor less sophisticated domestic suppliers. While its currency control policy has effectively been blessed by the IMF, the still massively overvalued Real currency has undercut exports in what has been an increasingly diversified economy.

Latin America in general, and Brazil in particular, has been the most urbanized region long before cities became the dominant meme of global socio-economic studies. Sao Paulo very much feels like the second-largest city in the world, but unlike even larger Tokyo, its airport feels third world and public transportation can scarcely cope with demand. It ranks alongside New Delhi, Moscow, Beijing and Mexico City in IBM's aptly named Commuter Pain Index. And with close to 1,000 new cars joining the traffic jams each day, it's no surprise that the rich take to the air: Paulistas have the highest rate of private helicopter usage in the world. Overall, the World Economic Forum's most recent Global Competitiveness Report ranks Brazil a measly 107 (out of 144) for quality of infrastructure.

Since taking office just over two years ago, President Dilma Rousseff has regularly announced massive infrastructure investment schemes. Airports, roads and railways have been slated for privatization, hundreds of new airports are planned to link the vast interior, the country's development bank has pledged an immediate $10 billion in related spending, private banks are planning greater lending in the infrastructure space, a Sao Paulo to Rio bullet train has been announced for completion by 2020, and $26 billion has been allocated to modernize the country's 34 ports which are responsible for more than 90% of the country's annual $482 billion in trade. Taken together, the government promises $100 billion in infrastructure spending over the next decade, while raising $65 billion in privatization and auctions.

Discuss these numbers with any Brazilian, however, and they are apt to stare blankly and demand, "But where is all the money going?" As popular a figure as former president Lula was -- and deservedly so for his innovative and transformative policies such as the targeted cash transfer program "Bolsa Familia" -- corruption allegations still dog his still-dominant Workers Party (PT). O Estado de Sao Paulo, the leading daily newspaper, recently added a "corruption library" to its website to track the steady tide of suspicious contracts and spending. With the opposition parties fragmented and scattered, however, the PT may well be in power long enough to be held accountable to its plans.

As Brazil focuses on its overhauling its cities, it must remember that urbanization itself won't drive meaningful growth, but rather empowering the tens of millions in the urban underclass. Cities like Sao Paulo are designed for an industrial age while the urban economy has become 85% related to services. The key question then is how to humanize such mega-cities, the theme of the upcoming New Cities Foundation summit that Sao Paulo is hosting in June. (Full disclosure: I serve on the NCF board of trustees.) The reinvention of Sao Paulo will begin right at its center with projects such as the URBEM Foundation's Casa Paulista. Multiple mixed used social and commercial developments designed to be affordable and professional could help to reintegrate a population that has grown accustomed to gated communities. In such neighborhoods, Brazilians should find apprenticeships, vocational training, and more public libraries that promote literacy, social inclusion, and citizenship, all topics debated by world-famous architects and experts and locals together in a new series called Arq.Futuro being held around the country.

There is an opportunity to conduct this urban regeneration in a way that embodies Brazil's amazing cultural depth. Like China, the more modern it gets, the more Brazilian it gets; its identity is enhanced rather than diluted. There is no higher symbol of this than fabled architect Oscar Niemeyer's buildings, which manage to be both angular yet still in harmony with nature. But there are also efforts to restore the lifestyle of Carnival in Rio, a tradition of street culture and music, rather than just an annual bonanza, and connecting Rio's favelas closer to its beaches through cable cars. In Sao Paulo, soccer pitches are being hastily laid in the outskirts to remind the nation that its best players have come from conditions of socio-economic adversity. The message is clear: Brazilians should resist overly consumerist temptations; when they become too showy, they (especially their soccer stars) get distracted and under-perform.

In the coming years, Brazil's image will also be shaped by a new set of stars and issues. Banks like Itau Unibanco have a healthy balance sheet and appetite to expand across Latin America and beyond. Secondary regions like Bahia are now rivaling Rio for visitors reveling in Carnival culture, while Pernambuco's capital Recife is attracting innovative industries to relocate. Given that Brazil holds approximately one-third of the world's biodiversity and 20% of its fresh water in the Amazon rainforest, it is also becoming a leader in fields ranging from combating deforestation (which has dropped by 80% since 2004) to plant genetics. And Brazil has become a leading and positive investor in Africa, as the country's eloquent foreign minister Antonio Patriota reminded participants at the recent Munich Security Conference.

The upcoming World Cup and Olympics guarantee that Brazil's international visibility will continue its rapid ascent. The country just has to ensure there are enough seats for all of the guests. Brazil may finally be emerging from its reputation as the permanent "land of tomorrow," but it will likely get there at the last minute.

The opinions expressed in this commentary are solely those of Parag Khanna.

@highlight

Brazil continues preparations to host next year's World Cup and 2016 Summer Olympics

@highlight

It's crunch time for the South American giant, says Parag Khanna

@highlight

An economic boost is essential, says Khanna

@highlight

Politicians are yet to live up to their continental scale ambitions, he says