(CNN)  -- Mohamed Bouazizi, a 26-year-old unemployed college graduate from Tunisia, began a fruit and vegetable stand to earn a living. But he did not have a permit.

In December, the local police came after him. "The police not only confiscated his stand, but they also beat him up," said Khadija Cherif of the Federation of Human Rights Leagues, a Paris-based group.

In protest, Bouazizi set himself on fire. He died almost three weeks later.

His death helped spark a revolution that led to the ouster of President Zine El Abidine Ben Ali, who'd ruled Tunisia for 23 years.

Since then, unrest has engulfed North Africa and the Middle East, with protesters taking to the streets in Algeria and Egypt, Jordan and Yemen.

From a lack of economic opportunities for vast segments of society to governments that provide little say for citizens, there are many factors behind the current demonstrations.

But a significant one is the frustration of a generation of young people in the region struggling to support themselves and their families.

The region is now home to more than 100 million young people between the ages of 15 to 29, according to "Generation in Waiting," a book edited by Navtej Dhillon and Tarik Yousef that explores the challenges facing this age group.

They are educated. Most countries in the region have high rates of school enrollment at the primary level. And many have high achievement at the secondary level, according to data collected and analyzed by Samantha Constant and Mary Kraetsch of the Middle East Youth Initiative at the Brookings Institution.

But the data can be deceptive.

"They're getting the schooling, but it's very poor quality schooling," said Ragui Assaad, an expert in the politics and economics of the Middle East and North Africa at the University of Minnesota. He is also affiliated with the Brookings Institution.

"You have tremendous expansion in schooling, more than any other parts of the world in terms of rates of growth of enrollment. But (it is) very low quality schooling that doesn't provide you with any skills that are useful in the labor market."  Rany Ibrahim, 32, who left Cairo, Egypt, in 2003 to study in Canada, told CNN iReport that the public university system there was "really bad."   "I didn't feel I got the education I deserved," he said. "You get the degree, but you feel like you don't know much."

Ibrahim said the class sizes were large, and there was little personal time with professors.   "The professors don't have the power to teach freely, (and) the technology is very old," Ibrahim said. "Instead of having a few entrusted qualified graduates, you have many, many graduates but with really poor education."

For previous generations in these countries, there were two job options after schooling: the private sector or the public sector.

However, because of the poor quality of education, it's difficult for many of this generation to get a quality job in the private sector, Assaad said.

Meanwhile, jobs in the public sector -- essentially those provided by the government -- are shrinking as economies transition from a state-led to market-led mode of development and the number of people grows.

"Employers know a government degree is worth nothing, that they don't really learn much," said Ibrahim, the Egyptian expatriate

The oil-rich countries in the Gulf -- Oman or the United Arab Emirates, for example -- are an exception, Assaad said. They can still deliver on the bargain because of oil revenue.

Expats of the Arab world: Share your story  Across the region, unemployment rates are about 11 percent, according to "Generation in Waiting."

Unemployment rates for those between the ages of 15 to 29 are much higher, ranging from 20 to 30 percent in most countries. In Algeria, it is nearly 46 percent and about 45 percent in Iraq.

Many wait two to three years to get their first job, the book says. And there is a gender gap, with young women often having the most difficulty finding a job.

Many of the region's young people are having difficulties finding housing and are delaying marriage because of the bleak economic prospects, the book says.  "It was very hard to get a job. I got a couple of jobs, but you have to show connections," Ibrahim said. "My family helped me get jobs, but I always had a hard time to get a job that fit or made me feel fulfilled."   He eventually won a scholarship and moved to Canada, leaving his family behind, to pursue a graduate degree in information technology.

Imagine a generation the size of the baby boomers in the United States trying to find a job in the U.S. economy of the late 1970s or the early 1980s, and you'll have a rough equivalent of what's happening across the region, Assaad said.

"There's going to be a lost generation, in some sense," he said.

It is a generation whose aspirations and expectations have been stifled, with little outlet for their grievances and frustrations other than to take to the streets.

@highlight

Experts: More than 100 million young people live in North Africa and the Middle East

@highlight

The generation is educated, but the quality of schooling is poor, experts say

@highlight

A considerable number of young people in the region are unemployed

@highlight

This leaves them with stifled aspirations, little outlet for grievances