(CNN)  -- The midterm elections made it clear that Americans want a government that works for the people.

The 112th Congress will be faced with a choice: Work with the president and the people to deliver results, or pursue an obstruction agenda that will leave individuals and businesses with an even less sustainable economy and future than they face today.

If Congress chooses the collaboration path, members can tackle one issue that will enhance our national security, create jobs and help stabilize the climate --an issue with bipartisan roots that touches every corner of this nation: clean energy.

Our nation's energy challenges are pressing and immediate. Unlike countries in Asia and Europe, the United States has neglected to join the global clean energy marketplace. We have no long-term clean energy plan, and so we have few domestic clean energy technologies or industries. While the world surges ahead, we risk being left behind, dependent on yesterday's energy solutions to solve today's energy challenges.

We know what steps to take. We must reduce our dependence on oil. The transportation sector alone is 95 percent dependent on oil. American taxpayers spend from $500 million to $1 billion a day on foreign oil, 39 percent of which is imported from "dangerous or unstable" nations, according to a Truman National Security Project report.

We must redouble our efforts to pass national clean energy and efficiency standards to meet our energy needs using homegrown, low-carbon sources. In turn, these actions will lower costs to consumers, create jobs, and spur an export market for innovative energy technologies.

We must use public dollars and the government's credit enhancement power wisely, to leverage private capital for clean energy research, development, production, transmission, storage and deployment.

We must confront climate change, which jeopardizes our economic prosperity by leaving us acutely vulnerable to increased water shortages, widespread drought and floods, and food insecurity.

We can solve these problems. If the United States adopts a progressive energy strategy that combines market creation, financing for new industries and technologies, and infrastructure development, we can end our dependence on dirty fossil fuels, protect public health, and provide a solid foundation for economic growth and prosperity.

Even without comprehensive climate and clean energy legislation, the next Congress can take concrete steps to strengthen the U.S. market for clean energy, providing critical stability and certainty for investors, business, and consumers. These polices have all previously been introduced in the House or Senate, with bipartisan and business support. None will contribute significantly to the federal deficit.

Congress can:

-- Spur clean energy innovation, manufacturing, deployment, and export through an ambitious renewable electricity standard, extensions of the successful Treasury grant program (1603) and Section 48c manufacturing tax credit, and by establishing a Clean Energy Deployment Administration (CEDA, or "Green Bank") to leverage private sector investment for the deployment of clean energy.

-- Encourage home and business owners to invest in energy efficiency and boost employment in the beleaguered construction sector by passing HOME STAR and Building Star. Those programs would reward consumers for installing energy-efficient equipment.

-- Increase the $75 million liability cap for offshore oil damages, and pass other measures to enhance the accountability of oil exploration companies and give these companies an incentive to conduct their operations more safely.

The United States can and must also act on the international stage to limit the consequences of climate change and enhance our national security. Congress can show a commitment to the U.S. goal of reducing greenhouse gas emissions, take concrete steps to reverse widespread deforestation that contributes 18 percent of these emissions globally, and provide short-term financing to allow the poorest countries in the world to adapt to the impacts of climate change.

This is not a partisan agenda. The midterm elections reaffirmed that the clean energy agenda is a positive political agenda. In California, voters overwhelmingly supported the nation's only cap-and-trade policy even in the face of a well-financed attack led by a coalition of out-of-state fossil fuel industries. In defeating Proposition 23, California voters across the political spectrum forcefully chose new technologies and new jobs over a retreat to last century's polluted air and fossil fuel dependence -- showing broad bipartisan support for the most comprehensive emissions reduction measures the country has ever seen.

Co-chairman of the "No on 23" campaign, former Secretary of State George Shultz said it best: "Those who wish to repeal our state's clean energy laws through postponement to some fictitious future are running up the white flag of surrender to a polluted environment."

In Michigan, voters elected Gov. Rick Snyder, who campaigned as a "good green Republican" who believes that "Michigan needs to be a leader in the innovative movement toward alternative and cleaner energy."

The clean energy economy is here for the long term. This Congress must decide if America will lead it.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Gordon and Caldwell: New Congress can create jobs, end fossil fuel dependence

@highlight

Clean energy is bipartisan issue, they write. We need clean energy industries

@highlight

Policies that encourage clean energy have been introduced with bipartisan support, they say

@highlight

Authors: U.S. must act to keep up with international markets, help national security