Ferguson, Missouri (CNN) -- Mike Knox, owner of Freestyle Barber & Beauty in Ferguson, Missouri, said police have pulled him over twice for what he calls "DWB" -- driving while black.

When he questioned why he was stopped, officers pressed him for insurance information -- not something a driver should be pulled over for, he said.

"People are just tired of that happening," Knox said. "Why should we get pulled over every time we get in the car?"

Knox wouldn't be surprised if Michael Brown, 18, smarted off to Officer Darren Wilson.

"He probably did. It happens quite often," Knox said. It's common for black people to give police attitude in the area, he said.

Wilson, a white police officer, fatally shot the unarmed, African-American Brown on August 9 -- the event that started protests and violent street clashes in the town of about 22,000 people. Dozens of people have been arrested as Ferguson became a flash point of racial conflict.

Black residents of Ferguson say there's been friction for years with the overwhelmingly white police department.

White residents also complain the police are heavy-handed.

The department was formally accused of using excessive force Tuesday in a federal lawsuit. The family of Jason Moore says he died of cardiac arrest September 17, 2011, when police fired Tasers at him, according to the lawsuit.

The family says that Moore, who they say suffered a psychological disorder, was walking around naked and posed no threat to police. The public relations firm handling media inquiries of the Ferguson police did not immediately respond Wednesday to CNN's request for comment on the suit.

To locals and longtime observers, tension has been brewing since the 1970s, when school desegregation and white flight changed Ferguson's demographics. Today, two-thirds of Ferguson's population is black, but arrest statistics don't reflect that.

According to a 2013 report released by the Missouri attorney general, African-Americans are highly over-represented in crime statistics. They accounted for 93% of arrests after traffic stops, 92% of searches and 86% of traffic stops.

Michael Brown shooting, protests highlight racial divide

The police chief is white. There are only three African-Americans on the 53-person police force. The mayor is white, and so are five of the six city council members.

Police chief defends department

Police Chief Tom Jackson has come under heavy criticism for the way police have handled protests and looting, but he defends the department against accusations of racism.

When CNN asked him about the perception that police stop blacks more than whites, Jackson said, "Well, if that is the perception out there, then that's something we have to work on."

When asked if it's more than a perception, he said, "I don't think so."

But African-American residents say it's more than perception.

Marquita Rogers, 27, said she believes race played a factor in Brown's death.

"I'm not saying that every white police officer in Ferguson is racist like that, but some are" she said.

"First time I seen a black cop is when they blocked off the street," she said, referring to recent turmoil in her city.

'They all got a power trip problem'

Tom Steigerwald, 31, has lived in Ferguson since 1994. When he was 20, an officer came to his house because he was playing music too loud, he said.

The officer told him to open his door but he stuck his head out the window instead, he said.

After an exchange of words, the officer smacked him in the head, he said. His father talked him out of filing a report.

"They all got a power trip problem, a lot of them," he said.

Arvid Wilkerson, 22, said, "Police do what they want," he said. "They abuse that badge."

He thinks that's exactly what happened with Brown.

"They get trained to use their night sticks and Tasers, and they get trained to fight. There's no reason to pull out a gun and definitely no reason to kill him, or overkill him is what they did," he said. "That could've been me."

A traffic case brought Henry Davis into conflict with Ferguson police.

Davis filed a federal lawsuit against the city and four police officers in 2010, alleging the police used excessive force against him in the jail cell after arresting him in 2009.

Last March, a federal judge ruled in favor of the city and the officers. Davis is appealing.

In the lawsuit, Davis says officers wrongly arrested him in the first place, thinking he was another person by the same last name.

Lawsuit alleges excessive force

At the jail, police beat and kicked him so badly he suffered a concussion, the lawsuit says.

"I shouldn't have been there, I was the wrong person," he told CNN. "They beat me for no reason while I was handcuffed."

To top it off, police charged him with four counts of property damage, saying he had bled on their uniforms.

He also was charged with driving while intoxicated, speeding, failure to drive in a single lane, no proof of insurance and failure to obey a police officer.

Police tell a different story in their responses to Davis' lawsuit, saying Davis acted intoxicated, belligerent and aggressive toward arresting officers. One officer claims he suffered a broken nose.

In a 2010 plea bargain in municipal court, Davis pleaded guilty to two counts of property damage, careless driving, speeding, failure to obey a police officer, and two non-moving violations, according to a U.S. magistrate's summary of the case. Two counts of property damage were dismissed.

After Davis filed his lawsuit in August 2010, police charged Davis with felony assault on a police officer. That charge was dismissed in 2013.

Chief says he improving department

Jim Schottel, Davis' attorney, said he's not shocked by the Michael Brown case.

"Ferguson had a policy and custom for its officers to use excessive force at will," Schottel said in the lawsuit he filed for Davis, who like Brown is African-American.

Chief Jackson, who was hired in March 2010, told CNN he's trying to improve the department.

"I wasn't here when that happened," he said of the Davis case. "All I can say is that from the time I got here I've been working on improvements to make this a very professional police department."

Schottel said Jackson is trying to improve the department, but "the culture in the police department was one where there was no fear of punishment."

Meanwhile, one of the four officers Davis sued, Kim Tihen, left the police department and ran for city council, reported The Daily Beast. She won election in 2012.

Schottel doesn't know if the Michael Brown case will help his appeal of the Davis lawsuit. He expects the case to be heard the week of December 8.

"I've been told by other lawyers the appeal now stands a better shot," he said, "but I don't speculate."

Complete coverage of Ferguson shooting and protests

Magazine: The Aftermath in Ferguson

Read more about the flash point in the Heartland at CNN.com/US

This story is based on reporting by Eliott McLaughlin in Ferguson, Missouri and Ralph Ellis in Atlanta, Georgia. Ralph Ellis wrote it. CNN's Jason Carroll and Kevin Conlon also contributed to this report.

@highlight

Ferguson is two-thirds black, but 2013 report showed blacks over-represented in arrests

@highlight

Of Ferguson's 53 police officers, three are African-American

@highlight

In 2010, Henry Davis sued the department over alleged use of excessive force

@highlight

A federal judge ruled against Davis, but he is appealing