Any old city can string up a few lights downtown and call it a holiday celebration.

From Mexico to Malta, northern lights to sunny skies, these places are doing Christmas better than the rest this year.

Bath, England

There are few cities in the world where you can celebrate the birth of Jesus and the birth of Jane Austen with the same amount of fanfare, but Bath happens to be one of them.

The Theatre Royal, which Austen mentions in "Northanger Abbey" and "Persuasion," is home to a musical celebration accompanied by mince pies and mulled wine in honor of the literary doyenne.

There's also a varied program of holiday drama, musicals, opera and concerts, including Cinderella and Rumpelstiltskin.

A seasonal favorite, the 18-day Bath Christmas Market has over 170 wooden chalets selling distinctively British handmade crafts in a quaint Georgian setting.

Straddled between the imposing Bath Abbey and the venerable Roman Baths, the market offers a festive way to discover the character of Bath, which is the only entire city in the UK to have been designated as a UNESCO World Heritage Site.

Bath on Ice is a great excuse to bundle up and lace up your skates, while the Thermae Bath Spa is the perfect reason to strip down and savor the steam emanating from the thermal mineral-rich waters of an open-air rooftop pool with spectacular views over the city.

New York

Rockefeller Center lies at the core of the New York Christmas.

Its famed ice rink has been around for 78 years; the decorated tree is an 81-year-old tradition.

Across the street, Radio City hosts the annual Christmas Spectacular, starring the Rockettes.

On the southwest corner of Central Park, Columbus Circle hosts more than 100 vendors selling clothes, gifts, snacks and drinks at the Holiday Market.

Central Park has two ponds for skating and horse-drawn carriage rides.

Fashion's biggest names join in the festivities, setting up impressive Christmas window displays.

The most glamorous cases, at the Fifth Avenue flagships and department stores like Saks and Bergdorf, are impressive enough to melt the heart of Anna Wintour.

Malta

Visiting presepju, or nativity scenes, is an integral part of Christmas in Malta.

Every year, residents proudly open their shutters, and sometimes even their garage doors, to display their holy crib confections to the public.

On a grander scale, the Bethlehem f'Ghajnsielem is a life-size nativity experience spread over 20,0000 square meters of formerly abandoned fields.

Inhabited and animated by over 150 actors comprised of entire families, the village takes visitors back in time to Judea of 2,000 years ago, complete with oil lamps, turn mills, grazing animals, crafts areas teaching traditional skills and folklore, a tavern, and of course a grotto housing baby Jesus.

Downtown Valletta is also home to a lively Christmas spirit, with carolers singing outside the Baroque St. John's Co-Cathedral during advent, and a dizzying display of Christmas lights on Republic Street.

The Manoel Theater is well known for its annual Christmas pantomime -- this year Pinocchio themed.

A visit to the privately owned Museum of Toys featuring dolls, soldiers, train sets, and clockwork tin trinkets dating as far back as the 1790's, is a heartwarming homage to childhood.

Barcelona, Spain

If you can manage to extend your Christmas holiday until Three King's Day (January 5), there's no better place to catch up with Melchior, Gaspar and Balthazar than Barcelona.

On the evening of January 4, they arrive at the city's port on the Santa Eulalia -- their very own ship -- in bearded and velvet-robed splendor.

Canons are fired, fireworks are set off, and as the mayor hands them the keys to the city, the magic of the Magi officially commences.

They parade through the streets in a magnificent cavalcade of floats that includes camels, elephants, giraffes and dazzling costumes.

Rovaniemi, Lapland, Finland

While legends dating as far back as the 1820s cite the North Pole as the official home of Santa Claus and his jolly missus, the Finns would have us believe otherwise.

For them, Rovaniemi, Lapland, located just north of the Arctic Circle, is Christmas HQ.

Here, children make gingerbread cookies with Mrs. Claus, enroll in Elf School or take a calligraphy class and compose their Christmas wish lists with a traditional quill.

Other area attractions include the Ranua Zoo, home to baby polar bears, wolverines and moose; Sirmakko reindeer farm, where visitors can take a sled-led reindeer safari; and the Arktikum, a science center where the mystery of the northern lights is revealed.

Those in search of a truly frosty experience can stay in the Arctic Snow Hotel, made entirely of snow and ice, but equipped with saunas and hot tubs in which to thaw.

Nuremberg, Germany

The Nuremberg Christmas market (Nurnberger Christkindlesmarkt) is a German institution, pulling in more than 2 million visitors each year.

Highlights include a giant carved wooden Ferris wheel, old-fashioned carousel and steam train.

Unlike all those "fake" Christmas markets that have been popping up in the region, Nuremberg's Christmas Market Council is serious about making sure only traditional handmade toys and holiday goods are sold.

No mass-produced plastic garlands here.

The market's 200 select vendors also put up fantastic displays as they compete for the Most Beautiful Stall Design award.

The top three walk away with a gold, silver or bronze "Plum People" awards.

Adults can enjoy Nuremberg spicy gingerbread and mugs of mulled wine.

For kids, there's the Toy Museum, while the German Railway Museum is a hit with everyone.

Quebec City, Canada

If you're the type who likes to celebrate Christmas around a tree made from recycled sheet metal, with lights powered by the pedaling of nearby cyclists, Quebec is your destination.

A haven for environmentally friendly, outdoor enthusiasts, the city bustles with activity, offering holiday programs for all tastes.

Modern-day Victorians can enjoy a candlelit evening of stories from Charles Dickens, recounting the Christmas traditions of yore.

Sausage and roast chestnut lovers can browse the wares at the German Christmas market.

The more religiously inclined can wander an exposition of nativity scenes from around the world.

The nearby Sentier des Caps de Charlevoix offers family-friendly hiking, snowshoeing and skiing, while speed devils can zoom around in a snowmobile from Nord Expe.

Reykjavik, Iceland

When it comes to Christmas celebrations, Iceland has a few peculiarities.

Among these, 13 "Yuletide Lads" (scruffy Santas) are said to bring gifts to nice children for the 13 nights leading to Christmas.

Rows of small, beautiful huts make up the Yule Town Christmas market on Ingolfstorg.

Here, visitors can pick up colorful Christmas gifts, decorations and treats.

The shopping differs day to day as some craftsmen and designers set up stalls for only one day.

Beaming down onto a city covered in snow and Christmas lights, northern lights displays add to Reykjavik's festival feel.

San Miguel de Allende, Mexico

Piñatas, posadas and ponche sum up the festivities in this colorful Mexican city, where Christmas is both a solemn and celebratory affair.

Leading up to December 24, you're likely to stumble upon Mary and Joseph strolling the streets, as locals make pilgrimages from home to home, singing to "ask for posada" or "beg for shelter" as they reenact the journey to Bethlehem.

Pinatas and ponche (a mulled fruit drink) cap a long evening of peregrinations around this cobblestoned city, designated a UNESCO World Heritage Site for its wealth of grand churches, well-preserved architecture and grand zocalos.

Santa Claus, Indiana

Christmas is a year-round occasion in this town of fewer than 3,000 residents.

Santa Claus, Indiana, receives thousands of letters a year from children trying to reach St. Nick himself.

A group of volunteers called Santa's Elves was set up in the mid-1930s to reply to each letter.

The Land of Lights display is a 1.2-mile drive around the Lake Rudolph Campground & RV Resort.

Among various Christmas-themed events, Santa hosts a buffet dinner at the Christmas Lodge every Friday leading up to Christmas.

Strasbourg, France

Strasbourg's series of themed Christmas villages morph the city into a visual and gastronomic wonderland.

Visitors can head to the Village of Alsace Farmhouse to taste prune, apricot and other holiday-inspired variations of farm-fresh foie gras.

The nearby Village of Bredle is supplied with its namesake traditional Christmas biscuits and copious amounts of mulled Alsatian wine.

From the Strasbourg Philharmonic to gospel to Django Reinhardt-inspired gypsy jazz, Strasbourg's Christmas program is packed with concerts and cultural events from Croatia, the guest country of Strasbourg's Christmas celebrations this year.

Valkenburg, The Netherlands

This small town is the Dutch center for Christmas festivities.

Valkenburg's Velvet Cave is transformed into a Christmas Market and the residence of Santa, where visitors can see his room of presents and reindeer sleigh.

The cavern houses sculptures and an 18th-century chapel, as well as preserved mural drawings that date to Roman times.

Marlstone products and traditional Polish handicrafts are a few of the unique items exclusive to Valkenburg's Christmas markets.

Best way to reach the Christmas town? A Christmas Express train that runs regularly between Simpelveld and Valkenburg.

@highlight

Visiting presepju, or nativity scenes, is an integral part of Christmas in Malta

@highlight

The Arctic Snow Hotel in Finland is made entirely of snow and ice, but equipped with saunas and hot tubs

@highlight

Christmas is a year-round occasion in Santa Claus, Indiana, a town of fewer than 3,000 residents