(CNN) -- As Jane Austen's classic comedy of manners, "Pride and Prejudice" reaches 200, its heroine Elizabeth Bennet is being hailed as one of literature's best-loved ladies.

But which other fictional women do we love, admire or sometime fear? Who are the powerful, striking and independent women fighting hardest for our attention through the pages of literature?

The Leading Women team has drawn up an entirely subjective list of some of our favorite fictional heroines.

But we know you'll have other ideas. We'd love to hear your favorites in the comments box below.

They are (in no particular order):

Jo March

"Little Women," by Louisa May Alcott (1868)

Why we love her: Like her creator, Jo March is one of four sisters living in 19th century New England, and most critics agree she is the one who most closely resembles Alcott.

Jo is a tomboy, strong-minded and independent, at a time when girls were more often expected to stay at home.

The spin-off: In the 145 years since it was written, "Little Women" has been made into at least three feature films (with Jo played by Katharine Hepburn in 1933, June Allyson in 1949 and Winona Ryder in 1994), several TV series and even a Japanese animated television series.

Sample quote: "If I weren't going to be a writer I'd go to New York and pursue the stage. Are you shocked?"

Anna Karenina

"Anna Karenina," by Leo Tolstoy (1873)

Why we love her: Rebellious and unhappily married socialite Karenina begins an affair with the dashing Count Vronsky.
Their passion pits them against the norms of 19th century Russian high society and forces Karenina to make stark choices about how to live a fulfilling life.

The spin-offs: A 2012 film starring Keira Knightley and Jude Law is the latest in a long line of adaptations for the big and small screen.

Sample quote: "I simply want to live; to cause no evil to anyone but myself"

Hermione Granger

"Harry Potter" series, by J.K.Rowling (2001)

Why we love her: The brightest of the main characters, Granger starts the series as an annoying know-it-all, but grows into a smart beauty, who is determined and loyal to her friends.

J.K.Rowling has described Granger of an exaggeration of her own youth.

The spin-offs: The series of seven "Harry Potter" books, all adapted into major films made J.K.Rowling a multi-millionaire. Granger was played on screen by Emma Watson.

Sample quote: "Books! And cleverness! There are more important things -- friendship and bravery."

Mariam

"A Thousands Splendid Suns," by Khaled Hosseini (2007)

Why we love her: Married against her will at the age of 15 to an abusive man 30 years her senior in Kabul, the novel doesn't start well for Mariam.
Twenty years later, when 15-year-old Laila moves into her household as her husband's second wife, the two women strike up a deep bond against a backdrop of Taliban brutality and war in Afghanistan.

The spin-offs: Columbia Pictures is expected to make a movie, scheduled for release in 2015.

Sample quote: "Why have you pinned your little heart to an old, ugly hag like me?" She murmurs into Aziza's hair. "Huh? I am a nobody, don't you see? A dehati. What have I got to give you?" She has found in this little creature the first true connection in her life of false, failed connections.

Jane Eyre

"Jane Eyre," by Charlotte Bronte (1847)

Why we love her: After a rotten childhood in 19th century England, Jane Eyre becomes a governess and falls in love with her employer, Mr Rochester.
She's a strong and complex character who manages to get back on her feet after countless setbacks.

The spin-offs: The most famous of its many film adaptations are a 1943 version starring Orson Welles and Joan Fontaine and a 2011 version with Mia Wasikowska in the title role.

Sample quote: "I have now been married 10 years. I know what it is to live entirely for and with what I love best on earth. I hold myself supremely blest -- blest beyond what language can express."

Lady Macbeth

"Macbeth," William Shakespeare (1611)

Why we love her: You can't love Lady Macbeth, perhaps, but there is something to admire in her ruthless determination.
Lady Macbeth urges her husband to kill the King of Scotland to seize the crown herself.

Ultimately, though, she falls victim to guilt and madness.

The spin-offs: Macbeth is arguably the best-known play by the world's best-known playwright and has hardly been off the stage since it was first performed in 1611.

Sample quote: Discussing the arrival of King Duncan, the ambitious and often ruthless Lady Macbeth illustrates how far she is willing (and ready) to go to seize the throne.
"Come, you spirits

That tend on mortal thoughts, unsex me here,

And fill me from the crown to the toe top-full

Of direst cruelty."

Aibeleen Clark

"The Help," by Kathryn Stockett (2009)

Why we love her: Aibeleen is a black maid raising her 17th white child in 1960s Mississippi, while nursing the pain of losing her own son.
When she finds the courage to tell her story to an aspiring writer, she inspires others to do the same and unleashes big waves in a small community.

The spin-offs: Aibeleen was played by Viola Davis in the successful 2011 film adaptation.

Sample quote: "We ain't ... we ain't doing civil rights here. We just telling stories like they really happen."

Scout Finch

"To Kill a Mocking Bird," by Harper Lee (1960)

Why we love her: Scout is the narrator of this much-loved Pulitzer Prize-winning novel dealing with racial injustice in the American Deep South.
As a tomboyish child, Scout is able to ask questions that an adult can't while trying to make sense of the events she witnesses.

The spin-offs: It was made into a film in 1962, with Scout played by a 10-year-old Mary Badham.

Sample quote: "I never understood her preoccupation with heredity. Somewhere, I had received the impression that Fine Folks were people who did the best they could with the sense they had, but Aunt Alexandra was of the opinion, obliquely expressed, that the longer a family had been squatting on one patch of land the finer it was."

Dominique Francon

"The Fountainhead," by Ayn Rand (1943)
Why we love her: Set in a man's world of architects in 1920s and 30s New York City, Dominique has a pessimistic world view, which leads to her marry two men she despises.

She eventually learns to find happiness with a man she loves and accept a more positive view on society.

Sample quote: "Ask anything of men. Ask them to achieve wealth, fame, love, brutality, murder, self-sacrifice. But don't ask them to achieve self-respect. They will hate your soul."

Masami Aomame

"1Q84," by Haruki Murakami (first published in Japanese, 2009. English translation 2011)

Why we love her: Aomame lives an alternate reality as an assassin in a fictionalized Tokyo of 1984 avenging victims of domestic violence.
Her strange world eventually converges with that of a man she fell in love with when they were both 10 years old.

It's not conventional reading, but if you can make sense of it, you'll probably love Aomame.

The spin-offs: The latest offering from superstar author Murakami has been enormously successful in Japan. No news of adaptations so far.
Sample quote: "If you can love someone with your whole heart, even one person, then there's salvation in life. Even if you can't get together with that person."

@highlight

Pride and Prejudice celebrates its 200th birthday this week

@highlight

The novel's heroine Elizabeth Bennet is being recognized as one of fictions greatest heroines

@highlight

But who else makes your favorite fictional femme list? Tell us in the comments below