(CNN) -- The U.N. Security Council is expected to meet Tuesday to consider a proposed resolution to authorize more sanctions against North Korea following the secretive regime's controversial nuclear test last month.

Pyongyang said the underground nuclear blast it conducted on February 12 was more powerful than its two previous detonations and used a smaller, lighter device, suggesting advances in its weapons program.

It was the first nuclear test the isolated state has carried out since its young leader, Kim Jong Un, inherited power in December 2011 after the death of his father, Kim Jong Il, who made building up North Korea's military strength the focus of his 17-year rule.

Like the regime's previous tests in 2006 and 2009, the move prompted widespread international condemnation, as well as a promise of tough action at the United Nations.

The United States and China, a key North Korean ally, have been negotiating for weeks on the wording of the proposed resolution.

China's 'dissatisfaction'

Beijing's government on Tuesday said it strives for a "nuclear free peninsula." It repeated its support for the U.N. Security Council's condemnation of North Korea's nuclear tests but also called for a muted response to it.

"China suggests the UNSC to keep a discreet, proper reaction to avoid the situation from escalating," the Ministry of Foreign Affairs said at a media briefing Tuesday.

North Korea's government regularly rails vehemently against sanctions imposed on it.

As a permanent member of the Security Council with veto power, China can strongly influence the body's decisions and has previously resisted strong sanctions on the Kim regime, which it props up economically.

The two communist countries have been close allies, since China backed the North in the Korean War in the 1950s.

The United States backed the South in the conflict, fighting side by side with its troops. The two Koreas are still officially in a state of war, though an armistice signed in 1953 ended the bloodshed.

Analysts say Beijing wants to maintain the North as a buffer between its border and South Korea, a U.S. ally.

Immediately after Pyongyang's nuclear test, Beijing expressed its "dissatisfaction," noting that it took place "despite the international community's widespread opposition."

Details of the proposed resolution remained unclear late Monday in New York.

Russia, another veto holder, will support a resolution on North Korea if it doesn't go beyond "missile and nuclear issues," Russian Deputy Foreign Minister Gennady Gatilov said Tuesday, according to the Russian news agency Interfax.

"A text focused on missile and nuclear issues linked to North Korea will be acceptable for us," Gatilov told Interfax.

The meeting Tuesday at which the text is expected to be presented is set to begin at 11 a.m., according to the U.N. media office.

A previous Security Council resolution in January that broadened sanctions on North Korea in response to a long-range rocket launch angered Pyongyang. Two days after that resolution was passed, the regime announced it would carry out the nuclear test.

The rocket launch in December apparently succeeded in putting a satellite in orbit, a move North Korea said was for peaceful purposes. But the launch was widely considered to be a test of ballistic missile technology.

Pyongyang has said its nuclear tests and other weapons programs are a deterrent against the United States and its allies.

But North Korean state media regularly publish articles directing aggressive rhetoric against Washington and Seoul.

"North Korea's nuclear weapons and ballistic missile programs constitute a threat to U.S. national security and to international peace and security," President Barack Obama said after the North's nuclear test last month.

CNN's Alla Eshchenko contributed to this report.

@highlight

NEW: China expresses its support for U.N. condemnation but wants a muted reaction

@highlight

The meeting Tuesday is a response to North Korea's nuclear test last month

@highlight

The United States and China have been in talks on a proposed resolution

@highlight

The nuclear test followed a previous U.N. resolution broadening sanctions