On the subject of Silvio Berlusconi Italians and non-Italians are, to paraphrase George Bernard-Shaw's famous quip about Britain and America, divided by a common political language.

We think we share the view that in a political world dominated by mass communications, there is little room for forgiveness about scandals, or other personal failures, or a poor record in office. Yet on those grounds, Berlusconi should have died a political death long ago, rather than coming a very close second in this week's Italian elections.

Foreigners, perhaps, will always remain baffled by Berlusconi's success in continuing to attract voters. But Italians, horrified by him though plenty of them are, tend to be a lot less surprised. That is because they think of him in context, rather than in isolation. In Italian politics, the context is all.

What this means, and what it meant for Berlusconi's remarkable feat in nearly doubling his share of the vote between his opinion poll ratings in November 2012 and the election itself, can be laid out in the following evidently misleading indicators:

He makes unbelievable promises. In part this is true: one of Berlusconi's traits is his willingness to say one thing today and the opposite tomorrow, to attract attention from different groups or on different occasions, totally without shame. Italians know this, and those who support him tend to see it as an endearing part of his character, part of his desire to entertain and to please. But also it is misleading: the key promise he made during the 2013 election campaign was entirely believable -- that he would cut or even abolish a dreaded property tax, known by its Italian initials as IMU.

His record makes him untrustworthy. Yes, on overall economic policy. But not on taxes. He has promised to cut them before, and has delivered on at least some of those promises. The promise to cut IMU was made in an incredibly artful way, as he wrote to voters saying he would pay them back for the tax from his own pocket, which very few will have believed. But that did not matter: it drew attention to the proposal in an eye-catching way, and reinforced the only important point -- that he would cut the tax.

Opinion: Italy's election leaves country, and eurozone, on financial high-wire

He is irresponsible. Yes, but so is almost everyone to the cynical Italian political mind. His plan for how to finance this tax cut had as many holes in it as a sieve, but that did not really matter. It would have to be financed by taxes on other people, or cuts in spending on other things. Fine, said his voters: at least this awful tax will go. In offering a relentless focus on that tax, he showed that he was listening to the pain of his voters and taking them seriously, rather than talking down to them like most other parties.

His trials and sex scandals make him a national shame. Not really, though at times his behavior has stretched even the Italian tolerance. But the context is important: plenty of people think the justice system works disastrously badly in Italy, so if Berlusconi is caught up in it -- like so many others -- then so what? And his sex scandals are really part of his own marketing plan: he cavorts with scantily clad young women in order to make himself look glamorous, young, entertaining and happy. Moreover, his antics with women act as a distraction from his other weaknesses, like a kind of tranquillizer for those who might otherwise get angry with him. A lot of Italians, especially young women, hate him for this. But enough either don't care or are sympathetic enough to him to mean that this does not harm him fatally in political terms.

His opponents are more statesmanlike and responsible. Yes, that is true of Mario Monti, the caretaker prime minister for the past year who then decided to run in the elections with a centrist list of candidates. But it is not particularly true of his big opponents -- including the left-wing Democratic Party, which has its own scandals, its own selfish interests and, during the election campaign, its own evidence of the abuse of political power in the case of Italy's third-largest (and oldest) bank, Monte dei Paschi di Siena, whose business was allegedly run and distorted in the interests of local Democratic Party politicians in that area. So the PD (by its Italian initials) is also viewed as selfish by the public, neutralizing Berlusconi's disadvantage on that measure. Since both the PD leader, Pier Luigi Bersani, and Monti are dull, leaden communicators who failed to offer any positive, hopeful message for their voters, the way was opened for Berlusconi.

News: Italy seeks way out of political chaos

Only one party in the election really stood for change: the Five Star Movement of Beppe Grillo. This meant that Berlusconi's old-fashioned, tax-cutting message, geared towards preserving his own political power, had plenty of space in which to operate. And although Berlusconi did not stand for change, he was at least cheerful, smiling and entertaining.

Politics is now all about personalities, as was shown by the rise of Grillo, but he and Berlusconi are opposites in this regard. It is true that the discrediting of traditional political parties, combined with the preeminence of television, has given personalities a huge advantage in Italian politics, even if neither the PD nor Monti seemed able to grasp this. Personalities and even personal stories breed attention and loyalty, even if from different groups. One of the last Italian politicians to understand and exploit this was, unfortunately, Benito Mussolini.

Oh, and did I forget to mention that Berlusconi owns Italy's three main commercial TV channels and its biggest advertising sales agency, and has billions of euros in cash to hand around to supporters and allies? Well, that isn't a misleading indicator. But it is a reason, perhaps too obvious to dwell upon, for Berlusconi's continuing success at the ripe old age of 76.

@highlight

Scandal-plagued three time ex-premier Silvio Berlusconi finished second in Italy's election

@highlight

Italians and non-Italians have very different views of Berlusconi, argues journalist Bill Emmott

@highlight

For all his faults, Emmott says Berlusconi did better than most at listening to his voters