A 29-year-old who admitted leaking details of a secret U.S. government program that collects massive phone and Internet data now says he doesn't want attention.

Too late, Edward Snowden. You're getting it -- on every scale, good and bad, across the Internet on social media and on every news broadcast. People of every age and range of experience, including national security experts, are weighing in on what you've done.

Some love you, others despise you. You're now a lightning rod for spirited debate surrounding government transparency versus public protection against the threat of terrorism.

Like WikiLeaks' source Bradley Manning, now on trial for leaking secrets, Snowden said he independently decided that the program was counter to American principles and should be revealed.

"There is no public oversight," he told the Guardian newspaper.

Like Manning, he went outside the system, and critics are blasting the computer expert for not airing concerns internally.

Snowden's actions have united some strange bedfellows. Left-leaning filmmaker Michael Moore and right-leaning commentator Glenn Beck tweeted that they think he's a "hero."

Democratic senators Ron Wyden of Oregon and Mark Udall of Colorado and Republican Sen. Rand Paul of Kentucky say they're worried the government could be overreaching with the program. Opensecrets.org lists Snowden as contributing to the 2012 presidential campaign of Rand Paul's father, libertarian Ron Paul.

Dozens of Facebook pages supporting Snowden have popped up in the past day. There are at least 2 million mentions of the North Carolina native on Twitter. Comments are so wide-ranging it's hard to put a finger on one theme, but social media aggregator BuzzFeed says that the word "hero" pops up more on Twitter than "traitor."

Snowden's strongest critics are using terrorism and incidents like the Boston bombings and 9/11 to explain why government monitoring is necessary to head off attacks. They say he should have kept what he was working on quiet to protect the public.

Some added that they don't mind being watched. If they are doing nothing wrong, they argue, then they have nothing to fear from a monitoring program.

For all anyone knows, Snowden might have been taking all this in Monday through his laptop in his hotel room in Hong Kong.

On Sunday, he outted himself a Guardian video interview. He must have known the stakes; after the first reports in the Guardian, the U.S. Justice Department said it was beginning a criminal investigation into the leak.

On Sunday, Snowden told the newspaper, "I have no intention of hiding who I am because I know I have done nothing wrong."

Snowden told the newspaper that while he admires Manning and Daniel Ellsberg, famous for leaking the Pentagon Papers during the Vietnam war, he considers himself different from Manning because he "carefully evaluated every single document" to "ensure that each was legitimately in the public interest."

"There are all sorts of documents that would have made a big impact that I didn't turn over, because harming people isn't my goal," he said. "Transparency is."

But no matter his intention, he says he's paying a price. The newspaper gave details of his comfortable life before he became a leaker, saying that he walked away from a $200,000 job for Booz Allen Hamilton, which let him work from his Hawaii home. Booz Allen Hamilton is a private consulting firm the government contracted to work on the program.

Afraid the government would come after him, the paper said, he told his girlfriend he had to go away for a bit and has been living in a hotel room and stuffing pillows under his door to thwart eavesdroppers.

Staying at the hotel is expensive enough, the Guardian said, but room service is killing him.

Snowden is hoping a country will offer him political asylum -- a wish reminiscent of notorious WikiLeaks founder Julian Assange.

Like Assange, Snowden may be already on a path to cult status.

"Yeah, man, going to try and get this page big and then get donations for his lawyers," wrote Rob Williams on one of many Facebook pages supporting Snowden.

"Very courageous what this man has done," Williams wrote, on a site with more than 1,000 "likes."

The focus shouldn't be on Snowden, another page argued. "It's not about the government seeing who I call or what you Google," Facebook poster Brett Foley wrote. "This is about our government becoming an evil empire."

There are several anti-Snowden pages, too. Rob Edwards Ellison wrote that he supports sanctions against any nation that grants Snowden asylum. "His alleged actions are not a political issue but rather a serious criminal matter for which the United States has the right to prosecute even if it means bringing the matter before the International Court in The Hague."

By noon Monday, CNN's story on Snowden had generated nearly 10,700 comments.

Some commenters are citing the Boston bombings and 9/11 to justify government monitoring.

Annie Mee said she was "impressed" with Snowden but "when people found out the Boston Bombers had been under surveillance by the FBI, people demanded to know why MORE hadn't been done. "So how do you want it, people? You can't have it both ways."

Snowden's actions are not tantamount to spying or aiding the enemy, argued a CNN commenter "Bacon2014."

"It's one thing to expose national secrets that are meant for foreign espionage. That's treason. That said, this man exposed a secret spying operation on US citizens - both innocent and otherwise. We have a Constitutional right against such intrusions. That's not traitorous ...

"I am all for punishing people who expose national secrets. I am very against the whole concept of WikiLeaks. But this is different. Exposing the government's violation of our constitutional rights is contextually the opposite of treason."

Some readers suggested those outraged by the government's program are being naive about terrorists.

"You'd prefer that terrorists operate in comfort with the knowledge that you'll be fighting for their privacy?" Jermaine in Atlanta said. "Why would you not want the US government to be able to have all the information it can have when it comes to protecting itself and its people?"

Gregory Keener shot back, "The threat of terrorism does NOT justify abandoning constitutional principals (sic) ... the invasion of privacy of millions without ANY reasonable suspicion for the vast majority."

While observers continued to debate, a person with a unique understanding of the situation appeared on CNN Monday morning.

Former FBI agent Coleen Rowley gained notoriety in 2002 when a scathing memo she wrote about the agency became public. She criticized the FBI for mishandling the investigation of terrorism suspect Zacarias Moussaoui before the September 11, 2001, attacks.

Rowley said top bureau officials stymied a wider investigation into Moussaoui, then held in Minnesota on immigration charges. She also accused FBI officials of acting to "circle the wagons" after the attacks on New York and Washington. Moussaoui was later charged as a conspirator in those attacks, which killed more than 3,000 people.

Rowley was one of three whistle-blowers featured as Time magazine's Persons of the Year in December 2002.

"I'm sure (Snowden) has a healthy awareness of the bumpy road ahead of him," Rowley said, adding that she felt it was "sad" that "American truth tellers" have to go to another country.

But Rowley worked within the system, and that's what she says separates her from Snowden.

What do you think? Was Snowden right to leak? Tell us below.

@highlight

Dozens of Facebook pages support or criticize the NSA leaker

@highlight

Some say he's a hero championing transparency; others call him a traitor

@highlight

Edward Snowden's actions have united strange bedfellows

@highlight

Snowden told the Guardian he admires Bradley Manning but he's different