For soccer's world governing body FIFA, it is an unwanted hat-trick.

Brazil, who will stage the 2014 installment of FIFA's showpiece tournament -- the World Cup --  faced a wave of protests about the costs involved in playing host when the forerunner to the tournament, the Confederations Cup, took place in June.

Recently FIFA have also appointed a task force to examine the possibility of moving the date of 2022 Qatar World Cup to escape the searing temperatures of the tiny emirate's Middle East summer.

Sandwiched in between those two is Russia 2018, who are again having to field accusations of racism among supporters of one of their biggest clubs.

Manchester City's Yaya Toure claims he was the subject of monkey chants from CSKA Moscow fans during their Champions League game on Wednesday and even raised the possibility of boycotting the 2018 World Cup.

Ivory Coast international Toure declared himself "furious" and in an interview with City's TV channel called on UEFA -- European football's governing body  -- to impose tough sanctions on CSKA, and "ban them for a couple of years."

While UEFA confirmed they'd opened disciplinary proceedings against CSKA for "racist behavior of their fans" after reports submitted from their two officials at the match, the club denies any allegations of racist behavior, and claim that UEFA's delegate didn't hear anything untoward.

Toure's Ivory Coast teammate Seydou Doumbia, who played in the match for CSKA, said he had heard nothing in the way of monkey chants and told the club's official website Toure "clearly got worked up."

Doumbia distanced himself from those comments on Friday, saying he hadn't spoken to any journalists after the game.

Whatever the outcome, the furore has provoked another wave of negative headlines about the World Cup and brought the issue of racial discrimination into sharp focus.

Brazil's World Cup winning defender Roberto Carlos twice had a banana thrown at him from the stands in 2011 when playing for Anzhi Makhachkala in the volatile Dagestan region while Zenit St Petersburg were forced to distance themselves from a fans group who called for non-white and gay players to be excluded from the team.

However, it is arguable that racism is way down the 2018 committee's to do list of priorities.

"There is still this attitude in Russia that the 2018 World Cup is a long way away and they have got all sorts of problems they need to tackle before they even get to the issue of racism," James Appell, a Moscow-based football journalist told CNN.

"I think the organizing committee for the 2018 World Cup has probably taken the decision that FIFA are much more concerned that the stadiums aren't going to be built, the roads will be bad and the railway links aren't going to be there by the time 2018 comes around."

While FIFA president Sepp Blatter declared himself happy with Russia's preparations at a recent summit in Argentina, Appell argues infrastructure development remains a huge concern.

"So if a few thousand fans -- and I'm not trying to diminish the issue -- but if a few thousand fans air these chants in a Champions League game in the year 2013, they are pretty confident they can sweep that under the carpet, but they've got to get the transport, logistics and stadiums in order.

"There are 14 or 15 host stadiums, how many of them are ready today? None, not a single one. Some of them are built but need renovating; some haven't even been built yet.

"That is where FIFA can say we literally can't hold a major tournament here if you don't have stadiums or roads, so that is where the prime motivation is at the moment.

"To even get to the point where they can say 'Right, we've solved that problem' they are years away."

Russia's organizing committee has insisted all stakeholders in Russian football have made it clear there is no place for racism in the game.

It also pointed to a new 'Fans Law', ratified by President Vladimir Putin in July, that bolsters the sanctions available to the authorities when dealing with hooliganism by Russian fans, like stadium bans and harsher fines.

"What is clear is that football is uniquely positioned to educate fans in combating this global issue," said the Russia organizing committee in a statement sent to CNN.

"The 2018 FIFA World Cup in Russia, in particular, can act as a catalyst to positively change the mindsets and behavior across all involved in Russian football over the next four years.

"The Fans Law that was recently passed into legislation shows Russia's determination to eradicate the problem for good. The 2018 FIFA World Cup in Russia will be a festival of football where talented athletes from every corner of the globe will be celebrated."

Asked if infrastructure projects were being prioritized ahead of tackling discrimination, the organizing committee declined to comment further.

Outside of Russia, condemnation of the alleged monkey chants aimed at Toure was rapid, with the Professional Footballers' Association in England calling for swift action and the "strongest possible sanctions."

The worldwide professional players' union FIFPro said UEFA's own racism protocol "failed" Toure.

FIFPro argued that after the 30-year-old Ivorian told referee Ovidiu Hategan of the alleged abuse, the official should have informed the safety officer to ensure a stadium announcement was made imploring fans to curtail their chants.

If they persisted, the teams should then have been taken off the field. On Friday, UEFA president Michel Platini ordered an investigation into why the protocol wasn't followed.

The British 'Kick it Out' campaign against racism called the incident a "depressing throwback" and said it raised questions around the suitability of Russia as World Cup hosts.

However, one seasoned racism campaigner, Piara Powar, executive director of the Football Against Racism in Europe (FARE) organisation, said it was unlikely that FIFA would consider replacing Russia as the host nation unless there was a wide scale boycott by the players involved.

"I'm very confident that when it comes to the World Cup, the government, the football authorities will make sure that in terms of racism it's a very clean World Cup -- I don't think that is in doubt," he told CNN.

CNN investigates: Racism in Football

"Generally when these big tournaments take place the country rises to the occasion and people understand their responsibilities.

"I think the wider issue is the one that Yaya Toure has highlighted, which is that if the government and the football authorities in Russia can't come to terms with this, then should the World Cup be played there?

"I think it's probably too late for that but he also raises the prospect of players boycotting the tournament, that has never happened before and in the end if the African players were to do that then there wouldn't be a World Cup."

One of the most high-profile footballers ever to play in Russia was Cameroon striker Samuel Eto'o, twice a Champions League winner with Barcelona and a four-time African Player of the Year.

He spent two years with Anzhi, playing a season alongside Carlos, and told CNN recently that in his experience of Russia, the ultras there are no more or less racist than in other countries.

"Racism wasn't born in Russia," said Chelsea striker Eto'o. "The first time I played in St. Petersburg, a lot of people told me, "Whoa, watch out there," when I came out onto the pitch to warm up, the fans stood up and applauded me.

"Racism is a question of education -- you get to one place and, in the moment, they do it to you. Or a lot of times, in the stadium, they do it to certain players -- not to offend you -- but to make you lose your concentration.

"And I'll tell you what, same as they said about the World Cup in South Africa, Russia will be one of the best World Cups we'll ever have."

Yet Appell insists there won't be an appetite to fight racism head on in Russia until the punishments meted out to clubs do them real damage.

"Futile is the word for potential punishments because there is no fear of any serious consequences," said Appell. "It has to be something on the horizon that is immediate and would affect all fans.

"There are certain things I think UEFA could do that might make a lot of Russian fans sit up and take note that would involve banning their clubs from playing in Europe or a serious sanction involving next year's World Cup.

"What is key for the clubs is television revenue and the prize money they get from competing in Europe.  As far as they are concerned fan behavior is an inconvenience but it isn't the be all and end all.

"What would affect them is if they were barred from competition and therefore couldn't get that revenue."

@highlight

The next three FIFA World Cups, in Brazil, Russia and Qatar mired in controversy

@highlight

Accusations of racism again hurt Russia's preparations for 2018 World Cup

@highlight

Yaya Toure claims he was racially abused by CSKA fans but Russian club deny it

@highlight

Russia denies prioritizing infrastructure projects ahead of efforts to tackle racism