(CNN) -- Hockey or debt ceiling? Watching both are Canadian national pastimes these days, especially for businessmen such as Marty Cutler. Except, the political show comes with a big dose of concern.

Like many Canadians, Cutler, owner of Fairmount Books in Toronto, said he feels quiet pride from closely following American politics and knowing his country is generally free of the acerbic partisan wrangling of its powerhouse southern neighbor.

But he fears a U.S. default, if it were to occur, would be sure to hit home hard.

"The whole thing drives us a little crazy," he said. "You're the elephant and we're the mouse: when you roll over we can get crushed."

More than 50% of Fairmount Books' business is in the United States. If Washington can't find a way to break the debt ceiling impasse, folks like Cutler could pay a heavy price.

Nobody can predict the precise global consequences of a U.S. default, but several economic experts said the ensuing panic could fall hard on Canada, the United States' largest trading partner.

A default would likely lead to a downgrading of America's stellar AAA-credit rating, which could send interest rates -- the cost of borrowing -- skyward.

In a worst-case scenario, this would grind bank lending to a halt, slowing economic activity and plunging the United States -- where Canada does 75% of its trading -- back into recession, according to Jack Mintz, a professor of public policy at the University of Calgary.

With approximately 20% of world GDP comprised in America, the international business community has a lot riding on the debt negotiations, Mintz said.

But Canadian businessmen such as John Larsen, whose business is also heavily dependent on American customers, may have more to lose than most.

"It would be devastating, no doubt about it," said Larsen, chief executive officer Larsen & Shaw, a company that makes hinges in Walkerton, Ontario.

Roughly one in five jobs in Canada is dependent on the United States, said Avery Shenfeld, chief economist of the Canadian Imperial Bank of Commerce.

"Any material change to the U.S. economy is quickly felt on this side of the border," he said.

"There is a sense of pride in Canada's regulatory, financial and political systems ... but Canadians can't afford to laugh off the troubles in the U.S.," he said. "It doesn't take too long for an economic weakness south of the border to send our own economy into trouble."

For this reason, Catherine Swift, president of Canadian Federation of Independent Business, said her organization has intently followed the debt ceiling talks.

The uncertainty has even driven up the value of the Canadian dollar.

"That's going to kick the pants out of (Canadian) exporters," she said. "Some are saying that Canada would become more of a safe haven for investments, but that's a financial market thing. In terms of the real economy, this is bad news."

Canada is already feeling the reverberations. The Toronto Stock Exchange fell more than 450 points this week and reached a one-month low Friday amid the uncertainty surrounding the debt ceiling talks.

Perhaps in an attempt to assuage worries, Canadian Finance Minister Jim Flaherty said this week that he was "relatively confident" the United States will raise the debt ceiling.

But he warned that America's broader deficit gap would remain a long-term problem that could hurt Canada as well.

"We're a trading nation and it matters to us that our most important trading partner has their fiscal house in order," Flaherty said.

Compared to the United States and Europe -- where several countries are saddled with deficit crises -- Canada is on a clear path to a balanced budget by 2014, Flaherty said.

"Canada looks relatively good on the world stage," he said. Asked if Canada had contingency plans for a default, Flaherty said, "What we are doing in Canada is what we're able to do in Canada."

Still, some Canadian business owners expressed frustration with what they called American fiscal recklessness and its impact on Canadians.

"I'm not surprised, given the reputation of Americans to be arrogant, that they are once again in this crisis situation," said Megan Halprin, part-owner of Snowflake, a clothing retailer based in Vancouver that does about a quarter of its business in the United States.

In her view, Americans "seem to attract crises." Canadians, she said, are conservative.

Whatever their nature, Canadian businessman ought to be paying close attention to the drama unfolding in Washington, said Don Atkinson of Atkinson Maple Syrup Supplies.

A default, he said, would have a "horrible ripple effect" in Canada.

But Atkinson was sure Canadians would survive a default of any magnitude. Chalk that up to old-fashioned principles.

"We pay down our debt," he said, "and don't buy based on credit, as you do in the United States."

@highlight

Canadian businessmen fear a U.S. default would hit their nation hard

@highlight

Canada is the United States' largest trading partner

@highlight

Some businessmen are frustrated with U.S. fiscal policies

@highlight

"We pay our debt," many say about their homeland