(CNN) -- It's been a year since the United States ratified the New Strategic Arms Reduction Treaty with Russia, and it's time to reflect on its benefits. By allowing us to restart inspections, verifications and the dismantling of nuclear assets, New START has established transparency, predictability and stability that serves the security of the whole world.

We know what the Russians have, and they know what we have, and together we are reducing our arsenals, allowing us all to sleep easier.

Keeping in mind the success of New START, the next logical step would be to ratify the Comprehensive Test Ban Treaty (CTBT), as Russia did in 2000. The establishment of such a ban on nuclear testing would further strengthen American security.

START I was first proposed by President Reagan. The United States and the Soviet Union signed the agreement in 1991, enhancing stability between the two nations and allowing for a drastic reduction in nuclear weapons. After the dissolution of the USSR, the treaty was inherited by Russia and continued until its expiration in December of 2009.

The expiration of the treaty risked a new arms race that threatened the security gains of the past 17 years. Succeeding the original agreement, New START is the modern recognition that both our nations benefit by fostering transparency between our two strategic nuclear forces.

It is no secret that during the course of the Cold War, the United States and Soviet Union developed the nuclear capacity to destroy each other, and indeed the very existence of humanity, several times over. At the height of that conflict, the United States and USSR possessed more than 65,000 nuclear weapons between them. Nuclear strategy promoted the concept of "bouncing the rubble," signifying the premise of destruction that nuclear war would unleash.

Yet this era demands thinking outside the conventions of nuclear war. We need weapons for fighting the enemies of today, not the Soviets of yesteryear. In the wars in Iraq and Afghanistan, our greatest threat has not been nuclear weapons fueled by uranium, but buried homemade bombs fueled by fertilizer. Investments in equipment, technology and training designed to combat low technology threats have proven more decisive in protecting the lives of our troops than any of our nuclear assets.

Of course, the United States can and should maintain a strong, credible nuclear deterrent. It also can and should set an example for the rest of the world with responsible ownership of these weapons.

After conducting more than 1,000 nuclear test explosions, the United States has not explosively tested a nuclear weapon in nearly 20 years and instead maintains a stockpile stewardship program to ensure the reliability of the current arsenal. Still the U.S. Senate resists approving the test ban treaty, which would create worldwide networks to apply pressure against states like Iran and North Korea.

These networks of pressure are exactly what we need against rogue states that aren't deterred from nuclear development by the vast American arsenal. These states are more susceptible to pressure outside the nuclear realm, and our strategy must incorporate this understanding to be effective. This means taking a bold diplomatic leadership role. By ratifying the CTBT, at no consequence to our own nuclear capabilities, the United States further establishes an international norm that pressures Iran and North Korea to ratify the treaty as well. We no longer need to test, but these states do in order to bridge their knowledge gaps.

The success of New START exemplifies the kind of diplomatic leadership the United States must embody. America became a reluctant global leader in the 20th century. But with global power comes global responsibility.

Thrust onto the world stage in periods that demanded leadership, we have seen the consequences of American reluctance to lead. The 21st century is a time of new challenges, be those challenges of economic, environmental or military nature. Leadership doesn't have to be expensive, and there are clear budgetary incentives for reducing our Cold War nuclear arsenal.

As commentators discuss the decline of American influence in the world, we must focus on the power of our example as a staple of international leadership and that means active participation in diplomatic processes and organizations.

Americans firmly believe in their commitment to ideals, principles and morality. New START is supremely representative of that. We should extend that commitment to ratification of the CTBT.

The opinions expressed in this commentary are solely those of Stephen Cheney.

@highlight

Stephen Cheney: New START treaty has provided stability for the whole world

@highlight

Next step is ratifying the test ban treaty, he says, signed by Russia a decade ago

@highlight

Cheney: U.S. no longer needs to test nuclear weapons; threat today is homemade bombs

@highlight

Signing would help us in pressing rogue states to pledge not to test nukes, he writes