(CNN) -- Many people think Amelia Earhart's fame rests on her dramatic disappearance in 1937. I don't think so. I think her life has been overshadowed by her death. I think that when her Electra aircraft is finally found, the focus will return to her life and her remarkable accomplishments. She will become even more famous than she is today.

A new, privately funded investigation into one of the most famous missing persons cases in history will start this summer, carried out by The International Group for Historic Aircraft Recovery. It will be headed by Ric Gillespie. The group has mounted 10 previous expeditions to Gardner Island, also known as Nikumaroro, in the Pacific. I wish him well, but my experience leads me to believe Gillespie will come up empty again.

Earhart started flying in the 1920s. Her first plane was powered by one of the first -- and still unproven -- air-cooled engines ever made. But Earhart possessed more than guts and a passion for flying. She was blessed with good looks and intelligence. She thrived on publicity, charmed men and set as her mission in life the empowerment of women.

She went on the lecture circuit to finance her flights and became wildly popular, the Oprah Winfrey of her day. Earhart helped create and lead the Ninety Nines, the women's flying organization that promoted women fliers, and was idolized by her flying peers as much because she was fun as because she was efficient.

She married a successful publisher, George Putnam, who looked like a stand-in for Superman's alter ego, Clark Kent. He devoted his life to her. In a time when planes were being perfected and aviators were the superstars of the day, she matched the men.

Earhart's most daring achievement was that five years to the day after Charles Lindbergh's flight, she took off from Harbor Grace, Newfoundland, and safely landed her red single-engine Lockheed Vega in a farmer's field in Derry, Ireland. After a harrowing flight replete with equipment malfunctions and bad weather, she became the first woman and the second pilot to fly solo across the Atlantic. The world went crazy.

After the flight, she was elevated to almost mythic status. "Forget Garbo, forget Jackie, she was in a realm beyond stardom," recalled Gore Vidal, who knew her well.

She set countless speed, long-distance and altitude records.

She was on what she planned as her last record-breaking flight in 1937 when she went missing, flying around the world at the equator, which had never before been done. She had always flown solo, but on this last flight, she took along a navigator, Fred Noonan.

She was on the last, most dangerous leg of the flight, taking off from Lae, Papua New Guinea, for Howland Island, a dot in the middle of the Pacific a bit north of the equator and 2,556 miles away. She was landing there to refuel the Electra before flying on to Hawaii. When she failed to appear, the Itasca, a U.S. Coast guard vessel waiting at Howland Island to guide her in, radioed the world.

The final resting place of her plane has never been ascertained, but most fliers and history buffs, including me, think that the plane rests on the ocean floor somewhere in the vicinity of her destination of Howland Island, rather than Gardner Island, 400 miles away. But the ocean is 17,500 feet deep around Howland, a mile deeper than the resting place of the Titanic. Only recently has technology allowed the construction of underwater vehicles that can endure such extreme pressure.

In 2009, I was on the second leg of the R/V Seward Johnson's search for Earhart. The Seward Johnson is a 204-foot research vessel that set out from American Samoa to search the ocean floor to the west of Howland Island. Ted Waitt, founder of Gateway Computer and creator Waitt Institute for Discovery, was behind the expedition. A great admirer of Earhart, he was also the impetus behind the recent movie, "Amelia."

There were 29 of us aboard the Seward Johnson: scientists, oceanographers, technicians, computer experts and ordinary seamen. Autonomous underwater vehicles, bright yellow sonar subs 12 feet long, did the searching. For 46 days, the AUVs looked for the plane round the clock. Going on the assumption that headwinds had slowed the plane down more than Noonan realized, the subs were deployed to survey to the west of Howland Island.

The AUVs work by pinging the ocean floor as they travel just above it, sending up signals that are displayed on computer screens as dots that change color as the subs ping over different surfaces. The softest surface, sand, transmits as blue dots; hard stone and metal transmit as red dots that blend off into green. The Electra, as a metal object, would show up red. Once an AUV pinged a large metal object: It turned out to be a 55-gallon steel drum. Other than that, the ocean floor was as barren as the moon.

In the past 16 or so years, The International Group for Historic Aircraft Recovery has come back with all sorts of artifacts that Gillespie was sure would prove to have belonged to Earhart. Nothing has held up to scrutiny. While his hunches have led him to concentrate on this island, Gardner was one of the first islands searched, five days after Earhart went missing.

At that time, three planes catapulted from the battleship USS Colorado searched the area. If one of the three pilots had sighted anything even slightly promising, the pilot would have reported it. The pilot who sighted the plane would instantly have been the hero of the hour.

Such a sighting was never made. At President Franklin Roosevelt's bidding, the Colorado was within days joined by a fleet of nine ships of the U.S. Navy, including an aircraft carrier that held 62 planes, to look for Earhart. The ships and the planes then conducted a search they estimated as covering 150,000 square miles.

The Seward Johnson only searched the ocean floor to the west of Howland Island. It is my best guess that the plane rests on the ocean floor to the east, waiting to be found by the next expedition.

Whoever finds Earhart and her Electra will deservedly become famous. I agree with Secretary of State Hillary Clinton, who has said the search itself is inspirational. It will be wonderful news when one day our lost heroine is found.

In the meantime, Earhart remains an icon, revered by young women, remembered by many for her signal accomplishments, remembered by all because of her dramatic end. She is 39 forever.

The opinions expressed in this commentary are solely those of Susan Butler.

@highlight

Susan Butler thinks new expedition won't find Amelia Earhart's vanished plane

@highlight

Butler wrote a biography of Earhart, a pioneer of aviation who inspired women pilots

@highlight

Earhart was wildly famous in her day, broke countless speed and distance records

@highlight

Butler went on expedition to find Earhart plane; thinks new project is looking at wrong island