Technology is everywhere. It's in our homes, cars, workplaces -- it's in your pocket right now.  This is nothing new. We have been conditioned to believe, despite the occasional dystopic summer blockbuster, that technology is making our lives easier.  We are told constantly that all these tiny computers we carry around with us are improving, keeping pace as we grow as a society and allowing us to lead more efficient, happier lives.

Technology is a good thing.  I believe that to be true.   But, the more I witness its evolution, the more I think we're building it wrong much of the time.  The way technology interacts with us is ready for a serious overhaul.

It is true that technology has the potential to dramatically help society.  But technology on its own doesn't accomplish those things.  It is in the transition from idea to tangible product where the fate of technology is determined.

Douglas Adams once said, "Technology is a word that describes something that doesn't work yet."  Technologies often fail not because they don't function; they fail us because we know they're there.

Technology, at its absolute best, is not a whiz-bang gadget we show off to our friends.  It is, instead, something more like the seemingly mundane anti-lock brake systems on the cars we drive.

When you press your ABS brakes, you are not braking.  You are giving a robot a request.  The robot then processes the request, and brakes on your behalf.  You just push the brake in a totally natural way, expressing your intent (i.e., how fast you'd like to stop).  You offer guidance with your foot on the pedal, which allows the robot to do its work by interpreting that guidance and making sure you don't skid.  This is the processing of a high-level desire by letting the technology take care of all the low-level details.

When a technology reaches this point of invisibility, it has reached its ultimate goal: becoming part of our routine, with no compromise between us and the technology.  The technology meets us 100% of the way, right where we want it and need it, right at the point where it improves our lives and takes nothing away.   It doesn't take our attention, it doesn't slow us down, and it doesn't make us change the way we live our lives.

What inspired Google Glass was partly the realization that consumer technology products often don't live up to those standards.  So, we began to look more closely at the people around us and how they interact with technology.  We found they were living in a world divided between their digital lives and their in-the-moment physical lives.

I know that some people worry wearable connected technologies will become just the next step down the path of draining our attention and further widening the schism between our physical lives and digital lives -- just another techno-distraction.

We agree.  So, we're developing the Glass design to make it easier to bring people the technology they depend on without drawing them out of the moment.  We're building it to make digital life more elegantly and seamlessly integrated into physical life, or even to remove those barriers entirely. We aspire for Glass to help its wearers be naturally in the moment without having to "operate" anything.

The most successful wearable technology in human history is something people don't even view as technology anymore:  eyeglasses. Invented 700 years ago, they caught on because, more than anything else, they made the world clear and visible for those whose eyes saw just a blur. And they made the world richer than if you didn't have them on.

Society has embraced eyeglasses to such a large degree because they offer us the best kind of technology -- there is no owner's manual, we don't have to fight with the user interface, and we forget they are there and become aware of them only in their absence.

Google Glass, if we evolve it the right way, should become a 10X improvement on that kind of experience. People wearing Glass would forget they're wearing it, just like you don't remember during the day that you are wearing regular eyeglasses -- until you aren't.

The goal of Glass is to take your base sensory experience of the world and deliver it to you in a better, more livable, more enjoyable, more beautiful way -- without having to compromise on anything on your end.  It is our job to make sure, in Adams' formulation, Glass just works.

@highlight

Astro Teller: The way technology interacts with us is ready for a serious overhaul

@highlight

Teller: Google Glass is meant to seamlessly integrate our digital and physical lives

@highlight

He says when a technology reaches a point of invisibility, it has reached ultimate goal

@highlight

Teller: Google Glass, if we evolve it the right way, should become a 10X improvement