(CNN) -- As NASA prepares to hunt for Earth-like planets in our corner of the Milky Way galaxy, there's new buzz that "Star Trek's" vision of a universe full of life may not be that far-fetched.

An artist's impression shows a planet passing in front of its parent star. Such events are called transits.

Pointy-eared aliens traveling at light speed are staying firmly in science fiction, but scientists are offering fresh insights into the possible existence of inhabited worlds and intelligent civilizations in space.

There may be 100 billion Earth-like planets in the Milky Way, or one for every sun-type star in the galaxy, said Alan Boss, an astronomer with the Carnegie Institution and author of the new book "The Crowded Universe: The Search for Living Planets."

He made the prediction based on the number of "super-Earths" -- planets several times the mass of the Earth, but smaller than gas giants like Jupiter -- discovered so far circling stars outside the solar system.

Boss said that if any of the billions of Earth-like worlds he believes exist in the Milky Way have liquid water, they are likely to be home to some type of life.

"Now that's not saying that they're all going to be crawling with intelligent human beings or even dinosaurs," he said.

"But I would suspect that the great majority of them at least will have some sort of primitive life, like bacteria or some of the multicellular creatures that populated our Earth for the first 3 billion years of its existence."

Putting a number on alien worlds

Other scientists are taking another approach: an analysis that suggests there could be hundreds, even thousands, of intelligent civilizations in the Milky Way.

Researchers at the University of Edinburgh in Scotland constructed a computer model to create a synthetic galaxy with billions of stars and planets. They then studied how life evolved under various conditions in this virtual world, using a supercomputer to crunch the results.

In a paper published recently in the International Journal of Astrobiology, the researchers concluded that based on what they saw, at least 361 intelligent civilizations have emerged in the Milky Way since its creation, and as many as 38,000 may have formed.

Duncan Forgan, a doctoral candidate at the university who led the study, said he was surprised by the hardiness of life on these other worlds.

"The computer model takes into account what we refer to as resetting or extinction events. The classic example is the asteroid impact that may have wiped out the dinosaurs," Forgan said.

"I half-expected these events to disallow the rise of intelligence, and yet civilizations seemed to flourish."

Forgan readily admits the results are an educated guess at best, since there are still many unanswered questions about how life formed on Earth and only limited information about the 330 "exoplanets" -- those circling sun-like stars outside the solar system -- discovered so far.

The first was confirmed in 1995 and the latest just this month when Europe's COROT space telescope spotted the smallest terrestrial exoplanet ever found. With a diameter less than twice the size of Earth, the planet orbits very close to its star and has temperatures up to 1,500° Celsius (more than 2,700° Fahrenheit), according to the European Space Agency. It may be rocky and covered in lava.

Hunt for habitable planets

NASA is hoping to find much more habitable worlds with the help of the upcoming Kepler mission. The spacecraft, set to be launched from Cape Canaveral Air Force Station in Florida next week, will search for Earth-size planets in our part of the galaxy.

Kepler contains a special telescope that will study 100,000 stars in the Cygnus-Lyra region of the Milky Way for more than three years. It will look for small dips in a star's brightness, which can mean an orbiting planet is passing in front of it -- an event called a transit.

"It's akin to measuring a flea as it creeps across the headlight of an automobile at night," said Kepler project manager James Fanson during a during a NASA news conference.

The focus of the mission is finding planets in a star's habitable zone, an orbit that would ensure temperatures in which life could exist.  Watch a NASA scientist explain the search for habitable planets »

Boss, who serves on the Kepler Science Council, said scientists should know by 2013 -- the end of Kepler's mission -- whether life in the universe could be widespread.

Finding intelligent life is a very different matter. For all the speculation about the possibility of other civilizations in the universe, the question remains: If the rise of life on Earth isn't unique and aliens are common, why haven't they shown up or contacted us? The contradiction was famously summed up by the physicist Enrico Fermi in 1950 in what became known as the Fermi paradox: "Where is everybody?"

The answer may be the vastness of time and space, scientists explained.

"Civilizations come and go," Boss said. "Chances are, if you do happen to find a planet which is going to have intelligent life, it's not going to be in [the same] phase of us. It may have formed a billion years ago, or maybe it's not going to form for another billion years."

Even if intelligent civilizations did exist at the same time, they probably would be be separated by tens of thousands of light years, Forgan said. If aliens have just switched on their transmitter to communicate, it could take us hundreds of centuries to receive their message, he added.

As for interstellar travel, the huge distances virtually rule out any extraterrestrial visitors. iReport.com: Share your view of the universe

To illustrate, Boss said the fastest rockets available to us right now are those being used in NASA's New Horizons mission to Pluto. Even going at that rate of speed, it would take 100,000 years to get from Earth to the closest star outside the solar system, he added.

"So when you think about that, maybe we shouldn't be worried about having interstellar air raids any time soon," Boss said.

@highlight

Astronomer: There may be 100 billion Earth-like planets in the Milky Way

@highlight

If any of them have liquid water, they are likely to have some type of life, he says

@highlight

Analysis: Thousands of intelligent civilizations may have emerged in the Milky Way

@highlight

NASA's Kepler mission to search for habitable planets in our corner of the galaxy