Editor's note: Michael Eric Dyson is a professor of sociology at Georgetown University and the author of 16 books, including the New York Times bestseller, "April 4, 1968: Martin Luther King, Jr.'s Death and How it Changed America".

Michael Eric Dyson says the arrest of Henry Louis Gates Jr. shows that the U.S. is not "a post-racial paradise."

(CNN) -- Last Thursday, President Obama, in his fiery speech before the NAACP Convention, admitted that "an African-American child is roughly five times as likely as a white child to see the inside of a prison."

But he surely couldn't have imagined that only a couple of hours before his oration, one of America's most prominent scholars -- and a distinguished professor at Obama's alma mater, Harvard University -- would breathe cruel and ironic life into that sad statistic.

Henry Louis "Skip" Gates Jr. is simply the most powerful and influential black scholar in our nation's history.

He received a doctorate at Cambridge University long before the culture wars became au courant; he was among the first group of figures to receive a MacArthur "Genius Award" Fellowship; he wrote the finest work of literary criticism in a generation with "Signifying Monkey"; he was named by Time magazine as one of the "25 Most Influential Americans"; he has a boatload of honorary degrees; and he has been a ubiquitous media presence and thoughtful interpreter of race and culture for a quarter-century.

But none of that made a bit of difference when Gates returned from a research trip to China to find the front door to his Harvard-owned house jammed and enlisted the assistance of his driver to muscle the door loose. By the time Gates was on the phone with his leasing company, a white policeman had arrived, summoned by a neighbor who spotted two black men looking as if they were unlawfully breaking into the house.

Their stories diverge from here; the policeman says he asked Gates to step outside, Gates refused, the officer entered the home and requested Gates' ID, which he didn't initially produce, and finally had Gates arrested when he followed the officer outside, as Gates was "exhibiting loud and tumultuous behavior."

Gates allegedly shouted, "Is this how you treat a black man in America?" and "You don't know who you're messing with." Gates says he showed the officer his ID, demanded that the officer identify himself, which he didn't, and then the professor followed the officer outside to get the policeman's name and badge number when he was arrested by the gaggle of police who had gathered.

Several features of the story scream the presence of lingering bias and racism. A black man in a tony neighborhood simply seems out of place, even to his neighbors.

Had Gates been a white professor trying to get inside his home, and called on his driver to help him jar his door open, he probably wouldn't have as readily aroused the suspicion of neighbors. And when police arrived to check out the premises, they probably wouldn't have been nearly as ready to believe the worst about the occupant of a home who clearly wasn't engaged in a criminal act.

Whatever one believes about what happened, Gates clearly wasn't the beneficiary of the benefit of the doubt, a reasonable expectation since he posed no visible threat.

It is also striking that Gates seems to be the victim of a police mentality that chafes at a challenge of its implicit authority. While that may be true for folk of all races, it seems especially galling to cops to be questioned by a person of color.

How dare black folk believe that, regardless of their station or privilege, they have permission to speak back -- or speak black -- to state-enforced authority, one that, not a decade ago, routinely ravaged black communities in blatant displays of wanton aggression.

It is for good reason that police brutality is a constant concern for black folk; the stakes are often high and harmful. The link between black vulnerability and racial profiling -- of setting in one's collective imagination an image of black men as bad people who are liable to commit mayhem at any moment, and who must therefore always be suspected of wrong and subject to arbitrary forms of control and surveillance -- is evident in the pileup of black bodies, from Amadou Diallo to Sean Bell, that testify to the force of police to impose lethal limits on black survival. Gates rubbed up against the unspoken code that enforces black silence and often violently compels black compliance.

In the end, Gates' unjust treatment speaks volumes about the cynical assertion that we now live in a post-racial paradise.

Gates' crime appears to be a new one in the litany of crimes that black folk commit by virtue of their very existence -- in this case, HWB, or housing while black. If a famous and affluent black man in his own home can be accosted, arrested and humiliated, then all black folk can reasonably expect the same treatment.

To Gates' credit, he realizes that racial profiling happens regularly to poor black folk, and he has pledged to do something about it. But another famous black figure associated with Harvard must renew his pledge to get rid of racial profiling and spare the nation the illusion that his success represents a post-racial America. While it's not likely he'll be unjustly arrested in his House, he's got to make sure that the same privilege extends to millions of other black folk who don't live on Pennsylvania Avenue.

The opinions expressed in this commentary are solely those of Michael Eric Dyson.

@highlight

Michael Eric Dyson: Gates is an eminent intellectual and Harvard professor

@highlight

He says Gates' arrest in Cambridge shows that U.S. still grapples with racism

@highlight

He says police are particularly sensitive to questioning from people of color

@highlight

Dyson: Obama must renew his pledge to eliminate racial profiling