(CNN) -- Kenyan intelligence knows him simply as Ikrima. But his full name is Mohamed Abdikadir Mohamed, and he is regarded as one of the most dangerous commanders in the Somali terror group Al-Shabaab.

U.S. officials say Ikrima was the target of a raid Saturday by U.S. Navy SEALs on an Al-Shabaab compound near the town of Baraawe in Somalia. It's believed that he escaped after the U.S. troops came under heavy fire.

Ikrima, thought to be in his late 20s, is wanted by both the Kenyan government and its Western allies and was a close associate of one of al Qaeda's most important operatives in East Africa. A recent Kenyan intelligence report that was leaked just after the Westgate mall attack in Nairobi outlined several plots in which he was allegedly involved. All of them involved targets in Kenya, and all the attacks would have involved Kenyan citizens trained by Al-Shabaab.

Among those conspiracies, according to the leaked report, was a planned attack on Mandera airport in Kenya's North Eastern province. Ikrima was "directing an attack targeted at Mandera airport between 25th and 28th April 2013," according to the report. He was "being assisted by Liif, an Al-Shabaab explosive expert," and the attack would have involved 11 terrorists.

Wife: Terror suspect had left al Qaeda

Another plot -- in 2011 -- involved dispatching one operative to a safe house in Nairobi whose mission was "to train youth, lay down the infrastructure for a major attack and await instructions." That individual was later arrested at a house said to have contained grenades, rifles and ammunition.

The Kenyan report also alleged that one of Ikrima's most ambitious conspiracies had been sanctioned by al Qaeda in Pakistan. It envisioned multiple attacks in Kenya at the end of 2011 and in early 2012 targeting the Kenyan parliament, United Nations offices in Nairobi and Kenyan politicians. There was also "financial and logistical support from a South African facilitation network."

It's not clear whether Ikrima had any role in the Westgate attack, but given the involvement of some Kenyans in the siege, it seems likely. Ikrima has been at the forefront of Al-Shabaab's efforts to recruit and train Kenyans and other foreigners for Al-Shabaab -- and to develop a Kenyan affiliate called al Hijrah.

Terror leader 'ruthless', 'secretive'

Kenyan officials have said that he regularly traveled between Somalia and Kenya, and was in Kenya at one point last year. At least one of the plots he directed involved South Africans.

Sources say Ikrima regularly changes his appearance -- at one point having very long hair, and at another a moustache similar to former Iraqi leader Saddam Hussein's.

Morten Storm, a former informant who has worked for several Western intelligence agencies, has told CNN that he developed a close relationship with an Al-Shabaab figure called Ikrima between 2008 and 2012. He said he is confident that it's the same person who was targeted over the weekend.

Storm, who is Danish, described Ikrima as a Somali-Kenyan Al-Shabaab operative who had spent time in Norway. He said that Ikrima made clear to him via e-mail that he was ready to send recruits from the West back home from Somalia to launch attacks.

Norwegian journalist Bent Skjaerstad told CNN his sources have confirmed that Ikrima had indeed spent time in Norway and had tried to recruit for Al-Shabaab in Europe. Skjaerstad, who reports on security and terrorism for TV2, said Ikrima had lived there between 2004 and 2008. He had failed to gain asylum status but had been given Norwegian travel papers.

Skjaerstad told CNN that according to his sources, Ikrima had traveled to Somalia while living in Norway and had used about a dozen aliases.

"There was a connection to Ikrima in a court case in Sweden of two Swedish nationals of Somali descent who were accused of participating in terrorist training in Somalia," Skjaerstad said.

"There was phone surveillance introduced as evidence in the trial in which the two men discussed Ikrima. They spoke of him as their contact when they arrived in Kenya from Sweden," he said.

Bergen: How Al-Shabaab picks its targets

Storm, who no longer works underground, has shown CNN encrypted e-mails he exchanged with Ikrima over a period of several years. Those communications show that Ikrima was involved in developing contacts between members of Al-Shabaab and al Qaeda in the Arabian Peninsula (AQAP), across the Gulf of Aden in Yemen. They included contacts between Ikrima and the America-born cleric Anwar al-Awlaki, who was killed in a U.S. missile attack in September 2011.

This relationship was a source of great concern to Western intelligence agencies as it evolved in 2009-11, because it linked the most active and dangerous al Qaeda affiliate -- AQAP -- with an emerging terror group in Somalia, a country with an extremely weak government.

One e-mail from al-Awlaki to Storm, dated December 12, 2009, said: "The brs (brothers) here eagerly want to establish connections with Somalia so these brs could be a start," a reference to Ikrima and others.

Storm replied: "Ikrima from Somalia is still waiting for your questions, he just told me, that he is planning to come over to your place with some other guys."

It's not over, Somali terrorists say after mall attack that killed 67

Ikrima established contact with al-Awlaki but never ended up making the trip to meet him in Yemen, according to Storm. Instead, he stayed in East Africa, traveling between Kenya and Somalia, and becoming a key handler for foreigners, including Westerners who wanted to join Al-Shabaab, Storm said.

In March 2012, Ikrima warned Storm of growing pressure from the Kenyan security apparatus. "So you need to be extra carefull (sic) they dont get a single trace of anything coz they are now tracing a sister who was a widow of one of the london 7/7 bomber," he wrote, a reference to Samantha Lewthwaite, who is believed still to be in Kenya and is wanted by Kenyan authorities.

Storm told CNN that in 2012, he was offered a substantial sum to help Western intelligence agencies find Ikrima, known to his handlers at that point as Ikrima al Muhajir. He said Ikrima was in Kismayo, Somalia, when they last communicated in mid-2012, shortly before Kenyan forces pushed Al-Shabaab out of the port city.

One of Ikrima's associates was Abdelkadir Warsame, who was detained by the U.S. military while crossing by sea from Yemen to Somalia in April 2011. Warsame had been involved in establishing training and weapons transfers with AQAP.

Another close associate of Ikrima, according to Storm, was Jehad Serwan Mostafa, an American Al-Shabaab operative still at large. The United States has offered a $5 million reward for information leading to his capture.

Intelligence sources say Ikrima is thought to have first gone to Somalia in 2006 and subsequently worked for two Kenyans prominent in Al-Shabaab and al Qaeda: Harun Fazul and Saleh Nabhan.

Nabhan was a senior Kenyan al Qaeda operative, and he was among the U.S. government's most wanted terrorists. He was suspected of helping to orchestrate the 1998 East Africa Embassy bombings, a 2002 bombing on a Mombasa resort, and a near simultaneous failed missile attack on an Israeli airliner taking off from Mombasa's airport. Ikrima became one of his trusted insiders, according to Storm.

Nabhan was killed in a raid by U.S. special operations forces on a convoy traveling south along Somalia's coastal road in September 2009. A younger relative of Nabhan, Omar Nabhan, was among the gunmen killed at Westgate, Kenyan authorities say.

If Ikrima survived the weekend attack by U.S. special operations forces and is able to continue operating, Kenyan authorities will be concerned about his ability to continue developing al Hijrah cells in the slums of Nairobi and Mombasa, Kenya.

A Kenyan expert on the group, Robert Ocholar, tells CNN that Kenyan security services have driven al Hijrah underground but in the process made the group more unpredictable and dangerous. Ocholar says he was made aware in 2011 of a camp in Kenya's Eastern Province used by Al-Shabaab as staging ground for recruits going to Somalia.

Ocholar says that in Kenya, there is more radicalization among young Muslim Kenyans than among the sizable Somali community.

That in part may be down to the activities of Ikrima, aka Mohamed Abdikadir Mohamed.

@highlight

Mohamed Abdikadir Mohamed was target of raid Saturday by U.S. Navy SEALs, officials say

@highlight

The Al-Shabaab commander, also called Ikrima, is thought to have escaped

@highlight

He's wanted by Kenya and its Western allies, accused of involvement in terror plots

@highlight

He's suspected of leading efforts to recruit and train foreigners for Al-Shabaab