Cairo (CNN) -- Lengthy sentences handed down to 21 women and girls who were arrested at a pro-Morsy demonstration have highlighted growing unease over the Egyptian authorities' treatment of dissent.

The protesters, including seven minors, were sentenced Wednesday in Alexandria after being arrested at a demonstration in support of ousted president Mohamed Morsy earlier this month.

The seven minors were sent to juvenile detention, and each of the adult women got 11 years in prison.

Their sentencing came amid demonstrations over a new protest law announced by the military-backed Egyptian government Sunday.

The new law requires organizers to seek permission from authorities before gathering and gives police the right to cancel demonstrations and to disperse them with force.

It was put into use Tuesday, when a demonstration of less than 300 people protesting an article allowing military trials of civilians in the draft constitution was dispersed with water cannon and tear gas on the grounds that organizers didn't seek permission beforehand.

About 40 people were arrested. Female detainees said they were sexually harassed during the arrest and then beaten before being dropped off near a desert road south of Cairo.

Twenty-four men remain behind bars facing numerous charges relating to the new protest law.

About 2,000 demonstrated Wednesday, in the second strong showing of dissent this month not connected to Morsy supporters, chanting against the Muslim Brotherhood, police and Defense Minister Abdel-Fattah El-Sisi.

"The Cabinet ... declares its commitment to the firm and strong enforcement of the Right to Protest law; the complete support to the police; and its respect to freedom of expression within a regulated framework," Hossam Eissa, minister of higher education, said in an official statement Wednesday.

One student was killed Thursday in clashes with security at Cairo University. Several were injured in university students' demonstrations in Cairo and Alexandria.

Voting on the final draft of the constitution was postponed to next week, as discussions continue.

Some members of the constitution-drafting committee who are opposed to the use of force against protesters briefly suspended their membership.

Pro-Muslim Brotherhood demonstrations continue across Egypt but with smaller numbers, because of an ongoing crackdown and the arrests of leaders and young members.

'Political verdict'

The sentences handed down Wednesday in Alexandria have intensified concerns among rights groups about alleged abuses by police, apparently with the support of prosecutors and the judiciary.

"We don't have any doubt that this verdict is a new episode in a series of politicized judicial rulings, which include the sentencing of several Al-Azhar students to 17 years in various misdemeanors based on accusations that are mostly trumped up and generalized," said a joint statement issued by 14 rights groups.

A Human Rights Watch official echoed those concerns.

"I think the fact that this protest law passed is significant and is bad news because there was a lot of pushback against this law. We've been pushing back against this law, and they were all oppressive," said Heba Morayef, the group's Egypt director.

"I think what this new protest law shows is that hard-line security agencies are the ones calling the shots, because the Ministry of Interior wanted this new law to legitimize the crackdown on protests."

Lawyer Mahmoud Farouk, who is working on the case of the Alexandria women and girls, told CNN he is confident the sentences will eventually be overturned -- but not before they spend seven or eight months in prison or juvenile facilities. "It's a way to punish the girls until a new verdict is out," he said.

He believes the charges for which they were sentenced, filed in a misdemeanor court, will ultimately end in a petty fine.

"The verdict is political and doesn't have legal grounds," he said.

The charges against the women include thuggery, congregating or gathering, weapons possession and destroying property.

Polarized political scene

Morsy, backed by the Muslim Brotherhood and the nation's first democratically elected president, was forced out of office in July, with detractors saying he was a tyrant trying to impose conservative values.

Several hundred people have died in clashes between pro-Morsy demonstrators and security forces since the military removed him.

Morsy is in custody, facing charges of incitement to murder in connection with protests against his rule last December. He has refused to recognize the court.

In the months since Morsy's ouster, many Egyptians accepted the force used against his supporters as attacks on police and the army in Egypt's Sinai region increased.

But the recent emergence of a faint voice rejecting the polarized political scene is encouraging more criticism of the security sector.

On the government level, reports indicate an increasingly domineering role for the Interior Ministry in the decision-making process.

With a frail economy, many citizens on the street don't want the disruption brought by protests and so are willing to defend the heavy hand of the security forces.

But at the same time, demonstrations in campuses across the country and workers' protests are growing in number for a range of political and economic reasons.

CNN's Laura Smith-Spark contributed to this report.

@highlight

14 women sentenced to prison after pro-Morsy protest; 7 girls get juvenile detention

@highlight

Rights groups say sentencing is the latest in a "series of politicized judicial rulings"

@highlight

Egypt's military-backed government has brought in a new law limiting protests

@highlight

One student is killed in clashes with security in Cairo, others are injured