Off Garden Island, Australia (CNN) -- Docked at the largest naval base in Western Australia Monday is a ship with a bright red hull and the weight of the world resting on the shoulders of its 30-member crew.

To some, the ship represents their only chance at closure after the disappearance of loved ones on Malaysia Airlines Flight MH370.

To others, it's the best chance of solving one of the greatest mysteries in modern aviation.

Departing just after sunset, the Australian Defense Vessel Ocean Shield sets out to the search zone in the southern Indian Ocean, one of the most remote places on Earth, some 1,100 miles off the coast of Western Australia.

It will take three days just to get to this corner of the world, where waves are taller than many buildings, and the seas conceal mountain ranges.

CNN asked to ride with the crew of the Ocean Shield to document their journey. But the mission is too long and too important to allow for the added burden of carrying journalists onboard.

Anxious wait

So we sit in a chartered fishing boat named Thunder and wait anxiously for the Ocean Shield to begin its journey. Our expectation of a Monday morning departure is quickly dashed. So we wait on the water, watching the boat and filing hourly live updates. The 6:30pm departure time is pushed back an hour. At 7:30pm, the ship still sits at the dock.

The Ocean Shield finally departs just before 8pm, cloaked in darkness, only its deck lights guiding the way from Garden Island, out of Cockburn Sound, and into the Indian Ocean.

We watch as the Ocean Shield makes its way up the narrow channel headed for the open sea, traveling so fast our 60-foot fishing boat can't keep up.

"We started out, he was running about 8 to 10 knots and started picking up speed," says our captain, Ray Ruby. "I think by the time he was doing about 15 knots we were still in the channel."

Battery race

And there's a reason that the team aboard the Ocean Shield is in a hurry. The batteries on the underwater locator beacons, or pingers, attached to the flight data recorder and cockpit voice recorder have less than a week before they're set to expire. And these crew members are the only ones equipped to find them. They carry the latest technology from the U.S. Navy, including a towed pinger locator, or TPL-25, a giant underwater microphone that will listen for the pings from the black boxes. Then there's the Bluefin-21, an underwater robot that can scour the ocean bed, looking for signs of wreckage.

But there's a problem. More than three weeks after MH370 is believed to have gone down in the southern Indian Ocean, no wreckage has been sighted. And that means the team aboard the Ocean Shield doesn't know where to look.

"No matter how specialized or sophisticated this equipment is, it won't do any good unless that search zone can be narrowed," says Commander Mark Matthews of the U.S. Navy, in charge of the 11-person team on board who will operate the TPL-25 and Bluefin-21.

Matthews says in order to have a hope of hearing the pingers, the search area needs to be reduced from more than 100,000 square miles (259,000 square kilometers) to less than 1,000 (2,590). And the only way to do that is for search teams to find and confirm debris from the airliner, and to use computer models that can trace back currents and conditions and help pinpoint where the plane went down.

Disappointment

But with each new day in the search zone, and each new discovery, comes new disappointment. Objects sighted by search aircraft and pulled from the ocean have no link to the missing airliner. And while the water is like glass here in Cockburn Sound and the waters are less than 100 feet deep, out in the search zone, it's 14,000 feet to the bottom, with conditions that are some of most punishing on the planet.

As the Ocean Shield opens up its throttle, we try to keep its striking red hull in sight, hoping to follow it on its mission for as long as we can. But then, a nearby vessel flashes an S.O.S. signal with its spotlight. Our captain makes the call to divert and try to help. "Tomorrow it could be me," Ruby says. We pull alongside, where we learn another charter boat has blown its engine in the middle of a busy shipping lane.

As we tow the boat to safety, the Ocean Shield disappears on the horizon, closing the gap in its search for MH370. Perhaps a few miles closer to finding even the smallest bit of closure for the families of the missing. And answers for the rest of the world.

@highlight

An Australia ship has left port to try to locate "pings" from missing airliner MH370

@highlight

Some see it as the best hope of finding the vanished Malaysia Airlines flight

@highlight

It carries state-of-the-art equipment to detect pings from the black boxes

@highlight

But man in charge of the gear says it is no use unless search area can be narrowed