Jerusalem (CNN) -- Palestinian Authority President Mahmoud Abbas lashed out Monday at Al-Jazeera, calling the Arabic TV network's release of alleged secret documents from Israeli-Palestinian peace negotiations "shameful."

"The report aired by Al-Jazeera is an intentional mixing between the many Israeli proposals and the Palestinian positions," Abbas said in Cairo, Egypt, in comments published by the Palestinian news agency Wafa.

"We do not have anything secret to hide," he added. "All our negotiations and meetings and every issue discussed were presented to Arab countries with documents."

Dozens of Palestinians gathered Monday in central Ramallah, burning banners for Al-Jazeera and holding posters comparing the channel to Israel, Wafa reported.

The documents, which Al-Jazeera has dubbed "The Palestine Papers," suggest that Palestinian negotiators offered to give up large swaths of East Jerusalem to Israel during negotiations dating back to 2008. They suggest Palestinians have been willing to offer much larger concessions in private than previously acknowledged in public.

In one document from 2010, chief Palestinian negotiator Saeb Eraakat is quoted as telling a U.S. State Department official that the Palestinian offer would give Israel "the biggest (Jerusalem) in Jewish history."

In a statement Monday, Erekat said that "a number of reports have surfaced regarding our positions in our negotiations with Israel, many of which have misrepresented our positions, taking statements and facts out of context. Other allegations circulated in the media have been patently false."

He added, "Our position has been the same for the past 19 years of negotiations: We seek to establish a sovereign and independent Palestinian state along the 1967 borders with East Jerusalem as its capital and to reach a just solution to the refugee issue based on their international legal rights," and any proposed agreement "would have to gain popular support through a national referendum."

Abed Rabbo, one of Abbas' top advisers, accused Al-Jazeera of a "smear campaign."

"What happened is a manipulation of the documents and a misrepresentation of the facts and a true distortion, just for mockery and defiance," Abed Rabbo told reporters.

Former British Prime Minister Tony Blair, a representative for the Middle East Quartet, told CNN he does not believe Abbas would offer as much territory as the documents suggest. The Middle East Quartet -- composed of the United States, the European Union, Russia, and the United Nations -- has been trying to broker a peace deal.

"The idea that the Palestinian leadership had been offering concessions fundamentally in disagreement with the international negotiation that's known publicly is absurd," he said, adding that Palestinian leaders have "been sometimes probably too emphatic for the rest of us in their defense of Palestinian interests."

The U.N. special coordinator for the Middle East peace process, Robert Serry, weighed in as well.  "I can personally attest to the commitment of the Palestinian leadership to secure the legitimate rights and interests of the Palestinian people, based on international law and U.N. resolutions," he said, as quoted by Wafa.

While the Palestinian Authority controls the West Bank, the militant group Hamas controls Gaza. Hamas quickly pounced on the Al-Jazeera reporting, condemning the Palestinian Authority team and saying it "does not have credibility to negotiate because it offered essential concessions."

"All the doubts and all the concerns of the Palestinian people and the resistance were true," Oussama Hamdan, head of Hamas foreign relations, said Monday in a CNN interview from Lebanon. "Those negotiators have no credibility and they are not authorized to negotiate on behalf of the Palestinians because of the division, because there is no united Palestinian institution and because they don't have cards of power to negotiate with the Israelis."

Hamas, which refuses to recognize Israel's right to exist, has carried out numerous terrorist attacks and is branded a terrorist organization by the United States and the European Union.

Israeli Prime Minister Benjamin Netanyahu's office declined to comment.

Israeli Foreign Minister Avigdor Lieberman, speaking to Israel radio, pointed out that the alleged negotiations took place under former Prime Minister Ehud Olmert, a more left-wing government than Netanyahu's. "If the Olmert government was not able to reach an agreement despite the far-reaching concessions, everyone understands that a long-term interim agreement is what is needed," Lieberman said.

Yanki Galanti, a former Olmert spokesman, said an agreement was almost reached during negotiations between Olmert and Abbas from the end of 2006 to September 2008.

"After dozens of meetings ... there was a proposal that was reached. ... This offer was on all the issues we call core issues," Galanti told Israeli Army radio.

The core issues in Israeli-Palestinian negotiations are considered to be the status of Jerusalem, borders and refugees.

Rabbo, the Palestinian official, condemned not only Al-Jazeera, but also the leadership of Qatar, where the network is based.

"This is a first-class political smear campaign and the decision comes from the highest level in Qatar," Rabbo said, adding sarcastically, "and we thank the emir of Qatar on his commitment to transparency and to deliver the truth to a wider audience."

Referring to the "transparency" that Al-Jazeera said it was offering with its reporting, Rabbo added, "We hope that they extend this so-called 'transparency' to the greatest degree and address the role of the U.S. base in Qatar in spying on the Arab countries, and talk about Qatari relations with Iran and Israel."

The government of Qatar had no immediate comment.

On its website, Al-Jazeera says it was "given unhindered access to the largest-ever leak of confidential documents related to the Israeli-Palestinian conflict. There are nearly 1,700 files, thousands of pages of diplomatic correspondence detailing the inner workings of the Israeli-Palestinian peace process. These documents -- memos, e-mails, maps, minutes from private meetings, accounts of high level exchanges, strategy papers and even (PowerPoint) presentations -- date from 1999 to 2010."

The network added, "We believe this material will prove to be of inestimable value to journalists, scholars, historians, policymakers and the general public. We know that some of what is presented here will prove controversial, but it is our intention to inform, not harm, to spark debate and reflection -- not dampen it."

Rabbo, however, accused Al-Jazeera of plotting to weaken the Palestinian Authority and Abbas, Wafa reported.

He called on independent Palestinian organizations to set up a committee to look into the authenticity of the documents, according to Wafa.

He vowed that the Palestinian Authority will not take action against Al-Jazeera staff in the Palestinian territories, the report added.

Al-Jazeera is not disclosing the source of the documents it received "over the last several months."

CNN could not immediately verify the authenticity of the documents.

U.S. State Department spokesman P.J. Crowley tweeted Sunday night, "The U.S. government is reviewing the alleged Palestinian documents released by Al-Jazeera. We cannot vouch for their veracity."

"The U.S. remains focused on a two-state solution and will continue to work with the parties to narrow existing differences on core issues," Crowley added.

Al-Jazeera said it will be revealing the documents through Wednesday.

The documents outline meetings among Israeli, Palestinian and U.S. officials in which Palestinian negotiators offered in 2008 to relinquish claims on nearly all of the settlements built in East Jerusalem. The offer was flatly rejected by the Israeli side, according to the posted documents.

Israel seized the eastern half of Jerusalem following war with its Arab neighbors in 1967 and considers it the nation's sovereign capital. The claim is rejected by the international community, which considers Israeli building in East Jerusalem to be illegal. Palestinians want the eastern part of the city as the capital for their future state.

The leaked documents could prove to be politically damaging for Abbas. Officials from the Ramallah-based government have consistently condemned growing Israeli settlements in East Jerusalem, and disclosures that Palestinians officials were willing to make offers that would allow Israeli construction to continue were being seized on by critics.

Sami Abu Zhuri, a Hamas spokesman in Gaza, said the leaked internal documents about Palestinian concessions on East Jerusalem illustrate the collaboration between the Palestinian Authority and Israel. He accused the Abbas government of working with Israel to put an end to the notion of a Palestinian state.

In addition to details about concessions made on the issue of East Jerusalem, Al-Jazeera reported that Palestinian officials also offered compromise positions on sensitive issues such as the right of return of Palestinian refugees and control of the Temple Mount, where stands the Al-Aqsa mosque, one of the most important sites in Islam.

CNN's Kevin Flower, Saad Abedine, Michal Zippori, Nic Robertson, Shira Medding, Talal Abu Rahma and Nada Husseini contributed to this report.

@highlight

NEW: Palestinians protest and burn Al-Jazeera banners

@highlight

NEW: Middle East negotiator Tony Blair of Britain calls the report "absurd"

@highlight

The Palestinian Authority president calls Al-Jazeera's report "shameful"

@highlight

The Chief Palestinian negotiator calls some allegations "patently false"