The wife of an accused al Qaeda operative captured by U.S. forces told CNN that masked men ambushed her husband when he was on the way home from morning prayers.

While U.S. Defense Secretary Chuck Hagel called Abu Anas al Libi "one of the world's most wanted terrorists," al Libi's wife described him a different way in an exclusive interview with CNN on Sunday.

Umm Abdul Rahman called al Libi an innocent man, adding that he left al Qaeda in 1996 and had no connection to the twin 1998 bombings at U.S. embassies in Kenya and Tanzania.

"I am sure of what I am saying -- he did not take part in any bombing anywhere in the world," Rahman said. "He participated in the jihad in Afghanistan. .... He was a member of al-Qaeda and he was  personal security for (Osama) bin Laden -- that's true -- but he did not take part in any operation."

Al Libi was among those indicted for the embassy attacks by a federal grand jury in New York, and U.S. officials and terrorism analysts hailed news of his capture.

Meanwhile, Libya's interim government distanced itself from the operation and called the U.S. capture a kidnapping.

Rahman told CNN she didn't know who had taken her husband -- only that the raid she watched happen from her Tripoli home happened very quickly.

Al Libi was returning to his house at about 6:30 a.m. Saturday (12:30 a.m. ET) when a group of at least 10 men in four vehicles surprised him, his wife told CNN. Some of the men were wearing masks, while others weren't, she said. Those men looked like Libyans to her and they spoke Arabic with Libyan accents, she said.

"What I saw were Libyans. Maybe they had Americans with them, but I didn't see them because there was more than one car. They say there were 10 people involved, but I believe there were more than 10," Rahman said. "I couldn't count them because there were many of them. I can't confirm if they were Americans or not, but what I saw were Libyans. "

Elite team involved in capture

On Sunday, a U.S. official said commandos from the elite U.S. Army Delta Force had snatched the 49-year-old al Qaeda operative.

Tripoli has requested an explanation from Washington about the raid, the country's state news agency reported Sunday.

The mission was conducted with the knowledge of the Libyan government, said one U.S. official. The Pentagon said the U.S. military was holding al Libi in a "secure location" outside Libya. A U.S. official told CNN that he was taken to a U.S. Navy warship after his capture.

U.S. forces strike in Libya, Somalia, capture al Qaeda operative

"It's a masterpiece how someone can craft such an operation," said Libyan counterterrorism analyst Noman Benotman, who is also a former jihadist associate of al Libi.

Benotman is president of the Quilliam Foundation, a London-based counterterrorism think tank.  He is also a former senior member of the Libyan Islamic Fighting Group, which al Libi joined in the mid-1990s before gravitating back toward al Qaeda.

Al Libi had been living in that still unsettled nation, more or less in the open, for more than a year despite his alleged associations. According to Benotman, it is unlikely he was still playing an active role for al Qaeda.

His wife agreed, saying he was living a normal life, was not in hiding and had reapplied for a job with the oil ministry.

She said he has a severe case of hepatitis C and she worries about his health.

Next stop, New York?

Al Libi has been all around the globe -- Afghanistan, Pakistan, Sudan, Kenya, Britain, Iran and beyond -- making friends with some of the world's most notorious terrorists and enemies with the United States and its allies.

On Saturday, his odyssey ended where it began: in his homeland of Libya.

His next destination? He eventually will be taken to New York, a source with knowledge of the capture and proceedings told CNN, though the exact timing is unclear.

The Obama administration has activated the High-Value Detainee Interrogation Group to interview him for intelligence purposes while he remains in U.S. military custody, U.S. officials told CNN. The team is led by the FBI and includes CIA and other intelligence agencies. After the interviews are concluded, he would be transferred to civilian custody and brought to New York to face federal charges, the officials said.

U.S. authorities have long wanted al Libi to stand trial in an American court to face charges for his alleged role in the U.S. embassy bombings that left well over 200 dead and thousands wounded.

Edith Bartley lost both her father, Julian Bartley, and her brother, Julian Jr., in the attack in Nairobi, Kenya. Her father was the U.S. Embassy's counsel general; her 20-year-old brother was an intern there.

"We know that this is a firm signal around the globe that as our government is still wading through a standstill right now, that we are still vigilant as a country and focused on international terror, and we're not going to step down at all," Bartley told CNN's "New Day Sunday."

Bartley said while she was relieved when Osama bin Laden -- also indicted in the embassy attacks -- was killed in 2011, she's also happy that al Libi was taken into custody.

"Certainly, we are very pleased to know that we can have someone who is captured, and for the wealth of information that may be available to our intelligence community and our military personnel," she said. "You can't put a price on that."

CNN's Nic Robertson, a veteran of covering al Qaeda, said al Libi's arrest is a "huge deal."

"He's a big player in al Qaeda (and) in one of the key target areas, in the north of Africa," he said. "This is a significant step."

Stops in Afghanistan, Britain, Iran and beyond

The FBI's page on al Libi -- part of its roster of "Most Wanted Terrorists" and noting the $5 million reward being offered for information leading directly to his apprehension -- says that he is accused in a "conspiracy to kill United States nationals, to murder, to destroy buildings and property of the United States, and to destroy the national defense utilities of the United States."

Born Nazih Abd al Hamid al Ruqhay, al Libi joined al Qaeda soon after its founding, as the terrorist organization built up its presence in Afghanistan and Pakistan.

When the group's late leader Osama bin Laden relocated to Khartoum, Sudan, in 1992, al Libi went with him.

As the 1990s continued, al Libi came to be known as one of al Qaeda's most capable operatives, especially for his expertise in surveillance and computers.

A fellow al Qaeda operative at one point testified that al Libi was in Nairobi in 1993, allegedly checking out possible targets, including the U.S. Embassy.

The blast in Kenya's capital five years later ended up killing more than 200 people and wounding 5,000. The Tanzania blast went off nearly simultaneously, leaving 11 people dead.

His wife denied that he had any role in any bombing and said that after he returned to Libya in 2011 during the revolution, he had been asking the Libyan government to help him clear his name. She did admit that he had belonged to al Qaeda, but said he was a personal guard for bin Laden until he left the terror group in 1996.

Africa marks 10th anniversary of U.S. embassy bombings

Al Libi at one point joined the jihadist Libyan Islamic Fighters Group before moving to Qatar and then Britain, settling in Manchester.

It was there, in 2000, that police raided his home.

Authorities uncovered a document that became known as the "Manchester Manual" -- hundreds of pages of guidance on carrying out a terrorist campaign. Among them: a document that called for "attacking, blasting and destroying" embassies.

But what they didn't find was al Libi, who had left the country before the raid.

He is thought to have spent time subsequently in Afghanistan before fleeing to Iran after the fall of the Taliban. Western intelligence sources believe he remained in that country before going home to Libya.

After years in native Libya, al Libi in U.S. hands

In September 2012, CNN was first to report that al Libi was alive and well in Libya. Western intelligence had tracked his movements in Tripoli, and had even taken surveillance photos.

Western intelligence sources said that there was concern that al Libi was working to establish an al Qaeda network in the North African nation, but no evidence has since materialized that he continued to be involved in terrorist operations after he returned to Libya.

So how long had he been home?

In December 2010, before the outbreak of the unrest that ended with Moammar Gadhafi's death, Libyan authorities told a United Nations committee that al Libi had returned, even giving a Tripoli address for him.

And one Western intelligence source said al Libi appears to have been in Libya in the spring of 2011, when the civil war was in full swing.

Family members told CNN al-Libi returned to Tripoli in 2011 to take part in the revolution against Gadhafi. His wife, four sons and daughter had arrived from Iran the previous year.

Al-Libi's sons and wife say they believed they were under surveillance over the past two years in Libya and expected anything -- even a drone strike. But Saturday's raid still came as a surprise.

"There was no longer any talk about him in the media, so we felt somewhat reassured. He even stopped taking his weapon or his sons with him or hiring private security -- he was living his life normally," Rahman said.

Counterterrorism analysts told CNN in fall 2012 that al Libi may not have been apprehended at the time because of the delicate security situation in much of Libya, where ex-jihadists -- especially those who once belonged to the Libyan Islamic Fighters Group -- held considerable sway after the campaign against and ultimate ouster of longtime leader Gadhafi.

It was not clear for how long, and how much, Libya's government knew about al Libi's presence, or whether other governments had approached them to arrest al Libi. The fact that there's no extradition treaty between Libya and the United States further complicates matters.

The fact that al Libi is in U.S. hands, of course, changes everything.

In addition to standing trial, al Libi will be questioned about what he knows about al Qaeda and other terrorist organizations.

And if he talks, he could offer valuable information on men he worked with inside Libya, as well as al Qaeda generally.

"All his recent years of activation is going to come under very, very close and important scrutiny," said CNN's Robertson.

@highlight

Official: Commandos from the elite U.S. Army Delta Force conducted the raid

@highlight

Abu Anas al Libi's wife says some of the men in the raid seemed to be Libyans

@highlight

The operation was a "masterpiece," Libyan counterterrorism analyst says

@highlight

Al Libi is suspected of playing a part in 2 U.S. embassy bombings in Africa in 1998