(CNN) -- When an official from the Internal Revenue Service decides to take the Fifth before a congressional committee and is then put on administrative leave, as Lois Lerner was recently, hearts on the political right surely beat a little faster. Does this mean that at least one of the controversies swirling around the Obama administration in recent weeks will gain strength, perhaps enough to pull him under?

So far it appears that the administration's trio of troubles -- the IRS's scrutiny of the tea party, the Justice Department's investigation of journalists, and the State Department's handling of the Benghazi attacks -- lack some of the key ingredients required to brew a strong scandal, the kind that does some serious damage, that produces widespread public interest and intense emotional involvement, and stains an administration, leaving its mark on history.

The IRS controversy and Lerner drama stokes the sense of crisis in Washington. But Americans are hardly alone in discovering troubling developments in high places. The world is awash in scandals, partly the result of new technologies. In countries where people have long felt they had no voice, the powerful are feeling new public scrutiny.

The most resonant scandals take an already-existing concern and turn it into a concrete story, one that gets the popular blood boiling. To gain traction, it must demonstrate a clear-cut example of abuse of power that is part of a pattern, not just an isolated instance of incompetence, stupidity or poor judgment. It must lead directly to a powerful individual, and must represent a problem that is viewed as having serious implications, even if the case itself is not necessarily consequential.

Of the three controversies brewing in the U.S., the IRS affair has the greatest potential to get the public emotionally involved, because the tax agency has power over everyone. Bureaucratic overreach feels potentially threatening to all.

A higher-stakes example can be found in the case of the impoverished Tunisian street vendor Mohammed Bouazizi. In 2010, after a municipal employee confiscated his produce, Bouazizi, despairing at the injustice and his own powerlessness, set himself on fire. His case resonated. It was a minor instance in the larger scheme of corruption and dictatorship, but it sparked a revolutionary fire that keeps burning to this day across the Middle East and North Africa.

In Mexico, an incident that in the past would have passed without notice spread rapidly over the Internet, ultimately requiring presidential action. The daughter of the head of the consumer protection agency showed up at the trendy Maximo Bistrot in the capital without a reservation. When she could not get a table, she threatened to have the place shut down. Officials from her father's agency, known as Profeco, promptly raided the establishment.

"Lady Profeco," as Andrea Benitez came to be known, became the personification of the super-entitled member of the elite, a character Mexicans know well and have long resented. Benitez's image, holding a cell phone to her ear and wearing fashionable sunglasses, spread in online parodies. Last week, Mexico's president fired her father.

In the U.S., the unfolding storylines are raising hopes among the president's critics -- and fear among his supporters -- that they will derail his presidency or at least snuff out his second-term agenda.

They involve unquestionably important issues: The government undermines the First Amendment when the Justice Department spies on reporters. If the IRS is targeting groups because they oppose government policies, that is a clear and egregious abuse of power. And the disaster in Libya raises important questions about security and transparency.

And yet, Americans as a whole don't appear to view these cases as emblematic of a particular problem with the current presidency. Polls show most Americans -- 58% -- still view Obama as "honest and trustworthy." An even greater number, 79%, consider the president likable.

That explains why even though most Americans consider the cases "very important to the nation," the approval rating for Obama has not suffered.

This presents a challenge to those who want to see the scandals demolish the Obama presidency and shut down his agenda. A scandal loses some of its power to demolish when it is viewed as a political game.

All this, of course, could change. An official's decision to invoke the right against self-incrimination certainly adds to the air of suspicion. But when the president's image does not fit neatly with the revelations in a potential scandal, then the facts of the case, the continuing drops of new information, must have the power to redraw that image.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Controversy over IRS official gives hope to those hoping for an Obama scandal

@highlight

She says new technology today helps unearth, stoke scandals globally

@highlight

Recipe for scandal: high official in clear-cut story that bears out suspicion of power abuse

@highlight

Ghitis: Obama still popular; "scandal" isn't quite sticking to him