It could be out with old meeting rooms and in with new social spaces, as Generation Y is set to transform the way we work in the next 10 years.

In the U.S., those born between 1979 and 1997 are predicted to make up the largest part of the workforce within a decade and with it change offices and the nature of work itself.

"We are facing a huge generational shift, as baby boomers (born between 1946 and 1964) leave the workforce, and that means we have to rethink our workspace," says Michael O'Neill, senior director of workplace research for Knoll, Inc.

By the end of the decade, the balance in the U.S. will flip from approximately 50% baby boomers and 25% Generation Y workers to 25% baby boomers and 50% Generation Y workers, according to a 2010 report from Knoll, a workplace furnishing company.

"That is a massive shift, and it will happen in less than eight years," says O'Neill.

To understand how workspaces will need to change to accommodate and attract this new generation of workers, O'Neill and Knoll looked at the work patterns and preferences of more than 15,000 employees in 40 countries, and across four generations.

Their findings reveal a number of generational differences.

For example, Generation Y rates the importance of having an "engaging workplace" highest and the "quality of meeting rooms" lowest, while baby boomers rate these features opposite, with high importance on meeting rooms.

"Baby boomers like structured, face-to-face meetings," says O'Neill. That's how they usually get things done.  And if that's how you get things done, the quality of meeting spaces will be important to you."

Generation Y on the other hand, likes quick, casual and socially-tinged meetings. Their use of technology in interaction further undermines the importance of lengthy meetings and formal spaces, according to O'Neill.

As for their top priority on an engaging workspace, Generation Y blends their personal and private life, and they like a workplace to feel residential and like home, says O'Neill, explaining that baby boomers don't expect or want spaces that evoke the emotional connectedness of home.

"They tend to separate their work life and their personal life," he says, adding that their focus is more on function and on efficient spaces.

So how will this play out in the office of the future?

"It already does," says Alison Maitland, co-author of "Future work: How business can adapt and thrive in the new world of work".

"It is the idea of work being an activity and not a place. That is more important," she says, "and it is already happening in companies like Unilever's Hamburg office and Microsoft's office in Amsterdam.

"The focus there is on collaboration and innovation, nobody has a permanent desk, and employees are encouraged to move around and work in a space that best suit their activity at any given time."

However, she emphasizes that the generational shift is just one of many variables pushing us into a new world of work. Changes in technology, the economy and businesses are all part of the shift.

Read more: 8 ways to make your office life better

"There used to be formulas for how to crank out an office building for a certain amount of people," says O'Neill.

"Now, designers are building a wider variety of rooms tailored to each company's function and direction. You are seeing more open meeting spaces, lounge furniture near circulation spaces and that type of thing. It is a shift from a 'me' to a 'we' workspace."

However, tearing down all these walls can be a challenge to baby boomers.

"It hurts when you take the office away," says O'Neill, "because you feel like you have worked your whole career, and you've earned that. To baby boomers, the office is a status marker. To Generation Y, a status symbol is more likely to be whether or not it has the new iPad or a certain level of freedom."

Generation X (those born between 1965 and 1978) is a group that grew up with financial and work insecurity and has little in common with Generation Y or baby boomers, believes O'Neill.

"They tend to be more skeptical. Their focus is on security; they are more the 'show me the money' generation," he says.

Are cool offices the key to success?

So, how does a company maneuver this field of different generations and preferences?

"Be aware of your workforce and your employees' needs and wants," says Laura Sabattini, senior director of research at Catalyst, a non-profit organization that works to expand business opportunities for women.

"Assess the specific group because there is so much variation. That is a way to start creating a workforce that is inclusive."

Maitland agrees: "Companies that are going to have three or four generations in their workplace really do need to think about those different work styles and different preferences. Falling over to accommodate only Generation Y would not be the most productive way and could backfire."

@highlight

Those born between 1979 and 1997 will be dominant age group in workforce in ten years

@highlight

Difference in values between baby boomers and Generation Y set to transform offices

@highlight

'Millennials' put more emphasis on flexibility, personal attachment to work, suggests report

@highlight

Analysts suggest  that offices need to be able to cater for all generations to thrive