London (CNN) -- I always thought London 2012 would be a success, but never imagined it would be quite the triumph it has turned out to be.

From the brilliant opening ceremony to the festival of music and fun closing it, via mainly lovely weather, some epoch-making athletic events, and a home team performance that exceeded even the most optimistic expectations, the Games have given London two of the most remarkable weeks in a great city's rich history.

The question now is where it all goes from here. Do we look back, as the Australians and the Greeks have done after Sydney and Athens, and say: "Well that was wonderful, but it kind of went downhill from there?"

Australia's relatively poor performance on the field of play suggests they didn't get the legacy right from Sydney -- one of the key challenges for London now -- whilst the Greeks, at the epicenter of the eurozone crises, remind us the attention of the world will quickly revert to the state of the global economy.

I remember, on leaving Athens eight years ago, hearing both the public and politicians say this was the starting point for a new and better Greece. A lot has gone wrong since.

Even as the Brits were celebrating more gold, Bank of England Governor Sir Mervyn King was giving one of the gloomiest gubernatorial assessments of the future I have ever heard.

And we all know that after a party as fantastic as the one we have had, there is bound to be a hangover to come during the lull before the Paralympics open.

For the politicians, who have to lead the country through difficult times, capturing the Olympic mood and turning it into something of positive and lasting significance has now been added to their list of challenges.

Politics, banking, the media and the church are among many parts of national life that have seen their reputations lowered in recent years. It has felt at times in the past fortnight that sport is filling some of the gaps.

Read more: Olympics give London a golden glow

If politicians try too hard to associate themselves with the gold rush, it could easily backfire. They will find it hard to resist demands for more investment in school sport, or tax breaks for sporting clubs and activities, and any number of campaigns backed by a small army of new heroes.

I hope they take up an idea I proposed some months ago to raise sport to the Cabinet table, not least for the economic and social opportunities it brings.

Yet equally, once life settles back down to something closer to normality, they will find the same pressures from other walks of life too, and the same frighteningly difficult economic sums to add up.

But they do have to make decisions and they do now, finally, have to seize the opportunity for a proper sports strategy to build on the success of the Games and the joy and fulfillment sport has shown it can bring.

I had a call today from an athletics club organizer saying he had been inundated by kids and parents wanting to join, but worried he didn't have the capacity to give them what they thought they would be getting.

But nor should the anti-politics brigade underestimate the role that politics played both in the getting and running of the Games, and in the success of Team GB. Success has many fathers, and President Truman was so right when he said how much more could be achieved if nobody cared who got the credit.

While huge credit has rightly gone to LOCOG chairman Seb Coe and his team, John Major's government does deserve credit for setting up the National Lottery which enabled proper investment in elite sport.

Tony Blair's government does deserve credit for increased investment and school sports partnerships (which the current government was so wrong to cut) and Blair deserves huge credit for the diplomatic skills he used which swung the last few votes for London against Paris to land the Games.

Read more: Wiggins' win brings Games back to the people

Politicians of all parties deserve credit for ensuring that handovers of power both at government and mayoral level have taken place without the stability and success of this enormous project being put at risk.

During the opening ceremony, I tweeted that "Danny Boyle is explaining the Big Society to David Cameron."

Okay, a bit of a cheap shot. But for me the genius of the ceremony lay in capturing not just the greatness of our past, but the insight that, provided we recognize we are now a very different country to what we were, we have the chance for a great future too.

Fast forward several days to the greatest night of all when in less than an hour, a black Somali asylum seeker, a mixed-race northerner and a tall, good-looking ginger man won athletics Golds, and you could almost hear the nation saying: "This is who we are."

The problem with the Big Society was not the idea but its execution. Danny Boyle did give a more coherent vision of it than the politicians have done, and the Games gave a sense of what it could mean in practice.

Government setting bold ambitions and finding the team from public and private sector to deliver on them. Liberating people with expertise to deliver on the specific goals for their part of the project. Harnessing the energy and support of businesses and people to make it happen.

It has already led to cultural change and we will see soon enough -- with the start of the football season -- if it has any chance of enduring. I have exited hundreds of stadia in my time.

But the atmosphere coming out of the Olympic Park in these last few days has been like no atmosphere I have ever experienced before.

The first thing you notice is how clean everything is. Cans, bottles, litter -- they seem to be in bins, not chucked to the ground. There are also fewer police officers than you usually see leaving a big event. People talk on the tube to strangers.

Read more: Olympic killjoys left out in the cold?

The volunteers have been the key to all this. They are everywhere. And they are nice. And they are just having a good time helping others to have a good time.

There is such a positivity to these Games that comes not just from sporting success but the scale of the project and the fact Britain pulled it off; the superb venues and the smoothness of the movement of big crowds through them; the transport system working well; the phenomenal support the British public has given at every single venue.

But right up there is the role of the Games Makers: Mr and Mrs Britain. These are the real Middle Englanders, and they are the antithesis of the negativity of those newspapers which claim to be the voice of the British people.

That same positivity is the reason London Mayor Boris Johnson emerged as one of the political winners of the Games. When so many people and media were talking down the prospects of things going well, he talked them up.

By contrast, the government has not managed to tap into the new mood that is so much a part of why these Games have been such a success. Cameron sought to become Prime Minister on the back of a message about "Broken Britain."

His Health Secretary Andrew Lansley talks down the National Health Service as a way of justifying reforms that were not voted for and appear unwanted by many who run the service.

Education Secretary Michael Gove is more at ease criticizing teachers and pupils and talking down success than he is in building it up.

A year ago, amid the London riots, people were entitled to wonder if Mr Cameron had a point about Broken Britain. But anyone who has been touched by these Games knows that Britain is anything but broken, that the best of British can in its own way compete with anywhere in the world.

We have shown it in sport. But just think to some of the cultural icons on display at both ends of the Games, from Dizzee Rascal to Tim Berners-Lee, and it is clear we show it there too.

In their own way, I think these Olympics could be one of the most significant events of our lifetime. They are changing the way British people think about themselves and about their country.

We have shown we can do big things well. We have shown we can succeed at anything we set our minds to. We have changed the way many overseas think about us.

The challenge for the media, as Lord Justice Leveson deliberates on their future, is to understand this rejection of relentless negativity and Cowell-esque faux celebrities is for real.

The challenge for the politicians is to understand that they too must cut back on the "Everything is terrible" narrative, set clear directions and be strategic about how they meet them.

Cameron's rushed out statement on school and elite sport over the weekend -- when what is needed is a thought through long-term big scale plan -- was not a good start, but we have seen a new mood emerge.

The hope now is it can lead to a new media and a new politics too. In addition to the millions being inspired to get more active, that would be quite a legacy.

The opinions expressed in this commentary are solely those of Alastair Campbell.

@highlight

London's Games have been an unexpected triumph, says Alastair Campbell

@highlight

He says challenge will be to build on the Games' success to create a lasting legacy

@highlight

Campbell: Event has changed the way British people think about their country

@highlight

He says onus is on media, politicians to continue new mood of positivity