Washington (CNN) -- In his retirement announcement, Republican Sen. Saxby Cambliss cited "the dearth of meaningful action from Congress" as one reason for not seeking re-election next year.

"The debt-ceiling debacle of 2011 and the recent fiscal-cliff vote showed Congress at its worst and, sadly, I don't see the legislative gridlock and partisan posturing improving anytime soon," the Capitol Hill veteran said in a statement.

Democratic Sen. Joe Manchin can appreciate Chambliss' sentiments.

When was asked earlier this month about the functionality of Congress, he chalked up the body's poor legislative record to a few problems. The most important one, he said, was the fact that members don't know one another outside of work.

"In two years [since he came to Washington], we have not had, in the Senate, a bipartisan caucus, where Democrats and Republicans talked about the problems of the day to try and find commonality," he lamented.

Manchin is not alone.

"It is very sad. And I know many times I would look up on TV and I would see somebody and then the name would come up and it would say 'member of Congress' and I'd go 'I don't even know who that is,'" said former Republican Rep. Connie Mack, who lost his re-election bid in November.

It is a common refrain on the Hill -- the idea that if Congress were more social, more buddy-buddy outside the Capitol complex, that it would be more functional in doing the people's work.

The good old days

The truth is not that simple, according to former leaders of the Senate and House.

The nostalgia for the "good ol' days," when members would play tennis atop the Hart Office Building and drink whiskey after hours, may be tempting to admire, but it is far from the cure-all for Washington's seemingly unbreakable gridlock, they say.

"Nostalgia is always great," Dan Glickman, a former Democratic representative from Kansas and senior fellow at the Bipartisan Policy Center, said with a laugh.

"Sometimes I remember my life as congressman in the '80s positively and my wife says I am dreaming. 'You hated it,' she will say," he said.

Glickman was in Congress from 1977 to 1995 then was President Bill Clinton's agriculture secretary until 2001. He said he watched Congress change in the late 1990s and 2000s and wondered about the tipping point.

His synopsis: Congress is like other organizations, except it has 535 independent contractors rather than a business-like structure built around a chain of command.

"Congress is no different than any other organization, if people don't get along, then you get dysfunction," Glickman said. "Basic principles of just human interaction are if you don't like each other and you distrust each other, that is a recipe for an unproductive life."

If numbers are any judge, the 112th Congress was markedly unproductive. The 220 laws enacted were the least in four decades. One fifth dealt with naming or renaming post offices and federal buildings.

By comparison, the 100th Congress enacted 713 laws.

DC an electoral death trap

Being more sociable "is not the cure-all," Glickman said.

Other former members of Congress and high-level aides say the good old days may have been nicer, sociability won't lead to bipartisanship.

"I think it is broader and bigger than that," said former Senate Majority Leader Trent Lott. "I don't want too much revisionist history. Everybody said that was the golden era [in the early 90s]. It was not always easy, though. We had some pretty tough disagreements."

Lott points to the welfare debate between Clinton and House Speaker Newt Gingrich and impeachment proceedings against the president in the late 90s as examples.

For men like Glickman and Lott, the problems of Congress are deeper than whether they dine, drink and hang out with each other.

The fact that California is only a five-hour flight from Washington means that members can easily get into town on a Monday and head out by Thursday night, leaving no time to socialize.

"When I first came to Washington, members had six roundtrip air tickets paid for," Lott said. "Now it is unlimited, you can use whatever part of your budget on airfare."

"Congress is becoming a commuter Congress," said former Democratic Sen. Bryon Dorgan from North Dakota.

Living in Washington also has become an electoral death trap.

"If members are going to be social with each other, it is going to have to be in Washington," said Nathan Gonzales, deputy editor of The Rothenberg Political Report. "Members are spending the least amount of time in Washington as possible because they don't want the baggage of being seen as 'too Washington.'"

Funds are raised from the extremes, not in the middle, said Patrick Kennedy, a former House member from Rhode Island who did not seek re-election in 2010. Until there are well-funded outside groups funding centrist candidates, he said, the polarization of the House and Senate will get worse.

"You [a member of Congress] follow the money and you follow the activists and of course those folks, whether you are a Democrat or a Republican, keep you out of the middle because the middle is the valley of death politically," Kennedy said.

Cards anyone?

Lott believes President Barack Obama is a big part of the problem.

"He doesn't really invite Democrats over there very often, let alone Republicans," he said.

The truism that Obama isn't social enough with Congress was a common refrain during his first four years in office and that won't change, if history is any judge.

When asked about it, the president generally laughs it off, references his kids and moves on.

He did exactly that on January 15 when a reporter asked him whether he and the White House staff "are too insular."

"Obviously, I can always do a better job," Obama said. "And the nice thing is that now that my girls are getting older, they don't want to spend that much time with me anyway, so I'll be probably calling around, looking for somebody to play cards with me or something, because I'm getting kind of lonely in this big house."

Some Democrats, like Jim Manley, a former spokesman for Senate Majority Leader Harry Reid, say the idea that more would get done if Obama were more of a schmoozer is wrong.

"Anyone who thinks that by virtue of the president inviting Senator [Mitch] McConnell down to the White House to watch a movie is going to help improve things needs to get their head examined," Manley said. "That is not the way it works."

But if you ask Capitol Hill watchers like Gonzales, the distance between Obama and Congress is an issue.

Democrats want a fuller embrace from their leader in the White House, while Republicans feel they aren't getting the level of respect they deserve.

For that to happen, says Gonzales, there has to be something in it for both sides.

"What is the incentive for them [the president and Republicans] to foster these relationships," Gonzales said. "Their time is valuable, just to be friends for the sake of being friends, I don't know that they have time. It is good in theory, but until they see the fruits of that time investment."

For Lott, the fruits of investing in collegiality are obvious -- lifelong friendships.

Lott said he still considers Democrat and former Senate Majority Leader Tom Daschle a good friend, and that he has spent weekends away with former Sen. Judd Gregg of New Hampshire and Sen. Lamar Alexander of Tennessee, both Republicans, and their wives.

Lott's most enduring relationship from Congress seems to be with Phil Gramm, a Democrat who switched parties in the House and then became a Republican senator from Florida.

Lott and his wife, Patricia, are close with Gramm and his wife, Wendy Lee. Last year they traveled to South Africa and Botswana on a personal trip together and the foursome plans to go to Turkey in June.

"Friends are for life," Lott said about Gramm. "Especially if they are real friends."

@highlight

A common refrain is the notion that a more sociable Congress would be more effective

@highlight

The 112th Congress enacted the fewest laws in four decades

@highlight

Congress used to be more sociable, but there were issues then, too

@highlight

Some observers believe Obama's lack of social engagement is a problem