Tripoli, Libya (CNN) -- Abdul Hakeem Belhaj, one of the most effective commanders among anti-Gadhafi forces in Libya, has seen plenty of combat in his 45 years. A well-built, bearded man with dark, serious eyes, he fought against the Soviet occupation of Afghanistan -- and alongside al Qaeda in the dying days of the Taliban regime.

Now he is commander of the anti-Gadhafi forces in Tripoli, and swears loyalty to the National Transitional Council, describing himself as an "ordinary Libyan" fighting for a common cause.

But there's not much ordinary about Belhaj. As a young man in the late 1980s, he was one of scores of jihadists in the Libyan Islamic Fighting Group that went to fight in Afghanistan. His military prowess soon made him a commander among his fellow fighters. After the fall of the Taliban, Belhaj left Afghanistan and was arrested in Malaysia in 2004. After some questioning by the CIA, he was sent back to Libya and jailed.

Belhaj was released from Moammar Gadhafi's notorious Abu Salim jail last year. He and dozens of others of LIFG fighters negotiated with the Gadhafi regime for their freedom -- in return for denouncing al Qaeda and its philosophy of jihad.

The negotiations were led by a former LIFG member in exile, Noman Benotman, and Saif al Islam Gadhafi, one of the sons of the Libyan leader and a man that Belhaj is now hunting.

The Gadhafi regime had jailed hundreds of Islamists, among them fighters of the LIFG who had launched a short-lived insurgency in the 1990s. Many were massacred during a prison revolt in 1996.

Western counterterrorism experts are now at best concerned -- and at worst alarmed -- by the prominent role Belhaj and the LIFG cadres have played in Libya's revolt. But sitting in an air-conditioned room in one of Tripoli's most exclusive hotels, Belhaj was keen to dispel the notion that he is part of an Islamist fifth column preparing to make a power grab in the new Libya.

"I am an ordinary citizen of Libya. I am a part of the fabric of this nation, a normal Muslim," he said in long-winded and carefully worded classical Arabic.

The LIFG "was not a terrorist organization," he said. " All our activities were inside our country with the aim of liberating our people from Gadhafi. That's why we met and that's why we worked. We did not give any blessing to any act that would hurt civilians or destroy public sector establishments, and anyone who has kept up with our activities knows that."

Belhaj has played a crucial role in liberating Tripoli. Units under his control seized Gadhafi's sprawling Bab al Aziziya compound days after the rebels entered Tripoli. He insists his goals are at one with those of the NTC.

"We are part of the Libyan people. We did not carry out any military acts with a particular ideology or under any flag," he said.

Flanked by his press assistant, a former LIFG member who became an accountant in London, Belhaj continued: "We treated everybody equally with one purpose, and that is to achieve the goals of the February 17 revolution."

"I have not seen anything that would potentially damage the relationship between everybody who worked on the liberation of the cities that they were in," he added.

But there have been signs of tensions between former LIFG members and rank-and-file fighters who joined the revolt and are perturbed to see such a prominent Islamist figure gain so much power.

For his part, Belhaj is now focused on finding Gadhafi.

"A lot of the information that we receive points to more than one area because we are focusing on more than one area," Belhaj said. "He might be between Bani Walid (a pro-Gadhafi town in the desert) and Sirte, trying to find a route to the south of the country as the pressure increases on him."

Gadhafi "is trying to secure a location for himself and is releasing ridiculous statements to incite some naïve people, to motivate some people he describes as his loyalists to alter the current security situation."

Belhaj expressed hope that the violence in Libya would soon be over.

"We hope that will happen without any more bloodshed or destruction of public property," he said. "We call for the surrender of those who continue to support the regime."

That was why, he said, the NTC had extended the deadline for Gadhafi forces in Sirte to lay down their weapons.

Belhaj also said he had spoken to one of Gadhafi's sons, Saadi, who has called for an end to the fighting.

"I told him that we would assure his safety and that no one would harm him," Belhaj said, but added: "The legal matters we do not control. We are striving to establish a nation of laws. We want justice to prevail -- that we have lacked for 40 years."

Belhaj also reflected on his time in Afghanistan, stressing that he and others in the LIFG were not affiliated with al Qaeda.

"Our presence in Afghanistan with or without al Qaeda does not mean that we agree with them. Our presence in Afghanistan was to support the just cause of the Afghan fight against the Soviets," he said.

"We went to support the people, and we extended a hand to them in education and aid. ... We also helped to defend and fight, as did many other nations that joined, including the United States," Belhaj said in what seemed like an effort to reassure Washington.

"As for our presence in Afghanistan, (just because it) coincided with the presence of al Qaeda does not mean that we agree or believe in the same ideology."

Whether Belhaj and others who belonged to the LIFG will continue to sing in tune with the National Transitional Council is the great unknown. I have followed the group's evolution for years, and it seems they truly came to perceive Osama bin Laden's nihilistic campaign against the west as counter-productive, and al Qaeda's indiscriminate attacks on "non-believers" as unjustifiable.

While in jail at Abu Salim, a prison less than a mile from the Gadhafi compound that Belhaj helped seize, the LIFG fighters wrote a long theological treatise that attacked al Qaeda's core principles.

At the end of our interview, Belhaj again took pains to reassure the wider world of Islamists' role in the Libyan uprising.

"I want to take this opportunity to assure to all that the revolutionaries in Libya are united, and there is nothing frightening," he said. "They all joined hands against this tyrant and now the revolution is achieving its goals. ... There is nothing more important than securing our nation."

There are plenty of political models for Libya's Islamists to adopt and adapt -- in Egypt and Tunisia for example, where newly resurgent Islamist parties and groups profess to be committed to democracy and constitutional government.

The question is: will they?

@highlight

Abdul Hakeem Belhaj is one of Libya's top anti-Gadhafi rebel commanders

@highlight

Some western analysts are concerned with his prominent role, given his past association with Islamist forces

@highlight

Belhaj was part of a group of Libyans that fought alongside al Qaeda against the Soviets in Afghanistan

@highlight

Belhaj says the fact that he fought alongside al Qaeda doesn't mean he agrees with the aims of the organization