Washington (CNN) -- Death sentences plunged this year and the number of executions continued a steady decline as a result of "growing discomfort" felt by many Americans on the application of capital punishment.

Only 78 people were sentenced to lethal injection so far this year, the first time that number has dropped below 100 since the death penalty was reinstated in 1976, according to a study published Thursday by the Death Penalty Information Center.

Death sentences last year were at 112, and have declined by nearly 75% from 15 years ago, when more than 300 individuals were condemned.

The center's annual report also showed only 43 people were executed in 2011, down three from last year, and a 56% decline from 12 years ago, when nearly a hundred people were put to death.

"This year, the use of the death penalty continued to decline by almost every measure," said Richard Dieter, the executive director of the center, which opposes the death penalty.

He said executions, death sentences, public support and the number of states with the death penalty all dropped from previous years.

"Whether it's concerns about unfairness, executing the innocent, the high costs of the death penalty, or the general feeling that the government just can't get it right, Americans moved further away from capital punishment in 2011."

In January, the Illinois legislature voted to repeal the death penalty, replacing it with a sentence of life without parole. In doing so, Illinois became the fourth state in four years to abandon capital punishment. The death penalty has now been abolished in 16 states.

In November, Oregon Gov. John Kitzhaber halted a pending execution and declared that no other executions would occur while he was in office.

"I am convinced we can find a better solution that keeps society safe, supports the victims of crime and their families and reflects Oregon values," he said. "I refuse to be a part of this compromised and inequitable system any longer."

But perhaps the loudest outcry was in Georgia, which executed Troy Davis despite serious doubts about his guilt and an international campaign to save his life. Thursday's report said the Davis case exposed the deep concerns over the death penalty.

"In many ways the death penalty today resembles the system struck down in 1972, when the (Supreme) Court could find no justification for the small number of death sentences and executions chosen arbitrarily from so many eligible cases," the report said.

A CNN/Opinion Research Poll conducted in October found that for the first time in recent memory, more Americans favor a sentence of life in prison over the death penalty for murderers -- 50% to 48%.

That's not to say that Americans want to abolish the death penalty entirely.

Other polls have shown majorities generally favor it, but CNN Polling Director Keating Holland said his analysis shows there is a difference between thinking the government should have the death penalty as an option and actually wanting to see it applied.

The decline in the number who prefer the death penalty as the punishment for murder may be related to the growing number who believe that at least one person in the past five years has been executed for a crime that he or she did not commit.

In 2005, when a solid majority preferred the death penalty, 59% believed that an innocent person had been executed within the previous five years. Now that figure has risen dramatically, to 72%.

Davis drew widespread support for his claims that an innocent man was being put to death, after federal and state courts had rejected his calls for a new trial.

Since Davis' conviction in 1991, seven of the nine witnesses against him recanted their testimony, and no physical evidence was presented linking Davis to the killing of a Savannah police officer. However, a federal judge concluded the death row inmate "vastly overstates the value of his evidence of innocence."

A Texas execution in July also attracted international attention. Mexican national Humberto Leal Garcia was convicted of raping and killing a 16-year-old girl. A world court found the state violated his rights by not giving Leal access to his home country's consulate upon his arrest in 1994, as required by an international treaty. U.S. and Mexican officials, along with a variety of human rights groups, urged Texas to delay the execution, but to no avail.

Texas continues to lead the nation as the busiest death penalty state, with 13 executions this year. Alabama was next with six, and Ohio with five. No more are scheduled until next month.

Thirty-four states have capital laws, but only 13 states carried out that ultimate punishment in 2011. In addition, several states with capital punishment laws did not sentence anyone to death in 2011, including Indiana, Maryland, Missouri and South Carolina.

Another high-profile murder convict in Pennsylvania saw his death sentence commuted. Prosecutors decided this month not to give Mumia Abu-Jamal a new capital sentencing hearing. He was convicted of murdering Philadelphia police office Daniel Faulkner, but has long claimed his innocence as a victim of what he called a racist criminal justice system. He will spend the rest of his life in prison.

California voters could decide next year whether to abandon the death penalty. That state has the highest death row population -- 721 people -- but no one has been executed there since 2006, when a court-ordered moratorium was declared.

But one state that rarely has applied the death penalty could see two notorious killers receive that punishment. Steven Hayes was sentenced to death in Connecticut in December 2010, and a jury this month recommended the same punishment for Joshua Komisarjevsky. They were found guilty of home-invasion killings that left a mother and her two daughters dead. State legislators had contemplated abolishing capital punishment, but these defendants may have caused some rethinking, to allow the practice for only the worst of crimes.

Connecticut and New Hampshire are the only New England states with the death penalty, but only one person has been executed in the region since 1960.

@highlight

Death sentences in the United States are below 100 for the first time since 1976

@highlight

Only 43 people have been put to death in 2011, down 56% from 12 years ago

@highlight

A poll conducted in October found 50% of Americans favor a sentence of life in prison

@highlight

California voters could decide next year whether to abandon the death penalty