(CNN) -- A snow-covered landscape is one of the classic images showcasing the beauty of weather on Earth. We are awed by the grandeur of white-capped mountains and the almost magical quality of snow-covered trees. We are also frustrated when the tempests of winter reach far and wide, striking as they have done this year in America's southern states.

When it comes to forecasting the likelihood of a blizzard, the weather anchors know what to say. But when asked to predict how much snow will actually accumulate, they will give estimates. Why?

The computer models used in weather forecasting do not actually predict snow. A single variable is used to predict water in its various forms -- liquid, vapor or ice -- so we need other information, such as air temperature, to decide whether snowfall is likely.

Models forecast the amount of liquid water produced when air rises above the height at which water vapor begins to condense. This is commonly known as the Quantitative Precipitation Forecast (QPF). While QPFs are an important ingredient when it comes to predicting snow, there are many other very subtle factors that can easily tip the balance in favor of rain, or make it very difficult to distinguish between different types of snow.

If temperatures are low enough to allow precipitation to fall as snow, then the forecasters need some way to convert the QPF to an equivalent snowfall. The ratio that we use to calculate the liquid water to snow equivalent is around 1 to 10. That is, if the QPF predicts 1 inch of rain, we can anticipate the amount of snow produced would be 10 inches.

Unfortunately, life's not always that simple.

The liquid water to snow ratio can vary depending on whether the snow is "wet" or "dry." Dry snow is the term used to describe small powdery flakes, and it forms when there is very little moisture available. Under these circumstances, the rain to snow ratio can be considerably higher, with values of 1 to 20 not uncommon.

On the other hand, if there is abundant moisture and the snowflakes are larger and wetter, a ratio of 1 to 5 may be typical. Therefore we need to have a very accurate forecast of the levels of moisture in the atmosphere, together with the variation of temperature with altitude, to even get off on the right foot when it comes to predicting snowfall.

Our forecast models represent a snapshot of the weather at any moment in time by using huge arrays of numbers to describe states of the atmosphere. These numbers represent basic variables such as moisture and temperature.

Calculating how these many millions of "weather pixels" will change requires superfast computation and large amounts of memory. The inevitable limitations on available computer power and data storage force a trade-off between the geographical coverage of models and the detail that we can expect from them. This trade-off can be critical when it comes to calculating reliable QPFs.

Forecasters often have to resort to methods they learned at college, involving dew points, temperature soundings from meteorological balloon ascents and real-time reports from weather stations to assess the impact of a snow storm.

The bottom line is that snow -- one of our most loved, and occasionally loathed, features of weather -- is real tough to forecast well.

We may be able to capture the beauty of Mother Nature with high resolution digital images, but capturing the physics behind the snowfall in our sophisticated weather prediction models is much more challenging.

Making the final call comes down to "seat of the pants" knowledge in the end.

The opinions expressed in this commentary are solely those of Ian Roulstone.

@highlight

Ice and snow storms are crippling some states in the Southeast

@highlight

Ian Roulstone: Predicting how much snow will actually accumulate is difficult

@highlight

He says the physics of snowfall is complex, involving factors like temperature, moisture

@highlight

Roulstone: Making the final call comes down to "seat of the pants" knowledge in the end