(CNN) -- There was time, a generation ago, when it was hardly insanity -- or, to use the operative word here, Linsanity -- for the NBA team in New York to play an unselfish style of basketball.

It was simply called "playing the game the right way," and the Knicks did it better than anyone. Fifteen years before Jeremy Lin was born, they built their franchise on the principles their new star has brought to the team over the 12 days since the Harvard graduate broke into the starting lineup and captivated the nation.

Make the extra pass. Don't worry about individual statistics. The championship Knicks of 1970 and 1973 had plenty of talent -- there were a combined six Hall of Famers on their rosters and one, head coach Red Holzman, on the bench -- but they put aside their egos for the betterment of the team.

They won as a group, not as individuals, and in the process became the pride of a struggling city in the early '70s. The stars of those teams -- Walt Frazier, Willis Reed, Bill Bradley, Dave DeBusschere, Jerry Lucas and Earl Monroe -- could appreciate the way the Knicks have transformed with Lin as point guard.

"What I would say to young fans is, 'Close your eyes and imagine five Jeremy Lins on a team -- that's what those teams were like," said Harvey Araton, author of the recent book "When the Garden was Eden" on those great teams. "Lin is a 21st century carryover of what the old Knicks brought to the city."

Now fans have to wonder: Will the return to the team first style under Lin stick for the long term, especially with superstar Carmelo Anthony expected to return to the lineup this weekend? And can it help end a championship drought for the Knicks that dates back to that 1973 title?

So much about Lin's incredible story has focused on what he could do. He could knock down the stereotype that Asian-Americans can't excel at team sports, opening opportunities for countless others.

He could become a marketing force generating tens of millions a year -- and, with his picture on the cover of Sports Illustrated, is already on his way to becoming an international star. The NBA even added him to its All-Star weekend because of the enormous interest.

He could dramatically increase the bottom line for the big-market Knicks, with the team's parent company already having seen its valuation increase $71 million since he jumped into the starting lineup and ignited a seven-game winning streak.

But head coach Mike D'Antoni is more focused on how his presence has dramatically changed the chemistry of a middling basketball team, turning the Knicks from a tough-to-watch unit into something more fitting their home address just off Broadway.

SI: Inside the Knicks playbook

The Knicks are still just 15-15, a long way from the elite teams in the NBA. But they have been playing a pretty brand of basketball since Lin took the reins as point guard.

"He's changed everything," D'Antoni said an hour before the new-look Knicks beat the Sacramento Kings, 100-85. "Everybody knows what they're supposed to do and how they should act. Nobody looks at stats and nobody cares about that. It's a great feeling as a coach to have a group like that."

It is what every basketball coach wants: A team that is stronger than its five individual parts. But for years, with few exceptions, the Knicks have put predictable, star-driven teams on the floor, living and dying on the abilities of a couple of great players rather than an entire unit.

With Lin, that's changed. In the win over the Kings, the Knicks were a balanced and unselfish team -- the top eight players scored between nine and 15 points -- with Lin leading the way with a career-high 13 assists to go along with his 10 points.

Lin became a national story when he torched the Los Angeles Lakers for 38 points, but he said he'd rather be a true point guard in the mold of a Steve Nash or a Jason Kidd, one who passes first and scores when the opportunity is there. It's what the Knicks hope to get from him.

"As a point guard, my field-goal attempts have been really high," Lin said after hitting just four of six. "I don't think that's necessarily good. I think it's my job to distribute and get people in a rhythm."

So how does Anthony fit in? Lin has won over the desperate fan base of this franchise so quickly and dramatically that the return of a superstar to the lineup has been met with worry, not excitement.

Anthony arrived from Denver in a blockbuster trade just a year ago as the player who was supposed to deliver a title to a franchise that hasn't even won a playoff series since 2000. The small forward is a five-time All-Star who led the Nuggets to the playoffs every year from 2004-2010, averaging 24.8 points a game over his nine-year career.

But he also has the reputation as a player who needs -- and demands -- the ball in his hands, one who routinely takes more than 20 shots a game. Can he fit in with Lin?

He was insulted at the question. "That's like a slap in the face," Anthony said when asked by ESPN if he was a selfish player. "None of my teammates I've ever played with would say that I was a selfish player. Nobody."

Anthony has a point. He won a national championship at Syracuse elevating his teammates and, while playing alongside LeBron James and Dwyane Wade at the Beijing Olympics in 2008, took a complementary role for the benefit of the team's gold-medal pursuit.

He is also smart enough to have watched the Linsanity unfold in Manhattan and to know that any player who stalls this movement will not be treated kindly by the fans at Madison Square Garden. Anthony insists he'll adjust, and that the Knicks will be a better team when he's back.

Lin, for one, is not worried.

"He's a lethal scorer," Lin said, "and he runs the pick-and-roll so well. We will probably be on opposite sides on the offense and when we swing-swing the ball and set up plays off the pick-and-roll ..."

He let the sentence trail off, but fans understand the potential. There's no telling how far the Knicks can go if Anthony and his teammates are willing to put aside their egos for the betterment of the team.

This team will captivate the city with selfless basketball. And, as any old school Knicks fan can tell you, it won't be the first time it's happened.

@highlight

Steve Politi says Lin represents "team first" style the Knicks exhibited a generation ago

@highlight

He says in the '70s, the Knicks "put aside their egos for the betterment of the team"

@highlight

Politi on Knicks: "This team will captivate the city with selfless basketball"