A nervous new doctor performing a procedure for the first time puts on a pair of Google Glass and scrubs in. From the moment she makes her first incision, a live video feed of the operation is streamed from her glasses to a surgeon outside the operating room who gives live feedback over earbuds.

Training medical professionals is just one of the many workplace uses Google Glass is experimenting with. Earlier this year, Google launched its Glass at Work certification program, in which it collaborates with businesses interested in using Glass to improve productivity and save money. Ten companies have signed on so far.

Google's head-mounted computer is almost two years old, but the product is still officially in beta. Glass was originally marketed only as a consumer device, but it has had difficulty finding a niche in the consumer market, where it struggled with privacy, etiquette and safety issues.

But then some of Glass' early adopters put the wearable to work, using the device to make their jobs more efficient.

Some of the most exciting potential for wearables is in the health industry, where workers need to keep their hands sterile. The small screen mounted on Glass can be used to display checklists or vital signs. Smart glasses can also let specialists consult on cases far from their hospital. This type of telemedicine has been around for years, but high costs and regulation have made widespread adoption difficult.

"Having the units like Glass or any sort of wearable first-person display that comes in at less than $1,500 really opens things up," said Dr. Warren Wiechmann, who heads up the Glass tests at the University of California at Irvine.

UC Irvine is partnering with app developer Pristine, a Google Glass partner, to experiment with Glass in a number of case studies. In addition to using it as training wheels for medical students, the school is putting Glass on surgeons so they can broadcast operations live to students. Patient actors will wear Glass while medical students learn how to do a basic exam. Later, the students are shown the video to see themselves though a patient's eyes, with the idea of improving bedside manner, empathy and listening skills.

Google is being slow and deliberate with the business partners it certifies. It vets each company to see if its specific use case solves a problem in the real world, and gives them access to technical experts.

For now, the company is focusing on workers who need to use their hands for their jobs, everyone from nurses and surgeons to mechanics, utility workers and chefs. Google says 80% of the global workforce does physical work every day.

"These are people who can't reach into their pocket to pull out a cell phone, they can't type on a laptop," said Chris O'Neill, head of business for Google Glass. "They have every need to access information, every need to use tech to make their jobs that much more safe and productive."

When an expensive printer breaks down, an expert is typically sent to make repairs in person. In another Google Glass test case, HP is experimenting with keeping the experts at home. Instead, a customer puts on a pair of Glass and the repair person walks them through the necessary fixes remotely.

Wearables in the workplace are still in the very early stages. Google and other similar companies are primarily focused on test cases and proving that there is a tangible benefit to the technology. Before smart glasses go mainstream, there are also a number of issues that need to be addressed, including getting old industries up to date with new technology, bringing fast Internet coverage to industrial work locations, and improving device battery life.

And of course, privacy concerns won't disappear once a wearable is worn to work instead of to a bar. Employees might have concerns about being monitored and tracked on the job with wearables.

Google has the time and resources to tackle these issues as they come up. Down the line, wearables like Glass could be commonplace on oil rigs, in the exam room, up telephone towers and even in fast food restaurants.

Taco Bell is considering using Glass to train new employees on the proper cheese-to-bean ratios. Yum Brands, the parent company of Taco Bell and KFC, has worked with Google Glass app developer Interapt on test cases to see if Glass can cut down on the time it takes to train new employees. Glass uses location information and a specific training app to walk them through the steps for preparing food in real time.

"They're not just reading a book about making tacos, they're actually doing it." said Interapt CEO Ankur Gopal.

@highlight

Companies are experimenting with Google Glass in the workplace

@highlight

The wearables can help train employees and loop in far away experts for customer service

@highlight

Glass still has challenges to tackle before it is commonplace in the workplace