(CNN) -- Iran and world powers are resuming talks in Geneva amid high hopes that a diplomatic solution to Iran's nuclear program will finally be reached.

But while the P5+1 -- the U.S., UK, France, Russia, China and Germany -- and Iran appear to be closer than ever to striking a deal, there are still a lot of details to iron out.

Read our explainer to get up to speed on 60 years' worth of nuclear history in Iran.

When did Iran's nuclear program begin?

The U.S. launched a nuclear cooperation program with Iran in 1957 -- back when the Shah ruled Iran and the two countries were still friends -- and by the mid-70s Iran began developing its nuclear power program. But the U.S. pulled its support when the Shah was overthrown during the Islamic Revolution in 1979.

Why is the West worried about Iran's nuclear program?

Since the 1979 revolution the West has worried that Iran could use its nuclear program to produce atomic weapons by producing highly-enriched uranium -- the material needed to make a bomb. Iran has always insisted it only wants to use nuclear power for peaceful purposes.

In 2003 nuclear inspectors from the International Atomic Energy Agency announced they had found traces of highly-enriched uranium at a plant in Natanz. Iran temporarily halted enrichment but resumed enriching again in 2006, insisting enrichment was allowed under its agreement with the IAEA.

What did the international community do?

In late 2006 the U.N. Security Council passed sanctions against Iran for failing to suspend its nuclear program. Sanctions that initially targeted Iran's nuclear capability were greatly expanded over the next seven years to include bans on arms sales to Iran, travel bans on certain Iranians, Western bans on buying Iranian oil, and bans on dealing with Iranian financial institutions, including the country's central bank.

Have sanctions worked?

No and yes. In 2007 Iran claimed to have 3,000 centrifuges capable of enriching uranium. Today Iran has 19,000 centrifuges and is building more advanced ones, according to Mark Hibbs, a nuclear policy expert at the Carnegie Endowment for International Peace.

On the other hand, sanctions have crippled the country's economy. Oil revenues have plummeted, and the local currency had dropped 80% in value by 2012. The Iranian people have faced spiralling inflation and job layoffs within the state sector, according to CNN's John Defterios.

Why are Iran and world powers talking now?

The U.S. believes these sanctions have left Iran little choice but to compromise its nuclear ambitions in return for relief from the economy-destroying effects of the oil and banking bans. Newly-elected Iranian President Hassan Rouhani is also more moderate than his predecessor, and all sides believe there could now be a window of time to get a deal done.

How close is Iran to producing a nuclear bomb?

One U.S.-based anti-proliferation group says Iran could potentially produce enough weapons-grade uranium for a nuclear bomb in as little as a month if it broke with international laws and went all-out towards production.

But Hibbs says most world powers believe Iran is realistically at least a year away. "Most of the people involved in this negotiation are looking at a longer time frame of between 1 and 3 years," he said. "Negotiators have to be concerned about this but they know it's a worst-case scenario."

What would a deal on Iran's nuclear program look like?

Most importantly, Iran would have to agree to suspend enriching uranium to 20% purity, according to one scenario being considered. While uranium isn't bomb-grade until it's enriched to 90% purity, Hibbs says "once you're at 20%, you're about 80% of the way there." Iran would also have to reduce its uranium stockpiles, stop constructing new centrifuges, and freeze essential work on its heavy-water reactor under development at Arak, which could be used as a source of plutonium -- a second pathway to a nuclear bomb.

In return, world powers would have to agree to relax sanctions and allow Iran to enrich some uranium at a low level. Iran also wants the world to acknowledge its right to enrich uranium under the Treaty on the Non-Proliferation of Nuclear Weapons (NPT).

Does Iran have the right to enrich uranium?

The U.S. and other world powers say no, but Iran says yes. Iran believes that it has the right to enrich uranium as a signatory to the NPT, but Hibbs says no such right is enshrined in the treaty. "There is a right to the peaceful use of nuclear activities in the NPT," he says, "but there's not a right to enrich uranium specifically."

While not conceding the point in principle, Iran appeared to loosen its stance on the issue at the weekend when Foreign Minister Javad Zarif reportedly told the ISNA news agency that Iran's right to enrich "does not need recognition, because it is an inseparable right based on the NPT."

Why haven't other countries faced similar sanctions for their nuclear programs?

India tested its first nuclear device in 1974, followed by Pakistan in 1998. Israel has always refused to confirm or deny that is has the bomb, although the Federation of American Scientists estimates it has around 80 atomic weapons. Action was never taken against India and Pakistan, partly because they never signed up to the NPT -- and in the latter's case, Hibbs says, "because there was very little that the U.S. could've done to stop Pakistan."

Iran, on the other hand, signed up to the NPT and its declared program is being inspected by the IAEA. And Hibbs says the IAEA and world powers "have information suggesting that Iran has carried out activities it hasn't declared in the past."

Who's against a deal?

Israel is opposed to Iran having any nuclear enrichment capabilities at all and says the current plan is "a bad deal" that won't work. "Iran is practically giving away nothing. It's making a minor concession, which they can reverse in weeks," Israeli Prime Minister Benjamin Netanyahu told CNN. "I think if you want a peaceful solution, as I do, then the right thing to do is ratchet up the sanctions."

CNN's Fareed Zakaria says Saudi Arabia's objections to Iran are existential. "The Saudis regard Tehran as a heretical, Shiite, Persian enemy that must be opposed," he says. "Its antipathy predates Iran's nuclear program and will persist whatever the resolution of it." Hibbs says that as a country with nuclear power ambitions itself, Saudi Arabia is deeply hostile to Iran having a nuclear program that includes sensitive activities like uranium enrichment.

Republican leaders in the U.S. Congress have also said they will try to pass new Iran sanctions, despite Secretary of State John Kerry's warning that the move could "destroy the ability to get an agreement" in Geneva. And even if a deal is agreed, the White House faces an uphill battle trying to convince those same Congressional leaders to pass laws to relax sanctions on Iran.

Another tough sell will be Iran's hardliners. Zakaria says: "Supreme Leader Ayatollah Ali Khamenei and the Revolutionary Guards remain deeply anti-American, and they may well oppose the concessions that Rouhani and Zarif would have to make to get a deal."

Obama's task is two-fold, says Zakaria: "First he has to get a deal that hardliners in Tehran can deal with. Then he has to get one that the hard-liners in Washington and Jerusalem and Riyadh can abide."

How would a deal be enforced?

Iran could end up with a program that allows some uranium enrichment in exchange for full cooperation with IAEA inspectors over the next few years, according to Hibbs.

Hibbs says: "What's missing is answers from Iran to pressing questions from the IAEA about the scope and extent of the Iranian nuclear program during its history. If the powers are going to relax sanctions, they and the IAEA need to know that the program in Iran is exclusively dedicated to peaceful use. If they can get answers to those questions, that will bring Iran pretty far along."

Read more: U.S.-Israel rift over Iran nukes now in the open

Read more: Give Iran talks time, says skeptic

Read more: Why Israel, Gulf states are skeptical of Iran talks

@highlight

Iran's nuclear program actually began with cooperation from the U.S. in the 1950s

@highlight

Sanctions since 2007 hit ordinary Iranians hard but failed to halt country's nuclear program

@highlight

Most countries involved in talks believe Iran is between 1 and 3 years away from bomb

@highlight

Israel and Saudi Arabia will reject any deal that allows Iran to keep enriching uranium