(CNN) -- Last week offered a grim parade of perspectives on the nature of terror and danger in the United States and in the modern world. The Boston Marathon bombings, the Texas fertilizer plant explosion, the earthquake in China, to name but a few.

But the week also offered a glimpse of the way we have come to understand violent acts that affect us: Here in the United States we observe a hierarchy of terror.

It works like this: The media and seemingly the rest of the U.S. public care most when a terrorist is successful, foreign, Islamic, and thus resonant with what has become the touchstone of our views on terror: 9/11. For such cases, no coverage or government action is too excessive. We care when casualty tolls, as measured in American lives, are high and the villain is easy to point a camera at, easy to fit into our predetermined definition of what a villain is (see point 1.)

When the terrorist is a crank or is unsuccessful, we care less. When the terror happens to Iraqis or Syrians or others far from us, we care less. When the terror is not perpetrated by an individual but is perhaps the result of the actions or inactions of a company, a government body, a special interest group or nature, our concern does not approach the level it does when there is a bad guy, a foreign connection, an experience that recalls earlier terror experiences (no matter how tenuous).

There has been an extraordinary panoply of tragedies in the past week on which to test this theory. On Monday we witnessed in horror the attack on the Boston Marathon. Within a day we learned of ricin-laced letters targeting members of the U.S. Senate and later in the week, the president himself. By Wednesday afternoon, the perpetrator in the letter attacks was arrested.

Around 8 p.m. that evening, an explosion at a fertilizer plant in Texas devastated a town of 2,800, killing 14 and injuring 200 others. By Thursday evening, the manhunt for the Boston bombers had resulted in the identification of the two bombers, the gruesome end of one of them and, sadly, the death of another victim, a 26-year-old MIT police officer.

This news rocked us, but it should also have been put into perspective by events elsewhere. The same day as the Boston Marathon attack, scores of ordinary people were killed in coordinated terror bombings across Iraq. On Saturday, an earthquake rocked Sichuan province in China, injuring at least 11,000 people and producing a death toll that at this writing was approaching 200. On Sunday alone the violence that tears daily at Syria left more than 500 people dead, most in a single town.

Finally, while America was galvanized by the swift action of authorities in responding to the Boston Marathon attacks, we also saw midweek starkly contrasting government inaction in the face of a much bigger threat: that posed by gun violence in America. More than three times as many Americans will die in gun homicides this year as died on 9/11 and more than 10 times as many will die of gun violence of one sort or another. Yet, the United States Senate demonstrated this week that it does not see this as a problem of any great urgency.

Truly, it appears not all terror is created equal.

But this is not all we've learned about terror this past week. We saw anew that we cannot ever eliminate its threat, but that when cities react calmly and with courage, the impact of attacks can be limited and the goal of the terrorist to produce mayhem can be defeated. And we saw in the well-trained first responders, effective mail screening facilities and impressively swift law enforcement pursuit of wrongdoers that the investment we have made in preparation has paid off.

The Boston attack has also compelled us to consider terror's hidden costs. In debating whether or not to read Dzhokhar Tsarnaev his Miranda rights and in shutting down an entire city in search of a single 19-year-old, we brushed up again against debates that have raged throughout this past decade.

What is a proportional response to terror? When would it be better to treat a threat as a criminal matter to be handled within our basic system of laws and when should it be treated more aggressivelyâ€”even to the point of suspending basic elements of due process, as in the suggestion by some to treat Dzhokhar Tsarnaev as an enemy combatant? Or do we do damage to our national reputation and character as we did in the decade past with the contra-constitutional provisions of the Patriot Act or our actions at Abu Ghraib or Guantanamo?

In short, once again we must ask, how much damage are we doing to ourselves in our efforts to stay safe or pursue justice?

Terror and terrorists are real and their stories are compelling, but we ought to remember that by far the biggest threats we face come from elsewhereâ€”from what might be corporate negligence or greed; from natural disasters or the heedless abuse of the environment; from people who find it far too easy to get their hands on guns or from leaders who twist their interpretation of the Constitution to overreact to one threat even while ignoring and exacerbating another.

The opinions expressed in this commentary are solely those of David Rothkopf

@highlight

David Rothkopf: Reaction to recent disasters shows people in U.S. follow hierarchy of terror

@highlight

He says they care when terrorist is successful, foreign, Islamic and strikes U.S.

@highlight

He says we overlook danger likely to affect us, like Senate inaction on guns, Syria slaughter

@highlight

Rothkopf: Boston made us weigh our priorities in handling terror, such as due process