Cambridge, Massachusetts (CNN) -- The announcement that Accenture has decided to end its marketing relationship with Tiger Woods -- now that the superstar is making headlines for his infidelity and sudden break from the sport of golf -- is raising larger doubts about the strategy of relying on celebrity endorsers.

Why would any firm center its marketing efforts on an athlete, particularly in today's media landscape in which a celebrity's missteps are so easily captured and disseminated via gossip and social-networking Web sites? Would it not be better for firms to shy away from aligning themselves with celebrity endorsers?

While the strategy is inherently risky -- endorsers are people, after all, and people make mistakes -- and while Accenture's decision to cut ties with Woods is probably justified given the circumstances, in general, the rewards of relying on endorsers very likely far outweigh the risks.

Endorsers often create tremendous value for the companies that rely on their services -- that is why the best endorsers are so richly compensated, and why most top athletes in America make more money from sponsorships than from salary or winnings.

Marketers of brands that employ the services of celebrities will know that few promotional strategies can impact the bottom line as much as -- and as quickly as -- forming an alliance with a celebrity.

In a recent study in which I analyzed hundreds of athlete endorsements, I found that sales for brands in a variety of consumer-product categories jumped an average of 4 percent in the six months following the start of an endorsement deal, even after controlling for advertising expenditures and other factors that could be expected to drive up sales.

Several brands saw sales rise with more than 20 percent after teaming up with an endorser. And important to managers, the strategy seemingly helps to differentiate brands from their competitors, which did not experience any spillover of increased sales.

The study, co-authored with Jeroen Verleun, even showed that the stock market favorably responds to athlete endorsements: On the day such a deal is announced, the endorsed firm's stock can be expected to increase nearly a quarter percent.

And illustrating the payoff of betting on a winning athlete, stock prices further increase every time the athlete secures a major victory, such as a PGA championship. In fact, athletes with a strong track record emerged as particularly effective endorsers in the study in almost all possible respects.

Why do celebrity endorsements work as well as they do? One obvious explanation is that celebrities help firms to tap into their fan base. They open new markets. Consider tennis star Maria Sharapova, one of today's most sought-after -- and, as our research shows, most effective -- endorsers: The mere fact that Sharapova promotes fashion label Cole Haan may encourage her most devoted fans to visit its shops, allowing Cole Haan to perhaps attract a younger and more diverse demographic.

A second, more subtle, explanation is that endorsements trigger sales by reassuring consumers of the quality of the endorsed brand.

Consumers often cannot easily assess the true quality of products, at least not before they consume them. But seeing a celebrity attaching his or her name and good reputation to a product may help alleviate some of their uncertainty. Consciously or unconsciously, they might trust, say, Sharapova to endorse Prince tennis rackets only if those products truly are of premium quality. After all, Sharapova herself would be at risk of damaging her reputation if that were not the case.

A third possibility is that an alliance with an endorser can convey important information about an attribute that helps differentiate a brand from its competitors. This is particularly helpful for attributes that are hard to explain, demonstrate, or measure.

Canon's reason for turning to Maria Sharapova was her reputation as someone who plays aggressively but with precision, and who has a sense of style -- exactly the kinds of attributes it hoped to emphasize in marketing its line of PowerShot cameras.

This is probably where the partnership between Accenture and Tiger Woods went south. Judging by its advertising campaign over the years, the global consulting firm relied on Woods to emphasize attributes such as its strategic focus and discipline ("Strategy 80%. Exit Strategy 20%"); the payoffs of its risk-taking behavior ("Go On. Be a Tiger"); and its ability to recover from setbacks ("It's What You Do Next That Counts") -- precisely the kind of values that may be difficult to communicate under the current circumstances.

So it is understandable that the firm decided to cut ties with Woods in order to limit a negative impact on its reputation. However, now that the company has responded, we should not lose sight of the bigger picture: Any short-term negative effects are very unlikely to outweigh the strong benefits the company experienced during its six-year relationship with the golfer.

Marketers who rely on athlete endorsers know they can be in for a rocky road -- their allied partners can suffer from injuries, a loss of form, scandals, rumors, and a range of other woes -- and they need to adapt accordingly. But don't expect firms to cut back on the strategy altogether, as endorsers on the whole generate considerable value.

The opinions expressed in this commentary are solely those of Anita Elberse.

@highlight

Tiger Woods endorsement deal highlights risks of relying on a celebrity to sell products

@highlight

Anita Elberse says her research shows firms using endorsers generally reap big gains

@highlight

She says sales increase and endorsements can boost a firm's stock price

@highlight

Endorsements reassure customers about quality of products, she says