Washington (CNN) -- Supreme Court nominee Elena Kagan told the Senate Judiciary Committee on Monday that justices on the nation's highest court should be even-handed and impartial in order to promise "nothing less than a fair shake for every American."

In her opening statement to her confirmation hearing, Kagan sought to address Republican concerns that her background as an academic and policy specialist in the Clinton administration would bring a liberal bias in her court rulings.

The role of the Supreme Court is "to safeguard the rule of law, through a commitment to even-handedness, principle, and restraint," Kagan said.

"I will make no pledges this week other than this one -- that if confirmed, I will remember and abide by all these lessons," she said after describing her experiences as a Supreme Court clerk, law school professor and U.S. solicitor general. "I will listen hard, to every party before the court and to each of my colleagues. I will work hard. And I will do my best to consider every case impartially, modestly, with commitment to principle, and in accordance with law."

If confirmed by the 19-member committee and then the full Senate, Kagan would be the 112th Supreme Court justice and the fourth woman to sit on the nation's highest court.

While her confirmation is considered likely, Republican senators on the panel questioned Monday whether Kagan can be an impartial justice, displaying a partisan divide over President Barack Obama's second Supreme Court nomination since he took office in January 2009. The Senate confirmed Obama's first candidate, Sonia Sotomayor, last year.

The committee's seven Republicans used their opening statements to challenge Kagan's judicial experience and her ability to put aside personal politics, and the 12 Democratic members praised Kagan's qualifications and welcomed her possible presence on a court they criticized for what they called conservative activism.

Kagan sat impassively in the packed room, sometimes taking a sip of water, as the senators outlined the questioning she will face in coming days.

Committee Chairman Sen. Patrick Leahy, D-Vermont, said Kagan would be an independent Supreme Court justice, and that he advised her to be open in expressing her judicial philosophy at her confirmation hearing.

Citing her record as the first woman to be dean of Harvard Law School and the first woman solicitor general of the United States, Leahy said America is "a better country for the fact that the path of excellence Elena Kagan has taken in her career is one now open to both men and women."

However, the ranking Republican on the panel, Sen. Jeff Sessions of Alabama, said Kagan lacks judicial experience and has a record of supporting liberal political causes.

"While academia certainly has value, there is no substitute, I think, for being in the harness of the law, handling real cases," Sessions said.

Other Republicans said Kagan's experience as a clerk for Supreme Court Justice Thurgood Marshall indicated she would seek to push society toward desired ideological or political ends, rather than apply existing law.

"Will the Constitution control her, or will she try to control the Constitution?" asked Sen. Orrin Hatch, R-Utah. "Does she believe that judges may control the Constitution by changing its meaning?"

Democratic Sen. Dianne Feinstein of California accused Republicans of casting a "drift net" for any disqualifying fact in Kagan's record, saying the GOP effort failed.

"I believe you are eminently confirmable," Feinstein said, turning the tables on Republican concerns about Kagan's lack of judicial experience by saying: "Frankly, I find this refreshing."

Other Democrats harshly criticized the current Supreme Court for what they characterized as rulings based on conservative activism. They cited the Citizens United ruling in January, in which the high court voted 5-4 to give big businesses, unions and nonprofits more power to spend freely in federal elections, which they said threatens a century of government efforts to regulate the power of corporations to bankroll American politics.

Sen. Charles Schumer, D-New York, called the Supreme Court's shift to the right under Chief Justice John Roberts "palpable."

"In decision after decision, this court bends the law to suit" a conservative political ideology, Schumer said, calling Kagan "a terrific antidote to the lack of practical real-world understanding of the court."

However, Republican Sen. Jon Kyl of Arizona said Kagan's record is full of "warning signs" that she may be what he called a "results-oriented" justice -- which is conservative code language for liberal activism.

Citing her record as clerk for Marshall, Kyl said many of her memos then "appeared to be based largely on her own liberal political views."

"This kind of naked political judgment appears frequently throughout Kagan's work as a Supreme Court clerk," Kyl said.

Democratic Sen. Dick Durbin of Illinois responded that America is a better nation due to Marshall's personal empathy in ruling on influential civil rights cases.

"Our Supreme Court is badly in need of a person of your skill and knowledge and background," Durbin said.

@highlight

NEW: First day of Elena Kagan's Supreme Court confirmation hearing concludes with her opening statement

@highlight

NEW: Kagan says Supreme Court justices must be impartial to ensure equal justice for all

@highlight

Republicans question Kagan's experience and impartiality, while Democrats praise her qualifications

@highlight

If confirmed as expected, Kagan would be the 112th Supreme Court justice and fourth woman on the nation's highest court