(CNN)It's called the Grand Renaissance Dam -- and the clue is in the name.

With some 8,500 laborers working around the clock on its construction, the imposingly-named dam is surely one of Africa's most ambitious infrastructure projects, reaffirming Ethiopia's ambitions of becoming a big regional player and a major exporter of power.

When completed, the project will generate around 6,000 megawatts of electricity for both domestic use and exports.

The most striking aspect of the nearly $5 billion enterprise is, however, that it is entirely funded by Ethiopia, without any foreign investment. According to the authorities, 20% of the project is financed from bond offerings to Ethiopians, and the remaining 80% from tax collection.

"It was seen as a strategically important initiative that the government and the Ethiopian people are financing it 100%," says Zemedeneh Negatu, managing partner at Ernst & Young Ethiopia.

"They have come up with a very creative and innovative way that I think will be a lesson for other African countries who want to embark on such large infrastructure projects, and want to have the flexibility to do it themselves," he adds.

Hydroelectric powerhouse

So far, Ethiopians at home and abroad have contributed about $350 million, and the government says that the 170 meter tall dam is on track for a 2017 opening, with 40% of the work already complete.

Ethiopia's per capita income might be one of the lowest in the world, but the country has enjoyed an impressive economic growth since 2000, averaging 10.9% annually, which has resulted in a 33% reduction of people living in poverty. If the Grand Renaissance Dam and other hydroelectric projects, such as the Gibe III dam on the Omo river, are completed on time, The World Bank estimates Ethiopia could earn $1 billion a year from electricity exports. Negatu says that this would make the country the largest exporter of power in Africa, and second only to South Africa when it comes to installed capacity.

Unhappy neighbors

Yet, not everyone is happy about Ethiopia's energetic drive to harness its water resources. The Grand Renaissance Dam is being built on Blue Nile, a tributary of the Nile River which has been powering the agriculture of Sudan and Egypt -- through which it flows -- for millennia. These countries have opposed the project in the past, fearing that the dam will reduce their share of the Nile water. The ousted Egyptian president Mohamed Morsi had even threatened to defend "each drop of Nile water with our blood if necessary" back in 2013.

Passions have been calmer more recently, and today the Reuters news agency reported that representatives of Egypt, Sudan and Ethiopia reached a preliminary agreement  in Khartoum on how to operate the dam. Negatu is convinced that a compromise will be reached, as he thinks that the dam will ultimately benefit not just Ethiopia but most other East African nations.

"This is actually a regional project because up from Egypt all the way down to Rwanda, countries are going to buy the power that's generated by this dam," Negatu says, adding that both Rwanda and Kenya have already agreed to purchase thousands of megawatts once the project is finished.

A lack of reliable power has long stunted Africa's development, with 600 million people on the continent not connected to the grid and getting by on a mix of generators, kerosene lamps and candles. In Ethiopia, only 15 to 20% of the population has access to power according to a study by Chatham House.

"It's Africa's Achilles' heel," says Negatu. "With anyone who wants to build a factory in Africa, the first thing they ask is infrastructure, and within infrastructure, whether there is sufficient electricity. Industrialization has always been about electricity, and this [dam] addresses this basic need."

He adds that, after depending on exporting raw commodities for decades, governments across Africa should be pursuing a strategy of industrialization, following the example of China.

"We've got to move up the value chain, and it's what Ethiopia is doing right now. Its strategy is industrial-based -- not to export commodities but to manufacture value-added things, and other African nations are trying to emulate that. But without electricity there won't be industrialization in Africa."

More from Africa View

Read this: New railway links to transform West Africa

Read this: Fast-rising aviation hub spreads its wings

Brandon Clements contributed to this report.

@highlight

Ethiopia is building the largest hydro-electric dam in Africa

@highlight

The country says the $5bn Grand Renaissance Dam is funded entirely by the government and its people

@highlight

Neighboring Sudan and Egypt fear that the dam will affect their water supply