(CNN) -- In 2005, about two weeks after 52 people in London were killed in bombings targeting the English city's mass transit system, terrorists decided to strike again.

A police CCTV camera observes people walking in central London.

Similar to the July 7 attacks, they chose the city's transit system -- three subway trains and a double-decker bus -- as the targets. But this time, four homemade bombs stuffed into backpacks did not fully explode. One person was injured.

About a day later, photographs of four suspects were broadcast on television. Their images had been captured on surveillance cameras near the sites of the attempted attacks.

The remarkable speed of that investigation was repeated in June this year when terrorists attempted to detonate two car bombs in London.

Aided by surveillance cameras, British investigators began unraveling the plot later that day and tracked the suspects to Glasgow, Scotland. Several suspects were soon arrested.

Police officials credited the "Ring of Steel" -- a network of thousands of surveillance cameras that line London's intersections and neighborhoods -- for providing license plate numbers, suspects' image and other important clues in investigations.

New York City, specifically lower Manhattan, the site of two terror attacks, will have a similar system in place by the decade's end if it gets the needed funding.

Police officials say the surveillance cameras can help combat crime and terrorism, perhaps even deter it. Civil liberties advocates say such systems are a threat to privacy rights and another step for a society creeping toward a constant state of surveillance.

The implementation of the plan, called the Lower Manhattan Security Initiative, will require about $90 million, New York City Police Commissioner Ray Kelly said. It will cost about $8 million a year to maintain.

The city so far has raised about $25 million. Part of it has come from the Homeland Security Department and the rest from city coffers.

Kelly said the money being spent on the system is well worth it. "The 1.7 square miles of lower Manhattan are arguably one of the most valuable and sensitive pieces of real estate in the world," he said during a telephone interview.

The area includes the New York Stock Exchange, the Mercantile Stock Exchange, the Brooklyn Bridge, and the site where the World Trade Center once stood and where the Freedom Tower is being built.

The system has four components: license plate readers, surveillance cameras, a coordination center and roadblocks that can swing into action when needed. The primary purpose of the system is deterrence, and then an investigative tool, Kelly said.

The license plate readers will be in place by the end of the year. The rest of the plan is scheduled to be completed during the next two years.

New York City already has many cameras located in its airports, banks, department stores and corporate buildings. The city's law enforcement uses them when needed as part of a public-private partnership, Kelly said.

Such partnerships can be found in many cities across the United States, including Washington D.C.; Atlanta, Georgia; Baltimore, Maryland; and Chicago, Illinois.

Baltimore police officials told CNN the city had 500 cameras and crime was reduced by 17 percent in neighborhoods where they are located.

"The feedback from the community has been fantastic, and in fact, most people want cameras in their neighborhoods," said Maj. Dave Engel of the Baltimore Police Department.

Atlanta Police Deputy Chief Peter Andresen said the city had applied for federal funding to implement a surveillance camera system of its own. Atlanta has a public-private partnership in several of its neighborhoods that gives police access to cameras, he said.

He recalled a drug deal being busted because someone monitoring a camera grew suspicious of two cars idling in a parking lot with their hoods up for a long time.

"We feel that [the cameras] go a long way toward preventing crime," he said.

But Steve Swain, who served for years with the London Metropolitan Police and its counter-terror operations, doubts the power of cameras to deter crime.

"I don't know of a single incident where CCTV has actually been used to spot, apprehend or detain offenders in the act," he said, referring to the London system. Swain now works for Control Risk, an international security firm.

Asked about their role in possibly stopping acts of terror, he said pointedly: "The presence of CCTV is irrelevant for those who want to sacrifice their lives to carry out a terrorist act."

Kelly disagreed, pointing out that it is practically impossible to know what has been deterred. "We don't know acts that may have been planned that -- because of the surveillance and deterrence systems that are in place -- did not go forward."

Swain does believe the cameras have great value in investigation work. He also said they are necessary to reassure the public that law enforcement is being aggressive.

"You need to do this piece of theater so that if the terrorists are looking at you, they can see that you've got some measures in place," he said.

Privacy advocates said they are concerned about the possible abuse of surveillance power.

Donna Lieberman, the executive director of the New York Civil Liberties Union, said she was alarmed by the prospect of government and law enforcement officials having records of a person's daily activities.

"It wasn't that long ago that J. Edgar Hoover was up to his dirty tricks using government spying to interfere with lawful dissent, undermine critics and pursue an unlawful agenda," she said.

However, police officials repeatedly note there is no expectation of privacy in a public area and it is not a constitutional right.

A majority of Americans said they approved of the use of surveillance cameras by nearly a 3 to 1 margin in a recently published ABC News/Washington Post poll.

Jeffery Rosen, a professor at George Washington University and the author of two books on privacy issues, said the poll reflected the fact that "the arguments against the cameras tend to be abstract, whereas people's desire for security is understandable and immediate."

"But I think many people can understand life would be different in a world where, literally, government authorities could click on pictures of you at any point in the day and retrace your movements 24/7," he said.

Lieberman said privacy is not a quaint notion despite a rapidly changing world.

"Technology is an unstoppable train," she said. "The question is whether we can maximize the benefits and minimize the harms." E-mail to a friend

CNN's Joe Johns contributed to this report.

@highlight

Initiative calls for network of cameras in lower Manhattan

@highlight

Plan similar to vast network in London called "Ring of Steel"

@highlight

All components scheduled to be completed by decade's end