Russian President Vladimir Putin arrived in Crimea on Friday to take part in Victory Day celebrations in Sevastopol, in what is his first visit to the disputed territory since Russia annexed it from Ukraine.

The President arrived in the port of Sevastopol by sea, in an event televised by Russian state TV, and watched while flanked by senior officers as Russian warships took part in a naval display in the Black Sea.

The military parades, held each year to mark the defeat of Nazi Germany, come amid soaring tensions in eastern Ukraine, where pro-Russian separatists are planning a weekend referendum on autonomy.

At least seven people were killed and 39 others were injured in clashes between separatists and Ukrainian government forces in the flashpoint southeastern city of Mariupol, the Donetsk regional health department said Friday.

Interior Minister Arsen Avakov put the toll higher in a post on his official Facebook page, saying about 20 militants had been killed and four captured, while one member of the armed forces was dead and five injured.

In Washington, the White House took notice of Putin's visit and reiterated its rejection of Crimea's annexation.

"Such a visit will only serve to fuel tensions," National Security Council spokeswoman Laura Lucas Magnuson said.

In Sevastopol, which hosts a key Russian naval base, crowds packed the shores to witness the show of Russia's military might. Besides the warships that took part in the sea, dozens of military aircraft roared overhead.

Putin paid tribute to Sevastopol's long military record as he addressed servicemen in the harbor, and he said he was sure that 2014 would become known in history as the year Crimea's people decided to return to Russia and the memory of their ancestors.

"There is a lot of work to be done, but we will overcome all the difficulties because we are together. This means we have become even stronger, and I congratulate you on the great victory," he said.

Putin shook hands with servicemen after his remarks, before walking to barriers where he was greeted by screaming crowds.

An earlier military parade by land vehicles through the city also attracted big numbers, with the turnout probably boosted by rumors that Putin might attend.

The Russian President's first Victory Day appearance was in Moscow, where the annual display of nationalistic fervor was heightened by Russia's annexation of Crimea.

Tanks, rocket launchers and even intercontinental ballistic missiles were paraded through the capital's Red Square in a Soviet-style show of military might, as tens of thousands of people watched and cheered, waving Russian flags.

In televised remarks there, Putin hailed his nation's "all-conquering patriotism."

Gunfire, smoke in Mariupol streets

Meanwhile, a live video stream from the Ukrainian city of Mariupol showed a tense situation with gunfire and black smoke in the streets.

Avakov, on his Facebook page, said about 60 "terrorists," armed with automatic weapons, had launched an attack on Mariupol's police department.

This turned into a "full-scale military clash" inside the building, he said, with army, national guard and special forces units involved.

As a result, he said, "a significant part of the terrorist group has been destroyed." Others had abandoned their weapons and disappeared into residential areas, he said.

The municipal building is in flames, he added.

Earlier, a member of parliament posted on his Facebook account that separatists had blockaded themselves inside the police headquarters, surrounded by Ukrainian forces. Three "casualties" were reported among the separatists, and some Ukrainian officers were hurt, lawmaker Oleg Lyashko said.

CNN is not able independently to verify either account at this time.

Live video from Mariupol showed what appeared to be bloody footprints and blood splatters at several scenes in the city center, while people were taking cover at the sound of what appeared to be bursts of gunfire.

Irina Voropaeva, who is one of the leaders of the pro-Russian camp in Mariupol, told CNN there were two hotspots in the city.

She said it was unclear what was unfolding at the main police station. But, she said, the Ukrainian military is in the city center and she had been told that the city hall building is on fire. She added that she could see smoke and hear explosions.

Mariupol has become a flashpoint in the standoff between Ukrainian forces and the separatists. Five pro-Russian activists were killed overnight Wednesday when Ukrainian forces attacked barricades on the outskirts of Mariupol, a spokeswoman for the pro-Russian camp said.

Ukrainian forces also continue to surround the town of Slovyansk, a stronghold for pro-Russian militants.

Chaotic transition

A large majority in Sevastopol, as well as across the Crimean Peninsula, voted in favor of seceding from Ukraine and joining Russia in a controversial referendum in March. Moscow's annexation of the Black Sea territory, which was part of Russia until 1954 and has a majority ethnic Russian population, soon followed.

Sevastopol residents told a CNN team early Friday that they were proud and happy to be part of Russia again.

Their enthusiasm comes despite a messy, sometimes chaotic, process of transition and the continued presence on the streets of local "self-defense" units, or militias, known as the "men in green."

Not everyone is delighted by Russia's annexation of Crimea, however. The indigenous ethnic minority Tatar population opposed the move.

One local Tatar leader, Abduraman Egiz, told CNN he was beaten up by a group of "men in green" after they demanded to see his identification documents.

"We as the community, we cannot guarantee the security of our people," he said.

Authorities in Ukraine scaled back Victory Day events in the capital, Kiev, and elsewhere, anxious to avoid any big celebrations or demonstrations of support for Russia that could spark violence.

Odessa and Kharkiv canceled all big public events, while Luhansk asked groups to avoid gathering in the city. The city of Donetsk, however, was pushing ahead with events.

Referendum postponement call

Less than two months after Crimea was wrested from Ukraine's grasp, there are fears that other parts of the country could go the same way.

Pro-Russian separatists in eastern Ukraine said Thursday that they had decided to go ahead with a Sunday referendum on greater local powers, defying a call by Putin to postpone the vote.

Putin had urged the pro-Russian sympathizers to delay the referendum to give dialogue "the conditions it needs to have a chance."

But representatives from the council of the self-declared Donetsk People's Republic and separatists from Luhansk told reporters they had voted to press ahead with the vote.

The West has strongly opposed the move.

In a statement Friday, French Foreign Minister Laurent Fabius condemned the pro-Russian separatists for holding "illegal referendums."

Fabius, who spoke by phone with Ukrainian Prime Minister Arseniy Yatsenyuk, also reiterated France's determination to find a political solution to the crisis in Ukraine.

The immediate priority is to de-escalate the situation, engage in a national dialogue and prepare for the May 25 elections, Fabius said.

"On the local 'referenda,' we strongly emphasize that they should not take place -- neither on 11 May nor at any later date," said Maja Kocijancic, spokeswoman for the European Union's top diplomat, Catherine Ashton. "Such unauthorized local 'referenda' have no democratic legitimacy and can only lead to further escalation."

U.S. Secretary of State John Kerry spoke by phone with both Russian Foreign Minister Sergey Lavrov and Yatsenyuk on Thursday, State Department spokeswoman Jen Psaki said.

@highlight

Health officials say at least seven people killed and 39 more injured in clashes in Mariupol

@highlight

Ukraine's acting interior minister says about 20 militants killed, 4 detained in Mariupol

@highlight

"We will overcome all the difficulties," says Russian President Vladimir Putin

@highlight

Putin watches as warships and military aircraft take part in displays in Sevastopol, Crimea