ATLANTA, Georgia (CNN) -- U.S. cities are racing to cope with ever-increasing demand on public transportation as gas prices remain at record levels.

High gas prices in recent months have had a considerable impact on commuters using public transportation, statistics show.

Even regions that have traditionally resisted giving up cars and have limited access to mass transit are reporting a surge in public transportation use.

From trains and trolleys to subways and buses, the growth encompasses all modes of travel, according to the American Public Transportation Association, a Washington D.C.-based industry group.

Cities are using a variety of measures to meet that demand, according to an informal APTA survey of some transit systems.

For example, the Massachusetts Bay Transportation Authority, which is currently operating at capacity during peak periods, ordered more subway cars, buses and coaches for its commuter rail.

In North Carolina, the Charlotte Area Transit System has increased the frequency of light rail service on the weekends, ordered new buses and is taking a look at low-performing routes to cut down on costs.

And the Southeastern Pennsylvania Transportation Authority, which serves Philadelphia and has seen about 20,000 new daily customers since last July, has ordered 400 new hybrid buses and 120 new rail cars.

Other measures being used or considered by transit systems include changing schedules to increase frequency of buses and trains, creating bus-only lanes and taking out seats on trains to make more room for commuters.

'The paradox of public transportation'

While the rise in ridership has been a relatively easy adjustment for some systems, others are facing difficulties in meeting operating costs, which hampers their ability to ramp up service or maintain normal levels.

Cal Marsella, the head of Denver, Colorado's transit system, calls it the "paradox of public transportation."

Denver's system, like many U.S. cities, is partly funded by revenues from sales taxes. As consumers spend less because of high fuel costs and a sour economy, the city earns less revenue. Consequently, funding for the transit system is decreasing just when their operating costs are higher than ever before.

"Just when our demand is highest, our ability to provide is being undermined by the whole crunch," Marsella said. "The last thing we want to do is curtail service but there is not a lot you can do when revenues are down and fuel prices are up."

The Denver Regional Transit District, however, saw the high prices coming and was able to lock in the price of diesel fuel earlier this year at $3.20 a gallon -- a price far cheaper than what the market is right now. That contract expires at the end of this year.  See a map of gas prices across the country »

Marsella is pessimistic prices will drop much by the end of the year. "I'm budgeting next year for $4.55 a gallon," he said. "Everybody is hurting, and I have real concerns about our ability to sustain services and maintain infrastructure."

A sharp rise in ridership

Americans used public transportation in record numbers the first three months of this year, according to the APTA. They took 2.6 billion trips on public transportation during that period, an increase of 85 million more trips compared with the same period last year.

Meanwhile, the number behind the wheel dropped. Americans drove 1.4 billion fewer highway miles from April 2007 through April 2008, according to figures released by the Department of Transportation in June. The numbers represented the sixth consecutive monthly drop.

In some places, the growing embrace of public transportation has been an ongoing trend for the past few years, reflecting a steady and gradual change in commuter behavior. iReport: Show us your commute

For instance, ridership increased during a period of high fuel prices from 2005 through 2006 in Tulsa, but did not decline after fuel prices went back down, said Cynthia Stabb of Tulsa Transit.

"Once people get a chance to try public transit and they find it works for them, they stick with it," she said via e-mail. Asked about the current high levels, she responded, "We believe the demand is here to stay."

Turning point?

Some observers such as Dr. Robert Lang, an expert on urban affairs and planning at Virginia Tech University, say the gas crunch could be a turning point in perceptions of public transportation and how cities plan development.

Consumers are beginning to believe the high prices are a result of structural changes in the global economy, not the result of a single event like Hurricane Katrina, which produced a period of high fuel prices earlier this decade, Lang said.

That change in perception is providing more momentum for some cities that were already moving away from six-lane highways and suburbs dozens of miles apart, to a series of urban centers connected by light rail and other mass transit systems.

He cited cities like Denver and Phoenix, Arizona, where residents, motivated by traffic frustrations and the promise of economic development, approved massive transportation projects during the past few years despite the costs to their pocketbooks.

Marsella said Denver's suburban and exurban commuters were as enthusiastic as its urban residents in approving the multibillion dollar project in 2004. "People want to drive their cars a mile or two to a park-and-ride, and then take the rail in on the most congested part of the trip," he said.

Other cities, like Atlanta, Georgia, for instance, are struggling to make the pivot.

Often cited in discussions about urban sprawl, Atlanta has been bedeviled for years by a lack of consensus among city and regional leaders on the need to expand its transit system.

"Some of it is just the fear of change," Atlanta Mayor Shirley Franklin said. "People acted as if transit was a dirty word and the only thing that would be successful in Atlanta would be to build more roads, but we can see from the congestion that you need an integrated transport system."  Watch Mayor Franklin talk about Atlanta's transit system »

"Unfortunately, there's no quick answer for the problems that we have."

Roads, and the cars on them, will not likely disappear anytime soon, Lang said. "We're a settler nation. And people had to get moving to do that," he said. "There's something deep within the American psyche about the freedom of movement."

But the current environment may lead to a future where hybrid cars coexist with denser transit systems. "2007, for all we know, might be the peak use of gas in the United States," he said.

CNN's Mike Senzon and Jarrett Bellini contributed to this report.

@highlight

Statistics suggest Americans are driving less and using mass transit more

@highlight

Some transit systems labor to meet the new and rising demand

@highlight

They are hampered by high operating costs, spurred by high fuel prices

@highlight

iReport: Show us your commute