Los Angeles (CNN) -- Fourteen meters. It's the same height as a four-story building. Or three London double-decker buses. Or, if your imagination will stretch that far, two Tyrannosaurus Rexes standing on each other's shoulders.

For Brazilian big wave hunter Maya Gabeira, it's also the size of a very different beast -- and one which she conquered with record-breaking skill and bravery in 2009.

Four years ago, the fearless surfer rode a monster 14-meter wave in Cape Town, South Africa -- the biggest swell ever surfed by a woman.

It's a feat that would make even the most experienced surfer quake in their boots.

But in the notoriously male-dominated world of big wave surfing, this ballsy 26-year-old isn't just keeping up with the men -- she's giving them a run for their money.

"The adrenalin is a huge part of it," said Gabeira. "It's the ocean at its strongest."

"It's really unique to be able to be in harmony with that, to be part of that crazy moment out there riding the waves, when most harbors shut down and everyone goes to shore."

A wild ride

As the name suggests, big wave surfing isn't your average family-friendly pastime.

Instead, it is a dangerous extreme sport, requiring hefty equipment, specialized training in underwater breathing, and nerves of steel.

Riders are towed out to sea on jet skis, coming face-to-face with waves ranging from six-meters to 30-meters, with the possibility of plunging up to 15-meters below the surface if they come off their board.

As 11-time world champion surfer Kelly Slater recently admitted, big wave surfing "is a whole different ball game" to normal surfing, which had claimed the lives of many of his friends.

But for daring Gabeira, it's an obsession worth taking the risk for: "It's such a rare process to get really big waves, for them to hit perfectly," she said.

"It's such a special moment that you live for. Whereas small waves you can surf everyday, they're always out there."

Young gun

Gabeira grew up in Rio de Janeiro, the daughter of radical Green Party politician Fernando Gabeira, who took part in the kidnap of U.S. ambassador Charles Burke Elbrick in the 1960s.

She started surfing at 14, before moving to Australia and Hawaii in her late teens.

At 18 Gabeira rode her first big wave in Hawaii, and admits that from that moment she was hooked.

"It was pretty nerve wracking," she said. "I knew already that I wanted to do that, but when I actually did it for the first time, and felt like I had gotten in that level of big waves, I felt really addicted."

With her famous father, striking looks, and record-breaking rides, Gabeira has since become one of the best known female surfers in the world, winning the prestigious ESPY Award for Female Sports Athlete of the Year in 2009.

Science of surf

For Gabiera, finding big waves has nothing to do with luck. It's a fine science, involving reading complex weather maps -- and being prepared to fly across the world with just a day's notice.

"Twenty years ago you had to be in Hawaii and spend six months of the year there, and when the swell came, the swell came, and you rode it," said Gabiera.

"Nowadays we have the internet and the forecasting and you get to choose where to go, when to go, and you get more opportunities to be in the right place at the right time."

As the technology behind predicting waves advances, so too does the equipment used to conquer them.

Gabiera wears life jackets filled with oxygen cartridges, in case of emergencies.

"In case something happens, I can pull a cord which breaks open the tube of O2," explained Gabeira. "It inflates on my back and I get lifted up -- hopefully."

Deep breaths

One of the biggest dangers Gabiera faces is being held under water for two or more consecutive waves.

The gutsy surfer must be prepared to hold her breath for minutes at a time, doing free diving training exercises in preparation.

"I have a few great trainers who have taught me a lot about my breathing and how to exchange the CO2 and not blackout," said Gabeira.

But ultimately for Gabeira, surfing is more than a sport -- it's art.

"It's self expression, everyone surfs differently, no wave is the same," she said. "It takes me out of the real world and gives me a different perspective. It's just special."

@highlight

Brazilian surfer Maya Gabeira rode 14-meter wave, biggest for a female

@highlight

Celebrity surfer travels world riding monster waves, in dangerous sport

@highlight

"The adrenaline is a huge part of it," she says

@highlight

As technology develops, so too does ability to conquer massive waves