WASHINGTON (CNN) -- If history is any guide, President Barack Obama will reach for the stars during his State of the Union address Tuesday night. But in the end, reality will bring his plans back down to Earth.

Obama's "blueprint" for 2012 may run into similar partisan roadblocks that trimmed his lofty hopes for last year.

"There are absolutely things that remain undone that need to be done," White House spokesman Jay Carney admitted to reporters on Monday even as he touted a "fairly comprehensive list of proposals" that he believes the president has achieved.

Ambition is taking the fall for unfinished business.

"If you got through a year and you achieved everything on your list then you probably didn't aim high enough," Carney said.

CNNMoney: 4 things to look for in speech

Among the president's unmet promises from last year's address are pledges to increase investment in clean energy, take action on the status of illegal immigrants, fund new infrastructure projects, overhaul social security and let the Bush tax cuts on the highest income bracket expire.

The president submitted proposals to Congress addressing some of his 2011 pledges, including on infrastructure spending and the tax cuts , but Republicans promptly rejected those measures. On other issues, including entitlement reform, a simplification to the tax code, and addressing illegal immigration, no concrete plan from the White House ever reached Congress.

But the White House can point to some concrete achievements outlined in last year's address. These include the passage of trade deals with South Korea, Panama and Colombia; an end to the war in Iraq; and a repeal of the "1099 provision" that was said to burden small businesses' bookkeeping efforts relating to health care coverage.

Even before the president utters the first words of his carefully crafted 2012 speech, Republicans are sending loud signals that there will be little to applaud.

"This year, the president's prospects for hope and change are even smaller," Republican National Committee press secretary Kirsten Kukowski said.

Read a pre-release transcript of the speech

Some of the president's policy proposals that White House aides describe as ambitious will require congressional approval, and most of those "may be dead on arrival in Congress," Kukowski predicted.

But the president's tone is expected to be matched with a call for action. "He rejects the idea that nothing can get done in an election year," Carney said.

Seizing on the economy as his principal theme, Obama gave a preview of the speech to supporters in a video released by his re-election campaign.

In what he called a "blueprint for an American economy that's built to last," the president said manufacturing, energy, education and values would be the foundation for building an "economy that works for everyone, not just a wealthy few."

He'll fill in the details during the speech, but a Democratic source briefed on the current draft of the State of the Union gave CNN a preview of what will be proposed:

• A tax code that lets the Bush tax cuts expire and the wealthy pay more

• More refinancing for homeowners in trouble

• Additional tax breaks for companies that create jobs in the United States

• More clean energy incentives

• Enhanced education and job training initiatives

• A renewed call for the so-called Buffett rule, a minimum tax rate for the wealthiest Americans

• The creation of a China task force to monitor trade violations

These proposals come after months of deliberations behind the scenes. The president held a conference call last week with state legislators, mayors and tribal leaders "to hear their ideas about the state of the union," a senior administration official told CNN.

Through draft after draft, top aides have described the president as "very engaged" in the process. He worked with chief speechwriter Jon Favreau and others on his policy team to "refine it." Tweaks will continue until delivery.

Looking to draw in viewers beyond the traditional television networks, the White House will host an interactive live-streamed version of the speech on its website at www.whitehouse.gov/sotu.

Senior administration officials are expected to take part in a post-address discussion that will include a live audience and questions from Twitter, Facebook and Google.

Another sales pitch will involve the president hitting the road Wednesday with a three-day, five-state tour. He'll tackle one of the main pillars laid out in his address each day, according to a senior administration official. On Wednesday it will be manufacturing; Thursday, energy and energy security, and Friday, American skills and innovation.

Republicans consider the highly touted tour a tax-funded campaign trip, with convenient visits to states that could be key to the president's re-election efforts.

"Obama's speech won't be as important for the policy agenda he lays out ... as for the political campaign it sets for the next nine months," the RNC's Kukowski said. "Perhaps that's why he will travel to Iowa, Arizona, Nevada, Colorado and Michigan, all potentially swing states in the election."

The White House brushes aside that criticism and redirects attention to the president's primary goal of fixing the economy and creating jobs.

Top aides insist that despite predictions of more gridlock, there's no reason proposals that will be detailed in the State of the Union address can't find bipartisan support.

And while some of last year's promises went unmet, Tuesday night's address will be no less ambitious.

"You shouldn't trim your sails because of that," Carney said.

CNN's Alex Mooney contributed to this report.

@highlight

White House admits some plans announced last year haven't been carried out

@highlight

President rejects idea "nothing can get done in an election year," White House says

@highlight

Some plans are likely dead on arrival in Congress, Republican National Committee says