(Mashable) -- At Wednesday's announcement of Google's +1, the company was coy about comparing its experimental product to the longstanding Facebook Like button. But in the two companies' ongoing battle for ad dollars, +1 is a clear shot across Facebook's bow.

Let's follow the money for a moment. Both companies get most of their revenue from advertising. They pitch their ad services based on their ability to serve highly targeted ads that get good results for brands and businesses. They are able to target ads based on the data they gather about users.

But here's the main difference: Facebook gathers data based on user-submitted profile information. Google has to rely on roundabout ways to get data for ad targeting. And some of those methods, including cookies that track browsing behavior, are coming under fire from citizens and governments.

As you can see from the chart below, Google has a lot to worry about when it comes to competing with Facebook for ad dollars. Google commands 12.6% of the annual $10.1 billion U.S. online ad spend; Facebook trumps that figure by nine full percentage points.

New user acquisition

Google's +1 buttons will soon appear in Google Search, one of the most widely used services on the Internet. And clicking them will require the user to have a Google profile.

As Google's Manager of Global Communications Jim Prosser told us in an email, "We think it's important for users to know who they are seeing +12 s from, which is why we have the upgrade or creation of a Google profile as part of the flow of a user's first +1."

Facebook profiles are more or less de rigeur for anyone with an Internet connection. Meanwhile, Google Profiles -- and most of Google's other social products, such as Hotpot and Buzz --have mostly remained in the rarefied domain of the digerati.

Making a Google Profile a requirement for those addictive little +1 buttons is a smart move on Google's part. It may not match Facebook's 500 million-strong membership when the feature rolls out to all users, but it has a good shot at vastly increasing levels of profile adoption.

Facebook's critical mass of users has been one of the things that's allowed it to succeed in capturing more ad spend that Google. Even though it is a closed, unsearchable system, Facebook has the sheer number of users and amount of behavioral and demographic data to sweep up ad dollars no matter what.

Data gathering for ad targeting

If Google's +1 does lead to a larger number of Google Profiles, Google will have even more personal and demographic data than it currently does about web users.

Right now, Facebook has the ability to offer extremely highly targeted ads because of the kinds of data it gathers about its users. It knows whether you're single or not, it knows your gender and sexual orientation, where you work, where you live and a great deal more. Advertisers are very excited about being able to narrow their campaigns' scope by such finely tuned variables.

If Google could get more profiles, it could increase the accuracy of its targeting beyond keywords and browsing data, potentially matching Facebook's level of personal relevance. With the push toward Do Not Track features, including a new privacy bill introduced in the U.S. Congress, who knows how long cookie-based browsing-data gathering will last?

In short, Google needs other ways to gather data to target ads, and it needs huge amounts of this data very quickly. What better way to do this than by introducing a compelling search product with a social prerequisite?

Whether better-targeted ads from Google will positively impact clickthrough rates and inspire further advertiser confidence remains to be seen. Currently, clickthrough rates for Google AdSense and AdWords campaigns vary widely, with around 30% of advertisers in a SearchEngineRoundtable survey reporting rates of 1% or less. Facebook ads might be underperforming the industry standard of 1%, as well.

Socially driven recommendation engines

Facebook Likes are already recognized by brands and businesses as a measurable marketing tool, and Facebook itself has been embraced as a legitimate marketing platform. Likes can act as a social recommendation engine between friends, and these recommendations count a lot when it comes to making purchase decisions.

In fact, in a recent survey from Nielsen, 90% of respondents said they had some degree of trust in a recommendation from a friend or family member. Those recommendations count more than consumer reviews or branded websites. In other words, a Facebook Like could count for more than a banner ad when it comes to moving product -- and the Like is free media.

Once Google has its +1 wheels in motion, the feature stands to become a social recommendation engine, as well, but a more targeted one. On Facebook, you see Likes for brands, photos, and posts that have nothing to do with you. But on Google, you see personal recommendations for products and places you're actively seeking out. It's a powerful concept, and advertisers will surely want to optimize for that situation.

Prosser notes, "While we can't speak to what other products are doing, we think there's a great deal of value in surfacing personal recommendations and endorsements where they're most valuable, in search ... We've really focused on relevance. When you +1 something, you know your friends will find it in search, but you won't be pushing a notification to everyone."

As DeepFocus CEO Ian Schafer told us Wednesday, "When someone is searching for a piece of information about a product, a review, or insightful commentary, it is typically a very insular activity," says Schafer. "But being able to place a 'seal of approval' next to a search result may have the effect of making a typically insular activity more collaborative -- hopefully improving the 'algorithm' through the quality of your connections."

Search algorithms

The other interesting piece of the puzzle is the SEO question. Google came at search in the 1990s with an algorithmic approach that put it head and shoulders above contemporary UGC engines.

Now, it's turning back the clock and allowing user feedback to drive search results once again. Does this mean algorithmic web search has failed? Will user-driven search data be just as gaming-prone as algorithms are?

Google communications manager Jake Hubert wrote to us in an email, "We rely on a fundamentally algorithmic approach to search quality because this is the most scalable way to answer more than a billion search queries each day, many of which we've never seen before, in more than a hundred languages. Google's algorithm is constantly evolving and improving. For example, in 2010 alone we experimented with more than 6,000 changes and launched 490.

"Google will study the clicks on +1 buttons as another ranking signal. As with any new ranking signal, we'll be starting carefully and learning how the signal is related to quality."

As users begin to see these +1s from friends and others as recommendations in search results, the results will likely become more personalized and hopefully more relevant. And when it comes to search, Facebook Likes -- an unindexed piece of data in a closed network -- don't count for a hill of beans.

Who will win the war?

Which company will end up with the most users, the most data, the best targeting and the most profit? The answer to that question largely depends on whether +1 can successfully change the game, whether this innocuous little button is actually Google's first killer social product.

But regardless, online ad spend is hardly a zero sum game, and both of these companies are setting themselves up for a long-term, multilateral tug of war to capture as much of that market as possible.

© 2010 MASHABLE.com. All rights reserved.

@highlight

Google's +1 buttons will be in Google Search; clicking them will require a Google profile

@highlight

Google commands 12.6% of the annual $10.1 billion in U.S. online ad spending

@highlight

If Google get more people to create profiles, it could increase the accuracy of its targeting