Jerusalem (CNN) -- Israeli government ministers Wednesday overwhelmingly approved a temporary freeze on settlement construction in the West Bank in an effort to restart peace talks with the Palestinians.

The Security Cabinet voted 11-2 in favor of the measure which calls for a 10-month freeze on new building permits and the construction of new residential buildings in the West Bank.

Israeli Prime Minister Benjamin Netanyahu called it "a very big step toward peace" and said he hoped the Palestinians would "take full advantage" of the opportunity to restart talks during the 10-month window.

"I hope the Palestinians and the Arab world will work with us to forge a new beginning... for our children and for theirs," he said.

In Washington, the top U.S. envoy for the region, George Mitchell, said he hoped to use the time to begin negotiations on permanent status issues, which include security for Israelis and Palestinians, borders, refugees and the status of Jerusalem.

"My personal and fervent wish is that we will, during this process at some point, have a resolution of borders so there will no longer be any question about settlement construction," Mitchell told reporters.

"It falls short of a full settlement freeze, but it is more than any Israeli government has done before, and can help move toward agreement between the parties," Mitchell told a briefing at the State Department. He said he plans to return soon to the region.

Mitchell shrugged off a suggestion he might be discouraged after more than 10 months of failing to relaunch peace talks between Israelis and Palestinians.

"You can't take as final the first 'no,' the second 'no' or even the hundredth 'no,' " said Mitchell, who helped negotiate a peace agreement in Northern Ireland and was awarded the Presidential Medal of Freedom. "You can't get discouraged by setbacks and you can't be deterred by criticism. You have to be patient, persevering and determined."

Mitchell also released a statement from Secretary of State Hillary Clinton, which said the announcement helps move the issue forward.

"We believe that through good-faith negotiations the parties can mutually agree on an outcome which ends the conflict and reconciles the Palestinian goal of an independent and viable state based on the 1967 lines, with agreed swaps, and the Israeli goal of a Jewish state with secure and recognized borders that reflect subsequent developments and meet Israeli security requirements," the Clinton statement said.

"Let me say to all the people of the region and world: our commitment to achieving a solution with two states living side by side in peace and security is unwavering," the Clinton statement added.

Former British Prime Minister Tony Blair, a representative of the Middle East Diplomatic Quartet made up of the European Union, the United States, the Russian Federation and the United Nations, called the announcement "an important step towards creating the possibility for serious and credible negotiations for a two-state solution.

"The key, as I have said consistently, is to combine a credible political negotiation with real change on the ground, in institution-building, security performance and economic development," Blair said.

But Danny Danon, a member of the Knesset from Netanyahu's Likud Party and chairman of the Settlers Council, opposed the announcement. "If the prime minister will implement the ideology of the left, he will not get the support of his own party," he said.

"All the things he wrote in his books, said in his speeches, he so eloquently preached for, he does exactly the opposite," said Danon, calling the move a "disappointment."

Palestinian Prime Minister Salam Fayyad said the proposed temporary freeze would be inadequate: "The exclusion of Jerusalem is a very serious problem for us," he told reporters on Wednesday.

Palestinian officials, including Fayyad, have called on Israel to freeze construction in Jerusalem as well. The Palestinians want Jerusalem to be the capital of a Palestinian state.

In recent weeks, Netanyahu and other members of his cabinet have made clear that a construction freeze would not be implemented in predominantly Arab East Jerusalem. Israel views Jerusalem as a separate issue to be hammered out in final status talks with the Palestinians.

The measure would not affect buildings already under construction for the existing Jewish residents in the West Bank, Netanyahu said. Construction of public building would also continue, government officials have said.

The Israeli government is under tremendous pressure -- particularly from its ally, the United States -- to halt settlement construction in the Palestinian territory of the West Bank.

Continued construction has been a key stumbling block in restarting Israeli-Palestinian peace talks.

The Israeli Security Cabinet is a subset of the larger Israeli Cabinet. It has historically been used by prime ministers to approve quick action on defense and diplomatic matters.

CNN's Michael Zippori and Kevin Flower contributed to this report.

@highlight

Security Cabinet voted 11-2 in favor of the measure which calls for a 10-month freeze

@highlight

Israel under pressure -- particularly from United States -- to halt settlement construction

@highlight

Continued construction a key stumbling block in restarting Israeli-Palestinian peace talks

@highlight

Palestinian PM Salam Fayyad said proposed freeze would be inadequate