Gauteng, South Africa (CNN)"I was in a position to see exactly what happens in the human hand. I got the basics of what it's all about and thought yeah, I'll make my own."

Richard van As is recalling the moment in May 2011 when he sat in a Johannesburg hospital waiting to hear if his fingers could be stitched back on. Just an hour earlier, he had been in his carpentry workshop sawing wood when the saw slipped and ripped diagonally through the four fingers on his right hand. "It all happened too quickly to know what actually happened," he remembers.

Rather than fear the outcome, or dwell on the repercussions of losing his fingers, he was already thinking of ways to fix the problem, like a true carpenter.

After days of scouring the Internet he couldn't find anywhere to buy a functional prosthetic finger and he was astonished at the cost of prosthetic hands and limbs which began in the tens of thousands of dollars. But his online surfing paid off as it brought him to an amateur video posted by a mechanical effects artist in Washington State, by the name of Ivan Owen.

Together, the pair developed a mechanical finger for van As, but their partnership has also gone on to benefit countless hand and arm amputees around the globe, through the birth of the company "Robohand."

Officially launched in January 2012, Robohand creates affordable mechanical prosthetics through the use of 3D printers. Not only that, but it has made its designs open source, so that anyone with access to such printers can print out fingers, hands and now arms as well.

Printing prosthetics

Using the process of additive manufacture, the specialized printers use the thermoplastic material Polylactide (PLA) to print body parts such as knuckles and joints, which when combined with stainless steel and aluminum produce a personalized prosthetic which customers can assemble and fit themselves courtesy of a free open-source manual available to them.

Within five minutes of getting it fitted, people can actually use it," explains Leonard Nel, the communications manager in the team. "It's anatomically driven by the wrist, elbow, or shoulder once fitted," he adds -- meaning its movements are controlled by the user.

The first Robohand ever created was made for five-year-old Liam, from South Africa, who was born with amniotic band syndrome (ABS), which left him with no fingers on his right hand. Within minutes of fitting his newly printed mechanical hand Liam beamed excitedly and expressed how he could now "pick up stuff," describing its movement by saying: "it copies me."

"They all have their special moment," says Nel.

Van As drives the whole process on simplicity, voicing his desire to remove unnecessary red tape and cost when providing people with something as essential as a limb. A full adult hand costs as little as $2,000, takes five and a half hours to print and approximately 10-15 hours to assemble.

Ordering a prosthetic is also quite simple. Customers are sent measurement forms to complete and send those in combination with 3-D scans of their hands for translation into the software, which will print out the parts for their desired prosthetic. Where 3-D scans aren't feasible, hard molds can instead be made and shipped to the team in South Africa.

The simplicity of the ordering process has led to demand outstripping what Robohand can supply, with requests for limbs coming from almost every country around the globe. There is now an eight-month waiting list when orders are placed.

"I know of only three countries that haven't had a hand yet," says van As. "To make sure everyone can have access we essentially steal from the rich and give to the poor. Those who can afford it pay, and those that can't we find a way for someone to pay it for them."

Because Robohand's manuals and 3-D printable files are available online, others are also using its designs to print prosthetics. "We stopped counting at 200 hands that were made back in November 2013," says van As. "But we can see there have now been over 143,000 downloads of the software. People all over the world are doing this without us. We don't even know of them all."

Paying it forward

The majority of its customers are in the United States, where most customers can afford its relatively low prices, so van As is able to subsidize prosthetics for those who are more disadvantaged.

"We had Dylan Laas in L.A. who received a Robohand and when his dad saw the impact he paid for Waldo, another person on our waiting list, to receive one as well," says van As.

Waldo was also born with ABS, like Liam, leaving him no fingers on his right hand, and van As was able to fit him with a working hand too.

"It's all about paying it forward as people want to help," says van As.

Robohand is growing and the team plans on expanding past the fingers and arms currently on offer. "Our next step is to print whole legs for people to use and walk on," explains van As. But it doesn't stop there. "Then if we make that work, the goal is entire exoskeletons, for paraplegics to be able to walk again."

@highlight

Robohand makes cheap artificial hands and arms using 3-D printers

@highlight

Founder Richard van As lost four fingers in a carpentry accident

@highlight

Robohand's designs are open source so others can download and print them