(CNN) -- From Alcatraz and the Birdman to Old Melbourne Gaol where Ned Kelly was hanged, from Robben Island in Capetown where Nelson Mandela was incarcerated to Kilmainham Gaol in Dublin where the leaders of the Easter Uprising were executed, decommissioned prisons and their sinister histories have become intriguing destinations for travelers.

1. Alcatraz, United States

Spanish explorer Juan Manuel de Ayala named it Isla de los Alcatraces (Isle of the Pelicans), which might suggest something of a modern pleasure resort.

Think again.

As the watchtower comes into view we're reminded that this was the grim maximum security prison of Alcatraz.

Inmates included mob czar Al Capone, bank robber George "Machine Gun" Kelly and Robert Stroud, "The Birdman" of Hollywood movie fame.

Visitors can listen to the audio tour while inspecting the cells or in the deserted exercise yard and learn about the Indian occupation from 1969-71, carried out in part to press their land claims.

To enhance the experience, you can research beforehand.

What was it like? Former inmate, the late Jim Quillen, said it all:

"You were a number, you weren't a name. I wasn't Jim Quillen. Hell, I was Number 586, and nobody wanted that."

San Francisco Bay; www.alcatrazcruises.com

2. Old Melbourne Gaol, Australia

Built in the mid-1800s when the Victorian gold rushes created a crime surge, Old Melbourne Gaol held petty offenders, homeless people and the mentally ill as well as dangerous criminals.

It saw 133 executions. The most famous was the bushranger Ned Kelly, hanged in 1880 for the murders of three police officers. One of his death masks is on display here.

Though closed as a prison in 1929, it wasn't until 1972 that the site was taken over by the National Trust.

Visitors can now take self-guided tours to see what prison life was like or go on organized ghost tours for a different perspective.

377 Russell St., Melbourne; www.oldmelbournegaol.com.au

Also on CNN: 15 macabre crime-inspired tours

3. Devil's Island, French Guiana

Off the coast of French Guiana in South America, the Îles du Salut island group was an infamous French penal colony from 1852 to 1953.

Excursions may go only to Île Royale, where wardens and staff lived, which has some prison cells and now a hotel and restaurant.

But the Journey Latin America tour includes a Zodiac ride to Île Saint-Joseph, to see the solitary confinement cells, now encroached upon by jungle.

The third island is the one actually called Île du Diable, or in English -- Devil's Island. Political prisoner, Captain Alfred Dreyfus, was kept here and the island was the subject of the escape tale, Papillon.

Surrounded by shark-infested waters and strong cross-currents, landing on the legendary island is no longer permitted, though it's clearly seen only 200 meters away from Île Royale.

By boat, 15 kilometers north of Kourou, French Guiana; Tours: longer and local day tours

4. Oxford Castle, England

Built in 1071 by a Norman baron, Oxford Castle was used by King Charles as a prison for rebel Parliamentarians in the English Civil War. After serving as a prison for hundreds of years, it ceased that role in 1996.

In 2004, the site was redeveloped to include flats, restaurants, an art gallery and more, but key parts of the prison were preserved.

Now "Oxford Castle -- Unlocked" offers guided tours that let visitors experience the austere 18th-century Debtors' Tower and Prison D-wing, feel the oppressive atmosphere of the 900-year-old underground Crypt and climb the Saxon St. George's Tower for 360-degree views over the historic city of Oxford.

44 New Road, Oxford; www.oxfordcastleunlocked.co.uk

5. Horsens State Prison, Denmark

After 153 years the gates of Horsens State Prison slammed shut for the last time in 2006. The foundation FÆNGSLET now runs the cultural institution in these imposing buildings, which house the Prison Museum and various conference and business facilities.

There are even large concerts here during the year.

On a tour of the prison, visitors hear stories of former inmates like Jens Nielsen, who so hated being incarcerated that he tried three times to kill a warden and get the death penalty. His execution in 1892 was to be Denmark's last, with the executioner chopping off Nielsen's head at a single blow. The axe is still here for all to see.

Fængslet, Fussingsvej 8, DK-8700 Horsens; www.faengslet.dk

6. Eastern State Penitentiary, United States

From its opening in 1829, Eastern State Penitentiary in Philadelphia was controversial for its system of total solitary confinement.

After his visit in 1842 Charles Dickens wrote: "The System is rigid, strict and hopeless ... and I believe it to be cruel and wrong."

Closed in 1970, the prison has become a major tourist attraction. Unlike the first tours in 1994, when visitors wore hard hats, there's now an audio tour narrated by actor Steve Buscemi that lets the curious explore behind the grim, castle-like walls, listening to former guards and inmates describe life at Eastern State.

And at night? Terror Behind the Walls is one totally haunted attraction.

2027 Fairmount Ave., Philadelphia; www.easternstate.org

7. Kilmainham Gaol, Ireland

When it opened in 1796, Dublin's Kilmainham Gaol functioned as the county prison and for much of its time housed common prisoners, including 4,000 thereafter transported to Australia.

But the place became a symbol of Irish nationalism because so many who rebelled against British rule were imprisoned and executed here, including those involved in the uprisings and wars of 1916, 1919-21 and 1922-24. The last man to walk free when it was decommissioned as a prison in 1924, Eamon de Valera, went on to become Prime Minister of Ireland.

Guided tours are available and include an audio-visual show. A major exhibition details the political and penal history of the prison and its restoration.

Inchicore Road, Kilmainham, Dublin 8; www.heritageireland.ie

Also on CNN: Insider Guide: Best of Dublin

8. Port Arthur, Australia

The UNESCO World Heritage listed Port Arthur Historic Site is where a colonial prison settlement operated on the island of Tasmania from 1830 till 1877. The ruined buildings are reminders of the harsh life convicts faced.

This is, however, one prison where the dead are central to the tourist experience. Boat tours go out to the Isle of the Dead, where only 180 of the 1646 graves recorded to exist are marked, those being prison staff and military personnel.

Lantern-lit ghost tours have long been popular, but more recently another dimension has been added, with the scientifically run, adults-only Paranormal Investigation Experience using professional test equipment to try and detect the presence of ghosts and other paranormal activity.

Arthur Highway, Port Arthur, Tasmania; www.portarthur.org.au

9. Hostel Celica, Slovenia, and others

While refurbishment has changed the dread appearance of some one-time prisons, it's created a quirky accommodation option -- spend a night in the cells! The former military prison in Ljubljana, Slovenia, for instance, has morphed into the colorful Hostel Celica, where 20 former cells have been revamped by artists into unique digs for travelers.

Similarly, Hostelling International has two hostels located in renovated prisons, enabling guests to explore the history of the building and also stay in a cell -- but with a key.

In Sweden Langholmen Hostel is located in the former Crown Remand Prison, while in Canada the Carleton County Jail is now the Ottawa Jail Hostel.

Hostel Celica, Metelkova 8, 1000 Ljubljana, Slovenia; +386 1 230 9700; www.hostelcelica.com

Langholmen Hostel, Långholmsmuren 20 Kronohäktet 11733 Stockholm; +46 8 720 8500

Ottawa Jail Hostel, 75 Nicholas St., K1N 7B9 Ottawa; +1 613 235 2595

10. Robben Island, South Africa

Off the coast from Cape Town, Robben Island's time as a maximum security prison meant that its infamy was assured.

Political prisoners, especially anti-apartheid campaigners, were sent to Robben Island, the most famous being Nelson Mandela, who spent 18 of his 27 years of imprisonment there.

He described it as "without question the harshest, most iron-fisted outpost of the South African penal system." Mandela went on to become president of a democratic South Africa.

Robben Island is World Heritage listed because it bears witness to "the triumph of democracy and freedom over oppression and racism."

The standard tour to Robben Island is three and a half hours long, including the ferry rides, and is guided by a former political prisoner.

Robben Island, via the V & A Waterfront in Cape Town; www.robben-island.org.za

Also on CNN: TripAdvisor awards: What's the world's best destination?

@highlight

Listen to former inmates discuss life in Alcatraz

@highlight

The 11th-century prison in Oxford Castle, England, held political rebels

@highlight

Outlaw Ned Kelly's death mask is on display in Old Melbourne Gaol, Australia

@highlight

Some former prisons, such as Hostel Celica, Sweden, now converted into hotels