(Mother Nature Network) -- Cobblestone streets, sidewalk cafes and public art have helped Quebec City earn the moniker, "Paris without the jetlag." The thriving urban agriculture scene, local boutiques and restaurants, electric buses and green hotels should inspire a new nickname: "Europe without the carbon footprint."

Quebec City is one of the oldest cities in North America. Situated on the banks of the St. Lawrence River, it was founded in 1608 as one of the first significant settlements in Canada. The Historic District of Old Quebec -- an area of cobblestone streets, picturesque churches and upscale shops -- was declared a UNESCO World Heritage Site in 1985.

Once dubbed "The Most Sustainable City in Canada," Quebec City has undertaken numerous green initiatives, including a citywide composting program to reduce waste that was launched in 2010. The city's two major festivals -- Festival d'été de Québec (Summer Festival) and Carnaval de Québec (winter carnival) have made commitments to the environment that include onsite recycling and composting, reusing construction material from past installations and choosing sites that are accessible by bicycle and public transportation. These efforts have helped put the French-speaking city on the map as a historic and eco-friendly destination.

Experience 'la ville verte' (the green city)

Quebec City is a walkable destination and it's possible to explore most of the major tourist sites on foot. For longer distances -- or to avoid the steep steps between Upper Town and Lower Town -- hop on one of the electric minibuses. Introduced in 2008, the minibuses are smaller than conventional buses, making it easier to navigate the narrow roads in the historic districts.

Rent a bike at Cyclo Services and use pedal power to see the city. There are almost 250 miles of bike baths winding through the city.

Outdoor fun on Lake Superior's North Shore

Sleep green

The Chateau Frontenac sits on the cliff of Cap-aux-Diamants overlooking the St. Lawrence River. Its castle-like appearance has earned the 618-room hotel a Guinness World Record for "Most Photographed Hotel in the World."

The Chateau Frontenac has also earned accolades for its commitment to the environment. The Hotel Association of Canada awarded the hotel a four Green Key rating for green initiatives that include recycling kitchen grease and donating used household goods to local charities. Overnight guests driving hybrid vehicles can take advantage of free parking at the hotel.

Not a guest? The hotel is still worth a visit. Sign up for a historic guided tour. Led by costumed interpreters, the tours offer a glimpse into the history and majesty of the historic property.

Tree hotels: A youthful escape, revisited

A former Holiday Inn, Hotel Pur has been transformed into a modern boutique hotel complete with green cleaning products, comprehensive recycling and composting programs, furnishings made from recycled materials and restaurant/room service meals made with ingredients from local producers. For the best views, request a room overlooking the neo-Gothic St. Roch church.

In honor of its commitment to the environment, L'Hôtel du Vieux Quebec became the first hotel in the province to earn the Award of Excellence for Energy and Environment from the Hotel Association of Canada. The 45-room hotel was built in 1774 and has served as a convent, tavern and apartment building before becoming the only carbon neutral hotel in Quebec City.

Catalina Island: A world away from L.A.

See green

Quebec City boasts an impressive number of parks and green spaces. The largest is the Plains of Abraham, a 235-acre park that's home to an arboretum, formal garden, hiking/biking trails and exhibits that highlight the park's history.

The Museum of Civilization offers a series of rotating exhibits that explore environmental issues. The permanent exhibit, Earth Unveiled, is an interactive look at the planet. The museum also has a green roof that's open to the public.

Buy green

Quebec is proud of its heritage and nowhere is this more apparent than in the boutiques along Le Petit Champlain Quarter, a pedestrian street in Old Quebec that's reputed to be the oldest commercial district in North America. The district is operated as a co-op with merchants and artists owning most of the buildings. The shops that line the narrow cobblestone streets are the best places to find goods produced in Quebec, from oil paintings and woodcarvings to jewelry and pottery.

Even the liquor store -- called Société des alcools du Québec or SAQ -- has jumped on the "buy local" bandwagon. The location adjacent to the Chateau Frontenac stocks more than 250 local brands from iced apple cider and maple syrup liqueur to caribou, a potent mix of brandy, vodka and sherry.

7 tips for lighter luggage

Eat and drink green

Quebec City is known for poutine, a combination of French fries, gravy and cheese curds. The local fast food chain, Chez AshTon, is a great place to indulge in the artery-clogging dish. AshTon uses locally made cheese curds and potatoes grown on Isle d'Orleans, giving their poutine local flair.

At Panache, the menu changes with the seasons. Chef François Blais creates upscale French-Canadian cuisine using local ingredients such as bison, rabbit, quail and clams that led to Panache being named Best New Restaurant. The restaurant is located in a former maritime warehouse that boasts exposed beams and stone walls that were original to the building in the 1800s.

Across the St. Lawrence River and less than 20 minutes from Quebec City, Ile d'Orléans is an agri-tourism haven. Nicknamed the "Garden of Quebec," the island is just 20 miles long and boasts a dizzying array of food producers. Stop at Cidrerie Verger Bilodeau to sip iced cider, a regional favorite made from the juices of frozen apples; see how maple syrup is made at Cabane à sucre l'En-Tailleur; and taste the artisanal cheeses at Les Fromages de l'isle d'Orléans, which are made using techniques that date back to the 17th century.

Jodi Helmer is the author of "The Green Year: 365 Small Things You Can Do to Make a Big Difference."

© Copyright 2010 Mother Nature Network

@highlight

Quebec City's historic charm has earned the city the moniker "Paris without the jetlag"

@highlight

The eco-friendly city could be called "Europe without the carbon footprint"

@highlight

Hotels and restaurants have worked to offer local, sustainable products