(CNN) -- The World Health Organization on Monday raised its pandemic alert level in response to the outbreak of swine flu that originated in Mexico.

A man wearing a protective mask reads a newspaper Sunday outside a hospital in Mexico City.

The move from level three to level four on the WHO's six-level threat scale means the world body has determined the virus is capable of significant human-to-human transmission -- a major step toward a flu pandemic, said Dr. Keiji Fukuda, the agency's assistant director-general.

A pandemic is not considered "inevitable," Fukuda said. But U.S. Homeland Security Secretary Janet Napolitano said the move "does indicate that we have a serious outbreak of swine flu on our hands."

The World Health Organization confirmed 73 cases of swine flu Monday, but health officials in Scotland, California and Texas confirmed nine more, bringing the worldwide total to 82.

The total includes 40 cases in the United States, confirmed by the Centers for Disease Control.

Health officials in California confirmed four additional cases and three more in Texas, but those were not immediately added to the CDC's total.

Including the new cases in California and Texas, officials have confirmed 11 cases in California, five in Texas, two in Kansas, one in Ohio and 28 in New York.

The WHO confirmed 26 cases in Mexico, six in Canada, and one in Spain. Scottish Health Minister Nicola Sturgeon said two cases of swine flu have been confirmed in that country. Both patients are "recovering well," she said at a news conference in Edinburgh.

The total was expected to rise as more cases are confirmed, especially in Mexico, where as many as 149 deaths are thought to have been caused by the virus, the country's health secretary said.

"Sadly, 149 people have died, of which we are working to confirm if they are linked to the swine flu," Mexico Health Secretary Jose Angel Cordova Villalobos said.

The U.S. government is urging travelers to avoid nonessential travel to Mexico because of the swine flu outbreak, and it has started distributing antiviral medications from its strategic stockpile in response to the outbreak, Napolitano said.

The confirmed cases in the United States have been mild so far but, "Scientists can't tell us right now why this is presenting so severely in Mexico City and not as severely up here," she said.

Dr. Richard Besser, acting director of the Centers for Disease Control and Prevention, said of the 40 U.S. cases, only one has been hospitalized, and all have recovered.

New York Mayor Michael Bloomberg said Monday 28 cases have been confirmed at St. Francis Preparatory School in Queens. More than 100 students at the school were out with flu-like symptoms last week.

Bloomberg and New York City Health Commissioner Tom Frieden said all of the students who were ill had mild symptoms and none had been hospitalized.

The school is remaining closed through Tuesday.

"This remains an isolated incident," Bloomberg said at a news conference. "There is no reason for anyone outside of the St. Francis community to stay home or alter their routine."

"The city is safe and open for business," he said, adding that "for the general public, masks are simply not needed."

The outbreak is a particular concern because of who it is hitting hard, United Nations Secretary-General Ban Ki-moon said Monday.

"We are concerned that in Mexico, most of those who died were young and healthy adults," he said.  Watch Mexican officials discuss flu plan »

The median age of all the U.S. cases is 16 years, Besser said.

Officials in North Carolina and South Carolina are also testing suspected cases, including 22 suspected cases from a South Carolina school's spring break trip to Cancun, Mexico. Officials said results from those tests are expected Tuesday.

President Obama said Monday that the swine flu outbreak is a "cause for concern and requires a heightened state of alert," but is not a "cause for alarm."

He added that the federal government is closely monitoring emerging cases and had declared a public health emergency as a "precautionary tool to ensure that we have the resources we need at our disposal to respond quickly and effectively."  Watch bloggers discuss U.S. response »

Meanwhile, Andorra Vassiliou, the European Union's health commissioner, on Monday urged people "to avoid nonessential travel to the areas which are reported to be in the center of the clusters" of a swine flu outbreak.

The EU later said that Vassiliou's remarks were her personal comments and that travel advisories can be issued only by member states and not by the EU itself.

Swine influenza, or flu, is a contagious respiratory disease that affects pigs. It is caused by a type-A influenza virus. Outbreaks in pigs occur year-round. The current strain is a new variation of an H1N1 virus, which is a mix of human and animal versions.

When the flu spreads person-to-person, instead of from animals to humans, it can continue to mutate, making it harder to treat or fight, because people have no natural immunity.

The symptoms are similar to the common flu. They include fever, lethargy, lack of appetite, coughing, runny nose, sore throat, nausea, vomiting and diarrhea.  Learn more about swine flu and how to treat it »

The virus spreads when an infected person coughs or sneezes around another person. People can become infected by touching something with the flu virus on it and then touching their mouth, nose or eyes.

The WHO has called the outbreak a "public health emergency of international concern."

Researchers are trying to determine how easily it can jump from person to person. Fukuda, the WHO's assistant director-general, said it was too early to predict whether there will be a mild or serious pandemic.

In Mexico, authorities closed all schools until at least May 6. Officials are considering whether to suspend other public activities but are analyzing what economic effects could result, Health Secretary Cordova said.

Military troops distributed 4 million filter masks in Mexico City, which has 20 million residents.  Watch CNN's Dr. Sanjay Gupta on the outbreak in Mexico »

In Washington, the government Sunday declared a public health emergency -- a step Napolitano said, "sounds more severe that really it is."

"This is standard operating procedure and allows us to free up federal state and local agencies and their resources for prevention and mitigation," she said.

Meanwhile, Israel and New Zealand were investigating unconfirmed cases of swine flu.

Concerns about the virus prompted Canada to issue a travel health notice, and South Korea to say it will test airline passengers arriving from the United States.

In New Zealand, officials said 22 students and three teachers, who returned from a three-week language trip to Mexico, might have been infected. The group remains quarantined at home, and Health Minister Tony Ryall said 10 students tested positive for influenza A -- the general category of strains that includes the H1N1 swine flu.

In Spain, six people -- all recently returned from Mexico -- were being isolated in hospitals, the country's Health Ministry said. Lab tests confirmed that one of the people had tested positive. In Israel, doctors are running tests on a man who recently returned from Mexico with light flu symptoms. iReport.com: Do you think we should be worried about swine flu?

In 1968, a "Hong Kong" flu pandemic killed about 1 million people worldwide. In 1918, a "Spanish" flu pandemic killed as many as 100 million people.

CNN's Sanjay Gupta, Ariel Crespo, Ted Rowlands, Al Goodman and Jeanne Meserve contributed to this report.

@highlight

NEW: Eighty-two cases of swine flu confirmed by health officials worldwide

@highlight

U.S. urges travelers to avoid nonessential travel to Mexico

@highlight

Mexico health official: As many as 149 deaths may be from swine flu

@highlight

Mexico closes all schools until at least May 6