(CNN) -- Major international hotel chains are increasingly rolling out thousands of new rooms in Africa's business hotspots, keen to expand their footprint on the continent's burgeoning economies.

From Lagos and Kigali to Nairobi and Johannesburg, the world's best known hoteliers are targeting Africa's growing urban centers to benefit from a rising number of business travelers and a huge undersupply in available rooms.

"There's a growing demand in those capital cities because they are the centers of business, of government and of commerce -- all of which have hospitality needs," says Patrick Fitzgibbon, senior vice president of development for Hilton Worldwide, Europe and Africa.

"We have a very bullish feel for these markets and we are very excited about the opportunity Africa presents," he adds. "I think that for the next 20 years we are going to have our hands full with opportunity."

'World woken up to Africa'

Last month, the International Monetary Fund said that sub-Saharan Africa's economy is expected to expand by 5.6% in 2013 and 6.1% next year, outpacing the global average of 3.3% and 4% in accordance.

Andrew McLachlan, Carlson Rezidor Vice President for Africa and Indian Ocean Islands, says it is Africa's potential to offset the sluggishness in more developed markets that's appealing to global players.

"What has really happened is that post the economic crash in 2008/2009, the rest of the world has really woken up to Africa," says McLachlan.

"There's been such good news coming out of Africa from a GDP growth point of view; better telecommunications; improved security; political stability; and improved airlift," he adds. "It's really become a sort of new scramble back into Africa."

Read this: Drug makers eye Africa's potential

Meanwhile, international tourism arrivals in the continent grew by 6% last year to reach a record 52 million, according to data by the World Tourism Organization.

And whilst both international and intra-regional travel are on the up, partly thanks to Africa's natural resources boom, a shortage of rooms is prompting hoteliers to turn their attention to a continent ignored for decades.

Business travel

According to a recent survey by Lagos-based consultancy W Hospitality Group, some 40,000 new rooms in 207 hotels are planned in the continent's under-served cities, up almost one third compared to 2011.

Hilton, which operates nearly 11,000 rooms in 37 properties in Africa, says it has some 5,200 rooms and 17 hotels in the pipeline across the continent. Carlson Rezidor, which recently opened a Radisson Blu in Port Harcourt, its eighth hotel in Nigeria and 49th in the continent, is targeting 12 new hotel deals this year. French group Accor, owner of the Novotel and Ibis brands, has some 5,000 rooms in the pipeline, according to the W Hospitality survey.

"The vast majority of those hotels are business-oriented," explains Trevor Ward, managing director of W Hospitality. "If you look at where those hotel chains are primarily going, it's the capital cities or the major commercial cities of Africa where the business traveler is going," he adds.

Yet, it's not only the brands at the higher ends of the market that are keen to tap Africa's promise. In late March, pan-African conglomerate Lonrho teamed up with Stelios Haji-Ioannou's easyGroup to open their first Africa-based low budget hotel in Johannesburg's central business district.

Read this: Low-cost airline in Africa by easyJet founder

Ewan Cameron, chief executive of Lonrho Hotels, says the company plans to roll out 50 easyHotel units by 2016 in the continent's high-growth destinations to cater to the needs of African business travelers.

"What's driving us is genuine trade and business in the continent," explains Cameron. "If you're going to a city center like Nairobi, we want to be where the taxi rank is; where the market is -- unlike the competition who want to be, if you like, in the beautiful parts of the city," he adds. "We will sacrifice this for economic drivers -- we want the trade and we want to be where you want to do business."

'Real challenges'

Still, international hoteliers have to overcome several infrastructure and logistics obstacles in their bid to plant their flags across the continent.

Cameron says hotels often have to be self-sustained, depending on satellite connectivity for fast wi-fi and generators for back up power, as well as having to provide their own clean water. "These are real challenges for us today," he says.

Analysts also say that companies can face big delays during the construction process due to poor workmanship and a shortage of professional skills. Bureaucracy and corruption can often be a problem too, especially when it comes to importing materials that are not available locally.

Quick returns

Yet, despite these hurdles, hotel groups remain very positive about their future in Africa as the continued rise in demand and undersupply in hotel rooms offer strong occupancy rates and high profitability margins in short periods of time.

"These challenges we face, we quickly forget about them the day the hotel opens," says McLachlan. "Normally, we would say the hotel takes 1,000 days from the day it opens to stabilize but in a lot of these African markets it can take a couple of months to stabilize because of the high demand for hotels."

Fitzgibbon agrees. "It's fascinating when you look at the change and opportunity on the continent and just what it represents," he says.

@highlight

International hotel groups plan 40,000 rooms across Africa, according to a survey

@highlight

Demand is driven by growing numbers of business travelers and lack of rooms

@highlight

Hoteliers' focus is concentrated on Africa's capital cities and major commercial centers

@highlight

Developers face several challenges in the form of bureaucracy, corruption and infrastructure