(CNN)Life on a Civil War ship in the Deep South was no pleasure cruise. Heat, humidity, the rigors of military life and bouts of boredom could frustrate a fella.

So it may be no surprise that among the first artifacts to be brought up from the wreck of the CSS Georgia in Savannah are two sets of leg irons.

"We all know about discipline in the Navy," said Jim Jobling, a project manager with Texas A&M University's Conservation Research Laboratory.  "It is for restricting the mobility of a prisoner who wanted to desert or had committed a crime."

Of course, the leg irons could have been used on a Federal sailor or soldier taken captive. But that didn't occur with the Confederate ironclad. It was scuttled in December 1864, having never fired a shot in anger while it defended the city.

About 400 artifacts have been brought up by divers in the initial stage of the recovery of the CSS Georgia, which must be moved for a deepening of the shipping channel.

"We have scratched the surface as far as the artifacts are concerned. There are a lot more to come up," Jobling told CNN on Thursday.

Texas A&M is working with the U.S. Army Corps of Engineers in Savannah to conserve many of the artifacts for eventual display.

Archaeology isn't just about cool artifacts. It's about making a connection with the humans that used these items.

And while experts haven't gleaned much about the daily life of the crew from the early dives, they have found some items that would have been used by an individual: An ironstone plate commonly used in the South, a musket trigger guard and the butt stock of a gun.

Visibility at the site is practically nonexistent. Divers have to depend on feel to locate and remove smaller items. Much of it is is detritus of the wreck: small iron plates, nails and spikes.

Among the items cataloged since the dives formally began at the end of January are two pieces that helped with the business end of the CSS Georgia: its cannons. Four of the artillery pieces are amid the wreckage about 40 feet down on the floor of the Savannah River.

One iron piece had eyes, or holes, that connected a gun carriage to ropes that the ironclad's crew manipulated to move the gun forward and backward. Another piece, a trunnion cap, helped hold the cannon to the carriage.

Divers and archaeologists are following a timetable and grid in the recovery, with smaller items being brought up by hand. A previous salvage effort and damage from dredging displaced some of the artifacts. Other items remain right where they fell.

"Someone undid the engine, moved it and was dropped" into the depths, said Jobling.

Contract divers are out on the site every day, weather permitting, not more than a couple miles east of the city's famous River Street and waterfront.

The $15 million removal of the CSS Georgia is necessary for the state and federal harbor deepening project, which will see the channel go from 42 to a uniform 47 feet so massive cargo container ships can use the port without relying on the tide.

In June or July, U.S. Navy divers are expected be on site, to bring up the larger pieces: two engines, the propeller, a steam condenser, the four guns and the casemates that housed them. One of the casemates is large: 68 feet by 24 feet.

Four artillery shells will be recovered, with the U.S. Marine Corps to render them safe for museum display.

The wooden lower hull no longer exists.

The CSS Georgia didn't have enough power to maneuver and effectively trade artillery rounds with any enemy vessels that might approach from the Atlantic Ocean. Instead, the vessel became a stationary floating battery, bristling with artillery pieces.

The Yankees refused to take on the CSS Georgia or other nearby defense obstructions.

Archaeologists have the challenge of preserving portions of the CSS Georgia through chemical and other means, making her iron stable so  the remains one day can be displayed. Conservation of selected artifacts and parts will be done at Texas A&M and will take about two years to complete. State and local officials hope conserved pieces will be exhibited somewhere in the city.

Much of the CSS Georgia is corroded, and archaeologists are gauging the integrity of each piece for conservation. But many pieces remain in pretty good shape.

An X-ray of one of the leg irons shows a fair bit of corrosion. Experts will inject epoxy to fill those gaps and remove any concretion on the iron, said Jobling.

Officials need more artifacts and investigation to tell the story of the crew. "Hopefully, there is a section of the wreck that will tell the human side of the CSS Georgia," said Jobling.

While salvage operations soon after the Civil War removed a lot of iron from the site, there's a chance personal items survive, especially if  they are below the sediment line and protected from the ravages of oxygen.

Interestingly, the vessel's crew had to run the main engine constantly, just to keep it afloat. Why?

That's because the CSS Georgia's green wood made it susceptible to leaks.

So on December 21, 1864, just as Union Maj. Gen. William T. Sherman's hordes of soldiers reached Savannah, the ironclad's crew likely opened its water valves. The CSS Georgia silently slipped below the surface.

The sailors used small boats to get to shore and began a 20-mile walk from Savannah.

"They took what they could carry with them," Jobling said.

@highlight

A Civil War ironclad must be moved so the shipping channel can be deepened

@highlight

Wreckage lies a couple miles from Savannah's famous River Street

@highlight

The CSS Georgia never fired a shot in anger during the Civil War