Washington (CNN) -- The names involved in the escalating crisis in Ukraine -- Crimea, Sevastopol, Simferopol -- make it sound far away and far removed from America's allies and its interests. But the tensions there in fact hit very close to home for the United States.

First, Ukraine is not a distant empire but an integral part of Europe. Its capital, Kiev, is just a short flight from cities Americans visit all the time: Rome, Frankfurt, Paris.

And, it is neighbors with some of America's closest allies.

Just along its western border are Poland, Hungary, Slovakia, and Romania. All four are members of NATO and, as a result, the United States is obligated to defend them militarily if they come under threat.

Ukraine is not a NATO member, but there had been discussions in recent years of enhancing ties.

Second, a tug of war is playing out inside Ukraine between East and West.

President Barack Obama has said the Ukraine crisis is not part of "some Cold War chessboard," but Cold War-era divisions are evident on the ground.

Ukraine's east is predominantly ethnic Russian and Russian speaking. The percentage is as high as 75% in the easternmost areas. Ukraine's west, by contrast, is dominated by ethnic Ukrainians. In the westernmost areas, fewer than 5% speak Russian.

Obama: U.S. weighing steps to 'isolate Russia' over Ukraine crisis

Those cultural and historic divisions pull western Ukraine toward the West and Europe, and eastern Ukraine into the arms of Russia.

Now, it is not black and white.

Even in the hotly contested Crimean peninsula, two out of five residents are not Russian. But Ukraine's demographic map displays a clear division, which is now playing out in cities and towns and -- it appears -- even inside military bases.

"To be sure, there is an East-West divide in Ukraine, but I think it's often overstated in the West," said Steven Pifer, a former U.S. ambassador to Ukraine.

"Certainly in the last two decades of Ukraine's independence, that line has blurred a lot," Pifer said. "Bear in mind, in eastern Ukraine, while the majority of the people there may speak Russian, it's still a majority population that are ethnic Ukrainian. The only place in Ukraine where Russians are an ethnic majority is Crimea."

"My sense is that in eastern Ukraine while they might not be wholly comfortable with what has happened in Kiev in the last 10 days, they are not talking about separatism. It's a very big distinction between eastern Ukraine and Crimea.

Third, as Secretary of State John Kerry said Sunday, Russia's military intervention violates international law, the United Nations charter and several post-war military agreements -- all of which designed to keep the peace in Europe following several 20th century wars.

Russia's violation of those agreements calls into question its ability to keep the peace going forward as well as basic principles such as the sanctity of international borders.

Kerry rebukes Russia's 'incredible act of aggression' in move into Ukraine

Russia is claiming that ethnic Russians in Ukraine are calling for Russian help, a claim with little so far to support it on the ground.

And, looking forward, experts note there are many more Russians in, for instance, the Baltic state of Latvia, which, unlike Ukraine, is a NATO ally. What would happen if Russia did the same there?

So what are Russia's interests? Why would it risk so much for a seemingly tiny corner of Ukraine. The answer lies with one of those distant-sounding places mentioned at the start of the piece: Sevastopol.

Crimea caught in a 'war of information'

Sevastopol is home to the base of Russia's Black Sea Fleet. It is Russia's only warm-water port, the only port Russia has that provides access to the Black Sea, the Mediterranean and the Atlantic year-round.

This is an essential tool for projecting Russian military power abroad. When Ukraine's government abruptly shifted from pro-Russian to pro-European following protests in Kiev, Russia appeared to identify a threat to its core interests.

"I think what were really seeing are the initial steps in some form â€” maybe premature on my part, but that's OK -- of an annexation by Russia," said retired Army Gen. James "Spider" Marks, a CNN contributor.

Its response is the massive military intervention the world is witnessing right now.

Marks said the key thing is to ensure that the crisis doesn't escalate. And to accept reality.

"I think the United States and the international community is probably going to have to accept a half a loaf -- in other words, the annexation of Crimea may be a fait accompli. We have to accept that and have to acknowledge that if (Russian President Vladimr) Putin is not going to act against Ukraine, it's certainly in our best interest," Marks said. "This might, in fact, be Version Two of containment -- in fact I'd suggest it is."

@highlight

Ukraine uprising stokes Cold War tensions

@highlight

Ukrainian melting pot of cultures and loyalties complicates politics

@highlight

Russia's military intervention calls into question sanctity of international borders

@highlight

U.S., international community may have to accept Russian annexation of Crimea, if it occurs