Washington (CNN) -- A pandemic is one of the few things with the power to stop the global economy in its tracks. Dr. Larry Brilliant is confident that doesn't have to happen.

After all, he was on the ground in Bangladesh to see the very last case of "killer" smallpox in the world. After 2-year-old Rahima Banu recovered following treatment, the World Health Organization declared the wicked disease was over in 1980.

"I'm the luckiest guy in the world," said Brilliant. "There's nothing better than working in a program like that and to know that something that horrible no longer exists."

Speaking Thursday at the annual TEDMED conference in Washington, Brilliant made the case that several key actions will stop pandemics: early detection, early response and better cooperation among governments.

Some 2,000 health professionals and thought leaders from all sectors of society are attending TEDMED at the Kennedy Center this week for a series of talks, which are also being televised in more than 80 countries.

"With all of these viruses, we have to isolate them locally and put them in jail. It's the only way to deal with a pandemic," said Brilliant, now president of the Skoll Global Threats Fund. "Early warning systems are essential to protect us from the things that are humanity's worst nightmare."

"A pandemic would have not just deaths and medical consequences, but also -- social disruption. There would be global recession and depression. Millions would lose their jobs. There would be no Internet and no flights," explains Brilliant. "Would you get on an airplane with 250 people coughing and sneezing, when you knew some of them might carry a disease that could kill you? It would be apocalyptic."

SARS 10 years on: How dogged detective work defeated an epidemic

Early detection is working. "In 1996, it took almost half a year -- 167 days -- to discover a potential pandemic. By 2009, it took only 23 days," says Brilliant. "The question is, how can we make that better? If we can drive that number down to a few days, to just one incubation period, it may be 100 years before that virus has the same mutation -- maybe never."

Early response and treatment are making a difference too.

"Viruses are much more fragile than you think," he said. "H7N9, now circulating in China, doesn't go person to person -- it has to go from birds or pigs to people. That makes it more complicated to spread. So things have to go just right for a virus to become a pandemic. That's why it's important to contain it in one country."

Just as the ease of international travel and the growth of global food supply chains help spread virulent new viruses, emerging technologies offer solutions to keep them at bay.

"We can find cases earlier with digital detection -- Web self-reporting, SMS, Twitter, social networking, blogging, Internet searches, online news and health reporting," said Brilliant, who was previously executive director of Google.org.

In that capacity, Brilliant helped develop a search system to try and beat the timeline of the official flu outbreak reports from the Centers for Disease Control and Prevention. It worked.

"CDC reporting requires a patient to see a doctor, the doctor to gather samples and the samples to be analyzed," explains Brilliant. "It's a lot faster using crowd-sourcing technology -- a cellphone or a computer that simply asks a person, 'Are you healthy or sick?' "

Currently, there are dozens of nonprofit sites that track disease outbreaks in real time, including healthmap.org and instedd.org. "Now, we really can see the flu coming and quickly know how to protect ourselves," said Brilliant.

For decades, the WHO accepted information on potential outbreaks only through official channels -- via, for example, a health minister. In 2007, the rules changed. Data now flows in through government and independent reporting.

Brilliant notes that some countries are going even farther. Through the recent launch of CORDS, a new entity bringing together regional disease surveillance networks, 28 different countries officially cooperate, sharing information to curb epidemics before they become pandemics.

H1N1 death toll may be 15 times higher than previously reported

"We have to enlist everyone's support," Brilliant said. "We are all in this together. Polio and guinea worm soon will be eradicated -- and I hope to see a photo finish there.

"Eighty countries came together to end smallpox -- the disease that reigned for more than two centuries, killing pharaohs and kings, is completely gone. Today, we are finding diseases faster than anyone ever imagined. Innovations in early detection, early response and global cooperation can put an end to pandemics. We are closer every day."

@highlight

Larry Brilliant has been fighting outbreaks for more than 30 years

@highlight

He says early detection, early response and better cooperation are keys to ending pandemics

@highlight

"We have to isolate them locally and put them in jail," he says