(CNN) -- Libya today is a free Libya, but also a Libya plagued by a sad and violent history, a Libya that has not been able to progress for 42 years. Basic education, health care and infrastructure are integral to Libya's success and its future. But art and culture can be and should be a huge part of the healing process as well as future development.

By integrating art and culture into the core efforts at transition from Moammar Gadhafi's ruinous rule, we can transcend part of the trauma of war and violence and create a distinct national identity, free of speculation as to old tribal or political allegiances and accepting of the whole of Libyan society. The ruins of Leptis Magna, Sabrata, Cyrene (also called Shahhat) and all the other incredible remnants of Libya's rich history can be an example of the glory of Libya's past -- but also its hope for the future.

Libya's possibilities are often measured by way of its abundant natural resources, but the revolution this past year has put in perspective Libya's truest and greatest assets: the courageous Libyan people, their rich multifaceted culture, and the ideals with which they wish to make their place in this world, challenging power that at times has seemed absolute. This was what my father and family tried to articulate to me as a child, growing up in exile.

Libyan culture has a long and storied history, dating back to ancient times, influenced by a variety of traditions and peoples who have made their way across the deserts of Cyrenaica, Tripolitania and Fezzan. The majestic ruins that run along the coastline are testament to this history. As I arrived to these sites, seeing the monuments of the Roman and ancient Greek civilizations beside the Mediterranean, I was struck by the ageless beauty of Sabratha, Leptis Magna and Cyrene. But as an art world professional, I was also struck by the lack of preservation surrounding the ruins.

Global Heritage Fund is a nonprofit organization that works to preserve cultural sites around the world. GHF projects in Cyrene and Apollonia have stalled as a result of the revolution, but the group has renewed its efforts with the new Libya.

GHF has done its utmost to involve Libyans. Students from the universities of Benghazi and Baida were and will be involved in the conservation efforts in the framework of their archaeology management studies. I've recently been appointed to help GHF set up its Libyan Heritage Trust. We hope that as Libya prospers and grows, the government will recognize the importance of these sites, as a possible boon to the tourism industry but also as a source of economic diversification and patriotic reconciliation.

I began working in the art world in 2005 after completing my education at Brown University and the London School of Economics, and my first full-time job was really because of Libya. I worked as a project coordinator for renowned artists Ilya and Emilia Kabakov's Ship of Siwa, a nonprofit project that brings international artists to Siwa, Egypt, to interact with the local population and produce ephemeral work that is more about creating an experience than an object.

Siwa is a mystical desert oasis, possibly home to Alexander the Great's lost army and Cleopatra's healing waters. Its proximity to the Libyan border was a huge draw to me. As my family was not allowed to go back to Libya, the closest I had been to Libya at that point was Cairo, so being able to see the rolling dunes crisscrossing the border was an opportunity I couldn't pass up. In the end, it was a serendipitous event for me, as I fell in love with the art world and I have since devoted my time, both personal and professional, to helping the development and evolution of arts in the Middle East.

I hope that Libya's development will usher in new forms of expression, and I look forward to seeing how that newfound expression will find its place in the visual arts. I anticipate celebrating contemporary art alongside the ancient monuments and illustrating that Libya can show its maturity, but also its innovation and creativity. Although suffering from a severe deficit of social and physical infrastructure, Libya today is free from tyrannical rule. Its people have the opportunity to design a fit-for-purpose political system, which takes into account Libya's diverse peoples, tribes and cultures, creating a unique national identity.

All Libyans can be proud of Leptis Magna. All Libyans can be proud of their cultural heritage. And through concerted efforts to integrate arts education in to schools and everyday life and preserve these historical sites, this can indeed be a reality.

Join us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Alia Al-Senussi.

@highlight

Arts and culture are key to healing in Libya, Alia Al-Senussi writes

@highlight

One of Libya's greatest assets is its courageous people, she says

@highlight

LIbyans can celebrate contemporary art alongside its ancient monuments, she says

@highlight

All Libyans can take pride in their cultural heritage, Al-Senussi writes