Washington (CNN) -- North Korea's missile maneuvering has raised the question of how the United States should respond, with some in Congress calling for shooting down anything that goes up.

The issue gained new urgency on Thursday with the disclosure that a Pentagon intelligence assessment suggested North Korea may have developed the ability to fire a nuclear-tipped missile at its foes.

It was the clearest acknowledgment to date by the United States about potential advances in North Korea's nuclear program, and came amid heightened concerns over recent threats by Pyongyang of attacks against South Korea and even U.S. territory.

At a background briefing on Friday, a Republican member of Congress called the assessment of possible nuclear missile capability old news that first came out in 2011.

However, the legislator said even a remote chance that a North Korean missile could be carrying a nuclear warhead means the United States should intercept it instead of waiting to find out.

5 things we still don't know about North Korea's nukes

Hawkish Sen. John McCain, R-Arizona, endorsed such a response earlier this week, saying that if North Korea launched a missile, "we should take it out."

"It's best to show them what some of our capabilities are," McCain told Foreign Policy's The Cable in remarks that his office confirmed as accurate.

Adm. Samuel Locklear, commander of the U.S. Pacific Command, told the Senate Armed Services Committee this week that the United States has the capability to shoot down a North Korean missile.

While U.S. officials do not specify, a combination of sea and land-based defense systems could be used to intercept a North Korean missile.

The Pentagon has announced plans to increase radar detection and land-based missile defense capabilities in Asia in coming months and years.

Under questioning by McCain, Locklear advised against automatically intercepting any North Korean missile, saying the United States also had the ability to determine its trajectory and destination before making a decision to bring it down.

Nuclear North Korea unacceptable, Kerry says

"We should have a sense of where it's going to be aimed," Locklear said. "If we don't, it doesn't take long for us to determine where it's going and where it's going to land."

To CNN's Fareed Zakaria, an automatic response to shoot down any North Korean missile would be "precisely the wrong" approach.

"It would be a kind of silly tit-for-tat that would escalate in an entirely unpredictable manner," Zakaria said this week. "I think it would be a kind of hot-headed response, when what we need right now are calm and steady nerves."

However, the congressional Republican at Friday's briefing said shooting down any North Korean missile would send a strong message that the United States had limits to its patience in dealing with Pyongyang, and would also demonstrate the ability to counter-act such provocative and potentially catastrophic steps.

A declassified portion of the Pentagon intelligence report concluded with "moderate confidence" that North Korea had the ability to deliver a nuclear weapon with a ballistic missile, though the reliability was believed to be "low."

The White House made clear Friday that the government doesn't believe North Korea has the capability mentioned in the Pentagon document, with spokesman Jay Carney telling reporters: "It is our assessment that North Korea has not demonstrated the capability to deploy a nuclear-armed missile."

Carney's comment was similar to a statement by Director of National Intelligence James Clapper, who concurred with a Defense Department response that "it would be inaccurate to suggest that the North Korean regime has fully developed and tested the kinds of nuclear weapons referenced in the passage" of the Defense Intelligence Agency assessment made public on Thursday.

Clapper, the nation's top intelligence official, also said the information from the DIA assessment was "not an Intelligence community assessment."

Opinion: Why I fled North Korea

"Moreover, North Korea has not yet demonstrated the full range of capabilities necessary for a nuclear armed missile," Clapper's statement concluded.

The GOP member of Congress described Clapper's statement as carefully worded and noted the final sentence indicated North Korea was on its way to nuclear missile capability, even if it had yet to prove it could execute a successful launch.

Carney offered a similar assessment Friday, telling reporters that North Korea had demonstrated nuclear capability and missile capability.

"While it might sound simple, it is not surely simple to take the next step," Carney said. "But make no mistake, the North Koreans have thus far demonstrated a desire to continue along this path."

Secretary of State John Kerry said Friday in South Korea that despite the DIA assessment, it would be inaccurate to suggest North Korea can launch a nuclear-armed missile.

"Obviously they have conducted a nuclear test, so there's some kind of device," Kerry said in reference to three underground nuclear weapons tests by North Korea since 2006. "But that is very different from miniaturization and delivery and from tested delivery and other things."

North Korea has unleashed a torrent of dramatic threats against the United States and South Korea in recent weeks, including the possibility of a nuclear strike.

Any missile launch by North Korea would be a "huge mistake," Kerry added as a warning to the nation's young leader.

"If Kim Jong Un decides to launch a missile, whether it's across the Sea of Japan or in some other direction, he will be choosing willfully to ignore the entire international community, his own obligations that he has accepted, and it will be a provocative and unwanted act that will raise people's temperature with respect to this issue," Kerry said.

The United States was prepared to enter into talks with the North, but only if Pyongyang was serious about negotiating the denuclearization of the Korean Peninsula, according to Kerry.

"North Korea will not be accepted as a nuclear power," he told a news conference with South Korean Foreign Minister Yun Byung-se.

U.S. officials say China is growing more concerned about the North's provocations, but it also is closely watching Washington's latest military moves in the region.

The GOP legislator at Friday's briefing said China has the ability to quickly impact North Korea, which depends on Beijing for aid to keep it solvent. In particular, China could cut off black market supplies of fuel and food across North Korea's northern border, or shut down an oil pipeline between the countries, the legislator said.

CNN's Barbara Starr, Jill Dougherty, Jethro Mullen and Michael Pearson contributed to this report.

@highlight

Sen. McCain says show the North Koreans we can stop whatever they send

@highlight

GOP legislator: Even if remote, any chance of a nuclear missile requires shooting it down

@highlight

White House: North Korea lacks nuclear missile capability, but it's trying

@highlight

Fareed Zakaria calls automatically downing any missile the wrong approach