Washington (CNN) -- MF Global declared bankruptcy Monday and has ceased trading.

While most people would have never heard of MF Global, its bankruptcy may be seen as the first shoe dropping in the European financial crisis and as a clear indicator that the regulatory infrastructure of 2011 may not be sufficiently more solid than the structure that failed so miserably in 2008.

MF Global was one of 22 primary dealers authorized to trade U.S. government securities with the Federal Reserve Bank of New York. As a market maker in U.S. government paper, it was an insider's insider. Only those entities believed to be of bulletproof financial security are selected as primary dealers.

Jon Corzine, former CEO of Goldman Sachs as well as former New Jersey governor and U.S. senator, had been the high-profile CEO of MF Global since April 2010. Under Corzine, MF Global expanded from its brokerage base and made a big move into proprietary trading, which is what spelled its downfall.

MF Global's Company Overview and Financial Overview, both dated October 2011, tell a story quite different from that of a company about to plunge into insolvency. At the end of September, it touted $41.05 billion in net assets, $3.7 billion in available liquidity and $2.5 billion in total capital. It was able to sell $325 million in unsecured notes in August. It claimed "solid risk management," a "strong capital position," "strong liquidity" and an "extremely liquid and high quality balance sheet."

Although $41 billion sounds like a lot, MF Global was a small player compared with Lehman Brothers or Bear Stearns. MF Global is small enough to fail, and while capital markets are unlikely to seize up, investors, lenders and counterparties are likely to lose a good deal of money. These days, investors in companies such as MF Global are not just rich individuals and entities; they are often pension funds and other entities that pool the funds of small investors.

So what happened? Last week, MF Global disclosed that it had $6.3 billion exposure to the shakiest of European sovereign debt.

Its balance sheet was huge but terribly fragile. While it had lots of assets on its books, it also had a huge amount of borrowing. For every dollar of its own capital on its books, it had borrowed $40, a leverage even greater than that of Lehman Brothers at the time of its collapse.

Why is that a problem in a time when near-zero interest rates extend as far as the eye can see? Because leverage is always treacherous and 40-to-1 leverage is madness. Even when interest rates are low, lenders demand security. When the value of that security goes down, the demand for margin -- additional collateral to secure the debt -- goes up.

The plunge in the price of European sovereign debt meant that MF Global had to stump up more cash or easily marketable securities to its lenders so that they would have adequate security for their loans. A well capitalized, reasonably leveraged firm should be able to handle margin demands and survive. But with only 2.5% or so of its assets representing capital rather than borrowed money, MF Capital could not find enough of its own cash to satisfy its lenders.

On Tuesday, we learned that $700 million in customer funds were intermingled and unaccounted for, suggesting that client accounts may have been used to meet margin calls and stay afloat.

It is the same lesson that hit funds such as Carlyle Capital. Leverage can amplify returns but is reckless in volatile markets as relatively small price movements will send apparently asset-rich companies into bankruptcy.

So what happens now? Well, it remains to be seen how deeply in a hole MF Global drove itself.

Many will view the demise of MF Capital as just another bit of the "creative destruction" of capitalism. The Republican candidates complain that Dodd-Frank, last year's financial reform bill passed in response to the credit crisis, is stifling healthy risk-taking. The reality is that Dodd-Frank does not do enough to prevent financial institutions from taking excessive risks with investors' money. While it imposes leverage requirements on banks, those requirements are still quite limited, and institutions not regulated by federal banking agencies are not restricted in their risk-taking in any meaningful way.

If their huge bets on European debts had paid off, Corzine and his colleagues would have added to their immense wealth. All of their incentives were to borrow as much money as possible so that small price movements in their direction would make them rich and large price movements in their direction would make them unimaginably rich.

Their debts did not pay off; they are still rich, but there are many others who will be much poorer. Leverage is the steroid of modern finance that creates the hazardous incentives to bet big, keep the winnings and dump the losses onto others.

What MF Global shows is that the problem is not too much regulation but too little. Without meaningful leverage restrictions on borrowers and meaningful lending restrictions on those who are willing to underwrite this steroidal debt expansion, MF Global is likely to be the tip of yet another iceberg. And we have yet to recover from the last financial Titanic.

The opinions expressed in this commentary are solely those of Eric Lewis.

@highlight

Eric Lewis: MF Global's demise shows regulation today no more effective than in 2008

@highlight

MF Global could be the "first shoe dropping" in European financial crisis, he writes

@highlight

Lewis says investors in firms such as MF Global often are pension funds, small players

@highlight

Lewis: More, not less, regulation needed on taking excessive risks with investors' money