(CNN)Tens of thousands of people in the southern tip of Malawi have been cut off by deadly floods, leaving them without food, clean water or access to health care, aid organizations have warned, while many others have been displaced.

Conflicting accounts from the southeast African nation put the number killed at anywhere from dozens to more than 170.

Gift of the Givers, an African nongovernmental organization specializing in disaster response, said Malawi was facing "probably the greatest flood disaster in the history of its existence."

In a Facebook post Saturday, the organization said 173 people were confirmed killed -- and warned of worse news to come.

"The death toll is expected to rise as it is believed that 183 people have been swept away from one village alone," the group said. "Massive destruction to agriculture, roads, bridges and general infrastructure including power facilities has complicated the situation due to prolonged power outages."

Malawi President Peter Mutharika on Wednesday put the number of dead at 48.

Declaring a state of emergency in the areas affected, he said an estimated 70,000 people had been forced from their homes.

He appealed for international assistance, saying: "Tents and food are urgently required. Rescue operations are also a priority."

Gift of the Givers said that 200,000 people had been displaced and 11,000 homes damaged. A day earlier, the U.N. humanitarian affairs agency, OCHA, put the number displaced at about 100,000.

Medecins San Frontiers, also known as Doctors Without Borders, said Friday that around 20,000 people in the country's southern tip "remain cut off from the rest of the country without food, health care and ways to prevent possible outbreaks."

The current flooding is due to weeks of heavy rain exacerbated by Tropical Cyclone Bansi, Gift of the Givers said. However, another storm due to arrive Sunday -- Tropical Cyclone Chedza -- could present even more of a threat.

Chedza "is expected to be far more destructive than Cyclone Bansi bringing more heavy rains and greater flooding," Gift of the Givers said.

Flood rescue and medical teams have been put on standby in case of the worst, it said.

The organization said Malawi's military had already rescued more than 4,000 people, with the fear that many more are trapped in inaccessible areas.

Floodwaters up to 6 feet deep have submerged homes and bridges, making access to some areas possible only by helicopter, MSF said.

Humanitarian relief is slowly arriving in the district of Chikwawa, where the waters have started to recede, MSF said. But other communities downstream in the Nsanje district, are still in trouble.

"The floods are behaving like a slow tsunami with the river swelling progressively downstream towards the south and Mozambique," says Amaury Gregoire, MSF's head of mission in Malawi

"Most of Nsanje and East Bank are submerged under two to three meters of water, which has transformed these vast plains into a giant lake engulfing houses and bridges. Even though these areas are prone to floods, old people I talked to could not remember events of this magnitude."

The floods have destroyed crops that many people rely on and swept away their meager possessions, raising fears for the future once the waters recede.

There's also the risk of outbreaks of disease, MSF said, as those who have fled the floods seek refuge with friends or relatives, as well as in camps.

MSF has been distributing mosquito nets and water treatment kits, and building latrines to try to limit the spread of disease.

"The little mud houses are very crowded, and, with most wells and boreholes contaminated by the floods, people are living in precarious, unsanitary conditions," said Gregoire.

Gift of the Givers warned of the danger of a cholera outbreak, as well as other waterborne diseases, thanks to the lack of clean drinking water and contamination with sewerage.

The U.N. World Food Programme said Friday it was preparing to move stocks of food to the affected areas. This will include more than 100 metric tons of high-energy biscuits, enough to meet the immediate food needs of some 77,000 people, said Elisabeth Byrs of the WFP.

Malawi, with a population of 13 million, is one of the poorest countries in the world. More than 40% of children have low growth for their age as a result of under-nutrition, Byrs said.

CNN's Nana Karikari-apau and Christabelle Fombu contributed to this report.

@highlight

Flooding in Malawi has forced 200,000 people from their homes, aid organization says

@highlight

Estimates of the number killed in the floods range from dozens to more than 170

@highlight

Another tropical cyclone due to arrive Sunday could bring greater flooding