(CNN)The new biblical epic from director Ridley Scott, "Exodus: Gods and Kings," has a race problem.

We've known since the moment the full cast was announced: nearly every major role in the movie is played by a white actor.

What makes it worse for many observers is that, on the flip side, virtually every black actor in the movie is playing a part called "Egyptian thief" or "assassin" or "royal servant" or "Egyptian lower class civilian."

In the weeks before "Exodus" opens, on December 12, a number of people, from African-American activists to Jewish journalists, have called for a boycott of the potential blockbuster.

"As much as I love a good Bible movie, I'm going to go ahead and boycott this one," wrote Sigal Samuel in the Jewish Daily Forward. "And I invite my fellow Jews to join me."

If "Exodus" were a tale set in the antebellum South, such a disparity might be historically justifiable. But this story is set in Egypt (which was part of Africa even back then), with characters of exclusively Middle Eastern origin.  According to the Bible, Abraham, and therefore all subsequent Jews, were of Mesopotamian -- that is, Iraqi -- descent.

Before we start skewering Scott too thoroughly, we should probably remember that the whitewashing of Bible movies is a well-established tradition. Cecile B. DeMille's "The Ten Commandments" should probably get a pass, as it was made in 1956, before Hollywood was integrated to any substantial degree.

But the same cannot be said for this past spring's "Noah," which has an even less diverse cast than "Exodus," and with greater racial implications, seeing as how all of humanity is supposed to have descended from Noah and his entirely white family.

Nor should we pretend that this is a modern problem, or one unique to film representations of the Bible and its central characters. Every European painting of a biblical scene, from the Middle Ages through the Renaissance and beyond, depicts a whitewashed Bible.

Ridley Scott has attributed the casting of his film to pure marketing concerns: "I can't mount a film of this budget, where I have to rely on tax rebates in Spain, and say that my lead actor is Mohammad so-and-so from such-and-such. I'm just not going to get it financed. So the question doesn't even come up."

This is a rationale very much of our time -- including the thinly veiled racism of "Mohammad so-and-so" -- but it fails to account for the long history of the bleached-out Bible, in which Scott's movie simply makes up the most recent chapter.

The most obvious error in this sort of casting is the historical one: Inhabitants of ancient Egypt and Israel simply didn't look like Christian Bale or Joel Edgerton.

The deeper problem is one of conflating whiteness with heroism and power. Is it so hard to imagine our biblical heroes as being nonwhite? Is it beyond belief that one of the greatest empires in world history had authentically dark skin, rather than being white folks just wearing a ton of makeup?

Does God have a prayer in Hollywood?

When it comes to the depiction of the Egyptians in "Exodus" in particular, however, there is a more specific issue at play. News Corp. CEO Rupert Murdoch, not known as an expert on race or history, weighed in with the rhetorical question (which he then proceeded to answer): "Since when are Egyptians not white? All I know are."

The race of the ancient Egyptians has been controversial for over two centuries. It is a loaded debate that cannot be understood apart from the historical contexts of the scholars engaged in the conversation.

The debate was particularly intense during the abolitionist movement in the United States. At stake were the claims of the pro-slavery faction: that black people were inherently physically and intellectually inferior and, thus, well-suited for slavery. If the ancient Egyptians -- world leaders in architecture, engineering, farming, and literary production, as well as documented slave owners -- were not white, then there was a problem.

This project reached its apex in the work of "American School" of anthropology, founded in the first half of the 19th century by Samuel George Morton, which claimed that God had created multiple hierarchically organized races, with Caucasians at the top.

This idea was taken one step further by Southern slave owner Josiah Nott, who repeatedly stated "that the Ancient Egyptian race were Caucasians." Nott ominously attributed the inability of Egyptians to recapture power in the Common Era to their mixing with other races. The clear agenda here was to provide a historical basis for American slavery.

From the second half of the 20th century onward, anthropologists have largely agreed that ancient Egyptians were indigenous to the Nile region and genetically representative of Northeastern Africa. Egypt has long been a genetic crossroads, because it has long been a political and economic crossroads, since before we have written records.

At least one important minority opinion, however, known as "the Black Egyptian hypothesis," emphasizes racial ties between Egypt and sub-Saharan Africa. The theory -- favored by W.E.B. du Bois -- draws upon philology, the writings of historians, and art and architecture to argue that ancient Egypt was a black civilization.

How Muslims flipped the script in Hollywood

This controversy over race is something the makers of "Exodus" claim to have thought about.

"We cast major actors from different ethnicities to reflect this diversity of culture, from Iranians to Spaniards to Arabs," Scott said. "There are many different theories about the ethnicity of the Egyptian people, and we had a lot of discussions about how to best represent the culture."

Despite this discussion, the tableau produced in "Exodus," unfortunately, is the one favored by 19th-century slave traders.

In an important sense, however, the entire debate, down to the present, is essentially moot.

The categories of modern America were not relevant to the concerns of ancient Egyptians. Modern anthropologists no longer see race as a fundamental biological or natural category of people, but rather as a biocultural category, intermingling genetic and anatomical data with economic, political, and social data.

Historically, skin tone was not the key feature by which society was hierarchically structured. Race is a lived experience, of course, but the distinction between slave and free -- a critical one in the ancient world -- was not drawn along modern racial lines.

There were more than a few blond-haired, pale-skinned "barbarian" slaves in the Roman empire. In the ancient world it was more important to be free than pale.

Still, the image of ancient Egyptians as white has been powerful and destructive.

Whitewashing the Bible is problematic both because it is unhistorical and because it reinscribes the dangerous association of whiteness, divine favor and heroism that has plagued modern Christianity. Recognizing the violent and painful history of this idea -- particularly as it pertains to ancient Egypt -- is an important preamble to talking about it.

@highlight

Critics say the new movie "Exodus" has a "race problem"

@highlight

The race of the ancient Egyptians has been controversial for more than 200 years

@highlight

American slave owners insisted Egyptians were white; historians aren't so sure