(CNN) -- The energy needs of the world could all, in principle, be fulfilled by one single source -- the sun. There are challenges in making this a reality, however: affordability first, and finding a way to capture this energy efficiently to turn it into electricity.

Recently, a new material known as perovskite has seen the light of day and within just a few years it has started rivaling the efficiency of traditional photovoltaic solar cells, which currently maxes out at roughly 20 percent. This is the amount of solar energy that gets converted into electricity and the higher this is, the more we meet our energy needs. Over 80 percent of today's photovoltaics are made from crystalline silicon, but the high expense of both their production and installation means we are in need of alternatives.

Perovskite is a mineral found in the Earth's mantle, named after Russian mineralogist Lev Perovski. Since 2009, it has caught the attention of researchers across the globe, including those at Oxford University and the Federal Institute of Technology in Lausanne (EPFL).

"In a very short time, perovskite has begun to produce extremely high efficiencies and there's 'perovskite fever' going on," says Michael Graetzel, Director of the Laboratory of Photonics and Interfaces at EPFL. "Today, efficiency has peaked at 18 percent, but it's expected to get even higher in the future."

Graetzel discovered how perovskite works and he's helping develop new solar cells as well as potential ways to add on to existing ones: "You can put perovskite on top of traditional silicon cells to make them more efficient," he says. "This is not an expensive process and can become an attractive application for mainstream solar panels."

Stability tests are still needed as this magical material is sensitive to water and high temperatures: "This is all being examined now. I'm optimistic and sure this can be tackled. It's an exciting time".

Perovskite solar cells may be the ones to watch, but the search for the most efficient, affordable and usable form of solar energy is a diverse battlefield.

Click on the images above to discover the many ways our sun's rays are being harvested to power our lives.

@highlight

Perovskite is a new wonder material used to make cheap and efficient solar cells

@highlight

New, self-cooling solar cells could overcome the challenges of overheating

@highlight

Regular windows could produce electricity by using a new, transparent solar cell technology

@highlight

Old car batteries could be recycled into solar cells