(CNN) -- Friday's weak jobs report is more than a disappointing blip.

It is a glimpse ahead of our disappointing future.

Nearly three years from the beginning of the economic recovery in the summer of 2009, the U.S. economy has replaced not even half the jobs lost in the slump of 2007-2009. At the current pace of job creation, it will take until 2017 to replace all the jobs lost.

But of course the population has grown since 2007, so "replacement" is not good enough. We are even further away from equaling the employment rate of 2007 -- the proportion of the working-age population at work.

Even when (or if) full job recovery does come, it will not restore the economy of 2007 just as it was.

Recessions reshape economies.

The best book written about the social effects of the Great Recession is Don Peck's "Pinched."

Peck shows us a new world emerging from the catastrophe of 2008, a new world that most Americans will find harsher than the old.

For example: Despite the long, slow relative decline of manufacturing as a source of American jobs, the total number of manufacturing jobs in the United States had remained constant at about 18 million for decades. Between 2007 and 2009, the number of manufacturing jobs dropped by 6 million.

While manufacturing is beginning a recovery now, it seems impossible that the sector will regenerate to anything like its former extent.

The new jobs being added to the U.S. economy pay less, on average, than the jobs lost -- which is why the average rate of pay in the United States remains stagnant or even drops as the number of jobs slowly grows.

At the top of the economic heap, recovery has been more complete. The richest Americans suffered sharp shocks to their wealth when markets collapsed in 2008-2009. As financial markets have revived, so has the wealth of the top 1% (households earning more than $380,000 per year.)

The top 5% have done OK, too. (The top 5% begins a little south of $200,000 in household income.)

For most of the country, however, the outlook is -- to borrow Peck's title -- "pinched." Young people who come of age in the crisis will earn less through their lives than those who came of age during happier times. Marriages break up. Babies are not born. A sense of unfairness spreads through the society. Politics becomes angrier and more paranoid -- for those who take part -- while many others drop out of public life entirely, disregarded and alienated.

The country's political class tends to discuss these hard economic and cultural facts as if they were interesting only in relation to the presidential race, as if the only questions that mattered about economics were: "Good for Obama?" "Bad for Obama?"

For most of the country, however, Barack Obama is a flickering electronic image, an only intermittently interesting distraction from the realities of life: stagnant pay, unattractive job options, darkening retirement prospects for the middle-aged and narrowing opportunities for the young.

What would it take to do better? The answer, ironically, will be nearly equally difficult (but in very different ways) for politicians of either party.

To do better, we'll need a program to stimulate employment for the long-term unemployed -- including potentially a New Deal-style requirement that nobody receive benefits without working. It's no good to anybody -- the unemployed least of all -- to allow the unemployed to collect two years' worth of benefits while waiting at home, their skills atrophying, their resumes going stale.

To do better, we may need to induce employers to create jobs, not only through tax cuts but through direct subsidies, including subsidies of the cost of health coverage. (Especially for older workers, health costs can be more of a deterrent to hiring even than the cost of wages.)

We will need to curtail the generosity of Medicare to open fiscal room for government programs to support opportunities for the young.

We will need a permissive monetary policy that accepts moderate inflation to reduce the burden of mortgages and other debts -- even if it bites a little into savings and fixed incomes.

We'll need above all to recognize the magnitude of the social distress we still face, even as the economic statistics tell us of a recovery that moves financial markets and presidential polls -- but that threatens to bypass tens of millions of Americans for months and years.

The opinions expressed in this commentary are solely those of David Frum

@highlight

David Frum: Friday's weak jobs report is a sign of America's economic future

@highlight

Frum says we are many years away from regaining all jobs lost in the recession

@highlight

Most Americans are seeing their economic future changed for the worse, he says

@highlight

Frum: Politicians in both parties will find it hard to adopt policies to reinvigorate economy