(CNN)It sounds like the plot for a science fiction movie.

Someone has a horrific accident and winds up in the hospital, brain dead and on life support. Doctors approach the family about organ donation, but instead of saving as many as eight lives, the family is asked to donate the whole body to save just one individual. Perhaps a quadriplegic with a mind that outmatches their malfunctioning body.

As crazy as this sounds, to put an entire head on a new body, a human body, Italian physician Dr. Sergio Canavero says we are approaching  HEAVEN (an acronym for head anastomosis venture; anastomosis is surgically connecting two parts). The pieces are coming together but there are still many hurdles to jump.

Canavero says he has part of the funding secured, although he says he can't yet disclose where the money is coming from as a condition of the funding. He's also taking the 2015 layman's approach with crowd funding and book sales.

He has identified Valery Spiridonov as the first patient. The 30-year-old Russian man suffers from a rare genetic disorder called Werdnig-Hoffman disease. Canavero says the man volunteered. The two men have talked via Skype but they have yet to meet in person and Canavero has not reviewed Spiridonov's medical records.

Canavero says he has a stack of emails and letters from people who want this procedure. Many of them are transsexuals who want a new body, he says. But he insists the first patients will be people who are suffering from a muscle wasting disease.

Another big obstacle is the need for a partner. Canavero can't just do this in his own Frankenstein lab. He needs a major academic medical center to host this endeavor and he has his eyes set on the United States. He hopes to get a buy-in this summer when he presents his plan to the American Academy of Neurological and Orthopedic Surgeons, or AANOS, at its annual conference in June. He's counting on getting the green light he needs for the first human whole head transplant to take place in 2017.

Nick Rebel, executive director of AANOS, says the group is not endorsing Canavero, it is simply giving him a platform to hear what he has to say.

If Canavero doesn't get the support he needs in the United States, he'll look to China and his timeline will slide by a year.

Once these pieces are in place, Canavero says he'll put together a staff of 150 nurses and doctors. Many of them, like the patient, are already identified because they've asked to be part of this team.

Then they'll need to practice for what is anticipated to be a 36-hour operation. "I say two years is the time needed for the team to reach perfect synchronization," Canavero speculates.

But what about the science? Is such an idea even plausible? He says he has research that supports it.

Canavero points to Dr. Robert White, who transplanted the head of one monkey to the body of another at Case Western Reserve University School of Medicine in 1970. The monkey died after eight days, because the body rejected the new head. Before ithe monkey died, it could not move because the spinal cord of the head and body were not connected. The monkey also was unable to breathe on its own. The paper in which Canavero outlined his procedure references a different 1971 experiment White conducted with six monkey heads, none of which survived more than 24 hours. But Canavero says advances in science and medicine since then eliminate the problems White faced.

Dr. Hunt Batjer, chairman of neurological surgery at UT Southwestern and president-elect of the American Association for Neurological Surgeons, says White's research is not validation for a human head transplant. "[It's] a 45-year-old reference in a primate and there is no evidence that the spinal cord was anastomosed functionally," he says. Batjer further explains that it's a great leap to go from brain survival of the surgery to restoring body function, which White did not look at.

Canavero is confident in his writing and in conversation. He cites White's monkeys and even the success of German researchers who helped paralyzed rats walk, giving no pause to the fact that such research is more likely to go nowhere than to make it to human clinical trials.

He published his paper in the free, online, medical journal Surgical Neurology International in 2013. He walks readers through a scenario, outlining the key points that will make this work, including cooling the spinal cord before severing it. Doing so with an ultra-sharp blade will avoid the damage experienced by spinal cord injury patients, he says. He'll use a "magic ingredient" as a sealant to fuse the spinal cord back together and offers a few options for what that ingredient could be. The nerves, having been color-coded when separated, will be carefully aligned and this will all be done very quickly because time is key.

An impossibility, according to Batjer. He conceded that the airway, the spine, the major veins and arteries, can all be put back together, but the spinal cord is the problem. He says the result would be the inability to move or breathe.

"I would not wish this on anyone, I would not allow anyone to do it to me, there are a lot of things worse than death," Batjer says.

The science isn't there to support this, says Arthur Caplan, Ph.D., director of medical ethics at NYU Langone Medical Center. He says it's nothing more than a big PR stunt, and calls Canavero "nuts."

Caplan says this has to be done in many animals before it's tried on humans. Caplan also points out that if Canavero can do this, he should first be helping paralyzed patients by fixing their spinal cords, before transplanting whole bodies.

As for the patients, Caplan says, "their bodies would end up being overwhelmed with different pathways and chemistry than they are used to and they'd go crazy."

In his paper, Canavero says identity issues could be a problem as the head gets used to its new body. He also says pain could be a problem. As far as immunosuppression, Canavero points to today's transplant successes as evidence this is not a problem.

Caplan isn't buying it. He's seen how difficult it is for his NYU colleagues who perform face transplants. The levels of anti-rejection medications required are so high they put patients at risk for cancer and kidney problems. He says it doesn't make sense that you'd poison a new body with immunosuppressant medications to make a head transplant work.

Another issue Caplan has seen with face transplant patients is they don't always get full function of their new organ.

"It's not like you can unscrew your head and put it on someone else," Caplan says.

Dr. Robert Ruff, the Veterans Affairs national director for neurology, calls it farfetched and farcical, not to mention unlikely to work. He says this is more like centuries away, not years. "It would be impossible to predict that far into the future," Ruff says.

Canavero insists, though, "We can already do this."

@highlight

Dr. Sergio Canavero says he is two years away from performing the first total human head transplant

@highlight

The first patient will be a 30-year-old Russian man with a rare, genetic muscle wasting disease

@highlight

One ethicist says Canavero should be helping paralyzed patients walk before performing body transplants