More than one month after a police officer fatally shot 18-year-old Michael Brown in Ferguson, Missouri, the case continues to provoke public unrest and remains far from settled.

The white police officer's shooting of the unarmed black teenager in the St. Louis suburb is being robustly debated and investigated.

Where does the criminal investigation stand?

So far, there have been no charges filed, but the investigation is ongoing.

A St. Louis County grand jury is investigating and hearing testimony into Brown's killing and whether Ferguson police Officer Darren Wilson should be charged or not.

The grand jury will look at two issues: was a crime committed and is there "probable cause" that the accused person -- namely Wilson -- committed that crime.

The grand jury, which meets in secrecy, consists of nine white people (six men and three women) and three black people (two women and a man), court officials said.

Grand jurors began meeting last month, and their progress on reaching a decision isn't public information, though it's expected to take two months.

St. Louis County Prosecuting Attorney Robert McCulloch is the prosecutor presenting evidence to the grand jurors.

What is the U.S. Justice Department doing?

Federal officials are conducting two civil rights investigations, one into Brown's killing and the other into Ferguson Police Department's overall track record with minorities.

One investigation is looking into the August 9 shooting by Wilson, a 28-year-old officer with six years of experience, including four in Ferguson. A civil rights violation would require that Wilson had shown "racial hostility" against Brown in the shooting, legal analysts say.

The U.S. Justice Department also announced a second inquiry this month to examine accusations that the police department as a whole practiced racial profiling and heavy-handed tactics.

"People consistently expressed concerns stemming from specific alleged incidents, from general policing practices and from the lack of diversity on the Ferguson police force. These anecdotal accounts underscore the history of mistrust of law enforcement in Ferguson that has received a good deal of attention," U.S. Attorney General Eric Holder said earlier this month.

"Our investigation will assess the police department's use of force, including deadly force. It will analyze stops, searches and arrests. And it will examine the treatment of individuals detained at Ferguson's city jail," Holder said.

The second investigation typically looks at possible reforms for a law enforcement agency, rather than punishing past alleged misconduct, analysts say.

How long will the two federal probes take?

They will likely require lots of time, if similar past cases are any indication.

For example, the U.S. Justice Department took five years in its investigation of whether Cincinnati police Officer Stephen Roach, who is white, violated the civil rights of Timothy Thomas, 19, who was black and fatally shot by Roach, the Cincinnati Enquirer reported.

As in the Brown case, the killing of Thomas ignited riots in Cincinnati in 2001, but the Justice Department announced in 2006 that Roach didn't violate Thomas' civil rights, the newspaper reported.

When investigating an entire police department, the Justice Department investigation can easily take a year or more, according to a 2013 report by the Police Executive Research Forum that's entitled, "Civil Rights Investigations of Local Police: Lessons Learned."

For example, in 1994, the U.S. Justice Department investigators took a year to investigate the Pittsburgh, Pennsylvania, Police Department for civil right abuses, the research forum said. By 1997, Pittsburgh entered into a consent decree in which the city would identify problematic police behavior and collect data on officers' conduct.

In 1999, the Los Angeles police officers in the Rampart division were accused of misconduct and later convicted of "an array of crimes that included unprovoked shootings and beatings," the research forum said.

By 2001, Los Angeles police entered into a consent decree to make reforms over five years, but a federal judge became displeased with the progress of reforms and he extended the decree five more years, amounting to a total of 12 years of federal oversight, the forum said.

In all, more than 25 police department have experienced some form of U.S. Justice Department intervention the past two decades, and "some later investigations and reform processes have taken 10 years or more," the police forum said.

What is Ferguson doing to address community anger?

In the aftermath of street riots following the shooting, the Ferguson City Council has tried to soothe public outrage, but at a council meeting this month, the first since the Brown shooting, the gallery turned raucous. Residents chanted Brown's name and shouted at council members, according to media reports.

Nonetheless, the council gave the first reading of a proposed ordinance to create a citizen review board to work with the police department.

The proposal must undergo another public reading at a subsequent meeting, and then the council can vote on it, city officials said.

Some critics have found the measure inadequate.

The proposed citizen board is "a step in the right direction," but "it is very weak" in terms of how complaints against police would be filed, said John Gaskin, a member of NAACP board. "At the meeting, very little details were given regarding this board, as to who can sit on it, what type of qualifications they will need, how these people will be elected."

The day after the September 9 council meeting, dozens of protesters threatened to shut down a portion of Interstate 70 near Ferguson and threw rocks and bottles at police.

About three dozen people were taken into police custody after refusing to leave the street, and four were charged with assault on a law enforcement officer.

@highlight

A grand jury is hearing testimony into killing of Michael Brown

@highlight

Feds are conducting two civil rights investigations, which could last a year or more

@highlight

Ferguson City Council proposes a citizen board to work with police

@highlight

But the proposal "is very weak" in terms of how complaints could be filed, NAACP says