Two American missionaries infected with the deadly Ebola virus were given an experimental drug.

Shortly after, Dr. Kent Brantly and Nancy Writebol were flown separately from Liberia to Atlanta's Emory University Hospital -- the first human patients with Ebola to ever come to the United States.

Writebol was released from the hospital Tuesday. On Thursday morning, Brantly walked out of that same hospital with no signs of the virus in his system, doctors say.

Their recoveries seem to offer hope for those fighting the largest Ebola outbreak in known history. More than 2,400 people have been infected by the virus, according to the World Health Organization, and it's killed more than half.

But ZMapp is not an approved treatment for Ebola; in fact, no approved, proven treatment exists. So governments, aid organizations and scientists around the globe are racing to find a way to stop the virus.

Here are answers to questions about Ebola patients and treatments for the disease.

1. Are Brantly and Writebol cured?

Mostly. For Ebola patients to leave isolation, two blood tests had to come back negative for the Ebola virus. So their bodily fluids, like blood, sweat and feces, are no longer infectious.

"Nancy is free of the virus, but the lingering effects of the battle have left her in a significantly weakened condition," Writebol's husband, David Writebol, said in a statement.

Some doctors believe the virus can remain in vaginal fluid and semen for up to several months, according to WHO. Dr. Bruce Ribner, an infectious disease specialist at Emory, said there is no evidence Ebola has ever been transmitted this way, but the risk was discussed with both patients.

2. Are they now immune to Ebola?

Doctors believe surviving Ebola leaves you immune to future infection. Scientists have found that people who survive Ebola have antibodies in their blood that would provide protection against that strain of the virus in the future, and possibly against other strains as well.

But, as you can imagine, they haven't tested this theory by infecting survivors with the virus again.

There are four Ebola strains known to infect humans; the Zaire ebolavirus causing the current outbreak is the most common.

3. Who else has been given ZMapp?

The Ebola drug was flown to Spain to give to a priest named Miguel Pajares, who had contracted the virus in Liberia. Pajares died on August 12. It's unclear if he was given the drug before he died.

ZMapp appears to be helping three Liberian health care workers who were given the experimental drug. They have shown "very positive signs of recovery," the Liberian Ministry of Health said earlier this week. Medical professionals treating the workers have called their progress "remarkable."

4. Who makes the drug?

The drug was developed by the biotech firm Mapp Biopharmaceutical Inc., which is based in San Diego. The company was founded in 2003 "to develop novel pharmaceuticals for the prevention and treatment of infectious diseases, focusing on unmet needs in global health and biodefense," according to its website.

Mapp Biopharmaceutical has been working with the National Institutes of Health and the Defense Threat Reduction Agency, an arm of the military responsible for countering weapons of mass destruction, to develop an Ebola treatment for several years.

5. How does ZMapp work?

Antibodies are proteins used by the immune system to mark and destroy foreign, or harmful, cells. A monoclonal antibody is similar, except it's engineered in a lab so it will attach to specific parts of a dangerous cell, according to the Mayo Clinic, mimicking your immune system's natural response. Monoclonal antibodies are used to treat many different types of conditions.

Sources told CNN the medicine given to Brantly and Writebol abroad was a three-mouse monoclonal antibody, meaning that mice were exposed to fragments of the Ebola virus, and then the antibodies generated within the mice's blood were harvested to create the medicine.

However, the drug can also be produced with proteins made from tobacco plants. ZMapp manufacturer Kentucky BioProcessing in Owensboro provided limited quantities of this kind of the drug to Emory, according to company spokesman David Howard.

6. Did doctors know it would work in humans?

No. The drug had shown promise in primates, but even in those experiments, just eight monkeys received the treatment. In any case, the human immune system can react differently than primates', which is why drugs are required to undergo human clinical trials before being approved by government agencies for widespread use.

These cases will be studied further to determine how the drug worked with their immune systems.

7. Are there other Ebola treatments out there?

Several experimental drugs are in development, but none has been effective in humans.

The market for these drugs is small -- Ebola is a rare disease, almost completely confined to poor countries -- so funding for drug development has come largely from government agencies.

In March, the NIH awarded a five-year, $28 million grant to establish a collaboration between researchers from 15 institutions who were working to fight Ebola. On Wednesday, Wellcome Trust and the United Kingdom's Department for International Development announced money for Ebola research will be made available from a $10.8 million initiative.

8. Will ZMapp or these other drugs be given to more Ebola patients?

An ethics panel convened by the World Health Organization concluded it is ethical to give experimental drugs during an outbreak as large as this one, but that doesn't mean it will happen.

Rolling out an untested drug during a massive outbreak would be very difficult, Doctors Without Borders says. Experimental drugs typically are not mass-produced, and tracking the success of such a drug, if used, would require extra medical staff where resources are already scarce.

In an opinion article published in the journal Nature this week, epidemiologist Oliver Brady says up to 30,000 people in West Africa would have so far required treatment in this outbreak if it was available.

9. What about an Ebola vaccine?

For the record, "vaccine" and "treatment" are not interchangeable terms. A vaccine is given to prevent infection, whereas treatment generally refers to a drug given to a patient who has developed symptoms.

There are several Ebola vaccines in development.

The Canadian government has donated between 800 and 1,000 doses of an experimental Ebola vaccine to WHO. The drug, called VSV-EBOV, is Canadian-made and owned, having been developed by the National Microbiology Laboratory.

It's never been tested on humans "but has shown promise in animal research," the agency says. We don't know if the vaccine has been given to anyone on the ground.

The NIH says a safety trial of an Ebola vaccine will start as early as September.

@highlight

American patients infected with Ebola are being released from the hospital

@highlight

Dr. Kent Brantly and Nancy Writebol were given ZMapp, an experimental drug

@highlight

To leave isolation, two blood tests on the Ebola patients must come back negative for the virus