As millions of Taiwanese headed for the polling stations across the nation last weekend, there was a general sense that change was at hand.

As the results of the vote started trickling in during the evening, it soon became clear that the political scene in Taiwan was about to become a much different place.

It was a rout. When it was all over and done, the ruling Kuomintang (KMT) had merely won six of the 22 constituencies in the mayoral and commissioner elections, while the opposition Democratic Progressive Party (DPP) won 13, and did so with sizable leads.

Moreover, the KMT had lost control of Taipei, the capital city it had run for 16 consecutive years, to an independent with no political experience, and also saw safe cities in the northern half of the island, such as Hsinchu and Taoyuan, slip through its fingers.

In all, it lost nine of the 15 cities and counties it used to control.

Overall, the DPP garnered 5.83 million votes, or 47.6%, against the KMT's 4.99 million (40.7%).

However, if we factor the votes that went to independent candidates who are ideologically close to the DPP, the "green camp" accounted for a solid 6.88 million votes.

Discontent with the KMT alone doesn't sufficiently explain the DPP's performance; the latter, including leader Tsai Ing-wen, worked tirelessly in the lead-up to the elections, and for the most part fielded candidates of quality.

In the wake of catastrophe, Premier Jiang Yi-huah and KMT Secretary-General Tseng Yung-chyuan, as well as 80 members of the Cabinet, have resigned, and it is now rumored that President Ma Ying-jeou, who doubles as KMT chairman, could step down from the latter position on Wednesday.

Lazy campaigns?

There are sundry reasons for the defeat.

In many constituencies, including Taipei, the KMT ran lazy campaigns and spent more time attacking its opponents than trying to convince voters of the virtues of its own candidates.

More importantly, Ma and his party have become highly unpopular.

After six years of rapprochement with Beijing, and the signing of as many as 20 cross-strait agreements, the promised "revival" of Taiwan's stagnating economy never materialized.

Furthermore, the benefits of increasing trade with China tended to fall in the lap of magnates who were close to the administration, while for the majority of Taiwanese -- especially youth -- the prospects for their future seemed grim.

Many voters appear to have blamed the KMT's inability to deliver domestically on the administration's single-minded focus on China.

Undeniably, relations between the two sides have improved since 2008, when Ma stepped into office, but many have become increasingly aware of the inherent political risks of doing so.

Taiwanese of all stripes know that Beijing continues to regard Taiwan as a "renegade province," but many were nevertheless willing to liberalize ties with it, though many faulted Ma for not paying enough attention to safeguarding the island's sovereignty and democracy in the process.

More and more, local problems were seen to be tied to the external China factor.

From the media to major infrastructure projects, "black box" trade agreements to pro-Beijing gangsters menacing the population, China's hand suddenly became a major issue.

A red line had been crossed, and civic organizations fearing the administration had gone too far, took action.

In March, scores of protesters stormed a key government building to urge the government to scrap a controversial trade deal with China in what was dubbed the Sunflower Movement.

The Ma administration reacted to all this with repression, then indifference, and consequently paid a high price on November 29.

One of the Sunflowers' greatest achievements was to raise awareness about the perceived failures of government and the "black hand" of China.

Sunflower generation

Candidates like Ko Wen-je in Taipei had great appeal with the Sunflower generation.

The fact that the DPP chose not to field a candidate to run against him was a masterful move on chairperson Tsai's part: It signaled the party's willingness to cooperate with this "third force."

Several young candidates, some of them from smaller parties or running as independents, were also elected and will be part of that coalition.

This green coalition will undoubtedly be more attuned to civil society, and their control of a majority of the municipalities across Taiwan will make it more difficult for the central government to implement policies that are unpopular with the public -- something it has done repeatedly since the beginning of Ma's second, and last, term in 2012.

In an early sign that things may be already changing, mayor-elect Ko has already said he would fire the police chief in Xinyi District if pro-Beijing activists continued to physically assault practitioners ofFalun Gong -- a spiritual movement banned in China — and pro-Taiwan independence activists outside the Taipei 101 skyscraper.

Facing much greater resistance from "below," and confronted to an emboldened pan-green coalition, Ma's ability to press ahead with further unpopular agreements with China likely has been severely compromised.

With a little more than a year left in office, he may have reached the limit of what he can give to Beijing, even more so if he steps down as party chairman.

There is no doubt that civil society, and the many that it inspired, punished the KMT in the elections.

Unless the KMT wants to go through a similar embarrassment in the 2016 presidential election, whoever is in charge will have to ensure that the party better reflects public wishes. And that means being more careful with China.

@highlight

Taiwan's ruling party routed in local elections in "black Saturday."

@highlight

They lost control of Taipei for first time in 16 years

@highlight

Lazy campaigns and the "China factor" caused their defeat, says Cole

@highlight

"Sunflower generation" wary of closer ties with China