London (CNN) -- The jazz record was only three minutes long, but it was enough time to cast a spell on a wealthy European heiress who became determined to meet the artist behind the beautiful ballad with the haunting overtones.

That record was "Round Midnight," by a relatively unknown jazz pianist Thelonious Monk and hearing it would herald the start of a life-long friendship between him and heiress Baroness Pannonica de Koenigswarter.

Born into the hugely wealthy Rothschild banking dynasty and married to a French diplomat, the baroness, known as Nica, gave up a world of privilege for the love of jazz and devoted herself to Monk, who was considered one of America's great musical geniuses.

She later became known as "the Jazz Baroness"—and could be spotted mingling with music legends of the bebop era, such as Charlie Parker, Art Blakey and Miles Davis.

To explore Nica's elusive past, Hannah Rothschild tells her great aunt's mysterious life story in her book, "The Baroness: The Search for Nica, the rebellious Rothschild".

Nica was first touched by jazz in 1948 while on a trip to New York. Just before catching a flight to join her family, she stopped to visit a friend, the jazz musician Teddy Wilson who put on "Round Midnight."

WATCH: YouTube video of Thelonius Monk performing "Round Midnight"

After hearing that record, the baroness' life changed forever, recalls Rothschild. "It was like the vinyl version of a spell being cast."

"It quite literally spirited her from one world to another and she never went home. That was it. She missed every single plane, stayed in New York, determined to meet this man Thelonious Monk."

In that very moment, she left her husband and five children behind and devoted herself to meeting the legendary musician.

Armed with a mile long cigarette holder, a fur coat and a set of pearls, Nica could be found swaying to the blues in the big apple's jazz clubs or ferrying bands to performances in her convertible Bentley.

But Nica didn't find herself in the presence of Monk until some years later at the 'Salon du Jazz 1954' concert in Paris. She was introduced to Monk backstage by a mutual friend - pianist Mary Lou Williams -- "and once they met they were inseparable", notes Rothschild.

Though Monk was married, the relationship between the Baroness and him remained platonic, according to Rothschild's research.

"I believe what kept them together was their love of music, particularly his music might I add. A real sense of companionship and friendship."

Part of Nica's passion for jazz could be traced back to her experience during World War II.

With Jewish relatives disappearing in the Holocaust, she played an active role in the war and even fought in the battlefields of Africa for Charles De Gaulle's Free French Army in Congo. After serving in numerous capacities, she ended the war as a decorated lieutenant.

"She had a very interesting war and when she came back it was impossible for her to settle down to a life of normalcy and domesticity," explains Rothschild.

While Nica never took up composing or playing music herself, she remained a friend and philanthropist to the genre. As a result, she was a source of material for a dozen songs composed by jazz greats. Songs included Sonny Clark's "Nica", Kenny Dorham's "Tonica", Tommy Flanagan's "Thelonica"—to name a few.

The baroness remained close friends with Monk, funding his performances and even went to jail for him. The incident happened in 1958 when police stopped the pair en route to an out-of-town gig and found a small amount of Monk's marijuana in her car.

Nica claimed it was hers and she was sentenced to three years in prison.

After a two-year legal battle funded by the Rothschild's, the case was dismissed on a technicality in the appeal court.

In Monk's last years, he suffered from mental health problems and withdrew from playing jazz altogether by secluding himself in Nica's New Jersey home. But at his funeral—Monk died in 1982, from a stroke, both his wife Nellie and Nica were greeted by mourners as widows.

Six years after Monk's death, Nica passed away, aged 74, after undergoing a heart valve operation.

Though Rothschild only met her great aunt a handful of times on her visits to New York, she was devastated by the loss. "I went into a silent mourning of not having spent more time with her and not having asked those questions," recalls Rothschild.

"It occurred to me one day that just because somebody has died or passed on, it doesn't mean that your relationship with them is completely over."

And each time Rothschild listens to that infamous Monk record, she wonders, "Maybe this time it'll change my life and I'll leave my children and my country and my friends—but it hasn't happened yet."

@highlight

British Baroness of Rothschild family abandoned her family for New York jazz scene

@highlight

As the 'the jazz baroness,' she mingled with greats including Charlie Parker, Miles Davies

@highlight

Love of music helped her build a life-long friendship with jazz great Thelonious Monk