A new study finds that 28% of parents following the CDC-recommended schedule for childhood vaccinations think it would be safer to delay the shots until children are older.

The study, published Monday in the journal Pediatrics, confirms that about 2% of parents living in the United States are refusing all vaccines for their children, and more than one in 10 alter the Centers for Disease Control and Prevention-recommended vaccination schedule by delaying or refusing certain vaccines.

Among parents following an alternative vaccine schedule, 30% actually began with the regular schedule, but then changed their minds.

"I was surprised by the malleability of people's attitudes" said Dr. Amanda Dempsey, one of the study authors. "In my own clinical practice, I have been more used to parents pretty firmly decided one way or the other what they wanted to do."

Parents are refusing certain vaccines at higher rates than others, the study finds. H1N1 and the seasonal flu vaccine topped the rejection list.

Among vaccines delayed until a child grows older, the measles-mumps-rubella vaccine, a two-stage vaccine administered at 12 months and then again at age 4, topped the list.

Pediatricians generally stay sensitive to parents' concerns, accommodating alternative vaccine schedules when requested.

"There is a small group of pediatricians, and I think it's growing slowly, that tell patients, 'If you come into our practice, we are immunizing your children according to the CDC's and the American Academy of Pediatrics standard schedule,'" said Dr. William Schaffner, who chairs the department of preventive medicine at Vanderbilt University. "[They say] 'Anything less than that is not appropriate for your child. If you're uncomfortable with that, God bless you, here are the names of some other pediatricians in town who will likely take care of your children.'"

Schaffner said the main problem, as he sees it, is that parents have no knowledge of the diseases their children are being inoculated against. The diseases have sort of faded from the public consciousness, but can spring back if enough of the population goes unvaccinated.

This year has seen more cases of measles than any year since 1996. As of  August, there have been 198 confirmed cases in the United States, according to the CDC, with the vast majority among the unvaccinated. Usually the transmission comes from traveling abroad.

Not only do unvaccinated children run the risk of becoming ill or worse, but they also endanger others who don't have the option to vaccinate.

For example, children under 12 months old and those with certain medical conditions like HIV don't receive the MMR vaccine. Instead they rely on a "herd effect," unprotected themselves, but living among a population where disease can't find a foothold.

In Europe, the measles outbreak has been far worse than in the United States, with thousands of confirmed cases correlating with a decline in vaccination rates sparked by Andrew Wakefield's 1998 fraudulent study alleging a connection between the MMR vaccine and autism.

Globally, measles still is a leading cause of death among children, killing an estimated 450 people every day, according to the World Health Organization.

But many parents fear the vaccines carry a more immediate risk and do damage in ways perhaps not yet documented by medical researchers.

What public health officials do know is that about one in six children will experience a fever and one in 3,000 will have a seizure after receiving the MMR vaccine, according to the National Institutes of Health, but  severe side effects are extremely rare, and there is no evidence of a link to autism.

Parents noticing any reaction in their child after vaccination should report the incident using the Vaccine Adverse Event Reporting System.

Regarding her research into parents' "malleable" attitudes on vaccines, Dempsey said figuring out what is swaying parents away from the recommended schedule is  important, and something her research cannot yet answer.

@highlight

Two percent of parents living in the United States are refusing all vaccines for their children

@highlight

2011 has seen more cases of measles than in any year since 1996

@highlight

In Europe, the measles outbreak has been far worse than in the United States