Washington (CNN) -- Attorney General Eric Holder on Tuesday rejected a GOP call to resign, telling a heated Senate hearing that Republicans were trying to score political points instead of addressing significant issues.

Under attack from the outset by Republican members of the Senate Judiciary Committee, Holder rejected accusations he was stonewalling congressional investigators on the botched "Fast and Furious" gunrunning sting operation and failing to investigate recent leaks of classified information properly.

Sen. John Cornyn, R-Texas, leveled the harshest criticism, accusing Holder of misleading Congress over what he and other top Justice Department officials knew about the Fast and Furious program and refusing to appoint a special counsel to investigate leaked national security details in recent media reports.

Holder rested his head on one hand as Cornyn recited a litany of allegations involving the attorney general's performance.

"I'm afraid we've come to an impasse," Cornyn said, adding that Holder "violated the public trust" in his view. "With regret, you've left me with no choice but to join those who call for you to resign your office."

Holder responded by calling Cornyn's list of allegations "almost breathtaking in its inaccuracy" and said: "I don't have any intention of resigning."

White House spokesman Jay Carney said Monday that President Barack Obama maintains "absolute confidence" in the attorney general, which Holder noted Tuesday.

Regarding congressional demands for Fast and Furious documents, including a House committee that plans to take up a contempt measure against Holder next week, the attorney general said good-faith efforts to work with the House panel have failed to reach a deal.

"The desire here is not for accommodation but for political point-making," Holder said, calling such behavior "the thing that turns people off about Washington."

In what appeared to be a coordinated move, Republicans, led by Sen. John McCain of Arizona, introduced a resolution Tuesday supporting the appointment of a special counsel to investigate the classified leaks.

McCain: Obama responsible for leaks

At the Judiciary Committee hearing, Republican senators said Holder's decision to appoint two U.S. attorneys to investigate, rather than a special counsel, failed to address the seriousness of the violations and represented a Democratic double standard.

The issue sparked angry exchanges between senators, with Chairman Pat Leahy of Vermont and Sen. Dick Durbin of Illinois, both Democrats, taking issue with arguments by Cornyn and Sen. Lindsey Graham, R-South Carolina, that Holder was acting improperly.

In response to Democratic support for Holder on the classified leaks investigation, Graham shot back: "If the shoe was on the other foot, you and everyone else on the other side would be crying to high heaven to appoint a special prosecutor that all of us could buy into."

Graham noted that as senators, Obama and Vice President Joe Biden had called for the appointment of a special counsel in past situations that involved Republican transgressions, such as White House leaks in the Valerie Plame case that revealed the identity of the CIA operative.

Senate breaks filibuster of Obama court pick

The current leaks were more serious, Graham argued, and Holder should do now what Obama and Biden had called for then.

However, Sen. Dianne Feinstein, D-California, who chairs the Senate Intelligence Committee and is a member of the judiciary panel, repeated her past contention that a special counsel's investigation would take too long to deal with the immediate threat from classified leaks.

She said she would oppose the McCain resolution, adding that Holder took the right step in naming two U.S. attorneys to investigate in addition to the FBI probe already under way.

Holder told the committee that both he and FBI Director Robert Mueller had been interviewed "because we were people who had knowledge of these matters, and we wanted to make sure that with regard to the investigation, that it began with us."

Describing his experience as "a serious interview that was done by some serious FBI agents," Holder said he believed about 100 interviews had been conducted so far.

Holder earlier offered to negotiate with congressional leaders on turning over documents involving Fast and Furious to avoid what he said could become a constitutional crisis. He later modified his characterization of the problem to a possible constitutional conflict.

"I am prepared to make compromises with regard to the documents to be made available," Holder said. At the same time, Holder said congressional Republicans must be open to working out an agreement.

"I've got to have a willing partner," Holder said. "I've extended my hand, and I'm waiting to hear back."

The House Oversight and Government Reform Committee will consider the contempt measure against Holder on June 20, a panel statement said Monday. A vote by the panel could occur that day, and the measure would then require approval from the full chamber.

Monday's announcement escalated a high-stakes, election-year face-off over what Republicans said is Holder's failure to respond to a subpoena for Justice Department documents on the botched operation.

Could Congress go from bad to worse?

The department has acknowledged the program, which allowed illegally purchased guns to "walk" across the border into Mexico, was badly flawed. Such sting operations have now been prohibited.

The department's Bureau of Alcohol, Tobacco, Firearms and Explosives, which lost track of more than 1,000 firearms after they crossed the border, found itself under fire when two of the lost weapons turned up at the scene of the killing of U.S. Border Patrol Agent Brian Terry in December 2010.

Terry's family has been among critics of the Justice Department's handling of the case.

On Tuesday, Sen. Chuck Grassley, R-Iowa, raised the matter in his opening statement and again in direct questioning of Holder, noting that questions remain almost a year after three whistle-blowers testified before the House Oversight and Goverment Reform Committee about gunrunning.

"Here we are, one year later, and the Terry family is still waiting for answers. They're still waiting for justice," Grassley said, noting assertions by House Republicans that sealed requests for wiretaps under the Fast and Furious program showed top Justice Department officials knew about the questionable operation long before so far acknowledged.

Holder repeated what he told a House committee last week -- that he read the affidavits and summaries and found no incriminating information.

"You reach conclusions on the basis of hindsight," Holder said. "I try to put myself in the place of people actually looking at the material at the time."

Holder has testified at eight congressional hearings on Operation Fast and Furious, and he has consistently maintained that he knew nothing about the flawed tactics until early last year.

The chairman of the House Oversight and Government Reform Committee, Rep. Darrell Issa, R-California, said Monday that the panel wants documents that explain why Holder and the Justice Department decided months later to retract a February 4, 2011, letter to Congress that denied any knowledge by senior officials of improper tactics in the gunrunning sting.

The Justice Department slammed the House committee's Monday announcement, calling it "unfortunate and unwarranted."

"From the beginning, Chairman Issa has distorted the facts, ignored testimony and flung inaccurate accusations at the attorney general and others, and this latest move fits within that tired political playbook that has so many Americans disillusioned with Washington," said spokeswoman Tracy Schmaler.

Both Issa and the Justice Department statement said a resolution still could be reached to avoid the contempt measure.

Last week, Holder assigned Ronald C. Machen Jr., U.S. attorney for the District of Columbia and a Democratic appointee, and Rod J. Rosenstein, U.S. attorney for the District of Maryland and a holdover GOP appointee, to lead the investigations into the alleged leaks.

McCain and other Republicans are insisting on a special counsel, contending that investigators within the system would face a conflict of interest in pursuing top government officials.

A recent report in The New York Times provided classified details of what it described as a U.S cyberattack targeting Iran's nuclear centrifuge program sparked the bipartisan outrage.

Other recent possible leaks of classified information included details on the administration's efforts to expand its drone program and Obama's involvement in "kill lists" against militants in Yemen and Pakistan.

The public airing of details surrounding a recently disrupted bomb plot in Yemen by al Qaeda in the Arabian Peninsula also angered intelligence and national security officials.

Republicans noted that some articles cited sources who took part in White House meetings, which they said showed that leaks were coming from administration officials.

Sen. Jon Kyl, R-Arizona, repeatedly asked Holder how two U.S. attorneys could effectively investigate top national security issues involved in White House meetings cited.

Holder insisted the attorneys he named were dogged prosecutors who would follow any lead, no matter where it took them.

Obama has strongly rejected claims that his White House has deliberately leaked secrets to the media, saying the idea was "offensive" and would put Americans at risk.

Graham, however, said Tuesday that the pattern of the administration was to be uncooperative on issues that might embarrass it -- such as Fast and Furious and now the classified leaks.

Holder responded the administration has prosecuted classified leaks more than any previous administration.

CNN's Ted Barrett and Carol Cratty contributed to this report.

@highlight

NEW: GOP Sen. John Cornyn calls for Attorney General Eric Holder to resign or be replaced

@highlight

NEW: Holder tells Senate panel he won't resign

@highlight

A House committee says it will consider a contempt measure against Holder

@highlight

Republicans criticize Holder over 'Fast and Furious' program, probe of classified leaks