MAE SOT, Thailand (CNN) -- Exchanging his sacred Bhuddist robes for a crucifix and his black-colored hair for bleached-blonde, 24-year-old Ashin Kovida found freedom in neighboring Thailand and escaped authorities within Myanmar's oppressive military regime intent on hunting down the pro-democracy leader.

Ashin Kovida made a narrow escape from Myanmar's military regime.

"The soldiers started shooting and I had a narrow escape, I saw monks being beaten," he told CNN, describing his exit.

His main offense? Acting as a key organizer of protest marches that slowly escalated until thousands took to the streets in a movement underscoring the people's desire for pro-democracy leadership.

The uprising, dubbed the Saffron Revolution for the monks' saffron-colored robes, lasted for several weeks before being snuffed out by the iron hand of the ruling junta. The protests were initially sparked by a huge fuel price increase imposed by the military government. They quickly became much more.

Video smuggled out of the secretive country has shown unarmed protesters being beaten by government security forces, and one man -- believed to be a Japanese journalist -- shot and killed at close range.

U.N. envoy Paulo Sergio Pinheiro has said as many as 110 people were believed to have been killed during the demonstrations -- including 40 Buddhist monks -- and 200 others beaten.

The regime has since admitted to detaining more than 2,900 people, but hundreds more remain in custody, some facing deplorable conditions.

Myanmar's humanitarian crisis has sparked international outrage, concern, attention and brought new focus to Aung San Suu Kyi, the Nobel laureate who has been under house arrest on and off for nearly 20 years in Yangon, the country's biggest city.

Pitting his Buddhist faith against Myanmar's oppressive military regime, Kovida described what inspired him to take a stand.

"I was an ordinary monk, but then I heard about the death in Bokoku I was surprised no monks came onto the streets," he said, describing an incident in the town of Bokoku in which one monk was publicly beaten to death at a rally. "So I wrote to other monasteries. We had a committee of fifteen who organized the protests."

The movement grew until the army cracked down, arresting hundreds and circulating posters showing Kovida marching at the front of the demonstration. He is wanted by Myanmar's military government, which accuses him of hatching a bomb plot he denies.

The Buddhist faith has given Kovida a quiet determination that eventually the military regime in Myanmar will be overthrown, but he has also called on the United Nations to step into the political fray where most citizens and monks dare to go no more.

"Our blood is on the street, most of the monasteries are empty. I can't estimate how many people in prison. When will U.N. Security Council take action?" asked Kovida.

The U.N. has already sent Ibrahim Gambari, the special envoy for Myanmar, and he is expected to return to Myanmar this week.

The enovy met earlier in October with the military junta leadership as well as with Suu Kyi, who has been the voice of democracy since 1989, when her National League for Democracy won the country's first free multiparty elections.

The military junta refused to hand over power and has kept her under tight wraps ever since.

In addition, U.N. envoy Pinheiro has been cleared to visit Myanmar for a fact-finding mission into reports of human rights violations during the September crackdown.

"I have been able to verify, through different independent and reliable sources, allegations of the use of excessive force by the security forces, including live ammunitions, rubber bullets, tear gas, bamboo and wood sticks, rubber batons and catapults (slingshots)," he said. "This largely explains the killings and the severe injuries reported."

He plans to arrive in Myanmar sometime before November 17, the date of the summit meeting of the Association of Southeast Asian Nations.

The humanitarian rights situation in Myanmar has also caught the attention of U.S. first lady Laura Bush who -- in a rare foray into foreign policy -- penned a commentary calling on the military junta to give up the "terror campaigns" against its people and allow democracy.

"Gen. Than Shwe and his deputies are a friendless regime," Bush said in her article, published in the Oct. 10 edition of the Wall Street Journal. "They should step aside to make way for a unified Burma (Myanmar) governed by legitimate leaders."

CNN's Dan Rivers and Tess Eastment contributed to this report

@highlight

A key organizer of monk protest marches in Myanmar escapes to Thailand.

@highlight

Tells CNN how he had a narrow escape after seeing monks being beaten

@highlight

He believes the military regime in Myanmar will eventually be overthrown