(CNN) -- The disappearance of Malaysia Airlines Flight 370 is arguably the greatest mystery in the history of commercial flight, with an extensive search failing to turn up a single piece of definitive evidence of its whereabouts.

On Sunday, the search vessel GO Phoenix is expected to arrive at its designated search area in the southern Indian Ocean to begin the next phase of the search.

The ship, and two others which will arrive within the month, will conduct detailed sonar sweeps in an attempt to locate wreckage of the plane.

Here's where we are with the search for MH370.

What happened initially?

Around 1:30 a.m. on March 8, air traffic controllers in Subang, outside Kuala Lumpur, lost contact with Malaysia Airlines Flight 370, a Boeing 777-200ER, over the sea between Malaysia and Vietnam.

The plane's transponder, which identifies the aircraft and relays details like altitude and speed to controllers, stopped transmitting, and the passenger jet seemingly disappeared without a trace.

Planes and ships from 14 countries initially searched areas of the South China Sea, south of Vietnam and the Malaysian peninsula.

The search was then widened and then shifted location as it was determined that the plane diverted south. Since then resources have been focused on a swathe of the Indian Ocean, around 2000 km (1242 miles) off the west coast of Australia, the so-called "seventh arc."

What has been done in the Indian Ocean so far?

After seven weeks of intense but fruitless searching, the international air effort to find the plane ended in late April, shifting the focus to an underwater search. Hopes were raised in May as radio beacon signals -- "pings" -- were thought to have been detected, but the area where the pings were thought to originate from was discounted in May.

Since the active search was postponed, the Australian government has been creating an accurate survey of the sea floor in the search area. One ship, from Dutch surveying company Fugro, continues to map the underwater topography. To date, over 111,000 square kilometers of the wide search area have been analyzed and mapped by the Australian government and its contractors.

The existing data for the sea floor in that area is at a very low resolution, says Stuart Minchin, head of the Environmental Geoscience Division of Geoscience Australia, the agency overseeing the mapping process. Getting an accurate picture is crucial as the drones that will be conducting the underwater sonar search in the upcoming phase will need to be guided with precision to avoid damage.

"In the second phase of the search, which involves towing devices close to the sea bed to get a very fine resolution picture of what's down there it's important to have that level of detail so we don't run into objects," he said.

"It's a long way from shore at very significant depths so it's a logistical challenge. It's unprecedented in terms of doing a survey of this size and in this remote location."

It has been an involved, long and difficult process.

"The recently acquired (underwater survey) data has revealed many of these seabed features for the first time," the Australian Transport Safety Bureau (ATSB), the agency leading the search, said in a statement. The survey also reveals finer features that were not visible in previous, low-resolution survey data.

At the request of the Malaysian government, the Australian government -- in particular the Australian Transport Safety Bureau (ATSB) -- has been tasked with leading the search.

"The complexities surrounding the search cannot be understated," the ATSB says. "It involves vast areas of the Indian Ocean with only limited known data and aircraft flight information."

What happens next?

The Australian government said in August that it has picked Fugro Survey, a Dutch company for the mapping and the next phase of undersea search, along with a vessel, the GO Phoenix, supplied by the Malaysian government.

The latter will, weather permitting, arrive at its assigned search zone late Sunday and, will deploy towed sonar to begin the search on on Monday and will conduct search activity for 12 days before going to Fremantle, in Western Australia, for resupply.

The search vessel will be joined by the two Dutch ships, the Fugro Discovery and the Fugro Equator, later in the month. The Equator is currently finishing up detailed mapping of the search zones.

"The current plan envisages that we will progressively cover our priority search areas over the course of about a year," Martin Dolan, Chief Commissioner and CEO of the ATSB, told CNN by phone.

What we know is that the aircraft will be found close to the arc, the final attempt at communication between the aircraft systems and ground stations. We've done progressively more refined and detailed analysis of the other satellite information that has enabled us to prioritise (search areas) along that arc.

"We have a high probability that the aircraft will be found at the southern end of that long arc. We now know in considerable detail what almost all of the search area looks like, we've mapped these in detail. We can tow our sonar equipment about 100 meters (329 ft) from the ocean floor in confidence that we won't run into any unexpected obstacles."

What happens if/when the wreckage is found?

Dolan says that it largely depends on where, and how, the plane is found. The Australian contingent, he says, is still discussing plans with their Malaysian colleagues on how to proceed in the event of a positive identification of plane wreckage.

"If you have a debris field identified, to be able to know what to do with it requires careful mapping and photographing, which will take up to a month," he says. "Until we've got that largely completed we won't understand the sequence of what we're able to do in relation to wreckage and human remains."

What happens if they don't find it within the current search timetable?

There is $60 million ($52.8 mil) earmarked by the Australian government for mapping and underwater search, and Australian expenditure is to be matched by Malaysian government. It is a significant resource upon which to draw, Dolan says.

However, "if at the end of that we haven't found the aircraft, then it's really going to be a matter for governments to decide what's next what resources they might wish to supply and I can't really preempt what that discussion might be."

@highlight

Next phase of search operations set to begin, with underwater sonar drogues to be deployed

@highlight

Search follows intensive sonar mapping of a huge area of seabed in the southern Indian Ocean

@highlight

MH370 disappeared without a trace over six months ago

@highlight

Even after an intensive search, nothing was found