(CNN)  -- When 3-year-old Finnegan Burns fell ill with complications from cystic fibrosis, his parents did what any loving parents would do. Kerry and Patrick Burns put their lives on hold to see their son through his medical travails.

Surgery after surgery, hospital after hospital, they remained by their child's side as he fought to recover.

This past March, at age 4½, Finnegan lost his battle with this terrible disease.

Following the indescribable anguish that comes with the death of a child, Kerry and Patrick might have hoped to resume their jobs and begin the process of moving forward with their lives.

What should have been a private and quiet period has instead been marked by a mountain of medical debt, home foreclosure and bankruptcy.

Like three-quarters of the families driven to bankruptcy by health-related costs, the Burns family had health insurance when Finnegan became ill. In fact, through a combination of employer-provided insurance, COBRA coverage and state-sponsored care, the vast majority of Finnegan's medical expenses were covered.

But to be by their son's side during his treatments, Finnegan's parents both took time off from work. With their reduced income, it was impossible for them to make ends meet.

According to a recent study by researchers at Harvard University and published in The American Journal of Medicine, medical costs, including lost wages, copays, deductibles, premiums, coverage limits and uncovered expenses, contributed to more than 62 percent all personal bankruptcy filings in 2007.

These costs can bankrupt even those with health insurance they thought was solid as a rock. As Congress moves forward with long-overdue legislation to improve and expand health insurance coverage, we should help the millions of Americans drowning in medical debt get a fresh start.

By ensuring that the vast majority of Americans have access to affordable health insurance, the broad health care reform legislation being debated in the Senate will reduce the number of bankruptcies caused by medical debt.

Even so, uncovered expenses such as lost wages can drive people to bankruptcy.

The Medical Bankruptcy Fairness Act would make it easier for those with high levels of medical expenses to discharge their debt and move on with their lives, by lifting unnecessary and burdensome procedural requirements for people who become insolvent because of unavoidable health costs.

For example, under the current system, a prospective bankruptcy filer must complete credit counseling, a requirement that includes a fee and is geared to people whose irresponsible spending led to bankruptcy.

For Kerry and Patrick Burns, the counseling was a cruel reminder of their loss. They were unable to, and should not have had to, answer the question: What could you have done differently to avoid your financial hardship? To add to the heartlessness of this nonsensical, government-imposed obligation, the credit counseling was an online program. A person would have seen how inappropriate it was to be asking that question.

In addition, the proposed legislation -- which has been offered as an amendment to the larger health care bill and also is pending before the Senate Judiciary Committee as a stand-alone bill -- would give the medically bankrupt increased flexibility in paying attorneys' fees and a greater chance of retaining their homes.

The bill, which would cost the taxpayers nothing, does not propose a bailout or handout. It would merely adjust the current bankruptcy rules to make the process less expensive and more accessible for those on the verge of losing everything because of uncontrollable medical expenses.

We hope that Congress will swiftly approve this common sense dose of compassion.

The opinions expressed in this commentary are solely those of Elizabeth Edwards and Sheldon Whitehouse.

@highlight

Authors tell story of Kerry and Patrick Burns, who lost home, went bankrupt after son died

@highlight

Authors: Couple took time off work to be with son and were left with huge medical bills

@highlight

Authors cite study that 62 percent of 2007 personal bankruptcies were medical

@highlight

They write Medical Bankruptcy Fairness Act would help people in such a crisis get fresh start