United Nations (CNN) -- The Sri Lankan government cried foul Tuesday after a U.N. panel said it has found credible allegations of war crimes and crimes against humanity committed by both sides during the final stages of the country's civil war.

A government spokesman called the panel's report "unacceptable," while Sri Lanka's External Affairs Ministry said the report is "fundamentally flawed" and based on "patently biased material."

The Tamil National Alliance, the main Tamil opposition party in parliament, once dubbed as a "proxy" to Tamil Tiger rebels during the conflict, said it concurs with the findings.

In the U.N. report released Monday, the three-member panel recommends the government of Sri Lanka immediately conduct an investigation into the alleged violations of international law and take other measures to "advance accountability."

In a statement, U.N. Secretary-General Ban Ki-moon's spokesman said Ban "sincerely hopes that this advisory report will make a contribution to full accountability and justice so that the Sri Lankan government and people will be able to proceed towards national reconciliation and peace."

Human rights groups have already alleged that both government troops and Tamil Tiger rebels violated humanitarian laws and that thousands of civilians were killed during the war, which ended in May 2009 after the government declared victory.

The rebels had fought a 26-year bloody separatist war that left thousands dead and large numbers of others internally displaced, according to the United Nations.

The U.N. panel started investigating in September 2010 and submitted its report April 12, the United Nations said. The decision to release the report now was made in order to be transparent and serve the public interest, Ban's spokesman said.

Sri Lanka's government "strongly rejected" the report by what it called an "illegal advisory committee." In a response posted last week on the country's official government news portal, it called the report "biased, baseless and unilateral."

The report focuses on the final phase of the military campaign to defeat the rebels, a phase that has been shrouded in controversy in part because local and international media were barred from access to the battle zones.

Sri Lanka's government and the rebels have denied war crimes allegations. Sri Lankan President Mahinda Rajapaksa has also said "not one civilian was shot dead" by government troops.

The panel, however, said its findings reveal "a very different version" of events than that maintained by the government.

It said it found "credible allegations, which if proven, indicate that a wide range of serious violations of international humanitarian law and international humanitarian rights law was committed both by the government of Sri Lanka and the LTTE (rebels), some of which would amount to war crimes and crimes against humanity."

In the war's final stage, which lasted from September 2008 to May 2009, the Sri Lankan army advanced into an area of northern Sri Lanka known as the Vanni, where about 330,000 people were trapped by fighting.

The report said the government used "large-scale and widespread shelling" that left large numbers of civilians dead.

Some of the shelling happened in no-fire zones where the government had encouraged civilians to congregate, the report said. Government forces also shelled a U.N. hub, food distribution lines and near ships belonging to the International Committee of the Red Cross that were picking up the wounded and their relatives from beaches, the report said.

The government also shelled hospitals on the front lines, some of them repeatedly, the report said.

"Most civilian casualties in the final phases of the war were caused by government shelling," it said.

While government forces screened civilians for suspected rebels, some civilians were summarily executed and some of the women may have been raped, the report said. Others disappeared, and some of those detained in camps were tortured, it added.

The rebels, meanwhile, used civilians as hostages or human shields during the fighting, the report found. Tamil Tiger rebels also used forced recruitment -- including of children as young as 14 -- and forced civilians to dig trenches and other military positions, blurring the distinction between combatants and civilians and exposing the latter to further harm, it said.

Starting in February 2009, the rebels also started "point-blank shooting of civilians" who tried to flee the conflict zone, the report found.

"I pray to God every day to give strength and courage to the secretary general of the United Nations, for him to do the right thing for the sake of tens of thousands of men and women, young and old, able and disable, (who) died in vain or have disappeared without trace," Father S.J. Emmanuel, head of the Global Tamil Forum, said from London.

"In my opinion for any meaningful and sustainable reconciliation to succeed, accountability for the past is mandatory."

Sri Lanka's president has already appointed a Lessons Learnt and Reconciliation Commission, saying it would be sufficient to investigate allegations of war crimes, but the U.N. panel called the commission "deeply flawed" and ineffective.

"The government's notion of accountability is not in accordance with international standards," the panel said.

Instead, the panel recommended the government start "genuine investigations" into the allegations.

It also said Sri Lanka should take other immediate measures including facilitating the recovery and return of human remains to their families; provide death certificates for the dead and missing; release all displaced people and facilitate their return; and disclose the fate and location of people reported to have been "forcibly disappeared."

For suspected rebels, the panel said, the government should publish the names of all those detained; allow detainees regular access to family members and legal counsel; and either charge or release detainees.

The United Nations itself did not escape some criticism. The panel recommended a review of U.N. actions during and after the war, looking at how it implemented humanitarian and protection mandates.

Ban's spokesman said he would "respond positively" to that recommendation.

Journalist Iqbal Athas contributed to this report.

@highlight

The opposition party says it concurs with the findings

@highlight

The UN panel says both the government and rebels likely committed war crimes

@highlight

It recommends an immediate Sri Lankan investigation

@highlight

The report focuses on the final stages of the war, which ended in May 2009