Washington (CNN) -- President Barack Obama on Thursday placed the United States squarely on the side of democratic reform in the Middle East and North Africa, declaring in a major policy speech that the wave of change sweeping the region "cannot be denied."

Addressing a global audience, Obama condemned the use of force against Arab Spring protesters by longtime allies and adversaries alike.  He also said the eruption of demands for greater opportunity in Arab nations could be used to kick-start stalled Israeli-Palestinian peace talks.

At the same time, Obama applied his own pressure by declaring as policy the long-held idea that a future Palestinian state should be based on borders that existed before the 1967 Middle East war.

In the past, the United States has unofficially supported a two-state solution to the Israel-Palestinian conflict based on the borders in place prior to the war 44 years ago in which Israel seized the West Bank, Gaza Strip, Golan Heights and Sinai Peninsula. Obama became the first president to formally endorse the policy, but he acknowledged the need for modifications through the negotiating process due to conditions on the ground.

Obama also dismissed the notion of al Qaeda-style extremism appealing to future generations of Muslims, asserting that the organization was "losing its struggle for relevance" long before the killing of Osama bin Laden on May 2.

The president's speech -- the subject of intense speculation in recent days -- was a long-promised overview of America's changing Middle East policy in the wake of the Arab Spring that started unfolding in Tunisia last December.

In recent months, Washington has often appeared to struggle to keep up with the pace of events not only in Tunisia, but also in Egypt, Libya, Syria, Yemen, Bahrain, and elsewhere.

Administration officials have also wrestled with an Arab suspicion of U.S. motives fueled by decades of American support for the region's autocratic regimes.

"Shouts of human dignity are being heard across the region," Obama declared, speaking in front of a group of diplomatic and military officials at the State Department.  "We support political and economic reform in the Middle East and North Africa that can meet the legitimate aspirations of ordinary people throughout the region."

The president acknowledged that "there will be times" when America's "short-term interests do not align perfectly with our long-term vision."

"But we can -- and will -- speak out for a set of core principles" including freedom of religion and expression, and equality under the law, he promised.

"It will be years before this story reaches its end," Obama said.  But "the events of the past six months show us that strategies of oppression and strategies of diversion will not work anymore."

Among other things, Obama accused Iran of hypocrisy for publicly supporting protests in parts of the Arab world after violently cracking down on protests at home.

He blasted the Syrian regime for reacting to dissent by choosing "the path of murder and the mass arrests."

"The Syrian people have shown their courage in demanding a transition to democracy," Obama said.  President Bashar al-Assad "now has a choice: he can lead that transition, or get out of the way."

On Wednesday, Obama imposed new sanctions against al-Assad and other top officials in Damascus.

Obama also criticized the crackdown against Shiite protesters in Bahrain -- a key Persian Gulf ally and home of the U.S. Navy's Fifth Fleet.  The president made no mention of struggles for greater rights in neighboring Saudi Arabia, another close ally.

A large portion of the president's speech was devoted to the Israel-Palestinian conflict.  The administration's strategy for a comprehensive settlement has been seemingly derailed in recent months.  Former Sen. George Mitchell unexpectedly submitted his resignation as the president's Mideast envoy Friday, and deadly clashes broke out Sunday between pro-Palestinian protesters and Israeli forces.

Ongoing Israeli settlement construction in the West Bank and Palestinian steps toward a unilateral declaration of statehood have driven the two sides further apart since Obama took office.

Additional doubts about the viability of the stalled peace process were raised this month in the wake of a formal reconciliation agreement between the two largest Palestinian factions: President Mahmoud Abbas' party, the West Bank-based Fatah; and the Islamist group Hamas, which rules Gaza.

Both Israel and the United States consider Hamas a terrorist organization and have voiced strong opposition to the inclusion of the group in any unity government, demanding that it first renounce violence, recognize the state of Israel and abide by all previous agreements.

Nevertheless, the president renewed his push for a two-state solution Thursday, declaring that the borders of Israel and a future Palestinian state should be based on pre-1967 lines "with mutually agreed swaps, so that secure and recognized borders are established for both states."

"The full and phased withdrawal" of Israeli security forces from the West Bank has to be accompanied by evidence of a Palestinian state that can help secure the peace and prevent attacks against Israel, he said.

But a continued Israeli presence in the West Bank is inconsistent with long-term dreams of a secure Jewish and democratic state, Obama said.

"The Palestinian people must have the right to govern themselves, and reach their potential, in a sovereign and contiguous state," the president said.

Neither the Palestinians nor the Israelis offered a warm response to Obama's speech.

Hamas called Obama's remarks "empty of concrete significance" and promised not to recognize "the Israeli occupation."  Israeli Prime Minister Benjamin Netanyahu's office stated that Washington should stand by previous U.S. commitments relating "to Israel not having to withdraw to the 1967 lines, which are both indefensible and which would leave major Israeli population centers ... beyond those lines."

On a broader regional level, Obama stressed the importance of economic development to accompany political reforms.  Toward that end, he announced $1 billion in debt forgiveness for Egypt, as well as another $1 billion in loan guarantees for Cairo.

He also promised a new "comprehensive" trade and investment partnership initiative with the Middle East and North Africa.  Europe will play a key role in moving the initiative forward, he said.

Obama also defended U.S. and NATO intervention in Libya, arguing the move was necessary to prevent an imminent massacre.

"Time is working against (Libyan leader Moammar) Gadhafi," he asserted.  When Gadhafi goes, "decades of provocation will come to an end" and a democratic transition can begin, he said.

Thursday's speech came nearly two years after Obama delivered an address in Cairo, the Egyptian capital, that called for "a new beginning" between the United States and the Muslim world.

Today, many in the Middle East and North Africa consider the Cairo speech a collection of lofty ideals that lacked sufficient follow-through, and they have been looking for Obama to signal substantive and concrete policies that support the aspirations of the region's people.

Marwan Muasher, a former Jordanian foreign minister and longtime advocate of Arab reform, said Wednesday that the Middle East is a new environment now, where young men and women are laying their lives on the line for democracy throughout the region. They need to be told their cause is just and how the United States will support them.

If Thursday's address is viewed as just "another Cairo speech, forget it," said Muasher, now at the Carnegie Endowment for International Peace. "It was great two years ago, and even then the feedback was mixed, because people wanted to see what he would do.  If he doesn't have much to add this time, people will not be fooled by it."

Gigi Ibrahim, a 24-year-old Egyptian activist and blogger, predicted Obama's words will have little impact in her country.

"At this point, whatever President Obama will address will really be irrelevant to what the situation is now because we're really building democracy from the bottom up," Ibrahim told CNN, adding that "America is not the model of democracy that we are striving for."

She called U.S. policy on the Middle East "hypocritical" because, she said, the United States "will support a dictatorship if it's aligned with its interests."

That attitude is still rife throughout the Middle East and North Africa, noted CNN senior political analyst David Gergen.

With Egypt facing economic crisis, the Libyan conflict at a stalemate, an ongoing harsh crackdown on demonstrators in Syria and the Israeli-Palestinian peace process at a standstill, there is little belief in the region that Obama or the United States can do much to help, Gergen said.

"I think it's going to be very difficult in the near term to generate excitement about his policies in the Middle East," Gergen said.

Obama's speech came in a week when the White House is strongly focused on Middle East issues. He met Tuesday with Jordan's King Abdullah II at the White House, and will meet Friday with Netanyahu.

CNN's Elise Labott and Matt Smith contributed to this story.

@highlight

Events show oppression will not work in the Middle East anymore, Obama says

@highlight

The president announces $2 billion in assistance for Egypt

@highlight

He announces a trade plan for the region

@highlight

A two-state Arab-Israeli solution should be based on 1967 borders, Obama says