(CNN) -- Mexico City, home to 20 million people, represents the paradox of the modern Mexico, the side-by-side juxtaposition -- in everything from politics to architecture -- of old and new.

Turn a corner, and you'll see a church that is 300 years old. Turn another, and you can get Wi-Fi in a Starbucks.

The Distrito Federal, also known as Mexico City, serves as a constant reminder that Mexicans are about maintaining tradition, except when they're sidestepping it. They're about moving forward, except when they are unable to let go of the past. They're about preserving memory, except when they have amnesia.

For example, when it comes to forgiving the corrupt Institutional Revolutionary Party (also known by its initials, PRI), whose leaders brutalized the Mexican people and plundered the country for much of the 20th century, they have short memories; they recently returned the PRI to power by electing Enrique Pena Nieto to the presidency. He takes office December 1.

But when it comes to the aftermath of the U.S.-Mexican war, which lasted from 1846 to 1848 and resulted in the United States seizing half of Mexico's territory -- the modern-day U.S. Southwest -- Mexicans' memories are long, and forgiveness isn't easy to find. Even after all these years, in diplomatic circles, you still hear talk of the "sovereignty" issue -- which, loosely defined, means the constant effort by Mexico to keep the United States from meddling in its domestic affairs and the need for the U.S. to tread lightly.

News: In Mexico, Central American immigrants under fire

I went to Mexico City recently as part of a delegation of Mexican-American and American Jewish leaders organized by the Latino and Latin American Institute of the American Jewish Committee. For the global Jewish advocacy organization, the goal of the trip was to strengthen relations between Mexican-Americans and Jews in the United States.

Although my grandfather was born in Chihuahua and came to the United States with his family as a boy during the Mexican Revolution, I'm hopelessly American. This is my fourth trip to Mexico City in the past 15 years, and I still feel like a foreigner. With each visit, the place reinvents itself.

As becomes clear when one spends any length of time here, this beautiful city is also the place where taboos disappear -- except when they don't. A liberal island in this overwhelming Roman Catholic country, the city legalized early-term abortion in 2007 and gay marriage and single-sex adoption in 2010. Pena Nieto has even broached a topic that would have been heresy just to mention 20 years ago: amending the Mexican Constitution to allow foreign companies to enter into contracts with the Mexican government and drill for oil on land and in the Gulf of Mexico.

And yet, even with all the progress and openness in Mexico over the past few years, there is still one subject that no one talks about, one that is still off-limits: race.

The enduring taboo subject is skin color, whether an individual's complexion betrays an allegiance to the Spanish who conquered the Aztec empire in 1521 or the Aztecs who were conquered. It's no exaggeration to say that, in this country and especially in this city, the best, highest-paying, most important jobs often seem to go to those who, in addition to having the best education and the strongest connections, have the lightest skin.

On television, in politics and in academia, you see light-skinned people. On construction sites, in police forces and in restaurant kitchens, you're more likely to find those who are dark-skinned. In the priciest neighborhoods, the homeowners have light skin, and the housekeepers are dark. Everyone knows this, and yet no one talks about it, at least not in elite circles.

Nor do Mexicans seem all that eager to discuss the larger dynamic that race feeds into: the fact that this is, and has always been, a country of deep divisions. In the 100 years since the Mexican Revolution, one part of Mexico has often been at war with another: urban vs. rural, rich vs. poor and, yes, dark-skinned vs. light-skinned.

It's one reason that institutions such as the economy, the political system and the social structure haven't matured as quickly as they should have, given Mexico's advantages.

This country of 120 million people has ports, highways, airports and skyscrapers. It takes in billions of dollars every year in revenues from oil and natural gas, and billions more from tourism and remittances from Mexican migrants living abroad. Mexico's economy is growing faster than the U.S. economy, and investments are flowing in from Asia and Europe. It's consistently within the top three of trading partners for the United States. But what good is all that when only a small number of the population can live up to their full potential? Prejudice kills progress.

The hour is late. It's time for Mexico to confront the color line and free itself of its past. Or it won't have much of a future.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette: In Mexico, the old and new are juxtaposed in everything

@highlight

Navarrette: Issues break down into urban vs. rural, dark-skinned vs. light-skinned

@highlight

Light-skinned Mexicans have the advantages, he says, but nobody talks about this bias

@highlight

Many Mexicans can't achieve their potential, he says, and prejudice kills Mexico's progress