Giglio, Italy (CNN) -- Engineers succeeded Tuesday in righting the Costa Concordia cruise liner off the Italian island of Giglio, where it had capsized when it ran aground in January 2012, killing dozens of people.

"She is standing upright better than anyone thought she would be," said Nick Sloane, the senior salvage master, about the vessel three football fields in length. "When she started moving, she moved slowly but surely. There was no twisting at all. It was exactly as the plan said it would be."

In an unprecedented and painstaking process that involved massive pulleys, cables and steel tanks, the 500-person salvage crew from 26 countries rolled the 114,000-ton vessel off the rocks on which it had rested since it ran aground.

"It was a perfect operation, I would say," said Franco Porcellacchia, the head of the technical team for the cruise line Costa Crochiere, owned by American firm Carnival Cruises.

The effort began at 9 a.m. Monday. By midnight, despite delays caused by thunderstorms and the need to tighten a slack cable, the ship had been hauled off the rocks and upward about 25 degrees. That was far enough for the salvage crew to start drawing water into massive steel boxes attached to the exposed side of the hull and then use the weight of that water to finish rolling the hulk onto a steel platform built off the sea floor.

Four hours later, the wrecked ship was resting on the platform, said Franco Gabrielli, the head of Italy's Civil Protection Authority. Once the ship was righted, a slashing, diagonal line could be seen separating the white paint of the exposed hull from the brownish muck that had collected on its starboard side.

There appeared to be no sign of leaks, Gabrielli told reporters -- a promising sign, as the wrecked liner is full of spoiled food and chemicals in material such as paint and lubricants.

"The sides of the ship will need major work and repair, but today we have really taken a clear step to allow the ship to be taken away," Gabrielli said.

But first, authorities will temporarily take back possession of the site to look for the bodies of two crew members still missing, Sloane said.

Once the salvage crew regains possession of the ship, they will find much work remains, Gabrielli said. A robotic submarine equipped with surveillance cameras will survey the damaged side of the ship and create models needed in planning for the next phase of operations -- the attachment of more buoyancy chambers called sponsons to the starboard side.

Once those are installed, water will be pumped out of the sponsons to refloat the vessel. Organizers expect the ship won't be towed away for dismantling until the summer of 2014.

"We will have a lot of things in the next few days to understand what needs to done to bring this venture to a conclusion," Porcellacchia said.

But Tuesday's predawn accomplishment was met with applause from the people of Giglio, a tiny island that was transformed by the disaster.

"We are not at the end of the operation, but this is a very important achievement," Giglio Mayor Sergio Ortelli said.

No sign of lost victims' remains

The Costa Concordia ran aground off Giglio in January 2012, killing 32 of the 4,200 people on board. The remains of Russel Rebello of India and Maria Grazia Trecarichi of Sicily have not been recovered.

Rebello, 33, was a cruise waiter who was last seen helping passengers off the ship. Trecarichi was on the cruise to celebrate her 50th birthday with her 17-year-old daughter, who survived.

The nearly $800 million effort is the largest maritime salvage operation ever, according to Costa Crochiere and its partners, Florida-based Titan Salvage and the Italian marine contractor Micoperi. Reporters and sightseers lined the port and the hillsides during the operation.

A complex process

Monday's process, known as parbuckling, was the first step in the plan to remove and scrap the 952-foot ship. The Concordia was rotated onto giant platforms 30 meters (about 98 feet) below the water level, which leaves parts of the ship that have been dry for months submerged and filled with water.

No ship this large or heavy had ever been parbuckled before. Normally, crews would have blown up the ship or taken it apart on site -- a cheaper route than what's being done now.

But officials say that wasn't an option with the Costa Concordia, because the ship is filled with noxious substances and because the two bodies are believed to be either trapped beneath or inside the ship.

What's inside of wrecked cruise ship?

Hundreds of people and dozens of companies have collaborated on the preparations, but the parbuckling came down to 12 people, including salvage master Sloane and specialized technicians, who guided the operation from inside a prefabricated control room set up on a tower on a barge in front of the ship.

In preparation for Monday, towers were anchored onto the rocky shore and fitted with computer-operated pulley-like wheels.

When the rotation began, the wheels guided thick cables and chains that pulled the middle third of the ship from under its belly toward Giglio. At the same time, more chains and cables attached to the sponsons welded onto the ship's port side pulled the ship from the top toward the open sea.

Has master mariner in charge of salvage met his match?

Noxious substances, other items on board

If things had gone wrong, the ship could have broken apart, causing the toxic contents of the ship to leak.

They include thousands of liters of lubricants, paints, insecticides, glue and paint thinners as well as 10 tanks of oxygen and 3,929 liters of carbon dioxide.

Refrigerators filled with milk, cheese, eggs and vegetables have been closed tight since the disaster.

And the freezers that remain intact contain the rotting remnants of what were once 1,268 kilograms of chicken breasts, 8,200 kilograms of beef, 2,460 kilograms of cheese and 6,850 liters of ice cream.

The salvage operators set up two rings of oil booms equipped with sponges and skirts that extend into the water to catch any escaping debris.

Francesco Schettino, the captain who guided the ship off course, faces charges of manslaughter, causing a maritime disaster and abandoning ship with passengers still on board. His trial resumes September 23 in Grosseto.

A guarantee for the nervous cruiser

5 convicted over deadly shipwreck in Italy

Barbie Latza Nadeau and CNN's Livia Borghese reported from Giglio. CNN's Matt Smith reported from Atlanta. CNN's Ed Payne contributed to this report.

@highlight

NEW: "It was exactly as the plan said it would be," the senior salvage master says

@highlight

The Costa Concordia righted in "perfect operation," the technical team's chief says

@highlight

It's a massive undertaking that had never been done with such a large ship

@highlight

Two bodies are believed to be in or near the wreckage