Lausanne, Switzerland (CNN)Talks to reach a deal on a framework agreement on Iran's nuclear program will be extended an extra day, U.S. officials said Tuesday.

"‎We've made enough progress in the last days to merit staying until Wednesday. There are several difficult issues still remaining,"‎ State Department spokeswoman Marie Harf said.

White House press secretary Josh Earnest said the talks in Lausanne would continue another day as "long as the conversations continue to be productive."

Diplomats and negotiators worked late as an initial deadline approached, but more time appeared necessary to reach a framework deal.

How long talks will continue was unclear. French Foreign Minister Laurent Fabius informed the Iranians that he will return to Paris at dawn Wednesday in an apparent effort to force the Iranians' hand, Western diplomatic sources told CNN.

Hamid Ba'idinejad from Iran's Foreign Ministry said earlier Tuesday there are no "artificial" deadlines and a deal will be reached, when each issue has been resolved.

Diplomats told CNN that there has been progress, but gaps remain.

For Iran, that means there's a light at the end of the tunnel for crippling sanctions. For the West, it means real hope that it's possible to loosen up on Tehran while still being confident that it won't develop nuclear weapons.

The international sanctions relief issue has been resolved, according to Ba'idinejad. "We have had long discussions on this, but there are issues that are related to sanctions that are still under consideration,"  Ba'idinejad said. He added that is not the only issue that needs to be worked out.

The thing is, nuclear physics is complicated. So are the international dynamics anytime you're talking about Iran and the West, with mutual distrust and contempt a shared sentiment for years.

That's why it's taken so long to even get to this point, and why what's happening in Lausanne matters. Before you can iron out nitty-gritty technical details in a permanent, comprehensive pact  -- which carries the more important deadline of June 30 -- you have to agree on what you're going to talk about.

What happens if Wednesday passes and there's no framework agreement? In the short term, it appears, not much.

Iran's power rises, with or without deal

The real deadline isn't for three months, after all. As for the March 31 date, there's nothing to stop the parties from continuing to talk -- though an Iranian official told state-run Press TV that no one had raised the idea of an extension as of late Monday.

"All emphasize that the chance should not be missed, and they are all doing their best," Ba'idinejad said.

So far, there's been a lot of meetings, with occasional smiles for cameras followed by foreign ministers talking behind closed doors.

After working through the previous night, representatives from the key players -- most of them foreign ministers -- met all day Tuesday to try to resolve differences in what Chinese Foreign Minister Wang Yi described as "the final stage" of "these marathon-like negotiations."

The parties are either on the verge of a milestone agreement or still separated on some crucial points, depending on who you listen to.

Russian Foreign Minister Sergey Lavrov is among the optimists. Russia has been closer than most to Iran even as it's gone along with sanctions.

"Prospects for this round of talks are not bad, I would even say good," Lavrov said before heading to Switzerland for the final round of negotiations, according to state-run Sputnik news agency. "The chances are high."

But in comments Monday to CNN, a more cautious Kerry conceded there was "a little more light there today, but there are still some tricky issues."

"There still remain some difficult issues," the top U.S. diplomat said. "We are working very hard to work those through ... with a view to get something done."

21 questions on Iranian nuclear talks

Iran has been under intense international pressure and has faced crippling sanctions over its nuclear program for years.

The sides began moving away from stalemate with Iranians' 2013 election of President Hassan Rouhani, who has insisted that Iran wants a peaceful nuclear energy program but not weapons. Viewed as a moderate -- especially compared with other powerful figures in Iran, including the country's Supreme Leader Ayatollah Ali Khamenei -- Rouhani campaigned on a platform that he'd work to help Iran's economy by reducing its rifts with the outside world.

His government has had some success easing those tensions, spearheading interim agreements that have loosened some sanctions. But a comprehensive and final deal has remained elusive.

There's been discussion on what to do with Iran's existing fissile material -- which is important because, as long as it's still around, that will make it easier to produce a nuclear weapon more quickly. Still, U.S. officials suggested Monday the debate over this has been overblown, with Harf calling it one outstanding issue though "it hasn't, quite honestly, been one of the toughest ones."

More important are three points that have dominated the talks in Lausanne:

• How quickly or slowly Iran will be allowed to advance its nuclear technology in the last five years of the 15-year agreement.

• How quickly the crushing U.N. sanctions will go away.

• Whether sanctions will snap back into place if Iran violates the deal.

Iran wants them gone for good. Lavrov claims that the U.N. Security Council will lift the sanctions right away, but other international negotiators want to merely suspend them, so they can be reapplied as leverage if Iran does not keep its end of the bargain.

Agreement on those points is crucial, a Western diplomat said.

"There cannot be an agreement if we do not have answers to these questions," the diplomat said.

Another point of contention: what to do with the nuclear substances Iran already has.

Diplomats had told journalists about a plan for Iran to ship its fissile material to Russia. The idea is that if Tehran doesn't have a nuclear stockpile at its fingertips, it will have a longer "breakout time" to make a nuclear weapon should negotiations fall apart.

Iran isn't ready to do that, one of its negotiators said Sunday.

"The export of stocks of enriched uranium is not in our program," Iranian Deputy Foreign Minister Abbas Araghchi said, "and we do not intend to send them abroad."

But on Monday, U.S. officials said the rumblings in the media about the stockpile issue were overblown.

Negotiators had not yet decided any specifics about the disposal of fissile material, and Iran has made the comments many times before, a senior State Department official said, citing a list of previous examples of such statements in press reports.

With or without a deal, a lot can change in the next three months. For one, the devil is in the details -- any one of which could throw everyone back to square one.

Then there's the possibility that a deal ironed out in Switzerland is rejected by any of the key players.

That's been raised as a possibility in the United States, even though a Washington Post-ABC News Poll conducted in the past few days found that 59% of respondents support a deal in Iran that would restrict its nuclear program in exchange for the lifting of sanctions.

Earlier this month, 47 Republican senators wrote directly to the Iranian government, reminding it that any deal it reaches with U.S. President Barack Obama might be moot once his term ends in less than two years.

One person leading the charge against a possible deal, even though he'll have no direct part in shaping it, is Israeli Prime Minister Benjamin Netanyahu.

Reiterating points he made earlier this month to the U.S. Congress, Netanyahu said Tuesday "the greatest threat to our security and safety and our future is Iranians' attempt to become nuclear."

"And the agreement that is being formed in Lausanne," the Israeli leader said, "is paving the road to that result."

CNN's Elise Labott reported from Lausanne, and Steve Almasy and Greg Botelho reported and wrote from Atlanta. Jethro Mullen wrote and reported from Hong Kong. CNN's Ben Brumfield, Jim Sciutto, Nimet Kirac and Catherine E. Shoichet contributed to this report.

@highlight

Sources tell CNN that French foreign minister has told Iranians he is leaving early Wednesday morning

@highlight

Netanyahu: "Agreement ... in Lausanne is paving" way for Iran nuclear weapons

@highlight

Iran, world powers talking to set up parameters for framework deal on Iran's nuclear program