Editor's note: Peter Bregman is chief executive of Bregman Partners, Inc., a global management consulting firm, and the author of "Point B: A Short Guide to Leading a Big Change". He writes a weekly column, How We Work, for HarvardBusiness.org.

Peter Bregman says recession is an opportunity to reorient the focus of your working life to what you love to do.

NEW YORK (CNN) -- A friend of mine, a senior leader in a pharmaceutical company, spends all her spare time doing yoga, taking classes in comparative religions, reading about spirituality, speaking with others about their beliefs. Just talking about it energizes her.

Which is not how she feels about her day job.

"Why don't you leave your job and do something with this full time?" I asked her.

"I've thought about it. But I could never make the kind of money I make now."

She might be right. But the question isn't whether she could make as much money. Even if she stays in her job she's unlikely to do that in this economy.

The question is far broader and more interesting. What would her life look like -- in every dimension she values -- if she decided to pursue her passion full time?

She needs to consider the contribution she'd make. The relationships she'd foster. The fun she'd have. The feelings she'd carry with her throughout the day. Her engagement in her work. In short, what her life would mean.

And, of course, also the money. Which, as it turns out, might actually be greater if she were more engaged in her work. Gallup has collected data on 5.4 million employees in over 137 countries and concluded that engaged employees are more productive and customer-focused. And more profitable. Which could mean more money for her.

But why are we even having this conversation during the worst downturn this country has seen in the last 70 years? Isn't she lucky simply to have a job?

Yes. And, because of that, she's also stuck. For better and worse, she probably won't leave.

But maybe you're not so lucky -- you've been laid off or might be soon; you're a student coming into the job market; or like several people I know, you've been thinking about a change.

Well, this is your opportunity. You didn't want to risk a change when things were going well. There was too much to lose.

But this downturn, this economic mess we're in, could be your chance. When everything was going well, we spent money we didn't have thinking we would make more tomorrow. Well, tomorrow came. It's easy to point a finger at Bernie Madoff (and he deserves the finger), but the truth is, it's not just him. We're all victims of our own little Ponzi Schemes. But now we know.

The life we've been living, the debt we've been incurring, is unsustainable. Maybe the layoff is a favor. You were treated as expendable. But were you, working those long hours to keep a job you didn't love, treating your self as expendable too?

Depressing? Sure. But now that we know, we can do something about it.

I don't want to be cavalier; I know food on the table is a necessity. We still need work and money. Here are our new rules for finding it:

Rule #1: Don't spend too much time looking for your next job. As I discuss in my article for Harvard Business, "Need to Find a Job? Stop Looking So Hard," searching for a job more than 1-2 hours a day will actually make it less likely you'll find one.

Rule #2: Focus your time on what you're truly passionate about. Get more training. Expand your comfort zone with new activities, new people. Studies show that 80 percent of jobs are found through networking. Which is what you're doing when you pursue your passion with other people. So do it without guilt. Spend your newfound spare time doing what you enjoy with people whom you enjoy.

Rule #3: Let those people know you want to make your money doing these things. Don't hammer it in. Just mention it. Once.

Successful people are passionate, obsessed. And obsession isn't motivated by money. It's deeper than that. Find your obsession. Let it loose.

Employers want to hire someone who is naturally driven. Self-motivated. You'll work at your obsession all the time because you want to. And that kind of persistence, that kind of focus, is worth a lot of money.

But don't make the mistake of chasing the money. That's what got us into this mess in the first place. Let the money chase you. iReport.com: Brown-bagging lunch to save money? Send video

Most people are afraid to do that. Afraid of the risk. Afraid of the gap in their resume. They try to cover it up. Find ways to explain it away. But my advice to employers is hire for the gap. It's often the most interesting part of a person's life. What does a person do when they don't have anything they have to do? What do they do in their spare time? If you can hire someone for that, you'll find your star.

This isn't the time to be afraid of risk. It's too late. You're already in the risk. You might not have chosen it, but why not take control and act as if you had?

Remember my friend working at the pharmaceutical company -- the one with the job? By staying in work she doesn't love, she's taking a risk too. She's risking her life.

Imagine how great she would be, how much she would offer, how much she would gain, if she devoted herself to her passion?

Now how about you?

Let's become a nation of people who love what we do.

The opinions expressed in this commentary are solely those of Peter Bregman.

@highlight

Peter Bregman: The recession provides an opportunity as well as a challenge

@highlight

He says people who were working just for money now can rethink what they do

@highlight

He says, if you were laid off, focus your time on what you love doing

@highlight

Bregman: Spending time with people is best route to fulfilling new job