A severed hand travels down a conveyor belt in a coal plant -- the pale, smooth skin of the hand half buried in shards of black coal.

This macabre yet visually arresting scene sets the tone for "Black Coal, Thin Ice," a Chinese arthouse thriller that has achieved the miraculous triple whammy of winning over critics, captivating audiences, and pleasing the notorious Film Bureau censorship panel.

All this achieved without a hint of martial arts clichés or special effects, potentially signaling a new era of Chinese filmmaking.

A classic detective story plot line drives the movie: when body parts start appearing in a northern Chinese town, an overweight  former cop who drinks too much turns vigilante and seeks out the serial killer. Along the way he falls in love with a woman connected to the murders.

Top Berlin award

Directed by Diao Yinan, a relatively unknown name outside of the festival circuit, the film hit headlines in February when it won the Golden Bear, the top prize at the prestigious Berlin International Film Festival, as well as a Best Actor trophy for its lead, Liao Fan.

It further raised eyebrows when China's State Administration of Press, Publication, Radio, Film and Television, or SARFT, passed the film for domestic screening with just a handful of edits -- a rarity for a film based in politically sensitive themes of coal mining and depressed cops.

The cherry landed on top when the film opened in China on March 19 to unexpectedly high box office earnings. State-run news agency Xinhua reported the movie raked in US$12.8 million in its first two weeks, becoming the current king of Chinese language cinema.

"I did think that we would do better than other Chinese award-winners, but I never thought we could possibly reach the RMB 100 million mark," says Diao, who was attending the Hong Kong International Film Festival.

The success of "Black Coal, Thin Ice" is a possible game changer for the global film industry. If Chinese films continue to be so well-rounded, it could challenge the Hollywood-dominated global film scene.

Changing tastes

The Chinese film market is the second largest in the world in terms of box office performance, and fast on it's way to surpassing the United States. According to a report by the Motion Picture Association of America (MPAA), China's box office sales in 2013 achieved $3.6 billion and grew by 27%, compared to the 1% growth observed in the U.S. Many insiders predict it will surpass the U.S. in six years.

SARFT announced an alarmingly rapid proliferation of cinemas in China in 2013, with an average of 13 new theaters being built per day. The country's first 7D cinema opened this week in the northern province of Shanxi, while in Qingdao, on the eastern coast, the Dalian Wanda Group is constructing what is says will be the world's biggest film and television hub.

While there's no problem getting the Chinese audience to fill the seats in all those new cinemas, there is concern over raising the overall quality of the films that they will be watching.

"When I read reports by Hollywood reporters and critics, they always seem to look down on Chinese films," says Diao. "I think they [Chinese officials] want to change this phenomenon. They don't want the masses to watch films with little cultural value. It can't all be like 'Where Are We Going, Dad?'"

The director was referring to a spin-off of a domestic hit reality TV show featuring celebrity dads and their kids. According to Xinhua, the movie took nearly $15 million on its first day in China, breaking the record for a single day's earnings for a Chinese language movie.

Loosening the reigns, just a bit

Part of the strategy for changing the taste of movie-goers is to provide better films. This requires censors to loosen their grip and communicate with filmmakers better.

Diao believes his film is setting a precedence for works that ride the balance of art and political correctness. He consciously made his film "arthouse for the mainstream," injecting commercial elements to a gritty script.

"If you tell a good story, you can also honestly express your views and attitudes towards society, life, and humanity. It will just be in an indirect manner," he says.

Originally inspired by American novelist Nathaniel Hawthorne's short story, "Wakefield," Diao reworked the screenplay over five years, incorporating a crowd-pleasing "cops and robbers" plot and film noir elements, citing directors John Huston, David Lynch, and the Coen Brothers as influences. "It's about good people chasing after villains. We all loved these stories as kids and we still do as adults."

Apparently, even the censors loved it. Diao describes the censorship process as "smooth" with just "five or six changes" after a polite back and forth with members of SARFT.

But it isn't smooth sailing for all. Leading Chinese filmmaker Jia Zhangke recently won Best Screenplay at the Cannes Film Festival for "A Touch of Sin," a work based on violent true-life events. The movie lingers in censorship limbo in China today.

'Optimistic'

Diao argues that "things are already much easier now than before" and that filmmakers should be optimistic, as nurturing high quality cinema is a priority for a China concerned with gaining voice in the international cultural arena.

"All art and culture in the end is judged and determined by the market. Film will be the same. As the Chinese market grows, it will be able to compete with the U.S. for the right to speak. We want to speak through our films. We want to be accepted as equals," says Diao.

"We don't want to be liked just because we are being overtly politically critical, or just because we are showing a dark side of society. We have our own understanding of film. Film is about beauty. We want to conquer you with beauty and with our Eastern sensibilities."

@highlight

"Black Coal, Thin Ice" reigns over domestic box office for Chinese language film

@highlight

China film market to surpass the U.S. in six years

@highlight

Censors loosen grip in the midst of market boom

@highlight

Filmmaker wants to be on equal footing with Hollywood