East Porterville, California (CNN) -- California's historic drought has finally delivered its ultimate devastation: hundreds of homes in one community bone dry, devoid of tap water.

The Central Valley farming community of East Porterville is a place where 400 homes are without running water. No showers. No flushing toilets. No way to wash dishes.

That's because private wells have run dry. Turning the spigot is a futile exercise.

"At first, it was dread that came over us. What are we going to do?" said Tony Alvarez, 62, a father of five whose home has been without water for weeks. "We are a low-income family. Things are hard enough as it is, trying to get everybody to school and get everybody ready."

The worst of the drought is tormenting the Tulare County community 160 miles north of downtown Los Angeles.

In East Porterville, drinking water comes from private wells, not public utilities. Of the community's 7,300 residents, nearly 1,000 are without running water, county officials said.

Into this void has stepped a 71-year-old grandmother who saw a need and responded.

She started by buying bottled water with her own money and delivering it to a list of people -- which just kept getting longer.

'An angel'

What began as a mission of charity by Donna Johnson, a retiree, is now a well-publicized relief effort, inspiring businesses and others to donate bottled water.

"She has a big heart. She's an angel," resident Angelica Gallegos said of Johnson.

Johnson regularly visits Gallegos' door to ensure that she, her 5- and 10-year-old girls and husband have enough water for the week, Gallegos said. Johnson does the same for the elderly, the sick and anyone who needs it.

She interrupted her retirement when she discovered just how many of her neighbors were living without running water.

"So many people were not informed of what to do in a drought like this. I thought there are people who don't speak English, people that are elderly, they're pregnant, have diabetes, that are ill, everyday people. It doesn't have any prejudice. It affects everybody from the low-income to the higher-income person," Johnson said.

State of emergency

Johnson's humanitarian project comes as 100% of California faces at least a moderate drought and more than half of the state faces the worst category of dryness, called an exceptional drought, the U.S. Drought Monitor says.

California isn't the only state feeling an absence of rain. As of late September, 30% of the Lower 48 faced at least a moderate drought, particularly in the Southwest states neighboring California and in Texas, the Drought Monitor says.

But none of those states is facing the extremes of California, where the drought has been a slowly building natural disaster since 2012. In fact, Gov. Jerry Brown this year declared a state emergency, saying his constituents are facing "perhaps the worst drought that California has ever seen since records (began) about 100 years ago."

On September 16, Brown signed "historic legislation" that creates "a framework for sustainable, local groundwater management for the first time in California history," the governor's office said. Before the new legislation, California was the only Western state that didn't manage its groundwater, officials said.

In the meantime, dramatic struggles and responses are unfolding in communities like East Porterville, whose new heroine is receiving national attention.

With one jug of water in each arm, Johnson moves at a frantic pace through the dust and often 100-degree heat to deliver drinking water to as many people as possible, as fast as she can. She is now assisted by Matt Rogers, her 19-year-old neighbor who saw how she helps people suffering from the drought.

"It's almost like an illness. It kind of spreads and all of a sudden it's a catastrophe, and it is a disaster," Johnson said.

Ahead of officials

Without Johnson's effort, officials say they would not have known just how many people were hurting.

"She really helped raise awareness about how bad it was in this confined area," Tulare County Emergency Services Manager Andrew Lockman said.

Many residents never thought the drought could so profoundly alter their lives.

"You never expect it and you never want to live through this. It's really hard," 17-year-old Sandra Tapia said as Johnson delivered water.

Her father, a field hand, came home one day in August and discovered there was no running water for his family of six.

"You can't go to the bathroom, you can't take a shower, you can't wash dishes. You have to conserve every single drop," Tapia said.

Officials say they value Johnson's bringing attention to the disaster because some residents simply don't know what would happen if they told authorities about their lack of running water.

Community in fear

For example, some residents worried the government would red-tag their homes and make them move. Migrant workers worried their landlords would kick them out if they reported the problem. Undocumented immigrants panicked about being deported if they had contact with authorities.

Authorities sought to soothe those suspicions and fears.

"We're not here to make things worse," Lockman said.

The 400 private wells without water in East Porterville are just a fraction of the 30,000 private wells throughout Tulare County, which also includes portions of the Sierra Nevada and the Sequoia and Kings Canyon national parks, officials said.

As distressing as the empty wells are, officials are also concerned it will take a long time to restore all of them, whether empty or low.

"The issue is we still expect this to get worse, even if we get a substantial rainfall this winter. A lot of the areas in the county are going to take a year or two years to recharge their water levels," Lockman added.

There is no quick fix.

A grandmother weeps

Homes with private wells aren't hooked up to water mains, and such a connection could take years, officials said. The original deal was that residents with private wells would not get a water bill but were responsible for maintaining the wells.

That became a problem in the drought because many residents can't afford the thousands of dollars it takes to drill a deeper well. Moreover, even if residents have the money, there is up to a two-year backlog to hire a company to do the job, officials said.

In the meantime, county officials are helping residents secure grants for delivery of commercial bottled water.

For now, the county is offering a 5,000-gallon tank of water outside the local fire department. Residents can't use that water to drink or wash dishes because it's not potable, but they can use it for toilets, baths and laundry. Residents show up not just with buckets but 55-gallon drums.

On a recent afternoon, as he filled up several jugs of water, Alvarez, the father of five whose home has been without water for weeks, called the tank a real help, but he worried about folks who don't have transportation and are out of water.

That is where Johnson comes in.

At first, she bought the bottled water with her own money and delivered it herself, but now she enjoys donations of bottled water and help from the young neighbor who was inspired by her work.

She labors voluntarily through the heat three days a week, but the demands of one recent day proved to be overwhelming: Johnson broke down in tears, feeling the depths of the insidious disaster.

She finds comfort in her work, though. That's because her private well has run dry, too, and she savors the kindness of donations.

"Without water, you can't survive, you can't keep your home and you can't keep water in it, and my heart goes out to everybody," she said.

@highlight

California's historic drought leaves nearly a thousand people without water

@highlight

Residents filled with dread when water stopped coming out of their taps

@highlight

A grandmother ends her retirement to help out neighbors who don't have water

@highlight

She buys and delivers bottled water, inspiring donations