Syria/ United Nations (CNN) -- As diplomats at the United Nations slammed Syria, violence continued to rage on the ground and residents wondered out loud what the implications of total war might be.

"Everyone we've been talking to ... believes that the country is heading towards, or already is in, a full-blown war, and recovering from that is going to be incredibly challenging," said CNN's Arwa Damon, who reported from inside Syria early Tuesday.

She spoke from an opposition safe house, describing a near constant flow of people and information. CNN is not disclosing her exact location because of concerns for her safety.

"What a lot of people are realizing and accepting at this stage is that this is going to be bloody battle -- that more lives are going to be lost," said Damon.

She reported from Syria one day after the U.N. high commissioner for human rights said she is outraged by the country's "ongoing onslaught" on its citizens. Navi Pillay spoke before the U.N. General Assembly, which could issue a formal condemnation of the Syrian regime.

Her harsh comments prompted an angry defense from Syria's ambassador, who complained of an "unprecedented" media and political campaign to incite the opposition in his country.

As they spoke, some Syrian towns and cities came under fresh attack with soldiers going door to door rounding up civilians, rolling their tanks through towns, or continuing their shelling of neighborhoods, according to activists and residents.

More than 680 people died last week in Syria, most of whom were killed in Homs, according to the Local Coordination Committees of Syria, a network of opposition activists.

On Monday, 30 civilians -- including two children -- were killed in violence, the LCC said. Most were in the areas of Homs and Idlib.

The state-run Syrian Arab News Agency reported a funeral was held for 19 soldiers and officers killed by terrorists throughout the country.

CNN cannot independently confirm details of the events in Syria because the government has severely limited the access of international journalists.

"The nature and scale of abuses committed by Syrian forces indicates that crimes against humanity are likely to have been committed since March 2011," Pillay said, referring to the start of the popular uprising against the regime of Syrian President Bashar al-Assad, which prompted his government to crack down on protesters.

"Independent, credible, and corroborated accounts indicate that these abuses have taken place as part of a widespread and systematic attack on civilians.

"Furthermore, the breadth and patterns of attacks by military and security forces on civilians and the widespread destruction of homes, hospitals, schools, and other civilian infrastructure indicate approval or complicity by the authorities at the highest levels," Pillay said.

By end of the day Monday, a General Assembly draft resolution that would condemn Syrian human rights violations had not been formally introduced. It was unclear when it would be, also when there might be a vote.

The vote would be nonbinding but would be the strongest U.N. statement yet on the violence. Russia and China vetoed a previous attempt by the U.N. Security Council to condemn Syria for the crackdown.

"The people of Syria justifiably feel that the United Nations has shamefully abandoned their cause. We must, as individual member states and collectively, send them a clear signal that this is not the case," British Ambassador to the U.N. Mark Lyall Grant told diplomats.

Syria's U.N. ambassador, Bashar Jaafari, said the "aggressive, illegitimate" criticism of his country is designed to undermine the government.

An Arab League proposal over the weekend for a joint U.N.-Arab peacekeeping force in the country is an "incitement to terrorism," he said, because it would provide support to opposition fighters.

Jaafari also said the proposal seeks to trample on Syria's sovereignty.

"We in Syria could not imagine sending soldiers to defend Occupy Wall Street protesters. Neither we or any other government can imagine sending forces to protect demonstrators in London or Paris," he said. "The state has exclusive responsibility for defending security on its national territory."

Russian officials said Monday they were studying the Arab League proposal, but they indicated reluctance to sign on, saying the permission of the host country is necessary for peacekeepers to enter.

A peacekeeping mission also implies there is peace first, which is not the case in Syria, Russian Foreign Minister Sergey Lavrov said.

China supports the league's mediation in Syria, said Foreign Ministry spokesman Liu Weimin, but he stopped short of saying whether Beijing would approve the proposal.

Along with a peacekeeping mission, the Arab League urged member states to provide political and financial support to the Syrian opposition and to cut ties with Damascus.

Syria has said it is simply fighting armed terrorist groups in its country. Jaafari cited last week's bombing of two government buildings in Aleppo, which killed 28 people, and a January bombing in Damascus that killed 26 as examples of terrorist groups -- specifically al Qaeda -- that are active in the country.

"The vast losses in Syria among civilians and security forces is a deep wound," Jaafari said. "We are sad, but we place the responsibility for those losses at the door of those who are attempting to obtain political interests by using Syrian blood as currency."

Residents of besieged Syrian areas such as Homs, where hundreds have died in the past nine days, say it is civilians who are bearing the brunt of the attacks. They describe indiscriminate bombings of homes, snipers in the streets, arbitrary arrests and attacks on hospitals by government forces.

The destruction by al-Assad forces has also yielded a humanitarian crisis. Residents in Homs report scarce or nonexistent access to food, water and electricity.

The United Nations is putting humanitarian supplies in place for distribution as soon as access is granted, Martin Nesirky, a spokesman for the U.N. secretary-general, said Monday.

Syrian Arab Red Crescent volunteers were able to distribute food, blankets and other supplies to Homs and another city thanks to a brief cease-fire but say other areas are too dangerous for them to enter, the International Committee of the Red Cross said.

Pillay said most of the wounded avoid going to public hospitals for fear of being arrested or tortured. Instead, they are being treated in underground hospitals where hygiene and sterilization conditions are rudimentary and medical supplies are scarce, she said.

Speaking in Washington alongside the Turkish Foreign Minster, U.S. Secretary of State Hillary Clinton promised to help get aid to those wounded and dying.

"We are increasing our funding to organizations like the Red Crescent, the International Committee for the Red Cross and we're working directly with Syrian organizations at the grassroots to help families who have no electricity, food or clean water," she said.

Pillay said at least 5,400 people have died since protests seeking al-Assad's ouster began nearly a year ago. The LCC says the toll has far exceeded 7,000.

CNN's Alla Eshchenko, Nada Husseini, Nick Paton Walsh, Mick Krever, Richard Roth, and Eunice Yoon contributed to this report.

@highlight

NEW: CNN's Arwa Damon reports from inside Syria

@highlight

NEW: "The country is heading towards, or already is in, a full-blown war," she says

@highlight

A funeral is held for 19 soldiers and officers killed by terrorists, SANA reports

@highlight

U.S. Secretary of State Clinton vows to help get aid to those wounded and dying