(CNN) -- It's a bit like train-spotting but rather more serious. On October 10, Korea-watchers pored over live televised coverage of a massive military parade in Pyongyang, held to mark the 65th anniversary of North Korea's ruling party. Just like the Soviet parades of yore, it was a chance to see what military hardware the North might be showing off.

The official news agency said the parade showed "the will and might of Songun Korea to wipe out the enemy." The hardware was accompanied by slogans such as "Defeat the U.S. Military. U.S. soldiers are the Korean People's Army's enemy." And besides the incredible synchronized goose-stepping, there were tanks and new missiles.

Analysts paid special attention to the first public appearance of a road-mobile ballistic missile with a projected range of between 3,000 and 4,000 kilometers (roughly 1,900 to 2,400 miles), though reports of its existence had circulated for several years. There was also a new version of the No-dong ballistic missile, with a tri-conic nosecone, on show. That led Aviation Weekly and others to observe design similarities to Iran's Shahab missiles, suggesting further military cooperation between the two governments.

North Korea's nuclear capability and ballistic missile technology are its trump card, to make up for its aging conventional forces and as a bargaining chip in negotiations. So that's what receives the bulk of funding and expertise. But despite economic stagnation, technological limitations and international sanctions, its conventional forces can't be discounted, if only because of their size.

According to South Korean analysts, the North scraped together what little foreign exchange it had to buy $65 million of weapons from China, Russia and eastern Europe between 2002 and 2008. One example: It appears to have bought Chinese-made ZM-87 anti-personnel lasers, using one to "illuminate" two U.S. Army Apache helicopters flying along the southern side of the Demilitarized Zone in 2003. None of the crew members was injured.

China says it continues to be open to military collaboration with Pyongyang and last month welcomed a senior North Korean official to Beijing to "enhance coordination of the two militaries." China is thought to have supplied the North with multiple rocket launchers and spare parts for planes, among other equipment. Pyongyang has also turned to Iran and Egypt for military transfers.

Much of the North's hardware is locally built using Chinese and Russian templates. It has begun deploying a new tank, called the P'okpoong (Storm), which is modeled on the Russian T-62 tank but hardly a match for modern U.S. battle tanks. It's not clear how many of these are in service, but Jane's Armed Forces Editor Alexander von Rosenbach says it is thought that only a few have been delivered -- and they lack devices like thermal imaging sights.

Also on show at the October parade: a new surface-to-air missile similar to a Chinese model. Jane's concluded that it represented "a major expansion in North Korea's air defense potential," with a radar/guidance system that would be harder to jam. And although little is known about the size and scope of the North's artillery, the barrage fired this week at Yeonpyeong Island suggests that it can't be ignored.

The North Korean regime has also devoted great resources to developing its navy, not with battleships but fast-attack vessels and an array of submarines. Jane's estimates that it has more than 400 surface vessels. And it is not hesitant to use its maritime forces, as demonstrated by the sinking of the 1,200-ton South Korean corvette Cheonan by a torpedo in March. But in a confrontation, the South Korean navy is likely to come off best, as happened in a firefight in 1999.

The main weakness of the North's military is a chronic shortage of computers, modern command and control and electronic warfare assets -- in other words, much of what makes up the 21st-century battlefield. At the same time, South Korea has used its economic strength to modernize its armed forces: for example, building three $1 billion Aegis-class destroyers to counter ballistic missiles.

The same applies in the air. North Korea's air force largely comprises aging Soviet MiG fighters (though it has some MiG 29s) that would be unable to compete with South Korean F-15 jets or the F-16 fighters of the U.S. 7th Air Force, based in South Korea. In addition, the North's air force has suffered fuel shortages, and Jane's estimated that the North's fighter pilots may get as little as 25 flying hours per year. The North Koreans also have a large fleet of Russian-design biplanes that would be better suited to crop-spraying but could be used to drop special forces behind enemy lines in the event of conflict.

To compensate for obsolescence, the North deploys boots on the ground in great numbers. Jane's estimates that its standing army numbers just over 1 million personnel, with reserves estimated at more than 7 million. But North Korean soldiers are poorly fed, according to analysts and reports from defectors, and rarely train due to scarcity of fuel and ammunition

Despite the size of its armed forces, few analysts expect that the regime in the North would want to launch a general assault on the South, knowing that it would probably be repulsed and that in turn would imperil the regime. It might also ignite dissent.

"With the ongoing leadership transition in North Korea, there have been rumors of discontent within the military, and the current actions may reflect miscommunications or worse within the North's command-and-control structure," geopolitical risk analysis firm Stratfor says.

There is another practical reason why a land invasion would be difficult. South Korea has built an array of obstructions on roads from the North that would force an invader's tanks off the pavement and into rice fields. Only in the winter would those fields be hard enough to allow the tanks to cross them.

Short of a general assault, the North clearly has enough in its arsenal to cause damage and death to its adversary, as the torpedo attack in March and the barrage this week have shown. And it has thousands of artillery pieces close to the Demilitarized Zone, which is just 30 kilometers (18 miles) from Seoul. Recent events show that  it is also quite ready to exploit the element of surprise.

There remains the great unanswered question about intentions. There's plenty of what one expert calls "echo chamber analysis." But as former President Carter wrote with a hint of understatement in the Washington Post on Wednesday: "No one can completely understand the motivations of the North Koreans."

@highlight

A massive military parade in October gave a rare window on North Korea's hardware

@highlight

Its nuclear capability and ballistic missile technology are its trump card

@highlight

Most analysts doubt North Korea would want to launch a direct assault on the South

@highlight

But recent developments show it has enough in its arsenal to cause damage and death