Editor's note: This is part of a series of reports CNN.com is featuring from an upcoming, six-hour television event, "God's Warriors," hosted by CNN chief international correspondent Christiane Amanpour.

Madeleine Albright: "In order to effectively conduct foreign policy today, you have to understand the role of God and religion."

WASHINGTON (CNN) -- As U.S. secretary of state under former President Clinton, Madeleine Albright invested long hours in the Middle East peace process. She wrote about the relationship between politics and religion in her 2006 book, "The Mighty and the Almighty."

CNN producer Jen Christensen recently spoke with Albright for "God's Warriors." Here is an edited portion of their conversation:

CNN: Growing up I was told that in polite conversation you never talk about two things: politics and religion; however, our documentary, "God's Warriors," is going to do just that. Part of the problem though in looking at these issues is the loaded quality of the language. Even our starting point. We essentially had to create a term, "God's Warriors," as the traditional term "fundamentalism" seemed problematic. Did you encounter the same problem when you were writing "The Mighty and the Almighty"? Watch the making of the TV special "God's Warriors" »

Albright: Well, I think it's a very hard term, fundamentalism, as you're obviously finding. Historically, it's a term that described Christians who believed that everything that was in the Bible was exactly so. But now it's been used to describe everybody in the three Abrahamic religions who is conservative or reactionary. One of the things that I found in writing my book [was] that fundamentalism was a term that I was having trouble with. Because it has gotten ascribed to it a lot of negative associations.

CNN: In your book, you argue for a better understanding of religion in the U.S. foreign policy arena. Isn't that a revolutionary idea for this generation of diplomats trained more in the realist school of foreign policy?

Albright: As a practitioner of foreign policy, I certainly come from the generation of people who used to say, "X problem is complicated enough. Let's not bring God and religion into it." But through my being in office, and as I explored the subject much further in writing "The Mighty and the Almighty," I really thought that the opposite is true. In order to effectively conduct foreign policy today, you have to understand the role of God and religion. ... My sense is that we don't fully understand, because one, it's pretty complicated, and two, everyone in the U.S. believes in a separation of church and state, so you think, "Well, if we don't believe in the convergence of church and state, then perhaps we shouldn't worry about the role of religion." I think we do that now at our own peril. Religion is instrumental in shaping ideas and policies. It's an essential part of everyday life in a whole host of countries. And obviously it plays a role in how these countries behave, so we need to know what the religious influence is.

CNN: We interviewed a human rights lawyer in Jerusalem, Danny Seidemann, who has on occasion helped peace negotiators in Israel get ready for talks. He said one of the main problems with President Clinton's Camp David [talks] was that a lot of the preparation was done by "yuppies in Ramallah, yuppies in Tel Aviv and yuppies in the Beltway." And that they didn't really understand the religious people who in the end would have to buy into the results of the negotiations in order for them to succeed. He said without that understanding the agreement was doomed.

Albright: Well, I can't say I fully agree with him. I've talked about what I think we did right and what we did wrong at Camp David. I think that there was a mistake made, which was not understanding how difficult the issue of Jerusalem and the holy places would be. If Jerusalem was just a real estate issue, we would have resolved it a long time ago. But because the parties believe that God gave them that piece of land, then obviously there's another presence in the room that we needed to take into account. I disagree with the statement because President Clinton knew a great deal about the religious background. I had the honor of working for two democratic presidents, President Carter and President Clinton, and they're both very religious and both very knowledgeable about the religious backgrounds of the Middle East.

CNN: The fate of Jerusalem seems to be a particularly tricky issue.

Albright: Anybody that can really solve that issue is a Solomon. With this being holy to all three of the Abrahamic religions, it's very difficult. And religion, rather than bringing people together on this, is driving them apart, which ... I don't think [is] what is intended. It's so interesting; we're talking about the whole issue of sovereignty here. Because the parties both believed that God gave them that little piece of land, we started playing with a term, which was that it belonged to God. Divine sovereignty. Anybody who's been to Jerusalem can see why it is so complicated. Physically, religious holy places are completely intertwined, one on top of the other. So in many ways, there's great appeal to saying it belongs to God, and then trying to figure out how it [is] administered, maybe through some international group of some kind.

CNN: Is Jerusalem a place where we could have this kind of utopian area, where the three faiths could all live peacefully together?

Albright: Well, ideally, though it certainly doesn't seem that way at this point. And while the United States or the [Mideast] Quartet needs to play a key role in what to do with Jerusalem, ultimately the parties there in Israel are the ones that have to make the hard decisions. If there ever is a will to do this, just think about the incredible opportunities here. People would be able to learn about all three of these great religions in the same place. They'd be able to see how they relate to each other. It does sound a little utopian, well, very utopian at this point, but Jerusalem is an incredible place.

I found the first time I went to Jerusalem, my initial reaction was, people are arguing over all this all the time, it made me think, well, there can't be a God, why would God put up with this? And then I had the total opposite reaction. One that stays with me, which is that there are so many holy places and symbols there, and all anybody talks about is their relationship to those symbols and to God, and therefore the power of God must be so strong there. I just think that it would be much better if people could figure out ... how to agree about it.

CNN: So, therefore, how to figure out the fate Jerusalem is the perfect example of why we need to include religious understanding in our foreign policy.

Albright: Definitely. I am not a theologian, and I have not turned into a religious mystic, but I am a practical problem solver. So I'm looking at religion from the perspective of how knowledge about what people believe in can be useful in terms of trying to resolve the most serious disputes.

I think one of the major problems is that here in the United States, particularly, there is very little understanding of Islam. We all act as if Islam is a monolithic religion and that all Muslims live in the Middle East. The bottom line is most Muslims in the world don't live in the Middle East. They live in Indonesia, or Malaysia, or India, um, Pakistan. Second, there are a number of different sects within Islam. Now I think more people understand the difference between Shia and Sunni, but that is just the beginning. We really do not know anything about it.

I think it behooves our diplomats to be very knowledgeable about religion when they are sent to a country. They obviously learn the language and the history [and] culture; they also need to learn about the religion, too.

CNN: What impact has the religious right had on politics?

Albright: Everybody ... has [an] impact on politics, that's what democracy is about. I think they have more of an impact on domestic than foreign policy.

CNN: But you mention in your book that some gave you a hard time when you were the U.S. representative to the U.N.

Albright: Well, the extremists really are very nervous in terms of the question of sovereignty and the creation of an international organization, which they misinterpret to be world government, which it actually is not. And then there are the even more extreme views -- you know, some of them saw the secretary-general as the antichrist and that I was consorting with the devil. These are the people who are afraid of the U.N., because they think it has black helicopters that will swoop down and steal your lawn furniture. And then there are some people who don't like the U.N. because it's full of foreigners, which frankly can't be helped. So you have a wide range of critics there. E-mail to a friend

@highlight

Albright served as U.S. secretary of state under former President Clinton

@highlight

She wrote about the relationship between politics and religion in her 2006 book

@highlight

"Religion is instrumental in shaping ideas and policies," she says