Cartagena, Colombia (CNN) -- Cartagena , the historic jewel of Colombia's Caribbean coast, is a secret that's getting out.

The city's spectacular setting is a draw in itself. Protected by ancient stone walls that enclose its vibrant port, Cartagena is almost entirely surrounded by the Caribbean Sea. Pink, yellow and purple buildings line the cobblestone streets of the old city, faded after centuries under the powerful sun. Billowing flower boxes droop over balconies, drawing the eye up Spanish colonial facades.

Painted doors of all shapes and sizes open onto lush courtyards or mysterious wine cellars. Behind many doors visitors will find first-class dining and some of the most interesting boutique shopping in the Caribbean.

Between January and August 2010, more than 111,000 international visitors came to Colombia, up 9% from the year before, according to Colombian immigration authorities. Of those visitors, 11% made Cartagena their primary destination.

Historically, Colombia's struggles with crime have scared away tourists. But violence associated with Colombia's infamous drug trafficking is steadily declining, and Cartagena continues to be one of the safest cities in Colombia.

Another darker side of history dates back much further: the Spanish Inquisition. Cartagena was a vital seaport for Spain after colonists founded the city in 1533, and the coastal city remained under Spanish rule for more than 275 years.

In 1610, a tribunal was established in Cartagena as part of the effort to preserve Catholic orthodoxy in Spain and its kingdoms. The Palacio de la Inquisicion, in the middle of the old city, is not for the faint of heart. Guides will (sometimes gleefully) take visitors through every instrument of torture used against those the Catholic Church deemed heretics. Note: Smiling for photos may feel awkward.

Escape the grim scene onto one of Cartagena's grand public squares and you'll find locals singing and selling paintings, CDs, hats and whatever else there is to offer while the old timers look on from benches surrounding the square.

Take a walk on the 16th-century walls of the old city. From there, the sea stretches as far as the eye can see. Near the walls, mopeds and buses scurry in and out of the city. The buses are apt to screech to a sudden halt before their stops and pick up again without warning. Riders should try to anticipate the driver's next move, as hopping off at speeds of 10 mph or more seems routine. Getting around can be both alarming and comical.

Relax and quench your thirst with some of the most coveted and exotic fruit juices in the world, like guanabana, lulo and nispero. The guanabana with a hint of milk added is a frothy delight. Everywhere you look in town there are fruit stands with tiny windows for taking juice orders. Behind them old ladies use every tool at their disposal to whack and whomp the fruit until the juices pour over the white plastic cups handed out to patrons.

One lime-aid guy's reputation as the best in town is confirmed by the lines that form down the street when his cart appears. He works quickly, making a delicious drink out of the most basic of recipes: hand-chopped ice, fresh limes and sugar.

If you want to explore beyond the city walls, arrange a boat ride at the harbor and watch the old city merge into the new as you pull away from the dock. Modern glass towers occupy a thin stretch of peninsula called Bocagrande. They appear to be built from the sea up to the sky and provide a sharp contrast to the adjacent old city.

An hour's boat ride will get you to the Rosario Islands. The local beaches in Cartagena are somewhat grimy and tourists often opt for a daytime excursion. Lay out on a sunbed overlooking the sea and snooze to the sound of the waves softly crashing on the beach. For a more active afternoon, try scuba diving and snorkeling offshore. Spend the rest of the day noshing on fresh seafood and fruit.

Boat back into town to dry off and watch the sunset at the CafÃ© del Mar. It's a hot spot that attracts tourists and locals and rests on top of the stone walls that surround the city. Enjoy a michelada (a local favorite of beer with lime juice in a salt rimmed glass) and watch the sunset over the Caribbean. Once the sun goes down, the cafÃ© heats up with go-go dancers whose silhouettes are framed against the dark sea by smoke machines and laser lights.

Stroll down into the city through plazas shadowed by cathedrals and peppered with restaurants. Travelers on a budget can find yummy eats at the more casual restaurants with seating spilling out onto the plazas. Sit outside and you may have a front row seat to an impromptu musical performance.

You'll need a reservation at La Vitrola, one of Cartagena's most famous restaurants. Occasionally a bodyguard of a distinguished political patron will be waiting outside, leaving the regular diner to wonder who might be sitting at the next table. (It's common for these politicos to have security and the average traveler needn't take this as a sign that their safety will be compromised.)

A Cuban band plays into the night as guests dine on local and Cuban-inspired cuisine. Renowned Colombian-born author Gabriel Garcia Marquez is known to dine at La Vitrola frequently and as a sign of Cartagena's growing foodie reputation, just last month Tripadvisor listed Cartagena as one of the top wine and food destinations of Central and South America.

The evening can go anywhere from here. The dance clubs are just starting to buzz and there is music pouring into the streets from the balconies and doors. Everyone dances here. It's a form of courtship and communication between the sexes. Movement and color, swirling skirts and libation; the old city is alive and pulsing.

One you're ready to hang up your shoes you can catch a horse-drawn carriage back to your hotel. A delightful way to end the evening, but wait! Your entertainment may not be over yet.

Roaming mariachis may run alongside your carriage and hop on, hoping to serenade you all the way to your hotel (in exchange for a few coins). Some have memorized tunes they consider to be distinctly American.

You haven't fully experienced Cartagena until you've had a mariachi sprint alongside and jump on your carriage belting out "Hotel California" at 4 a.m., refusing to surrender until you've heard the whole song.

@highlight

Colombia is steadily drawing more international visitors

@highlight

Cartagena offers a sophisticated Caribbean experience

@highlight

Bright colors, music and dancing pump up the lively atmosphere