(CNN) -- Think of it as a giant barometer for climate science.

With a new groundbreaking study on climate change seemingly coming out every other week, it can be hard to keep up with the latest findings. Fortunately, every five to six years, the United Nations sums it up in a comprehensive report.

That's what's going on this week in the Swedish capital Stockholm, where the latest Assessment Report from the Intergovernmental Panel on Climate Change is set for release on Friday. The document will bring together the latest research from top scientists around the field.

The IPCC is recognized as the leading authority on the subject of global climate change. The first section of its new report -- the fifth since the organization was formed in 1988 by the United Nations and the World Meteorological Organization -- contains a "Summary for Policymakers," aimed at guiding politicians and lawmakers worldwide on decisions regarding the environment over the next several years.

The amount of research that goes into each section of the report is staggering. Friday's report is the culmination of work by over 250 authors from 39 countries and was subject to an extensive review process involving more than 1,000 experts.

In addition to the rigorous scientific review, representatives of 195 governments are meeting in Stockholm to approve, line-by-line, each section of the Summary for Policymakers before its release.

More than 850 expert authors from 85 countries contributed research for the full report, which will be released in three stages through April. The first, on the physical science behind climate change, will accompany the Summary for Policymakers on Friday. The second, expected in March, will cover "impacts and vulnerabilities" of climate change; the third, on mitigation efforts, is set to go out in April.

Bloomberg: Why Sandy forced cities to take lead on climate change

What is expected in the report

Friday's report is expected to contain language that further identifies the role human activity is playing in increasing global temperatures through burning of fossil fuels and greenhouse gas emissions.

The last report, in 2007, indicated that it was "very likely" that humans were responsible for most of the observed warming -- a judgment that corresponds to a confidence level greater than 90%. A draft that leaked in August raised that confidence level to "extremely likely," or greater than 95% confidence that humans are responsible for the majority of global warming through carbon pollution.

The impacts of this warming are already being seen through increases in extreme weather events like heat waves, droughts, and extreme flooding events, which the assessment will highlight.

The report will lay out projections for climate change through the end of the century, based upon four different carbon emission scenarios. Those range from a low end which would require significant cutbacks in emissions, to a worst-case scenario in which carbon emissions would continue to climb unabated. The projections will provide more details about sea-level rise, for which observations show rates increasing, and should give a more precise estimate of the levels we will see at the end of the century.

Loss of sea ice will also be addressed, and the report will discuss the accelerating loss of sea ice in the Arctic and the slight increase of ice seen in the Antarctic.

Climate change may increase violence, study shows

Critics of the report

Despite the overall breadth of the scientific expertise involved, and the extensive review and approval process, the IPCC Assessment Reports spark quite a few criticisms, from both climate change believers and skeptics.

Skeptics claim the IPCC exists only to produce further evidence supporting the idea of man-made climate change while ignoring opposing research. But climate change activists, and many climate scientists, believe that the IPCC's consensus-seeking policy produces conclusions and estimates that are too conservative.

Another often-cited critique of the report is that, due to its size and lengthy approval process, it is already outdated by the time it is released. Several important studies already have been published in the past year in the constantly evolving science of climate change that will not be included in this assessment.

Despite the critics, this week's document will serve as a major measuring stick for the current state of the world's climate and what type of change is in store.

The Summary for Policymakers will be available Friday at http://www.climatechange2013.org.

Climate sticker shock: Arctic thaw could cost $60 trillion

@highlight

The Intergovernmental Panel on Climate Change released a report every five or six years

@highlight

The first section of the report is aimed at assisting policymakers

@highlight

A draft that leaked in August said there is more certainty that humans are playing a role

@highlight

The report will lay out projections for climate change through the end of the century