Washington (CNN) -- Top Democrats are prepared to short-circuit the traditional legislative process and exclude their Republican counterparts during final congressional health care deliberations, senior Democratic sources have told CNN.

Democrats are trying to prevent the Republicans from using Senate rules to slow the push for final passage of a comprehensive reform bill, the sources added.

House Speaker Nancy Pelosi is set to discuss the politically contentious health care issue when she huddles in her office with other House Democratic leaders Tuesday afternoon. The House Democratic leadership is also likely to meet with President Obama, and plans to hold a conference call with their entire caucus.

The full House of Representatives is not scheduled to return from vacation until January 12; the Senate meets January 19. Pelosi and Senate Majority Leader Harry Reid, however, have already discussed the issue over the phone, aides said.

Congressional leaders are working to merge an $871 billion Senate bill and $1 trillion House bill that differ on several critical details.

Democratic leaders hope to get a bill to Obama's desk by early February, near the time of the president's State of the Union address, several Democratic sources have said. Pelosi admitted last month, however, that this deadline could slip.

Should the measure that emerges from House-Senate negotiations become law, it would constitute the biggest expansion of federal health care guarantees since the enactment of Medicare and Medicaid more than four decades ago.

Formal House-Senate negotiations, under the ordinary legislative process, would likely have started shortly after both houses of Congress reconvene. Democratic concerns over the GOP's ability to slow the process, however, may result in the traditional process being replaced with informal, high-level talks, sources stated.

In order to hold a formal conference, conferees -- members of the House and Senate -- must be formally appointed by both bodies, with resolutions passed by both the Senate and the House. One Democratic leadership aide said getting those resolutions passed in the Senate could delay and even derail Democratic efforts, because Republicans would be allowed to offer amendments and hold lengthy debates on the resolutions to appoint conferees.

Many observers believe the more liberal House measure will be largely forced to conform to the Senate bill. The traditionally fractious 60-member Senate Democratic caucus struggled to unify behind a single measure, and needs to remain united in order to overcome solid Republican opposition.

The different approach to financing in the House and Senate bills is one of the many differences that must now be reconciled.

The House measure is paid for through a combination of a tax surcharge on wealthy Americans and new Medicare spending reductions. Individuals with annual incomes over $500,000 -- as well as families earning more than $1 million -- would face a 5.4 percent income tax surcharge.

The Senate bill also cuts Medicare by roughly $500 billion. But instead of an income tax surcharge on the wealthy, it would impose a 40-percent tax on insurance companies that provide what are called "Cadillac" health plans valued at more than $8,500 for individuals and $23,000 for families.

Proponents of the tax on high-end plans argue it's one of the most effective ways to curb medical inflation. However, House Democrats oppose taxing such policies because it would hurt union members who traded higher salaries for more generous health benefits.

Back in December, Obama predicted the final bill will probably end up with a variation of both the income tax surcharge and the tax on high-end plans.

"Cadillac plans ... don't make people healthier, but just take more money out of their pockets," he argued in an interview with National Public Radio.

The Senate bill also would hike Medicare payroll taxes on families making over $250,000; the House bill does not.

Another key sticking point is the dispute over a public option. The House plan includes a public option; the more conservative Senate package would instead create nonprofit private plans overseen by the federal government.

Given the reality of the 60-vote threshold in the Senate, however, there hasn't been much serious discussion among House leaders about pushing hard to keep the public option.

One of the top House liberal leaders -- South Carolina Rep. James Clyburn -- recently said he could vote for a bill without the government insurance plan.

"We want a public option to do basically three things: create more choice for insurers, create more competition for insurance companies, and to contain costs," Clyburn said on the CBS program "Face the Nation. "So if we can come up with a process by which these three things can be done, then I'm all for it. Whether or not we label it a public option or not is of no consequence."

Maryland Rep. Chris Van Hollen, chairman of the Democratic Congressional Campaign Committee, said at the end of December on the show "Fox News Sunday" that the public option is "not dead, but we also recognize that the Senate was able to just muster the 60 votes."

Individuals under both plans would be required to purchase coverage, but the House bill includes more stringent penalties for most of those who fail to comply. The House bill would impose a fine of up to 2.5 percent of an individual's income. The Senate plan would require individuals to purchase health insurance coverage or face a fine of up to $750 or 2 percent of his or her income, whichever is greater.

Both versions include a hardship exemption for poorer Americans.

Employers face a much stricter mandate under the House legislation, which would require companies with a payroll of more than $500,000 to provide insurance or pay a penalty of up to 8 percent of their payroll.

The Senate bill would require companies with more than 50 employees to pay a fee of up to $750 per worker if any of its employees rely on government subsidies to purchase coverage.

Abortion also has been a sticking point for both chambers. A compromise with Catholic and other conservatives in the House led to the adoption of an amendment banning most abortion coverage from the public option. It also would prohibit abortion coverage in private policies available in the exchange to people receiving federal subsidies.

Senate provisions, made more conservative than initially drafted in order to satisfy Nebraska Sen. Ben Nelson, would allow states to choose whether to ban abortion coverage in plans offered in the exchanges. Individuals purchasing plans through the exchanges would have to pay for abortion coverage out of their own funds.

Nelson recently warned on CNN's "State of the Union" that he would withdraw his support if the final bill gets changed too much from the Senate version.

Despite their differences, however, the House and Senate have already reached agreement on a broad range of topics.

Both chambers have agreed to subsidize insurance for a family of four making up to roughly $88,000 annually, or 400 percent of the federal poverty level.

They also have agreed to create health insurance exchanges designed to make it easier for small businesses, the self-employed and the unemployed to pool resources and purchase less-expensive coverage. Both the House plan and the Senate bill would eventually limit total out-of-pocket expenses and prevent insurance companies from denying coverage for pre-existing conditions.

Insurers would be barred from charging higher premiums based on a person's gender or medical history. However, both bills allow insurance companies to charge higher premiums for older customers.

Medicaid would be significantly expanded under both proposals. The House bill would extend coverage to individuals earning up to 150 percent of the poverty level, or roughly $33,000 for a family of four. The Senate plan ensures coverage to those earning up to 133 percent of the poverty level, or just over $29,000 for a family of four.

Both the House and Senate bills would permit the creation of nonprofit private insurance cooperatives to increase competition.

CNN's Dana Bash, Lisa Desjardins, Alan Silverleib, and Deirdre Walsh contributed to this report.

@highlight

Democratic sources say Republicans could use Senate rules to slow final passage

@highlight

Congressional leaders have to merge an $871 billion Senate bill and $1 trillion House bill

@highlight

Many observers believe final version will look more like conservative Senate bill

@highlight

Financing, public option are key sticking points between House, Senate versions