(CNN) -- It's time to do away with vanity plates.

For the most part, vanity plates have flown under the legal radar, but the time has come for the government to give up on this constitutionally corrupt policy.

Like the lottery, vanity plates are another thinly veiled money grab by the government against its citizens.

A Michigan case is putting vanity plates under the spotlight.

That state's scheme is similar to many other states' vanity plate programs. On standard plates, the letter and number configuration is computer-generated and random. For an additional fee of about $30, Michigan allows vehicle owners to select their own unique letter and number configuration for their license plates -- with limitations. And that's where the constitutional trouble begins.

Michigan's Motor Vehicle Code contains a "content-based" restriction: It prohibits officials from issuing a personalized license plate "that might carry a connotation offensive to good taste and decency." And there's the constitutional problem: "offensiveness" and "good taste and decency" are in the eye of the beholder -- the beholder here being whoever is reviewing the application.

In 2012, Sgt. Michael Matwyuk decided to order a personalized license plate that would express his identity as a so-called "infidel" when he served in Iraq. "Infidel" is a term that is commonly used by both enemy forces and our own military in the current theater of war, as explained by Matwyuk. It is not a word banned by the FCC or recognized as unprotected speech.

He began by visiting the vanity plate page on Michigan's website, and clicked on an Iraq War Veteran service plate, which allows six characters for personalized plates. Because the word "infidel" contains seven letters, Matwyuk tried the shorter "INFIDL," but it was "not available."

Matwyuk got creative and typed "INF1DL" into the spaces provided, replacing the letter I with a numeral 1. It was available, and Sarge selected it.

Unfortunately, shortly after, a letter from the Department of State rejected Matwyuk's "INF1DL" plate because someone -- a person, not a website program -- determined it might carry a connotation offensive to good taste or decency.

Asking for constitutional trouble

The law as written is constitutionally suspect. First, it's vague. Read the Michigan prohibition again. Once you have, ask yourself: "Do I now clearly know which words are prohibited and which words are not?"

Put another way, if you were asked to come up with a list of offensive words, would "infidel" have been in the top 20 of your list? Top 50? If a law does not provide clear instructions on its face so that reasonable citizens can determine what speech is prohibited, then it's likely unconstitutional as written -- before it's even applied.

An additional way a scheme is unconstitutional on its face is when the person making the decisions (like the official who wrote the rejection letter to Matwyuk) has "unfettered discretion." It seems pretty clear that the website first approved Sarge's INF1DL, but then a human later vetoed it, with, apparently, unfettered discretion.

Being offended does not an offensive word make

As a society, we have fatally mixed up the concept of subjective versus objective when it comes to offensiveness. Because an individual is offended by a word, that word does not thereby become universally offensive.

Determining whether something is offensive must use an objective standard, which means society on the whole should concur that it is taboo. Too often when a single individual is offended, we make the illogical jump to conclude that the material offending one is now offensive to all.

Worse, we now deem material offensive not for its actual measured effect, but for its untested potential effect. No one was actually offended by Matwyuk's plate, likely not even the person who actually rejected it.

Rather, it was banned because the official imagined some potential offensiveness. In addition to confusing subjective versus objective in defining "offensive," we've placed government officials in the business of foreseeing the future, with an overly cautious eye.

INFIDL versus INF1DL

INFIDL is not a word. And if INFIDL is not a word, then INF1DL is definitely not a word. It has a number in it! How offensive could it possibly be? As spoken, INF1DL actually doesn't even sound like "infidel." It's pronounced "inf-number-one-del." To interpret it as the offending "infidel" in fact requires a mistake by your brain, and an error in pronunciation.

Either way, the official who rejected Matwyuk's INF1DL had to reason that the number 1 is functionally the same as the letter I. They're not even the same species. But fortunately for this government official, no one will ever discipline him for erring on the side of supercareful.

And just like that, the First Amendment can be violated. It's not really the official's fault. Someone gave him too much power. That someone is the Michigan Legislature.

If "infidel" is offensive, it's offensive because of its religious connotation only. It's not one of the seven deadly words you can't hear on TV, and it's not obscene by itself under any test of the Supreme Court.

Therefore, Michigan wades headlong into another First Amendment quagmire: entanglement with religion. The absurd discussion follows: Is CRUSDR okay? How about ATHEST?

If many different people would disagree on whether a word (or nonword) is offensive, then the statute has failed to properly instruct its citizens on what is prohibited. Worse, should our government really be volunteering for this litigation? Should your tax money be spent litigating in federal court whether IPASGAS should be stamped on a license plate?

Government selling ad space

Can I pay extra to have my passport custom "bedazzled" with rhinestones, the way people do with their iPhones? Of course not. Sometimes our government has a greater duty than entering the market for a quick buck from its citizens. And is the $30 that Michigan extracts from its citizens really worth it?

People have to be hired and extra infrastructure must be created to process those applications. Then, when they are litigated because citizens' applications are rejected, how fast do you think attorney fees burn through those state revenues?

Vanity plates serve no public interest. Vanity plates represent a state selling ad space on its property, disregarding a known constitutional risk, and then losing more money defending the practice.

Citizens already have the constitutional privilege to stencil virtually any word on their cars as it is (with the usual limitations of the First Amendment), without their government trying to make an extra buck on the few square inches that are state property

Matwyuk should have gotten his plate, but really no one should have them

If the Michigan scheme were constitutional to begin with, Matwyuk should have been entitled to his customized plate under any analysis of "offensive" that is reasonable, and not driven by neurosis.

Instead, officials employed an overly risk-averse, pre-emptive analysis. Since the official has unfettered discretion, he'll never get in trouble for the plates that never saw the light of day. Those facts may be fatal to the statute and the vanity plate scheme.

The real question is whether vanity plates are ultimately worth the constitutional and financial burdens they create. And the answer is: PRBYNOT.

The opinions expressed in this commentary are solely those of Danny Cevallos.

@highlight

A Michigan man who served in Iraq was denied a vanity plate saying "INF1DL"

@highlight

Danny Cevallos says it ran afoul of Michigan rule banning "offensive" plates

@highlight

He says states have no business dictating what words people can put on their plates

@highlight

Cevallos says vanity plates in general are a bad idea -- states selling people ad space