Beijing may have to wait another 16 years before it will have safe, clean air, according to a report from the capital's environmental authority earlier this week.

But it's hardly alone in its air pollution woes. The World Health Organization has said that roughly half of the world's urban population is exposed to pollution at least 2.5 times higher than it recommends.

Air pollution is now the single largest environmental health risk, with an estimated 7 million deaths globally in 2012 caused by air pollution, according to a report from the health agency in March. Most of the worst polluted cities are in Asia.

While it may take years to fix this global problem, innovative minds in the Asia region have come up with creative solutions for living with air pollution.

Face mask couture

Can face masks become fashionable? Beijing-based designer and body painter Nina Griffee hopes so. She has created a line of womenswear that incorporates air filters made by Vogmask.

The dramatic designs in basic black with fuschia highlights will debut at the Hong Kong Fashion Week for Spring/Summer between July 7 and 10.

Some of the looks are reminiscent of burqas, covering the entire head and face, with just the eyes of the wearer exposed -- but it will sure keep the body protected from air particles.

DIY purifier

Thomas Talhelm started worrying about the air inside his Beijing home during "airpocalypse" in 2013 when Beijing's air quality index skyrocketed to a terrifying 755 -- a 500 reading is considered hazardous for health, meaning people should avoid outdoor activity.

The Fulbright scholar couldn't afford the luxury of an expensive air purifier.

"It got me thinking, why are these air purifiers so expensive? How do they work?" Talhelm said.

"Filters are actually very simple -- an HEPA filter is all you need to get over 99 percent of the PM 2.5," he said, referring to particulate matter smaller than 2.5 micrometers that can penetrate deep into lungs, leading to fatal diseases.

With three of his friends, Talhelm created Smart Air, an air purifier consisting of a basic household fan with an HEPA filter attached to it.

It works as efficiently as the big brands selling for thousands of dollars, removing more than 90 percent of particulate matter smaller than 2.5 micrometers (PM 2.5) in your room, according to Talhelm's research.

Smart Air has sold over 3,000 basic air purifiers so far and has doubled their staff.

Talhelm said the group is currently touring China, holding DIY workshops to show how easy it is to build your own purifier for RMB 200 (about $30).

Clean air forecasts

A blue sky may be rare in Beijing, but when it appears, the city becomes a beautiful place to live in.

"I wanted to make sure to get out and do something on those days because if I did that, it would really help me cope with the treachery of the smog," said Dustin Grzesik.

The former Beijing resident created Banshirne, a free Android app that forecasts the next clean air day based on weather patterns.

Grzesik, who is now based in San Francisco, created the app by observing Beijing's weather reports, air quality reports and the US embassy's Air Quality Index Twitter feed.

Kaiwen map, a site where people can report environmental conditions in their area, and the Beijing Air Quality Forecast blog are two sites Grzesik finds helpful for analysing China's air quality.

On average, a blue sky appeared once a week or once every two weeks in Beijing, according to Grzesik, a geologist by training.

Invisible mask

Infipure's "nose mask" claims to cut 99% of PM 2.5 without the bulkiness of a surgical face mask.

The disposable filters, made from non-toxic, latex-free materials, are inserted into your nostrils and aim to be undetectable.

"In a meeting or conference, it's generally not that great with a full face mask on. Also, in the summer, it gets hot and stuffy," said Infipure co-founder Francis Law who saw a market for discreet air filtering masks.

"People care about their health, but don't want all the downsides that come with a traditional face mask," he explained.

Infipure has been criticized for not disclosing the materials used in their filters, but Law has said that it is a "trade secret."

Master battery

Stanford professor Cui Yi and his team have developed a high-energy battery that could potentially increase an electric car's mileage by three times without being recharged.

The nanotube lithium-ion battery is said to outlast current conventional batteries. After 1,000 charging cycles, the battery still retains over half its energy capacity.

Yi's invention can help bolster the appeal of electric cars since cheaper, high-energy batteries are needed to compete against traditional vehicles.

Anti-smog kung fu

School children in northern Hebei province are using kung fu to combat air pollution.

Students at the Guangming Road Primary School in Shijiazhuang, one of China's smoggiest cities, have been taught 23 moves by deputy dean Wei Huanqiang, who says the practice is effective against air pollution.

During heavily polluted days, the exercises, which combine elements of aerobics and acupuncture, could be done indoors when outdoor activity is suspended.

The two-minute routine was designed by Wei himself and critics doubt that it has any real impact against the harmful effects of air pollution, although most agree that it is good for kids to exercise.

Plant backpack

Taiwanese artist Chiu Chih has designed a survival kit for an apocalyptic world.

Dubbed "Voyage on the Planet," a potted plant is housed inside a clear backpack hooked up to two tubes to funnel fresh air into a face mask. It's a bold, abstract take on an oxygen tank. The piece questions the planet's unknown future and environmental depletion.

Breathing bike

British artist Matt Hope admits his breathing bike looks "ridiculous."

"It was more of an ironic commentary about living in China and people's personal attempts at dealing with it," Hope said about his one-off creation that produces clean air while he rides.

Hope attached a small generator to the bike's back wheel and as he pedals, electricity is produced to power his homemade filtration system.

The air is pulled through a perforated trash bin where dust particles get positively charged and stick to a metal trumpet within the bin. Clean air is then sent through a tube and received in Hope's fighter-pilot mask.

"Earth has a breathable atmosphere, that's why we're here. Being attached to air filtering devices, it defies the point of being alive," Hope said, adding that Beijing has a sci-fi feel to it, referring to the copious amount of people who wear face masks outside.

Smog vacuum

Dutch designer Daan Roosegaarde recently signed an agreement with Beijing officials to jumpstart his smog project -- an electromagnetic field generated by copper coils that will suck pollutants from the sky to the ground like a vacuum, making way for clean air.

The project, to be trialed in a Beijing park, has yet to be determined.

"If there's an incentive, things will move fast," Roosegaarde said, adding he hopes to start the pilot project next year.

A byproduct of this project is the "smog ring" -- a piece of jewelry made from smog particulates to be launched later this year.

"The pollution we suck up, the small particles, we don't throw them away. We put them under pressure for a couple of weeks and they crystallize, creating the notion of a diamond," Roosegaarde explains.

The designer hopes to make 100,000 pieces that will be sold at high-end prices to finance more smog projects.

"By creating a place where you can feel the difference, where you can see the difference, people get an incentive to work together to say, hey, what should we do to make a whole city clean like this?" Roosegaarde said.

@highlight

Beijing residents have invented ways to make life bearable under the smog

@highlight

The Infipure mask makes air-filtering nearly undetectable

@highlight

Banshirne is an app that helps predict the next clean air day

@highlight

Artists are also coming up with creative solutions for pollution, such as a smog vacuum