Beijing (CNN) -- Nationwide outrage continued Monday in China over the government's response to a deadly bullet train collision last weekend, even as operations resumed on the affected high-speed rail lines.

A bullet train was struck from behind Saturday night by another train near Wenzhou in eastern Zhejiang province, killing at least 38 people -- including two American citizens -- and injuring almost 200. The first train was forced to stop on the tracks due to a power outage and the impact caused six cars to derail, including four that fell from an elevated bridge.

Although Chinese reporters raced to the scene, none of the major state-run newspapers even mentioned the story on their Sunday front pages. A user of Sina Weibo, China's equivalent of Twitter, first broke the story and increasingly popular social media outlets then provided millions of Chinese with the fastest information and pictures as well as the most poignant and scathing commentaries.

By the time the railway ministry held its first press conference more than 24 hours after the collision, the public had seen not just reports of passengers trapped inside dark trains or images of a mangled car dangling off the bridge -- but also bulldozers crushing mangled cars that had fallen to the ground and burying the wreckage on site.

"How can we cover up an accident that the whole world already knew about?" said a defiant railway ministry spokesman Wang Yongping. "They told me they buried the car to facilitate the rescue effort -- and I believe this explanation."

Wang was terse when reporters asked him to explain the fact that a toddler girl was being pulled out of the wreckage alive 20 hours after the accident -- and long after authorities declared no more signs of life in the trains.

"That was a miracle," he said.

Blaming lightning strike-triggered equipment failure as the cause of the accident based on preliminary investigation, Wang put on a brave face on the safety of China's controversial high-speed rail.

"Chinese technologies are advanced and we are still confident about that," he said.

While some state media echoed Wang's sentiment, many netizens questioned his every statement from the death toll to the cause and called him the face of a ministry mired in allegations of corruption and ineptitude.

"This land is a hotbed for the world's most sprawling bureaucracy and most cold-blooded officials," user "chenjie" wrote on Sina Weibo.

Netizens also dug up an old video clip showing the railway ministry's chief engineer proudly telling state television in 2007 that China had developed modern technologies to ensure bullet trains never rear-end each other.

The quick sacking of three top local railway officials in Shanghai -- who were in charge of the affected rail lines -- failed to placate the public, either. The announced new Shanghai railway chief prompted more scorn than applause, as the replacement -- the railway ministry's chief dispatcher -- was once demoted for his role in another fatal train accident in 2008 that killed 72 people.

In a user-generated opinion poll on Sina Weibo on the government's handling of the accident, more than 90 percent of the 30,000 respondents chose the option "terrible -- it doesn't treat us as humans."

Now the world's second-largest economy, and flush with cash, China has built the world's longest high-speed rail network -- boasting more than 8,300 kilometers (5,100 miles) of routes -- in a few short years. The government plans to pour over $400 billion into rail projects in the next five years.

The massive investment and rapid construction have long raised public doubts on the new lines' safety and commercial viability. The skeptics' voices became louder after the former railway minister -- a champion of high-speed rail -- was sacked for corruption early this year.

Even the Beijing-Shanghai high-speed rail -- the ministry's newest and proudest project -- has broken down several times since its much-touted launch less than a month ago.

"It's not the faster, the better," Sun Zhang, a railway professor at Tongji University in Shanghai and a long-time railway ministry consultant, told CNN last month. "We have to take safety, economics and environmental impact into consideration."

"Strategically we can talk about a great leap forward in the industry, but tactically we have to do things step by step," he added.

Back online, many users -- already jittery about safety in their daily life -- now view China's high-speed rail, long considered a symbol of the country's fast rise, as a metaphor of its troublesome approach to development.

"This is a country where a thunderstorm can cause a train to crash, a car can make a bridge collapse and drinking milk can lead to kidney stones," user "xiaoyaoyouliu" posted on Sina Weibo. "Today's China is a bullet train racing through a thunderstorm -- and we are all passengers onboard."

@highlight

China's equivalent of Twitter becomes the main source of news as state media are slow to report the crash

@highlight

Chinese officials put a brave face on their response

@highlight

Ordinary people believe the railway ministry is corrupt and inefficient

@highlight

Chinese netizen: "Today's China is a bullet train racing through a thunderstorm -- and we are all passengers onboard"