LONDON, England (CNN) -- It's taken 11 years, thousands of miles and a few fistfuls of dollars for Josh Tickell to complete his film. But when you've devoted your life to a cause as important as helping save the planet, it's a small price to pay.

Director Josh Tickell holds a jar of bio-diesel ijn front of his "Veggie Van."

"An Inconvenient Truth" gave us shocking revelations about the problem of global warming. Now one film offers the solution.

So starts the trailer to Tickell's new film "FUEL," which charts the history of oil dependency in the United States, examines the current energy crisis and, most importantly, how you and I can change how we source and use energy.

The premise might sound a bit preachy and be a turn off for those experiencing green fatigue, but Tickell's motivations for pursuing this direction warrant closer inspection.

The 34-year-old grew up in an oil-refining area in the American state of Louisiana. Within a 100-mile radius of his childhood home there are 150 petrol-chemical facilities.

"I watched many members of my family get sick from that pollution," Tickell told CNN.

"My mother had nine miscarriages. So from quite a young age I was affected by that and I really had the desire to go out and find other ways of making energy."

And it wasn't just the miscarriages his mother experienced that encouraged Tickell to look to alternative fuels. Many of his family, he said, have either died or had problems with cancer.

"The average oil refinery," Tickell said, "pumps out a cocktail of about 8,000 chemical combinations. Less than 50 of them have been studied. But the majority of the ones which have are cancer causing."

His upbringing in Louisiana led Tickell to start using bio-diesel, way before anyone was really talking about it as a serious alternative. He bought himself an old 1986 diesel-powered Winnebago which he christened the "Veggie Van." "For me, it was like what Don Quixote's horse would have been for him," he said.

His travels across America unearthed a genuine curiosity in bio-diesel (made from cooking oil). He began lecturing on the subject and started traveling the world in search of new energy technologies.

Armed with a masters in film studies -- to go with his degree in sustainable living -- Tickell set about piecing his story together for a wider audience.

The result is a compelling piece of environmental film-making which won the audience award for best documentary at the Sundance Film Festival.

But despite this rapturous reception, audience feedback prompted Tickell to re-edit the film incorporating many more alternative energies. The new cut of "FUEL" was officially launched in U.S. cinemas earlier this month.

Tickell hopes that people will walk out of the cinema feeling empowered. "I distinguish that from inspiration or hope," he said.

"I think empowerment means people can start a new dialogue with a new set of concepts and information. Even if you think you know about these subjects, you'll watch the movie and have a completely different perspective and understanding of the issues."

Tickell persuaded a host of celebrities to contribute to his film including Richard Branson, comedian Larry David and musician Sheryl Crow.

Branson has been particularly supportive of both Tickell and the film's producer Rebecca Harrell. The UK entrepreneur has given "FUEL" his backing as well as supporting curriculumhub.com -- the world's first ever open source national green educational curriculum.

"It's much more than just a green curriculum" Harrell said. "Any subject can be uploaded by teachers and shared with students all over the world."

The Web site was launched in New York this week after Tickell and Harrell had traveled from California in the algae-fueled car which they have dubbed "The Algaeus". The web site also allows visitors to download a 35-minute educational cut of "FUEL."

Sadly, "FUEL" is only showing in a handful of cinemas in the U.S. right now, but Harrell is confident that the film -- which she says cost around $6 million to make -- will soon reach a wider audience. And next year she hopes the film will be showing in cinemas across Europe.

The whole project has been a labor of love in more ways than one for both Tickell and Harrell who had a meeting of minds when they first met six years ago. The pair plan to marry on January 1 next year.

@highlight

"FUEL" examines the energy crisis and what the alternatives to oil are

@highlight

Director Josh Tickell spent eleven years making the film

@highlight

"FUEL" won an audience award at the 2008 Sundance Film Festival

@highlight

Film has inspired an open source free educational tool for students worldwide