Few books truly invade a national psyche. When a work manages to do so for 1,000 years, it's a pretty spectacular feat.

Enter  "Shahnameh", or Book of Kings, a literary epic so large (the largest, in fact) that it measures the length of Homer's "Iliad" and "Odyssey" combined. It is one of Iran's national treasures, and holds a place next to the Quran in many Iranian households.

It is difficult to overestimate the importance of "Shanameh" in Iranian culture. Even today, it remains a staple in the canon of bedtime literature read to children. It is among the first books taught in Iranian classrooms.

Political candidates will reference parables from the tome in election speeches. As noted by the Wall Street Journal, during the protests that characterized the 2009 elections, demonstrators adopted the chant, "We are all Sohrab," a reference both to a 19-year old victim killed by security forces, and to one of poem's tragic heroes.

Almost as impressive as the text itself is the commitment of its author. A Persian poet by the name of Ferdowsi dedicated 30 years of his life to collecting folklore, mythologies and oral histories and turning it into 60,000 rhyming couplets. Today, Ferdowsi has found a disciple in the form of Hamid Rahmanian, a Brooklyn-based Iranian filmmaker who has logged over 10,000 hours illustrating an elaborate new English translation.

"He didn't have a computer," quips Rahmanian. "If he did, it wouldn't have taken him 30 years."

Rather than sketch the book from scratch, Rahmanian crafted together thousands of images of Persian art and painstakingly layered them in what amounts to a 500-page collage.

"I wanted to introduce the visual culture of the Persians and create something modern," he explains.

Interactive: Press freedom in the Middle East

"Painting struck me as very passé; no one sits down and paints anymore. I wanted to be like a DJ, but instead of collecting sound and music and changing the tempo or tone to create a new composition, I would use lithographs and miniatures from the 14th to early 19th century."

Sheila Canby, the curator of Islamic Art at the Metropolitan Museum of Art in New York, has dubbed Rahmanian's version "the 'Shahnameh' of the digital age".

"His is both a departure and an evolution," she says. "The book is slick and modern, and very much informed by the visual universe of the internet and TV and film."

Ahmad Sadri, the chairman of the Islamic World Studies Department at Illinois' Lake Forest College, provided the English translation, and  -- along with Rahmanian's wife, Melissa Hibbard -- helped to bring the language alive for 21st century, English-speaking audiences.

"This is the world that has been used to the language of movies for 100 years -- since the invention of American film. The people we are trying to reach are used to fanciful stories like 'Lord of the Rings' and 'Star Wars.' I couldn't pretend that they didn't already have that exposure," explains Sadri.

"To keep the reader hooked and addicted to the narrative, Melissa and I made the decision to tell a character-driven, rather than event-driven story."

Read more: Arab cartoonists court controversy

While Western readers may have had limited contact with the epic, several of the tales encapsulated in the work should look familiar. In one love story, the hero, Zaul, meets his beloved by climbing up her ladder-like locks. The stars of that tale are also star-crossed in a similar manner to their romantic successors, Romeo and Juliet. Other narratives have elements of "Oedipus Rex" and even Tarzan (the orphaned babe raised by wild animals).

What Sadri finds most fascinating, however, is the role of women in the saga.

"It's amazing, because they're anything but passive," he notes.

"The women in these stories basically hunt and sexually conquer their men. They are advisers -- not shy to offer their opinion. There are villainous women and heroic women."

Perhaps one of the most riveting stories, though, is that of Ferdowsi himself, who after dedicating his life to collecting stories, died bankrupt and embittered. It is a situation that Rahmanian can appreciate. He funded much of the project himself, and during the nearly four years he worked on it,  was pulling in little else by way of an income. Halfway through the project, Hibbard fell pregnant.

"Two weeks before my daughter was born, I had $27.37 in my bank account. I told Melissa take a screen shot," he recalls.

"You have to have a certain passion and love and belief to sit down with no money and make something like that," he says.

@highlight

The Shahnameh, a 1,000-year old Persian epic, is a cultural mainstay in Iran.

@highlight

Iranian filmmaker Hamid Rahmanian recently made a contemporary, illustrated version.

@highlight

Each page is composed of thousands of parts scanned from Persian miniatures and lithographs.

@highlight

The story is made up of strong women who "sexually conquer" their men.