A three-speed global economy faces risks from a currency crisis in emerging markets or unsustainable debt in the US and Japan, IMF managing director Christine Lagarde has warned.

Speaking ahead of the International Monetary Fund's spring meeting in Washington next week, Ms Lagarde said that the world was dividing into three groups -- some countries doing well, some on the mend and some still in trouble.

Her speech highlights a new phase for the global economy in which the uneven pace of growth around the world is creating new financial imbalances that could sow the seeds of a future crisis.

"We do not expect global growth to be much higher this year than last. We are seeing new risks as well as old risks," Ms Lagarde told an audience in New York on Wednesday. "In far too many countries, improvements in financial markets have not translated into improvements in the real economy."

Emerging economies were growing fast, she said, but low interest rates in advanced economies were prompting them to build up debt and foreign exchange exposure that could cause trouble.

"Over the past five years, foreign currency borrowing by firms in emerging markets has risen by about 50 per cent," said Ms Lagarde. "Over the past year, bank credit has increased by 13 per cent in Latin America and 11 per cent in Asia."

She said that developing countries needed to respond by beefing up bank supervision, restricting credit to fast-growing areas, imposing capital requirements that changed with the economic cycle and monitoring their foreign exchange exposures.

Ms Lagarde endorsed quantitative easing by central banks such as the US Federal Reserve and Bank of Japan, but said that rich economies should use fiscal policy more aggressively so there was less pressure for interest rates to stay low.

Countries on the mend included the US, Sweden and Switzerland, she said. But she warned that the US was cutting its deficit too fast in the short term, harming growth, but tackling its long-run deficit too slowly.

She criticised sequestration under which the US is lopping off $85bn from public spending this year. "This risks throwing away needed growth, especially at a time when too many people are still out of work," she said.

But she said that, despite progress on fiscal policy, government debt would hit 108 per cent of gross domestic product this year. "This is the major policy challenge facing the United States today and it must be met. Otherwise, the substantial gains that have been made can be too easily lost."

Countries that still had work to do included the euro area and Japan, said Ms Lagarde. In the euro area, the main problem is the banking system. In keeping with the IMF's imposition of a restructuring on Cypriot banks, she said "the priority must be to continue to clean up the banking system by recapitalising, restructuring or -- where necessary -- shutting down banks."

In Japan, she warned that the public debt of 245 per cent of GDP "looks increasingly unsustainable" and that a clear plan to tackle it was an "urgent priority". But Japan must also act "to finally break free of the deflation trap" and it needed to "rely more on monetary policy to kick-start growth".

@highlight

IMF chief: A three-speed global economy faces risks from a currency crisis in emerging markets

@highlight

Lagarde: Some countries doing well, some on the mend and some still in trouble

@highlight

She criticized sequestration under which the U.S. is lopping off $85bn from public spending