(CNN)It's hardly news to state that air pollution is bad for people's health.  What might be more surprising to learn, though, is that air pollution is bad for the health of an unborn child, long before his or her lungs ever take their first breath.

A growing body of research indicates that various forms of air pollution have a measurable impact on the health of babies, both in utero and after birth. We imagine the infant to be protected inside its mother's body, but pollutants can reach the baby the same way nutrients and medicine do.  Lead, mercury and particulate matter are among the types of air pollution we know can impact the health of infants before and after birth.

Ozone, or smog, is the next candidate for addition to the list of air pollutants known to be harmful to fetal health. Over the past several years, a number of studies have indicated a likely link between higher levels of maternal ozone exposure and poor health outcomes in infants, including changes in lung structure and function, low birth weight and neuro-behavioral abnormalities.

Many of these health effects can be expected to have lifelong consequences. These are deeply concerning results that require more investigation to understand fully.

These studies add to a substantial amount of evidence showing the ill effects of ozone for people of all ages. Estimates place the toll in 2007 at 15,000 premature deaths related to ozone among individuals of all ages. Ozone also causes shortness of breath, wheezing and coughing, asthma attacks, increased risk of respiratory infections and increased need for people with lung diseases -- such as children with asthma -- to get medical treatment or be admitted to the hospital.

How can a pregnant woman protect herself and her growing fetus from the harm caused by ozone? After all, ozone is usually invisible (except in certain cases, as smog) and high levels are undetectable to the average individual. Summertime air quality alerts may help in some cases, but some pregnant women cannot avoid exposure.

In addition, studies confirm that these daily pollution alerts are inadequate to protect our health because they are based on the present federal ozone standard, which does not include evidence from current, critical health science.

In other words, the alerts sometimes fail to accurately indicate when the air is dangerous to breathe. Thinking that it's safe to work or play outside when ozone pollution levels trigger a yellow air quality alert (indicating a "moderate" level for ozone pollution) can significantly threaten the health of many vulnerable individuals.

In order to truly protect our children, we need strong, national standards limiting ozone. Ozone forms in the air from emissions from a number of sources, but the biggest culprits are cars, trucks and other motor vehicles, as well as power plants.

The U.S. Environmental Protection Agency (EPA) proposed new ozone standards in November that would bring limits in line with the science.  EPA is accepting comments from the public on the standard until Tuesday, March 17, and both of our organizations have expressed support.

An updated standard would help ensure we have access to accurate information about the air we breathe, and help drive reductions in ozone pollution to protect the health of all Americans.

​Strengthening the ozone standard to reflect the best current science will help save lives and protect our families, including pregnant women and their babies.

@highlight

EPA has proposed stricter ozone standards

@highlight

Authors: New anti-pollution rules would bring ozone level standards in line with what science tells us