(CNN) -- Several major Midwest metropolitan areas are bracing for a massive winter storm system that threatened to dump a foot or more of snow and bring potentially debilitating winds.

Political and emergency personnel leaders in Oklahoma City, St. Louis and Chicago, among other locales, vowed they were prepared to weather the storm. The leaders of several states, many of which have already had a difficult winter, also commandeered their forces even as they urged people to stay home.

"Folks should batten down the hatches and hold on," Missouri Gov. Jay Nixon said. "The most likely place to get hurt is out on the road."

As much of its strength, the system's immense size sets it apart. As  of Monday evening, the National Weather Service had posted winter storm warnings, watches or  advisories in at least 29 states in a 2,000-mile space stretching from the Southwest to the Northeast.

"A  storm of this size and scope needs to be taken seriously," said Craig  Fugate, administrator of the Federal Emergency Management Agency.

The worst conditions are expected in parts of seven states where blizzard warnings were in effect Monday night. The Monday night forecast of fierce winds, strong snow and minimal visibility covered an area as far south and west as Oklahoma, as far north as Wisconsin and as far as east as Indiana.

Several inches linked to the system had fallen by 7 p.m. Monday in Albuquerque,  New Mexico, where a winter storm warning extended throughout the state. A similar warning was in effect as far away as Boston, where snow could start Tuesday and continue through Wednesday night.

Still, some of the biggest concerns entering Tuesday were in cities like Chicago.

"This storm could be one of the top 10 biggest snowstorms ever in the city," said CNN meteorologist Sean Morris.

According to the National Weather Service, snowstorms that drop over 15 inches of snow occur about once every 19 years in Chicago. The last time this happened was in January 1999, when 21.6 inches of snow was recorded in the city.

Officials have added 120 garbage trucks with specially attached snow plows to the city's fleet normal of 274 trucks in expectation of heavy snowfall, said Jose A. Santiago, executive director of the city's Office of Emergency Management.

Snowfall could reach a rate of two and three inches per hour with northeasterly winds of 25 mph to 40 mph, creating dangerous "white-out" conditions across the entire Chicago metropolitan area, the weather service reported.

Blizzard or near blizzard conditions are expected as far south as Oklahoma City on Tuesday, where snow accumulations there will be measured in feet, not in inches.

Oklahoma's governor, Mary Fallin, released a statement on Monday declaring a state of emergency for all 77 counties in the state.

"This disaster declaration will make sure we can prepare for the winter weather ahead of the storm," Fallin said.  "We encourage all Oklahomans to prepare for the storm before it arrives."

The mayor of Oklahoma City, where snow was set to start falling late Monday, had a message for citizens as well: stay off the streets.  Mick Cornett noted that most city and state government offices would be closed Tuesday and asked that local businesses do their best to keep their employees home as well.

Oklahoma City officials are urging residents to make early provisions --  such as stocking up on water, batteries, medications and canned foods  in case power outages occur.  The storm is expected to have snowfall  rates of up to 3 inches per hour, according to the weather service.

"We're not strangers to weather," said Michelann Ooten, public information officer with Oklahoma City's emergency management operations.  "We've been working on this since last week." Ooten said her office had already contacted FEMA to secure generators and supplies in case emergency shelters are needed.

Very heavy snowfall is expected from Oklahoma northeastward through Kansas, Missouri and Illinois.  The National Weather Service forecast office in Norman, Oklahoma, warns that a "potentially dangerous winter situation" is developing, with travel becoming extremely dangerous or impossible across the state by Tuesday morning.

"Combined snow totals from the Monday afternoon through Wednesday may exceed a foot and a half across much of northern Illinois and far northwest Indiana," the weather service said.

St.  Louis Mayor Francis Slay tried to cut short a trip to New Mexico to head  home in time for the storm, only to have his flight canceled due to  the weather, his chief of staff Jeff Rainford said.

"So he's one of the (thousands) stranded as well," said Rainford.

CNN St. Louis affiliate KSDK indicated the storm could be "historic" in that eastern Missouri metropolis, saying it could rival a 1981 system that left 13.9 inches of snow in St. Louis and some surrounding areas with more than 2 feet.

By early afternoon on Monday, a long list of early school closures was already being released by media in Missouri.

"It's precautionary," said Terry Gravemann, president of Duchesne High School, a private school in St. Charles, a small city northwest of St. Louis.  Gravemann said worried parents were eager to know what time school will be closing.

Other cities likely to be affected during the week include Milwaukee, Cleveland, Providence and the New York state cities of Buffalo, Syracuse and Albany.

Heavy snowfall won't be the only hazard from this major storm system. Subfreezing temperatures could coat trees, power lines and roads in ice from Missouri to southern Illinois and eastward into central Indiana, forecasters said.

Ice accumulations of up to three-quarters of an inch will be possible, and they are likely to combine with gusty winds to cause tree branches to fall on power lines, according to forecasters.

With temperatures expected to drop well below zero by Wednesday, parts of the Texas Panhandle and western Oklahoma will experience some of the coldest air this season, Morris said.

Strong winds will combine with the cold temperatures to create extremely dangerous wind chills of 20 to 35 below zero across the southern Plains, according to forecasts.

But the storm's wrath won't end there. Severe thunderstorms are likely to develop along a trailing cold front from a main low-pressure area.  That sets up a significant potential for tornadoes in Arkansas, Louisiana, Mississippi, Tennessee and Alabama.

High winds, heavy snow and ice could present major problems for travelers, on the roads and in the air.

Monday will be the best day to travel over the next four or five, said HLN meteorologist Bob Van Dillen.

For people who have plans to fly in the region this week, several carriers will let them make changes to their itineraries.

United Airlines has issued a travel waiver  for passengers traveling to, from or through Chicago from Tuesday through Thursday. Travelers will be able to alter their travel plans without fees or get a full refund if their flight is canceled.

American Airlines is allowing travelers who are scheduled to fly on Monday through Thursday from more than 30 airports in the Midwest -- including those in Chicago, Detroit and Milwaukee -- to change their plans without penalty.

Delta was planning to issue a travel waiver for the Midwest and another for the Northeast on Monday, said spokesman Anthony Black.

AirTran passengers traveling through two dozen cities, including Chicago, St. Louis and Boston, can change their reservation without penalty.

CNN's Sean Morris and Dave Hennon contributed to this report.

@highlight

NEW: Winter alerts extend from New Mexico to Maine, with blizzard warnings in 7 states

@highlight

NEW: The mayor of St. Louis is among the thousands of stranded traveler, an official says

@highlight

120 garbage trucks rigged with snow plows are added to Chicago's fleet of 274 trucks

@highlight

Snowfall could reach a rate of two and three inches per hour in the Windy City