WASHINGTON (CNN) -- At 678, California has the nation's largest death row population, yet the state has not executed anyone in four years.

A poll of 500 police chiefs found the death penalty ranked last among their priorities for reducing violent crime.

But it spends more than $130 million a year on its capital punishment system -- housing and prosecuting inmates and coping with an appellate system that has kept some convicted killers waiting for an execution date since the late 1970s.

This is according to a new report that concludes that states are wasting millions on an inefficient death penalty system, diverting scarce funds from other anti-crime and law enforcement programs.

"Thirty-five states still retain the death penalty, but fewer and fewer executions are taking place every year," said Richard Dieter, executive director of the Death Penalty Information Center. "But the overall death row population has remained relatively steady. At a time of budget shortfalls nationwide, the death penalty is turning into an expensive form of life without parole."

His group commissioned the study released Tuesday.

A privately conducted poll of 500 police chiefs released with the report found the death penalty ranked last among their priorities for reducing violent crime. Only 1 percent found it to the best way to achieve that goal. Adding police officers ranked first.

The death row population in 2007, the most-recent statistic available from the Justice Department, was 3,220. It was at 2,250 two decades ago, but the numbers have not grown significantly since 2000.

Forty executions have occurred so far in 2009 in 10 states, all by lethal injection. That total is up from 37 for all of last year, but less than half of the high of 98, from 10 years ago. The Supreme Court reinstated capital punishment in 1976.

Ohio recently suspended lethal injections after corrections officials were forced to cancel the execution of Romell Broom last month, when a suitable vein could not be found after two hours of trying.

Virginia plans a Nov. 10 execution for John Allen Muhammad, the so-called Beltway Sniper, convicted of randomly killing 10 people in 2002 with a high-powered rifle.

The Death Penalty Information Center study found that death penalty costs can average $10 million more per year per state than life sentences. Increased costs include higher security needs and guaranteed access to an often lengthy pardon and appellate process. The group is an information resource on capital punishment, and opposes its application as unworkable, inefficient and prone to mistakes.

Florida, where two men have been put to death this year, spends an average of $24 million per execution. That average has remained consistent since 2005, according to the Death Penalty Information Center.

Many death penalty proponents say part of the problem is that states have added unnecessary, time-consuming delays, and have been reluctant to carry out the death penalty that their own legislatures have enacted. They say states should carry out the wishes of judges and juries that weighed evidence and imposed death on the worst murderers.

Death penalty supporters acknowledge that states outside the South have been reluctant to impose the punishment, even in the face of rising big-city crime rates.

"I think we need to build support for the death penalty and need to impose it more regularly where it is warranted," Kent Scheidegger, legal director of the Sacramento, California-based Criminal Justice Legal Foundation told CNN earlier this year.

Having the death penalty can offer powerful incentives in plea bargaining, Scheidegger said, and could provide states with large savings in trial and incarceration costs.

His group conducted a study earlier this year comparing murder cases resolved by guilty plea with those that went to trial.

In states with the death penalty, the average county obtained sentences of at least 20 years in almost 51 percent of cases in which the defendant was charged with murder and convicted of murder or voluntary manslaughter. Those sentences were reached through a guilty plea in about 19 percent of the cases.

In states without the death penalty, sentences of at least 20 years were obtained in 40 percent of those cases, but only 5 percent were guilty pleas, about one-quarter of the number in the death penalty states.

That study relied on U.S. Bureau of Justice Statistics data from 33 large urban counties.

One example cited by Scheidegger of the plea bargaining effect involved Shaun Earl Arender. He confessed this year to the sexual assault and murder of 6-year-old Hanna Mack in Texas, and was sentenced to life in prison without the possibility of parole in return for avoiding the death penalty. Texas consistently leads the nation with the most executions.

Eleven state legislatures have considered repealing the death penalty this year. New Mexico has banned it, and Maryland has narrowed the criteria under which it can be used.

Kansas, New Hampshire and the U.S. military are the only jurisdictions that have death penalty laws but have not conducted any executions since 1976. Lethal injection is used in the vast majority of executions, but electrocution, the gas chamber, hanging and firing squad remain as alternative methods.

@highlight

Study: Death penalty costs can average $10M more per year per state than life terms

@highlight

Eleven state legislatures have considered repealing the death penalty this year

@highlight

Study relied on U.S. Bureau of Justice Statistics data from 33 large urban counties