(CNN) -- After ceding the smartphone and tablet size war to competitors like Samsung for the past few years, it appears Apple had finally decided that bigger is better.

The next iPad will be Apple's biggest ever, with a whopping 12.9-inch display screen, according to a report Tuesday from Bloomberg.

That would be a huge leap from the current 9.7-inch iPad Air screen. And the report comes as Apple prepares to release not one, but two, new, bigger iPhones.

Multiple reports have said the company plans to announce iPhones with displays of 4.7 and 5.5 inches. That's compared to the 4-inch display on the iPhone 5S, and would put them more in line with their chief rival, Samsung, which has put a dent in the iPhone's dominance with devices in their Galaxy S and Galaxy Note lines.

So, what's with the super-sizing out of Cupertino?

J.P. Gowndner, an analyst with Forrester Research, says bigger smartphones are a natural response to the way people have begun to use them.

"As our digital lives become deeper, we're spending a lot less time speaking on phones and more time using smartphones as tools -- for communications, yes, but for paying our bills, finding the nearest ATM, looking up sports scores, taking photos, navigating around town, and other activities," he said.

"With more digital activity and less minutes spent on voice calls, it's only natural that phones should grow larger."

In recent years, Apple has watched as competitors managed to chip away at its smartphone dominance by offering an array of products at different prices and sizes while Apple stuck with a single flagship phone. Last year's iPhone 5S and 5C marked the first time Apple offered more than one new version of its phone.

Both have 4-inch screens. Meanwhile, Samsung's flagship Galaxy S5 has a 5.1-inch display and the company's Galaxy Note III has a whopping 5.7-inch screen.

As phones grow, Gowndner said, it only makes sense for tablets to do the same.

"Seven- or 8-inch tablets are popular today, but if I have a 5- or 6-inch phone, I wouldn't want one," he said. "Instead, larger screen sizes wedded with ever thinner, ever lighter materials means that I could have a 12.9-inch tablet that weighs no more than a 10-inch tablet used to weigh -- making it quite portable."

In addition to differentiating itself from the growing field of hybrid "phablets," a bigger iPad screen could be a step toward the goal of making tablets more than just consumption and recreational devices.

Analysts say they can see design, manufacturing, education as just a few areas in which a bigger display would be useful.

But is bigger really better? Some in the mobile world have argued against that. Among them: Apple.

"You can hold it in one hand," Apple marketing vice president Phil Schiller said when introducing the 7.9-inch iPad Mini in 2012.

Founder Steve Jobs was adamant until the end that a 3.5-inch screen was the perfect size for a smartphone screen.

"You can't get your hand around it," Jobs said in 2010, as rivals running Google's Android operating system began rolling out bigger phones. "No one's going to buy that."

According to a 2013 study by mobile designer and author Steven Hoober, 59% of smartphone users operate their device with one hand, perhaps lending some credence to Jobs' argument.

"As with the iPad Mini -- which Steve Jobs said was a bad idea before he passed away -- a larger iPad would be a departure for Apple," Gowndner said. "But it's a welcomed one: Market segmentation is important, and there are buyers who would benefit from a larger device.

"Tim Cook will continue to put his own imprint on Apple, and we'll see if the bets he makes succeed."

@highlight

A report says the next iPad will have a 12.9-inch display

@highlight

That's up from 9.7 inches, and follows news of bigger iPhones

@highlight

Analyst says bigger screens go along with how we use phones

@highlight

If phones become "phablets," tablets need to get bigger, too