A number of the world's leading airlines on Tuesday suspended flights to Israel's main airport after a rocket fired from Gaza struck about a mile from its runways.

The Federal Aviation Administration ordered U.S. airlines to stop flying to or from Tel Aviv's Ben Gurion International Airport for at least 24 hours, and the European Aviation Safety Agency issued a warning to its airlines to stop its flights.

The action came just days after Malaysia Airlines Flight 17 was shot out of the sky over eastern Ukraine, where government troops have been battling Russian-backed separatists.

The flight suspensions to Israel were the latest development in the 15-day-old conflict between Israel and Hamas militants in Gaza, with neither side showing any sign of backing down. At least 41 rockets were fired from Gaza toward Israel on Tuesday, according to the Israel Defense Forces.

The FAA ordered Delta Air Lines, US Airways and United Airlines to suspend their flights to Tel Aviv. "The notice was issued in response to a rocket strike which landed approximately one mile" from the airport Tuesday morning, the FAA said.

"...The FAA will continue to monitor and evaluate the situation. Updated instructions will be provided to U.S. airlines as soon as conditions permit, but no later than  24 hours" from when the suspension was ordered.

A number of European airlines as well as Turkish Airlines suspended flights after an advisory issued by the European Aviation Safety Agency.

EASA "strongly recommends airspace users to refrain from operating to and from Tel Aviv Ben Gurion International Airport," according to the advisory.

As of Tuesday evening, the Israel Airport Authority was showing a number of flight cancellations, but British Airways and a handful of smaller airlines still appeared to be operating flights.

Operations at the airport in Tel Aviv continued Tuesday after the FAA issued its order, according to CNN's Atika Shubert, who was reporting from Ben Gurion Airport. Shubert said she saw a rocket being intercepted near the airport. "This is the environment that the planes are flying in and out of," she said.

The Israel Airport Authority said the U.S. companies made the decisions on their own, and it urged them to reconsider, saying the airport was safe. "There is no reason that American carriers should stop flying to Israel and thus give a prize to terror," it said.

But aviation security consultant Jeff Price called the decision by airlines to halt flights to Tel Aviv's airport for the moment "a prudent measure" that was likely influenced by the shooting down of the Malaysia Airlines jetliner over Ukraine.

"The airline must protect their passengers and their asset (the airplane) from death, damage and destruction, so they aren't going to fly into a location that they believe to be unsafe," Price said.

"This is the same situation that airlines encounter during natural disasters like hurricanes, where the airlines move their aircraft out of harm's way until the storm has passed. This is a storm of a different kind, and I think because of MH17 people are more sensitive to their commercial flight flying over an area where military ordnance is being hurled around."

Delta Air Lines and American Airlines, the parent company of US Airways, both suspended service to Ben Gurion Airport before the FAA notice was issued.

The Lufthansa Group has suspended flights to Israel for the next 36 hours, including Lufthansa's Austrian Airlines and Swiss International Air Lines flights, according to a Lufthansa official.

Dutch flag carrier KLM has canceled a flight to Israel that was due to depart Tuesday evening. The company said it is still looking into whether future flights will be canceled.

The airport is the premier gateway between Israel and the rest of the world.

"Perhaps no other airport in the world has been the focus of so many terror threats for so long. But Ben Gurion Airport has a remarkable safety record. It is one of the most secure airports in the world," said CNN anchor John Vause, who previously spent three years as a Jerusalem-based correspondent.

"Israel has invested a lot to keep the airport safe, and many within Israel will be extremely concerned if it is now within reach of Hamas rockets," Vause said.

Vause was on Delta Air Lines Flight 468, which was en route Tuesday from New York's John F. Kennedy International Airport to Tel Aviv when it was diverted to Paris' Charles de Gaulle Airport.

It's very unusual for the FAA to prohibit U.S. carriers from flying to a particular airport, said Mary Schiavo, a former U.S. Department of Transportation inspector general, via e-mail.

"The FAA does not like to restrict flight operations," Schiavo said via e-mail. "In the past when the FAA has done it there have been diplomatic consequences."

The Malaysia Airlines Flight 17 tragedy last week likely affected the decision, she said. Aviation security expert Richard Bloom agreed that MH17 played a part in the decision to restrict flights.

"Another part of it is the actual war going between Hamas and Israel. Hamas has displayed some surprises -- how many missiles they have and how far they can go. That explains why a number of (airlines) are getting out," said Bloom, director of terrorism, intelligence and security studies at Embry-Riddle Aeronautical University.

"It's extremely, extremely difficult to protect a commercial aircraft," he said.

Travel agents are scrambling to inform and rebook travelers.

"We are in touch with all our clients, and we're obviously helping to move them to another airline," said Iris Hami, owner of Gil Travel in Philadelphia.

Hami said her agency is working closely with Israel's El Al Airlines. El Al continued to operate its regular schedule Tuesday, including up to five flights a day from the U.S., according to the airline.

Hami said she's rebooking to an El Al flight a group of more than 100 travelers that was scheduled to fly US Airways to Israel Tuesday night.

The flight suspensions come a day after the U.S. State Department asked Americans to consider deferring nonessential travel to Israel and the West Bank.

Monday's travel warning reaffirmed existing guidance against any travel to Gaza, which the State Department said "is under the control of Hamas, a foreign terrorist organization." The department urged U.S. citizens already in Gaza to depart immediately.

Other governments are cautioning their citizens against some or all travel to the region.

The United Kingdom's Foreign and Commonwealth Office on Monday issued an advisory against all travel to Gaza and noted areas of possible violence in Israel, the West Bank and Gaza.

In an alert issued Sunday, Canada advised its citizens to use a "high degree of caution" while traveling in Israel. The government advises against travel to Gaza and areas bordering Gaza, Syria and Egypt.

Last year, Israel received a record 3.5 million visitors, according to the country's Central Bureau of Statistics. Before the recent violence, the bureau reported a record 1.4 million visitors for the first half of 2014, but the escalating violence is likely to put a damper on the numbers.

Visitors to Israel should familiarize themselves with the nearest bomb shelters in case of attack and should avoid areas of Israel near Gaza because of the possibility of attacks from Gaza "with little or no warning," the U.S. State Department advisory says.

Travelers reassess plans amid Mideast conflict

@highlight

The FAA is monitoring the situation and will issue updated instructions

@highlight

CNN reporter watches rocket intercepted near Ben Gurion Airport

@highlight

FAA prohibits U.S. flights to Ben Gurion Airport near Tel Aviv

@highlight

European Aviation Safety Agency recommends avoiding Ben Gurion