(CNN) -- Internet shoppers could be one step closer to having to pay sales taxes on online purchases.

In a vote on Monday, the U.S. Senate passed the Marketplace Fairness Act, which will require all online retailers to collect sales taxes for the states where they ship goods.

The legislation still needs to pass the Republican-controlled House before it can become a law. White House spokesman Jay Carney has said that President Obama supports the bill.

Why is there no online sales tax now?

Until now, online shoppers have enjoyed buying items from e-commerce sites mostly sales-tax free. That's because older laws require stores to collect sales tax only on goods shipped to states where they have a physical presence, such as a distribution center or a physical store.

The primary reason for not requiring sales taxes for products sold across state lines is that it was just too complicated. Having to juggle the various sales tax laws and amounts for all 45 states that have sales tax was seen as a burden on businesses.

States that collect sales tax often have different rates depending on the type of goods being sold. Alcohol might have a higher sales tax rate while some goods like groceries dental equipment can be tax free. Within a state, cities and counties can charge additional taxes.

What's changed?

The most recent Supreme Court ruling that addressed the issue was in 1992, when Internet commerce was non-existent and computer software not as advanced.

Advocates for the online sales tax argue that current technology makes it possible to simplify and automate the task of collecting sales taxes for various states. Under the Marketplace Fairness Act, state governments that want to collect the tax will have to provide companies with free software for calculating taxes and set up one state entity to receive the payment.

Wait, aren't we required to pay sales tax already?

In most states with sales taxes, people who buy goods online (or over the phone or through the mail) from another state are subject to a Use Tax. They are supposed to keep track of everything they purchase and pay sales taxes when they file their tax return. Many consumers either ignore or are not aware of these requirements, and states say it is difficult to enforce.

Because people are already technically required to pay for unpaid sales tax, proponents of the bill argue that it isn't a new tax at all but a more efficient way of enforcing existing tax laws.

Who wants this tax?

The bill's supporters include big box retailers like Target, the National Retail Federation, e-commerce powerhouse Amazon, small brick and mortar business, a mix of Republicans and Democrats and President Obama.

Proponents say it will level the playing field for online and physical stores. Large retailers like Target have physical stores in most states and are already required to collect sales taxes for online sales. They argue that online-only retailers have an unfair advantage.

Until recently, Amazon was firmly against the online sales tax. But as the retailer has grown it's become interested in expanding its physical operations into more states, paving the way for faster and same-day delivery of goods. Now the company is a big supporter of the law, which will help it stay competitive against other online-only retailers as it moves into more states.

Who's against it?

Online marketplace eBay is leading the charge against the tax, which could impact its many sellers who do more than $1 million in out-of-state business annually. In a letter to eBay sellers, CEO John Donahoe suggested the law should exempt any business with fewer than 50 employees or that make less than $10 million a year on out-of-state sales.

Conservatives and anti-tax activists are also against the law and claim it will hurt online businesses. Smaller businesses that make more than the $1 million threshold claim it could still be costly to integrate a new accounting system, even with the proposed simplifications.

How much money will this bring in?

There were $225.5 billion in online sales in 2012, according to the U.S. Department of Commerce. States lost out on a combined $23 billion in uncollected sales tax revenue, according to estimates from the National Conference of State Legislators.

What about states with no sales tax?

Five states currently have no statewide sales tax: Alaska, Delaware, Montana, New Hampshire and Oregon. People who live in a state without sales tax won't be charged on goods they have shipped to their home state. However, businesses based in these states will have to collect sales taxes for items shipped to other places where there are sales taxes.

How much will I pay?

People in states that do have sales tax will pay the same amount of sales tax as you would buying an item in person at a local store. Sales tax rates are complicated and vary according to the type of product. To find out how much something will cost under this new law, choose a location and tax category on Tax Cloud's interactive map.

It will be possible to avoid sales taxes by buying from small out-of-state retailers making less than $1 million a year and not reporting use taxes when you file taxes.

When will it go into effect?

You don't need to start stockpiling goods from your favorite online stores just yet. There are still a few hurdles before states can start collecting sales tax on online purchases. The earliest it could go into effect is October 1, 2013.

After the vote on Monday, the bill will have to pass the House where it could face more resistance that it did in the Senate. If it does become a law, individual states will still have to meet some requirements before they can compel companies to pay state sales tax. They must simplify their tax processes and creating a single entity for collecting state taxes.

Twenty two states have already begun the process as part of the Streamlined Sales and Use Tax Agreement, which is a move by states to simplify their tax laws and regulations.

@highlight

The Senate on Monday approved an online sales tax

@highlight

Currently online retailers do not have to collect sales taxes outside of the states where they are based

@highlight

The Market Place Fairness Act would still need to pass the House before it could become law

@highlight

Online shoppers would have to pay the same sales tax as when buying the item at a store