Mattias' baby picture sits prominently on the Mosquera family's mantel in their home in Teaneck, New Jersey, his tiny hand wrapped around his mom's index finger.

The first moments of a baby's life are always filled with photographic milestones. From the cutting of the umbilical cord to the first mother-child portrait to bringing a little one home, there's typically a camera close by to document every step.

On most mantels, those framed memories would grow: from the first day of school to high school prom, to cap and gown and beyond. But for Mattias, it's just the one.

At just 7 hours old on July 9, 2014, Mattias passed away surrounded by his parents, grandparents, 4-year-old sister and Domenica Comfort, one of many photographers who have taken it upon themselves to document stillborn and terminal babies' precious moments after birth.

"She took the time to photograph his little hands, his little feet, his hair, his ears, everything about him," Maria Cecilia Mosquera, Mattias' mother, said of Comfort. "...All his beautiful little features, which in the seven hours he lived, I didn't have time to fully appreciate."

It's a sad fact that tens of thousands of families in the United States each year mourn an infant whose life was measured in hours, or less. Approximately 26,000 babies in the United States each year are stillborn, according to the National Institutes of Health. Another 11,300 babies in the United States, on average, die each year on the day they're born, according to a report from Save the Children. And that's not counting a pregnancy miscarriage rate of 15% to 20%.

When Maria Cecilia was about 20 weeks pregnant, she and her family found out Mattias had Trisomy 18, a chromosomal condition with which fewer than 10% of newborns survive to their first birthdays.

Mosquera stumbled upon the idea of remembrance, or bereavement, photography on an online support group for moms carrying babies with poor prognoses. From there, she was connected to Now I Lay Me Down to Sleep, a national organization that connects parents who are losing or have just lost a baby to photographers, free of charge.

"I treasure each and every photo as the seven hours we had with him, we can never get back -- except through these photos," Mosquera said.

'Beauty and blessings'

Photographer Sandy Puc' co-founded Now I Lay Me Down To Sleep with Cheryl Haggard after Haggard and her husband called Puc' in February 2005 to take black-and-white portraits of them cradling their dying 6-day old son.

"That night was the worst night of my life," Haggard said, in a statement published on the site. "But when I look at the images, I am not reminded of my worst night. I'm reminded of the beauty and blessings he brought."

The two women realized that other families in that situation may want tangible, photographic portraits of their babies as part of the bereavement process -- and to reference years down the road. Now, their organization is in 40 countries with approximately 11,000 photographers.

"The bottom line is you know you're giving the family something priceless: a tool to use to heal," Puc' said. "It's anything but macabre; it's very beautiful and moving."

Todd Hochberg of Evanston, Illinois, has been photographing perinatal loss for 17 years and is considered a pioneer in the field. His work helped set the tone for organizations like Now I Lay Me Down To Sleep.

"It literally changed my life in 45 minutes," Hochberg said of his first session.

He started as a medical photographer in the hospital to capture surgeries for educational publications and corporate communications, but soon was drawn to the human stories of the NICU.

"I meet families at the most difficult time," Hochberg said. "It is not a portrait of a dead child, but rather this incredible unfolding story of love and loss."

Hochberg says it's important to note that these images aren't intended to frighten but to inform and validate an experience that is often upsetting for the parents and their family.

"The most difficult picture often becomes the most important one for them. And it doesn't mean it's pleasant," he said.

Facing grief

With any mode of grief, what works for one family might not work for another.

Hochberg said he hopes his photos help destigmatize miscarriage and infant loss and challenge the assumption that the parents' grief must be less because they didn't have much time to get to know their child. He also wants to encourage grieving families to talk about their loss and not sweep it under the rug because of dated societal constraints.

Rana Limbo, who helped found the bereavement organization Resolve Through Sharing, says this is important to note for any family or friend of someone who is going through this situation.

"Some people incorrectly equate length of life with level of relationship with a child," she said.

Limbo said that women who experience a miscarriage form relationships with their babies at the very earliest stages of pregnancy. But they are often reluctant to talk about them.

"Because they presume that others will not understand these deeply felt emotions, they choose to keep the loss to themselves," she said.

So if you know someone who has miscarried or lost a very young child, how do you talk to them about it?

Limbo suggests calling their baby by name if one was chosen and to use the term, "I remember" in sharing one's memories of the baby. Also, she said, never try to find the silver lining with "at least" phrases like "at least you know you can get pregnant."

An open ear opens the door for as little or as much conversation as the parents' want to share at that time, Limbo said.

"You can open the door with, 'Tell me more' or 'I think about you all the time.' 'Tell me how you are,'" she said.

How to help

Limbo said that if you know a friend or family member going through this, do NOT:

• Try to explain or rationalize what happened: "God must have needed another angel in heaven," or "It was nature's way."

• Start any sentence with "At least."

• Not mention the baby.

• Use the parents' story as a springboard for your own: "Well, when my sister had a miscarriage, she..." Or "When I was pregnant..."

• Talk more than you listen.

• Be silent.

@highlight

Remembrance photography is offered to families to help cope with the grief of a lost baby

@highlight

Todd Hochberg is a pioneer in the field of perinatal bereavement photography

@highlight

Do not equate the baby's length of life with the level of the relationship, one expert says

@highlight

October is National Pregnancy and Infant Loss Awareness Month.