ATLANTA, Georgia (CNN) -- A sealed envelope awaits in Rissi Palmer's Bible.

Country singer Rissi Palmer performs for students in an after-school program at Atlanta's Parkside Elementary.

It's her Grammy acceptance speech, the one she wrote as a 12-year-old. She vowed not to open it until she could read it from the stage accepting her award.

Sixteen years later, the time may be nearer when Palmer can open the envelope. The road has been a long one, starting with her standing on a milk crate as a child so she could sing solos in the church choir. But these days, she is an up-and-comer in country music -- and a rare African-American performer in the genre.

Palmer acknowledged this week to students in Atlanta that some people had told her she couldn't sing country because she was African-American. But she said, "When you tell me I can't do something, it just makes me want to do it more."

Palmer told CNN that no one in the music industry had discouraged her based on race but that people who loved her were concerned country stardom might be a tough goal. She said she doesn't believe her story is different from any other musician's: "The music industry is just hard."

Palmer told students at Parkside Elementary School that she grew up listening to all kinds of music, including country. "My mother was a big country music fan," she recalled. The family also listened to R&B and classic soul, such as Sam Cooke, she said.

"I loved the way the country artists wrote songs," Palmer told about 50 students, most of them minorities, in an after-school program at Parkside. She liked the way that country songs told stories: "I always liked telling stories."

"Country Girl," the first single off Palmer's self-titled 2007 debut album, made her the first African-American female in 20 years to hit Billboard's country chart, according to Country Music Television.

Country music is home to a smattering of well-known African-American artists. Charley Pride is by far the most visible, but other artists have dabbled in country as well -- the Supremes, for instance, and Ray Charles. More recently, Darius Rucker, longtime lead singer for Hootie and the Blowfish, hit the top of the country charts as well.

African-Americans always have been in the country music industry, said John Rumble, senior historian for the Country Music Hall of Fame and Museum in Nashville, Tennessee. However, it's rare for an artist -- of any race -- to reach the level of stardom attained by Pride, who had 67 records on the country chart between 1966 and 1990, more than 20 of them in the Top 10.

"Some people at the time, and since, called him the Jackie Robinson of country music, but nobody who followed him has yet reached that level," Rumble said. "... He's almost an impossible standard to match." However, given Rucker's recent success, he is showing "superstar potential" in the country industry, Rumble added.

Palmer lost her mother at an early age but has said her parent's love for country music stayed with her. Still, she said she doubted she could break into the genre.

"When you're a child, you react to something that's familiar and looks like you," she told CMT in 2007. "And there was nobody [in country music] who looked like me. Just being a kid, you don't see black country singers. So you don't think that's a possibility for you. You see black pop singers. You see black R&B singers. You see black rockers. So you say, 'If I'm black and I want to sing, then I probably have to sing R&B.' "

Rumble echoed Palmer's comments about the music industry being tough on new artists. More than ever, "it takes a lot of money to put an artist out there on promotional tours," creating videos and the like, he said.

Rumble said many African-American artists probably gravitate to other genres. And, for artists of any race, "once you're in the door ... it's still a matter of catching on."

"There are a certain number of people who are just not used to seeing a black person on CMT or GAC [Great American Country]," he said. "It just doesn't compute, for whatever reason."

Palmer's family moved to St. Louis, Missouri, when she was 13, according to her Web site. She took part in talent pageants there and joined an entertainment troupe.

"That is where a lot of my country influences started to come out," she said in the online biography. "At the audition we were instructed to pick an artist that we admired and perform some of their songs. I chose LeAnn Rimes and Shania Twain. I was not the one they expected to walk out and sing 'Any Man of Mine' at those state fair shows, but they always liked it."

She participated on the CBS show "Star Search," reaching the finals, and credits judge Naomi Judd's manager with introducing her to the creators of "Waiting in the Wings," a CMT documentary about African-Americans in country music, according to her Web site. She was also featured on CMT's "Most Wanted Live." Her music reached Terry Johnson, president and CEO of 1720 Entertainment, who offered her a record deal.

"You guys are at an age where all the possibilities are open to you," she told the Atlanta students this week. "Anything you want to do, you can do it."

However, she cautioned them that being a singer is not always fun, even though she loves it. "The best advice I can give you is that this is a job that I do," she said. "... You have to take it very seriously."

She fielded questions with a sense of humor, telling them some of her favorite songs (one is Bonnie Raitt's "Nick of Time") and her favorite instrument -- a guitar ("Have you ever tried to push a piano around with you?" she asked).

She told the children that once they start dating, they will find plenty of material -- good and bad -- to write songs about. She said afterward she enjoyed talking with children and likely would have been a teacher if she had not pursued a music career.

Palmer appeared as part of the Arts in Schools program at the Atlanta-based Threshing Floor Academy of Arts and Sciences Inc. The organization was founded in 2008 by Meisha Card, a former special education teacher.

For her part, Palmer has said she hopes that one day, the discussion centers on her music rather than her ethnicity.

"I'm looking forward to the day when the only thing that's being discussed is the album -- the actual music -- as opposed to my race," she told CMT. "I understand it is something rare, and it is something different, and it is something that's not happening every day. I get that. But if my career's as successful as I hope it will be, we're going to reach a lot more firsts."

@highlight

Singer Rissi Palmer has had a Grammy acceptance speech ready since she was 12

@highlight

Song off debut album made her the first black female to hit country charts in 20 years

@highlight

Palmer says her mother always loved country music and she likes telling stories

@highlight

Performer tells Atlanta students: "Anything you want to do, you can do it"