(CNN) -- Nothing better sums up Africa's extraordinary mixture of challenges and opportunities than agriculture. On the one hand, Africa is home to one in four of the world's hungry and is the only continent which fails to grow enough food to meet its own needs.

Yet it has also half of the world's unused land suitable for farming. Better still, increasing yields on existing farmland by 50% -- still far below the global average -- would not only meet Africa's own food requirements but provide a sizable surplus for export. With global food supply needing to increase by an estimated 70% by 2050, the continent is at the heart of the challenge of food security.

All this explains why agriculture in Africa is finally getting the attention it deserves from both the continent's governments and donors.

The recent Nutrition for Growth summit generated pledges of $4.1 billion to fight malnutrition and hunger. This builds on the commitments made at Camp David 12 months ago when we, along with other local and multinational companies, committed to collectively invest over $3 billion across the agricultural value chain in Grow Africa countries.

There is now increased pressure on G8 leaders, meeting this week in the UK, to tackle the issues at the heart of food insecurity, including "land grabs."

Read this: African land grabs, mirage in the desert

In the worst cases, local communities and farmers have been evicted from land they long regarded as their own. Farmland which was once productive can be left idle. Plans to grow crops for export in the future can also be difficult to stomach when local people don't have food to eat today.

Land purchases which ignore the interests of local communities and the local landscapes are both morally wrong and commercially short-sighted. We need action both nationally and globally to stop them.

But there is a danger that these clear-cut cases fuel opposition to all outside investment or create a false choice between large-scale commercial farming and smallholders. The truth is Africa desperately needs to maximize the potential of both to meet the needs of its citizens.

With smallholder farmers still producing 80% of the food and supporting 65% of the population of sub-Saharan Africa, they are central to any successful sustainable solution. We need to lift the barriers which have seen them locked out of the developments in agriculture from which farmers around the world have long benefited. Where this has happened, the results can be remarkable.

Read this: Africa can feed itself in a generation

As a company, we have been working with African farmers for many years. We buy our raw materials from all sorts of farming systems, from large-scale commercial barley farmers right through to near-subsistence cassava farmers who we are keen to help become viable commercial operators -- and at least half of the grains we use come from local farmers.

The challenge for all who want to see African agriculture drive prosperity for its people is to maximize the benefits which both smallholder and large-scale commercial farming can bring. There is no single answer to preventing land grabs but at the heart of any solution is the need to improve land rights. It is no coincidence that many of the most questionable acquisitions have taken place in countries with the weakest system of land rights in place.

As much as 90% of the land in sub-Sahara Africa is untitled. The result is that communities which may have lived and farmed the land for many generations have no enforceable legal claim to it. In the worst cases, this can allow land to be sold off by governments from under their feet without any hope of compensation.

Read this: Land grabs really water grabs?

Improved land rights which go at least some way to recognize history and usage would help prevent this from happening. Nor is it impossible to put in place. Countries such as Botswana and Ghana have already improved their laws so customarily held lands have the force of private property.

Giving people the protection of legally enforceable land rights does not only give them security. It also gives them greater incentive to invest in their farms and an easier route to get this investment. The lack of legal paperwork to their land remains a major reason for the refusal of banks to lend to farmers.

Improving land rights would also help commercial organizations who want to invest and farm in a responsible way. The present position gives us the worst of all worlds. While bad investors can get away with riding roughshod over the rights of smallholders and communities, the present free-for-all makes it difficult for good investors who want to farm in a way which is beneficial to local people and the environment from accessing land.

It is not just weak land rights which are holding back African agriculture, and the solutions are complex and multi-faceted. But work to put in place a fair and enforceable system would be a major step to helping the continent fulfill its rich potential.

The opinions expressed in this commentary are those of Mark Bowman.

@highlight

G8 leaders under pressure to tackle food security, says Mark Bowman

@highlight

National and international action is needed to stop land grabs, he says

@highlight

But Africa needs both large-scale commercial farming and smallholders, he adds

@highlight

Bowman calls for "a fair and enforceable system" of land rights