Sanford, Florida (CNN) -- An affidavit of probable cause in Florida's case against George Zimmerman for the shooting death of an unarmed 17-year-old says that the neighborhood watch volunteer "profiled" the victim, Trayvon Martin, and disregarded a police dispatcher's request that he await the arrival of police.

The affidavit, which was drawn up Wednesday but not made public until Thursday, was prepared by investigators for the state attorney, who charged Zimmerman with second-degree murder Wednesday.

Public documents in the Trayvon Martin shooting

Zimmerman's relatives say that he did not profile Martin and that he shot him in self-defense. They say Zimmerman killed Martin after the teen punched him and slammed his head on the sidewalk.

One of the responding officers reported seeing a wound on the back of Zimmerman's head, and surveillance video appeared to show an injury.

The affidavit offers little new about what happened on the night of February 26, when Martin was returning to the Sanford house where he was staying after having walked to a nearby convenience store, but it may offer some insight into how the special prosecutor views the case.

"Martin then walked back to and entered the gated community and was on his way back to the townhouse where he was living when he was profiled by George Zimmerman," the affidavit says. "Martin was unarmed and was not committing a crime."

It says that Zimmerman, who lived in the same community, was in his vehicle when he saw Martin "and assumed Martin was a criminal. Zimmerman felt Martin did not belong in the gated community and called the police. Zimmerman spoke to the dispatcher and asked for an officer to respond because Zimmerman perceived that Martin was acting suspicious. The police dispatcher informed Zimmerman that an officer was on the way and to wait for the officer.

"During the recorded call Zimmerman made reference to people he felt had committed and gotten away with break-ins in his neighborhood. Later while talking about Martin, Zimmerman stated 'these a**holes, they always get away," and also said 'these f****** punks.' "

As the incident was unfolding, Martin was on the phone with a friend, the affidavit says. "The witness advised that Martin was scared because he was being followed through the complex by an unknown male and didn't know why. Martin attempted to run home but was followed by Zimmerman who didn't want the person he falsely assumed was going to commit a crime to get away before the police arrived. Zimmerman got out of his vehicle and followed Martin. When the police dispatcher realized Zimmerman was pursuing Martin, he instructed Zimmerman not to do that and that the responding officer would meet him. Zimmerman disregarded the police dispatcher and continued to follow Martin who was trying to return to his home.

"Zimmerman confronted Martin and a struggle ensued. Witnesses heard people arguing and what sounded like a struggle."

Calls to 911 captured a voice crying for help; that voice belonged to Martin, according to his mother; the neighborhood watch volunteer's relatives have said the voice was Zimmerman's.

"Zimmerman shot Martin in the chest. When police arrived Zimmerman admitted shooting Martin. Officers recovered a gun from a holster inside Zimmerman's waistband. A fired casing that was recovered at the scene was determined to have been fired from the firearm."

The affidavit says that an autopsy determined that Martin died of the gunshot wound.

Asked Thursday why his client had followed Martin, Zimmerman's lawyer Mark O'Mara told CNN sister network HLN, "I know so little about the evidence."

O'Mara, who began representing Zimmerman on Wednesday, said they had not yet discussed the facts of the case.

Immediately after the shooting, Sanford police questioned Zimmerman and released him without charges. They said then that there were no grounds to disprove his account that he'd acted to protect himself.

The affidavit was released the same day that Zimmerman made his first court appearance Thursday, wearing gray jail coveralls and saying little as his arraignment was set for May 29.

Seminole County Judge Mark Herr, who spoke via a closed-circuit television connection during the four-minute hearing, said all matters including bond and further motions in the case will be handled by Circuit Court Judge Jessica Recksiedler.

O'Mara did not ask that Zimmerman be released on bond, although he had said earlier that he wanted his client released as soon as possible.

He added, however, that Zimmerman's safety could be jeopardized if he were released.

"I think nobody would deny the fact if George Zimmerman is walking down the street today, he would be at risk," he said.

Zimmerman, 28, was in hiding until he turned himself in Wednesday after authorities said he would be charged in the case.

Blog: Updates on charges and arrest as they unfolded

The case has triggered a nationwide debate about race in America and about Florida's "stand your ground" law, which allows the use of deadly force in response to a reasonable threat of death or serious injury.

O'Mara said Zimmerman, who will plead not guilty, is worried about getting a fair trial in Sanford -- where thousands had decried the police department's handling of the February 26 shooting.

But O'Mara said he does not share those concerns.

"Florida has a very good process in place to make sure we get a fair and impartial jury," he told CNN. "I trust that the system, the judge, the prosecutor and I will be able to, should the need arise, to get ourselves a fair and impartial jury to hear the case. It may not be in Seminole County."

Martin's mother, Sybrina Fulton, released a statement on Thursday seeking to clarify what she had said earlier on NBC's "Today."

Earlier, Fulton had told NBC, "I believe it was an accident. I believe that it just got out of control, and he couldn't turn the clock back."

In her subsequent statement, she said her comment had been "mischaracterized."

"When I referenced the word 'accident' today with regard to Trayvon's death, in no way did I mean the shooting was an accident.

"We believe that George Zimmerman stalked my son and murdered him in cold blood," Fulton said. "The 'accident' I was referring to was the fact that George Zimmerman and my son ever crossed paths. It was an accidental encounter. If George Zimmerman hadn't gotten out of his vehicle, this entire incident would have been avoided.

"My son was profiled, followed and murdered by George Zimmerman, and there was nothing accidental about that," she said.

Asked about Fulton's comments, O'Mara said, "obviously, it was a horrible intersection of two young men's lives, and it ended in tragedy."

Share your views of the Trayvon Martin story

Zimmerman was charged 46 days after the shooting and after calls for "Justice for Trayvon" had grown more forceful, with Martin's supporters taking to the Internet and to streets in cities across the nation.

Prosecutor Angela Corey said she will ensure that the judge or jury deciding the case will get only "the relevant, admissible evidence on which they can then base their decisions."

"Let me emphasize that we do not prosecute by pressure or petition," said Corey, who has a reputation for taking on tough, controversial cases in the three counties that make up the 4th Judicial Circuit.

Trayvon Martin prosecutor lives up to 'tough on crime' mantra

A second-degree murder charge carries a maximum sentence of life in prison.

Natalie Jackson, an attorney for Martin's family, praised the prosecutor's decision.

"It's actually a very brave charge of Angela Corey and really shows that she conducted an independent, impartial and fair investigation in this case," the attorney said Thursday. "She could have easily charged this as a manslaughter to try to appease everyone. She didn't."

Jurors will have several options under Florida law, including considering aggravating factors such as Martin's status as a child, Jackson said.

Read charges against Zimmerman (PDF)

O'Mara told reporters Thursday he has taken no fees from his client. "He doesn't have any money," he said, adding the state may help defray the costs.

Asked why he took the case, O'Mara told CNN affiliate Central Florida News 13, "That's what I do."

O'Mara said Thursday he had spoken with his client by telephone several times Wednesday and met with him for about an hour Wednesday night.

Read affidavit of probable cause (PDF)

"He is stressed," O'Mara said of his client. "I'm just hoping that his mental health stays well and we can move forward with getting the case figured out."

O'Mara asked that there be no rush to judgment.

"Nobody, after all, wanted Trayvon Martin to be pre-judged as he was walking down that street," he said. "I ask you not to pre-judge George Zimmerman, and please do not pre-judge the criminal justice system. It's going to work. We just need to let it work."

O'Mara told CNN on Thursday he expects it will be at least six months, and possibly a year, before the trial.

Gov. Rick Scott, who appointed the special prosecutor on the case, issued a statement Wednesday calling on Florida's residents to "allow our justice system to reach an appropriate conclusion in this case."

What happens next

Meanwhile, Attorney General Eric Holder pledged Wednesday that the Justice Department, which launched a concurrent investigation three weeks ago, will "conduct a thorough and independent review of the evidence."

CNN's Chelsea J. Carter, Ashley Hayes, Martin Savidge and Vivian Kuo, and InSession's Beth Karas, Jessica Thill and Aletse Mellado contributed to this report.

@highlight

Affidavit says Zimmerman disregarded dispatcher's request

@highlight

Zimmerman's relatives say he killed Martin in self-defense

@highlight

"Martin was unarmed and was not committing a crime," affidavit says