(CNN) -- Even as last month's events in Benghazi, Libya, become clearer (it was a terrorist attack), the aftermath of Benghazi on American politics and on American policy is far from settled.

The immediate question is why did it take so long to characterize accurately what happened there?

Writing in The Daily Beast, respected diplomatic observer Leslie Gelb answers that question by reverting to a well-used theme when he blames current policy and political problems on the quality of the intelligence. Commenting on Ambassador Susan Rice's serial talk-show assertions that the Benghazi attack was "spontaneous," he opines that Rice's "mistake was taking the initial intelligence at face value."

Gelb reinforces his point by saying that he made the same mistake in his own op-ed by relying on "what the intelligence briefers told me." Odd that he would receive an intelligence briefing.

Equally odd, his assertion presumes that policymakers are simply passive clients of their intelligence officers. Did anyone challenge the video-inspired, spontaneous-event narrative with information like that reportedly revealed to Congress by Ambassador Pat Kennedy soon after the attack: that this was a complex and synchronized assault?

What we know about the Libya attack

This theme of intelligence shortcomings was carried over by multiple government officials cited in a lengthy Wall Street Journal piece that outlined "shifting views within the intelligence community" as one source of the administration's problems.

According to the Journal's sources, early intelligence reports of an al Qaeda connection to the Benghazi attack were discounted by the White House, following the lead of the director of national intelligence.

"The intelligence community made me do it" defense is a bit peculiar given the aftermath of the flawed 2002 National Intelligence Estimate on Iraqi weapons of mass destruction. The outcome of that episode was a commitment by the intelligence community to give policymakers the benefit of the range of views within the community and to attach confidence levels to assessments.

One wonders what level of confidence (low, medium or high) the intelligence community attached to its judgment that the Benghazi attack was related to an anti-Islam video and spontaneous and how already emerging dissenting views arguing the attack was preplanned were presented to senior officials.

In any event, given the administration's existing narrative about its success against al Qaeda and the inherent attractiveness of the spontaneous attack plotline (a spontaneous attack would be neither predictable nor preventable and therefore less likely to invite blame for a lack of sufficient security), there were likely strong instincts in the White House to accept and publicize the original director of national intelligence assessment regardless of confidence levels or competing analysis.

Strong instincts, but not necessarily good instincts.

First of all, on a political level, the early story seemed to confirm earlier criticisms of administration wishful thinking in the face of similar events. Sen. Susan Collins, for example, criticized the Pentagon for labeling as "workplace violence" the 2009 killings of 13 U.S. soldiers at Fort Hood. The Army officer charged in the rampage had communicated with a known terrorist and was shouting "Allahu Akbar" during the shooting. Similarly, the man in an attempt to down an aircraft near Detroit on Christmas Day 2009, the final turn of one in a series of complex plots launched by al Qaeda in Yemen, was prematurely labeled an "isolated extremist" before all the facts were in.

Even more importantly, if wishful thinking can sometimes create political problems, it could take a far more important toll on the development and implementation of actual policy. The decision to intervene in Libya, though wrapped in a U.N. Security Council resolution to protect innocent life, was also a decision to overthrow the Libyan government, and U.S./NATO airstrikes continued until that goal was achieved.

With that "victory," Libya was predictably thrown into chaos: no central government, no institutions of civil society, fractious armed militias, a budding jihadist movement in the east, lingering regionalism and tribalism elsewhere. Predictable consequences were not confined to Libya. Awash with weapons and fleeing mercenaries, northern Mali was broken off from the center and became a haven for a strengthening al Qaeda in the Islamic Maghreb.

How prepared were we for these predictable consequences? Clearly Ambassador Chris Stevens threw his heart and soul and ultimately his life into trying to shape a positive future. But were the full government's efforts adequate to the task we helped create?

Although we were less immediately responsible for the overthrow of regimes in Egypt, Tunisia and Yemen, we will be no less affected by the outcome in those states. The same will hold true for Syria when the day of reckoning comes for Bashar al-Assad's regime. What level of effort is the United States prepared to exert?

We shouldn't fool ourselves. Our influence will often be far from decisive. But neither will it be trivial.

And surely, in a time of global challenges and fiscal pressures, we will have to pick our investments and "interventions" carefully.

But that will require a realistic rather than a wishful appreciation of events.

Over the past year the administration has repeatedly emphasized that "the tide of war is receding" and that "it's time to do some nation-building here at home." Many have read this as advertising an American retrenchment from commitments abroad.

Some may think that wise and are prepared to live with the consequences. One only hopes that the calculation of the consequences has been carefully done, based on hard realities, and not on the kind of wishful thinking that would turn a complex, synchronized terrorist attack into a kind of jihadist flash mob.

The opinions expressed in this commentary are solely those of Michael V. Hayden.

@highlight

Michael Hayden says intelligence briefers are being blamed for confusion over Benghazi attack

@highlight

Hayden says reforms require briefers to cover full range of intelligence theories

@highlight

The incorrect description of the attack fits pattern of wishful thinking on terrorism, he says