(CNN) -- At his son's 11th birthday party, just before everyone was about to sing "Happy Birthday" and cut the cake, 46-year-old Dr. Carlos Zayas stepped on to the porch of his Atlanta home to take a call from another doctor about a particularly sick patient.

While on the phone, Zayas reached up absent-mindedly and touched his neck. He felt a lump on the right side. Then he felt a lump on the other side. Feeling a bit panicky, he unbuttoned his pants and felt for lumps in his groin. They were there, easy to feel.

In just seconds, his "doctor's mind," as he calls it, added it all up. The fatigue he'd been feeling recently, the weakness, the lumps all meant one thing: cancer.

When he went to the doctor, he found out it was peripheral T-cell lymphoma, one of the rarest and most aggressive blood cancers there is. Twenty-four rounds of chemotherapy with 18 different drugs couldn't stop its spread. A transplant with Zayas' own bone marrow did nothing. He needed a transplant with someone else's marrow or he would die.

As chairman of the department of transplantation at Piedmont Hospital in Atlanta, Zayas had helped countless patients find donors. Now it was his turn.

Zayas' search failed, and there's one major reason for that: He's Hispanic.

The search for the perfect donor

If you're looking for a kidney, finding the perfect match isn't absolutely crucial -- there's considerable wiggle room. But with blood cancers, there's little wiggle room. You need a perfect -- or nearly perfect -- bone marrow match, and you're much more likely to find that with someone of your own ethnicity.

Hispanics have only a 33% chance of finding a perfect match on Be The Match, the national bone marrow donor registry, according to Dr. Willis Navarro, the medical director for transplant medical services for the registry.

Partly that's because relatively few Hispanics sign up to donate: They represent 10% of people on the registry, yet 16% of the U.S. population. Language barriers explain the low rate to some extent, and so does the fact that Hispanics who are in the United States illegally are often reluctant to sign up, even though the registry doesn't share their information with the government.

The other reason for the difficulty is that Hispanics often have a varied genetic background that can include European, African and Native American roots.

"I'm Spanish, French and Portuguese. That's why it's so hard to match me," Zayas says. "And a lot of Hispanics are like me, with a weird combination of genes."

Through a long series of medical interventions, few of which his doctors thought would work, Zayas lived, and today he's devoted himself to helping other Hispanics looking for donors.

Zayas' story: A 10% chance at life

After discovering the lumps that February night in 2009, Zayas ended his phone call and went inside his house. He tried not to look panicked as he sang "Happy Birthday" to his son, also named Carlos.

After the party guests left and Carlos and his two sisters had gone to bed, Zayas closed their bedroom door and told his wife, Rita, what he'd found, and that he knew it was bad news.

The next year was filled with the aggressive chemotherapy and the transplant with his own bone marrow, both of which failed. An international search for a marrow donor yielded no perfect matches and one nearly perfect match -- nine out of 10 antigens matched -- but that donor backed out.

"My doctors gave me a 10% chance of living," Zayas said. "Then I thought about my brother, Hector, who was an eight out of 10 match. But a transplant with a match like that can kill you faster than the actual cancer."

Zayas was out of options.

"I made my plea to my doctors to use Hector's marrow," he remembers. "I said, 'I know my chances. Please consider it.' "

His doctors agreed. In June 2010, they destroyed Zayas' immune system so it would accept his brother's cells and then they gave him Hector's marrow.

Throughout that summer, Zayas and his family waited to see if Hector's cells would work in his body. "Please don't leave me," Rita would say to him every night. "I'm not planning on leaving you," he would reply. "I'm going to fight and God is going to help me."

Zayas did develop graft-versus-host disease, the dreaded consequences of a poorly matched transplant. Hector's cells attacked his cells. Already too slim, he lost 30 pounds. Tumors grew in places where they hadn't been before.

Then, just when it looked like he was at a low point, Zayas started to get better. Today, he's back full time at his job at Piedmont Hospital.

A second chance

Zayas attributes his recovery to excellent medical care at Piedmont, the University of Nebraska Medical Center and the Winship Cancer Institute of Emory University, but he also credits his faith.

"I thank God all the time for this second chance," he says.

Zayas first trained as a priest in his native Puerto Rico before he made the difficult decision to leave the seminary and go to medical school.

"I studied theology, but my call really was to serve others through the gift of medicine," he says. "I was born to be a doctor."

Now he takes time to help other Hispanics find bone marrow donors, including Isaac del Valle, a teenager who lives not far from Zayas in Alpharetta, Georgia

Isaac's story

Like Zayas, Isaac, 16, has a mixed background -- his father is Mexican and his mother is of Irish descent -- and like Zayas, his road has been long.

Found to have leukemia in March 2006, Isaac was treated and went into remission. In May, his family and friends gathered at a local Mexican restaurant to celebrate five years of survival.

"Five years is such a huge milestone, and we felt like the world had been lifted off our shoulders," says his mother, Linda del Valle.

But then a few days later, they got a call from the teen's doctors. They'd found something suspicious in his last blood test, and Isaac needed to come back in for a spinal tap and a bone marrow biopsy.

Those tests revealed the leukemia had returned.

"It was just devastating, and that's not even a strong enough word," del Valle says.

Isaac immediately joined a clinical trial with an experimental chemotherapy drug, and the search for a bone marrow donor began in earnest. They found one perfect match through the registry, but that donor, for reasons the del Valles don't know, didn't work out. Now they have no choice but to proceed with a transplant from either his parents or his two sisters, who, like Zayas' brother, are far from perfect matches.

When Zayas heard about Isaac through an e-mail that had been forwarded several times over, he went to a recent bone marrow drive for him. He couldn't donate to Isaac himself since he's had lymphoma, but he brought with him test results from his wife, three children, four brothers and three half-sisters in hopes that they might be matches for Isaac.

"It's extremely heartwarming -- it's just amazing," del Valle says. "It just kind of leaves you in awe that people who don't even know your son would step forward and help."

At the drive, Zayas spoke with Isaac.

"I told him, I understand how you're feeling, how it is to wait and not have a donor," Zayas remembers. "I told him there's light at the end of the tunnel, and I'm here to do all I can for you."

It turned out none of Zayas' relatives was a match for Isaac. Now both, doctor and patient, or actually patient and patient, wait to see if anyone can save Isaac.

For information on joining the national bone marrow registry, visit bethematch.org. To learn more about Isaac, visit the website of CNN affiliate WXIA-TV in Atlanta.

@highlight

Near-perfect match needed in bone marrow transplants

@highlight

Hispanics have a 33% chance of finding the perfect bone marrow

@highlight

Atlanta doctor nearly died from lymphoma

@highlight

He's committed to helping other Hispanics such as ill teen find right match