(CNN) -- Rocio Moreno says it took more than five years to leave her abusive husband.

Throughout their marriage, she says, she endured unwanted sexual advances. If she challenged his orders over where and with whom she spent her free time, she says he responded with verbal and physical abuse.

She finally decided enough was enough the day he hit her in front of their son.

"When he hit me I realized he could kill me" she said. "I decided no more violence. I didn't want my son to see him treat me that way."

She left him two years ago and moved into her own place. She mostly kept the ordeal to herself until she found the courage to express herself in the Monument Quilt, a collection of hundreds of survival stories touring the country this summer.

Her words in Spanish are etched into a 4-foot red square that shares space with others' stories in a 16-foot square. When laid out in full, the squares of 250 stories of surviving rape and abuse stretch out to a 100-foot multicolored square.

"You told me that you loved me but now I know and I understand that I was raped," she says. "I was your wife, not your property."

The brainchild of Baltimore-based activist group "Force: Upsetting Rape Culture," the Monument Quilt project is making 13 stops in 12 states, displaying portions of the quilt in public spaces and growing its footprint through quilt-making workshops.

The goal of the project is to create healing spaces by and for survivors, said Rebecca Nagle, co-founder of Force.

The quilt evolved from discussions about how to create a permanent monument to survivors of rape, similar to memorials for war veterans, based on research showing how public monuments can help survivors recover from trauma, she said.

Quilting has a long history connected to social justice movements, perhaps most notably through the AIDS Memorial Quilt, which began touring the country in 1988 in remembrance of those who succumbed to the disease.

Nagle hopes bearing witness to the quilt will help erode stigma attached to rape, similar to the effect the AIDS quilt had on raising awareness around the disease.

"When we remove the stigma from rape and we're able to have public conversations and not blame the survivor, it's one step closer to curbing the epidemic."

The presence of the quilt transforms parks, sports fields and town squares into reverential spaces for grieving and reflecting, said Karen Taylor, a Baltimore social worker who volunteers for Force.

"It creates a community holding space instead of the burden of trauma being on the shoulders of each individual supporter or survivor," Taylor said. "It can be solidifying and reassuring. It can be lifting. It's not just on you anymore."

Part of the healing comes from the collective impact of bearing witness to hundreds of survival stories. It also comes from creating the squares, some of which starts in workshops weeks before the Monument Quilt comes to town.

Force partnered with community-based prevention and public safety organizations, who made the quilt workshops part of their community outreach. South Dakota's White Buffalo Calf Women Society hosted workshops two weeks in advance of the quilt's arrival in White River, where it was displayed at a local high school.

Quilting is a cultural tradition of the Sioux tribe that inhabits the region, making it an ideal project for the community the shelter serves.

"It gave them a voice without putting them in the spotlight and I think that in itself was very powerful, and a good way to start the healing process," education outreach coordinator Summer Lunderman said.

"To stand in solidarity not only with our relatives here but with women in the U.S. was also very empowering for them and let them know they're not alone."

Helping others with their squares brought up memories of Lunderman's experience being molested as a child. Her square reads, "Lakota Women Are Sacred."

"It created a safe space for me that I really needed."

Witnessing the quilt inspired Baltimore activist Melanie Keller to bring to the surface her own history of being raped. Keller helped organize workshops through her work with anti-street harassment organization "Hollaback! BMore." But she has never publicly identified herself as a rape survivor.

Too often stories of sexual harassment in the media focus on stranger danger, date rape or the experiences of white middle-class college students, she said. Seeing the diversity of experiences represented in the quilt inspired Keller, who is biracial, to make her own square.

"What I love about the whole project is the narrative of control by survivors," she said. "It speaks to the diversity of different experiences who have gone through abuse and rape because we're the ones sharing those stories in the way we choose."

Moreno says creating her square was cathartic. She hopes sharing her story will inspire others to "free" themselves of a despair she knows firsthand.

"Reading these words tells you yes, there is an opportunity to break the cycle of violence," she said. "It doesn't have to be like this."

@highlight

The Monument Quilt consists of more than 250 stories from survivors of rape and abuse

@highlight

The brainchild of activist group FORCE, Monument Quilt is visiting 13 cities this summer

@highlight

FORCE helps community groups display quilt, hold quilt-making workshops

@highlight

The goal of the project is to create healing spaces by and for survivors