(CNN) -- As the United States weighs possible military strikes on Syria in response to a suspected chemical weapons attack, it has to consider a critical question: then what?

A broad cross-section of experts on the region agree: A missile strike could worsen the war in Syria and usher in a host of new problems.

"The key issue is not the tactics of the strikes, but the strategic aftermath," says Anthony Cordesman, a former Defense Department official now with the Center for Strategic and International Studies.

Read the U.S. government's assessment of Syria

Most experts believe a strike would target the Syrian regime's weapons arsenal -- not suspected sites of chemical weapons stockpiles. The latter would be "the worst possible option," and could spread chemicals downwind, says Hamish de Bretton-Gordon, a former commander of the British military's chemical defense regiment.

U.S. officials have said strikes on command bunkers, airfields or the artillery batteries and rocket launchers used to fire chemical projectiles are among the possibilities being considered.

CNN asked analysts to discuss what could follow.

Al Qaeda, extremists emboldened?

"A limited attack could suppress morale among regime forces and encourage defections and splits," says Jeffrey White of the Washington Institute for Near East Policy.

The opposition would be emboldened -- including the al Qaeda-linked al-Nusra Front, analysts say.

"Supporting the opposition at this point would be like French-kissing al Qaeda," says Michael Rubin, a former Pentagon official now with the American Enterprise Institute. "If the opposition wins, al Qaeda will win power."

"There is a real risk that destabilizing the Assad regime could enable the jihadist and al Qaeda-affiliated rebel groups," agrees Erica Borghard, author of the policy analysis "Arms and Influence in Syria: The Pitfalls of Greater U.S. Involvement."

"These groups are militarily more capable than the rebels currently receiving U.S. support. "

It would be difficult for the United States to target al-Nusra infrastructure as part of a missile strike campaign because al-Nusra does not operate with clear "command-and-control assets" like the regime of Syrian President Bashar al-Assad, Borghard says.

What do Syria's neighbors think of potential Western strikes?

Syria steps up attacks?

Many analysts believe a U.S. attack would be aimed largely at making a statement that using chemical weapons in the Syrian civil war is unacceptable -- and that President Barack Obama is serious about his "red line."

The attack would be unlikely to severely damage al-Assad, analysts say. But a limited attack brings its own dangers.

"Doing something cosmetic would be worse than doing nothing at all," says Christopher Harmer, senior naval analyst at the Institute for the Study of War.

It would send a message to al-Assad "that he has relative immunity from us, that he can continue to do whatever he wants short of massive chemical attacks on civilians," Harmer said in a CNN interview.

Some other analysts fear al-Assad would respond with new chemical weapons attacks.

"Damaging his air force and known military installations would force him to consider his more extreme options for regime survival," including chemical weapons to quell rebellions, says Ed Husain of the Council on Foreign Relations. "Syria is now a fight to the death for both sides."

More than 100,000 people have been killed in the Syrian conflict -- the vast majority through conventional weapons, according to the United Nations. Rebels officials have said 1,300 people were killed in a recent chemical weapons attack; the United Nations has said hundreds, perhaps more than a thousand, were killed.

'Red line' debate: Are chemical weapons worse?

The United States insists Syria was behind the attack, but "there is no absolute certainty," Husain notes in a CNN Opinion column.

Syria insists it has not used chemical weapons, and blames rebels.

If rebels did carry out the attack "to bait America into the conflict, then U.S. firepower would be futile," says Husain. "No amount of surgical strikes on government facilities will prevent non-state actors from further use of these weapons."

Bombing raises suspicion of another chemical attack

Retaliation -- against Israel?

It's unlikely Syria would attack U.S. assets, analysts say.

"They could try to shoot down U.S. bombers, if they are used, but have little hope against cruise missiles," says Benjamin Friedman of the Cato Institute. "The regime's forces are tied down against rebels, and it lacks an air force or missiles that can hit any important U.S. targets with reliability."

And if Syria did manage to hit a U.S. target, "it would only help shift U.S. opinion toward war and invite greater U.S. military involvement" -- the last thing the Syrian regime wants.

"It's easier for Syria to target Israel, but Israel's retaliation would bring similarly dire consequences," Friedman says.

"The nightmare scenario is that Assad will respond by launching chemical weapons into Israel or another neighbor," says Rubin, of the American Enterprise Institute. "After all, if he hasn't batted an eye at gassing sleeping Syrians, why worry about killing Turks, Jordanians, or Lebanese?"

Israelis have lined up in recent days for gas masks.

But a more likely scenario, says Friedman, is that Hezbollah would attack Israel.

"The Lebanon-based terrorist militia might fire rockets into Israel, as they did in 2006, in response to an attack on their Syria patrons. That could draw the United States more deeply into the war. On the other hand, the memory of Israel's 2006 response might deter Hezbollah."

International ramifications: Protests, unrest, attacks?

A missile strike on Syria could lead to new violence in other parts of the Middle East and around the world, says Firas Abi Ali, head of Middle East and North Africa Country Risk and Forecasting at IHS.

In Lebanon, Hezbollah supporters would be more likely to attack Sunnis "due to the increased perception that Sunni communities are supporting Western-Israeli targeting of Hezbollah and Syria," he says. In several Middle Eastern countries, protests could arise -- some of them potentially violent. In Jordan, Syria "would likely sponsor groups" to attack malls, hotels, and government targets, Abi Ali says.

And there will be a "high risk" of attacks, sponsored by Iran, against Western assets around the world, from India to Thailand to Brazil, Abi Ali says.

Russia would also likely take action against companies based in the United States and some other countries, he says.

Who wants what?

Syria becomes 'Obama's War'?

The repercussions for the United States, in the eyes of the world, could be tremendous, analysts say.

"By intervening, Syria may well prove to be Obama's war, bequeathed to a new president in 2016. Civilian casualties are inevitable. The images on our screens will not be Syrians using chemical weapons to kill each other, but American bombs creating carnage and killings in yet another Muslim country," says Husain of the Council on Foreign Relations.

There would be "real and false claims of collateral damage and civilian deaths,"and at the United Nations, Syria would accuse the United States of "illegal aggression," adds Cordesman of the Center for Strategic and International Studies.

"No amount of spin and victory claims can get around these issues. Nothing can stop critics from validly raising every past U.S. mistake in past interventions in the region and the world."

"The worry here is that the U.S. could be drawn into even more extensive involvement in Syria," says author Borghard. "This could involve a number of things, including imposing a no-fly zone over Syrian airspace and/or more extensive arming and training of rebels... This would be a far more resource-intense operation than the 2011 NATO operation in Libya and would involve greater risks."

Still, "Doing nothing is not an answer," says Cordesman. "... Simply standing by and letting Syria drift into armed, violent partition will threaten every U.S. interest in the region."

At the least, there should be a new international humanitarian effort, increased support for moderate factions in the opposition and a willingness to say the "U.S. will consider collective action in terms of some no fly zone or use of airpower to both protect and empower the rebels if they can show they really have moderate leadership, can control the flow of arms and support, and will give full rights and protection to their Sunni opponents," he says.

But in examining the possible repercussions of a missile strike, Rubin of the American Enterprise Institute says, "There is no scenario that will end violence and improve the situation. The time for preventive medicine was two years ago."

"When one side finally wins, the United States will have to craft a strategy to address a whole new set of problems that such a victory will bring," he says. "Let's call where we are now Phase I of the Syrian civil war. We have yet to see Phase II and Phase III but they are coming."

Syria crisis: Latest developments

@highlight

A missile strike could worsen the war and usher in new problems

@highlight

"Supporting the opposition at this point would be like French-kissing al Qaeda," analyst says

@highlight

Hezbollah could attack Israel in retaliation, analysts say

@highlight

Iran could sponsor attacks against Western assets, analyst says