Nigerian security forces routinely torture people -- including women and children -- taken in as suspects or for interrogation, Amnesty International has claimed in a graphic new report.

In the study, released Thursday, the rights group alleges systemic use of torture by the police, based on hundreds of witness testimonies and other evidence gathered over the course of 10 years.

People are often detained in dragnet operations and tortured as punishment, to extort money or to extract "confessions" as a shortcut to "solve" cases, it claims.

The report, titled " 'Welcome to hell fire': Torture and other ill-treatment in Nigeria" alleges that abuse is so widespread that many police stations have an informal "officer in charge of torture" and that some police sections have special rooms, or "torture chambers" where it is carried out.

Methods commonly used include nail or tooth extractions, choking, electric shocks, rape and other sexual violence, it claims.

A spokesman for the Nigeria Police Force refuted the allegations, however, saying the report contained "some blatant falsehoods and innuendos."

"Torture or ill-treatment is not, repeat, not an official policy of the Nigeria Police," said Emmanuel Ojukwu, force public relations officer and acting commissioner of police, in a statement.

Amnesty says its researchers interviewed victims, their families, rights defenders and current and former police officers to compile the report.

Boko Haram crackdown

The number of reported abuses has increased in northern Nigeria as Nigeria's security forces have stepped up their fight against Boko Haram, the report said.

Since 2009, between 5,000 and 10,000 people have been detained as suspects in the crackdown on the militant Islamist group, which is designated as a terror organization by the United States.

One man, identified only as Ahmed, said he was among a group of men who were stopped by soldiers outside a mosque after prayers in Yobe state in February 2013.

He said the soldiers "told all of us to lie down on the ground in the street."

"The soldiers shot and killed some of them on the spot, some were shot on the legs, and the soldiers began to beat some of us on the head with iron rods, others were beaten with wood."

The men were taken by vehicles to prison, Ahmed said, and some of the wounded men died on the way. Once there, they were "kept tied for three days," fed only "handfuls" of food per day, and forced to share a half-liter of water per two men per day.

The report goes on to quote Ahmed:

The beating, the torture was just too much for us. They do all types of things to you, the soldiers. They will tie your hands behind your back, with the elbows touching and then one of them will walk on your tied hands with their boots. Your hands will remain tied and then they'll pour salt water on your wounds. You can't rub it, even if it goes into your eyes. My eyes got swollen as a result of that. I thought I was going to be blind. I have never experienced such brutality in my life."

'I was bleeding'

"This goes far beyond the appalling torture and killing of suspected Boko Haram members," said Netsanet Belay, Amnesty International's research and advocacy director for Africa.

"Across the country, the scope and severity of torture inflicted on Nigeria's women, men and children by the authorities supposed to protect them is shocking to even the most hardened human rights observer."

Belay called for Nigeria's Parliament to take the "long overdue step" of passing a law to criminalize torture, which is banned under the country's constitution and international treaties.

The report also cited examples of abuse against women and children.

Mahmood, a 15-year-old boy from Yobe state in northern Nigeria, "was arrested by soldiers with around 50 other people, mainly boys between 13 and 19 years old," the report stated.

Amnesty International said the military "held him for three weeks, beat him repeatedly with their gun butts, batons and machetes, poured melting plastic on his back, made him walk and roll over broken bottles and forced him to watch other detainees being executed (without trial).

Mahmood was freed in April 2013, according to the report.

Military in Yobe state even arrested and beat a 12-year-old boy, poured alcohol on him, forced him to clean vomit with his bare hands and stepped on him.

One 24-year-old woman named Abosede told Amnesty International she was abused using tear gas and still suffers as a result.

"A policewoman took me to a small room, told me to remove everything I was wearing," she is quoted as saying. "She spread my legs wide and fired tear gas into my vagina... I was asked to confess that I was an armed robber... I was bleeding... up till now I still feel pain in my womb."

'Not systemic or endemic'

Ojukwu said the Nigerian Police Force has been "undergoing systematic reforms, and aligning themselves with the demands of democracy" but that it has significantly improved its human rights record since 1999.

"The police do not routinely torture suspects," he said. "It is not systemic or endemic. Whenever instances of human rights abuses are brought to the notice of superintending officers, the offending personnel are promptly sanctioned in line with the laws and regulations."

The Amnesty International reporters did not speak to the police authorities, he said, which denied them the opportunity to have a fair hearing. He called on Amnesty International to provide specific details of the allegations and said they would be investigated.

Belay dismissed the Nigerian police response to the Amnesty International report.

"The police decision to deny the findings before careful reading of the report or examining the accusations made in it echoes their attitude to criminal investigations -- apportioning blame before ascertaining the facts.

"Their pledge to investigate abuses rings hollow so long as they continue to refute our evidence of systemic torture, gathered from more than 500 cases and including testimony from current and former police officers."

@highlight

Amnesty International alleges the systemic use of torture by the police in Nigeria

@highlight

Methods used include nail or tooth extractions, choking, electric shocks and rape, it says

@highlight

A spokesman for the Nigeria Police Force refutes the claim, cites "blatant falsehoods"

@highlight

"Torture or ill-treatment is not, repeat, not an official policy of the Nigeria Police," he says