(CNN)Two worlds. Two identities and the ever-present, very real risk of death.

That was the life of Morten Storm, a radical Islamist turned double agent, who's now lifting the lid on some of the world's best-kept secrets.

His life is the stuff of spy novels, and he talks about it in his book: "Agent Storm: My Life Inside al Qaeda and the CIA," co-authored by CNN terrorism analyst Paul Cruickshank and Tim Lister. Both men are CNN contributors.

He also recently sat down with CNN Senior International Correspondent Nic Robertson.

"I had these different names. I had different personalities," Storm said. "I was Morten Storm, Murad Storm, Abu Osama, Abu Mujahid."

He was so trusted by senior al Qaeda leaders he once fixed one up with a European wife, all the while -- Storm claims -- working for Western intelligence agencies.

"For half a decade, I moved back and forth between two worlds and two identities -- when one misplaced sentence could have cost me my life," he writes in the book. "Traveling between atheism and hardline Islam, English and Arabic."

"It's some kind of schizophrenic lifestyle," he said.

Excerpt: Finding a wife for Anwar al-Awlaki

Growing up

Storm's remarkable journey began rather unremarkably in Denmark, in a town called Korsor.

It's a place with plenty of places for a young boy to play and Storm remembers, fondly, his time in the forest and on the beach. He also remembers struggling with the absence of his father.

Storm started getting into trouble early. As a teen, he committed armed robbery and got into fighting, feeding off the adrenaline of both.

"Boxing for me was a way of getting out my aggressions," said Storm, who didn't limit his fights to the ring.

By his 18th birthday, he'd landed himself in jail. After he got out, Storm joined the Bandidos, a biker gang, working as its muscle.

His life was going nowhere good -- and fast.

Finding 'truth'

Storm's trajectory changed after he found a book on the life of the Prophet Mohammed in the tiny religion section at the Korsor library.

"It changed me. It spoke to me, that book. This is the truth," he said. "I found the truth."

Storm became Murad Storm and traveled to Yemen, where he learned Arabic and a strict uncompromising interpretation of Islam.

He named his son after Osama bin Laden.

Storm dove head first into the world of jihad, traveling with Danish journalist Nagieb Khaja, who wanted to shoot a film about mujahedeen in Yemen.

While there, Storm befriended Yemeni-American cleric Anwar al-Awlaki, who was poised to become a key member of al Qaeda in the Arabian Peninsula and a major U.S. target.

"They were joking, sitting and telling stories -- joking about some of the stuff that they missed in the Western countries," Khaja said about Storm and al-Awlaki.

"They talked a lot about jihad, for example. And again, Storm was an extreme guy. Storm was being talked down by Anwar al-Awlaki," Khaja said. "Al-Awlaki was telling Storm to chill out."

Undeterred, Storm decided to join jihadists in Somalia, but, at the last minute, he got a call telling him not to come.

The situation on the ground had grown too dangerous.

"I'm so deeply disappointed, and devastated," Storm told CNN. "I felt betrayed." And in his disappointment, doubt began to grow.

Switching sides

Sitting in front of a laptop, Storm typed in some of his concerns.

"I hit the 'enter' and I saw plenty of websites talking about contradictions in the Quran," he said.

"It took some time to research them, but once I concluded that they were genuinely contradictions, that's when it wiped totally away my faith," Storm said. "That's when I stopped being a Muslim in my heart -- in my belief."

He got in touch with Danish intelligence agents and told them he wanted a new career. No longer a Muslim, Storm said he wanted to help fight the war on terror.

Agents wasted no time putting him to work, making him an agent in demand. His successes, Storm says, soon attracted the attention of the CIA.

Hans Jorgen Bonnichesen is the former head of the Danish intelligence agency, known as PET.

"There's no doubt that he was a very valuable agent and has access to some of the sources they really want to get access to," he said.

A Dane who looks every inch like his Viking ancestors, Storm was exactly what the intelligence community was looking for at the time -- a double agent with an al Qaeda Rolodex to match.

The CIA denied repeated requests for comment on Storm's story. Likewise, officials in Denmark have never confirmed or denied his claims.

"By almost sheer luck to some extent that he had been to the many places; he had met all the right people," Magnus Ranstorp, one of Scandinavia's top counterterrorism experts, said about Storm.

"I don't think that there are many people like him that have all those different dimensions. He was the real deal," Ranstorp said.

Playing matchmaker

Storm's authenticity was tested by both sides when al-Awlaki asked him to find a European blonde to be his third wife.

His search led to Irena Horak, from Croatia, a recent convert to Islam who called herself Aminah. The plan was a basic honey trap.

The blonde was to be bait -- an unsuspecting sacrificial lamb, to lure and kill a lustful al Qaeda leader.

Through Storm, al-Awlaki and Aminah exchange encrypted emails and swapped videos. They agreed to marry.

For his troubles, Storm says he was promised and received $250,000 when Aminah crossed into Yemen, unknowingly carrying a tracking device hidden inside of a suitcase.

He later got an email from al-Awlaki, who wrote that he had married Aminah and that she was better than he had hoped.

However, Storm also got an email from Aminah. She wrote that al-Awlaki had told her to dump the suitcase before they met. She had left both it and the tracking device behind.

Storm says his CIA handlers were furious: "The Americans refused to speak to me for six months."

But, Storm says, they came around.

Hunting for any leads on al Qaeda, Storm says, the CIA continued to seek out his help, promising as much as $5 million for information leading to the capture or death of al-Awlaki.

Going public

Al-Awlaki was eventually tracked down and killed in a U.S. drone strike in 2011. His wife, Aminah, reached out to Storm via email and told him that she offered to become a suicide bomber but had been rebuffed.  CNN tried to reach Aminah through her family, but they would not talk to us. Also, a European counterterrorism official tells CNN that a threat bulletin had been issued at the time, warning that Aminah could be a danger.

But Storm insists it was his work that finally found al-Alwaki. But in a conversation taped by Storm at a hotel that same year, an American insisted that a separate stream of intelligence had led to the terror leader. The bottom line: Storm was not going to be paid the $5 million he felt he was owed.

His relationship with his handlers deteriorated and, Storm says, he eventually stopped working for the CIA and the Danish intelligence agency PET.

The latter tried to buy his silence after it learned he was considering going public with his story.

Storm claims the Danish intelligence agency offered payments totaling 1.5m Danish krone ($260,000) over five years.

He told the Danish newspaper Jyllands-Posten that PET had offered him the money tax-free.

But he said he rejected the deal because PET had broken a series of promises to him, including providing permanent residence status in Denmark for his foreign wife.

After so many years playing so many different parts, Storm's toughest role may lie ahead: staying alive.

He is in hiding after several death threats from militant Islamists who were once his comrades. The threat was made abundantly clear last year when ISIS fighters in Syria issued a video in which they shot at a picture of him attached to a wall.

"Either they will slice your throat, behead you, or they shoot you and hang you up and crucify you," Storm said about his time as a spy. "I would get executed."

@highlight

Morten Storm was a radical Islamist turned double agent

@highlight

He switched sides when he lost his faith

@highlight

Storm says he set a key al Qaeda leader up with a wife

@highlight

He decided to go public after a falling out with his Western handlers