Hong Kong (CNN) -- If Sunday's by-election in Myanmar is deemed to be free and fair, it will cap off a startling about-turn by the former military men currently running the country.

For the first time ever, credible alternatives to the ruling party appeared on the ballot, including pro-democracy campaigner Aung San Suu Kyi, who was serving the final days of her house arrest during the general election in November 2010, which was widely derided as a sham.

This by-election, analysts say, will be the first real test of the government's commitment to removing the fear and paranoia of citizens silenced by nearly five decades of military rule. The vote was called to fill seats vacated by the promotion of parliamentarians to the Cabinet and other posts last year.

"It's hugely important and it will provide a new semi-democratic political system with an opportunity to show that it has ambition to become more transparent, more inclusive and thus more democratic," said Nicholas Farrelly, a research fellow at the Australian National University.

In the weeks leading to Sunday's vote, Suu Kyi has traveled up and down the country, rallying support for her once-banned National League for Democracy party (NLD).

Opening up Myanmar

Just the sight of her brazenly pitching her policies to huge crowds of people has emboldened many to dare to believe that democracy might be possible.

"I'm so happy Suu Kyi is free and campaigning... she will bring a better future for this country," said Nu Wary Lwin, who went to see Suu Kyi in Myaungmya, in the country's south.

But others are more wary about what the future holds. "I have more freedom to say what I think now, but Aung San Suu Kyi has to remain free and do more so we all have a better life than this," said another prospective voter, Din Dun Zayawin.

Analysts say Suu Kyi is all but guaranteed to win her seat in Kawhmu, south of Yangon, one of 45 up for grabs in the by-election.

"It would be a major shock if she did not win her own seat. But I think we have to prepare people for the expectations that the NLD will not win all seats in the by-election," said Jim Della-Giacoma, a project director at International Crisis Group.

Della-Giacoma stresses that the NLD does have competition, not least from the ruling Union Solidarity and Development Party (USDP), which was formed less than two years ago to contest the 2010 election by former general, and now president, Thein Sein, and a number of other former military leaders.

"The USDP has shown it is able to recruit good candidates, local figures who are popular in their own right. They've got something to lose here so they're competing, like governments everywhere," he added.

However, others say that it doesn't matter who wins what seats in this by-election. After attracting international condemnation for manipulating the voting process two years ago, Myanmar's leaders know the real test of this election is proving to the world they can conduct a legitimate vote.

"I don't think it matters how many seats the NLD wins. I think the only thing that really matters whether it's free or fair. I don't think the people of Burma care about how many seats the NLD wins either. What they want to know is whether the next set of elections, the national elections (expected in 2015), are also going to be free and fair," said Monique Skidmore, of the University of Canberra.

The staggering pace of change in Myanmar, which is also known as Burma, has shocked and thrilled observers. In the past 12 months, the country has pardoned hundreds of political prisoners, secured a ceasefire with Karen rebels and has agreed to negotiate with other ethnic rebel groups. Freer press rules have encouraged the proliferation of journals and magazines.

"There's a whole slew of information out there for voters that just wasn't there in 2010," said Della-Giacoma.

Unlike the 2010 general election, international observers have been invited to monitor the vote. The U.S., European Union and members of the Association of Southeast Asian Nations are sending monitors, as are Japan, Canada and Australia.

However, analysts say the sheer number and spread of polling booths across the country will make it impossible for international monitors to ensure an honest count.

"We just have to take Thein Sein at his word and have a look at the outcome," said Skidmore. "There is no way the Burmese people would ever vote overwhelmingly for the military party and so we'll know on the basis of who is elected whether it was free and fair."

So far, Myanmar's efforts to thaw its frosty relations with the rest of the world have been warmly welcomed and rewarded. In recent months, a steady procession of foreign ministers has visited the country and, in February, the EU lifted a travel ban on Myanmar officials.

There have been hints too that a free and fair vote on Sunday will lead to the relatively swift unraveling of sanctions that have long choked the country's economy.

"The rapid reappraisal of sanctions is likely to come almost immediately," said Farrelly. "(However) there will be those who will consider the sanctions that are in place should only be rescinded when certain other benchmarks are met. There will be some, I'm sure, who will argue that it's terrific that Aung San Suu Kyi now can play an active role in Burma's politics, but that franchise needs to be extended to all ethnic minority groups as well."

As a member of parliament, Suu Kyi would also be expected to be free to travel outside Myanmar -- and more importantly to return -- something that wasn't possible during her long years of repression and confinement.

Another potential shift is underway as well, said Skidmore. Thousands of Burmese living in exile around the world are watching and waiting for a clear sign that it is safe to return home. For many, that clear sign could come with Sunday's vote.

"The Burmese chat rooms are full of discussion about when is it safe to go back and what will we do when we go back," she added.

"Already we're starting to see exiled media organizations coming back into the country and so the time is getting closer and closer for a whole generation of Burmese people to return home. And that's going to be a very exciting aspect of Burma's next democratic phase as well."

CNN's Paula Hancocks contributed to this report.

@highlight

Vote called to fill seats vacated by the promotion of parliamentarians to the Cabinet and other posts

@highlight

Credible alternatives to ruling party include pro-democracy campaigner Aung San Suu Kyi

@highlight

2010 general election won by Union Solidarity and Development Party (USDP), viewed as 'sham'

@highlight

Unlike two years ago, international observers have been invited to monitor the polls