(CNN) -- Dylan Harris' latest venture in the tourist business has proved a resounding, if unlikely, success.

A timely piece of good news too for the British travel agent from Wigan, an industrial town on the outskirts of Manchester, who has been keen to keep turnover strong in these austere times.

It was always a bold business model: his company, Lupine Travel, specializes in holidays that normal people wouldn't dream of paying for, flying to destinations where even an innocent tourist could be suspected as a foreign agent.

Iran used to be a popular resort for his customers. Ukraine too. But revenues fell when all their pre-booked tours to Chernobyl in July were cancelled following the government's ban on visitors to the area.

Caddies: The good, the bad and the outspoken

The most captivating experience on offer though was the tour to North Korea. Harris hatched a plan to get more people interested in traveling to the last Stalinist enclave on earth: by setting up North Korea's very first international amateur golf championship.

"Someone contacted me saying they were interested in playing the golf course of North Korea. I said there was absolutely no possibility what so ever of that happening," Harris told CNN.

The Korean crisis and the $74m course that nobody plays

"But I asked them [the North Korean authorities] anyway and they were interested."

North Korea's golfing pedigree begins and ends with the oft-repeated legend that in 1994 that the DPRK's leader Kim Jong Il hit a world record 38, with five holes in one, at the Pyongyang Golf Course.

Aside from being entirely false -- the course record is 73 shot by a local Korean golfer -- the game runs deeper than many would think with several courses to be found in the north.

Along with the 18-hole Pyongyang Golf Course, and a nine hole course next to a hotel in the city, a $73 million championship course was built near the North-South border during calmer times.

It was hoped that tourism could help bring valuable foreign currency north, whilst helping to mend relationships with the south. A pro-event was even held.

As the political tensions heated up the course was abandoned, its empty fairways a metaphor for relations between the two countries. But Harris decided to go ahead with the inaugural 2011 DPRK Amateur Golf Open anyway.

"It is in the middle of the military range, so you get soldiers patrolling the fairways," he explained. "It's 40 miles outside Pyongyang. The grass was a little bit longer than we were used to. It was inside a valley, with mountains all around. I don't think many people use it. It has 80 members, mainly diplomatic staff. "

A ramshackle field of 17 British, American, South African and Scandinavian golfers took part. More than 30 had applied, Harris explained, but several were dropped after it was discovered they were journalists.

North Korea puts heavy restrictions on journalists entering the country. Reporters Without Border's annual Press Freedom Index ranked North Korea 177 out of 178 counties, making it one of most repressive countries in the world to be a journalist.

"Originally I was trying to play golf in Cuba, Iran and North Korea," explained 35-year-old Philadelphia-based computer programmer Warwick Poole, one of the 17 golfers who made the trip.

"I had an idea to play golf in these three countries for an adventure. Anywhere that has a poor reputation in the U.S. and see what golf was like over there. The list of unlikely places to play golf is diminishing. As the world opens up the list gets smaller and smaller every year."

Yet North Korea remains resolutely closed, making its first home-grown golf tournament all the more surprising.

When Poole read about the tournament -- open to anyone that has an official handicap -- he thought it was a joke. But two months later he was getting on a train at the Chinese border headed for Pyongyang, terrified.

"I was so nervous about going in," he recalled. "I left instructions with my family that if I didn't contact them within a day they should start looking for me." But after arriving in the capital, seeing the wide, car-less boulevards, empty cities and "fields full of crops, being worked by hand," he felt safe enough to stay.

"The course wasn't in fantastic condition, not terrible. It was like a municipal course in a southern town to look at it. The greens were interesting. Because the North Koreans are loath to get any foreign input they have done greens how they think they should do it. They were quite hilly. The out of bounds were everywhere."

So severe were the out of bounds -- a bi-product of being built next to a military firing range -- that many found it difficult to stay on the course from one hole to the next.

"We had a team of female North Korean caddies who would applaud every shot," said Warwick. "I didn't play well. I shot 91. I was nervous on the first tee. With the female caddies there were 40 people there. TV cameras, including a North Korean TV crew, were watching it. I hit my first tee shot out of bounds."

Alas, Poole didn't claim the the DPRK AGO's first ever winner's trophy. That honor was reserved for the Finnish golfer Olli Lehtonen, clinching the course record after shooting a respectable 72.

Now Harris believes that the tournament can help raise the profile of the sport in the country. "There was one North Korean who played in it, the rest were watching it. It's too expensive for most people. But loads of people said they were going to take up the sport after watching it," he said hopefully.

Recently the Korean government approved the 2012 DPRK Amateur Golf Open, meaning that Harris will be back next May with another batch of scratch golfers and curious hackers looking to play on one of the most hard to reach courses on the planet.

The plan is to, one day, move to the empty $73 million championship course on the 38th parallel, but that might have to wait a while.

"We'd like to play it there but there's no chance at the moment because of the political situation," he admitted. "They [the North Koreans] have seized some property off the South Koreans but I hope so. One day we will play it."

@highlight

Lupine travel set up North Korea's first international amateur golf championship

@highlight

Iran used to be a popular resort for Lupine's customers. Ukraine too. But pre-booked tours to Chernobyl were cancelled

@highlight

"A team of female North Korean caddies applauded every shot," amateur golfer Warwick Poole