(CNN) -- Donna Zovko will have to wait to travel to Falluja to see where her son died in one of the Iraq war's most infamous attacks.

Clockwise from upper left: Wesley Batalona, Mike Teague, Scott Helvenston, Jerry Zovko

"My dream was to go for the fifth anniversary, and that didn't come true," Zovko said this week while visiting friends in Boston, Massachusetts. "It's not that I'm afraid for me. But people with me on the trip would be in more danger."

Tuesday marks five years since her son Jerry Zovko and three other civilian employees of the Blackwater private security firm were ambushed in Falluja on March 31, 2004. Gunmen attacked vehicles holding Zovko, Mike Teague, Wesley Batalona and Scott Helvenston and set the vehicles on fire.

Shocking images beamed around the world showed Iraqis celebrating in front of charred bodies strung up on a bridge over the Euphrates River. The remains were dragged through the streets.  Donna Zovko honors her son »

"I didn't realize until way after the incident that he had been decapitated," said Helvenston's mother, Katy Helvenston-Wettengel, from her Florida home. "They cut his heart out. How can anybody be that hateful?"

To identify his body, she said, investigators had to gather DNA samples from her son's children.

A half-decade after the notorious attack, memories of the gruesome images have faded somewhat from the public eye, as the United States plans to reduce troop numbers in Iraq and a wrongful death suit brought by the four families heads to court-ordered arbitration.

The families accuse Blackwater of failing to prepare the men for their mission that day. A 2007 House oversight committee report concluded that Blackwater "ignored multiple warnings about the dangers" and failed to supply armored vehicles, machine guns, sufficient intelligence or even a map.

Blackwater responded by saying the experienced military veterans on the team "had all of the resources they needed" and were victims of a "well-planned ambush."

In the days after the attack, Blackwater was largely silent beyond a statement that said, "We grieve today for the loss of our colleagues and we pray for their families."

But the families said they ran into a stone wall trying to get details of what happened in Falluja.

"For the next three months, they never returned my calls," Helvenston's mother said. "Our families were destroyed. We will never be the same."

For Zovko, the suit is not about money or punishment.

"I want to hear the truth," she said. "I want to know what my Jerry was doing before the mission. Why they didn't they have the maps? I want to know who he spoke to last."

What makes this anniversary different from past years, she said, was an encounter this month in Boston with an Iraqi who claimed that he was at the scene of the attack shortly after the massacre. He offered Zovko new alleged details of the attack, which she says brought her comfort.

The Iraqi man, whom she wouldn't identify, told her that the attackers did not appear to be targeting the motorcade containing her son and his three comrades.

"We used to think maybe the attack was done on purpose," she said.

The news made her feel like "I was lifted into the air," she said. "For me, it was good. I miss my Jerry more today than yesterday."

The gruesome attack put the little-known North Carolina-based security company into the American lexicon and on the world stage. It also changed the course of the war. The House report called it a "turning point in public opinion about the war," which led to the first major U.S. offensive in Falluja. The fighting lasted three weeks, killing 36 U.S. service members, about 200 insurgents and an estimated 600 Iraqi civilians, according to the report.

In the ensuing years, Blackwater and other private security firms in Iraq received hundreds of millions of dollars in U.S. government contracts. Tactics used by the private security firms sometimes created ill will among Iraqis and Blackwater in particular was criticized, even by some in the U.S. military, for its allegedly reckless use of deadly force.

Erik Prince, Blackwater's founder and former CEO, dismissed such allegations as "baseless" after his company was criticized by the Iraqi government for an incident in which its guards killed 17 Iraqi civilians and wounded others while protecting a U.S. State Department convoy in Baghdad on September 16, 2007.

"To the extent there was the loss of innocent life, let me be clear that I consider that tragic," Prince said, adding that the Blackwater team "acted appropriately while operating in a very complex war zone" that day.

Five ex-Blackwater security guards pleaded not guilty in January to charges of voluntary manslaughter stemming from their involvement in the shootings. A sixth pleaded guilty to voluntary and attempted manslaughter.

That same month, the Iraqi government refused to grant the firm an operating license, and the U.S. State Department announced that it will not renew its contract.

In the two months since the exit of the Bush administration, Prince has stepped down as CEO and brought in a new leadership team. The company has changed its name to Xe, but Prince is still chairman.

"I think Blackwater's been punished enough," Zovko said, "but they will be punished more. It's time our government makes some rules and regulations about what civilian contractors can do in their wars."

This week, Xe released a brief statement to CNN about the Falluja killings, saying the "sacrifices of these brave men have not been forgotten. On the five-year anniversary of their death, the company continues to mourn their loss. Our thoughts remain with their families and loved ones."

Prince's promise

Both mothers seem to be making a conscious effort to control their anger five years on.

"I refuse to hate, but if I were gonna hate anybody, it would be Blackwater and Erik Prince," Helvenston-Wettengel said. "I want Blackwater exposed for who they are, and I want them out of business."

Zovko said she relies on her Catholic faith to control her anger.

In 2007, Prince told CNN he would be willing to meet with Zovko, but 16 months later, no such meeting has taken place.

"He hasn't honored his promise, but I believe he will," Zovko said. "Sometimes I think he doesn't have a heart, but he really does."

Zovko said she wants to ask Prince, "Where are my Jerry's three suitcases with personal things that I have never received?"

Also, she said Prince promised to invite Zovko to Blackwater's headquarters in North Carolina to see memorial stones and trees that were planted honoring the victims.

"That hasn't happened," Zovko said.

Helvenston-Wettengel also said she'd like to meet with Prince. "I'd like to look him in the eye, yeah. I'd say, 'How can you live with yourself?' "

CNN sought a response from Prince about his promised meeting with Zovko. Company spokeswoman Anne Tyrrell said Prince had tried to meet with Zovko in early 2008 but was unable to "due to scheduling conflicts."

Both mothers' sons went to Iraq after careers in the U.S. military.

Jerry Zovko, a former Army Ranger, had gone as a security contractor to train Iraqi soldiers. When that contract ended in late 2003, he signed on with a different company, Blackwater, according to his mother.

For Scott Helvenston, Iraq was just the final chapter of a colorful career for the former Navy SEAL, a life that included a job as a stuntman and consultant for Hollywood films. On the set of 1997's "G.I. Jane," shot in Jacksonville, Florida, Helvenston put Demi Moore through a rigorous training program, his mother said, even managing to grab a small role as an extra.

A divorced father of two, Helvenston told his mother he would return from Iraq in two months, she said.

"He was going to go over there and make a bunch of money and come back and give it to his ex-wife," she said.

Zovko and Helvenston-Wettengel have become close friends in the years since the tragedy, but on this anniversary, the two mothers will not be together to share their support and grief with each other.

"Traveling is getting to be troublesome for us both," said Zovko, who plans to remain near her home in Bratenahl, Ohio, to attend morning and evening masses at Cleveland's St. Paul Croatian Church. Helvenston-Wettengel also said she plans to attend church Tuesday in her hometown of Leesburg, Florida.

Legal setbacks

As for the families' wrongful death lawsuit against Blackwater, a federal judge in 2007 ordered that the case be taken out of the courts to be decided by a three-member arbitration panel.

Senior U.S. District Judge James Fox sent the case to arbitration based on Blackwater's argument that the four victims had signed an agreement not to sue the company. A hearing is set for June 23.

In court, Blackwater had argued that it was immune to such a lawsuit because, as an extension of the military, it cannot be held responsible for deaths in a war zone.

At this point, Zovko said, both sides are losers. "I lost my son, and Blackwater lost the dignity of the company they thought they were."

Helvenston said she wants the whole thing to just end, but events keep dragging it out.

"They won't let me let it go."

CNN's Wayne Drash contributed to this report.

@highlight

It's been five years since killings of four U.S. contractors in Falluja

@highlight

Victim's mom: "I want Blackwater exposed and out of business"

@highlight

Blackwater, renamed Xe, says it "continues to mourn" the loss of the four men

@highlight

Another mom: Both sides are losers in Blackwater suit