LONDON, England (CNN) -- Few sports can compare to football in terms of its global popularity and the area of land devoted to its playing fields across the planet; consequently, few sports have a larger carbon footprint than the "beautiful game."

Artificial pitches can save 20,000 liters of water a day.

Football stadiums have a huge environmental impact. Just keeping a pitch in top condition requires regular watering, under-pitch heating to prevent freezing in the winter, and even the use of high-power lighting rigs to promote grass growth.

Floodlights, scoreboards and video screens have large electricity demands, while thousands of fans traveling to and from the match emit vast quantities of carbon dioxide while generating huge amounts of garbage.

But there are signs that football teams are starting to get wise to environmental issues with clubs around the world starting to make efforts to become more eco-friendly.

A 2008 survey by "Ethical Consumer" looked at the eco-credentials of clubs in the English Premier League and found that Manchester City was the greenest. Among its achievements, the team says it has reduced landfill by 85 percent, moved to electric vehicles at the ground, and used eco-friendly paper for match-day programs.

By promoting safe walking routes, the club says it has managed to get 71 percent of its fans to walk to the stadium. The club even came up with an ambitious plan to generate its own electricity by installing a wind turbine at the stadium, but the scheme was eventually put on hold because of fears that ice could fall from the turbine blades and injure spectators.

Funded by the oil wealth of the Abu Dhabi United Group, Manchester City have the cash to introduce far-reaching green schemes, but at the other end of the financial spectrum, English non-league club Dartford FC has shown the big teams aren't the only ones that can afford to be eco-friendly.

Dartford's Princes Park stadium, opened in 2006, has a capacity of just over 4,000, but it manages to incorporate some neat features. The stadium is covered with a "living roof" of plants that provide a natural air filtration system, gray water is supplied from two huge ponds near the stadium and solar panels are used to heat water for the toilets.

Dartford's efforts show that it's possible for small clubs to do their bit, but their use of solar panels pales in comparison to the Stade de Suisse Wankdorf in Berne, Switzerland. Home of BSC Young Boys football team, the Stade de Suisse won the 2005 European Solar Prize for its use of photovoltaic panels installed in its roof.

The stadium roof now has more than 10,000 solar panels. Under peak sunlight conditions the panels can produce one million kWh of energy a year, saving 630 tons of carbon dioxide emissions each year.

A simpler way for football teams to reduce greenhouse gas emissions is simply to cut down on waste. Last year, Norway's most successful team, Rosenborg BK, invested around $40,000 in energy-saving measures. It is not a huge investment, but it is enough to make a difference, and the club say the scheme will pay for itself by reducing energy expenditure.

Arne Melan, a member of the club's technical staff, told CNN that Rosenborg have introduced a number of energy-efficiency measures, including a computer system that ensures their automated floodlights are turned off when no one is training and that controls their heating and ventilation systems so that they are only on during office hours.

Melan says another aspect of the club's green ethos is sponsoring a scheme to provide the city of Trondheim with hot water produced by processing municipal waste.

When it comes to waste, it is the seemingly innocuous football pitch that is the worst offender. "Ethical Consumer" estimates that it takes an astonishing 20,000 liters of water per day to maintain a football pitch in the English Premier League, and at Camp Nou, home of Champions League winners Barcelona, up to 54,000 liters of water are needed to irrigate the pitch on a hot day.

But some teams are starting to reduce water consumption. German club Nuremberg has a cistern that can hold 1,000 cubic meters of water at its home ground. The cistern stores rainwater that can be used to irrigate the pitch, but compared to most clubs' water consumption, it is just a drop in the ocean.

In countries with drier climates even more water is needed to irrigate football pitches, but in these countries water is often too scarce to be used to maintain a lush playing surface. FIFA is helping address this problem with its "Win in Africa, With Africa" initiative. Among its aims is a plan to build an international-standard artificial pitch in every African country outside of South Africa.

Football will probably have to wait until the next generation of stadiums are built for features like solar panels, wind turbines and rainwater cisterns to become commonplace. Perhaps then the pitch won't be the greenest thing in football.

@highlight

Football is played all over the planet, meaning it has a huge carbon footprint

@highlight

Some football teams are making efforts to be more environmentally friendly

@highlight

Stade de Suisse in Switzerland has 10,000 solar panels built into its roof

@highlight

Manchester City had to postpone plans to build a wind turbine at their ground