(CNN) -- Gerald Kulcinski has a big problem.

The nuclear engineering professor at the University of Wisconsin needs a rare element to fuel his research into a fusion reactor.

But the cost of the isotope -- helium-3 -- is rising faster than a rocket headed to space. A few years ago it was $1,000 a gram, this year it is $7,000 and next year, well, he assumes it will be tens of thousands of dollars.

There are only about 30 kilograms of 3He on Earth, Kulcinski said. Most helium-3 comes as a byproduct of tritium, used in nuclear weapons, so the exact figure is secret.

Governments covet helium-3 because it works well in sensors that detect the presence of nuclear material, such as the ones that scan incoming cargo at the nation's borders and ports.

"Worldwide demand is very high, the supply is fixed and going down, and those of us who are trying using helium-3 for research purposes are paying very high prices," said Kulcinski, who is the director of the Fusion Technology Institute. "It'll basically shut off university activity pretty soon because we won't be able to afford it."

The Kulcinski team's approach toward creating fusion is unique. Ninety-nine percent of research is geared toward using deuterium and tritium together. But using helium-3 instead of tritium would be much safer and drastically cut the chance of nuclear weapons proliferation. If 3He-3He fusion works, there would be no radioactive waste.

A breakthrough would be huge, but the team needs more years and more helium-3.

The thing is that there are tons of helium-3 -- on the moon. About 1 million tons, Kulcinski said, adding that we also have a pretty good idea as to where the 3He is on the moon.

We would know precisely how many trillions of dollars of the stuff is there if someone goes back to the moon and establishes a base there.

"A few years ago we thought we were going back soon but that's all changed now," he said.

NASA at a crossroads

Apollo 17 astronaut and geologist Harrison Schmitt said the United States is behind in the race to return to the surface of the moon. Schmitt, who is the author of "Return to the Moon," has come to the conclusion that NASA's best days are a part of history and it would be best to start over.

The space agency is dysfunctional in many ways as a management entity and the past two presidents have lacked a good space policy or the implementation of one, he said. NASA could watch over our obligations to the International Space Station, he said, but missions to the moon and Mars should be handled by another group.

"It's probably time to create a new agency ... that would focus almost entirely on deep space," he said. "The agency has just gotten old and most of the experience is retiring."

Next space age has a business model, astronauts say

He foresees private companies leading the way to the moon. He thinks the fusion research, rocket building and moon base project can be done for $15-20 billion over two decades. By comparison, another big nuclear fusion project (on Earth), the International Thermonuclear Reactor Project, has a €12.8 billion ($18 billion) budget.

The big question for investors would be: Is it worth it when you compare it to the costs of producing other fuels like electricity from coal? Schmitt said yes, because the helium-3 on the moon is worth about $150 million per 100 kilograms.

Still, capital operating costs, which would be in the billions, will have to come down, he said. The concentration of helium-3 is low, so many tons of regolith -- a combination of lunar soil, dust and other material -- would have to be mined to collect 3He.

It's difficult to get investors to put money into any helium-3 project, Schmitt said.

"The folks at the University of Wisconsin have gone a long way in the early definition, or let's say, demonstration, of the physics of helium-3 fusion," he said, "but we are a long way and have to go through a (long) process" before they approach the break-even point where investors' interest will be piqued.

The real challenge is proving you can burn 3He

At their lab in Madison, Wisconsin, Kulcinski and his small team of scientific staff and graduate students have developed a tabletop 3He-powered reactor that can produce a small amount of electricity. They are making progress in producing more energy than when they started more than 25 years ago, but there's still much work to be done.

The catch? More energy is used than is produced.

As critics often note, the promise of nuclear fusion always seems to be 50 years away.

Kulcinski doesn't have an end date, a breakthrough date, in sight.

"I have no doubt that we'll be able to do it," he said. "With talented scientists and engineers around the world, if we really concentrated, we could do this.

"Our group, I have all the faith in the world in them, but we're a small group, and we could be at this for a very long time."

Not the only reason to go to the moon

Schmitt and Kulcinski wholeheartedly agree on one thing -- 3He is not the only reason to return to the moon.

As Schmitt said, "We've only touched the surface of exploring it."

The main reason to go back is to learn how to live in space and use the moon as a jumping off place for missions to Mars, Kulcinski said.

There are other reasons, they said, including other elements available on the moon and using the lunar surface for telescopes.

But Schmitt, who has consulted for Kulcinski's project since 1985, and the professor think helium-3 has such potential it makes going back a vital mission.

After all, it could potentially power the Earth for thousands of years.

"You would go to the moon for long-term clean energy," Kulcinski said, "because this is really an enormous source of energy. There is 10 times more energy there than there ever was in fossil fuel on the Earth."

@highlight

Helium-3 is in scarce supply on Earth, much more abundant on the moon

@highlight

Used as a fuel for nuclear fusion, there would be almost no radioactive waste

@highlight

University of Wisconsin team has built a small reactor to show 3He might work as fuel

@highlight

Former Apollo astronaut thinks U.S. needs new space policy, agency and moon return is vital