(CNN) -- The midflight breakdown of a JetBlue pilot has sparked concerns about psychological screening for flight crews.

Capt. Clayton Osbon's erratic behavior prompted Flight 191 from New York to Las Vegas to make an unscheduled landing in Amarillo, Texas, on Tuesday after crew and passengers intervened and subdued the 49-year-old pilot.

Osbon "yelled jumbled comments about Jesus, September 11th, Iraq, Iran,and terrorists," according to a federal criminal complaint filed against Osbon. One passenger quoted Osbon as saying, "Pray f------ now for Jesus Christ," the complaint said.

"It just seemed like something triggered him to go off the wall. He would be calm one minute and then just all of a sudden turn," said passenger Jason Levin.

JetBlue pilot charged with interfering with flight crew

JetBlue has not elaborated on the pilot's condition, but CEO Dave Barger referred to the incident as a "medical situation."

The pilot's behavior points to possible psychological distress, doctors say.

The episode could be the result of bipolar disorder or a recent start on antidepressant medication, said Dr. Charles Raison, a psychiatrist at the University of Arizona and CNN consultant who has not treated Osbon. Medical illnesses such as brain tumors, subtle seizures or hormonal imbalances could also have caused Osbon's behavior, Raison said.

All airline pilots are required by the Federal Aviation Administration to have a first-class medical certificate that must be renewed annually for pilots younger than 40 and every six months for pilots 40 and older. JetBlue follows all FAA pilot requirements, the airline said.

Pilots must be examined by an aviation medical examiner as part of that process, and a candidate's psychological condition is assessed.

The exam does not include a formal psychiatric evaluation, although the examiner should "form a general impression of the emotional stability and mental state of the applicant," according to FAA's Guide for Aviation Medical Examiners. Bipolar disorders, psychotic disorders, personality disorders that involve "acting out" and substance dependence generally are disqualifying conditions, according to the guide. In these cases, the examiner would either deny issuing the certificate or defer it and report evidence of significant problems to the FAA, the guide says.

"If the person is exhibiting any signs of psychosis, thinks he's on the moon, is disoriented in time and place, if he's taking any medicines -- and the FAA is very strict -- the computer won't even let me give an exam if medicines are not approved. It's very strict under those circumstances," said Dr. Gabriel Guardarramas, an FAA-approved New York family doctor who performs about 40 pilot exams a year.

Guardarramas said one pilot grieving the death of his father raised a red flag for him and he deferred certification to the FAA.

"Pilots as a rule are extremely stable people," said retired airline Capt. Steve Luckey, a 33-year veteran. "By the time a person becomes a commercial pilot, they've gone through so many filters."

However, the agency's strict criteria prompt some to hide their conditions, according to two pilots who spoke to CNN on condition of anonymity out of concern for their own careers.

One veteran with three decades of experience said he's known just a single fellow pilot who sought treatment for depression. The treatment lasted eight or nine months, and he never told his employer, the pilot said.

"A guy has worked his whole career toward what he's gotten, and he's dealing with issues, what does he do? If he says, 'Hey, I'm depressed,' then the FAA pulls his medical certificates and then there goes his career."

Another veteran pilot echoed that sentiment: "Yes, pilots are flying around depressed because if they do (admit depression), they'll be grounded."

"Pilots are generally well psychologically screened for all the right reasons. Some people snap. If this pilot did indeed snap, it doesn't surprise me. There's tremendous pressure out there in the pilot group, and that's something the public should care about," the pilot said.

In its medical examiners guide, the FAA says pilots being treated with four specific antidepressants may receive medical clearance, which would be decided on a case-by-case basis.

Osbon's breakdown comes just weeks after an American Airlines flight attendant's behavior alarmed passengers and prompted flight crew members to restrain her while the plane was taxiing. One passenger said the flight attendant described herself as bipolar and said she had not taken her medication. Other accounts referred to her talking on the intercom about the plane crashing.

American Airlines has not identified her, and no charges have been filed. She remains employed by the company, the airline said Wednesday. American said the airline follows all FAA rules.

Unlike pilots, flight attendants are not required to pass medical examinations before they fly, according to the Association of Flight Attendants, a union that does not represent American Airlines workers.

"However, flight attendants do have to go through recurrent training each year to refresh their emergency situation skills," said AFA spokeswoman Corey Caldwell. They are also required to receive proficiency certification from the FAA.

She added that "in most cases," flight attendants could be treated for various conditions and still perform "as first responders efficiently," noting that red flags would probably come up during the initial six- to eight-week training period or during a probationary period of up to a year.

In addition to the pressure of performing the duties of flying itself, airline employees face the added stress of trying to survive in an industry fraught with restructuring, bankruptcies and other uncertainties.

"This industry is very turbulent," Caldwell said. "And after 9/11, these workers really went through a very difficult time personally and professionally."

CNN's Mike Ahlers, Katia Hetter and Lizzie O'Leary contributed to this report.

@highlight

JetBlue: Pilot incident a "medical situation"

@highlight

Doctor: Erratic behavior points to possible psychological distress

@highlight

FAA requires medical evaluation, including psychological assessment

@highlight

Pilots: Some do not report depression treatment, fearing for their jobs