Editor's note: Rep. Jared Polis, a Democrat, represents Colorado's 2nd Congressional District and is appearing in CNN.com's "Freshman Year" series along with Rep. Jason Chaffetz, a Republican from Utah.

Rep. Jared Polis says the federal Defense of Marriage Act should be repealed.

(CNN) -- After weeks of looking for the perfect puppy, my partner Marlon and I adopted Gia last month from the Colorado Humane Society and brought her back to Washington with us.

We wanted to make sure we adopted a small breed that wouldn't grow too large for us to bring on board the aircraft and commute with from Colorado to Washington each week.

We finally found a beautiful 11-week-old terrier mix and adopted her on the spot. Her slightly larger and noisier two brothers were there with her, and we bid them farewell and escorted our puppy to her new home.

With the health care debate temporarily on hold until House leaders bring a new bill to the floor, members of Congress have had a chance to once again address the plethora of issues on our legislative plates. For me, this meant working on important education and environmental legislation as well as speaking in favor of LGBT equality and immigration reform, while trying to spend time with Gia during her important formative weeks.

Thirteen years ago, Congress passed the so-called Defense of Marriage Act, or DOMA, which effectively outlawed same-sex marriage. At that time, no states allowed same-sex couples to marry. It was a so-called "defense" against something that was only hypothetical at the time.

Today we have tens of thousands of married same-sex couples in this country, raising families and paying taxes in the five states that have granted them the right to marry. Both President Clinton, who signed DOMA into law in 1996, and Rep. Bob Barr, who originally authored DOMA have agreed it is time for its repeal. This law prevents states from determining what marriages to allow or not allow by second guessing them at the federal level.

To end this injustice, I co-authored legislation that would ensure that valid marriages are respected under federal law, and spoke at a press conference outside the U.S. Capitol announcing the bill's introduction this week.

The Respect for Marriage Act will provide couples with much-needed certainty that their lawful marriages will be honored under federal law and that they will have the same access to federal responsibilities and rights as all other married couples.

The Respect for Marriage Act would not tell any state who can marry or how married couples must be treated for purposes of state law, and would not obligate any person, church, city or state to celebrate or license a marriage of two people of the same sex.

It would merely restore the approach historically taken by states of determining, under principles of comity and full faith and credit, whether to honor a couple's marriage for purposes of state law. Churches should be able to decide what kinds of unions are sanctified by their denomination, but not what kinds of unions are accepted in the civil arena. As an example, the Catholic Church will not remarry a divorced person (without an "annulment"), but divorced men and women are allowed to remarry under civil law.

No one should be denied the opportunity to choose his or her spouse. It is a basic human right and deeply personal decision. Throughout history, we have only moved forward when society has distinguished between traditional values and valueless traditions.

The so-called Defense of Marriage Act is a valueless tradition that, like laws against interracial marriage that were finally overturned by the Supreme Court in 1967, undermines the spirit of love and commitment that couples share and sends the wrong message to society.

It is time for its repeal. DOMA is out of date and out of touch with the heart of the American people. It is causing these same-sex couples and families serious and lasting harm and it is time for its repeal.

Immediately following the DOMA repeal press conference, I switched gears, put on my yarmulke, and took part in an interfaith prayer vigil to end the hateful anti-immigrant rhetoric that been heard on the nation's air waves and, sadly, even spread to halls of Congress.

When talking about immigration reform, I remind people that, regardless of where our parents come from, the United States was built by immigrants and continue to grow and progress in part because we have a vibrant and innovative immigrant community.

That's why it is so personally frustrating to me when organizations cause hysteria instead of promoting a national debate on immigration policy. It's a disservice to the American public and a disservice to the debate, which is one of our most important policy debates.

Unfortunately, this anti-immigrant hate speech has spread to the halls of Congress, threatening to poison the health care debate. America's Affordable Health Choices Act (H.R. 3200) explicitly prohibits undocumented immigrants from subsidized coverage in Section 246 where it says "No Federal Payments For Undocumented Aliens. Nothing in this subtitle shall allow Federal payments for affordability credits on behalf of individuals who are not lawfully present in the United States."

Regardless of this fact, immigration continues to be used by some, including U.S. Representative Joe Wilson, R-South Carolina, as a tactic to stop debate and progress in health care reform. Wilson's now infamous "You lie" outburst during President Obama's speech to the Congress offended our sense of decorum and civil debate so much that the House voted in a resolution that his comments were out of line.

I think when the American people saw his outburst, they saw it for what it was. Obviously we cannot and will not solve the immigration debate through health care legislation. But with millions of immigrants living in this country and seeking health care while they're here, we also cannot ignore the urgent need to fix our broken immigration system.

Until we fix our immigration system, many undocumented immigrants will continue to lack insurance and drive up costs by using emergency rooms as their primary care providers.

Whether it is immigration, health care, or any other issue, the American people expect their elected representatives to build fair and workable solutions and to engage in debate that is not based on false information or lies. And as we saw at our prayer vigil, members of Congress, people of faith, law enforcement, organized labor, the business community, and Americans across this country are raising their voices in favor of real solutions rather than hateful rhetoric.

Gia got stung by a bee on her paw this weekend, and we rushed her to the animal hospital. The vet was able to find the stinger and remove it, and she only limped for a day.

But our nation will continue to limp until we remove the bee stinger of expensive foreign wars from the paw of our nation. We could fully fund health care reform and reduce the deficit with the costs of the expensive wars in Iraq and Afghanistan and we would still have enough left over to teach our undocumented immigrants English.

The opinions expressed in this commentary are solely those of Jared Polis.

@highlight

Jared Polis: Federal government shouldn't intervene in state marriage laws

@highlight

He says no one should be denied chance to choose spouse

@highlight

He says Rep. Joe Wilson's outburst was a breach of decorum

@highlight

He says health care debate is being affected by anti-immigrant sentiment