On CNN's "State of the Union," host and chief national correspondent John King goes outside the Beltway to report on the issues affecting communities across the country. This week, King traveled to Virginia looking at the health of the Chesapeake Bay.

The crab population in the Chesapeake Bay is no longer as abundant as it once was.

CAPE CHARLES, Virginia (CNN)  -- It is just after first light, and Don Pierce gently eases the Bri-Steff off the pier at Cape Charles harbor.

"You're sure you want to do this?" he asks a visitor with a whimsical smile. It is the last time the word "gently" will come to mind this day.

His closest crab pot is nearly five miles out into Chesapeake Bay, and the bouncing -- and rocking -- starts just seconds after passing the mouth of the protected harbor.

The Bri-Steff -- named after Pierce's two children -- Brian and Steffanie -- is the only boat braving the rough waters on this morning. On a scale of 1 to 10 -- with 10 being as rough as he dare venture out in --- Pierce scores this morning "about a 9½."

Pierce has been working these waters since he was a teenager. Forty-eight years now --- already eight years' experience under his belt when the world marked the first Earth Day in April 1970.

This year is the 40th anniversary, and Pierce is downbeat when assessing the health of the environmental treasure he loves --- and on which he depends for his livelihood.

"Too much phosphorous, too much fertilizer, too much untreated waste," Pierce says.

Where does it come from?

"We the people that live in the Chesapeake watershed mainly. We the people," he says.

"Save the Bay" has been the region's environmental cause for decades now. Pierce is both a believer and a skeptic.

"Where is that money going? I mean, you know there is lots of money being donated to help her, but she's still going downhill. You know, if we were to get a catastrophic storm like a Katrina, she might never recover. You know, that's how bad she is."

The swells exceed 7 feet as we make our way to harvest the pots, and at times the winds and the waves combine to toss the boat like a toy. The bags of razor clams on the deck are bait this time of year --- a few scoops added to each of the pots pulled from the floor of the still-frigid bay waters.

After pulling five pots, Pierce has all the evidence he needs to know the cold rains of the previous day have the crabs dormant.

"You and I wear sweatshirts and hunker down," he says in the ship's cabin --- messy because the waves have already dumped the pans off the small stove and sent other small equipment and supplies flying. "When it is this cold down there, they hibernate."

Pierce lives and works most of the year in the northern Chesapeake Bay. But he is here near its southern tip because it gets warmer here a bit earlier, and the warmer the water, the more feisty --- and active --- are the blue crabs for which the bay is famous.

Pierce loves his work -- and is good at it. With just one crew member this day --- in part because he knew the weather meant a relatively short day and in part to leave enough room for a CNN crew --- Pierce leaves the cabin to help harvest the crabs.

He spots his buoys and uses a hook to find the rope and wrap it into the winch. Harvey Brown grabs each mesh pot as the winch pulls it out of the water, and methodically packs in more bait, shakes out the crabs into a box on deck, sorts the males from the females, tosses those too small to keep back into the bay and then drops the pot for its journey back to the bottom.

Tough work in extreme elements, magnified this day by rough seas that repeatedly send water over the side and the stern onto the deck. After just a little more than a bushel, Pierce decides it is best to call it a day. We have been out in the bay for about two hours and have not seen another boat.

Today, it is the combination of bad weather and the early season. But Pierce takes the longer view, remembering when he left his early work on the docks for work on the waters.

"When I started in the late '60s, there was commercial rock fishing, there was clamming, there was oystering, crabbing ," he says. "Twenty years ago, you had striped bass and you had oysters, clamming."

Most of that is gone, Pierce says, and for all the commitment to "Save the Bay" he is of the view little progress has been made, and that development on the shoreline, population growth in the area and runoff from area farms and lawns have greatly outpaced conservation and restoration efforts.

"It is going to take a long while," Pierce says. "It took 100  years to get this way; it is going to take sizable amounts of years to bring  her back."

Those who watch the bay share his assessment. The annual report by the Chesapeake Bay Foundation gave the bay a score of 28 on a scale of 100.

Or, on a school grading system, a "D" --- the same grade as in 2007.

A 70 score would mean restoration of its health and habitats; a 100 would mean a pristine bay with no water quality or fishery health issues.

Tommy Leggett, a bay foundation scientist and onetime waterman, says by appearances alone, the southern portions of the bay are doing better.

"This is a pretty, relatively clean area," Leggett says during a waterside stroll in Norfolk. "But overall there is still a lot of problems with the bay from runoff, from ... sewage from sewage treatment plants, agricultural runoff. The bay is slowly improving but not at a fast enough rate, especially considering that we have been working at this for several decades now, actually 30 or 40 years. So I would say that the bay is not winning."

Pierce sees the algae blooms and grasses cited in the report as he travels a 190-mile stretch over the spring, summer and fall. And he sees a way of life struggling to survive.

"There used to be 60 to 70 boats out of my little town," he says. "Now there are  20. My grandsons will not be watermen. I have got a son  that is a waterman and has to work damn hard to be that waterman. So grandsons want to go, but they are not going.

"It's very hard on relationships also. You know, that's a tough thing. Are you going to pay the mortgage, or are you going to stay home and get so far in debt that you might lose everything that you have got, you know, to the bank? And the banks don't want these boats, you know, but they want to see you make it. But it is a very tough way of life now."

He breaks down the job's tough math -- grateful, mind you, that fuel is about $2 a gallon this spring --- half of what it was last year.

"If you come in with say 25 bushels of crabs, that makes you, say, $1,000. It still costs you $400 to $500 a day to untie her to go. If you got help, you have those expenditures. And if you don't have good production, and low prices, there is no profit."

And if Pierce could do one thing?

"Just give the Chesapeake Bay back her 1970 water quality, and we will have plenty of crabs, and plenty of oysters, and plenty  of rockfish, and we will have a good style of  life again, you know. If we could get our regulators to work that out ... to improve our water quality --- the Chesapeake Bay could heal herself. But she's, she's dying daily."

@highlight

Efforts are under way to save the Chesapeake Bay's economy, environment

@highlight

Waterman Don Pierce has been working the bay for 48 years

@highlight

Shoreline development has outpaced conservation, restoration efforts, Pierce says

@highlight

"She's dying daily," he says of Chesapeake Bay