(CNN) -- Richard III is the king we British just can't seem to make our minds up about.

The monarch who reigned from 1483 to 1485 became, a century later, the blackest villain of Shakespeare's history plays. The three most commonly known facts of his life are that he stole the crown, murdered his nephews and died wailing for a horse at the Battle of Bosworth in 1485. His death ushered in the Tudor dynasty, so Richard often suffers the dual ignominy of being named the last "medieval" king of England -- in which medieval is not held to be a good thing.

Like any black legend, much of it is slander.

Richard did indeed usurp the crown and lose at Bosworth. He probably had his nephews killed, too; it is unknowable but overwhelmingly likely. Yet as his many supporters have been busy telling us since it was announced Monday that Richard's lost skeleton was found in a car park in Leicester, he wasn't all bad. In fact, he was for most of his life loyal and conscientious.

To fill you in, a news conference held at the University of Leicester on Monday confirmed what archaeologists working there have suspected for months: that a skeleton removed from under a parking lot in the city center last fall was indeed the long-lost remains of Richard III.

News: Richard III: Is this the face that launched 1,000 myths?

His official burial place -- under the floor of a church belonging to the monastic order of the Greyfriars -- had been lost during the dissolution of the monasteries that was carried out in the 1530s under Henry VIII. A legend grew up that the bones had been thrown in a river. Today, we know they were not.

What do the bones tell us?

Well, they show that Richard -- identified by mitochondrial DNA tests against a Canadian descendant of his sister, Anne of York -- was about 5-foot-8, suffered curvature of the spine and had delicate limbs. He had been buried roughly and unceremoniously in a shallow grave too small for him, beneath the choir of the church.

He had died from a slicing blow to the back of the head sustained during battle and had suffered many other "humiliation injuries" after his death, including having a knife or dagger plunged into his hind parts. His hands may have been tied at his burial.

Opinion: What will the finding of Richard III mean?

In other words, we have quite a lot of either new or confirmed biographical information about Richard.

He was not a hunchback, but he was spindly and warped. He died unhorsed. He was buried where it was said he was buried. He very likely was, as one source had said, carried roughly across a horse's back from the battlefield where he died to Leicester, stripped naked and abused all the way.

All this is known today thanks to a superb piece of historical teamwork.

The interdisciplinary team at Leicester that worked toward Monday's revelations deserves huge plaudits. From the desk-based research that pinpointed the spot to dig, to the digging itself, to the bone analysis, the DNA work and the genealogy that identified Richard's descendants, all of it is worthy of the highest praise. Hat-tips, too, to the Richard III Society, as well as Leicester's City Council, which pulled together to make the project happen and also to publicize the society and city so effectively.

However, should anyone today tell you that Richard's skeleton somehow vindicates his historical reputation, you may tell them they are talking horsefeathers.

News: Back from the grave, King Richard III gets rehab

Richard III got a rep for a reason. He usurped the crown from a 12-year old boy, who later died.

This was his great crime, and there is no point denying it. It is true that before this crime, Richard was a conspicuously loyal lieutenant to the boy's father, his own brother, King Edward IV. It is also true that once he was king, Richard made a great effort to promote justice to the poor and needy, stabilize royal finances and contain public disorder.

But this does not mitigate that he stole the crown, justifying it after the fact with the claim that his nephews were illegitimate. Likewise, it remains indisputably true that his usurpation threw English politics, painstakingly restored to some order in the 12 years before his crime, into a turmoil from which it did not fully recover for another two decades.

So the discovery of Richard's bones is exciting. But it does not tell us anything to justify changing the current historical view of Richard: that the Tudor historians and propagandists, culminating with Shakespeare, may have exaggerated his physical deformities and the horrors of Richard's character, but he remains a criminal king whose actions wrought havoc on his realm.

Unfortunately, we don't all want to hear that. Richard remains the only king with a society devoted to rehabilitating his name, and it is a trait of some "Ricardians" to refuse to acknowledge any criticism of their hero whatever. So despite today's discovery, we Brits are likely to remain split on Richard down the old lines: murdering, crook-backed, dissembling Shakespearean monster versus misunderstood, loyal, enlightened, slandered hero. Which is the truth?

Somewhere in between. That's a classic historian's answer, isn't it? But it's also the truth.

The opinions expressed in this commentary are solely those of Dan Jones.

@highlight

Dan Jones: Richard III's remains found; some see chance to redeem his bad reputation

@highlight

Jones says the bones reveal and confirm his appearance, how he died and his injuries

@highlight

Nothing changes his rep as a usurper of the crown who likely had nephews killed, Jones says

@highlight

Jones: Richard good or bad? Truth likely somewhere in between