Washington (CNN) -- As the House and the Senate debated and passed budgets recently, one person was notably absent from the debate: President Barack Obama.

For the fourth time in five years, the president is late submitting his budget to Congress. So late, in fact, this year both the House and Senate were forced to move forward without him, rendering the president's budget request completely irrelevant.

Unfortunately, the president's tardiness is reflective of his fundamental lack of seriousness when it comes to budgeting. Families and businesses have to ensure that their spending, including their debt payments, doesn't exceed their income, but the president acts as if he doesn't think that should apply to the federal government.

Recently, when speaking about his budget (which the White House says will be out next week, a full two months after the deadline), the president said that he didn't want "to chase a balanced budget just for the sake of balance." Well, perhaps he should chase a balanced budget for the sake of our economy.

For four years now, the president's agenda has been out-of-control spending, massive tax hikes on Americans and burdensome regulations on job creators. Since the president took office, we've seen more than $1.7 trillion in new tax hikes, $518 billion in new regulations, and $6 trillion added to the national debt.

The impact of those policies has not been pretty.

Economic growth under this president has averaged just 0.8%. That isn't anywhere close to the 5% growth needed for a real recovery.

While it's certainly true that the president inherited a bad economy, it's important to note that he inherited it more than four years ago. What has he been doing since?

Let's put this in perspective. Ronald Reagan inherited a bad economy. But Reagan put in place growth-oriented economic policies such as fundamental tax reform and fewer regulations, which turned the economy around.

During the Reagan recovery, the economy grew nearly three times as fast as it has under Obama's watch. During the fourth year of Reagan's presidency, the economy experienced robust 7.2% growth. In contrast, the fourth year of Obama's presidency produced economic growth of just 2.2%. If the Obama recovery were as strong as Reagan's, our economy would be $1.5 trillion larger today -- meaning more jobs, more opportunity, and more take-home pay for Americans.

The fact is Obama's spending, tax and regulatory policies are smothering economic recovery, jobs and opportunity.

Just take the president's $2.6 trillion health care overhaul signed into law three years ago. The Federal Reserve recently issued a report stating employers in several regions are laying off workers and cutting back on new hires as a direct result of the president's health care law.

Four years into the president's term, 12 million Americans are still out of work and the labor force participation rate has declined to 63.5%. Americans are becoming so discouraged in the Obama economy that they simply stop looking for work. If the labor force participation rate today were the same as when the president took office, the real unemployment rate would be 10.7%.

Yet despite the abysmal failures of the president's policies, he continues to argue for more of the same.

It's time to try something new: Time to balance the budget, rein in Washington's dangerous levels of spending and unleash economic growth by expanding energy production being held back by the Obama administration, such as the Keystone XL pipeline. It's time to cut excessive government red tape strangling our small businesses and to truly reform our tax code to make rates lower and fairer for all Americans.

We should be taking an honest look at the relationship between the president's policies and economic growth. The president's tax hikes, runaway spending and onslaught of new and burdensome regulations are preventing a real economic recovery.

It's time for the president to get out of the way of the American people and let our economy take off. It's time to do better than 0.8% growth.

The opinions expressed in this commentary are solely those of John Thune.

@highlight

Sen. John Thune: President Obama is late submitting budget to Congress

@highlight

He says White House isn't serious about government living by a budget

@highlight

He says higher taxes, more regulations, higher debt are hurting economic recovery

@highlight

Thune: Recovery from recession under Obama is much slower than under Reagan