(OPRAH.com) -- Financial columnist Michelle Singletary maps out a financial rescue plan for Tisa McGhee, a 39-year-old, single mother of two who has lost her job and watched her debts pile up.

Here's what you can do if you're in a similar position.

In the Short Term

1. Stick to a budget. I started by giving Tisa a blank financial worksheet to fill out. By looking at the full financial picture, I saw some expenses she could cut.

First, she's paying $220 a month for cell phones for herself and her daughters. She should stick with the cheapest plan -- no downloading ring tones, surfing the Internet, or texting for the girls.

Second, she has to cut back on restaurant meals, one of the most common ways people waste money.

Third, she needs to spend less on transportation. Ideally, 6 to 15 percent of your net income should go to transportation costs (including your car payment, gas, and insurance); Tisa is spending more than 18 percent. I also advised her to make a list of top priorities and, every time she's tempted to buy something, pull out that list and look at it.

Oprah.com: How to be a black-belt shopper

2. Stay on top of the mortgage. Part of Tisa's trouble is her adjustable-rate mortgage. When housing prices were rising, a homeowner could refinance when interest rates went up. But once home prices began to fall, that was no longer an option for many borrowers.

While Tisa's interest rate was rising, the value of her home was dropping -- from $302,000 to about $230,000 by last November, according to an estimate by Zillow.com. Thanks to her emergency fund, she was able to keep up with the higher mortgage payments until August 2008.

But then she stopped paying, and the lender began foreclosure proceedings. She eventually sought help through the Obama administration's Making Home Affordable program (MakingHomeAffordable.gov), which allows strapped borrowers to refinance or modify their mortgages. Tisa's lender offered to lower her monthly payment from $3,180 to $1,747; she began making the new payments last July but stopped because her lender never sent her the proper paperwork.

I suggested Tisa turn to NeighborWorks America (NW.org), a nonprofit that helps consumers avoid foreclosure, and the agency intervened. If you are having trouble paying your mortgage, you can also contact a free counselor approved by the U.S. Department of Housing and Urban Development (find one through HopeNow.com or at 888-995-4673).

Oprah.com: Unlocking the keys to your mortgage woes

3. Stop making extra debt payments. Tisa has been trying to dig herself out of debt by paying more than the minimum on her credit cards. Normally that would be smart. But because she is unemployed, I advised her to preserve as much cash as possible, making basic expenses -- food, housing, utilities, and transportation -- her highest priority.

4. Get financial counseling. Tisa needs to work one-on-one with a credit counselor. Counselors with the National Foundation for Credit Counseling can provide free or lowcost debt help. To find a counselor, go to DebtAdvice.org or call 800-388-2227. Look for accredited counselors who have independent certification and training in budgeting, consumer credit, and debt management.

Oprah.com: 9 small steps that will pay off next year

In the long term:

1. Stop using shopping as therapy. Emotional spending causes a lot of people to end up in serious debt. Seventynine percent of women go on spending sprees to cheer themselves up, according to a 2009 study released by the University of Hertfordshire, in England. Forty percent of the women surveyed named "depression" as a reason to go shopping.

2. Save to buy a used car. Tisa, who has spent almost $30,000 over the past six years on two leased cars, needs to eke out some money to pay cash for a used car when her current lease is up. Yes, you can lease a car for less each month than it would cost you to buy the same vehicle, but at the end of that lease, you have no car. In the long term, buying a car and keeping it for years saves more money.

3. Aggressively pay down debt. After Tisa starts working full-time again, she needs to follow what I call the Debt Dash Plan: List your debts, starting with the smallest. Take all the extra money you can find in your budget and apply it to that debt, and make only the minimum payments on your other debts.

When you pay off the first debt, move on to the one with the next lowest balance, and so on. This strategy works because people get an emotional boost from eliminating one of their debts quickly, which motivates them to stick to their debt repayment plan.

4. Pay down student loans. Once Tisa is back on her feet financially, she must start paying off her student loans, because the interest is killing her. An income-based repayment plan for her federal loans will cap her monthly payment at an affordable amount based on income and family size. (For information about this plan, go to Ibrinfo.org) Her lender will determine her eligibility and how much she must pay each month. (But, in exchange for lower monthly payments, she may end up paying more interest than under a standard ten-year repayment plan.)

5. Build the consulting business. Tisa has already started her business, Mc3 Consulting Inc., which teaches nonprofits how to improve their services and internal operations.

"Mc3 Consulting is the seed I am planting for my girls," she says. "I want them to see their mother be successful and show them that we can turn this situation around. I want them to learn from my mistakes."

Tisa has a good business plan and great contacts, but until she has enough contracts to cover all her expenses and debt, she needs to pursue and stay in a full-time job. She should continue to seek advice, especially to steer clear of tax problems.

One place to start is score (Score.org), a nonprofit association of working and retired executives and business owners who donate their time to advising entrepreneurs. Tisa has been financially solid before, and she can do it again. She needs to set a budget, get rid of her debts, and keep spending in check. Recognizing her issues is a big part of the battle.

"A combination of factors led me to where I am today," she said, "but I can't regret those things. They're helping me become the woman I hope to be someday."

Oprah.com: 25 ways to save a bundle

By Michelle Singletary from O, The Oprah Magazine, January 2010

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

Money expert Michelle Singletary helps single mom who lost her job

@highlight

While mapping out a budget, expert finds 3 big ways to cut costs

@highlight

Web sites can offer help in renegotiating mortgage payments

@highlight

Aggressively pay down debt, pay down student loans, save for used car