The chair, perhaps the most famous chair in political history, stands in the office of a large, nondescript cement building just a stone's throw away from the U.S. Capitol.

That's right, the chair Clint Eastwood used as a prop in his rambling and at times incoherent critique of President Barack Obama at the Republican National Convention is now one of the many pieces of political memorabilia in Reince Priebus' spacious office on First Street in Washington.

The chairman of the Republican National Committee gets the joke; the chair is the first thing he points out to a reporter before sitting down behind his desk to discuss how his party must dramatically rethink its strategy and message in hopes of recovering from the national drubbing of 2012.

The second collector's item he shows off is a yellow foam cheesehead autographed by Green Bay Packers quarterback Aaron Rodgers.

It reads: "To Reince, from one QB to another, Best Wishes! Aaron Rodgers."

Rodgers might be on to something.

As RNC chairman, Priebus isn't calling the plays: That's up to House Republican leadership and the ambitious GOP governors roaming state capitols around the country. But he is reading the other team and making crucial adjustments to the game plan.

Priebus is also the general manager, responsible for helping build the team and manage the expectations of ownership.

And he has many owners to answer to: 168 Republicans who make up the national committee, deep-pocketed donors who write the checks, grass-roots activists who provide conservative energy, and the lawmakers who have an immediate personal stake in the party's success.

Boehner says Obama's focus is to 'annihilate the Republican Party'

A two-tiered goal to restructure, rebrand GOP

That's why Priebus is developing a political plan he hopes, in the near term, will re-energize his party in time for the 2014 midterm elections, while also developing a long-term strategy to compete among key demographic voting blocs -- Hispanic, Asian, African-American -- that broke so heavily Democratic in November.

To hear Priebus tell it, the goal is two-tiered: restructure the party on a tactical level to match the sophisticated and data-driven efforts of the Obama campaign, and create a communications plan to sell the GOP's message to voters it failed to connect with in 2012.

GOP's surprising edge on diversity

It's an overwhelming task and it's going to cost money, lots of money.

"I've been meeting with donors since the election in November," Priebus said. "I would say I am pleasantly surprised how quickly the donors who have given so much are ready to build a party that is a year-round operation."

Bennett: GOP, play offense in Obama's second term

As he reflected on the presidential race, it quickly became clear that one of the most bothersome aspects of the presidential race was the marathon debate schedule.

The primary debates were a point of frustration for some Republicans, who felt the process was controlled by the news media, not the party, in the past election.

"I believe that No. 1, we have to control the debates," Priebus said. "I think that having over 20 debates is too many, and I think we ought to regulate the debates, pick the moderators and get involved in setting the calendar."

Priebus cautioned his comments are not set in stone and he described his ideas in "hypothetical" terms.

One idea he mentioned was instituting a penalty system in which candidates for the nomination would lose a percentage of delegates if they participated in a debate not sanctioned by the RNC.

Dark horse candidates hungry for media attention would likely oppose such a move, but it's unclear if they would have the power to prevent a change in the rules.

The idea of handpicking moderators would also face stiff opposition from the media organizations who foot the bill to stage and broadcast the debates.

Primary calendar needs to be condensed

As for the primary calendar, Priebus said he would like to see it condensed to allow the eventual GOP nominee more time to prepare for the general election.

In an ideal world, he said, the intra-party fight would start later and finish sooner, with the Republican National Convention possibly being held as early as June.

But he doesn't talk about changing the order of the four leadoff primary and caucus states -- Iowa, New Hampshire, Nevada and South Carolina -- that have traditionally kicked off the nomination process.

"I think that the carve-out states have served us well, but I think the timing of the calendar and the rest of the calendar issue should be looked at," he said.

Priebus rejected the notion of the RNC becoming involved in presidential primaries to assist the strongest candidate, but he was quick to point out that state Republican parties can choose to play in primaries if they want.

"State parties can decide for themselves," he said. "It's their choice."

In terms of outreach to minorities, Priebus said the GOP failed to pass a very basic test.

Attracting minority voters a key GOP goal as Obama begins second term

"Well, for one thing, we have to ask for the vote," he said. "You have to ask for it and I don't think that we've been doing a very good job of that."

Priebus said a glaring organizational flaw for Republicans is that there have been no long-term investments made in human capital to help sell the GOP message on a neighborhood to neighborhood level.

It's more than just having an outreach director in a state -- it's having dedicated, full-time staffers on a grass-roots level to run "voter registration, hold community events, go to swearing-in ceremonies ... having real job descriptions for lots and lots of people on a yearlong basis in communities that move the dial."

The party's standing among Hispanics emerged as a damaging sore spot last year for national Republicans, who were forced to answer for hard-line immigration positions from prominent conservative figures, including their own presidential nominee.

Obama won with 71% of the Hispanic vote, according to CNN national exit polls.

Outreach to Hispanics has already begun, Priebus says

"I think you are seeing a lot of movement from our party on these issues," said Priebus, who said outreach has already begun. "A lot of it, I tell you, was tone. You know, it wasn't necessarily the policy on immigration, it was what is coming out of your mouth."

He specifically mentioned a comment by Republican presidential nominee Mitt Romney, who suggested illegal immigrants might "self-deport" and leave the country willingly.

"When you talk about stuff of self-deportation, it is probably not the best place to start," Priebus said.

Still, Priebus said he believes that Republicans, not Democrats, better represent the ideals and goals of all voters, including minorities who turned out in droves to re-elect the president.

Priebus plans to explain his vision for the overhaul of his party in more detail to the 168 RNC members who arrive in Charlotte, North Carolina, this week for a three-day meeting that will focus almost entirely on this subject.

Five Republican heavyweights -- Henry Barbour, Sally Bradshaw, Ari Fleischer, Zori Fonalledas and Glenn McCall -- are helping Priebus craft the recovery plan, dubbed "The Growth and Opportunity Project."

Just as Obama asked Democrats to nominate him as their presidential nominee in Charlotte in September, Priebus will ask RNC members on Friday to elect him to another two-year term.

It will be more of a formality than an election, because Priebus has only token opposition and has locked down enough support to maintain his role as chairman.

"Both the grass-roots and the donors have to be on the same page, and I think I am in a unique position to do that," he said.

Priebus predicts a more 'granular' approach for GOP

Priebus is in a unique position because of his financial stewardship of the national committee, which two years ago was saddled with nearly $25 million in debt after the departure of controversial former RNC chairman Michael Steele.

"Our money situation here was so bad that both credit cards were suspended when I walked in the door," he said. "So when we went to go book travel or anything like that, we didn't have a credit card to put the travel on. Fortunately, we had my two credit cards, so we maxed out both of those cards."

Priebus estimated he spent $40,000 to $50,000 on his personal credit cards, which he was eventually reimbursed.

Dialing for dollars became Priebus' priority, a tough task for a depressed donor base that saw super PACs and the congressional campaign committees as viable alternatives to the poorly managed RNC.

When he started as chairman, Priebus said there were fewer than 100 major RNC donors, people who contributed more than $15,000 per year. By the close of his first year, he said 1,000 people were donating $30,000-plus each year.

Paperwork filed with the Federal Election Commission showed the RNC ended 2012 with about $3.3 million in the bank and no debt.

Unlike two years ago, Priebus won't have to use his own credit card to pay for his plane ticket to Charlotte.

Now the big question is whether he will be able to raise enough money to transform the party, and if he can, will his fellow Republicans embrace his plan?

@highlight

Reince Priebus, who engineered turnaround in GOP's finances, is up for re-election

@highlight

RNC was so far in debt when Priebus took job that he had to use own credit card to travel

@highlight

Priebus says GOP must attract women, minorities, who delivered election to Obama

@highlight

RNC chairman says marathon debate schedule in primaries hurt GOP in general election