(CNN) -- Sometimes, the crash site is never found.

In 1972 a Pan Alaska Airways flight with one pilot and three passengers took off from Anchorage bound for Juneau, planning to fly the route under visual flight rules despite bad weather conditions. After one last contact with air traffic controllers, the Cessna was on its way. The plane never reached Juneau. The flight had two congressmen on board -- Hale Boggs of Louisiana and Nicholas Begich of Alaska.

The search for the missing aircraft was intense, encompassing 325,000 square miles of land and sea, with 3,600 flight hours used to look for the wreckage. But after 39 days, the search was called off. A National Transportation Safety Board report acknowledged that the cause might never be known.

In the case of Malaysia Flight 370, a Boeing 777 missing since Saturday, a search of an area captured by Chinese satellite images that seemed to pinpoint the crash site turned up nothing. Such images are rare, and typically, when a plane goes down in a remote area with no witnesses, one of the most crucial tools available to investigators is radar.

"It's very important," said John Griffin II, an associate professor at Embry-Riddle Aeronautical University who specializes in air traffic control. "There are basically two ways to find a plane -- radar and pilot communication."

Radar can take two forms. One is primary radar, what's sometimes called "skinpaint," that simply reflects off an object. Primary radar doesn't give any information about the object it's tracking. "If you work at an ATC (Air Traffic Control) facility on an East Coast flyway, you will pick up flocks of birds," Griffin said. Primary radar can also pick up debris that might be raining down from an in-flight explosion, and in such cases a target that appears as one object suddenly appears as several objects.

Secondary radar, on the other hand, relies on plane's transponder, a device located in the nose of the plane. The transponder broadcasts a signal to air traffic controllers that identifies the flight and its altitude. Secondary radar is more than just a blip on a radar screen; it tells the controllers the valuable information about the specific aircraft.

Malaysia Flight 370's transponder stopped broadcasting about 45 minutes into the flight. At that point, air traffic controllers in Kuala Lampur had no more contact with the aircraft. At first, the search area focused on the plane's intended flight path, as officials went on the assumption that the plane did not change course. "Then they started exploring other possibilities," Griffin said. Military radar tracked unidentified targets that could have been Flight 370 heading west toward the Strait of Malacca and possibly beyond.

Military radar can cover areas not covered by civilian air traffic control. But without the plane's transponder working, that target tracked by radar is only "skinpaint," or the reflection of a dense object. It can't identify the plane or give an altitude. And even the radar can only provide so much information. It's possible for a plane to literally fly under the radar because coverage usually doesn't go all the way down to the surface. In that case, a plane could continue undetected even in areas covered by radar.

In addition to the 1972 Alaska crash, other aircraft have gone missing without a trace. In 1962, a Flying Tiger Line Lockheed Constellation operating as a military transport disappeared over the Pacific after taking off from Guam. The recovery operation included 48 aircraft, but no sign of the plane was ever found.

Officials deny Malaysia Airlines jet kept flying for hours

In the case of the Malaysia Airlines flight, the search area has continued to expand rather than contract -- something that experts say does not bode well for the likelihood of finding the plane. On Wednesday, Malaysian authorities broadened the search area to 27,000 nautical square miles, nearly doubling its size. On Thursday, authorities said they planned to look farther west toward the Indian Ocean.

It's almost impossible to simply crisscross such a large area in low-flying planes and boats. "It's a monumental task," Griffin said. "It's a vast area. There's a lot of terrain there, remote areas where the plane could have crashed."

After the Alaska crash, Congress mandated that general aviation aircraft carry an ELT, or emergency locator transmitter. The ELT is designed to activate during a crash and broadcast a signal to an emergency frequency monitored by air traffic controllers.

International civil aviation authorities require that international flights, such as the Kuala Lumpur-Beijing flight, have ELTs on board. It's not clear, however, if the Malaysia Airlines plane had the device on board. If it did have an ELT, it hasn't been detected -- and that could mean that the plane crashed in such a remote location that its signal is out of range, or that the device malfunctioned or didn't go off because the plane actually landed somewhere safely. "But then you get into how do you hide a 777," Griffin said. "This is a serious aircraft."

Seriously big. The Boeing 777's tail alone stands 60 feet high. But right now, it's a 200-foot-long, 500,000-pound needle in a haystack that could be as large as an ocean.

The opinions expressed in this commentary are solely those of Sylvia Adcock.

@highlight

Sylvia Adcock says there have been previous flights that vanished and were never found

@highlight

Adcock: When a plane goes down in a remote area with no witnesses, radar is crucial tool

@highlight

Adcock: It's nearly impossible to crisscross such a large area in low-flying planes and boats

@highlight

She says radar won't work without transponders: Did they malfunction? Did plane land?