(CNN) -- Meet Bailey. She's a registered therapy dog, but you won't find her in hospitals or nursing homes. Instead, Bailey makes weekly visits to libraries and schools. She sits quietly or snuggles up to kids as they read her a book. And no, she's not napping, and the kids don't have treats in their pockets. She's actually helping these children learn to read.

It sounds implausible. After all, dogs can't read. How could they possibly help someone learn a skill that they themselves can't grasp? But it's a growing trend, and it seems to be working.

The philosophy is simple. Children who are just learning to read often feel judged or intimidated by classmates and adults. But reading to a dog isn't so scary. It won't judge, it won't get impatient, it won't laugh or correct if the child makes a mistake. In a nutshell, dogs are simply excellent listeners. And for shy kids or slow readers, that can make all the difference.

Kathy Klotz is executive director of Intermountain Therapy Animals, which runs a nationwide program called R.E.A.D. -- Reading Education Assistance Dogs. She says there's another benefit of reading to the dogs that she didn't anticipate: confidence.

"A factor that we never planned for, that turned out to be really important, is that the child feels like they're letting the dog understand the story," she says. "They get to be the teacher, the storyteller, the one who knows more than the dog for a change. ...They just blossom when they get to be the one who knows more than the dog."

Video: Meet Bailey and Wilmoth

The children know they're not actually teaching the dog, of course, but the for the kids, the idea that they know more than the dog and can share their knowledge is a powerful one. And now that volunteers are aware of that aspect, Klotz says they actively foster the idea of the child as the teacher.

"One of the things you do in the program is you always speak for the dog," says Klotz. "Like if [the child] doesn't know a word, the dog doesn't know the word either. And then they're not alone, and they can look it up in the dictionary together."

Bailey and her owner, Jim Wilmoth, participate in weekly reading sessions at local libraries in West Virginia with kids who are generally between 6 and 12 years old. They're part of the "Sit. Stay. Read." program, which is similar to R.E.A.D. Programs like these have popped up in nearly every state to help improve literacy rates in the United States.

"The kids come in and read stories to Bailey and other therapy dogs for about 15 or 20 minutes at a time," says Wilmoth, who was interviewed by iReporter Jennifer Sias at the West Virginia Book Festival. "It encourages them to practice their reading skills ... and it's a good way to involve families with the library system."

iReport.com: Wilmoth explains how he and Bailey got started

And then, of course, there are the proven physiological benefits of interacting with dogs. According to the researchers at the Center for the Human-Animal Bond at Purdue University, blood pressure drops and the heart rate slows when a person is petting a dog. The National Institutes of Health confirms what any dog owner knows: Dogs have been found to reduce stress. Each of these factors helps calm children and makes them feel less nervous or intimidated about reading.

For older children and teens, the dog can be a supportive friend and provide an outlet from stress and peer pressure. Klotz says her organization has had particular success with kids in detention programs.

"A comment we always get in our detention program is that animals make kids respond so genuinely," she explains. "They get away from peer pressure and towards a genuine enjoyment [of reading]. ... They love it."

It's hard to measure scientifically the success of the program and others like it. Because they're volunteer-based, and because each state uses different methods to measure reading level, doing a nationwide study would be difficult. However, Klotz says it's possible to see results in individual schools by comparing the reading improvement of kids who participate in the program with kids who don't. She says it's typical for the kids who read to dogs for just 20 minutes a week to improve their reading skills by a couple of grade levels in one school year. She's even seen as much improvement as four grade levels in a year. And Klotz thinks that reading comprehension is just the beginning of how these dogs help kids.

"It's not just reading scores," she says. "They start to speak up in class, and volunteer, and finish homework. They don't want to miss school when they're going to read to the dog, so it improves attendance. It kind of just flows over onto everything."

R.E.A.D. staff and volunteers know people are skeptical about the program's results at first, but Klotz says anyone who's spent time with a dog will understand.

"It sounds a little kooky when people first hear the idea," she admits. "But if they know dogs at all, and the way people relate to dogs, it quickly starts to make sense. But you don't quite ever grasp how really lovely it is until you see it happen and you see the kids light up and you see how excited they are. You see all these changes in them that they just weren't able to make."

@highlight

Therapy dogs in libraries can help kids become more comfortable with reading

@highlight

It's less intimidating for a child to read to a dog than a parent or classmate

@highlight

Spending time with a dog also helps physiologically reduce effects of stress

@highlight

Dogs in libraries and schools are a small but growing trend across the U.S.