(CNN) -- Ballot measures approving same-sex marriage and the recreational use of marijuana were approved Tuesday by voters in a handful of states, signaling a historical social shift by popular vote.

Voters in Maine approved for the first time in history a measure that gives the right to same-sex couples to marry, while in Maryland voters also made history by upholding a new law allowing same-sex couples to marry in the state, according to CNN projections. A couple of percentage points were all that separated similar measures in Minnesota and Washington, initial returns showed.

Colorado and Washington, meanwhile, voted to approve state initiatives legalizing marijuana, while Oregon voters turned away a similar initiative, projections show.

Share your reactions to the election outcome

"The voters have spoken and we have to respect their will. This will be a complicated process, but we intend to follow through," Colorado Gov. John Hickenlooper said in a statement released late Tuesday.

"That said, federal law still says marijuana is an illegal drug, so don't break out the Cheetos or Goldfish too quickly."

Even as voters returned President Barack Obama to office for a second term, according to CNN projections, a key component of his signature health care reform law was on the line in a number of states.

In Alabama and Wyoming, voters approved measures to amend their state constitution to prohibit people from being compelled to participate in Obamacare, while early returns in Montana showed voters approving similar measures.

Same-sex marriage wins first-ever ballot box approval

The one exception appears to be Florida, where voters turned back a measure that would have prohibited people and businesses from participating in Obamacare.

"These laws may promise more than they can deliver," said Jonathan Turley, a professor at George Washington University Law School.

"What the laws certainly do is to give state officials more of a basis to go to court and challenge the national health care law."

Voters nationwide were deciding the outcome of nearly 180 ballot measures in 38 states. That's up from 159 in 2010, but down from 204 in 2008.

Opinion: Five things Obama must do

Voters in Florida, meanwhile, nixed a constitutional amendment that would have banned the use of public funds for abortions, according to a CNN projection.

The campaign pitted the Protect Florida Taxpayers and Parental Rights, which was primarily funded by a large collection of Catholic archdioceses across Florida, against Planned Parenthood.

Planned Parenthood spent $3.2 million on ads to defeat the measure in Florida during the week heading into the election.

"The people of Florida have sent a clear message that politicians have no place in a woman's deeply personal and private medical decisions," said Jennifer Dalven, director of the ACLU Reproductive Freedom Project.

Election campaign ends with chess match in swing states

Results for key ballot initiatives:

Alabama

Obamacare

A measure that would amend the state constitution to prohibit individuals and businesses from being compelled to participate in any health care system passed.

See how Alabama voted

Arkansas

Medical marijuana

A measure to legalize the use of marijuana for medical purposes trailed narrowly with 89% of the vote in, according to CNN estimates.

See how Arkansas voted

California

Propostion 30: Jerry Brown tax Increase

More than 4.3 million voters said "Yes" to the temporary tax to fund education, with 53.4% of voters casting ballots in the affirmative, according to the unofficial results on the California secretary of state's website. The measure sponsored by Gov. Jerry Brown will increase personal income tax for seven years for those making more than $250,000 a year. It also increases the sales tax by 0.25% for four years.

Proposition 34: Death penalty

By roughly the same margin -- 53.1% to 46.9% -- voters decided against a measure to abolish capital punishment in California and make life imprisonment without the possibility of parole the maximum punishment for murder. The measure would have applied retroactively to all death row inmates.

Proposition 38: Other tax increase

A measure that would raise income taxes for almost all income levels for 12 years resoundingly failed, according to unofficial results on the California secretary of state website. Almost 5.7 million voters, or 72.6% of ballots cast, disapproved of the measure that would dedicate revenue to K-12 education, debt reduction and early childhood programs. This measure was in competition with Brown's Proposition 30.

See how California voted

Colorado

Marijuana legalization

A measure to amend the state constitution to legalize and regulate the production, possession and distribution of marijuana for people age 21 and older passed.

See how Colorado voted

Florida

Obamacare

The measure to amend the state constitution to prohibit individuals and businesses from being compelled to participate in any health care system failed by a narrow margin.

With more than 96% of the vote counted, 52%, or 3.6 million people, opposed the measure, compared to 48%, 3.4 million people, for it.

Under Florida state law, the measure required 60% of the vote to pass.

Abortion funding

Voters nixed a constitutional amendment that would have banned the use of public funds for abortions, with the exception of rape, incest and cases where the mother's life is in danger, according to a CNN projection.

See how Florida voted

Maine

Same-sex marriage

The effort to repeal a previous state law banning same-sex marriage passed.

See how Maine voted

Maryland

Same-sex marriage

The vote in support of a new law allowing same-sex couples to marry in the state of Maryland was approved by a slim margin.

See how Maryland voted

Massachusetts

Medical marijuana

The measure to legalize the use of marijuana for medical purposes was ahead by nearly 2-to-1.

See how Massachusetts voted

Minnesota

Same-sex marriage

A measure to amend the state constitution to define marriage as a union of one man and one woman was shot down, with 1,485,606 voting against it and 1,379,572 voting for it, according to the Minnesota secretary of state's unofficial results.

See how Minnesota voted

Montana

Obamacare

By a 2-to-1 margin, voters approved a measure that prohibits federal and state government from requiring the purchase of health insurance, according to the unofficial results on the Montana secretary of state's website.

Medical marijuana

Initial returns showed voters agreeing by a wide margin to change the state's medical marijuana law for a more restrictive version.

See how Montana voted

Oregon

Marijuana legalization

A measure that would allow the commercial cultivation and sale of marijuana through state-licensed stores as well as unlicensed cultivation failed, according to a CNN projection.

See how Oregon voted

Washington

Same-sex marriage

In a tight vote, a majority of Washington voters, 51.8%, cast ballots to "allow same-sex couples to marry, preserve domestic partnerships only for seniors, and preserve the right of clergy" to perform and recognize such marriages, according to unofficial results on the Washington secretary of state's website.

Marijuana legalization

A measure that would legalize and regulate the production, possession and distribution of marijuana for people age 21 and older passed, according to CNN projections.

See how Washington voted

Wyoming

Obamacare

A measure to amend the state constitution to give residents the right to make their own health care decisions passed by a wide margin, according to CNN estimates.

See how Wyoming voted

CNN's Jamie Crawford, Eliott C. McLaughlin, Adam Levy, Jennifer Rizzo and Robert Yoon contributed to this report

@highlight

NEW: Maryland, Maine, Washington allow same-sex marriage

@highlight

NEW: Montana, Alabama voters approve anti-Obamacare measure

@highlight

Colorado, Washington voters legalize the recreational use of marijuana

@highlight

Florida voters defeat anti-Obamacare and anti-abortion measures