(CNN) -- My parents always told me I could do anything I wanted. They told me I could be anything I wanted if I studied hard, got good grades and treated people well. They were right. They never said to me, however, that I could have it all.

The notion that women can have it all, in the way society defines "all," is a ridiculous myth. That's OK. What matters is I have my version of "all."

What is easy to forget at the core of it is: What do we actually want? Not what does society expect from us. And not what do our mothers and fathers expect from us, though the latter helps shape our fundamental views on this subject.

The real question is: What will make us happy? It sounds simple. But it is not simple precisely because there has been so much buildup of expectations from society as to what a good mother and a successful career woman should be. And none of it is based in reality.

As a Latina mother of two young children, I have chosen to follow a tough, grueling, demanding, sometimes discriminating, yet very rewarding career in communications, politics, community advocacy and the private sector, beating back cultural pressure to marry and have children in my 20s and early 30s.

Sandberg: Speak up, believe in yourself, take risks

To the chagrin of my mother, my own motherhood choices came later in life. I had my first child at age 38, after I was able to carve out quite a bit of career success. This gave me the ability to find an executive position with flexibility and autonomy, which helped ease the burden of guilt and pain when I first left my baby boy -- and later my baby girl -- to go back to work full time.

I could not have done any of this without an amazing husband and partner who sacrificed some of his own professional ambitions to partly stay home with our children during their infant years. (What would my old-fashoined machista Colombian father think about that?) But no matter how nurturing and caring husbands are and how much we trust them to fulfill our children's every need, the pangs of a working mother never subside. Guilt pangs, pangs of wanting to be there to not miss a single thing, pangs of letting your children down because you are not at their side every waking minute.

For those of us who have chosen to be working moms, the flip side is also true. When you do have the fulfillment of being at home with the kids, there is a slight pang of guilt nudging you to work on that memo, that proposal, read those news stories, think through that new client pitch. Just this week, I left an important annual dinner, full of rich networking opportunities, to be home for my son so he could finish a school project.

The concept of "having it all" is individual. Maybe it means being all you can be in the choices you have made and ensuring you are doing your best in the role or roles you are carrying out.

Maybe it means trying to have one piece at a time. I chose to focus on my career first, to establish myself and then have some flexibility to have a more fulfilling family life. But many women don't want to wait that long to have children, or worse, have waited only to find heartbreak when they try and cannot get pregnant.

Some of my childhood friends chose the opposite timing. They had children early and now that their children are grown, they are focusing on fulfilling their professional dreams.

Confessions of a busy mom: 5 lessons

Some of my friends have chosen -- gasp! -- to either not have children and focus 100% on their careers or to give up their successful and lucrative professions to dedicate themselves entirely to their families. Both are perfectly fine choices to make.

Instead of judging the choices women make, we should rejoice in the fact that we have the ability to make these choices at all. I believe that true feminism does not lie in having to prove that we can be both doting mothers and high-powered career professionals at the same time and do both 100% well 100% of the time. We can't. No one can. Anyone who says differently is lying or not facing reality. The beauty of what the feminist movement has brought today's women is that these choices are available to us.

My mother did not have the luxury to choose. She married my father and took care of us. She worked early on as a secretary, and enjoyed it greatly. Then my father demanded she quit to focus on the family. She did. When I found out this family lore, I was outraged, having been brought up by this same mother and father to be an outspoken, independent-minded woman. But then I had to take a step back and realize it was a different time, a different era and a different country.

For me and my husband, it is important that in our choices we are setting examples for our kids that it is natural for girls to be strong leaders and for mothers and women to work in demanding careers, and for boys to be nurturers and for dads and men to be the primary care-givers, and vice versa. My hope is that this "dilemma" will not even be an afterthought for my daughter. That she will choose what makes her happy. And that will be the definition of "having it all."

Work, family and 'leaning in': Seven families trying to make it work

We must acknowledge that many women, because of differing circumstances, may not have the luxury to make choices. We are fortunate to live in a country that allows many of us to pave our own way and to make the choices that are best for us, our families, and if we decide to have them, our children. We can embrace our choice, or change it along the way, in the pursuit of happiness.

The opinions expressed in this commentary are solely those of Maria Cardona.

@highlight

Maria Cardona: The notion that women can have it all is a myth

@highlight

Cardona: The real question for every individual is what would make you happy?

@highlight

She says choosing either career or motherhood first is OK; there is no one formula

@highlight

Cardona: Don't judge the choices women make, rejoice that we have many choices