We hire presidents to shoulder for us the weight of the world. Given the size and importance of their job, it's natural that we resent any time they spend not studying, discussing, thinking about or building support for the decisions they must make -- decisions that affect the lives of millions.

How can a president ever feel well-enough informed? How can he turn off his desk light, close up shop and retire to the White House residence to help his children with their homework? Presidents belong to us. If the kids need help with homework, hire a tutor, whose time is not so precious.

Except that it doesn't work that way. Until technology enables us to elect robots to the White House, we're stuck with presidents who, like the rest of us, are human beings, mere mortals who must spend time with family, unwind with friends, sleep, eat, veg out in front of the TV. Indeed, only a robot could perform so demanding a job without time spent away from it.

Almost since he took office, President Barack Obama has faced criticism for a supposedly aloof style that causes him to neglect a key facet of his responsibilities. He lacks the human touch, goes this line of thinking, in a business that demands it. He refuses to attend to the care and feeding of the lawmakers whose votes he needs, and is reluctant to provide simple favors, such as posing for photographs, to the wealthy donors whose money he needs.

Speaking to CNN's Jessica Yellin for the documentary "Obama Revealed: The Man, The President," Obama denied that his apparent standoffishness results from an icy personality: "Sometimes Michelle and I not doing the circuit and going out to dinners with folks is perceived as us being cool. It actually really has more to do with us being parents."

In other words, while he is America's only president, he is also his daughters' only father; his duty to them demands that he take time out from his duty to his country.  And so he makes sure that at 6:30 each evening he's seated at the family dinner table. After the meal, he helps his daughters with their homework.

While the president's devotion to his family is something we can all admire, I wonder if he doth protest too much.

It may be counterintuitive that people of elite status, whether by virtue of elective office or a hefty wallet, are so insecure that they need coddling before they will support a cause they believe in. But we all know that egos require stroking from time to time -- elite ones, perhaps, most of all.  It seems that Obama neglects that task less because of his devotion to his family than because of his distaste for the process.

A recent New York Times profile of Obama's closest friend and adviser, Valerie Jarrett, revealed that the White House needlessly snubbed George Soros. Presumably acting at the president's behest, Jarrett turned down the liberal billionaire's request for a private meeting with Obama to discuss the economy. Whether or not that cold shoulder is the cause, Soros and his money are sitting this election out.

With moguls such as the Koch brothers and Sheldon Adelson bankrolling super PACs on the other side of this tight race, Obama needs all the help he can get. While we may respect the president's disinclination to bow before great wealth, his failure to cultivate Soros may prove to be an expensive mistake.

Bill Clinton, the last president in office with a child of grade-school age, tried to be present in his daughter's life.

Craig Smith, a political consultant who worked for Clinton in Arkansas and Washington, recalled that when he and then-Gov. Clinton would travel for the day out of Little Rock they would start out at the Governor's Mansion: "I'd get there in the morning and the first thing we would do is drop Chelsea off at school. He took Chelsea to school every day. He said, 'Let me give you a piece of advice if you're going to have a life in politics. Take your kids to school in the morning, because you never know what time you're going to get home at night.' "

As president, Clinton did spend time with his daughter during evenings when he could. Like Obama, he helped with the day's homework. When he was out of town, he'd supply the assistance by telephone.

But unlike Obama, Clinton always found time to connect with people.

While the self-contained current president is said to hold only a few friends close, the extroverted former president craves constant human contact. He would spend hours on the phone with members of Congress and his Cabinet, cajoling them on a vote or asking their advice or gaming out their appearance the next day on "Meet the Press."

He also stayed in touch with friends -- from around the country, but particularly from Arkansas. When he couldn't make it to Little Rock to reconnect with home, home would come to him. Old friends would stay overnight at the White House, although they might not sleep much, given that games of hearts with the president would extend into the wee hours of the morning.

As busy as they have been, all presidents have set aside personal time. Many -- Dwight Eisenhower, Richard Nixon, Gerald Ford, both Bushes, Clinton, Obama -- have played golf.

Harry Truman took his daily constitutional and played poker with his pals. John F. Kennedy sailed. Nixon bowled. Ford swam. Jimmy Carter, perhaps the most diligent worker of the bunch, played tennis. Ronald Reagan rode his horse. George H.W. Bush drove his speedboat.  His son cleared brush. Lyndon B. Johnson found time for such activities as phoning a Texas clothier to order, in exacting and earthy detail, half a dozen pairs of pants. Nixon spent time, well-lubricated by Scotch whiskey, in Florida with his friend Cuban-American businessman Bebe Rebozo.  And, of course, Clinton and Kennedy put aside affairs of state to pursue affairs of a different nature.

Clinton's obsessive need for human interaction led him to cross boundaries of appropriate behavior, and not just with Monica Lewinsky. Much to the consternation of those on the other end of the telephone, Clinton would call at all hours -- late in the evening, even well past midnight.

Lloyd Bentsen, his first secretary of the treasury, turned off his phone rather than endure such intrusions. One Democratic former congressman told me that he would answer the phone, then lay the receiver down as the president talked and the congressman and his wife tried to get back to sleep. Former Sen. John Breaux of Louisiana, a key ally of Clinton's, recalled of the late-night communications, "My wife would pick up the phone and felt it was either one of the children who had gotten in an automobile accident or it was Bill Clinton. All the times it was Bill Clinton."

So if members of Congress feel slighted by Obama's lack of attention, they can at least take consolation that he's not keeping them from a good night's sleep.

@highlight

Criticized for his aloof style, President Barack Obama says he likes to spend time with family

@highlight

Michael Takiff: Obama seems standoffish because he doesn't like to schmooze

@highlight

He says unlike Obama, President Bill Clinton always found time to connect with people

@highlight

Takiff: The way each president has set up his private life depends on his personality