Tehran, Iran (CNN) -- Many in the West would like to see Iran punished for its nuclear ambitions. Tehran's residents would like those people to take a glimpse into their lives.

The European Union announced Monday it is banning the import of Iranian crude oil and blocking trade in gold, diamonds, and precious metals, among other steps, adding to sanctions already imposed by the United States and the United Nations. The measures take a big toll on Iran's lifeblood oil revenues.

The lives of ordinary Iranians have been deeply touched in recent weeks by the Western sanctions. Several spoke to CNN about how they are coping with staggering inflation and a plunging national currency, although none felt comfortable being fully identified, fearful of the Islamic Republic's long reach into private lives.

Farhad, 47, was once comfortable, but things began sliding downhill when sanctions came and the foreign oil firm that employed him packed up and left.

As a taxi driver, he works hard but saves little money. With the latest round of U.S. sanctions imposed on Iran's Central Bank last month, he has seen staggering inflation; the price of meat and milk have skyrocketed by as much as 50 percent.

He and his wife have stopped having guests at their home or going out to eat. They can't remember when they bought new clothes and no longer send their suits to the cleaners.

"I feel bad for the cleaners," he says. "They must be suffering as a result of people like me not using their services."

Farhad has a savings account that is shrinking fast as he dips into it to make ends meet.

His 21-year-old son works two part-time jobs while he earns a degree in computer science. Farhad feels bad that he can't afford to buy him the computer equipment he needs.

"I wait and pray for something to spark the economy and get it going, but I am not holding my breath," he says. "Life must go on. We can only wait and see what the future has in store for us."

In the meantime, he says, the only way for his sons to live a decent life is to fall in with influential people or make shady business deals like trading foreign currency on the black market.

The United States and other Western powers argue sanctions that target Iran's central bank, oil exports and foreign trade are designed to push Iran to cooperate at the nuclear negotiating table. They believe the Islamic Republic is developing nuclear weapons, although Tehran insists its program is reserved strictly for civilian energy purposes.

Prospects for talks have been dimmed by recent bellicose talk and actions aimed at destabilizing the Tehran government.

It's doubtful, most analysts say, that punitive measures will bring Iran to its knees. Doubtful, too, is that Tehran residents will suffer the same fate as their Baghdad counterparts, who for years, under international sanctions against Saddam Hussein's regime, faced dire shortages of basic goods.

But as Iranian-American scholar Haleh Esfandiari put it, the latest sanctions have been back-breaking, not just for the less affluent but also for the middle class.

"People are buying less because the prices have gone up," she said. "That affects the shopkeepers. It's a vicious cycle."

For many people, monthly government subsidies of $40 or $50 are no longer enough to get by, Esfandiari said.

President Mahmoud Ahmadinejad told parliament recently that the most recent sanctions -- imposed after an International Atomic Energy Agency report that said Tehran appeared to have worked on developing a nuclear bomb -- were "the most extensive ... sanctions ever." Ahmadinejad called the sanctions "the heaviest economic onslaught on a nation in history ... every day, all our banking and trade activities and our agreements are being monitored and blocked."

With the punitive measures came the downward spiral of the Iranian currency, the rial, severely devalued in the past few months against the U.S. dollar. That plunge, said CNN's Fareed Zakaria, is a key indication of Iran's instability.

"When Barack Obama became president, you could buy 9,700 rials with one dollar," he wrote in a column. "Since then, the dollar has appreciated 60 percent against the rial, meaning you can buy 15,600 rials. Tehran's reaction to the prospect of sanctions that affect its oil exports shows its desperation."

The higher dollar, of course, has made imported goods unaffordable for most Iranians.

Farhad says he eyed a refrigerator several months ago. It was made in Iran and affordable. But when he returned to buy it, the price had gone up 20 percent. The salesman informed him that parts of the fridge were made in South Korea.

The soaring prices and declining currency values come at a time when Iran is already facing "huge challenges" created partly by government mismanagement and failures in foreign policy, said one economist in Iran.

"I think the situation will be aggravated in the coming months," he told CNN. "We will witness higher inflation and unemployment rates with less economic growth."

Those who study the impact of sanctions argue that they must hurt in order to be effective, but not to the point where they break the economy, like they did in Iraq.

That does not bode well for Iranians trying to make ends meet.

Yaqoub, 59, fancies himself a retired tea man. That is, financial losses forced the office where he worked to close three years ago. He now does odd jobs. He manages to make about $200 a month and receives another $135 from the government. The youngest of his three daughters is not married yet and still lives with her parents.

He says the family gave up eating fruit -- it's too pricey and now is just a treat when guests come over.

Red meat went up from about $6 a kilogram to $9. Dinner at his house means vegetarian rice and beans.

"When I ask the shopkeepers why the prices keep going up, (they) say the government sets the prices and they have to do as they are told," he says. "People are hungry and this is why crime has gone up."

He says his son-in-law's motorcycle was stolen in front of his house. Theft was not something he worried about before.

It's not just the price of food and consumer goods that are hurting Iranians. Services like electricity and water are costing more, too. Yaqoub's monthly utility bill has almost doubled to $19 a month.

Add it all up, he says, and it's tough to make it on his income.

His wife tells him to stop worrying or he'll have a heart attack.

"I guess if we get really stuck for our daily expenses, I would have to move to a cheaper apartment or, in the worst case scenario, there will be no choice but to go to the north and live with my wife's parents. At least I won't have to worry about the rent there," he says.

Trita Parsi, president of the National Iranian-American Council, says sanctions are putting far more pressure on Iran's citizenry than on the regime they are intend to punish.

"The government always has the ability to circumvent sanctions and shift the burden onto the population," Parsi says.

Davood, 39, says he and his wife both have college degrees, but he earns money doing chores at an office -- making lunch, running errands, even cleaning.

He worries for Assal, his 5-year-old daughter. Perhaps a day will come when he has to move to a less expensive city in order to pay for her education.

"I see no chance for me to ever find a job where I can use my university degree," he says. "I am almost 40 now and as time goes by and I get older, no one will hire me. As it is, I am always worried that I may lose my job."

Some Tehran residents are stocking up on things while they can afford it, and while they are still on the shelves.

Rose, a retired nurse who survives solely on her government pension, bought a supply of grains and canned foods, just in case. She also feels lucky to own her apartment, so she doesn't have to worry about making rent.

She says a friend recently was hospitalized for two weeks. It cost her more than $11,000.

"Of course you cannot blame the doctors and hospitals because they have to pay for high-priced foods, materials and equipment," the nurse says. "Everything is related. High prices of food affect everything."

Analysts say the government ought to be fearful of too much discontent. Unemployment and stagflation helped fuel the 2009 mass demonstrations that at times appeared on the brink of bringing change to Iran's authoritarian rule.

Farhad says he understands he is caught up in global politics.

"I don't know what must be done to correct the economic condition, but I don't blame the Americans and their sanctions," he says.

Washington has to watch out for its own interests. And Iran, he says, must do what it can to safeguard its own.

CNN's Shirzad Bozorgmehr reported from Tehran, Iran, and Moni Basu from Atlanta. CNN's Josh Levs contributed from Atlanta.

@highlight

Some Tehran residents say they have cut back on what they buy, eat

@highlight

Prices are soaring and the Iranian rial has been severely devalued

@highlight

The latest round of sanctions came after a report on Iran's nuclear program

@highlight

The European Union is considering an oil embargo Monday