(CNN) -- As video game players, our focus often falls on the freshest, most exciting new digital diversions.

But much as we're all looking forward to hearing more about "Civilization V" and "DJ Hero 2" at the E3 trade show this week, it pays to remember: These titles stand on the shoulders of giants. For every exciting new present-day debut, dozens of predecessors helped pave the way for their bar-raising delivery or game-play innovations.

Consider the following list, which highlights 10 of the last decade's best and most influential games. It may be hard to recall their place in history amidst a sea of splashy trailers for "Gears of War 3" or "Lara Croft and the Guardian of Light."

But take our word for it: On the eve of potentially mind-blowing outings from "Crysis 2" to "Deus Ex: Human Revolution," the modern era's most acclaimed titles wouldn't be here today if it wasn't for the pioneering efforts of these 10 games, making each worth dusting off and replaying as a reminder of just how far we've come.

What are your favorite video games?

"The Sims" (Maxis/EA, PC -- 2000) -- An interactive dollhouse filled with little computer people that's among the first games to recreate reality itself. Not only did the cleverly disguised strategy title open the door for modern classics like evolutionary simulator "Spore," but its familiar settings and relevant topic also showed that electronic amusements could resonate with all ages and genders (a precursor to today's casual/social gaming sensations), making it the best-selling PC game of all time.

"BioShock" (2K Games, PC/PS3/360 -- 2007) -- Dark, brooding and sinister, this hybrid role-playing game and first-person shooter (wherein you wander a mutant-infested, capsizing undersea art deco utopia) wowed as much for its Oscar-level script writing as haunting environs. Equally impressive was one's ability to use guns and customizable genetic superpowers in endless combinations to uncover the secrets of a world as rich as any of its tragically flawed characters.

"Grand Theft Auto III" (Rockstar Games, PC/PS2 -- 2001) -- Never mind critics and their sensationalist propaganda. Among the earliest 3-D "sandbox," or open-ended, tales to let players go anywhere and do anything in a world of outsized personalities and adventures, this underworld saga is notable most for popularizing freedom of choice as a gameplay concept. An engaging plotline and memorable characters didn't hurt the epic's street cred either, as expounded upon in later installments such as the celebrated "GTA: Vice City" and "GTA: San Andreas."

"Halo" (Microsoft, Xbox -- 2001) -- The sci-fi, run 'n' gun juggernaut single-handedly established the Xbox as a force to be reckoned with and, via sequel "Halo 2," paved the way for trigger-happy experiences to provide living rooms worldwide with endless online thrills. With blockbuster production values and comprehensive internet play suites now staples for the genre, it picked up where "Doom" and "Quake" left off in helping bring smack-talking gunplay to mainstream prominence. In retrospect, it's hard to believe we ever doubted that first-person shooters could make the transition from PC to TV.

"Resident Evil 4" (Capcom, GameCube/PS2/PC/Wii -- 2005) -- Prior to this pant-soiling epic's debut, fear was typically an emotion experienced by gamers only upon discovering that a younger sibling had accidentally deleted their most recent saved game. But via spine-chillingly atmospheric scenarios featuring homicidal villagers, mad monks and chainsaw-wielding maniacs, each creepier and more breathless than the last, it illustrated gaming's true potential to induce cardiac arrest.

"God of War" (Sony, PlayStation 2 -- 2005) -- Melding heavy metal sensibilities with Greek mythology, this button-mashing odyssey invited players to gleefully lop off heads and wrench eyeballs from monsters' sockets. Look past the gore-drenched melodramatics though, and you'll also find incredibly polished play mechanics and skillful scriptwriting that demonstrated a simple principle. Specifically, that modern-day epics could (*gasp*) offer a heady mix of brains as well as brawn.

"Guitar Hero" (RedOctane, PlayStation 2 -- 2005) -- From "Rock n' Roll Racing" to "PaRappa the Rapper," music always had its place in the gaming canon. However, by pairing an intuitive plastic guitar controller with the on-screen action, it was here that we first saw the two mediums successfully collide with chart-topping results. The billion-dollar franchise has since spawned multiple spin-offs and imitators; established an entire genre; become America's new happy-hour activity of choice; and legitimized video games as today's hottest new medium for connecting fans and musicians. Encore!

"The Elder Scrolls IV: Oblivion" (Bethesda Game Studios, PC/PS3/360 -- 2006) -- As a freeform fantasy role-playing franchise that players could explore in nonlinear fashion, "The Elder Scrolls" series wasn't the first or even best of its kind when it debuted in 1994. Upon reaching the Xbox 360 though, fans hungry for killer apps were astonished by the game's depth, scope and ambition, which set the bar for later like-minded smashes, e.g. "Fallout 3" and "Mass Effect."

"Shadow of the Colossus" (Sony, PlayStation 2 -- 2005) -- Most games offer an array of slavering, faceless horrors, which players are invited to casually butcher in offhanded fashion. But in this action-packed epic, the high-tech equivalent of an art house film, you instead play a swordsman who must scale and slay brooding titans who both function as living levels and reminders of one's own mortality. Seldom has virtual death seemed so dignified.

"World of Warcraft" (Blizzard, PC -- 2004) -- Call them massively multiplayer online games (MMOs), virtual worlds or glorified 3-D chat rooms. But with more than 11.5 million worldwide subscribers, none makes a stronger case for the value of blending community and socialization with compelling, internet-based play. Based on the popular series of real-time strategy games, it's helped bring fantasy dungeon crawling (and spending hours on your PC romancing sultry night elves) to mainstream acceptance.

Which games make your list of favorites? What did we miss? Write in with your top picks in the comments section below.

@highlight

"Halo," "God of War" on our list of 10 of the decade's best and most influential games

@highlight

The modern era's most acclaimed titles wouldn't be here today without these games

@highlight

Each game is worth dusting off and replaying as a reminder of how far we've come