(CNN)The sun cuts across Lake Nicaragua, casting shadows across lush flora and brightly colored boats.

Rowing in unison, two girls paddle a canoe to school.

Life on Lake Nicaragua is peaceful, rustic and isolated, but this could change with the pending completion of a canal that builders are likening to Panama's famed waterway.

Headed by Hong Kong-based consortium HK Nicaragua Canal Development Investment Company (HKND), the $50 billion Nicaragua Canal (also called the Nicaragua Grand Canal and Interoceanic Canal) would create a gargantuan new shipping route through Nicaragua by connecting the Atlantic and Pacific Oceans.

HKND was granted a 50-year concession by the Nicaraguan government in 2013 to build and operate the 278-kilometer (172 miles) canal, reportedly with the option for an extension.

Construction will run from the Rio Punta Gorda on the Caribbean Coast to Brito on the Pacific.

At up to 1,700 feet wide and 90 feet deep, the canal, if completed, will be deeper and wider than the Panama Canal.

HKND announced the start of construction of the canal with a ceremony on December 22, 2014.

The canal will run through Lake Nicaragua (among other areas), Central America's largest lake and freshwater reservoir, which not only preserves an integral part of Nicaragua's ecosystem, but directly supports numerous communities.

By some estimates, 30,000 people will have to be relocated to carve a path for the canal.

The prospect is nothing short of alarming for those living in the area, and those who cherish its untouched splendor.

With the pending completion of the canal in 2019, Lake Nicaragua may be impacted in ways only time will reveal.

Environmental experts worry that the shallow waters of the lake won't be able to withstand the dredging that will come with construction.

Additionally, communities will likely be displaced and wetlands may become more vulnerable to destruction.

"In terms of the canal impact on Lake Nicaragua, one big concern is the damage to the quality of the water; the ship traffic will pollute the water with toxic sediments and industrial chemicals and introduce destructive invasive species, plants and animals," Dr. Jorge A. Huete-Perez, vice president of the Nicaraguan Academy of Sciences and director of the Molecular Biology Center at the University of Central America told CNN.

"Dredging of the lake for the construction of the canal will render the lake a 'dead zone' because of hypoxia, eutrophication and turbidity."

In January, London-based scidev.net reported that an independent commission of experts -- including scientists from the InterAmerican Network of Academies of Science, Nicaraguan Academy of Sciences and International Council for Science -- had reached similar conclusions, warning of "unintended adverse consequences that could do economic, environmental and social harm."

Like other critics of the canal construction, Huete-Perez wants greater transparency from HKND and the Nicaraguan government.

"This whole thing has been fast-tracked without public consultations or the opportunity for an informed, documented debate," said Huete-Perez.

On January 9, 2015, HKND responded to concerns about the lake's impact on communities in a statement on its website.

"From July 21 to July 30, 2014, we and our environmental and social impact advisor, Environmental Resources Management (ERM), held scoping meetings across Nicaragua.  Approximately 5,000 people participated in the scoping meetings, including housewives, students, professionals, agricultural producers, fishermen, artisans, businessmen and scholars," reads the company's statement, in part.

The company says it held a press conference broadcast in real time to the public to announce the route of the canal and comment on the technical, geological, cultural and environmental impact of the project.

Some skeptics doubt the hyper-ambitious canal is realistic.

Pedro Alvarez, chairman of civil engineering at Rice University, has expressed doubts that it will ever be completed.

He worries that it will be abandoned. His greatest concern is severe damage to Lake Nicaragua.

Despite the concerns of environmental experts, the project is underway, making a visit to this beautiful area more compelling than ever.

Largely unmarred by development, Lake Nicaragua is a sight to behold.

During my recent guided visit with Nicaragua Vacations, I took a boat tour through the Islets of Granada, home to 365 scattered islands with majestic views of Mombacho volcano.

At times, there was no other boat in sight -- only the rustle of a hidden howler monkey in the bushes and the volcano, ensconced in clouds and morning fog.

The feeling of being everywhere and nowhere at once is part of Lake Nicaragua's charm.

Another part of its charm is the people who live on it.

At Padre Nello School on Lake Nicaragua, about 90 children canoe to school each day.

Jicaro Island EcoLodge works with Padre Nello to bring clean water to the children and educational projects that encourage sustainability on the lake.

Guests of the lodge can arrange visits.

The islets are just southeast of the city of Granada (population approximately 120,000), where colonial buildings defy time, narrow alleyways lead to garden courtyards, charming boutiques are full of local art and street carts overflow with everything from iguanas to cashews.

While Granada pulses with Old World charm, Lake Nicaragua stands still with nature as its compass, mostly untouched by modernity.

For now.

Nicaragua Vacations; +1 866 347 4012

Jicaro Island Ecolodge, Granada Isleta, Nicaragua; +505 2558 7652 (hotel), +505 2558 7702 (reservations)

CNN's Frida Ghitis also contributed to this report.

Kristin Braswell is a Brooklyn-based journalist. She's contributed to Essence, ABC News, NPR and Ebony, among others.

@highlight

Experts fear proposed canal through Nicaragua could adversely affect Central America's largest lake

@highlight

Mostly untouched by development, Lake Nicaragua supports indigenous communities and low-level tourism

@highlight

Author recently toured the gorgeous lake and surrounding area