(CNN) -- Tuareg tribesman who reportedly fought for Moammar Gadhafi in Libya have returned to Mali with weapons, stoking violence and forcing thousands to flee, Mali's president said.

The development, announced by President Amadou Toumani Toure in a speech broadcast on state TV over the weekend, is perhaps the most-significant regional fallout to date from the end of former Libyan leader's regime.

The fighters returning from Libya have blended into the National Movement for Liberation of the Azawad (MNLA) and renamed northern Mali as the Azawad, the name of the region home to a majority of the Mali Tuareg.

During the address, Toure blamed freshly-armed fighters returning from Libya for attacks on military patrols outside the northeastern town of Aguelhoc, which has become a flashpoint in the struggle between the military and the rebels.

The military was "unable to enter Aguelhoc where elements of Al Qaeda in Islamic Maghreb (AQIM), a group of former fighters from Libya and a group of deserters from our army were well positioned," Toure said, according to the state-run L'essor newspaper.

"The fighting was hard and we lost men, and equipment was destroyed."

The growing insurgency is also raising concerns in Washington, which sees the small, poor nation as an important ally against AQIM, the sub-Saharan al Qaeda group.

"The situation is unpredictable and instability could spread. Private citizens have not been targeted, but the MNLA has indicated via its websites that it intends to conduct military operations across northern Mali," the U.S. State Department said as part of a new travel warning issued last week.

State Department spokeswoman Victoria Nuland condemned the rebel attacks, saying Saturday that "the United States is deeply concerned by continuing incidents of violence."

The influx of fighters returning from Libya has re-energized the Tuareg insurgency, which seeks to wrest control of three northern regions, according to the global intelligence firm Stratfor.

"Mali has experienced perhaps the most significant external repercussions from the downfall of the regime of Libyan leader Moammar Gadhafi," it said in a recent analysis.

Gadhafi endeared himself to Malians by funding the construction of a popular mosque in the capital Bamako, and helped pay for a Malian government complex that remains under construction.

He is also accused of backing the Tuaregs in Mali and Niger during the 1990s.

So it came as no surprise that Malian Tuaregs willingly went to Libya to fight for Gadhafi as he fought to keep hold of the reigns of his regime which crumbled in August, Libya's new government has said.

After Gadhafi's death in October, heavily armed Tuareg fighters began returning home and launching attacks on the Malian army, Mali's government said.

The nomadic Tuaregs, who are considered an indigenous tribe in the region, are spread across Mali, Libya, Algeria, Niger and Burkino Faso.

In Mali, the Tuareg have long called for the creation of an independent state -- and have risen up against the Malian government a number of times since the 1960s.

The latest uprising began to take root late last year but gained momentum in January when the rebels began attacking towns in northern Mali.

The Malian army clashed with rebels in the Timbuktu region last week, killing 20 people, taking a dozen prisoners and seizing vehicles and weapons, according to the country's defense ministry. It reported no casualties on the government side.

But the rebels claim to have either attacked or seized at least six towns in recent weeks, including some in the Timbuktu region, according to its website. The claims appear to be supported by reports by the International Committee of the Red Cross that thousands have fled the region ahead of fighting.

Malians have taken to the streets in the capital city of Bamako to protest the government response to the MNLA amid rumors that the army, not the rebels, initiated the latest fighting with attacks on the Tuareg, an allegation Toure and others say is false.

The unrest has thrown Toure's administration into turmoil. He sacked his defense and interior ministers last week, and quickly moved to meet with the wives of soldiers who were forced to flee their homes for refugee camps ahead of rebel attacks.

Toure told the families at camps outside Bamako and neighboring Kati that Malian troops did not initiate the fighting in famine-stricken Tinzawaten, which became ground zero in the latest uprising.

"Our military did not go to the north to make war but rather to deliver supplies to our troops in Tinzawaten," he told the wives, according to state-run media.

It was after that that armed fighters attacked the towns of Menaka, Tessalit and Aguelhoc, he told the spouses, according to the report.

"There are many rumors. If we are not careful, we'll fall into the hands of those who are attacking Mali and who want to oppose the government," he said.

Nearly 10,000 Malians and Nigerians have fled because of the fighting, the International Committee of the Red Cross reported last week.

"Some of the refugees have been cared for by (local) villagers, but space has been absorbed very quickly," said Jurg Eglin who heads ICRC operations in Niger and Mali.

"The shelters are sketchy. These people, many of them women and children, suffer from lack of food and especially water."

Another 3,000 have reportedly fled to Mauritania, according to the state-run AMI news agency.

CNN's Chelsea J. Carter, Dana Ford, Amir Ahmed and journalist Amadou Timbine contributed to this report.

@highlight

The nomadic Tuaregs are spread across several countries

@highlight

Some fought for former Libyan strongman Moammar Gadhafi

@highlight

Many have now returned to Mali, forcing thousands to flee, the president says