(CNN) -- Wondering where to go for your next holiday? Experts explain which destinations we should be checking out in 2014.

Brazil: The World Cup

The modern game of football, or soccer, may have been born in England's public schools, but many will claim its soul has settled in Brazil.

It has the world's most successful international team, winning the World Cup five times. It calls what many claim to be the world's greatest player, Pele, one of its own. And company managers and bosses are known to demand their employees skip work to watch the big games.

The World Cup next year then, to be hosted over June and July in 18 cities across the country, is likely to be memorable, to say the least.

Throw in the rest of the country, which includes rainforests, beaches and a party culture that makes most New Year's Eve soirees look decidedly po-faced, and you have the makings of an epic trip.

Daisy Parker from ABTA (Association of British Travel Agents) suggests visiting some of the country's more remote areas.

"The Brazilians' love of a party is going to make it a must-visit long haul destination for 2014," she says.

"Once fans have flown that far we predict many will stay on to check out areas like the Amazon basin and the amazing Iguazu Falls. Brazil's beaches are also some of the best in the world."

Explore offers a 14-day Pure Brazil tour, which starts from $5,913 per person (not including flights).

Panama: Canal's 100th birthday

The Panama Canal's 100-year anniversary arguably is not, in and of itself, a top five reason for visiting the country in 2014.

But the events surrounding the big day and Panama's other attractions certainly are.

"August 2014 marks 100 years since the completion of the Panama Canal, and that's likely to attract more attention to the destination," says Mary Moses, general manager at PEAK South America.

"However, Panama has a lot more to offer travelers than just the canal -- volcanoes, rainforests, coffee plantations and beautiful beaches on both the Atlantic and Pacific coasts."

Peregrine Adventures offers a 10-day Panama Highlights tour. Prices start from $2,171 per person (excluding flights).

Myanmar: Tourism 'Master Plan'

Myanmar has been touted as "the next big tourism destination" for a few years already, but getting around the country has proved tricky.

ATMs have been absent or limited to locals only, the Internet was something nobody appeared to have heard of and travel was restricted to places the government was happy for you to see.

That's started to change already, and next year it's going to accelerate.

"The Myanmar Ministry of Hotels and Tourism has prepared a 'Master Plan' and 'Responsible Tourism Policy' to map out the future of tourism in the country," says Professor Donald E. Hawkins, Eisenhower Professor of Tourism Policy at George Washington University in Washington, D.C.

"The goal in 2014 is to maximize tourism's contribution to national employment and income generation while ensuring the social and economic benefits of tourism are distributed equitably."

Explore offers a 14-day Myanmar highlights tour. Prices start from $2,324 per person (excluding flights).

Lake Myvatn, Iceland: Best Northern Lights for years

"With NASA scientists predicting that an 11-year cycle of solar activity will peak this winter, for the first few months of 2014 the Northern Lights are expected to put on their most spectacular display for the next decade," says David Phillips, operations manager for Explorers Astronomy Tours.

"Although a viewing of the aurora borealis can never be guaranteed, you can boost your chances by heading to the beautiful and more remote areas such as northern Iceland so that you are well away from light pollution."

Discover the World offers a range of Iceland-based tours, with prices starting from $329 per person (excluding flights).

Ecuador: Becoming a 'tourism powerhouse'

In the last few months Ecuador's new Minister of Tourism, Vinicio Alvarado, announced a $600 million investment in tourism over the next four years, a hike of more than 300%, as part of a plan to become a "tourism powerhouse."

Earlier this year a new international airport opened in Quito. A new luxury train just started operations and the country continues to be the world's best place to retire, according to International Living.

In short, it's probably the best vacation spot you haven't yet considered, unless your name's Julian Assange.

"Ecuador is evolving fast, and a visit to this Andean nation has never been more tempting," says Rough Guides editor Eleanor Aldridge. "

"The re-launch of the Tren Crucero, a century-old railway between Guayaquil and Quito, garnered one of the British Guild of Travel Writers' top awards for 2013."

GA Adventures offers an eight-day Ecuador Quest tour. Prices start from $1,067 per person (excluding flights).

New Zealand: 2,500-kilometer cycle trail

If doing more exercise is one your 2014 resolutions (and this time you mean it), an extended trip to New Zealand could provide the means.

In 2014 the country will complete its enormous Nga Haerenga cycle trail, designed to showcase the best of the country's landscape, culture and heritage.

The 2,500-kilometer network is made up of 23 shorter trails covering both the North and South islands, and the final two will be completed in January.

The New Zealand government threw $50 million into the construction of these trails, which snake through lush rainforests, glacial-fed lakes and along old railway lines once used by miners during the Gold Rush.

New Zealand-based tour operator Natural High offer a 17-day cycle tour from Auckland on the North Island to Christchurch on the South island. Prices start from $4,223 (excluding flights).

Playas de Nosara, Nicoya Peninsula, Costa Rica: Officially approved beaches

If you're the type that likes awards and official stamps of approval before buying your vacation, the beaches in Nosara in Costa Rica just winked at you.

They're likely to become popular in 2014, thanks to the recent award of a Blue Flag -- an international certification awarded to beaches that offer top quality and environmentally friendly experiences.

Alvin Rosenbaum, an expert in tourism and senior visiting scholar at George Washington University's International Institute of Tourism Studies, says: "Its pristine beaches are responsible for the introduction of an array of new activities for families with children, ranging from toddlers' programs to educational and volunteer programs for older children.

"Nosara prides itself on its beaches and wildlife refuges and is now one of the most environmentally-aware communities in Latin America."

Hands Up Holidays offers a 10-day Nicoya Explorer tour. Prices start from $3,745 per person (excluding flights).

Japan: Brand new festivals

The 50th anniversary of the bullet train, several new festivals (in a country already in possession of some bizarre ones), a new luxurious cruise train called Seven Stars offering visitors a spectacular new way to explore the prefecture of Kyushu -- there are plenty of reasons to visit Japan in 2014.

"The first official International Cool Japan Awards and POP Matsuri (festival), will take place in Osaka between March 21 and 30, 2014," says Kylie Clark from the Japanese National Tourism Organisation.

"Categories will include manga, anime and gaming, and during the festival numerous events will be held throughout the city tied to Japanese pop culture."

Inside Japan Tours offers a 14-night Best of Japan tour. Prices start from $3,104 per person (excluding flights).

East Africa: One visa, three countries

Spotting gorillas in Uganda and rhino in Kenya will become a less complicated affair in 2014 after changes to visa regulations come into effect.

"Visiting the mountain gorillas in Rwanda is a trip of a lifetime, but the magical experience itself lasts just one hour once you get up close to them," says Brad John-Davis, general manager for PEAK Africa.

"From January 1, travelers to East Africa will be able to visit Rwanda, Kenya and Uganda on a single visa, which will make it much easier to combine gorilla viewing with other incredible wildlife experiences across East Africa, such as tracking chimps in Uganda and spotting the big five in Uganda's Queen Elizabeth National Park."

Intrepid offers four-day gorilla safaris starting from $4,120 per person, excluding flights.

San Sebastián, Spain: A future 'world's best city'?

It's already tied in fifth place on one list of the world's best cities, and it's likely to get even more popular soon, as San Sebastián will be the European Capital of Culture in 2016.

"I think it's important to get there before the masses discover this destination," says Daniel Fesenmaier from Temple University's School of Tourism and Hospitality Management.

"It's next to France and some of the best wine regions, including Rioja, located just to the south, and Bordeaux in France, just to the north. The food is San Sebastián is also fantastic."

If you don't know what a pintxo is, or how it tastes, now's the time to find out.

Intrepid Travel offers an eight-day Northern Spain Overview tour. Prices start from $2,543 per person (excluding flights).

Tallinn, Estonia: Tunnels and Titanic meals

Tallinn's beautiful old town is reason any year to head to this under-visited city, but in 2014 its most popular tourist attraction will become significantly more accessible, thanks to plans to complete excavation of the tunnels beneath the famous bastion walls.

The city also has a number of relatively new attractions, including the Lennusadam Seaplane Harbour Museum, where visitors can check out several seaplanes housed within spectacular hangars.

The museum has recently opened a Titanic Artefact exhibition that examines the history of the doomed ship; in early 2014, the museum will host several gala dinners inspired by the last night in the first-class area of the ship.

Baltic Tours offer a two-night city break in Tallinn. Prices start from $225 per person.

@highlight

New Zealand government threw $50 million into the construction of the Nga Haerenga cycle trails

@highlight

Nosara in Costa Rica recently awarded a Blue Flag -- a certification awarded to world's best beaches

@highlight

First few months of 2014 best period for Northern Lights for years, as NASA scientists predict a peak in solar activity