Tokyo (CNN) -- The Japanese government is in the final stages of negotiations to bring a hotly disputed set of small islands in the East China Sea under public ownership, Prime Minister Yoshihiko Noda said Friday, stressing his country's claims of sovereignty.

The islands are at the heart of a bitter diplomatic argument between Japan and China that has resulted in occasionally violent acts of public protest. The uninhabited islands, known in Japan as Senkaku and in China as Diaoyu, are privately owned by a Japanese family.

A public initiative begun in April by the outspoken governor of Tokyo, Shintaro Ishihara, to raise money to acquire the islands for the city authorities has set off a new cycle of tensions between Japan and China over which country has sovereignty over them.

China talks tough in Japan island dispute

Reports in the Japanese news media this week suggested the Japanese authorities had agreed a 2.05-billion-yen ($26.1-million) deal to buy the islands from the private owners.

In an interview with CNN on Friday, Noda declined to discuss the size of the sum likely to be paid for the islands, which are also claimed by Taiwan, because of the sensitivity of the matter.

But he said the talks were in their "final stages," and he remained unequivocal about which country the islands belong to.

"The Senkaku Islands are an inherent part of Japanese territory, historically as well as under international law, so there's no territorial claim issue between the two countries," he said. "Right now, it is the ownership issue -- whether the individual owns these islands, or the Tokyo metropolitan government or the state. And I think we have to clearly and solidly explain these stances to the Chinese side."

His comments are unlikely to please Beijing, which issued the latest of its angry statements on the matter on Wednesday.

"I want to emphasize again that any unilateral actions taken by the Japanese regarding the Diaoyu Islands are illegal and invalid," said Hong Lei, a Chinese Foreign Ministry spokesman.

"We are closely monitoring the developments and will take necessary measures to defend our territorial sovereignty," Hong said.

Why Asia is arguing over its islands

Noda said Friday that the purpose of the government's planned acquisition "is to maintain those islands in a peaceful and stable manner."

The Chinese Foreign Ministry didn't immediately respond Friday to a request for comment on the matter.

The islands, located between Taiwan and Okinawa, sit among popular fishing waters and are also believed to be rich in oil resources.

Animosity between China and Japan over the islands runs deep.

They have come to represent what many Chinese people see as unfinished business: redressing the impact of the Japanese occupation of large swathes of eastern China during the 1930s and 1940s.

China says its claim extends back hundreds of years. Japan says they saw no trace of Chinese control of the islands in an 1885 survey, so formally recognized them as Japanese sovereign territory in 1895. Japan then sold the islands in 1932 to descendants of the original settlers. The Japanese surrender at the end of World War II in 1945 only served to cloud the issue further.

The islands were administered by the U.S. occupation force after the war. But in 1972, Washington returned them to Japan as part of its withdrawal from Okinawa.

In the interview Friday, Noda also addressed recent difficulties Japan's relationship with another of its neighbors: South Korea.

Tokyo dispatches team to survey islands at center of tensions

He insisted on Japanese sovereignty over a small group of islands in the Sea of Japan that South Korea calls Dokdo and that Japan claims as Takeshima.

South Korean President Lee Myung-bak visited the islands last month, prompting Japan to recall its ambassador to Seoul and warn that it will take the issue to the International Court of Justice -- a proposal rejected by Seoul.

Noda said he hoped Seoul "will deal with this issue based on the principles of law and justice, but if they will not jointly refer this matter to the ICJ, we will have to make preparations to do it unilaterally."

Japan has long claimed the islets as its territory, but Seoul said all Korean territory was returned after the country won independence from colonial rule by Japan in 1945.

Lee also said in remarks to teachers last month that Japanese Emperor Akihito should make a "sincere apology" for the suffering Korean people endured under Japanese colonial rule, suggesting it was necessary before the emperor could visit South Korea.

"First of all, we never requested a visit by our emperor to South Korea," Noda said. He added that Tokyo was requesting "a withdrawal of that statement as well as an apology."

He said he was "surprised" that the relationship with Lee had changed so dramatically in such a short space of time.

"It is quite regrettable," he said, before adding that a healthy relationship between the two countries is important for peace and stability in the region, especially with regard to issues like North Korea.

Territorial tensions rumble on as Clinton visits Beijing

CNN's Paula Hancocks reported from Tokyo, and Jethro Mullen from Hong Kong. CNN's Dayu Zhang and Shao Tian contributed reporting from Beijing.

@highlight

NEW: Noda says recent tensions with South Korea are "regrettable"

@highlight

China vowed this week to defend its "territorial integrity"

@highlight

The islands are privately owned by a Japanese family

@highlight

The Japanese premier says the government is close to a deal to buy them