(CNN) -- Researchers announced this week that they've found a new gene, ALS6, which is responsible for about 5 percent of hereditary Lou Gehrig's cases.

The discovery of a new gene mutation may allow those with ALS in their family to be tested.

It's being called a "momentous discovery" by the Amyotrophic Lateral Sclerosis  Association.

Scientists at Massachusetts General Hospital, the University of Massachusetts and Kings College in London found the mutation by doing detailed sequencing of the genes in several families with an inherited form of ALS. The findings are published in the February 27 issue of the journal Science and were partially funded by the ALS Association.

ALS, a disease of the nervous system, impairs muscle movement and eventually results in total paralysis. It was brought to national attention in 1939, when famed Yankee baseball player Lou Gehrig's illness was diagnosed as amyotrophic lateral sclerosis, or ALS. Today, the disease is most commonly known by his name.

ALS6 is a protein normally found inside a cell's nucleus, but in patients with Lou Gehrig's disease, it is found outside the nucleus and sometimes forms unusual clumps.

ALS researchers are unsure why this occurs but believe this finding, combined with a gene they discovered last year, TDP-43, may lead them to a firmer idea of what causes this deadly disease.

Both genes help in building and transporting proteins and making sure they're in the right place in cell structure -- a process called RNA processing.

Lucie Bruijn, senior vice president of research and development at the ALS Association, likens this process to building an engine: If there are parts missing or placed in the wrong place or in the wrong way, the engine doesn't work right.

"Everything has an exquisite role and has to be in the right place, and any imbalance ... can cause things to go awry," Bruijn said.

"It's exciting because what it's starting to tell us now is that we might be starting to get an underlying theme," Bruijn said. "We now have two genes with similar function strengthening the idea that alterations in RNA processing is important in ALS. A completely new direction and also involved in many other neurodegenerative diseases."

She believes this gives researchers "huge" potential to develop new therapies.

And new therapies are needed.

There is no cure and only one treatment for ALS, a neurodegenerative disease that seems to progressively attack the nerve cells in the brain and spinal cord. These attacks can cause symptoms such as muscle weakness, twitching, cramping and thick speech, eventually leading to paralysis. According to the ALS Association, the disease strikes a little more than 5,600 people every year, and about 10 percent of those cases are hereditary.

The discovery of this new gene mutation will also allow those with ALS in their family to be tested for another gene (this makes three genes). Bruijn says a test "will be possible; however, currently, it is not widely accessible" and "it would only be used in familial ALS patients."

@highlight

Amyotrophic Lateral Sclerosis Association calls ALS gene discovery "momentous"

@highlight

Two genes discovered in last 12 months could hold key for new therapies

@highlight

Genetic testing useful only for those with hereditary ALS

@highlight

ALS, or Lou Gehrig's disease, strikes a little more than 5,600 people every year