LONDON, England (CNN) -- Jaime Lerner, the former maverick mayor of Curitiba in South Brazil, has energy, passion and steely determination that started nothing short of an urban revolution.

Architect Jaime Lerner, former mayor of Curitiba, Brazil

The city in Brazil and indeed its ex-Mayor, have been an inspiration to environmental urban planners worldwide. It's hardly surprising, when Curitiba has an integrated bus system that carries 2.4 million passengers a day and a population whose children have led the way in garbage disposal.

CNN's Zara Bilgrami asked the architect why he believes so passionately that cities could be a solution to all our problems.

CNN: Curitiba has been called "the most innovative city in the world." How did you achieve this?

Jaime Lerner: Curitiba is not a paradise. We have all the problems that most Latin American cities have. We have slums. We have the same difficulties, but the big difference is the respect given by people due to the quality of the services which are provided.

We are coming to understand that to change a city you need political will. Secondly, you need a good strategy. Then you need solidarity and a feeling of co-responsibility.

I'll give you an example of co-responsibility. When I was governor, we had to clean the bays. In our state, we proposed to the fisherman the equation of co-responsibility. We said, "If you catch the fish, the fish belong to you. If you catch the garbage we are going to pay you. The more you fish garbage, the more money you will have." The more they cleaned the bay, the more fish they had. That's a win-win solution.

CNN: You say that any city in the world can be transformed, no matter how large the scale or small the budget. Can you explain?

Jaime Lerner: After working in cities for nearly 40 years I am telling you that every city can improve its quality of life in less than three years, no matter the scale or the financial conditions. All you have to do is build a good equation. Creativity starts when you cut a zero from your budget!

I would say there are three key issues that are important, not only for the city itself but for the whole of mankind. One is the problem of mobility. Another is the problem of sustainability. The other is social diversity and co-existence.

We are afraid now of climate change and the question of sustainability. There is a feeling that we are all terminal patients and there is nothing we can do. But there are a lot of things we can do. I have been in meetings all over the world about new materials, green buildings, new sources of energy, recycling -- they are important but they are not enough. When we realized that 75 percent of carbon emissions come from the cities we realized we had to work on the concept of the cities.

CNN: What exactly is urban mobility?

Jaime Lerner: The condition of mobility, my approach, is don't try to choose which system is best. Use all the systems, but with one condition: never, never compete in the same space. They have to be complementary. So combine all the systems, but run them as we do in Curitiba. It's a system where we have dedicated links and boarding conditions -- that means boarding tubes and paying before entering the bus. You don't wait for a bus for more than one minute.

We started with one (bus) line in 1974. It carried 25,000 passengers a day. This system is being improved every year and now we are transporting 2.4 million passengers a day. It's a very high quality system and what is amazing is that it is one of the few systems in the world which is not subsidized. It pays for itself.

CNN: What about cars? Is there a role for cars in the cities of the future?

Jaime Lerner: The car is like your mother-in-law. You have to have a good relationship with her but you cannot let her conduct your life. If the only woman in your life is your mother-in-law, then you have a problem.

There are many solutions. That is why I call it mobility -- not just public transport -- using all the systems.

CNN: How do you think quality of life was improved in Curitiba?

Jaime Lerner: A city is a structure of living and working together. I have realized after all these years that a city that has a good quality of life attracts jobs. People don't want to invest in places if there is no quality of life.

Everything (in Curitiba) started with the children. We started to teach the children in every school over six months, how to separate the garbage and the children teach their parents. So that's why the city of Curitiba since 1989, for almost 20 years, has had the highest rate of separation of garbage in the world, at 70 percent. Everything starts with the children. I'm obsessed with the idea of how to make the children understand their own city, because if they understand their city, they will respect it better.

CNN: Which cities do you think need urgent change?

Jaime Lerner: Every city needs to change in some way. My feeling with the mega-cities is that they are losing time. We are living here, working there, taking leisure time in other places. One of the reasons I am proud of my city is around 80% of people are living in diverse neighborhoods. If you want a human city, mix urban functions, mix incomes, mix ages. This is good for co-existence, for social diversity and it reduces violence. We realized that the city is what brings solidarity. Cities are not problems: they are solutions.

CNN: As an architect, how important is beauty?

Jaime Lerner: Quality of life and diversity is beautiful. I would say that a city that is committed to its future, in which the people are most important, is a beautiful city. We have to change from "ego-architecture" to "eco-architecture".

..................

Is the city the solution to our problems? Would you support policies that pushed cars out of city centers? Share your thoughts on Jaime Lerner's views in the "Sound Off" box below.

@highlight

Former Mayor of Curitiba, Brazil, Jaime Lerner is an architect and urban planner

@highlight

His groundbreaking policies helped create one of the world's greenest cities

@highlight

His integrated bus system transports 2.4 million Curitibans every day

@highlight

Lerner compares car use to his mother-in-law: "You cannot let her conduct your life."