(TIME.com) -- A filmmaker with multiple sclerosis hopes an app he developed will help fellow wheelchair users make cities like New York more accessible.

For most people, meeting friends for dinner at a new restaurant, jumping into a taxi or going out for a shopping trip shouldn't require too much advanced planning. Just show up and walk in.

But as Jason DaSilva discovered, these simple actions that he took for granted for the first 25 years of his life harbored hidden obstacles that made them nearly impossible to perform in a wheelchair.

Steps, narrow doorways, cracked sidewalks and impossibly long ramps were only some of the barriers he encountered as he tried to navigate New York City, where he lives, from a chair. Most of the subway system is out of reach, since not all stations have elevators. And not all taxis are equipped to load wheelchairs either.

Frustrated by his inability to move around as freely as he liked, DaSilva developed AXS Map â€” a crowdsourcing platform that allows people around the world to rate businesses for accessibility and, most important, to share that information.

Because while the Americans With Disabilities Act, enacted by Congress in 1990, mandated that buildings and other facilities become more accessible to those with disabilities, DaSilva found huge variability in how well the law was executed.

TIME.com: The myth of Roosevelt's wheelchair

Beyond that, many buildings constructed before 1990 are exempt from the regulations. AXS Map isn't intended to rate the extent to which a structure is ADA-compliant; it simply serves as a tool for people with mobility issues to find out which businesses in their community are actually accessible, and to what degree.

Launched in 2012 as a website and mobile Web app, AXS Map is powered by Google Maps. Both of the current iterations allow the user to rate several features of local businesses for accessibility, which are tallied into an overall star rating.

Much like Yelp and other crowdsourcing platforms, the more data that users contribute, the more useful the app will become. Also like Yelp, with more ratings, the most positive or negative reviews are canceled out so users end up with a solid core of realistic reviews.

"I think it's critically important that people like Jason are getting involved and creating change in their own right. It is the only way that this effort will be successful," says Mark Perriello, president and CEO of the American Association of People With Disabilities.

"You see a lot of innovation by people with disabilities ... but the number of people who are participating and changing the future, changing their own future by changing society, is far too few."

TIME.com: Disabled kids get in the game

Instead of leaving the ratings for AXS Map up to specialists, DaSilva wanted members of the disabled community to inform and empower themselves, with the help of friends, family and neighbors, by pooling their evaluations of how accessible facilities really are.

"I found that there was a lack of awareness in general around accessibility," he says. "People without disabilities don't realize all the challenges that we face, like is a restroom accessible, is there one small step outside a restaurant that would keep us from being able to get in? It kind of blows their minds when they start to realize all these little details. Opening up the ratings to the community is an attempt to bridge the gap between people living with mobility issues and the larger communities that we live in."

Failure to adhere to ADA regulations can result in government injunctions, steep civil penalties and lawsuits. But while thorough, the law is complex and often difficult to apply in practice, resulting in the patchwork level of accessibility that DaSilva encountered.

Initially, the Department of Justice offered free written advice to business owners who had questions about applying the law, but those letters ended in the mid-'90s. Since then, businesses rely on ADA consultants or lawyers, whose help can be costly, or free ADA-consulting services, which can be difficult to find.

Building inspectors are tasked with making sure that state and local codes are followed, and states can request federal certification from the Department of Justice that these codes adhere to or exceed the requirements of ADA.

But as DaSilva and others affected by disabilities have found, there can be variation in the extent to which these codes actually address accessibility. For example, the degree of steepness and length of a ramp can render it too challenging for someone in a manual wheelchair; a fraction of an inch on a door frame can make it too narrow for some chairs.

TIME.com: Equipping the disabled

And when it comes to older structures, which are more common in cities in like New York, for example, the issues become even more challenging.

"Those facilities have an obligation to remove barriers to the extent that the removal is readily achievable, and that is a multifactor analysis that takes into account the cost of the removal, the difficulty, the resources of the business and a host of other factors," says Minh Vu, a partner at the legal firm Seyfarth Shaw and leader of its ADA Title III Specialty Practice Team. Additionally, as with any piece of legislation, enforcement is also a major issue.

For DaSilva, the app is his legacy for the disabled community. A documentary filmmaker in New York, he was diagnosed with primary progressive multiple sclerosis, a rare, accelerated form of the neurological disorder, after he noticed that his walk began to change in 2005. With AXS Map, he hopes to help others like him to live as independently as they can.

DaSilva and his wife Alice Cook, whom he met while developing the product, have started hosting Mapping Days across the U.S., bringing together volunteers from the community to map entire neighborhoods in AXS Map. And at the same time, they are raising awareness around accessibility.

"The work I do, this app and the film, is about changing the face of disability. The civil rights movement, the gay and lesbian movement, even the feminist movement all gained traction. But for some reason, the disability movement kind of slowed down," says DaSilva. "I'm trying to find a way to bring it back."

Jason DaSilva's documentary film, "When I Walk," opens theatrically in New York City at IFC Center on October 25 and in Los Angeles on November 1.

This story originally published on TIME.com

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Steps, narrow doorways and cracked sidewalks can make travel difficult in cities

@highlight

Frustrated by his inability to move around, Jason DaSilva developed AXS Map

@highlight

The crowdsourcing platform allows people to rate businesses for accessibility