Jinan, China (CNN) -- Fallen Chinese Communist Party heavyweight Bo Xilai kept up his vigorous defense against corruption charges Friday in China's most politically sensitive trial in decades.

Bo's glittering career, in which he drew admirers and detractors for his populist policies, fell apart last year amid a scandal involving murder, betrayal and financial skullduggery.

His high profile and connections among the nation's ruling elite have made his case -- with its tales of greed and wrongdoing by a top official and his family -- an extremely delicate matter for Chinese authorities. It's taken more than a year, during which time the Communist Party underwent a major leadership change, to bring him to trial.

Timeline: Bo's fall from grace

Many observers had expected proceedings to stick closely to a preplanned script, seeing the trial's outcome as the result of a political deal struck between Bo and China's top leaders.

But as he often did in his political career, Bo has so far stolen the show, mounting a robust attack on the prosecution's case and ridiculing witnesses' testimony. That has left China watchers trying to figure out how far he's veered off script.

Bo calls wife 'insane'

He began his counterattack after the trial opened Thursday amid tight security in the eastern city of Jinan. He said he had made an earlier confession to party investigators "unwillingly" and described testimony by a former associate as "an ugly performance by a person who sold his soul."

He continued his offensive Friday, calling his imprisoned wife "insane" after the court was shown video testimony in which she implicated him in a murky property deal in the South of France.

Bo, 64, is on trial on charges of bribery, embezzlement and abuse of power.

Journalists from the international news media haven't been allowed inside the courtroom. But the court's official microblog account has delivered updates on developments inside, attracting more than 350,000 followers on Weibo, China's Twitter-like service.

CNN hasn't been able to verify precisely how accurate and comprehensive the court's version of proceedings has been. But many observers have interpreted it as a reasonably close, albeit filtered, account.

Court adjourned for the day Friday and will resume at 8:30 a.m. Saturday.

An 'eloquent' defense

"In my view, Bo Xilai has decided not to cooperate, but not completely. Because he did not go too far to condemn other leaders or reveal some other problems," said Cheng Li, a China expert at the Brookings Institution.

The prosecutors were "terrible," Li said, while Bo was "clear, focused, articulate and eloquent."

His courtroom display appears to have been striking enough to prompt a personal attack against him on the website of the People's Daily, the official Communist Party newspaper.

"Bo Xilai's righteous and forceful performance in court makes one marvel at his superb acting and lying skills," the op-ed article said, citing an unidentified "media personality who attended the trial."

"His cunning arguments are only going to prove his extremely poor character and not going to help him evade punishment under law," the article quoted the person as saying.

Conviction still seen as likely

Although the effectiveness of Bo's performance so far doesn't mean the court will acquit him, it may make it tougher for it to mete out a heavy sentence.

The conviction rate for criminal trials and their appeals in China -- where the party controls police, prosecution and courts -- stood at 99.9% in 2010, a U.S. State Department report cited the Supreme People's Court as saying.

"Of course he will be convicted, otherwise it would be disastrous," Li said. "But the sentencing now can't be very severe because of the nature of the charge and how poorly they've conducted this trial."

It remains to be seen if the prosecutors' performance improves as the case continues.

China leaves nothing to chance for Bo Xilai 'trial of the century'

Flaws revealed

Much of the fallout from the Bo scandal came before the trial opened.

"The Bo case has revealed the fundamental flaws of the political system and the widespread phenomenon of corruption and power abuse," Li said.

Members of the Chinese leadership, including President Xi Jinping, have described corruption as an existential threat to the Communist Party. But they have so far been reluctant to pursue it too aggressively.

Analysts say that is largely because it is so rampant.

Bo's case might have been a chance to make an example of a senior official. But his trial so far suggests that top leaders are unwilling to delve too deeply or punish him too severely.

"The leadership wants to move forward. They want to put it behind them and move onto other issues," Li said. "That strategy, although it's rational, will probably not resonate very well -- you leave some potential problems for the future as they fail to use the case to consolidate and uplift public confidence in the legal system."

A dramatic downfall

Bo is a princeling, a term that refers to the children of revolutionary veterans who boast of political connections and influence. His late father, Bo Yibo, was a revolutionary contemporary of Mao Zedong and former leader Deng Xiaoping.

Over the past three decades, Bo rose to power as a city mayor, provincial governor, minister of commerce and member of the Politburo, the powerful policymaking body of the Communist Party.

A charismatic and urbane politician, Bo was credited with a spectacular, albeit brutal, crackdown on organized crime during his time as the top party official of Chongqing, a metropolis in southwestern China.

But when his deputy, Wang Lijun, walked into the U.S. Consulate in the city of Chengdu in February of last year and told American diplomats that Bo's wife, Gu Kailai, was an accomplice in a murder case, a glittering political career began to unravel.

Wang's move precipitated Bo's political demise. Soon after news of the events began to emerge, Bo was removed from his party posts.

A court found Gu guilty last year of murdering British businessman Neil Heywood in a Chongqing hotel room in 2011. A family employee, Zhang Xiaojun, was also convicted in the killing and sentenced to nine years in prison.

The following month, Wang was convicted of bending the law for selfish ends, defection, abuse of power and bribe-taking. He received a 15-year prison sentence.

Dispute over a villa

Bo's trial is seen as a potentially concluding chapter in the scandal.

Authorities haven't said how long it will last. But with only part of the charges addressed so far, it appears it could go on for longer than the two days some observers had predicted.

Some of the testimony Friday concerned accusations that Bo was complicit in a complex deal Gu carried out to buy a villa in Cannes, France.

A dispute over ownership of the villa resulted in a falling out with Heywood, Gu said.

In her video testimony, Gu said that Bo was aware that the purchase of the villa had been funded by Xu Ming, a businessman in the northeastern port city of Dalian, where Bo was once mayor.

But Bo contested her accusation that he knew how the villa was paid for and poured scorn on her reliability as a witness.

"What's the credibility of Gu Kailai's testimony? She has changed, she is insane, and she often tells lies," he said. "She has been under severe pressure from the investigators to turn me in."

Three indictments

Under the bribery indictment, prosecutors accuse Bo of using his political posts to secure influence for others. They say that between 2000 and 2012, Bo, Gu and their son, Bo Guagua, received about 22 million renminbi ($3.6 million) in bribes from Xu and another Dalian businessman, Tang Xiaolin.

The embezzlement charge alleges that Bo and Gu transferred 5 million renminbi of public money from a construction project in Dalian to a private account through a law firm in Beijing.

And the abuse of power indictment relates to Bo's actions after he was informed about his wife's involvement in the killing of Heywood and Wang's attempted defection to the United States.

Bo Xilai trial: Son Bo Guagua hopes father can 'answer his critics'

CNN's David McKenzie and Steven Jiang reported from Jinan. Jethro Mullen wrote from Hong Kong. K.J. Kwon and Jaime A. FlorCruz in Beijing contributed to this report.

@highlight

NEW: Court adjourns for the day and will resume Saturday

@highlight

Bo describes his jailed wife as "insane" after watching her video testimony

@highlight

The former top official has mounted a tough defense against bribery charges

@highlight

An article in state-run media talks of Bo's "lying skills"