The West African country of Senegal has closed its borders with Guinea over fears that the Ebola outbreak could spread, according to the Senegalese Interior Ministry. The closure includes any aircraft and ships traveling to Senegal from Guinea, Sierra Leone or Liberia.

Senegal is located to the northwest of Guinea, which as of August 20 had 579 suspected Ebola cases, according to the World Health Organization.

Sierra Leone and Liberia border Guinea to the southwest. Those three nations have been the epicenter of the Ebola outbreak.

So far, 2,473 suspected cases have been reported to WHO from those three countries and Nigeria. Nigeria now has a total of four Ebola patients under treatment at an isolation ward, bringing the total number of reported cases in the country to 14, officials said.

More than half of the patients in the outbreak have died. It's the largest Ebola outbreak on record.

And still, WHO says, the numbers don't tell the whole picture.

"The magnitude of the Ebola outbreak, especially in Liberia and Sierra Leone, has been underestimated for a number of reasons," the organization said in a statement Friday. "Many families hide infected loved ones in their homes.

"Others deny that a patient has Ebola and believe that care in an isolation ward -- viewed as an incubator of the disease -- will lead to infection and certain death. Most fear the stigma and social rejection that come to patients and families when a diagnosis of Ebola is confirmed."

Corpses in these countries are being buried without determining cause of death, WHO says. Medical staff cannot keep up with the current demand, especially with the limited supplies they have on hand.

"In some areas, most notably Monrovia, virtually all health services have shut down," WHO says. "Fear keeps patients out and causes medical staff to flee."

Senegal is not the first country to close its border during the outbreak. President Ellen Sirleaf has shut most of Liberia's borders to contain the virus. The few points of entry that are still open are testing people passing through for Ebola. Guinea and Sierra Leone have done the same. Kenya, South Africa and others in the region are also limiting travel to and from the area.

In its first statement on the Ebola outbreak, the African Union this week expressed its "deep concern at the current situation, and its full solidarity and support to the countries affected by this epidemic."

At its meeting in Addis Ababa, Ethiopia, the group of African nations authorized the "immediate deployment of an AU-led Military and Civilian Humanitarian Mission, comprising medical doctors, nurses and other medical and paramedical personnel, as well as military personnel, as required for the effectiveness and protection of the Mission."

Medecins Sans Frontieres, also known as Doctors Without Borders, describes Ebola as "one of the world's most deadly diseases." The virus is highly infectious, and is transmitted through bodily fluids such as blood, sweat and feces.

Two to 21 days after a person is infected, symptoms such as fever, muscle pain and a sore throat appear. The fever then progresses to vomiting and diarrhea, difficulty breathing, impaired organ function and internal bleeding. Ebola hemorrhagic fever can be deadly in up to 90% of cases, though the current outbreak's mortality rate has been around 50%.

Ebola virus: 9 things to know

On Thursday, residents in the Monrovia's West Point slum protested a government-enforced Ebola quarantine. An estimated 50,000 people live in the West Point area. Armed soldiers were deployed to keep the quarantine in place, CNN's Isha Sesay reported. Liberia has been hardest hit by the virus, with 972 suspected cases and 576 deaths.

Meanwhile, the disease's infectious nature has health officials around the globe on high alert. But so far, any suspected cases outside the four West African countries affected by the outbreak have turned out to be false alarms.

Test results on a patient in California this week were negative for the deadly virus, according to the state's health department. Similar cases in New York, Ireland, Abu Dhabi and the Philippines have also tested negative for Ebola.

@highlight

Nigerian officials report two new cases, bringing total in that country to 14

@highlight

Senegal has closed its borders with Guinea over fears about the Ebola outbreak

@highlight

So far, 2,473 suspected Ebola cases haven been reported to WHO

@highlight

Ebola outbreak has been vastly underestimated, WHO says