Tokyo (CNN) -- A low water level in a reactor building at the damaged Fukushima Daiichi nuclear power plant in Japan may have exposed fuel rods and caused them to melt, the owner of the facility said Thursday.

Tokyo Electric Power Co. blamed the incident on a faulty gauge that monitors the water level in the pressure vessel in the No. 1 reactor building.

"I would say at this point that the situation is not dangerous," said Mujid Kazimi, a professor of nuclear engineering and mechanical engineering at the Massachusetts Institute of Technology.

The Nuclear Energy Institute had a similar response to the new details released by Tokyo Electric.

"This is in no way alarming," said Tom Kauffman, senior media relations manager at the Washington-based institute.

"It was anticipated that there was fuel damage in reactors 1, 2 and 3. This is confirmation," he said.

"It's a situation that's going to develop over time," with details continuing to emerge as nuclear plant workers gain more access to the reactors, Kauffman added. "This is going to evolve over months, maybe many months."

Once the faulty gauge was reset, workers discovered Thursday that the water level had dropped more than 3 feet (1 meter) below the fuel rods, which need to be cooled by water to keep them from melting.

Japan's Nuclear and Industrial Safety Agency said there's a high possibility that the fuel rods have melted and are now being cooled by water in the bottom of the pressure vessel.

The company said it suspects there is a leak in the pressure vessel, since the water level was low despite the company pouring 150 tons of water a day on the No. 1 reactor to cool it.

A March 11 earthquake and tsunami knocked out cooling systems at Fukushima Daiichi, causing the three operating reactors to overheat. That compounded a natural disaster by spewing vast quantities of radioactive material into the atmosphere.

Workers have been able to install air filters inside the No. 1 reactor building to contain radioactive particles and have begun filling the primary containment shell around the reactor core with water in an attempt to draw heat off the core. The plan is to recirculate that water through a heat exchanger to cool it, said Yoshikazu Nagai, a spokesman for Tokyo Electric.

Similar plans are being considered for unit 2, which also is thought to be leaking radioactive water, and unit 3, where engineers noted a disturbing rise in the reactor's temperature readings last week, Nagai told CNN.

"First we have to tackle unit No. 1, and we need to see if we can succeed," he said.

Meanwhile, equipment that will be used to decontaminate water pooling in the plant's basements is expected to arrive by mid-May. Tens of thousands of tons of radioactive water have flooded the basements where the cooling systems were housed, making it impossible for workers get into the facilities.

At this point, "The danger is more with the workers who deal with (the leak) than the public," Kazimi said.

Decontaminating the water pooling in the plant's basements is feasible, as long as the water stays contained, he added.

To limit further possible spread of contamination beyond the evacuation zone around the nuclear plant, Japan's Ministry of Agriculture, Forest and Fisheries on Thursday decided to euthanize livestock in the zone. There is a no-entry zone within a 20-kilometer radius of Fukushima Daiichi.

"It is yet to be determined how and when they do (the euthanizing), but we would cull livestock with the most painless way with permission of the owners of them," a spokesman for the Fukushima prefectural government said.

It's unclear how many livestock survive in the zone, but before the disaster there were approximately 3,500 cows, 30,000 pigs, 440,000 chickens, 100 horses and an unknown number of sheep. With their owners having evacuated, the livestock have been left to fend for themselves.

CNN's Kyung Lah, Noriaki Kawai and Yoko Wakatsuki in Tokyo contributed to this report.

@highlight

NEW: Government decides to euthanize livestock in no-entry zone

@highlight

NEW: No need for alarm among the public, but nuclear workers face risks, expert says

@highlight

Tokyo Electric Power Co. blames the incident on a faulty gauge

@highlight

A new water leak is suspected at Fukushima Daiichi reactor No. 1