For years, as Lance Armstrong basked in the glow of an adoring public, his critics frequently were banished to the shadows, dismissed by the cycling legend and his coterie as cranks or worse.

Now, with Armstrong stripped of his titles and endorsement deals, those who spoke out against him before it was the popular thing to do are feeling vindicated.

"Eleven years of bullying and threats," Kathy LeMond, the wife of cyclist Greg LeMond -- one of Armstrong's earliest targets -- wrote on Twitter. "LA is now the Greatest Fraud in the History of Sports."

In some cases, vindication could also mean getting back huge sums of money.

A Texas insurance company that once refused to pay Armstrong a promised $5 million bonus for winning a Tour de France, citing reports that he had doped, ended up having to pay it plus his legal costs. All told, over the years SCA Promotions paid $12 million. Now, it is "considering all legal options" to get its money back.

London's Sunday Times has also said it may sue Armstrong over a libel case he brought against the newspaper that resulted in a costly payout.

This turning of the tide comes after cycling's international governing body, the International Cycling Union, agreed with the U.S. Anti-Doping Agency's decision to strip Armstrong of his seven Tour de France titles.

The move concluded a stunning few weeks of freefall for Armstrong, beginning with the release of hundreds of pages of testimony and other evidence describing Armstrong's involvement in what USADA called the most sophisticated doping program in cycling history.

Among other things, the report included affidavits from key Armstrong critics Frankie and Betsy Andreu, Emma O'Reilly, Tyler Hamilton and Floyd Landis, all of whom spoke out against Armstrong and, in various ways, paid the price.

Frankie and Betsy Andreu

Once a close friend of Armstrong, cyclist Frankie Andreu had a falling out with him after his wife, Betsy, began to cooperate with a reporter working on a book about doping allegations against Armstrong.

According to Frankie and Betsy Andreu, they were in an Indianapolis hospital room when Armstrong acknowledged to a doctor treating him for cancer in 1996 that he had used performance-enhancing drugs.

Opinion: Is it time to allow doping in sport?

They later testified about the incident during the arbitration case filed against Armstrong by a company seeking to avoid paying out bonuses to Armstrong for race victories during which he was accused of doping.

It was a decision they would pay for, according to Andreu.

"I have been told that my public disputes with Lance Armstrong have made it more difficult for others in the cycling industry to work with me because they fear reprisal from Lance and his associates," he said in his affidavit released by USADA.

His wife said she was pressured to sign a statement disavowing the story, and when she refused, was "vilified."

"I became, in Lance's words, 'bitter' and 'vindictive' and 'jealous,'" she said in her affidavit.

She recently told Cycling News that "grown men were torn to shreds by Armstrong," and said she was "extremely grateful" to USADA for its investigation.

'What Joe Public thinks of me I don't care," Andreu told the New York Daily News. "I care what my family and close friends think of me. When it affects my husband's ability to work then it's grossly unfair. Who knows how many jobs he lost because I refused to lie to protect Lance."

Emma O'Reilly

On Twitter recently, Armstrong's former personal assistant said things started getting easier for her when the USADA report came out and "people started realising I wasn't some 'prostitute' liar!"

That's what O'Reilly, the former soigneur -- part masseuse, part go-fer for the U.S. Postal Service cycling team -- says Armstrong called her when she went public with accusations against him.

Like Betsy Andreu, she first told her story in the French book "L.A. Confidentiel," co-written by sports reporter David Walsh of London's Sunday Times.

She told USADA that she went on a clandestine trip to pick up and drop off what she assumed were doping products for Armstrong. She also said she was in the room when Armstrong and two other team officials came up with a plan to backdate a prescription for corticosteroids for a saddle sore to explain a positive steroid test result during the 1999 Tour de France.

"Now, Emma, you know enough to bring me down," she says Armstrong told her after the meeting.

Speaking in the aftermath of the USADA report's release, O'Reilly told CNN she went through "two-and-a-half to three years of hell" after she first made the decision to speak out about doping.

"I got subpoenaed, I got ... kind of ostracized and just the stress levels ... and all for telling the truth. As well as feeling feelings of guilt because I knew then that there were certain people now who would not speak to me again, and have never spoken to me again, and it's a shame because I lost those friendships."

O'Reilly said she regretted making life difficult for the cyclists and her friends in the business, who would now be viewed with suspicion. She also faced lawsuits brought by Armstrong's legal teams that totaled well over $1 million.

Armstrong "wanted to play the libel laws in the UK and keep me quiet because he had much more money than me," O'Reilly said. "By putting a gag on most of us who had spoken out, it stopped people talking, it stopped it going to the press, because then the press were scared because of how much it would cost them, and their legal bills for a (minor) sport.

"And then he'd just slate (criticize) us all as well -- I was an 'alcoholic prostitute,' for my efforts."

Nonetheless, O'Reilly said her overwhelming feeling in the wake of the USADA report was one of sadness, rather than vindication.

"Sadness for all the people who got bullied, and sadness that the sport kind of got a bit tinged with all of this when there's so many good people ... and sadness, too, that it came out in 2004 and I got vilified for it, and now all of a sudden I'm telling the truth. My story hasn't changed since 2004. I've always been telling the truth. It's just times were different then."

David Walsh

The British journalist who co-wrote "L.A. Confidentiel -- Les Secrets de Lance Armstrong" said he took his share of abuse, as well.

"He called me 'the worst journalist in the world,' referred to me as 'the little f***g troll,' tried to pressure Betsy Andreu (a source for L.A. Confidentiel) into discrediting me and, of course, he sued," Walsh wrote in a piece for Sports Illustrated Monday. "That lawsuit now seems as close as you can get to an 'Oscar' in our game."

Walsh describes how his claims that Armstrong doped made him "a black sheep of the cycling family," shunned by those inside the cycling world and given the cold shoulder by fellow journalists who feared associating with him would cost them access, too.

Opinion: With Armstrong's disgrace, will anything change?

"It's been a good journey because the truth was never hard to find in this story. You only had to be interested in looking. What made it interesting was how many people Armstrong had watching his back," Walsh wrote.

"In the highest places he had friends. But he couldn't stop Andreu, O'Reilly, (ex-New Zealand cyclist Stephen) Swart and others from telling stories that contradicted his, and you had to spend only 10 minutes in their company to know they weren't lying. They couldn't be bullied into silence."

Walsh also paid tribute to the courage of O'Reilly and Betsy Andreu on Twitter, as those "who told the truth 10 years ago, without being compelled to do so" despite the pressure not to speak out.

That pressure had an ugly face, Walsh said. "Armstrong insinuated Emma was an "alcoholic whore." He and his legal bouncers portrayed Betsy as "a jealous bitch." They never blinked."

Tyler Hamilton

Hamilton acknowledged doping on the CBS news show "60 Minutes" in May 2011 and said he had seen Armstrong doing it, as well.

He accused Armstrong of trying to intimidate him over the revelation.

Having first tested positive for doping in 2004, Hamilton said he continued to lie -- pointing to what he called omerta, or "the code of silence ... within the top tier of cycling" as a reason.

"I believed that was my only way back into the sport," he said. "It is a bit of a mafia. It's a powerful group. You can say the wrong thing, and next thing you know ..."

@highlight

The handful of people who spoke out over doping say they were vilified by Armstrong

@highlight

A Texas insurance company wants up to $12 million back

@highlight

Team masseuse O'Reilly went through "two-and-a-half to three years of hell" after speaking out

@highlight

Sports journalist David Walsh pays tribute to those who "couldn't be bullied into silence"