(CNN) -- Potentially easing a diplomatic standoff with the West, Russian President Vladimir Putin told Germany Chancellor Angela Merkel on Monday that he'd ordered a partial withdrawal of Russian troops from his country's border area with Ukraine, Merkel's office said.

Putin made the comment to Merkel in a phone call about Ukraine, her office said. The Kremlin made no mention of a withdrawal in its description of the call but said the two leaders discussed Ukraine, including "possibilities for international assistance to restore stability."

Further details about Putin's reported order weren't immediately available. But a withdrawal may ease tensions simmering since Russia annexed Ukraine's Black Sea peninsula of Crimea this month -- a move that has led to the worst East-West relations since the Cold War.

Earlier Monday, Russian media reported that one Russian infantry battalion was being moved from the border area to its base deeper into Russia.

U.S. State Department spokeswoman Jen Psaki said that if reports about Russia removing troops from the border were accurate, "it would be a welcome preliminary step."

"We would urge Russia to accelerate this process," Psaki said. "We also continue to urge Russia to engage in a dialogue with the government in Kiev to de-escalate the situation, while respecting the sovereignty and territorial integrity of Ukraine."

The news about Russian troops came on the day that Russian Prime Minister Dmitry Medvedev traveled to Crimea -- the highest-level visit from Moscow since Russia annexed the region -- in part to unveil measures aimed at integrating the peninsula into the Russian economy.

Ukrainian and Western officials for weeks have voiced alarm about Russia's reported military buildup on Ukraine's eastern border, which has raised fears that Russian troops would enter the Ukrainian mainland. Russia may have 40,000 troops near its border with eastern Ukraine and another 25,000 inland on alert and prepared to go in, two U.S. officials have told CNN.

Moscow has said it had no intention of ordering armed forces to cross over into its neighbor, insisting its troops have been conducting exercises. But Putin has said Russia reserves the right to protect ethnic Russians in Ukraine from what he calls threats from Ukrainian nationals -- a reasoning he also used in this month's annexation of Crimea

Putin's conversation with Merkel came a day after U.S. Secretary of State John Kerry and Russian Foreign Minister Sergey Lavrov held talks in Paris about ways to defuse the crisis over Ukraine.

Kerry told Lavrov that progress depended on a Russian troop pullback from Ukraine's borders but no breakthrough was announced.

The West imposed sanctions against some Russian officials because of the Crimea crisis and threatened more if tensions weren't eased.

Is Crimea gone?

Ukraine: Russian troops 'conducting unclear maneuvers'

Amid reports that Russia may have started withdrawing from the border, but before the Merkel announcement, government sources in Kiev told CNN that Russian troops were not backing away but were repositioning their forces farther north.

One Ukrainian official said intelligence indicated that Russian troops are "conducting unclear maneuvers at the Ukrainian border."

Meanwhile, Russian state news agency ITAR-Tass reported Monday that one Russian infantry battalion was being withdrawn from a region bordering Ukraine. That battalion, having finished military exercises, is returning to its base in Russia's Samara region, hundreds of miles away from the border, the outlet reported, citing Russia's Defense Ministry.

Details about how many troops are in that battalion weren't immediately available.

During a daily briefing Monday, Ukrainian Foreign Ministry spokesman Evhen Perebyinis said Russia had not told Kiev about the intentions of any military forces in the area.

"At some border districts the troops are withdrawn, in others they approach the border," he said. "We are concerned about this movement of the army."

U.S. official: 'Too soon' to discern Russian intentions

Before Merkel's announcement, a U.S. official said Monday it was too soon to conclude whether Russia was moving its troops away from the Ukraine border. The official was reacting to statements from Ukraine about Russian troop maneuvers.

"We have nothing to back that up one way or the other so far," the official said, speaking on condition of anonymity.

Barring any significant withdrawal from the border, the Russians are positioned "in a way (that) they could conduct a swift movement into Ukraine," the official said.

Russian Prime Minister in Crimea

Medvedev arrived in Crimea's capital, Simferopol, for talks Monday on social and economic development.

"As a result of entering Russia, not a single citizen of Crimea should lose anything -- they need only to benefit from it," Medvedev said in a news conference carried by Russian state television. "Citizens need to understand that they're citizens of a powerful country."

The Premier met with Crimean officials, including its Prime Minister, the speaker of the regional parliament and mayor of Sevastopol, among others.

He said Crimean state salaries and pensions should be raised to Russian levels, as should the pay for military personnel, while compulsory social insurance would be introduced to the region next year.

In tense, defiant Ukraine border region, prayers for peace

Economic measures

Unveiling a list of measures for the region, Medvedev also said Moscow would make Crimea a special economic zone.

Tax breaks may also be offered to companies, he added, calling for mortgage programs to be introduced to the region and for a review of water supply projects.

After visiting a school and children's hospital, Medvedev added that Crimea needed modern medical equipment and reforms in education. He offered to establish a new federal university.

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

CNN's Gena Somra, Barbara Starr, Nick Paton Walsh, Alexander Felton, Stefan Simons and Victoria Butenko contributed to this report.

@highlight

NEW: U.S. State Department: Pullback "would be a welcome preliminary step" if accurate

@highlight

German Chancellor Angela Merkel, Russian President Vladimir Putin talk by phone

@highlight

Ukrainian officials say Russia is repositioning some troops massed on its border

@highlight

Russian Prime Minister goes to Crimea in the highest-level visit since Moscow annexed region