(CNN) -- As you are standing in an airport security line this Thanksgiving week, waiting to be funneled into one of the invasive new body-imaging machines, or, if you decline that, to be pulled aside and subjected to a way-too-personal pat-down, ask yourself how you would feel if you lived in a country like this:

You can walk into any airport, with or without a ticket, and wander unimpeded right up to a boarding gate. You don't have to surreptitiously slip past a security checkpoint, because there are no security checkpoints.

If you don't have a driver's license or a photo ID card with you, that doesn't matter; no one will request to see one.

If you are carrying a loaded gun in your pocket or underneath your jacket, no one will know. In fact, if you do have a valid ticket, there will be nothing to prevent you from boarding a flight while armed to the teeth with concealed weaponry.

The atmosphere at the airport is as free-and-easy as in a public park. The official assumption is that the people around you pose no threat; from the moment you walk through the front doors of the airport until the moment you step onto the plane, not a soul will stop you or ask you a question.

Would you feel safe? Would you want to live in such a country?

You did, if you were a citizen of the United States before the 1970s.

Opinion: Scanners, patdowns violate law

And, in retrospect, the surprising thing is not that airport security measures have become so intrusive and dehumanizing. The surprising thing is that, for all the years of American commercial aviation prior to the '70s, an implicit trust prevailed. For all those years, the strangers around you in an airport or on an airplane were presumed to bear no ill will toward their fellow passengers, to represent no potential danger.

It was a series of hijackings that put the checkpoints and the first rudimentary metal detectors in U.S. airports; they have been there for so long now that it seems like a gauzy illusion to recall the time when travel was predicated on good faith. Ever since September 11, 2001, airline security has escalated with each new terror attempt. No one has had to ask why.

The Transportation Security Administration seems to have been caught off guard by the genuine anger on the part of passengers in recent days. Americans have acquiesced for so long to just about anything the government has asked them to accept in the name of national security that the TSA may have thought that of course, if safety was at stake, the public would always willingly go along.

But the body-imaging machines that see through clothing, paired with the humiliating new pat-downs, have, perhaps for the first time since 2001, made people begin to ask the question: How much is too much? When is the line crossed -- when, even with the best intentions of security officials, does America stop feeling like America?

They are questions with no satisfactory answers, because no one believes that the TSA has instituted the new measures on a whim; the TSA's job is to keep flying as safe as humanly and technologically possible. And if security measures at airports were to be significantly reduced -- if, because of an outcry by passengers, the government were to reluctantly remove some of the screening procedures that it feels are necessary -- would people feel confident getting onto planes?

Obama: Security procedures are necessary

It's a mess, and there's no need to point a finger at either the TSA or the passengers who feel that the new methods violate their dignity and their very sense of what it means to be a free citizen. Neither side is at fault here; it's always easier to place blame, but in this instance it is hard to make the case that either side is being irrational.

The saddest thing is that it is, indeed, becoming a controversy in which those with opposing viewpoints are characterized as being on different sides. Yet if we step back for a second, we realize that the two sides are the government entity whose job is to keep Americans safe, and those very Americans who wish for safety for themselves and for their families. Two sides that, under most circumstances, would be on the same side.

But these are not most circumstances, and have not been for many years. There have been calls for mass refusals in U.S. airports on the heavy travel day before Thanksgiving -- suggestions that passengers declare that they will not enter the body-imaging machines. If that happens, there could be chaos, and the most melancholy scene of all: nine years after the terror attacks on the United States, the sight of American travelers facing off against their fellow Americans who have been assigned to keep them free from harm.

More opinion on topics in the news

Many times each day, in airports across the nation, people can be heard saying to others who are setting off on journeys of their own: "Where are you going?"

This year, in the airports that not so long ago in U.S. history were open and unfettered, we might ask ourselves a different question:

How did we get here?

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says prior to the '70s, U.S. commercial airports relied on trust

@highlight

Until now, TSA faced few real challenges to airport security since 9/11, he says

@highlight

Have the new screening machines and pat-downs crossed the line? Greene asks

@highlight

A protest would pit Americans trying to keep people safe against those who want to fly