Davos (CNN) -- Veterans of Davos often refer to nature's awe-inspiring work as the Magic Mountain.

The name comes from an early 20th century novel by Thomas Mann -- reflecting on life in an alpine health retreat, and the mystery of time in this breath-taking setting.

Read more from John Defterios: Why Egypt's transition is so painful

Since the late 20th century, this ski resort has been synonymous with the World Economic Forum, which represents networking on its grandest scale.

This year nearly 40 world leaders -- a record for this annual meeting -- 2000 plus executives and it seems an equal number of people in the media, like yours truly, are in pursuit of them all. The setting is certainly more chaotic then a decade ago. The agendas of the Fortune 500 chief executives are to filled with bi-lateral meetings and back door briefings to allow for the spontaneity that made this venue unique.

I first came to Davos as a relatively junior correspondent in 1990, two months after the fall of the Berlin Wall. It was arguably then, after nearly two decades in the conference business, when the forum became a fixture on the global calendar.

Quest: U.S. economy to dominate Davos 2013

I can remember, quite vividly, working out of a bunker (like we do today) in the Davos Congress Centre. West German Chancellor Helmut Kohl sat side-by-side with his East German counterpart Hans Modrow. That meeting before the global community helped set the stage for monetary union, a huge unification fund for what became Eastern Germany and shortly thereafter German elections.

The early 90s at Davos were dominated by European reconstruction after the fall of communism. Former party bosses came to the forum to convince business leaders that a transition to market economics could be delivered. Boris Yeltsin made his Davos appearance during that chaotic transition from the USSR to today's Russia.

Davos 2013: New year, same old problems?

In 1992, Chinese Premier Li Peng used the setting here in the Alps to articulate plans for the country's economic opening up to the world. Not by chance, the architect of Washington's engagement with Beijing, the former U.S. Secretary of State Henry Kissinger also took a high profile that year.

Again only two years later in 1994, Yasser Arafat and Shimon Peres walked hand in hand on stage, holding a public dialogue leading up to the creation and recognition of the Palestinian Authority.

The World Economic Forum, as the saying goes, was positioned to be in the right place at the right time. While the author of the Magic Mountain talked about the complexity of time around World War I, in the 1990s time was compressed here.

The fall of communism, the lowering of global trade barriers, the opening up of China, the removal of apartheid in South Africa and the proliferation of the internet all unfolded in that decade.

Interactive: How's your economic mood?

As those events came together, so too did the major players as they made the journey to Davos. Michael Bloomberg, evolving as a global name in financial data and now the Mayor of New York City, sat alongside Microsoft CEO Bill Gates. U.S. President Bill Clinton outlined his party's historic move to the political center before a packed audience of global business executives.

To spice things up, rock stars and actors, as they became activists, chose the Davos platform: Bono, Richard Gere, Sharon Stone, Brad and Angelina would have the wealthiest and most powerful corporate titans freeze in their tracks.

Earlier this week, I walked into the main plenary hall as workers put the final touches on the stage and lighting. It is a venue which has welcomed countless political leaders and business executives, during internet booms and banking busts, in the midst of a Middle East crisis and even during the lead up to two Gulf Wars.

But that inter-play between geo-politics and business -- during the best and worst of times -- is what keeps the forum relevant. It allows this setting at the base of the Magic Mountain to endure and recreate something unique during what Mann rightly described as the ongoing complexity of our times.

@highlight

Since the late 20th Century, the ski resort of Davos has been synonymous with the World Economic Forum

@highlight

Defterios: I first came to Davos as a relatively junior correspondent, two months after the Berlin Wall fell

@highlight

Fall of Communism, China's opening, removal of apartheid in South Africa unfolded in the 90s

@highlight

It's the inter-play between geo-politics and business is what keeps the forum relevant