(CNN) -- From 1984 to 1999, Mitt Romney was in charge at Bain Capital, an investment firm that sought out small and sometimes troubled companies that, with careful management and Bain-provided cash, offered the chance for big profits. Bain, like many venture capital firms, invested in startups with the hope that the profits they made on the successes would outweigh the losses they incurred on the failures.

Venture capital markets are simple things. Two groups of people who want to create new businesses come together. Venture capitalists have money but lack ideas. Entrepreneurs have ideas but lack money. When they get together, they trade and new businesses are born.

We praise entrepreneurs as forming the foundation of a vibrant economy but vilify venture capitalists as money-grubbing opportunists. Entrepreneurs pour, sweat, blood and tears into their businesses, and we cheer them when it pays off. But we don't see the risk venture capitalists take by investing in entrepreneurs, and so when venture capitalists strike it rich we assume the profit is ill-gotten gains.

When entrepreneurs, empowered by venture capitalists, take new ideas and turn them into new products and businesses, job creation occurs. Venture-backed businesses generate a large number of good jobs because businesses that require the financial muscle of venture capital usually require the intellectual muscle of highly skilled and educated labor.

In 2008, more than 80% of the employees in the software industry, 74% of employees in telecom, 75% in semiconductors, and more than half in networking and electronics owed their jobs to venture capital, according to the National Venture Capital Association. From the end of 2009 to the first quarter of 2010, when the unemployment rate hovered stubbornly around 9%, job postings by venture-backed companies rose 16%.

Venture capitalists won't always get it right though. Sometimes they'll encourage companies to take on too much debt, or they'll back ill-conceived business plans. When the venture capitalists and entrepreneurs make bad decisions, it hurts just as when the government makes a bad decision. But when venture capitalists and entrepreneurs make bad decisions, the people who are hurt are people who knowingly chose to invest, work for or do business with them.

Venture capital brings together expertise and prudence. They are an experienced and hands-on bunch of people. They don't simply hand over money. They want spots on the boards of directors that give them the ability to monitor what the entrepreneurs are doing and to provide advice. And because it is often their personal money on the line, venture capitalists tend to be careful in considering the partnership of potential customers and entrepreneurs.

Most politicians do not have the business experience to offer meaningful and smart investment advice. No wonder the government stands to lose more than $500 million from investing in Solyndra, a California-based solar panel manufacturer that declared bankruptcy last year.

If there is any chance of our economy returning to normalcy, it will require our politicians to start putting more faith in businesses. A good way to start is to stop vilifying venture capitalists.

Join CNN Opinion on Facebook and follow updates on Twitter.

The opinions in this commentary are solely those of Antony Davis.

@highlight

Mitt Romney was in charge of Bain Capital, an investment firm, from 1984 to 1999

@highlight

Antony Davies: Venture capitalists are vilified as money-grubbing opportunists

@highlight

Davis: Venture capitalists generate many jobs by creating new products and businesses

@highlight

He says that politicians should put more faith in businesses, including venture capital markets