President Barack Obama said Sunday that the United States "can't accept" last week's killing of 12 people at Washington's Navy Yard as "inevitable," but the shooting should instead "lead to some sort of transformation" on gun violence in the United States.

"It ought to be a shock to all of us, as a nation and as a people," Obama said at the Marine Barracks, just a few short blocks from the Navy Yard. "It ought to obsess us. It ought to lead to some sort of transformation."

The president said during his speech that grieving with the families impacted by mass shootings is something he has had to do five times in his presidency, citing shootings in Fort Hood, Texas; Tucson, Arizona; Aurora, Colorado; Newtown, Connecticut; and now the Washington Navy Yard.

"Part of what wears on as well is the sense that this has happened before," Obama said. "What wears on us, what troubles us so deeply as we gather here today, is how this senseless violence that took place in the Navy Yard, echoes other recent tragedies."

The president continued: "Sometimes I fear there is a creeping resignation ... that this is somehow the new normal. We can't accept this."

Twelve people were killed and eight were wounded when Aaron Alexis, a Navy contractor, entered the sizable naval instillation in Washington and opened fire in Building 197. The victims, whose ages ranged from 46 to 73, all worked at the Navy Yard and many were gunned down as Alexis shot at them from above in the Navy building.

The issue of gun violence has dominated much of Obama's second term in office, with a concerted effort to strengthen gun laws coming after 26 people -- including 20 children -- were killed at Sandy Hook Elementary School in Newtown in December 2012.

'There's a guy slaughtering people with a shotgun'

The push, however, eventually failed, with the lawmakers on Capitol Hill failing to pass any laws tightening gun restrictions. Groups including the National Rifle Association and Gun Owners of America vociferously protested the proposed changes.

In response to last week's shooting at Navy Yard, most gun-control advocates were resigned to the fact that not much in the of legislative changes would be made in response.

"We don't have the votes," said Senate Majority Leader Harry Reid, a supporter of gun control, on Tuesday. "I'd like to get them but we don't have them now."

The NRA, in response to the shooting, on Sunday suggested more armed guards at military installations.

Obama attempted to take what he saw as acceptance of gun violence head on, worrying that mass shootings could not become the "new normal."

"I do not accept that we cannot find a common-sense way to preserve our traditions including our basic Second Amendment freedoms and the rights of law-abiding gun owners while at the same time reducing the gun violence that unleashes so much mayhem on a regular basis," Obama said, pointing to the fact that other countries, like Great Britain and Australia, lowered gun violence by restricting access to guns after mass shootings rocked their country.

Throughout much of the speech, the president acknowledged a hesitance in Washington to fight over gun laws and, instead, said change would need to come because of the American people's desire for it.

Who were the victims?

"It may not happen tomorrow, it may not happen next week, it may not happen next month, but it will happen, because it's the change that we need," the president said.

Obama also used the speech to give a glimpse into the life of each of the 12 victims, mentioning everything from Arthur Daniels' love of polishing his white Crown Victoria to John Johnson's last words to his wife: "Good-bye, beautiful. I love you so much."

"Our tears are not enough," he said to the families. "Our words and our prayers are not enough. If we really want to honor these 12 men and women, if we really want to be country where we can go to work and go to school and walk our streets free from senseless violence without so many lives being stolen by a bullet from a gun, then we're going to have to change. We're going to have to change."

Washington, D.C., Mayor Vincent Gray joined Obama on Sunday in calling for tighter gun laws in response to the shooting, telling the audience that "our country is drowning in a sea of guns."

In taking the stage, Obama was stepping into a role he has become very familiar with, counselor-in-chief, and Sunday's remarks were reminiscent, in some ways, of past speeches he has given at memorial services for mass shootings.

Reframing the gun control debate: Is mental health the next focus?

Obama, however, is not the first president to play the role of counselor-in-chief.

Presidents Ronald Reagan and Bill Clinton were praised for the leadership they showed in the aftermath of two domestic disasters -- the space shuttle Challenger explosion in 1986 and the Oklahoma City bombing in 1995.

Representatives from the military, including Secretary of Defense Chuck Hagel, Secretary of the Navy Ray Mabus and Vice Adm. William Hilarides, commander of Naval Sea Systems Command, also spoke at Sunday's event. All honored the fallen by noting that they died in the line of duty, just like those killed in battle.

"These 12 members of our Navy team, our Navy family, were killed in the line of duty, they died in the service to our nation, the service to our Navy, service they were just as committed to as anyone in uniform," an emotional Hilarides said. "For that service, we honor them. For that service, we will never forget them."

Opinion: Tackling the military's insider threat

@highlight

Obama says U.S. "can't accept" killing of 12 at D.C.'s Navy Yard as "inevitable"

@highlight

"It ought to be a shock to all of us, as a nation and as a people," Obama says

@highlight

Obama honors each victim, noting some of the last things they said before they died

@highlight

"Our tears are not enough," Obama tells families of those killed