(CNN) -- The publication this week of memoirs by Leon Panetta has stirred up a sharp controversy in the press, but as so often happens these days in Washington, the focus seems to be on the sensational rather than the important.

And that leads to the larger argument: whether Panetta, Bob Gates et. al. should have published these books may be controversial, but it is a sideshow compared to what's really important -- and that's what they have to say about the making and execution of American foreign policy these days.

White House aides and allies of the President were naturally upset to read some of the stinging comments by the former defense secretary and CIA director about the inner workings of the Obama administration. Overlooking the fact that Panetta was also generous in his praise about the President, they set out to slime him.

How dare he criticize Obama while still in office, they asked. His book was "dishonorable" and "sad," proclaimed a former White House spokesman on CNN. He willfully misrepresented the past, complained another. And on and on.

The press likes nothing better than a food fight among top officials, so naturally enough, they weighed in on whether Panetta -- and other Obama heavyweights like former Defense Secretary Bob Gates, who had also written searching memoirs, had done wrong.

One can argue the merits of "kiss and tell" books till the cows come home. For decades, they were widely seen as verboten. When I came to Washington in the late '60s, the standard was that one should wait a "discreet interval" before writing an inside story. As columnist Ed Luce pointed out in the Financial Times this week, Dean Acheson waited nearly 20 years to write his splendid account of the Truman years, "Present at the Creation."

But those standards broke down during the Nixon years as John Dean, Bob Haldeman, John Ehrlichman and others -- angry with their boss and in need of cash -- wrote shocking inside looks at his tortured presidency. Bob Woodward and Carl Bernstein soon persuaded a slew of other Nixon aides to spill their guts, creating a whole new genre of quickie, insider books. Within a few years, it became standard practice for White House aides to sit down regularly with Woodward to make sure their side of the story got out.

It's hard to see why it is so much worse to write memoirs about your governmental years and publicly put your name on them -- as Panetta and Gates have done -- than to anonymously give Woodward, Elizabeth Drew or other authors inside documents and self-serving, behind-the-scenes accounts of your days in Valhalla. At least Panetta and Gates have had the guts to stand up and be counted.

Two other points should be made about the propriety of these books from the Obama era:

The people who have written the most searching books about his national security policies -- Panetta, Gates, Hillary Clinton, and Vali Nasr -- didn't come into this administration as neophytes searching for the brass ring. Each of them had already won distinction for their years of public service.

Panetta and Gates had purposefully moved far away from Washington and wanted to stay away. They had to be persuaded to serve this time -- and they did so mostly out of love of country. (As defense secretary, Panetta frequently flew to California for weekends just so he could be home again.)

Even if their books have had some sharp things to say, they thus deserve a reasoned hearing on the substance -- not a flaying by people half their stature and with half their experience. (By the way, have you heard any White House aides thank Panetta lately for serving as the chief mastermind in the search for Osama Bin Laden?)

The other point is that these recent books are about our conduct during wars that are hardly our shining hours.

Democrats in particular should remember Robert McNamara, a hero of the Cuban Missile Crisis but a goat of Vietnam. For years after he resigned as defense chief to President Lyndon Johnson, McNamara was castigated because he kept his silence when he left.

I well remember instances when parents of slain American veterans screamed at McNamara that he should have gone public with an account of how and why Vietnam went so badly wrong inside the LBJ administration.

There is surely something to be said for Americans understanding today just how we have handled -- and mishandled -- violence in the Middle East since 9/11. Who better to tell us than the men and women who were there at the top?

Running through all these books is a common set of concerns about trends that started before Obama but have reached new peaks during his presidency:

-- To a person, these authors -- and others who served with them at the State Department, the Pentagon, the Joint Chiefs, the CIA and elsewhere among national security agencies -- believe that power has become entirely too centralized in the White House. The National Security Council staff is now dangerously swollen: as Foreign Policy Magazine editor David Rothkopf reminds us, Obama has increased NSC staff to well over 300 people, doubling its size since George W. Bush and capping off a tenfold increase since the 1970s.

Inevitably, the professionals at the NSC, with proximity to the Oval Office, want to run things. They can't: History has proven time and again that once a President makes a decision, the White House should continue to monitor closely but must leave most of the execution to the professionals in the departments.

-- Excessive centralization has also meant that too often, the men and women who run the departments feel marginalized. Not only do they feel two steps removed from the President, but foreign counterparts have little reason to engage with them when real power rests in the White House. Former officials also say the White House acts as a "choke point," limiting diverse opinions and slowing down decisive implementation.

-- Perhaps most perniciously, the authors of these books believe that too often the advice of the President's inner circle has been heavily colored by political considerations, overriding substantive arguments. Politics, of course, plays a role in all presidential decision-making, but traditionally, policy advisers exercise the biggest voice on the big national security calls.

There will be time enough after President Obama leaves office for historians -- along with Bob Woodward and others -- to weigh the evidence and reach more studied conclusions about how wisely he and his White House team ran national security. But there is real value today in hearing from some of the most respected men and women in national security offering assessments -- pro and con -- about how things are run.

President Obama, writes David Ignatius of the Washington Post, is considering some serious personnel changes for his last two years in office. He has already appointed a highly regarded retired general, John Allen, to oversee the campaign against ISIS. It would be good to see more John Allens elsewhere in the higher reaches.

But it would be equally valuable if the President took stock of how decisions and execution of national security issues are managed inside. For all the controversy, books by Leon Panetta, Bob Gates, Hillary Clinton and others offer invaluable guides. Each of them has made yet another contribution to the well-being of the country.

@highlight

David Gergen: Obama allies focused on whether Panetta should have written book so soon

@highlight

He says Washington insiders have been telling tales on administrations since Nixon

@highlight

The real problem is a swollen and all-controlling White House staff, he says

@highlight

Gergen: Experienced leaders like Panetta need to be given scope for decision making