The Southwest heat wave made June the hottest month on record for Las Vegas, Death Valley, and Needles, California, the National Weather Service said Monday, which added that the high temperatures are not over yet.

Forecasters extended the excessive heat warning in place for much of California, Nevada, and parts of Arizona through 11 p.m. on Independence Day, warning of "dangerously hot temperatures."

Monday saw new record temperatures across the region. Death Valley hit 127 degrees, breaking the old record for the day by two degrees, said Chris Stachelski, a meteorologist with the National Weather Service in Las Vegas.

Barstow, California, set a new daily record of 114, as did Bishop, California, where it reached 109.

The hottest temperatures Monday were near Las Vegas and surrounding Clark County, Stachelski said. Moapa, Nevada, just northeast of Vegas, reached a high of 120.

Five people were treated for heat-related illnesses over the weekend at Lake Mead, just east of Las Vegas, said Christie Vanover, a spokeswoman for the National Park Service.

A man was found dead after falling down a ridge at the park, she said, after a visitor reported seeing him wandering in the desert. It's unclear whether the heat played a role in his death.

Finding ways to cool off

The heat is causing a surge in business at Big Surf Waterpark in Tempe, Arizona, which saw big crowds over the weekend, said Greg Fresquez at the park's marketing office. Together with the Independence Day holiday in the middle of the week, the heat is expected to bring in even more visitors in the coming days, he said.

Tony Orlowski, manager at Randy's Restaurant and Ice Cream in Scottsdale, Arizona, said customers all express the same complaint when they come in the door: "It's hot out there."

"We tell them, 'It's cool in here. Come in and cool off,'" he said.

Orlowski normally recommends a milkshake, a banana split or a couple of scoops of ice cream to take some of the sting out of the summer sun.

Before they head out into the furnace, he advises, "Don't catch a chill."

It's not going away

Civic and emergency officials throughout the Southwest say if there was ever a time to worry, this would be it.

The reason isn't just the oppressive heat that is plaguing the region: It's the fact it is expected to hang around, and possibly even get worse, over the next few days.

"A very strong ridge of high pressure is centered over much of the western U.S.," CNN senior meteorologist Dave Hennen said. "That high pressure causes sinking air, which becomes compressed and warms up and also dries out. This particular high pressure system remains stuck in the West, which has allowed the heat to build last week and through the weekend."

Making emergencies worse

More than 100 firefighters were called to a large fire Monday at a commercial building in Sun Valley, north of Los Angeles -- a blaze made worse by the heat, said Brian Humphrey of the Los Angeles City Fire Department.

He told CNN affiliate KCAL/KCBS that with a high of 95 in Sun Valley, "One of the problems we have is not only the heat from the fire, but also the ambient temperature."

The high temperatures northwest of Phoenix are complicating efforts to fight the 8,400-acre Yarnell Hill wildfire. That's where 19 members of an elite firefighting squad died Sunday when a wind shift and other factors caused the fire to become erratic, said Mike Reichling, Arizona State Forestry Division spokesman.

Historically hot

The heat wave comes just a couple weeks before the 100th anniversary of what the National Weather Service calls the "highest reliably recorded air temperature on Earth" -- 134 degrees on July 10, 1913, in Death Valley's Greenland Ranch.

The valley is consistently deemed the hottest location in the world because of its depth and shape. It has one of the world's lowest elevations and also serves as one of the driest locations in North America. Its 11,000-foot surrounding mountain range traps and radiates heat down into it.

Heat hurts your insides too

Some advice

"The No. 1 thing is to absolutely know your limitations and to stay hydrated by drinking plenty of water," Chris Stachelski, a meteorologist with the National Weather Service in Las Vegas, advised those trying to cope with the high temperatures.

He recommended limiting time outdoors. For those who have to do any strenuous activity outside, he advises doing it in the early morning, evening or simply putting it off until the end of the week when the temperatures are lower.

Heat stroke symptoms include hallucinations, chills, confusion and dizziness, along with slurred speech.

To protect against heat stress, the CDC advises spending time in air-conditioned places, staying informed of heat warnings and drinking lots of fluids.

Don't forget the pets

The same advice goes for dogs, who can quickly develop heat stroke.

"Most of the time people didn't realize, it certainly was not intentional, and they bring them in very quickly when they realize that there is a problem," Brandi Garcia, a critical care specialist at Emergency Animal Clinic in Gilbert, Arizona, told CNN affiliate KNXV.

Just like with their human friends, dogs do best with plenty of water and limited exposure to the high temperatures. Also, asphalt can burn your pet's paws.

@highlight

June is the hottest month on record for Las Vegas and Death Valley

@highlight

Five people are treated for heat-related illnesses at Lake Mead

@highlight

High temperatures are making things worse for firefighters

@highlight

Excessive heat warnings will last through Independence Day in some areas