It was an experience like no other.

As my train from Beijing slowly traversed over an old iron bridge, I looked at the murky river below. A man stood waist-deep in the water casting a net.

On one side of the river, China. On the other, the world's most isolated country -- North Korea.

Soon, the first North Korean buildings appeared along with a small, abandoned fairground hidden in the shadow of some houses.

The train made a sudden stop. People flooded a station platform.

We'd stopped at Shinuju Cheongnyeon Station across the bridge that links Shinuju with the Chinese border city of Dandong.

A group of North Korean border officials in neat uniforms boarded the train, collecting passports from passengers.

Three hours later, the train got moving again.

Green fields surrounded by hills (mountains make up more than 70% of North Korea) appeared on both sides of the track. An enchanting landscape unfolded.

Valleys and flat areas were filled endless fields of rich crops. It made me think about the country's reported chronic food shortages.

Finally, 24 hours after leaving Beijing, the train arrived in Pyongyang, the North Korean capital and home to more than 3 million people.

A group of North Korean guards and minders were waiting -- all foreign visitors and tour groups must be accompanied by guards, who are referred to as "guides" or "officials."

I was given a brief introduction on how to behave, and informed of other restrictions and guidelines.

The North Koreans impose strict rules on what visitors are allowed to photograph, who they can talk to and where they can walk. For instance, it's seen as an insult to crop out hands, feet or head when taking photos of statues or pictures of government leaders or officials.

The guards also act as human shields between foreign visitors and the North Korean people. They followed me almost everywhere I went.

It was under these restrictions that I visited the country for a total of nine days in the summer of 2012.

While there, I found that capturing mundane scenes from people's daily lives on camera suddenly become extraordinary.

I'm told that candid pictures of normal people are usually restricted by the government.

I photographed all sorts of scenes: pedestrians in Pyongyang, topless men playing volleyball, a group of women who sweep the streets and commuters riding on the back of a truck.

This was often as close as I got to the locals -- any direct contact with the North Korean people is virtually impossible. As well as fear and reservation, and the intimidating scrutiny of the guides, most North Koreans cannot understand English.

Chatty guards

The guards were a different story. One of them, Mr. Kim, talked. A lot.

He told me about his years in the North Korean Army, where he became a major. For his loyalty, he said was rewarded with trips to Eastern Europe.

Once, while on a stopover in then East Berlin, he told me he'd visited the city's famed Alexanderplatz.

For some North Koreans, the most exotic vacation possible is closer to home -- the coastal town of Wonsan, about 200 kilometers to the east of the capital.

Here, North Koreans looked to be enjoying a laid back summer holiday at the beach.

Minus a few obvious differences, it could have been a scene from another part of Asia. Everyone looked relaxed and happy. People were swimming, sunbathing and playing ball games.

Small sail boats that had the North Korean flag printed on their sails were available for hire. The stretch of beach I visited was fenced in and Westerners were allowed to walk around freely within that perimeter.

This was the closest I could get to ordinary North Korean people and it was in sharp contrast to the poorer, harsher views of rural life I got during the trip east.

Back in Pyongyang, before my departure, there were signs of outside influences slowly emerging.

There was the city's first hamburger shop, which the locals refer to as McDonald's. Two Italian restaurants had also recently opened.

One of those, a pizza restaurant, was the venue for my last night in the country.

Inside, a woman with a microphone stood engulfed in cigarette smoke. She sang one Italian classic hit after another -- with almost no accent.

As in other parts of Asia, karaoke is a way of life in North Korea, usually existing hand in hand with cigarettes and alcohol.

Three young women in tight skirts were running the kitchen, sweating while working with a brand new pizza oven.

Most customers were tourists like me, business people or embassy staff -- the price for a pizza is too high for most North Koreans.

Like other North Koreans I'd met or photographed, I felt from the staff a distinctive curiosity, tinged with a shyness of not knowing how to react to the increasing numbers of visiting foreigners.

They all seemed genuinely friendly, polite and well educated.

For me, North Koreans seem to be no different than any other people.

For details on how to visit North Korea, including restrictions on entering the country, refer to our guide: How to travel to North Korea

Also on CNN:

DMZ: Road trip to the world's most heavily armed border

Gallery: The unseen faces of Pyongyang

@highlight

Olaf Schuelker took candid photos of normal life in North Korea

@highlight

Guards or guides were always close by during the trip

@highlight

Schuelke: North Koreans seem no different from other people