(CNN) -- "Lone Survivor," based on the true story of an ambushed Navy SEAL team in Afghanistan, was the No. 1 movie in America last weekend. If you haven't seen it, go see it.

The movie reminded me of a phrase, "citizenship on the cheap," which has haunted me since I heard retired Army Gen. Stanley McChrystal utter it last summer. He was launching the Franklin Project, an ambitious initiative to expand national service in America. But he was talking about something deeper -- the widening divide between civilians and those coming out of the military.

Because the Iraq and Afghanistan wars have been fought by an all-volunteer force, the great majority of Americans have only passing acquaintance with the sacrifices of national defense. Most Americans have not been asked to do anything more for their country during wartime than to thank the troops.

That's why McChrystal has called for a rapid expansion of voluntary civilian service programs like AmeriCorps, so more civilians join those who serve in uniform. I couldn't agree more. I'd go further, in fact, and mandate national service, whether military or civilian. That, however, is a pipe dream when our nation can't even fully tolerate mandatory health insurance coverage.

How, then, can American society aspire to something greater than citizenship on the cheap? Perhaps the answer lies not in trying to make more Americans serve but in enabling more veterans to serve in new ways when they come home.

There are more than 2.6 million Iraq and Afghanistan veterans today. As our country's longest wars wind down, a million more are expected to return. These are people with leadership skills, professionalism, experiences solving complex problems under high stress while keeping a larger mission in mind. Think America could use a few (million) good men and women like that?

Meet two of them, Rodrigo Garcia of Student Veterans of America and Chris Marvin of Got Your 6.

Got Your 6 is military parlance for "got your back" and Marvin, a former Army Blackhawk pilot, founded this national campaign to bridge the military-civilian divide. It activates celebrities, social media, political and cultural leaders, and every other resource available to advance a simple message: Veterans are assets.

This may seem obvious. But consider the two dominant images of veterans in everyday culture, from movie screens to school assemblies to corporate advertising. One is the hero. The other is the victim.

The hero narrative portrays veterans as Medal of Honor winners with superhuman courage, amputees undaunted by their disabilities, and, yes, lone survivors of hellish battles. The victim story portrays veterans as sufferers of post-traumatic stress disorder, wounded warriors betrayed by bureaucracy, combat leaders now left homeless and jobless.

To be clear, both narratives have a basis in reality. More veterans than can be counted have indeed been damaged by war, and more than can be counted are indeed heroes of war. They have earned every bit of support, care, honor and gratitude we offer them -- and often more.

But the hero and victim portrayals emphasize two messages: that vets belong on a pedestal, and that vets need your compassion. The veterans I know are looking for a third message: Vets can be great citizens back home.

Consider Garcia, from Student Veterans of America, a Marine veteran who in the crowded years since his deployments has gone to graduate school, started businesses, led Student Veterans of America's expansion to many hundreds of campuses nationwide, and helped run a state veterans affairs department.

The question for civilians is how to create more channels for people like Garcia to continue being contributors and leaders in public service -- not as pilots or infantry commanders but as candidates for office or school principals or heads of nonprofits.

How we do this is simple. We just do it. We foster relationships between veterans and civilians. We hire, connect, mentor and invest in veterans. We support organizations like The Mission Continues and Team Rubicon that plug veterans into community service. We learn from them about how to show up for others.

It's often said that "freedom isn't free." That's true. Freedom is dear. So is great citizenship, and so is deep gratitude. If we truly want to thank veterans for their service, let's make sure each one who returns from war is empowered to be an integrated, vital part of their community's social fabric and civic life.

The opinions expressed in this commentary are solely those of Eric Liu.

@highlight

Eric Liu: The two dominant images of veterans in everyday culture are hero or victim

@highlight

Liu: Veterans want to be known for being great citizens back home

@highlight

He says we should hire, connect, mentor, empower and invest more in veterans

@highlight

Liu: Let's also consider mandating national service, whether military or civilian