Washington (CNN) -- The Senate signaled its support on Monday for a bipartisan measure strengthening border security in the comprehensive "Gang of Eight" immigration reform bill, a sweeping blueprint that promises to overhaul America's immigration policies for the first time since 1986.

The 67-to-27 vote was considered a key test of support for the bill as a whole, as the measure also includes language echoing most other parts of the legislation.

The Senate kept the vote open for a significant amount of time for lawmakers who experienced travel delays due to bad weather in Washington. Some senators did not make it in time.

Supporters needed at least 60 votes to move forward with the revised border security provisions, which were drafted partly to boost GOP support for the overall package.

Backers of the bill were hoping to win about 70 votes to demonstrate growing bipartisan momentum for the larger proposal as it nears final passage in the Democratic-controlled Senate and heads to the GOP-controlled House of Representatives.

Senate leaders are currently on track to hold a final vote on the bill itself before Congress breaks for its July 4 recess at the end of the week.

If enacted, the bill would create a path to citizenship for roughly 11 million undocumented immigrants.

"When the immigration bill passes, (GOP Speaker John Boehner) should bring it up for a vote in the House of Representatives quickly," said Senate Majority Leader Harry Reid, D-Nevada.

"Mr. Speaker, rather than twisting the arms of tea party extremists, just work with moderates from both parties to pass bipartisan legislation."

Texas GOP Sen. Ted Cruz, a strong opponent of the bill, condemned "Republicans eager to go along with the Democrats in a mad rush to pass this bill."

"What is the rush?" he asked, noting that the legislative language for the changes was released last Friday. "Why are we proceeding gangbusters?"

The White House welcomed the vote.

"We are pleased the Senate continues to work together on commonsense immigration reform," White House spokesman Bobby Whithorne said. "As the president said today, this is a strong bipartisan bill that meets his principles, and now is the time to get it done."

Among other things, the border security amendment would require 20,000 more border agents, complete 700 miles of fence along the boundary with Mexico, and deploy $3.2 billion in technology upgrades similar to equipment used by U.S. forces in Iraq and Afghanistan.

The proposal also includes stronger worker eligibility verification standards and border entry-exit controls.

Most undocumented immigrants would be eligible for permanent residency only after the five conditions have been met and verified by the Department of Homeland Security.

GOP Sens. John Hoeven of North Dakota and Bob Corker of Tennessee introduced the compromise amendment last week, saying it incorporated proposals from other senators to try to fix a broken immigration system.

The staunchest critics of the plan produced by the bipartisan "Gang of Eight" senators, however, have remained skeptical.

Sen. Jeff Sessions, R-Alabama, said last week that the compromise means "amnesty will occur," and argued that the Hoeven-Corker amendment was only drafted in reaction to revelations about shortcomings in the original bill.

Sen. John Cornyn, R-Texas, announced Monday that he would oppose the Hoeven-Corker changes, declaring that he "cannot support an amendment cobbled together at the eleventh hour that doubles the border patrol without knowing how much it will cost or whether it is even the right strategy."

"Unfortunately this measure still omits a real trigger or objective measure to see if the proposed strategy is working," he added. "At a time when the trust deficit with the federal government is so huge, we do not need more promises from the government - we need measurable results."

Last week, the Senate rejected a measure drafted by Cornyn that would have required much stricter border security standards. Democrats warned that his proposal was a "poison pill" that would have ensured defeat for the entire plan.

Florida Sen. Marco Rubio, the most prominent Republican in the "Gang of Eight," told CNN's Dana Bash last week that he understands "why conservatives are upset."

"They've seen all these promises in the past that haven't been delivered," Rubio said. But the status quo on immigration "is hurting America," he added. "And if nothing passes, then this disaster that we have now, that's what's going to stay in place."

CNN's Ted Barrett, Dana Bash, and Deirdre Walsh contributed to this report

@highlight

Senate votes to move forward with border security proposal, which is key to larger effort

@highlight

60 votes were needed to cut off debate on the amendment; supporters got 67 votes

@highlight

Amendment requires 20,000 more border agents and 700 miles of fence

@highlight

Senate expected to hold final vote on "Gang of Eight" bill before breaking for July 4 recess