(CNN) -- While the Maasai delicacy of raw beef washed down with a bloody milk cocktail may not be to everyone's taste, a new class of Maasai master chefs is cooking up something special.

Deep in the Kenyan Serengeti, young apprentices from the warrior tribe are tackling haute cuisine from around the world as they strive to become gourmet chefs.

This is not just cooking school; this is Maasai cooking school.

Opened in 2012, the school is run by the Karen Blixen Camp -- a luxury eco-friendly getaway -- set in the Maasai Mara region in Southwest Kenya, near the border with Tanzania.

Students are taught how to master culinary delights from all over the world including French, Italian, Indian and Mexican as well as refining local delicacies.

Inka Kanae Simion, 21, graduated last year after leaving his job as a butcher and joining the camp in 2012. He said: "It was my dream to be a chef. [When] the school opened, I decided that I would not go and look for other schools in Nairobi."

Simion said he wants to be the first of the Maasai students to become a qualified chef, adding: "My ambition is to run a restaurant where I will be the head chef and start training young educated Maasai students."

Read more: Maasai Cricket Warriors: 'Bowling is just like throwing a spear'

The cooking school offers an 18-month course recognized by the Kenyan government and is designed to give students a comprehensive and hands-on approach to international food.

"The cuisine that interests me the most is French ... for instance coq au vin," Simion said. "[I] have visions of getting outside to other countries for further education that will benefit my community."

Throughout the apprenticeship, students are taught to prepare meat, fish and vegetables; make sauces and soups; bake cakes; plan menus and cost food with a special focus on hygiene and storage.

Julius Simanka Kireu, 24, is one of a current crop of students trying to make it as a chef. The eldest of eight children, he recalled how just getting to school as a child was difficult enough.

"I left my home every morning and walked five kilometers to school and returned home at 7pm," he said.

When Julius reached high school he decided to focus on his studies on tourism, a major source of income for the Maasai Mara region.

He added: "I have learned a lot [at the] Karen Blixen Hospitality School, even though I'm still a beginner ... I can make potatoes into soup, sautÃ©, onion rings and many others."

Read more: Maasai tribe's 'last stand' to keep land from game hunters

Since the school opened, 15 students have graduated from the course, with 12-14 of the chefs finding a job and many joining local tourist resorts in the Maasai Mara region.

Each year, staff from the Karen Blixen Camp puts up posters in the Mara's biggest communities advertising the program. The chefs and camp managers then begin the selection process to pick the students best suited to the school.

Applicants must fill in a form detailing their qualifications from secondary school. If they pass the first stage, it's onto the camp for a written test in basic math and English before a final interview with the head chefs.

The college allows students in remote areas, who want to continue their education but might not have the money to move to Kenya's capital, Nairobi, to do so, according to Rune Eriksen, a cooking instructor at the school.

"We are targeting the youth," he said, "so hopefully they will have employment for the rest of their lives... Our vision is to try and equip our students with the same knowledge and skills as other schools."

In the first term, students learn basic cooking skills before taking up an internship at a camp or lodge in the second term. In the final six months, the young chefs return to school and are taught how to cook creatively and perfect presentation.

Watch this: Eat like a Maasai

Eriksen, who is from Denmark, said each student pays a fee of 27,000 Kenyan shillings [$314] to attend the school, which also receives funding from the Danish government as part of a long-term aid project.

But the rapid population growth in the Mara is causing a "major problem" for employment, according to Eriksen, and the local tourism camps are struggling to cope. "With this expansion comes more livestock to support the Maasai," he said.

The cattle herds prefer to use domestic dogs to guard their cattle but "these dogs are slowly turning feral and pushing the wildlife away," Eriksen added, which is posing a problem for the resorts and tourists, hoping to catch a glimpse of the Serengeti's exotic animals.

As a non-profit organization, the Karen Blixen school -- named after the Danish author who wrote the memoir "Out of Africa" -- appeals to donors to sponsor the school fees of young Maasai students for a chosen period, covering learning equipment, books and kitchen tools.

In return for the fee, aspiring chefs are given full board and food and are taught additional English and IT skills to prepare them for work in the tourism sector.

"Most students don't own or have a computer at home, and some of them haven't even been exposed to a computer before," said Eriksen. "The very first IT lesson is to learn how to turn on a computer, then eventually how to write an application and so on."

He continued: "The students are often quite skilled in English, so our English lessons are focusing more on words and phrases used in the kitchen... Classes [in] business, math [and] German are turning the chefs into professionals."

When the qualified chefs complete the course, they are presented with a diploma at a graduation ceremony attended by friends and family; guests are then treated to some traditional Maasai dancers from the local community.

After graduating, students are encouraged to branch out of the Mara region; to become head chefs at restaurants in Kenya's capital city, Nairobi, and even overseas while gaining valuable life experience, according to Eriksen.

Read more: Tribal elder modernizing the Maasai to avoid extinction

@highlight

Karen Blixen Cooking School trains young Maasai the art of cooking and fine cuisine

@highlight

Students taught to prepare meat and fish, prepare sauces and soups and bake cakes

@highlight

"The cuisine that interests me the most is French," says one Maasai student

@highlight

The school, part of the Karen Blixen Camp, is funded by the Danish government