Jining, China (CNN) -- Four months after he built a new, two-story brick house in his village in northern China's Shandong Province, Xiao Guoqiang was alarmed to find a huge crack on the living room wall.

Having seen homes in neighboring villages sink, Xiao realized his long-held fears were coming true.

"I knew the day was coming, but I didn't expect it to happen so soon," said Xiao, who has been forced to move from the land -- on which four generations of his family have lived -- as a consequence.

Xiao's hometown, Jining, is one of China's "coal cities," whose mineral wealth helps light up the night skies of the world's most energy-hungry country. The land here is honeycombed with coal mines, which can form massive sinkholes that leave thousands of homes uninhabitable every year.

Ten years ago, the area where Xiao lived was a vibrant farming community on the North China Plain. But sinkholes are devouring 20 million square meters (7.7 square miles) of land here a year, according to the Jining Land Resource Bureau, and have displaced an estimated 100,000 people, mostly farmers and their families, over the past decade.

By 2090, the bureau predicts one third of the city -- an area as large as Los Angeles -- will fall into the earth, and an estimated 5 million people will have been forced out of the region by the problem.

Those figures worry government-affiliated sinkhole researcher Gu Mei, who said tensions over migration may lead to social unrest.

"Schools in some districts are overwhelmed with migrant students, while in other districts, classrooms are half empty," she told CNN.

Sinkholes: Common, costly and sometimes deadly

In this low-lying area, most sinkholes quickly fill with water. "I am afraid the city is turning into the Venice of the East," former mayor Li Guangsheng told the Qilu Weekly, a local newspaper, earlier this year.

When coal was discovered in the region in the 1960s, it proved a boon for the local economy. State-run miner YanKaung Group Ltd. grew from a local coal company to a multination-listed energy giant, employing about one of every two workers in town.

Meng Lingjun, a coal company employee, remembers the city as an underdeveloped backwater thirty years ago.

"When I was young, the town did not have a single factory, shopping mall or train station," he said. "Now we are one of the most affluent regions in North China."

But that prosperity has come at a price. Each day, Meng passes hundreds of sinkholes on his way to work. Like many urban residents, he believes it is too late for the city to withdraw from the lucrative coal business.

"We are nothing without the coal company," he said. "All we can do is keep mining and fixing the sinkholes."

In recent years, local officials tried several creative solutions for the sinkhole crisis, transforming the gaping holes into water theme parks, fishing ponds and lakes. One has been turned into a wetland park, a major spot for bird watching in the northern part of the city; another is now a fish breeding pond powered by solar panels.

But more than 50% of the subsided land remains abandoned, often polluted and emitting a pungent aroma. "The fund from central government for fixing sinkholes can barely cover expenses," government official Han Xizhong told CNN.

While China's Mine Subsidence Compensation Act gives clear guidance for how much a coal company should pay displaced residents for damages, it fails to take into account the problems that follow, Han said.

"The sinkhole issue is more complicated than removing a village and refilling the sinkholes," said another local official, who asked his name not be used because of the sensitive nature of the issue. "Many deep sinkholes have been sinking for over 10 years. You don't know the right time to treat them. Also communities removed from the subsidence area still need government support after moving to a new place."

But government-affiliated researcher Gu Mei claims the government has done a poor job addressing the problem.

"Local government would not consider filling sinkholes," Gu said. "Think about it. If you can easily turn a flooded subsidence into a water theme park, would you take pains to reclaim the land?"

Some farmers have attempted to fill the holes themselves -- only to find the cost is too high.

It costs at least US$15 per square meter to drain a hole and put in new soil. But according to Xiao Guoqiang, villagers only get compensated to the tune of US$5 per square meter from the coal company.

The Yankuang Group declined CNN requests for comment, citing the sensitivity of mining-induced farmland losses and migration issues.

For Xiao, the move to his new home has hit the family's dinner table as they can no longer raise their own pigs or grow their own vegetables.

"The pork price is rising and we cannot afford it. Having fresh vegetables and meat had never been a problem before because we grew and bred what we wanted to eat," Xiao said.

Another villager points out the lack of jobs in the new location.

"Our new home is 20 miles (32.1 kilometers) from the nearest town. It is hard for us find a decent job," said Kong Jian, who operates a street noodle stand.

"Young people flock to bigger cities, looking for factory jobs. Those who stayed are doing small businesses like operating noodle restaurants," Xiao said. "But for the next generation, nobody will know how to farm."

The 50-year old gets emotional when talking about his old village.

"As I get older, my nostalgic feeling for the old village grows stronger. I try not to think about it -- about the fact that it is a lake and the village only lives in my memory."

@highlight

When cracks appeared in Xiao's house he feared the worse

@highlight

Xiao's hometown, Jining, is one of China's massive "coal cities"

@highlight

He watched many of his neighbors' homes sink into the ground

@highlight

Officials: Sinkholes devouring 20 million square meters of land here a year