(CNN) -- For 50 years the environmental movement has unsuccessfully argued that we should save the planet for moral reasons, that there were more important things than money. Ironically, it now seems it will be money -- through the economic impact of climate change and resource constraint -- that will motivate the sweeping changes necessary to avert catastrophe.

The reason is we have now reached a moment where four words -- the earth is full -- will define our times. This is not a philosophical statement; this is just science based in physics, chemistry and biology. There are many science-based analyses of this, but they all draw the same conclusion -- that we're living beyond our means.

The eminent scientists of the Global Footprint Network, for example, calculate that we need about 1.5 Earths to sustain this economy. In other words, to keep operating at our current level, we need 50% more Earth than we've got.

Watch Paul Gilding's TED Talk

In financial terms, this would be like always spending 50% more than you earn, going further into debt every year. But of course, you can't borrow natural resources, so we're burning through our capital, or stealing from the future.

While they use different words, leaders and experts around the world are acknowledging this. Chinese Environment Minister Zhou Shengxian said last year, "The depletion, deterioration and exhaustion of resources and the worsening ecological environment have become bottlenecks and grave impediments to (our) economic and social development." If I had said that in the '90s, when I was the global head of Greenpeace, it would have been dismissed as doom-and-gloom extremism!

TED.com: How we wrecked the ocean

Even the previous heresy, that economic growth has limits, is on the table. Belief in infinite growth on a finite planet was always irrational, but it is the nature of denial to ignore hard evidence. Now denial is evaporating, even in the financial markets. As influential fund manager Jeremy Grantham of GMO says: "The fact is that no compound growth is sustainable. If we maintain our desperate focus on growth, we will run out of everything and crash." Or as peak oil expert Richard Heinberg argues, we are moving beyond peak oil and into "peak everything."

Despite this emerging understanding, the growth concept is so deeply ingrained in our thinking that we will keep pushing economic growth as hard as we can, at whatever cost is required.

As a result, the crisis will be big, it will be soon, and it will be economic, not environmental. The fact is the planet will take further bludgeoning, further depleting its capital, but the economy cannot -- so we'll respond not because the environment is under great threat, but because the science and economics shows that something far more important to us is jeopardized -- economic growth.

TED.com: The biggest health threat facing women

A good indicator is that, despite the recession of the past few years, oil and food prices are approaching record highs again, driven by underlying, long-term trends that even a recession can't slow down. Grantham calls this "the most important economic event since the Industrial Revolution."Â 

If serious growth returns, the resulting resource price spikes, particularly oil and food, will soon kill it again. As a result, what we are facing is not a few bad years of slow growth like this past recession, but a fundamental shift -- the end of cheap resources and an environment in a state of collapse.

Even normally cautious bodies like the International Energy Agency and the Organisation for Economic Co-operation and Development are sounding the alarm, with the latter recently releasing a comprehensive report forecasting a world in 2050 that will be defined by resource constraint and its economic impacts. They even dare to ask: "Will the growth process undermine itself?"

TED.com: Peter Diamandis says abundance is our future

So when this crisis hits, will we respond or will we simply slide into collapse? Crisis elicits a powerful human response, whether it be personal health, natural disaster, corporate crisis or national threat. Previously immovable barriers to change quickly disappear.

In this case, the crisis will be global and will manifest as the end of economic growth, thereby striking at the very heart of our model of human progress. While that will make the task of ending denial harder, it also means what's at risk is, quite simply, everything we hold to be important. The last time this happened was World War II, and our response to that is illustrative of both the denial and delay process and the likely form our response to this crisis will take.

TED.com: The global power shift

When we look at history we tend to see the progress of events as inevitable, but it was rarely so at the time. Indeed, the UK's powerful response to Hitler and the United States' equally extraordinary mobilization after Pearl Harbor both followed long years of denial and debate.

Many argued that the threat wasn't that great, the response would be too expensive to afford, the public wouldn't support it. Sound familiar? But when the response came, when the scale of the threat was finally accepted, our response was breathtaking. As Churchill told his country: "It is no use saying, 'We are doing our best.' You have got to succeed in doing what is necessary."

With denial gone, governments knew what was "necessary." They directed industry to support the war -- banning civilian auto production just four days after Pearl Harbor. They raised massive amounts of money to fund investment and technology research at an extraordinary scale -- indeed, U.S. spending on the war rose from 1.6% of GDP in 1940 to 37% just five years later. To achieve this, they curtailed personal consumption and drove remarkable behavior change to free up financial and other resources for the war effort.

Do you find this hard to imagine today? Then try to imagine the alternative -- that in a collapsing global economy and society we will stand by and simply watch the slide. There is no precedent in modern history on which to base that conclusion and plenty of evidence for the alternative. Humanity may be slow, but we are not stupid. Get ready for the great disruption.

Â The opinions expressed in this commentary are solely those of Paul Gilding.

@highlight

Paul Gilding: The demands we place on the environment far exceed its capacity

@highlight

He says we are heading for a day when economic growth will reach its limit on Earth

@highlight

It makes sense to start planning for changes needed to adapt to the coming crisis, he says

@highlight

Gilding: Allies' response in World War II showed our capability to change quickly and survive