Washington (CNN) -- President Barack Obama launched a major assault Tuesday on the House-passed Republican budget proposal embraced by front-running GOP presidential candidate Mitt Romney, calling it "social Darwinism" that would stifle the American dream.

In a speech to a media luncheon, Obama described the measure -- prepared by House Budget Committee Chairman Paul Ryan, R-Wisconsin, and passed by the House -- as a "Trojan Horse" that is disguised as a deficit reduction plan but actually imposes a "radical vision."

"It is thinly-veiled Social Darwinism," Obama said. "It is antithetical to our entire history as a land of opportunity and upward mobility for everyone who's willing to work for it -- a place where prosperity doesn't trickle down from the top, but grows outward from the heart of the middle class."

He added that "by gutting the very things we need to grow an economy that's built to last -- education and training; research and development; infrastructure -- it's a prescription for decline."

The remarks signaled Obama's full engagement in his re-election campaign for the November vote as Romney has seized an apparently solid grip on the Republican nomination.

For the first time this year, Obama mentioned the former Massachusetts governor by name in a speech, noting Romney's support for the Ryan budget plan.

"One of my potential opponents, Gov. Romney, has said that he hoped a similar version of this plan from last year would be introduced on day one of his presidency," Obama said. "He said that he's very supportive of this new budget and he even called it marvelous, which is a word you don't often hear when it comes to describing a budget."

Ryan and other Republican leaders immediately criticized the Obama speech as a politically motivated appeal to populism, rather than a serious approach to budget deficits.

"History will not be kind to a president who, when it came time to confront our generation's defining challenge, chose to duck and run," Ryan said in a statement. "The president refuses to take responsibility for the economy and refuses to offer a credible plan to address the most predictable economic crisis in our history. Instead, he has chosen tired and cynical political attacks as he focuses on his own re-election."

According to Ryan, Obama used his speech to "distort the truth and divide Americans in order to distract from his failed record."

Obama, however, blamed a polarized political climate for an inability to make progress on such key issues as deficit reduction and entitlement reform, arguing that Republicans have shifted to the right and dropped support for moderate proposals acceptable to Democrats.

"The problem right now is not the technical means to solve it. The problem is our politics, and that's part of what this election and what this debate will need to be about," Obama said in response to a question at the end. "Are we, as a country, willing to get back to commonsense, balanced, fair solutions that encourage our long-term economic growth and stabilize our budget?"

Obama has increasingly portrayed the upcoming election as a choice between maintaining his policies and vision for continued economic recovery and investment in future growth versus what he calls failed Republican policies of the past based on deep spending cuts and lower taxes intended to benefit the corporate class.

"In this country, broad-based prosperity has never trickled down from the success of a wealthy few," Obama said Tuesday. "It has always come from the success of a strong and growing middle class."

In particular, he focused on the Ryan budget proposal for 2013 recently passed by the Republican-led House.

The $3.5 trillion plan would lower tax rates and cut spending while reforming the Medicare and Medicaid government-run health care programs for senior citizens, the disabled and the poor.

Ryan and other conservatives argue that major reforms are needed to subdue increasing federal deficits and debt, with particular focus on entitlement programs that are the main contributors to the budget imbalance.

For example, the Ryan budget would convert federal Medicaid funding for states into block grants. Such a step could increase the cost burden on states, but would give them more autonomy about how to set up their Medicaid programs. As a result, a state could reduce how many people are eligible or increase enrollees' cost-sharing obligations.

"If the president were serious, he would put forward a plan to deal with our debt crisis and save Social Security, Medicare, and Medicaid for future generations of seniors without raising taxes on small businesses that are struggling in this economy," House Speaker John Boehner, R-Ohio, said in a statement Tuesday. "Instead, he has chosen to campaign rather than govern, and the debt crisis he is presiding over is only getting worse."

Obama, however, called the Ryan budget an attempt to shift the burden of deficit reduction to the middle class and the needy. He outlined what he said would be cuts in government programs that provide early education, student loans and research grants as examples of the sweep of the GOP proposal.

The Ryan plan's proposal to alter Medicare -- the government health care program for senior citizens -- would provide vouchers to help pay for health coverage rather than the universal plan of today, Obama said.

People would have to pay any cost increases or expenses beyond the vouchers, which amounts to shifting the cost burden to senior citizens, the president asserted.

"It's a bad idea and eventually will end Medicare as we know it," Obama said in targeting one of the most politically sensitive provisions of the Ryan plan.

Obama also criticized tax cuts in the Ryan budget that he said would cost $4.6 trillion over the next decade. Such a move would benefit the wealthy while reducing tax breaks relied on by middle class families, such as the mortgage interest deduction, the president said.

"This is supposed to be about paying down our deficit? It's laughable," Obama said.

He repeated his longstanding support for a balanced approach to deficit reduction that includes increased tax revenue through higher rates on the wealthy.

Obama again called for adoption of the so-called Buffett rule, a proposal that would have all Americans making more than $1 million pay at least a 30% tax rate. The Senate is expected to vote on a form of the proposal named for billionaire Warren Buffett, who has complained that the current tax code allows him to pay a lower tax rate than his secretary.

The Obama speech to a luncheon by The Associated Press at the American Society of News Editors convention occurred on the same day as primary elections in Wisconsin, Maryland and the District of Columbia.

Obama also scheduled high-profile events on previous primary days this year, including a speech at a United Auto Workers conference on the day of the Michigan primary in February, a news conference on Super Tuesday in early March and a visit to an opening NCAA basketball tournament game with visiting British Prime Minister David Cameron on the night that Alabama and Mississippi voted.

CNN Money's Jeanne Sahadi and CNN's Jessica Yellin, Adam Aigner-Treworgy and Alex Mooney contributed to this report.

@highlight

NEW: Rep. Ryan says President Obama chooses to "duck and run" on the budget

@highlight

Obama calls Republican spending plans "social Darwinism"

@highlight

Obama advocates shared responsibility through higher taxes on the wealthy

@highlight

Once again, Obama has a high-profile event on a primary election day