(CNN) -- President Barack Obama touched on his recent announcement of support for same-sex marriage, saying at a New York City fundraising event Monday that he believes marriage equality "strengthens families."

"I want everyone treated fairly in this country. We have never gone wrong when we've extended rights and responsibilities to everybody," he said, drawing big applause. "That doesn't weaken families, that strengthens families."

Obama highlighted some of his administration's work in recent years, including the passage of health care reform and the end of combat in Iraq.

He also outlined goals he hopes to accomplish under a second term, including the repeal of the Defense Of Marriage Act, which the administration has already stopped defending.

While he did not mention Republican rival Mitt Romney by name, he drew a sharp line of contrast between his own ideology and that of Republicans, promoting a theme of "togetherness."

"It's been said this election is going to be about values. I absolutely agree. It's about the economic values we have, about the values I believe will make America so special: Everybody gets a fair shot, everybody gets a fair share, everybody plays by the same set of rules," he said.

The event, held at the Rubin Museum of Art in Manhattan, was hosted by singer Ricky Martin and was sponsored in part by the Futuro Fund, an initiative by some Latino leaders to support Obama's re-election bid.

"We admire his courage, like the courage he showed last week in affirming his belief in marriage equality," Martin, who announced two years ago that he is gay, said on stage, prior to introducing Obama. "That is the kind of courage we expect from our president and that is why we support him."

Colorado legislature debates civil unions

Actress Eva Longoria was also seen in the crowd, according to pool news reports. Roughly 200 people were expected to attend the event, with tickets starting at $5,000.

Obama's speech came hours after he delivered a commencement speech at Barnard College, underscoring his address to the all-female school with political undertones.

"After decades of slow, steady, extraordinary progress, you are now poised to make this the century where women shape not only their own destiny but the destiny of this nation and of this world," Obama said at the event in New York City.

The president took the opportunity to highlight the Lilly Ledbetter Act, a fair-pay law passed under his first term in office, and slipped in themes from his re-election campaign, including his new motto "forward."

"We look forward, not back. And now that new doors have been opened for you, you've got an obligation to seize those opportunities," he said.

Recent polls show Obama with a significant lead among women against Republican rival Mitt Romney. Republicans attribute the margin to what's become a Democratic-backed campaign to paint the GOP as leading a "war on women."

While the president did not touch on his recent same-sex marriage endorsement in his Barnard speech, he nevertheless encouraged graduates to "speak up for what's right."

"The question is whether together we can muster the will -- in our own lives, in our common institutions, in our politics -- to bring about the changes we need," he said. "And I believe that the women of this generation -- that all of you -- will help lead the way."

Also while in New York, Obama taped an appearance on the TV program "The View," where he discussed his recent same-sex marriage endorsement. The segment will air Tuesday.

Some White House officials have said that Obama initially intended to reveal his opinion on same-sex marriage during his appearance on "The View" this week, but Vice President Joe Biden's comments on a talk show last Sunday supporting same-sex marriage pushed the president to make an announcement sooner.

Obama's commencement speech came just two days after Republican rival Mitt Romney gave a commencement address at the evangelical Liberty University in Virginia, where he made social issues a main theme of his remarks and touched on the marriage storyline.

"Culture matters. As fundamental as these principles are, they may become topics of democratic debate," Romney said. "So it is today with the enduring institution of marriage. Marriage is a relationship between one man and one woman."

How the right helped launch same-sex marriage movement

Monday evening, the president was scheduled to stop at a fundraising dinner at a private residence with 60 people, hosted by Tony James of the Blackstone Group, an alternative asset management and financial services company. Tickets for that event cost $35,800.

Proceeds from both the dinner and the earlier fundraiser will go to the Obama Victory Fund, a joint fundraising committee for the president's re-election campaign, the Democratic National Committee and several state Democratic parties.

While the full political implications of the president's same-sex marriage verdict remain to be seen, Gallup released a poll Friday showing 51% of Americans approve of Obama's support for gay couples to marry, while 45% disapprove. The survey was conducted entirely after he announced his endorsement in an ABC News interview on Wednesday.

And a new Gallup poll out Monday gave further details into American attitudes on the topic. While 50% approve of same-sex marriage, a further breakdown of the numbers shows a significant gender gap: Fifty-six percent of women say couples of the same gender should be legally allowed to marry, while 42% of men feel the same way.

The issue became prime political fodder over the weekend, with several high-profile Republicans pouncing on the president's remarks.

Sen. Rand Paul of Kentucky, son of Republican presidential candidate Ron Paul, said he "wasn't sure that (Obama's) views on marriage could get any gayer," sparking laughs on Friday among his audience at an event held by Iowa's Faith and Freedom Coalition.

Meanwhile, Republican National Committee Chairman Reince Priebus also made headlines when he said Sunday that same-sex marriage was not a "matter of civil rights."

"I think it's just a matter of whether or not we're going to adhere to something that's been historical and religious and legal in this country for many, many years," Priebus said on NBC's "Meet the Press." "I mean, marriage has to have a definition, and we just happen to believe it's between a man and woman."

On Monday, Romney took the day off from the trail, but his campaign is still playing defense after Obama's campaign released a biting new ad attacking the former Massachusetts governor over his time at the private equity firm Bain Capital.

The two-minute television spot -- to be released in major battleground states -- features former steelworkers talking about their job losses after Bain took over their company, GST Steel.

Another steelworker in the ad compares Bain to a "vampire."

"They came in and sucked the life out of us," he said. "It was like watching an old friend bleed to death."

The commercial re-establishes a major campaign hurdle Romney faced in the primary, when two of his former GOP rivals -- Rick Perry and Newt Gingrich -- accused Romney of being out of touch due to his lucrative tenure at Bain, which he helped found in 1984.

Romney's campaign spokesman Andrea Saul responded to the ad Monday saying the campaign would "welcome the Obama campaign's attempt to pivot back to jobs and a discussion of their failed record. Mitt Romney helped create more jobs in his private sector experience and more jobs as Governor of Massachusetts than President Obama has for the entire nation."

CNN's Kevin Liptak, Gabriella Schwarz and Paul Steinhauser contributed to this report.

@highlight

NEW: Obama promotes theme of "togetherness" at a fundraiser

@highlight

Obama tells Barnard grads they can "shape ... the destiny of this nation and of this world"

@highlight

He encourages graduates to "speak up for what's right"

@highlight

His commencement speech comes days after Mitt Romney's Liberty University speech