(CNN) -- What happened?

Tacloban, a city of more than 200,000 people on the eastern coast of the island of Leyte, suffered a catastrophic blow from Super Typhoon Haiyan, whose force brought a wall of water roaring off the Gulf of Leyte. The storm surge leveled entire neighborhoods of wooden houses and flung ships ashore.

CNN's Paula Hancocks, speaking from Tacloban airport, said terminal buildings had been destroyed not by the typhoon itself but by the storm surge that went on to the city several miles away. There were a number of people killed in this area; locals said that while they were prepared for high winds and heavy rain, they were not expecting this sheer volume of water.

Typhoon Haiyan: 30 members of one family missing after storm

Hancocks said one man told her: "If we'd have been warned about a tsunami we'd have known not to be in the coastal area. But the fact they warned of a 'storm surge' ... we frankly didn't know what that was. We didn't know how deadly that was."

Aid worker Ned Olney, from Save the Children, said his charity had a team on the ground before the typhoon hit. "What they report back that was around Tacloban was really a kill zone. They had a well-prepared emergency response team experienced at handling typhoons -- a harrowing experience -- and only just escaped.

"They were in a second-story building very solidly built of cement: The windows were blown out and the roof was ripped off. All their computers and response equipment was destroyed and they barely survived. What they said was it was remarkable that anyone survived, it was so severe."

Were warnings given and what could have been done?

Before the storm hit on Friday, President Benigno S. Aquino III warned that the nation faced a calamity. However, professional storm chaser James Reynolds, founder of Earth Uncut Productions, who only just escaped from Tacloban before it struck, said it was clear locals had no idea of what was coming.

"The Philippines isn't used to getting storm surges -- it's not usually such of an issue so this would have caught people by surprise. They don't associate typhoons with the rising water levels like that."

How to help Typhoon Haiyan survivors

Asked whether he thought the message had got out that the storm could be the biggest ever to make landfall, he said, "No, no, it can't have done."

It's difficult to know where people could have fled to. Mass evacuations are a huge logistical headache anyway, but in a country like the Philippines, comprised of several islands, the relatively poor infrastructure would make it even more difficult. Elderly people told CNN's Ivan Watson they preferred to stay put and wait it out rather than risk evacuating. No one simply anticipated such a massive storm surge.

Sebastian Rhodes Stampa, United Nations Disaster Assessment and Coordination team leader, reiterated this point. He said one of his colleagues in the Philippines had told him that Typhoon Haiyan was similar to Typhoon Bopha which struck the southern Philippines last year, killing more than 1,000 people, but 100 times worse.

"It's the intensity of Bopha but spread over a vast area, whereas Bopha was relatively geographically constrained," he said. "That gives you an idea of what the people of the Philippines are facing at the moment."

Is Typhoon Haiyan being blamed on climate change?

The Philippines government says it believes the super typhoon is connected to climate change and is urging governments to find a deal at climate talks taking place in Warsaw, Poland. "We cannot sit and stay helpless staring at this international climate stalemate. It is now time to take action. We need an emergency climate pathway," said Yeb Sano, head of the government's delegation to the UN climate talks, in The Guardian.

Saleemul Huq, senior fellow at the International Institute for Environment and Development in London, said it was possible that weather events that once occurred every 20 or even 50 years would now strike every two years. "Events like Haiyan could be the new norm," he told CNN. "The challenge for both rich and poor countries is how to adapt to them.

"All countries will need to adapt to extreme weather conditions. Even in London, for instance, a violent storm last month blew a part of my roof. The rich may have more to lose, but they may be less well prepared for it.

"The Philippines is relatively well prepared for storms -- but there are limits as to what good the precautions will do. In this case they were simply overwhelmed, and even the storm shelters collapsed."

How do other countries fare in extreme weather events?

In 1999, 10,000 people were killed when a ferocious cyclone hit eastern India. Last month, the same region, the state of Odisha, formerly known as Orissa, was once again in the crosshairs as the region's most powerful storm this century struck.

But there was a much better outcome. One million Odishans were evacuated to shelters ahead of time. Only 21 people lost their lives. Thousands of others were saved. Extreme climate events may be worsening, but technology has helped to save lives. We're now better than ever predicting the scale of storms and cyclones and we're better than ever at getting the message out.

Bangladesh is another country vulnerable to climate change, but it is one that has done most to adapt to future dangers, according to climate experts. Saleemul Huq, senior fellow at the International Institute for Environment and Development in London, said both countries had learned the lessons from the 2004 East Asia tsunami that left more than 200,000 people dead, according to the U.S. Geographical Survey.

The main lesson learned from 2004, Huq said, is that officials need to be clear with warnings. "You can't expect complicated warnings to be understood: saying a storm has severity of level 3 or 4 means nothing to most people. Now it's much better: you need to say simply when people must evacuate."

@highlight

Locals prepared for high winds and heavy rain, not expecting sheer volume of water

@highlight

Airport terminal buildings in Tacloban destroyed not by typhoon but by storm surge

@highlight

Hard to know where people could have fled to in region with poor infrastructure

@highlight

Climate change experts say challenge is how to adapt to extreme weather events