(CNN) -- Moderate Islamist Abdelmonen Abol Fotoh has gathered support from the left and the right since he was ousted from the Muslim Brotherhood over his decision to run for the Egyptian presidency.

Now running as a respected independent in Egypt's first democratic presidential election, Abol Fotoh says the pillars of his program are to strengthen democracy, freedom and respect for human rights, and to ensure everyone is treated fairly under Egyptian law.

Those ideals are backed by a long history of opposition to the regime of President Hosni Mubarak, said Dr. Omar Ashour, director of Middle East Studies at the University of Exeter and a visiting scholar at the Brookings Institution in Doha, Qatar.

Abol Fotoh was among those who first demonstrated in Tahrir Square on January 25, 2011, Ashour told CNN from Cairo, and he has maintained his commitment to the popular revolution since.

He is now winning support from people from across the political spectrum, from far right, ultraconservative groups all the way to revolutionaries, Ashour said.

"What brings them together, all these very different groups, is this will for changing the status quo and (an) understanding that the current civil-military relationship is very much skewed, with too much power in the hands of the military," Ashour said.

Abol Fotoh has also shown he can stand tough when he needs to, which suggests he will stick to his campaign promises, Ashour said.

Among those promises are a determination to tackle the corruption that permeates Egyptian society and to restore the independence of the judiciary.

He has also pledged to bring to justice those responsible for killing protesters involved in the demonstrations of the past year, Ashour said.

A poll published this month by the Al-Ahram Center for Political and Strategic Studies showed Abol Fotoh placing second behind rival Amre Moussa, and suggested he did particularly well among more educated voters. Starting Wednesday, Egyptians will head to the polls for the historic election.

In an interview with the Middle East-focused magazine Enigma, posted on his official website, Abol Fotoh talks about the need for Egypt's new president to be "flexible on issues of religion" and able to "maintain the country's safety and independence."

His own strength as a candidate is rooted in his four decades in public and political life, he said.

After becoming politically active while a medical student in the 1960s, Abol Fotoh continued his political engagement through the following decades.

He was arrested twice for his involvement with the Muslim Brotherhood, in 1981 and again in 1996, when he was detained for five years. He was jailed again in 2009, this time for six months, for his part in efforts by the Arab Doctors' Union Relief Committee for Gaza to take medicines into the Gaza Strip.

An internal reformer, he had already planned to leave the Muslim Brotherhood before the group suspended him last year, he told Enigma, because he felt it should focus on its social and educational activities rather than a political role.

While his relations with the Muslim Brotherhood remain bad, that break with the organization is part of his very broad appeal, said Khaled Elgindy, a visiting fellow at the Brookings Institution in Washington.

Abol Fotoh's "big-picture" thinking, moving beyond the tension between the religious and secular to the country's future, has proved popular with young people and secular revolutionary types, Elgindy said.

He also holds slightly more liberal views on social issues than most in the Muslim Brotherhood.

At the same time, Abol Fotoh appeals to the ultraconservative Salafi groups on political grounds because he is no longer part of the Muslim Brotherhood but is still an Islamist, rather than secular, contender.

"The Salafis see the Muslim Brotherhood as a threat to them not only because they are both competing for Islamist constituencies, but as a broader threat as a potential monopolizer of the political process," Elgindy said. "The Muslim Brotherhood don't like to share the ball."

As a result, the Salafis are willing to overlook their ideological and philosophical differences with Abol Fotoh and back him.

Many liberals also see him as a more viable candidate than some of the revolutionary leftists, Elgindy said, and so are rallying behind the independent as the "least worst option" for them.

"He has been very critical of Egypt's military rulers, so he is seen as someone who is acceptable but can still shake things up," Elgindy said.

When it comes to the ballot box, Abol Fotoh's success may depend on how widely the revolutionary or liberal vote is split, with other candidates such as Khaled Ali also appealing to that constituency.

But he has made clear that he is a champion of peaceful change and wants to see Egypt's revolution continue on a true path toward democracy.

@highlight

Abdelmonen Abol Fotoh is backed by Egyptians from the right and left

@highlight

A moderate Islamist, he has a long history of opposition to the Mubarak regime

@highlight

He was suspended from the Muslim Brotherhood when he decided to run for president

@highlight

Abol Fotoh says he wants to tackle corruption, ensure progress toward democracy