New Orleans, Louisiana (CNN) -- Five years after Hurricane Katrina struck, Conrad Wyre III is disappointed and disillusioned with the lack of progress made in New Orleans.

"Nothing's really changed," said the 35-year-old New Orleans native.

He says some spots are still "in shambles" in 2010, and that many residents still feeling helpless and without support, like they're "floating in the wind."

Wyre, known as "Sam" by his close friends and family, fled to Katy, Texas, with his then-pregnant wife shortly before the storm hit.

But, he wasn't able to ride out the storm in peace for long.

After Katrina hit, he received a frantic, barely audible phone call from his mother. She and Wyre's father had stayed put despite warnings. The floodwaters were rising and they were in dire need of help, and fast.

Attempts to get assistance for his parents were futile. The Navy, the Coast Guard and the New Orleans Police Department were among the officials who told Wyre they couldn't reach the area where his mother and father were trapped.

Shocked and upset with the those responses, Wyre knows there was no question about his next move.

He immediately went back to save his parents from the flooding caused by the failed levees.

"People were down here suffering," Wyre said. "Somebody dropped the ball. ... since the storm, I have lost faith in all levels of government."

The insurance companies haven't been helpful, either, Wyre said. His deductible is $7,500, which he wouldn't be able to afford should another such weather-based tragedy occur.

Wyre made the eight-hour trek back to the ravaged city. About a mile from his parents' house, tents were set up and people had gathered there.

Wyre paid a man with a boat $50 to take him to his parents' neighborhood, where he blew an air horn and looked for survivors.

Wyre -- who didn't know how to swim -- found his parents, who were then taken to safety along with their neighbors.

Wyre's parents were among the few people in their neighborhood who rebuilt their house, despite the damage done by Katrina.

However, in a cruel twist of fate, a 2007 tornado destroyed their home again. Not wanting to fall victim to a weather disaster for a third time, they moved to a different neighborhood, but still close, and certainly within the state of Louisiana.

Seeing his beloved city in ruins post-Katrina was devastating for Wyre. Eighty percent of the city was underwater.

Streets once exploding with life -- loud music and laughing -- were drowned.

There were many bleak moments. There were times when it seemed there was no hope. He says the crime, carjackings and political corruption the area experienced afterward hindered attempts for a much-needed renaissance.

Some spots, such as Jefferson Parish, rebounded quickly, thanks in large part to the tourism sector. New Orleans has 300 more restaurants than it did before Katrina hit.

Other areas have yet to make even a partial recovery, especially the Lower 9th Ward. Wyre says that was one place that lacked basic necessities, like grocery stores that operated for an extended period of time. In the days following Katrina, people stood in line for hours to get into the nearest Wal-Mart, where the shelves were quickly emptied.

Animals were left to die in abandoned houses.

For many, a deep depression sunk in. For some, it has yet to fade.

"There was nothing to come back to --nowhere to go -- it was horrible," says Wyre, who made a self-described "emotional" return visit to the  neighborhood of Hollygrove, where he grew up, and where he documented the devastation with before-and-after pictures for CNN.com's "Then and Now" project.

In some instances, the changes seen in these pictures over a five-year span are minimal. Seeing areas that haven't been fixed since 2005 is tough for Wyre to accept.

iReport: Wyre revisits Hollygrove

Many homes are still abandoned and boarded up. Old water marks, some reaching halfway up buildings, are still visible, as are spray-painted marks that indicated bodies, odor or pets inside. Overgrown yards and the obvious blight make it tough to forget all the damage.

"Everybody was poor after the storm," Wyre said.

He says the still-rough conditions are why many evacuees have never returned to their neighborhoods. Many moved out of state to places like Atlanta, Georgia; Denver, Colorado; Houston, Texas.

It's tough for Wyre to walk down the familiar, once-vital streets now deserted.

"There's whole blocks with no cars, no one out and about ... nothing. It's boarded up, that's the aftermath of Katrina. Just have to deal with it."

But almost immediately after Katrina, Wyre and his family were itching to get back to the New Orleans they love.

They weren't thrilled with their temporary time in Texas, saying there was a lack of action and excitement in the air.

There were none of the parades, explosive brass band shows or nights spent drinking and laughing with friends regaling stories after a full day at work. It didn't take long for the Wyre family to pack up their belongings and get back to the city streets they knew and loved.

Despite the past, and the lack of improvements in some sections of New Orleans, Wyre is still thinking optimistically, and keeping his fingers crossed.

He's hoping brighter days are in the city's future, and is more than ready for the day when people in New Orleans are no longer treading water, but are able to swim deeply in Big Easy's legendary greatness.

"I love the city, the culture. ... That's all I know. I can't survive anywhere else."

@highlight

Photographer Conrad Wyre III left New Orleans shortly before Katrina struck

@highlight

He left with his pregnant wife, but his parents stayed behind

@highlight

Wyre returned to help find his parents and other survivors

@highlight

He recently took part in iReport's then and now Katrina photo project