SAN FRANCISCO, California (CNN) -- "Human error factors" probably were involved in a ship crash and oil spill that killed nearly 400 birds in San Francisco Bay and prompted a federal criminal probe, the U.S. Coast Guard said Monday.

A worker checks oil cleanup gear near the Golden Gate Bridge Thursday in San Francisco, California.

The U.S. attorney in San Francisco has opened a federal criminal investigation into Wednesday's crash of the MV Cosco Busan to determine whether the captain and crew violated federal maritime laws.

Although not officially detained, the captain and crew were barred by law from leaving the vessel, which is docked for repairs in Oakland, the Coast Guard said.

"You had a competently manned ship with a pilot, all the navigation and sensors," said Adm. Thad Allen, Coast Guard commandant. There were "probably some human error factors, but we need to determine the facts, because there's no reason a ship like that should have collided with the bridge."  Watch Allen on the criminal probe »

The Cosco Busan was departing Oakland for South Korea when it struck a tower supporting the western suspension span of the Bay Bridge, cutting a 212-foot, 12-foot wide gash in the ship's side. About 58,000 gallons of heavy-duty bunker oil poured out of the vessel as it was moored near Treasure Island.  See where oil spilled »

The oil sickened birds and formed globules on more than 20 of the area's beaches. It oozed along the San Francisco city waterfront and out of the bay, beneath the Golden Gate Bridge toward Marin County.

Allen defended the Coast Guard against criticism of its response to the spill. Some lawmakers, including one of the state's U.S. senators, Democrat Barbara Boxer, have criticized the Coast Guard's handling of the collision and resulting spill.

Boxer said the Coast Guard initially reported that the ship's owner had said only 140 gallons had spilled from the Cosco Busan.

Boxer and House Speaker Nancy Pelosi of California have called for congressional hearings into the accident and resulting spill.

Although Allen conceded some confusion in the Coast Guard's communication, he said it did not reflect their response.

"Response was set into play within an hour of the event itself," Allen said Monday. Regarding the initial low estimate of 140 gallons of lost oil, Allen said heavy fog and damage to the ship's tanks hindered initial aerial and on-ground evaluations of how much oil had leaked from the ship.

In addition to federal prosecutors, the National Transportation Safety Board is investigating the accident, and NTSB spokeswoman Debbie Hersman said Sunday that agency was interviewing the pilot, the ship's crew, and other pilots who were on the water at the time of Wednesday's crash.  See photos of oil coating the bay »

The crew had been on its inaugural voyage on the ship, which the current owner purchased last month, Hersman said.

The NTSB also intends to review the ship's voyage data recorder, which should have recorded captain and crew conversations on the bridge and other information in the 12 hours leading up to the bridge collision, Hersman said.

The oil spill has sparked concern among local officials and environmentalists. As of Sunday, 23 beaches in the area remained closed. Angel Island State Park, the Bay's largest island, reopened Monday, the Coast Guard said.

Gov. Arnold Schwarzenegger has declared a state of emergency, freeing money to clean up the spill.

Seven miles of containment boom stretched across the bay has collected more than 12,271 gallons of oil so far, and another 4,000 gallons have evaporated, officials said.

Nearly 400 dead birds have been recovered from the bay, while another 500 birds have been rescued alive but soaked in oil, according to Lisa Curtis, administrator of the Department of Fish and Games Office of Spill Prevention and Response.

In 1989, the oil tanker Exxon Valdez ran aground and fouled Alaska's Prince William Sound with almost 11 million gallons of crude -- the nation's worst ever oil spill. Thousands of birds and animals died in the disaster, according to the National Oceanic and Atmospheric Administration.

Often birds and animals are threatened when they come in contact with the oil and swallow it as they try to clean themselves, said the NOAA Web site.

In addition to birds, oil spills can be very harmful to fish and shellfish,  NOAA said.

Twenty wildlife teams were scheduled Monday to be the bay, working to find sick birds so they can be rehabilitated, Curtis said.

On Sunday, the state's other U.S. senator and a leading Coast Guard official decried the accident.

"This an incident which, in my view, should not have happened," Sen. Dianne Feinstein, D-California, said Sunday after being briefed by Coast Guard officials.

Rear Adm. Craig E. Bone, the Coast Guard's director of inspection and compliance, echoed Feinstein's comments.

"This incident should have never ever occurred," he said. "There's systems, there's capabilities, there's licensed operators, there's a pilot on board the vessel, there's the capacity and the capability to safely navigate through this port and waterways every day."

He added, "But we have to move beyond the incident and the fact that it occurred and move forward into the response."

The California Department of Transportation said the collision did no structural damage to the bridge and there was no interruption of bridge traffic -- more than 250,000 vehicles daily. E-mail to a friend

@highlight

NEW: Coast Guard initial assessment: Human error probably involved

@highlight

It was crew's first voyage on Cosco Busan, which hit Bay Bridge in dense fog

@highlight

Crew not allowed to leave ship due to federal law, says Coast Guard

@highlight

Feds launch criminal probe; 58,000 gallons leaked and killed nearly 400 birds