Eating out can be such a pleasure: Someone else chops the veggies, cooks the entree and brings it steaming hot to your table, while you enjoy time with friends or family.

But when we eat out, we tend to overdo it. While an occasional splurge is OK, if we're not smart about our menu choices, we may be hunting for a larger wardrobe.

On average, Americans eat out about five times a week, according to the National Restaurant Association. Because those meals are generally higher in calories and fat than what we make at home, they can create a recipe for weight gain.

Every meal away from home increases an adult's average daily calorie count by about 135 calories, according to the U.S. Department of Agriculture. If we eat out five times a week, we stand to gain up to 10 pounds a year.

Business traveler Tish Davis frequently meets with clients over meals, and she's seen her weight climb by about 20 pounds in the past few years. Registered dietitian Marisa Moore gave Davis some advice on how to eat healthy while on the road.

Davis knows she has some weaknesses. "I love things that are fried, like bacon, a burger, chicken tenders. I like crunchy," she says.

7 foods that fight fat

Moore offered Davis some tips -- and gave her some homework to help with her eating habits.

Order first

Davis says she goes into the meal intending to eat healthy, but by the time she hears what others are ordering, she's lost her resolve.  Moore suggests that Davis order first.

"There is an interesting study that shows that women tend to mirror each other when we go out to eat," Moore says. "If you order your meal first, before everybody else starts to order, then you might actually set the tone for the table to order healthier options."

And, if possible, try to choose the restaurant where you'll meet friends or business associates. Look for places that have healthy options on the menu so you'll have better choices.

Red flags

When you sit down to order, scrutinize the menu for red flags that indicate foods are high in calories: descriptions of creamy, crispy, fried, breaded or smothered.

"Instead, you want to opt for foods that are grilled, steamed or broiled. That generally is going to be a healthier cooking method," Moore says.

Tailor the meal

Don't be afraid to ask the server to make changes to the menu.  Replace unhealthy sides such as french fries for steamed vegetables. If you know a sauce is going to be loaded with calories, ask that it be brought on the side. You tend to eat less that way.

And always order your salad dressing on the side, Moore says. Though dressing can be healthy, restaurants tend to give us two to three times the amount we need, and those calories can add up.

If you're ordering pizza, ask the chef to go light on the cheese.

Box it up

A restaurant serving can usually feed two, so at the beginning of the meal, ask the server for a to-go box. Put half of the meal away and take it home with you -- if food is in front of us, we tend to eat it, even when we're full.

Gut-busting restaurant meals named 'dis-honorees'

Soup and salad

Another way to keep from overeating is to order a salad or broth-based soup as your first course, Moore says. "There is some evidence to show that people who eat a broth-based soup or a veggie salad before their meal tend to eat fewer calories for the entire meal."

Portion control

On average, Americans need about 2,000 calories a day, and knowing how to judge a portion size can help us stick to that target.  If you're ordering pasta, a good rule of thumb is to eat a portion that looks to be about the size of your fist.  With meat, try not to eat more than would fit in the palm of your hand.

To help Davis with portion control, Moore suggests she order an appetizer in place of an entree.

Slow down

We've heard it before, but when we eat too fast, we often eat too much.

"It takes about 20 minutes for your brain to realize that your body is full," Moore says. So slow down. Enjoy the company of those you're with, and try putting your fork down between bites. It might take a little practice, but it does make for a more leisurely meal.

Rethink the drink

It's easy to forget about the calories from the drink we order, whether it's an alcoholic beverage or a glass of tea. One serving of sweetened tea, for instance, can have 200 to 250 calories.

"A glass of wine is only about 150 calories, but some of your mixed drinks can be well over 300 or 350 calories," Moore says.

She encourages Davis to drink water with her meals and with her occasional glass of wine.  Water helps fill us up, so we tend to consume less alcohol.

Can mindfulness curb overeating?

One day at a time

"I'm actually going to try some things ... when I'm on the road," Davis says. "I'm going to just pay more attention to the menu and go for the broiled, not the fried, and start with a salad."

But she knows she's going to struggle with her biggest challenge. "My lack of willpower in peer settings -- that's my biggest downfall," Davis says.

It's all about choices, Moore says. "We have to be prepared to face those obstacles, those temptations and decide when you're going to splurge and when you're going to make sure that you stick to a healthy diet."

@highlight

American eat out about five times a week, statistics show

@highlight

Look out for words such as "creamy," "crispy" and "smothered" on menus

@highlight

Don't be afraid to ask your server to change things up

@highlight

Box up half your meal and save it for later