Mountain View, California (CNN) -- At this moment we have reached a major turning point for both science and the public at large. The SETI Institute is now offering the world the first taste of raw SETI (Search for Extraterrestrial Intelligence) data collected by the Allen Telescope Array in California. With this we move closer to fulfilling the institute's mission, which is to search for our beginnings and our place among the stars

Throughout the institute's 25-year history (we are a private, nonprofit organization dedicated to scientific research, education and public outreach), we have analyzed these raw data with custom algorithms operating on semi-custom hardware. Now we are transitioning to readily available hardware and servers because technology has caught up to us -- hooray!

In the future, we hope that a global army of open-source code developers, students and other experts in digital signal processing, as well as citizen scientists willing to lend their intelligence to our exploration, will have access to the same technology and join our quest.

As I look at my team at the SETI Institute in Mountain View, and at a handful of other SETI teams around the globe, I see very clever individuals who have been willing to forgo the traditional challenges and rewards of academic research to work on a program of immense potential -- to do work that can literally change the world. Many see SETI as a fascinating avocation, but few indeed are willing to make it their vocation.

Read more about Jill Tarter at TED.com

In 2009, when TED awarded me its TED prize and the opportunity to make a wish to change the world - -a wish they would help me fulfil l -- I thought of a mirror. It is the mirror that we hold up to the planet in our scientific search for the answer to the ancient question, 'Are we alone?' It is the mirror in which all humans can see themselves as the same, when compared to the extraterrestrial other. It's the mirror that allows us to alter our daily perspectives and see ourselves in a more cosmic setting. It is the mirror that reminds us of our common origins in stardust.

TED and technology are helping me and my team hold up that mirror to all inhabitants of this planet so that we can see our reflection as Earthlings. I told TED that "I wish that you would empower Earthlings everywhere to become active participants in the ultimate search for cosmic company."

Soon it will be time for you to get involved by participating at setiQuest.org, a website that will make available the results that we get from our telescopes. Right now the site is geared to those knowledgable about digital signal processing, but in the coming months, anyone -- from a child playing a setiQuest game to an interested adult -- can join the search for intelligent life in the cosmos.

It's been 50 years since Philip Morrison and Guiseppe Cocconi published their seminal scientific paper on SETI in the journal Nature, and since Frank Drake first used the Tatel telescope in Green Bank, West Virginia, to attempt to detect any radio signals from technologies he thought could be orbiting the nearby stars of Tau Ceti and Epsilon Eridani. Since then, only those of us privileged enough to use the marvelous tools of the astronomer have been able to shape this pursuit of cosmic company.

For the past decade, you and any other person around the globe have been able to leave your computer turned on and search through data recorded at large radio telescopes with the SETI@home screen saver. But you couldn't change or improve the search your computer was enabling, you couldn't get involved creatively. You didn't have to see your reflection in the cosmic mirror.

Now that computing has gotten fast enough, now that Amazon Web Services, Dell, Intel, Google and others have donated resources to the SETI Institute, my team and I can benefit from your skills and your energy. You can help us with our search.

Access the raw data we have published at setiQuest and show us how to process it in new ways, find signals that our current signal detection algorithms are missing.

This summer, when we openly publish our software detection code, you can take what you find useful for your own work, and then help us make it better for our SETI search. As I wished, I'd like to get all Earthlings spending a bit of their day looking at data from the Allen Telescope Array to see if they can find patterns that all of the signal detection algorithms may still be missing, and while they are doing that, get them thinking about their place in the cosmos. That's the way we can change the world!

We don't yet know how to get our data out of the observatory and presented to willing citizen scientists in real-time -- but if you are technically savvy, that's where you come in, that's where you can help us make the search better.

The SETI Institute can begin to count anyone in the world as a member of our team. All of the SETI searching over the past 50 years is equivalent to examining one 8-ounce glass of water from the Earth's oceans -- a lot of human effort, but not a lot of exploration. As our technologies improve exponentially, and as the world joins our searches, we may finally have the right tools for exploring the cosmic ocean.

The opinions expressed in this commentary are solely those of Jill Tarter

@highlight

Jill Tarter says the SETI Institute is offering the world raw cosmic data from its telescopes

@highlight

She said technology has enabled nonscientists to help search for extraterrestrial life

@highlight

When the setiQuest site is fully developed, even kids will be able to search data

@highlight

Tarter: More people combing data means a greater possibility of finding signs of life