(CNN) -- Inside the Gahaya Links workshop on the outskirts of Kigali, Rwanda's capital, a group of women sit side by side against a brightly-painted wall. Using natural fibers and grasses, they pool their weaving skills to create exquisite hand-made baskets, inspired by the eastern African country's art and tradition.

Seeing these women talking, laughing and working together, it's hard to imagine that many of them were once enemies, belonging to warring tribes during the 1994 Rwanda genocide.

"[It's] really amazing to see how a small piece of work, how culture can restore values in people, how healing comes through a small basket," says Janet Nkubana, co-founder of Gahaya Links, the company that has made Rwanda's hand-woven baskets internationally famous.

"And then people open up, forgive one another and get back together. They say hello, they interact, they visit, they share what they used to share before," adds Nkubana, a master weaver herself.

See also: 'African women need a hand-up not hand-out'

Women in Rwanda have been handcrafting baskets for centuries, using them as containers to carry food and transport goods or as decorations during weddings and baby christenings.

Today, Gahaya Links' baskets have been coined "peace baskets," an embodiment of reconciliation and healing in a country torn by conflict.

"If you just meet someone on the streets and go - you don't really heal from what you went through," says one of the women at the workshop. "But through this kind of association where we meet everyday, spending all day together, it makes you understand one another and forgive one another."

An estimated 800,000 Tutsis and politically-moderate Hutus were murdered in just 100 days during the Rwanda genocide nearly two decades ago. After the violence ended, many Rwandan women whose husbands, fathers and sons were killed found themselves thrust into the unfamiliar role of being sole breadwinners for their families.

At the same time, Rwandans who had fled the genocide and earlier internal conflicts started returning in droves from neighboring countries.

One of them was Nkubana -- decades ago, she had fled to Uganda where she grew up in a refugee camp.

Upon her return to the country, Nkubana opened a hotel with her elder sister in Kigali. Many traumatized women and children would often come to the hotel to beg for food.

See also: Why Ida Odinga is not your average politician's wife

"One thing that struck me one day was [that] after you give somebody food, they would be scared to come back," remembers Nkubana. "A lady walked in with a basket and said, 'can you take this basket and give me something to eat.'"

That prompted Nkubana to start encouraging the distressed women to bring their woven baskets to the hotel so they could sell them to the hotel guests.

"We started organizing women and we started trying to make the baskets so fine so that they suit in the market," says Nkubana. "And in that sense, they restored their dignity."

Nkubana's efforts to empower the underprivileged women of Rwanda cultivated to the creation of Gahaya Links -- the company started operations in 2004 with only 27 women. Today, it has over 4,500 artisans in more than 40 cooperatives across the country.

Through Gahaya Links, Nkubana has taken the traditional basket from Rwanda to the shelves of high-end U.S. stores. Under the "Africa Growth and Opportunity Act," which allows Nkubana's products duty-free entrance into the U.S. market, Gahaya Links sells its handicrafts in American department stores such as Macy's, Kate Spade, Anthropologie and Same Sky.

The company has helped to break the cycle of poverty for thousands of rural families, by turning a traditional handicraft into a profit-making venture.

"Once you earn an income," says Nkubana, "you are economically empowered. You are given a voice, you can argue your values, you can argue your point, you can argue your rights."

See also: Teaching 'reconciliation over revenge'

At the same time, it has helped to improve the quality of life in the homes of the women

"Where we have married couples, men are embracing it with dignity and appreciation that my wife is really working hard," says Nkubana.

"When you look at what women are doing, it is like what men used to do. Because now they earn an income, they provide for homes...It also reduces what we call the domestic violence.

"It is a pride for her and she feels respected, she feels dignified and then they feel that it has restored their value as mothers in the house."

@highlight

Gahaya Links helps Rwandan women make an income by crafting baskets

@highlight

Co-founder Janet Nkubana puts their handiwork on the global market

@highlight

The company has helped to break the cycle for thousands of rural families

@highlight

Women in Rwanda have been handcrafting baskets for centuries