Nearly two months have passed while the world has looked on in disbelief as the search for Malaysia Air Flight 370 continues. We all hope the initial mystery of this tragedy -- where the aircraft rests -- is soon solved so that the ultimate mystery of what led that aircraft and its passengers to their fate can be determined.

As we wait, what everyone in aviation needs to agree on right now is that this must never be allowed to happen again. Millions of us can be located immediately through technology in our handheld cell phones, but a 300,000-pound Boeing 777 with 239 souls on board disappears from the face of the Earth. NASA has the capability of photographing stars billions of light-years away, and yet our best minds are forced to guess where this plane might be.

The airline industry has invested billions of dollars in technology that has made flight as incredibly safe as it is today. Yet many allow their aircraft to fall off any direct tracking capability as they fly over vast ocean distances and remote locations, confident that these planes will occasionally check in and reappear as they near the other side of the blacked-out area.

But what if, as with MH370, they don't?

It isn't like we weren't warned. Just five years ago, an Air France Airbus took off from Rio de Janeiro for a routine 5,700-mile trip to Paris. But the plane never arrived. Although the airline had received telemetric data that something was going terribly wrong and indicating in general where the plane had crashed, only the recovery of some large floating pieces of wreckage helped narrow the search area. Even after the search area was relatively quickly identified, the all-important flight recorders weren't recovered for another two years.

Despite a series of well-founded recommendations by the BEA (the French counterpart to the National Transportation Safety Board), no meaningful reforms have been implemented. The International Civil Aviation Organization, the United Nations body that governs international aviation, has done nothing to order the tracking of transoceanic flights in real time and, in those very rare events when something goes wrong, to mandate equipment to ensure a successful search and rescue operation.

This needs to end now. While there will undoubtedly be months and years of debate about next-generation capabilities, there are existing technologies and concrete actions that we can -- and must -- take right now to make sure this tragic spectacle is never repeated:

1. All ETOPS aircraft (certified for extended overwater flight) need to be connected to a "handshake" monitoring service offered by Boeing, Airbus or the major engine manufacturers or to some other commercial service like the Automated Flight Information Reporting System that tracks the aircraft at all times. The "handshake" services can be limited in duration to reduce cost and to not overtax satellite capabilities.

2. Flight recorder "pingers" need to be upgraded to give off two distinct tones, one of which could be heard at a far greater distance than the other but would not need to sound as often in order to preserve power. Further, the batteries themselves should be immediately upgraded to last 90 days.

3. All ETOPS aircraft must be equipped with deployable black boxes, which would separate from the aircraft on impact. Not only does the device float, it transmits a signal that is picked up by the world's search and rescue satellites, providing the location of the black boxes for quick retrieval, the location of the aircraft at impact, its tail number and its country of origin. Had MH370 been equipped with a deployable flight recorder, the initial search could have been limited to within 3 miles of the impact, increasing in accuracy with every emergency locator transmission, rather than requiring the world's resources to search an area as large as the United States.

The most difficult search in history

If these viable steps had been in place, the location of MH370 would have been identified many weeks ago, and secure, tangible black box data would be in hand to help us understand what happened during that ill-fated flight. Instead, we are only slightly better equipped to locate this airliner than when we were searching for Amelia Earhart 85 years ago.

Unbelievably, the prospect of finding the plane seems more remote now than ever; a few weeks ago, Australia actually expanded the area it intends to search to the size of the state of Indiana, virtually guaranteeing that this will be the most costly search in history. And analysts have recently speculated that the basis for determining the search area may be completely without foundation.

The embarrassment of this state of affairs for the industry and regulators is eclipsed only by the grief of the families of the 239 people who put their trust in an appallingly antiquated system governed by a hidebound international bureaucracy.

The United States, one of the founding members of the International Civil Aviation Organization, needs to take a stronger hand in getting these common sense safety improvements adopted immediately. If the organization continues to dither, then the Department of Transportation and the Federal Aviation Administration must act unilaterally.

Join us on Facebook.com/CNNOpinion.

@highlight

Jim Hall and Peter Goelz: Why losing a Boeing 777, or any other jet, must never happen again

@highlight

They ask why we can track millions of users through their cell phones but not a jumbo jet

@highlight

The technology to better track aircraft exists and must be deployed now, they argue