Washington (CNN) -- The French will vote next week to elect a new president.

The April 22 election pits incumbent Nicolas Sarkozy against challenger Francois Hollande. Sarkozy, a conservative, argues that France did well compared with other European countries in the Great Recession. Hollande, on the left, urges a more expansionary program of government spending to create jobs.

Normal politics, in other words.

But the vote to watch is not Sarkozy v. Hollande. It is Sarkozy plus Hollande.

The French constitution establishes a two-round voting system. The idea is to ensure that the ultimate winner obtains an outright majority of all votes cast. The system's side effect is to invite the French to use their first ballot as a protest vote.

Thus in 2007, the nominees of the two big parties won 57% of the vote between them in Round 1, with the remainder scattered among the hard-right National Front and various categories of radical left-wing parties.

It is that small party vote that is the vote to watch in 2012.

Sarkozy and Hollande disagree on much but not on the euro. Both support the currency, despite the terrible economic toll it has put on the economies of Europe. 

To sustain the euro, the countries of southern Europe are cutting government expenditures and raising taxes in a futile effort to balance their budgets in the throes of a worsening recession. The euro is doing to Europe in the 2010s what the gold standard did to the United States in the 1930s: magnifying an ordinary downturn into a social catastrophe.

Unemployment has risen past 9% in Italy, to 15% in Portugal, 22% in Greece and 23% in Spain. In the past, generous European social networks cushioned unemployed. Those out of work might suffer anxiety and depression, but they need not fear material deprivation. But that's changing as radical budget cuts bite.

Portugal, for example, has slashed government spending by the equivalent of 7.5% of GDP over the past two years. How much is 7.5% of GDP? To achieve a similar cut in the United States, we'd have to abolish Social Security and the defense budget.

So you can see why the euro project might begin to provoke public discontent. European elites have met that discontent by silencing it. When Greece proposed to hold a referendum on budget cuts, the EU authorities forbade it. When Italy needed aid to remain in the eurozone, the EU authorities forced distrusted Prime Minister Silvio Berlusconi to resign and installed in his place an economist prime minister without an intervening election.

Yet discontent will emerge somewhere. Radical parties are now rising across Europe. In France, polls show more than one-third of the public now supports radical alternatives to the two big traditional parties. About 16% support the far-right National Front and about 17% the neo-communist Left Front (Front de Gauche).

The National Front and the neo-communists disagree on issues such as immigration and law enforcement. Yet on economics, the two parties sound increasingly similar. Both want radical change in the European Union. Marine Le Pen, the National Front candidate for president, has voiced sympathy for outright exit from the Euro currency. Jean-Luc Mélenchon, leader of the Left Front, wants to assert political control over the independent European Central Bank.

As they attack the EU and the euro, the far left and the far right are gaining supporters they never previously could have hoped for. One poll shows 25% of French young people supporting the National Front.

The National Front is also making inroads in the traditional heartland of French social democracy, the industrial northeast. 

As Sarkozy and Hollande campaign from TV studios, the neo-communist Mélenchon is exciting frenzied rallies in France's poorer neighborhoods. When Sarkozy and Hollande belatedly staged public meetings on Sunday, Mélenchon mocked them for imitating his accessible style of campaigning: They "will now also occupy the streets and risk appearing in public squares."

Neither Le Pen nor Mélenchon has any hope of winning the presidency, nor even very much of a hope of making it to the second round. What they are doing, however, is giving expression to public distress that is going unexpressed by the mainline parties. They may not win enough votes. But they are exerting enough political force to reshape French politics and possibly the politics of all Europe.

The euro was a terrible mistake. It is failing now in exactly the way predicted by its critics: a credit boom followed by a depression. The present policy response offers the people of Europe no hope at all, opening a political opportunity for extremists and demagogues. On April 22, the voters of France will tell us just how large that political opportunity has grown.

The opinions expressed in this column are solely those of David Frum.

@highlight

France, voting next week in first round for president, sees growth of fringe parties

@highlight

David Frum says the extremists are gaining due to disastrous economic policy

@highlight

He says preserving the Euro is forcing leaders to cut spending in midst of recession

@highlight

In France, National Front and Left Front are gaining, though neither will win, he says