(CNN) -- Deep in a remote, hot, dry patch of northwestern Australia lies one of the earliest detectable signs of life on the planet, tracing back nearly 3.5 billion years, scientists say.

At that time, the Earth -- relatively speaking -- wasn't into its adulthood yet. Scientists estimate the planet formed roughly 4.5 billion years ago; minerals known as zircons, indicating water, and continents existed within 100 million and 200 million years after that on what was still a scalding planet.

The existence of water suggests that life was possible. But what did it look like, and when did it start?

The discovery from the Dresser Formation, a much examined outcrop of rocks in Western Australia's Pilbara region, documented in a paper published online this week in the Astrobiology journal may help answer those questions.

New species discovered in Australian rainforest

It centers on something called microbially induced sedimentary structures, commonly shortened to the acronym MISS. It's a mouthful to many, but some scientists believe this phenomenon could be the key to finding the first demonstrable evidence of life.

A MISS forms via a process involving microorganisms (found in what's called microbial mats) with rocks (or sediment), something that can only happens under certain conditions.

As the study's lead author, Nora Noffke of Old Dominion University, notes, "The signal of early life forms has been preserved more clearly in MISS" compared with other prehistoric finds. Another unique thing about them, unlike some other geological phenomena, is that a MISS structure formed a few billion years ago can look much like one a few hundred-thousand years old. Yet another is that it can show not just evidence of one organism but an entire ecosystem, one in which living things coexisted with one another.

That's exactly what the study's co-authors -- Noffke, Daniel Christian, David Wacey and Robert Hazen -- say they found in Australia, noting that "this MISS displays the same associations that are known from modern as well as fossil" finds. The MISS also shows microbes that act like "modern cyanobacteria," which the co-authors explain are "known to be the first oxygen-producing organisms in the fossil record."

Given all that, the scientists write: "We conclude that the MISS in the Dresser Formation record a complex microbial ecosystem, hitherto unknown, and represent one of the most ancient signs of life on Earth."

Ancient African coins that could change history of Australia

The fact this find was in Western Australia is no accident. The area has long been a treasure trove for Earth scientists delving into the past. Stromatolites found in Warrawoona trace back about 3.45 billion years, while microfossils from Marble Bar go back to 3.47 billion years, notes University of Washington scientist Roger Buick.

"The Dresser Formation is the oldest rock succession of sedimentary rocks that was never affected by any tectonics," or big changes in the surface caused by earthquakes and the like, said Noffke. "Those rocks were just sitting there, nothing ever happened to them. That means any life is nicely preserved."

The oldest MISS previously known, though, came from South Africa and dated to 3.2 billion years ago. That's young relative to the Dresser Formation find, which the Astrobiology report says is about 3.48 billion years old.

20 Australia discoveries

The fact this MISS from Australia has a very similar makeup to recent ones is telling, Noffke said. A pessimist may see this as indication that there's been little evolution in that respect over that very considerable stretch of time. On the flip side, this shows that things were pretty complex even way back then.

"It was not that individual cell that was fighting for itself," Noffke said. "It was intelligent enough to function in this environment very, very successfully. If cells work together, they have access to a larger set of experiences."

The Australia discovery features "a complex system of microbial mats," which are "complex communities of microbes" -- or extremely small living things -- "usually organized into layers that can be seen with the naked eye," notes NASA. "They were one of the earliest ecosystems on Earth."

The U.S. space agency is interested in MISS and microbial mats because scientists are looking for them on Mars to possibly show life once existed there. The Western Australia discovery could help in that regard, the latest study's authors point out, especially give "the similarity of the early history of Earth and the early history of Mars."

"If there was life," said Noffke, "then MISS is one of the likely targets."

Rare 'Asian unicorn' caught on camera

@highlight

NEW: Discovery shows life was fairly complex 3.48 billion years ago, scientist says

@highlight

Scientists: Structures found in Australia featured "a complex microbial ecosystem"

@highlight

That makes it the oldest MISS ever and "one of the most ancient signs of life on Earth"

@highlight

Scientists have been looking for such structures, as evidence of life, on Mars