(CNN) -- Ever imagined what it would be like to be someone else for a day? How about for the rest of your life?

That's the reality for the thousands who have entered the federal witness protection program since it started in 1971.

Officially called the Witness Security Program, it provides protection for government witnesses who are at risk due to testimony they've given about terrorists or criminals.

"No one knows what we do to protect witnesses, and it's good for us," said David Harlow, associate director for operations with the U.S. Marshals Service, which oversees the vast program.

"It's about taking people and changing their way of life," Harlow added. "These people truly are in danger."

More than 18,400 men, women and children have participated in it, and not one of the 8,500 witnesses or the 9,900 family members has been harmed, according to the U.S Marshals Service. "It's a big feather in our cap," Harlow said.

The program has made some limited information available to the public on its website: It provides 24-hour protection to all witnesses while they are in a high-threat environment; witnesses receive financial assistance for housing and subsistence for basic living expenses and medical care; the program also provides for job training and employment assistance.

In an interview with CNN, Gerald Shur, who created the program, offered insight into the inner workings of this secretive government service.

Shur was an attorney in what was then the Justice Department's Organized Crime and Racketeering Section in the 1960s when he developed the idea to protect witnesses.

"It occurred to me that we have to have a way that if a guy is in danger because of his testimony, we have to get him out of there, and in a second," said Shur, 79, who is now retired.

But the transition to a new life doesn't always come easily, he said.

"It takes time for them to adjust, " Shur said. "(A witness) not only has to deal with leaving his entire family, but he has caused his wife to leave her family; he's caused his children to leave their grandparents. They can't communicate. They can't see each other. But the driving force is 'If I go back, I'll be murdered.' "

Most witnesses who enter the program are not law-abiding citizens, according to Shur.

"Ninety-five percent of them are what we call criminals," he said. "Not everybody is a killer or a member of the Hell's Angels or the mob, but there are people who are doing business with criminals.

"They might say they were legitimate businessmen, but they would bribe people," Shur said, recalling the case of an engineer who bought off a mayor.

"He said it wasn't bad because that's how you do business in the city. In his mind, he wasn't doing anything criminal," Shur said.

While most witnesses are familiar with the criminal justice system, their loved ones are not and often must accept being completely cut off from everyone they know. "You're talking about wives, children, grandchildren -- they are the really innocent people," Shur said, "They are in it for life, as far as I was concerned."

The program is also completely voluntary. While witnesses and their family members are free to return to their former identities, they do so at their own peril, Shur said.

"I've had witnesses ask me if it's safe to go home. I never said yes. I always felt there was a risk still there," Shur said, "and that if a defendant against whom they testified is dead, there may be a family member out to get revenge or somebody within his organization who wants to be a hero of some sort and kill him."

Shur recalled two instances when witnesses refused protection. "(One witness) went back to his home and turned the doorknob and it blew up. And there was another witness -- we tried to talk her into it. She refused and she was murdered."

Henry Hill, the gangster who was the inspiration for the 1990 film "Goodfellas," opted out of the witness protection program, as did mob turncoat Sammy "the Bull" Gravano.

But those witnesses' decisions to leave the program make them the exception to the rule, Shur said.li

After a witness agrees to testify for the prosecution, he or she may be eligible to start receiving protection. Shur described an effective way of choosing where to relocate a witness.

"I would say to them, 'Tell me what's your favorite place in the U.S.?' " Shur said, "and they'd say, 'I always wanted to go to Hawaii,' or that they had family in Texas or Florida. And in my mind that's three places that they are not going. Because when you tell me you want to go to Hawaii, I know you have told all your friends that."

Deputy marshals take the witness and the witness' family and move them to another area, Shur said. Sometimes, they start in a hotel. Sometimes, they are near other witnesses -- although they'd never know it, he added.

"In the beginning when the witnesses were moved off to another city, we'd run into the problems you would expect -- what to do about a driver's license, Social Security cards, how do you get him a job, money, what happens if you need Medicare care, what about the house he owns, the furniture, and so on."

Witnesses get help finding a job, but they aren't always compensated.

"The program has nothing to do with reward money, nothing. They get money for a period of time, and then it stops," Shur said. "We used a formula. If you are a family of four in New York, you would get more money than a family of four from Corpus Christi. It's based on cost of living, and it wasn't based on the value of the testimony."

Shur said his work protecting witnesses put his family's life in danger. "There was a threat against my wife. I was told that there was an individual who had my name and my wife's name in his address book and that he had a contract from the Medellin Cartel to kidnap my wife and learn where a particular witness was living. And I immediately asked for protection for my wife."

Today's witness protection program faces the added burdens of the digital age. Facebook, Google, texting and the instant access to information via the Internet and smartphones provide new challenges to keep the identities of witnesses a secret.

"The modern world of technology, because there is more information out there, it's that much more important for our people to be vigilant and for us to be vigilant," said Harlow of the U.S. Marshals Service.

Vigilance plays a role, but Shur suggested another factor may also play an important role.

"Luck, you have to throw in some luck," he said. "You can't go this many years with this many witnesses without some luck in this thing."

@highlight

Federal witness protection program helps government witnesses get new identities

@highlight

People in program need protection because they've testified against criminals

@highlight

Most people in the program aren't law-abiding citizens, program's creator says

@highlight

"These people truly are in danger," a U.S. Marshals Service official says