The Army will conduct "a comprehensive, coordinated" review into the case of Sgt. Bowe Bergdahl -- the recently freed soldier whom some have deemed a hero, others a deserter -- the military branch's civilian leader announced Tuesday.

Secretary of the Army John McHugh began a statement on Bergdahl's case by saying that "we are grateful that an American soldier is back in American hands" and insisting "our first priority is ensuring Sgt. Bergdahl's health and beginning his reintegration process."

McHugh didn't address specific questions surrounding how the soldier ended up detained in Afghanistan or what he did while in that situation. But he did say that the military's review "will include speaking with Sgt. Bergdahl to better learn from him the circumstances regarding his disappearance and captivity."

"All other decisions will be made thereafter, and in accordance with appropriate regulations, policies and practices," McHugh said.

Authorities haven't given any indication that such a decision is coming anytime soon.

Speaking Tuesday in Warsaw, Poland, President Barack Obama said that Bergdahl had not then been interrogated by U.S. officials because he is still undergoing medical care. Nor had he met yet with his family, according to the President.

Bergdahl -- who was released by his Taliban captors in exchange for five prisoners held by the United States at Guantanamo Bay, Cuba -- is at Landstuhl Regional Medical Center in Germany. The five prisoners headed to Qatar as part of the exchange.

Bergdahl will remain at that U.S. Army medical center in Germany until he completes treatment, a U.S. defense official there told CNN. After that, Bergdahl will return to the United States and go to a San Antonio military base, the official said.

In his statement Tuesday, McHugh suggested Bergdahl's medical treatment will be a driving force in what happens next and when it does.

"There is no timeline for this, and we will take as long as medically necessary to aid his recovery," McHugh said.

Hillary Clinton wanted tougher deal for Bergdahl

Hailed as hero, condemned as deserter

The release of Bergdahl, the last American soldier held captive from the Iraq and Afghanistan conflicts, spurred celebration in many circles.

But others challenged the move -- including some critical because he was let go in exchange for Guantanamo detainees, plus many of those who served with Bergdahl who characterized him as a deserter whose "selfish act" ended up costing others' lives.

According to firsthand accounts from soldiers in his platoon, Bergdahl -- sometime before he was set to go on guard duty -- shed his weapons and walked off an observation post with nothing more than a compass, a knife, water, a digital camera and a diary.

The team leader, Evan Buetow, recalled to CNN's Jake Tapper that Bergdahl "did not agree with the war effort in Afghanistan" and had said various things that, in retrospect, led him to believe the soldier had "walked away."

"It was a gut feeling I had," Buetow said Tuesday. "... When he comes up missing and all of his sensitive items are left behind, it just kind of hit us in the head."

At least six soldiers were killed in subsequent searches for Bergdahl, according to soldiers involved in operations to find him. The Pentagon was not able to provide details on specific operations in which any soldiers killed during that time were involved.

Also, many soldiers in Bergdahl's platoon said attacks seemed to increase against the United States in Paktika province in the days and weeks following his disappearance.

Buetow conceded that he and others may never know if this violence was coincidental or if Bergdahl gave his captors information voluntarily or after being tortured. Yet he found it "incredibly suspicious" that attacks after Bergdahl disappeared seemed to become "far more directed."

As to those U.S. soldiers who died, Buetow said, "Those soldiers would not be on those patrols, in those specific areas when they were killed, unless Bergdahl left. And that's a fact to me."

All this said, the exact circumstances of his disappearance are very uncertain.

Published accounts have varied widely, from claims that he walked off the post to claims that he was grabbed from a latrine.

Noting everything that he left behind, an Army fact-finding investigation conducted in the months after his 2009 disappearance concluded that Bergdahl left his outpost deliberately and on his own free will, according to a U.S. military official briefed on the report. The official spoke to CNN Tuesday on the condition of anonymity due to the sensitive nature of the information.

There was no definitive finding Bergdahl deserted because that would require knowing his intent -- something Army officials couldn't do without talking to the soldier. The investigation included interviews with members of Bergdahl's unit, none of whom reported seeing him go, the official said.

In 2012, Rolling Stone reported that Bergdahl's unit had discipline and other issues during its time in Afghanistan.

Addressing the matter Tuesday, Obama stressed that we "we don't leave men and women in uniform behind" and insisted prisoner swaps "happen ... at the end of wars."

"Whatever the circumstances may turn out to be, we still get an American soldier back if he is held in captivity. Period. Full stop," Obama said. "We don't condition that."

Bergdahl team leader: He sought talks with Taliban

'He is innocent until proven guilty'

Intelligence indicated where Bergdahl was being held a couple of times during his five years in captivity, a U.S. official said. But any mission to get him was deemed too risky -- especially for Berghdal.

Instead, the United States worked through a third party to arrange a prisoner swap. The five Taliban prisoners freed from U.S. custody were transferred to Qatar, where Obama said he's confident they won't endanger the United States on the battlefield or elsewhere.

Several factors help mitigate the risk of the exchange, two senior U.S. officials said. They include:

• They've been in Guantanamo for a long time and therefore likely don't have networks as extensive as they once had;

• Most U.S. troops will out of Afghanistan in a year;

• Personal assurances from Qatar's emir to closely monitor them.

The detainees won't be under house arrest, yet one U.S. official says, "We think the Qataris are going to keep a very, very close eye on them."

Asked about why Congress wasn't consulted about the exchange, the President said that over the years, the White House had talked with Congress about the possible need for such an exchange, and that officials had to move quickly when the opportunity arose.

"This was likely the last, best opportunity to free him," White House spokesman Jay Carney told CNN's Wolf Blitzer, adding that "we did the right thing" in negotiating a deal much like "we exchanged prisoners" with the Germans and Japanese after World War II.

As to Bergdahl, he is in stable condition at Landstuhl for treatment of conditions related to five years of captivity, the hospital said Tuesday. Citing privacy laws, the medical center did not provide specifics about his medical condition.

He is undergoing a period of "reintegration" that includes decompression and help from doctors, security officers, lawyers, chaplains, his family and more, the hospital said.

"The goal is to return him to family and society and on the path to complete recovery," the medical center said, adding that there is no timeline for the recovery process.

McHugh's comments Tuesday followed those of Chairman of the Joint Chiefs of Staff Gen. Martin Dempsey, who stressed that questions of Bergdahl's conduct is separate from the effort to recover any missing U.S. soldier.

"As for the circumstances of his capture, when he is able to provide them, we'll learn the facts," Dempsey said. "Like any American, he is innocent until proven guilty."

He added: "Our Army's leaders will not look away from misconduct if it occurred."

Does Bergdahl swap set precedent?

@highlight

Official: Intel indicated Bergdahl's location a few times, but it was too risky to get him

@highlight

Bergdahl was freed in exchange for 5 held at Guantanamo, who are moved to Qatar

@highlight

Official: Bergdahl left on his own but no definitive finding he deserted, probe finds

@highlight

Some hail the American soldier's release, while others criticize the move