(CNN) -- Digging my hands deep into my pockets, I tucked my chin into my fleecy neck warmer and wriggled my toes to warm them up. Snowflakes had filled the sky with white and were now dusting the ground gently.

There was something beautiful about it, although somehow that doesn't seem right to say -- because I was standing amid acres of wrecked homes -- or rather plots where homes once stood. Fifty meters away a cemetery's toppled gravestones stood awkwardly.

One hundred meters beyond, at the foot of the hill, the scorched carcass of a school, grave and gray, watched over it all.

I was in Ishinomaki, a fishing town on the Tohoku coast of Japan. It was one of the worst-hit areas by the earthquake and tsunami which struck the country on March 11th 2011. Nine months later, it was slowly plodding along the path to recovery.

Sarah Outen: To world's end and back

Having finished the first stage of my human-powered journey from 'London2London: Via the World' in November after arriving in Tokyo on my bike, I had returned to Ishinomaki to volunteer with 'It's Not Just Mud' (INJM).

The group had been set up earlier in the year by British chap Jamie El-Banna after quitting his job as an English teacher in Osaka and heading north to help. Having cycled through the town on my way to the capital, I decided I wanted to help and after a quick internet search came across Jamie and his group.

I spent a week with INJM just before Christmas, living in the two houses that Jamie acquired via Twitter earlier this year -- at one point we had 20 of us from seven different countries, bringing with us varied backgrounds and stories.

Tasks ranged from house clearing to cleaning, bleaching and pressure washing, carpentry and gardening, insulating and decorating and cooking.

The day that stands out most for me was the snowy day at the foot of the hill. Here, our little group worked alongside a local woman, Matsumara-san, to plant some flowers and bulbs in the plot where her house once stood.

Building has been forbidden here in future but Matsumara-san wanted her little garden amongst the rubble to remain as a memorial to the thousands of lives lost in the tsunami.

As we knelt on the cold ground and worked the soil, gently introducing the plants and bulbs to their new home, we alternately chattered and giggled and remembered quietly. We planted the flowers in a heart shape, sketched out in the snow by Matsumara-san.

I tried to imagine what it must feel like to be her. To be kneeling on the ground that you once called home, now empty and exposed. What it must feel like to look at your home town and see most of it destroyed. Only memories remain.

I wandered off to pay my respects to this town and try and take it all in, treading carefully over the ground, aware that I had walked 'through' many lives in doing so - stepping easily over foundations where walls once contained families and histories and hopes and dreams.

It reminded me of post-apocalyptic scenes from films and it still felt surreal, even though I had been there for a whole week.

Once we had finished planting, Matsumara-san walked to the plot behind and knelt down, chin tucked into her fleece. She took the single flower which she had put aside and worked it carefully into the soil. This was the house of her elderly neighbor.

Like nearly 18,000 others on the Japanese coast, she hadn't survived the tsunami in March. Tears rolled down my cheek as I stood and watched this final act of remembrance, perhaps the outpouring of all the emotions that I had felt that week as I played a tiny part in this huge journey of renewal.

I interviewed Matsumara-san about her experience on March 11th and she told me how she and her husband had been at work. Her youngest daughter had been at home.

Luckily she evacuated to the school and then the hill, but neither had known if the other was safe for hours and Matsumara-san still felt guilty about not hearing her daughter's repeated phone calls as she frantically decided what to do.

Many people have left the region, adding to the existing issues of rural depopulation as young people flock to the cities. Ishinomaki has launched it's own revival programme, 'Ishinomaki 2.0', encouraging people to come back to the town and start a life there, supporting and promoting community projects and local business.

With sensible and adequate investment, powered by the grit and tenacity that the Japanese are renowned for, I think there is hope that the scars can heal and the region will flourish one day.

It is a beautiful area and has much to offer tourists -- it just needs time and resources, and an understanding that the threat posed by radiation is not a barrier to living in or visiting the region. It will be a long road to do so, but there is hope.

I asked Matsumara-san what her hope was for the new year and she said that she wished for health and happiness for her family. She said that they would smile and recover one day, but that it was very difficult. Her closing words were thank yous -- to us for helping with her gardening and to everyone around the world for their support.

My hope is that the people of Tohoku are not forgotten and that the support -- be it investment, sponsorship or volunteering- continues to grow. Having seen the hyperbole around the Daiichi plant meltdown and fallout at Fukushima, I hope that good sense will prevail and that propaganda can be used as a positive force and that truth and transparency are not lost.

I shall return to Ishinomaki to volunteer again before I leave for my ocean row in April, and shall carry the Tohoku spirit and story with me as I head back home to London. For this expedition has shown me that we are all on journeys, whether rounding the world on a bike and boats or not.

We are all one.

@highlight

Sarah Outen took a different journey in the worst-hit area during the earthquake in Japan

@highlight

The British adventurer has earlier finished the first stage of her world-crossing journey

@highlight

Her first volunteer task to create a garden on a former home site left a touching memory

@highlight

Outen calls for more emotional and material support for the disaster-torn area in Japan