(CNN)Julianne Moore won an Academy Award for her heart-wrenching performance in "Still Alice," in which she plays a linguistics professor with early-onset Alzheimer's disease.

Much has been written about her characterization of a woman struggling with the disease. But there's another reason the performance hits home for millions of Americans, whether they are grappling with Alzheimer's or not. The late Richard Glatzer, who co-directed the film with Wash Westmoreland, named it: "Still Alice," he said, is actually a film about "the real unsung heroes: caregivers."

As the audience journeys with Alice and her family from diagnosis to acceptance and adaptation, we watch her husband and three children struggle to make sense of the changes in Alice. They each adjust in their own way, testing and transforming elements of their relationships. And we see what happens when care becomes -- or doesn't become -- a central feature of these relationships.

The changes in these relationships -- between husband and wife, and mother and child -- yield some of the most provocative, brutal and poignant moments of the film. The caregiving relationship is never simple, but the "presence of being" it requires always offers an opportunity for raw honesty and transformation -- both for the individuals involved and the relationship itself. And, in the film, family members grow to become a crucial, if imperfect, circle of care.

This story is familiar to more and more Americans, young and old. Like so many families, Alice's did not have a plan to address such an unexpected diagnosis and must scramble to create makeshift solutions while navigating their own in-the-moment reactions.

I recognize their confusion and pain all too well. After my grandfather's vision deteriorated and his health failed in other ways, my father was unable to find him appropriate home-care support. He had to place him in a nearby nursing home, against my grandfather's wishes. There he slept in a dark room with half a dozen other people, some completely still, others wailing with pain and suffering.

It smelled of mold and illness. He didn't sleep or eat for days, and passed away just three months later. Even now, the memory of my visits with him sends a chill down my spine. In my new book, "The Age of Dignity," I explore the experiences of my family, families like Alice's, and the millions of people across our nation who are called to care for loved ones in response to chronic illnesses, disabilities or the natural effects of aging.

Most families don't have a care plan in place, and more importantly, we as a nation don't have a plan either.  As a result, so many of us are struggling: we are overwhelmed family caregivers, we often cannot afford the long-term care option we need -- if we can even find it -- let alone enjoy the time we have together. And we feel alone in this struggle.

But we are not.

In reality, 4 in 10 adults in America now care for loved ones, and by 2050, 27 million Americans will need long-term care or assistance, many as a result of a demographic shift I call "the elder boom."

As the baby boom generation ages, and health-care and scientific advances extend our life expectancy by nearly 20 years, the very nature of growing older is shifting. And polls show that more than 90% of older Americans want to live out their elder years at home.

The key to addressing this cultural shift is to bravely confront, embrace and place a new value on the caregiving relationship. Family caregivers such as  Alice's family members and professional caregivers like Elena, who joins Alice's care circle later in the film, are critical to our ability to live and age the way we desire, connected to our families and communities until the end.

In his moving 2013 commencement speech to Syracuse University graduates, author George Saunders reflected on the evolution of the human experience. "Your 'self' will diminish and you will grow in love," Saunders said. "You will gradually be replaced by Love."

With subtlety and realistic grace, the characters of "Still Alice" reveal how the caregiving relationship, while never easy, enhances and amplifies this universally attainable goal. And that in the end, we should all strive to be replaced by love, and surrounded by care.

@highlight

Ai-jen Poo: "Still Alice" shows a scenario familiar to many Americans: An ailing family member and no plan for care

@highlight

She says it's good reminder in our aging population of the critical role that caregivers play in allowing us to live with dignity