(CNN) -- Q: This week the U.S. Preventive Services Task Force issued preliminary guidelines for ovarian cancer screening. It recommends against routine screening saying that the risk of false positive diagnoses outweighs the benefits. How can this be and why is it so hard to find a good screening test for ovarian cancer?

A: The U,S. Preventive Services Task Force is a group of medical experts who assess the scientific literature on an issue, such as ovarian cancer screening, before making a recommendation. They do influence how doctors practice medicine.

The statement recommends against routine ovarian cancer screening because they find the evidence of harm associated with screening is greater than the evidence of benefit.

Unfortunately we do not have a good screening test for ovarian cancer, the fifth leading cause of cancer death in women. We need something as effective for ovarian cancer screening as pap smears are for cervix cancer screening.

It is a surprise to many that a screening test could be considered more harmful than helpful. The problem is routine ovarian cancer screening starts a cavalcade of medical procedures associated with harms that are greater than the ultimate benefits. Importantly, it is not that there is no benefit to ovarian cancer screening. The problem is there is not a "net benefit."

The blood test CA 125 is elevated in about half of women who are known to have ovarian cancer. If effectively treated by surgery or chemotherapy, the CA 125 level in the blood goes down. It has been used for nearly three decades to follow progress in treatment.

This test was suggested for screening in the late 1980s. Screening is doing a test in asymptomatic patients who are not suspected of having the disease but are at risk because of age and gender. Very early on, many thought CA 125 would not work well as a screening test.

A teacher gave me this example more than 20 years ago and it still holds. It is dense in numbers, but I think it is followable. It illustrates how a public health physician thinks of a screening test and the trouble with CA 125.

A group of investigators tested the CA 125 blood test for screening in a group of 915 women average age 55, and a total of 36 or 3.9% were abnormal (a level greater than 35 U/ml). These women were evaluated for ovarian cancer and followed. Ultimately none had ovarian cancer.

What if one was to screen 100,000 women? That means 3.9% of the 100,000 or 3,900 women will have false positive findings. Using U.S. cancer incidence data, 13 women in the 100,000 would have ovarian cancer in a given year.

Given that most of the 13 women will be diagnosed with incurable advanced ovarian cancer, a fair assumption is six of the 3,900 will be diagnosed with a potentially curable ovarian cancer.

Given that CA 125 is positive in half of ovarian cancer patients, one would reasonably estimate that three of the six women with curable disease would be identified. That is three potential cures in the more than 3,900 women screened.

Of the 100,000 women, we expect 148 will die of cancer and nine of the 148 will be die because of ovarian cancer within a year of the screen.

That might sound worthwhile at face value, but lets look at the harms of screening. Most of the 3,900 women will get further testing. This consists mostly of ultrasounds and CAT scans. Several hundred will need to get laparoscopy or more invasive abdominal surgery for evaluation.

This is the area of greatest concern. One survey shows 14% of women over the age of 65 have complications after abdominal surgery. Surgical complications cause death in 1% to 2% of women over 65 and one-half of 1% of women over 50, Several hundred women will get abdominal surgery.

When done as a routine test it is quite easy to see that ovarian cancer screening could actually cause the death of more women than the number of women saved. Most of the women who have bad outcomes will not have ovarian cancer.

The gold standard for proving effectiveness of a screening test is a prospective randomized clinical trial comparing a screened group to a group that is not screened over time.

The U.S. National Cancer Institute began such a study in 1993 and published the result in 2011. The trial included 78,216 women aged 55 to 74. It randomly assigned 39,105 to screening and 39,111 to usual care. After an average of more than 12 years of follow-up, the groups had no difference in the ovarian cancer death rate. This means that the trial showed no evidence of routine screening saving lives.

CA 125 is not a good test for ovarian cancer screening, and ovarian cancer may not be a good cancer for screening. What we need is a test that flags fewer people who do not have the disease as suspicious of having the disease. It would be even better if the test found more than half of the women who have the disease. Screening also works better in cancers that tend to stay localized for longer periods of time. Many ovarian cancers spread throughout the abdomen very early in the life of the cancer when the tumor is still very small.

It is important to note that the task force addressed routine screening. The test can be appropriate for screening a woman known to be at high risk for ovarian cancer because of a family history. The test may also be appropriate in assessing a woman who has lower abdominal discomforts.

The opinions expressed in this article do not necessarily represent those of CNN, The American Cancer Society, or Emory University.

@highlight

There's no good screening test for ovarian cancer, the 5th leading cause of cancer deaths in women

@highlight

A blood test called CA 125 is elevated in about half of women with ovarian cancer, but it's not a good test

@highlight

Dr. Otis Brawley: We need a test that flags fewer people who don't have the disease as suspicious