(CNN)It's the albatross which has hung around the neck of world football for the past five years -- so what next for Qatar and the 2022 World Cup?

The question about when the tournament will be held was revealed in Doha Tuesday with a November/December timetable proposed.

Having been cleared of any wrongdoing by Michael Garcia's investigation into alleged corruption into the bidding process surrounding the 2022 tournament, Qatar and world governing body FIFA must now negotiate the minefield of placating a host of parties by playing a World Cup outside of the traditional June/July schedule.

When Qatar won the bid in 2010, its opponents thought they were all bidding for the same tournament -- but it turns out that's not quite true.

The intense heat in the Gulf state during June/July is considered potentially too dangerous for the players to play in, meaning this World Cup will take place in the Qatari winter -- and hugely inconvenience the world's biggest domestic leagues.

"The prospect of a winter World Cup is neither workable nor desirable for European domestic football," an English Premier League (EPL) spokesman told CNN ahead of the announcement.

So what's happening this week?

A FIFA task force, that's a committee to the rest of us, has had plenty to consider in making its recommendation over the World Cup's date.

A tournament held at the starf of 2022 would represent huge problems for broadcasters, with the U.S. sporting schedule already packed in January with the NFL playoffs, while the 2022 Winter Olympics are set to take place the following month.

Sepp Blatter, the FIFA president, has already said that he wanted the tournament to take place in the final two months of the year, but the European Clubs Association, which lobbies on behalf of the continent's biggest teams, is opposed to such a plan.

It had wanted the competition held in April/May,arguing those dates would mean less disruption to domestic seasons.

FifPro, the players' union, is keen on a winter World Cup on health and safety grounds but still expresses reservations surrounding a number of human rights issues associated with staging the tournament in Qatar.

But wasn't the bidding process supposed to be for a summer World Cup?

Well, that's what everyone else thought -- but it seems like the goalposts have been moved.

Australia, one of the countries to lose out to Qatar, was outspoken in its criticism of the tournament being switched to winter and even threatened legal action.

Originally, Qatar said it would use air conditioning to cool the stadiums but concerns still remain.

Harold Mayne-Nicholls led the FIFA inspection team which examined each of the bidding countries for the 2022 World Cup before delivering his report in October 2010.

Mayne-Nicholls concluded that Qatar was a high-risk option because of its soaring temperatures -- but it was still chosen by 14 of the 22 executive committee members in the final round of voting in December that year.

And wasn't Qatar was under investigation?

Not anymore -- in fact, Qatar was cleared of any wrongdoing by Garcia, the man who led FIFA's investigation into allegations of corruption surrounding the 2018 and 2022 World Cups.

The Gulf state, and Russia which will host the 2018 tournament, were both found not guilty and hence allowed to keep hold of the tournaments.

While the full report has not been published, and Garcia has since quit his role as ethics investigator after a falling out with Hans-Joachim Eckert, FIFA's chief ethics judge, there appears little chance of the investigation being re-opened.

Garcia's report failed to uncover a 'smoking gun' despite allegations of wrongdoing being published by British Newspaper, The Sunday Times.

As far as FIFA is concerned, that's that. Time to move on.

But what about the plight of the migrant workers?

According to the International Trade Union Confederation (ITUC), 1,000 workers have already died in Qatar with the figure expected to rise to 4,000 by the time the tournament kicks off.

The so called Kafala system -- which ties employees to a specific employer -- has, according to Human Rights Watch and the International Trade Union Confederation, been open to systematic abuse and created a de facto form of slavery for the more than one million migrant workers living within its borders

A report commissioned by the Qatari government and compiled by law firm DLA Piper called for the Kafala system to be abolished, harsher penalties for employers who withhold passports from employees and a review into why so many workers were suffering cardiac arrests.

According to the report and confirmed by the government, 964 workers from Bangladesh, India and Nepal died while living and working in the country in 2012 and 2013.

The Qatari government says there are over 1.4 million foreign workers currently plying their trade in the country.

In a statement released in November 2014, the Ministry of Labor and Social Affairs insisted the country is making progress and expects labor reforms to be implemented over the coming months.

"A new sponsorship law, currently under review, that will replace the outdated 'Kafala' system will be announced by next year," said the statement.

"We are also working on laws to cover domestic workers.

"As in every country in the world, change does not happen overnight. Significant changes such as these take more time to implement that some may wish, but we intend to effect meaningful and lasting change for the benefit of all those who live and work in Qatar.

"Our plans are going through a legislative process and we expect to make announcements about new legislation by early next year."

What will the decision be?

Prior to Tuesday's announcement, Shaikh Salman bin Ebrahim Al Khalifa, who is head of the Asian Football Confederation and also leads the task force, had stated his belief the 2022 World Cup would take place in November/December.

Speaking to reporters at the Asian Cup last month, Salman said: "The period best suited for hosting the 2022 World Cup in Qatar will be in November and December because for sure it needs to be played in the winter."

The decision by the task force is, in essence at least, a mere proposal, though it is unlikely to be overturned when the FIFA executive committee meets on March 19 and 20.

It is there that the committee will ratify the proposal, although in theory, it could also reject it but that's not expected to happen.

What happens with broadcast deals if the tournament gets moved?

U.S. broadcaster Fox signed a $425 million deal to show the 2018 and 2022 back in 2011.

"You go into buying a World Cup and you believe it's going to be in the same time frame it's always been," Fox Sports President Eric Shanks said last year.

"Clearly in America there's much more competition for ratings points."

Shanks has a point. A winter World Cup would be a catastrophe for Fox with the tournament set to clash with the NFL playoffs.

Except earlier this month Fox secured the rights for the 2026 World Cup without a bidding war -- a tournament which is likely to be held in North America.

It remains to be seen how much of a fuss other broadcasters will make if the tournament is moved to November/December.

What will happen to club competitions?

There are still seven years to go until the World Cup in Qatar so domestic leagues will have time to make plans to avoid as much disruption to their season as possible, but a switch to November and December is likely to provide a major headache for top-flight leagues and clubs.

Notably for the EPL, which doesn't have a winter break -- unlike most other European leagues. That potentially presents issues for its English teams as to how best to prevent their players from suffering burnout.

Likewise European governing body UEFA, which runs the Champions League and Europa League, will also have to work out how its prestigious competitions, fit around a winter World Cup.

At the moment it's a case of "wait and see" but this one looks set to run and run.

@highlight

The 2022 World Cup is set to be held in November/December in Qatar

@highlight

Tournament moved away from traditional June/July dates because of intense heat in Gulf state

@highlight

Europe's biggest clubs oppose plan saying it will disrupt season

@highlight

FIFA Executive Committee set to ratify proposal