(CNN) -- It won't surprise anyone that Justice Antonin Scalia wrote a scathing dissent in a Supreme Court case that came down last week. But it might surprise some people that three members of the court's so-called liberal wing joined him.

Scalia argued that searching the car of Prado Navarette, pulled over on suspicion of drunken driving, violated the Fourth Amendment's protections against unreasonable searches and seizures. Justices Ruth Bader Ginsburg, Elena Kagan and Sonia Sotomayor agreed.

This seemingly idiosyncratic lineup is a developing bloc in Fourth Amendment cases, and it's one to keep any eye on as the court hears two even bigger such cases Tuesday. In Riley v. California and United States v. Wurie, the court will consider whether the police may search the contents of an arrestee's cell phone without a warrant. This means that if you get arrested for jaywalking or littering (and in some places, you can be), the police can search your smartphone -- and everything on it.

There should be little doubt about what Scalia will say about these searches. He has become a regular champion of the Fourth Amendments protections against "unreasonable searches and seizures." In Navarette v. California, Scalia disagreed with the court's conclusion that the police could lawfully stop a car after a woman anonymously called 911 and reported that the car had driven her off the road. Scalia wrote that such stops were not the constitutional framers' concept of a "people secure from unreasonable searches and seizures."

And in Maryland v. King, a case decided last term, Scalia disagreed with the court's conclusion that the police may lawfully take a cheek swab of someone's DNA after he or she has been arrested for a serious offense. He expressed "doubt that the proud men who wrote the charter of our liberties would have been so eager to open their mouths for royal inspection."

Those proud men adopted the Fourth Amendment in large part to respond to the British use of "general warrants." These warrants were not specific about the people or items to be searched and thus gave the government broad discretion to search people's homes and the personal papers and effects within. The Fourth Amendment was adopted to ensure the American people would not be subject to such broad searches.

As Scalia put it simply in the King case, "suspicionless searches are never allowed if their principal end is ordinary crime-solving." That's precisely why the police should not be able to search the modern-day equivalent of one's "papers and effects" -- the contents of one's cell phone -- without a warrant.

Fortunately, there's reason to think that Scalia won't be on the losing side of this one. To start, searches of cell phones have the potential to be far more invasive than the searches in Navarette and King. In Navarette, the search was a brief traffic stop. Even the search in King -- a light swabbing of the cheek -- while more physically invasive, does not reveal all of a person's most private communications and the intimate details of one's life the way searches of a smart phone can.

Consider all the information on your smartphone -- not only e-mails and texts and call logs, but also apps that reveal a tremendous amount about you.

Moreover, King involved a booking procedure when an individual was taken into custody for a serious offense. Indeed, the court went to great lengths to emphasize that the search would only be imposed on individuals charged with serious crimes. Not so the searches at issue in Riley and Wurie, which could take place after any arrest.

Further, unlike in Navarette and King, robust enforcement of the Fourth Amendment in these cases will not hamper law enforcement. In Navarette, a ruling against the government would have meant the police could not stop the car; in King, they could not have taken the cheek swab. Here, the police can still seize the cell phone at the time of arrest and, assuming there is probable cause, they can subsequently obtain a warrant to search the phone.

Finally, the last time the court confronted a case involving a similar Fourth Amendment question -- another search following a lawful arrest -- Scalia was on the winning side: Justice Clarence Thomas also concluded that the search was unreasonable, and Justice Stephen Breyer suggested he might have if the Supreme Court had not already addressed the exact question at issue in that case.

The court hasn't before confronted the question at issue in Riley and Wurie -- cell phone searches. But even though the question is new, it's one for which history provides an answer. The framers didn't want the government to rifle through people's most personal papers and effects in the absence of individualized suspicion that they might provide evidence of wrongdoing.

As Scalia will surely recognize, and as all of his other colleagues should as well.

@highlight

Brianne Gorod: Scalia champions Fourth Amendment, has sided with liberal wing

@highlight

Gorod: He may again in cases on whether police should be allowed to search cell phones

@highlight

She says framers wanted to protect against "unreasonable searches and seizures"

@highlight

Gorod: Warrantless searches of cell phones is equivalent to rifling through papers in a home