(Health.com) -- Teenage boys who are even slightly overweight face an increased risk of heart disease later in life, even if they slim down as adults, according to a new study in the New England Journal of Medicine.

Regardless of their adult weight, men who were obese as teenagers were nearly seven times more likely than their slimmest peers to get heart disease in their mid-30s, the study found. Heavier-than-average teens whose body mass index was in the normal range were at increased risk as well. (Body mass index, or BMI, is a ratio of height to weight that provides a rough estimate of body fat.)

The good news is that the same was not true of diabetes. A man's BMI as an adult, but not as a teen, was linked to an increased risk of developing type 2 diabetes, so slimming down by eating right and exercising appears to go a long way toward preventing the onset of the disease, the researchers say.

Health.com: 10 signs of type 2 diabetes

"For those who don't become obese as adults, the risk of diabetes goes down, but for heart disease this is not the case," says the lead author of the study, Amir Tirosh, M.D., an endocrinologist at Brigham and Women's Hospital, in Boston, Massachusetts. "You don't get rid of the risk just by reducing the weight. The body remembers when we were running around with a higher BMI."

Current weight and recent weight changes strongly influence the risk of developing type 2 diabetes. By contrast, the findings suggest, the narrowing and hardening of the arteries (atherosclerosis) that characterizes heart disease and often goes hand in hand with obesity -- both are aggravated by a poor diet and sedentary lifestyle -- is gradual and difficult to reverse, even with weight loss.

Health.com: 10 heart-healthy rules to live by

It's important to keep in mind that being overweight is not solely responsible for heart disease or diabetes, says Daniel Marks, M.D., a pediatric endocrinologist at Oregon Health and Sciences University, in Portland. Nutrition, exercise, and other lifestyle choices, he says, have a "much greater impact" on risk than body size alone.

Two people with the same BMI can have very different risks for diabetes and heart disease if one of them exercises regularly and the other does not, says Marks, who was not involved in the new study. "BMI is a proxy marker for poor lifestyle choices," he explains. "But it's the lifestyle choices that will get you in the end. We all need to have healthier lifestyles."

Health.com: 15 exercise tips for people with type 2 diabetes

Indeed, even some boys in the study whose BMIs were considered "normal" were at increased risk of heart disease as adults. The Centers for Disease Control and Prevention defines kids and teens with a BMI between the 5th and 85th percentile for their age as normal, but Tirosh and his colleagues found that boys with BMIs as low as the 50th percentile -- which equates to a BMI of about 20 -- were at increased risk.

"For patients at the higher end of the normal range, doctors should be addressing risk factors such as family history of heart disease and smoking," Tirosh says.

The study drew on data from the medical records of more than 37,000 Israeli soldiers who were drafted at age 17 and chose to pursue careers in the military. The participants were followed for about 17 years, during which they gained an average of 33 pounds. In order to isolate the effect of teenage BMI, the researchers controlled for cholesterol levels, blood pressure, physical activity, smoking, and family history of heart disease, in addition to changes in weight.

Health.com: The 10 best foods for your heart

By the end of the study, when most of the men were in their mid-30s, 0.9 percent of them had been diagnosed with heart disease and just over 3 percent had been diagnosed with diabetes. The heart disease rate was substantially higher (1.8 percent) among the men who had been obese as teenagers. (Heart disease was diagnosed with a type of X-ray known as an angiogram; men qualified if they had at least one coronary artery that had narrowed by 50 percent or more.)

It's not clear how well these findings apply to women or to nonmilitary populations, although the authors point out that the men in the study are comparable, health wise, to similarly aged groups of civilian men in other industrialized countries. And though the military may conjure images of rifles and rucksacks, 90 percent of the men in the study worked office jobs, Tirosh says.

Copyright Health Magazine 2011

@highlight

New study says teen boys who are overweight face an increased risk of heart disease

@highlight

The study drew on data from medical records of Israeli soldiers drafted at age 17

@highlight

Current weight and weight changes influence the risk of developing type 2 diabetes