(CNN) -- When Russian Minister of Defense Sergei Shoigu stated that the Russian troops along Ukraine's borders were only conducting "training exercises" and have no "intention to cross Ukraine's borders or to engage in any aggressive actions," Ukrainians rolled their eyes.

And when President Vladimir Putin told Ukrainians "Don't believe those who terrify you with Russia, who shout that other regions will follow Crimea. We do not want Ukraine's division. ... We want Ukraine to be a strong, sovereign, and self-sufficient state," Ukrainians shrugged.

The problem is, even if Putin and Shoigu were being sincere, Moscow has lost all credibility among most Ukrainians and the international community. After three weeks of aggressive Russian behavior and the possibility of existential annihilation, Ukrainians, like Israelis, prefer to think in terms of worst-case scenarios. After all, they blithely assumed Russia would never attack -- and then Russia seized Crimea.

They never imagined that Russian officials would treat their country as an object of abject scorn. They never suspected that thousands of Russians would chant anti-Ukrainian war slogans in the streets of Moscow. In each instance, Ukrainians' working assumption of a friendly Russia proved dead wrong.

They also never imagined that the Yanukovych regime had so thoroughly permitted Ukraine's defensive capacity to deteriorate, by sacrificing Ukrainian security on the altar of the Yanukovych family's untrammeled accumulation of power and embezzlement of state funds.

A political scientist at Kiev's elite Mohyla University has stated that he is not "not optimistic about Ukraine maintaining the integrity of even its mainland territorial borders" until the end of March and has evacuated his family from the capital.

A friend in Lviv tells me that "an invasion and war are unavoidable." An American businessman in Kiev writes: "I believe we are closer to World War III than we have ever been." In many parts of the country, Ukrainians have taken to preparing little suitcases with all the necessities -- just in case they have to flee at a moment's notice.

Ukrainians' jitters are perfectly understandable. Ukrainian officials say that 80,000 Russian troops and heavy armor are amassed on Ukraine's borders. Putin claims to have the right to intervene anywhere in Ukraine if and when he deems that Russian citizens are being threatened.

He and myriad Russian policymakers routinely insist that Ukrainians are really Russians and that Ukraine is an artificial entity. Thus far, Moscow refuses to recognize the democratic government in Kiev and claims that it is no longer bound by the 1994 Budapest Memorandum on Security Assurances.

Because of Russia's occupation of Crimea and Putin's militarist rhetoric, many Ukrainians are certain that war is inevitable. Prime Minister Arsenii Yatseniuk warned Moscow on March 20 that Ukraine's response to a Russian invasion would be vigorous.

Kiev has already begun improving its defensive capabilities. On March 17, the Ukrainian Parliament allocated 6.9 billion hryvnia -- about $684 million -- to defense. In the last few weeks, Ukrainian armed forces, tanks and other defensive weapons have been deployed along the country's border with Russia. The number of border guards along Ukraine's southeastern borders has also increased. Kherson province is planning to build a 20-kilometer long ditch along its border with Crimea.

A National Guard has been formed, and its ranks are to consist of 20,000 troops. The Ukrainian Security Service appears also to have become more active in Ukraine's vulnerable southeastern provinces. No less important, the population is determined to resist and sales of guns have far outstripped supply.

Thinking in more long-term categories, former Minister of Foreign Affairs Volodymyr Ohryzko has even suggested that Ukraine exit the Nuclear Non-Proliferation Treaty and initiate the "process of uranium enrichment." American provision of non-lethal military equipment and advisers would also go a long way to improving Ukraine's deterrent capacity.

Kiev's defensive efforts may or may not be enough to stop a possible Russian attack, but they would certainly make it far more difficult, risky, and bloody -- which may be enough to deter Moscow. Alternatively, these efforts may just induce Russia to seek less frontal modes of undermining Ukraine. After all, any potential Russian assault on mainland Ukraine would rest on three pillars: an invasion by the army, the agitation by pro-Putin "fifth columns" within Ukraine, and the diversionary activities of Russian secret agents and special forces tasked with sowing panic, sabotaging transportation and communications, and attacking military bases and arms depots.

Although Ukraine appears to have the capacity to neutralize internal threats, a concerted long-term Russian effort at stoking instability could lay the groundwork for a later invasion or, at the very least, divert Kiev's attention from the pressing cause of economic and political reform.

While Ukraine's security may or may not be enhanced by most of these measures, the irony is that Russia's definitely will not be -- at least in the medium to long term. Putin's seizure of Crimea may have provided him with the opportunity to beat his chest before adoring Russian crowds, but it will eventually undermine Russian security.

Ukraine is and will remain too weak to be a threat. And on its own, no country in Russia's "near abroad" can pose a threat. Even taken together, the non-Russians will be weaker than Russia. But Putin's land grab will make all of them inclined to regard Russia as a potentially land-grabbing foe and to promote their own security independently of Russia and outside of any Russian-led blocs or unions. Expect the Central Asians and Azerbaijanis to turn increasingly to China and Turkey, and the Georgians, Moldovans, Ukrainians, and even the Belarusians to head for the West. Also expect the Russian Federation's non-Russian autonomous republics and regions to press for greater autonomy from Moscow.

If Putin could just put aside his hypernationalist neo-imperialism and think straight about what's good for Russia, he'd try to nip the problem in the bud. A sober Russia would then withdraw all the forces that are engaged in "exercises" along Ukraine's borders and agree to a significant force reduction in Crimea.

A sober Russia would also explicitly state that it recognizes the Budapest Memorandum and the current Ukrainian government. That last point is essential. As long as the Kremlin insists that the Kiev government is illegitimate, it will always be able to claim that its behavior toward Ukraine's Russian minority is also illegitimate and, hence, liable to correction by means of Russian intervention.

Seen in this light, annexing Crimea has to be one of Putin's worst strategic blunders. Had the province become "independent," there would still have been a theoretical possibility of finding some accommodation with Kiev. After annexation, any dialogue with the Ukrainian government -- and, thus, any resolution of the Russo-Ukrainian conflict -- becomes significantly more difficult. It's perfectly possible that Putin wants the conflict to remain unresolved, on the assumption that it will undermine Ukraine. The problem is that an unresolved conflict will also undermine Russia.

As Ukraine and Russia's other non-Russian neighbors are compelled by Moscow's aggression to enhance their security, Russia may soon face a nightmare of its own creation -- non-Russian encirclement. When Russians wake up to the reality after the euphoria of Crimea's annexation wears off, Putin may very well discover that his own security and stability as President are in danger.

The opinions expressed in this commentary are solely those of Alexander Motyl.

@highlight

Alexander Motyl: Ukrainians don't believe Russia's assurances it will not invade

@highlight

He says people are buying guns, leaving town, packing suitcases to be ready for war

@highlight

Motyl: Ukraine is beefing up its decimated defense; sending troops, tanks to borders

@highlight

Motyl: This may be Putin's worst strategic move, alienating other small, nearby nations