WASHINGTON (CNN) -- While California's Supreme Court on Tuesday upheld a ban on same-sex marriages that voters voters passed in November, the fight will undoubtedly go forward.

Four states -- Connecticut, Maine, Massachusetts and Iowa -- currently allow same-sex marriages.

The ruling by the court allows about 18,000 same-sex marriages performed before the ban to remain valid.

The decision was met with chants of "shame on you" from a crowd of about 1,000 people gathered outside the court building in San Francisco on Tuesday.

Proposition 8 passed in the 2008 general election with about 52.5 percent of the vote. California had been issuing marriage licenses to same-sex couples since the state Supreme Court ruled in May 2008 that the unions were legal. iReport.com: Couples' thoughts on Prop 8?

But the question now remains whether gay rights activists across the country will take their fight -- despite the California ruling -- to state courts, push for ballot initiatives or simply pressure state politicians to move legislation.

Currently, four states -- Connecticut, Maine, Massachusetts and Iowa -- approved of same-sex marriages.

Vermont's legislature passed a law making same-sex marriages legal that will take effect in September. New Hampshire and Rhode Island remain the New England states that have not approved the marriages into law.

Most recently, on May 6, same-sex marriage became legal in Maine when Democratic Gov. John Baldacci signed a bill less than an hour after the state Legislature approved it.

"I have come to believe that this is a question of fairness and of equal protection under the law and that a civil union is not equal to civil marriage," he said in a statement.

But he raised the possibility that the residents of the state would overturn the law. "Just as the Maine Constitution demands that all people are treated equally under the law, it also guarantees that the ultimate political power in the state belongs to the people."

The fight for same-sex marriage in New Hampshire, meanwhile, has hit a roadblock.

The House and Senate have approved allowing gay couples to marry. But Gov. John Lynch, a three-term Democrat, said last week that he would sign a same-sex marriage bill only if it provides "the strongest and clearest protections for religious institutions and associations, and for the individuals working with such institutions."

Lynch said that any such measure needs to "make clear that [clergy and other religious officials] cannot be forced to act in ways that violate their deeply held religious principles."

On Wednesday, the House fell two votes short of approving Lynch's language, 186-188. The chamber voted to send the legislation to a committee to be considered further.

Others state have implemented same-sex marriages.  Interactive: States that allow same-sex unions »

In April, the Iowa Supreme Court ruled unanimously that it is illegal to discriminate against same-sex couples by denying them the right to marry. The first gay marriages in the state took place April 27.

The District of Columbia voted May 5 to recognize same-sex marriages performed elsewhere, though it does not itself give marriage licenses to same-sex couples.

But that measure faces a potentially large hurdle: being sent to Congress for a review and vote, setting up what would amount to a straight up-or-down vote on same-sex marriage.

Because Washington is not a state, its legislation must pass congressional muster. Some measures approved by overwhelmingly Democratic Washington voters, including a restrictive gun law and a proposal decriminalizing medical marijuana use, have been vetoed by Congress in recent years.

In New York, Gov. David Paterson introduced legislation in April to make same-sex marriage legal.

"The time has come to act. The time has come for leadership. The time has come to bring marriage equality to the state of New York," the Democratic governor said.

The legislation would allow same-sex couples in the state to enter into civil marriages and enjoy the same rights afforded to heterosexual married couples.

A similar bill died in the state Senate in 2007.

Gay rights advocates in nearby New Jersey have said they believe that the state could be the next to pass same-sex marriage into law.

Although the state already recognizes civil unions for gays and lesbians, its legislature will have to take up the issue.

Meanwhile, recent CNN polling has shown that a slim majority of Americans are against legal recognition of same-sex marriage. Fifty-four percent of Americans questioned in an April 23-26 CNN/Opinion Research Corp. poll said that marriages between gay or lesbian couples should not be recognized as valid, but 44 percent said they should be considered legal.

But there was a large gap between the opinions of younger and older people, with younger people far more likely to approve of gay marriage. Nearly six in 10 people ages 18 to 34 said same-sex marriages should be legal. Just over four in 10 people ages 35 to 49 agreed, and the number was similar for 50- to 64-year-olds. Only 24 percent of people 65 and older agreed.

The survey's sampling error was plus or minus 3 percentage points.

And the marriage debate is also changing for some Republicans, who have long opposed same-sex marriages.

In a speech April 17 to the conservative gay-rights group Log Cabin Republicans, Steve Schmidt -- an architect of Republican Sen. John McCain's 2008 presidential campaign -- said that allowing same-sex marriage is in line with the conservative credo of keeping government out of people's private lives.

"There is a sound conservative argument to be made for same-sex marriage," said Schmidt, who was McCain's campaign manager. "I believe conservatives, more than liberals, insist that rights come with responsibilities. No other exercise of one's liberty comes with greater responsibilities than marriage. In a marriage, two people are completely responsible to and for each other."

Schmidt says he knows that his is a minority view. In the presidential campaign, McCain ran against same-sex marriage.

McCain's own daughter Meghan recently said the Republican Party needs to embrace issues facing gays and lesbians -- most notably, approving of same-sex marriage.

Although moderates such as Schmidt and Meghan McCain approve, opposition is coming mainly from the party's base: conservatives. And the fight among conservatives and religious groups will probably heat up as more states begin to examine marriage rights.

CNN's Dana Bash, Alan Duke, Peter Hamby, Laurie Segall and Paul Steinhauser contributed to this report.

@highlight

Same-sex marriage is legal in four states, mostly in New England

@highlight

Activists across the country may push for ballot initiatives or legislation

@highlight

Poll finds that attitudes on same-sex marriage are generational