(CNN) -- Paris is perpetually one of the world's most popular cities. And the 16 million tourists who travel to the home of La Tour Eiffel and the Louvre leave a whopping $17.8 billion behind during their trips, according to MasterCard's 2012 Global Destination Cities Index.

While Paris isn't generally a place you go to save money, it can be done. Even in this pricey place, the clever traveler can track down activities, services and just plain pleasures that don't cost a single centime. Here's a list of 10 fabulous and free finds in the City of Light.

Tour the city for free. Spend an hour or 90 minutes strolling city streets on free tours -- except for the voluntary tips you give -- with Parisian natives through Discover Walks. Held 363 days a year -- each day except December 24 and 25 -- these rain-or-shine, small-group tours show you the Right and Left Bank, Notre Dame, the hip-and-trendy Marais and the picturesque city village of Montmartre. Just show up ready to walk. You don't even have to book in advance unless you're bringing a group of eight or more.

Soak up the organ sounds at Saint-Sulpice. Here's a favorite of "Europe Through the Back Door" travel guru and public television series host Rick Steves. The Left Bank church of Saint-Sulpice -- which gained fame thanks to its prominent role as a location in "The Da Vinci Code" -- has a pipe organ tradition dating back to the mid-16th century. Visitors can climb up a spiral staircase to the organ loft to meet multilingual virtuoso Daniel Roth after the 10:30 a.m. Sunday Mass and subsequent organ recital. Guests can watch this living legend play one of Europe's most majestic pipe organs during the 12:05 p.m. Mass. Amazing grace, indeed.

Drink up -- at a sparkling water fountain. Leave it to Paris to create a public water tap -- inside a lovely park, no less -- with the bubbly stuff. For the past couple years, the Jardin de Reuilly in the city's southeast 12th arrondissement has been serving up cooled sparkling water to quench Parisian thirsts (available any time the park is open). The park's La Pétillante public fountain was the first in France to add carbon dioxide to the city's tap water, and locals lapped it up by bringing their own bottles to fill. You'd expect no less in the country that gave the world Perrier.

On a clear day you can see ... Sure, you can climb to the top of the Arc de Triomphe or Eiffel Tower, but some of the City of Light's most stunning -- and free! -- views can be found from the roof terrace of the Left Bank's Institut du Monde Arabe. An über-modern, curved-façade facility designed by famed French architect Jean Nouvel, the Institut was founded by 18 Arab nations and France to take a multidisciplinary look at the Islamic Arab world. It allows visitors, whether or not they're visiting the Institut's recently revamped museum, library or bookshops, to take its glass elevator up to the ninth floor terrace. From here, gaze out at Notre Dame, the Centre Pompidou or the landmark column standing in Place de la Bastille.

Under 26? Catch up on contemporary French art at MAC/VAL -- the Musée d'Art Contemporain du Val de Marne. Who says youth is wasted on the young? Not if they're lovers of contemporary art and artists like Christian Boltanski, Bruno Perramant and Gina Pane. Here, out in the 'burb of Vitry-sur-Seine, MAC/VAL offers visitors a range of French modern art from the 1950s through today. And if these visitors are under 26, they get to experience it all gratis (flash an ID to borrow a free audio guide). From established talent to emerging artists, you'll find them at MAC/VAL, which hosts three to four temporary exhibits each year.

Look for the loos. Most folks don't get particularly psyched about toilets. But when they're the space-age, self-cleaning, pod-like gray structures dotting the Parisian streetscape, you just might. You'll find 400 of these disabled-accessible bathrooms scattered all around Paris (they're open between 6 a.m. and 10 p.m.) near major tourist spots, food markets and taxi stands. Each time a visitor uses these "sanisettes," the toilet bowl and floor are automatically cleaned, dried and disinfected -- and they contain coat hooks, a mirror and sink. And with natural roof lighting, reduced water use and renewable-source electricity, they're eco-friendly to boot. Mother Nature must be thrilled.

Life's a beach (during the summer, at least). So what if the Seine River that snakes through Paris has no beach? This city is nothing if not inventive -- so Mayor Bertrand Delanoë spearheaded the creation of Paris Plages, man-made "beaches" that offer locals and tourists alike a "Seine-side holiday" each summer. Starting around July 20 and for four weeks after, the city closes the streets along the river, brings in tons of sand and palm trees and offers a slew of entertaining options from beach volleyball to kayaking to open-air concerts on three different "beaches." Of course, this being France, riverside cafés, restaurants and ice cream vendors are de rigueur. You'll have to wait 'til next year to take advantage of the next installment, but what a Parisian way to spend those dog days of summer, from 8 a.m. to midnight.

Make it a museum. Just like museums in most world-class cities, many of those within Paris open themselves to visitors free of charge one day a week. In the City of Light, that's the first Sunday of each month. Save those euros for a few café au laits or souvenirs and check out the Louvre, the Musée d'Orsay and the Musée National Rodin (hello, The Thinker!), among others. Some, like the Musée Carnavalet, offer free admission to their permanent and themed collections each day. For those seeking a free dose of nighttime culture -- and who visit Paris in mid-May -- Nuit des Musées is just the ticket. Nearly 200 city museums keep their doors open during this one night from 6 p.m. until at least midnight.

See Paris through local eyes. There's nothing like traipsing through a city with a local resident by your side. The Parisien d'Un Jour, Paris Greeter program, pairs city visitors with regular residents -- students, working people, retirees and others. These folks aren't formal guides or interpreters, just passionate Parisians willing to spend two or three hours walking with groups of six or fewer tourists, showing off their favorite areas and spots based on your interests and language. Just go online to register. (Paris Greeters welcome visitors with disabilities, too.) Got questions about navigating the Métro or Parisian quirks? Ask away. And while the service is free, the program happily accepts donations.

Savor free sounds on Sunday. As it has since the early 1930s, the American Church in Paris has hosted the Atelier Concert Series, which offers a performance venue to musicians of diverse backgrounds and musical styles. Staged at the legendary Left Bank church every Sunday at 5 p.m. from September to November and January through June, music lovers will hear everything from classical pianists to opera singers to flute-and-guitar ensembles. Feel like giving thanks? Drop something in the voluntary offering at the door.

Maureen Jenkins is a freelance travel and food writer who lives outside Paris and blogs at UrbanTravelGirl.com.

@highlight

Free programs pair tourists with locals to explore the city

@highlight

Take in views from the top of the Left Bank's Institut du Monde Arabe at no cost

@highlight

Free concerts and museum admission give visitors a complimentary taste of culture