(CNN) -- The Ice Bucket Challenge invites eye rolling.

By definition, all gimmicks are designed to jump the shark, eventually. And gimmicks that look like one big selfie orgy may run into backlash faster than most.

Considered another way, however, I side with those who see the Ice Bucket Challenge as a marker of something larger and something special occurring across the culture.

It's not the funny videos that matter. It's the power of the peer-to-peer economy, driven by young people, now rippling through the social sector. Businesses such as Airbnb, Uberx and "P2P" lending firms such as Prosper Marketplace have demonstrated the heft of peer models.

While the Ice Bucket Challenge itself will come and go, peer-to-peer fundraising and activism will stick around.

Beth Kanter, an author and expert on nonprofit trends, points to "PhilanthroKids" who are leading the way. Kanter writes that "we are starting to see a rise of crowd funding projects done by and for kids. ... These are teens (and pre-teens) with a passion for social change and who grew up not knowing what it was like to not have a cell phone or be connected to Facebook."

With the Ice Bucket Challenge, she explains, "this was not a campaign started by the ALS Association, but young people who wanted to support the cause."

The dual forces matter. With the arrival of the sharing economy and the generational shift in deciding how to allocate scarce resources -- charitable donations and volunteer time -- donation-dependent and volunteer-dependent organizations must prepare for a new and different future.

Arts researcher Alan Brown was the first person I met who figured out how peers influence how we decide which social and cultural events are worth our time and dollar, and which are not. Indeed, our study from a decade ago showed the importance of peer influence on interest in classical music concerts.

In more than 11,000 interviews across 15 U.S. cities, we found 20% of adults reported attending a classical music concert in the past year. Yet nearly three times that share -- 56% -- said they would accept an invitation from a friend or family member to attend a classical music concert. What we hinted at then and now see as brutally clear is that it's all about who's doing the asking.

When my sister participates in a fundraising run and sends an email asking me to donate, I do. When the professional expert from that same nonprofit organization asks me to donate, I treat the note as spam.

So the critical innovation of the Ice Bucket Challenge is not the funny visual. It's what comes at the end of the videos, when the soaked participant looks into the camera and challenges family or friends to do the same. As the great songwriter Steve Goodman knew, we all want to be called out by our names.

When I phoned Alan to get his take on the Ice Bucket Challenge, he noted the "social validation" produced through this kind of interchange. Most charitable giving is private and personal. This peer-based alternative creates a lasting good feeling that can only be realized through a kind of social alchemy, not a private act.

"There is also a generational thing we're seeing," Brown said, "where young people are moving from relying on an expert critic to relying on a peer. I guess this is an extreme manifestation of that. I'm shocked by how many people have thrown buckets of cold water over their head."

A hundred years ago, Andrew Carnegie was in the midst of building 2,509 libraries around the world -- becoming, almost literally, the bedrock of American philanthropy. His money, his deal.

Today, formal authority has lost some of its value. Instead of outside experts driving the allocation of volunteer time and charitable donations, "in our world, it's the power of suggestion, when a friend invites you to something or suggests a piece of music," Brown told me. "It's not just the music coming your way. It's the social imprimatur."

Because individual donations as a percentage of disposable personal income do not fluctuate much, we may find that the overall level of giving remains steady but that young people seek out charitable causes that provide the best peer-to-peer connections and honor informal influence over traditional authority.

If so, the Ice Bucket Challenge is causing more than a shock to the system of the person doused. It may be sending a shock to the system of traditional fundraising.

@highlight

John Bare: The Ice Bucket Challenge invites eye rolling, it seems gimmicky

@highlight

Bare: But it may signal a new kind of activism and peer-to-peer fund-raising which will stick around

@highlight

He says the generation shift and arrival of the sharing economy change nature of charitable giving

@highlight

Bare: The rise of peer influence may send a shock to the system of traditional fund-raising