(CNN) -- Haleigh Jacobs and her husband, David, have spent the last two months in the hospital, hovering over their 8-pound newborn, Brantley. He has yet to spend a day outside the incubator, smell fresh air or go home to meet his siblings.

Brantley's right leg juts out like a reddish brown lump of flesh that is thicker than his torso. His toes, indistinguishable from each other, look like dimples. The leg is studded with damaged blood vessels, veins and capillaries that look like raisins. Another lump protrudes from his abdomen.

"It is frustrating," his mother said. "For one, being a parent, you feel helpless, and then, you've got a baby that's hurting."

But this is an improvement from what Brantley has endured. He had a rectal tear that spontaneously gushed blood and fluids. That has been healing.

For families dealing with rare diseases, the road to a diagnosis is a long, winding one, riddled with confusion, complications and expenses. Although pop culture has left an impression that there is a genius doctor somewhere, like the fictional Dr. House who can identify and cure rare diseases, the reality is far different.

After the diagnosis, the lack of answers or effective treatment can be completely unsatisfying.

"Two-thirds of the people with rare diseases are children, because these are genetic diseases," said Mary Dunkle, the vice president for communications at the National Organization for Rare Disorders. "It's very often young parents with a new baby and they're very, very worried and very much in unfamiliar territory."

On December 28, the Jacobses, who are from Blanchard, Oklahoma, welcomed their second son. Brantley Lane Jacobs was born eight weeks early.

"I didn't get to see him," Haleigh Jacobs said, about after the birth. "But I saw his leg. It was hard not to see his leg. ... I started bawling."

Brantley weighed 4 pounds, 3 ounces. His leg weighed 1 pound.

The leg had puffed up because of a buildup of blood vessels, called hemangioma. The skin of his legs had stretched thin to encase the increasing swelling and had become fragile like a burn patient's. The leg required constant wrapping and moisturizing to prevent chapping and bleeding.

Jacobs had learned before giving birth there was something unusual about her third baby. Twenty-one weeks into her pregnancy, she and her husband went to get an ultrasound to find out whether the baby was a boy or a girl. The specialists noticed an unusual lump on the fetus.

When he was delivered, Brantley's physical state was perplexing.

The doctors were baffled, Jacobs said. The swelling on Brantley's leg kept growing. Every time Brantley was moved or his leg touched, he would wince or scream.

The hole near his rectum would bleed whenever someone tried to wipe him during a diaper change.

Brantley has never been breastfed, because he's too fragile. His mother gingerly feeds him with a bottle, worried that any jerks or sudden movements could bother his skin.

His doctors in Oklahoma called specialists and sent images and test results to other pediatricians and specialists around the country. Maybe, one of the doctor speculated, Brantley had Klippel-Trenaunay syndrome, a rare childhood genetic disease.

Another doctor suggested it could be CLOVES Syndrome, another rare vascular disease that causes malformations and has only been found in 80 people. Another doctor thought it could be a combination of both diseases, possibly a new condition.

There are almost 7,000 rare diseases in the United States, according to the National Organization for Rare Disorders.

These tend to be complex diseases," said Dunkle. "It's really not in any way bashing the professional medical community. People have a hard time getting a diagnosis, it's obviously distressing and difficult for families and patients."

The parents wanted to find someone who could help their son. Haleigh Jacobs e-mailed doctors and worked with doctors in Oklahoma to get referrals to other hospitals.

In mid-February, Brantley was referred to Arkansas Children's Hospital in Little Rock. Jacobs took a leave from her job as a dispatcher for the police department and so did her husband, who works for a company that locates and marks underground gas and electric lines.

Families are often encouraged to go to teaching hospitals on the theory that they will have a better chance there of interacting with medical professionals who may have seen something similar to their situations.

When Brantley arrived in Arkansas, the diagnosis was Klippel-Trenaunay syndrome, a rare disorder that appears in one in 100,000 children, said Dr. Gresham Richter, associate professor at the University of Arkansas for medical sciences.

Richter sees about 30 cases a year at the hospital. The way Brantley presented with the disease was so unusual Richter said he has only seen it in two other patients.

Some Klippel-Trenaunay patients have internal bleeding because of the malformation of blood vessels in organs such as the liver, heart, lungs and rectum. They usually have port wine marks on the skin and the growth of masses of blood vessels and varicose veins.

"It's usually a cutaneous birthmark that is red and inflamed. It becomes bigger and bigger," Richter said. "It usually does not appear at birth like Brantley's does. It's a rare form of KTS, and the one that is most dangerous because it grows very quickly."

The swelling in Brantley's leg is caused by accumulating lymphatic fluids collecting in his leg. The muscles, tendons and bones in Brantley's right leg are being infiltrated, Richter said.

There is no cure for the disease, which is often the case when dealing with rare diagnoses.

"The worst thing is to get a diagnosis and find out there's no treatment, no support group," Dunkle said. Sometimes that's how patient advocacy groups are formed, she added.

Although the appearance of Klippel-Trenaunay syndrome is shocking, Richter said patients can have a normal life expectancy.

Brantley will need laser surgery continually to remove the damaged blood vessels in his leg. The surgery does not address the underlying cause of the disease, which is believed to be genetic.

His leg will have to be amputated at some point, Richter said.

Brantley's parents are seeking a second opinion and another hospital as they contemplate their next step. They brought Brantley home for the first time this week. But the homecoming has been overshadowed by a looming medical decision.

"We have been going back and forth," she said. "Do we tell them to take the leg? Is he going to be mad at us when he gets older?"

Her husband added that when they first learned of the malformation during pregnancy, they were given two options: abort Brantley or give birth and see what happens.

"That was an easy decision on our part," he said. "This whole leg amputation, it has been left up to us. That's a tough decision because the decisions we have to make have nothing to do with us. It's for the betterment of him. Do we leave the leg and hope someone can fix it three or four years down the line?"

@highlight

Brantley was born with 25% of his birth weight coming from a malformed leg

@highlight

Young parents are usually the people who have to deal with rare diseases

@highlight

In cases like these, parents often feel frustrated and helpless