(CNN) -- Apparent problems with an online calculator, released last week along with new cholesterol guidelines, prompted one expert Monday to suggest implementation of the guidelines be postponed.

The risk calculator, meant to assist doctors in evaluating patients' risk and treatment options for cholesterol, appears to greatly overstate risk, according to a report Sunday in The New York Times.

It could result in millions of people being incorrectly identified as candidates for cholesterol-lowering statin drugs, the report said.

The calculator, released by the American Heart Association and the American College of Cardiology, is a tool to evaluate a patient's 10-year risk of a heart attack. According to the new guidelines, if a person's risk is above 7.5%, he or she should be put on a statin.

Not on cholesterol meds? New guidelines could change that

However, in a hastily called telebriefing Monday morning, members of the committee who developed the calculator and guidelines said that they knew about the risk of overestimation before rolling out the assessment tool and that they welcome more information to help refine it.

The tool, they said, is only one part of evaluating patients' treatment options -- something that can only be done with the help of a doctor.

No one should be "mailed a prescription" based on the results of the assessment tool, said Dr. Neil Stone, committee chairman. "There's got to be a physician-patient discussion. ... We've put the physician back into crucial decision-making."

However, "I can't speak to whether the calculator is valid or not," Dr. Robert Eckel, co-chair of the American Heart Association committee that wrote the new guidelines and the association's past president, told CNN. "That needs to be determined.

"We trusted that the calculator worked," he said. "We trusted that the calculator is valid."

Concerns about the calculator were first raised, according to the Times report, by Harvard Medical School professors Paul Ridker and Nancy Cook.

In an analysis to be published Tuesday in the medical journal The Lancet, a copy of which was obtained by CNN Ridker and Cook write they calculated 10-year risks using the tool and compared the data to event rates using three large previously-published studies in which participants' characteristics such as age and smoking status were known.

The calculator "systematically overestimated observed risks by 75 to 150 percent, roughly doubling the actual observed risk," they wrote.

CNN's Elizabeth Cohen said when she used the calculator, putting in a 65-year-old man with normal cholesterol levels and no risk factors -- normal blood pressure, no diabetes and a nonsmoker -- the calculator said he needed statins.

Ridker and Cook had pointed out the issue a year earlier when drafts were sent to them for review as the guidelines were under development, the Times said.

Researchers apparently did not receive the professors' responses, Dr. Donald Lloyd-Jones, chairman of the committee that developed the equation, told the Times.

5 ways to lower your cholesterol

But Lloyd-Jones told reporters Monday, "There's nothing wrong with these equations."

Committee members were aware there could be "overestimation of risk in some populations," he said.

On Saturday night, members of the American Heart Association and the American College of Cardiology held a meeting with Ridker. Officials said Monday they await more information from the professor.

Lloyd-Jones said Monday he looks forward to getting details of Ridker's data. But he said, "I suspect he's looking at extremely healthy cohorts. We're looking at representative cohorts."

The truth, he predicted, is "somewhere in the middle."

"Our risk assessment guideline doesn't tell you what to do. ... It just evaluates risk," he said.

"The analysis by Drs. Ridker and Cook is very concerning," said Dr. Steven Nissen, chief of cardiovascular medicine at the Cleveland Clinic.

"Since the risk calculator was not previously published, it now makes sense to halt implementation of the guidelines so that independent physician scientists can evaluate the accuracy of the risk calculator," Nissen told CNN in an e-mail.

"We have waited many years for these guidelines. It seems prudent to wait a little longer to make certain that the guidelines function as intended."

Attempts by CNN to contact Ridker and Cook on Monday were not immediately successful.

The new treatment guidelines call for a focus on risk factors rather than just a patient's cholesterol level.

At the time, Nissen called them "an enormous shift in policy as it relates to who should be treated for high levels of cholesterol."

The four questions to ask to determine risk include: Do you have heart disease? Do you have Type 1 or Type 2 diabetes? Do you have a bad cholesterol level of more than 190? And is your 10-year risk of a heart attack greater than 7.5%?

According to the new guidelines, if you can answer yes to any of those four questions, you should be on a statin.

Do you need to take statins?

CNN's Miriam Falco and John Bonifield contributed to this report.

@highlight

A calculator reportedly overstates heart attack risk

@highlight

The tool was released along with new cholesterol treatment guidelines

@highlight

American Heart Association says the tool is only one part of a patient's risk evaluation