Kuala Lumpur, Malaysia (CNN) -- Many have pointed to lessons learned -- and heeded -- from the disappearance of Malaysia Airlines Flight 370.

Should there be tighter rules about who's in the cockpit? That's happened. Should the Malaysian military have acted more quickly after the airliner went missing nearly four weeks ago? They've launched an investigation. Are there better ways to track commercial aircraft -- especially when, as in this case, its transponder is turned off? An international aviation organization says it will consider "all of the options."

But as much as things might change because of this mystery, it doesn't change the fact that -- for yet another day -- there are 239 families still grieving, still waiting, still venting over authorities' inability to answer what happened to the Boeing 777.

"We want to provide comfort to the families and we will not rest until answers are indeed found," Malaysian Prime Minister Najib Razak said Thursday during a visit to a military base near the Australian city of Perth, which has become the hub for search operations.

Mystery of Malaysia Airlines Flight 370 surfaces pain of 1977 tragedy

Yes, authorities have said communications mysteriously, and seemingly purposefully, cut off shortly into the Beijing-bound flight. Yes, satellite data suggests the aircraft turned back over Malaysia before terminating somewhere in the vast southern Indian Ocean.

Yet there have been no solid leads about why any of this happened or where the plane ended up. In fact, officials don't seem to know all that much more on Day 27 after it disappeared sometime after leaving Kuala Lumpur than they did on Day 1.

Australian Prime Minister Tony Abbott on Thursday described the search for the plane as "the most difficult in human history" and warned there was no guarantee it would be found.

"We cannot be certain of ultimate success in the search for MH370," he said at a news briefing in Perth, standing alongside Najib. "But we can be certain that we will spare no effort -- that we will not rest -- until we have done everything we humanly can."

All 227 passengers have been cleared of any role in hijacking or sabotage or having psychological or personal issues that might have played a role in the plane's disappearance, the inspector general of Malaysian police, Khalid Abu Bakar, told reporters Wednesday.

Police said Wednesday a review of a flight simulator found in a pilot's house proved inconclusive. And senior Malaysian government officials told CNN last week that authorities have found nothing about either of the pilots to suggest a motive. There have been no such public comments about the other 10 crew members, however.

"We don't have enough evidence to take (hijacking, sabotage or many other possibilities) off the table," Michael Kay, a former British pilot and military officer, told CNN. "What we need to do is keep an open mind, look at the facts, and keep building the jigsaw puzzle. Because that's all we have at the moment."

On Thursday, up to eight aircraft will set out looking for telltale debris across an 91,500 square-mile (237,000 square-kilometer) zone, the Australian Maritime Safety Authority says. Up to nine ships will search, including one British submarine racing against time to hear the signature pinging from Flight 370's flight data recorder.

There could be a breakthrough imminently; a seat cushion, a soda can, a life jacket could be spotted and scooped up, leading to the rest of the plane and, ultimately, to explain what happened.

So far, though, nothing has been found. In fact, it might be someone dipping her toes off a beach in Australia or Thailand or Malaysia who first notices something.

"We'll keep going til hell freezes over," Kim Beazley, Australia's former defense minister and current ambassador to the United States, told CNN's Wolf Blitzer. "It could take months, it could take years."

Official pleads for patience

Last Friday, officials announced that -- based on new analysis of satellite data -- they'd shifted the search area significantly closer to Australia's northwest coast. It moved again from Tuesday to Wednesday, albeit not as extensively. On Thursday, it moved again, a little farther north.

Why? Beazley explained it's because "we're eliminating areas from our inquiry" and moving to adjacent areas.

Yet David Soucie, a CNN safety analyst and author of "Why Planes Crash," said "from the outside looking in, it just doesn't seem to make a lot of sense."

"It just looks like they're following information and data that they're not confident in," Soucie said.

Authorities have been upfront about many things they don't know about Flight 370 -- things like altitude, speed and direction that are key to pinpointing its final resting place.

Then there are questions about who and what was aboard.

While the passengers were cleared, investigators are still questioning relatives of all of those on the plane -- having already interviewed about 170 people -- as well as those who may have had access to it.

That includes scrutinizing those who prepared food for the flight, those who packed the cargo, and those who were to receive the cargo in China.

"Everything from beginning to end," said Khalid, the Malaysian police official.

Police are considering four criminal possibilities: hijacking, sabotage, personal problems and psychological issues, though mechanical failure hasn't been ruled out. Khalid stressed getting answers won't be easy, nor will it be quick.

"We have to clear every little thing," said Khalid. "You cannot hurry us in whatever we are doing."

'We cannot let another aircraft simply disappear'

Even without anything definitive, Malaysia Airlines has taken proactive steps to beef up cockpit security, two sources familiar with the airline's operations told CNN on Wednesday.

A new directive says no pilot or first officer is allowed to sit alone in the cockpit. Whenever one of them is outside the cockpit, a senior cabin steward must remain inside.

"These changes are positive in nature and directly relate to the MH370 incident," one of the sources told CNN.

This policy isn't new everywhere: It's long been in place for the United States, experts note.

"What they put in place is pretty common sense," said Mary Schiavo, a CNN aviation analyst and former inspector general for the U.S. Department of Transportation.

Other reforms could be coming as well, and not just affecting Malaysia Airlines.

Tony Tyler, director general and CEO of the International Air Transport Association, in a recent speech pointed to "disbelief both that an aircraft could simply disappear and that the 'black box' is so difficult to recover."

He added, "We cannot let another aircraft simply disappear."

Toward that end, the association will form a task force that will include participation by the International Civil Aviation Organization to "examine all of the options available for tracking commercial aircraft" and then to report its conclusions by December.

A second lesson concerns security, Tyler said, citing the fact two passengers with phony passports were able to board the missing jetliner unchallenged.

Though these two men have since been cleared, the incident underscores a need for governments to do better checking passenger lists, he said. "Airlines are neither border guards nor policemen; that is the well-established responsibility of governments."

Family members still have questions

Such changes are all well and good. But they won't bring back the scores thought to have perished on Flight 370.

On Wednesday, families of 18 Chinese passengers -- out of 154 Chinese aboard -- met privately in Kuala Lumpur for three hours with Malaysian government officials and investigators. The meeting had been called after they accused Malaysia of not being upfront about the investigation.

Families of newlyweds still waiting

Azharuddin Abdul Rahman, head of Malaysia's civil aviation department, said it was "a very good meeting." "We answered all their questions."

The families' representative saw it differently. "I personally believe today's meeting had some progress, but the time was short and family members didn't have an opportunity to raise questions," said Jiang Hui.

Questions, questions, questions. There's no shortage of them.

Chief among them is will the flight data recorder be found before batteries on its locator beacon die -- which, according to its design standards, would happen April 7. Experts agree that it won't be easy, given all the unknowns.

"They are looking in a vast area in very deep waters ... and we really have no idea where it went in," said Bill Schofield, an Australian scientist who helped create the flight data recorders that, if found, could prove key to the investigation.

"A needle in a haystack would be much easier to find."

6 missteps in the investigation

Ocean Shield: A mission of hope in search for Flight 370

Flight 370: High-tech search tools

CNN's Greg Botelho and Tom Watkins reported and wrote from Atlanta; Judy Kwon and Jim Clancy reported from Kuala Lumpur; CNN's Holly Yan, Sara Sidner, Shimon Prokupecz, David Fitzpatrick, Barbara Starr, Will Ripley, Richard Quest, Nic Robertson, Mitra Mobasherat, Kyung Lah, Jethro Mullen and Yuli Yang also contributed to this report.

@highlight

NEW: The search is "the most difficult in human history," Australia's Abbott says

@highlight

"We will not rest until answers are indeed found," Malaysian PM says

@highlight

Australian ambassador: Focus moves due to searchers "eliminating areas"

@highlight

Official: All 227 passengers have been cleared of hijacking, psych issues