Tehran, Iran (CNN) -- Iranian protesters are vowing to continue their anti-government demonstrations into Wednesday night, despite violent crackdowns and arrests.

Witnesses in Tehran tell CNN the demonstrators number in the tens of thousands.

The protests are timed to coincide with the 30th anniversary of the hostage crisis at the U.S. Embassy. Iran celebrates the embassy takeover as an official holiday, and tens of thousands showed up to hear anti-American speeches in front of the building that once housed the U.S. diplomatic corps. Many chanted "Death to America."

The anniversary was also an opportunity to reignite the anti-government protests that were sparked in June, following a disputed presidential election.

Thousands of protesters ignored warnings from Iranian authorities to stay home, many chanting "Death to the Dictator" and others saying, "Obama - Either you're with us or with them," referring to the U.S. president.

Riot police and pro-government Basij militia turned out in force to quash anti-government protests.

"We were running from the police in the alleys off of the main streets," said Soheil, an opposition protester, who gave only one name for security reasons. "Strangers were opening up their garages so we could hide until the police went away. I ran into a garage for about 15 minutes. When I went back into the main street, I saw riot police arresting a group of young men, then putting them inside a bank and locking the door.

"Only God knows what will happen to them after that."

iReport: Iranians take to the streets

Soheil, like many other of the demonstrators, took part in the protests this summer. As with previous demonstrations, many images of Wednesday's protest were uploaded to the Internet on the site YouTube.com -- including video of protesters walking over an image of Iran's Supreme Leader Ayatollah Ali Khamenei. Another clip showed a group of women being beaten by what appeared to be Iranian security forces.

Witnesses said many Iranian women took part in Wednesday's demonstration, and were frequently targeted by the Iranian security forces -- which is what also happened during the summer protests.

Video posted on YouTube showed many protesters beaten on the head with batons.

Iranian reformists have chosen key anniversaries to protest the hardline government -- the same anniversaries chosen for government-sanctioned anti-American rallies. Wednesday's was the biggest annual anti-American observance of all. On November 4, 1979, Islamic students stormed the U.S. Embassy. They held 52 Americans hostage for 444 days.

There were also small pockets of protest on Wednesday in the southwest Iran city of Shiraz, according to a resident who witnessed the protests. Demonstrators marched down the main street of Shiraz, yelling "Death to the dictator" and "We will not stand down to you, together we are united," according to Najmeh, who only gave her first name for security reasons.

There was strong police presence on the streets, and the police force seemed much more organized than past occasions, she said.

Earlier in the day, opposition supporters marched defiantly in Tehran's Haft-e-Tir Square, witnesses said. Many held up their hands in V-signs. Others shouted "Allahu Akbar," or "God is great," which has become a slogan of protest. Police blocked all roads leading to the square, creating massive traffic jams.

Witnesses described helmet-clad security personnel beating demonstrators with batons and firing tear gas at Haft-e-Tir Square and in a neighborhood a few kilometers north.

"I had never seen that many riot police and security personnel," a witness told CNN. "They were brought in by the busloads. As soon as crowds gathered somewhere, riot police were there within minutes."

The opposition showed Wednesday that even after five months of government crackdown, people were still willing to take risks.

The disputed June 12 presidential election triggered Iran's most serious political crisis since the Islamic revolution toppled the shah. Led by opposition candidate Mir Houssein Moussavi, thousands of Iranians protested what they believed was a rigged vote that returned hardline President Mahmoud Ahmadinejad to office for a second term.

In the election aftermath, the Iranian government arrested more than 1,000 people and accused reformists Moussavi and Mehdi Karrubi of spreading anti-government propaganda and fueling anger among the public.

But despite warnings from the government, Iran's reformists have largely refused to back down. They released the names of 72 protesters they say were killed in the unrest that followed the election -- more than double the government's official number.

Both Moussavi and Karrubi were prevented from attending Wednesday's rallies, according to a reformist Web site, Norooz News.

Karrubi's son told the Web site that his father tried to reach the Haft-e-Tir Square rally on foot, but he was blocked by anti-riot police, sparking clashes with his followers. Police fired tear gas toward Karrubi, hitting one of his guards on the head, and causing Karrubi and some of his supporters to fall to the ground, according to Norooz News.

Karrubi and his followers returned to their vehicles and drove away when, at one point, security forces attacked and damaged Karrubi's vehicle, the Web site said.

Video posted on YouTube showed Karrubi briefly opening his car door to a crowd of cheering supporters, who chanted, "Honorable Karrubi, help the people of Iran." Iranian authorities had warned Karrubi to not participate in the marches, saying he might be the victim of a suicide attack, according to Norooz News.

Moussavi was unable to join the demonstration after his car was prevented from leaving his office, according to his Facebook page and a report on a reformist Web site. Cell phone and Internet connections were cut in the area where his office is located, and dozens of plainclothes motorcycle riders blocked the entrance and chanted slogans against Moussavi, the Web sites said.

Read analysis from Hamid Dabashi, author of "Iran: A People Interrupted"

In Washington, President Obama said the world continues to bear witness to the Iranian people's "calls for justice and their courageous pursuit of universal rights."

"Iran must choose," he said in a statement late Tuesday. "We have heard for thirty years what the Iranian government is against; the question, now, is what kind of future it is for.

"It is time for the Iranian government to decide whether it wants to focus on the past, or whether it will make the choices that will open the door to greater opportunity, prosperity, and justice for its people," he said.

Obama noted how the embassy takeover reshaped U.S.-Iranian relations.

"This event helped set the United States and Iran on a path of sustained suspicion, mistrust, and confrontation," he said. "I have made it clear that the United States of America wants to move beyond this past, and seeks a relationship with the Islamic Republic of Iran based upon mutual interests and mutual respect."

Obama said America has demonstrated willingness to work with Iran over nuclear issues by recognizing its right to peaceful nuclear power and accepting a recent proposal by the watchdog International Atomic Energy Agency.

"We have made clear that if Iran lives up to the obligations that every nation has, it will have a path to a more prosperous and productive relationship with the international community," Obama said.

CNN's Reza Sayah, Sara Mazloumsaki, Mitra Mobasherat, and journalist Shirzad Bozorgmehr contributed to this report.

@highlight

NEW: Reformist leaders stopped from attending anti-government rallies, Web site says

@highlight

Marchers gather in Tehran on 30th anniversary of the U.S. Embassy takeover

@highlight

Anti-American rallies mark 1979 hostage-taking after students stormed embassy

@highlight

Protests by reformists followed disputed June presidential election