Boston (CNN) -- As the seven-week-long parade that was the trial of Boston mob boss James "Whitey" Bulger passed by, jurors, courtroom spectators and the public watched and listened as former bookies, former drug dealers, extortion victims, gangsters, convicted killers, families of murder victims, and former FBI agents made their appearances.

Everyone in that parade had one thing in common: their lives were forever altered by the 83-year-old man who now sat day after day after day at the defense table.

In courtroom give-and-take, there was profanity, there was violence echoing in the testimony of some witnesses as they described killings in gruesome detail, there was pain etched into the court record by the words of relatives as they remembered loved ones lost to Bulger's wrath.

In the end, the jury came back with a guilty verdict on 31 of 32 counts against Bulger, including involvement in 11 murders, extortion, money laundering and weapons possession.

But for those who became part of the Whitey Bulger parade -- and who still walk through their days with its many impacts -- the verdict wasn't really the end.

Bulger linked to 11 murders

"I said 'rat-tat-tat-tat' as Whitey was being led out of the court room, because it was reference to the comment he had ... about killing my father," Cheryl Connors said after court Monday.

The jury found that Bulger was involved in killing "Eddie" Connors, a Dorchester bartender who was lured to a phone booth in 1975 and murdered with a machine gun. Bulger was the shooter, according to witness testimony.

During the trial the jury heard a recorded conversation with Bulger describing the murder of Connors and imitating the sound of a machine gun.

"Eddie Connors ... the guy in the phone booth ... pa-pa-pa-pa pow," Bulger said in the recorded chat with relatives.

So Cheryl Connors made her own machine-gun sounds Monday.

"I yelled that as he was going out, knowing that he would know what I was talking about," she said.

That recorded phone conversation was one of the few moments the jury heard Bulger's voice, except for a few expletives he let loose from time to time to describe witnesses or testimony not to his liking.

In the early days of the trial, it was like a meeting of old friends, Bulger listening carefully -- laughing heartily at one point -- to colorful recollections of former Boston bookie Richard O'Brien, who ran a successful bookmaking operation that he inherited from his father.

Bulger guilty in killings, racketeering

But this was no remember-when reunion between two elderly men. The 84-year-old O'Brien, who lives in Florida and uses a wheel chair, described a meeting between Bulger and a man who owed him money. When the man balked at paying, Bulger replied, "We have a business besides bookmaking." "What's that?" the man asked. "Killing (expletive) like you."

Bulger, who had shown little emotion up during the trial until then, threw his head back and let out a laugh.

Hitman, convicted killer, and former partner John Martorano also took the stand and implicated Bulger in 13 murders.

Martorano alluded to Bulger as "Judas," a term that he described as "a person like an informant, a rat, a no-good guy. I was brought up that that was the worst thing in the world."

Although Bulger's lawyers tried to highlight inconsistencies in Martorano's testimony, he didn't waiver, declaring he hadn't lied to prosecutors since cutting a deal that guaranteed his testimony in exchange for a 14-year sentence. Martorano admitted to over 20 murders and served just 12 years on good behavior before becoming a free man in 2007.

Prosecutors revealed a 700-page file that showed Bulger was on the FBI books as an informant for nearly 20 years, at the same time he was committing acts of murder, extortion, and money-laundering.

In a trial that exposed deep-seated corruption in the FBI and government during Bulger's heyday, jurors heard from a disgraced FBI supervisor who admitted to tipping off Bulger's rogue informant handler that one of Bulger's associates had turned and had become an informant.

Disgraced John Morris apologized in court to the family of Michael Donahue, one of the victims determined by the jury to have died when he was caught in the crossfire of an attempted hit on another man. Morris said he was sorry for leaking sensitive information that eventually made its way to the reputed South Boston crime boss and cost Donahue his life.

"I don't ask for your forgiveness, but I do want to express my sincere apology for things I may have done and things I didn't do," Morris said to the Donahue family. Michael Donahue's three sons and widow, Patricia, sat front row in the reserved section in the Boston courtroom.

Bulger uttered under his breath "You're a f---ing liar," as Morris, who admitted to accepting thousands of dollars in payoffs, testified that there was "no question" the Irish gangster doubled as an informant for FBI in Boston.

That was not the only time expletives flew in federal court.

Bulger's former mob enforcer, Kevin Weeks, described as a "surrogate son," to Bulger, said in court "We killed people that were rats, and I had the two biggest rats right next to me ..."

At that, Bulger turned and hissed, "You suck."

"F--- you, OK," snapped Weeks from the witness stand.

"F--- you, too," shouted Bulger from his chair at the defense table as the jury watched and listened.

"What do you want to do?" said Weeks, his eyes locked on Bulger, who was flushed and staring right back.

Weeks testified he was there the night Edward "Brian" Halloran was killed. He placed the murder weapon squarely in Bulger's hands.

"Bulger just kept shooting," said Weeks describing Halloran's writhing, bullet-ridden body as "bouncing off the ground." Bulger was convicted in connection with Halloran's death.

Prosecutors offered up extortion victim after extortion victim to show Bulger conspired to collect "rent" from operating criminals in South Boston. William Lindholm barely survived a life-or-death Russian-roulette-style drama after Bulger tried to extort $1 million.

According to Lindholm, Bulger ordered one of his associates to shoot past Lindholm's head with a gun equipped with a silencer -- proving the gun worked -- before ordering his associate to reload the weapon with a single bullet.

"A bullet was put in the chamber, it was spun and pointed at my head," said Lindholm.

"The trigger was pulled and it didn't go off."

Prosecutors wrapped up 30 days of testimony by placing 30 guns and nearly $822,000 in cash on a table -- items seized from Bulger's Santa Monica, California, apartment when he was arrested in 2011 after spending 16 years as a fugitive.

Bulger's defense wrapped its case with witnesses in five days, calling former FBI agents whotestified to the corrupt nature of Boston FBI in the '70s and '80s.

The defense put 20 photos on the public docket unveiling Bulger's softer side, leading people to speculate that the gangster might testify. In the end, he did not.

"My thing is...I didn't get a fair trial. This is a sham. Do what ya's want with me," the defendant told the judge before the case went to the jury.

His voice shaking, Bulger insisted he had a deal with the late Jeremiah O'Sullivan, head of the Justice Department's New England Organized Crime Strike Force who later became U.S. attorney in Boston during the height of Bulger's alleged gangland reign.

"In return, he promised to give me immunity. As far as I'm concerned I didn't get a fair trial," Bulger said.

CNN's Kristina Sgueglia and Deborah Feyerick reported from Boston, and Monte Plott wrote from Atlanta.

@highlight

The trial was a parade of witnesses, characters, victims

@highlight

Memories were relived, murders were recalled

@highlight

In the end, the jury believed the stream of testimony, evidence against Bulger

@highlight

In the end, Bulger's assessment: "This is a sham. Do what ya's want with me"