(CNN) -- It's the festival that launched Foursquare and popularized Twitter.

So even if you've never heard of the SXSW Interactive festival (it's short for "South by Southwest," but if you want to be completely beyond hip, you can call it "South by"), your geek-tuned ears should perk up for some big tech news this week as this conference gets under way in Austin, Texas.

The Web, apps, social media and tech start-ups have traditionally been the themes of this conference, which kicks off Friday. In addition to being a launchpad for new sites and apps, however, SXSW Interactive is all about big ideas in technology: Where are we going, why, and how will we get there?

Here's our best stab at the ideas and trends that will pick up steam this year at SXSWi. Of course, all predictions are subject to change.

And before we get there, a shameless plug: Check our SXSWi blog for continuous coverage from Austin. Also follow @cnntech, @markmilian,  @jdsutter and @griggsbrandon on Twitter for nano-sized updates.

'Second-screen' apps

Smartphones and the internet have rewired our brains to the point that paying attention to one thing at a time seems way too boring.

Cue the rise of smartphone and tablet apps designed to provide a "second-screen" experience while you're watching television.

It's common knowledge that people tweet their way through the Oscars and use Facebook to discuss their favorite sitcoms in real time. But a host of apps are emerging to take these second-screen experiences to a new level.

The "Backstage Pass" app for the Academy Awards, for example, let iPad users choose which video feeds they wanted to watch. Instead of focusing on the red carpet, for example, viewers could choose to hang with the paparazzi or in the celebrity champagne room.

Others are trying to sync their apps to live TV programming, using the microphones on tablets and smartphones. If your gadget listens to the TV while you watch, it can offer up quizzes, trivia and ads that are tied to what's going on in the show at that very moment.

Localized group texting

Texting? Yes, texting -- but with a 2011 twist.

If Facebook and Twitter were all about expanding a person's online social network, think of group texting as an effort to rein things back in.

An app called GroupMe -- already a pre-SXSWi darling with tech bloggers -- integrates with Foursquare to let you have private text message chats with all of your friends who are close by. Another, Beluga, which was recently acquired by Facebook, lets users start private text message conversations with small groups of friends.

Extreme use case: You're throwing a last-minute party, but your apartment isn't large enough to host all 2,000 of your Twitter-follower friends.

Beyond Facebook

Continuing with this trend of Facebook not being the end-all-be-all of social networking, expect non-Facebook social networks and apps to get plenty of buzz at SXSWi. None of these are likely to try to unseat Facebook as the world's dominant online social network, but some are worthy supplements.

Instagram, a photo-sharing app, is one hot example. It lets users apply all kinds of retro-looking, hipster filters to their smartphone photos and then share them instantly on Twitter, Flickr, Tumblr, Facebook and Foursquare.

Other social networky apps and sites focus on other features Facebook either lacks or hasn't mastered just yet: Quora focuses on answering questions; Path is designed for groups of 50 friends or fewer; and Foodspotting is a social network that's fixated completely on the idea of foodie restaurant pics.

Taming the internet

The internet is a crazy-overwhelming place.

As Farhad Manjoo writes in The New York Times, the personal computer "has become one of the most distracting machines ever invented."

Expect at least a few Web gurus at SXSWi to push the idea of "content curation," meaning they're out to answer this question: How can we make interesting and relevant information rise to the top of the internet, where users can access it quickly and without stress, rather than forcing them to swim through an ocean of Charlie Sheen tweets just to find what they are looking for?

Google, Bing, Facebook and the like obviously have a hand in this.

But some up-and-comers -- a la Instapaper -- may dominate this space at SXSWi.

Is technology making us happier?

Traditionally, SXSWi has been a clubhouse for the digital utopian crowd -- the bike-riding, glasses-wearing, cardigan-snuggling folk who think technology is saving the world, or is going to really soon.

But, based on a the SXSWi panel list, expect this year's festival to also give rise to a healthy bit of skepticism about what tech is doing to us.

Are smartphones making us scattered? Is Facebook actually improving friendship? Does any useful info come across Twitter?

As these technologies go from the stuff of early adopters to mass-market phenomena, look for the tech elite to start asking these kinds of questions and providing some solutions -- probably by using more technology.

@highlight

The South by Southwest Interactive festival starts Friday

@highlight

The Austin, Texas, event focuses on big ideas in technology

@highlight

Twitter and Foursquare essentially launched at past festivals

@highlight

CNN offers predictions for big tech trends at SXSWi this year