Johannesburg, South Africa (CNN) -- Manned by a pair of trained officers, a large private security jeep moves slowly past the high walls lining a residential street in the suburbs of Johannesburg, South Africa.

Heavily armed and alert, the officers scan the designated area, looking for any suspicious activity.

They work for CSS Tactical, a private security company hired by local residents to patrol their area and protect them from any potential criminals.

"To be proactive, we need to be noticed," says Ricky Croock, managing director of CSS Tactical. "We need people to say 'hold on, there is a dedicated tactical vehicle.'

"A tactical vehicle is a bigger vehicle -- it is more aggressive, it's a deterrent. So the first point is we want to deter as opposed to catch crime."

The security officers are well armed. They carry semi-automatic weapons and hand guns and they're trained in how and when to use them. And while only the police have the power of random stop and search in public places, security companies also stop people they regard as suspicious.

From April 2011 to March 2012 there were 15,609 murders in South Africa, as well as 64,514 sexual offenses and 101,203 cases of aggravated robbery.

According to the country's latest "Victims of crime survey," 57% of respondents felt that housebreaking/burglary was the crime most feared in their area of residence.

In recent years, South Africa has stepped up efforts to tackle crime, one of the country's worst social ills. Last September, the South African Police Service said that serious crime in the country had been reduced by 31.8% from 2004/5 to 2011/12. But 2011 to 2012 saw a reduction in serious crime of just 1.9%.

"We only have the official crime statistics to go by," says Rudolph Zinn of the Institute for Security Studies in South Africa. "If you look at what the police would report annually in September of every year, we see over the last three or four years that crime has leveled off.

"The more concerning factor is the high percentage of so-called violent or contact crime, which is about a third of all the crime reported to the South African Police Service."

And that's what has fueled the boom in the country's private security industry, crime experts say. There are nearly 9,000 companies and 400,000 registered active private security guards. That's more than the police and army combined, according to South African officials.

"The security industry is bigger than what it has ever been in South Africa," says Zinn. "I think the growth in the industry is definitely attributed to the fact that, let's call it a weak policing or ineffective policing, and it created the opportunity for private individuals to move into the market."

Some of those individuals have a military background. Waal de Waal, chief operating officer at South African-owned Protea Coin, spent 18 years in the special forces and military intelligence before joining the private security sector a decade ago.

He is today one of the 17,000 people employed by Protea Coin. Part of the multi-million dollar company's work is dealing with small-scale crime, like recovering fuel stolen from a petrol station.

The company, which also provides security at many of South Africa's mines and has been kept busy by the recent strikes in the sector, offers a range of services, including 24-hour property monitoring and protection against organized criminal syndicates.

"The role of private security companies is distinctively different to that of the police," says Petrus Van Niekerk, the chief executive of Protea Coin. "We view our role as private security to really aid and support the police."

But what happens when private security companies take matters into their own hands?

The South African government claims that it's an industry that threatens national security and is determined to tighten its regulation. "A very dangerous situation arises if you have a security industry that outstrips both your police and your army and there is completely no regulation of that industry," says Jenni Irish-Qhobosheane, the head of the Civilian Secretariat for Police.

"I think the public can find themselves in situations where, basically, they are put at the mercy of private security companies who are unprofessional," she adds.

One measure considered by the country's government is that private security firms must be owned by South Africans.

"This type of move is going to frighten away foreign direct investment and I think that is a danger," says Hanes Venter, sales director at the South African arm of G4S, a London-listed global security giant. "Foreign direct investment is already down year on year but this is a worry from that perspective for me."

Whatever regulations the South African government eventually introduces, it seems unlikely the demand for private securities companies will diminish amid high unemployment rates, as well as widespread poverty and simmering industrial tensions.

@highlight

South Africa has 400,000 private security guards, and nearly 9,000 security firms

@highlight

Experts put the industry's growth down to high crime rates and inefficient policing

@highlight

Some claim that the industry is a threat to national security