Hong Kong (CNN) -- For several days, through sweltering heat and sudden rainstorms, the protesters have gathered in awe-inspiring numbers in this bustling city. They have turned multi-lane highways into sprawling camps of umbrellas, tents and political banners.

Their demand: An open field of candidates in the next election for Hong Kong's top political position, not politicians pre-approved by the central Chinese government.

Except for dramatic scenes on Sunday, when the police's use of tear gas on protesters shocked many Hong Kongers, the demonstrations have been impressively calm.

But tensions are on the rise.

Some protesters have issued an ultimatum to Hong Kong's Chief Executive C.Y. Leung, whom many view as a puppet of China: You have until the end of the day Thursday to resign or we occupy government buildings.

The police, in turn, have warned protesters -- many of whom are students -- that such actions would face "decisive enforcement."

What happens next is anybody's guess. For now, the demonstrations still radiate a largely festive atmosphere. But underneath runs a gamut of feelings -- optimism and fear, confusion and exhaustion, determination and frustration.

Opinion: China's Hong Kong dilemma

Hope:

Vian Lo, an 18-year-old high school student, says she remains hopeful about the outlook for the protest movement.

"People are very peaceful. This revolution really can help Hong Kong," she says, sitting on a concrete barrier in the middle of a highway occupied by protesters.

She says she's been part of the student actions since Friday and has slept in the protest areas three of the nights.

"The road is very dirty, and it feels hot," she says, but adds that with lots of other students around, the atmosphere is upbeat.

"People didn't fight, didn't argue and they also help each other," Lo says. "The feeling is good out here."

The key, she says, is for Hong Kong leader C.Y. Leung to "come out and talk to us."

Confusion:

Hui King To, 19, says he's been part of the demonstrations since a class boycott began last week. A student in business administration, he's spent nearly every night at the protests.

But now he's feeling "a little bit confused" about what will happen next and what the consequences of the protests will be.

"I think for most protesters, they also feel a little bit confused right now," he said, sitting outside one of the entrances to the government headquarters.

He says the movement started well, gaining a lot of support from Hong Kongers. But the lack of an overall leader means "there is no clear and obvious direction for us to take."

Hui says he is personally in favor of occupying government buildings but is doubtful it will go down well with the wider population.

"Most Hong Kongers are against this kind of action," he says. "They support a peaceful protest."

Hui fears that if the demonstrations simply remain as sit-ins on highways, "more and more people will go home."

Fear:

Hilda Chan, 19, was at the protests on Sunday, the day when police fired tear gas at demonstrators. But she then fell ill with a fever and returned for the first time on Thursday.

The social sciences student says she finds the calmness at the main protest site unsettling.

"I'm afraid something more serious will happen later because it's too peaceful," Chan says, talking of possible action against demonstrators by authorities.

"People should be more alert," she says, sitting in the shadow of an overpass. "It feels like a festival or a party."

Chan says she won't stay at the site overnight, because she has to go home to take medication. But she plans to return Friday, even though it's not a public holiday.

In the current circumstances, she says, "missing class is not really a big problem."

Determination:

Brian Lam, 21, a student who's participated in the protests for the past five days, expresses concern about the thinner crowds at the main protest site on Thursday afternoon.

"It's so quiet," he says, "there are so few people" compared with the two previous days.

He says he's worried that the smaller crowd could make it easier for the police to move in.

But Lam is willing to stick it out amid the heat and the humidity.

"We need to stay a long time," he says. "We need to fight for our freedom."

How long the protest go on is in the hands of the Hong Kong government, he suggests.

But the government's position will probably "not change so fast," he admits.

Frustration:

Samuel Ho, a 20-year-old student, says he's "disappointed and frustrated" because "the government is still not listening to us."

Ho has spent five days at the protests, sleeping overnight once. He says the tear gas fired by police on Sunday night made his eyes water.

But he's not convinced that the demonstrations will last a great deal longer, because of the impact they're having on business in the city.

"The umbrella revolution cannot sustain very long because of economic concerns of other Hong Kong people," he says, using a popular term for the protests.

Ho says he thinks a threat by some students to occupy government buildings was risky, as it could give police a "chance to use violence."

@highlight

"This revolution really can help Hong Kong," says a high school student

@highlight

"I'm afraid something more serious will happen later," says another protester

@highlight

Some demonstrators are confused about where the movement is headed

@highlight

The protesters have taken over key highways in Hong Kong for several days