London (CNN) -- The artwork for "The Next Day," David Bowie's first album in 10 years and a record that nobody outside his inner circle suspected was coming, is a witty vandalization of the sleeve of 1977's "Heroes." As its designer, Jonathan Barnbrook, explains: The "Heroes" cover obscured by the white square is about the spirit of great pop or rock music which is "of the moment," forgetting or obliterating the past. However, we all know that this is never quite the case, no matter how much we try, we cannot break free from the past."

Read more: David Bowie returns with new single, album

In that sense it's an unbeatable image. Bowie's glittering reputation rests on his determination, during his extraordinary run of albums in the 1970s, to escape the past and embrace the future, but he was also clever enough to realize that there's no such thing as an entirely blank slate, and that tension was the motor of his genius. The excitement surrounding his surprise comeback, after a decade of supposed retirement, reminds us that he is rock's unrivalled innovator-in-chief.

His early reinventions could perhaps be explained by sheer ambition. That's why David Jones from suburban Bromley, on the southern outskirts of London, became David Bowie (rhymes with Zoe, not Maui) and then Bowie, fearing that 1969's "Space Oddity" would render him a one-hit wonder, became Ziggy Stardust, the first post-modern rock star. If fame was all he was looking for, he would have been happy with that, but his hunger for change exceeded his appetite for success. He killed off Ziggy after just 18 months and unveiled a series of new identities, each with its own sound.

Photos: David Bowie's ever-changing look

To listen to all of Bowie's 70s albums in sequence is still a dizzying experience, because each one attempts to eclipse its predecessor. On "Aladdin Sane" he explored the relationship between showbusiness and mental illness. "Diamond Dogs" was an apocalyptic vision which spun the mid-70s' darkest fears into a kind of glam-rock opera. The "plastic soul" of "Young Americans" was his strange response to the sound of black America and "Station to Station," recorded in cocaine-maddened seclusion in Los Angeles in the guise of the "Thin White Duke," presaged his return to Europe.

Remarkably, these page-turning albums emerged at the rate of around one a year. The only possible comparison in terms of creative momentum is the Beatles, and there were four of them. Beyond the records themselves, Bowie's restless eye for new stimuli, drawn from the worlds of cinema, theatre, fashion and visual art, made him pop's most imaginative stylist. London's V&A museum is mounting a major retrospective of his visual work this spring -- rare honor for a pop star.

Read more: Bowie back after the bonds

As the artwork of "he Next Day" and the lyrics of comeback single "Where Are We Now?" suggest, Bowie's mystique resides most powerfully in the three albums he recorded in Berlin in the late 70s: "Low," "Heroes" and "Lodger." Of all his rebirths this was the most radical, influential and multi-faceted. The Berlin albums are perfectly poised between art and pop, containing both avant-garde enigmas like "Warszawa" and glorious, gripping songs like the title track of "Heroes," which sounded not at all out of place, 35 years later, as Team GB's Olympic anthem.

Brian Eno, who worked on Bowie's Berlin trilogy, once compared rock music to a blank sheet of paper that was rapidly filled in and Bowie did more than anyone in the 70s to colonize that white space. Each record was, to quote one song title, a fantastic voyage, alerting other musicians to new possibilities and charting a path for entire scenes. It's impossible to imagine the landscape of early 80s pop, for example, without Bowie's influence, and you can detect his DNA in countless artists, from Pet Shop Boys to Lady Gaga, U2 to Blur, Joy Division to Nine Inch Nails, Franz Ferdinand to LCD Soundsystem. To any musician who worries about reconciling artistic integrity with commercial success, or sonic innovation with emotional truth, Bowie's 70s work is proof that, with enough talent and judgement, you can have it all.

Of course records this good cast a long shadow and, to paraphrase Barnbrook, no matter how much he tried, Bowie couldn't break free from the past. While his bad albums in subsequent decades were justly criticized, his good ones were unfairly underrated. Although he remained curious, enthusiastic and eager to take risks right up to 2003's "Reality," he was punished for no longer reinventing the wheel with each release. As long as Bowie was still recording regularly, all but his most devoted fans took him for granted. They won't be making that mistake again.

The opinions expressed in this commentary are solely those of Dorian Lynskey.

@highlight

David Bowie stuns rock world by releasing first new music in 10 years

@highlight

Bowie released string of dazzling albums in 1970s, says Dorian Lynskey

@highlight

Lynskey: This fine music cast long shadow; Bowie prisoner of past?

@highlight

Critics will never take him for granted again, says Lynskey