(CNN) -- The captain is still in charge.

No matter how technologically advanced a cruise ship may be or how modern its safety procedures or how strict the web of international regulations, passenger safety still depends on the captain's ability to make good decisions.

It's not clear what difference more stringent regulations would have played in the decisions of Captain Francesco Schettino, who allegedly deviated from a set route, abandoned ship after the disaster with passengers still aboard and did not return to the ship to lead rescue efforts when ordered by local port officials, according to transcripts between authorities and the captain.

In light of the Concordia disaster, the new head of the International Maritime Organization -- the United Nations agency responsible for shipping safety, security and prevention of marine pollution -- has promised to look into the regulation of large passenger ships.

"We should seriously consider the lessons to be learnt and, if necessary, re-examine the regulations on the safety of large passenger ships in the light of the findings of the casualty investigation," IMO Secretary-General Koji Sekimizu said in a statement released Monday. "In the centenary year of the Titanic, we have once again been reminded of the risks involved in maritime activities."

Passengers first, then crew, then captain

In addition to the United Nations agency, a ship is subject to the laws of the country whose flag it flies, often called "flag administration." The ship may also be subject to the laws of a country where it stops. (The Concordia didn't stop in U.S. ports carrying U.S. passengers, which means it wasn't subject to U.S. Coast Guard regulations, according to Brad Schoenwald, senior marine inspector of the U.S. Coast Guard's Cruise Ship National Center of Expertise.)

In the Concordia case, the laws of Italy also apply. Schettino may face charges including manslaughter, shipwreck and abandoning a ship when passengers were still on board, chief prosecutor Francesco Verusio said. Abandoning ship is a maritime crime that has been on the books for centuries in Spain, Greece and Italy, according to Alessandra Batassa, a lawyer in Rome, although many other countries have long abandoned it.

Although U.S. law doesn't single out abandoning ship as a crime, it's a longtime maritime tradition that the captain be the last one off a sinking ship, according to maritime law professor Craig Allen, visiting professor of law at Yale University Law School and the U.S. Coast Guard Academy.

"If you're going to be master of a ship, your responsibility is first to your passengers, second to your crew, then you look after yourself," said Allen, a Coast Guard veteran. "It's shameless and dishonorable [for the captain] to take himself out of the mix like that."

Current international regulation

Under current international regulations, each cruise company must have a safety plan, called a safety management system, that details responsibilities in the event of an emergency, Schoenwald said.

In the event of a fire on board, the captain would sound the general emergency alarm -- seven short blasts followed by one longer blast -- to direct crew members to fight the fire and direct passengers to their specified "muster" stations, where passengers are directed during safety drills to gather in event of emergency.

If the incident is contained, passengers might be allowed to resume their normal activities or be kept away from the damaged part of the ship until a return to port, or they might be required to abandon ship.

"The call to abandon is made by the captain," Schoenwald said. "When the abandon ship signal is made, they have 30 minutes to get everyone off the ship, even though the general emergency could have started a day or hour before."

It's not clear to Miami maritime attorney Brett Rivkind why the captain didn't issue a mayday signal to call for outside help soon after the accident. "[A captain needs] to know your ship and what danger your ship is in," he said. "Tilting and listing is a pretty good sign" of distress.

Passengers can be prepared

While passengers have little or no control over the abilities of their captain or crew, disasters like the Concordia are rare. Still, passengers can take steps to ensure a safe trip much of the time.

AAA Travel recommends that U.S. citizens who are traveling internationally register with the U.S. Department of State's free Smart Traveler Enrollment program (STEP) at https://travelregistration.state.gov or directly at U.S. embassies or U.S. consulates, AAA spokeswoman Cynthia Brough said. This will help the State Department better help them during an emergency.

Before you board, make a copy of your passport and have a bag with necessities like hard-to-replace medication, said Kimberly Wilson Wetty, head of the Valerie Wilson Travel's cruise department. As soon as you board your ship and arrive at your room, find your life vest and participate in the mandatory safety drill, called a muster drill.

"If you've been on a number of cruises, you don't pay as close attention [to the muster drill] as you probably should," said John Deiner, managing editor of CruiseCritic.com. Though attendance is mandatory, he said, there are often a few people who skip the drill.

Find out where you'll get a life jacket if an emergency keeps you from returning to your room for yours. During the cruise, place your purse and necessities in the same place in your room every time you enter.

Whatever went wrong to cause or exacerbate the Concordia cruise ship disaster, most of the Concordia crew and passengers safely made it off the ship. And though the images of the disaster may turn off many people to cruising, experts say it's still one of the safest transportation methods available.

CNN's Marnie Hunter, Barbie Latza Nadeau and Hada Messia contributed to this report.

@highlight

New cruise ship regulations are possible

@highlight

Concordia captain may face charges of manslaughter, shipwreck and abandoning ship

@highlight

U.S. citizens who are traveling internationally should register with the U.S. State Department

@highlight

Passengers are advised to pay close attention to safety drills