(CNN) -- This time of year, I am disturbed at the number of curveballs we see being thrown during the Little League World Series.

I coached youth baseball for eight years, each spring and fall. Three years ago, I wrote that Little League Baseball should ban the use of the curveball by its young pitchers.

The evidence seemed clear -- and sports injury doctors seemed to all agree -- that pitchers who were 13 and younger were not physically capable of handling the torque and strain on the elbow when throwing a curveball. The ulnar collateral ligaments connecting the lower and upper part of an arm simply couldn't survive the strain, they said.

Now, there is evidence the curveball may not be entirely to blame. But there is still debate over whether it should be allowed at such a young age.

Little League and others did separate studies -- and got somewhat similar results showing that injuries can result not just from throwing curveballs, but from kids throwing too much, with too little rest between pitching appearances.

Little League instituted strict pitch-count and innings-pitched rules five years ago. But those rules don't apply to non-Little League-sanctioned games.

"The difference now is, kids are playing on a number of travel and showcase teams outside Little League, and they have no such rules," says Lance Auken, vice president of communications for Little League Baseball.

"Travel ball has no rules on pitch count or number of innings pitched. So you now have kids throwing 300 to 400 pitches over a four-day period," he says.

Doctor: 'Don't throw curveballs until you can shave'

Little League Baseball commissioned its study with USA Baseball and the University of North Carolina. More than 1,300 pitchers of all ages were examined. For the Little League age group, 409 pitchers were analyzed, looking for which factors influenced injury risk.

"What was causing arm problems was not the curve ball, but the overuse of the arm. It found no evidence to say breaking pitches caused no more injuries than any others," says Auken.

Meanwhile, a group of doctors including Dr. James Andrews, the country's leading doctor in sports arm surgeries, conducted their own study. Andrews specializes in "Tommy John" surgery, which reconstructs the ulnar collateral ligament and is named after a former Major League pitcher.

Andrews and his team at the American Sports Medicine Institute did their study in a laboratory, not on a field. And they found throwing a curveball enacts no more force on the arm than a fastball.

But, they say, throwing curveballs early can lead you down a dangerous path later in a baseball career.

"Dr. Andrews still insists, 'Don't throw curveballs until you can shave," Lanier Johnson, Executive Director of ASMI told CNN.

And, he acknowledges, "That was a controlled lab setting. The field of play during a game isn't like that."

"We've tracked Little League games right through the Little League World Series, and as the competition grows, the kids throw curveballs up to 70% of the time," Glenn Fleisig, ASMI's director of research and co-author of the Andrews study, told ESPN The Magazine.

"It's good that Little Leagues have enacted rules on pitch counts, but for say, a kid in the Dominican (Republic), if you see an unusually developed curveball at an early age, who knows the mileage on that arm?"

Johnson says, "The kid who throws all those curve balls in the Little League World Series is a hero. But does he ever get a change to earn a college scholarship or sign a major league contract? Do you want to take a chance on your son or daughter to get a college scholarship? Do you want to be a hero at 13 or 14 but never much else after that?"

Surgery on the rise for young players?

Even though Little League has instituted new pitch count rules, ASMI says Andrews has performed about seven times the number of arm operations on young pitchers that he did 15 years ago.

So why not err on the side of caution and take Andrews' advice?

"(Andrews) himself will say that is an opinion of his, and is not based on any empirical data," Auken says. "There wasn't any evidence in this study. It's a fine distinction between the two."

"Little League has always been the leader in sports safety. We make changes in our sport based on data, not on feelings. We act out of scientific evidence," he says.

However, Andrews' office does agree that kids who pitched while fatigued are 36 times more likely to have serious arm problems.

Some 2.6 million kids play Little League baseball all over the world. Parents often are sizing up the competition for their 10- to 13-year-olds for future high school teams and college scholarships, and believe their kids should play as much as possible to improve their chances.

Little League officials admit too much baseball is not healthy.

"Kids play year-round now," Auken says. "Kids shouldn't be playing year-round in anything. If a parent is making a 10-year-old do that ... it will make them hate the game by the time they are 16 or 17 years old."

Andrews' group isn't alone on its curveball stance.

Dr. Lyle Micheli, director of the Division of Sports Medicine at Children's Hospital Boston, told the Boston Globe in April that he still believes the curveball is best not thrown until a pitcher is at least 14. He also said kids shouldn't attempt to throw a slider, a pitch that puts even more stress on the elbow, until 16.

Don Friend, an Atlanta-based pitching instructor and former scout for the Atlanta Braves and the Boston Red Sox, gave my son the same guidance in years of lessons. My son went on to pitch for NCAA Division III Piedmont College.

Dr. Timothy Kremchek, an Ohio orthopedic surgeon who is the Cincinnati Reds' physician, told the New York Times this spring he performs 150 elbow ligament reconstructions a year.

"Seventy percent of those surgeries are pitchers who haven't hit college yet," Kremchek said. "I ask each one the same question: When did you start throwing curveballs? And they say: 'I was 10. I was 11.' Sometimes, it's 9."

Five years ago, I attended a coaches' clinic at Georgia Tech that included the coaches and trainers of Georgia Tech and the Atlanta Braves.

At the time, Georgia Tech had a team that counted and documented every pitch of the televised Little League World Series. Team members noted an increase in the use of the curveball every season. Andrews appeared in a video message, and all at the clinic agreed no one under 14 should be throwing the curveball.

If you are watching the Little League World Series as a baseball purist, that sweeping hook of the curve can be a thing of beauty.

But take a good look at the kids throwing them now. Chances are, you may not see them throw it or any other pitches without major surgery needed before they reach high school.

So I will ask Little League again: Why not ban the curveball?

@highlight

Evidence suggests that curveballs may not be entirely to blame for injuries

@highlight

Little League has taken steps to prevent overuse of pitchers' arms

@highlight

Some doctors say curveballs should not be thrown by young pitchers

@highlight

Some 2.6 million kids worldwide play Little League baseball