(CNN) -- The Guatemalan army stole at least 333 children and sold them for adoption in other countries during the Central American nation's 36-year civil war, a government report has concluded.

Around 45,000 people are believed to have disappeared during Guatemala's civil war, 5,000 of them children.

Many of those children ended up in the United States, as well as Sweden, Italy and France, said the report's author and lead investigator, Marco Tulio Alvarez.

In some cases, the report said, parents were killed so the children could be taken and given to government-operated agencies to be adopted abroad. In other instances, the children were abducted without physical harm to the parents.

"This was a great abuse by the state," Alvarez told CNN on Friday.

Investigators started examining records in May 2008 for a period that spanned from 1977-89, said Alvarez, the director of the Guatemalan Peace Archive, a commission established by President Alvaro Colom.

Of 672 records investigators looked at, Alvarez said, they determined that 333 children had been stolen. The children were taken for financial and political reasons, he said.

Alvarez acknowledges that many more children possibly were taken. Investigators zeroed in on the 1977-89 period because peak adoptions occurred during that time frame, particularly in 1986. They will investigate through 1995 and hope to have another report ready by early next year, he said.

A presidential ministry has determined that about 45,000 people disappeared during the nation's civil war, which lasted from 1960 to 1996. About 5,000 of those were children, the ministry said. Another 200,000 people died in the conflict between the leftist guerrillas and right-wing governments.

The nation's public ministry and attorney general's office will determine whether anyone is prosecuted over the abductions, Alvarez said.

Asked if he would like to see prosecutions, Alvarez answered, "I hope so."

Alvarez said he has attended several reunions of abducted children -- now adults -- and family members.

"I can't tell you how happy that makes me," he said.

Adoption has served as a source of income in Guatemala for decades. The war just made it easier for abuses at the hands of soldiers to occur.

Guatemala has the world's highest per capita rate of adoption and is one of the leading providers of adoptive children for the United States. Nearly one in 100 babies born in Guatemala end up with adoptive parents in the United States, according to the U.S. consulate in Guatemala.

Adoptions can cost up to $30,000, providing a large financial incentive in a country where the World Bank says about 75 percent of the people live below the poverty level. Officials fear that often times mothers are paid -- or coerced -- into giving up their children.

Some unscrupulous lawyers and notaries, who have greater power in Guatemala than they do in the United States, have taken advantage of the extreme poverty and limited government oversight over adoptions to enrich themselves. Alvarez said corrupt lawyers and notaries were the driving force behind many of the army abductions of children.

The problem is confounded because many Guatemalan parents can't provide for their children. The United Nations' World Food Programme says Guatemala has the fourth highest rate of chronic malnutrition in the world and the highest in Latin America and the Caribbean. Chronic undernutrition affects about half of the nation's children under the age of 5, the U.N. agency said.

Guatemalan President Alvaro Colom Caballeros declared a state of national calamity this week because so many citizens do not have food or proper nutrition.

Despite the nation's problems, Alvarez hopes some good will come of the report, which was released Thursday.

"We have to tell the truth about what happened," he said. "Guatemalan society must know what happened and must never allow it to happen again."

CNN's Arthur Brice contributed to this report

@highlight

Children stolen for adoption in the U.S., Sweden, Italy and France, report says

@highlight

Some parents were killed, others were unharmed when soldiers came calling

@highlight

Investigators examined period between 1977 and 1989, 'peak' adoption period

@highlight

Reports says many more could have been taken, investigation underway