Hong Kong (CNN) -- When Lijia Zhang was 10-years old, her mother told her babies are born from armpits.

"I thought that's strange, because there's no hole there," Zhang recalls, adding that she "had absolutely nothing" in terms of sex ed when she was growing up in Nanjing in the 1970s, beyond what her mother told her.

Now a journalist writing for English-language publications, Zhang publicly revealed her own experience of molestation by a schoolteacher in a recent opinion piece on the severity of child sex abuse in China.

Zhang is part of a growing number of voices calling for better sex education to combat child sex abuse, rising rates of sexually transmitted diseases, and unwanted pregnancies.

"With so little sex education and knowledge, you become very vulnerable to abuse," says Zhang.

Sex education is taught inadequately in school and avoided by parents, resulting in generations of Chinese children growing up wondering if babies come out of armpits, or from the garbage dump, as others have also cited.

"We've never had a class on sex ed at my school. We're not even allowed to have a boyfriend or a girlfriend. No kissing, nothing," says Sun Meimei, an 18-year-old student at a top boarding school in wealthy Chengdu. Her teachers simply told her she would "be in trouble" if she had a boyfriend.

No incentive

Typically, Chinese students are taught the basic anatomical differences between the sexes and little else. There's no real incentive for educator or student to learn about it. It then becomes a vicious cycle: no one learns about it so no one is in a position to later teach it.

But the puritanical classrooms hardly translate to a prudish society. A 2012 survey by the Qiushi journal showed that 70% of Chinese have engaged in pre-marital sex, up from just 15% of those surveyed in 1989.

Top-down efforts to make sex education part of the compulsory education curriculum were seen at the CPPCC this past March when two committee members spoke out about the issue. Meanwhile, Chinese Internet users have taken matters into their own hands, posting videos that teach crucial sex facts in one-minute clips, with some going viral and being watched millions of times.

Nothing to be desired

The repercussions of a population in the dark about the bedroom are vast. Sexually transmitted infections (STIs) are on the ascent and China has particularly high rates of syphilis, while sexual transmission now accounts for 81.7% of all new HIV infections.

Unwanted pregnancies are also rife. China has a staggering 13 million annual abortions, according to recent data published by China's National Health and Family Planning Commission in 2013. In one instance a teenage girl underwent 13 abortions. These numbers would lower significantly if Chinese women knew how to use contraception effectively -- but most don't.

The lack of sex education plagues rural and urban areas equally. Meizhen Wu is a market researcher, investigating sexual health as part of her job. She had never heard of the human papilloma virus (HPV), a commonly transmitted STD responsible for 70% of cervical cancer cases worldwide. Wu only found out about it when her company put her in charge of work related to the HPV vaccine, which in China, is only available in Hong Kong.

Wu remembers her own sex education. It consisted of watching one 45-minute-long video explaining sexual differences between boys and girls.

The video was counterproductive. Wu says it reinforced gender stereotypes of girls as passive and boys as active and aggressive.

Herein lies a dark consequence of poor sex education: females are particularly compromised.

A recent report from the United Nations revealed a shocking 22.2% of 998 Chinese males surveyed had raped a woman.

Children also don't have the knowledge to protect themselves from unwanted sexual attention. A total of 125 cases of sexual assault on children were reported in 2013.

Richard Burger, author of "Behind the Red Door: Sex in China," says knowledge is as important for empowering potential victims as it is for curbing aggressors. "Better sexual education would teach men to respect women more and be sensitive to their sexual needs, including the right to say 'no,'" he says.

Dirty talk

When the Communists came to power in 1949, talking about sex became strictly taboo. It was erased from public life, especially during the Cultural Revolution when men and women squeezed into gender-neutral Mao jackets and all energy was directed towards the revolutionary cause.

This changed during China's opening up period starting in the mid-1970s. As years of state-sponsored puritanism began to dissolve, the first sex education courses were instated in Shanghai, in 1981. The same year saw the Ministry of Education announcing sex ed classes would be established in all middle schools throughout the country.

Even then, the government preached abstention over indulgence. For example, the 1988 sex education charter warned adolescents of the dangers of premarital sex.

Ultimately, a prudish attitude prevails and as yet no standardized and authoritative teaching materials have been issued on the topic.

The government approach dovetails with its concerns over "polluted" and "unhealthy" material: References to sex, including kissing, are constantly edited out of public life, such as the sex scenes cut from Ang Lee's "Lust, Caution" or more recently, the censoring of an on-stage lesbian kiss during the 2013 Eurovision Song Contest.

Educators have also largely ignored what calls the government has made to improve sex education. In part, teachers are too embarrassed to cover the subject, but primarily they concentrate on meeting their own academic targets. Sex is not a subject tested in the all-important university entrance exam and teachers have little incentive to emphasize the subject.

"At school the focus is to get students to score high in exams in order to get them into good universities. Sex education is not considered important," Zhang explains.

Parents spur this on, pressuring their children to concentrate on academics above all else. Zhang adds that Confucian thought doesn't encourage open discussion of sex. As a popular saying goes: "Lust is the worst of all wicked things; Filial piety is the best of all good things."

TCM obstacles

Traditional Chinese medicine offers advice on coitus that can be at odds with modern science -- again impeding honest talk about sex.

"There are big gaps between western concepts and Chinese traditional culture," says Tao Lin, president of the World Association of Chinese Sexologists. Within traditional Chinese thought, semen is believed to be more precious than blood, with one drop said to equal 10 drops of blood. Excessive sexual activity that causes the loss of semen from the body is thought to be harmful, explains Tao.

The combination of misinformation and lack of teachers who are qualified on the subject is toxic, says Tao.

"Contradictions arise between radical and conservative, right and wrong. The radical may explain the use of condoms in middle school while the conservative still insist on abstinence in college. Someone says puppy love is beneficial, while someone says puppy love should be prohibited," says Tao.

He adds that only one college in the country -- Capital Normal University -- offers an academic minor in sex education.

Protecting the future

With few avenues for young Chinese to turn to for information, the Internet and the arts have become key educators. An online survey showed that 88% of Chinese youth polled said they had learned about sex on their own.

There are signs of change. In light of child abuse cases, the issue of China's poor sex education has recently gained traction. There's growing support amongst parents for improvements and the government released a teaching outline in March for sex education lessons. It offers step-by-step guidance on how to instruct primary school children to better protect themselves from sexual abuse.

Many NGOs are also aiding the dissemination of knowledge. Tao's organisation is one example, but he lists a series of other social organizations, such as the Ford Foundation and Path, who have all done "a great deal to promote sex education in China."

Lily Liu Liqing, country director from NGO Marie Stopes, which was established in China in 2000, says they aim "to empower young people to have open and informed attitudes towards love, sex and life" through a series of services. Their best known initiative is the You&Me clinics, where young people can receive information on family planning.

@highlight

Sex-related social issues on the rise in China, including sexual assault, STDs, unwanted pregnancies

@highlight

Sex education is key to eradicating these problems, but educators have little incentive to teach

@highlight

Traditional beliefs impede honest talk about sex

@highlight

A one-minute Chinese video explaining important sex facts goes viral online