(CNN) -- Before the story sinks beneath the waves, a few more words are in order about the recent selection process for a new chief for the Federal Reserve: It stinks.

The chairmanship of the Federal Reserve Bank is probably the second most powerful job in the United States. In combating the financial crisis and the slow recovery, it has often been more important than the presidency. Indeed, many in other countries believe it has become the most important job in the world.

Selecting a chairperson is thus a solemn, crucial undertaking. I have only participated once -- during the process when President Reagan decided to reappoint someone first named by his Democratic predecessor, President Carter. Reagan thought long and hard and, putting aside all partisanship, wisely asked Paul Volcker to stay on. Everyone at the White House and in Congress understood how big that decision was.

We once chose our Supreme Court nominees with the same degree of deliberation and thoughtfulness on both sides of the aisle. That is, until the debacle of the Bork nomination in 1987, when the process disintegrated into a partisan brawl. Nominations of justices have been subject to undue political considerations ever since.

One can only hope that the selection process for a Fed chair in recent weeks is no precedent for the future. It has been messy, ugly and degrading to the leading candidates and could ultimately diminish the authority of the Federal Reserve itself.

I have had the privilege of counting Larry Summers as a colleague and then a friend for more than 30 years; I have known and respected Janet Yellen for more than a decade and during college was a friend of her husband, George Akerlof, a Nobel Prize winner in economics.

Both Summers and Yellen are superbly qualified to lead the Fed. But both were also distinctly uncomfortable with the way the process played out as a political circus, so that whoever won would carry baggage into the job. These are serious people in serious times. They -- and we -- deserve better.

To read what was being said about Larry Summers might lead you to believe that he is a Wall Street-loving, Main Street-hating misogynist who chews up colleagues for breakfast. That caricature is wildly unfair.

Without rehashing the debate -- and because I am no economist -- let me just suggest a different way to look at him. First and foremost, the past two Democratic presidents, Bill Clinton and Barack Obama, selected Larry Summers as a principal architect of U.S. economic policy and in both cases were extremely grateful for his leadership.

CNN Money: Economists react as Summers drops out

For Clinton, Summers and Bob Rubin were mainstays in an administration when there was an explosion in jobs and the income of the bottom 20 percent actually rose faster than the top quintile.

For Obama, Summers and Tim Geithner -- along with Ben Bernanke -- were the most important players in staving off a depression and helping the economy back on a growth path, albeit slow.

In both administrations and in days since, Summers has consistently spoken in favor of closing the opportunity gaps in the country; that issue goes deep with him.

Summers does believe in the power of the marketplace and he respects the U.S. financial industry as one of the nation's prize assets, a creator of growth and jobs. But he also believes in regulation.

As columnist Ed Luce pointed out in the Financial Times on Monday, he wanted to be tougher on banks than many of his colleagues early in the Obama years. The liberal Democrats who have chased him with pitchforks over repeal of Glass-Steagall in 1999 conveniently forget that it passed the House by 362--57 with Democrats voting in favor by 3-1. Nor do they take any responsibility for doing anything to correct it in the eight years between passage and the economic crisis. Nor do they admit that it had precious little to do with causing the crash.

Larry Summers is by no means perfect, but in the din of recent weeks, it has been hard to keep things in perspective. Yes, he was very clumsy in his comments about female scientists while at Harvard -- but he clearly did not mean to say that women are somehow inferior and he apologized repeatedly for his clumsiness. Who would have known from the past few weeks how many women like Sheryl Sandberg have worked for him and are fierce champions for him?

Yes, he can be difficult in interpersonal conversations. He is tough minded and likes to joust intellectually. But is that a disqualification for strong leadership of a major organization? If so, we would never have heard of Steve Jobs or Jack Welch.

One could go on but the point should be clear: This was a terrible process in which injustices have been done. The president and his White House staff obviously bear part of the blame. So do those who have rushed to the barricades, turning out press releases and petitions.

The only way it could get worse is for the president, as suggested by the press, to turn away suddenly from Janet Yellen out of annoyance with liberal Democrats or because he feels he has been boxed in. This is a decision that must be made strictly on the merits. Larry Summers had the grace to make the right decision. Now the president must make the right decision in choosing Janet Yellen.

The opinions expressed in this commentary are solely those of David Gergen.

@highlight

Larry Summers has dropped out of contention to head the Federal Reserve

@highlight

David Gergen: Process of filling the crucially important job has been shameful

@highlight

He says Summers' reputation has been trashed and his merits ignored

@highlight

Gergen: President Obama should now nominate Janet Yellen for the post