(CNN) -- Judging by the dust on the label, the bottle hasn't been handled for years, yet it feels warm to touch.

Perhaps that's because it's part of a wine collection that I'm told belongs to Russian President Vladimir Putin and my palms are perspiring.

Turning slowly, I half expect to be confronted by a bare-chested man in a judo stance, demanding to know what I'm doing with his vino.

I'm imagining things, of course.

Putin has more pressing matters to attend to than skulking around in catacombs in Moldova.

I'm in the state-owned Cricova wine cellar, deep beneath the hills outside Chisinau, the capital.

My paranoia isn't quite as foolish as it sounds -- Putin reportedly celebrated his 50th birthday right here.

Moldova, Europe's least-visited country, is separated from Russia by Ukraine -- although since the recent annexation of the Crimea, it feels a lot closer.

It certainly holds this complex little country's fortunes in its hand.

Last year, when Russia ceased importing Moldovan wine because it said trace contaminants had been discovered, some said the move was really an expression of displeasure at European Union expansion.

Wine is everything here.

The countryside is covered by vineyards and Moldova produces some of the world's best wines, although you wouldn't know it looking at stockists in many parts of the planet.

Britain's Queen Victoria was a fan, partial to a bottle of Negru de Purcari.

Limestone labyrinth

The limestone labyrinth I'm standing in is one of the planet's biggest cellars.

Cricova's tunnels are vast wine-filled wormholes that extend for anywhere between 60 and 120 kilometers (37 and 74 miles), depending on who you believe.

They're so huge I'm exploring them in a van.

Oceans of splendid sparkling white are made in this subterranean wine city using Dom Pierre Perignon's celebrated Methode Champenoise, and conditions are perfect for storing all varietals.

Putin isn't the only person to have a private stash here.

I spy a collection labeled as belonging to German Chancellor Angela Merkel.

There's also a priceless group of bottles accumulated by Hermann Goring, including a 1902 Jewish dessert wine.

The Nazi commander's ill-gotten hoard was liberated by the Red Army at the end of World War II and brought here.

Moldova sees only a few thousand visitors annually, with Cricova among popular destinations.

There have been some illustrious guests -- including Soviet cosmonaut Yuri Gagarin, whose sampling tour reputedly lasted two days.

Tourism clearly doesn't keep the country afloat, but wine sales do, which is why the Russian embargo causes such concern.

Moldova might be commercially dependent on Russia, but culturally the country looks west, to Romania.

Romania and Moldova were unified for several decades in the first half of the 20th century and share a common language.

Moscow opposes a reunion, however, preferring to keep a meek and weak Moldova on its doorstep than have to contend with a bigger, emboldened Romania with close ties to the European Union.

Cultural and political arm wrestling

On my next stop -- Transnistria, to Moldova's east, sandwiched between the Dniester River and the Ukraine border -- this complicated cultural and political arm wrestle gets even stickier.

Border crossings are rarely fun, but the uniformed individual in the bleak hut straddling the line between Moldova and Transnistria takes officiousness to a new level. Finally, though, he stamps my form and I'm in.

Exactly where I have got "in" to, however, is a point of contention.

Transnistria is a nation in its own eyes only -- no other country officially recognizes it.

For all its solemn theatrics, the grilling I've just experienced was geopolitically meaningless and I'm still in Moldova.

Culturally, though, everything has changed; I've crossed a line from a Latin-leaning land onto Slavic soil.

Many Transnistrians speak Russian and look more toward Moscow than Chisinau.

Now that parts of Ukraine have voted to cede to Russian control, people are pondering the possibility that Transnistria might be next on Putin's wish list.

Transnistria: Country roads

The territory has a defiantly independent attitude.

It has its own army and a currency you'd be pushed to spend anywhere else on the planet.

The local soccer team, F.C. Sheriff Tiraspol (started by a KGB agent and sponsored by a supermarket) regards itself as the national squad.

Given the Monty Python-esque posturing at the border, it shouldn't have been a surprise when, at the Tighina Fortress in Bender, on the banks of the Dniester River, I come face to face with Baron Munchhausen.

The Baron -- a German nobleman in real life, who became a captain in the Russian army -- was famous for his tall tales long before ex-Python-turned-director Terry Gilliam immortalized him on film in 1988.

A renowned raconteur, Munchhausen once claimed to have flown over Tighina riding a cannonball during a battle with the Turks.

In a monumental salute to his overactive imagination, he has been cast in statue form just outside the fortress walls next to the saddled projectile he supposedly rode.

Less amusingly, the fortress also features a hideous torture chamber whose thick walls must have absorbed the screams of many unfortunates as control of the 15th-century fortress bounced back and forth between the Russian and Ottoman empires.

I'm glad to escape and thankful for the fresh air as we drive back across the Dniester and through the bucolic countryside that sprawls across Moldova and Transnistria, where people still live the kind of rural life that's mostly extinct elsewhere in Europe.

Wine-making monks

We pull up outside Noul Neamt, a monastery that was shut down by the Soviets in 1962 and transformed into a hospital.

The monks moved back in shortly before Moldova became independent in 1991 and, in between prayers, they've been busy producing barrels of wine ever since.

Here, from the top of the region's highest bell tower, I get an eyeful of the surrounding farmland, where donkeys pull cartloads of fresh vegetables past vineyards, and people congregate around wells at crossroads.

I'm shown around by a charismatic monk called Alexi.

He tells me how the Soviets cut the bell ropes in the tower, but when they tried to pull down one of the crucifixes with a tractor, it fell and killed the driver, so they left the rest standing.

My tour finishes in the wine cellar, where we sample a glass of red straight from the barrel.

Transnistria, though, is more famous for its fabulously smooth brandy, made in the regional capital by the Tiraspol Winery and Distillery, otherwise known as KVINT.

In Tiraspol, I combine a shopping quest to acquire a bottle of brandy with some urban exploration and discover a highly eccentric city with a distinctly Soviet aura.

Uniformed guards rebuke me for photographing official buildings.

In the absence of playgrounds, kids climb on decommissioned Russian battle tanks ceremoniously parked in public spaces.

Clutching my KVINT I stand in the street, under the stern gaze of one of several statues of Lenin.

I stare straight back.

This bottle, unlike the ones in Putin's rack, is mine -- bought and paid for.

Pat Kinsella is a writer, photographer and editor who specializes in adventures on the darkside. He tweets at @paddy_kinsella

@highlight

Moldova's state-owned Cricova wine cellar houses private collections belonging to prominent figures

@highlight

Cricova's tunnels are vast, wine-filled wormholes that extend between 60 and 120 kilometers

@highlight

People in the breakaway region of Transnistria look toward Russia while Moldovans typically lean toward Romania