Moncks Corner, South Carolina (CNN) -- Every day, before sunrise, Zubaidah Gibbs wakes to pray, then spends hours more singing praises to God under a tree outside her home. She reflects on the setting and thanks God for the beautiful environment around her in this small Southern town.

But this Muslim woman wasn't always at peace with herself, or her religion.

Her 55 years have been a journey from wanting to be white to being proud to be black; from the urban North to the rural South; from studying religions to finding a community in Islam.

As a young girl in the 1960s, "I would have done anything in the world to be white with blue eyes and blonde hair with small lips," Gibbs said. "I didn't hang out with girls who were dark like me, because I felt like they were ugly like me."

She became more comfortable with her race as a teenager, when she heard a different message: James Brown singing "Say it loud, I'm black and I'm proud!"

"I was, like, 'Wow, this is interesting,'" she said. "I started getting rid of [my relaxed hairstyle] and accepting my hair natural, and I was a little bit more comfortable with myself."

But her pride in her roots didn't fill the void she felt in her heart. She was still searching for connections that transcended ethnicity. Her mother, a Christian, encouraged Gibbs to visit various churches around her home in New York, some led by Protestants, Jehovah's Witnesses and Catholics.

She was 17 when a blind date with a Muslim man ended at a mosque.

"I heard the adhan [call to prayer] playing, and I saw the people with their long garbs on, and the sisters -- and I just didn't want to leave," she said.

That same year, she embraced Islam, attracted to the message of peace and its disregard for color.

"Islam helped me to identify with the beauty within as well as outside. ...It balanced me out because now I understand who I am as a human," Gibbs said.

Gibbs' spiritual journey had only begun. At age 42, she moved from New York to South Carolina to escape the crowds of the city with her four children. She didn't know of a mosque in the little town where she'd settled, Moncks Corner, but was reluctant to go 30 miles south to Charleston. So, she prayed about it.

One day, Gibbs said, she saw men in kufis, traditional African skullcaps, building what looked like a little house on what had once been known as the "whites-only" side of Moncks Corner. She discovered it was to be a mosque, just as she'd prayed for.

Today, the mosque, Masjid Muhajarun Wal Ansars, is a small white brick building whose members are mostly African-American. They practice mainstream Islam, like 2.45 million other American Muslims, not Nation of Islam, a separate religious tradition associated with black Muslims. Here, they marry Islamic ritual, racial understanding and traditional southern culture.

At the mosque, Gibbs met a spiritual mentor, Sheikh Harun Faye. Faye was born in Thies, Senegal, and came to South Carolina in 1994 after marrying an American.

"I belong to a very large family, and generation after generation all we have done is to lead people to the way of God," Faye said. "So, when I got here, the first thing I wanted was a mosque where I can call the people to God and teach them Islam. And that is what I do."

He opened the mosque in 1996, with five people. The congregation now consists of more than 150 members.

Gibbs was among its first members. She was initially attracted to the mosque's welcoming nature, open-door policy and community outreach. Over the last 14 years, the mosque has assisted thousands of people in need, many of them homeless and ex-convicts.

"Anybody, Muslim, non-Muslim, you know, African-American, non-African-American, anybody who comes and knocks on that door and said 'I'm hungry,' or 'I can't pay my light bill,' or 'I need to lay down here and sleep,' we don't care who you are, where you come from. You could be the worst crook in the world, we really wouldn't know," said Imam Rasheed Nurudin, the prayer leader of the mosque who fills in when Faye is absent.

The mosque's fusion of black American and Islamic culture has allowed members like Gibbs to harmonize her identity and connect with a message of unity.

"When I came and listened to the sheikh and he spoke about God and the Prophet Mohammed, it wasn't about 'black power this,' and 'black man that,'" Gibbs said. "It was about humanity. It was about God.

"It's like you have a veil when you come into the mosque and all of a sudden the veil is lifted and you can see like you've never seen before. Everything looks different."

The center is a unique cultural crossroads in the deep South, said Anisah Bagasra, an instructor at Claflin University in Orangeburg, South Carolina, who has studied the mosque and how its members incorporate Islamic rituals into their daily lives.

"When you go for their Eid [holiday] dinners in particular, this is where you really see both Southern hospitality emerge and ... southern home cooking, but everything's halal, so it shows that religious mandating as well," said Bagasra. "[It] represents a growing trend in contemporary Muslim communities in the United States in terms of that fusion of traditional cultures with the American culture, while maintaining a pride in their Islamic identity."

Gibbs enjoys the duality and expresses her culture through her clothing, head scarf and singing West African-influenced Islamic prayers, a practice uncommon in other mosques.

"It makes me feel happy. It makes me feel a serenity that words cannot describe, because I'm closer to God with the community," she said. "Everyone is singing and praising God together."

For Gibbs, finding a mosque in the rural South was key to her inner peace. It fulfilled the spiritual companionship she'd been seeking for years, she said.

"This community means a family that I never had and a strength that I never knew," she said. "[It] meant opening up doors that were shut in terms of my self esteem, in terms of my direction, my aim ... my destiny."

She paused to rearrange her scarf, and her eyes began to water.

"I'm happy."

@highlight

Zubaidah Gibbs struggled with her race and religious identity early in life.

@highlight

In rural Moncks Corner, S.C., she joined a mosque that helped her feel whole.

@highlight

The predominantly African-American, 150-member mosque combines traditional Islam with southern culture.