(CNN) -- Clashing priorities of jobs versus the environment are provoking questions about how far the nation should go to promote clean energy alternatives like solar and wind power.

"The actual debate happening in the United States is not hard to understand," wrote Matthew Yglesias on the Center for American Progress Action Fund's blog. "We're having an argument about whether doubling-down on fossil fuel extraction or promoting efficiency and renewal energy would be better economic policy."

Each side has its experts. On one hand, economists at the University of Massachusetts believe large-scale investment in clean energy would create about three to four times as many jobs as the same money would in fossil fuel industry.

On the other hand, expanding development of oil and natural gas resources would create 1.1 million jobs and $127 billion in government revenue by 2020, according to a new Wood Mackenzie study cited by the American Petroleum Institute.

Those numbers could benefit the nation's budget and some of America's 14 million unemployed.

Charles T. Drevna of the National Petrochemical & Refiners Association summed up his stance in an editorial for the Washington political web site, The Hill: "It's time for America to develop an energy policy based on reality rather than ideology, grounded in what works rather than in hopes and dreams."

As political pressure rises inside the White House to slash unemployment, Courtney Hight -- a former member of the White House Council on Environmental Quality -- says she doubts now whether President Obama is "seeing the opportunity for job growth within some of these clean energy standards and policies."

Defending Obama's environmental record, White House spokesman Clark Stevens pledged the administration "will continue to take steps to meet the president's important goals of protecting the health of our families, increasing our nation's clean energy generation, reducing our reliance on foreign oil, and supporting American industries and innovation."

Criticism of Obama's clean energy initiatives resulted in the resignation of an administration energy official this week after solar panel maker Solyndra -- which got about a half billion dollars in federal loan guarantees -- went bankrupt. On Thursday, Obama defended government help for clean energy companies because they're "part of that package of technologies of the future that have to be based here in the United States." The president said Europe and China are outpacing the U.S. in clean energy because their governments are offering incentives. Many smaller U.S. clean energy companies, he said, find it difficult to find private investors.

Environmental 'gut check time' for Obama?

Nonetheless, environmentalists say they're worried about other clean energy issues. The State Department is poised to decide later this year whether to approve a permit for a Canadian company to build a new oil pipeline from Alberta, Canada, to Texas, which supporters say will increase jobs and energy independence.

In a move last month that angered much of the environmental community, Obama decided to delay implementing EPA rules limiting smog from vehicles, power plants and factories. Business leaders applauded the decision, saying the rules would have killed jobs.

Poll: Alternative energy trumps fossil fuel

So, what do Americans think? Most (63%) say developing alternative energy sources should be a higher priority than expanding fossil fuel exploration and production, according to a Pew Research Center study. For so-called "main street Republicans," that number is 66%.

Less than half (48%) of all Americans believe global warming is a proven fact caused mostly by cars, power plants and factories, according to a CNN/ORC poll. For self-described independent voters, that number is 38%.

"There's really no evidence at all that most people see a conflict between environmental protection and job creation in fact in many ways they see them going hand in hand," said Democratic pollster Mark Mellman.

As for Election Day politics, Obama is unlikely to lose many votes over his environmental record, Mellman says, because most environmentalists will find themselves with few acceptable alternatives.

Obama's 2012 GOP rivals include candidates who doubt that climate change is real and who favor eliminating the EPA. What Obama does risk is voter turnout and enthusiasm -- key factors that helped him win in 2008.

To what extent will clean energy advocates try to convince their friends, relatives, co-workers and colleagues at the water cooler or at cocktail parties or barbeques that they ought to vote for the president?

"I think many of them will," says Mellman. "The question is, how many of them will? And I think that is influenced to some extent by the administration's policy decisions."

@highlight

Refiners urge energy policy "based on reality"

@highlight

Economist: Clean energy investments create more jobs

@highlight

Study: Expanding fossil fuel industry would equal 1.1 million jobs by 2020

@highlight

White House pledges to take steps toward "clean energy generation"