London (CNN) -- Their crime was one of shocking brutality. Michael Adebolajo and Michael Adebowale first ran down soldier Lee Rigby in a car, then hacked him to death in a frenzied machete and knife attack.

Confronted with gory closed-circuit TV footage, grueling witness testimony and Adebolajo's own defense that he had "no choice" in Rigby's killing, as he was "a soldier of Allah," the jury took only 90 minutes to convict both defendants of his murder. They were cleared of the attempted murder of a police officer.

But what led Adebolajo, 29, and Adebowale, 22, both born and raised in Britain by families of Christian Nigerian origin, to kill on London's streets in the name of Islam?

There seems to be no simple answer to that question.

Adebolajo was the only one to give evidence in court. He denied the charges of murder and attempted murder of a police officer, on the grounds that he had acted from religious conviction. He converted to Islam in 2002 to 2003, while at a university, and adopted an Islamic name, Mujahid Abu Hamza.

"I am a soldier of Allah," he told the jury. "It is a war between Islam and those militaries that intervene in Muslim lands."

Adebowale, who did not take the stand, converted to Islam more recently, in 2008 to 2009.

A closer look at their backgrounds reveals that both were already known to police and that both showed earlier signs of radicalization.

In a news briefing, Metropolitan Police Assistant Commissioner Cressida Dick said police had had contact with the two men, as both victims and offenders, over a number of years -- in Adebowale's case for drug offenses, and in Adebolajo's case for a handful of incidents involving violent crime.

Both were at a demonstration in 2006 outside the Old Bailey in London. Adebolajo was subsequently convicted on two counts of assaulting a police officer and spent 51 days in prison, but Adebowale was not arrested. Adebolajo still pleads innocence in that case, denying he punched a female officer in the face and a male officer in the groin.

Both men also participated in a protest in 2012.

On the witness stand, Adebolajo said he attended demonstrations but was not specific, describing them as a way "to let off steam."

Extremism trigger 'difficult to pinpoint'

He said he had listened to speeches by Anjem Choudary, a controversial British Muslim cleric, but did not agree with him. "I think he is a good man, however he encourages his followers that jihad in this country is not allowed at this moment," he said.

Adebolajo said that he had tried to travel to Somalia in 2010 because he wanted to live under Sharia law but that he was stopped by Kenyan authorities and returned to the UK. After that, he reportedly had frequent contact with MI5, the UK domestic security agency.

Despite these incidents, what might have pushed them over the edge into violent extremism is "very difficult to pinpoint," Dick said.

While Adebolajo "talks about grievances in foreign policy," Dick said, authorities don't know where he got his radical views.

Little extremist material was presented to the court as evidence, although materials on "martyrdom" were found in Adebowale's home in Greenwich, southeast London.

Dick, who watched tapes of police interviews with Adebowale, described a "troubled young man" who "was very changeable, emotional and many times very aggressive. He did spit at officers and several times this required restraint."

There were some indications that Adebowale was associated with a street gang in 2008, she said.

Adebolajo: 'I was disgusted'

Asked in court what he thought of al Qaeda, Adebolajo said: "I love them and I consider them my brothers in Islam."

Adebolajo also told jurors he was against British foreign policy but did not believe his Islamic views led him onto the path he had taken.

"Even before I became Muslim, I did not agree with foreign policy," he said, then describing an early memory of watching the Iraq war on television.

"'Operation Shock and Awe' -- I saw it unfold on BBC and CNN what not, and I was disgusted, you know. It was reported as if it was praiseworthy," he said. "I knew that every one of those bombs was killing someone. I was disgusted."

Adebolajo, who is married with six children, said in his police interview, shown in court, that he didn't like blood. He maintained that he posed no threat to civilians, only to the British military because of its actions overseas. He tried to cut Rigby's head off because it was the proper method under Allah, he said.

"It brings me little joy to approach anybody and slay them. Can you believe me? I am not a man who gains enjoyment from watching horror films," he said.

His defense lawyer, David Gottlieb, sought to define Adebolajo in his closing argument as a man who was "motivated by a noble idea" rather than being a psychopathic murderer.

His client was intelligent and totally sincere in his beliefs, and had shown "absolute honesty and moral conviction," Gottlieb said.

"He did what he did because it was divinely ordained," he said, adding that he considered Adebolajo should have been charged with treason or terrorism rather than murder.

The defense lawyer for Adebowale, Abbas Lakha, echoed the argument that the men intended to kill a British soldier because they were soldiers of Allah, and that this was not the same as intent to murder.

The testimony heard in court suggested neither man expected to live after the attack.

Both defendants intended to make police feel threatened because they wanted to be shot, Lakha said.

He said a note that Adebolajo handed to a bystander at the time of the attack was a joint missive, and it could be regarded as a suicide note, since part of it read "If I live beyond this day. ..."

Paramedics who treated Adebolajo after he was shot in the arm by police said that he told them: "Your government is all wrong. I did it for my God. I wish the bullets had killed me so I can join my friends and family.

"This arm belongs to Allah, and you can do what you want with it."

Police: 'It's a complicated story'

Critics may ask why these two men, given that they were known to the police, were not monitored more closely -- and so perhaps prevented from committing Rigby's murder.

Many in Britain will also want to know whether Adebolajo and Adebowale were operating alone, and whether a continued threat exists.

With those questions in mind, the parliamentary Intelligence and Security Committee is reviewing what was known about them before the attack.

The two men attended mosques across the capital but, Dick said, police "are not aware of anyone else being aware of what was going to take place. We are not aware of anyone else engaged in the planning of this attack."

She said the two men "were in different parts of London, with different people, exposed to a variety of extremists."

She suggested those hoping for all the answers are likely to be disappointed.

"We may never know the full picture," she said. "I don't mean to trivialize this, but becoming radicalized is not like becoming pregnant. Having contact with extremists is a theme. But it's a complicated story."

Asked about the risk of other "lone wolf" attacks, Dick said the Metropolitan Police "have a very good record at stopping attacks," citing other terror trials held this year.

"But, sadly," she said, "our ability to reduce the risk to zero is not there."

CNN's Atika Shubert contributed to this report.

@highlight

Police briefing reveals Adebolajo and Adebowale were previously known to police

@highlight

Senior police officer says it's not easy to pinpoint how they were radicalized

@highlight

Both men converted to Islam after growing up in Christian Nigerian families

@highlight

Adebolajo said he was disgusted by UK foreign policy before he converted to Islam