(CNN) -- Hundreds of protestors took to the streets in Vietnam Sunday as territorial disputes escalated tensions between the communist state and its neighbor China.

A rally which drew around a thousand protesters in Hanoi focused local ire on the Chinese embassy, while smaller protests in Danang and Ho Chi Minh City echoed the anti-Chinese sentiment emanating from the political capital.

The demonstrations were sparked by what Vietnam says were intimidatory tactics involving China's deployment of a deep-sea drilling platform in disputed waters in the South China Sea.

Vietnamese officials say Chinese military and civilian ships have been harassing their vessels near the Paracel Islands -- which are controlled by Beijing but claimed by Hanoi -- since the previous Sunday, even accusing the Chinese of repeatedly ramming into them and shooting water cannon.

"The Xisha (Paracel) Islands are China's inherent territory," Chinese Ministry of Foreign Affairs spokesperson Hua Chunying said at a briefing Monday. "The Chinese company's normal operations fall within China's sovereignty. China ... has required the Vietnamese side to take all necessary measures to protect the safety and lawful rights of Chinese citizens and institutions in Vietnam."

While public protests are rare in Vietnam, where the one-party system is wary of public gatherings, there have been several anti-Chinese protests in recent years.

That this weekend's actions went ahead unobstructed by police is seen as a sign that the government tacitly approves of the protests.

ASEAN backdrop

The anti-Chinese demonstrations, which were boisterous but free of injury or other incident, came as the Association of South East Asian Nations (ASEAN) met in neighboring Myanmar.

The country's president, Thein Sein, said "regional and global issues of great concern to ASEAN will be extensively discussed among ourselves," during opening remarks. He did not explicitly refer to the dispute, nor the protests that it had spawned.

The summit's Foreign Ministerial Meeting sought to present a united front, releasing a statement that called on regional disputes to be resolved peacefully.

"The ASEAN Foreign Ministerial Meeting focused on (the) South China Sea issue in which it sought an approval to address the territorial dispute peacefully and reasonably," Myanmar Foreign Minister Wunna Maung Lwin told journalists.

"In this regard, the meeting released the statement. All ASEAN foreign ministers expressed their deep concern about South China Sea."

Disputes on multiple fronts

China continues to exert its territorial dominance across the South China Sea, with recent disputes with its neighbors causing tension in Malaysia, Indonesia, the Philippines and Japan. Last week Chinese fishing boat and its 11 crew members were apprehended by Philippine authorities near the Spratly Islands, another disputed region in the South China Sea.

Philippine officials say the boat was carrying a large number of endangered species and they seized the boat "to uphold Philippine sovereign rights" in the disputed waters.

"It's possible that an armed clash could occur, but not a full-fledged war. The situation with Vietnam is serious -- more serious than the situation with the Philippines," said M. Taylor Fravel, Associate Professor of Political Science at the Massachusetts Institute of Technology (MIT).

"China has controlled the northern half of the Paracel Islands since the 1950s and the southern half since 1974. Unlike the Spratly Islands, China maintains that no dispute exists over the Paracels. So we can see that China believes that its claim there is quite strong," he added.

Exclusion zone

Relations between China and Vietnam soured on Friday, when a Chinese platform began drilling for oil near the Paracel Islands. The oil rig, Haiyang Shiyou 981, is owned by state gas and oil company CNOOC.

The Maritime Safety Administration of China (MSAC) declared a three-mile exclusion zone around the rig, while military vessels have been deployed to patrol the area.

"At present, the number of escorting ships of China has reached 60, including military ships," Tran Duy Hai, Vice Chair of Vietnam's National Boundary Commission, said in a statement Wednesday.

"These vessels have intentionally hit and collided with Vietnamese law enforcement ships, including those of the Maritime Police and Fisheries Control, causing damage in human and property." (sic)

China maintains that its current drilling activities are legitimate and blame the Vietnamese for provoking conflict.

"The drilling activities of this rig are within China's territorial waters. The harassment by the Vietnamese side is in violation of China's sovereign rights," said Hua Chunying, spokesperson of China's Ministry of Foreign Affairs. She did not confirm the boat collisions.

According to CNOOC, a third of China's oil and gas resources are under the South China Sea, most of which it claims as its own, refuting rival claims from Vietnam, the Philippines, Taiwan, Malaysia, and Brunei.

'Undermines peace'

In Washington, U.S. State Department Spokesperson Jen Psaki condemned China's drilling near the Paracels.

"This unilateral action appears to be part of a broader pattern of Chinese behavior to advance its claims over disputed territory in a manner that undermines peace and stability in the region," said Psaki.

China's Hua hit back saying that Chinese drilling activities "have nothing to do with Vietnam, let alone the U.S."

Meanwhile, the Philippines Department of Foreign Affairs said it will deal with the detained fishermen "in a just, humane and expeditious manner." Philippines police claimed the fishing boat was loaded with 350 endangered turtles when it was seized near an area it controls called Half Moon Shoal.

China urged Manila to "stop taking further provocative actions."

"It is possible that the Philippines may have been emboldened by the recent defense agreement reached with the United States. China and the Philippines are jostling for control of the waters in the area where the arrest occurred," said MIT's Fravel.

The arrests follow U.S. President Barack Obama's visit to the Philippines earlier this week, kicking off the annual military drills held jointly by U.S. and Filipino forces.

During the trip, the U.S. and Philippines signed the Enhanced Defense Cooperation Agreement, a 10-year security pact that gives the U.S. more military access in the region.

China, Vietnam, Philippines collide amid escalating South China Sea tensions

U.S.: China claim of air rights over disputed islands 'creates risk of incident'

South Korea expands air defense zone in reaction to China

CNN's Dayu Zhang contributed to this report.

@highlight

NEW: Vietnamese take to the streets to protest against perceived territorial incursions by China

@highlight

NEW: South China Sea disputes form backdrop to ASEAN summit in Myanmar

@highlight

Vietnam says Chinese ships have made violent attacks on Vietnamese vessels

@highlight

Chinese fishermen arrested by Philippines authorities in a separate dispute