Washington (CNN) -- In an interview with congressional investigators, a former top diplomat in Libya expressed concern that more could have been done by the military on September 11-12 last year to protect those being attacked at the U.S. compound and annex in Benghazi, Libya.

Specifically, Greg Hicks wondered why the military did not send a plane into Libyan airspace as a show of force, and why four U.S. Special Operations soldiers were not permitted to travel to Benghazi on a Libyan plane the morning of September 12.

The House Oversight and Government Reform Committee will hear from Hicks and others in a Wednesday hearing on the Benghazi tragedy, which ended in the deaths of four Americans -- U.S. Ambassador Chris Stevens, information officer Sean Smith, and former Navy SEALs Tyrone Woods and Glen Doherty.

The committee's chairman, Rep. Darrell Issa, told CNN Monday that Hicks, who was the U.S. deputy chief of mission in Libya at the time of the attack, "is going to testify that from the get-go, he knew this was a terrorist attack and communicated that to the White House, to the State Department, to anyone that would listen before, during, and after."

Issa asserted that the Obama administration's "talking points" afterward -- specifically the statements by the U.S. ambassador to the United Nations, Susan Rice, which did not acknowledge that it was a terrorist attack, "had an effect on our diplomatic relations" with Libya and "was an unnecessary error."

He said he wants to know "who made the decision to change the talking points in a way that caused the American people to be lied to."

Issa denied that the hearing is a Republican effort to discredit a Democratic administration, and asked, "Why aren't the Democrats just as upset that we didn't do all we could do to save American lives?"

Beyond the Benghazi attack, he said, he expects the hearing to shed light on a failing war on terror, one in which Syria is erupting, one in which Egypt is erupting, one in which Boston is the result of terrorists, of Islamic extreme groups, and I think that's the message the American people want to hear is, tell us the truth, do what it takes to have us be protected, don't tell us things aren't terrorist attacks when they are."

Hicks spoke to investigators on April 11 of this year, and excerpts of transcripts of the interview were obtained by CNN.

"The Libyans that I talked to, and the Libyans and other Americans who were involved in the war have told me also, that Libyan revolutionaries were very cognizant of the impact that American and NATO airpower had with respect to their victory," Hicks said.

"They are under no illusions that American and NATO airpower won that war for them. And so, in my personal opinion, a fast mover flying over Benghazi at some point, you know, as soon as possible might very well have prevented some of the bad things that happened that night."

Hicks went on to say he believes "if we had been able to scramble a fighter or aircraft or two over Benghazi as quickly as possible after the attack commenced" -- around 9:30 that night -- "I believe there would not have been a mortar attack on the annex in the morning because I believe the Libyans would have split. They would have been scared to death that we would have gotten a laser on them and killed them."

The former deputy chief of mission suggested that the Libyan government would have granted the United States permission to fly the planes.

"I believe that the Libyans were hoping that we were going to come bail them out of this mess," Hicks said. "And, you know, they were as surprised as we were that ... the military forces that did arrive only arrived on the evening of September 12th."

Rep. Jason Chaffetz, R-Utah, a member of the committee, tells CNN that "military personnel were ready willing and able, and within proximity, but the Pentagon told them they had no authority and to stand down."

Issa added that the personnel "may not have arrived in time to save lives, but at the time the decision was made, the decision was wrong."

In February, the Joint Chiefs chairman, Gen. Martin Dempsey, was asked by Sen. Kelly Ayotte, R-New Hampshire, why F-16s at Aviano Air Base in Italy weren't deployed to Benghazi that night.

"This is the middle of the night now, these are not aircraft on strip alert," Dempsey said. "They're there as part of our commitment to NATO and Europe. And so, as we looked at the time line , it was pretty clear that it would take up to 20 hours or so to get them there. Secondly, senator, importantly, it was the wrong tool for the job."

Then-Secretary of Defense Leon Panetta testified that "unfortunately, there was no specific intelligence or indications of an imminent attack on U.S. facilities in Benghazi. And frankly, without an adequate warning, there was not enough time given the speed of the attack for armed military assets to respond.

"That's not just my view or General Dempsey's view. It was the view of the Accountability Review Board that studied what happened on that day," he added.

"This is not 9/11," Panetta said in a February interview on CNN's "State of the Union." "You cannot just simply call and expect within two minutes to have a team in place. It takes time. That's the nature of it. Our people are there, they're in position to move, but we've got to have good intelligence that gives us a heads up that something's going to happen."

Hicks said that around 10 p.m. on the night of the first attack, he was at the U.S. Embassy in Tripoli talking to State Department officials in Washington, regional security officer John Martinec at the U.S. Embassy, defense attache Lt. Col. Keith Phillips and others.

Phillips was reaching out to officials with the Libyan Ministry of Defense and to the chief of staff of the Libyan Armed Forces, as well as officials with the Joint Staff and the U.S. Africa Command.

Hicks recalled asking Phillips, "Is there anything coming?"

He said Phillips replied "that the nearest fighter planes were Aviano, that he had been told that it would take two to three hours to get them airborne, but that there were no tanker assets near enough to support a flight from Aviano."

There was one team that headed from Tripoli to Benghazi, arriving at around 1:15 a.m., Hicks said.

Phillips, Hicks recalled, "worked assiduously all night long to try to get the Libyan military to respond in some way." The Libyan prime minister called Hicks and told him that the U.S. ambassador had been killed, after which "the Libyan military agreed to fly their C-130 to Benghazi and carry additional personnel to Benghazi as reinforcements."

Hicks said that four U.S. Special Forces troops in Tripoli -- led by the leader of the U.S. Special Operations Command Africa, SOCAfrica -- planned to hitch a ride on the Libyan plan to travel to Benghazi to help.

"We fully intended for those guys to go, because we had already essentially stripped ourselves of our security presence, or our security capability, to the bare minimum," Hicks recalled.

But the four were informed by someone with SOCAfrica that they didn't have the authority to go, Hicks said.

"So Lt. Col. Gibson, who is the SOCAfrica commander, his team, you know, they were on their way to the vehicles to go to the airport to get on the C-130 when he got a phone call from SOCAfrica which said, 'you can't go now, you don't have authority to go now,'' Hicks said. "And so they missed the flight."

"They were told not to board the flight, so they missed it," Hicks said. "I still remember Col. Gibson, he said, 'I have never been so embarrassed in my life that a State Department officer has bigger balls than somebody in the military.' A nice compliment."

The C-130 left between 6 and 6:30 a.m., so the four Special Forces troops would not have arrived in time to fend off the 5:15 a.m. attack on the CIA annex in Benghazi.

Hicks said he recalled asking Phillips again if any military help was coming. "The answer, again, was the same as before. It's too far away, there are no tankers. ... There is nothing that could respond. ...

"I guess they just didn't have the right authority from the right level," Hicks recalled.

Panetta, in his February testimony defending officials' actions, said, "The bottom line is this, that we were not dealing with a prolonged or continuous assault, which could have been brought to an end by a U.S. military response, very simply, although we had forces deployed to the region. Time, distance, the lack of an adequate warning, events that moved very quickly on the ground prevented a more immediate response.

"Despite the uncertainty at the time, the Department of Defense and the rest of the United States government spared no effort to do everything we could to try to save American lives. Before, during and after the attack, every request the Department of Defense received we did, we accomplished."

@highlight

Former U.S. official in Libya wonders why no plane was sent during the Benghazi attacks

@highlight

The official, Greg Hicks, and others will testify before a House committee Wednesday

@highlight

Planes at a base in Italy would not have made it for hours, top officials have said

@highlight

Hicks' comments come from a transcript of his interview with investigators in April