The North Korean army has declared invalid the armistice agreement that ended the Korean War in 1953, the official newspaper of the country's ruling Workers' Party said Monday.

Since last week, North Korea had been threatening to scrap the armistice after the U.N. Security Council passed tougher sanctions against it in response to its February 12 nuclear test.

On Monday, the Rodong Sinmun newspaper reported that the Supreme Command of North Korea's army had done so.

"The U.S. has reduced the armistice agreement to a dead paper," the newspaper said.

North Korea also cut off direct phone links with South Korea at the inter-Korean border village of Panmunjom, according to South Korea's Yonhap news agency. The phone line was the emergency link for quick, two-way communication between the two sides.

The armistice agreement, signed in 1953, ended the three-year war between North and South Korea in a truce.

Since the two sides remain technically at war, it remains to be seen whether the invalidation means that either side can resume hostilities.

What's in a threat? A look at North Korea's escalating rhetoric -- and actions

The Rodong Sinmun reported the Supreme Command saying that it can now make a "strike of justice at any target anytime, not bound to the armistice agreement and achieve the national reunification, the cherished desire of the Korean nation."

However, the North has nullified the agreement on several occasions in the past.

A look back at the history of the armistice.

What is the armistice agreement?

It is the agreement that ended the war between North and South Korea. It is a truce, rather than a peace treaty.

Has the North ended the armistice before?

Yes. In 2003, Pyonyang's official Korean Central News Agency (KCNA) announced that it may have "no option" but to stop honoring the armistice because of the United State's "persistent war moves."

In 2009, North Korea said its military would no longer be bound by the agreement because South Korea was joining a U.S.-led anti-proliferation plan.

Part of the reason for the latest move are the joint exercises between the United States and South Korea. A bigger reason is tougher sanctions passed in the U.N. Security Council against North Korea in response to its nuclear test on February 12.

Pyongyang carried out its third nuclear test, despite international condemnation.

What caused the division of Korea?

For most of the first half of the 20th century, Japan controlled the Korean peninsula as its colony. By the end of the World War II as Japan neared defeat, the allies agreed to an independent Korea. The United States and Soviet Union divided postwar occupation of Korea along the 38th parallel and the two sides were ideologically opposite.

Pyongyang scraps armistice amid heightened saber rattling

Why did war break out?

On June 25, 1950, a surprise attack by North Korean soldiers who crossed the 38th parallel easily overwhelmed South Korean forces. The United States leapt to the defense of the South. As South Korean, U.S. and U.N. forces fought back and gained ground into North Korea, Chinese forces joined the war on the North's side later that year. To this day, China remains a crucial ally of North Korea and the U.S. of South Korea.

What toll did the war take?

The toll of the war included about 1.2 million deaths in South Korea, 1 million deaths in North Korea, 36,500 deaths for U.S. troops and 600,000 deaths for Chinese soldiers.

What are the lasting effects of the war?

The brutal war separated thousands of families, and created the world's most heavily fortified border. It also drew the alliances that exist today.

When was the armistice signed?

The armistice was signed in July 1953.

What were its terms?

The terms of the armistice included the creation of the Demilitarized Zone, aheavily fortified 155-mile long (250 kilometers) 2.5-mile wide line separating the two countries.

Why the Korean War still matters

How have relations between the North and South been since then?

In the last 60 years, diplomacy between North and South has zigzagged from conciliatory to bellicose.

During more friendly times, the two countries arranged emotional family reunions for those separated by the war in 2000, their leaders shook hands in a 2007 Pyongyang summit and ran freight trains across the border.

But periods of rapprochement have been counterpointed by flareups.

More recently, the North shelled the South Korean island of Yeonpyeong leaving two marines and two civilians dead. Pyongyang claimed Seoul provoked the 2010 attack by holding a military drill off their shared coast in the Yellow Sea.

That same year, North Korea was also accused of sinking a South Korean warship, killing more than 40 sailors.

Without an armistice, what can happen?

The two sides can resume hostilities if they so choose.

What are the risks of a military clash?

A military clash could risk drawing in the United States, which has about 28,500 troops stationed in South Korea as part of the security alliance between the two countries.

Get the latest news from CNN.com

@highlight

The agreement ended the three-year war between the North and South

@highlight

The North has nullified the agreement on several occasions

@highlight

Diplomacy between North and South has zigzagged from conciliatory to bellicose