(CNN) -- We who work to promote human rights operate in the realm of treaties, rule of law, and state responsibility.

These are benchmarks of accountability that presume our world civilization has moved well beyond the horrors of the past: From the Biblical destruction of the Amalekites through Genghis Khan and the Crusades to the gas warfare of World War I.

Such atrocities may have continued well into the 20th century with the Nazi Holocaust and Khmer Rouge, but the Nuremberg trials, the development of international humanitarian law and human rights conventions, and the establishment of international criminal courts signaled that justice for the worst crimes was possible.

So we are dumbstruck when we confront the blatant and self-advertised brutality occurring in the parts of Iraq and Syria that have fallen under the control of the so-called Islamic State. There, the members of this group make no effort to hide their atrocities or even to make them look less atrocious. To the contrary, they advertise it and appear to relish their primitivism, showing a degree of sophistication only in their use of video technology and social media to document and disseminate evidence of their crimes.

One of the key tools of the human rights trade is "naming and shaming," by which we seek to expose wrongdoers to the opprobrium their crimes deserve, and ensure accountability. We have better and more fine-tuned instruments at our disposal now than ever before to investigate and document rights abuses, as well as more comprehensive legal mechanisms for holding accountable those who commit crimes against humanity and other serious violations.

But what if those wrongdoers know no shame? What if they are proud of their deeds, seeing them in some manner as an expression of God's will and not beholden to human law, even law that is universal in scope and application?

The fundamental challenge to our understanding of human rights abuse and how to counter such abuses is exemplified in the handful of accounts of Yezidis who survived the massacre in northern Iraq. From his hospital bed in Dohuk, one survivor with bullet wounds in his legs and pelvis recounted, "First they wanted us all to convert to Islam and we said yes just to save our lives." Then, he said, "They started shooting at us randomly."

He estimated that Islamic State militants massacred about 80 men and kidnapped the women and girls. The mind-set of the attackers seems to have been to eradicate the Yezidis' most fundamental thoughts -- their religious beliefs -- and doubting the genuineness of their forced conversion, to eliminate them.

As human rights activists, we feel despair at the extraordinary savagery of ISIS -- not just against executed journalist James Foley, but against hundreds of thousands of Shia, ethnic and religious minorities, and other Iraqi and Syrian civilians. We are humbled by the challenge of restoring humanity to the conflicts that roil so much of the Mideast. We recognize that our work, whether it be laying the groundwork for future indictments or seeking secure and dignified asylum for the displaced, in the short term at least, will be limited.

We realize that only political action at the highest levels has the capacity to prevent mass killings.

Precisely because of the extreme brutality and the deep political, cultural, and sectarian polarization, the universal values of human rights have never been so important. And even if the perpetrators are beyond shaming, the moral imperative to name names has never been greater.

@highlight

Bill Frelick: Human rights workers operate amid laws that keep wrongdoers accountable

@highlight

He says ISIS confounds "naming and shaming" tool; it is proud of its brutality 'in name of God'

@highlight

He says rights workers despair at ISIS savagery, face challenge of restoring humanity to conflicts

@highlight

Frelick: Only political action at the highest levels has the capacity to prevent mass killings