(CNN) -- The Obama administration pushed forward Sunday on a new path toward military action in Syria, urging Congress to support the president's call.

Tests found signatures of sarin gas in blood and hair samples collected from the Damascus site of an alleged chemical weapons attack, U.S. Secretary of State John Kerry said Sunday on CNN's State of the Union.

The samples were collected separately from a United Nations investigation into the August 21 attack and provide further proof that the Syrian regime attacked its own people, Kerry said.

With "each day that goes by, this case is even stronger," he said, arguing that the United States must act.

"If you don't do it, you send a message of impunity," Kerry said. Iran, North Korea, and Hezbollah "will look at the United States and say 'Nothing means anything' -- that's what's at stake here," he said.

Syria denies using chemical weapons on its people and blames the rebels.

Kerry called the evidence "overwhelming" Sunday, and the Arab League issued a statement blaming the Syrian government for the attack.

But the United Nations argued that world leaders should wait until U.N. investigators determine whether chemical weapons were used.

'Red line' debate: Are chemical weapons worse?

"The U.N. mission is uniquely capable of establishing in an impartial and credible manner the facts of any use of chemical weapons," Martin Nesirky, spokesman for Secretary-General Ban Ki-moon, said repeatedly at a news conference.

So when will the results be ready? The U.N. won't give a timeline, Nesirky said. "It's being done as fast as it is possible to do within the scientific constraints."

Samples will be delivered to laboratories Monday, he said.

The investigation involves a strict chain of custody and clear guidelines, he said, adding that two Syrian government officials monitored the process.

But even when it's done, the U.N. will only say whether chemical weapons were used -- not who was responsible.

Obama's last-minute Syria switch

U.S. military action appeared imminent until Saturday, when Obama announced he would first seek lawmakers' approval.

Obama made a last-minute decision Friday evening to seek congressional authorization before any military action, senior administration officials told reporters.

"While I believe I have the authority to carry out this military action without specific congressional authorization, I know that the country will be stronger if we take this course, and our actions will be even more effective," Obama said Saturday. The 1973 War Powers Act technically allows him to strike without such approval.

Lawmakers officially come back from recess on September 9.

But some members of Congress arrived on Capitol Hill Sunday for a classified briefing on Syria with White House, State Department and Pentagon officials.

Many of them said they remained skeptical and undecided about how to respond to the August 21 purported chemical weapons attack that U.S. officials have said killed more than 1,000 people in Syrian rebel strongholds.

"There was a great deal of skepticism in the room about the utility, effectiveness and support that we would have for the kind of strike that the president has proposed," said Rep. Jim Himes, D-Connecticut. "There's not a lot of skepticism, frankly, about whether or not this was an attack carried out by the Syrian regime. While nobody would say that it's been proven, the vast bulk of the evidence suggests that this was an attack carried out by the Assad regime."

Sen. John McCain told CBS' "Face the Nation" that Obama had invited him to a Monday meeting at the White House to discuss the next steps in Syria. McCain, who has been pushing for military intervention in Syria, said he had questions for the president.

"I want to find out whether there is a plan and a strategy. I want to find out whether this is just a pinprick that somehow Bashar Assad can trumpet that he defeated the United States of America," McCain told CNN. "But I will say that if Congress overrules a decision of the president of the United States on an issue of national security, that could set a catastrophic precedent in the future. It would be a very dangerous precedent to be setting."

Obama's last-minute decision

Global debate surges over Syria

At a meeting in Cairo Sunday, Arab League foreign ministers condemned the chemical weapons attack, urging the international community to take action and calling for the prosecution of those responsible.

"The Syrian regime bears full responsibility for the use of chemical weapons (in) this heinous crime," foreign ministers from the regional organization said in a statement, according to the state-run Saudi Press Agency.

"The council also called for providing the required forms of support for the Syrian people to defend themselves and the need for concerted Arab and international efforts to help them," the statement said.

Arab League Secretary General Nabil el-Araby said in a Twitter post that the league was calling for the United Nations Security Council to "assume its responsibility and take all the deterrent and needed measures against this crime and all crimes of genocide" in Syria.

But the statements Sunday did not directly refer to the United States, and it's unclear how much international support the U.S. government would have if it chooses to strike Syria.

At the Arab League meeting, Saudi Arabia called for international action, but Egypt said it was opposed to foreign intervention in the Syrian crisis.

Britain has voted against taking any military action in Syria, and France said it won't act without the United States as a partner.

German Foreign Minister Guido Westerwelle tweeted Sunday that the time gained waiting for U.S. congressional approval "must be used to reach a common position of the international community within the U.N. Security Council."

Amid the debate over whether to strike Syria, U.S. authorities are tightening domestic security measures. The FBI and the Department of Homeland Security are warning of a higher risk of cyberattacks after months of disruptions by hackers known as the Syrian Electronic Army, and authorities say more attacks are likely.

Opposition: Obama gave false hope

The shift to ask for approval from Congress left some analysts scratching their heads.

"The decision-making has been so confused and muddled that it's difficult to put the word 'wise' in front of anything they're doing right now," CNN's Fareed Zakaria said on Sunday. "The administration has hesitated between nonintervention and intervention, and it is caught between those two."

The Obama administration, Zakaria said, "seems to want to have it both ways, but it can't."

Others praised the president for taking a step to get more buy-in at home and abroad.

"Frankly, I think he looks prudent, and I don't doubt his resolve on this," John Negroponte, who served as director of national intelligence for two years under President George W. Bush, told CNN's State of the Union. "I don't think he's looking for an excuse to get out from a box or a situation that he painted himself into."

While some praised the president for giving Congress a chance to weigh in, a key group of Syrian dissidents said it was surprised and concerned by Obama's new approach.

"We can't understand how you can promise to help those who are being slaughtered every day in the hundreds, giving them false hope, then change your mind and say let's wait and see," the Syrian National Coalition said.

Iran, a staunch supporter of the Syrian regime, warned the United States will pay a price if it strikes Syria.

Syria reacts

The Syrian government has denied that it used chemical weapons in the August 21 attack, saying that jihadists fighting with the rebels used them in an effort to turn global sentiments against the regime.

Maria Saadeh, a member of Syria's parliament, told CNN on Sunday that she sees no justification for a U.S. strike on Syria.

"There is no legitimacy to make this attack," she said, accusing rebel groups of using chemical weapons and committing other crimes against humanity.

Syrian state media have been packed with critiques of the U.S. position since Obama's announcement Saturday. An editorial in the state-run Al-Thawra newspaper Sunday said that Obama had declared "the beginning of a historic American retreat."

Meanwhile, the opposition Syrian National Coalition issued a statement aimed at U.S. lawmakers.

"The Syrian National Coalition calls on the American congress to carry their historical responsibility towards the Syrian people and take the right decision to support the American government approach to stop the killing machine of the Syrian criminal regime," the statement said.

Iran: U.S. military action in Syria would spark 'disaster'

Opinion: Why strikes in Syria are a bad idea

Sarin allegedly used previously in Syrian civil war

World leaders have said previously that sarin has been used in the Syrian civil war.

In April, the United States said it had evidence sarin was used in Syria on a small scale.

In May, a U.N. official said there were strong suspicions that rebel forces used the deadly nerve agent.

In June, France said sarin had been used several times in the war, including at least once by the Syrian regime.

Fast Facts: sarin gas

Dr. Sanjay Gupta: How 'gruesome' sarin gas can kill

CNN's Mohammed Jamjoom, Yousuf Basil, Catherine Shoichet, Khushbu Shah, Evan Perez, Saad Abedine, Mohammed Tawfeeq, Tom Watkins, Dana Bash and Reza Sayah contributed to this report.

@highlight

NEW: Arab League condemns attack, blames Syrian government

@highlight

Kerry says blood and hair samples show "signatures of sarin"

@highlight

The U.N. says its investigation will be "impartial and credible"

@highlight

Syrian opposition: Obama has given false hope to those suffering