(CNN) -- This Friday marks the 50th anniversary of the assassination of John F. Kennedy, one of history's most notable figures. Despite holding office for less than a full term, he has long been perceived by the U.S. public as one of the best occupants of the White House.

Yet JFK's presidency is inspiring not just to Americans, but also to many others around the world too. And it offers key lessons for today, ranging from U.S. policy in the Middle East post-9/11, to how to best engage a "rising" China.

At a time when U.S.-Soviet rivalry was becoming heavily militarized, JFK's political genius was to appreciate that the superpower contest was as much a battle for ideas as strength of force. Through his skilful rebalancing of hard and soft power, he powerfully renewed U.S. global leadership, helping to thaw the Cold War.

Here his projection of hope and optimism, and stirring rhetoric appealed to U.S. and international audiences alike, including those behind the Iron Curtain. Landmark speeches included the one he made in Berlin in 1963 when he offered U.S. solidarity with West Germany.

And his desire to re-set U.S.-Soviet relations was expressed eloquently too, including a compelling speech at the American University after the Cuban missile crisis. This was described even by Soviet Premier Nikita Khrushchev as the "the greatest speech by any U.S. president since [Franklin] Roosevelt."

Renewal of U.S. international policy was not just rhetorical, as initiatives like the Peace Corps and the South America-focused Alliance for Progress underline. And, through landmark achievements such as the International Nuclear Test Ban Treaty, JFK gave substance to his ambition of moving toward international peace.

To be sure, an objective appraisal of JFK's period in the White House must highlight lows as well as the highs. In addition to successes such as his management of the Cuban missile crisis, there was also the Bay of Pigs invasion debacle.

And JFK had a much more limited record of legislative success than his successor Lyndon Johnson. Professional historians therefore tend to rate JFK's presidency as "good," rather than "great," with reason.

Of course, the circumstances of today are transformed from those of the early 1960s. As well as the end of the Cold War, the United States has experienced relative decline: for instance, its economy now accounts for less than a quarter of global GDP compared to around a third then.

Yet, the relevance of JFK's insights about international cooperation and peace endure. As does the wisdom of much of the way in which he harnessed U.S. leadership and power to try to achieve these ends.

Indeed, at a time of U.S. military cutbacks, and given the ongoing information revolution, the importance of achieving better balance between -- often expensive -- hard power assets and soft power resources is perhaps even more important today for Washington. And this is true right across the world from Asia-Pacific through the Middle East and South America.

On China policy, for instance, some U.S. hawks advocate a much tougher stance toward Beijing. However, as JFK would have recognized, Washington has much to gain from cooperation with Beijing too, and it would be a mistake to view the relationship solely through a lens of threat and suspicion.

To be sure, there remains a legitimate remaining need for maintaining significant U.S. military power in Asia, not least to re-assure key allies. However, on issues ranging from North Korea, terrorism, through to the future stability of the global economy, China has a potentially key role to play in concert with the United States.

Here the role of soft power is key as Washington seeks to better integrate Beijing into a network of regional and global institutions and alliances. In so doing, this will help incentivize China even more strongly toward a path of constructive partnership.

In the Middle East meanwhile, U.S. standing in numerous countries has unfortunately been at a low ebb now for at least a decade. Only 11% of the population in Pakistan, 14% in Jordan, 16% in Egypt and the Palestinian territories, and 21% in Turkey, currently have favourable views toward the United States, according to Pew Global.

Despite some U.S. overtures, the challenge remains monumental. This is such a critical issue given the wide-range of U.S. priorities in Middle Eastern and other Muslim-majority countries, including the "campaign against terrorism."

As JFK would surely have appreciated, there is a compelling need for redoubling efforts to win the battle for moderate "hearts and minds." This can be best achieved through a vigorous re-assertion of U.S. soft power, combined with prudent use of hard power.

Such an agenda would require much greater resourcing for activities such as public diplomacy, broadcasting, development assistance and exchange programs. U.S. public diplomacy is in particularly strong need of revitalization, with a clearer long-term strategy essential.

Taken overall, it is clear that JFK's key insights about international relations retain much relevance and appeal. And for this reason alone, his presidency will continue to hold not just enduring value, but also inspiration, right across the world for many years to come.

The opinions expressed in this commentary are solely those of Andrew Hammond.

@highlight

Friday marks the 50th anniversary of the assassination of John F. Kennedy

@highlight

Presidency offers lessons on U.S. policy in Mideast and China - Andrew Hammond

@highlight

Hammond: JFK powerfully renewed U.S. global leadership, helping to thaw Cold War

@highlight

Objective appraisal of JFK's presidency must highlight lows and highs, he adds