Phoenix, Arizona (CNN) -- It was an ethnic twist on an American classic, the kind of thing that some people consider appealing and others frightening. Pinto beans, diced tomatoes, salsa and jalapenos top a hot dog that's grilled to perfection.

It's 10 o'clock on a Saturday night at ground zero in the immigration debate.

The hot dog vendor, a woman from the Mexican state of Sinaloa, would normally be doing a brisk business. Her cart is across the street from a popular Latino dance club that used to be frequented by Mexican-Americans but is now normally crammed with Mexican immigrants.

No mas.

"The city feels abandoned," the woman tells me in Spanish. "Everyone has left."

It sure looks that way during a drive though the city's predominantly Latino west side, with its abandoned buildings, deserted homes and empty parks.

Since April, when Gov. Jan Brewer signed SB 1070 to punish illegal immigrants for the sins of the employers who hire them, estimates are that tens of thousands of illegal immigrants have left Arizona for a warmer climate in Utah, Colorado, Texas or New Mexico.

Last week, U.S. District Judge Susan Bolton struck down four of the most grotesque and illogical parts of the law, including the requirement that local police attempt to determine the immigration status of individuals they suspect of being in the country illegally and language making it a crime to solicit work.

I have been watching this drama play out from California. But as someone who lived in Arizona about 10 years ago, I needed a closer look to see what life is like in this desert metropolis now that the law has taken effect -- or rather, what's left of it.

I'm a U.S. citizen; my parents and three of my four grandparents were born in the United States. When I lived here a decade ago, I was struck by how comfortable Latinos and whites seemed with one another. There was the occasional conflict, but more often there was compromise and cooperation, even on the issue of immigration.

Today a heated debate has produced hard feelings. The everyday interactions between Latinos and whites are much more frayed than when I was covering Phoenix as a reporter for The Arizona Republic.

Seventy percent of whites, according to polls, support SB 1070 but 70 percent of Latinos oppose it. Until the judge's decision, there were many whites who were happy the state was taking action against illegal immigration; now they're unhappy with the judge's ruling, meaning almost every group in the state is up in arms for one reason or another.

I ask the hot dog vendor how "los Americanos" -- her landlord, the people at the supermarket, etc. -- are treating her.

"Everyone is different," she says. "Some are friendly. Others look at you funny, like you're not welcomed."

I think about my question. Unwittingly, I had invited her to engage in the same kind of racial profiling that most opponents of SB 1070 deplore. She prefers instead to judge people as individuals and not generalize based on stereotypes.

Good for her. I wonder if this woman is available to give seminars to Arizona law enforcement officers who might soon find themselves in need of that skill set.

Later, I interviewed a married couple who came to the United States legally but lapsed into illegal status when their visa expired. They should have gone back to Mexico, but they'd already put down roots in Phoenix, where the husband could earn at least 10 times what he could make in Mexico. We talked about how some conservatives insist that illegal immigrants take jobs from U.S. workers.

"That's not true," says the husband, who's worked his way up from manual labor to an office job for a jeweler. "Americans are lazy. They don't want to work."

But then, he catches himself -- and corrects himself.

"I shouldn't say that," he says. "They're not all like that, but some are. They're spoiled. They think it's easy to come to the United States legally, and they speak from ignorance."

It's interesting that even in a state that recently made it legal for police officers to make assumptions and jump to conclusions about who is or isn't an illegal immigrant, there are illegal immigrants who are fair-minded enough not to make assumptions and jump to conclusions about the rest of us.

No matter what Bolton decided, the hot dog vendor is still worried.

She thinks a lot of Phoenix police officers and county sheriff deputies, under the command of cartoonish Maricopa County Sheriff Joe Arpaio, have been champing at the bit for a law like this to give them an excuse to hassle people with brown skin. People like that, she says, won't let the judge's ruling get in the way of enforcing a law which they support.

Since the law took effect, Arpaio's deputies have raided residences thought to be "drop houses," where illegal immigrant smugglers harbor their human cargo.

No wonder immigrants are afraid. Those who haven't left the state are living as shut-ins. They go outside when they have to go to work. Otherwise, they stay behind closed doors.

There is another kind of racism at play here. You've heard how Arizona tried to empower local police to arrest gardeners and housekeepers to crack down on Mexican drug dealers.

Baloney. That's just how the state's anti-immigrant efforts are packaged for public consumption. The Mexican drug dealer is the Willie Horton of the immigration debate. I get it.

What are nativists supposed to do? Convince Arizonans that the nannies they give their babies to every day are dangerous, that the gardeners to whom they volunteer their security code are a threat. You need drug dealers in this dialogue. Who else are people going to be afraid of?

Not a hot dog vendor. Think about where that woman was from -- Sinaloa. That state is the capital of the Mexican drug trafficking industry. It's quite simple.

If you're from Sinaloa and you sell drugs, you can live a luxurious life in Mexico. If you sell hot dogs, you work long, hot nights in the desert. Arizonans are ginning up fear of one to rid their state of the other.

I finish my second hot dog -- the best I've tasted this side of Coney Island -- and pay the bill. Oh, by the way, I ask the woman: "What's your name?"

She smiles, looks away and shakes her head. She won't tell me. She must figure, why take chances? For immigrants, there's enough of that going on already in this city, where just getting in a car or walking down the street can be a high-stakes gamble.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

New immigration law adds to tension in Arizona, says Ruben Navarrette Jr.

@highlight

Illegal immigrants on edge even though judge blocked worse parts of law, he says

@highlight

Navarrette: Some have left Arizona in search of a better climate in other states

@highlight

Law is polarizing; whites support it strongly and Latinos opposing it, Navarrette says