(CNN) -- For most Americans, mosquitoes are pests whose bites leave behind itchy bumps. But in other parts of the world, mosquitoes carry a disease called malaria that kills more than a million people each year.

Mosquitoes, especially those in Sub-Saharan Africa, may transmit malaria to humans.

A new malaria vaccine that's about to begin human clinical trials is dependent on mosquitoes -- a whole lot of them. Bioengineers have been growing millions of mosquitoes in a sterile environment, letting them feed on malaria-infected blood, irradiating the bugs, extracting the disease-causing parasites and storing them for use in vaccines.

The announcement of the Food and Drug Administration's approval for clinical trials comes just days before World Malaria Day, which is Saturday. Check out the World Health Organization's site about malaria goals worldwide

The vaccine is unique among other candidates in that it uses the entire parasite and not just parts of it, said Dr. Stephen Hoffman, chief executive and scientific officer at Sanaria Inc., the Maryland-based biotechnology firm developing the vaccine.

This technique was first shown to be effective in the 1970s, but the technology didn't exist to mass-produce it for the millions of people who need it, said Dr.  Kirsten Lyke, principal investigator in the clinical trial site at the University of Maryland School of Medicine. At that time, people were immunized by being bitten by the irradiated mosquitoes.

"That is the only effective vaccine that anyone has ever really developed that works and does complete protection," said John Dame, chair of Infectious Diseases and Pathology at the University of Florida, who is not involved with the Sanaria trials.

The vaccine takes the same basic approach as standard vaccines in use for diseases such as measles and polio. In those vaccines against viruses, weakened bacteria is injected, creating an immune response without causing illness.

In the Sanaria vaccine, the body recognizes the malaria parasite as a foreign material, Lyke said. It goes to the liver, where a lot of the immune response is generated, but does not develop into a disease because the mosquito was irradiated, she said.

Clinical trials will begin in May, Hoffman said, and will include 80 immunized individuals and 24 controls. About 3,000 mosquitoes were used to produce the vaccines for the first clinical trials, he said. If these trials are successful, researchers will initiate trials on adults in Africa, and then children.

Among other vaccines in clinical trials currently, the one that is furthest along is RTS,S, developed by GlaxoSmithKline PLC. The company announced in December that this vaccine, based on a recombinant protein that uses part of the malaria parasite, was safely administered to African infants, with an efficacy of 65 percent in a three-month follow-up.

Both the Sanaria and the GlaxoSmithKline projects receive support from the PATH Malaria Vaccine Initiative, a program at the nonprofit PATH established through an initial grant from the Bill & Melinda Gates Foundation.

Dame, who used to be involved with the GlaxoSmithKline vaccine, said he would guess the Sanaria vaccine will be more effective, but clinical trials will provide more information. He also noted that mass distribution to developing countries would require appropriate infrastructure, and may be more difficult depending on how long the immunization lasts.

Each year, 350 million to 500 million cases of malaria occur worldwide, according to the Centers for Disease Control and Prevention. Most people who die from the disease are young children in Africa south of the Sahara.

Symptoms of malaria include fever, chills and flu-like illness, the CDC said.

Although preventive measures exist, such as insecticide-treated nets and medications, there is no licensed vaccine on the market.

Moreover, effective treatments are largely too expensive for the people who need them in poor countries. The parasite has become resistant to cheaper treatments, Lyke said.

"Individuals living on $1 or $2 a day can't even afford $8 medication," Lyke said.

The U.S. military also has a keen interest in a malaria vaccine. The antimalaria drugs available have side effects such as stomach aches, said Dr. Tom Richie, director of the Navy component of the U.S. military malaria vaccine program, who provides oversight to the clinical trials.

"Malaria has been one of the most significant infectious threats to our military personnel when we deploy to tropical areas," Richie said.

The disease was the leading cause of casualties in the South Pacific theater during World War II, and also a major problem in the Vietnam War, he said.

There are five species of the malaria parasite known to infect humans. One called Plasmodium falciparum causes the vast majority of cases.

Malaria was eliminated in the United States in 1951, but there are still cases in the country, mostly from people who acquired it in high-risk countries. In 2002, there were 1,337 cases of malaria in the U.S., and all but five had been acquired abroad.

An international team at the Malaria Atlas Project recently published what researchers say is the most comprehensive map ever illustrating global malaria risk. Researchers told CNN the map offers hope that it is possible to eradicate the disease in many parts of the world.

Hoffman, former head of a U.S. Navy malaria vaccine team, started the Sanaria effort himself in the breakfast room of his house in 2003. The company now has a more official corporate headquarters in Rockville, Maryland.

"I thought that the world needed a malaria vaccine, there was no question this was the best way to make one," he said.

@highlight

Sanaria Inc. is developing a malaria vaccine that uses the whole parasite

@highlight

Concept is akin to live virus vaccines, such as those for polio and measles

@highlight

The method had been tried in the 1970s but wasn't feasible on mass scale

@highlight

The most advanced malaria vaccine, by GlaxoSmithKline, has been tested in Africa