SHANGHAI, China (CNN) -- When Huang Long Hao stepped on stage carrying a kitchen sink to battle against a team of hundreds of Chinese consumers on a recent Saturday afternoon, he knew that he and the sink were most likely going to lose.

Shop therapy: Organizing themselves online, Chinese shoppers hunt for bargains in packs

Hao, a sales manager for Gacor, a Chinese kitchenware manufacturer, hoped to sell the sink for 799 yuan (about $120), but the team wouldn't have it.

"No, we don't want it!" they yelled back at him. "We're all losing interest," joined in the group's negotiator. "We want the lowest price we can get!"

Sensing his impending defeat, Huang tried a few more times, offering lower and lower prices until the group haggled him down to a final score of 600 yuan (about $85). Team members raised their hands and cheered. "Dou yao mai! (All of us want it!)," they chanted as they all got up to place orders for new kitchen sinks.

Welcome to China's hottest sport for shoppers: tuangou, or team buying.

The game goes like this: Individuals band together via online BBS (bulletin board systems), chat rooms and other Web forums around products they are interested in purchasing, from fast food to cars or furniture. Once a team amasses enough members, their appointed captain approaches retailers to organize in-store haggling sessions.

"The final price was beyond my expectations," said Ellen Liu who recently bought a purple Toyota Yaris after her team called "Shanghai Yaris" negotiated a 30,000 yuan ($4,400) discount with a local dealer for each of its 40 members wanting to purchase the car. "We were very surprised."

Since bartering teams started to emerge around five years ago, they have increasingly become a defining characteristic both of online and offline consumerism in China, reshaping the way retailers reach out to customers on the Internet as well as how they interact with them in stores.

A number of companies, like the electronics chain Gome, have started to deal directly with the groups, while dozens of professional tuangou Web sites have also emerged. Retailers say they often feel they have no choice but to join the bartering or lose business. Some retailers wait months just for an invitation to take part in an event.

"These events help connect us to consumers," Huang told CNN. "I know I can't make money here, but I am meeting a lot of potential clients."

Huang also says his company monitors Qeeka.com on a daily basis, studying the site's forums for feedback about their products, sometimes even engaging directly with consumers.

"This is crucial to our company's success," said Huang. "We don't want to be left behind by this trend."

The tuangou Web sites negotiate prices on behalf of shoppers while guaranteeing quality products and customer service. They also offer companies valuable market research based upon the conversations consumers are having about products on their online forums.

"We are one of the most influential web sites here in China," said Deng Huajin, founder of Qeeka.com, a group purchase site that has over 500 employees working in 22 branches across the country along with around one million registered users.

"All of the home furnishing retailers are setting their eyes on e-commerce, and we are the prominent Web site here, so they want more and more of their business to be done through us."

Part of tuangou's rise in China stems from the still-developing shopping landscape across the country. Quality products can often be hard to come by while pricing systems lack transparency. Chinese consumers are more likely to be influenced by the opinions and experiences of friends rather than advertising. The Internet has also served as a valuable a tool for shoppers to compare prices to ensure the best deal.

Hunting in packs

Bargaining is much more than a team sport in China -- it's also a way of life that has been ingrained in the psyche of Chinese society for centuries.

"It is deeply rooted in our culture," said Luna Wu, who bought a set of suitcases for 30 percent off the sticker price. "We have the impulse to bargain everywhere."

Social networking has also been vital to the phenomenon's success. According to 2008 figures from the China Internet Network Information Center (CNNIC), nearly 100 million Chinese netizens regularly visit online bulletin boards to share opinions, ask for help or socialize with friends.

"These Internet based communities are the soul of Chinese social media," said Sam Flemming of CIC, a Shanghai-based research and consulting firm that tracks Chinese bulletin boards and blogs for multinational companies.

"The Chinese Internet is more developed from a social perspective than in the West. There are more people who are participating in these kinds of conversations, and they are more active.

"You have that foundation where people are already communicating with each other and sharing information and eventually that impacts commerce."

Several companies have tried to start group buying sites in America and Europe, yet most of them have failed due to a sheer lack of interest from consumers.

"I had read about it in China and thought maybe it would work over here, but it didn't work out too well," said Eliot Sykes, founder of UK-based StoreMob.com, which is now inactive. "I am not sure people's attitudes over here are right for it."

However, with the exploding popularity of social networking and the backdrop of the financial downturn, some companies are starting to test whether Western consumers are ready to team up and bargain like the Chinese.

One work in progress is a Facebook application called Twangu, which allows buyers to build teams across friend networks for products they want to purchase. The company then recruits retailers to bid against each other to offer the groups the lowest price.

"It is an uphill battle, I will be very frank," said John O'Brien, co-founder of Twangu, which now has around 1,000 users. "Changing consumer behavior is difficult, getting them to understand and trust this site is one thing. The other thing is getting vendors to understand what this means for their business as well," said O'Brien.

Dell is also trying to harness the potential for commerce via social media with an initiative called Dell Swarm. The concept, which the company started piloting in Singapore in May, encourages customers to buy computers in groups in order to save money.

"With social networking, the innovation is taking place right in front of us," Walt Mayo, vice president and general manager of consumer sales and marketing for Dell Asia Pacific and Japan, told CNN.

"It is going to be part of how people engage with companies, learn about products, shop for products and ultimately buy products. How exactly it evolves, we don't know. What we do know is we don't want to sit on the sidelines. We want to engage and start to figure out how this makes sense for us and for our customers."

@highlight

Chinese shopping use Internet to organize shopping trips for bargains

@highlight

Use online social networking to form groups and arrange mass purchases

@highlight

Retailers find them effective way to market goods where word of mouth important

@highlight

Online group buying has been harder to bring to Western market