(CNN) -- It's just water.

Of course it is frozen in the form of ice. Driving on ice is a fool's errand. On ice it is hard to stop (or start) moving. On ice, vehicle control is difficult at best. You don't need to be a transportation engineer to know that crashes increase with snow and especially ice, with its reduced friction. The problem is not that Atlanta got snow, but that the snow turned into ice.

Should Atlanta have been better prepared? In retrospect, the answer is obvious. In prospect it should have been as well.

While it's hot in the summer, Atlanta is in the foothills of the Appalachians, not the beaches of the Caribbean. In the past eight decades, it has snowed 4 inches or more 11 times in Atlanta. There are periodic ice storms. According to Weatherspark,  the average low temperature in January is 34 degrees F, just above freezing. In other words, half the time in January the daytime low is below 34.

I lived in Atlanta for five years. As a freshman, I remember a cold spell in January 1985, when Ronald Reagan's second inauguration was canceled in Washington because of cold, and Georgia Tech, where I was a student, had a delayed opening because it was 8 degrees. So winter is something that leaders should be aware of in Georgia.

Atlanta does not get as much snow as Minneapolis, my current home, and where we have stared down a polar vortex, and are now blanketed with about 2 feet of snow. Atlanta is certainly not as cold as Minneapolis, where unusually, school was canceled two days this week, and five days this school year, and we now look at ice planet Hoth (where Luke Skywalker and friends were based at the opening of "The Empire Strikes Back") as an improvement. But Atlanta still experiences winter. Atlanta still has access to forecasts from the National Weather Service. This storm was not a surprise.

There are several strategies for dealing with ice storms.

Officials could have tried to prevent the ice. Unfortunately weather control is not yet very practical.

The city and state could have tried to mitigate the ice. There are many techniques for salting and sanding roads that either prevent ice from forming, melt the ice or make it easier to travel on ice. This requires a fleet of vehicles and drivers that are prepared well before the weather event and that continue to be deployed until the roads are cleared.

The risk is the city and state spend money on preparations for bad weather that does not come. Such spending is standard operating procedure in northern cities such as Minneapolis, where snow and ice are almost guaranteed, but it may not be worthwhile if the ice is infrequent.

Opinion: When 2.6 inches of snow made hell freeze over

Atlanta could have tried to avoid the ice. If officials knew ice was coming (and they should have, the weather forecasts were not highly guarded state secrets), they should have canceled schools and encouraged people to stay home. The risk is you cancel school and it only rains, or the storm changes course. Officials who cancel school, only to see the weather improve, look bad, are considered "fraidy-cats," will be mocked by talking heads and Monday morning quarterbacks, and more importantly will have a harder time making the right decision the next time.

A real leader is not so insecure. New York Mayor Michael Bloomberg warned his city about Sandy despite perhaps being (in retrospect) too conservative in his warnings about Irene.

In the end, we should ask: Is missing a day of school, or working from home instead of the office really the end of the world?

Instead what officials in Georgia did was accept the damage (in the form of traffic congestion, crashes, people sleeping in place in their cars and schools instead of at home) caused by the ice. This outcome required no advance preparation or forethought. In fact a debacle of this magnitude required a careful absence of preparation.

Worse, everything shut down at once. Dismissals were not coordinated, exacerbating congestion. In the end though, the main problem was not that everyone left work and school at the same time. The problem was they were all there in the first place.

In the long term, the Atlanta area could do much more to avoid its routine congestion. But in the short term, if you cannot prevent the special congestion caused by the weather, avoid it.

Is weather getting weirder? I don't know.

Is weather getting more predictable? Most definitely. The science is improving, and the measurements are getting more precise, and there are many more of them, all of which make short-range forecasts very accurate. Our politicians should listen to the scientists sometimes.

The opinions expressed in this commentary are solely those of David Levinson.

@highlight

David Levinson: Atlanta area should have been prepared for the weather

@highlight

He says Atlanta gets little snow, but gets weather forecasts. Storm was not a surprise

@highlight

Officials should have kept people off the roads, Levinson says

@highlight

Levinson: Real leaders aren't insecure about risking such decisions