The statistics are sobering: Heart disease is the number-one killer of women in the United States. And an estimated 8 million women have it. What's more, a new study shows that in recent years the overall heart disease risk for Americans -- especially women -- hasn't continued the healthy downward trend it showed in previous decades.

There are steps you can take, at any age, to prevent heart disease, the #1 killer of US women.

Ready for some good news? You can do more to prevent heart disease than almost any other serious condition. Start with these age-specific steps.

The 30s

Declare a trans fat-free zone. Commonly used to extend the shelf life of packaged foods like cookies and crackers, and also found in margarine, trans fats pack a double whammy: they raise bad cholesterol (LDL), while lowering good, protective HDL (your LDL should be below 100; your HDL, above 60). In a Harvard University study, women with the highest level of trans fats in their blood had triple the risk of heart disease.

Take a cue from major U.S. cities like New York and Philadelphia (which have banned trans fats from restaurants), and pitch them out of your pantry. On ingredient lists, they show up as "hydrogenated" and "partially hydrogenated" oils. But scrutinize any product touted as "trans fat-free" at the supermarket, too: some manufacturers have replaced hydrogenated oils with tropical oils that are high in saturated fat, which also raises LDL cholesterol. Eating out in a city where trans fats aren't banned? Skip the fried stuff -- many restaurants still use the oils for frying. Health.com: 10 best foods for your heart

Use your OB-GYN as a partner. During your prime reproductive years, you may visit your OB-GYN more than you go to your regular doctor. Make sure you talk to her about your heart as well as gynecological health, particularly because blood pressure (BP) can rise if you're taking birth control pills or when you're pregnant.

Women who develop preeclampsia (pregnancy-related hypertension) are prone to heart disease later in life. And, in general, "how your heart handles pregnancy offers a snapshot of how it will look in middle age," says Sharonne Hayes, M.D., director of the Women's Heart Clinic at the Mayo Clinic in Rochester, Minnesota. To keep BP from creeping up (the safe zone is lower than 120 over 80), substitute herbs and spices for salt -- try cumin for a healthy twist on popcorn, for instance.

Simmer down. If you boil over when the shopper in front of you has 16 grocery items in the 15-or-fewer lane, beware: Losing your temper can damage your arteries, according to research by C. Noel Bairey Merz, M.D., director of the Women's Heart Center and endowed chair in Women's Health at the Cedars-Sinai Heart Institute in Los Angeles, California.

"Raging causes your blood pressure to surge and stay up there," Merz says. That's why it's crucial to get a grip on anger at an early age, before it takes a toll. Learn now that, instead of venting when a situation makes you furious, you can take a few deep breaths and describe to yourself what's making you angry. That should help you calm down.

The 40s

Don't skimp on sleep. When your hormones are fluctuating madly, it can be tough to nod off. It's no wonder, then, that more than half if women in their 40s suffer from insomnia at least a few nights a week. That's nothing to yawn about, either. When your body is deprived of restorative sleep, your heart has to work harder. And piles of studies show that too little shut-eye can lead to heart attack, stroke, heart failure, and diabetes.

How little is too little? A recent study in the Archives of Internal Medicine suggests that less than seven-and-a-half hours per night puts you at risk for heart disease. And recent research from Duke University found that women who take more than a half-hour to fall asleep or those who awaken frequently during the night have inflammation in their arteries and higher levels of insulin, two major risk factors for heart disease.

The soporific Rx: Do your best to unwind with a relaxing bedtime routine, like listening to soothing music or soaking in a tub with bath salts. And, despite how difficult it might sound, obey this rule: no technology or work in the bedroom; your bed should be for sleep and sex only.

Monitor your mood. Between the demands of work and family, it's easy to worry that something will fall through the cracks -- but don't let that something be your own peace of mind. Perimenopausal women have nearly double the risk for depression, and that spells trouble for their hearts, says Jennifer Mieres, M.D., a cardiologist and associate professor at New York University's School of Medicine.

Uncontrolled stress can raise blood pressure and flood blood vessels with inflammatory chemicals, which in high doses can be toxic to the heart, while depression has been linked to hardening of the arteries. Then there are the unhealthy habits that come with stress and the blues: smoking, excessive drinking, and overeating.

Smart medicine for your mood and your heart? Exercise. Thirty minutes of aerobic activity (walking, biking, swimming) most days of the week has been shown to reduce the symptoms of depression by about half, an effect comparable to antidepressant use, while lowering blood pressure and strengthening your cardiovascular system. But if you're feeling low more often than not, talk to your doctor about therapy, antidepressants, or St. John's wort. (New research suggests that this herb works as well as antidepressants and has few side effects.) Health.com: How safe, moderate exercise can keep your heart healthy

Get more fish, flaxseed, and fiber. In your 40s, as estrogen dips, your blood pressure, cholesterol, and triglycerides (a type of fat stored in the blood) start creeping up, making a heart-healthy menu more important than ever. Aim for two servings of fish, like salmon or tuna, each week for omega-3 fats; or pick omega-3-fortified foods like orange juice, margarine, and eggs. Also, sprinkle ground flaxseed on yogurt or cottage cheese to lower cholesterol. And experiment with dishes that contain high-fiber foods like apples, broccoli, beans, and bran cereal. Health fads come and go, but a high-fiber diet has consistently proven to be good for the heart, says Leslie Cho, M.D., director of the Women's Cardiovascular Center at the Cleveland Clinic in Ohio. Health.com: Recipes to help you 'fill up on fiber'

The 50s plus

Whittle your waist. If a few extra pounds have settled around your middle since menopause, you're not alone. "Basically, we start putting on weight more like men," says Nieca Goldberg, M.D., medical director of New York University's Women's Heart Program and author of Complete Guide to Women's Health. The "meno potbelly" is especially hard on the heart because it builds up around internal organs, triggers inflammation, and leads to insulin resistance.

Research from the famous Nurses' Health Study found that women with a waist circumference of more than 35 inches were twice as likely to die of heart disease than women with a 28-inch waist, regardless of weight. Low-intensity workout routines can help slow down the belly buildup, but to shrink it you'll need to work up a sweat with 60 minutes of moderate-intensity aerobic exercise at least three times a week. Try jogging, walking on the treadmill on a challenging incline, or swimming laps.

Enjoy some "friend benefits." Whatever causes you stress, leaning on friends for support and commiseration can help keep blood pressure in check. "There are clearly good things that happen to your heart when you care about people and people care about you," Cedars-Sinai's Merz says. Talk out the stress with friends over a walk or at the gym, and you'll double your heart benefit.

Stay strong. Since hormone replacement therapy (HRT) is no longer thought to protect your heart, and may even harm it (talk to your doctor about the risks if you decide to try it), you need to safeguard your heart with strong muscles. Add strength training -- like a weight-lifting class, yoga, or Pilates -- to your exercise routine at least twice a week, Goldberg recommends. You'll keep blood pressure in check, boost metabolism, zap more calories, control cholesterol, and improve endurance. Health.com: Strength exercises for any age

Sum total? A heart that'll keep pumping happily for years to come.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Heart disease is the number-one killer of women in the US: 8 million have it

@highlight

You can take specific steps to protect your heart starting at an early age

@highlight

Reduce stress and anger, exercise and keep waist under 35 inches

@highlight

Dietary tips include cutting out trans fats, adding more fiber, fish and flaxseed