Cap-Haitien, Haiti (CNN) -- Haiti reported more cholera deaths Wednesday as chaos reigned in this country's second-largest city, and cases among people who had traveled from Haiti were reported in Florida and the Dominican Republic.

At least six people were wounded in related violence in Haiti.

Photos: Cholera in Haiti

The cholera-infected woman who had recently traveled from Haiti to Florida was recovering, the Florida Department of Health said.

Her case was identified through the state's disease surveillance system and sent to the Centers for Disease Control and Prevention in Atlanta, Georgia, where it was confirmed, the state health department said.

Florida, home to about 241,000 Haiti-born residents, has asked local health care providers to watch for people who become sick or show symptoms of cholera after returning from travel to Haiti.

"We are working with our health care partners to ensure appropriate care of this individual and prevent the spread of this disease within the community," said State Surgeon General Ana Viamonte Ros. "We will continue to monitor the state for any future cases."

The first confirmed case in the Dominican Republic was a 32-year-old Haitian construction worker who returned Friday from Haiti with symptoms of the illness, the health ministry said Tuesday night.

The man, who was vomiting and had diarrhea, was hospitalized in Higuey, near the eastern resort town of Punta Cana, said Health Minister Bautista Rojas Gomez. The man was in stable condition, according to the newspaper El Nacional.

According to data provided by the Caribbean countries, the Dominican Republic is the second-most popular Caribbean destination for American tourists, only behind Cancun, Mexico. More than 900,000 Americans have visited the island through August of this year. However, tourism and public health experts said that at the moment, the risk to tourists in the Dominican Republic were minimal.

Neither case was a surprise, said Dr. Jordan Tappero, team leader in Haiti for the CDC in Port-au-Prince. "CDC has been expecting to see cholera cases elsewhere in the region, including the United States," he told CNN in a telephone interview.

But he said cholera was unlikely to spread widely in the United States or in the Dominican Republic, since both countries have public health infrastructures -- i.e., chlorinated drinking water and intact sewage lines -- that are more robust than those in Haiti.

In addition, health officials in the Dominican Republic, which shares the island of Hispaniola with Haiti, have been watching the epidemic spread across Haiti for several weeks, during which they have been preparing by putting into place a surveillance system and educating the populace about what to do if they should come down with symptoms, he said.

"We are very hopeful that the magnitude of the cholera problem in the Dominican Republic will not be on the scale of Haiti," Tappero said. "Diligence in public health messaging and people doing the right thing with water and food preparation and managing waste is going to be critical to that success."

In Haiti, the outbreak had claimed 1,110 lives, the health ministry reported Wednesday. Another 18,382 people had been hospitalized with the disease. The hospital death rate was 4.0 percent, far above the 0.0 to 1.0 percent that infectious disease experts said they expect in developed countries.

"It's telling me that the treatment is not optimal in the hospitals," said Dr. Eugene Gangarosa, a professor emeritus at the Rollins School of Public Health at Emory University in Atlanta. "It leaves something to be desired."

The risk factors in Haiti make that country "a perfect storm" for the disease to spread, Gangarosa said. He cited "a highly susceptible population, crowding, flawed infrastructure and a virulent strain" of the bacteria, which the CDC reported this month as having resistance against some drugs commonly used to fight the infection, though other commonly used drugs -- including tetracycline -- are effective against it.

Though a vaccine against cholera exists, "health authorities generally have mixed feelings because it is expensive, it has some serious limitations and mobilizing the population to get the vaccine is problematic," Gangarosa said.

Aid agencies appealed for calm in the northern port city of Cap-Haitien, where angry demonstrators accused United Nations peacekeepers of starting the outbreak.

Residents erected burning barricades, then hid in alleyways and pelted convoys of armored personnel carriers driven by United Nations peacekeepers as they drove past.

Cap-Haitien convulsed in a third straight day of violence. At Hopital Universitaire, the city's main hospital, doctors treated a patient with a gunshot wound on Wednesday afternoon. Soon after, wheelbarrows holding two more patients were rolled into the hospital. One man had an apparent bullet wound to the chest, the other a bullet wound through the leg.

"MINUSTAH shot them," said a man pushing one of the wheelbarrows and referring to the U.N. forces in Haiti by their acronym.

During the night, a medical worker told CNN that the hospital had received three more patients with gunshot wounds.

The violence occurred as medical workers struggled to cope with a dramatic increase of patients infected with cholera.

At a basketball stadium that has been turned into a makeshift cholera treatment center, Dr. Esther Sterk of the humanitarian group Medecins Sans Frontieres (MSF, known in English as Doctors Without Borders) estimated nearly 200 new patients had arrived overnight.

At noon, an elderly woman joined the arrivals, her head slumping as she was rolled in a wheelbarrow through the gates of the compound.

The stadium was packed with patients on cots, many of them being rehydrated with intravenous fluids. Those patients who did not fit into the main area were being quartered in a hallway underneath the stadium risers.

MSF workers said a child died overnight at the stadium. They also said that some patients had been unable to reach the treatment center, their way blocked by protesters who continued to prevent most cars and trucks from traveling the streets of this port city.

At one of the burning barricades in the center of town, angry residents chanted in Creole for the United Nations to go away as white U.N. armored-personnel carriers rolled through piles of burning garbage.

The United Nations has a peacekeeping force of more than 10,000 foreign police and soldiers deployed in Haiti. The global body has denied Haitian assertions that Nepalese peacekeepers had introduced the cholera bacteria to Haiti.

Aid workers said the tense situation on the streets of Cap Haitien was hampering medical and logistical efforts.

Aid agencies have suspended clean water projects to slum areas, and canceled flights to deliver soap and other supplies to affected areas, a statement from aid agencies said.

Supplies in Cap-Haitien were running out and the medical staff was overwhelmed as cholera mortality numbers climbed, said Nigel Fisher, coordinator for humanitarian action for the United Nations.

"We call upon all involved in these clearly orchestrated demonstrations to stop immediately so national and international partners can continue to save lives with our response to the cholera," Fisher said.

"Every day we lose means hospitals go without supplies, patients go untreated and people remain ignorant of the danger they are facing. It is vital that everything possible is done to contain this outbreak in Cap-Haitien while we still can -- but this is very difficult in the current environment."

Stefano Zannini, head of the MSF mission in Haiti, said the organization's medical staff members were able to continue treating patients in Cap-Haitien as they have been for the last 10 days.

But, he said, "it is not an easy environment to work in."

In the capital, Port-au-Prince, Zannini said the number of cases MSF is treating has increased significantly. In the northern slum of Cite Soleil, MSF doctors were seeing 10 times the number of patients than they were seeing last week, he said.

MSF has been increasing bed capacity every day and hoped to raise it to 800 by the end of Wednesday, Zannini said.

"It's not enough," he said. As capacity rises, so do the number of patients.

Meanwhile, the Clinton Foundation announced Wednesday that it has committed $1.5 million for cholera response in Haiti.

The foundation said in a news release that it plans to partner with Haiti's health ministry to train 10,000 community public health workers across the country. Also, it will purchase and distribute 10,000 portable treatment packs containing oral hydration salts, soap, aqua tabs, chlorine, hand sanitizer, garbage bags, educational material and stationery.

The other $500,000 will be spent on a national awareness campaign.

"The recent outbreak of cholera is a devastating development for the people of Haiti, and serves as an important reminder of all that remains to be done in our work to help Haiti build back better after the earthquake," said former President Bill Clinton.

The last cholera epidemic in the Western Hemisphere began in Peru in 1991 and spread to some 16 other countries, from Argentina to Canada, according to the Pan American Health Organization. From 1991 to 1997, Peru alone saw more than 650,000 cases.

A similar pattern in Haiti could produce some 270,000 cases, which means public health officials likely face long-term challenges in Haiti.

The United Nations denied an assertion promoted by some Haitians that Nepalese peacekeepers were responsible for starting the cholera outbreak. U.N. statements said the protests may be politically motivated to create insecurity ahead of November 28 elections.

Symptoms of cholera, an acute, bacterial illness caused by drinking tainted water, can be mild or even nonexistent. But sometimes they can be severe: leg cramps, profuse watery diarrhea and vomiting, which can cause rapid loss of body fluids and lead to dehydration, shock and death.

Journalists Dmitri Foucard and Diulka Perez and CNN's Ivan Watson, Moni Basu and Tom Watkins contributed to this report.

@highlight

At least 6 people suffered gunshot wounds

@highlight

The Dominican health ministry confirmed its first case of cholera

@highlight

The sickened man is a Haitian worker who just returned from home

@highlight

In Florida, a woman who recently returned from Haiti was sickened