(CNN) -- The national controversy over a surge of Central American immigrants illegally crossing the U.S. border established a new battleground this week in a small Southern California town, where angry crowds stopped detained migrants from entering their community.

The sentiment carried over to a raucous Wednesday night meeting at a Murrieta high school auditorium. Border Patrol and immigration officials got an earful.

"This is an invasion," attendee Heidi Klute said before a full house. "Why isn't the National Guard stopping them from coming in?"

The overflow crowd of hundreds spilled out into the school's parking lot.

In a faceoff Tuesday with three buses carrying the migrants behind screened-off windows, demonstrators chanted "Go back home!" and "USA," and successfully forced the coaches to leave Murrieta.

The buses instead took the 140 or so undocumented immigrants to U.S. processing centers at least 80 miles away, in the San Diego and El Centro areas, federal officials say.

Counterprotesters squared off with the demonstrators, and a shouting match erupted over the nation's immigration system, which recently has been overwhelmed with a tide of Central American minors illegally entering the United States alone or with other children.

Local politicians appear to be in lockstep with their constituents.

"It's a nationwide problem, and little ol' Murrieta has taken the lead," said Mayor Alan Long.

Riverside County Supervisor Jeff Stone got a rise out of the crowd, asking them to hold the White House accountable.

"Petition Obama to stop using these refugees to satisfy a political agenda," he said.

Root of the problem

A mix of poverty, violence and smugglers' false promises is prompting the Central American inflow.

Unlike undocumented Mexican migrants, who are often immediately deported, the Central Americans are detained and processed by the U.S. government, and eventually released and given a month to report to immigration offices. Many never show up and join the nation's 11 million undocumented residents, says the National Border Patrol Council, the union representing Border Patrol agents.

The Latin American immigrants rejected by Murrieta protesters were initially held in Texas, where U.S. facilities are so overflowing that detainees are sent to other states for processing.

The government doesn't have the room to shelter the children with adults: There's only one family immigration detention center, in Pennsylvania. To assist the unaccompanied children, President Barack Obama's administration opened shelters last month on three military bases, because federal facilities more designed for adults were overrun with minors.

Tuesday's busloads of detained Central American immigrants didn't include any unaccompanied minors, said Murrieta Police Chief Sean Hadden, who put the number of protesters at 125. The children on the buses were apparently in the company of relatives or other adults, said an official with the National Border Patrol Council.

'Deport! Deport!'

The protesters -- who shouted "Impeach Obama!" and "Deport! Deport!" -- confronted the buses a day after the town posted a notice on its website: "Murrieta Opposes Illegal Immigrant Arrival."

"This is a failure to enforce federal law at the federal level," Long said in a statement Monday about the pending arrival of the 140 immigrants at the U.S. Border Patrol station. "Murrieta continues to object to the transfer of illegal immigrants to the local border patrol office."

Long spoke to CNN's "Anderson Cooper 360" later Wednesday.

"It's not against the immigrants," he said. "They're trying to leave a less desirable place and come to the greatest nation in the world. We can't blame them for that. ... No one's protesting that. What we're protesting is the product of a broken system that finally reached the doorstep of our community."

Long said that neither side in the national debate is coming up with a solution: "The problem still is there. The problem is in Washington, D.C."

The U.S. government is scheduled to send another group of undocumented immigrants to Murrieta for processing on Friday, a union official for Border Patrol agents said. Hadden also said he was told to expect 140 immigrants every 72 hours, with the next group scheduled to arrive on Friday, the Fourth of July.

Earlier Wednesday, immigration rights advocates denounced the protesters.

"It is deplorable that people espousing anti-immigrant hate language created unnecessary tension and fear for immigrant mothers and their children," Pedro Rios, a community representative of the San Diego Immigrant Rights Consortium, said in a statement. "Even more concerning is that elected officials in the City of Murrieta instigated this tension. Mothers and their children on these buses have suffered through enough trauma."

Intense debate

The furor in Murrieta illustrated the conflict between protecting the borders and ensuring the safety of detained immigrants and children.

Protester Ellen Meeks said the country's identity has eroded with an influx of undocumented immigrants.

"I just wish America would be America again because it's not, and it's not just pointed to the Hispanics," Meeks said. "Everybody needs to go through the legal ways."

Other protesters told CNN affiliate KGTV they wanted immigrants to follow the legal process to enter the United States.

"Everybody that wants to come to this nation is entitled to, but they should come the right way," Bob Cuccio told the news outlet.

"You bring in all these children and they're going to take over our schools," Bel Reeves added. "What's going to happen to the kids that were born and raised here?"

But immigration rights advocate Enrique Morones likened the migration to a refugee crisis and suggested racial antipathy was motivating protesters.

"If these children were from Canada, we would not be having this interview," Morones said. "The parents have had enough. They are saying, 'If I don't send my child north, they are going to die.'"

The U.S. government is struggling to detain and accommodate an influx of undocumented immigrants, particularly a wave of unaccompanied children from the Central American countries of El Salvador, Guatemala and Honduras. The U.S. government doesn't have enough beds, food or sanitary facilities.

Authorities estimate 60,000 to 80,000 children without parents will cross the border this year in what the White House has called an "immediate humanitarian crisis."

Last month, the Obama administration unveiled a plan to spend almost $100 million in aid to Guatemala, Honduras and El Salvador to help reintegrate the undocumented migrants whom the United States will deport, and to help keep them in their home countries.

The administration also will set aside $161.5 million this year for the Central American Regional Security Initiative programs in an effort to "help stem migration flows as well as address the root cause of the migration," the White House said.

The Obama administration has accused syndicates in Latin America of waging a deliberate campaign of misinformation about relocating to the United States that has caused people in poor Central American countries and Mexico to risk their lives to cross the U.S. border illegally.

Obama to take executive action on immigration

Vargas: Undocumented and hiding in plain sight

Crossroads of hope and fear: Stories from a desert bus station

CNN's Chuck Conder, Stephanie Elam, Rosalina Nieves, Traci Tamura and Greg Morrison contributed to this report.

@highlight

"The problem still is there. The problem is in Washington, D.C.," says Murrieta mayor

@highlight

Immigrant rights advocate denounces "anti-immigrant hate language"

@highlight

140 undocumented Central American immigrants arrive in California from Texas

@highlight

Protesters block them from being processed at the Murrieta Border Patrol station