(Health.com) -- Fewer U.S. adults are smoking, and those who do smoke are on average smoking less, according to a new study in the Journal of the American Medical Association.

Smoking rates in the U.S. have dropped dramatically over the past several decades, falling from 40% in 1965 to about 20% in 2006. Much of that decline is due to a disproportionate decrease in the number of people who smoke at least a pack a day, the study found.

In 1965, 56% of all adult smokers consumed 20 cigarettes or more per day. By 2007, that figure had fallen to 41%. In California, which has a history of unusually aggressive antismoking programs, the decrease was even larger: Only 23% of all smokers smoked at least a pack a day in 2007, according to the study, which mined data from two long-running government surveys.

Health.com: 15 ways smoking ruins your looks

These declines appear to be caused by a combination of heavy smokers quitting altogether and fewer young people ramping up to a pack-a-day-habit, the researchers say.

The decrease in smoking rates "is all coming out of heavy smokers," says John P. Pierce, Ph.D., the lead author of the study and the director of cancer prevention and control at the University of California San Diego's Moores Cancer Center. "The population [of smokers] is changing."

The decline in heavy smoking appears to be linked to a subsequent decline in lung cancer. In 1993, when the deaths caused by lung cancer peaked in the U.S.-- about 15 years after the rates of heavy smoking peaked --1 in every 855 deaths was attributable to the cancer. By 2007, lung cancer was responsible for just 1 in every 980 deaths. (These figures do not include California, which had even lower rates.)

Health.com: 6 common smoking triggers-- and how to fight them

"We knew that lung cancer was caused almost entirely by smoking, and it's the amount you smoke that matters," Pierce says. "It was always the heavier smoker that was getting lung cancer."

The findings are "great news," says Norman Edelman, M.D., chief medical officer of the American Lung Association. "This shows the dramatic effect of our smoking cessation and prevention programs. This is also a victory for public health and disease prevention agencies, which are generally poorly funded in the U.S."

The decline in heavy smoking has been especially pronounced in California, the country's most populous state. In 1965, 23% of California adults smoked 20 or more cigarettes a day, whereas only 3% smoked that heavily in 2007.

Health.com: Social, sneaky, or skinny? The 7 types of smokers

The authors attribute the success in California to the state's wide-ranging antismoking efforts. The state was the first to substantially raise taxes on cigarettes, the first to institute a comprehensive antismoking program, and the first to banish smoking in workplaces statewide, the study notes.

In fact, the study itself is a product of the state's antismoking efforts. The research was funded with grants from the University of California that, by law, are supported by state cigarette taxes. In addition, one of the study's coauthors, David W. Cowling, is the chief of evaluation for the California Tobacco Control Program, a division of the state department of public health whose budget is funded with the same taxes.

Despite the progress seen in the study, Edelman cautions that the fight to reduce smoking is far from over. "Twenty percent of American adults still smoke and tobacco is still causing lots of major disease," he says. "We should not use this news to declare victory, but be encouraged by the success of our actions so we can vigorously press on to reduce the use of tobacco further."

Copyright Health Magazine 2011

@highlight

Smoking rates in the U.S. have dropped dramatically over the past several decades

@highlight

In 1965, 56% of smokers consumed 20 cigarettes daily. By 2007, it had fallen to 41%

@highlight

The decline in heavy smoking appears to be linked to a decline in lung cancer