Castalia, Ohio (CNN) -- Mona Rutger got the call in October: A bald eagle was flopping around on an airport runway after it had been clipped by a private jet.

Unfortunately, it's something she sees all too often, with all types of wild animals.

"Everyone says, 'Let nature take its course,' " said Rutger, a certified wildlife rehabilitator. "But 90% of these animals' injuries are human-related. That's not nature. It's us."

Rutger sent a team to collect the injured bird and bring it to her rehabilitation center in Castalia, Ohio, where it was stabilized and then taken to a veterinarian.

The eagle had three pins placed in its wing and is now building up its strength and agility with the help of Rutger and her nonprofit, Back to the Wild.

Since 1990, Rutger says, she has rescued more than 42,000 injured, orphaned and displaced animals. About 60% of them have recovered sufficiently to be released back into their natural habitats.

"Each animal that we help can somehow make a difference. ... Each animal has a role to play in the food chain," Rutger said. "If just one link breaks, the whole chain falls apart."

Rutger became a licensed wildlife rehabilitator more than 20 years ago when she realized that no one in her area was legally able to care for injured wildlife. She took it on in addition to her full-time secretarial job, envisioning that it would be a hobby of sorts that she'd run from her backyard.

"I thought, well, I'd do it on the side and get 20 to 30 animals a year," she said. "But once people found out there was somebody in the area licensed, the phone never stopped ringing."

Her backyard sanctuary now runs 24 hours a day, seven days a week, and her group rescues more than 2,500 animals a year. The group has seen all sorts of wounded wildlife, including birds injured by power lines, turtles hit by trucks and bobcats declawed by people wanting to make them pets.

Pelican, gull freed from beer can collars are recovering

The sanctuary has an impressive maze of state-of-the-art enclosures and aviaries, and it also includes an indoor education center where tens of thousands of people a year -- most of them schoolchildren -- learn about living in harmony with the natural world. Since Rutger started doing this work, more than 1 million people have visited her facility.

"We're counting on the children, our future adults, to do a better job taking care of the planet than we have in the past," Rutger said. "I desperately want them to feel the excitement and the thrill that I find every single day in nature. And I know that they don't (often) get that chance."

Many of the animals at Rutger's sanctuary have physical limitations that are too great for them to live out in the wild, so they live permanently at the sanctuary and participate in its daily education programs.

"These powerful ambassadors can do more for wildlife than I can do without them," Rutger said. "So even though this is sad that we are unable to release them, we feel that they have a new job, a new role.

"But we explain to (visitors) we are a hospital for wildlife, not a petting zoo. ... And we don't give (the animals) names, because they don't belong to us. They belong to the wild."

When possible, Rutger tries to save more permanently disabled animals by finding them "educational jobs" at other local zoos, reserves and nature centers. If this can't be done, then the animals must be humanely euthanized under Ohio's wildlife regulations.

Do you know a hero? Nominations are open for 2013 CNN Heroes

Rutger's organization depends entirely on private donations. She and her husband have poured their life savings into the endeavor, even refinancing their home to continue the work.

"We have animals come in all hours of the night," Rutger said. "It can be draining. It can be exhausting. ... But I don't feel that it's really work, you know? I'm doing something I love."

While the rehabilitation center is full of reminders about humanity's carelessness, Rutger's overarching message is lined with optimism. During the summer months, the sanctuary hosts free camps for underprivileged children who are unlikely to be exposed to nature where they live. The center also voluntarily participates in expensive research protocols when local animal populations are threatened by disease.

"The children and adults that leave here don't feel like it's too late. We want them to have hope for the future," she said. "There's many species improving and coming back, and it's because humans have gotten involved and done positive things."

Survival of injured baby golden eagle called 'amazing'

The bird injured on the runway last year is one of eight bald eagles at Rutger's center. She hopes it will be able to fly by the end of the year.

"We feel pretty confident that she's doing very well," Rutger said. "We want to keep her exercising and hope every day she gets a little stronger, until she has enough stamina and ability to survive in the wild."

Rutger said that when the time comes, she plans to share the thrilling moment with the community.

"Goosebumps just go from your head to toe when that eagle or hawk or owl flies from your hand and you know that it doesn't have to live in a cage tonight," she said. "I've done it thousands upon thousands of times, and it never gets old. It is still the most exciting, exhilarating experience I can share. Gets me every time."

Want to get involved? Check out the Back to the Wild website at www.backtothewild.com and see how to help.

@highlight

Mona Rutger and her group are rehabilitating injured animals so they can get back into the wild

@highlight

She says she has rescued more than 42,000 injured, orphaned and displaced animals

@highlight

Human-related causes are most commonly to blame, Rutger says

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes