(CNN) -- They've long been considered topics that aren't polite to discuss at the dinner table. As it turns out, politics and religion can get touchy on Wikipedia as well.

The two topics dominated a list of the most controversial pages on the crowdsourced Web encyclopedia.

Topping the English-language version of the list? Former President George W. Bush.

To determine the most controversial pages, researchers from Oxford University looked at their number of "reverts" -- instances in which an editor changes something on a page, only to have someone else come along and change it back to the previous wording.

Alongside Bush, the political philosophy of anarchism made the list. So did global warming and the United States -- two topics that, while not exclusively political, certainly have political elements.

As for religion, Mohammed, Jesus and Christianity were all among the top 10.

Circumcision and "race and intelligence," both with obvious controversy attached, made the list, alongside a possibly more surprising page: a list of professional wrestlers on the roster of World Wrestling Entertainment.

The authors of the study, which will be part of an upcoming book, said that on a site as expansive and ambitious as Wikipedia, disagreements are bound to happen.

"While the common aim in the collaboration is clear, unavoidably differences in opinions and views occur, leading to controversies," they wrote. "Clearly, there is a positive role of the conflicts: if they can be resolved in a consensus, the resulting product will better reflect the state of the art than without fighting them out.

"However, there are examples, where no hope for a consensus seems in sight -- then the struggle strongly limits efficiency."

The guiding principle behind Wikipedia, which launched in 2001, is cooperation. The thinking is that with a team of volunteer editors spanning the globe, rough edges will eventually be smoothed out and good information will triumph over falsehoods and misinterpretations.

With more than 470 million unique visitors monthly, Wikipedia is one of the most-visited sites on the Web. It's written and edited collaboratively by Internet volunteers, most of them anonymous. According to its own pages, the site has more than 77,000 active contributors working on more than 22 million articles in 285 languages.

By default, any change that an editor makes on the site is published immediately, subject to cleaning up by editors who come afterward.

But disagreements, even among well-meaning editors, are bound to happen and, over the years, Wikipedia has adopted rules to deal with them.

On the English-language version, only registered users may create new articles. And certain controversial pages get "protection" -- either full protection, which means they can only be edited by administrators, or semi-protection, under which they can only be edited by logged-in users whose accounts have been verified.

When pages become home to "edit wars," as the entries for Bush and Democratic rival John Kerry did during the 2004 election, they may be given temporary protection by administrators.

On the English-language version of the site, sweeping issues such as religion dominated the most-disputed list. But the study's authors noted that with most other languages, more local or regional topics prevailed.

"The English Wikipedia, in particular, occupies a unique role," they wrote. "The language's status as a 'lingua franca' (a widely used working language) means that English Wikipedia ends up being edited by a broad community beyond simply (those) that have the language as a mother tongue."

In German, the page on Croatia was the most controversial, with Adolf Hitler, Scientology and Austrian philosopher Rudolf Steiner making the top 10. Socialist politician Segolene Royal topped the French list (followed, curiously, by UFOs) and "Gypsy crime" topped the Hungarian list.

In an interesting look at cultural interests, five of the 10 most disputed pages in Spanish were those of soccer teams -- Club America, Athletic Bilbao, Newell's Old Boys, FC Barcelona and Alianza Lima.

@highlight

George W. Bush tops list of most controversial English-language Wiki pages

@highlight

Analysis looked at Wikipedia pages with most frequent changes

@highlight

Politics and religions dominate the top 10

@highlight

A pro wrestling page also made the list