(CNN)Although most of us worry about other things, climate scientists have become increasingly worried about the survival of civilization. For example, Lonnie Thompson, who received the U.S. National Medal of Science in 2010, said that virtually all climatologists "are now convinced that global warming poses a clear and present danger to civilization."

Informed journalists share this concern. The climate crisis "threatens the survival of our civilization," said Pulitzer Prize-winner Ross Gelbspan. Mark Hertsgaard agrees, saying that the continuation of global warming "would create planetary conditions all but certain to end civilization as we know it."

These scientists and journalists, moreover, are worried not only about the distant future but about the condition of the planet for their own children and grandchildren. James Hansen, often considered the world's leading climate scientist, entitled his book "Storms of My Grandchildren."

The threat to civilization comes primarily from the increase of the level of carbon dioxide (CO2) in the atmosphere, due largely to the burning of fossil fuels. Before the rise of the industrial age, CO2 constituted only 275 ppm (parts per million) of the atmosphere. But it is now above 400 and rising about 2.5 ppm per year.

Because of the CO2 increase, the planet's average temperature has increased 0.85 degrees Celsius (1.5 degrees Fahrenheit). Although this increase may not seem much, it has already brought about serious changes.

The idea that we will be safe from "dangerous climate change" if we do not exceed a temperature rise of 2C (3.6F) has been widely accepted. But many informed people have rejected this assumption. In the opinion of journalist-turned-activist Bill McKibben, "the one degree we've raised the temperature already has melted the Arctic, so we're fools to find out what two will do."

His warning is supported by James Hansen, who declared that "a target of two degrees (Celsius) is actually a prescription for long-term disaster."

The burning of coal, oil, and natural gas has made the planet warmer than it had been since the rise of civilization 10,000 years ago. Civilization was made possible by the emergence about 12,000 years ago of the "Holocene" epoch, which turned out to be the Goldilocks zone - not too hot, not too cold. But now, says physicist Stefan Rahmstorf, "We are catapulting ourselves way out of the Holocene."

This catapult is dangerous, because we have no evidence civilization can long survive with significantly higher temperatures. And yet, the world is on a trajectory that would lead to an increase of 4C (7F) in this century. In the opinion of many scientists and the World Bank, this could happen as early as the 2060s.

What would "a 4C world" be like? According to Kevin Anderson of the Tyndall Centre for Climate Change Research (at the University of East Anglia), "during New York's summer heat waves the warmest days would be around 10-12C (18-21.6F) hotter [than today's]." Moreover, he has said, above an increase of 4C only about 10% of the human population will survive.

Believe it or not, some scientists consider Anderson overly optimistic.

The main reason for pessimism is the fear that the planet's temperature may be close to a tipping point that would initiate a "low-end runaway greenhouse," involving "out-of-control amplifying feedbacks." This condition would result, says Hansen, if all fossil fuels are burned (which is the intention of all fossil-fuel corporations and many governments). This result "would make most of the planet uninhabitable by humans."

Moreover, many scientists believe that runaway global warming could occur much more quickly, because the rising temperature caused by CO2 could release massive amounts of methane (CH4), which is, during its first 20 years, 86 times more powerful than CO2. Warmer weather induces this release from carbon that has been stored in methane hydrates, in which enormous amounts of carbon -- four times as much as that emitted from fossil fuels since 1850 -- has been frozen in the Arctic's permafrost. And yet now the Arctic's temperature is warmer than it had been for 120,000 years -- in other words, more than 10 times longer than civilization has existed.

According to Joe Romm, a physicist who created the Climate Progress website, methane release from thawing permafrost in the Arctic "is the most dangerous amplifying feedback in the entire carbon cycle." The amplifying feedback works like this: The warmer temperature releases millions of tons of methane, which then further raise the temperature, which in turn releases more methane.

The resulting threat of runaway global warming may not be merely theoretical. Scientists have long been convinced that methane was central to the fastest period of global warming in geological history, which occurred 55 million years ago.  Now a group of scientists have accumulated evidence that methane was also central to the greatest extinction of life thus far: the end-Permian extinction about 252 million years ago.

Worse yet, whereas it was previously thought that significant amounts of permafrost would not melt, releasing its methane, until the planet's temperature has risen several degrees Celsius, recent studies indicate that a rise of 1.5 degrees would be enough to start the melting.

What can be done then? Given the failure of political leaders to deal with the CO2 problem, it is now too late to prevent terrible developments.

But it may -- just may -- be possible to keep global warming from bringing about the destruction of civilization. To have a chance, we must, as Hansen says, do everything possible to "keep climate close to the Holocene range" -- which means, mobilize the whole world to replace dirty energy with clean as soon as possible.

@highlight

Scientists and journalists are worried about the condition of the planet for their own children and grandchildren, writes David Ray Griffin

@highlight

The threat to civilization comes primarily from the increase of the level of carbon dioxide (CO2) in the atmosphere, he says

@highlight

Griffin: The burning of coal, oil, and natural gas has made the planet warmer than it had been since the rise of civilization 10,000 years ago

@highlight

The resulting threat of runaway global warming is not merely theoretical, he writes