Washington (CNN) -- During his two weeks aboard a ship to the United States, Ahmed Abu Khatallah was questioned by FBI interrogators over his alleged role in the 2012 Benghazi attacks that left four Americans dead.

As it turns out, he was interrogated both before and after authorities told him of his Miranda rights -- which give him the right to remain silent to avoid self-incrimination, a U.S. official told CNN.

But Abu Khatallah continued providing information to officials after being advised of those rights, the official said.

The handling of his case has triggered fallout in Washington.

"I have serious concerns that conducting a rushed interrogation onboard a ship and then turning Abu Khatallah over to our civilian courts risks losing critical intelligence that could lead us to other terrorists or prevent future attacks," Sen. Kelly Ayotte, R-New Hampshire, said in a statement Saturday.

A U.S. official told CNN that Abu Khatallah denied participation in the Benghazi attacks during his interviews with interrogators -- but provided information on others he said participated and were behind the attacks.

It wasn't clear if he provided the information before or after he was advised of his Miranda warning.

Shortly after the White House announced the capture earlier this month, Republicans like Florida Sen. Marco Rubio criticized the Obama administration because they believed the alleged terrorist should go through a military tribunal at Guantanamo Bay instead of being tried in a federal court.

"If they bring him to the United States, they're going to Mirandize this guy, and it would be a mistake for the ages to read this guy his Miranda rights," South Carolina Sen. Lindsey Graham has said.

But the White House has defended its decision, saying that they have successfully tried a number of terrorists domestically and that no new captives have gone to the Guantanamo Bay detention facility in years.

Abu Khatallah arrived on U.S. soil Saturday. After two weeks aboard the USS New York sailing from the Mediterranean Sea to the East Coast, Abu Khatallah was flown by helicopter to Washington and was driven to a federal courthouse.

There, he pleaded not guilty to one count of providing material support to terrorists. Prosecutors say he is the ringleader of the 2012 attacks on a U.S. diplomatic mission in Libya, which killed U.S. Ambassador to Libya Chris Stevens and three other Americans.

More charges possible

The single count is part of a legal strategy by federal prosecutors, who plan to file additional charges later, according to U.S. officials. The aim is to delay releasing to the public and Abu Khatallah's lawyer the FBI affidavit detailing the evidence the government has against him.

An earlier criminal complaint in July 2013 said the FBI believed it had evidence to charge him with murder and firing a weapon at the scene of the Benghazi attacks. Those additional charges, if formally added, could bring the death penalty.

In his court appearance, Abu Khatallah, a Libyan national, requested consular assistance from the Libyan government. U.S. authorities were working with Libyan embassy officials in Washington to provide him the assistance.

After the hearing, armed guards accompanied Abu Khatallah from the federal courthouse in downtown Washington, a few blocks from the U.S. Capitol and near the White House.

He was then moved to the detention center in Alexandria, Virginia, which is across the Potomac River from the capital.

Details of the attacks

Authorities say Abu Khatallah is among the senior leaders of Ansar al Sharia, whose members were among several militias that participated in the attacks on U.S. government facilities in Benghazi on September 11-12, 2012.

The attacks spawned political controversy in the United States because some Republican lawmakers claim the Obama administration tried to mislead the public about them and should have done more to prevent them.

The GOP critics say they plan to make Benghazi an issue for former Secretary of State Hillary Clinton, under whose watch the attacks occurred, should she decide to run for president.

The criminal investigation led by the FBI has been extraordinarily challenging, authorities say, partly because the lack of Libyan government control in the city prevented investigators from visiting the crime scene for weeks.

But U.S. officials say they collected surveillance video, phone recordings and witness statements to bring charges against Abu Khatallah and others involved.

Abu Khatallah became the face of the militant attack and a top target for the U.S. after he cultivated a celebrity profile in the wake of the attacks, meeting with journalists and granting interviews. He denied to CNN's Arwa Damon that he participated in the attacks.

U.S. military commandos captured Abu Khatallah in a nighttime raid June 15-16. U.S. intelligence assets concocted a ruse to lure him to a villa where the Americans surprised him. The commandos, accompanied by several FBI agents, had come ashore by boat and quickly took him back out to sea with them.

Abu Khatallah was appointed a public defender, Michele Peterson. He was ordered to remain in custody until hearings set for Wednesday and Friday.

Timeline of the Benghazi attack

What's next for Benghazi terror suspect?

Benghazi 'mastermind' captured without a single shot

CNN's Sara Fisher and Ray Sanchez contributed to this report.

@highlight

NEW: Official: Abu Khatallah denied involvement but gave info on others

@highlight

Abu Khatallah gave information before and after he was told his Miranda rights

@highlight

Sen. Lindsey Graham: Mirandizing Abu Khatallah "would be a mistake for the ages"

@highlight

He is suspected of being the ringleader of the September 2012 attacks in Benghazi, Libya