San Diego, California (CNN) -- Jaime Escalante was ahead of his time. And today, more than 30 years after the Bolivian-born math teacher put East Los Angeles' Garfield High School on the map by convening 14 students in his very first AP calculus class, the rest of the educational establishment is still trying to catch up.

Escalante -- who was immortalized in the 1988 film "Stand and Deliver" -- died this week at his son's home in Roseville, California, after a bout with cancer.

It was way back in 1978 when Escalante began teaching calculus to Mexican-American kids from the barrio. That's more than two decades before President George W. Bush challenged the nation's public schools to acknowledge and overcome the "soft bigotry of low expectations," and Escalante was already fighting that battle. He knew all about low expectations -- most of them coming from jealous colleagues and visionless administrators.

More important, Escalante knew the recipe for how to overcome those low expectations and teach students to succeed. It starts, he would say, with "ganas" -- the desire of students to learn, coupled with the desire of teachers to teach. Mix in two parts hard work, a cup of sacrifice, and a dash of "anything is possible."

Oh, because you'll inevitability meet up with cynics and critics who try to derail you, to make themselves feel better about their own failings and to sustain their prejudices about who can learn and who can't, it doesn't hurt to put in a spoonful of attitude of the sort embodied in Evita Peron's quip: "It doesn't matter what the morons say."

All across the United States, students and teachers come to the classroom with tons of built-in excuses of why they can't or won't do what they know they need to do. And so, it's no wonder so little gets done. Just as it's no wonder that those who try to break through that culture and actually teach students who have been written off often meet with resistance.

One of the things I remember from the years I spent  teaching the children of Mexican farm workers in central California was that sometimes, it seems, students and teachers are competing to see which group is the most victimized.

Escalante had no interest in that game. Personally, I think it was because he was an immigrant. Here you have someone who arrived in the United States with very little money, who wasn't able to speak the language, but went on to mop floors and work as a short-order cook by day. He learned English and earned math degrees, and a teaching credential by night, on his way to working for an electronics company. Then he followed his passion into teaching.

You know people like that, or you did. Think Grandpa. Think Grandma. Take out "Bolivia" and fill in "Italy" or "Ireland." Those people don't want to hear your problems and why you think you can't do something. It's embarrassing. You whine about how hard you have it and how the odds are against you, and they just arrived from a place that makes your troubles look like a day at the beach.

That's how it was for the man who was eulogized this week by Jay Matthews, education reporter for the Washington Post, as "the most famous and influential American public school teacher of his generation." Escalante had no interest in hearing why poor Mexican-American kids from a barrio high school couldn't learn calculus, ace a national test and go on to attend prestigious universities. He was too busy making it happen.

I met Escalante once in the late 1980's at a black-tie affair in Washington. But, the more memorable encounter took place a couple of years earlier, while I was in college. I had placed a long distance call to Garfield High School and left a message. A student group on campus wanted him to speak. To my surprise, after seeing a message that the school receptionist had scribbled down as being from simply "Ruben at Harvard," he called me back. To my amusement, I soon realized the reason he did was because he thought I was another Ruben at Harvard -- a former student.

For a lot of public school teachers in America, especially those who teach socio-economically disadvantaged kids, that kind of call might be unusual. Not Escalante. His former students from Garfield were sprinkled all over the Ivy League -- not just at Harvard, but also at Yale, Princeton, Columbia, Cornell and other universities.

I'd sometimes meet them at student conferences, and there was always something special about them and how they carried themselves. There was that badge of honor, that additional bit of confidence that came from being one of an elite group of high achievers who demolished the low expectations of others. These were Jaime's kids.

That's an impressive legacy -- and, in the case of an extraordinary educator who still teaches us what's possible in our public schools when you ditch the excuses, and have the ganas to make it happen, a well-deserved one.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

America's schools still have a lot to learn from Jaime Escalante, who died this week

@highlight

Ruben Navarrette says the celebrated teacher didn't expect low achievement from poor, minority students

@highlight

He says that by aiming high, Escalante got extraordinary results from students