(CNN) -- Scientists say they have proven the existence of the Higgs boson -- a never-before-seen subatomic particle long thought to be a fundamental building block of the universe.

Since 2012 researchers have made great strides in the hunt for the so-called "God particle" at the Large Hadron Collider in Geneva, Switzerland, where scientists at the CERN particle physics laboratory are looking for particles that slip into existence when subatomic particles crash into one another at high energies.

Experts say finding the elusive particle would rank as one of the top scientific achievements of the past 50 years -- a view proved on Tuesday when Francois Englert and Peter Higgs, the two physicists who predicted almost 50 years ago that the particle existed, won the Nobel Prize in Physics.

What is the Higgs boson?

The Standard Model of particle physics lays out the basics of how elementary particles and forces interact in the universe. But the theory crucially fails to explain how particles actually get their mass.

Particles, or bits of matter, range in size and can be larger or smaller than atoms. Electrons, protons and neutrons, for instance, are the subatomic particles that make up an atom.

Scientists believe that the Higgs boson is the particle that gives all matter its mass.

Read more: The woman at the edge of physics

Experts know that elementary particles like quarks and electrons are the foundation upon which all matter in the universe is built. They believe the elusive Higgs boson gives the particles mass and fills in one of the key holes in modern physics.

How does the Higgs boson work?

The Higgs boson is part of a theory first proposed by Higgs and others in the 1960s to explain how particles obtain mass.

The theory proposes that a so-called Higgs energy field exists everywhere in the universe. As particles zoom around in this field, they interact with and attract Higgs bosons, which cluster around the particles in varying numbers.

Imagine the universe like a party. Relatively unknown guests at the party can pass quickly through the room unnoticed; more popular guests will attract groups of people (the Higgs bosons) who will then slow their movement through the room.

The speed of particles moving through the Higgs field works much in the same way. Certain particles will attract larger clusters of Higgs bosons -- and the more Higgs bosons a particle attracts, the greater its mass will be.

Why is finding the Higgs boson so important?

While finding the Higgs boson won't tell us everything we need to know about how the universe works, it will fill in a huge hole in the Standard Model that has existed for more than 50 years, according to experts.

"The Higgs boson is the last missing piece of our current understanding of the most fundamental nature of the universe," Martin Archer, a physicist at Imperial College in London, told CNN.

"Only now with the LHC [Large Hadron Collider] are we able to really tick that box off and say 'This is how the universe works, or at least we think it does'."

"It's not the be all and end all -- but in terms of what can we say practically about the world and how the world is, it actually tells us a lot."

Gordon Kane, director of the Michigan Center for Theoretical Physics, added that finding evidence of the Higgs boson would be a "very wonderful success of science and of people for four centuries."

Why is the Higgs boson called the "God particle?"

The popular nickname for the elusive particle was created for the title of a book by Nobel Prize winning physicist Leon Lederman -- reportedly against his will, as Lederman has said he wanted to call it the "Goddamn Particle" because "nobody could find the thing."

"'God particle' is a nickname I don't really like," says Archer. "It's nothing to do with religion -- the only (theoretical) similarity is you're seeing something that's a field that's everywhere, in all spaces."

How are scientists searching for the Higgs boson?

For the past 18 months scientists have searched for the Higgs boson by smashing protons together at high energy in the $10 billion Large Hadron Collider (LHC) at CERN in Geneva, Switzerland.

Inside the LHC, which is located 328 feet underground in a 17-mile tunnel and is the most powerful particle accelerator ever built, high speed proton collisions generate a range of even smaller particles that scientists sift through in search of a signal in the data suggesting the existence of the Higgs boson.

"You're just hoping that somewhere in these collisions that you see something ... some sort of a statistical bump," says Archer.

So Higgs bosons exist, but are elusive, popping up and then disappearing again quickly. It means, says Archer, that scientists at the LHC are only able to observe their decaying remnants.

Information from CNN Wires and CNN's Light Years blog was used in this report.

@highlight

Scientists say they've found new evidence the Higgs boson exists

@highlight

The so-called "God particle" is thought to be a building block of the universe

@highlight

The theoretical particle is key to understanding how universe works, experts say