(WIRED) -- In the time it takes your computer to boot up, you can probably make some toast or a cup of tea before the thing is ready to use. In the near future, you might only have enough time to take a sip of that tea or check your watch.

Do you get impatient waiting for your computer to start up? Manufacturers say they're working on that.

Mindful of how frustrating the wait is, makers of PCs' basic input/output systems (BIOS) are working on bringing instant-on computing closer to reality with promises of significantly faster boot time.

"People want PCs to be like their toaster. Push a button and it is ready," says Steve Jones, vice-president and chief scientist of core systems at Phoenix Technologies, one of the biggest BIOS makers.

The BIOS is the first piece of code that a computer runs when it is powered on. Before Windows or Linux can start, the BIOS identifies, tests and gets system devices such as the video display card, the hard disk and other hardware up and running. But running the tests every time the machine powers on can be time consuming.

At Intel's developer conference last month, Phoenix announced that the latest version of its BIOS could boot in just about a second by cutting out redundant checks and creating a smarter version of the firmware . Of course, that still leaves the time that it takes Windows to start up, but Microsoft has been working on that, too, and claims that Windows 7 starts up in about 20 seconds, compared to the 50 seconds or so for Vista.

The faster boot time will help users, says Nathan Brookwood, a research fellow at market research and consulting company Insight 64. But even with Microsoft's improvements, he says, it is still nearly a minute before the user is completely up and running.

"Every software application today wants to go out there and check for the latest version on boot up, which just gets in the way of what you really want to do. And that is check e-mail," he says.

Shrinking this digital annoyance is the new quest for PC makers. For most people, computers today have become as much a consumer electronics product as TVs, cellphones and DVD players. That means, consumers expect the same kind of instant response from their computers are they get from other electronics devices.

"If you pick up a phone, you expect to instantly hear a tone," says Jones. "That's the future for computers, too."

Jones says the 'I am ready for use' signaling is an important psychological factor for consumers. "Bell Labs worked hard on this. They figured if you pick up the phone and didn't hear something within 250 milliseconds, then you would be pretty uncomfortable with the device," he says.

On PCs, that signaling time has been much longer. Boot-up on PCs is split into two chunks: the BIOS boot up, which is the time taken from pressing the power on button to the time BIOS finishes booting, also known as pre-boot, and the time taken for the operating system to load.

Today, this can take anywhere from a minute to nearly three minutes. And that can feel like eternity for users.

"Lots of users today just press the power button and then grab a cup of coffee," says Brookwood. "If the line at Starbucks isn't too long, the system will be ready by the time they're back."

The BIOS has been part of PCs since the first IBM PC in 1981. The firmware initializes every computer to a point where an operating system can come along and with no knowledge of the machine start running.

"The BIOS is doing a lot more than waking up the machine and handing it a cup of coffee in the morning," says Brian Richardson, senior technical marketing engineer, for American Megatrends Inc., a major BIOS maker."It provides a layer so you can buy a PC, take it home, wipe the configuration clean, change it and do it 100 times a day and your OS will still start up."

Running the hardware checks takes time. About 15 years ago, the BIOS firmware in PCs would take up to two minutes to boot. Finding that customers were becoming impatient with the boot times, PC makers started pressing for PCs to be more like appliances with their ability to be switched on instantly.

"Electronics are not supposed to warm up anymore," says Richardson. "So we have been trying to shrink the time it takes to get the machine ready."

BIOS boot times can vary depending on configuration of the PC: More memory and more cards mean it will take longer. Increasingly, operating systems, such as Microsoft's Windows, run initial checkups on boot to verify system details and ensure the most updated versions of the software is loaded. In other words, the OS is doing some of the work that the BIOS traditionally has done.

"Effectively what BIOS makers are saying is that if the OS is not going to believe us anyway, why bother?" says Brookwood.

That's why PC makers are pinning their hopes on a new standard called Unified Extensible Firmware Interface. UEFI hopes to improve the intelligence of the BIOS so it doesn't have to perform all checks every time the computer is powered on. Ultimately, the idea is to run fewer initializations as the computer boots.

Phoenix and AMI say there are some machines already whose BIOS is based on the UEFI standard for quicker boot but it will be late next year before a majority of PCs have it. And unlike the BIOS, which is tied to Intel's x86 processor architecture, UEFI will not be specific to any processor architecture.

Microsoft's upcoming Windows 7 operating system has also laid out some criteria for PC manufacturers to get hardware aligned in a way that they can meet the company's standards. Microsoft has set a criteria of five seconds for BIOS boot time and 20 seconds for the operating system to boot.

That's still nowhere near the instant-on computing dream and promises of faster BIOS risks setting unrealistic expectations among consumers, says Brookwood.

There's a way to get instant-on. It's called the sleep mode.

"People assume they get instant-on with their cellphones but no one reboots their cellphone everyday," says Richardson. "So one form of instant-on is never to turn it off."

Another route to quick boot is to do what Dell has done with its latest notebook. Dell's newly launched Latitude Z offers instant boot to check e-mail, calendar, contacts and the web as part of a mode called 'Latitude On.' In it the PC boots from a special chipset running an ARM processor, the same kind of CPU that powers most cellphones, and a slimmed down version of the Linux operating system.

The Latitude On mode comes with its own power on/off button. Users can click on an adjacent power button to switch to Windows OS. That gives consumers options, says Robert Thomson, product manager for Latitude Z at Dell. "When you directly go to the Latitude On mode, you never bring up the main operating system," he says "And when you turn it off, it goes into the suspend mode, which is not like that of Vista or XP but more like what you see in cellphones."

At $2000, the Latitude Z laptop is a pricey answer to the problem of a two-minute boot up time for PCs. And it doesn't give users access to all features and programs that run on Windows OS such as Microsoft Word or Power Point.

That's why, Brookwood advocates just staying away from the power off button as much as you can.

"Most systems today have the ability to go to sleep as opposed to being turned off," says Brookwood. "Too many users don't understand that."

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2009 Wired.com.

@highlight

Computer makers are working on bringing instant-on computing closer to reality

@highlight

Makers of PCs' basic input/output systems (BIOS) promise much faster boot times

@highlight

One maker says its latest version of BIOS can boot in just about a second

@highlight

Consumers now expect instant response from many of their electronics devices