(CNN) -- On Wednesday night, an estimated 50 million Americans will watch the first presidential debate live, as President Barack Obama and GOP nominee Mitt Romney face off for 90 minutes in Denver.

The odds are that many of those watching will have more than their TVs on as they do so: Millions are also likely to be glancing at their laptops or mobile phones, scanning the live conversation about the debates that will unfold over social networks and chiming in with their own comments.

But while this burst of online chatter will undoubtedly affect the coverage and analysis of the debates, the bipartisan Commission on Presidential Debates has, unfortunately, taken only the most modest of steps to channel all of this public participation into something more meaningful than a digital water-cooler conversation.

Despite all kinds of interesting experiments during the primaries, including questions from the audience via Twitter and inviting real-time feedback that moderators occasionally inserted into the live debate conversation, the commission is rolling out a quasi-interactive online tool that is bound to leave the public wanting much more.

Opinion: Debate advice -- Obama, light a cig; Romney, throw deep

A week ago, the debate commission announced "The Voice Of...," a digital platform that will be deployed on special landing pages hosted by Google, Yahoo and AOL to "give people throughout the country the opportunity to share their voice." Now, a day before the first debate, I've gotten a peek at the dashboard they're delivering, from the Yahoo page that has just gone live (the others are still placeholders).

"The Voice Of" landing page offers three options: explore the issues, voice your view and watch the debates. Of those, the second choice is the most intriguing, because it gives participants the ability to not just say where they stand on topics like health care, energy, regulation, education, foreign affairs, terrorism, jobs, taxes and federal spending but to then see how they compare with other participants in the aggregate.

A dynamic counter will then also show how many people have "shared their voice."

This is very nice, and it will certainly be interesting to see how the live debate affects the results on "The Voice Of..." dashboards. But it barely scratches the surface of what the Internet could do to open up the debates, engage the public and allow for a more robust and accountable discussion of key issues by the candidates.

It's kind of like if the debate commission got itself a synthesizer but just decided to use it to play "Chopsticks." To most people, "sharing your voice" means actually getting a sense that you are being listened to. Otherwise, what is the point of having a voice?

Unlike broadcast television, the Internet is an arena of abundance. You don't need to speak in soundbites online or conduct pnly one-way, top-down conversations.

Opinion: How will debates sway the undecideds?

Instead of just creating an online playpen for a parallel but essentially disconnected national conversation about the debates, the commission could have built on work done during the primaries to capture and reflect public responses to the actual candidate responses, in real time. Or, as McCurry and Fahrenkopf promised in a little-noticed news release in July, they could also be using the Internet to enable the public to "share their input with the debate moderators in advance of the debates."

There's still time for the commission to rethink this approach, but I'm not holding my breath. After all, the dirty little secret about the Commission on Presidential Debates is that is essentially a creature of the two major parties that views its job as managing an orderly joint television appearance that both major presidential campaigns will agree to.

The real details of how these debates are run are actually hammered out in secret negotiations between top lawyers from both sides, as George Farah of the advocacy group OpenDebates.org has documented in detail.

A whistle-blower leaked him the 2004 contract between the Bush and Kerry campaigns that showed that both sides had agreed that the two men would not ask each other direct questions, for example. In the town-hall-style debate, they also agreed that "Audience members shall not ask follow-up questions or otherwise participate in the extended discussion, and the audience members' microphone shall be turned off after he or she completes asking the question."

If the presidential campaigns can go so far as to prohibit a live audience member in a town-hall-style debate from even asking a follow-up question, which is something that would happen naturally if it was a genuine town hall, then it's understandable why the commission's approach to the Internet is so compartmentalized and limited.

This is a shame. But as a new generation of Americans who use social media naturally enters public life, this artificial wall between the voters and our would-be leaders will eventually come down.

Opinion: Candidates, stop vying to be debate underdog

The opinions expressed in this article are solely those of Micah Sifry.

@highlight

Wednesday's presidential debate will feature limited online interaction

@highlight

Commission on Presidential Debates created "The Voice Of ..." for viewers

@highlight

Tool lets users "share their voice" but not with candidates