(CNN) -- In a few breathtaking weeks, the winds of change whipped from Tunisia east to Egypt and Jordan, bringing down two regimes and putting the third on notice that it must make democratic changes.

Now analysts, and a world suddenly focused on the region, are wondering whether those winds will continue blowing east into Iran and bring real democratic change or, instead, amount to only a whisper.

A year and a half after the Iranian regime brutally suppressed the so-called Green Movement, a new test of its openness to reform and patience may come Monday.

The government -- which Friday said the toppling of President Hosni Mubarak in Egypt "joyfully" coincided with the anniversary of Iran's 1979 Islamic Revolution -- has rounded up activists after Iran's two leading opposition figures called for a rally Monday in support of the uprisings in North Africa and the Middle East.

From all appearances, the regime is not about to loosen its grip.

And, unlike Mubarak, it won't be caught off-guard by the zeal of protesters.

The Obama White House and some observers say Iran may not be as confident as it appears about demonstrations.

"They are scared," press secretary Robert Gibbs said Friday hours after Mubarak stepped down. "That's why they threatened to kill anybody that tries to do this. That's why they have shut off all measure of communication."

Iranian authorities on Wednesday warned against any attempt by the opposition movement to hold the rally, according to the state-run Islamic Republic News Agency. It was unclear whether people will take to the streets, anyway.

"We definitely see them as enemies of the revolution and spies, and we will confront them with force," Revolutionary Guard Cmdr. Hossein Hamedani told IRNA.

The Iranian regime on Friday celebrated the 1979 revolution that dethroned the shah.

Opposition leaders Mehdi Karroubi and Mir Hossein Moussavi asked that the rally take place in Tehran's Azadi Square, the site of mass protests by Iran's opposition movement after the disputed 2009 presidential elections.

The International Campaign for Human Rights in Iran, based in the United States, called Friday for an end to restrictions on the movements of Karroubi and Moussavi.

"The [Iranian] government is doing all it can to intimidate Iranians and deny their right to peaceful assembly," the U.S.-based group said in a statement. "With recent events in Egypt, we see another round of repression in Iran aimed at silencing a people frustrated and dissatisfied by the denial of their human rights."

Observers point to an interesting synergy between protests in Iran and Egypt. They are waiting to see if what's transpired in Egypt will ignite a substantial renewal of protests in Iran.

"I think that's a very substantial possibility," Joshua Muravchik, a fellow at the Johns Hopkins School of Advanced International Studies, told CNN Friday. "I think that the Green Movement in part inspired what has happened in Egypt. Obviously, Tunisia is the most recent inspiration."

"In June 2009, when the Green Movement emerged, the internet was full of chatter by Egyptians sort of beating their breast saying, 'Why are we so lame? Look at that: a million Iranians out on the street standing up to their government. Why can't we do that?' "

"And that sort of stuck with them [Egyptians], I believe," said Muravchik. "They kept having these small demonstrations and somehow it finally started to gather momentum and the snowball turned quickly into an avalanche."

"There's no guarantee though that it will work in the reverse direction," he said, referring to Iran.

The disputed 2009 presidential election sparked widespread outrage within the Islamic republic, thrusting the depths of Iranian society into the global spotlight and inciting violence that hadn't been seen in decades.

Iran quelled the demonstrations with a brutal crackdown against the peaceful street protests and the arrests of hundreds of activists, reformists and opposition figures. A diverse opposition movement -- headed by reform candidates Moussavi and Karroubi -- grew into today's Green Movement, protesting for social justice, freedom and democracy.

Experts interviewed by CNN said they believe Jordan, Bahrain and Yemen will likely see significant democratic changes before Iran, and each face different circumstances.

The United States on Friday slammed Iran's "hypocrisy" for arresting opposition figures and the blocking of world media outlets and websites.

"For all of its empty talk about Egypt, the government of Iran should allow the Iranian people the same universal right to peacefully assemble, demonstrate and communicate in Tehran that the people are exercising in Cairo," National Security Council spokesman Tommy Vietor said.

Iranian leaders praised the Egyptian and Tunisian uprisings and said they were reminiscent of the 1979 Iranian revolution that toppled the shah and ushered in a hard-line and theocratic Islamic republic.

Abbas Milani, director of Iranian Studies at Stanford University, said the Middle East is at a "crucial tipping point."

If democratic voices and a government prevail in Egypt, he told CNN, Iran will feel an uptick in internal pressure to reform.

But, he and others said, there is a singular difference between Egypt and Iran.

The Egyptian military, while key to power in the country, did not clash with its citizens.

Iran's Revolutionary Guard Corps (IRGC) was established after the Islamic Revolution to defend the regime against all threats. The IRGC and its "thugs" have repressed Iranians, Milani said.

The Iranian military is not as well equipped and as politically oriented as the IRGC and played little, if any, part in the 2009 crackdown.

"I think they knew the military could not be depended upon" because they might side with protesters, Milani said of the Iranian government.

The IRGC has "expanded far beyond its original mandate," according to the Council on Foreign Relations, a U.S. foreign policy research center.

"Today the guard has evolved into a socio-military-political-economic force with influence reaching deep into Iran's power structure," the CFR says, noting that several current and former IRGC members have been appointed to positions as ambassadors, mayors, undersecretaries, provincial governors and cabinet ministers.

Mohamad Bazzi, adjunct senior fellow for Middle Eastern Studies at the Council on Foreign Relations, said the IRGC will stand behind President Mahmoud Ahmadinejad, who helped consolidate their influence.

And Supreme Leader Ayatollah Ali Khamenei has shown no signs of abandoning Ahmadinejad, Bazzi said.

Milani doesn't expect the Iranian regime to allow large protests, but he believes "major changes" and an "unstoppable democratic wind" eventually will come to the republic. Iran also must address significant economic problems, he added.

"The Iranian society has profoundly changed,"he said. "The regime has not."

Ali Alfoneh, a resident fellow at the conservative but non-partisan American Enterprise Institute, said he doesn't expect to see major reforms in Iran, at least in the short term, but he believes dissidents were heartened by the Egyptian revolution.

"The Green Movement was almost dead and it has become energized," he told CNN Friday.

The reform efforts will succeed if some principal players in the regime become sympathetic, he said. In Egypt, armed forces helped bring about Mubarak's downfall. That won't likely happen in Iran, Alfoneh said.

"Revolutions take defections," Alfoneh said.

Rapid changes in Egypt and the region make it difficult to predict what might happen in Iran, Bazzi said.

"Surviving the last round [of protests] strengthened the regime's hand," he said. The suppression "put fear in the protesters," he said.

To succeed, the Green Movement will have to reach out to opponents and "to the millions who are silent," said Bazzi, a member of the faculty at New York University.

Real change may not occur until the next presidential election, he said.

Still, the Iranian regime is probably somewhat concerned after what happened in Egypt.

"They are crushing anything that moves," Bazzi said.

Isobel Coleman, a senior fellow for U.S. foreign policy at the Council for Foreign Relations, said one big difference between Iran and Egypt are their economies. Iran has a lot of oil, and it can afford to be "more reactionary and revolutionary."

Meanwhile, the Obama administration will continue to pressure Iran over its nuclear program, human rights and influence with militant organizations that threaten Israel, among other governments.

Former Alaska Gov. Sarah Palin on Friday questioned the White House's handling of Iran.

"Media: ask "Will Obama Admin exert as much 'constructive' pressure on Iranian govt to change & allow freedom -- as they just did for Egypt?," she wrote on her Twitter account.

As the world turns its attention to Iran, especially in the coming days, questions remain on whether governments can change and still hold on to power.

Milani offered his opinion.

"The experience of the last days shows it is almost impossible to ask for democracy and not ask for a regime change," he said.

CNN's Joe Sterling, Samira Simone, Sarah Aarthun and Reza Sayah contributed to this report.

@highlight

Iranian regime congratulates Egyptian revolution

@highlight

But experts ask whether it will allow democratic change

@highlight

White House says Iranian government afraid of any challenges