(CNN) -- Mobile devices are only as good as the networks that serve them. But too often, a mobile user will purchase a new smartphone with a two-year carrier contract, only then to learn that the phone gets lousy reception at home, work or school.

That's why the first -- and obvious -- question consumers should ask themselves when considering a mobile phone is this: Which carriers get the best service in the places where I spend most of my time?

The trouble: This isn't always an easy question to answer.

Yes, carriers all provide coverage maps on their websites that show where their networks are supposed to reach -- theoretically, based on cell phone tower locations. But, in reality, signal strength and network speed can vary substantially due to terrain, structures, the typical amount of data-hungry wireless devices on the network in a given location, and other factors.

When looking for a new carrier, some people attempt to gauge the local quality of a network by finding local customers of various carriers and asking them how many signal bars they generally see on their phones. However, this isn't necessarily reliable, since (as I wrote last year) signal bars are largely meaningless, and they're sometimes misleading.

This is where crowdsourcing can help: Mobile users can work together to create crowdsourced maps that show how well wireless networks really perform in specific locations. Here are two projects that you can actually contribute to, by sending data from an app on your smartphone:

Open Signal Maps

This project, by Staircase3, collects data via an Android application. As you are out and about, this application runs in the background, monitoring the signal strength of your carrier's network. If you have data-sharing turned on for the app (you can turn it off), your data are stripped of identifying information and uploaded to Staircase3's servers. Aggregate user data are displayed on maps on the Open Signal Maps site.

I've installed this app on my Droid Incredible, and it's interesting and useful. In addition to showing the direction and location of the tower my phone is connected to, and signal strength, it allows me to conduct network speed tests. This is important because both signal strength and network speed play important roles in the quality of voice calls and data connections.

According to the Open Signal Maps blog, "A high (signal strength) does not guarantee a good connection. You can be communicating really well with the tower but the tower might be choked up -- it might be dealing with so much network data that you get terrible speeds."

Also, being able to easily conduct your own network speed test can indicate whether your carrier might be "throttling" your data connection, as Verizon recently said it will start doing to the top 5% of its customers by data usage.

The coverage maps on the Open Signal Maps site appear to offer data for major and minor carriers in most regions. They don't offer an iPhone app, because of differences in how the iOS operating system captures signal data. A BlackBerry app is under consideration.

RootMetrics

This project collects data via an iPhone app. Android and BlackBerry apps are coming, the site says.

The maps on the RootMetrics site allow you to compare the performance of AT&T, Verizon, Sprint and T-Mobile networks. Smaller carriers, such as US Cellular or MetroPCS, are not shown. These maps are a bit simpler to interpret than the Open Signal Maps, and they have user-friendly features. For example, they express network speed as the number of seconds it takes to upload or download a song.

RootMetrics users also can view their own personal map with a history of signal strength and network speed.

Both of these projects are most useful in major metro areas where lots of people use smartphones. They encourage people to use their apps in other locations to help make their maps more complete.

Although people who use feature phones (the next step down from smartphones, used by nearly 75% of U.S. mobile users) cannot run the apps for these projects, the data on these maps still might be useful for selecting a local carrier.

In the big picture, projects like these could help hold carriers accountable for the network speeds they advertise, an issue that's likely to become especially contentious in the next few years as carriers struggle to deliver high-speed wireless broadband to a fast-growing number of data-sucking phones.

As Mashable notes, "Finally, we'd have a source of real-world information to counteract the questionable maps we see from wireless providers."

The opinions expressed in this commentary are solely those of Amy Gahran.

@highlight

Company maps of wireless networks can be inaccurate or lacking detail

@highlight

Application designers have turned to crowdsourced data

@highlight

Open Signal maps has an app for Android

@highlight

RootMetrics has an app for iPhone; Android and Blackberry versions coming