Washington (CNN) -- A single leaked document has opened a political Pandora's box over intelligence-gathering in the post 9/11 United States, raising questions about what is being done and how the public perceives it almost 12 years after the terrorist attacks that traumatized the nation.

This week's disclosure of classified government programs to collect information on phone calls, e-mails and Internet use for national security reasons quickly dominated headlines, forcing President Barack Obama to reassure Americans on Friday that "nobody is listening to your telephone calls."

His first public comments on the secret programs revealed by the Guardian and Washington Post touched on a litany of politically volatile issues that have come to shape the Obama presidency early in its second term.

In particular, the president who campaigned in 2007 by criticizing what he called his predecessor's claim of a "false choice" between civil liberties and national security following the September 11, 2001, al Qaeda attacks now argues that such a choice was inevitable.

"You can't have 100% security and also then have 100% privacy and zero inconvenience," Obama said. "We're going to have to make some choices as a society."

The swing in perspective reflects how the United States has changed since 9/11, when the attacks on New York and Washington that killed almost 3,000 people traumatized a nation where many believed global terror couldn't threaten the homeland.

How does it affect me?

Ensuing security efforts by President George W. Bush's administration included the wars in Afghanistan and Iraq as well as tougher policies such as torturing suspects.

In the anti-terrorism fervor of the nation, Congress easily passed the Patriot Act sought by the Bush administration in 2001 to expand domestic spying despite opposition by civil liberties groups.

Some provisions of the Patriot Act were ruled unconstitutional and Congress reauthorized a modified version five years later. Obama, then a first-term senator from Illinois, voted for the revised measure after taking part in mostly unsuccessful efforts to further strengthen civil liberties provisions.

As president in 2011, Obama signed another reauthorization of some Patriot Act provisions that allow the clandestine operations made public this week.

On Friday, the president argued that while classified, the programs were known to Congress and contained effective oversight from legislators and federal courts.

He rejected criticism from both the far left and far right of the political spectrum that the data mining of phone records and monitoring of foreign e-mail and Internet use overstepped constitutional bounds, but welcomed renewed public debate on the shadowy issue.

Damage assessment over U.S. intelligence-gathering leaks

"In the abstract, you can complain about Big Brother or how this is a potential program run amok, but when you actually look at the details, then I think we've struck the right balance," Obama concluded.

Leaders of intelligence committees in the House and Senate have publicly backed the secret programs, saying they helped authorities prevent terrorist attacks.

Others in Congress argued the secret information-gathering goes too far.

"I think that we've overreached," Sen. Mark Udall, a Colorado Democrat who has long pushed for greater transparency in the government's counter-terror efforts, told CNN. "I think that we ought to have this discussion and we can find the right balance. But if the people don't know, how do you have the discussion?"

Jameel Jaffer, deputy legal director of the American Civil Liberties Union, also said people have to know what liberties are at stake before they can effectively debate whether the government programs are right or wrong.

Privacy's already dead

"At some point we have to ask that question, what are you willing to give up?" Jaffer told CNN. "Before you ask it, you have to have some information about what is being given up. Too much of it is secret."

A leaked court order published by the Guardian on Wednesday shed the first light on the extent of the government monitoring of information.

Subsequent revelations confirmed by the government disclosed U.S. intelligence agencies are collecting details on telephone calls and monitoring the online activities of at least some overseas customers of Google, Microsoft, Yahoo, Apple and other providers of popular online services.

Udall and fellow Democratic Sen. Ron Wyden of Oregon warned last year that the American public "would be stunned to learn the details" of how the government was interpreting the Patriot Act.

"As we see it, there is now a significant gap between what most Americans think the law allows and what the government secretly claims the law allows," they wrote in a letter to Attorney General Eric Holder.

To Darrell West, vice president and director of governance studies at the Brookings Institution, the issue touches on shifts in the terrorism threat as well as how to protect against it.

A rise in homegrown terrorism and the corresponding need to look internally for possible threats is "how post 9/11 America has changed," West told CNN on Friday.

In the aftermath of the 9/11attacks, "people favored the Patriot Act because it was going to be directed against terrorists," he said. "It used to be us versus them, but those distinctions have broken down. If you want to target terrorists, there are going to be some Americans in that category."

To handle what he called a "horrible communications challenge" in response to the firestorm created by this week's revelations, West said the Obama administration needs to explain the difference between outright spying such as listening in on phone calls and the more general data mining of the newly disclosed programs.

"Basically everyone's doing that these days, both in government and business," he said of data mining, which essentially is how Facebook tailors advertisements to specific patterns of activity by its members.

However, a lack of clarity in rules and regulations under the Patriot Act magnifies the problem, according to West. For example, he noted that that overseas phone calls from the United States can be subject to greater scrutiny than domestic calls.

Internet laughs about being spied on

"It's actually easy for people to be paranoid, because in some cases there are greater protections, but in other areas there are fewer or no protections," West said.

Another change has been the revolution in social media on the Internet, with people now able to communicate around the world instantly and for free.

Wendy Schiller, a political science professor at Brown University, said the technology advance means a younger generation that is much more experienced and comfortable with publicly sharing details of their lives and also more aware of the threat of terrorism.

"They've lived their whole lives on the Internet; everything they are is public," Schiller told CNN on Friday.

At the same time, she said, "growing up with sort of the threat of random terrorism has created a nation that is more frightened than it used to be and more willing to let the government do what it needs to go to keep them safe."

As a result, Schiller said, the Obama administration has to demonstrate it will follow the law in using information collected in order to generate public support for letting it have that information.

"When it fails, people are less willing to allow you to invade their privacy," she said.

For that reason, this week's disclosures pose a problem for Obama at a time when the Internal Revenue Service has been cited for targeting conservative groups seeking tax-exempt status for extra scrutiny.

Opinion: The great privacy debate

Republican opponents seeking to depict a government gone wild lump together the IRS controversy, the Justice Department's secret subpoenas for journalist phone records and the newly revealed classified programs to attack the president.

"This is an all-out assault on the Constitution," GOP Sen. Rand Paul of Kentucky said Friday in a statement that noted Obama formerly fought to protect civil liberties when he was in the Senate.

To Schiller, Obama's adoption of much of the Bush-era anti-terrorism apparatus was the natural outcome from assuming presidential responsibility for national security.

"Nobody predicted in 2007 that Barack Obama would preside over such a massive spying operation," she said. "You never know until you get in there how many threats are out there against the United States and what you have to do is thwart them."

It all comes down to being the commander in chief, she said, adding: "I don't think there's a president who ever served who would not have done the same thing in the name of security."

Opinion: Where's the evidence that data mining saves lives?

CNN's Dana Bash contributed to this report.

@highlight

President Obama defends secret programs in the face of questions, criticism

@highlight

Obama's adoption of Bush-era security programs is a shift from his Senate days

@highlight

Analyst: Increased homegrown terrorism changes American views of the Patriot Act

@highlight

Critics say debating the issue requires more details of what the government is doing