(CNNGo) -- For most of us, a train journey means a sleepy-eyed commute to work. For trainiacs, they're another entry in the little black book.

But for a lucky few, a rail journey is an expedition through cultures and across lands, providing an experience that's equaled by no other means of transport.

Here are 10 of the best.

1. Eastern & Oriental Express

Thailand, Malaysia and Singapore

Sure, you could fly between Bangkok and Singapore in a couple of hours, but you'd miss this Agatha Christie-like journey with an Oriental twist through the heart of the Malay Peninsula.

Sister train to Europe's Venice Simplon Orient-Express, an open-air observation car allows heady aromas of the Orient to waft onboard. Accompanied by the tinkle of ivory, the Piano Bar is the social hub where tall Singapore Slings garnished with fresh fruit are de rigeur.

Upper and lower berths and en suite bathrooms complete the picture in three cabin configurations: Pullman, State and Presidential.

Boarding: Singapore or Bangkok.

Cost: Pullman Cabin US$3,070; Presidential Suite US$6,130.http://www.orient-express.com/

Also on CNNGo: Thailand by rail on the Orient-Express

2. Hiram Bingham

Peru

Hiram Bingham was an American historian credited with bringing the ancient Inca site of Machu Picchu to world attention.

Ascending almost 2,500 meters above sea level to the ancient Peruvian ruins, the Orient-Express train that bears his name is one of the shortest luxury trains in the world. Heavily geared towards gastronomy during the four hours it takes to climb heavenwards through the spectacular Andes mountains, this is the easy way to tackle the Inca Trail.

Don't forget to take your party frock for the cocktail party on the return evening journey.

Boarding: Poroy or Machu Pichu.

Cost: US$588 round-trip. http://www.orient-express.com/

Also on CNNGo: 10 trips for every type of traveler

3. Southern Spirit

Australia

With just a handful of journeys scheduled each summer, The Southern Spirit traverses four states through southeastern Australia's Outback.

More a rail cruise than a point-to-point journey, daily whistle-stop tours set the schedule, allowing passengers to explore regional Australia. Highlights include Byron Bay, the Hunter Valley vineyards along with free-range Taronga Western Plains Zoo at Dubbo.

Luxuriously styled, guests need only decide the level of elegance required, in either Gold or Platinum Class cabins. Private carriages also available for charter.

Boarding: Adelaide or Brisbane.

Cost: Depends on route, but an example: US$4,455 for Gold Class Adelaide-Brisbane. http://www.thesouthernspirit.com.au/site/southern_spirit.jsp

Also on CNNGo: Shanghai-Beijing train breaks world speed record

4. Venice Simplon Orient-Express

Europe

Wood burning stoves and etched glass panels onboard evoke a time of Parisian art deco sophistication from the Roaring 1920s.

No shrinking violet, once author Agatha Christie's detective Hercule Poirot stepped aboard through her pages, the Orient- Express' fame was assured. Shared bathroom facilities take the gloss off an otherwise glamorous train whose inaugural journey deposited travelers in what was once Europe's wealthiest city, known then as Constantinople.

Today, Istanbul is one of many destinations on varied elegant itineraries throughout Europe.

Boarding: Various cities throughout Europe.

Cost: Varies. Between US$1,230 (one night, Paris-London) and US$12,070 (five nights, Paris-Istanbul).

http://www.orient-express.com/

Also on CNNGo: Tokyo finally gets a high-speed airport train

5. Indian Pacific

Australia

From coast to coast across some of Australia's most remote and uninhabited countryside, the Indian Pacific is named after the two oceans bookending the journey.

One of the few great train journeys catering to all budgets, comfort level varies according to the depth of your pockets, from airline-type seats (though with significantly more leg and shoulder room) through to sumptuous Gold cabins. Kangaroo-spotting trackside at dawn and dusk followed by blazing burnt orange sunsets keep passengers entertained over almost 4,500 kilometers of virtually non-stop travel.

Boarding: Sydney or Perth.

Cost: Daynighter Seat US$810; Gold Service Cabin US$2,240 (YHA discounts available). http://www.gsr.com.au/site/home.jsp

Also on CNNGo: 8 spectacular driving adventures

6. The Canadian

Canada

With such civilized amenities as free onboard Wi-Fi, VIARail knows how to entertain its customers when they tire of the dramatic landscape outside.

Over the Rocky Mountains, down onto the prairies and into water sodden lakes district over four days, The Canadian offers wild landscapes and wildlife aplenty. Keep an eye out through double glazed windows for bears and beavers trackside.

Economy Seating and Sleeper Touring Berths or Cabins all have shared shower facilities, with Sleeper Cabins the only option if you don't want to share a toilet too.

Boarding: Vancouver or Toronto.

Cost: Economy Seating US$830; Sleeper Berth US$1,435; Sleeper Cabin US$2,160. http://www.viarail.ca/en

Also on CNNGo: The 5 people you meet in hell/an overnight train

7. Trans-Siberian Railway

Russia

The Big Kahuna of rail journeys for the sheer scale of distance traveled, it's possible to do the entire route -- some 9,000 kilometers -- between the Pacific Ocean and St. Petersburg in around 10 days.

Though why would you rush it when journeying through far-flung Russia? Winter travelers would do well to watch the original "Doctor Zhivago" movie (with Omar Sharif) before departure, as this service travels through much of the majestic landscape depicted in the movie. Disembark for a few days to explore the Russian Arctic, the Silk Road or Moscow.

This journey is all about the experience rather than the elegance, so leave the dinner suit at home.

Boarding: Moscow or Vladivostok.

Cost: 1st Class two-berth US$1720; 2nd Class US$875; 3rd Class US$405http://www.realrussia.co.uk/

Also on CNNGo: Police crack down on Tokyo train gropers

8. Glacier Express

Switzerland

Somewhat mis-named given that it takes up to eight hours to travel 270 kilometers, it's rather convenient that the Glacier Express takes so long, as the Alpine scenery is breathtaking.

Some 291 bridges are slung across gorges and valleys between towering mountains. Throw in almost 100 tunnels and you've got a jaw-dropping journey between some of Switzerland's uber luxe health resorts.

Ascending a heady 2,033 meters above sea level, the peak of the mighty Matterhorn competes with other such mammoth mountains that rise over 4,000 meters. Cinderella-type glass roofed carriages help prevent neck strain from all that landscape ogling.

Boarding: Zermatt or St Moritz (Switzerland).

Cost: First Class US$230; Second Class US$140.http://www.glacierexpress.ch/en/Pages/default.aspx

Also on CNNGo: 10 of the world's most dangerous roads

9. Maharajas' Express

India

Classical Indian rail itineraries take travelers deep into India's mystique, allowing one to retreat to private rail opulence when overwhelmed by India's in-your-face pace.

Onboard LCD TV's and Wi-Fi clash rather starkly (pleasingly, for technophobes) with the alluring beauty of historic architecture like the Taj Mahal beyond the train.

Boarding: Delhi.

Cost: Seven-night Classic India Tour from US$6,265 for Deluxe Cabin; US$17,500 for Presidential Suite.http://www.rirtl.com/

Also on CNNGo: Maharajas' Express: Super luxury train voyage, celebrity included

10. Pride of Africa

Africa

Spacious suites (rather than cabins) with their own stocked bar fridge define the accommodation aboard Rovos Rail's Pride of Africa service.

Double beds and modern en suite bathrooms complete with hair dryers ensure grooming standards don't slip while slipping through some of Africa's wild landscapes. It's all rather glamorous in an understated manner for just 72 guests.

Windows that open send rail buffs into delirium on the odd occasion when a steam locomotive takes the lead position. For the time-rich with deep pockets, the 14-day Dar Es Salaam to Cape Town service is the ultimate African adventure.

Boarding: Cape Town (South Africa) or Dar Es Salaam (Tanzania).

Cost: Pullman Suite US$8,900; Royal Suite US$15,950.http://www.rovos.com/

Also on CNNGo: Complete guide to cycling in Hong Kong

© 2011 Cable News Network Turner Broadcasting System, Inc.  All Rights Reserved

@highlight

Although you can visit any of these places by air, a train journey is far more scenic

@highlight

Several different regions offer an Orient-Express ride, familiar to Agatha Christie fans

@highlight

Rides like the Pride of Africa offer a truly luxurious version of  train travel