One of my law professors once told our class: I'd rather be rich and guilty than poor and innocent. Maybe he was right.

In Texas, in the courtroom of Judge Jean Boyd, not only can the wealthy afford top-notch attorneys and experts, they are afforded their very own legal defense. It's called "affluenza."

Ethan Couch is a 16-year-old troubled teen who drove drunk and killed four innocent people. He lost control of his Ford F-350 truck, rolled it and slammed into them as they tried to fix a disabled car on the road's shoulder in a Fort Worth suburb.  One of his seven teen passengers was thrown from the truck and permanently paralyzed. He can only communicate by blinking. Prosecutors had sought the maximum sentence of 20 years in state custody.

In court, paid experts on Couch's behalf argued he suffered from "affluenza" -- a previously made-up diagnosis not even recognized by the American Psychiatric Association -- and that his behavior was excused because of how he was raised.

Opinion: The cure for "affleunza" is prison

The theory was that Couch was not to blame for his actions because his rich parents gave him too much, never set limits for him, and he never learned consequences for his actions. His parents and his family's wealth were to blame, they argued.

The defense is ridiculous. And the judge's decision -- despicable.

Couch was not sentenced to a Texas juvenile detention center. Instead, he was sentenced to 10 years probation and is required to enter into a private counseling center to receive one year of rehab. The posh California facility his attorneys have recommended will reportedly cost his parents $450,000. There are no locks. There are no fences. There is, however, yoga, nutrition courses, horseback riding and cooking classes.

Welcome to Ethan Couch's world. Where the same privilege that justified him killing four people allows him to walk away with virtually no consequences.

The message this case sends about our criminal justice system and personal responsibility is chilling. There really are two systems of justice -- one for the rich, and one for those other people. There really is a double standard.

Related: Affluenza, is it real?

The purpose of juvenile justice is not solely rehabilitation. It's also to teach young people about accountability and consequences so that they won't continue to offend. It's also about punishment when teens kill and hurt others.

Judge Boyd knows this. She heard a case last year where a 14-year-old African-American teen punched someone once; the person tragically died two days later. Judge Boyd ruled that the teen could get his services and counseling while sentencing him to Texas juvenile detention with the possibility of adult prison for up to 10 years. That was for one punch.

Ethan drove his truck 70 mph with a .24 blood alcohol content (three times the legal limit for an adult), killed four people, and got 10 years probation. And yoga classes. The scales of justice are clearly on one side here.

Our juvenile system is full of teens from challenging backgrounds. Many are born to parents who neglected them, abused them or didn't teach them right from wrong, who in some cases fended for themselves at very young ages. But, unlike Ethan Couch, they don't suffer from affluenza. They are poor and, too often, they are black. They're disenfranchised. Off to jail they go. Their backgrounds may offer explanations for their actions, but they don't justify them.  So why should Ethan's?

Judges often use their sentencing to set an example and send a message. If that's the case, wouldn't the best cure for affluenza be to deprive Ethan Couch of his wealth? Humble him. Not give him special treatment in world-class facilities and reinforce the message that he's different and not like the rest of us. Send him to juvenile detention where he can get services, but also protect society by not allowing him the opportunity to kill others.

Justice is not blind in Judge Boyd's courtroom. Ethan is being granted a privileged outcome based on his privileged background. And prosecutors should challenge this sentence as outrageously lenient.

Ethan Couch is not being held accountable. Judge Boyd should be.

@highlight

Faith Jenkins calls judge's decision in the "affluenza" drunk driving case "despicable"

@highlight

Jenkins: Privilege that justified killing four allows him to walk with virtually no consequences

@highlight

Same judge sentenced a 14-year-old African-American teen to 10 years for punch