(CNN) -- The arts are thriving around the Arabian peninsula. From Doha to the smallest state of the United Arab Emirates, museums and galleries are making an ambitious mark on the Middle East's cultural landscape.

On display are not only artistic expressions ranging from the ancient to the contemporary but also a showcase of the ethnic diversity and rich heritage of the region.

In Doha, the capital of Qatar, the Museum of Islamic Art stands on its own man-made island, just off the city's waterfront.

"It's not only about the religion itself, but it talks about the combination of cultures, the people of different ethnic groups all coming together to produce this wonderful art," says Aisha al-Khater, the museum's director.

The museum, which has only been around for five years, has become one of Doha's most popular tourist attractions. The collection inside spans over 14 centuries and includes artifacts such as ceramics, carpets and coins. Even the building is something of a work of art: it was designed by the renowned Chinese American architect I.M. Pei.

Read more: Camel beauty pageant in the UAE

The museum is not just about preserving the past but also a part of Qatar's efforts to rival Paris or New York as a cultural hub. Doha's massive Arab Modern Art Museum and the planned Qatar National Heritage Museum are other examples of venues that have been built there recently.

"Most people think of this as an oil rich country," says Dina Bangdel, director of art history at Virginia Commonwealth University in Qatar. "Both museums, galleries are really saying the opposite. They're saying, 'you know, we have a rich heritage.'"

And it is not just Qatar. From Saudi Arabia to Kuwait, countries across the region are investing big in arts and culture.

Abu Dhabi, the capital of the United Arab Emirates, recently constructed its own branch of the Louvre, due to open in 2015. A branch of the Guggenheim is scheduled to follow.

Its neighbor Dubai holds one of the region's biggest art fairs, as well as international auctions where artwork changes hands for millions of dollars.

Read more: Babylon's slow revival

And the small emirate of Sharjah within the UAE has managed to establish one of the liveliest contemporary art scenes in the region.

At this year's Sharjah Biennale, an art festival held every two years, much of the art focuses on culture, and many pieces are displayed in courtyards.

"Courtyard is a metaphor for a public and yet private space and an architectural space and a place to bring people from different cultures and nationalities," said Hoor Al Qasimi, the president of the Sharjah Art Foundation.

Sharjah's government funds the biennale, as well as the Emirate's well-preserved heritage areas, its authentic bazaars and its 16 museums.

"We have the largest art museum in the Gulf region," says Manal Ataya, the director of the government's Museums Department. "We have the largest Islamic museum in the region, and I think in terms of variety, we definitely have the largest."

Wafaa Bilal, an artist and assistant arts professor at New York University was recently commissioned by a government-sponsored gallery to create an interactive sculpture that celebrates the Arab contribution to optics.

He sees the government making a concerted effort to emphasize art in public spaces. "It looks like it is a very meaningful, deliberate attempt on the part of the government here to make Sharjah the cultural hub of the region," Bilal says. "And you see so much resources and effort put into this because at the end, culture and art, it is really the record of every nation."

Video: White water rafting on Iraq's threatened rivers

Yet, in Sharjah and throughout the region, artists and galleries must still contend with a degree of social conservatism.

While the UAE is relatively liberal among Gulf nations, Sharjah is its most conservative emirate. At the previous biennale, an art installation was taken down following a public outcry over sensitive language in the piece. The director at the time was fired, while the event was accused of censorship.

Al Qassemi says even with incidents like these, the multiple points of view reflect a richness that has developed in the contemporary art world. Also, sometimes it is a matter of law, she says.

"I think with any laws of many countries, there are restrictions in terms of law what you can or can't do, but outside of that I think people are very open to discussion," she says.

This article was previously published referencing the 'Arabian Gulf' which is not in accordance with CNN's style guide.

@highlight

From Saudi Arabia to Kuwait, countries across the region are investing big in arts and culture

@highlight

In Doha, the Museum of Islamic Art stands on its own man-made island

@highlight

Sharjah has managed to establish one of the liveliest contemporary art scenes in the region

@highlight

Throughout the region, artists and galleries must still contend with a degree of social conservatism