(CNN) -- Like her green curtain dress, Scarlett O'Hara may be slightly tattered and worn, but she refuses to become a relic of the past.

The two remain deeply embedded in American popular culture, inspiring references in everything from a Carol Burnett sketch to "RuPaul's Drag Race."

That dress reveals Scarlett's resilience, resourcefulness and survival instinct -- traits that may explain the enduring popularity of Margaret Mitchell's Civil War romance novel and its blockbuster movie adaptation.

The Southern belle and her iconic dress will be at the center of an exhibit opening Tuesday to mark the 75th anniversary of the 1939 film. "The Making of 'Gone With the Wind' " will run through January 4 at the Harry Ransom Center at the University of Texas at Austin.

"The curtain dress is the star of the show. She looks just terrific," exhibition curator Steve Wilson says of the Walter Plunkett design, perhaps the most famous costume in Hollywood history.

World's top 20 museums

In the film, an impoverished Scarlett (Vivien Leigh) has a dress made from her mother's curtains in hopes of finagling $300 for taxes from Rhett Butler. It is one of three original gowns worn by Leigh and two reproductions that will be on display in the exhibition. The Ransom Center raised $30,000 in a 2010 online campaign to preserve the outfits, says Wilson, also the center's curator of film.

'Gone With the Wind' still attracts fans, cash and controversy

Memos from David O. Selznick

The exhibit traces the long, arduous process of how producer David O. Selznick adapted Mitchell's best-seller, offering up more than 300 items, including storyboards, casting call sheets, photos, scripts, screen tests, letters from fans and critics alike, audience preview cards, and, of course, memos from Selznick. The exhibit received "generous support" from Turner Classic Movies, which shares a parent company with CNN.

The Ransom Center archives contain a voluminous collection from the producer, whose sons donated more than 5,000 document boxes of material to the research library and museum in 1980.

"That was his management style," Wilson says of Selznick's famous memos that detail his thinking over the three-plus years he struggled to bring the movie to the screen. "It's good for us."

"The Making of 'Gone With the Wind' " covers the behind-the-scenes drama that included the search for an unknown to play Scarlett, constant script revisions, the comings and goings of directors, concerns over the authenticity of Southern accents, censorship problems, and controversy over the portrayal of African-American characters.

"Race is absolutely at the center of the film," says Coleman Hutchison, associate professor in the Department of English at the University of Texas who was a faculty adviser to the exhibit.

"It's really shaped how people think about the South and the memories of the Civil War and Reconstruction," he says, noting that it's "outdated at best, terribly racist at its worst."

"Its version of history is compromised," he adds.

Opinion: How slavery haunts today's America

Controversies over race, historical accuracy

Selznick faced pressures over racial issues almost from the beginning, receiving letters from people concerned about the depiction of happy and subservient slaves. NAACP official Walter White urged the producer to name an African-American adviser to ensure the film's historical accuracy, but Selznick resisted, feeling he already had too many advisers.

A blistering editorial in The Pittsburgh Courier, a prominent African-American newspaper, criticized the film's script for including the N-word, predicting it would be worse than "The Birth of a Nation."

Facing pressure from the black press, his staff and movie censors, Selznick decided to remove "the hate word," Wilson says.

"If that word had been in the film, we would be so embarrassed and offended by it that we wouldn't be discussing the film today," he says.

Selznick also eliminated references from the movie that were in the novel regarding the Ku Klux Klan -- specifically when Scarlett gets attacked in an area known as Shantytown. In a memo to screenwriter Sidney Howard, he explained that he had "no desire to produce any anti-Negro film."

In spite of those changes, "Gone With the Wind" remains racially problematic for audiences today, says Caroline Frick, another faculty adviser to the exhibit. Still, Frick says she finds it valuable to show the movie to students in her film classes at the University of Texas.

When her students see the racial bigotry "they physically recoil," the assistant professor says. "It's a good reminder."

Frick, an admitted fan of the film since childhood, calls it "a complicated movie" that also deals with gender, class and regionalism as well as the Civil War and race.

"It brings up a little discomfort in a very beautiful Technicolor package."

Universality of Scarlett

Wilson, the exhibition curator, sees hunger, war, migration to the cities and the loss of a connection to land as themes central to the heroine's popularity at the time of the movie's first release.

"The story of the making of 'Gone With the Wind' is the story of the Depression, more than the issue of the Civil War," he says.

"A lot of these issues that concerned Scarlett O'Hara also concerned the public."

He says many of the letters Selznick received came from fans pleading to be cast as Scarlett, not because they wanted to be famous, but because they identified so strongly with her.

"Gone With the Wind" is still considered the top movie moneymaker of all time when adjusted for inflation, and the novel is second in popularity only to the Bible, according to a 2014 Harris Poll.

But it's unclear whether Scarlett will retain her hold over popular audiences in the 21st century. Perhaps time has taken a toll on the character the way it has with the 75-year-old dress that symbolizes her so well.

The dress has "a lot of fading and discoloration on the fabric," says Jill Morena, the Ransom Center's assistant curator for costumes and personal effects.

Morena says it's impossible to know how the dress looked in 1939, explaining the Technicolor process altered its appearance. While it seems almost emerald green in the film, it has an olive hue in person, she says.

She says it would have been too risky to touch up the color so "we decided we weren't going to change it."

"It's a strong visual embodiment of the tenacity of Scarlett," Morena says.

"It still lives in the public's imagination."

'Gone With the Wind' actress Alicia Rhett dies at 98

'Gone With the Wind' actress Ann Rutherford dies

@highlight

Exhibit marks 75th anniversary of making of 1939 movie classic "Gone With the Wind"

@highlight

"The curtain dress is the star of the show," exhibit curator says of original costume on display

@highlight

Divisive in 1930s, portrayal of African-American characters still problematic, professors say

@highlight

"The story of the making of 'Gone With the Wind' is the story of the Depression," curator says