LONDON, England (CNN) -- Top flight golf is a high-stakes, high-stress sport -- but it's not just the pros who are feeling the strain.

Stress can affect golfers of all abilities.

Swede Robert Karlsson returned from a four-month layoff recently with an eye condition that's thought to be stress-related, while England's Ian Poulter defended his decision not to play in the Vivendi Trophy by saying that he wanted to avoid fatigue -- mental as well as physical.

While professional sport is bound to have its pressures, recreational golf is usually regarded as a way to unwind and relieve stress. But it seems that weekend players are having to deal with anxieties of their own.

Victor Thompson, a London-based sports psychologist, told CNN that golf is a much more psychological sport than most.

"It can be particularly stressful because, unlike team sports, you very much have the spotlight on you while you're playing," he said.

"You've got a lot of time between your shots for you to think, time for other people to watch you and time for you to think about what people will think of you if you don't play well."

That doesn't just apply when there's an audience of millions watching on TV -- it's just as true when you're playing at your local municipal course with your friends.

"It can actually be tougher playing against your mates and people you know because they can ridicule you or laugh at you, or you might worry about disappointing them if you're playing on their team," said Thompson.

That would appear to be borne out by a 2004 study on the moods of older recreational golfers. The subjects reported being no happier or calmer after playing golf -- in fact, they reported feeling more angry and depressed.

One of the researchers, Haydn Jarrett, senior lecturer in sport and exercise science at the University of Worcester, told CNN that the study also showed that golfers reported feeling more fatigued and less vigorous after playing golf, as most players walked an average 10.2 km during a game.

Jarrett's study was carried out on "senior" golfers, with an average age of 68, but he said the findings on mood change tied in with other studies carried out on younger recreational golfers.

"Golf does appear to be stressful for recreational players," he told CNN. "If we wanted golfers to enjoy it more fully it might be nice to engage with golfers and bring potential negative moods to their attention."

While those negative feelings probably don't last for long, they can have disastrous effects on your golf.

Thompson says negative thoughts on the golf course can make you tense and frustrated, giving you an adrenaline rush that can affect your swing and timing. As you start dropping shots you can overanalyze your game, which just make things worse.

The secret of dealing with golf stress is to get on top of your thoughts, says Thompson. Rather than thinking in terms of how badly you're playing or what other people will think of you, you need to realize that your emotions are getting the better of you and that anxiety is the problem, not your technique.

So with all that stress, could playing golf actually be bad for you? "If you're beating yourself up emotionally and getting angry that's not very good for your health," said Thompson.

"But it's all a matter of attitude. Somebody might go out and enjoy it, see it as a chance to get away from work, have a nice stroll and catch up with their mates."

And Jarrett has encouraging news when it comes to golf and health. He has carried out unpublished work showing that a round of golf can give a significant reduction in blood pressure.

"My gut feeling is that golf is incredibly positive for health," he told CNN.

"The positives of the distance walked, the heart-rate increase and the blood-pressure suppression will outweigh any negative mood states. But it might be that we need to recognize that mood profiles can go down and mediate against that."

@highlight

Golf is especially stressful, says sports psychologist Victor Thompson

@highlight

Thompson says that it can be even tougher playing with your friends

@highlight

Study shows recreational golfers feel more angry and depressed after playing

@highlight

Stress may be bad for you, but golf can still be good for your health