(CNN) -- The recent ordeal of Meriam Yahia Ibrahim Ishag, a Sudanese mother and wife of an American citizen -- coupled with Iran's continued imprisonment of Saeed Abedini, also an American citizen and a pastor -- should awaken our conscience to one grim and inescapable fact: The persecution of Christians continues.

Charged with leaving Islam to marry a Christian, despite being raised a Christian and remaining one throughout her 27 years, Meriam was sentenced to death last month for apostasy. After an international outcry, she was released, rearrested, and released again, according to the U.S. State Department.

In Sudan and Iran, as well as countries like Saudi Arabia, leaders and movements impose their own extreme interpretations of Islam, while restricting the rights of Christians and other religious minorities.

Elsewhere in the Middle East, mass violence as well as repression arises from such movements. In Iraq and Syria, forces of the Islamic State of Iraq and Syria (ISIS) commit horrific abuses against Christians and others, from torture to murder. In Egypt, scores of churches and other Christian structures were burned by radicals last autumn following President Mohamed Morsy's fall. While Christians faced repression under prior regimes like Hosni Mubarak's, their predicament has worsened in a post-Arab Spring world.

7 terrible countries for Christians

With media attention riveted on the Middle East, it is tempting to assume that persecution against Christians occurs almost exclusively in that region. But assaults against Christians are worldwide, transcending any one regional, ideological, or religious bent. Combating this problem entails a much broader solution.

According to the findings of the U.S. Commission on International Religious Freedom (USCIRF), evidence abounds of persecution elsewhere.

In Myanmar (also known as Burma), with a Buddhist majority and a struggling democracy, ethnic-minority Christians, along with Rohingya Muslims, have faced ongoing abuses. Last year, during military incursions in Kachin state, as many as 60 churches were shelled. Military forces have beaten and arrested Christian leaders and kidnapped church members for forced labor.

In China, the world's most populous nation, Catholics and Protestants refusing to register with the communist dictatorship face arrests and fines, and their churches are shuttered. China's government has issued a directive to "eradicate" unregistered Protestant churches over the next decade, and even registered churches have recently been bulldozed in Zhejiang province.

In Eritrea, a military regime jails up to 3,000 people, mostly evangelical or Pentecostal Christians, on religious grounds. Prisoners have been beaten and tortured. In interviews with USCIRF, released prisoners reported being confined in 20-foot metal shipping containers with extreme temperature fluctuations.

In India, the world's largest democracy, Christians face harassment and violence, especially in states with laws restricting religious conversion from Hinduism.

In Nigeria, the central government fails to protect Christians, as well as Muslims, from Boko Haram terrorism.

In North Korea, a totalitarian tyranny with a cult of personality venerating the ruling Kim family, the government imprisons, tortures, and executes Christians caught transporting Bibles or engaging in missionary endeavors or other banned activities. North Koreans who flee for China and then convert to Christianity are in grave danger when forcibly returned. Punishment includes beatings, torture, forced labor, sexual violence, and forced abortions or infanticide.

In Pakistan, Christians face a government that can imprison them unjustly under blasphemy laws while failing to protect them from attacks or punish their attackers. Last September, suicide bombers launched the worst assault against Christians in Pakistan's history, leaving, according to conservative estimates, at least 80 dead and more than 150 other parishioners wounded at a Peshawar church.

In Vietnam, a communist government suppresses independent Protestants and other groups operating without government approval. The regime seeks to stop their growth through discrimination, violence, and forced renunciations of faith.

Opinion: Extremism fuels abuse of Christians in Mideast

And in a host of post-Soviet countries, Christians in unregistered churches are seriously constrained. In several of these countries, including Uzbekistan, individuals are in prison for belonging to such churches.

Abuses against Christians span the globe.

A key reason is the confluence of two factors. First, there are more than 2 billion Christians in the world. Second, according to a Pew Research study, in one-third of all nations, containing 75% of the world's people, governments either perpetrate or tolerate serious religious freedom abuses. A six-year Pew study found that over six years, Christians were harassed in 151 countries, the largest of any group surveyed. In other words, given their enormous numbers and wide dispersion across nations, as well as the lack of freedom in many nations, it is no surprise how often Christians are persecuted.

Christians are often regarded as alien because some are members of ethnic minorities or are perceived as being identified with Western interests. For despotic governments and religious extremists, Christianity is a dangerous source of competing authority, challenging their claims of absolute supremacy.

The bottom line is that Christians are the proverbial canary in the coal mine. Wherever they are persecuted, the right to religious freedom for all is jeopardized. Wherever they are harassed or jailed, detained or discriminated against, tortured or murdered, governments perpetrate or tolerate abuses against others as well.

The global persecution of Christians remains a serious indictment against governments and cultures for failing to protect a bedrock human right -- one that is enshrined in the 1948 Universal Declaration of Human Rights, which was signed by nearly every nation, and subsequent covenants. We must continue to demand respect for that right, so that Sudanese mothers and others can follow the call of conscience and conduct their lives in peace.

@highlight

Robert George: Sudanese mother's ordeal shows Christians still persecuted

@highlight

George: It's wrong to think discrimation against Christians just happens in the Mideast

@highlight

George: Assaults against Christians transcend regional, ideological, or religious bent

@highlight

He says a third of 2 billion Christians live in nations that allow abuse of religious freedom