Princeton, New Jersey (CNN) -- In recent weeks, there have been two important stories developing about the 2012 campaign. On the surface, they have nothing to do directly with Herman Cain, Mitt Romney or Michele Bachmann.

The stories revolve around money. American Crossroads, a political action committee founded by Karl Rove, is gearing up so that it can provide campaign funds to Republican candidates across the nation. The organization is determined to repeat its accomplishments in 2010, just on a much grander scale.

On the other side of the aisle, there have been stories about big bundlers who are raising enormous amounts of money for President Obama's re-election campaign. According to the Huffington Post, Anna Wintour, Jeffrey Katzenberg, Jon Corzine and Harvey Weinstein are among the 100-plus bundlers who have raised more than $50 million for the president. According to the Washington Post, the financial and banking sectors have given President Obama more money than all the Republican candidates combined. Seems like Wall Street is not that scared of a second term.

With all the ups and downs of the last decade, one thing has been constant. Private money continues to flood the political system. As a result of the Supreme Court's decision to eliminate the ban on corporate spending, the problem will only get worse.

The vast amount of private money in American politics causes enormous problems for the nation. There are many problems that money makes it more difficult for the government to resolve. The power of private money, and the enormous influence of the interest groups and individual donors who provide it, prevents government from tackling fundamental issues of the day, including issues where there would otherwise be some agreement between the two parties.

For all the talk about reducing the long-term deficit and rationalizing federal spending, the chances of accomplishing this goal are minimal unless the campaign finance system is repaired. Interest groups in Washington fight hard to defend the status quo.

One of the classic examples of what political scientists called the "iron triangle," â€” the ironclad alliance between interest groups, government agencies and congressional committees in defense of specific programs â€” has been the defense budget.

Since the Cold War, federal dollars have gone to defense contractors who reap huge profits from the production of certain weapons systems. These companies have become integral to the economy of the communities in which their plants located, and they are protected by the legislators who represent those areas as well as Pentagon officials. Agricultural programs are another case where lobbying makes innovations or reductions in spending difficult.

The congressional supercommittee dealing with deficit reduction is spinning its wheels. Indeed, The Hill reported that members of the deficit reduction committee are receiving sizable amounts of contributions from special interest groups, many of which represent sectors (such as health care) that are opposed to what the panel is attempting to accomplish.

Without addressing the political dynamics that have fueled many of today's budgetary problems, it will be difficult for Congress to enact substantial changes, or to make sure that any successful reforms last over time.

A second problem is the power of financial and business interests in Washington. This is a theme that preoccupies both Tea Party and Occupy Wall Street activists. Why did Wall Street receive so much assistance through TARP while homeowners have been allowed to languish? Protesters on the right and left talk about how policies are skewed toward these interests and how average middle-class Americans don't receive the same kind of attention from the nation's leaders.

Business and financial interests achieve their influence in many ways. But their ability to deliver dollars to the campaign chests of candidates is crucial. Donating funds helps to ensure that these interests have a seat at the table. In 2009, as Ron Suskind recounts in his new book, "The Confidence Men," Democrats learned firsthand as the health care industry successfully pushed the administration to eliminate crucial measures that were intended to control costs and save money to pay for expanded insurance. This story has been repeated in a number of policy sectors.

The final problem that money fuels is gridlock. Everyone hates when Congress doesn't seem capable of doing anything. A chronic complaint about Washington is that the parties are so polarized that agreement is not possible. Money is one of the culprits. Political scientists have shown how the money race pushes politicians to seek favor with ideologically oriented interest groups and political action committees who can deliver funds. Legislators need to make sure that the party leadership in each chamber, which maintains centralized control over money through leadership political action committees, will keep the purse strings open. Campaign money makes help certain that the parties are heard.

Without tackling core issues such as campaign finance, gridlock that Americans seem to dislike so much will continue. When he was a candidate, Obama constantly reminded voters about this problem. Now he seems to have become comfortable or resigned to working within the system that he once criticized.

At the height of the struggle over campaign finance reform in 1973, Sen. Hubert Humphrey warned that "it is a cesspool, it is a source of infection for the body politic." One year later Watergate shattered American confidence in the political system. The result was burst of reform that created public finance for presidential campaigns and contribution limits, as well as the Federal Elections Commission. For almost two decades, the system worked relatively well and did produce changes until recently when both parties abandoned it.

Right now there is no scandal comparable to Watergate to move American politicians. With all the attention that we pay to the horse race between Romney, Cain and Perry or the decline in President Obama's approval ratings, the fundamentals receive little attention. The basic ways in which politics works, the underlying sources of political influence and power that will have huge effects on whoever the next president is, are barely an issue. Without reform, the chances that we will see huge shifts in policy to make government more efficient and more effective are slim.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: The flood of money into U.S. politics is a scandal

@highlight

He says money from powerful interests prevents rational choices on budget cutting

@highlight

It helps explain why Wall Street got bailed out, and U.S. homeowners didn't, he says