U.S. minorities now represent more than half of America's population under the age of 1, the Census Bureau said, a historic demographic milestone with profound political, economic and social implications.

The bureau -- defining a minority as anyone who is not "single race white" and "not Hispanic" -- released estimates on Thursday showing that 50.4% of children younger than 1 were minorities as of July 1, 2011, up from 49.5% from the 2010 Census taken in April 2010.

"2011 is the first time the population of infants under age 1 is majority minority," said Robert Bernstein, a Census Bureau spokesman.

The latest statistics -- which also count the national population younger than 5 as 49.7% minority in 2011, an increase from 49% in 2010 -- portend a future of a more racially diverse America, with new and growing populations playing more important roles politically and economically in years to come, analysts say.

Like other analysts, Kenneth M. Johnson, senior demographer at the Carsey Institute and professor of sociology at the University of New Hampshire, isn't surprised at the trend.

"We've known it was going to come, but the question was what year the "crossover point" would happen, he said.

"Little children are in the vanguard of all this change coming to America." he said.

Johnson sees the trend as an opportunity for more Americans to embrace diversity. More children are going to be exposed to a more diverse group of classmates, and that will affect attitudes and outlook.

The changes are going to be felt first in hospitals, as well as schools, where an increasingly diverse child population has to be absorbed. Hospitals would need interpreters and translators, for example, Johnson said. English as a second language would be an educational priority.

While many regions such as Atlanta have a diverse population, other regions lack racial and ethnic variety and will have to deal with a new kind of population, he said. In declining rural counties, he said, an influx of groups like Hispanics would serve to renew communities and changes would ensue.

"For a country that's aging, we need young workers, and the growth of the minority population will contribute to the size of the young adult workforce," he said. "This is breathing new life into the United States."

Jeff Passell, senior demographer at the Pew Hispanic Center, called the Census numbers "a cumulative effect of 35 to 40 years of immigration" bringing large numbers of Latinos, Asians and other immigrants into the United States.

He said the Hispanic population in particular is very young, much more concentrated in child-bearing years, and has a higher fertility rate than the white, non-Hispanic population. Lately, he says, there are a lot more births among native Hispanics in the United States than new Hispanic immigrants, a "cumulative effect" of immigration.

If the trend continues, Passell says several decades from now, possibly in the late 2030s or early 2040s, the U.S. population will become less than 50% non-Hispanic white.

"This is a trend that we can reasonably expect to continue. The factors that determine this have been set into motion, and in demography things tend to change gradually," he said.

There were 114 million minorities in 2011, or 36.6% of the U.S. population, a bump of half a percentage point from 2010. The latest figures count Hispanics as the most populous and fastest growing minority group.

They numbered 52 million in 2011, and their population grew by 3.1% since 2010. The U.S. Hispanic population grew from 16.3% in 2010 to 16.7% in 2011.

"California had the largest Hispanic population of any state on July 1, 2011 (14.4 million), as well as the largest numeric increase within the Hispanic population since April 1, 2010, (346,000)," the Census said.

"New Mexico had the highest percentage of Hispanics at 46.7%. Los Angeles had the largest Hispanic population of any county (4.8 million) in 2011 and the largest numeric increase since 2010 (73,000). Starr County — on the Mexican border in Texas — had the highest share of Hispanics (95.6 percent)."

Asians numbered 18.2 million nationally in 2011, making them the second fastest-growing minority group -- up by 3% since 2010. Figures show that California had the largest Asian population of any state at 5.8 million and the largest increase since 2010 at 131,000.

"Hawaii is our nation's only majority-Asian state, with people of this group comprising 57.1%  of the total population. Los Angeles had the largest Asian population of any county (1.6 million) in 2011, and also the largest numeric increase (16,000) since 2010. At 61.2%, Honolulu had the highest percentage of Asians in the nation," the Census said.

African-Americans are the second largest minority group in the United States at 43.9 million in 2011, an increase of 1.6% from 2010. New York has the largest black population of any state with 3.7 million and Texas has the largest increase from 2010 of 84,000. Cook County, Illinois, which includes Chicago, has the largest black population of any county at 1.3 million. Fulton County, Georgia, which includes Atlanta, has the largest increase since 2010 at 13,000.

The District of Columbia has the highest percentage of blacks at 52.2%. Mississippi has the second-largest at 38%.

America's native population -- labeled "American Indian and Alaska Native population" by the Census -- was about 6.3 million in 2011, up 2.1% from 2010. California had the largest such population at 1,050,000 and the largest increase at 23,000. Alaska had the highest share at 19%. Los Angeles had the largest such population of any county, with 231,000, and the largest increase, 9,000 since 2010.

The population classified as "Native Hawaiian and Other Pacific Islander" was 1.4 million in 2011, up 2.9% since 2010. Hawaii had the largest such population of any state at 359,000 and the highest percentage at 26.1. California had the largest increase since 2010 at 9,000. Honolulu has the largest population of any county at 235,000.  Los Angeles County had the largest increase since 2011 at 2,700.

Of single race non-Hispanic whites, California had the largest population at 15 million. Texas had the largest increase since 2010 at 80,000. Maine had the highest percentage of the non-Hispanic white alone population, 94.3 percent.

Four states and the District of Columbia have predominantly minority populations, Hawaii, at 77%, the District of Columbia at 64.7%, California, at 60.3%, New Mexico, at 59.8%, and Texas, at 55.2%. Minorities comprised the majority population in 11%  of the nation's 3,143 counties.

Michael White, professor of sociology at Brown University, said the rise of minorities fits into a longer-term evolution of the U.S. population, a mosaic that has been adapting to ethnic change since the first Census was recorded in 1790. There have been many groups represented over time, from enslaved and indigenous peoples, those of European stock, and now to a population reflecting the wider world -- truly a "melting pot," he said.

White says it's hard to say how the changes will affect politics and that one can't assume that ethnic patterns will determine voting patterns. Local economic issues, for example, will evolve differently in different states and cities, and there are economic benefits of having a younger population, he said.

"The political dimensions will play out differently," he said. And by the time the babies are old enough to cast ballots, "the United States will be a different place when they are walking into a voting booth."

William Frey, Brookings Institution demographer, sees political challenges for new immigrants and an economy benefiting from their presence. Many Hispanics and Asians are too young to vote or can't cast ballots because they haven't become citizens.

"It's going to take perhaps awhile before the younger people get more engaged in politics. They do have an impact in some places, like swing states, such as Nevada, Colorado and Florida. They can make a difference," he said.

He, too, says that newcomers to the United States bring an energy that invigorates the economic system and an older society.

"I think we're going to just see that the younger part of the population will have a different vibe," he said. "They are sort of needed to help our youthful image and to add to that vitality. They will bring a dimension and element we sorely need."

@highlight

Hispanics are most populous and fastest growing minority group, the Census says

@highlight

Asians are the second-fastest growing minority group, numbers show

@highlight

African-Americans are the second largest minority group, the Census says

@highlight

Four states and the District of Columbia have minority populations over 50%