(CNN) -- As millions of Americans think about how they can do better in 2014 through their New Year resolutions, President Obama might want to make a few of his own.

Although it is true that the president has faced a horrendous political environment -- filled with tea party Republicans intent on obstructing every proposal and media that are often too willing to report dubious facts -- Obama has not made his situation much easier for himself.

In a number of areas, he might think about strategies that can improve his political standing and put him in a better position for the political fights over immigration, the budget, climate change and foreign policy that loom ahead.

Treat your Democrats well: President Obama has not taken enough care of Democrats on Capitol Hill. Throughout the year, Democrats have continued to express frustration with the White House for putting them into extraordinarily difficult political situations and sometimes leaving them to stand alone as they face the fallout.

Senate Majority Leader Harry Reid was reportedly angry with the president for failing to give his caucus any credit for helping him to get out of the jam with the health care website. "I did communicate to him," Reid told The Hill, "that there have been things done by the White House that improved the health care bill, and those fixes were suggested originally by my senators, and they got no credit for it. I thought that was improper."

Last week, House Democrat John Lewis criticized the administration for not listening to the advice of civil rights leaders regarding appointments for the federal bench in Georgia. This story fits a familiar pattern that has created ongoing tensions with Capitol Hill since 2009.

Obama needs to remember that his fate is closely tied to the Democrats on Capitol Hill -- Reid and House Minority Leader Nancy Pelosi should be his best friends -- and he needs them to help him in his struggles with Republicans.

Sweat the small stuff: There is considerable evidence that President Obama seems uninterested with detail. His major concern is in the big picture, trying to find ways to achieve his long-term policy goals, whether that be a diplomatic solution to the nuclear buildup in the Middle East or achieving health care reform, without as much interest in the nitty-gritty of how these policies will happen.

It is true that any president needs to keep his eye on the big picture in order to avoid the fate of President Jimmy Carter, who became so mired in the minutiae of policy that he lost his ability to lead the nation through crisis. But as former Secretary of State Colin Powell says in his famous presentation about leadership, "Check the small things. The devil is in the details; sometimes the solution to a sticky problem, too. Don't sweat the small stuff, but don't ignore it, either."

The dangers of President Obama's approach became apparent with the rollout of health care reform, in which the president and his team were not on top of the details of implementation in the weeks leading up to the launch of the website, and they allowed technical mistakes to turn into a huge political fiasco.

The continual delays over implementing other parts of the program have also caused huge embarrassment and offered fodder to his political enemies. The President can't afford for this to happen again. He will need to hold more of his staff accountable for these kinds of mistakes, bringing in some fresh voices, as he has done with John Podesta, and getting rid of those who have made huge mistakes. He needs to realize that making sure that the small stuff is in order is essential to big achievements.

Control the conversation: For a president who is as professorial as Barack Obama, it is difficult to accept the harsh reality of the media world within which Washington operates.

It is an environment where spurious information goes viral and political rhetoric appears as fact. The blogosphere makes it difficult for producers and editors to control the flow of information, while the plethora of partisan reporting and commentary makes it nearly impossible for consumers of the news to separate fact from fiction.

President Obama's outlook has been to sit back and allow the truth to find its way to the surface. He has maintained a steadfast determination that, given the facts, Americans will reach the right decision.

But in our political world, this just doesn't happen. The result has been that his opponents have been remarkably effective at shaping the national dialogue over public policy. President Obama has been forced to constantly play defense, to explain his failures and to dig himself out of holes rather than spending time talking about what he has done and what else he hopes to accomplish.

Re-energize the grass roots: When Obama started on his road to the White House, he thrived on the energy and support he received from average Americans who were inspired by his call for a new kind of politics and his determination to have a campaign that was built from the bottom up. The local networks of campaign supporters spread the word about who this candidate was while raising money and motivating voters to line up behind his campaign.

The enthusiasm and energy of his grass-roots supporters have grown weak. Many of his supporters have become disillusioned with a president who seemed far too much like other politicians and who abandoned some of his key promises in areas like national security. The revelations about the NSA surveillance program were a huge blow to these constituencies.

This is most notable with younger Americans, once enamored with the president but now disillusioned by broken promises on issues such as civil liberties and a still-difficult economy. With the 2014 midterms as a focal point, the President should get back to communicating with grass-roots Americans and shaping the agenda of his final years in office based on some of the issues they feel have been sidetracked in the past few years.

Focus, focus, focus: Over the past year, the President has frequently moved from one subject to another without a clear rhyme or reason. One of the few areas where a president has control is over his or her own agenda.

During the President's first few years, he had a laser-like focus on health care, financial reform and the economy. On foreign policy, he spoke to the world about improving America's relations overseas. That kind of focus, however, has largely disappeared. President Obama has delivered some important speeches, such as his address on inequality, but quickly moved on to other issues rather than follow through.

Throughout the battles over the budget, the president turned from one crisis to the next without stopping and really putting forth a clear vision and set of priorities in response to the austerity zeal of the GOP. He has allowed his opponents to define the agenda, as opposed to the White House.

Even when Secretary of State John Kerry moved aggressively to put into place diplomatic solutions to nuclear threats, President Obama seemed to follow his lead rather than outline this as a priority in foreign affairs.

Obama would do well to stick to a few subjects, to articulate the direction he hopes to take the nation and move forward methodically to make sure they come to fruition.

Resolutions are easy to make but difficult to follow. In the world of politics, the stakes of sticking with those promises are big. Given the tremendous difficulties that this president has faced and the dire approval ratings he is seeing, it is time for President Obama to double down and make certain that he does everything possible to put himself in a position to strengthen his presidency, his party and his nation in his final years in the White House.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: President Obama should adopt resolutions for 2014

@highlight

He says the White House should work more closely in coordination with Hill Democrats

@highlight

Obama should focus on setting agenda, details of policy and quality of staff work, he says

@highlight

Zelizer: Obama should aim to recapture enthusiasm he stirred in grass roots