(CNN) -- The White House asked Wednesday that a federal shield law be reintroduced in the Senate, a move that could affect the way the Justice Department conducts investigations into leaks of secret government information.

Administration officials told CNN that the request was made to Sen. Charles Schumer, D-New York. It comes two days after the Associated Press announced that the Justice Department had seized some of its phone records as part of a national security leak investigation.

"This kind of law would balance national security needs against the public's right to the free flow of information," Schumer said in a statement. "At minimum, our bill would have ensured a fairer, more deliberate process in this case."

The records covered a two-month period beginning in May 2012 and included more than 20 AP lines, including personal phones and AP phone numbers in New York; Hartford, Connecticut; and Washington.

"A shield law would keep lazy prosecutors from going after reporters' notes and phone records and compel them to actually conduct investigations that do not step all over the First Amendment," Teri Hayt, the First Amendment chairwoman of the Associated Press Media Editors, said in a statement issued before the White House announcement.

Federal shield legislation -- which would protect journalists from revealing their sources and beef up protections for reporters and their sources caught up in such probes -- passed the Judiciary Committee in 2009 but never advanced.

The AP phone records controversy pits First Amendment advocates against an administration that has made unprecedented moves to end the leaking of government secrets in the name of national security.

"If there were a shield law and it said that the government has to let you know when it's subpoenaing your phone records, your hotel records or any other records that you don't have in your hands, that would have been a big help," said Chuck Tobin, chairman of the media law department at the law firm of Holland & Knight in Washington, who has represented the AP and CNN in the past. His comments too were made before the White House announcement.

Related: Justice Department defends itself in AP snooping scandal

"They kept that information from journalists and went to the phone company to prevent giving journalists the chance to fight in court," Tobin said in a telephone interview. "That kind of end-run could be prevented if there were a federal shield law that required notice when the government goes after records from third parties."

He added, "It's colossally troubling to everybody, and should be, that the government can come between journalists and their sources in this kind of an unfocused and unbridled fashion."

Typically, he said, the government negotiates with the news media to ensure that any subpoena is tailored as narrowly as possible. But in this instance, "the government issued what appears to be an overbroad subpoena," skipping the step of notifying the journalists ahead of time, which would have given them the opportunity to challenge it.

"And they did it on purpose," he said. "They did not want to give the journalists an opportunity to try to get this narrowed or quashed."

Justice Department regulations allow the government to seize records only in the case of "a substantial threat to the integrity of the investigation," Tobin said, adding that that did not appear to have been the case with the AP probe.

"It's hard to imagine that there was a substantial threat to an investigation of past events that would warrant not giving AP a chance to go to court on this issue," he said. "That's deeply troubling."

The wire service said the investigation into its records appears related to an AP story about a thwarted terrorist plot in Yemen to bomb an airplane bound for the United States.

"These records potentially reveal communications with confidential sources across all of the newsgathering activities undertaken by the AP during a two-month period, provide a road map to AP's newsgathering operations, and disclose information about AP's activities and operations that the government has no conceivable right to know," said Gary Pruitt, AP's president and CEO, in a letter of protest sent Monday to Attorney General Eric Holder.

Pruitt said Tuesday in a statement that the news organization had taken extraordinary measures to placate federal authorities, delaying publication of the story, at their request, "until the government assured us that the national security concerns had passed."

At the time of publication, the administration itself was preparing to announce that the bomb plot had been foiled, he said. "The White House had said there was no credible threat to the American people in May of 2012. The AP story suggested otherwise, and we felt that was important information and the public deserved to know it."

But Holder told reporters on Tuesday that the article that prompted the investigation was one of "the top two or three most serious leaks that I've ever seen."

He testified Wednesday to the House Judiciary Committee that he could not comment on the matter because he had recused himself from the case to avoid any appearance of conflict of interest and that the matter was being handled by a deputy.

Forty states have passed shield laws and nine others have de facto shield laws created by court decisions (Wyoming is the outlier), according to the Reporters Committee for Freedom of the Press, which offers legal advice and other resources to journalists. But the state laws confer no protection from federal actions like the one reported by the wire service.

In the past decade, Congress has come close to passing a federal shield law. But support for the measure shrank during the WikiLeaks scandal in which thousands of classified U.S. diplomatic cables were released.

Such a law could keep federal authorities from employing what some media lawyers decry as overly aggressive tactics.

The issue has been muddied as the Internet has blurred the line between journalist and private citizen.

Under a federal shield law introduced in 2011, the federal government would have had to prove to a judge that the information it was seeking outweighed the journalist's need to keep confidential information, according to the Society of Professional Journalists. Two years later, it remains in a subcommittee.

The Justice Department's seizure of AP's phone records appears to have been legal, said CNN senior legal analyst Jeffrey Toobin. "A lot of people think the First Amendment protects journalists from having to disclose this sort of information," he said Monday. "Not true. Especially under federal law. There is no privilege to protect this kind of information."

But administrations since the Nixon White House have exercised restraint, he said. "They have said, 'Look, we will do whatever we can to avoid having to subpoena journalists.'"

President Obama had indicated he would follow suit. A day after he entered office, on January 21, 2009, Obama said that he would embrace openness.

"Transparency and the rule of law will be the touchstones of this presidency," he vowed.

That promise has not been kept, legal analysts contend. The Obama administration has used the Espionage Act, which was passed in 1917, to target suspected leakers in six cases, twice the number undertaken by all previous administrations combined.

Toobin said the AP's subpoena was particularly egregious. "I have never heard of a subpoena this broad," he said. "The administration is not violating the First Amendment, but they are certainly doing more than has ever been done before in pursuing the private information of journalists, and we will see if there is any political check on them, because there doesn't appear to be any legal check on what they're doing."

Such seizures risk turning the news media's news-gathering process into an investigative tool of the government, said Gene Policinski, senior vice president and executive director of the First Amendment Center. "Reporters become effectively recorders of contacts and information for the prosecution, not at all what journalism is supposed to be."

But a former spokesman for the Department of Justice who worked as an aide to Holder defended the government's actions. "What they're trying to find out through this investigation is what government official broke the oath that they signed to protect classified information," said Matthew Miller, who left the Justice Department in 2011 and is now a public affairs consultant in private practice. "There is no reporters' privilege in law protecting their records."

The Justice Department could have been even more aggressive, forcing the reporters to testify and throwing them in jail had they refused, he said.

Besides, federal authorities have an incentive to find out who leaked the story that goes beyond the case, he said. "The government has to send a signal to its employees that these laws mean something, and they will investigate and prosecute you for violating them."

Whether a federal shield law would keep the Justice Department from carrying out such actions "would totally depend on what the federal shield law looks like," Miller said, noting that several versions have been proposed. Some would prevent reporters from ever being subpoenaed, others would allow judges to carve out exceptions in cases of national security.

White House press secretary Jay Carney reiterated on Tuesday that the administration had no involvement in any criminal investigation by the Justice Department.

Presidential historian Douglas Brinkley predicted that the move will have little long-term impact. "It seems to be a kind of a strange, isolated case," he said in a telephone interview. He predicted the Obama administration would back off rather than court further outrage.

CNN's Thom Patterson contributed to this report

@highlight

Proposed federal shield law might have protected Associated Press from seizure of records

@highlight

The Obama administration has taken a hard line against government leakers

@highlight

"A shield law would keep lazy prosecutors from going after reporters' notes," says AP editor