(CNN) -- On Saturday, Joaquin "El Chapo" Guzman Loera, the kingpin of the Sinaloa drug cartel, was captured in a joint effort by Mexican authorities and the U.S. Drug Enforcement Administration. The latest in a series of major cartel arrests under Mexican President Enrique Pena Nieto, El Chapo's capture is the culmination of a dozen-year transcontinental manhunt to bring down the man who internationalized Mexico's drug trade.

El Chapo's significance to transnational organized crime can hardly be overstated. From the Americas to Europe, West Africa to Australia, he was, in a perverse sense, an innovator: the first to develop a truly global narcotics and criminal network that would eventually net him upward of $3 billion each year, according to a 2013 Univision documentary entitled "El Chapo: CEO of Crime."

And the legend of the kingpin is even greater. Many, including that documentary, credit him with building the first tunnels to subvert the U.S.-Mexico border, with bribing countless officials right here in the United States and with escalating the bloodletting in the fight with Sinaloa's rival cartel, the Zetas.

Last year, the city of Chicago labeled El Chapo "Public Enemy No. 1" -- a moniker that was last used for Al Capone in the 1930s -- despite the kingpin's never having set foot in the city, according to Forbes. He has been called the Osama bin Laden of drug trafficking -- but more elusive.

Given his role in drug trafficking -- not to mention his still more inflated stature in the collective imagination -- it is hard to overstate the symbolic significance of his capture. The sheer scope of his operations, his true corporatization and internationalization of drug trafficking, and the 13-year manhunt that preceded his capture this weekend render immeasurable the symbolic weight of his apprehension. And coming months might see him extradited to the United States, where many feel his trial and eventual imprisonment will be insulated from his power and corruption, which have so effectively protected him in Mexico.

The arrest of the most wanted drug lord in the world will provide valuable insight into the vast networks he established but will probably not diminish demand for the products he was so expert at transporting. Drug trafficking will continue, as will the violence and insecurity that go along with it.

In the immediate future, El Chapo's arrest might generate some instability. But few believe that his arrest will mean the end of his business. The scope of his power suggests that in his absence, other brokers -- whether from inside his own Sinaloa cartel, through a member of his cohort Ismael "El Mayo" Zambada or from rival cartels such as the Zetas or the Knights Templar -- might seek to fill his shoes. And this scramble could be accompanied by something of a refocusing, as well.

With El Chapo, the true honcho of international trafficking, behind bars, we might, at least in the short run, see an uptick in cartel activity within the Western Hemisphere until the next kingpin with transcontinental aspirations emerges. Similarly, his arrest might encourage cartels throughout Mexico, pending their adjustment to his capture, to increase their non-narcotic activities: namely kidnapping, ransom and extortion.

A key symbolic victory, El Chapo's arrest speaks to the success of U.S.-Mexico bilateral efforts in the war against transnational crime. But to view this weekend's events as any more than one battle in the larger war would be overly optimistic. Drug cartels will continue their violent operations with or without El Chapo, so his arrest cannot be seen as an endpoint but rather a rallying point for continued efforts to dismantle what he and his contemporaries have built.

The opinions expressed in this commentary are solely those of Carl Meacham.

@highlight

U.S., Mexican authorities captured kingpin of Sinaloa drug cartel

@highlight

"El Chapo" was an innovator in the drug trade, reaped enormous rewards, author says

@highlight

Carl Meacham: As important as arrest was, it should not be seen as fatal to drug cartel

@highlight

Drug trafficking and resulting violence will continue, he says