(CNN)Officials from Russia, Ukraine and separatist groups engaged in low-level talks hours before a crucial meeting over the crisis in eastern Ukraine.

In the early morning hours Wednesday, the parties gathered in Belarus with one question answered in part: Will separatist leaders whose pro-Russian forces are battling with Ukrainian soldiers for control of eastern Ukraine show up?

Video showed Denis Pushilin of the self-proclaimed Donetsk People's Republic and Vladislav Deinego of the Luhansk People's Republic at the talks speaking with reporters.

Monitors from the Organization for Security and Co-operation in Europe also attended the preliminary meeting.

If a peace deal is to be reached, leaders involved in the talks still have a long road before a lasting agreement is reached, CNN's Nic Robertson reported from Minsk.

Later in the day, the leaders of France and Germany hope to bring together Russian President Vladimir Putin and his Ukrainian counterpart, Petro Poroshenko, on Wednesday in the capital of Belarus.

U.S. President Barack Obama called Putin on Tuesday and urged him to seize the opportunity for peace, the White House said.

"The President emphasized the importance of reaching and implementing a negotiated settlement underpinned by the commitments in the (prior)  Minsk agreement. However, if Russia continues its aggressive actions in Ukraine, including by sending troops, weapons and financing to support the separatists, the costs for Russia will rise," the White House said.

German Chancellor Angela Merkel said Monday that European diplomats were making "one further effort" at negotiating a deal to resolve the crisis.

In an interview with Russia's state-run RIA Novosti news agency, Kremlin spokesman Dmitry Peskov said Russia was "really interested in a peaceful settlement of the crisis in Ukraine."

He said other Western proposals, such as imposing more sanctions against Russian interests, isolating Russia or the possible arming of Ukrainian forces, would only destabilize the situation.

The European Union's Foreign Affairs Council agreed on additional sanctions Monday against Russian and separatist interests but said their implementation would be delayed for a week to "give space for current diplomatic efforts."

Meanwhile, fighting continued in eastern Ukraine's Donetsk and Luhansk regions, with the strategically important town of Debaltseve under fire and deadly shelling reported in the town of Kramatorsk.

What's next in conflict?

A spokesman for the government's military operation against the separatists, Vladislav Seleznyov, told a media briefing that the militants were consistently shelling Debaltseve -- and that it's currently the most dangerous place in the country.

"The city infrastructure is increasingly devastated," he said. "Ukrainian armed forces are holding their lines of defense and are not going to leave their positions."

Seven Ukrainian soldiers were killed and 23 injured overnight, he said.

Eduard Basurin, deputy defense minister of the self-declared Donetsk People's Republic, said fighting for the town continued. A day earlier, Basurin said the separatist forces had Debaltseve "entirely surrounded."

About 55 miles (89 kilometers) to the northwest, shelling in Kramatorsk killed 12 civilians and injured 35, including at least five children, the Kiev-backed Donetsk regional authority said.

Kramatorsk, deep inside Ukrainian-held territory, is the location of the main base for the government's military operation against the separatists, which it calls the anti-terrorist operation, or ATO.

Thirty-two Ukrainian military personnel were injured in shelling on the base's airfield, according to Donetsk regional health care authorities.

The official Facebook page for the ATO said cluster bombs were used to shell the airfield at lunchtime. ATO spokesman Alexander Motuzyanyk said that these munitions are not used by Ukraine's military.

Each side has accused the other of shelling civilian areas in the course of the conflict.

The Organization for Security and Co-operation in Europe's monitoring mission in Ukraine last week reported evidence of the use of cluster munitions in separatist-controlled Luhansk city. Cluster bombs are banned by many states because of their deadly impact on civilians.

The main points of negotiations of the so-called Normandy group -- the leaders of France, Germany, Russia and Ukraine -- would be the withdrawal of heavy weapons, the creation of a demilitarized zone and the beginning of a permanent dialogue between Kiev and the Donbas area, which comprises Luhansk and Donetsk, RIA Novsoti quoted a diplomatic source at the talks as saying.

The big challenge facing Putin, Poroshenko, Merkel and French President Francois Hollande in Minsk is whether they can reach a peace agreement that will stick.

A peace agreement was signed in September in Minsk. It called for a drawback of heavy weapons, self rule in the eastern regions and a buffer zone to be set up along the Russia-Ukraine border.

But the agreement quickly disintegrated, and the violence continued.

The new plan envisions a much broader demilitarized zone to run along the current front lines.

Russia has steadfastly denied accusations that it is sending forces and weapons into Ukraine. But top Western and Ukrainian leaders have said there isn't any doubt that Russia is behind surging violence and separatists' efforts to take over territory in eastern Ukraine.

Merkel in the middle of a U.S.-Russia standoff

As the time for crunch talks to begin approached, questions remain over apparent differences between European leaders and the United States about whether to arm the Ukrainian government forces.

Even as they tried to present a unified front at a media briefing Monday, it was clear that it's an area where Obama and Merkel don't quite see eye to eye.

Obama said he hasn't decided yet whether to send arms to Ukrainian forces defending their country against Russian-backed separatists, and he hasn't set a deadline for when he will. But he insists it's an option that should be considered if diplomacy fails.

Any weapons the United States sends would not be meant to help Ukraine defeat the Russian army in an all-out battle, Obama said, but "simply to defend itself."

Merkel favors a different approach. "I've always said I don't see a military solution to this conflict," she said. "We have to put all our efforts in bringing about a diplomatic solution."

Both Obama and Merkel stressed the importance of working together.

If the Minsk talks fail, U.S. lawmakers will probably ratchet up pressure on Obama to send weapons to Ukraine.

All the while, the crisis in Ukraine, which stemmed from a trade agreement, has killed more than 5,000 people, including many civilians, and forced more than 1.5 million from their homes, according to the United Nations.

CNN's Nick Paton Walsh, Alla Eshchenko, Frederik Pleitgen, Catherine Shoichet, Khushbu Shah, Matthew Chance, Radina Gigova, Emma Burrows and journalist Victoria Butenko in Kiev, Ukraine, contributed to this report.

@highlight

Separatist leaders gather with Ukrainian and Russian officials before peace talks officially kick off

@highlight

President Barack Obama calls Vladimir Putin, urges him to seize opportunity for peace

@highlight

Seven civilians have been killed in Kramatorsk shelling, Kiev-backed Donetsk authorities say