(CNN) -- When you think back to your favorite TV memories, often music is intertwined.

Whether it's the theme song from "Gilligan's Island," "M*A*S*H," "Cheers" or "Batman," it's often the thing people remember more than anything else about a show. But were they ever on the same level with, say, the themes from "Star Wars" or "The Godfather?"

Over the past decade, we've seen the rise of television as prestige entertainment. And we've had memorable theme music to go along with it, from "The Sopranos" to "Dexter" to "Mad Men."

Two of the most noteworthy themes from the recent era, "Battlestar Galactica" and "The Walking Dead," come from the mind of young Emmy award-winning composer Bear McCreary, who has been in demand ever since "Battlestar." For example, he won that Emmy for the Starz TV series "Da Vinci's Demons," and most recently, he's composed the theme for the high-profile network series "Marvel's Agents of S.H.I.E.L.D." and the upcoming Starz series "Black Sails."

McCreary recently spoke to CNN about what goes into TV music in the 21st century, and whether it now stands shoulder to shoulder with movie scoring.

CNN: How did you first find yourself in this line of work?

Bear McCreary: I've never wanted to do anything else for as long as I can remember. When I was a kid, I loved film and television and loved music. I was always keenly aware of music in film and television, more so than anyone else I knew.

When I'd go see a movie, my friends would talk about the cool spaceships (and later, the hot chicks). But for me, I would talk about how Jerry Goldsmith used the French horns instead of the English horns to signify a different character, or what Danny Elfman or Elmer Bernstein was doing. These were my heroes growing up, so it never occurred to me to do anything else with my life. It was predestined almost. I'm very lucky that I got into it, because there's literally nothing else I would be interested in doing in my life.

My first project was "Battlestar Galactica," which put me on the map in a big way in science fiction. Even the horror and suspense genres, action shows -- I do a lot of work in that environment. When (creator) David Goyer called me about doing "Da Vinci's Demons," it was the first time I was asked to do a historical period piece, so I leapt at the opportunity. One of the things that makes it different -- when you're doing regular TV, or science fiction especially, you can't really argue with how music sounds. You can do whatever you want. It doesn't mean it's always tasteful, but there's no right or wrong. I really wanted to embrace the restrictions of that time period -- Renaissance instrumentation, Renaissance melodies -- I really wanted to evoke that period. The problem was Goyer wanted to do the opposite of that. It was a very modern adventure show. What ended up happening is actually a hybrid of both ideas. We ended up with this unique hybrid. When you hear it, ends up sounding like the show -- it doesn't sound like anything else.

CNN: At what point in the process of making a TV episode is the music composed?

McCreary: I definitely know what's coming. I'm aware of where the stories are going. But ultimately that's to get some preliminary ideas in the back of my mind. I look at the finished video to figure out what it needs -- are there shortcomings? Are there storylines not quite being communicated? And that's when I sit with the showrunners and get from them what they want the audience to feel and what stories they want to track. Then I go back to my studio to add all that narrative connective tissue in a language that still stays true to the sound of the show.

CNN: "The Walking Dead" has a memorably haunting theme. How did you approach making music for the apocalypse?

McCreary: It's funny, I had dealt with the end of the world in "Battlestar Galactica," "Caprica," "Terminator: The Sarah Connor Chronicles." Even with "Eureka," I had done it. After a while, I had a feeling, wow, I'm the end of the world guy!

With "The Walking Dead," I wanted to focus on the opposite of that. I wanted to let the apocalyptic events unfold naturally. I try to focus on the actors' performance and try to support them. They're the ones who react -- they are us. When Rick crawls out of the hospital for the first time among all the bodies, the music -- given what he's seen and probably smelled at that time -- is pretty reserved. And that I think also heightens the tension. Horror is a particularly tricky genre for television. It's hard enough to scare an audience and keep them on the edge of their seat for two hours. You really have to pull out a lot of tricks to do that. We're on hour 50 of "The Walking Dead" and these producers are keeping people on their toes, and keeping things fresh and keeping it scary. So a subtle approach helps that, because when you have a really long duration story, you want to conserve your energy as much as possible.

CNN: What is your favorite type of scene to score? Your most challenging scene?

McCreary: It's very hard to say. I thrive on diversity. Action scenes are fun until you do a million of them. Emotional scenes are great until you get too many in a row. My favorite type of scene is one that has layers to it, narratively. I like scenes that when I look at them, it's not obvious what the music should be doing. Should it be scary? Should it be funny? What is the character thinking? If the slightest shift in the music will make you feel sympathy to one person over another, that's really fun and that puts the composer in a powerful position.

There was a cue in "The Walking Dead" -- in the third season, the fourth episode, a major character died. I'm a bit of a method actor when I write, I can't write music for a scene without completely taking myself to this emotion and trying to channel my feelings into music. When people watched it, they were gutted and heartbroken when they saw this scene. I had to watch it probably 70 times. I would be weeping sometimes, my stomach hurt. I was truly miserable doing that scene. But the key turned out pretty good and moved people. Those sort of scenes are not fun to do. The process is not my idea of a good time, but the rewards are much higher.

CNN: What are your favorite TV themes of all time?

McCreary: The first TV theme that really popped up for me was "The Simpsons." Danny Elfman's interesting, harmonic take, using the tritone, which sounded a little weird. I remember picking that up on the piano and wondering why that note was weird. What stoked me as a kid was "Mission: Impossible." It is in 5/4. It is one of the handful of famous television theme songs that are not in 4/4 or 3/4. No one realized what they were hearing. It's very sophisticated scoring.

CNN: Where do you think TV music is today?

McCreary: (TV has) been a proving ground for actors, writers and directors. It's changing -- it's less the training ground to hone your skills and go onto movies. Now, you get good at your skill and you get onto really incredible television shows. The scores on TV are so satisfying. For me -- to take it back to "Da Vinci" -- it feels like a bit of a renaissance in the industry.

CNN: I saw that they recently created an instrument based on Leonardo da Vinci's design -- a hybrid of a piano and cello.

McCreary: I heard about the designs on the codex for this and planned to build this and do something with it for a future episode, having no idea this guy had built it. Of course I was thrilled when this went up on the social media radar. It just puts Leonardo as a pop culture figure in the mainstream -- though he never really left. The mechanics are different, like a rotating keyboard and the hurdy-gurdy engine. David Goyer and I are talking about it and we've got some ideas cooking.

@highlight

Music and theme songs continue to be among the most memorable parts of TV

@highlight

With the arrival of prestige TV series, music on television is also gaining in esteem

@highlight

Young Emmy-winning composer Bear McCreary sees a "renaissance in the industry"