(CNN) -- A major Italian trade union called on workers to strike Tuesday, as the country's Senate prepares to vote on austerity measures to try to bring the country's budget under control.

The strikes were causing transport chaos in cities across the country, with parts of the metro shut down in Rome, the Italian news agency ANSA reported.

The CGIL union said demonstrations were planned for cities including Rome, Naples, Florence, Milan and many others.

The strike comes amid international worries about the health of Italy's economy, the third-largest in Europe.

Italian Premier Silvio Berlusconi last month insisted that his country could confront the financial anxieties shadowing Italy and rest of the continent.

Speaking to lawmakers, he said the economic challenges Italy faces need "to be tackled with determination and without panic."

But he also noted "we do not deny we are facing a crisis," adding: "We need to work together to overcome it."

There have been fears that the debt crisis roiling Greece and Portugal is spreading to Italy and could affect the stability of the euro, the currency used by 17 nations on the continent.

Italy has one of the lowest growth rates in the world and among the highest public debts, warned Domenico Lombardi, a senior fellow at the Brookings Institution and former International Monetary Fund executive board member.

He said the roots of Italy's troubles lie in its huge public debt and low growth rate.

Italy's economy has been growing at only 0.3%, he said, and most importantly is projected to grow at a similarly feeble rate for the next few years.

"This very low rate of growth really is one of the lowest in the world," he said, "and on top of that Italy has a very high public debt."

That debt stands at about 120% of gross domestic product (GDP) -- or in other words, a fifth more than the country's annual economic output -- and is one of the highest in the world, bar that of Greece, which has had to be bailed out by Europe.

Put these two factors together in Italy and it "becomes clear that the economy is not going to be able to generate enough resources to pay for its debt," Lombardi said.

Professor Iain Begg of the London School of Economics told CNN that while Berlusconi's public return to the helm on the economy was welcome after a conspicuous absence, Italy's mercurial prime minister is also a part of the problem.

Italy under Berlusconi has failed to "grasp the nettle of economic reform" to tackle low growth over a sustained period, Begg said. In addition, he said, Berlusconi erred in July by publicly criticizing Finance Minister Giulio Tremonti (who is himself troubled by corruption allegations) over recently announced austerity measures.

"As soon as you start playing these kind of games politically, the markets smell blood and as soon as they scent it, they start tearing flesh," Begg said.

He argues that Italy should not be in trouble in the first place because although its debt is high, it is not rising.

Also, the public-sector deficit -- the gap between taxation and expenditure -- is very low at 4% compared with other countries, such as 10% in the UK and 11% in the United States. Italy isn't exposed to the same kind of property bubble as Spain and its banking system is strong, Begg said.

But other elements, like the new debt deals agreed for Greece, Ireland and Portugal, have paradoxically pushed up borrowing costs for Italy to record levels -- with bond yields, or interest rates on government debt, reaching 6% -- and put it under greater pressure, he said.

Unlike McWilliams, Begg believes Italy is highly unlikely to default on its huge debt -- but its situation is nonetheless "precarious" if it wants to avoid years of low growth.

And the picture is not altogether bleak. Unemployment in Italy, at just over 8%, is not as high as in Spain or Greece, Begg said, giving more leeway for the government to carry out tough reforms and the economy to be turned round.

CNN's Laura Smith-Spark contributed to this report.

@highlight

Strikes cause transport chaos in cities across the country, an Italian news agency reports

@highlight

The CGIL union calls for demonstrations in Rome, Florence, Milan and many other cities

@highlight

Italy is trying to bring down its public debt, which is 120% of GDP

@highlight

Prime Minister Silvio Berlusconi insists that the country can tackle the crisis