(CNN) -- Could it really be: Might Egypt end up exactly where it began?

The decision by an Egyptian court to release former President Hosni Mubarak from prison and place him under house arrest for now adds to the impression that Egypt has come full circle, returning precisely to where it stood before the people toppled Mubarak, bringing an end to his 30-year-long dictatorship.

It might seem that way, but that is the wrong conclusion. Egypt is a very different place from what it was before Mubarak fell. And after 2Â½ years of tumultuous upheaval, so, too, is the rest of the Middle East.

To say the revolution has not gone as planned is to state the obvious. Mubarak's release is an important and rather disheartening symbol of the reverses faced by those who wanted to see dictatorship replaced by democracy.

Since the last day Mubarak was president, Egypt has experienced the toppling of two regimes, a failed attempt at democracy, and an enormous amount of bloodshed. In the process, the country has learned many lessons. The innocence of 2011 is gone.

There is a new maturity, a new realism. There's no sign of Jeffersonian democracy anywhere in the Arab Middle East, but there is a new notion that those who govern require the consent of the people before they can enjoy legitimacy in their position.

A regime may be able to stay in power without that seal of popular acceptability, but it will be tagged as a dictatorship; it will remain unstable and hated. Its survival will constitute an affront to the dignity of the nation. No government wants to be seen that way. No citizen wants to be ruled that way.

The Middle East may not look like what most people wanted it to, but it has been transformed.

That's why before the Egyptian military moved in to remove Mohamed Morsy from the presidency, it made sure it had strong popular support. More people signed a petition calling for Morsy to step down than voted for him in the presidential election.

Egypt is now governed by a prime minister handpicked by military chief Abdel Fattah el-Sisi, but el-Sisi relies on public approval in a way Mubarak never did. The situation, to be sure, lends itself to dangerous populist manipulation and nobody would ever confuse the current structure with a democracy, but it includes important elements that could eventually produce a more democratic future.

Even now, with the military in control, the notion that the people support the army is el-Sisi's greatest argument in defense of his position.

The people have been empowered in a way they never were before. The mindset of those who lived under decades of dictatorship has been changed.

Much else has changed. Since the intoxicating optimism of Tahrir Square, people have learned that revolutions are hard to control. The disastrous experiment under the Muslim Brotherhood-dominated government, the economic free fall and the violence Egyptians have endured have offered a stark lesson to Egypt and its neighbors.

Those who would like to see more inclusive regimes, more democratic elements of government in other Middle Eastern countries, have watched Egypt. They have also watched the catastrophe that is befalling Syria. The revolutionary drive will now be tempered with cooler calculation. Reform won't come after a few weeks on the square chanting slogans for freedom.

Perhaps reformers in Egypt would become more circumspect. True reform will require systematic, gradual plodding. Democracy requires more than elections. Democratic institutions and a democratic mindset must be developed before it can succeed. A foundation of consensus is needed.

Another enormous change since the Mubarak days is the transformation of how people in the Middle East perceive key players in the region.

The Muslim Brotherhood, for example, has not only lost power -- it also has seen its reputation deeply eroded. It has shown itself as incompetent and untrustworthy in the eyes of many. The Brotherhood's Morsy, elected with only 24% of eligible voters, behaved as if he had an overwhelming mandate. He tried to propel the Muslim Brotherhood's agenda, pushing a constitution written by his Brotherhood allies, appointing Brotherhood members to key positions, allowing an atmosphere of intimidation and persecution against non-Muslims, and trying to put himself above the law.

As a result, his initially strong approval ratings fell steadily until millions took to the streets demanding his resignation. Before he was overthrown, 70% of Egyptians told pollsters they worried the Muslim Brotherhood was trying to "Islamicize" the country against their will.

The Muslim Brotherhood has now been tested. It failed.

That Egyptian experiment will reverberate in a time of turbulence. It's not only the Muslim Brotherhood whose image has changed.

Syria's Bashar al-Assad was once viewed as a moderate, even a reformer. With more than 100,000 dead in that country's civil war, he is now viewed as a ruthless dictator, even if the popular uprising against him now includes many Islamist fighters, whose ideology is rejected by supporters of democratic change.

The Arab uprisings, even if Mubarak becomes a free man again, have weakened other organizations. Hezbollah, the Lebanese Shiite group, has tarnished its name by joining the fight on Assad's side. Hamas, the Palestinian version of the Muslim Brotherhood, still has control of the Gaza strip, but it no longer enjoys the support of the bulk of the Egyptian public.

It may look as if Mubarak is re-entering the same stage he left; as if nothing had changed. But the former Egyptian president is walking onto a changed world. The last two years have rerouted the course of history.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

A court in Egypt ordered the release of former president Hosni Mubarak from jail

@highlight

Frida Ghitis: Could it really be -- might Egypt end up exactly where it began?

@highlight

She says there's a realization that legitimate rule requires consent of the people

@highlight

Ghitis: Egypt and the Middle East are not the same as when Mubarak was toppled