Beijing (CNN) -- When Hu Jintao steps down as leader of China's Communist Party this month, not everyone will view his record over the last 10 years favorably.

All told, it's a record of rapid social and economic changes punctuated by political turmoil, disaster and crackdowns.

Working in tandem with Premier Wen Jiabao, the 69-year-old Hu is credited for solidifying China's position as a rising global power.

But Hu also has his share of critics. "Although the reform and opening has given the party huge fortune, the distribution of wealth has been extremely uneven," said Zhang Ming, from the Department of Political Science at Renmin University in China.

Many ordinary Chinese agree.

"China as a nation has become richer and stronger," said Li Yong, a white-collar worker in Beijing. "But many people are not feeling rich and strong. It seems prosperity has not trickled down much."

"Guofu, minqiong"-- the nation has become richer, the people poorer -- this is one popular assessment of Hu's time in office.

That rings ironic, observers say, given Hu's image as a populist politician.

An engineer with extensive experience in China's poor, underdeveloped interior provinces, Hu worked his way up the ranks of the party through the Communist Youth League (CYL), a training ground of party cadres that now boasts about 70 million members.

From the CYL, Hu was appointed as party chief in China's impoverished western provinces of Guizhou and Tibet.

In 1992, he was singled out by paramount leader Deng Xiaoping for promotion as the "core" of the younger generation, strategically given a place in the elite Politburo.

Five years later, he became the youngest member of the Politburo's Standing Committee -- the country's elite decision-making body -- lining him up as the presumptive leader of the "fourth generation."

He took charge at the 16th Party Congress in 2002 when he succeeded President Jiang Zemin as Communist Party chief, before taking over as state president the following year.

Hu has tried to carve out his legacy by championing the country's "scientific development," a catchphrase for his policies, which sought more balanced, equitable and sustainable development, rather than breakneck economic growth as pursued by his predecessor, Jiang.

Hu's program called for increased social spending to help poor or unemployed farmers and urban workers to ensure social stability, or "weiwen."

In the last party congress five years ago, Hu managed to amend the party's constitution to include his scientific development mantra. It was widely viewed as a sign that he had consolidated his power five years after succeeding Jiang.

Under Hu's watch, China has become the world's second largest economy. The World Bank estimates its GDP to be $7.318 billion, as factors such as low labor costs and an undervalued currency combined to boost economic growth between 2003 and 2007.

He is also credited with improving the country's military and boosting national pride.

In 2008, China hosted the Olympic games, putting the spotlight on China's emergence as a world power.

In June this year, China completed its first manned space docking -- a significant milestone in its bid to construct a space station -- and sent its first female astronaut into orbit, only the third country ever to do so.

In October, China sent its first aircraft carrier to sea, emblematic of China's growing ability to project its military power beyond its borders.

But Hu has always advocated China's "peaceful rise," which observers take to mean building a prosperous and "harmonious society."

Critics say he has failed to achieve this goal.

"In these 10 years, China is nothing close to harmonious," said Zhang. "Conflicts and contradictions have become worse. In fact it is reaching a crisis point."

When faced with ethnic unrest in Tibet in 2008 and the restive Xinjiang province in western China in 2009, Hu showed his steely side by cracking down harshly, using the police and the military, and censoring related content on the Internet.

Hu's regime likewise showed little tolerance towards political opposition, rounding up the most vocal dissidents and social activists, putting them in prison, under house arrest or making them disappear for weeks.

The most prominent victims of political repression include Nobel peace laureate Liu Xiaobo and his wife Liu Xia, Sakharov Prize awardee Hu Jia, artist Ai Wei Wei, and blind activist Chen Guangcheng.

Under Hu, China has kept a tight control of the media, especially the country's huge social media community. In March, for example, Internet regulators required the 300 million microbloggers on Weibo, China's Twitter-like service, to register their real names on posts to make then more accountable.

"Post-2007, Hu strengthened the coercive arm of the state," said David Zweig, political professor at the Hong Kong University of Science and Technology.

But Hu has failed to narrow the country's widening wealth gap. Speaking at the United Nations Conference on Sustainable Development in Brazil in June, China's Premier said his country still has more than 100 million people living below the poverty line -- despite the size of its economy.

A study earlier this year by Southwestern University of Finance and Economics in China found that China's top 10% of households surveyed have 57% of the total income and 85% of total assets. Recent years have seen a growing rural-urban disparity with millions moving to cities to improve their income prospects.

Meanwhile, those who believed Hu would open up China's political system would be likewise disappointed. He has called Western-style democracy a "blind alley" and has resisted pressure to pursue even the most modest reform of the political system.

With little transparency, accountability and pluralism, the Communist Party under Hu has made little progress in curbing endemic corruption in the party and the government.

"Hu is seen to have been weak leader, missing opportunities, and putting excessive concern for order, his so-called 'hexie shehui' (harmonious society)," said Zweig. "Criticisms (of Hu's rule) have even come from the Central Party School, where Xi Jinping is president."

Xi, the state's current vice president, is expected to take over from Hu as General Secretary of the party at end of the 18th Party Congress.

Yet the months leading up to the congress have brought fractious back-room bargaining among the party elite, which is divided between informal "elitist" and "populist" factions.

Xi's ability to enforce unity at the top will determine how the new leadership will manage China's emergence as a global superpower and how it copes with its domestic problems.

"Demand from below for change is great," said Zweig. "But Xi Jinping may have to wait until he consolidates his power before he could push his own reform package."

That, he added, may take the 59 year old several months, or even one or two years.

@highlight

Hu Jintao will be stepping down as China's leader at the 18th Party Congress

@highlight

Likely to be replaced by his current vice president, Xi Jinping

@highlight

Hu presided over China as it became the world's second biggest economy

@highlight

However critics point to growing rich-poor divide, corruption, authoritarian rule