(CNN) -- Helen, 50, was college educated, married, worked in middle management at a financial services company and had good health insurance.

She was diagnosed with early stage breast cancer in 1990. She saw doctors with some of the best reputations. After an appropriate surgery, she was given high dose chemotherapy with a bone marrow transplant.

The treatment almost killed her several times and she was hospitalized for nearly a year.

My book, "How We Do Harm," co-authored with Paul Goldberg describes the challenges that some ordinary Americans experience while trying to get quality health care.

In the book we show real examples, like Helen, of the irrationality of how medicine is practiced and consumed in the United States. We discuss those who do not get good care and those who suffer because of excessive and illogical health care. Both occur among the insured and the uninsured.

The book also assesses the threat our health care system poses to the economy and offers suggestions on what needs to change. It was motivated by the ongoing debate about health care reform.

For more than two decades, I have studied disparities in health outcomes and the inconsistencies in how medicine is practiced. I have come to believe that much of the rhetoric for and against health care reform lacks the understanding that the issue involves human beings.

Lost in that debate is the fact that a large number of our fellow Americans are suffering and dying avoidable deaths, because of lack of quality health care.

I believe we should be both ashamed and furious about our health care system. America spends more per person on health care than any other country. Per-person costs are nearly 1.5 times higher than the second most expensive country. We simply do not get the outcomes we pay for.

Among the nations of the world, we rank 50th in life expectancy and American life expectancy is decreasing. America is 47th in infant mortality, just better than Croatia.

The therapy Helen received was expensive and commonly given to women with breast cancer in the early 1990s. During this time, numerous women sued insurance companies who did not want to pay for the therapy and nearly a dozen states passed laws saying insurance companies had to pay for it.

There was one really good reason why the health insurers did not want to pay for high dose chemotherapy and bone marrow transplant for breast cancer: No study had ever been done to prove it beneficial.

Even without evidence, some patients and their doctors had faith that it worked. The procedure was common because some doctors taught that the transplant was beneficial to patients. Truth be told, it was very beneficial to the doctors and hospitals offering it.

By 1999, well after Helen had recovered, three well-designed clinical trials were completed. They showed that bone marrow transplant and high dose chemotherapy, a treatment now common for nearly a decade and a half, was not better than the standard therapy and there were indications it was more harmful.

This shows that even the well-insured often get substandard care. Medical gluttony, the inappropriate use and overuse of medical treatment, is not just adding unnecessary cost to health care. It can actually be harmful to the individual.

Doctors deserve some blame for this mess. Appreciation of the science of medicine and the scientific method is often lacking.

It is amazing the number of health care professionals who seemingly reject the scientific method. They prescribe treatments they believe to be appropriate as opposed to therapies that are known to be appropriate based on objective scientific evidence. This form of ignorance is a root cause of much of the overuse of medical therapy.

Too often, doctors fail to distinguish what is scientifically known from what is unknown, from what is believed. This is beyond mere disagreement about interpretation of the science. There is often selective reading of the science, especially by those trained in a specialty wanting to advocate for it.

Health care providers and the public often overlook the emotional and financial conflicts of interest of health care professionals.

While I blame the medical profession, blame also rests on hospitals, drug and device manufacturers, insurance companies, lawyers, politicians, government and even with patients.

I see hospitals advocating unproven screening and treatment while advertising for business. There are patient advocacy groups often funded by hospitals and medical manufacturers, who also advocate the unproven and instill in patients that they need what may be unnecessary and can be harmful.

American medicine is big business. It is about 18% of the U.S. economy and growing. The average cost of a health insurance policy for a family of four is $19,400 per year. The expense of our inefficient health care system is a major drain on the economy. It is a major reason why employers are hesitant to hire and a reason why many employers cannot provide health insurance to employees.

We have what could be an extraordinary health care system and some patients do get extraordinary care. But patient stories show how our system is inefficient.

Our system is focused on treating people after they get sick with relative inattention to promoting health and preventing disease. Such public health efforts have not received adequate support.

The triad of obesity, lack of physical activity and high caloric intake (bad diet) is creating a tsunami of chronic disease. If the system persists as is, medical costs will grow dramatically over the next several decades as the number of patients with diabetes, cardiovascular diseases, cancer and orthopedic injury dramatically grows.

The current course is not sustainable. Medical costs will rise until the economy collapses.

I know that the book will upset and anger some people, especially those who profit from medicine. I hope the book allows some reasonable people (both lay and medical professionals) to better understand what we are doing to our country.

We all need to realize that some Americans are harmed by lack of treatment and others by overtreatment. The cold hard reality is America does not need to reform health care, we need to transform health care.

The American health care system is fundamentally flawed and encourages inappropriate behavior and a subtle form of corruption. There truly is a combination of greed, ignorance and apathy within health care that is a cancer on this country. There is nothing wrong with medicine as a business, and nothing wrong with making an honest profit.

However, in some cases, greed needs to be replaced with public interest, a concern for the national good.

We need a greater commitment to the practice of evidence-based medicine. Some politicians choose to scare people with words like "rationing medicine" and "death panels." Truth be told, we all need to talk about defining the "rational use of medicine." A widespread demand for rational use of health care can lower costs and increase the number of people getting high quality care and save lives.

Americans need to better understand the science of medicine and the scientific method, be true to science and support evidence-based medicine. We need to embrace an interest in public health and adopt preventive strategies.

The most important question we can ask is, "How can we provide all Americans with good high quality care to include preventive care?"

Opinions expressed are those of the author and do not necessarily represent those of CNN, The American Cancer Society, or Emory University.

@highlight

America ranks 50th in life expectancy and American life expectancy is decreasing

@highlight

We should be both ashamed and furious about our health care system, Brawley says

@highlight

We focus on treating people after they get sick instead of preventing disease, he says