Thousands of protesters surrounded Bangkok's Government House on Friday seeking the removal of Thailand's embattled caretaker government amid soaring political tensions following the ouster of former Prime Minister Yingluck Shinawatra.

The People's Democratic Reform Committee, which has been protesting the government since November, is pushing to replace the caretaker administration with an unelected interim government.

Protest leader Suthep Thaugsuban told those gathered: "We will sleep here tonight, we will eat here."

The PDRC has been seeking to rid Thai politics of the alleged influence of former Prime Minister Thaksin Shinawatra.

Thaksin is Yingluck's brother and a telecommunications tycoon who was overthrown in a 2006 military coup. He has since lived in self-imposed exile to avoid a corruption conviction.

"If the speaker is a slave of Thaksin, there will be one treatment; if not, there will be another treatment for them," Thaugsuban said.

Some 20,000 protesters massed in the capital and split into groups. About 4,000 or 5,000 gathered outside Government House. That is the former prime minister's residence, but Yingluck has already vacated it.

Lt. Gen. Paradon Patthanathabut, security adviser to the government, told CNN the PDRC had mobilized supporters from the countryside to join the protests in the capital.

He said smaller groups also gathered at Bangkok television stations and other locations around the city.

"We are monitoring (the situation) closely," he said, adding that 60,000 security forces were on standby.

At the Royal Thai Police Club, command center of the temporary security task force, the Center for the Administration for Peace and Order, police used tear gas and water cannon on protesters who attempted to enter the complex, said Paradon. Four people were injured.

At Government House, stalls were erected and free food and drinks handed out to the protesters. The protest was peaceful, with music and dancing. A moment of silence was held for those killed in the country's longstanding political conflict.

'Judicial coup'?

The rally comes at the end of a week of political chaos in Thailand, which saw Yingluck and nine Cabinet ministers removed from office by a top court on Wednesday in what her supporters saw as a "judicial coup."

Her supporters plan their own mass rally on Saturday.

Members of the National Anti-Corruption Committee unanimously indicted Yingluck, 46, on Thursday for dereliction of duty over her government's controversial rice subsidy scheme, committee member Wicha Mahakun told reporters in Bangkok. The Senate will now vote on whether to impeach her.

Asked how that could impact her since she's already out as prime minister, Wicha said the case still needed to be reviewed by the Senate and that she could be banned from political office for five years, if impeached.

Analysts had speculated the commission might also indict Yingluck's replacement as caretaker, the deputy prime minister and commerce minister Niwatthamrong Boonsongpaisan, creating a political vacuum. But Wicha did not announce any measures against the new head of government.

An committee also considered whether to file criminal charges against Yingluck, but had not yet found sufficient evidence for that, he said.

The rice subsidy program, introduced in 2011, pledged to pay farmers well above the market rate for their crop, but has run into financial problems.

Critics say it has wasted large amounts of public funds trying to please rural voters, hurting exports and leaving the government with large stockpiles of rice it can't sell without losing money.

Yingluck has previously said she was only in charge of developing policy around the scheme, not its day-to-day implementation, accusing the commission of unfair treatment.

READ MORE: Yingluck denies corruption allegations over rice program

'Political freefall'

Analysts warn the week's developments could lead to more political turmoil and a resumption of violent clashes.

"The post-Yingluck polarization is likely to deepen and intensify," said Thitinan Pongsudhirak, political scientist at Chulalongkorn University.

"We are now looking at a political freefall. ... Much worse looks likely in the near term, before we can hope for improved circumstances in the longer term."

Officials confirmed Thursday a grenade had been thrown at the house of one of the Constitutional Court judges whose ruling forced Yingluck from office.

Paradon told CNN nobody was hurt in the early morning attack on the home of the judge, Jumpot Kaimook. "It landed on his garage," he said.

The court removed Yingluck, who was elected in 2011 and had been serving as caretaker prime minister until elections could be held, after finding her guilty of violating the country's constitution for reassigning a senior security official.

The official was replaced by the then national police chief, whose role in turn was given to Priewpan Damapong, a relative of Yingluck. Damapong is the brother of Thaksin's ex-wife.

'Polarization to intensify'

Analyst Paul Quaglia, director at PQA Associates, a Bangkok-based risk assessment firm, said the court's removal of an elected prime minister on what he described as "fairly weak" grounds was viewed by the government's supporters as a case of politically motivated judicial overreach.

"They consider it a way to usurp democratic elections," he said.

Yingluck is the third Thaksin-linked prime minister to be dismissed by the Constitutional Court, which also dissolved Thaksin's Thai Rak Thai political party in 2007, raising suspicions among government supporters that the institution was biased against them.

Thitinan said the appointment of Niwatthamrong, seen as closely affiliated to Yingluck and her brother, was poor judgment, especially when another deputy prime minister, Pongthep Thepkanchana, would have been a more acceptable compromise candidate.

"He lacks the stature and networks to see through an interim caretaker administration," he said. "Nevertheless, no matter who comes in as the new caretaker, the tensions will mount."

Widening divide

Thailand's widening political divide pits anti-government, predominantly urban "yellow shirt" protesters against the pro-government, mainly rural and working class "red shirts."

The anti-government protesters, drawn mainly from Bangkok's middle class, royalist establishment, allege that Yingluck is her brother's puppet and seek to rid Thai politics of her family's influence.

Led by the PDRC, they began their protests in November, outraged by her government's botched attempt to pass an amnesty bill that would have paved the way for the return of Thaksin to the political fray in earnest.

Parliament was then dissolved in December ahead of a snap February general election that was disrupted by anti-government protesters, and subsequently ruled invalid by the Constitutional Court.

The protesters are seeking a new government -- but not through elections, which the opposition Democrat Party has boycotted, arguing the alleged corruption of their political rivals makes widespread reform necessary before any meaningful vote can be held.

"They claim the Thaksin clan as they call (it) is corrupt and has dominated the country's politics, and the only way forward is to remove the Thaksin influence from politics and not have elections," said Quaglia.

Suthep, a former deputy prime minister for the Democrat Party, has instead called for power to be transferred to an unelected "people's council."

But Quaglia said the opposition's real motivation for avoiding elections was clear.

"The Democrat Party say 'No, we can't have elections,' because they know they will lose those elections."

In contrast, the red shirt supporters of Yingluck and her brother, many of whom hail from the north and northeast of the country, accuse the court of bias against their side.

PDRC spokesman Akanat Phrompan told CNN his movement did not recognize the legitimacy of the caretaker government.

"Currently there is no government to govern this country, so we must find a way to appoint a new government."

'Breaking point'

Meanwhile, the red shirts are planning their own rally in Bangkok Saturday to protest what Quaglia said they saw as "a judicial coup."

In the wake of the court's ruling Wednesday, supporters at the red shirts' Bangkok headquarters were defiant.

"This is the breaking point now, everything is leading up to the breaking point," Kanthira Ketawandee, a Bangkok piano teacher and Yingluck supporter told CNN. "I would say Yingluck has died (in) her duty for democracy."

Thida Thavornset, a red shirt leader urged supporters to join Saturday's rally. "We won't give up until we win."

Elections are scheduled for July 20, but Thitinan said he believed it was "unlikely" that a vote would proceed in the wake of recent developments.

"The PDRC appears intent on pressing on for an appointment government of its preference, which can only galvanize red shirt protests," he said. "A showdown is looming."

@highlight

Officials expect up to 60,000 at the anti-government rally

@highlight

Protesters are seeking to replace the embattled caretaker government

@highlight

Political tensions are high after the ouster of Yingluck Shinawatra as PM Wednesday

@highlight

Analysts fear a resumption of political violence