Steve Jobs, the visionary in the black turtleneck who co-founded Apple in a Silicon Valley garage, built it into the world's leading tech company and led a mobile-computing revolution with wildly popular devices such as the iPhone, died Wednesday. He was 56.

The hard-driving executive pioneered the concept of the personal computer and of navigating them by clicking onscreen images with a mouse. In more recent years, he introduced the iPod portable music player, the iPhone and the iPad tablet -- all of which changed how we consume content in the digital age.

Fortune: Ten ways Steve Jobs changed the world

His friends and Apple fans on Wednesday night mourned the passing of a tech titan.

"Steve's brilliance, passion and energy were the source of countless innovations that enrich and improve all of our lives," Apple said in a statement. "The world is immeasurably better because of Steve."

See reactions from Bill Gates, Mark Zuckerberg and many others

More than one pundit, praising Jobs' ability to transform entire industries with his inventions, called him a modern-day Leonardo Da Vinci.

"Steve Jobs is one of the great innovators in the history of modern capitalism," New York Times columnist Joe Nocera said in August. "His intuition has been phenomenal over the years."

Jobs' death, while dreaded by Apple's legions of fans, was not unexpected. He had battled cancer for years, took a medical leave from Apple in January and stepped down as chief executive in August because he could "no longer meet (his) duties and expectations."

Born February 24, 1955, and then adopted, Jobs grew up in Cupertino, California -- which would become home to Apple's headquarters -- and showed an early interest in electronics. As a teenager, he phoned William Hewlett, president of Hewlett-Packard, to request parts for a school project. He got them, along with an offer of a summer job at HP.

Jobs dropped out of Oregon's Reed College after one semester, although he returned to audit a class in calligraphy, which he says influenced Apple's graceful, minimalist aesthetic. He quit one of his first jobs, designing video games for Atari, to backpack across India and take psychedelic drugs. Those experiences, Jobs said later, shaped his creative vision.

"You can't connect the dots looking forward; you can only connect them looking backwards. So you have to trust that the dots will somehow connect in your future," he told Stanford University graduates during a commencement speech in 2005. "You have to trust in something: your gut, destiny, life, karma, whatever. This approach has never let me down, and it has made all the difference in my life."

View a time line of Steve Jobs' work

While at HP, Jobs befriended Steve Wozniak, who impressed him with his skill at assembling electronic components. The two later joined a Silicon Valley computer hobbyists club, and when he was 21, Jobs teamed with Wozniak and two other men to launch Apple Computer Inc.

It's long been Silicon Valley legend: Jobs and Wozniak built their first commercial product, the Apple 1, in Jobs' parents' garage in 1976. Jobs sold his Volkswagen van to help finance the venture. The primitive computer, priced at $666.66, had no keyboard or display, and customers had to assemble it themselves.

The following year, Apple unveiled the Apple II computer at the inaugural West Coast Computer Faire. The machine was a hit, and the personal computing revolution was under way.

Jobs was among the first computer engineers to recognize the appeal of the mouse and the graphical interface, which let users operate computers by clicking on images instead of writing text.

Apple's pioneering Macintosh computer launched in early 1984 with a now-iconic, Orwellian-themed Super Bowl ad. The boxy beige Macintosh sold well, but the demanding Jobs clashed frequently with colleagues, and in 1986, he was ousted from Apple after a power struggle.

Then came a 10-year hiatus during which he founded NeXT Computer, whose pricey, cube-shaped computer workstations never caught on with consumers.

Jobs had more success when he bought Pixar Animation Studios from George Lucas before the company made it big with "Toy Story." Jobs brought the same marketing skill to Pixar that he became known for at Apple. His brief but emotional pitch for "Finding Nemo," for example, was a masterful bit of succinct storytelling.

Share your memories and images of Steve Jobs

In 1996, Apple bought NeXT, returning Jobs to the then-struggling company he had co-founded. Within a year, he was running Apple again -- older and perhaps wiser but no less of a perfectionist. And in 2001, he took the stage to introduce the original iPod, the little white device that transformed portable music and kick-started Apple's furious comeback.

Thus began one of the most remarkable second acts in the history of business. Over the next decade, Jobs wowed launch-event audiences, and consumers, with one game-changing hit after another: iTunes (2003), the iPhone (2007), the App Store (2008), and the iPad (2010).

Review Jobs' top moments as a showman

Observers marveled at Jobs' skills as a pitchman, his ability to inspire godlike devotion among Apple "fanboys" (and scorn from PC fans) and his "one more thing" surprise announcements. Time after time, he sold people on a product they didn't know they needed until he invented it. And all this on an official annual salary of $1.

He also built a reputation as a hard-driving, mercurial and sometimes difficult boss who oversaw almost every detail of Apple's products and rejected prototypes that didn't meet his exacting standards.

By the late 2000s, his once-renegade tech company, the David to Microsoft's Goliath, was entrenched at the uppermost tier of American business. Apple now operates more than 300 retail stores in 11 countries. The company has sold more than 275 million iPods, 100 million iPhones and 25 million iPads worldwide.

Jobs' climb to the top was complete in summer 2011, when Apple listed more cash reserves than the U.S. Treasury and even briefly surpassed Exxon Mobil as the world's most valuable company.

CNNMoney.com: Apple stock under Jobs

But Jobs' health problems sometimes cast a shadow over his company's success. In 2004, he announced to his employees that he was being treated for pancreatic cancer. He lost weight and appeared unusually gaunt at keynote speeches to Apple developers, spurring concerns about his health and fluctuations in the company's stock price. One wire service accidentally published Jobs' obituary.

Jobs had a secret liver transplant in 2009 in Tennessee during a six-month medical leave of absence from Apple. He took another medical leave in January this year. Perhaps mindful of his legacy, he cooperated on his first authorized biography, scheduled to be published by Simon & Schuster in November.

Jobs is survived by his wife of 20 years, Laurene, and four children, including one from a prior relationship.

He always spoke with immense pride about what he and his engineers accomplished at Apple.

"Your work is going to fill a large part of your life, and the only way to be truly satisfied is to do what you believe is great work. And the only way to do great work is to love what you do," he told the Stanford grads in 2005.

"If you haven't found it yet, keep looking. Don't settle. As with all matters of the heart, you'll know when you find it. And, like any great relationship, it just gets better and better as the years roll on."

@highlight

Jobs had battled cancer for years

@highlight

Jobs founded Apple when he was 21

@highlight

He developed the concept of the personal computer and mouse

@highlight

He oversaw the launch of the iPod, iPhone, and iPad