The overthrow of Moammar Gadhafi has had a messy and often confused aftermath, as rival groups jostle for a stake in the new Libya after four decades of dictatorship.

But while the realities of Libya's new order remain murky, for the country's Berber minority, the task ahead is clear. The removal of the old regime has cleared the way for a renaissance of their ancient language and culture that were brutally suppressed under Gadhafi's hardline rule.

Known in their native tongue as Amazigh, or "free man," the Berbers are the indigenous inhabitants of North Africa, whose culture  predominated in the region prior to the 7th century Arab invasion.

But Gadhafi's ideology stressed the unity of all Libyans under an Arab identity, and any efforts at Amazigh cultural expression during his rule were effectively forbidden.

Those among the country's Berber minority -- there is no reliable census data, but most estimates place it at about 10% of the population -- who attempted to promote their rights or cultural heritage would find themselves persecuted, sometimes even killed.

Berbers were unable to publicly speak or publish books in their language, Tamazight, or display symbols such as the Amazigh flag.

"You couldn't teach it in schools, you didn't have university departments for Amazigh research, or have Amazigh TV stations or radio," said Mazigh Buzakhar, a Tripoli-based Berber activist.

"Even children's names -- there was a law which banned any names that were not Arabic or Islamic. They (the Gadhafi regime) forced you to change your child's name."

Buzakhar has personally felt the brunt of the regime's hostility to Berber culture. In December 2010, prior to the revolution, he and his twin brother were arrested in their Tripoli home, on suspicion of "working and collaborating with foreign intelligence."

Their real crime, according to Buzakhar and Amnesty International, was advocating for Berber cultural rights, evidence of which was found by police in the form of banned Amazigh texts, smuggled from abroad, in their home.

Read also: Will Gadhafi's defeat bring new freedom to Libya's Berbers?

The pair was held for months in a cell designated for prisoners facing life sentences or execution, where Buzakhar said his brother was blindfolded and kicked by guards, when in February the revolution began. A riot erupted at the prison and, along with other prisoners, the brothers escaped. "We were very lucky," said Buzakhar.

Having escaped from prison, Buzakhar headed for the Nafusa Mountains, a traditional Amazigh stronghold where the Berber population would become heavily engaged in fighting with Gadhafi's forces, gaining the upper hand more swiftly than their counterparts in the east of the country.

Buzakhar started a media communications center, and set about producing the first ever journal published in Tamazight.

Initially a crudely produced newsletter, printed on sheets of A4, "Tilelli" ("Freedom" in Tamazight) became a more professional publication when Buzakhar relocated to the capital following the fall of Tripoli.

Written in Tamazight, Arabic and English, it has a print run of 3,000, and a focus on promoting Amazigh culture and language, by reprinting ancient works of poetry, as well as more modern works by writers such as Said Sifaw al-Mahrouk.

"Tilelli" is just one element of the flowering of Amazigh culture to have taken place in the wake of Gadhafi's downfall. Tamazight is being taught by cultural associations, can be heard on radio stations, and read on signs written in the Tifinagh alphabet at shops and other public places.

The Berber flag -- comprised of blue, green and yellow horizontal stripes, superimposed with a red Tifinagh character symbolizing a "free man" -- is displayed proudly, and Amazigh music is performed at festivals around the country.

"After 40 years of having a complete lack of this kind of expression, there's a real enthusiasm for it," said Diana Eltahawy, Amnesty International's North Africa researcher.

"What we see is the Amazigh gathering together and celebrating their culture, having various festivals, making links between towns. They're filling up the space they were denied for several decades."

But despite their new-found freedom of cultural expression, some Berber activists remain anxious about their community's position in the new Libya.

When an interim government was announced in November without a single Amazigh minister, Berbers reacted with disappointment. Fearing their community was being marginalized, a group calling itself the Libyan Amazigh Congress announced it was suspending all relations with the National Transitional Council (NTC).

Read also: Syrian artists fight Assad regime with satire

Many Berbers were frustrated by the sense that their strong military contributions in overthrowing Gadhafi -- Juan Cole, a history professor at the University of Michigan, labeled them "among the central Libyan heroes of the revolution" -- had gone unrewarded, said Buzakhar.

"They used us to progress and make a progress in advance to get Libya liberated," Buzakhar said.

"But once things were liberated, the message has been: 'Thank you so much, we used you and that's it.' To us, it's like a betrayal by the NTC."

In this climate, some Berbers fear their cultural rights may not receive the constitutional protections they seek.

Libya's interim "constitutional declaration," drawn up by the NTC to provide a framework for the transition to an elected government, pledged that the state would protect the linguistic and cultural rights of "all components" of Libyan society.

But while upholding Arabic as the official language, the declaration stated that Libya's other languages "shall be deemed national ones" -- falling short of the level of recognition sought by Berber activists.

Buzakhar said Tamazight's "deep-rooted" history as a native language -- which significantly predated Arabic's arrival in North Africa -- meant that regarding it as anything less than an official language was illogical.

Berbers wanted Libya's new leaders to accord Tamazight a similar status to that which it held in Morocco, where it is estimated more than half of the country's 32 million people speak Berber dialects. In 2011, Tamazight became an official language in Morocco, taught alongside Arabic in schools.

But it remains to be seen what provisions would be contained in the new constitution, to be drafted by a committee chosen by the  newly elected congress, said Eltahawy.

Any broader recognition of Libyan Amazigh cultural rights would require overcoming greater barriers than the legacy of Gadhafi's suppression and scapegoating, said Buzakhar.

"Our problem is not only the 42 years of the former regime. Our problem is 1,400 years of Arab or Islamist mentality that has been brought to North Africa itself. It's a mentality problem, not only with the common people but in the heads of the politicians."

He said although there were generally good relations between Libyan Arabs and Berbers, their rejection of pan-Arabist ideology and insistence on a distinct Amazigh identity made them a continued target for criticism. Some political leaders were still inclined to emulate Gaddafi by casting suspicion on the Berber community for personal gain.

But Buzakhar said although Libya's Amazigh renaissance did not enjoy the state support exhibited in Morocco and Algeria, he was optimistic the Berber culture would continue to flourish.

"What's different from Algeria and Morocco is that the consciousness of the Amazigh people is stronger in Libya, because we've paid the price," he said. "We have had martyrs who gave their lives to preserve their language, and ensure they are part of the political environment of the new Libya for generations to come."

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer: @SchamsCNN, writer Tim Hume: @tim_hume and digital producer Mairi Mackay: @mairicnn.

@highlight

Libya's indigenous Berber population had their culture suppressed under Gadhafi

@highlight

Also known as Amazigh, they could not even give their children Berber names

@highlight

Amazigh culture is blossoming in post-Gadhafi Libya

@highlight

But activists fear that their culture and language will not be protected in the new Libya