Washington (CNN) -- President Barack Obama walked into the White House nearly six years ago with a robust Senate majority and a promise to change politics.

Now, he's heading into his final years of office estranged from Democrats in the minority on Capitol Hill, facing Republicans uninterested in making big compromises and a public that has largely moved on from the heady early days of the administration.

Obama is "anxious to get back to work" and put the midterms behind him, according to a White House official who spoke on the condition of anonymity, adding the president regards the final two years of his term as a "fourth quarter" with the potential for real action.

He is scheduled to address the midterm results on Wednesday afternoon, just as he did in 2010 when he labeled the Republican takeover the House a "shellacking." The White House invited bipartisan congressional leaders for a meeting on Friday afternoon to map out the lawmaking terrain for the next two years.

And administration aides are bullish about extending their strategy of going ahead with executive actions in areas where congressional cooperation appears impossible.

But for Obama, the time for major legislative moves that would build his legacy could be short. With the midterms out of the way, the attentions of both parties will soon shift to the 2016 presidential campaign, leaving little appetite for bipartisan agreement. Achieving any legislative deals will require a level of compromise the White House hasn't yet been open to; it will also depend on a fractured Republican Party's willingness to pass measures that have any hope of getting the president's signature.

In public, both sides say they're ready to find common ground --"We're ready to compromise," Vice President Joe Biden told CNN Monday -- though aides are more pessimistic in private.

Asked whether the president will be looking to compromise and take a more conciliatory tone with a GOP Senate, a White House official said the "better question is whether the GOP wants to work with us."

Previous attempts by the White House to woo Republicans, including dinners and other meetings with Obama, did not materialize into compromise, the official pointed out.

Republicans have likewise expressed some willingness to find common ground with Obama, though if four years of rancorous relations with the House GOP are any indication, that willingness may be fleeting. The conservative wing of the party has resisted Obama at nearly every move, so much so that the White House has kept meetings between House Speaker John Boehner and Obama secret.

"What the Republicans are very likely to do is to go in two directions at once," said David Gergen, a former adviser to Presidents Ronald Reagan and Bill Clinton. "On the one hand, they'll try and look as if they were cooperative with the president. On the other hand, they are going to play hardball."

Even with a Republican controlled Senate, conservative brass rings like repealing the Affordable Care Act or making major cuts to government spending programs like Social Security and Medicare will still be blocked by Obama's veto. And while a GOP Senate may still take up those measures to exemplify their ideological splits with the White House, there is virtually no chance they become law.

Comprehensive immigration reform, a longtime goal of Obama's that was blocked last year by the GOP controlled House, will likely arise again in the new Congress as Republicans seek to boost their popularity among Latino voters. Some Republicans, like 2012 GOP nominee Mitt Romney, have argued immigration reform might have a better chance of succeeding with a Republican Senate, however the deeply divided GOP caucus in the House hasn't shown many signs of uniting around a plan.

Further complicating the equation: Obama's vow to take unilateral action to address the millions of undocumented immigrants currently inside the United States. Originally expected at the end of the summer, the unveiling was pushed until after the midterm votes to avoid political fallout. The White House says they'll announce their plan before the end of the year.

That leaves lower-profile items, with less political baggage, for Obama and the new Republican Congress to haggle over. That could include reforming the tax code and brokering new trade deals â€” areas both the White House and Republicans agree need attention.

Those are also items that could cause some heartburn for Democrats, whose populist message doesn't necessarily align with lowering corporate tax rates or fostering new trade pacts.

Sen. Harry Reid, the Democratic Majority Leader, issued a blow to Obama's economic agenda earlier this year when he refused to allow "fast track" legislation on proposed trade deals with Asia and Europe.

Some Republicans at the time complained Obama didn't do enough to convince fellow Democrats to support his trade agenda. A GOP-controlled Senate could offer a better chance to see it through.

A tax reform measure that lowers rates on corporations could similarly gain more traction in a Republican controlled Senate, though disagreements on the size of the reduction â€” and potential new revenue â€” could stymie any deal.

On major legacy-building items, legislative action seems impossible, leaving open the chances for executive actions more limited in scope. He's already moved to curb carbon emissions at coal powered plants, and further climate actions are likely. Officials say he remains committed to closing the prison at Guantanamo Bay, despite continued opposition from Congress to transferring prisoners into the U.S.

The losses Tuesday won't necessarily change the overall calculus in Washington; gridlock has been the norm at least since Republicans took control of the House in 2010.

The way Democrats lost the Senate, however, has caused some consternation within Obama's own party.

"Running away from the president is never smart," said one top Democratic strategist who has worked with both the White House and Senate candidates this midterm cycle. "You look like chicken s---."

Intra-party squabbling is a longstanding tradition for losing parties, and the White House would surely have appreciated more talk of the improving economy on the campaign trail. Administration officials say a major staff shake-up isn't in the works -- for now -- and that Obama isn't planning to come out and accept blame for Democratic losses.

He previewed his explanation Tuesday, saying in a Connecticut radio interview the electoral map was to blame.

"This is probably the worst possible group of states for Democrats since Dwight Eisenhower," he said.

At least for the immediate future, however, the White House is moving on from the domestic political environment that left Obama battered, and in many races, unwelcome.

He leaves Sunday for a week-long diplomatic visit to Asia, 6,000 miles from the redrawn Washington.

@highlight

Obama is "anxious to get back to work" after midterms

@highlight

Administration aides are bullish about issuing executive orders

@highlight

Obama is scheduled to speak to the public at 2:50 p.m.