(CNN) -- Suppose that shortly after 9/11, when it became clear that Osama bin Laden and other members of al Qaeda were responsible for the attacks, President Bush had made the following announcement:

"Those responsible for these attacks are cowardly, vicious murderers, and we will pursue them to the ends of the earth to capture them. They are not warriors, they are criminals, and they will be treated accordingly. And once we catch them, we will bring them back to the United States and put them on trial right there in lower Manhattan so that a jury of 12 fair-minded New Yorkers can decide their fate."

Such an announcement would not have been controversial in the slightest and undoubtedly would have been met with widespread approval. After all, putting terrorists on trial in federal court is how we always dealt with terrorists, including the first group of murderers who tried to blow up the World Trade Center.

But President Bush didn't say that. Instead, on November 13, 2001, he announced that those responsible would be tried in military commissions, and declared that "it is not practicable to apply in military commissions . . . the principles of law and the rules of evidence generally recognized in the trial of criminal cases in the United States district courts."

Like many Americans, I did not adequately consider the implications of that statement at the time. More of us should have challenged the president to explain why it was impracticable to apply regular principles of law and rules of evidence to these criminal suspects.

In hindsight, it appears likely that the president's real concern was that he knew he had authorized the CIA to detain suspected terrorists in secret prisons and subject them to harsh interrogation methods. Those grossly abusive techniques would taint potential statements and pose a challenge for future criminal trials.

Whatever his motivations, the president's decision to jettison the civilian courts in favor of military commissions was a grave misjudgment that diminished our stature in the world and ultimately accomplished nothing.

As I witnessed as a military defense lawyer at Guantanamo Bay, the military commissions of the Bush administration were, indisputably, a catastrophic failure. Not a single person responsible for any major terrorist attack was tried. The countless millions of dollars and man-hours devoted to the commissions yielded only three convictions of minor figures, two -- David Hicks and Salim Hamdan -- who received token sentences and were then released.

Neither of these defendants was convicted of a traditional war crime, but of providing material support to terrorism, a crime more appropriately tried in federal court. Since 9/11, many Americans have been tried and convicted of this same offense in federal court and received considerably longer sentences than Hicks or Hamdan.

The third detainee who was convicted, Ali Hamza al Bahlul (whom I was assigned to represent but who refused to be defended), received a life sentence. Having sat through the trial, I'm quite confident the prosecutors could have achieved the same outcome in federal court.

The convictions of  Hamdan and al Bahlul are now on appeal. Because of the many flaws in the law and procedures under which these men were tried, it is by no means certain that their convictions will be upheld.

In November 2009, Attorney General Eric Holder made the decision that President Bush should have made eight years earlier, announcing that the 9/11 suspects would be tried in federal district court. This was more than just a symbolic repudiation of Bush era policies -- after eight years of failed efforts to prosecute the men in military commissions, during which hundreds of other terrorists had been tried and convicted in federal court, it was the only logical choice.

Unfortunately, Holder also announced that other detainees would be tried in military commissions, creating a two-tiered system of justice. So far, the attorney general has failed to offer any principled basis for which defendants are sent to which forum, leaving many with the disturbing impression that the decisions are based on political, rather than legal, considerations. The latest news reports suggesting the administration is close to reversing itself has only reinforced this view.

It's true that the Military Commissions Act of 2009, the third version of the military tribunals, is a substantial improvement over the previous version of the law, which has hastily passed in 2006 in response to the Supreme Court's ruling that the original military commissions created by executive order were unconstitutional.

Indeed, "the principles of law and rules of evidence" that generally apply in U.S. criminal courts now largely apply to military commissions, ironically proving false President Bush's original justification for the creation of the military commissions -- the alleged impracticability of applying such principles and rules.

Yet, even with improvements, the commissions are still a completely untested criminal justice system. The implementing regulations for the new law have yet to be published. The secretary of defense has failed to appoint a new Convening Authority or a new Chief Defense Counsel for the military commissions. The first hearings under this law have been plagued by confusion and delay, and there's every reason to believe that will continue. How much longer should the families of the 9/11 victims have to wait for justice?

Perhaps there are sound practical and logistical reasons why the 9/11 trial should not take place in lower Manhattan; that is debatable. But there are no valid reasons why the 9/11 trial should not take place in a federal court under federal law. Let's show the world what distinguishes Americans from our enemies: our reverence for the rule of law and our respect for human rights and due process, even for those we despise.

Let the alleged 9/11 co-conspirators have their day in court under fair, time-tested and internationally accepted laws, rules and procedures. If they are guilty of the appalling crimes of which they are accused, the capable prosecutors of the Justice Department (who have far more experience than their military counterparts) will prove it.

The opinions expressed in this commentary are solely those of David Frakt.

@highlight

Obama administration now reconsidering trying 9/11 defendants in court

@highlight

Former military defense lawyer David Frakt says terrorists have long been tried in court

@highlight

Military commissions don't have the courts' long record of achievement , he says

@highlight

Frakt: Let's show the world our "reverence for the rule of law"