(CNN) -- Not so long ago, having a layover between flights was like having skin graft surgery between root canals.

That's begun to change.

With airport amenities classy enough to impress a card-carrying Kardashian, you might even consider yourself lucky to have a few hours to spare between legs these days -- provided you know where to make your next connection.

From bare bones basics like spa services to sustainable gourmet cuisine crafted by celebrity chefs and designer boutiques that wouldn't be out of place on Rodeo Drive, some American airports offer travelers an experience better than certain destinations.

San Francisco International Airport (SFO)

A $383 million renovation in 2008 turned this airport (most notably, Terminal 2) into an all-in-one luxury destination for shoppers, foodies and art aficionados.

Travelers, tourists and locals flock to the SFO Museum. Opened 1980, it was the first museum of its kind located in an international airport and it has only grown since then, having spread throughout all four terminals.

From modern photography to Pan-Asian ceramics, a rotating array of exhibitions is designed to intrigue a cross-section of visitors.

For those with a tot in tow, there's also a children's museum, complete with art classes and even an aquarium (Terminal 1).

The new packet of salty peanuts for the 21st century is caviar, available to go at Simply Gourmet in Terminal 1, along with various truffles, meats and cheeses.

Over in T2, Napa Farms Market is a hybrid gourmet food shop/cafe/takeout/wine store curated by Steve Carlin of the famed Oxbow Market. There's also wine bar Vino Volo.

Once you've had your fill of sustainable Californian cuisine, Napa Valley wine and San Francisco culture, the International Terminal houses Gucci, Burberry and Swarovski shops as well as an Xpress Spa, in case you need a quick rubdown.

Miami International Airport (MIA)

Taking the museum-in-airport trend to the next level, MIA too boasts an impressive art collection, one that's reflective of the South Florida community.

In fact, Americans for the Arts declared it one of the best public art projects in the nation.

And while the dining options fall short of "fine," the best offerings are fresh, delicious and capture the city's festive spirit.

Casual Cuban spot Ku-Va (Terminal D) is renown for its ropa vieja and mojitos on the go.

On the celebrity chef-helmed side, Lorena Garcia Cocina (also Terminal D) offers ceviche, empanadas and other Latin-influenced fare, much of it scratch-made daily.

But where MIA really excels is shopping.

Beyond high-end standbys like Hugo Boss, Emporio Armani and Thomas Pink, Terminal G boasts Jack Georges, purveyor of maniacally handcrafted leather goods.

Likewise, Terminal D is home to Coco Bay, where ladies of taste can take some laid-back Miami home to their closets.

The piece de resistance is The Shoppes at Ocean Drive.

A first-of-its-kind retail concept, this 10,000-square-foot luxury mini-mall is curated with Miami's iconic Ocean Drive magazine. Inside you'll find the highest-end apparel and accessories to make those last-minute souvenirs seem thoughtful, and an epic gourmet shop that even sells South Florida's famous stone crabs to go.

If all this luxury proves too exhausting, there are three spas on site with services ranging from a 10-minute manicure to a cellulite-reducing galvanic massage at Jetsetter Spa (Terminal H).

Logan International Airport, Boston (BOS)

Not as overtly luxurious as SFO or MIA, Boston's Logan has its share of topnotch offerings, especially in the eating category.

Terminal A has Legal Test Kitchen, a saucy offshoot of the Legal Seafood empire, where innovative technology combines with top-notch ingredients for a trendy and ever-evolving menu with a killer wine list.

Meanwhile, James Beard Rising Star Chef Todd English serves his signature Argentinean, European and American fusion at Bonfire Restaurant in Terminal B.

Juicy steaks and succulent tacos are crowd pleasers.

English also had a hand in developing Ozone, a contemporary cocktail lounge that offers light bites.

Then, of course, there's Legal Seafoods itself (Terminal C), where New England's old school, fish-centric fare is the focus. These days, it comes with an allergy-friendly twist.

At the entrance to Terminal E, Dine Boston welcomes a new, locally acclaimed chef every three months as part of its visiting chef program. Not only does it keep the menu exciting, a stamped receipt grants diners access to priority security lines.

Shopping options aren't vast, but Northeasterners from New York to New Hampshire can't get enough of jewelry designers Alex + Ani, whose Terminal B store glistens with sparkly goods.

The Virgin Atlantic Clubhouse (JFK)

OK, so John F. Kennedy Airport as a whole could use an overhaul, but trust Richard Branson to be ahead of the curve.

His 10,000-square-foot Virgin Atlantic Clubhouse in Terminal 4 cost $7 million to build and the results rival any hip, metropolitan hotel when it comes to style and atmosphere.

Signature cocktails invented by top-shelf mixologists and beers tapped from New York's best microbreweries are served to travelers lounging in designer Eames, Saarinen and Jacobsen chairs.

Fusion fare is available from the in-house brasserie, which serves smoked haddock frittatas for breakfast and curry spiced grilled tilapia thereafter.

For the travel-haggard, stylists from New York's famed Bumble and Bumble salon (where they use their own products, as well as Dr. Haruschka and Truefitt & Hill) are on hand in case you need a haircut or blow dry, and spa services include a free 15-minute massage for paying customers.

There are also Mac workstations and a billiards table.

With the lone exception of extended spa treatments like deep facials and aromatherapy oil massages, it's all complimentary for Virgin Business Class and Gold Members.

Detroit Metropolitan Airport (DTW)

A high-end whimsy is at play in the recently renovated McNamara and North Terminals, making parting with your money in the Motor City far more voluntary than it used to be.

Before a glass of northern Michigan red at Vino Volo, layoverers can swing on the PGA Tour Shop's virtual golf simulator in the Central Link Area of the McNamara Terminal, offering a virtual shot at the famous 18 hole at Pebble Beach.

Fashion forward types, design junkies and car aficionados alike will enjoy browsing in the first Porsche Design store in any airport worldwide, which opened in late 2012 in the McNamara Terminal.

DTW is home to a handful of well-reviewed, high-end restaurants, the most novel of which is PB&J (McNamara Terminal), where peanut butter and jelly sandwiches are made to order. Gourmet additions like bacon and honey (on freshly baked bread of your choice) bring this grammar school classic up to food snob altitude.

Ralph Lauren's daughter's first airport outpost of Dylan's Candy Bar arrives shortly in McNamara Terminal, presenting patrons with a Sophie's choice between angel food and red velvet cakes to go.

And finally, Be-Relax Spa in the McNamara terminal offers massages, facials, oxygen therapy and manicures.

@highlight

Enough with the Admiral's Lounge free coffee. It's 2013 -- let's fly like it

@highlight

Miami International has one of the best public art collections anywhere in the country

@highlight

A golf simulator in Detroit Metropolitan offers virtual shots at the famed 18 hole at Pebble Beach

@highlight

Boston Logan has genuinely great food