(CNN) -- A year ago, President Obama delivered a speech at the National Defense University in Washington in which he made the case that it was time to wind down the "boundless global war on terror " and "perpetual wartime footing" that has been a feature of American life since 9/11.

Indeed, the CIA drone program in Pakistan has stopped completely since the beginning of this year. This is a noteworthy development given the fact that there have been 370 drone strikes in Pakistan over the past decade that have killed somewhere between 2,080 to 3,428 people; most of whom were suspected militants, but also a smaller number of civilians.

In his speech the President made the case that al Qaeda, which carried out the 9/11 attacks, "is on the path to defeat. Their remaining operatives spend more time thinking about their own safety than plotting against us."

Obama outlined the remaining terrorism threat as coming from "less capable al Qaeda affiliates" who are certainly threats to American diplomatic facilities and businesses abroad, as well from "homegrown extremists," like those who bombed the Boston Marathon a little over a year ago.

Such homegrown extremists remain capable of carrying out attacks on the scale of the Boston bombings, but such incidents are tragedies rather than national catastrophes, as 9/11 was.

In the President's view these kinds of threats do not necessitate that the country remain on an endless war footing. And, indeed, it is long past time for the United States to transition away from a state of perpetual war now that the threat from al Qaeda to American national security has diminished significantly both because of al Qaeda's own weaknesses and the many defensive measures the United States has taken since 9/11.

To transition away from a war footing, Obama said he would make changes in three key areas:

First by reforming the secret CIA drone program. The President promised that going forward, "There must be near-certainty that no civilians will be killed or injured" for strikes to be authorized.

Second, he said he would move to repeal the Authorization for the Use of Military Force (AUMF) that was passed by Congress just days after the 9/11 attacks. The AUMF authorized not only America's longest war in Afghanistan, but also U.S. operations against al Qaeda and its allies in Pakistan, Yemen and Somalia.

Third, Obama said he would hasten the closing of the prison camp at Guantanamo Bay.

So what has changed in the twelve months since Obama gave that speech?

The cessation of drone strikes in Pakistan since the beginning of the year is due to a combination of the President pushing for a more calibrated use of drone strikes; running out of "high value" al Qaeda and Taliban targets in Pakistan's tribal areas; very strong pushback from the Pakistani public and government who are opposed to the drone strikes on the grounds that they violate Pakistan's national sovereignty; and the fact that the Pakistani government is stepping up its own military operations against militants in the Pakistani tribal region of North Waziristan, where the majority of CIA drone strikes have taken place.

Air strikes by the Pakistani air force, for instance, killed approximately 60 people on Wednesday in North Waziristan.

In Pakistan, there have also been no reported civilian casualties from CIA drone strikes during the past year, according to data collected by the New America Foundation.

In contrast, in Yemen, civilian casualties from U.S. drone strikes have remained steady over the past year. From May 2013 to May 2014, 16 civilians were killed in U.S. drone strikes, including a number of civilians in a mid-December strike that mistakenly targeted a wedding party because intelligence reports identified the vehicles as carrying al Qaeda operatives. There were also 16 civilians killed in drone strikes the previous year in Yemen.

Bergen: Drones will fill the sky

On drones, it is clear that the President's directives to tighten up on the protocols for authorizing drone strikes have made some real differences in Pakistan both in terms of the falling numbers of civilian casualties and the cessation of drone strikes there.

But in Yemen, while the number of civilian casualties has remained constant, the number of drone strikes is actually declining. Since the president's speech, there have been 29 drone strikes in Yemen. There were 36 strikes in the 12 months before.

Last May, Obama also said he looked forward "to engaging Congress and the American people in efforts to refine, and ultimately repeal, the AUMF's mandate."

Since it was this Authorization for the Use of Force that made possible the introduction of combat troops into Afghanistan 13 years ago, the natural moment to ultimately repeal the declaration is as the last of U.S. combat troops leave Afghanistan at the end of this year.

For the moment, the administration hasn't taken up this effort, which could meet a good deal of opposition from some in the Republican party who would likely want to extend and even expand the authorization so that it could permit the use of U.S. military force against al Qaeda-aligned groups around the world.

Opinion: When will drones stop killing innocent people in Yemen?

And repealing the authorization would also raise some knotty national security and political issues given the present political paralysis and rancor in Congress.

First, U.S. Special Operations raids against al-Qaeda members and allies in Libya and Somalia in 2013 were conducted under the AUMF. How does one get congressional buy-in for a more narrow legal framework that might constrain such raids?

Second, since the drone program draws its legal validity partly from the AUMF, how would that declaration's expiration affect the use of drones in countries such as Pakistan?

Third, what should the United States do about the 40 or so prisoners at Guantanamo Bay who are deemed "too dangerous to release," but are not chargeable with a crime, and who would theoretically have to be released if the present authorization for the use of force expired? Without that authorization it would not be possible to treat Guantanamo detainees as prisoners of war since the war would be effectively over.

President Obama also promised to wind down the prison camp at Guantanamo Bay (GTMO). Since that speech, there have been a number of prisoners released from Guantanamo, including two Algerian prisoners who were transferred to Algeria in August, and three Chinese Uighur prisoners captured in Afghanistan who were transferred to Slovakia in December.

A recent agreement with Uruguayan President JosÃ© Monica would allow a further six of the remaining 154 prisoners in Gitmo to be transferred to Uruguay.

At the same time, the Obama administration has in the past year successfully put a number of high profile militants on trial in the Southern District of New York, such as bin Laden's son in law, Suleiman Abu Ghaith, and Abu Hamza, a London-based cleric who helped to direct the 1998 kidnapping of Western tourists in Yemen by al Qaeda-aligned militants.

Despite much hand wringing by politicians about trying prominent terrorists in the United States, those trials, which have taken place a few blocks from the newly rebuilt World Trade Center, have proceeded without incident and juries have speedily convicted the terrorists on all counts.

Given the speed and efficacy of these trials, perhaps it's time for the Obama administration to abandon the military tribunal process at Guantanamo altogether and bring 9/11 operational planner Khalid Sheik Mohammed (KSM) to trial in Manhattan.

Such a plan was scuppered three years ago, in part, because of opposition from politicians in New York who claimed it was a public safety risk to hold KSM's trial in Manhattan. These concerns seemed overwrought even at the time and are effectively moot at this point. KSM has spent the past eleven years in American captivity but still he has not been put on trial because he is tangled in the cumbersome and largely untested military tribunal process in Guantanamo.

To summarize: Since the President's speech arguing for ending America's endless war on terror, there has been a marked change in the CIA's drone program in Pakistan, which has effectively ended. Yet there has been little real change in the similar drone program in Yemen.

Meanwhile, there has been incremental progress on emptying the prison camp at Guantanamo and real progress on using the ordinary civilian court system to convict prominent terrorists.

As yet there is no serious discussion in Congress or by the White House about what, if anything, might happen to the Authorization for the Use of Military Force (AUMF).

Given the political realities in Washington, our guess is the AUMF will simply remain in place indefinitely because any effort to replace it or end it will encounter resistance in Congress.

@highlight

A year ago, President Obama gave a key speech on the "boundless...war on terror"

@highlight

He signaled new restrictions on drones and an effort to wind down Guantanamo detention

@highlight

Peter Bergen: Obama's changes have led to virtual suspension of drones in Pakistan

@highlight

He says drone war goes on in Yemen, small progress has been made on Guantanamo