(CNN)All of these women left a mark on the world that would change people's thinking for decades -- in some cases centuries -- to come.

They wrote books that revolutionized people's view of society; made scientific discoveries that transformed medicine as we know it; and brought about laws that shook up the establishment.

In celebration of International Women's Day on March 8, Leading Women takes a look at just seven of the many females throughout history who changed the world for the betterment of all.

The American author's best-selling 1852 novel "Uncle Tom's Cabin" helped popularize the anti-slavery movement.

Legend has it Abraham Lincoln greeted Beecher Stowe at the White House by saying: "So you're the little woman who wrote the book that started this great war," in reference to the civil war.

Her novel followed the life of black slave Uncle Tom, and was the second best-selling book of the 19th century after the Bible.

British suffragette Emmeline Pankhurst founded the Women's Social and Political Union (WSPU), a group known for extreme forms of protest such as chaining themselves to railings and going on hunger strikes.

"We are here, not because we are law-breakers; we are here in our efforts to become law-makers," she said during a court trail in 1908.

Sadly Pankhurst never lived to see her dream become reality, dying three weeks before a law was passed giving women equal voting rights with men.

"What is done cannot be undone, but one can prevent it happening again" -- Anne Frank's "Diary of a Young Girl."

The wisdom and wit of 13-year-old Jewish schoolgirl Anne Frank, written while hiding in Amsterdam during the Second World War, is one of the most widely-read books in the world with over 30 million copies sold.

Her story of life under German occupation is a powerful record that has been translated into 67 languages and adapted for both film and theater, with her home itself turned into a museum.

Frank died in the Bergen-Belsen concentration camp in 1945, just weeks before it was liberated.

French existentialist philosopher Simone de Beauvoir's 1949 book "The Second Sex" became a landmark feminist work.

It analyzed the treatment and perception of women throughout history, and was deemed so controversial that the Vatican put in on the Index of Prohibited books.

"All oppression creates a state of war; this is no exception," said De Beauvoir, who along with partner Jean Paul Sartre was one of the most influential thinkers of the 20th century.

British chemist and x-ray crystallographer Rosalind Franklin's research was key in revealing the structure of DNA.

Her x-ray photographs of the double helix were used by scientists Francis Crick, James Watson, and Maurice Wilkins, who in 1962 were jointly awarded a Nobel Prize in Physiology or Medicine for their work on the DNA model.

However Franklin missed out on a Nobel Prize herself, dying from ovarian cancer in 1958 at 37.

American Billie Jean King was one of the greatest competitors Wimbledon had ever seen, taking home a whopping 20 titles.

But she is perhaps best known for a one-off match dubbed "The Battle of Sexes" against Bobby Riggs in 1973.

The bespectacled 29-year-old King beat 55-year-old Riggs in front of a worldwide television audience of 50 million. She later went on to form the Women's Tennis Association and has campaigned for equal prize money for female players.

"When we plant trees, we plant the seeds of peace and hope," said 2004 Nobel Peace Prize winning environmentalist Wangari Maathai.

The Kenyan political activist founded the Green Belt Movement in 1977 in an effort to empower rural women who had started reporting their streams were drying up, their food supply was less secure, and they had to walk further than ever before for firewood.

The movement has since spread across the world, campaigning on climate change and teaming up with the United Nations Environment Programme.

This is by no means the definitive list of women who changed the world, and narrowing it down to just seven was a tough call. Who would you include? Leave your suggestions in the comments box below.

@highlight

In celebration of International Women's Day we look at seven inspiring women

@highlight

Remarkable females made huge scientific discoveries and campaigned for equality

@highlight

Which women have inspired you? Tweet your answers to @CNNIwomen