(CNN) -- The political turmoil dividing Egypt threatens the nation's future, the defense minister said, as the instability persists in the Arab world's most populous country.

"The ongoing conflict among the various political forces ... may lead to the collapse of the state and threaten the future of our coming generations," Defense Minister Gen. Abdul Fattah al-Sisi said Tuesday.

Anti-government protesters ignored President Mohamed Morsy's curfew order in cities along the Suez Canal and clashed with police and troops, state-run media reported Tuesday.

In Port Said, about 4,000 people joined the protest, which began at Mariam mosque and continued for hours, winding its way through the streets. They chanted anti-government slogans, at times laced with profanities.

The authorities didn't appear to be detaining any of the demonstrators.

On Tuesday night, the Muslim Brotherhood announced on its Facebook and Twitter pages that the president has delegated authority to either limit or cancel the curfew to governors of Port Said, Ismailia and Suez.

CNN iReport: Inhaling tear gas, breaking the curfew

The protests are the latest in the seesaw struggle between Egypt's first democratically elected president and dissidents who say his tenure is a throwback to past dictatorships, particularly the reign of President Hosni Mubarak, toppled in a popular revolt two years ago.

The most recent furor stems from Morsy's declaration of a limited state of emergency for violent hot spots. On Sunday, he announced a 30-day nighttime curfew for the provinces of Port Said, Suez and Ismailia.

Those areas have seen a spate of bloodshed in recent days, starting with the second anniversary of the Egyptian revolution on Friday.

Dissidents angry about the slow pace of change fought with Morsy supporters and police. At least seven people were killed in those clashes.

The tumult intensified a day later, when a judge issued death sentences for 21 Port Said residents for their roles in a deadly football riot last year.

Port Said, which has had a difficult relationship with Cairo over the past six decades, erupted in chaos. At least 38 people were killed in the two days following the verdicts.

Egypt's defense minister has denied reports that the army used live ammunition on protesters, state-run media reported.

Interior Minister Mohamed Ibrahim told police forces Sunday that he understands the challenges and demands they've faced, saying "together with your brothers at the armed forces, you constitute the country's shield and fort in face of all dangers."

"You've faced unprecedented and systematic patterns of violence," he said. "Your security during these confrontations is my goal."

Ibrahim huddled with Prime Minister Hisham Qandil on Monday over state of emergency arrangements, including maintaining peaceful expression, but also dealing firmly with saboteurs targeting police.

The Transport Ministry said that despite the tumult in the Suez Canal region, the unrest has not affected shipping operations to or from the eastern and western ports of Port Said or the traffic at the El Arish port.

What's behind the latest wave of violence in Egypt?

Black Bloc labeled terrorist group

Egyptian Prosecutor General Talaat Abdullah has listed one anti-government group, the Black Bloc, as a terrorist entity.

Authorities say its members are often seen wearing black ski masks, waving their trademark black flag while taking part in some of the most violent attacks against police and security forces.

The designation raises the specter of the government taking a more aggressive stance against anti-government protesters.

The group says its mission is to fight government corruption and oppression. The government has often used the Black Bloc's aggressive tactics to depict anti-government protesters as part of an insurgency that wants to topple Egypt's leadership.

Morsy calls for talks

In a speech Sunday night, Morsy decried the behavior of "criminals," saying recent violence "does not have anything to do with the Egyptian revolution. ... In fact, it is against the revolution."

But he acknowledged the legitimate dissent in Egypt, saying "dialogue is the only way to bring about stability and security."

To this end, he invited representatives from 11 political parties to a meeting.

But a key opposition leader issued conditions before accepting Morsy's call for talks.

"Without accepting his responsibility as a president for the latest bloody events, promising to form a government of national salvation and commissioning a balanced committee to amend the constitution, any dialogue will be a waste of time," said Mohamed ElBaradei, head of the Constitution Party and a member of the opposition National Salvation Front.

Protests could drag on

The National Salvation Front held the president responsible "for the excessive violence used by security forces against protesters" and called for peaceful demonstrations, according to a statement posted on the state-run Al-Ahram news website.

The group made several demands before it would urge people to stop protesting, including the formation of a new government and making changes to what it called the "distorted constitution" that voters passed in a referendum last month.

Morsy's supporters warned the opposition against such demands.

"We would like for the political forces, especially the National Salvation Front, to realize how important this defining moment is and to put the interest of the nation above all," said Gamal Tag, senior leader of the Freedom and Justice Party, the political wing of the Muslim Brotherhood.

"They need to know that President Morsy's call for dialogue is not out of weakness, but it is out of his responsibility as president. ... Some forces are still putting conditions and obstacles before this national dialogue in order to make it fail. These people do not put forward the national interest. They are looking for personal gains."

U.N. human rights official weighs in

The scores of deaths prompted Navi Pillay, the U.N. high commissioner for human rights, to denounce the violence and call for dialogue among all parties.

"While at least two policemen are among those killed, preliminary unconfirmed reports suggest that most of the casualties have been caused by live fire and excessive use of tear gas by the authorities," a statement from Pillay's office said.

In addition, as many as 25 female protesters reportedly have been sexually assaulted in Cairo's Tahrir Square over the past few days, "in some cases with extraordinary violence," the statement said.

She said the state of emergency should be governed by the rule of law, in line with international standards. She urged Morsy to listen to the demands of demonstrators and take action to deal with problems in the judicial system. She said that all "stakeholders" should be involved in reviewing legislation on demonstrations, associations and access to public information.

"I urge the government to take urgent measures to ensure that law enforcement personnel never again use disproportionate or excessive force against protesters, firstly because it is illegal to do so, and secondly because it is likely to make the situation even more explosive," Pillay said.

CNN's Reza Sayed in Port Said and Amir Ahmed, Salma Abdelaziz and Joe Sterling contributed to this report.

@highlight

NEW: President says on social media that curfews are in hands of local governments

@highlight

In Port Said, about 4,000 people join protest, chanting anti-government slogans

@highlight

U.N. office: Early reports suggest most casualties were caused by authorities

@highlight

The defense minister denies claims that the army used live ammunition on protesters