As a tenuous peace holds in the Syrian city of Homs, many of its residents are returning home for the first time in years to see what war spared them.

The neighborhood known as Old Town on Monday looked entirely dusty and gray. Many of its buildings, many thousands of years old, are heaps of rubble after non-stop of shelling.

Hassan Deshash sweated in the midday sun, cleaning up his trashed shoe store. He came back to Homs to take inventory, he told CNN's Frederik Pleitgen, who met him there. Deshash escaped Homs two years ago and has been living in Damascus, where he managed to open another shoe store.

Remembering the time he was forced from his home, he simply said, "It was awful."

Less than a mile from where Deshash picked up rebar and threw it into a pile, some parts of Homs look untouched by war. Sports stores are open, selling Adidas and Nike. Lines are moving briskly in clean and stocked grocery stores. People pass time at busy cafes.

But that's the reality of the place -- some parts were hit, others were not.

Homs was, though, the center of the first large demonstrations against President Bashar al-Assad in 2011. Now it is one of the areas of the country where stability may hold.

Rebels withdrew from Homs last week. A truce was declared after rebels agreed to a prisoner release involving 70 Lebanese Hezbollah fighters, 20 Iranian officers captured by the Islamic Front in Aleppo and a female Iranian agent who was captured at the end of March. Hezbollah and Iran have backed al-Assad's government in the war.

In Old Town, it would be understandable if Syrians felt bitter, angry or pessimistic. There is no water or electricity in many areas. Attempts at peace coordinated by international diplomats have fallen through in the past. Nearly everyone has a story of loss. At least 2,500 people were trapped in Homs, and it was incredibly difficult to deliver humanitarian aid to the city. The war has taken, by most estimates, at least 100,000 lives and has displaced millions.

As if the situation could get any more brutal, looters showed up in Old Town to swipe whatever was left in the ruins, Syrians told Pleitgen.

And yet many Syrians seemed optimistic. Most were friendly, though some politely told the correspondent they didn't want to talk on camera. They explained that they just wanted to focus on seeing what possessions they could reclaim. Some heaved mattresses and refrigerators and shoved them onto truck beds. They thought the truce would stick.

Travel was once a life-risking endeavor in Homs. But on Monday drivers rolled through checkpoints staffed by Syrian government soldiers. Even they were unusually friendly, telling Pleitgen they thought that Western media has misrepresented them as the bad guys in the civil war.

One soldier told Pleitgen that he supports the truce between the rebels and the government.

"I think this was the best thing," said the soldier who did not give his name. "It gives the people the chance to come back and start rebuilding their lives."

Syria war fast facts - revisit the history of the conflict

The roots of the war in Syria began in March 2011 after a group of teenagers and children were arrested for writing political graffiti that disparaged al-Assad, who has controlled the country since July 2000. His father, Hafez al-Assad, ruled Syria from 1970 to 2000.

When protests stirred over the arrests, the Syrian government violently cracked down, and violence followed, metastasizing throughout the country. Over time the civil war grew more complicated and involved various fighters, some of whom were Syrian, some of whom were from other countries.

By March 2012, after one year of fighting, the United Nations reported that more than 8,000 people had died. Activists fighting to oust al-Assad from office estimated the death toll to be much higher with more than 10,000 dead. Most of them were civilians, activists contended.

By February 2013, the U.N. Security Council estimated that the number of civilians killed in the two-year civil war was approaching 70,000.

In a January 2014 report, Human Rights Watch slammed international powers for failing to stop "the unchecked slaughter of civilians in Syria."

The bloodshed, Human Rights Watch said, "elicited global horror and outrage but not enough to convince world leaders to exert the pressure needed to stop it."

@highlight

A truce was declared between rebels and the Syrian government

@highlight

Homs residents who escaped the fighting returned to their homes

@highlight

Some neighborhoods were untouched; stores, cafes operate as if there was no war