He's only 3 years old, but Landon Riddle is already the focus of a medical marijuana fight in Colorado.

Landon has acute lymphocytic leukemia, or ALL, a cancer of the blood and bone marrow.  It's the most common cancer in children.

His mother says his condition has improved so much following treatment with medical marijuana that chemotherapy isn't needed. But the Children's Hospital of Colorado, she says, disagreed.

It all started back in September 2012.  Landon, then 2, was living with his mother, Sierra Riddle, in St. George, Utah, when he developed a sore throat and swollen lymph nodes. The emergency room doctor said it was a virus and sent him home.

Two days later he went back. His armpits were swollen.

"They thought it was either a virus or infection in the lymph nodes, so they gave him some antibiotics," Sierra Riddle says.

But on the fifth day, his mother says she was changing his diaper and noticed his groin was also swollen, as well as his abdomen and throat. He was having trouble breathing.

That time, she got a frightening diagnosis: cancer.

New York governor announces plan for medical marijuana at hospitals

Landon was flown to a children's hospital in Salt Lake City.

"His whole chest was full of leukemia tumors, which is why he couldn't breathe," his mother says. "They started him on chemo, but told us that he probably wasn't going to make it."

Landon's cancer had quickly progressed, leading doctors to give him an 8% chance of survival, she says.

In general, ALL is one of the most curable cancers.  According to the American Cancer Society, more than 90% of children diagnosed with the disease survive.

Chemotherapy is the standard treatment, and Riddle says doctors put Landon on a four-year treatment plan. The first two months of chemo went fairly well, but then Landon became extremely ill.

"Most days he couldn't get off the couch," Riddle remembers. "He would just lay there and throw up and throw up."

Riddle says he also developed neuropathy -- a symptom of nerve damage that can cause weakness, numbness and pain -- in his legs that left him barely able to walk.

Around that time, a friend set up a Facebook page called Offer Hope for Landon, and recommendations started streaming in, including several endorsing cannabis -- medical marijuana -- as a treatment.

Medical marijuana, however, isn't legal in Utah. Still, desperate for answers, Sierra Riddle and her mother, Wendy Riddle, started looking into it.

They considered going to California or Oregon. Then their research led them to the Stanley brothers in Colorado. The six brothers are one of that state's biggest cannabis growers and dispensary owners.

The Stanleys produce about 500 pounds of medical marijuana a year.  At the time, much of it was high in THC -- tetrahydrocannabinol, the psychoactive ingredient in pot that gets users high but also helps patients with an array of conditions including pain and nausea.

But the Stanleys were also growing something quite revolutionary: a plant cross-bred to reduce the THC and increase another compound found in cannabis called cannabidiol, or CBD. Many researchers believe CBD is one of the compounds in marijuana that has medicinal benefits. According to the National Cancer Institute, it's thought to have significant analgesic, anti-inflammatory and anti-tumor activity without the psychoactive effect.

The Stanleys expect to produce over 1,000 pounds this year, most of it the cross-bred variety, according to Joel Stanley.

Dr. Sanjay Gupta: Why I changed my mind on weed

Riddle, herself a recovering heroin addict, struggled with the idea of giving Landon marijuana.

"I was telling my mom, you know, 'We really need to think about this.'"

But, says Riddle, her son was already prescribed medications like OxyContin and morphine -- medications with significant side effects.

Landon suffered from stomach failure, and "the OxyContin made him so miserable, when he had hair, he would literally try to pull his hair out."

In the end, she decided she had nothing else to lose and moved to Colorado. She rented a room, got Landon's medical marijuana card and began giving him marijuana -- THC for the pain and nausea, but also CBD. The dose was based on Landon's weight. He first took it in oil form, but now takes a pill.

Once the doses started, "Landon's (red and white blood cell) counts increased dramatically," she says.

Six months later, encouraged by Landon's progress, she stopped his chemotherapy treatments completely.

"Once I took the chemo out, I see these amazing results. And no more need for blood transfusion and platelet transfusions," Riddle says. "I think that the chemo in combination with the cannabis did put him into remission and now the cannabis will keep him there."

But Landon's doctor at the Children's Hospital of Colorado was shocked.

"She told me with no uncertainty that if I refused chemo, she would have no choice but to report me to the proper authorities," Riddle says.

So Riddle found a lawyer willing to take her case.

"Nobody wants to hurt Landon here," says attorney Warren Edson. "This is about making him better.  We have no problem making sure he's monitored throughout this process.  And again, if there's any indication this is doing him harm, I can't imagine Sierra doing anything other than the right thing."

Medical marijuana helps stem 6-year-old's seizures

Children's Hospital Colorado, in a statement, says it is "committed to protecting the well-being of our patients." The hospital says it cannot discuss specific cases, but provided information from Dr. Stephen Hunger, director of the hospital's Center for Cancer and Blood Disorders.

Hunger noted that childhood cancer remains the leading cause of death by disease among American children; that about 25% of childhood cancers are ALL; and that the survival rate for children with ALL treated by Children's Oncology Group research trials is over 90%, attained with two to three years of chemotherapy.

Children's Hospital Colorado is "one of the largest centers in the country that treats children with ALL," the statement says.

"The Center for Cancer and Blood Disorders at Children's Hospital Colorado has always done its best to work closely with families to provide the most appropriate treatment for cancer, while also seeking to minimize side effects and maximize quality of life.

"Today, chemotherapy is a required part of therapy for children with leukemia. Many supportive care medications are used in children and adults with cancer, including those considered to be complementary and alternative medicine (also referred to as integrative health).

"Marijuana or a product derived from marijuana is often used to decrease side effects in adults with cancer," the hospital says. "There are several FDA-approved and commercially available anti-nausea medicines derived from marijuana (cannabinoids) that are frequently used by adults and children with cancer, and we often prescribe these medications."

In an effort to stave off a legal wrangle, Riddle, her mother and Edson met with the doctors in charge of Landon's care in October.

"They said they were willing to work with us. They said they were willing to alter the chemo plan, and they did not," Riddle says.

Child protective services -- which Riddle says had already been notified and visited the family's home -- was also at the meeting, along with Dr. Margaret Gedde, who wrote Landon's original prescription for marijuana and is monitoring his care.

"I could see a large gulf between the doctors who were making the point this is a fatal disease -- 'You know, he needs this treatment to survive,' and pretty much that was their stance," says Gedde.

"The family wanted to discuss more alternative modes of treatment and really things that wouldn't make him so sick, but again, the doctors being convinced that really it had to be done the way that they were used to it (being done) -- that just made it very much really a confrontation there of two different mindsets. I felt sympathetic to both."

Child protection officials declined comment on the case.

The American Cancer Society, meanwhile, cautions that cannabinoids have not been tested in humans to determine if they can lower cancer risk.

"There are many challenges with marijuana research as it relates to cancer," the organization says in a statement. "While it shows promise for controlling cancer pain among some patients, there is still concern that marijuana may cause toxic side effects in some people and that the benefits of THC must be carefully weighed against its potential risks. There is no available scientific evidence from controlled studies in humans that cannabinoids can cure or treat cancer."

Is medical marijuana safe for children?

For now, Landon is still in remission with no sign of recurrence. Still, Gedde is cautious and says she can't recommend cannabis over chemo.

"When you look at children who go through that same course of treatment and compare Landon to them, it seems like he's doing better than what would be expected," she says.

"I'm very hopeful and very encouraged that the CBD is probably having a beneficial effect for him, but I think we're still looking to have the disease course play out and find out. I think in cancer, you don't really know until later."

Meanwhile, Edson says child protection officials have not yet filed a case.

"We will continue to monitor Landon's health, make sure he's getting the proper blood tests and other checks to see what's going on with him healthwise," he says.

In December, Sierra Riddle notified Landon's doctors that she plans to transfer his care. She's searching for a physician willing to work with her to reduce the amount of steroids and chemotherapy he takes.

Wendy Riddle says they have no regrets and will continue to fight.

"It's not just fighting for Landon. It's not just about him, it's about all of the kids to come," she says.  "When Landon is 15 years old and we talk about this, I want Landon to know that we did everything in our power to be compassionate in his care and to protect him."

@highlight

Landon Riddle has acute lymphocytic leukemia

@highlight

His mom stopped chemo after seeing improvement from medical marijuana

@highlight

Hospital officials, she says, threatened to report her to authorities

@highlight

Landon is in remission and doing well, Sierra Riddle says