A proposed new route through Nebraska for the controversial Keystone XL pipeline will require six to nine months of review under the normal process conducted by state and federal officials, a Nebraska official said Thursday.

Mike Linder, director of the Nebraska Department of Environmental Quality, told CNN that the proposal from TransCanada will undergo a public comment period followed by final revisions by the company before his agency does its full assessment.

Noting the delay in the project over the route alteration, Linder said: "We're still saying six to nine months."

TransCanada, the company proposing the pipeline from Canada's oil sands production in northern Alberta to the U.S. Gulf Coast, is seeking approval for a new route east of the initially proposed route, which went over an environmentally sensitive aquifer.

A State Department official told CNN on Thursday that the Obama administration has not received a new permit application for the proposed alternate route for the northern portion of the pipeline.

When the department receives an application, the next step would be to coordinate with Nebraska and other states along the route as they assess the proposal, the official said on background.

Linder, a Republican who is a political appointee, said it is up to TransCanada to submit a permit application to the State Department.

The 1,700-mile pipeline, intended to carry between 500,000 and 700,000 barrels of crude oil a day, has become a political lightning rod in the United States.

Last year, the Obama administration postponed a decision on the pipeline until 2013, citing concerns raised by Nebraska officials and environmental groups about the original route near the vital Ogallala  Aquifer, which provides drinking water for much of Nebraska and is important for the state's agricultural economy.

Environmentalists fear a burst in the pipeline would allow oil to seep into the massive water table.

Republicans accused President Barack Obama of putting off the issue until after the November election to avoid angering his environmental allies. They forced the addition of a provision to speed up approval of the project  in the December debt ceiling agreement despite warnings by Obama that the 60-day timeline for a decision would guarantee rejection.

In February, the State Department -- which has authority over international pipeline projects -- rejected the proposal on grounds that there was no alternative route to examine. TransCanada said then it would submit a new proposal for the route through Nebraska.

Supporters, including the oil industry, say the pipeline would create jobs and reduce the country's dependence on oil imported from volatile regions.

"The stars are aligning for America's energy future and President Obama should make the right choice now and approve the entire Keystone XL pipeline," said Jack Gerard, president and CEO of the American Petroleum Institute, the main oil industry organization. "The president's concerns about the sensitive Sand Hills area of Nebraska have been addressed. There are no more excuses. Mr. President, let's get this energy and job-creating project started now."

Opponents, including environmentalists, say that the pipeline might leak and that it would lock the United States into a particularly dirty form of crude oil that might ultimately end up being exported anyway.

Under the timeline provided by Linder, hearings for public comment will be held and TransCanada will then consider that feedback to determine the specifics of the proposed alternate route.

"We will have a significant amount of time for public comment," Linder said. "... They'll refine the route they really want to focus on as a preferred route and then do a more in-depth analysis on the ground of the actual route."

Once TransCanada submits that final proposal to his department, it should take 30 to 60 days for the review to be completed and a draft supplemental impact statement prepared, he said.

Regarding the State Department's role, Linder said the situation is unique because under normal circumstances, TransCanada would have an application pending. However, the initial application was rejected, so the company must file a new one.

Republican leaders are pressuring Obama and Democrats to speed approval of the pipeline.

"With this new route submitted and the state of Nebraska acting to move forward, the president is running out of excuses for blocking the Keystone pipeline any longer," House Speaker John Boehner, R-Ohio, told CNN on Wednesday, noting that a "veto-proof majority" in the House of Representatives supports the project.

The House on Wednesday approved a Republican bill that aims to fast-track the Keystone project as part of another 90-day extension of federal transportation funding. The 293-127 vote allows Boehner to begin negotiations with Senate Democrats over a longer-term funding measure for road, rail and bridge projects.

Obama announced in March that he would approve the southern portion of the pipeline, which runs from Cushing, Oklahoma -- a key repository of U.S. oil -- to the Gulf. He had said he was always in favor of permitting that portion, even when he blocked the full project.

Currently, there are not enough pipelines to take the oil being produced in Canada and North Dakota to refineries and terminals on the Gulf. That means Midwest refineries can pay lower prices to get it.

Giving the Canadian oil easier access to the Gulf means the glut in the Midwest goes away, making it more expensive for the region, but it would increase the amount of that oil available to global markets.

@highlight

A Nebraska official says reviewing a pipeline route usually takes six to nine months

@highlight

TransCanada submits an alternate route for the Keystone oil pipeline through Nebraska

@highlight

The pipeline has become a political lightning rod

@highlight

Republicans accuse President Obama of delaying the pipeline for political reasons