It's a staggering statistic: 43 college students from the same school, all hoping to become teachers someday -- all missing and feared dead.

Their disappearance became a flashpoint for national protests. Mexico's President met their parents. The Pope sent them prayers.

Mexico's attorney general says they were captured by police on the orders of the Iguala mayor, Jose Luis Abarca, handed over to a drug gang and executed. Authorities say they believe the students' burned remains were thrown into a river, but many family members say they're still holding out hope until there's DNA proof.

On Friday, prosecutors said they had charged Abarca with six counts of aggravated homicide and one count of attempted homicide in the deaths. Abarca and his wife, Maria de los Angeles Pineda, were arrested in Mexico City on November 4.

As the controversial case grabs global headlines, the students' families and classmates march in demonstrations -- carrying large photos of their faces, sharing their stories and demanding justice.

"Our children are not criminals. They are people who were just starting to study for their careers. They wanted to help others," says Epifanio Álvarez, whose son is among the missing.

Here's a closer look at some of the students' stories:

Jorge Aníbal Cruz Mendoza, 19

Carmelita Cruz cries as she describes her youngest son.

"He has always told me that I am everything to him, and as my youngest son, I also told him, 'Son, you are everything to me,'" she says.

Once, during a family pillow fight, her other children complained that she was fighting too much on his side.

Now, Cruz is fighting to demand answers from authorities over her 19-year-old son's fate.

Even before the September night of shootouts in Iguala, Mexico -- which left several students dead and the group of 43 missing -- she'd been worried about his safety studying at Escuela Normal Rural de Ayotzinapa.

The teachers' college in Guerrero state is known for its political activism in addition to training teachers, and police have been known to spar with student protesters in the past. She'd hoped he'd study at one of Mexico's large public universities.

But Jorge made up his mind: He wanted to study at Ayotzinapa.

"He wanted to be here. His dream was to study in this school to help poor people," Cruz told CNN en Español's Fernando del Rincon in a recent interview.

When investigators first started looking into the students' disappearance, some suggested they could have been mixed up in gangs. Not true, Cruz says.

"I think the government is guilty. But obviously they want to wash their hands and blame those who are not responsible," she says. "In this case, my son is so young. I know him. He does not know how to use a weapon. ... He doesn't even know how to use a knife. And I think that's true of all 43 of the young people. If they had weapons, they would have defended themselves."

José Ángel "Pepe" Navarrete, 18

Pepe went to the well-known teachers' college with a clear goal, his father says: working with marginalized communities.

It's a common aim of many at the small, government-funded school, which gives the students it trains the opportunity to work in some of the poorest and most remote communities in Guerrero.

His father -- like many parents of the missing students -- says he believes they are still alive. And he says he has a message for his son's captors, whomever they may be. The 43 students, Emiliano Navarrete says, "are kind, defenseless young people who shouldn't have to pay for the crimes of adults."

Whoever took the students, he says, must be human beings, too. "They also have children, and they wouldn't like the same thing to happen to them."

Inside a barren dorm room, one of Pepe's roommates told animalpolitico.com that he loved soccer.

"That's why he got along well with everybody," his roommate said. "He knew how to relax."

Israel Jacinto Lugardo, 19

There's one thing Isrrael Galindo knows for sure about the night his son went missing.

The 19-year-old student had contacted his older brother and asked for help.

"He told him, 'Hurry, because the police have taken us. They used tear gas,'" Galindo told CNN en Español's Jaqueline Hurtado.

From his home in San Jose, California, the construction worker said he believes his son is still alive, despite what government officials claim.

He describes his son as playful, calm and hard-working. As a child, Galindo showed him how to repair bicycles, cars and farm machinery.

"He learned fast and could do anything," Galindo told the San Jose Mercury News.

Back in Mexico's Guerrero state, where the students disappeared, the teen's mother has marched in demonstrations, carrying a large photo of her missing son.

"He is a good boy. He came here very excited to study," she told Mexico's animalpolitico.com website. "But we did not expect that something like this would happen. I demand that the government do something."

Julio César López Patolzin, 25

In a spiral-bound notebook that still sits in his dorm room, Julio César pulled out a pencil and documented his first days at the college.

"I entered this school for the simple reason that my parents are peasants with few resources and my ability is to be responsible also academically," he wrote, according to a photograph of the August 27 entry that appeared in Mexico's Proceso magazine. "I try to pay close attention to the teachers in order to get ahead."

Less than a month later, he disappeared.

Now there is just one student left living on that floor of the dorm, Proceso reported. Julio César and five others who lived there are among the 43 missing. Inside the dorm, a plastic cup and toothbrush are still sitting on Julio César's duffle bag.

The last student left living there told Proceso that he won't leave, because he's waiting for his classmates to come back.

Miguel Ángel Mendoza Zacarias, 23

Most of Miguel Ángel's classmates are younger than he is. That's because he had another job as a barber before he started at the teachers' college.

"He cut hair and that's how he got ahead," his best friend told animalpolitico.com. "He didn't start studying sooner because he didn't have money. And he decided it was better to help his parents with his business, and to work in the fields."

At the teachers' college, his friend said he was known for being supportive and giving good advice.

On September 26, they were sitting side by side on a bus when violence broke out in Iguala.

"He ran one way, and I ran the other. I got on a bus and the police in Iguala arrested him. I managed to escape," the friend told animalpolitico.com. "But since then, I've been searching for him."

Antonio Santana Maestro

Antonio recently started playing guitar and loved spending hours playing video games, his friends told animalpolitico.com.

But what he enjoyed more than anything was reading, his friends said.

Classmates nicknamed him "Copy," because he was so good at recalling information and parroting it back.

Antonio was among the students in the school's so-called Activist House, a political education program students can volunteer to join.

"In our political workshops, he always expressed himself so eloquently," one friend told the website. "He is a very smart person who knows everything about everything you ask him. ... In one workshop, he spent 10 minutes speaking on subjects that no one has a command of. And he just made a remarkable speech out of what he had heard and read."

Jorge Álvarez Nava, 19

At first, it was hard for Jorge to adjust to his freshman year. But things were looking up, his father says.

Jorge turned 19 on a Tuesday in September. He called his parents the next day.

"He told us that he was happy, that the most difficult things were over," Epifanio Álvarez recalls.

By Saturday, Jorge had vanished without a trace -- one of the 43 students who disappeared.

"In the morning, I went to work in the fields," said Álvarez, a peasant farmer. "When I came home, my wife found me and told me something horrible had happened in Iguala."

Since then, Álvarez says he hasn't stopped searching for his son -- and he won't, until he finds him.

But even as he pushes to keep looking, Jorge's father says he finds himself filled with despair when he's at home and sees his son's belongings

"We saw his guitar. Really, seeing his things there, you start to cry, overcome by the feeling that he isn't there," Álvarez says, tearing up as he described his son's love for music. "We wonder, what is happening to him? And we don't know."

@highlight

Former mayor charged with homicide in deaths of college students

@highlight

43 college students went missing in Mexico in September

@highlight

Their disappearance sparked nationwide protests and has drawn worldwide attention

@highlight

"Our children are not criminals. ... They wanted to help others," one father says