(CNN) -- When Bitcoin's architect first unleashed the idea of creating a decentralized virtual currency on the internet, the tech-savvy elite sat up and listened.

That was in 2008. Just a year later, operating under the pseudonym Satoshi Nakamoto, the unknown developer took the concept live. By year-end, over 1.6 million bitcoins had been mined.

Since then, the meteoric rise of the digital currency has continued to capture the world's attention as financial institutions now examine its viability.

At a time when many have lost faith in the global financial system, Bitcoin is being hailed as the future of e-commerce.

"It's lower cost, lower risk and a more accessible form of payment from anything else we have today, especially for shopping online," says Tony Gallippi, founder of BitPay, a Bitcoin payment processing service.

"Credit cards were designed in the 1950s and were never designed for the Internet. It leads to issues like identity theft and payment fraud."

Gallippi -- who recently testified before a U.S. Senate committee on the growth of Bitcoin -- explains that the virtual peer-to-peer currency was created to be "borderless by design," thus opening the door to the international marketplace for smaller merchants.

Internet's currency of choice

The anonymity of the currency is also a plus for Bitcoin users as no verified personal data is required for making online transactions. This has led many to speculate that Bitcoin will be mainly used for illegal online transactions.

"For small businesses that have unique items, it really opens up their business to a truly worldwide customer base ... It's going to become the default payment system for the internet by the end of this decade," adds Gallippi.

While Bitcoin's electronic nature makes it appealing for e-commerce, Gallippi acknowledges that there are still some kinks in the system that need to be ironed out.

"Tax implications and potential regulation are some obstacles we face ... the other issue is that perhaps [Bitcoin] is not quite ready for mainstream consumers just yet.

"I think we've got quite a bit more work to do on the engineering side ... But I would expect Bitcoin will soon become the preferred method of payment for connecting businesses over the Internet," predicts Gallippi.

The implications for e-commerce from the Bitcoin experiment continue to intrigue economists and financial analysts as some believe the crypto-currency could revolutionize the global marketplace.

Bitcoin to replace traditional banking?

"For more conventional businesses, I think the advantages are really in international commerce," says Tom Elliott, director for the Emerging Markets Communications Strategies service at Strategic Analysts.

"You have significantly reduced transaction costs compared to converting one international currency to another international currency -- it's typically cheaper."

Meanwhile, Jon Rushman, an economist and professor at Warwick Business School says: "The brilliance behind the technical design of Bitcoin is the fact that the mechanism for payment is a distributed network. No one owns it. It doesn't run in a data center owned by PayPal or Mastercard or Visa."

The added bonus? No middlemen taking a cut from the transaction, he says.

Rushman explains the currency's recent surge is largely responsible for grabbing the financial world's attention.

Erratic price value

In January 2013, one Bitcoin was worth around $13, surging in November to a staggering all-time high of $1,242 -- almost the same price as an ounce of gold. But since then, its value has dropped again to around $925, according to Mt.Gox exchange rates.

And, according to Rushman, Bitcoin's erratic fluctuation is exactly what deters some businesses from adopting the currency: "You wouldn't want to reprice every article in your shop everyday, which is why we like standard exchange rates."

"[If] you're a retailer and you carry Â£100 ($164) in your till overnight, normally you're not really worried about the fact that it's going to still be Â£100 in the morning.

"It could indeed become the system of payment [online], but it has to get over this hurdle of volatility. You have to bridge that gap between what we trust today and the type of thing we might trust tomorrow."

But while some tout Bitcoin as the future of online shopping, others are describing it as the latest monetary fad.

Jeremy Cook, chief economist at UK-based foreign exchange firm, World First, says Bitcoin is a mere internet affectation.

"It still appears to be a very niche payment option ... until the volatility calms down, the use of it as a payment method -- to buy shopping, a house, a car, send children to university for example -- is going to be very, very limited.

"Traders don't want volatility in the currency that they are taking in. They don't want additional cost," he adds.

The China conundrum

Despite these concerns, some central banks have begun to throw their weight behind the virtual currency.

Germany announced it recognized Bitcoin as "private money" -- but until more central banks, like the U.S. Federal Reserve, back it, Bitcoin will remain a niche digital payment option, warns Cook.

One key country that Bitcoin enthusiasts and analysts have been closely watching is China.

"The Chinese are the big, big domino to fall. If the Chinese get behind it, then it will become a part of an Internet revolution," says Cook.

But last Thursday the People's Bank of China placed a ban on financial institutions handling the money after stipulating that the virtual cash had no legal status.

With yet another hurdle now in place for Bitcoin, Cook believes its widespread adoption is a little optimistic.

"Certainly, you can believe that the future of Internet commerce will involve these kind of instantaneous payment methods. I have no doubt about that -- but people want simplicity.

"At the moment, the Bitcoin experiment doesn't offer simplicity. It complicates matters by people having to understand another way of doing things."

Infographic: What is Bitcoin?

@highlight

Bitcoin has generated a cult-like fervor amid reports of increasing value

@highlight

Market volatility, government backing remain barriers, say analysts

@highlight

Enthusiasts say Bitcoin is future of online shopping