(CNN) -- Over Valentine's Day weekend in 2003, a group of Italian thieves broke into a massive vault in the heart of Antwerp, Belgium's diamond district and got away with an estimated $500 million worth of precious stones and diamonds. While the rest of the city was busy celebrating romance and love, these tenacious men peeled open safe deposit box after safe deposit box, leaving excess treasure on the ground like it was garbage.

When the security guard came to unlock the vault door on Monday morning, he found it already opened and the vault floor littered with millions of dollars worth of diamonds, gold, semiprecious gems and other items the thieves left behind. Everyone was stunned. Despite the heavy security, the unimaginable happened.

Drag queens, fake beards, chocolates: Notable diamond heists

Ten years later, it happened again. On Monday night, a well-organized group of armed men dressed like police officers swarmed a passenger plane in Brussels, Belgium, and made off with about $50 million worth of diamonds.

It just shows -- you can never let down your guard when it comes to diamonds.

The problem with safeguarding diamonds is that they are so incredibly valuable and easy to resell that thieves will always be trying to get their hands on them. It is important for those tasked with securing such high value items to never grow complacent. The more valuable a target, the more likely that there will be those out there biding their time and learning the mechanics of the security measures in order to break them. Once a heist occurs, it is nearly impossible to trace back the stolen diamonds.

Just as banks have problems with robbers desiring their cash, those in the diamond trade have to constantly prepare for the possibility that one day, after years and years of nothing happening, they will be under attack.

In the 2003 heist, the vault was thought to be impregnable in part because of the surrounding high security of the Antwerp diamond district. But the clever thieves bypassed the security by entering through the rear of the building that held the vault via a garage door that opened outside the secure portion of the district. After that, they had to beat a combination lock, key lock, heat detector, motion detector, light detector and more.

Monday's heist involved a transfer of diamonds from the Antwerp diamond district to the Brussels airport. I've seen these diamond runs before. A Brinks armored truck arrives in nearby Antwerp, passes through the extensive security surrounding the diamond district and picks up cash and diamonds. Then it takes the valued goods to the Brussels airport to be flown to diamond centers around the world.

Key elements of the security in these runs include the armored truck, which would be difficult, although not impossible to neutralize. The runs are also accompanied by police officers equipped with submachine guns and body armor. Antwerp's diamond district, much like Brussels' airport, has hundreds of closed circuit cameras, armed guards and barriers against unauthorized vehicles as part of its security measures.

The thieves must have watched and noticed that as impressive as this security looks, there were holes. Or perhaps they had an inside source that alerted them to a vulnerability. Once the trucks arrived at the airport with their police escort, they would make their delivery and then leave. So for a very small window of time, only unarmed cargo workers would guard the jewels.

Those transporting diamonds assumed that the security at a major international airport would be enough to protect their goods. Now they know they can't assume anything. The thieves just needed to get around all the normal airport security that prevented them from walking into the airport and getting to the plane through the front door. There were holes in the airport's security wide enough to drive a truck through, and that's literally what happened. The thieves cut some fences, drove onto the tarmac, grabbed the diamonds and got out fast.

In the age of terrorism, it is shocking that armed men were able to make it onto a tarmac right beside an airplane filled with passengers. The thieves took advantage of this assumption by everyone involved that an airport tarmac is a safe place. The people transporting the diamonds should have made sure they were secure until the moment the plane lifted off the ground and maybe even have someone on board to protect them in flight.

Instead, the armed police who brought the diamonds to the airport were gone by the time the robbers drove up to the plane.

Anytime that you are protecting something of enormous value, you need to stay aware that there are smart, talented people who will spend the time needed to carefully dissect the security and exploit any weakness in it.

Those protecting diamonds need to be running scenarios where they imagine ways to negate or bypass their own security. Perhaps outside experts -- or teams -- could be used, one side trying to achieve a criminal objective, while the other thinks of ways of beefing up security to prevent them.

Ten years after the world-record-setting diamond heist in Antwerp, this week's diamond robbery is a sharp reminder that sophisticated criminal outfits are still out there and that even the most impressive security system could have unnoticed holes. As long as we value diamonds, there will be those who apply their intelligence and creativity to stealing them.

The opinions expressed in this commentary are solely those of Scott Andrew Selby.

@highlight

On Tuesday, armed men pulled a heist and made off with about $50 million worth of diamonds

@highlight

Scott Andrew Selby: You can never let down the guard when it comes to diamonds

@highlight

He says there are always clever people who will try to exploit any holes in the security

@highlight

Selby: Those tasked with securing highly valuable items should never grow complacent