Two veterans in a Veterans Affairs psychiatric facility languished for years without proper treatment, according to a scathing letter and report sent Monday to the White House by the U.S. Office of Special Counsel, or OSC.

In one case, a veteran with a service-connected psychiatric condition was in the facility for eight years before he received a comprehensive psychiatric evaluation; in another case, a veteran only had one psychiatric note in his medical chart in seven years as an inpatient at the Brockton, Massachusetts, facility.

Examples such as those are the core of the report released Monday by the OSC, an independent government agency that protects whistleblowers.

Read the OSC letterThe agency said it is still investigating more than 50 whistleblower disclosures involving patient health or safety allegations at the VA nationwide, and "these cases represent more than a quarter of all matters referred by OSC for investigation government-wide," according to the report.

Fear kept the VA scandal a secret

The report also slams the VA's medical review agency, the Office of the Medical Inspector, or OMI, for its refusal to admit that lapses in care have affected veterans' health. For example, when the office reviewed the Brockton psychiatric cases, it confirmed the patient neglect yet "denied that... (it) had any impact on patient care."

"The VA, and particularly the VA's Office of the Medical Inspector (OMI), has consistently used a 'harmless error' defense, where the Department acknowledges problems but claims patient care is unaffected," the OSC said. "This approach hides the severity of systemic and longstanding problems."

In response to the OSC's letter, Sloan Gibson, the VA's acting director, issued a statement: "I respect and welcome the letter and the insights from the Office of Special Counsel. I am deeply disappointed not only in the substantiation of allegations raised by whistleblowers, but also in the failures within VA to take whistleblower complaints seriously."

Gibson said he has directed a "comprehensive review of all aspects of the Office of Medical Inspector's operation, to be completed within 14 days."

As part of its review, the OSC looked at whistleblower allegations at 10 VA hospitals, where it found the VA's review of cases "appears to contradict its own findings."

According to the OSC, at a VA hospital in Jackson, Mississippi, the Office of Medical Inspector substantiated a number of allegations, including "improper credentialing of providers, inadequate review of radiology images, unlawful prescriptions for narcotics, noncompliant pharmacy equipment used to compound chemotherapy drugs, and unsterile medical equipment."

"In addition, a persistent patient-care concern involved chronic staffing shortages," which led to the creation of "ghost clinics" in which veterans were scheduled for appointments without an assigned provider and as a consequence were leaving the facility without receiving treatment.

Despite the numerous lapses in care at the Jackson VA, the Office of Medical Inspector did not acknowledge any impact on the health and safety of veterans, according to the OSC letter.

Monday's letter also outlined whistleblower complaints ranging from unsterlized surgical equipment in Ann Arbor, Michigan, to neglect of elderly residents at a geriatric facility in San Juan, Puerto Rico, to a pulmonologist in Montgomery, Alabama, who "copied prior provider notes in over 1,200 patient records, likely resulting in inaccurate health information being recorded."

Other facilities with substantiated complaints include Grand Junction, Colorado;  Buffalo, New York; Little Rock, Arkansas; and Harlingen, Texas.

The OSC said all these cases are "part of a troubling pattern of deficient patient care at VA facilities nationwide, and the continued resistance by the VA, and the OMI in most cases, to recognize and address the impact of health and safety of veterans."

The agency also expressed concern that the VA hasn't adequately addressed whistleblower complaints of wrongdoing. Referring to the scandal of a secret wait list at the Phoenix VA facility, the OSC found that "the recent revelations in Phoenix are the latest and most serious in the years-long pattern of disclosures from VA whistleblowers and their struggle to overcome a culture of non-responsiveness.  Too frequently, the VA has failed to use information from whistleblowers to identify and address systemic concerns that impact patient care."

At a facility in Fort Collins, Colorado, the Office of Medical Inspector substantiated allegations made by a VA employee, including a shortage of providers that led schedulers to cancel veterans' appointments. It found that 3,000 veterans were unable to reschedule appointments and that staff was instructed to alter wait times.

In May, CNN interviewed Lisa Lee, who worked as a scheduler at the VA clinic in Fort Collins. "We were sat down by our supervisor ... and he showed us exactly how to schedule so it looked like it was within that 14-day period," Lee told CNN. "They would keep track of schedulers who were complying and getting 100 percent of that 14 day(s) and those of us who were not."

Despite its findings in Fort Collins, the Office of the Medical Inspector wrote that it "could not substantiate that the failure to properly train staff resulted in danger to public health and safety."

In Monday's letter, the OSC disagreed with that determination, saying the VA's conclusion in this case "is not only unsupportable on its own, but is also inconsistent by other VA components examining similar patient-care issues."

Since November 2013, CNN has been investigating and publishing reports of wait lists and deaths of veterans across VA hospitals across the country. In April, details of the secret wait list in Phoenix, and allegations of 40 veterans dying there while waiting for care, emerged when retired Phoenix VA physician Dr. Sam Foote stepped forward; Dr. Foote first appeared on CNN with details of what happened in Phoenix.

Congress had chances over the years, but action on VA not enough

Performance reviews at troubled VA showed no bad senior managers

@highlight

VA's acting director says he has ordered review of VA's medical review agency

@highlight

Office of Special Counsel sends scathing report on veterans care to White House

@highlight

VA's "approach hides the severity of systemic and longstanding problems," agency says

@highlight

As part of review, OSC looked at whistleblower allegations at 10 VA hospitals across the country