Prague, Czech Republic (CNN)  -- How do you see the popular uprising sweeping the Middle East and North Africa?

It's an epoch-making event. We don't know what it will lead to, how it will finish up.

But there is one thing I find very interesting -- there are thousands of experts at ministries, at universities, in science institutes, who specialize in the Arab world. Not one of them predicted that this would happen. More than 10 countries are now experiencing this revolt. There are many similarities with the fall of the Iron Curtain in Europe, but also many "dissimilarities."

There is one thing I would add -- in the countries where it's impossible to do a free poll, it's hard to see what is happening below the surface. I remember that Western journalists were telling us for years: You charter-signers and dissidents are Don Quixotes. You are not supported by the working class or farmers or some serious political power. What kind of sense do you think it makes? I was saying: "Be careful. Be careful. What do you know about what's happening under the surface of the society?"

Those are the things which someone, especially coming from the free world, would never expect to be happening. And all of a sudden, it explodes somewhere, it's contagious, hitting other countries. And that's similar to what was happening here 20 years ago.

How could the experts get it so wrong?

For example Gadhafi -- everybody knew he's a fool, a clown, a ridiculous figure. But nobody said he's a madman and a criminal. He had to start murdering his own nation and forbidding the removal of dead bodies from the streets before something which should have been known was finally recognized.

Is it because Gadhafi had oil resources?

That's another thing which plays an important role, of course. And as long as the economic interests will be superior to human interests and the interests of human rights, the development of this civilization won't be good. But that's generally a problem of civilization. It's not just about Gadhafi.

What ignites this human passion for freedom?

It's the snowball principle. Totally marginal thing starts rolling, wrapping up many other layers and eventually it leads to something nobody awaited, expected, or predicted. But what is also sleeping under the surface and is invisible is a longing for certain elementary freedoms and that doesn't usually break out just like that, by itself. The snowball is created, it's rolling and rolling and, very often, it turns into an avalanche. But this avalanche doesn't start just by itself.

What kind of person should they choose to lead them?

There are certainly enough people in all those Arab countries which long for democracy. They are fighting for democracy, for freedom, for human rights, but they still haven't had a chance to express themselves. They will be probably positioning themselves very quickly according to the new situation and there will be partners.

Today, it's harder for the free world than during our times because there are no similar dissident organizations or structures, though there are also some hints of that as well in all of those countries. But there are no alternative powers in position, so they have to get in positioned very quickly. So the situation is naturally harder for the Western world, because they don't really know whom to contact or support.

The whole [1989] revolutionary movement was made easier thanks to some kinds of alternative structures. It was not just people accidentally passing through Wenceslas Square who went on the balcony there. And a long time before that, many years before that, we were taken as partners, up to a certain degree. That means it was easier than it is now, where the partnerships are forming and taking shape.

I think the leaders can't come from the political sphere, because any political opponent was murdered a long time ago, suppressed, chased out of the country and so on. People from other professions must become politicians quickly, overnight. That's something what we have experienced. I believe that the younger generation, students, etc. will offer, will create, and will form such personalities. Five days is enough. In the modern media era, a few days is enough so that a person becomes generally known and viewed as someone who really cares about freeing people, about democracy.

What are your concerns for these uprisings now?

I was following all those events very closely, especially in Egypt. And I was longing very much for a quick end, because I know that the longer it lasts, the more violence appears. And in Libya, it has been lasting a long time and it turned into a fratricidal war.

The faster the process of change, the fewer victims there are. By some political instinct, it's necessary to estimate a certain point when it should culminate and end. To drag it out brings many new dangers. And it's not only a question of numbers, that there are more victims over more days, but it's also becoming worse in other ways. Freed prisoners become a part of it, become thieves [for example].

If the people of the Middle East want real democracy, where must they keep their focus?

I wouldn't like to play the role of an advisor to Arab countries. I think it's also important to respect the cultural differences, differences of traditions. But in the Arab world, like in any other civilization, there exist certain basic values, some common, shared, moral and political minimum which is necessary to defend.

And it works like this: the world has to go through big shake-ups so it can recover its freedom. The Universal Declaration of Human Rights was created after World War II. It could hardly have been created later. It's a question of whether another movement toward deepening human freedoms will demand another such catastrophe or if it will be possible without it.

How difficult is it going to be for them to build the institutions of a democracy?

First of all, let's realize that these countries haven't actually experienced democracy. They don't have the tradition which the central European countries had had at least a little of. That makes it harder. But of course it requires creation of a whole institutional system. Perhaps more important than whether we have a one or two-chamber parliament, more important than the institutional aspect is the political culture -- a certain spirit of the institutions, I would say. That's a problem still until today, even here, even though it has been 20 years since our big political change.

There is a struggle between those who are called spiritualists, who talk about the spirit of institutions, mechanisms, elections and so on, and those who are defenders of legal positivism, formalists, who are betting on the institutions as such.

Are the countries that saw revolutionary change in 1989, are some of them backsliding now?

I think that the authoritarian elements that we can observe in Russia and in a much worse way in Belarus and now in a certain way in Ukraine are of a different nature than the pure totalitarian system as we remember it. They are different because they are more sophisticated and are motivated by economic interests. It's a dictatorship in gloves. But it is also necessary to come to terms with this. I would say it's a typical post-communist phenomenon.

What do you hope is your personal legacy?

I would be glad if it was felt that I have done something generally useful. I don't care much about personal fame or popularity. I would be satisfied with the feeling that I had a chance to help with something in general, something good. That history gave me that chance.

@highlight

Former Czech Vaclav Havel helped lay foundations for democracy in eastern Europe

@highlight

Havel: Development of civilization will not be good if economic interests are superior to human interests

@highlight

Hopes his personal legacy is that history gave him the chance to help with something good

@highlight

Havel: I wouldn't like to play the role of an advisor to Arab countries