(CNN) -- Bowe Bergdahl, the only American POW in Afghanistan, has doubtless been at the forefront of his parents' minds, if not atop the national conscience.

It's not that the American people don't care; it's more that updates about the 27-year-old soldier have been sparse, as his family has remained reticent for fear of jeopardizing his safety.

With news that the U.S. will engage in peace talks with the Taliban and encouraging signs that Bergdahl will be included in a prisoner swap, we'll likely be hearing more about the man whom friends and family describe as an adventurer and a gentleman.

The U.S. expects prisoner exchange to be a topic of the talks, which are slated to take place "in the coming days," in Doha, Qatar, said State Department spokeswoman Jennifer Psaki during a Thursday briefing.

No decisions have been made about transferring any Taliban detainees held at Guantanamo Bay. Any such decision would have to be made with congressional approval and in accordance with U.S. law, she said.

Already, Bergdahl's parents, Jani and Bob, have released a statement through a family spokesman, Army Col. Tim Marsano, saying they will speak to the crowd during a "Bring Bowe Back" rally in Hailey, Idaho, this weekend, though they're not granting interviews.

"The family is encouraged by the possibility. Anytime that there are discussions and negotiations that may lead to the freeing of their son ... that is encouraging news, especially after not much encouraging news over the past four years," Marsano said, adding that the Bergdahls have been talking with military and government agencies. "They know their son has not been forgotten. My brothers and sisters in uniform know we won't rest until Bowe Bergdahl is safely back with his family."

Those who know Bergdahl say he's gregarious and chivalrous, able to hold a conversation with anyone and prone to spontaneous acts of kindness.

Sue Martin, owner of Zaney's Coffee Shop in Hailey, where Bergdahl once worked as a barista, recalled in a 2009 interview how she walked out to the parking lot after a storm and found all the snow scraped off of her car.

"Bowe would have been out there," she said. "He would never say anything."

U.S. POW's dad to Taliban: 'Let there be peace'

Longtime Blaine County Sheriff Walt Femling, now retired, said Bergdahl didn't like automobiles and rode his bike back and forth to work, 15 to 20 miles each way, in any weather. Femling, who also rented Bergdahl an apartment, once saw him walking, drenched, with his bike through a rainstorm. The sheriff offered him a ride.

"He turned it down because he didn't want to get my car wet and he continued to walk in the rain," Femling said. "Kind of tells you a little bit about the person."

Home-schooled as a youth and naturally curious, Bergdahl enjoyed martial arts and fencing and was prone to wanderlust, friends and family say. He spent time in Europe before enlisting in the Army and once worked on a sailboat out of Bristol Bay, Alaska, that journeyed along the East Coast and to the Caribbean.

Bergdahl was 23 when he was captured June 30, 2009, after finishing a guard shift at a combat outpost in southeastern Paktika province.

Military officials at the time said they believe low-level militants caught the soldier and handed him over to Pashtun warlord Siraj Haqqani's clan, which operates along the Afghan-Pakistani border.

Initially, Taliban commander Mulvi Sangeen said Bergdahl was safe, and a video was distributed showing Bergdahl "in good shape and good health." Later, Sangeen issued threats that Bergdahl would be killed if foreign troops continued targeting civilians during searches in Ghazni and Paktika provinces.

Shortly after his capture, Bergdahl appeared in a video, saying, "Scared I won't be able to go home, and it's very unnerving to be a prisoner."

Since then, his captors have released three more videos of the Wood River Valley, Idaho, native assigned to 1st Battalion, 501st Parachute Infantry Regiment, 4th Brigade Combat Team, 25th Infantry Division, in Fort Richardson, Alaska. The last video was sent in February 2011.

The airborne infantryman, who has been promoted twice -- first from private first class to specialist, then to sergeant -- since his capture, has spoken in the videos on occasion, but analysts and those close to him say his statements appear scripted.

Such was the case when in December 2009 he appeared on a video saying the U.S. had lost all hope of winning the Afghanistan War and that Presidents George W. Bush and Barack Obama couldn't be trusted. He also claimed America's military opponents in Afghanistan were "very smart" and had "perfected" the art of warfare.

Earlier this month, the family said through another spokesman -- Dwight Murphy of a POW/MIA group in Boise Valley, Idaho -- that they had received a letter from Bergdahl via the Red Cross. It was "scripted and redacted," his father said, but he was in good condition.

The statement added that the Taliban was being careful with Bergdahl and that there appears to be disagreement within the Taliban about what to do with its lone American captive.

"It appears at least several parties want to arbitrate captive SGT Bowe, several others ... want to keep fighting until every single Westerner is out," the father said.

May 2012 marked the first time the U.S. government acknowledged it was engaged in talks with the Taliban to free Bergdahl. The discussions moved in fits and starts because of U.S. concerns that any Taliban prisoners swapped for Bergdahl might be repatriated and allowed to rejoin the fight.

In August, however, the White House announced it was willing to send five Taliban prisoners to Qatar in exchange for Bergdahl.

There have long been signs that the Taliban is open to diplomacy. James Cunningham, the U.S. ambassador to Afghanistan, told a Senate panel at his July 2012 confirmation hearing that Taliban leaders are "signaling they are open to negotiations" but was quick to assert that the Taliban must end its alliances with terrorist groups like al Qaeda.

Other officials have said they're encouraged by signs that Taliban representatives are doing just that and by statements suggesting the group is willing to accept ideas supported by Afghan society, such as allowing girls to attend school. Last year, a Taliban representative also attended an international conference on Afghan reconciliation in Japan.

CNN's Paul Vercammen, Ed Lavandera, Barbara Starr, Elise Labott, Jill Dougherty and Masoud Popalzai contributed to this report.

@highlight

State Department says it expects Taliban to discuss prisoner swap "in coming days"

@highlight

Bowe Bergdahl was 23 when captured in June 2009 in southeastern Paktika province

@highlight

Bergdahl's family says via spokesman latest developments are "encouraging news"

@highlight

Friends, family describe him as gregarious gentleman, prone to wanderlust, kindness