(CNN) -- Africa is not a continent one immediately associates with ice. Historically, however, there have been three mountains that, until recently, could proudly boast some of the world's most majestic glaciers: Mount Kilimanjaro in Tanzania, Mount Kenya, and the Rwenzori Mountains bordering Uganda and the Democratic Republic of Congo.

Rwenzori has been dubbed the "African Alps," the "Mountains of the Moon" and the "snowy source of the Nile" (the latter two descriptors were ascribed in 150 A.D. by noted astrologer and geographer Claudius Ptolemy). Much has been written about their snow-capped peaks, but a recent expedition has found that the glaciers that have for centuries captured imaginations will soon be history.

"Unfortunately, I think it's too late for Rwenzori," laments Luc Hardy, an explorer and founder of Pax Arctica.

"It's not like there's a specific local cause that you could act on. It's pretty much all of us, all over the world, creating C02 in the air."

Hardy recently led a two-week expedition to Rwenzori in conjunction with Uganda's Makerere University Mountain Resource Center, Green Cross International and the World Youth Parliament for Water. His team set out to research the extent of the glaciers' recession, and the impact it might have on the surrounding communities.

He isn't the only one concerned by the glaciers' demise.

"My guess is by 2030, there won't be any ice left on the mountain," says Richard Taylor, a geology professor at University College London. The glaciers, which had a combined area of around 2.7 square miles at the start of the 20th century, now occupy less than 0.4 square miles. Taylor estimates that the ice is declining by roughly 0.2 square miles per decade.

"Really, you're looking at a last chance to see," he says.

Though Rwenzori doesn't get the same tourist traffic as Kilimanjaro or Mount Kenya (both of which are also suffering; Kilimanjaro has lost 84% of its ice since 1912, and two-thirds of Mount Kenya's ice cover has vanished), the modest numbers it does receive are likely to dry up with the ice.

"Many of the Bakonzo [the local tribe that live in the mountains] do depend on tourism. They provide nature walks and act as guides. With the glaciers receding, those local people will suffer from lack of jobs," says Richard Atugonza, a student at Makerere University's Mountain Resource Center, who took part in Hardy's Rwenzori expedition.

Hardy has described the melting glaciers as a "canary in the mine," with their decline illustrating how climate change is starting to impact the local environment.

"The glaciers indicate a rise in temperature in the region, and a warmer environment leads to an intensification of the rainfall systems," says Taylor. "What that means is longer droughts and more intense floods."

Droughts could spell disaster for the local Bakonzo, who rely on the water from the local alpine rivers to irrigate their crops and provide hydroelectricity.

The warmer weather could also severely alter the ecosystem and potentially usher in malaria (according to Taylor, this is a disease the Bakonzo have historically not had to deal with, perhaps because the alpine climate has traditionally deterred mosquitoes).

"It could be we will lose some very rare plant species at the summit," adds Taylor.

@highlight

Uganda's Rwenzori Mountains have been described as the 'Alps of Africa'

@highlight

Experts predict the range's once sizable glaciers will soon vanish

@highlight

That could mean less income for locals from tourism