United Nations (CNN) -- Confronted with the prospect of a Palestinian bid for full U.N. membership, U.S. President Barack Obama issued a sharp rebuke Wednesday to those pressing for statehood -- a rebuke likely to bring criticism from the Arab world.

"Peace will not come through statements and resolutions at the U.N.," Obama said, addressing delegates at the 66th annual session of U.N. General Assembly. "If it were that easy, it would have been accomplished by now."

The United States has vowed to block a Palestinian membership application should it reach the Security Council, but is likely eager to head off a scenario that would involve an American veto -- a move widely seen as unpopular across the Middle East.

A formal request for full U.N. membership is expected to be submitted Friday.

"One year ago, I stood at this podium and called for an independent Palestine," Obama added. "I believed then -- and I believe now -- that the Palestinian people deserve a state of their own. But what I also said is that genuine peace can only be realized between Israelis and Palestinians themselves."

A year later, despite extensive U.S. efforts, "the parties have not bridged their differences," Obama said.

The American president met with Israeli Prime Minister Benjamin Netanyahu and declared the bonds between their two countries "unbreakable," a move likely to play well at home in an increasingly volatile U.S. political landscape.

Though Netanyahu was not in attendance at the General Assembly during Obama's speech, he called the U.S. position a "badge of honor," and has pushed for a resumption of talks, beginning in New York and continuing in Ramallah and Jerusalem.

Peace negotiations broke down last year.

Palestinian Authority President Mahmoud Abbas met with Obama later Wednesday, part of a whirlwind of diplomatic wrangling that has accompanied his proposed move. Obama reiterated his stance on the need for a two-state solution, officials said.

Abbas met earlier with U.N. Secretary-General Ban Ki-moon, who promised the request would be taken "very seriously," according to Nabeel Shaath, a senior negotiator for the Palestine Liberation Organization. Shaath told CNN it had not been decided if the formal application would be submitted the U.N. secretary-general before or after Abbas addresses the General Assembly early Friday afternoon.

Ban said it will "not take long" to get Security Council consideration.

Shaath added that settling for a lesser status -- such as being recognized as a non-member state -- is one option under consideration if the push for full membership is blocked. But the Palestinians do not want "anybody to suspect a lack of seriousness," he said.

Palestinians' current status at the United Nations is as an observer "entity." Observers can speak in the General Assembly but not vote.

While a veto by the United States in the Security Council would block any effort to gain full U.N. membership, a "yes" vote in the General Assembly -- where only a majority would be needed -- would raise Palestinians to the status of permanent observer "state," the status the Vatican currently holds.

Abbas' effort to gain U.N. recognition of a Palestinian state is opposed by Hamas, the Palestinian organization that controls Gaza. It has warned Abbas against making the request, saying it would show a willingness to acknowledge and negotiate with Israel, which would "deprive the Palestinian people from their right to come back to their homeland."

As national leaders took to rostrum Wednesday to spell out their visions for global peace and security, attention at the U.N. General Assembly seemed to center on the potential membership bid.

French President Nicolas Sarkozy urged the body to recognize Palestine as a non-member state, calling for a more definitive timetable for Israeli-Palestinian peace talks. But he also warned that a U.S. veto of the bid for full membership in the Security Council could be dangerous and might spark violence.

Argentinean President Cristina Fernandez de Kirchner seemed to agree, adding that "non-inclusion of Palestine (at the United Nations) this year will create greater insecurity."

The Palestinian leader said he will personally deliver the application to the U.N. Security Council, but does not expect the body to act immediately, according to Palestinian officials.

They say Abbas is expected to deliver the letter before he leaves New York on Friday, but added that he will give both the United Nations and American leadership several weeks to respond to the letter -- temporarily averting a diplomatic showdown.

Abbas will wait for a response from the diplomatic Quartet on the Middle East, the officials said, and then return to the U.N. General Assembly to negotiate statehood recognition, working through the U.N. Security Council.

Abbas' goal, according to the officials, is to legitimize Palestinian statehood by eventually forcing a vote.

Brazilian President Dilma Rousseff, who kicked off the opening round of speeches at the assembly's 66th session, joined the chorus of voices on Wednesday calling on the council to approve the Palestinian bid.

Her speech marked the first time a woman has commenced the annual proceeding, reflecting a moment of equality at the start of what she described as "the century of women."

Also Wednesday, Obama pressed Turkish Prime Minister Recep Tayyip Erdogan --- an increasingly vocal critic of Israel -- to continue work toward patching up their strained relationship, officials said.

The U.N. chief, meanwhile, also focused on a series of other issues highlighted during the annual session, particularly the spread of noncommunicable diseases, empowering women, food security and climate change.

"Saving our planet, lifting people out of poverty, advancing economic growth -- these are one and the same fight," said Ban. "Today, I call on you to reach a binding climate change agreement -- an agreement with more ambitious national and global emissions targets."

Thirty-one of the world body's 193 delegates are expected to address the assembly this week.

Brazil has traditionally opened the session since the days of former American president Harry Truman, when the U.N. was in its infancy. It was founded in 1945 after World War II.

CNN's Elise Labott, Richard Roth, Alan Silverleib and Joe Sterling contributed to this report.

@highlight

NEW: Obama completes meeting with Abbas

@highlight

The Palestinian leader says he does not expect the U.N. to act immediately

@highlight

Argentina's president: "Non-inclusion of Palestine ... will create greater insecurity"

@highlight

France's president says a veto could spark violence