(CNN) -- In this election season, Republicans and Democrats have been touting the importance of family and hard work that make America a land of opportunity. Mitt Romney has talked about his father's love and rise from odd-job laborer to successful businessman. President Barack Obama has spoken of how his grandparents worked industriously to go to college, buy a house and raise their children.

While triumphant stories of middle-class families make for good campaign speeches, the truth is far less heartening.

America's policies to support workers and families are worse than any other country in the developed world and hardly better than some in the developing world.

Take, for example, family leave policies. Until 1993, Americans had no guaranteed leave time from work whatsoever.

If you needed to take time off to care for a dying family member, there was not much you could have done to stop employers from firing you. With the passage of the Family and Medical Leave Act (FMLA), Americans were guaranteed 12 weeks of unpaid leave per year. However, because it is unpaid, workers who do not have sufficient income cannot take advantage of the leave.

Opinion: The true difference between Obama, Romney

In addition, the law only applies to workers who have been with a current employer for more than a year and who work at companies with more than 50 employees. Even if workers could afford it, fewer than half of those without a high school education are covered and eligible to take unpaid leave.

Likewise, when it comes to policies affecting new parents, America has no federal law mandating paid maternity leave. There are only a handful of other countries that also do not guarantee new mothers paid leave, the wealthiest of which is Papua New Guinea.

In 2011, Papua New Guinea had a GDP of nearly $13 billion, while the United States had a GDP of $15 trillion. Our GDP is more than 1,000 times that of the next richest country with no federal paid maternity leave. No wonder some believe that the U.S. has "the most family-hostile public policy" in the developed world.

We fall short of our status as an advanced nation in other ways, too, like in the amount of vacation time that employers are legally required to give to employees every year. Nearly 160 countries offer paid vacation days to workers, with many countries providing two weeks or more. The U.S. offers none.

What about sick days? Again, we are far behind numerous other countries.

The U.S. government does not mandate any minimum amount of paid sick leave for workers. This puts us alone among similar advanced nations. We have only unpaid sick leave for those covered under FMLA protections, and then it's up to individual companies to determine their own polices toward sick leave.

In our capitalist society, the task of providing necessary worker protections and family support has largely been left out of the hands of the government. Benevolent employers took it upon themselves to provide benefits to workers. But this model of "welfare capitalism" has greatly diminished in recent years. It's time for our government to re-evaluate its inaction.

Today, the family structure is changing rapidly in our country. More than 70% of women with children younger than 18 are in the work force. More and more, both parents have to work full time to support a middle-class family. Traditional models of balancing work and family commitments are badly out of date.

Opinion: Republicans rick being the party of mean

America has always been proud of its tradition of -- and belief in -- limited interference in the private sector. But our labor policies, especially as they apply to working families, are in dire need of updates. While the lack of federal work-family policies might be cheap and convenient for employers, there is no way that it's any good for families in the 21st century.

Instead of just talking about helping families, politicians need to implement family-oriented policies to help working mothers and fathers, and those who need to take more than a few days off to help care for a sick child. Whoever gets elected in November needs to take a hard look at the facts.

Our federal family policies certainly make America unique -- but not in the way we want.

The opinions expressed in this commentary are solely those of Josh Freedman.

@highlight

Republicans and Democrats say that family and hard work are critical

@highlight

Josh Freedman: America's work-family policies are worse than many countries

@highlight

He says the U.S. lacks law on maternity leave, sick leave, vacation days

@highlight

Freedman: Our government need to to implement family-oriented policies