(CNN) -- With the launch of an App Store for the Mac last week, Apple has proved that its all-in-one digital marketplace model -- so successful for the iPhone, iPod and iPad -- can flourish on old-fashioned laptop and desktop computers as well.

Developers with software ready for the store's January 6 opening were met with throngs of click-happy customers.

Mac users have appeared eager to spend money on apps, even for software that was previously available on the Web and in brick-and-mortar stores. Downloads on the first day exceeded 1 million -- out of a pool of about 1,000 apps, Apple said.

Distributed evenly, that works out to 1,000 downloads for each app, although name recognition and how Apple allocates promotion tend to skew results. But some development houses did gangbuster business.

Scott Forstall, Apple's vice president for iPhone software, said last year that the company's iPad would spark "a whole new gold rush for app developers," a prediction that must now apply to the Mac store as well.

App Store winners

One big winner from the Mac App Store launch has been Evernote. The free note-taking app catalogs text and multimedia files; synchronizes them over the internet to be accessed from phones, a website or desktop software; and lets you search through them.

Evernote was downloaded 90,000 times on the App Store's opening day. That's about a 10th of all apps purchased that day. It's been consistently listed in the section of most popular apps.

"Having a well-formed app store is the most important part in getting attention," Evernote CEO Phil Libin said. "We were on the iPhone App Store since that launched as well. We've kind of been through this once before, so we had pretty high expectations of what being in an app store means for getting attention."

The Mac App Store launch, Libin said, "exceeded our expectations."

Being in the Mac App Store helped expose Evernote to 40,000 people who had never used it, he said.

Evernote has also benefited from Apple's promotional efforts in the store. It sometimes gets top billing in a rotating list of featured apps, similar to the top section of the iTunes Store. Apple spokeswoman Jacqueline Roy also listed Evernote among the top five "must-have" apps, which is determined by consistent top performers in downloads and ratings.

Another Mac App Store hit is SketchBook Express, No. 7 on the must-have list. Autodesk, the maker of that free drawing program, says the store "effectively doubled" the number of people using the professional version of SketchBook on opening day. The company declined to provide exact figures.

SketchBook Pro costs $30 on the Mac App Store, versus almost $70 on Amazon.com. It's now among Apple's highest-grossing apps.

A lucrative business model

Apple takes a 30% cut of app sales, which makes its app stores a lucrative business for the company as well as developers. Because of this success, the stores are facing increased competition from Google's popular Android Market, a forthcoming Amazon.com app store and other rivals. This week, Microsoft contested Apple's trademark request for the term "app store."

Free applications benefit from the app store exposure too, even though they don't help Apple's business as directly. For example, Twitter is also on the Apple must-have list. The social networking company launched on the store with its first official desktop client, based on work by the engineer who made the iPhone app.

A Twitter spokeswoman said the company is "pleased" with the results but declined to say how many times the free app had been downloaded.

The App Store program is included as part of a software update for Mac computers running the newest version of the operating system, called Snow Leopard. Further enhancements to the app model will come as part of OS X Lion, which is scheduled to go on sale this summer.

Previously, Mac software could be found on vendors' websites or in stores (in cardboard boxes, no less; how quaint).

For developers, submitting an application to Apple for sale in the Mac App Store can be easier than getting their software on a retailer's shelf, which can require complex business deals. It is also easier to sell through an established app store than through a developer's own website, which can require building payment mechanisms and systems for licensing customers' copies.

Mac owners like the store because it makes software easier to find, manages what's been downloaded, makes it easy to move apps between computers and provides alerts when a new version is available.

Some software makers complain that Apple's rules about what it will accept are too stringent and that the company takes too big a cut of revenue. But Apple doesn't bar developers from distributing their wares in other locations on the Web.

Pros and cons

But are these early success stories sustainable?

Caffeine, a simple utility that helps prevent the computer from automatically going into sleep mode (get it?), did exceedingly well early on. The app has been downloaded more than 135,000 times. About one-third of those sales came on launch day; as for other apps, they have tapered somewhat since.

While daily downloads are decreasing steadily for Caffeine at a pace of about 30% per day, the app continues to attract new customers at a rate several times greater than anytime since it came out four years ago.

"The App Store opens up the opportunity to sell 99-cent apps, which was previously not really feasible, and I think that could bring a lot of new smaller apps," Caffeine developer Tomas Franzen said. "It's a lot easier when they handle hosting and payment for you.

"I'd say I'm a believer" in the app-store model, he wrote. "The App Store makes downloaded software easy for regular people, and it turns out there are a lot of regular people out there!"

However, not every company has the Midas touch for launching app stores. Google, which produced a hit with its Android Market, has drummed up minimal interest in its Chrome Web Store.

Wikipedia co-founder Jimmy Wales isn't sold on the app-store concept. At an event in England, Wales spoke out against the idea of app stores, calling them "a threat to a diverse and open ecosystem," according to blog reports.

A magic formula?

But many developers seem convinced that Apple has hit on the right formula.

Scott Gilbert had been planning to build a weather-report app for the iPad or iPhone. The product manager for Swackett immediately changed course when he heard Apple CEO Steve Jobs unveil plans for the Mac App Store in October.

"There's so much competition in the regular App Store," Gilbert said of Apple's mobile software store and its 300,000 apps. "I thought if we could be there on day one in the Mac App Store, we could rise above the noise."

And they did. Swackett was on track to get 100,000 downloads in its first week. The developers are making money from ads, which had been shown 2 million times in six days.

"We would not have come out with a Mac app first if not for the (Mac) App Store," Gilbert said.

And for the 61-person team at Evernote, the App Store is something of a blessing.

"We don't have experts here that think about logistics or channels or distribution or advertising," said Libin, the Evernote CEO.

Evernote had the distribution method in place on its site, but that was created out of necessity, said Libin, who was happy to let Apple take the reins on managing server infrastructure and promotion.

"Before, you used to make a great product, but no one would ever get it or use it or be able to buy it," he said. "The app stores have made the software business more of a meritocracy than it's ever been, which really favors geeks like us."

@highlight

Apple launched the Mac App Store a week ago, spawning success stories

@highlight

Like App Stores for other platforms, it's a central place for finding and managing apps

@highlight

The store was met with 1 million downloads in its first day