(CNN) -- In the age of digital audio, what does good old-fashioned radio still have to offer?

Teca Lima, the voice of RadarCultura, consults the Web site before talking into the mic.

Plenty, according to the creators of RadarCultura, a community-based Web site and a daily three-hour AM radio program broadcast from Brazil's São Paulo.

"Radio is 'now,'" says 22-year-old Brazilian André Avorio, who implemented the Web site.

"[Radio] is generally quick and live. This adds a special dynamic to the medium. Moreover, it is still one of the most popular means of mass communication in Brazil. Combining it with the power of the Internet can result in many new possibilities."

RadarCultura is an experimental project of the Padre Anchieta Foundation to promote public participation in audio-visual programming, eventually aiming to fuse its radio, television and Web programs into a single interactive, real-time platform.

Like many online music sites, RadarCultura is always looking for new music and emerging talents, but its primary focus is to preserve the memory of the Brazilian repertoire by resurfacing classic, forgotten or unknown songs.

The Padre Anchieta Foundation also happens to boast the biggest archive of Brazilian music in Brazil, including more than 15,000 songs dating from the 1920's to the present.

"Making it easy to search through the vast archive of songs was an important feature since version one of the Web site," says Avorio.

Producer Alceu Maynard observes two types of RadarCultura members: "There are people who listen to the show because they are fans of Brazilian music. There are others who like to produce the content on our site -- they collaborate actively with suggestions, playlists and all aspects of programming."

Meanwhile, RadarCultura team members Alceu, speaker Teca Lima and project manager Lia Rangel are busy podcasting interviews, moderating conversations, blogging, twittering and keeping the site relevant.

Old media gets new blood

True to its non-visual origin, RadarCultura's Web site is strictly text-based, with icons that link to votes and streaming audio. And true to its Web-based platform, the site has adopted, and adapted, all Net-native systems for its daily operations.

The site itself runs on the free Drupal content-management system, which allows content to rank and flow according to input and feedback from the site's online community.

Members who wish to contribute their own audio material to RadarCultura's archive must either podcast it themselves first, or else they may upload it to the U.S.-based Archive.org to clear it of online rights.

Given the quantity of music aired from the ever-expanding repertoire, copyright issues are the most common pretext to negotiation, most notably with ECAD, a privately owned civil society for the collection and distribution of copyright managed by 10 Brazilian music associations.

Online, however, RadarCultura distributes the entirety of its streaming content under a Creative Commons license.

The team has also been experimenting with the free CoveritLive software to enable live blogging, chatting and Twittering among audience, presenters and guests during its online coverage of radio and TV events, including the popular Roda Vivo TV show.

RadarCultura's first live event coverage in February 2008 was of Campus Party Brasil, a seven-day tech-fest that saw people camping out in tents with broadband cables while sharing ideas and technological innovations.

In April 2008, RadarCultura struck again with its live coverage of Virada Cultural, Brazil's largest cultural event, including art performances and exhibits in the streets of São Paulo during 24 continuous hours, attracting some 4 million people.

"I came up with the idea of inviting the audience to report directly from the streets using their mobile phones," says Avorio.

"A telephone system was installed, and the calls from the participants were automatically recorded. Our non-stop production team listened to every recording as they arrived and not only immediately published them online but geo-localized them on an interactive map of São Paulo.

"It was RadarCultura's first truly collaborative coverage, as the audience produced most of the interviews and reviews, of not only the main attractions of Virada Cultural, but also the very obscure ones that otherwise would not be covered by the mainstream media."

Next: Music for the masses, on demand

But still much remains to be done with RadarCultura's original content -- music.

"Due to legal restrictions, it has been very difficult to exploit many of the possibilities previously imagined for the RadarCultura Web site, like listening online to playlists or to the thousands of songs in the archive," Avorio reflects.

"Live radio has been a great success and will remain so for a long time, but it is now clear the value of on-demand content -- whenever you want it, wherever you are, on whatever device you have handy -- from the iPod to your mobile phone."

RadarCultura's Web site not only introduces Brazilian music and culture to the international online community, it brings its programming well beyond the limited broadcasting range of the station's native São Paulo to the rest of Brazil.

In a nation notorious for violence rooted in social inequality, the democracy of the Web -- not unlike radio -- is a welcome new medium of communication.

"Certainly São Paulo is the most 'wired' city in the country, but the Internet and the possibilities associated with it have reached the most distant towns," says Avorio.

"It is amazing the value that such a technology delivers to a country in a fast development pace such as Brazil -- from education to more subtle ways of social inclusion."

For Gioconda Bordon, Padre Anchieta Foundation's radio coordinator, RadarCultura's most memorable moment took place on December 17, 2008, when the program celebrated its first anniversary.

"We had here in our studio the great composer Tom Zé, a very well-known musician, singing and talking live with a very young singer, Mallu Magalhães, a teenager, actually," she recalls.

"The listeners were as happy as we were and, of course, as moved as the two artists were. It was a day in our history."

@highlight

RadarCultura is a daily 3-hour radio program and community Web site

@highlight

Its father foundation boasts the biggest archive of Brazilian music in Brazil

@highlight

Web site invites members to create playlists, vote on, suggest music for air

@highlight

RadarCultura also covers live culture and technology events