PITTSBURGH, Pennsylvania (CNN) -- Leaders of the G-20 economic summit will announce Friday that the group will become the new permanent council for international economic cooperation, senior U.S. officials told CNN Thursday.

U.S. Treasury Secretary Timothy Geithner says signs of optimism for a global economic recovery can be seen.

The move comes in the wake of a major push by President Obama, the officials said. The G-20 will now essentially eclipse the G-8, which will continue to meet on major security issues but carry much less influence.

"It's a reflection of the world economy today and the players that make it up," said one senior official. Nations like China, Brazil and India -- which were locked out of the more elite G-8 -- will be part of the larger group.

The Group of 20 -- leaders of 20 countries representing 90 percent of the world's economic output -- are meeting in Pittsburgh for a two-day summit, focusing on the financial crisis and how to avoid a future repeat. The gathering is Obama's first time hosting a major international summit.

"We're meeting at a time where, for the first time since London, certainly for the first time in a year, we're seeing the first signs of optimism about prospects for global recovery," U.S. Treasury Secretary Timothy Geithner told reporters Thursday. "I think the broad consensus of private economists and businesses are that we're beginning to see growth in the United States, and around the world we see exports rising and forecasts for growth are being revised upwards."

"This is encouraging," he said, "but we have a ways to go."

He said the leaders are "going to keep working to sustain the progress we've seen. And I can say with confidence, based on my discussions with finance ministers and central bank governors from around the world, there is a common, shared commitment to make sure we're working together to sustain these early signs of recovery and growth."

One of the key goals is preventing such a crisis from occurring in the future, he said.

"In the run-up to this crisis, many of the world's largest economies depended on the American consumer to buy their exports to drive growth, and we made it easy; for too long, Americans were buying too much and saving too little," Geithner said. "And that's no longer an option for us or for the rest of the world. And already in the United States you can see the first signs of an important transformation here as Americans save more and as we borrow substantially less from the rest of the world."

"I think we all recognize that we need to act before the memory of the crisis fades and before the impetus for reform recedes," he said. "And we're trying to bring greater urgency and commitment to the need to act together."

The tightening of global financial regulations was expected to top the summit's agenda and comes as some major economies are beginning to recover. Germany, France and Japan have announced that they have emerged from recession, prompting hopes that the worst of the financial crisis may have passed.

G-20 finance ministers and central bank governors agreed at a meeting this month not to start cutting back just yet on stimulus efforts. They fear it would put economies at risk for plunging back into recession. However, the economic outlook has improved enough that countries are being encouraged to start working on exit strategies, which will vary by nation.

The economic summit marks the third time in a year that the world's top industrial powers have gathered. They met in November in Washington and followed up with an April session in London.

A number of protesters gathered in the area, tracked by police. At one point, riot police used pepper spray or tear gas on the protesters. CNN's Brian Todd was one of the people affected by the spray or gas.  See iReport photos of police and protesters »

"It really drove the protesters back," Todd said. "It drove us back. It burned our eyes. It really burned our throats for a while. It got pretty dicey there."  Watch Todd's report »

After that, Todd said, the protesters dispersed somewhat, but police were keeping an eye on the remaining protesters. iReport.com: Pittsburgh braces for protests

Among the protesters was a group of several hundred wearing T-shirts reading, "G20: Free Tibet Before Free Trade." The crowd marched about eight blocks before police blocked their path. Officers allowed the protesters to chant in the street for more than an hour before they walked away. There were no arrests.

Others chanted pro-marijuana slogans behind the riot police, and another group took up the stadium chant of "Let's go Steelers."

CNN's Steve Brusk and Ed Henry contributed to this report.

@highlight

G-20 would essentially eclipse the more elite G-8

@highlight

G-8 would continue to meet on major security issues but carry less influence

@highlight

Group of 20 meeting in Pittsburgh for economic summit

@highlight

U.S. Treasury secretary: Signs of optimism for recovery can be seen