In Illinois, African-Americans make up 15% of the population -- but account for 58% of the marijuana-possession arrests, according to the American Civil Liberties Union.

In Alabama, African-Americans make up less than 25% of the population -- but 60% of the marijuana-possession arrests, the ACLU says.

And in Minnesota 31% of people arrested for marijuana possession are black, while African-Americans make up just 5% of the state's population, the organization adds.

Those are just some of the statistics put forth by the ACLU in a new report that the organization says shows wide racial disparities in marijuana arrest rates nationwide.

Using numbers it says come from FBI/Uniform Crime Reporting Program Data statistics and U.S. Census Data, the ACLU report tracks marijuana arrests by race and county in all 50 states and the District of Columbia. It concludes that the nationwide rate of marijuana-possession arrests for blacks is nearly four times greater than for whites, when arrest totals are compared with proportions of the population.

And the ACLU says the findings show racial disparities in marijuana arrests have grown significantly over the past 10 years.

Counting both juvenile and adult arrests, rates for whites have remained steady at about 192 arrests per 100,000 people. But the arrest rate for blacks rose from 537 per 100,000 in 2001 to 716 per 100,000 in 2010, according to the report, meaning that proportionately, blacks are 3.7 times more likely than whites to be arrested for marijuana.

DEA: Suburban mom by day, pot grower by night

According to the ACLU, the racial disparity may still be greater. The FBI/Uniform Crime Reporting Program arrest data does not distinguish between white and Latino arrests because it does not identify Latinos as a distinct racial group, meaning Latinos arrested for marijuana possession are counted with whites.

Increasing arrest rates don't correlate to marijuana usage rates by race, according to data from the National Survey on Drug Use and Health 2001-2012 cited in the ACLU report.

Among 18-25 year olds -- a group with higher arrest rates than other age groups, according to the report -- more whites than blacks said they used marijuana in surveys every year between 2001 and 2010.

In 2010, for example, 27.6% of African-Americans ages 18-25 and 33.4% of whites in the same age group said they had used marijuana in the previous 12 months.

Joseph Occhipinti, executive director of the National Police Defense Foundation, says despite the numbers, the disparity in arrest rates isn't racially motivated.

Occhipinti, who hadn't read the ACLU report but was familiar with it, said location and police intelligence were the main factors in marijuana arrests. "Whenever we talk about drug enforcement, it's predicated by intelligence and reports of activity," he says, "not race or ethnic group."

Occhipinti continues, "These days police have close scrutiny, and the words 'racial profiling' scare most cops. They just want to do their jobs."

But Ezekiel Edwards, director of the ACLU Criminal Law Reform Project and one of the primary authors of the new report, argues that racial disparity in marijuana arrests only cause more problems for people of color.

"The aggressive policing of marijuana is time-consuming, costly, racially biased, and doesn't work," says Edwards. "These arrests have a significant detrimental impact on people's lives, as well as on the communities in which they live."

The ACLU study estimates that combined, U.S. states spent over $3.6 billion enforcing marijuana possession laws in 2010, and there was one marijuana arrest every 37 seconds.

According to the White House Office of National Drug Control Policy, "Marijuana is a harmful drug and its use should be prevented and treated -- not promoted."

But Robert MacCoun, professor of public policy and law at the University of California at Berkeley, says arrests don't prevent marijuana use.

"These arrests rarely result in prosecution, and there is no basis for believing this is a deterrent," he told CNN. "It's hard to see the purpose being served. The only use I can see is putting certain people, and in this case young black men, on notice. When you look at the statistical pattern, it's hard not to see this as racial profiling."

@highlight

The ACLU cites what it says are wide disparities in arrest rates for marijuana possession

@highlight

ACLU: By population proportion, rates for blacks are nearly 4 times greater than whites

@highlight

The head of a police group says the disparity isn't racially motivated

@highlight

Arrests are based on "intelligence and ... activity ... not race or ethnic group"