Google is knocking at your front door. It wants to come inside, make itself at home, and quietly turn all of your boring home devices into "smart" connected gadgets that learn about your patterns and preferences, talk to each other, collect data about your habits and make life easier by assisting with daily tasks.

On Monday, Google announced it was buying smart-device company Nest Labs for $3.2 billion in cash. This is Google's first major foray into connected homes, and news of the deal ignited a flurry of speculation about what the Silicon Valley giant really wants from Nest, as well as some privacy concerns.

Nest currently only sells two products: a smart thermostat that learns your habits over time and adjusts the temperature accordingly, and a personable smoke and carbon monoxide detector that doesn't panic when you burn toast.

While the devices have been popular, on the surface they don't seem like they move enough units to be worth such a hefty investment, even at $130 to $250 each. It's what's behind the scenes and inside the gadgets that makes Nest a coveted get for Google.

Nest makes impeccably designed hardware powered by clever algorithms. Its staff comes from major companies like Apple, Sling and Logitech and is experienced in machine learning, product design, artificial intelligence and robotics.

Nest is a standout in the increasingly crowded connected-home market. It may only have two products, but those devices are considered some of the best in the field.

For now, Nest is expected to continue operating as its own brand headed by co-founders Tony Fadell and Matt Rogers, but down the line Google could tap the team's expertise to help with its own hit-and-miss attempts at creating and selling devices (remember the Nexus Q?).

The Nest thermostat uses motion, light, temperature and humidity sensors to collect information about what's going on in the home and uses that information to control heating and cooling and predict patterns. The end result is a customized, more energy efficient home. Like any good smart device, it can be controlled from a smartphone or tablet so your house can be prewarmed before you get out of bed or return from work.

"It's amazing to see how they have taken important but unloved devices and made them beautifully simple and useful," said Google CEO Larry Page in a brief post announcing the deal.

Aside from the financial windfall, there's a lot Nest could gain from having Google as its parent company. Nest has been slow with product releases so far. The first thermostat came out in the fall of 2011, and the company didn't release a new product for another two years, when it announced the Nest Protect smoke and CO detector.

With Google resources, Nest can ramp up its design process and develop more projects. New products will come faster and roll out in more locations globally.

Google also wants to be a player in the connected home. The trend of connecting previously "dumb" devices to each other and the Internet is sometimes referred to as the "Internet of things." As regular objects get connected, they gain the ability to collect information about mundane happenings around them. That data can be used to learn about a person over time and offer a customized, automated experience.

At home, that can mean a refrigerator that knows what food is inside and when it expires, or security systems that send your smartphone a push notification when they detect anything unusual.

Google has cultivated a diverse and seemingly random set of interests since starting out as a search engine and advertising company. It dabbles in e-mail, smartphones, self-driving cars, social networking, smart glasses, television and robots. Nest is the latest in a string of intriguing acquisitions, following a handful of robotics companies.

In the near future, these interests may not seem so disconnected. Today's emerging technologies will eventually blend together. The divisions between smartphones, home automation, cars, smart glasses and watches and fitness trackers will fall away, and our gadgets and data will work together for a seamless experience.

All of your devices will communicate with each other. Where one drops off another will pick up. Your self-driving car will share push notifications from your smartphone, turn it over to your Google Glass when you park and start walking, and then a smart home can take over when you walk through your front door. (Thanks to GPS on your phone and car, the house knew exactly when you were arriving and turned on your favorite TV show.) Streams of data from all these devices will be collected in one place where a company like Google will analyze it and learn about you over time, programming hardware and software to meet your unique needs.

A few years from now, you might even connect your smart devices to your brain. Dean Aslam, a professor of electrical and computer engineering at Michigan State University and a senior member of IEEE, is working on miniaturizing single electrode devices that can be placed in your hair and read electrical activity from the brain  through a technology called electroencephalography, or EEG.

"It can read the brainwaves which determine the state of our minds, like whether we're healthy or unhealthy. A lot of information can be obtained [from EEG]," Aslam said.

He says in the future, smart homes will pick up on cues from the body and brain to adjust things like temperature. It if detects you're in a deep REM sleep, a home might increase the level of security. The technology wouldn't be limited to smart homes and could expand to include personal heath care systems.

If this is the future, it's no mystery why Google would want to get into the business now.

Google owning another tool that would allow it to gather more data immediately triggered privacy concerns. Fresh off of an unpopular decision to allow Google+ contacts to contact people in their circles through Gmail, Google already has users who are unsettled by the vast amounts of data the company can collect. Google has access to a person's data through the Chrome browser, Gmail accounts, Google search terms and the many advanced sensors on an Android smartphone.

That wide reach is actually a good reason not to worry about a smart thermostat. Google can collect most of the same information through an Android phone. It already knows your location and your daily schedule. Samsung's Galaxy S4 Android smartphone even has a built-in temperature sensor.

Google has access to much of your data. Now it wants to put it to use connecting your home, work and mobile life.

@highlight

Google is purchasing smart-thermostat company Nest for $3.2 billion in cash

@highlight

This is Google's first major entry into the connected home market

@highlight

Smart homes, phones, cars and glasses could all work together for a Google-powered life