Censorship is a part of daily life in China. News articles are erased from online search engines, social media sites such as Facebook and Twitter are banned, and CNN is routinely blacked out for Chinese viewers.

Instagram was a huge hit in China -- until the government banned it during the Hong Kong protests.

"All good things must end," one young Chinese woman told me -- seemingly resigned to the fact that she can no longer post photos on Instagram.

While such restrictions would likely incite mass outrage in many Western countries, citizens in China often have no choice but to relinquish some personal freedom as the government keeps a firm grip on certain aspects of life in this booming society.

China's Communist Party will do whatever it takes to stay in power. Censorship is just one tool -- along with quickly quelling civil disobedience.

Of course, China feels like a utopia of liberty when compared with the repressive North Korean regime. I distinctly remember feeling a sense of freedom and relief when landing in Beijing after a recent visit to Pyongyang.

In the Democratic People's Republic of Korea, the average citizen has never heard of the Internet or social media. Contact with the outside world is forbidden for all but the most elite members of this reclusive society. Propaganda rules the television airwaves and fills the pages of state-run newspapers.

Censorship in China

The Sony hack story has received limited news coverage in China. Stories have appeared on CCTV's newscasts and in newspapers like China Daily, though with far less prominence than some other international news outlets.

In Shenyang on Tuesday, an Internet search for "North Korea" on China's leading (and government-controlled) search engine Baidu.com revealed a list of mostly positive articles about the DPRK.

A Baidu search for "North Korea hack" in English revealed just one nearly two-week-old article naming the DPRK as "one of several suspects" in the Sony hacking investigation. An identical search on unrestricted Google on Wednesday found more than 36 million articles.

When questioned by foreign reporters on Tuesday, China's Ministry of Foreign Affairs spokeswoman Hua Chunying shied away from directly addressing the issue on the Sony hacking probe.

"We need sufficient evidence before drawing any conclusion," she said at a news conference, adding that the United States and North Korea should communicate.

Of course, any substantive communication is unlikely given the two countries have no diplomatic ties.

The Great Firewall of China

Censorship is the reality of life behind the so-called Great Firewall of China. The Ministry of Public Security has been heavily censoring content for more than a decade.

The Chinese government acknowledges that the Internet is a vital tool to support the country's rapid economic growth.

Chinese e-commerce company Alibaba transactions totaled nearly $250 million last year, more than Amazon and eBay combined. Alibaba's overall revenue soared 54% to over $2.7 billion in 2014. China e-commerce transactions are expected to skyrocket to more than $700 billion by 2017.

But with the Internet comes the risk of sharing information that, the Chinese government worries, could destabilize the country. In China, any threat to the Communist Party's tightly clenched grip must be controlled.

It's why you're likely to find very little mention of North Korea's bureau 121 in this nation suspected of having its own shadowy People's Liberation Army unit 61398 -- believed to be responsible for cyberespionage. Incidentally, the Chinese military has also denounced the United States for having its own massive cyberspying program.

As all of this continues to unfold, one thing is certain: International news organizations such as CNN will continue with extensive coverage. And, thanks to heavy-handed government censors, most citizens of China will continue get only the news deemed appropriate by the government.

@highlight

News on Sony hack is censored in China, with just a few stories that get little play

@highlight

Government-controlled search engine turns up just one article on "North Korea hack"

@highlight

U.S. government believes N. Korean hackers are launching attacks from China