(CNN) -- The Bank of England's pessimistic forecasts on unemployment will lure households and businesses into amassing more debt, say economists, as interest rates remain at a record low.

Last week, newly-minted Bank of England Governor Mark Carney said rates would remain on hold at 0.5% -- subject to "knockout" conditions on inflation -- until unemployment fell below 7%, a target the bank says won't be met for three years.

Data released today showed that the UK jobless level remained unchanged at 7.8% in the three months to June, falling by just 4,000 jobs.

George Buckley, chief UK economist at Deutsche Bank, told CNN that the central bank's measures were too complicated and could "backfire."

Read more: British housing boom -- or bubble?

Buckley argues that "people may be acting right now under a false sense of security." If Britain's economy improves and unemployment falls, the Bank of England may increase rates sooner than expected, he said.

In March, UK finance minister George Osborne gave the Bank of England new powers to focus on growth, including unemployment, as well as its inflation target.

Read more: Bank of England signals low rates for years

Buckley said: "This is exactly the reason that Osborne decided to hire Carney in the first place. He wanted to find somebody who didn't need that much pressure to consider more stimulus."

The Bank of England has already rolled out a Â£375 billion bond-buying program and an Â£80 billion scheme to get the banks lending in an effort to kickstart economic growth.

Read more: Central banks in Europe keep rates on hold

Buckley added: "It would be politically expedient if they did manage to bring forward growth and achieve a strong economy in advance of the next election [in 2015]."

Asked whether the Bank of England was becoming too political by interfering in unemployment, Stephen Pope, managing director of Spotlight Ideas, a global markets consultancy, told CNN: "I think in the more sophisticated economies the edges between what is the responsibility of the treasury and the central bank can become somewhat fuzzy."

He added: "I think it's appropriate that a sophisticated central bank has as many levels or gears in the gear box to utilize and work with as possible ... and the fact that [Carney] has put these three knockout criteria in there means that he's not allowing them to be manoeuvred into a corner."

The Bank of England outlined two "knock out" exceptions that could mean a rate rise regardless of unemployment. First, if inflation, 18-24 months ahead, were to rise 0.5% above the current target and the second if medium-term inflation expectations remain "well anchored."

Inflation is currently at 2.8%, well above the bank's 2% target.

In an interview with ITV on August 7, Carney said that the bank is "not making any promise" on a time frame for raising interest rates.

He said: "We'd all be pleased if we could lower the rate of unemployment by creating more [jobs] sooner rather than later, and if that happens then... the Bank of England will have to take a judgement at that point in time."

Economic recovery

The UK economy is beginning to see signs of recovery as output increased by 0.6% in the second quarter of 2013, double the rate of expansion seen in the first three months of the year.

Despite a more positive economic outlook, Nick Beecroft, senior analyst at Saxo Capital Markets, told CNN that the Bank of England's jobs forecast was still too pessimistic, echoing Buckley's comments that borrowing could spiral under inaccurate guidance.

Beecroft said: "They're pretty much used to embarrassing forecasts by now at the Bank of England ... I think we will reach 7% [unemployment] probably toward the end of next year."

He added: "The nightmare scenario is that we reach one of the knockout inflation triggers whilst unemployment hasn't fallen."

Carney should have waited to see if the UK economy could continue its positive growth streak, according to Beecroft. He said: "He's been a little precipitate in that and runs the risk of damaging his credibility as well."

Carney's style

Canadian Carney -- the Bank of England's first overseas governor in its 319-year history -- took a similar policy stance in his stint as governor of the Bank of Canada.

The 48-year-old kept rates on ice for a large part of his tenure, leaving the benchmark rate at 1% from September 2010 through to his departure in the spring of 2013.

Last week was Carney's first press conference as Bank of England governor and Pope said the man known as the "rock star banker" was right to take decisive action at his first outing.

"This was his first real chance to be his own man ... I think had he said nothing that would have been more damaging," he added.

@highlight

UK unemployment rate remains at 7.8%, fell by just 4,000 jobs in the three months to June

@highlight

Newly-minted Bank of England Governor Mark Carney said rates will remain on hold at 0.5%

@highlight

In March, UK finance minister George Osborne gave the Bank of England new powers to focus on UK growth

@highlight

The Bank of England has already rolled out a Â£375 billion bond-buying program, known as quantitative easing