(CNN) -- Carefully maneuvering around a jumble of slippery rocks, Josephat Torner slowly steps inside a cluster of dark caves in northeast Tanzania.

Ahead of him, leading the trail with an air of assurance, walks a local witchdoctor.

Aided by a couple of artificial lights, the two figures venture deeper into the darkness, running their hands along the cavern's limestone walls for guidance. Bats meandering above their heads, the men enter a vast cave chamber dotted with a handful of rocks.

"What I want to know is," Torner breaks the silence," have you ever seen anyone pray for something evil down here?" he asks the witchdoctor. "So they can get hold of someone? Like an albino?"

An albino himself, Torner has been traveling around Tanzania to debunk the widespread misconceptions about the congenital disorder. Dozens of albinos have been mutilated and slaughtered in the country in recent years, because of rumors being spread that their body parts can bring wealth and good luck.

Read this: Witchcraft in Tanzania

To stop the atrocities, Torner thought he needed to confront the group he believed was the source of these rumors: witchdoctors.

And that's what brought him to the depths of this cave, face to face with his "enemy."

"We call you a spirit because a white person like you is the devil," readily admits the witchdoctor.

"You're saying I'm a white demon?" Torner hits back, "we are demons?"

The reply: "Yes, because you're white."

'In the Shadow of the Sun'

This dramatic confrontation is one of the most intense moments captured in a new documentary, called "In the Shadow of the Sun."

The independent film, shot by director Harry Freeland, chronicles the life story of Torner and his fight for acceptance of albinos in a country where little is known about the genetic disorder.

"My heart always is still looking the recognition of people with albinism in this world," says Torner, who's been an advocate for albino rights since 2004. "Just to recognize that we are here."

Torner and Freeland spent six years creating the film. The director's inspiration to make a documentary on albinism came nearly a decade ago, when he had one of his first encounters with someone with the disorder in Senegal.

"A woman approached me in the street, held out her child and said 'here, take it back, where it comes from," remembers Freeland. "She had a child with albinism and because I'm white, she thought the child belonged to me in some way -- her husband had left her for having a white child and accused her of sleeping with a white man."

Leading man

People with albinism are born with genes that do not make the normal amounts of the pigment called melanin. Those born with the disorder, which affects people from all races, inherited the genes from their parents who may or may not have any of the associated traits.

But many people don't understand the effects of the condition and as Freeland discovered, in parts of Africa albinos often suffer social stigma, prejudice and even attacks.

Read this: Slave trade ghost town

Keen to make a film documenting the plight of this group of people, Freeland headed to Tanzania, the country reported to have one of the biggest albino populations in the world. There, he came across many amazing stories, but he didn't find his leading man until he met Torner.

"I just heard him speak and instantly, I just knew he was the one to lead the film," says Freeland. "I think so many stories that come out of Africa are negative, and everything about Josephat is positive."

Despite growing up with a disorder that left his skin and hair pale, as well as his strength and eye sight weak, Torner has succeeded in making the best of his situation.

Over the years, he's overcome struggles and discrimination to receive an education and get married. A father of two, Torner' has even climbed Africa's tallest mountain, Kilimanjaro, to prove that albinos can achieve greatness.

"It was really very difficult to climb," he admits. "But I was climbing because at that time I had an agenda behind for what is happening to this world," he adds. "We are killed, we are hunted, we are chopped. So I climbed with a special message ... to the African countries: that we are able. But [also] protect us, give us a chance, don't stigmatize, don't isolate, don't hide us to the darkness room -- just open the way."

'Why are they killing us?'

In 2009, the Tanzanian government embarked on a campaign against the killers of albinos, particularly in the Lake Victoria region. Freeland says at the heart of the problem are witch doctors making claims that albino body parts can bring wealth.

"In Tanzania, there's been 72 reported people with albinism killed over the last five years," says Freeland, noting that the actual number could be higher. "And there's been 34 people left mutilated that have survived attacks."

Some of the victims were people Torner used to know.

"I was angry," says Torner, recalling the moments following his confrontation with the witchdoctor.

"He answered it to me directly, without even trying to hide anything. So I was angry, of course, because I remember my brothers and sisters whom I lost, because I will not see them forever and while he's there he's continually surviving," he adds. "So, you ask yourself, 'what's the problem? Why are they killing us? Why are they hunting us?'"

Torner realizes he may never get a suitable answer to those questions. Yet, this doesn't stop him from doing all he can to bring attention to his message of creating a more inclusive society.

He hopes that his community work and the documentary focusing on his efforts, coupled with the outreach from other organizations and the government, will eventually make Tanzania a place where albinos aren't forced to stay in the shadows.

"It's my dream in my life that people with albinism are respected and given all rights which other human beings are being given," he says.

"This is what is in my heart -- when I would see justice to people with albinism; when I would see the lifespan of people with albinism is increasing, this is still a dream to my life."

@highlight

In recent years, there's been an increase in the deaths of albinos in Tanzania

@highlight

At the heart of the problem, are rumors that albinos' body parts can bring wealth and good luck

@highlight

Josephat Torner has been spreading awareness about albinism in Tanzania

@highlight

His efforts have been captured in the documentary "In the Shadow of the Sun"