Kiev, Ukraine (CNN) -- Early this year Ukraine -- along with much of eastern Europe -- was caught in a deep and protracted cold snap. Many froze to death, energy demand spiked, and to top it all Russia accused Ukraine of stealing gas from transit pipes destined for western Europe for the second time in three years.

Ukraine issued a firm denial, adding another blot to the two nations' fraught -- but highly dependent -- relationship. The fact remains that Ukraine needs Russian gas while Russia needs Ukraine's transit pipeline to export west.

The spat came on the heels of a disastrous relationship meltdown in 2009, when for two nerve-wracking weeks Russia abruptly stopped pumping gas to Ukraine and Europe.

The Russian energy giant Gazprom claimed Ukraine's gas company -- Naftogaz Ukrainy -- owed it huge sums of money in missed payments and fines. However, Naftogaz countered that it had paid the bill and claimed that Gazprom was in fact trying to force it to accept a new price for gas which it could ill afford.

They eventually reached a deal, but Ukraine's Prime Minister Mykola Azarov still maintains that the terms are unfair:

"Americans pay $70 for 1000 cubic meters of gas when Ukraine pays $550 to Russia for the same amount. It means almost ten times more. Tell me what kind of economy can take this?" He told CNN.

However, America benefits from its own vast reserves of natural gas, and Russia argues that still Ukraine gets it for less than consumers in Poland, Hungary, Turkey and Romania.

So, while Ukraine tries to negotiate a better deal with Russia, it's also working to break its dependency on Russian gas and diversify its sources of energy.

A key part of the plan is to import liquid natural gas from other countries -- such as Azerbaijan -- which will be processed at a terminal built near the vast port of Odessa on the Black Sea.

The head of the project, Vitaly Demyanin, says that by 2018 it should have replaced 30% of existing Russian gas imports.

"It will have 10 billion cubic meters of alternative gas. It will help us to negotiate with our main supplier," he said.

At the same time Yury Boiko, the Ukrainian energy minister, has high hopes that shale gas -- formed deep underground within large shale rock formations -- could also be a major alternative source of power in the decades to come. He told CNN that shale gas exploration in western Ukraine has "very large potential."

But it's not just alternative gas supplies that the energy-hungry nation of 44.8 million residents has in its sights.

The government has pledged to invest heavily in green energy. However, this won't do much to bolster their eco-credentials, as they are also planning to burn a great deal more coal too. It's all testament to their increasing desire to generate power without recourse to gas.

Meanwhile, as Ukraine looks for other energy supplies, Russia is looking for other ways to get its gas to Europe. Russia is the world's biggest producer of natural gas and supplies Europe with nearly 40% of its imports, according to the European Commission .

It has already built one pipeline that bypasses Ukraine.  The 765-mile long "Nord Stream" pipeline -- costing more than $12 billion -- directly links Russia with the European Union via the Baltic Sea bed.

At its launch in 2011, the then Russian Prime Minister, now President, Vladimir Putin, made an ominous and thinly-veiled reference to his Ukrainian neighbors.

"Any transit country has always the temptation to take advantage of its transit status," he said. "That exclusivity is now disappearing."

At the end of this year, Russia plans to begin construction on another gas pipe to Europe -- the "South Stream" -- running through the Black Sea to Bulgaria and on to Greece, Italy and Austria.

The projects threaten to strip Ukraine of billions in revenue and any remaining leverage it might have over future gas prices.

But in an effort to salvage long-term relations, Ukraine is now proposing a new model that would allow themselves, Europe and Russia equal control of their transit system.

"So the consumers, the sellers, the supply and transit country is together. It's a good model and it's convenient for everybody," says energy minister Boiko.

Only time will tell if these major energy reforms will change Russia's position in future negotiations and transform the horizon of Ukraine's economic future.

@highlight

Ukraine and Russia have long-standing feud over gas supply lines

@highlight

Ukraine is big importer of Russian gas, while Russia depends on Ukraine pipeline

@highlight

In recent years, Ukraine has tried to diversify its energy supply to reduce dependence

@highlight

Liquid gas imports, underground shale gas and green energy are among new sources