(CNN) -- Gov. Bob McDonnell of Virginia delivered the Republican response to President Obama's State of the Union address on Wednesday night. Here is a transcript of the speech.

McDonnell: Thank you very much. Thank you.

Good evening. I'm Bob McDonnell. Eleven days ago, I was honored to be sworn in as the 71st governor of Virginia. I'm standing in the historic House Chamber of Virginia's Capitol, a building designed by Virginia's second governor, Thomas Jefferson.

It's not easy to follow the president of the United States. And my 18-year-old twin boys have added pressure to me tonight by giving me exactly 10 minutes to finish before they leave to go watch "SportsCenter."

(LAUGHTER)

I'm joined by fellow Virginians to share a Republican perspective on how to best address the challenges facing our nation today.

We were encouraged to hear President Obama speak this evening about the need to create jobs. All Americans should have the opportunity to find and keep meaningful work, and the dignity that comes with it.

(APPLAUSE)

Many -- many of us here tonight -- and many of you watching -- have family or friends who have lost their jobs. In fact, 1 in 10 Americans is unemployed. That is unacceptable.

Here in Virginia, we've faced our highest unemployment rate in more than 25 years, and bringing new jobs and more opportunities to our citizens is the top priority of my administration.

Good government policy should spur economic growth and strengthen the private sector's ability to create new jobs.

(APPLAUSE)

We must enact policies that promote entrepreneurship and innovation so America can better compete with the world. What government should not do is pile on more taxation, regulation and litigation that kill jobs and hurt the middle class.

It was Thomas Jefferson who called for "a wise and frugal government which shall leave men free to regulate their own pursuits of industry and shall not take from the mouth of labor the bread it has earned." He was right.

Today, the federal government is simply trying to do too much. Last year, we were told that massive new federal spending would create more jobs immediately and hold unemployment below 8 percent.

In the past year, more than 3 million people have lost their jobs, and yet the Democratic Congress continues deficit spending, adding to the bureaucracy, and increasing the national debt on our children and our grandchildren.

The amount of debt is on pace to double in five years and triple in 10. The federal debt is now over $100,000 per household. This is simply unsustainable.

The president's partial freeze announced tonight on discretionary spending is a laudable step, but a small one. The circumstances of our time demand that we reconsider and restore the proper limited role of government at every level.

(APPLAUSE)

Without reform, the excessive growth of government threatens our very liberty and our prosperity.

In recent months, the American people have made clear that they want government leaders to listen and then act on the issues most important to them. We want results, not rhetoric. We want cooperation, not partisanship.

(APPLAUSE)

There is much common ground. All Americans agree that we need health -- health care system that is affordable, accessible, and high quality. But most Americans do not want to turn over the best medical care system in the world to the federal government.

Republicans in Congress have offered legislation to reform health care, without shifting Medicaid costs to the states, without cutting Medicare, and without raising your taxes.

And we will do that by implementing common sense reforms, like letting families and businesses buy health insurance policies across state lines and ending frivolous lawsuits against doctors and hospitals that drive up the cost of your health care.

And our solutions aren't 1,000-page bills that no one has fully read, after being crafted behind closed doors with special interests. In fact, many of our proposals are available online at solutions.gop.gov, and we welcome your ideas on Facebook and Twitter.

(LAUGHTER)

All Americans agree that this nation must become more energy independent and secure. We are blessed here in America with vast natural resources, and we must use them all. Advances in technology can unleash more natural gas, nuclear, wind, coal, alternative energy that will lower your utility bills.

Here in Virginia, we have the opportunity to become the first state on the East Coast to explore for and produce oil and natural gas off-shore.

(APPLAUSE)

But this administration's policies are delaying off-shore production, hindering nuclear energy expansion, and seeking to impose job-killing cap-and-trade energy taxes. Now is the time to adopt innovative energy policies that create jobs and lower energy prices.

(APPLAUSE)

All Americans agree that a young person needs a world-class education to compete in the global economy. As a young kid, my dad told me, "Son, if you want a good job, you need a good education." Dad was right, and that's even more true today.

The president and I agree on expanding the number of high-quality charter schools and rewarding teachers for excellent performance. More school choices for parents and students mean more accountability and greater achievement.

A child's educational opportunity should be determined by her intellect and work ethic, not by her ZIP Code.

(APPLAUSE)

All Americans agree that we must maintain a strong national defense. The courage and success of our armed forces is allowing us to draw down troop levels in Iraq as that government is increasingly able to step up.

My oldest daughter, Jeanine, was an Army platoon leader in Iraq, so I am personally grateful for the service and sacrifice of all our men and women in uniform, and a grateful nation thanks them.

(APPLAUSE)

We applaud President Obama's decision to deploy 30,000 more troops to Afghanistan. We agree that victory there is imperative for national security.

But we have serious concerns over the recent steps the administration has taken regarding suspected terrorists. Americans were shocked on Christmas Day to learn of the attempted bombing of a flight to Detroit. This foreign terror suspect was given the same legal rights as a U.S. citizen and immediately stopped providing critical intelligence.

As Sen.-elect Scott Brown has said, we should be spending taxpayer dollars to defeat terrorists, not to protect them.

(APPLAUSE)

Here at home, government must help foster a society in which all our people can use their God-given talents and liberty to pursue the great American dream. Republicans know that government cannot guarantee individual outcomes, but we strongly believe that it must guarantee equality of opportunity for all.

That opportunity exists best in a democracy which promotes free enterprise, economic growth, strong families, and individual achievement.

Many Americans are concerned about this administration's effort to exert greater control over car companies, banks, energy, and health care, but over-regulating employers won't create more employment, overtaxing investors won't foster more investment.

Top-down, one-size-fits-all decision-making should not replace the personal choices of free people in a free market, nor undermine the proper role of state and local governments in our system of federalism. As our founders clearly stated, and we governors clearly understand, government closest to the people governs best.

(APPLAUSE)

And no government program can ever replace the actions of caring Americans freely choosing to help one another. The scriptures say, "To whom much is given, much will be required." As the most generous and prosperous nation on Earth, it is heartwarming to see Americans giving much time and money to the people of Haiti.

Thank you for your ongoing compassion.

(APPLAUSE)

Some people say they're afraid that America is no longer the great land of promise that she has always been. They should not be.

America will always blaze the trail of opportunity and prosperity. America will -- must always be a land where liberty and property are valued and respected and innocent human life is protected.

Government should have this clear goal: Where opportunity is absent, we must create it. Where opportunity is limited, we must expand it. Where opportunity is unequal, we must make it open to everyone.

(APPLAUSE)

Our founders pledged their lives, their fortunes, and their sacred honor to create this great nation. Now we should pledge as Democrats, Republicans and independents -- Americans all -- to work together to leave this nation an ever better place than we found it.

God bless you, and God bless this great land of America. Thank you very much.

@highlight

Gov. Bob McDonnell of Virginia responds to State of the Union speech

@highlight

Americans don't want to turn health care over to government, he says

@highlight

McDonnell: GOP has serious concerns about Obama's terrorist policy