(CNN) -- Since the summer of 2010, Julian Assange has become a pop culture fixture, a self-appointed champion of free speech, the suspect in a Swedish sex crimes investigation and a man who says he's keeping afloat a financially strapped Web operation that has mightily ticked off the U.S. government.

Some loathe him. Others admire him. But one thing is certain: Assange is not going away, no matter what happens in the ongoing legal case against him.

Assange lost his appeal before Britain's Supreme Court on Wednesday, taking him another step closer to extradition to Sweden for questioning on sexual abuse accusations filed against him in August 2010. He's been living in England under house arrest related to the case and has failed several times in recent months to convince magistrates and the court of appeal that a warrant for his arrest is invalid.

Assange has repeatedly stressed that he's innocent. His lawyers have vowed to take the fight all the way to the European Court of Human Rights if necessary.

Though Assange is a household name now, little was known about him before July 25, 2010, when he dominated breaking international headlines when his site WikiLeaks published a trove of classified U.S. documents about the Afghanistan war.

Until then, Assange had done few interviews and had kept a low profile. One exception, however, was a TED talk conducted just days earlier in which he described his upbringing as constantly uprooted, and said that his parents were in the movie business and on the run from a cult. The audience at the TED event seemed rapt. They laughed and clapped at his comments.

When Assange founded WikiLeaks in 2006, the site built a relatively small but steady following among investigative journalists. WikiLeaks cut its teeth in its early years leaking information that exposed corruption in Kenya and information about the Guantanamo detention facility in Cuba, and his talk at TED concentrated mostly on those experiences.

Even after more than a year and a half of drama involving Assange and WikiLeaks, some still consider Assange a journalist. For the past year, he has been living in a remote manor house called Ellingham Hall, north of London. The home belongs to Vaughan Smith, a former British soldier and journalist who runs a popular London gathering spot for reporters. Assange was a kind of nomad before his house arrest, numerous accounts and interviews he's given suggest. Ellingham has provided shelter for him from most media. He's given very few interviews in the past year, except for an hour-long talk with "60 Minutes" from the estate that aired on January 30, 2011.

Over the months since his initial arrest in the Sweden case, Assange has repeatedly said that he's innocent of the allegations and that they are a ruse to get him for leaking the classified U.S. documents. In 2010, WikiLeaks posted online 391,832 classified documents on the Iraq war and more than 90,000 classified documents on the Afghan war. WikiLeaks has also released about a quarter-million diplomatic cables -- communication between the U.S. State Department and diplomatic outposts around the globe.

Assange gave an interview to Germany's Der Spiegel in 2010, explaining the decision to publish the Afghanistan war documents.

"This material shined a light on the everyday brutality and squalor of war," he said. Assange continued in interviews over several months with Time magazine, CNN and other media outlets to insist that leaking the classified documents served a greater public good.

Instant fame

With the Afghanistan war leak, Assange became a household name nearly overnight. Every news outlet in the world was reporting the story and flashing pictures of his snow-white hair, skinny ties and sardonic smile.

Some said he was a cheerleader of transparency and a defender of the public's right to know. Others said he was a foe of the United States and its allies, and had endangered confidential intelligence informants whose names appeared in an initial batch of the WikiLeaks documents.

U.S. Rep. Peter King, R-New York, called Assange an "enemy combatant."

When Assange was arrested in relation to the sexual assault allegations, then-U.S. Defense Secretary Robert Gates told reporters, "It sounds like good news to me."

Yet Assange stepped further into the fray.

In late 2010, Assange said that Secretary of State Hillary Clinton "should resign" when responding to a question by Time magazine concerning the diplomatic cable dump.

At the same time, Assange's influence and star power grew. Time's readers voted him Person of the Year for 2010. Despite the ongoing sex crimes case, for which he was temporarily jailed (a detention that "Saturday Night Live" spoofed), Assange insisted that WikiLeaks was still operating.

On September 2, 2011, WikiLeaks released its entire archive of the diplomatic cables -- 251,287 unredacted documents.

An unauthorized biography of Assange, which he has fiercely criticized, was also released in September. According to several reports, British newspaper The Independent published what it said were portions of the book. In one section, Assange is quoted as saying, "I did not rape those women."

On November 28, Assange addressed journalists at a News World Summit in Hong Kong via a video link from England. For at least 30 minutes, he went on a rant criticizing Washington, mainstream media, banks and others, while accepting an award from a noted journalism group, the Walkley Foundation of Australia. He said that a federal grand jury in Washington was investigating WikiLeaks and that people and companies around the world were coerced to testify against the group. He accused banks of blockading WikiLeaks, said that journalists have become ladder climbers and must be held to greater account, and said there was a "new McCarthyism" in the United States.

Also last year, Assange won the 2011 Martha Gellhorn Prize for Journalism, and a Norwegian parliamentarian nominated him for the Nobel Peace Prize.

The latest proof that Assange is certifiably pop is news that he voiced his own character for the 500th episode of "The Simpsons" which aired earlier this year. He recorded the spot last summer.

In March, Assange hosted a new talk show on English-language Russian television. Called "The World Tomorrow," it features him interviewing "key political players, thinkers and revolutionaries."

From hacking to WikiLeaking

While Julian Assange's public persona grows stronger, his mother, Christine Assange, said that his ordeal is taking a toll on her family.

She told ABC Brisbane this week that her son's battle against extradition to Sweden is a "political frame-up."

She also said her cell phone is being monitored, according to the International Business Times.

Yet Christine Assange has been her son's biggest defender.

She has in the past described him as "highly intelligent."

He was just 16 when she bought him a Commodore 64 computer in 1987. Assange attached a modem to his computer and began his journey into the new computer era.

"It's like chess," he told New Yorker magazine. "Chess is very austere in that you don't have many rules, there is no randomness and the problem is very hard."

Though his mother raised him without any religious influence, she sensed that from a tender age, her son was led by a strong desire to do what he perceived as just.

"He was a lovely boy, very sensitive, good with animals, quiet and has a wicked sense of humor," she's told the Melbourne, Australia, Herald Sun.

Assange studied mathematics and physics at the University of Melbourne.

In interviews, Assange speaks in baritone. His pace is measured, and he seems to choose words carefully. He can be charming yet cagey about his private life and is rarely shaken by discussions of even the most controversial revelations on WikiLeaks.

He's the kind of person who, he says, can hack into the most sophisticated computer system. But he can forget to show up for an interview or cancel at the last minute.

When he talks, he displays an astonishing breadth of interests: from computers to literature to his travels in Africa.

Assange's fascination with hacking grew when he was a teen. He taught himself computer encryption and security. He says he once set up an encryption puzzle based on the manipulation of prime numbers.

A June 2010 New Yorker article describes how Assange hacked into the master terminal of the telecom company Nortel in 1991. The profile also says that Assange married and had a child when he was 18, but the relationship fell apart and his wife left him with their infant son.

The young hacker eventually turned away from network flaws and focused on what he perceived as wrongdoings of governments.

An activist, journalist or both?

This statement appeared in 2007 on the blog IQ.org, which Assange is believed to have created.

"The whole universe or the structure that perceives it is a worthy opponent, but try as I may I can not escape the sound of suffering. Perhaps as an old man I will take great comfort in pottering around in a lab and gently talking to students in the summer evening and will accept suffering with insouciance. But not now; men in their prime, if they have convictions are tasked to act on them."

Among the myriad topics addressed on the blog, Assange discusses mathematics versus philosophy, the death of author Kurt Vonnegut, censorship in Iran and the corporation as a nation state.

Driven by the conviction of an activist and the curiosity of a journalist, Assange founded WikiLeaks in 2006. He slept little and sometimes forgot to eat. He hired staff and enlisted the help of volunteers.

Daniel Domscheit-Berg, a longtime volunteer and spokesman for WikiLeaks, was considered to be Assange's closest collaborator.

He quit WikiLeaks and told CNN that Assange's personality was distracting from the group's original mission: to publish small leaks, not just huge, splashy ones like the Afghan War Diary.

Domscheit-Berg went on to publish a tell-all book about the inner workings of WikiLeaks. He wrote that Assange is a "paranoid, power-hungry, megalomaniac."

@highlight

Julian Assange is facing extradition to Sweden on allegations of sex crimes

@highlight

Assange said he was raised by parents in theater business in Australia

@highlight

His mother, Christine, has been one of his fiercest defenders