(CNN) -- The recent scandal in the Department of Veterans Affairs sheds light on the role of financial bonuses in helping prompt administrators to behave unethically.

Here is the logic behind the incentive system: Reducing wait times by getting patients seen quickly is good for both patients and hospitals. So, administrators could receive financial bonuses by keeping wait times short. But the bonuses ended up motivating bad behavior. Rather than improving health care, the administrators falsified records so that wait times looked shorter on paper.

What went wrong? Incentives can lead to greater performance, but employees may be so focused on the potential of receiving them that they end up cutting corners and crossing ethical boundaries. Research by Wharton management professor Maurice Schweitzer and colleagues shows that when people are rewarded for goal achievement, they are more likely to engage in unethical behavior, such as cheating by overstating their performance, especially when they fall just short of their goals.

We all want to be good people who care about the well-being of others in addition to our own. This very likely holds true also for administrators and employees working in VA hospitals.

Were bonuses ties to VA wait times? Here's what we know

Yet we are often unable to behave in ways that are consistent with this desire and use all sorts of self-serving justifications to rationalize our behavior, my research shows. For instance, if we perceive goals as too difficult or even unattainable, we may use such evidence to justify our cheating. In the case of the VA scandals, the performance target required administrators to schedule appointments for primary care doctors to meet with patients within 14 days of each patient's desired appointment date.

Given the high demand and lack of doctors, this was a standard that most administrators perceived as impossible to meet. Thus, acting unethically may have not seem that wrong to them, given that the goals were not fairly set to start with.

The ways that goals and financial incentives are set can lead most people not to follow their moral compass. Financial incentives on their own, research has shown, change our attitudes and behaviors in selfish ways.

Even merely thinking about money leads people to be less helpful and fair in their dealings with others, to be less sensitive to social rejection and to work harder toward personal goals.

In fact, money can make us so focused on our selfish motives that it can lead us to behave unethically. In my own research, I found that university students were more likely to cheat on a task after seeing 7,000 dollar bills than after seeing 24. Similarly, across a variety of studies, participants who were primed to think about money were more likely to cheat after completing a task by inflating their performance as compared with people in a control condition.

In one study, we asked college students to make as many coherent sentences as they could out of a set of words they had been presented with. In one group, some word sets were seeded with ones associated with money, such as "dollars," "financing" and "spend" (thus priming people with the concept of money). In another group, the words were all neutral.

Next, the students completed a second test: They had to solve math puzzles under time pressure. They were asked to report their performance and received a packet of money so that they could reward themselves with a dollar for each correctly solved puzzle. Eighty-eight percent of those who had been primed with money-related words in the first test cheated, but only 67% of those given neutral words did.

Money is ubiquitous in our daily lives and prominent in the Western culture's psyche. So these findings might explain, at least in part, why financial incentives can encourage the wrong behaviors -- and why, though we want to be good people, we so often diverge from our moral compass. Tie financial bonuses to ill-conceived goals, and you'll end up with people being more likely and more comfortable cheating.

Recognizing the malleability of our moral compass is important since it can help us identify potential solutions to our frequent ethical failures. One way to keep us on track is to identify ways to make ethical standards salient at the time we face ethical challenges.

Drawing people's attention to moral standards, in fact, can effectively reduce dishonesty. For example, consider a study (PDF) my colleagues and I conducted in collaboration with a major U.S. car insurance company.

As part of the study, we sent 13,488 of the company's customers a form that asked them to report the number of miles they had driven the prior year, as indicated on their cars' odometers. Cheating by under-reporting mileage would come with the financial benefit of lower insurance premiums.

On about half of the forms sent out, customers were supposed to sign to indicate their truthfulness at the bottom of the form. The other half of the forms asked the customers to sign at the top of the form.

The average mileage reported by customers who signed the form at the top was more than 2,400 miles higher than that reported by customers who signed at the bottom of the form.

Our follow-up research demonstrated that signing at the top of the form (before reporting information that could be inflated) increased the salience of ethical standards by highlighting people's self-identity and improving their ethicality. So the disparity in average mileage suggests a difference in reporting ethics rather than in driving habits.

Getting rid of incentive and bonus systems seems rather impractical. What this research suggests is that in order for incentive systems not to lead to the wrong behavior, they need to be introduced with particular care. They need to be supported by an organization's culture that stresses the importance of integrity, not just on paper.

For instance, both the CEO and senior management in an organization should make their commitment to integrity visible and clear to employees, and communicate the value they put on ethics in orientation programs, annual reports, newsletters, meetings and training sessions. They should not only stress the importance of -- and reward -- high levels of performance, they should focus attention on the means that are used to reach it.

Most of us understand that we slip up occasionally, despite our best intentions, and that others do as well. And so it's useful for organizations to consider some simple interventions that can help their customers and employees stick to their ethical principles.

Gergen: What it takes to fix the VA

@highlight

VA administrators received bonuses after concealing delays for medical care

@highlight

Francesca Gino says that when financial incentives are present, cheating is more common

@highlight

She says we can't get rid of incentives but can monitor how they're administered

@highlight

Gino: Better design of bonus programs can make a difference