(CNN) -- Sitting in a dark, abandoned sports complex with the constant crack of gunshots and the cries of angry protesters ringing in his head, Mounir Benzegala decided he had to leave the bloodshed in Libya once and for all.

The 23-year-old American basketball player had tried several times to get to the airport, but his efforts were repeatedly derailed by mercenaries, soldiers, and bureaucratic red tape.

Now safely on a U.S.-chartered ferry bound for Malta with about 300 other passengers -- 167 of them fellow Americans -- Benzegala said Friday he'll only let himself feel relief when he's back in the United States.

"There's so many details I just can't get into until I get home and feel safe, but at least I've made it this far," said Benzegala, who had come to Libya only three weeks ago to play on a government-run team backed by Libyan leader Moammar Gadhafi's son, Saif.

"I'm just thankful to be alive," he told CNN. "Just unbelievable. ... Anything could have happened. There was no guarantee I was going to get out safely."

Even though he's on his way home to Ohio, he's still haunted by stories of those he left behind, including a teammate who was held at gunpoint by a mercenary one day as he tried to get to the airport.

A Libyan soldier was able to calm the mercenary down, Benzegala said.

"He definitely was in serious danger and probably would have been killed. ... The mercenary was very, very violent and aggressive; he just looked like he was itching to shoot somebody."

For Americans Erika and Franz Fearnley, the sound of protests and gunfire that kept getting closer and closer to their neighborhood just outside the Libyan capital ultimately forced them to make a dash for the airport in hopes of leaving the violence behind.

"The crowds sounded as if more and more people were joining in, (and) just hearing the gunfire and just knowing that people were probably losing their lives" finally made them pack up, Erika Fearnley told CNN's "Parker-Spitzer" on Thursday.

They and other Americans who have fled Libya's descent into chaos have harrowing tales of escaping the carnage.

As Benzegala ran out of food and money -- living off of a single bowl of spaghetti for the past two days -- he decided he had to take a chance and get to the airport to leave the country. It was a fateful decision by the former University of Tampa star point guard, so used to taking chances on the court but feeling out of his element in a foreign city under siege.

As the Fearnleys headed to the airport, they were stopped at a checkpoint manned by soldiers with machine guns, a scene Franz Fearnley described as "terrifying."

"They knocked on the window... they wanted to see our passports," he explained.

"It was scary," Erika Fearnley added.

Salah Gamoudi, 24, returned to Oregon on Tuesday from Libya, where the dual citizen was working with Ernst & Young as an auditor of oil companies.

As security forces started cracking down on protesters, Gamoudi said he, like other Tripoli residents, became fearful for his life and the lives of his family members. He picked up a baseball bat to use as a weapon, if he needed one; his neighbors fortified the streets and guarded their homes.

At the airport, the scene was one of confusion and disorder, Benzegala and the Fearnleys said.

"The airport was full to capacity. They were not allowing anyone else in," said Franz Fearnley, who had been working on a land development project in Libya for the previous month.

But "our (Libyan) driver had an uncle at the airport, thank God, and he was able to get us in, but once we got in, you couldn't even move" because it was so crowded, he said.

George Sayar, who was in Libya with his Florida-based construction company building roads and bridges, described the airport scene as "utter chaos."

"I would say there was approximately 30-40,000 people, most of them without tickets, trying to get into the three entrances to the terminal," Sayar told CNN on Friday. "We pretty much had to push and shove our way through thousands of people, and myself and two of my colleagues finally made it after about three hours of pushing, shoving, and kicking."

Another contractor who managed a tight escape was Cyrus Sany, who was working as an electrical engineer in Libya for a Virginia-based firm. He said it took him six hours to get from the airport parking lot to the ticket counter.

Sany said it was a "very extreme experience" that he'll never forget.

Benzegala found himself crushed between the gates and travelers storming to get in after he arrived at the airport.

"I got in a skirmish, actually, trying to calm people down and got pushed to the ground by a guard and when I got up he hit me in the face and there were a couple other guys I saw get hit as well."

In the end he got a ticket and arrived at the departure area, but that was the end of the line. Immigration officials saw that there was no entrance stamp on his U.S. passport, and refused to let him board his flight, or book a new ticket out.

Benzegala is a dual U.S.-Algerian citizen and had used his Algerian passport to enter the country. He said he didn't think twice when he turned the passport over to his agent after getting the entrance stamp.

He returned to the abandoned sports complex and managed to call the U.S. Embassy, but officials there would only tell him to keep away from the windows and wait out the violence.

He learned about the chartered ferry in talking to CNN, and decided to make a run for it around dawn Wednesday when the fewest number of people were in the streets. Calls to his agent finally got through and his Algerian passport was returned along with a ride out to the port.

His teammate, a U.S. resident whose name Benzegala didn't want published for fear of his safety, didn't think he'd be allowed on the ferry since he was not yet a U.S. citizen. He planned to make another attempt to get to the airport, but his whereabouts are unknown.

On board the ferry, Benzegala said people stretched out on the floors to sleep, feeling safe at last. Those awake shared stories about their escape and the violence they had witnessed, but also fears about friends and family left behind.

A U.S. Embassy official on board the ship, which was delayed for nearly two days because of high seas, warned Benzegala not to speak to the media before departure, explaining that revealing details about the situation could jeopardize the safety of all those on board.

As for the Fearnleys, now staying with family in New Jersey, they're also worried about the friends they left behind.

"It's just sad," Franz Fearnley said.

CNN's Brian Walker, Katy Byron, and Moni Basu contributed to this report

@highlight

American basketball player describes the chaos that's consumed Libya

@highlight

One American couple was stopped at a checkpoint by soldiers with machine guns

@highlight

A U.S. ferry has left Libya carrying about 300 passengers

@highlight

Many fear for the friends and colleagues they left behind