(CNN) -- "Who controls the past controls the future."

President Reagan's former aides say Obama's budget repudiates Reaganomics.

It's a line from George Orwell's novel "1984." But it could also serve as the rallying cry for two groups battling over President Obama's ambitious domestic agenda -- and the legacy of two former presidents.

Critics of Obama's proposed $3.5 trillion federal budget say he's poised to jeopardize the economic gains unleashed by President Reagan.

They say he will make the same mistakes that President Lyndon B. Johnson did when he committed massive amounts of federal money to create a slew of anti-poverty programs dubbed "The Great Society."

"The Great Society created a lot of programs and wasted a lot of money," said Kenneth Khachigian, a former Reagan speechwriter and adviser. "The biggest war on poverty was the economic boom started by Reagan."

But others like Joseph Califano Jr., Johnson's senior domestic adviser, say the notion that the Great Society was a failure is one of the "greatest political scams" in American history.

Republican leaders who have labeled Obama's budget proposals socialist are rehashing the rhetoric their predecessors used to attack Great Society programs like Head Start 40 years ago, Califano says.

"I'm hearing the same round of arguments," Califano said. "The Republicans said that if you provide Head Start and preschool education to poor kids, it would 'Sovietize' our kids and be communistic."

'Failure' of the Great Society

The clash between both points of view centers on Obama's plan for reviving the nation's economy.

The Senate and the House of Representatives passed similar versions of Obama's $3.5 trillion budget for 2010 last week. The budget didn't receive a single Republican vote in either chamber. Both chambers will meet after Easter recess to produce a final budget.

Even before last week's vote, though, Obama's budget was creating a partisan wedge. Proponents said it would use trillions of dollars to transform education, spark a green industrial revolution and provide health care to all Americans.

CNN political analyst David Gergen said Obama's budget "set forth the most ambitious reform agenda of any president since Lyndon Johnson."

Gergen's comment could be taken as a compliment or a reprimand, depending on one's historical point of view.

Craig Shirley, author of "Reagan's Revolution: The Untold Story of the Campaign That Started It All," took it as a warning.

His model for reviving the nation is Reagan, who moved "power from the government to the people" by cutting taxes and making government less intrusive.

Shirley, alluding to an alleged Reagan quip that "Johnson declared war on poverty and poverty won," says out-of-wedlock births, illiteracy and bloated federal programs increased during the Great Society.

He says Medicare and Medicaid, two vaunted Great Society programs that provide health care to the poor and elderly, are now virtually bankrupt.

"All evidence says that the Great Society was a failure," Shirley said.

Khachigian, Reagan's speechwriter, says Obama's budget would also create tension between people who fought their way up the economic ladder and those who did not. Under Obama, the well-off would be "brought back down through higher taxes and subsidizing benefits for people who have not worked as hard."

Obama's budget is influenced by the president's previous job as a community organizer, Khachigian says.

"You can't have been a community organizer and not have in your mindset that agencies of the government exist to, as Obama said, to 'spread the wealth,' '' Khachigian said.

If Obama wants to look at an economic blueprint for lifting the nation out of a nasty recession, he should look at Reagan, Khachigian says.

Reagan's tax cuts helped end the deep recession he inherited when he came into office, he said. The economy took off, and everyone benefited.

"I would argue that the biggest war on poverty took place when the economy started booming in 1983,'' Khachigian said.

The 'myth' of Reagan's tax cuts

Other analysts had a different take on the legacy of the Reagan Revolution and what it can teach Obama.

Will Bunch, author of "Tear Down This Myth: How the Reagan Legacy Has Distorted Our Politics and Haunts Our Future,'' says Reaganomics is built on a fable.

Reagan didn't prove that tax cuts and small government lead to economic growth, because he never consistently did both, he says.

Bunch says Reagan did cut taxes in 1981 but raised them in succeeding years. He also expanded the federal government and created a huge national debt.

"His initial 1981 tax cuts went so far that he was actually forced to increase taxes a half-dozen times in the years that followed, something you never hear about," Bunch said.

Obama would do better to follow the example of Johnson, not Reagan, says Califano, Johnson's senior domestic adviser.

He says Johnson's Great Society was designed to give the most vulnerable Americans -- the poor, the elderly, the disabled and racial minorities -- the same opportunities as the affluent.

"The Great Society saw government as providing a hand up, not a handout," said Califano, who wrote about his time with the president in "The Triumph and Tragedy of Lyndon Johnson."

He says the Great Society proved that government wasn't incompetent.

Johnson persuaded Congress to pass at least 100 Great Society proposals. Programs awarded college students financial aid, gave struggling families food stamps and gave millions of Americans access to health insurance for the first time.

It also reduced poverty, Califano says. About 22 percent of Americans lived below the poverty line when Johnson took office in 1963. By 1970, when the impact of Great Society programs was being felt, the poverty rate dropped to 12.6 percent, Califano says. (The poverty rate in 2007 was 12.5 percent, the U.S. Census Bureau reported.)

Califano, who calls Obama's budget a logical extension of the Great Society, says Obama personally benefited from the Great Society "crown jewel": the Voting Rights Act of 1965, which ensured African American participation at the polls.

"My God, Obama wouldn't be president if Lyndon Johnson hadn't passed that civil rights law," Califano said. "He would not have gotten the votes to get elected."

Robert Weisbrot, co-author of "The Liberal Hour: Washington and the Politics of Change in the 1960s,'' says the Great Society also helped lay the foundation for the modern environmental movement with its passage of clean air and water laws. Read why Weisbrot says Obama can't create another Great Society

"We can find much to celebrate in those years in the 1960s when we see a burst of reform when the government is ready to face problems openly and decisively," Weisbrot said.

There may be, however, one point of agreement for supporters and critics of Obama's domestic agenda. It was expressed by Khachigian, Reagan's former speechwriter.

When asked whether he was miffed that some people were now comparing Obama to Reagan, he said his opposition to Obama's budget was based on something deeper: fear.

He says the nation could become a Failed Society if Obama's approach doesn't end a brutal recession.

"It's not a matter of pride but of practicality," he said. "If this doesn't work, we're all in deep doo-doo."

@highlight

Clash over Obama's budget centers on America's future, and past

@highlight

Reagan aides say Obama forgets lessons of Reaganomics

@highlight

Author says Reagan raised taxes and increased size of government

@highlight

LBJ's senior aide says Johnson's Great Society was a success