(CNN) -- Since George Zimmerman was acquitted in the death of Trayvon Martin, everyone has had an opinion about the verdict.

I am not about to second-guess the jury's decision or pass judgment on them. Our judicial system is operating as it was designed. The jurors reached their conclusion based on the evidence placed before them and their interpretation of the law as it was explained.

As human beings, we see the world through the lens of our own experiences. Both science and history prove that we all have unconscious biases that impact the decisions we make.

There are some who say that the Zimmerman-Martin case had nothing to do with race. There are others who say that the case was all about race.

One idea that has come up: "What if we reverse the races so that Martin was white and Zimmerman was black?" That exercise, while potent, doesn't prove or disprove the relevance race played in the case.

A more powerful approach is to totally remove race as a factor by creating a scenario in which both the perpetrator and the victim are of the same race and then see whether people change their views. For example: "What if Trayvon Martin and George Zimmerman were both white? Or both black?"

If Zimmerman and Martin were both white, ask yourself:

• Would it have taken 44 days and a national protest to merely justify the arrest of a known killer? A killer who shot an unarmed child, initially stalked that child, was charged with two previous felonies -- "battery of law enforcement officer" and "resisting officer with violence" -- was accused of domestic violence (both charges were reduced, though some would say that's the benefit of Zimmerman having a father who is a retired judge) and disobeyed the authorities when told not to follow the person he eventually killed.

• Would authorities have not drug tested the killer but instead drug tested the victim?

• Would hordes of people have donated money to help the killer hire a strong defense team that eventually got him acquitted?

• Would society have given so much credibility to the killer's version of the events?

Many have tried to deflect the discomfort of this scenario by focusing on black-on-black crime. While such crime is a very serious issue that must be addressed by our society and especially the black community, turning to black-on-black crime is a form of avoidance. The uncomfortable truth is that very likely, most people would see the case differently if the killer and victim were both white.

When will we reach a day when we don't have to refer to crimes in racial terms?

In light of how much we know about ourselves on a scientific level, it is a shame that people are still so divided by race. In 2003, the mapping of the human genome code proved that there are no significant genetic differences between what we call "races." Every human being on the planet is 99.9% genetically identical to every other human being. But as societies, we live in constructs.

For those who fear the average random black male wearing a hoodie, I can empathize with you. But statistically, you should be more afraid of the person you see every day in the mirror. According to the U.S. Census Bureau, suicide is one of the top causes of death for white Americans (PDF). Homicide is not. So, your chance of killing yourself is greater than your chance of being killed by anyone, of any race.

Let's turn back to the question: "If the victim and the killer were both white, would society have given so much credibility to the killer's version of events?"

I doubt that a jury so heavily made up of white mothers would have related to or felt empathy toward a man who had stalked and killed an unarmed child who could have very easily been one of their own.

The opinions expressed in this commentary are solely those of Al Vivian.

@highlight

Al Vivian asks, what if Trayvon Martin and George Zimmerman were both white?

@highlight

Vivian: The uncomfortable truth is that most people would see the case very differently

@highlight

He says we all have unconscious biases that impact the decisions we make

@highlight

Vivian: When will we reach a day when we don't have to refer to crimes in racial terms?