(CNN) -- Oklahoma death row inmate John David Duty was executed Thursday using a drug commonly used to euthanize animals because of a nationwide shortage of the sedative normally employed in Oklahoma's lethal injections.

Pentobarbital is an anesthetizing drug widely used to euthanize dogs, cats and other animals. Duty, who was pronounced dead at 6:18 p.m. CT, is believed to be the first condemned inmate to be executed using pentobarbital as part of the three-drug cocktail.

Lawyers for Duty, who was sentenced to die for strangling his cellmate with a shoelace, claimed that pentobarbital is risky and unproven in humans.

The 10th Circuit Court of Appeals allowed Duty's execution to go forward using pentobarbital in place of sodium thiopental, a short-acting barbiturate that induces unconsciousness.

"According to the record, sodium thiopental is now effectively unobtainable anywhere in the United States, thus requiring Oklahoma and other death-penalty states to revise their lethal injection protocols," the court said in an order issued December 14.

Hospira, the Illinois-based drug company that is the only domestic manufacturer of sodium thiopental, stopped producing the drug in August 2009 because of a shortage of raw materials, a company spokesman said.

The sedative is the first drug in Oklahoma's lethal injection protocol. It is followed by vecuronium bromide, a drug that causes paralysis and stops breathing. The third drug, potassium chloride, stops the heart.

Hospira does not support the use of sodium thiopental in executions, a stance it has made known for years.

"Hospira manufactures this product because it improves or saves lives, and the company markets it solely for use as indicated on the product labeling. The drug is not indicated for capital punishment, and Hospira does not support its use in this procedure," spokesman Daniel M. Rosenberg said in an e-mail.

"In the spring of 2010, Hospira communicated with departments of corrections in the United States to advise them of our position. We have done this every several years going back to the days when the company was part of Abbott."

The condemned man's lawyers argued that pentobarbital's effectiveness is not proven and said the FDA has not approved its use. A spokesman for the FDA did not immediately respond to an inquiry regarding pentobarbital's status. A search on Drugs@FDA, which lists all drugs approved by the FDA, showed its marketing status as discontinued, which means the drug is no longer being manufactured by the marketer.

The decision to use pentobarbital in place of sodium thiopental sparked an outcry from death penalty opponents over its questionable effectiveness.

"It's controversial because no one knows how it's going to work. It's never been used in executions," said Richard Dieter, executive director of the anti-capital punishment group, the Death Penalty Information Center.

"It's been used on animals and humans in an anesthetic way, not a killing way. If it doesn't work in that context, we know that the other two drugs are extremely painful, so it's going to be an excruciating process," he said.

Duty was sentenced to die in 2002 after pleading guilty (against the advice of his lawyers) to premeditated murder for strangling his 22-year-old cellmate, Curtis Wise, with shoelaces. At the time, he was serving three life sentences for rape, robbery and shooting with intent to kill from a 1978 conviction.

In a letter to the district attorney and in hearings, Duty said he killed his cellmate in the hopes of obtaining a death sentence. The state sought the death penalty based on several factors, including the heinous nature of the crime and the fact Duty carried it out while in prison.

In post-conviction proceedings, however, Duty said he was depressed when he pled guilty and that his depression contributed to the murder and his decision to plead guilty. He also unsuccessfully pursued claims of ineffective counsel.

The 10th Circuit Court of Appeals sided with a district court's finding that another Oklahoma death row inmate failed to show "that the use of pentobarbital in Oklahoma's lethal injection protocol presents a constitutionally unacceptable risk of harm to the inmate," according to its December 14 order.

The appeals court cited the lower court's findings that, based on testimony from an anesthesiologist, the 5,000-milligram dosage (2,500 milligrams in each arm) would give rise to a "virtually nil likelihood" that the inmates would feel the effects of the next two drugs.

@highlight

John David Duty executed with drug used to euthanize animals because of sedative shortage

@highlight

Pentobarbital is an anesthetizing drug widely used to euthanize dogs, cats and other animals.

@highlight

Duty believed to be first inmate executed using pentobarbital as part of drug cocktail.