Positano, Italy (CNN)  -- Dramatically steep seaside cliffs, quaint multicolored hillside buildings and sweeping views of the sea captivate visitors as they enter scenic Positano, perched along Italy's Amalfi Coast.

The small, slow-paced Tyrrhenian Sea resort town is tucked into the Lattari Mountains and surrounded by colorful flowers and sweet-smelling lemon and orange trees.

Positano was a sleepy fishing village that began to attract large numbers of tourists in the 1950s after John Steinbeck published an essay about the town in Harper's Bazaar, tourism officials say.

"Nearly always when you find a place as beautiful as Positano, your impulse is to conceal it," Steinbeck wrote.

But it's not a secret anymore. Today, travelers from around the world come to enjoy the beach, play in the clear blue Tyrrhenian waters and explore the charming town's many family-owned boutiques and restaurants.

Many tourists consider Positano, on the south side of the Sorrentine Peninsula,  to be one of the most picturesque of Italy's coastal resorts, and business owners welcome the heavy stream of visitors who come to town each year.

Views from the Spiaggia Grande Beach, near Positano's downtown area, are spectacular. In addition to the sparkling sea, you can marvel at the architecture of the buildings stacked together almost like stairs up the slopes of the steep town.

The beach consists of coarse sand and small, smooth pebbles. Though not silky to the touch like beaches in the Florida Panhandle, the rounded pebbles are small enough to make them comfortable to walk or sunbathe on.

Because of the steep cliffs surrounding the area, the morning and afternoon sunlight is mostly obscured, so midday is the best beach time for sun worshipers.

Positano is known for hot, dry summers and mild winters. May through October has the best beach weather, when the air is warm (highs in the 70s and 80s) and comfortable. October through January are typically the rainy months.

Visitors who want to be on the water can head to Marina Grande, where you can rent a boat, windsurf, snorkel or dive. From the marina, you can also take a popular boat ride to Capri, an island with dramatic cliffs along the sea where international tourists and Italians alike flock for relaxing getaways.

Beyond the water, a major attraction is the church of Santa Maria Assunta, in the center of town. The church features a large dome covered in maiolica tiles and a collection of art, including a 13th-century Byzantine wooden panel depicting the Virgin Mary and her child.

In the town's steep, narrow streets, you'll discover many shops selling fashionable clothes handmade in Positano. This resort town is known for its production of dresses, pants and blouses made of cotton or linen, many of which are one of a kind.

The town is known for its lemons, and Positano shop owners capitalize on this by selling lemon sweets, perfumes, soaps and home decor, among other things. Be sure to buy at least one lemon-themed item while you browse around town.

If hiking is part of your agenda, take a walk from Positano along the Amalfi Coast on various panoramic trails. The popular "Walk of the Gods" path links Positano to the village of Praiano. Spectacular views of the sea thrill hikers along the trail, which takes about six hours to hike. A bus at the end of the journey will return hikers to Positano.

After a long, fun-filled day, your taste buds will be ready for Positano's many local specialties based on fresh seafood from local fishermen. Dishes such as boiled octopus salad and spaghetti with mussels are among the many foods commonly served.

Those not fond of seafood can always opt for a variety of pasta dishes or pizza Margherita dressed with olive oil or bruschetta, to name a few.

The most popular dining venues tend to be those by the water, offering tables with sea views. However, restaurants at the top of the cliffs offer equally spectacular panoramic views.

In addition to Positano's culinary and scenic attractions, the town is rich with history. Positano was once part of the powerful Republic of Amalfi, a rival of Venice as a sea power in the 10th century. The economy was predominately based on the fishing industry until tourists discovered its beauty in the 1950s.

Steinbeck wrote of its entrancing beauty: "It is a dream place that isn't quite real when you are there and becomes beckoningly real after you have gone."

Getting there

• Naples International Airport is the closest to Positano. Taxis, buses and shuttle services can transport you 36 miles from Naples to Positano. • Train service does not go directly to Positano. Sorrento is the nearest train stop, where you can hire a taxi, private shuttle or catch a bus for the nine-mile journey. • If you have a car, Positano is along Route 163, which curves around the Amalfi Coast.

Where to stay

• Expensive: Hotel Le Sirenuse - Long celebrated as a resort for the rich and famous. The guest rooms all have terraces overlooking the town. • Moderate: Domina Home Royal - Guests can enjoy panoramic views of the sea and town.

Where to eat

• Ristorante il Ritrovo: A family-owned restaurant high above the town along a mountain road. Seafood and pasta dishes dominate the menu. • Buca di Bacco: This restaurant has a strong emphasis on seafood and is along the beach.

Tourist information:

The tourist office, at Via del Saraceno 4 (telephone: 39-089875067; e-mail: info@aziendaturismopositano.it) can answer many questions travelers may have.

@highlight

Positano, Italy, is a small resort town along the Amalfi Coast

@highlight

It is perched upon cliffs that open up to views of the Tyrrhenian Sea

@highlight

Positano is very steep, so wear comfortable walking shoes as you stroll around town