Six months ago, the story began as a puzzling news bulletin. A Malaysia Airlines passenger jet with 239 people on board had vanished from radar screens as it was flying from Kuala Lumpur to Beijing.

The disappearance was quite the mystery. Was it a terrorist attack? Was there a mechanical failure that led to a crash? Did the plane go down over land or water? Were there any survivors?

We all figured the answers would come after searchers found the aircraft or its wreckage.

Half a year later, it remains a deep mystery. No part of the plane has been discovered. Not one speck of debris.

A Boeing 777-200ER just disappeared. With 227 passengers and 12 crew members on board, it just vanished.

Authorities are convinced the plane crashed March 8 in the southern Indian Ocean. Satellite data and radar information indicate the plane turned off course and most likely went down about the time it would have run out of fuel.

Officials don't know why it flew off course.

Looking for debris yielded nothing but garbage

Airplanes and ships searched the surface of the ocean for nearly two months, with each report of debris turning out to be a false lead or flotsam from another source. To date, more than 4.5 million square kilometers of sea have been scoured.

An underwater drone with sonar took the search beneath the waves in mid-April and looked for the source of four underwater pings picked up by devices towed by ships.

The pulses were encouraging because they were of a frequency close to that used by the locator beacons on the plane. The four signals were within 30 kilometers of one another.

More days of searching followed. Dozens of underwater missions over hundreds of kilometers. Still nothing.

Heartbroken family members of the people on board the plane have been left still seeking answers.

Deciphering the noise

Recently, Australian researchers said they had recovered another underwater sound recorder that was in the ocean when MH370 vanished. They found a signal similar to one they noticed on recordings from other devices pulled from the water. It could be a noise made by the plane crashing.

As with many possible clues in this strange case, there is a big but.

The researchers at Curtin University believe the sound or sounds came from an area thousands of kilometers to the northwest of the search area.

The signal seems to have originated close to the tip of India, near a geologically active ridge -- meaning the recordings are most likely those of a seismic event.

Experts poring over data

The latest clue comes from a failed satellite phone call from the airline's staff on the morning the plane disappeared. Subsequent analysis of the failed call has given experts a better idea of the aircraft's position and where it was traveling, Australian Deputy Prime Minister Warren Truss said August 28.

And that data indicates the missing passenger jet may have turned south slightly earlier than previously thought.

The next phase of the search for the remains of the plane and the people on board is primarily focused on a 60,000-square-kilometer area, roughly the size of West Virginia, in the southern Indian Ocean.

Forbidding undersea terrain

A deepwater search that will involve three ships is expected to start in the area in late September, using a range of sophisticated sonar equipment. The process is forecast to take as long as a year and cost $48 million, officials have said.

Ships have already been mapping the undersea terrain in the isolated swath of ocean to help the searchers. Much of the geography of the area was previously unknown before MH370's disappearance drew attention there.

And some of it will be very, very difficult to search, with the mapping survey showing undersea volcanoes and steep ridges.

The latest analysis of the data indicates that southern areas of the huge search grid may be of high interest, Australian officials have said, suggesting that the zone is likely to be further adjusted.

Job cuts at airline

The loss of MH370 and the shoot-down of Malaysia Airlines Flight 17 over Ukraine in July have contributed to 6,000 people at the airline losing their jobs because of heavy financial losses.

The carrier reported in late August that it lost $97.4 million in the second quarter.

Malaysia Airlines was once a symbol of national pride. But the airline was in big financial trouble before the twin disasters of Flight 370 and Flight 17 claimed the lives of 537 people.

Australia: MH370 may have turned south earlier than previously thought

Hard areas found in search zone unlikely to be man-made

@highlight

On March 8, MH370 veered off course and vanished from radar en route to Beijing

@highlight

Millions of square kilometers of ocean surface have been searched

@highlight

The deepest parts of the sea will be the next place searchers send their equipment

@highlight

Family members of the 239 people on the plane have been left still seeking answers