(CNN) -- Oklahomans have a special relationship with the sky. We know how to look up. On the prairies of western Oklahoma, the skies are so big, and so full, it is easy to feel you may begin to fall upward, or even fly. To live underneath this unbroken expanse of heaven can be at once inspiring and terrifying.

Every Okie has seen those skies turn scary, and every Okie accepts that atmospheric instability is a part of our legacy. In school and from our trusted local meteorologists, we learn from an early age what to look for in a sky, in a radar map and in a safe place.

Green-tinted clouds are never a good sign; a hook echo on a radar -- the telltale swirl at the edge of a storm pattern indicating strong rotation -- means take cover. Underground is best, in a basement or storm shelter. But a small, ground-floor room with no exterior walls will do if the tornado isn't too strong. Cover up with a mattress or thick blanket to avoid debris; don't open all the windows in the house, contrary to now discredited advice; don't hide under an overpass.

Opinion: How can we be sage from tornadoes?

If this liturgy of weather preparedness is part of the Oklahoma psyche, so, unfortunately, is devastation. Fourteen years ago this month, one of the worst tornadoes in history roared through Moore, Oklahoma, taking dozens of lives and hundreds of homes.

Long after the initial cleanup was completed, the disaster was everywhere apparent.

The branches of trees were gnarled by the winds into unreal shapes, their leaves growing close to the bark as if for protection. Neighborhoods that once were thick with homes seemed almost to revert to the fields from which they'd sprung. For those who lost homes, it took months, sometimes years, to become whole. For those who lost loved ones, that never happened.

That is why for the people of Moore, what happened on May 20 feels impossible. It is impossible that this happened here again. It is impossible to reduce the suffering to a number: lives lost, homes destroyed, damage expressed in dollars. For many, it must feel impossible to know where to begin to carry on.

Inside a tornado-ravaged school

How does a community make sense of destruction on the level carried out by Monday's storm?

In Moore, it began almost as soon as the tornado touched down. Teachers at Plaza Towers and Briarwood elementary schools threw their bodies over their students to protect them from debris. Survivors flooded the streets helping to dig their neighbors out from under collapsed homes. Trucks filled with supplies raced to the scene.

We help. That is how we begin. It's what we know how to do. Word just came from Red Cross Oklahoma that Oklahoma City Thunder star forward Kevin Durant has donated $1 million to disaster relief efforts; Devon Energy, headquartered in Oklahoma City, donated $2.5 million. Thousands more from all over the country have donated what they can.

For Okies, this is what home is about.

Opinion: The making of a nightmare tornado

The "Oklahoma Standard," exhibited to the world after the 1995 bombing of the Alfred P. Murrah Federal Building in downtown Oklahoma City, after the May 3, 1999, tornado, and today, is who we are. What is on display before the world's eyes is not only a community's response to a disaster but an exhibition of something essential to the Oklahoma character.

We make sense of disaster by showing up and doing what we can. We find meaning in a bottle of water, a rescued pet, a family reunited, an act of selflessness. These things -- and not disasters -- are what define home for us.

Home, to borrow a phrase from the Bible, is where we live and move and have our being. It is not only where but who we are.

Moore in bull's-eye twice, now we may know why

Our identity is in softly rolling prairies giving way to forested hills, in long stretches of horizon that make you feel like you could see almost to eternity, and in big skies stretched tight above it all. We have learned to watch those skies -- for blessings, for rain, for sunshine, for wind and for signs of danger.

And we have learned to help. It's in our bones, like red dirt and big skies. It's what we will do now.

The opinions expressed in this commentary are solely those of Nathan Gunter.

@highlight

Nathan Gunter: Okies love the big, full skies, but watch them closely for signs of trouble

@highlight

Gunter: Green clouds are bad; swirl at edge of a storm pattern means take cover

@highlight

We've had our share of disaster, he says: Murrah bombing, previous tornadoes

@highlight

Gunter: We make sense of it by helping out, finding meaning in acts of selflessness