(CNN) -- Egypt's Sinai Peninsula, inhabited by some 30 Bedouin tribes, has long been a lawless land that serves as a buffer between Egypt and Israel. But it is now drawing comparisons to the ungoverned tribal regions of Pakistan as networks of Bedouin tribes, Sinai's criminal elements and radical Islamists have begun to capitalize on Egypt's post-revolution security vacuum by increasingly engaging in drug and arms smuggling, human trafficking and terrorism. The escalating lawlessness in the Sinai risks turning the region into a powder keg.

Egypt's domestic power struggle has implications for all nations in the region. Post-Arab Spring instability has increased Israel's concerns about its own security, concerns that will probably grow no matter who is in charge in Cairo. As a member of the Senate Intelligence Committee, I am concerned about the threat that Iran's nuclear program poses to Israel. However, instability in the Sinai is also a growing threat to Israel and Egypt's security. The Israel-Egypt peace treaty, which has provided security and balanced tensions in the region since 1978, is at risk.

Human trafficking in the Sinai has become a human rights nightmare. While leading a congressional delegation visit to Israel and Egypt this summer, I learned about the steady and growing flow of African migrants from Eritrea, Sudan and Ethiopia who are desperate to get to Israel and Europe in search of economic opportunity. But these migrants are increasingly waylaid in the Sinai desert by Bedouin tribes, for whom hostage-taking has become a flourishing business.

While a few years ago a migrant might be ransomed for $3,000, the going price today is more than 10 times that amount. Thousands of refugees are being held captive and subjected to torture, forced labor and rape, while those who cannot pay for their release are often murdered.

The Sinai powder keg nearly exploded in August after Islamist militants in Sinai attacked near the southern Israeli city of Eilat, killing and wounding Israeli soldiers and civilians. While pursuing the attackers, Israeli forces killed several Egyptian security guards, which then sparked attacks on the Israeli Embassy in Cairo and led to Egyptian demands for an end to the peace treaty.

Israel has stepped up its military deployment on its side of the border. We have also seen recent attacks on and abductions of members of the Multinational Force and Observers, whose important peacekeeping mission -- established by treaty protocol -- will be increasingly difficult to accomplish amid unraveling security on the peninsula. Recently, southern Israel has seen rocket attacks from the Sinai, as well as an attack by militants who crossed from the Sinai into Israel and opened fire on Israeli civilians.

While Israel is building a barrier along part of the Sinai border, that cannot stop all attacks, and one deadly rocket fired from the Sinai could be enough to kill the peace treaty altogether and ignite a regional war.

It is critical that we engage the Israelis and Egyptians in joint discussions on security in the Sinai and on preserving the Multinational Force and Observers' mission. The Egyptian military should be urged to reinforce checkpoints on the borders between mainland Egypt and the Sinai in order to stop the flow of arms and crack down on human trafficking. Egypt's new government must respect the country's commitments to combat human trafficking under international conventions as well as domestic law.

Corruption is a big obstacle to these common-sense solutions. But a renewed focus on bolstering the long-term economic prospects of the peninsula could begin to address the underlying problems. Highlighting the Sinai's human rights horrors could also be a focus of the Obama administration's Atrocities Prevention Board, which is intended to encourage robust multilateral efforts to prevent and respond to atrocities, something that should bring all nations together.

Ultimately, however, a new Egyptian government needs to understand that a lawless Sinai only undermines Egyptian interests. The administration must make clear to all in the region, but especially to the Egyptians, that they have a common interest in preserving the peace.

The opinions expressed in this commentary are solely those of Mark Udall.

@highlight

Egypt's Sinai Peninsula is becoming more lawless, Sen. Mark Udall says

@highlight

Instability there jeopardizes the 34-year-old peace between Egypt and Israel, he says

@highlight

Udall: Human trafficking in the Sinai has become a human rights nightmare

@highlight

Bolstering the Sinai's long-term economic prospects could begin to help, Udall says