London (CNN) -- The past few days in Ukraine have been marked by an escalation of street protests and ongoing clashes with riot police in the center of Kiev, as Ukrainians respond to new repressive laws adopted last week.

The legislation seriously undermines the freedom of assembly, media, privacy and civil society.

These laws constitute a crackdown on major democratic freedoms and offer a path to dictatorship. They criminalize defamation, introduce a label of "foreign agents" for foreign funded NGOs, enact jail terms for wearing masks and hard hats during the protest, and restrict the work of non-registered news agencies. In short they could seriously undermine the chances for free and fair presidential elections when they are held.

The protests erupted two months ago against pro-Russian President Viktor Yanukovych's foreign policy U-turn away from EU integration. Since then, his strategy has been to suppress and intimidate the media and political activists.

In December, prominent journalist Tatiana Chornovol was attacked and badly beaten. The Ukrainian president's office condemned the attack and ordered an investigation. Since then, four protesters have died amid ongoing clashes with police and dozens have been arrested -- and a Ukrainian Catholic Church spokesman told the National Catholic Reporter that the church's website had been compromised by cyber attacks via neighboring Russia.

Instead of dialogue and compromise, President Yanukovych has chosen the hard line towards establishing dictatorial rule. His ruling Party of Regions, in cooperation with the Communist Party, passed the repressive laws, and the Ministry of Interior issued a decree allowing riot police to use force and weapons against the protesters. The Kiev court prohibited any demonstrations until March 8.

Statements about the "foreign instigated" nature of the protests and the language of an "external enemy" have started to appear in the ruling party rhetoric.

Yanukovych has also fired his long-standing head of presidential administration, Serhiy Liovochkin, who is believed to take a moderate position in proposing dialogue with the opposition and protesters. As of today his post is vacant. The expectations are that it could be filled by a hardliner.

Groups of thugs and aggressive young men who support the government have further destabilized the situation.

On Tuesday more than 500 of them were roaming the streets of Kiev. Any attempts by citizens to call in police forces to address this security issues were ignored. Such further escalations could be the plan of the elites to introduce marshal law and forbid any demonstrations.

What can be seen in Ukraine is an attempt to create a criminal dictatorial rule in order to preserve the power of Yanukovych, as the chances of his political survival or a victory in free and fair elections in 2015 are slipping away. It is a dangerous strategy, which will be futile for three main reasons.

First, the civic protest is strong and is spreading to the east and south of Ukraine. Each aggressive move on the side of the regime sparks more and more people on the streets. Independent opinion polls show that 50% of the population support the protest and 25% cent are ready to participate in it actively.

Second, the charisma of Yanukovych is hardly matching the profile of the dictator. His recent addresses to the nation and pre-recorded closed meetings with Ukrainian media show his lack of confidence and evasion of talking about political crisis. Much less is he ready to face any open rally of his supporters. His popularity levels are at a record low. Even before the start of the protest they were only 14%, compared to 42% in 2010.

Finally, Ukraine's economic model is not viable to support a dictatorship. The macroeconomic situation remains very fragile and the investment climate had deteriorated even before the political crisis.

The coffers of the state are drained as illegal raids pushed businesses into a shadow economy. The $15 billion infusion from Russia will only help so much and these disbursements will be tied to conditionality, such as state asset sales. Earlier this month the World Bank pointed to endemic corruption, weak governance, limited access to finance and a lack of competition as serious obstacles to growth.

All this dooms Yanukovych's aspirations for a dictatorial rule. He should face the reality of irreversible change and prevent a further escalation. The alternative is an unpredictable collapse of his rule, as the nation will reject a tight grip on freedom and democracy.

READ: Clashes turn deadly for first time

The opinions expressed in this commentary are solely those of Orysia Lutsevych.

@highlight

Clashes escalate between protesters and police after controversial new laws adopted

@highlight

Lutsevych: Action could seriously undermine chances for free and fair presidential elections

@highlight

Protests against President Viktor Yanukovych's policy U-turn away from EU integration

@highlight

Lutsevych: "What can be seen in Ukraine is an attempt to create dictatorial rule, preserve power of Yanukovych"