The conflict between humans and critically endangered Sumatran elephants in Indonesia has been going on for decades, with the elephants on the losing end of the battle. The villagers and farmers don't kill them for food. They do it to keep their homes and crops safe. The grim result is the killing combined with shrinking elephant habitat contributes to an 80% population loss since the 1930s, according to the IUCN Red List of Threatened Species.

In Riau Province alone, where the highest number of elephants on the island was recorded in the 1980s, the population decreased from 1,342 in 1984 to 201 in 2007.

The major contributor to this conflict is the fight over land. Elephant habitat is lowland, non-mountainous, relatively flat landscape below an altitude of 300 meters. That kind of land also makes great farmland, which is why humans have cut down the rainforest and planted crops.

Individual small farms may not seem like a big encroachment onto elephant habitat, but when that's combined with the forest loss from large companies cutting down hundreds of hectares of forest for palm oil and pulp and paper plantations, it results in the elephants running out of land.

Read more: The devastation of Indonesia's forests

Even though Sumatran elephants are relatively small compared to their African bush cousins, elephants are still the earth's largest land mammal. With a weight of up to 4,000 kg or 8,820 pounds and a height of up to 3.2 meters or 10 feet and 6 inches, these elephants aren't small and they need a lot of land to roam. Even forest blocks of 250 km are too small for a viable elephant population.

That means, as the elephant habitat is whittled away, the elephants will inevitably intrude onto villages and farms looking for food. One of their favorite foods is heart of palm, the same heart of palm we eat, which can be found in the center core of an oil palm tree.

To get to it, an elephant has to knock the tree down, killing a farmer's valuable crop. Oil palm is one of the most lucrative crops Sumatran farmers can grow.

Even one elephant can be a destructive force, knocking down trees and trampling houses in minutes. A 3.2 meter tall, 4,000 kilo animal can be intimidating for any human, no matter how well armed. To make it even scarier, the animals usually look for food at night. A villager or farmer will do anything to stop the elephant from its path of destruction.

The most common way of killing the elephants in these areas of Sumatra is poisoning. Villagers and farmers will poison a bit of food and leave it for the elephant. It eliminates a direct confrontation.

The local population doesn't want to kill the elephants. They feel as if they have no choice. In fact, some of the locals say they take pride in the Sumatran elephant and consider it part of their national identity. No villager or farmer thinks that killing one elephant threatening his home will wipe out the entire population. Unfortunately, the sad truth is, this killing is wiping out the population.

Read more: Indonesia's indigenous villages in flux

NGOs like the Sumatran Elephant Conservation Initiative (SECI) are working to change the way locals interact with elephants. They introduced the Riau province villagers and farmers to alternatives to killing the elephants.

The SECI created scare guns that make a loud boom that will scare the elephants away. There are also barriers that will sound an alarm when an elephant trips a wire. SECI has even helped locals install an electric fence that borders Bukit Tigapuluh National Park or Thirty Hills, which is protected land for wildlife.

One of the most important elements of these successful projects is the education and cooperation of the local population. These non-lethal alternatives use cheap materials that are easily found in the area, so they catch on quickly.

The locals have built lookout stations and formed a group like an elephant community watch that will gather when elephants are nearby so they can scare them away with loud noises and large fires.

The SECI programs have been so successful in their efforts to keep the elephants from being killed, they've expanded their operation.

Now, they have tagged some of the elephants with radio devices so they can track their movements and organize groups to scare the elephants away even more quickly.

These are small victories in a few rural communities around Sumatra, but they can have a big impact.

If the killing can be stopped and the cutting of the forest limited, this tiny population of critically endangered Sumatran elephants might have a chance to beat extinction.

@highlight

The population of Sumatran elephants has decreased by 80% since the 1930s.

@highlight

In Riau Province alone the population decreased from 1,342 in 1984 to 201 in 2007.

@highlight

Humans kill the elephants to keep them off valuable farming land.

@highlight

The destruction of the rainforest means elephants increasingly intrude on villages and farms looking for food.