One country, two languages -- and one dream of winning the World Cup.

If Belgium is divided by the Flemish speakers who live in the north and the French-speaking Walloons in the south, the nation's footballers are united with one goal.

And with its place at the 2014 World Cup finals almost secure, midfielder Mousa Dembele believes Belgium's multicultural array of stars can follow in the footsteps of France's 1998 winning team.

Like Les Bleus -- a team which included players of African and Caribbean heritage -- Belgium's class of 2013 has a cosmopolitan feel.

Striker Christian Benteke was born in Kinshasa, Congo, while the likes of Manchester City captain Vincent Kompany and Chelsea striker Romelu Lukaku are both of Congolese heritage.

Then there is Manchester United's Marouane Fellaini, who along with Tottenham's Nacer Chadli and 17-year-old starlet Zakaria Bakkali is of Moroccan descent.

Dembele himself was born in Belgium after his father moved from Mali -- of which he remains proud.

And while the 26-year-old considers himself Belgian, he believes the ethnic mix within the team has made his time in the national setup a more enjoyable experience.

"We get on very well, I think," Dembele told CNN ahead of Friday's trip to Croatia, where a draw will be enough to clinch Belgium's 2014 place as winner of Group A with a match to spare.

"It makes us strong. We have all kinds of players and perhaps you can compare us to the France side which won the World Cup in 1998.

"I think it's fair to say we're like them. Perhaps you could say we're also like Germany in a way.

"With Germany, you can see there's a real mix of nationalities in their team. I like that approach because I'm of mixed nationality myself."

It's a nuanced response from Dembele and contrasts sharply with the view of Arsenal midfielder Jack Wilshere, who said this week only English people should play for England.

While the Belgium players remain united, the team will often arrange separate interviews for Flemish and French speakers.

Arsenal defender Thomas Vermaelen will speak to the press in Flemish, while Zenit St. Petersburg midfielder Axel Witsel, whose father came from the Caribbean island of Martinique,  will give his thoughts in French.

One team

But the divisions stop there -- on the pitch these players have come together to give Belgian football its most exciting generation of players since the team reached the 1986 World Cup semifinal.

The path to today's array of riches has not been an easy one -- Belgium has failed to qualify for the past five major tournaments and only an extensive overhaul of its playing structure has ensured that the country has not been left behind.

"Some 13 years ago the Belgian Football Federation decided to reorganize Belgian football programs and set up in every province an elite academy," leading Belgium youth football coach Michel Bruyninckx, who has long been interested in maximizing the way players use their brain in games as part of his innovative training sessions, told CNN in a recent interview.

"In collaboration with all the universities in our country and after studying the strategies of other countries the Belgian FA composed a plan with the new vision implemented in the different federation academies and then step-by-step integrated in the club programs.

"Just as importantly the Ministry of Education agreed to create a school curriculum to extend the number of weekly training hours.

"That meant we could guarantee young talents would have about 20 hours training time a week and their school programs were never in danger.

"The structure, organization and lifestyle in the academies was regularly checked to make sure that this project delivered professional players or highly qualified young people."

Youth program

The project has been a huge success -- Belgium's top club side Anderlecht competes in the European Champions League with a team boasting an average of just 22.5 years.

The club's youth teams have been dominating on both the national and European stage, while the Belgian Under-21 side recently defeated Italy 3-1.

"Anderlecht have won five of the eight national youth championships and many important European tournaments such as the Viareggio, the Aegon Future Cup and the Premier League Cup," added Bruyninckx.

"The integration of many very young players in the first team is the proof of the success of what has happened in Belgium. Most of all Youri Tielemans, the 16-year-old player who has surprised the whole of Belgium and is the product of the new strategy."

Star pupils

One of those players to have come through the Anderlecht system announced himself on the world stage last weekend.

Adnan Januzaj scored twice on his full Premier League debut for Manchester United in a 2-1 win at Sunderland -- sparking a wild frenzy among a whole host of nations which want to secure his international future.

The 18-year-old, who was born in Belgium, could potentially play for his country of birth as well as Albania, Turkey, Serbia or Kosovo, which has yet to be recognized by FIFA.

Even England has made overtures in attracting the youngster to wearing the Three Lions.

There may be a chance Januzaj will wear the red of Belgium, but that is for the future -- he has refused all international call-ups so far.

Now Belgium is hoping that the culmination of the project will take place in Brazil next July with its group of players one of the most talented in Europe.

Goalkeeper Thibaut Courtois has starred in Spain's La Liga for Atletico Madrid, while Chelsea's Eden Hazard is regarded as one of the most exciting playmakers in the world.

Benteke and Lukaku are two of the most lethal finishers in the English Premier League, while Fellaini commanded a $43 million transfer fee when he joined Manchester United from Everton in August.

Then there is the prodigiously talented Bakkali -- who, at 17 years and 196 days old, became the youngest player to score a hat-trick in the Dutch league, for PSV Eindhoven in August.

'Something special'

There is talent everywhere you look -- it is a squad which promises to thrill, excite, inspire and perhaps, just perhaps, win.

"For the past three years we've known that we've had some good players but we didn't always get the results," Dembele says.

"I think now you can see we have a lot more confidence there. With the World Cup, it's all looking good for us but it's not done quite yet.

"I think there are some difficult games to play but we're confident.

"We have a very good team, so we don't have to be scared. But we have to be concentrated, and I believe if we get to Brazil we can do something special, but we have to get there first."

@highlight

Belgium is considered one of the dark horses to win the World Cup in Brazil

@highlight

Nation has one of the most gifted squads in football thanks to outstanding youth program

@highlight

Can qualify for the 2014 tournament on Friday night with draw in Croatia

@highlight

Dembele believes his side can do 'something special' next July