(Financial Times) -- A senior Chinese auditor has warned that local government debt is "out of control" and could spark a bigger financial crisis than the US housing market crash.

Zhang Ke said his accounting firm, ShineWing, had all but stopped signing off on bond sales by local governments as a result of his concerns.

"We audited some local government bond issues and found them very dangerous, so we pulled out," said Mr Zhang, who is also vice-chairman of China's accounting association. "Most don't have strong debt servicing abilities. Things could become very serious."

The International Monetary Fund, rating agencies and investment banks have all raised concerns about Chinese government debt. But it is rare for a figure as established in the Chinese financial industry as Mr Zhang to issue such a stark warning.

"It is already out of control," Mr Zhang said. "A crisis is possible. But since the debt is being rolled over and is long-term, the timing of its explosion is uncertain."

Local government debts soared after 2008, when Beijing loosened borrowing constraints to soften the impact of the global financial crisis. Provinces, cities, counties and villages across China are now estimated to owe between Rmb10tn and Rmb20tn ($1.6tn and $3.2tn), equivalent to 20-40 per cent of the size of the economy.

Last week, Fitch cut China's sovereign credit rating, in the first such move by an international agency since 1999. On Tuesday, Moody's cut its outlook for China's rating from positive to stable.

Local governments are prohibited from directly raising debt, so they have used special purpose vehicles to circumvent these rules, issuing bonds under the vehicles' names to fund infrastructure projects.

Investment companies owned by local governments sold Rmb283bn of bonds in the first quarter of 2013, more than double the total for the same period last year. Such an increase would normally be expected to boost the economy, but China's growth unexpectedly slowed to 7.7 per cent in the first quarter of 2013.

Mr Zhang said many local governments had invested in projects from public squares to road repairs that were generating lacklustre returns, and so were relying on financing rollovers to pay back their creditors. "The only thing you can do is issue new debt to repay the old," he said. "But there will be some day down the line when this can't go on."

Mr Zhang added that he grew alarmed when smaller towns and counties discovered that investment vehicle bonds were an easy way to raise financing. "This evolution was quite frightening," he said. "China has more than 2,800 counties. If every county issued debt, it could lead to a crisis. It could be even bigger than the US housing crisis."

Beijing has taken steps to control bond issuance by the local governments' investment companies. In December, the finance ministry barred them from injecting public assets such as hospitals and schools into the special purpose vehicles they use to sell bonds.

Bonds issued by government-owned investment companies almost always receive top-tier credit ratings from domestic agencies because they are seen as being guaranteed by the provinces and cities that back them. But Mr Zhang puts little faith in official guarantees, saying ShineWing only audited bonds if it was very clear that borrowers were able to make repayments: "When the time comes, it won't be the government that assumes responsibility. It will be the accounting firms and the banks that do."

ShineWing's caution is an example of how an elite group of Chinese accounting firms are trying to establish reputations as responsible, well-managed entities capable of challenging the global Big Four in the industry. ShineWing has been the most aggressive Chinese firm in expanding abroad and is now planning a move into Europe.

© The Financial Times Limited 2013

@highlight

A senior Chinese auditor has warned that local government debt is "out of control"

@highlight

Zhang Ke said could spark a bigger financial crisis than the US housing market crash

@highlight

His accounting firm, ShineWing, had all but stopped signing off on bond sales by local governments

@highlight

It is rare for a figure as established as Mr Zhang to issue such a stark warning