(CNN) -- The past few days have been difficult for Mitt Romney. His setbacks include the release of a secret video in which he said 47% of Americans thought of themselves of victims; the news that his campaign is not as cash-stashed as some had anticipated; and the latest poll numbers that show President Barack Obama widening his lead in some swing states, including Ohio.

The smart money is betting on Obama to capture a second term, and it's easy to see why. He leads most major public opinion polls nationally and in the key swing states, and he has many more paths to a majority of 270 in the Electoral College. The probability is that Obama will emerge with a victory.

But we're six weeks out. Theoretically, a lot can happen, some of it driven by the candidates and their campaigns. Could smart decisions, combined with a few favorable circumstances, propel Romney to an upset victory?

We can all come up with fantastical scenarios involving international or domestic crises that would cause a plurality of Americans to say "no more four years" for the president. Occasionally, these things happen, as they did to first-term Democratic President Jimmy Carter. A dramatically shrinking economy, sky-high interest and inflation rates and the agony of the Iranian hostage crisis swamped his ship of state in 1980.

But let's be more realistic. From now until Election Day, Romney's chances to surprise us will largely be dependent on the debates as well as his ability to better capitalize on the relatively weak economy.

Goodness knows Romney has been practicing enough for the three debates scheduled to be held October 3, 16 and 22. Inevitably, the Republican has some zingers prepared that will bring down the house -- well, the Republican side of it.

Opinion: Republicans risk being the party of mean

The key is to weave a larger narrative about what he will assert are "Obama's broken promises and failures" that can persuade the nation to do what it has been historically reluctant to do: send an incumbent packing. Romney has to employ outrage to energize his base yet use a tone that communicates more sorrow than anger that "it just hasn't worked out as we had all hoped it would four years ago."

Ronald Reagan scored a knockout in his 1980 debate with Carter, and John Kerry landed enough hard punches to stun President George W. Bush in 2004's first debate. Can Romney measure up? And can the debates become intriguing enough to draw an audience that consists of more than confirmed Republican and Democratic partisans who tune in to cheer for their side? It's not easy to do in a polarized year when voters are dug in and as many as 95% of those who will cast a ballot have made at least a tentative presidential choice.

Aside from the debates, Romney's best path to triumph is to portray himself relentlessly as an exceptionally qualified "Mr. Fix It" on the economy and to make hay of the economic reports still to come, assuming they contain bad news.

Growth is still very slow, and the unemployment picture is unlikely to brighten before the election. The final jobs report will be released on the Friday before the Tuesday election; a disappointing number could enable Romney to win over a disproportionate share of the remaining undecided voters, though there might be few left.

Romney has another advantage. He might benefit from the news media's desire for drama. Even though Republicans see the news media, on the whole, as biased toward Obama, most journalists aren't keen on a cut-and-dried presidential contest.

Opinion: Why do the Romneys pay so little in taxes?

For ratings purposes, if nothing else, they want a close, competitive race where the momentum goes back and forth. Otherwise, it will be 40 days and nights in the desert, much like it was in the numbing, dramaless 1996 match-up between President Bill Clinton and his Republican challenger, Sen. Bob Dole.

To win against the rising odds, Romney and his team have to exceed expectations in many ways and run the near-perfect campaign that has eluded them so far. That's very hard to achieve, but American electoral history is dotted with astonishing comebacks that defied the predictions of experts. It is not impossible that 2012 could record yet another.

The opinions expressed in this commentary are solely those of Larry J. Sabato.

@highlight

Larry Sabato: The past few days have been tough for Mitt Romney's campaign

@highlight

Sabato: The smart money is betting on Barack Obama to capture a second term

@highlight

He says smart decisions and luck might be able to propel Romney to an upset victory

@highlight

Sabato: To win, Romney and his team have to exceed expectations in many ways