The United States is cutting funding to the U.N. education and science agency UNESCO after the agency voted to accept a Palestinian bid for full membership, the U.S. State Department said Monday.

"Today's vote by the member states of UNESCO to admit Palestine as member is regrettable, premature and undermines our shared goal of a comprehensive just and lasting peace in the Middle East," said State Department spokeswoman Victoria Nuland.

"The United States will refrain from making contributions to UNESCO," she said.

The United States was going to make a $60 million payment in November, and will now not do so, she said.

Some U.S. lawmakers had called on the Obama administration to withhold funding to UNESCO if the measure was approved.

How the U.S. decision could be counterproductive

The lawmakers cited U.S. law, which states that funds must be denied to any organization granting the Palestine Liberation Organization "the same standing as member states."

A spokeswoman for the U.S. Mission to UNESCO -- the United Nations Educational, Scientific and Cultural Organization -- said the United States contributes $80 million a year.

The U.S. contribution comprises 22% of the agency's funding in its regular budget, a spokeswoman for UNESCO said.

The vote, which required two-thirds approval by UNESCO members, passed with 107 in favor, 14 against, and 52 abstentions.

It was the first such vote by a part of the world body.

The vote is separate from the Palestinian bid for full membership in the United Nations. Representatives of several countries pointed out that currently that bid is being discussed by members of the U.N. Security Council.

Huge applause broke out at the meeting in Paris when the results of the vote were announced.

UNESCO Director-General Irina Bokova, speaking after the vote, said she is concerned for the financial stability of the organization.

"I believe it is the responsibility of all of us to make sure that UNESCO does not suffer unduly," she said, specifically citing concerns about losing funding from "our largest contributor, the United States."

Bokova said the "admission of a new member state is a mark of respect and confidence."

U.N. Secretary General Ban Ki-moon addressed the concern as well, saying "we will need to work on practical solutions to preserve UNESCO's financial resources." Ban said he had no further comment, although he noted "the urgency of a negotiated solution of the Middle East peace process."

Susan Rice, the U.N. ambassador to the United Nations, posted on her Twitter account: "Today's vote to grant Palestinian membership in UNESCO is no substitute for direct negotiations, but it is deeply damaging to UNESCO."

UNESCO, which is headquartered in Paris, works to promote peace and sustainable development through education, the sciences and culture.

White House spokesman Jay Carney said the vote "is premature and undermines the international community's shared goal of a comprehensive, just and lasting peace in the Middle East.  Today's vote distracts us from our shared goal of direct negotiations that results in a secure Israel and an independent Palestine living side by side in peace and security."

Palestinian leaders celebrated the vote.

"This is a significant victory and sends a clear message to those who are trying to hold history and deny the rights of Palestinians that there are a majority of nations with conscience who refuse to be intimidated and blackmailed," said Hanan Ashrawi, a member of the Palestine Liberation Organization's Executive Committee, speaking by phone from Ramallah, in the West Bank.

"The ones who voted negatively are isolating themselves along with Israel on the wrong side of justice and the law. And if the U.S. continues to threaten to boycott or withdrawal from organizations that recognizes Palestine it might find itself outside most global institutions with diminishing influence and standing," she said.

Sabri Saidam, adviser to Palestinian president Mahmoud Abbas, said, "This is a historic moment, a moment of jubilation on route to full recognition of Palestinian independence and self-determination, that's equally a call for reconsideration of positions to those wavering on the Security Council vote.

"It is also a foundation stone for what's to come at the (Security Council) and other international organizations. Today's experience is a manifestation of ability of the international community to defy occupation and practically work towards ending it."

The Israeli representative, Nimrod Barkan, addressing the meeting after the vote, called the decision "a tragedy for UNESCO" and "a great disservice to international law."

UNESCO has now "adopted the science fiction version of reality by admitting a nonexistent state to the science organization," he said.

In a statement, Israel's Ministry of Foreign Affairs said, "This is a unilateral Palestinian maneuver which will bring no change on the ground but further removes the possibility for a peace agreement. This decision will not turn the Palestinian Authority into an actual state yet places unnecessary burdens on the route to renewing negotiations. Israel believes that the correct and only way to make progress in the diplomatic process with the Palestinians is through direct negotiations without preconditions."

Israeli Prime Minister Benjamin Netanyahu referred to the vote during remarks at the start of the Knesset winter session. "Instead of sitting around the negotiating table," Netanyahu said, Palestinian leaders "have decided to make an alliance with Hamas and are carrying out one-sided endeavors in the U.N., including today.  We will not sit with folded arms against these measures which are hurting Israel and are violating bluntly the most basic obligations the parties took in the peace process, to solve the conflict between us through negotiations. Sadly, during the time we are trying to form a Palestinian state with a peace agreement they are trying to form a state without an agreement."

David Killion, the U.S. permanent representative to UNESCO, said the United States "cannot accept the premature Palestinian admission for membership in a United Nations specialized agency such as UNESCO."

"Despite the challenges ahead, we pledge to continue our efforts to find ways to support and strengthen the important work of this vital organization," he said, addressing the UNESCO meeting after the vote.

Killion did not say what could happen to U.S. funding for UNESCO.

The Pakistani representative called the decision "momentous."

"For over six decades, Palestinians have proven to be superb human beings but have regrettably remained without their rights," she said, adding that "today this wrong has been righted."

She referred to the longtime Palestinian leader Yasser Arafat as an "inimitable hero."

The representative from Sri Lanka said that with its vote, UNESCO "acted precisely as the conscience of the world community."

"I think that by showing Palestine's independence is an idea whose time has come and that this has brought recognition in the world community, we have in fact bolstered all the efforts which with respect towards a negotiated peace and towards the recognition that is sought in the Security Council," he said.

Earlier, as the vote was under way, applause broke out after some countries voted in favor of the bid.

There was laughter in the room after Israel voted no.

In September, Palestinian Authority President Mahmoud Abbas launched the bid for the United Nations to recognize a Palestinian state. UNESCO is the first agency the Palestinians have sought to join.

The Palestinian Authority-run Wafa news agency reported late on Monday that Palestine is preparing to apply for full membership in the World Health Organization.

Since Palestinian leaders made the request for membership in UNESCO earlier this month, U.S. lawmakers have urged the agency to reject it.

"Any recognition of Palestine as a Member State would not only jeopardize the hope for a resumption of direct Israeli-Palestinian negotiations, but (it) would endanger the United States' contribution to UNESCO," said an October 13 letter signed by members of the House Appropriations Subcommittee on State and Foreign Operations, which appropriates UNESCO's U.S. funding.

Rep. Kay Granger, R-Texas, who chairs the subcommittee, said she will "advocate for all funding to be cut off."

"This is consistent with current law, and I will consider additional actions as needed," she said this month. "There are consequences for short-cutting the process, not only for the Palestinians, but for our longstanding relationship with the United Nations."

She was referring to a provision of U.S. code which states: "No funds authorized to be appropriated by this Act or any other Act shall be available for the United Nations or any specialized agency thereof which accords the Palestine Liberation Organization the same standing as member states."

Rep. Ileana Ros-Lehtinen, R-Florida, chairwoman of the House Foreign Affairs Committee, slammed Monday's vote.

In a statement before the State Department announced it was cutting funding, Ros-Lehtinen said, "Today's reckless action by UNESCO is anti-Israel and anti-peace.  It rewards the Palestinian leadership's dangerous scheme to bypass negotiations with Israel and seek recognition of a self-declared 'Palestinian state,' and takes us further from peace in the Middle East."

"Existing U.S. law mandates that we cut off funding to any U.N. body that approves such a request.  The administration must stop trying to find ways not to fully implement this law, and instead cut off funding to UNESCO immediately," she said.  "And Congress must pass pending U.N. reform legislation to cut off funding to any U.N. entity that grants any upgraded status to 'Palestine.' Such strong action is the only way to deter other U.N. bodies from following in UNESCO's footsteps, and to prevent U.S. taxpayer dollars from paying for biased entities at the U.N."

@highlight

Report: Palestine will seek full membership in the World Health Organization

@highlight

U.N. Ambassador to the U.N. Susan Rice calls the vote "deeply damaging to UNESCO"

@highlight

The vote "further removes the possibility" for a peace deal, Israel says

@highlight

The vote shows most countries "refuse to be intimidated and blackmailed," a Palestinian official says