While all eyes are on Nelson Mandela's health, the former South African leader's legacy is gaining ground in an unlikely place.

On Saturday, at a soccer stadium in the north-east of England, the 94-year-old's messages of peace and equality will be given center stage during a Premier League match involving one of the world's biggest clubs.

However, it is not Manchester United that will be promoting its own "Mandela Day" and lending its efforts to the anti-racism campaign gathering force around Europe -- but rather its host Sunderland, a team battling to keep its place in the English top flight, and one that is committed to making an impact in one of football's emerging markets.

Mike Farnan was one of the directors responsible for spearheading United's drive  into China and South-East Asia in the late 1990s, and now he is guiding one of the EPL's less glamorous teams into a region that is actively seeking investment -- Africa.

"There's so many similarities -- a growing economy, new wealth forming, the  people love football," he told CNN ahead of a match which will be the club's first big public statement about its work with Mandela's foundation.

While governing bodies, football associations and clubs search for an effective response to the problem of racism, Sunderland is pursuing a more active approach.

Television viewers around the world, including an estimated 1.2 billion in Africa who watch EPL games, will see Mandela's messages on a big screen that would otherwise show commercials. There will be TV commentary in Swahili, Farnan said.

Players will warm up in Nelson Mandela Foundation t-shirts, its flag will be displayed by the pitch and drummers from Burundi will entertain the crowd, who will be asked to donate to the South African charity.

On the surface it may seem like an advertising gimmick, but Farnan says Sunderland is serious about its involvement with Mandela's group and about its relationship with Africa.

"We have links with academies in Canada and the Caribbean but nothing like this. This is a first. Our whole focus is now Africa," the club's marketing director said.

It happened almost by chance.

Having been approached in 2011 by the "Invest in Africa" initiative started by the Tullow Oil company, which was impressed by Sunderland's Foundation of Light program for kids in the community, a two-year shirt sponsorship deal followed last June.

"It opened our eyes to this huge continent who's screaming out, 'We love football, we love the Premier League,' " Farnan said.

It led to further interest from African businesses, and link-ups with clubs in Ghana, South Africa and Tanzania.

"The Mandela conversations took place following that," Farnan said. "We had read about the foundation and legacy program. What made us contact them was that this whole racism problem started popping its head up again in European football and it was unhealthy.

"Of course, Nelson Mandela is the torchbearer of equality and racism issues, and we felt that as a club working in Africa would it not be an idea to see if there was anything we could do, utilize him and support him in that message."

Before deciding on the partnership, its first with a major sporting organization, Mandela's foundation staff  visited Sunderland to see its community program, which works with more than 40,000 young people and their families each year.

It plays a vital role in a region which has been hit hard in recent decades by economic recession and the demise of its coal mining and shipbuilding industries.

Sunderland's present stadium is actually situated on the former site of the region's last coal mine. Now owned by American billionaire Ellis Short, the club -- formed by school teachers back in 1879 -- is a focal point for the locals.

"They are the most genuine, down-to-earth folk that you'll ever meet in the UK. I'm an outsider who's come in but I feel it's a very friendly community," said Farnan, an Irishman. "If you play for the club you're a hero to them."

Sunderland's links with "Madiba" go further than his foundation -- Farnan recently discovered that one of the club's fans was an activist with the African National Congress when Mandela was in prison.

"He ended up becoming a UN supervisor when Mandela got out and was actually at the stadium when he was released (in 1990). It's an amazing story," Farnan said.

Beyond promoting Mandela's key legacy objectives, Sunderland can also expect to do significant business, according to Tullow Oil's chief executive Aidan Heavy.

"Sunderland will become the Premier League club in Africa," Heavy said when the shirt sponsorship deal was announced.

"Everybody will be wearing the Sunderland shirt, every kid in every school will want a Sunderland shirt which says 'Invest in Africa,' believe me. It will be the number one club."

That sounds fanciful given the popularity of top EPL clubs such as Manchester United, Manchester City, Chelsea and Arsenal, who have all fielded top African players, but Farnan has high hopes.

"If you've got Africa written on your shirt and you're promoting the continent and you're in the Premier League, definitely without question it highlights you," he said.

"The Premier League, as an entity, is almost bigger than Manchester United, Arsenal, Chelsea  -- every team involved down to the lowest fan base, they get massive exposure. People are aware of who they are.

"A few years back people might not have known about Wigan -- now everyone knows that there is a Wigan and they play Manchester United twice a year."

Sunderland's own profile has been raised by the presence of prominent British politician David Miliband on its board, where he is vice-chairman.

Miliband plans to continue his role at the club despite deciding to move to the United States, where he will work for the International Rescue Committee -- a humanitarian relief and development organization.

Miliband, a former foreign secretary in Britain's previous Labour government, played a key role in establishing Sunderland's African interests.

"He was out at the foundation last week in South Africa talking to over a hundred leading personalities in Africa about how we will support the program," Farnan said.

Sunderland will undertake a preseason tour of South Africa in July, based around Mandela's birthday on the 18th of that month, and Farnan said the players would be actively involved with the foundation's programs -- which the club has agreed to support for the next three years.

"I'm over there almost every month now in parts of Africa," Farnan said.

"People want to talk to us, they are genuinely interested in the fact that we've linked with football clubs. We've got fulltime staff working in Africa, we're proactive, we're not just going out for a preseason tour and disappearing."

@highlight

English soccer club will promote this weekend's match as "Nelson Mandela Day"

@highlight

Sunderland is hosting league leader Manchester United in the Premier League

@highlight

Team has agreed a partnership with Mandela's foundation and will promote its cause

@highlight

Sunderland has shirt sponsorship from the "Invest in Africa" business initiative