Princeton, New Jersey (CNN) -- During a meeting with historians in 2011, Politico reported, President Obama said: "What you could do for me is to help me find a way to discuss the issue of inequality in our society without being accused of class warfare." For Obama, this is not an esoteric question. Rather, this is a challenge that will be integral to his campaign and, if he is re-elected, to his second term as president.

Many Democrats have argued that Obama should have tackled this issue from his first day in the White House. But this is an issue the president didn't think he had the political capital to address. He has also continually feared that touching on inequality would open him up to Republican attacks of being left of center.

Obama's question to the historians has no easy answer. When Democratic presidents have tackled issues of inequality, they have usually come under intense attack. That is the cost of trying to address this problem through government. (Republicans argue this is best left to the marketplace.) The key to success has been how strong the Democrats' responses to the critics have been.

Two Democratic presidents who tackled the problem of inequality in the 20th century in very different times were Franklin D. Roosevelt and Lyndon Johnson.

In 1932, FDR took office at the height of the Great Depression, with 25% of the workforce unemployed. He argued that the federal government would have to help take care of those who were suffering.

FDR promoted policies that aimed to provide greater economic security to working and middle-class Americans. Many of his key policies -- such as public works, Social Security, and the right to join a union -- aimed to make certain that the bottom did not fall out for those who were not rich and that average Americans had a strong foundation to climb up the income ladder once the Depression ended.

The business community responded predictably. While some leaders in the corporate world accepted the need for a New Deal, many others did not. The American Liberty League, an organization founded by business leaders in 1934, attacked FDR for trying to stoke class conflict and dividing Americans for his own political objectives. Following his combative State of the Union message in January 1936, when Roosevelt declared that his administration had "earned the hatred of entrenched greed," the American Liberty League denounced his effort to pit "class against class."

Roosevelt didn't run away. He insisted that the government had a duty to strengthen those who were disadvantaged. He also embraced the argument that if middle-class Americans prospered, they would spend money in consumer markets, which would in turn help the whole economy.

Finally, at some moments he argued that the nation suffered when the wealthy accumulated excessive economic and political power. In a 1936 campaign speech, FDR said: "We had to struggle with the old enemies of peace -- business and financial monopoly, speculation, reckless banking, class antagonism, sectionalism, war profiteering. ... Never before in all our history have these forces been so united against one candidate as they stand today. They are unanimous in their hate for me -- and I welcome their hatred."

Lyndon Johnson was more timid in certain respects. Johnson rarely spoke about the obligations of the rich, nor did he push for any kinds of tax increases until later in his presidency.

But he was willing to deal with the suffering of those who were not sharing in the prosperity of the era. He argued that a nation as great as the United States could not simply let inequality persist.

The centerpiece of his earlier years was the War on Poverty. In his State of the Union address in January 1964, Johnson said: "Unfortunately, many Americans live on the outskirts of hope -- some because of their poverty, and some because of their color, and all too many because of both. Our task is to help replace their despair with opportunity. This administration today, here and now, declares unconditional war on poverty in America. ... The richest nation on earth can afford to win it. We cannot afford to lose it."

Republicans did not sit by quietly. They attacked him for distributing funds to groups they called radical organizations and spending government money on urban populations. In 1964, Republican candidate Barry Goldwater said the War on Poverty was an attempt to "divide Americans." Johnson responded that his anti-poverty programs would in fact help the poor become self-sufficient and give them the tools to be good citizens.

It has become more difficult for Democratic presidents to discuss inequality for three reasons.

The first is the rise of the conservative movement, the mobilization of right-wing politicians, activists, and organizations who shifted political debate to the right. Certain questions, such as the role of government in diminishing inequality, became politically explosive.

The second reason is the particular state of the economy. During the 1930s, the state of the economic downturn was so severe that business and the wealthy had their backs to the wall, and progressive discussions about inequality received greater support. During the 1960s, the era of economic growth created the impression that the economic pie could continue to expand so that everyone could enjoy the rewards of the expanding GNP.

Currently, the economy is stagnant, yet conditions are not as severe as in the 1930s. As a result, discussions of inequality are still politically risky at the same time that they appear to require a zero-sum game where, to ease inequality, one side would have to lose in order for the other to gain.

Finally, the campaign system is flooded with private money, with both presidential candidates taking enormous contributions from wealthy interests who have little appetite for policies that would seriously diminish economic inequality, such as strengthening the progressive tax system. As a result, there is strong counter-pressure against any politician, Democrat or Republican, who is thinking of taking this step.

Regardless of these changes, a vibrant national discussion about inequality, with the president taking the lead, is essential. The 2012 campaign offers Obama an opportunity to put this problem on the national agenda.

The challenge for Obama is that there really is no way around the inevitable attacks, and there is no way to talk about economic inequality other than talking about it. Rather than looking for rhetorical tricks, Obama should instead focus on having the best arguments in response to the conservative attacks. This will require borrowing from Roosevelt a defense of how a vibrant middle class will be crucial to revitalizing America's economic position in the world, and from Johnson an argument that the ethical obligation to help the poorest is incumbent on our democracy.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

President Obama reportedly asked historians for defense vs. 'class warfare' attacks

@highlight

Zelizer: There's no way for president to avoid conflict over the issue of inequality

@highlight

Two Democratic presidents -- FDR and LBJ -- found different ways to raise the issue, he says

@highlight

Zelizer: Today's economic stagnation increases the difficulty of addressing inequality