Editor's note: Kevin Pho, a primary care physician in Nashua, N.H., blogs at KevinMD.com

Dr. Kevin Pho says health reform can't succeed as long as there's a shortage of primary care doctors.

(CNN) -- When President Obama recently cited the number of Americans without health insurance, he declared that, "We are not a nation that accepts nearly 46 million uninsured men, women, and children."

Uninsured patients often delay preventive care, waiting to seek medical attention only when their conditions worsen. This leads to more intensive treatment, often in the emergency department or hospital where costs run the highest.

Universal health coverage is therefore a sensible goal, and the reforms being considered all make considerable effort to provide everyone with affordable health care.

But expanding coverage cannot succeed as long as there remains a shortage of primary care clinicians.

After all, what good is having health insurance if you can't find a doctor to see you?

Massachusetts is often held out as a model for national health reform, and the bills being considered in Washington emulate much of that state's 2006 landmark universal coverage law. As a physician in neighboring New Hampshire, I have had the opportunity to observe the effect of the Massachusetts reforms.

Today, 97 percent of Massachusetts residents have health insurance, the highest in the country. But less publicized are the unintended consequences that the influx of half a million newly insured patients has had on an unprepared primary care system.

The Massachusetts Medical Society reported that the average wait time for a new patient looking for a primary care doctor ranged from 36 to 50 days, with almost half of internal medicine physicians closing their doors entirely to new patients. And when you consider that Massachusetts already has the highest concentration of doctors nationwide, wait times will likely be worse in other, less physician-abundant parts of the country, should universal coverage be enacted federally.

When patients are forced to wait weeks to obtain medical care, they inevitably find their way into the emergency department for treatment that ordinarily can be handled in a doctor's office. Indeed, since health reform was passed, according to state data provided to the Boston Globe, Massachusetts emergency rooms have reported a 7 percent increase in volume, which markedly inflates costs when you consider that emergency room treatment can be up to 10 times more expensive than an office visit for the same ailment.

Alwyn Cassil, a spokeswoman for the nonpartisan Center for Studying Health System Change, told HealthDay News that expanding coverage without improving access to care is a "recipe for failure," as well as unsustainable, "because it will just bankrupt us."

Massachusetts is finding out just how difficult it is to fiscally maintain universal coverage. In part due to soaring health costs, the state Legislature has proposed reducing health benefits for 30,000 legal immigrants and cutting funding to inner-city hospitals like Boston Medical Center, which, according to the Boston Globe, may "force it to slash programs and jeopardize care for thousands of poverty-stricken families."

The success of universal health coverage depends on an adequate supply of primary care providers. But the Association of American Medical Colleges is forecasting a shortage of 46,000 primary care physicians by 2025, a deficit that not only will balloon under any universal coverage measure, but cannot be made up as doctors, nurse practitioners and physician assistants all gravitate towards more lucrative specialty practice.

It's not only the financial incentives that need to substantially change for primary care to prosper. More important, the working conditions for the physicians already in the field have to improve. A recent survey in the Annals of Internal Medicine found that roughly half of primary care doctors reported practicing in a work environment "strongly associated with low physician satisfaction, high stress ... and [an] intent to leave."

Primary care clinicians routinely face unreasonable time pressures, a chaotic work pace, and bureaucratic impediments. Onerous paperwork requirements that obstruct patient care have to be reduced. And instead of the current system which encourages doctors to rush through as many office visits as possible, physicians who take the time to counsel, guide, and address all of their patients' concerns should be rewarded. Better valuing the doctor-patient relationship will increase satisfaction, not only for physicians, but for their patients as well.

Such solutions, however, have been largely absent from the health reform conversation.

Although it is a moral imperative for every American to have access to health insurance, alleviating the shortage of primary care providers is of equal importance. The prospect of suddenly adding tens of millions of patients to an overburdened primary care system has the potential to make the already dire state of American health care even worse.

The opinions expressed in this commentary are solely those of Kevin Pho.

@highlight

Kevin Pho: It's important to extend coverage to the uninsured

@highlight

He says reform can't work if there aren't enough doctors to care for all

@highlight

Pho says Massachusetts is finding it can't provide care to those newly covered

@highlight

Pho: Adding tens of millions of patients could strain system