More than 20 years after a major study said there is no evidence that people who live near nuclear power plants face an increased risk of dying from cancer, the federal government will look anew at the subject, starting with seven nuclear facilities from Connecticut to California.

The Nuclear Regulatory Commission said Tuesday it is pushing forward with the study because an oft-cited 1990 study is dated and because more modern methods of analysis and information sources are available.

In a briefing paper, the NRC staff says that given the known amounts of radiation released from nuclear reactors, researchers would not expect to observe any increased cancer risks for nearby residents.

Nevertheless, the staff says, the studies would be "helpful to address public health concerns" and could be a tool for allaying public health concerns.

While some civic groups have supported the study, the top industry trade group had argued against it, saying the study is "unlikely to produce scientifically defensible results."

In a pilot project to begin in the coming months, the NRC is commissioning the National Academy of Sciences to conduct cancer risk studies at six nuclear power plants and one nuclear fuel facility. If successful, the study would likely be expanded to the rest of the nation's 104 commercial nuclear reactors.

The six nuclear power plants in the initial study are:

-- San Onofre Nuclear Generating Station, San Clemente, California.

-- Dresden Nuclear Power Station, Morris, Illinois.

-- Millstone Power Station, Waterford, Connecticut.

-- Oyster Creek Nuclear Generating Station, Forked River, New Jersey.

-- Haddam Neck, a decommissioned plant in Haddam Neck, Connecticut.

-- Big Rock Point Nuclear Power Plant, a decommissioned plant in Charlevoix, Michigan.

In addition, the pilot study will look at Nuclear Fuel Services in Erwin, Tennessee.

The pilot study will take two to three years to complete and will cost about $2 million.

For the past two decades, the NRC has relied on a National Cancer Institute's report, "Cancer Risks in Populations near Nuclear Facilities," published in a 1991 edition of the Journal of the American Medical Association.

That study showed no general increased risk of death from cancer for people living in 107 counties containing or near 62 nuclear facilities.

When compared with control counties, some of the study counties had higher rates of certain cancers and some had lower rates. None of the differences could be linked to the presence of nuclear facilities, according to a synopsis of the study on the cancer institute's website.

"From the data at hand, there was no convincing evidence of any increased risk of death from any of the cancers we surveyed due to living near nuclear facilities," John Boice, chief of NCI's Radiation Epidemiology Branch at the time of the survey, is quoted as saying. But he cautioned that the study had limitations, saying, "If any excess cancer risk due to radiation pollution is present in counties with nuclear facilities, the risk is too small to be detected by the methods used."

Several years ago, the NRC staff started efforts to update the study because of the ongoing public interest in the issue, said NRC spokesman Scott Burrell. When the National Cancer Institute indicated it could not perform the work, Congress directed the NRC to work with the National Academy of Sciences.

The academy developed methods for assessing radiation near nuclear plants and for assessing cancer rates in nearby communities. The academy recommended performing two types of epidemiology studies -- a geography-based study of people with various cancers leaving near nuclear facilities, and a study of cancers in children born near nuclear facilities.

The academy selected the six nuclear power plants because they were a "good sampling" with different operating histories and population sizes.

Of the 74 individuals or organizations to comment on the proposed study, 44 encouraged the NRC to proceed.

But the Nuclear Energy Institute did not support the study, saying an epidemiological study "will likely involve an outlay of significant resources without much expectation" it would advance scientific understanding of potential risks.

Other cancer risk factors, such as smoking or exposure to medical radiation, may surpass the effect from power plant releases and "overwhelm the actual effect attributed to the releases," the group said.

@highlight

NRC is pushing forward with the study because an oft-cited 1990 study is dated

@highlight

Seven nuclear facilities from Connecticut to California will be involved in the pilot study

@highlight

Researchers wouldn't expect any increased cancer risks for nearby residents, NRC says