(CNN) -- On January 19, a team of at least 15 people assassinated Hamas leader Mahmoud al-Mabhouh. Dubai police released video footage of 11 of them. Although it was obviously a very professional operation, the 27 minutes of video is fascinating in its banality.

Team members walk through the airport, check into and out of hotels, get into and out of taxis. They make no effort to hide themselves from the cameras, sometimes seeming to stare directly into them. They obviously don't care that they're being recorded, and -- in fact -- the cameras didn't prevent the assassination, nor as far as we know have they helped as yet in identifying the killers.

Pervasive security cameras don't substantially reduce crime. This fact has been demonstrated repeatedly: in San Francisco, California, public housing; in a New York apartment complex; in Philadelphia, Pennsylvania; in Washington; in study after study in both the U.S. and the U.K. Nor are they instrumental in solving many crimes after the fact.

There are exceptions, of course, and proponents of cameras can always cherry-pick examples to bolster their argument. These success stories are what convince us; our brains are wired to respond more strongly to anecdotes than to data. But the data are clear: CCTV cameras have minimal value in the fight against crime.

Although it's comforting to imagine vigilant police monitoring every camera, the truth is very different, for a variety of reasons: technological limitations of cameras, organizational limitations of police and the adaptive abilities of criminals. No one looks at most CCTV footage until well after a crime is committed. And when the police do look at the recordings, it's very common for them to be unable to identify suspects. Criminals don't often stare helpfully at the lens and -- unlike the Dubai assassins -- tend to wear sunglasses and hats. Cameras break far too often.

Even when they afford quick identification -- think of the footage of the September 11 terrorists going through airport security or the July 7 London transport bombers just before the bombs exploded -- police are often able to identify those suspects even without the cameras. Cameras afford a false sense of security, encouraging laziness when we need police to be vigilant.

The solution isn't for police to watch the cameras more diligently. Unlike an officer walking the street, cameras look only in particular directions at particular locations.

Criminals know this and can easily adapt by moving their crimes to places not watched by a camera -- and there will always be such places.

And although a police officer on the street can respond to a crime in progress, someone watching a CCTV screen can only dispatch an officer to arrive much later. By their very nature, cameras result in underused and misallocated police resources.

Cameras aren't completely ineffective, of course. Used properly, they're effective in reducing crime in enclosed areas with minimal foot traffic. Combined with adequate lighting, they substantially reduce both personal attacks and auto-related crime in multistory parking garages. And sometimes it is cost-effective for a store to install cameras to catch shoplifters or a casino to install cameras to detect cheaters.

But these are instances where there is a specific risk at a specific location.

The important question isn't whether cameras solve past crime or deter future crime; it's whether they're a good use of resources. They're expensive, both in money and in their Orwellian effects on privacy and civil liberties. Their inevitable misuse is another cost; police have spied on naked women in their own homes, shared nude images, sold best-of videos and even spied on national politicians. Though we might be willing to accept these downsides for a real increase in security, cameras don't provide that.

Despite our predilection for technological solutions over human ones, the funds now spent on CCTV cameras would be far better spent on hiring and training police officers.

We live in a unique time in our society: Cameras are everywhere, but we can still see them. Ten years ago, cameras were much rarer than they are today. Ten years from now, they'll be so small, you won't even notice them.

Already, people can buy surveillance cameras in household objects to spy on their spouses and baby sitters -- I particularly like the one hidden in a shower mirror -- or cameras in pens to spy on their colleagues, and they can remotely turn on laptop cameras to spy on anyone. Companies are developing police state-type CCTV surveillance technologies for China, technology that will find its way into countries like the U.S.

If universal surveillance were the answer, lots of us would have moved to the former East Germany. If surveillance cameras were the answer, camera-happy London, with something like 500,000 of them at a cost of $700 million, would be the safest city on the planet.

We didn't, and it isn't, because surveillance and surveillance cameras don't make us safer. The money spent on cameras in London, and in cities across America, could be much better spent on actual policing.

The opinions expressed in this commentary are solely those of Bruce Schneier. For a version of this article with embedded links to sources, click here

@highlight

Security cameras documented movements of suspects in Hamas official's killing

@highlight

Bruce Schneier says that for most part, cameras don't make us safer

@highlight

He says most video doesn't get monitored, and criminals can evade video

@highlight

Spending money on other forms of law enforcement is wiser, he says