(CNN) -- In a 5-4 decision, Supreme Court on Wednesday struck down limits on the total amount people can donate to various political campaigns in an election season, a blow to federal election laws ahead of November's congressional midterm elections.

Jeffrey Toobin, CNN senior legal analyst, answers some questions about how this ruling works and its possible consequences.

What exactly does this ruling do? Are some limits still in place?

The court left intact the law that sets a $5,200 limit on the amount individuals can give to any single candidate in a campaign cycle, but struck down the $123,000 aggregate limit an individual can give to candidates in that time period. Wednesday's ruling declares the $123,200 limit unconstitutional. So now individuals can give up to $5,200 to as many candidates as they like.

Does this mean money will influence campaigns more than ever? Who is most likely to gain?

The decision gives rich people more power to influence campaigns. It expands the influence of people who have a lot of money to give. The end of the $123,200 overall limit means that people who have even more money to spend have more ways to spend it.

Is this a First Amendment issue? The protection of political speech?

Chief Justice Roberts' opinion said that campaign contributions can be regulated by Congress, but only under narrow circumstances. The only permissible laws ban what the court calls quid pro quo corruption -- in other words, bribes in the form of campaign contributions.

Because spreading the money around to lots of candidates does not present the risk of bribes to any individual candidate, according to the court, the overall limits had to be struck down.

How does this compare with Citizens United?

This decision is similar to Citizens United, with a similar rationale. Citizens United was the 2010 Supreme Court ruling that paved the way for political donations from corporations and special interest groups. The Roberts court believes in a simple idea -- spending money in political campaigns is the equivalent of political speech. Because the First Amendment prohibits most limits on speech, most limits on political contributions are in the process of being struck down.

What does this means for the future of campaign finance?

The next big question is whether the court will also strike down the $5,200 limit on individual contributions. In fact, very few people ran up against the $123,200 limit, so the practical effect of Wednesday's decision is limited. But lots of people give up to $5,200. Ending that limit would have a huge impact on political campaigns.

What are the chances of the court ending the $5,200 limit?

Justice Clarence Thomas said in a separate concurring opinion Wednesday that he thought the court should get rid of the $5,200 limit, but no other justices joined him -- yet. The decision was 5-4, so the four dissenters want to preserve campaign finance limits. The real question is whether the four other justices in the majority will join Thomas. It's hard to say. What's clear is that the court is looking for new ways to stop the regulation of political contributions -- and it's already stopped a lot of them.

What's behind all these decisions?

The core idea of the five justices in the majority is that spending money on political campaigns is a form of speech. The First Amendment strictly limits regulation of speech. Once you believe that money is speech, most campaign finance limits become unconstitutional.

@highlight

High court struck down $123,000 overall limit you can give candidates in an election

@highlight

Jeffrey Toobin: Ruling expands influence of rich people most likely to run up against a limit

@highlight

Toobin: Court left intact $5,200 limit on what you can give to one candidate

@highlight

Majority sees money in political campaigns as the equivalent of political speech, he says