(AOL Autos)  -- Gotcha! That's how many motorists feel when they see a little bright flash, which they know means an unwelcome fine and points on their license are heading their way.

Motorists are debating whether speed cameras like these make roads safer or just stick people with useless fines.

But how has the steadily increasing rollout of speed cameras in some 35 cities and more than 300 communities nationwide affected drivers?

Do motorists welcome the safety enforcement or think they've been conned into paying a needless fine? More importantly, do speed cameras make our roads any safer?

Perceptions in the press

Speeders that make the nightly news are either famous or unusual. Like Jennifer Bittone, 24, of Las Vegas, who was arrested in June in Scottsdale, Arizona, over some 22 speeding tickets issued in her name in just two months on one stretch of Loop 101.

Or the Chicago Bulls' No.1 draft pick, Derrick Rose who was fined more than $1,000 in July for broaching 100 mph on a Chicago freeway. Or the UK motorist who gained international notoriety in May due to speed-camera pictures of him -- perhaps unadvisedly -- mooning the camera. AOL Autos: Celebrity cars you can afford

But the speeding issue, while occasionally titillating, is deadly serious. The National Highway Traffic Safety Administration reports that speed is a factor in about a third of all traffic deaths, which total about 13,000 annually.

Speed cameras, as Wikipedia points out, were first used in Texas in 1986. In 2006, Scottsdale, became the first U.S. location to demonstrate the effectiveness of fixed speed cameras on a major highway, according to the Insurance Institute of Highway Safety. AOL Autos: Fast, fuel-efficient cars

Empirical studies

Russ Rader, spokesman for the Insurance Institute for Highway Safety, which is funded by auto insurers with the mission of researching ways to reduce crashes, says the group is widely in favor of speed cameras. He said IIHS studies, and many similar reports conducted overseas, have proven their effectiveness.

"What the study found in Scottsdale, was that after they began the implementation of the pilot program, which is now a permanent program, the proportion of drivers traveling more than 10 mph over the speed limit dropped by 90 percent, and we found similar a response in Montgomery County in D.C., [where it] declined by 70 percent." AOL Autos: Cars with the most thrill per gallon

"It's human behavior 101: If drivers believe there's a high likelihood of getting a ticket, they're more likely to slow down. Speeding is a major factor in highway crashes."

The flip side

Common arguments against the cameras suggest that while speed cameras will cut speeds, this can lead to "bunching," which can result in more accidents if drivers are taken by surprise by others slowing down quickly to avoid a fine. Anecdotally, this argument sounds convincing. Empirically, however, the argument is nearly impossible to prove.

A 2005 review from the IIHS analyzed data from 14 studies and found crash reductions in the immediate vicinities of camera sites, ranging from 5 to 69 percent for all crashes, 12 to 65 percent for injury crashes, and 17 to 71 percent for fatal crashes. AOL Autos: Fast cars over 600 HP

Chad Dornsife, formerly of the National Motorists Association and now head of the Oregon-based Best Highway Safety Practices Institute, an advocacy group for "fact-based safety policies," disagrees.

"There's a direct correlation between congestion and flow factors and accidents," he said. "[The] biggest problems are where backups occur. Cameras destroy the flow of the road. Any time a driver hits the brake, and the one after him, you completely destroy the flow and capacity of the road."

He said that most speed cameras are catching drivers driving fast at night, which is the safest time of the day to drive since here is less traffic and roads frequently are clear. Dornsife cited German autobahns as an example of safe, uniform, free-flowing traffic.

"Everybody is worried about speed cameras and how they are used," he said. "None of it has anything to do with safety. Bottom line is: it's all about money."

Enforcement

As well as raising revenue, a speed-camera system can free up officers from patrol duties to concentrate on other beats (which leads to criticism that police may be less inclined to patrol a section of road with a camera, leading to fewer arrests of drunken or reckless drivers). AOL Autos: 10 hot, small cars

Of course, the volume of fines usually has to pay court fees and cover the installation of the expensive network and its upkeep.

Where camera systems are illegal

In California, photographic speed camera systems are illegal. This year, the city of San Jose was ordered to abandon its system as it relied on an image of the driver, which is proscribed by state law as a result of privacy concerns, leaving the city to settle millions of dollars of fines it handed out.

Photo imaging is also illegal in Arkansas, Nebraska, Nevada, New Jersey, Utah, West Virginia and Wisconsin. Red-light cameras at junctions are generally permitted in these states.

This ban is under threat in California, according to watchdog site Highwayrobbery.net, which says an East L.A. state senator's bill introduced in February "will remove from VC 21455.5 the requirement that an automated enforcement device be at an intersection, and that will allow the devices to be put on freeways. That change is accomplished by the repositioning of a 7-word phrase in VC 21455.5(a)(2)." That bill is still making its way through the state legislature.

Concerns over speed cameras extend to more privacy issues than just photos. A recent Washington Post story detailed the fact that many convicted for speeding in Maryland had complained about their Social Security records appearing online alongside their driver's license number and citation record. The records have since been removed.

Driver perceptions

The UK-based Institute of Advanced Motorists reports that a perception among motorists of unfair camera policy can seriously damage relations between drivers and police. But IIHS spokesman Rader said perceptions in the U.S. are surprisingly positive.

"In the U.S. the assumption is that people don't like speed cameras. But we found in our surveys that, in D.C., 51 percent of drivers favored [speed cameras] and 36 percent apposed them," he noted. "In Montgomery County, 62 percent supported them. In Scottsdale, 63 percent said they were in favor. After the operation began, 77 percent of drivers supported their use. Drivers support programs that make the road safer."

For Better or worse?

Speed cameras remain a contentious issue across the U.S. and internationally, where debate still rages in the United Kingdom and Australia. One thing is clear: legislatures and city governments are increasingly expressing interest in speed cameras, seeing them as both increasing safety and revenue in a time when many are facing budgetary holes.

And while the general motoring public can probably see both sides of the issue, it may be merely that the system is perceived as being inaccurate or unfair that leads to such fractious debate ... rather than the actual system itself being unfair.

@highlight

Speed is a factor in a third of all traffic deaths, national highway administration says

@highlight

Study finds cameras reduce speeders by more than 70 percent in some areas

@highlight

Expert says cameras lead to "bunching," which increases accidents

@highlight

Photographic speed cameras are illegal in California for privacy reasons