Kiev, Ukraine (CNN)A year ago Friday, violence in Kiev's Maidan, or Independence Square, reached a crescendo.

Some 49 people died and close to 100 more suffered gunshot wounds in what was the bloodiest day of violence in demonstrations against the country's then Russian-leaning leader.

Soon enough, however, President Viktor Yanukovych would flee the country, prompting Ukrainian activists to declare "victory in the Maidan" and promise a new day for a country long torn between its neighbors, Europe to the west and Russia to the east.

How things have changed. Today, the country is a powder keg driving spiraling tensions between the West and Moscow.  A ceasefire between Ukrainian forces and pro-Russian separatists is in shambles. Debaltseve, a town at the heart of the battle, is devastated.

"Now, it is finally clear that we struggled on Maidan not against Yanukovych. He was just a cruel and obedient marionette," President Petro Poroshenko said Friday at a ceremony marking the one-year anniversary of the bloodshed.

"Moscow was preparing to the liquidation and tearing Ukraine apart long before the victory of Maidan. They were expecting the fall of Yanukovych and accelerated the course of events," Poroshenko said to the families of protesters who died a year ago.

Poroshenko's speech was just part of a day of commemorations at the Kiev square. The ceremony was to feature music, poetry, the lighting of candles and finally a concert Friday evening. The President was to present awards to the families of activists who died.

According to Ukrainian prosecutors, 77 people died during the 2014 protests, which were sparked by Yanukovych's decision to scrap a trade deal with the European Union and instead turn toward Russia.

Forty-nine of those deaths came on February 20, 2014, when, according to protesters, government snipers opened fire on them.

The street protests, which led to the ouster of pro-Russian President Viktor Yanukovych, triggered a chain of events that never could have been predicted.

By March, Russia had annexed Ukraine's Crimean peninsula. Weeks later, in April, pro-Russian separatist forces launched their bid to carve off the more Russian-leaning eastern Donetsk and Luhansk regions from the rest of Ukraine.

Months of devastating fighting since have left nearly 5,700 people dead as of February 18, the U.N. Office of the High Commissioner for Human Rights reported Friday. More than 1 million people have been displaced, the United Nations says.

Efforts to stop the fighting have met with limited success.

The latest ceasefire agreement -- hammered out last week in Minsk, Belarus, among the leaders of Ukraine, Russia, France and Germany -- has faltered amid the bloody battle for Debaltseve.

Ukraine's National Defense and Security Council said there had been 300 instances of violation of the ceasefire since it came into force Sunday.

Heavy shelling, apparently from both sides, was heard Thursday night in Donetsk, although it appeared to have eased Friday morning. A separatist news agency said one woman died in the barrage.

Despite the spasms of violence, German Chancellor Angela Merkel insisted that the Minsk deal was still the best chance for peace.

"It is difficult, it is slow and we had no illusions at all ... that it might not be all that easy and self-fulfilling," she said, speaking alongside French President François Hollande at a news conference in Paris.

"But I still believe that it is right that we do everything we can to make sure that no further lives are lost."

Western leaders have steadfastly accused Russia of failing to rein in separatists and of continuing to arm, supply and train them. European nations, the United States and others have imposed sanctions on Russian interests in hopes of applying pressure on Vladimir Putin to help end the hostilities.

Russia denies claims by Kiev and the West that it has armed and equipped the rebels and sent Russian troops to fight with them.

Merkel did not rule out potential for further sanctions on Moscow. But the aim of meeting in Minsk was to find a solution, not impose sanctions, she said.

Merkel and Poroshenko spoke by phone Friday morning, and the German leader assured her Ukrainian counterpart of her support.

The Organization for Security and Co-operation in Europe, which has observers on the ground tasked with monitoring the implementation of the ceasefire, has voiced concern about the lack of safe access to Debaltseve, which it blames on the separatists.

A European diplomat told CNN that the OSCE mission is considering moving two of its four operational drones, currently stationed in Mariupol, to areas closer to Debaltseve since they have been unable to enter the town.

A strongly worded report issued by a committee of the UK House of Lords said the European Union had underestimated the level of Russian animosity over moves to build closer EU-Ukraine ties and had been slow to "adapt to the realities of the Russia we have today."

"Russia is increasingly defining itself as separate from, and as a rival to, the EU," the report by the Lords' European Union Committee said.

"The EU's relationship with Russia has for too long been based on the optimistic premise that Russia has been on a trajectory towards becoming a democratic 'European' country. This has not been the case."

The report is also highly critical of the way in which competing national interests within the EU made it hard to achieve a united policy on Russia.

If no progress is made in resolving the crisis, the EU should use sanctions to target people close to Putin, rather than mid-ranking officials in Crimea, the report said. It should also consider extending sanctions to the Russian financial sector.

Meanwhile, as politicians talk, Ukraine's civilians are bearing the brunt of the conflict.

In addition to the death and destruction, the United Nations says many Ukrainians have exhausted their savings and have no access to jobs or health care.

Food prices have risen dramatically in the country's war-torn east -- 30% for staples such as bread and milk and 75% to 80% for meat and cheese, compared with last year.

The United Nations said its agencies had taken advantage of the ceasefire to deliver 62 metric tons of humanitarian aid to the Donetsk region on Thursday, including winter clothes, blankets, drinking water and medical supplies.

The U.N. World Food Programme announced that it would increase its assistance to more than 110,000 people, over the next few months. But the agency said it would need $9 million to continue to provide aid through June.

CNN's Frederik Pleitgen reported from Kiev, and Laura Smith-Spark wrote and reported from London. CNN's Nick Paton Walsh, Radina Gigova, Laura Perez Maestro and Michael Holmes contributed to this report.

@highlight

Moscow planned move against Ukraine before protests, Ukraine's President says

@highlight

German leader says implementing a ceasefire is not easy but is still the best chance for peace

@highlight

Continued violence mars a ceasefire deal intended to end the conflict