Kiev, Ukraine (CNN) -- Tensions in Ukraine escalated sharply Thursday, with Russia embarking on new military drills near the border after Ukrainian forces said they killed five pro-Russian militants.

Ukraine's Interior Ministry said Ukrainian forces killed the militants during operations to take down pro-Russian activists' roadblocks around the southeastern city of Slavyansk.

The Russian response was swift.

Russian President Vladimir Putin said "if the Kiev regime has started to use the army against the population inside the country, it, beyond any doubt, is a very serious crime."

There would be "consequences" for those making the decisions and for relations between his and Ukraine's governments, Putin said at a media forum Thursday, according to state TV channel Russia 24.

Shortly afterward, Russian Defense Minister Sergei Shoigu said Russia would conduct military drills in response, reported Russian state news agency RIA Novosti.

"We are forced to react to such a development in the situation," Shoigu is quoted as saying. "Starting today, exercises of battalion tactical groups from the Southern and Western military districts will begin near the borders with Ukraine."

Ukraine issued a 48-hour deadline for Russia to explain its military drills, the Ukrainian Foreign Ministry said Thursday. The ministry did not say what Ukraine would do if Russia does not comply.

Ukrainian acting President Oleksandr Turchynov had strong words for Moscow, accusing it of "openly threatening" his country with its troop buildup on Ukraine's eastern border.

Kiev's security operation is intended to protect peaceful citizens, he said, but in response Russia "coordinates and openly supports terrorist killers with weapons in their hands" in eastern Ukraine.

"With no reason to do so, the Russian leadership allows itself to boldly interfere in the internal affairs of Ukraine," Turchynov said. "Russia supports terrorism in our country at the state level."

Top U.S. officials -- including President Barack Obama -- on Thursday vowed more punitive international actions targeting Russia's economy if Moscow, in their view, continues to escalate rather than de-escalate the situation.

U.S. Secretary of State John Kerry called Russia's actions "a full-throated effort to actively sabotage the democratic process through gross external intimidation."

"If Russia continues in this direction," he added, "it will not just be a grave mistake, it will be an expensive mistake."

According to senior U.S. officials, additional U.S. sanctions against Russia could come as early as Friday.

Among the targets for the new sanctions are key Putin allies, high-profile Russian oligarchs and possibly Russian institutions and companies, the officials told CNN.

The new sanctions "will be an escalation," said one U.S. official.

More violence in eastern Ukraine

Fresh clashes Thursday only underscored the volatility of the situation, especially with a reported 40,000 Russian troops positioned near the Ukraine border.

That includes the killing of the five pro-Russian militants and the destruction of three checkpoints around Slavyansk, according to the government in Kiev. A police officer was also injured, the Interior Ministry said.

Meanwhile, Stella Horosheva -- a spokeswoman for the self-appointed pro-Russian mayor of Slavyansk, Vyacheslav Ponomaryov -- said an attack at an impromptu roadway checkpoint outside the city took the life of one pro-Russian militiaman and wounded another.

The pro-Russian unit at the checkpoint told CNN that armored vehicles came to the roadblock but didn't fire, with locals setting fire to tires to prevent them from passing.

The unit said a sniper killed one member of the "self-defense" group and injured another on their way home from an overnight stint at the barricade. Ponomaryov, visiting the site, also said a sniper killed one of the pro-Russian activists.

The government accused Ponomaryov of threatening to kill anyone possessing a leaflet that the Interior Ministry says asks people "to keep the peace, ... not obey illegal orders" and stay inside. CNN hasn't independently confirmed reports of threats against Slavyansk residents.

Slavyansk isn't the only city in the eastern Donetsk region -- where some have tried to declare independence from Ukraine -- on edge.

Ukrainian Interior Minister Arsen Avakov accused roughly 70 attackers of trying to take weapons from a Ukrainians military unit in the town of Artemivsk. Security forces fended off the attack.

There was also unrest in the eastern city of Mariupol.

Turchynov announced pro-Russian protesters had been pushed out of its city hall. But one of those demonstrators, Irina Voropayeva, claimed that an assault on City Hall by what she said were extreme-right Ukrainians failed.

Ukraine's Interior Ministry later stated about 30 people armed with baseball bats entered the building early Thursday demanding the occupiers. As the two groups clashed -- leaving five injured -- police tried to separate them. Five people were injured.

Obama: U.S. 'teed up' to impose more sanctions

This kind of violence isn't what optimists expected over a week ago, after the United States, Russia, the European Union and Ukraine agreed to a deal that, among other things, called for illegal groups to disarm and vacate occupied buildings in return for amnesty.

The situation has only deteriorated since then, as has the war of words.

Speaking in Tokyo, U.S. President Barack Obama again ruled out any military solution in Ukraine but warned that the United States is "teed up" to impose further sanctions on Russia if it does not abide by the April 17 deal.

"There was some possibility that Russia could take the wiser course after the meetings in Geneva," he said. "Instead, we continue to see militias and armed men taking over buildings, harassing folks who are disagreeing with them, and destabilizing the region, and we haven't seen Russia step up and discourage that."

Kerry sounded off against Russia later Thursday, reeling off what he called positive efforts by Ukraine's government to implement the Geneva deal while rapping Moscow for having "refused to take a single concrete step in the right direction."

He pointed to "peaceful protesters ... armed with grenade launchers and automatic weapons," self-defense group members wearing "brand new matching military uniforms and speaking in dialects that every local knows comes from thousands of miles away" and the reported arrests of Russian intelligence operatives in Ukraine."

Through its actions and "propaganda," Moscow has attempted to undermine "a legitimate political process with the barrel of a gun and the force of a mob that couldn't be achieved any other way," said Kerry.

"It is clear that only one side, one country, is keeping its word," he said. "... The world, sadly, has rightly judged that Russia has put its faith in distraction, deception and destabilization."

But Russia sees things differently, saying that according to the international deal, Kiev must take responsibility for disarming the right-wing ultranationalists that Moscow blames for violence.

"We don't have any doubts that the first step must be done by the Kiev authorities," Russian Foreign Minister Sergey Lavrov said at a news conference.

He accused the West of treating leaders in Kiev like "angels" while blaming Russia for the unrest.

Putin, speaking on Russia 24, said the events unfolding in eastern Ukraine demonstrate that Moscow's decision to support the Crimean people, who voted to join Russia last month in a referendum condemned by the West, was right.

"Otherwise they would have witnessed the same events as eastern Ukraine and surely even worse," he said. "So, this is another proof that we have acted correctly and on time."

Lavrov: U.S. 'running the show' in Kiev 'without any scruples'

How will the Ukraine crisis end? Five possible scenarios

Dutch fighter jets intercept 2 Russian bombers in their airspace

CNN's Victoria Butenko reported from Kiev; CNN's Ben Brumfield wrote and reported from Atlanta and Laura Smith-Spark from London. CNN's Alla Eshchenko and Tim Lister reported from near Slavyansk and Gul Tuysuz from Kiev. CNN's Greg Botelho, Elise Labott, Arkady Irshenko, Boriana Milanova and Gabe LaMonica contributed to this report.

@highlight

NEW: Additional U.S. sanctions against Russia could come as early as Friday, officials say

@highlight

Kerry: Russia will make an "expensive mistake" if it doesn't de-escalate situation

@highlight

"Russia has put its faith in distraction, deception and destabilization," he adds

@highlight

Russian defense chief plans military drills in response to Kiev's action, report says