Medical marijuana advocates are hoping state governments can succeed where their efforts have failed by asking federal authorities to reclassify pot as a drug with medical use.

Shortly before Christmas, Colorado became the fourth state to ask the U.S. Drug Enforcement Administration to reclassify marijuana as a narcotic in the same league as heavyweight painkillers including oxycodone. The governors of Washington and Rhode Island filed a formal petition with the agency in November, and Vermont signed onto that request shortly afterward.

All four are among the sixteen states and the District of Columbia that have laws on the books that allow the medical use of marijuana, even though the drug remains illegal under federal law. Meanwhile, federal authorities have asserted their power by raiding dispensaries in states including California and Washington.

Supporters say the public is on their side, and the state requests show the feds are increasingly isolated on the issue. But they acknowledge it's still an uphill battle.

"I don't think that we're going to see to much change in Washington's position on this until public opinion and state-level support reaches a little bit higher a tipping point," said Morgan Fox, a spokesman for the D.C.-based Marijuana Policy Project.

The DEA said it would "reply accordingly," but noted that similar petitions had been rejected before. DEA spokeswoman Barbara Carreno told CNN that the agency gives "great respect" to state governments, but their requests would get "the same attention as a petition from a medical group or anything else."

Marijuana is listed as a Schedule I drug by the DEA, meaning it's dangerous and has no medical use. Medical marijuana advocates, including the states that have petitioned the agency, say it should be listed under Schedule II, comparing it to other prescription painkillers that have a high potential for abuse.

In 2006, the U.S. Food and Drug Administration restated its opposition to medical marijuana, saying "no sound scientific studies" support its use. State laws authorizing it "are inconsistent with efforts to ensure that medications undergo the rigorous scientific scrutiny of the FDA approval process," it added.

But in their November petition, Washington Gov. Christine Gregoire and Rhode Island's Lincoln Chafee argued that "the vast majority of modern research" has found marijuana useful for treating patients with glaucoma, for relieving the nausea suffered by cancer patients in chemotherapy and for relieving symptoms of degenerative nerve diseases.

They cite a 2001 study by the National Academy of Sciences that recommended research into the "potential therapeutic value" of cannabis, though it warned that smoking pot was a "crude" method "that also delivers harmful substances."

"Since the last FDA review in 2006, the scientific process has identified and clarified even more of the therapeutic effects of cannabis through ongoing research and assessment of available data," wrote Gregoire, a Democrat, and Chafee, a former Republican-turned-independent. "This petition presents this further evidence. It is now time for the DEA to reschedule the substance."

The Obama administration says it is willing to support research, but has taken a stiff position against medical marijuana. In October, in response to online petitions, White House drug czar Gil Kerlikowske said marijuana "is not a benign drug."

Medical marijuana group sues Obama administration

"Like many, we are interested in the potential marijuana may have in providing relief to individuals diagnosed with certain serious illnesses. That is why we ardently support ongoing research into determining what components of the marijuana plant can be used as medicine," Kerlikowske wrote. "To date, however, neither the FDA nor the Institute of Medicine have found smoked marijuana to meet the modern standard for safe or effective medicine for any condition."

Carreno said petitions to reschedule a drug take years to review. The DEA does its own analysis, then refers the requests to the FDA and the Department of Health and Human Services, which review their own research.

"Then they send recommendations back to us, and based on the recommendation we get, we make a decision," she said.

Critics call medical marijuana a "Trojan horse" for legalizing the drug entirely, and federal authorities mounted a string of high-profile raids in California, Washington and Montana in 2011.

The Justice Department says it isn't targeting patients who are in "clear and unambiguous compliance" with state laws. In October's raids in California, prosecutors said they were targeting organizations that had become large-scale commercial traffickers, operating beyond the limits of state law.

In their petition, Gregoire and Chafee said rescheduling was needed because states can't make rules governing medical marijuana "without putting their employees at risk of violating federal law."

"From a patient perspective, there's a lot of things up in the air," Gregoire spokesman Cory Curtis told CNN. He said the state hopes "to give them clarity and peace of mind, both in the environment in which they get it and the prescription and dose they get."

A round of federal raids targeted dispensaries in the Seattle area in November, but agents were targeting "folks who were distributing without a medical purpose," Curtis said.

Washington allows patients to grow their own marijuana and keep a 60-day supply, which it defines as up to 24 ounces. Patients and designated health-care providers can keep "collective gardens."

Rhode Island allows patients to grow up to 12 plants and possess up to 2.5 ounces of pot for their own use, as long as a doctor has certified that it may alleviate symptoms and the potential risks don't outweigh the benefits. It also allows "compassion centers" to cultivate and dispense marijuana, as long as it stays within those limits for each patient.

In Colorado, legislation passed in 2010 allows state regulators to keep a tight rein on dispensaries and required them to request reclassification from the DEA.

"As long as there is a divergence in state and federal law, there is a lack of certainty necessary to provide safe access for patients with serious medical conditions," Barbara Brohl, the executive director of Colorado's Department of Revenue, wrote in a December 22 letter to DEA Administrator Michele Leonhart.

Since the law went into effect, more than 700 people have applied for licenses to sell medical marijuana, said Mark Couch, a spokesman for Brohl's office. The state collected about $5 million in sales taxes in the last fiscal year, which ended in June -- a tiny fraction of the state's $8 billion general fund, he said.

Fox said the state's requests to reclassify the drug "could and certainly should" give the states some breathing room, "but I really don't think it will."

"I think that it's not going to provide any real tangible benefits immediately," he said. But it if succeeds, "It will definitely bring the federal government more in line with currently accepted science."

In the meantime, "There's no reason for the federal government to be wasting resources going after medical marijuana providers," he said.

@highlight

Four states have asked federal officials to reclassify marijuana

@highlight

Governors say they can't set rules without risking violations of U.S. law

@highlight

Advocates say there's no reason to keep busting medical pot providers

@highlight

Critics call medical marijuana a "Trojan horse" for legalization