(CNN) -- Egypt goes to the polls on Saturday for a referendum on a new constitution that has divided the country in recent weeks, prompting mass demonstrations reminiscent of those that ousted former president Hosni Mubarak.

Thousands of protesters, both for and against President Mohamed Morsy, have taken to the streets over the past three weeks, with tensions occasionally boiling over in violent clashes that have left at least seven people dead and hundreds injured.

What's behind the latest unrest?

The protests were sparked by a November 22 presidential decree issued by Morsy -- the first freely elected leader of this country of 83 million -- which prevented any court from overturning his decisions until a new, post-Mubarak constitution was passed. The ruling has essentially given him unchecked power, protecting from judicial review any decisions he has made since assuming office.

What was Morsy's rationale?

Insisting the order is temporary -- it will last only until a new constitution is put in place -- Morsy claimed the move was intended to safeguard the revolution. He said the edict would only apply to "sovereign" matters.

In particular, Morsy said, the edict was aimed at preventing interference from the courts in the work of Egypt's Constituent Assembly, the body charged with drafting a new constitution. The judges, many of whom were holdover loyalists from the government of Mubarak, are widely viewed as hostile to the Islamists who now dominate the assembly that has been charged with framing a new constitution. Some had threatened to shut down the assembly.

Morsy's move, which has concentrated power in the hands of the executive, is a continuation of the power struggles between Morsy's Muslim Brotherhood -- the Islamist movement that is Egypt's most powerful political force and won nearly half the seats in parliamentary elections -- and the remnants of the military-dominated establishment of the Mubarak years.

In June, just weeks before Morsy's election, Egypt's military leaders declared parliament invalid and dissolved the body, a ruling which was upheld by Egypt's highest court in September. After his election, Morsy defied the military leadership by calling parliament into session. Morsy's edict ruled out the possibility of repeat interference.

In August, the president moved decisively against the military leadership, sending into retirement Field Marshal Mohammed Hussein Tantawi -- who, as Chairman of the Supreme Council of the Armed Forces, had acted as the country's de facto ruler in the wake of Mubarak's ouster and prior to Morsy's election.

What has been the response to the presidential decree?

Morsy's decree has sharply divided Egyptians. While the Muslim Brotherhood is standing by their man, holding large rallies to show support, many other Egyptians have seen the order as an alarming and undemocratic power grab -- a lurch back towards an authoritarian style of leadership the country had only recently overthrown.

Left-leaning and liberal Egyptians -- who had played a large part in the revolution but were sidelined by the success of Islamists in subsequent elections -- made up a large component of the protestors in Tahrir Square. Many of their chants accused Morsy, the first democratically elected president, of becoming a "new pharaoh" and "dictator."

"In some ways, the liberal and left-wing forces are trying to stake a claim to the revolution again through the protests," Laleh Khalili, a reader in politics at the University of London's School of Oriental and African Studies, told CNN.

The demonstrators, who have been calling on Morsy to resign, also included some of those sympathetic to the military and the old regime, she said.

Why has this come about now?

Morsy issued his edict the day after the November 21 cease-fire between Israel and Hamas, which he had played a central role in brokering. Khalili said that, buoyed with new found political capital from his successful foray on the international stage, the Egyptian president may have miscalculated, underestimating the level of outrage his actions would provoke.

The anger on the streets, she said, also reflected a level of public dissatisfaction with progress made since the revolution in addressing issues of poverty and inequality in a country with an unemployment rate of more than 12%, a median age of about 24 years, and a per capita GDP of $6,500.

"Many of the original grievances behind the revolution were derived from questions around extreme inequality and corruption," she said. "Those issues have not been addressed."

The protests represented "a perfect storm of many grievances coming to the fore," she said, and it was not clear how it would play out. "It's a fundamental challenge to the legitimacy of the regime."

What else was in the declaration?

Other aspects of Morsy's edict are likely to prove popular with many of those who have taken to the streets against him. In his decree, Morsy also announced that all deaths and violence connected to the uprising against Mubarak would be investigated again, with those responsible retried if necessary.

This raised the possibility that Mubarak, currently serving a life prison term, could be re-prosecuted, along with a number of regime figures who were previously acquitted.

Some Egyptians have expressed disappointment that security forces and officials have escaped punishment over last year's violent crackdown on protestors.

Morsy also sacked the prosecutor-general in his declaration, and extended the timeline for drafting the constitution by two months.

But while those resolutions may be welcomed by many, the unilateral manner in which Morsy has gone about expanding his powers has alarmed many.

"It's the way he's doing it that has gotten people upset, because it reminds them of the way Mubarak used to govern," Peter Jones, a Middle East expert at the University of Ottawa, told CNN.

One popular slogan during the current protests has been "Morsy is Mubarak."

If Morsy's new powers are only temporary, why the outrage?

Protesters claim he has used the edict to hijack the process in order to produce a document that reflects his Islamist vision and consolidates his power in the new Egypt.

Liberal, left-wing and Christian members of the assembly boycotted the body over concerns that their views were not being given enough consideration by Islamists -- with many of them subsequently replaced by Islamists.

What is happening with the constitution now?

The Islamist-dominated assembly has now passed a finalized 234-article draft of the constitution, which is due to go for a public vote on Saturday, December 15.

But there has been sharp opposition to the document, with critics fearing it could lead to excessive restrictions, and claiming it offers inadequate protection of the rights of religious minorities and women.

"(Morsy) put to referendum a draft constitution that undermines basic freedoms & violates universal values," wrote Mohamed ElBaradei, a Nobel laureate and head of the liberal Constitution Party, on his Twitter account. "The struggle will continue."

Joe Stork, deputy Middle East and North Africa director at Human Rights Watch, said that "moving a flawed and contradictory draft to a vote is not the right way to guarantee fundamental rights or to promote respect for the rule of law."

The draft constitution maintains the principles of sharia as the main source of legislation -- a position unchanged from the constitution under Mubarak.

But Mohamed Naeem, a member of the Egyptian Social Democratic Party, said he fears the proposed constitution would open the way for a theocracy by moving the country even closer to codifying sharia law.

What is the military's position?

Despite Morsy's struggles with remnants of the old regime within the military establishment, the armed forces -- which ruled Egypt for more than a year after the fall of Mubarak -- has largely stayed out of the stand-off.

But on Saturday, December 8, it issued its first statement, urging the parties to enter into dialogue to resolve the crisis and vowing to protect public institutions and innocent people.

"Anything other than that will lead us into a dark tunnel with catastrophic consequences, which we will never allow to happen," it warned.

Will the opposition participate in the referendum?

In an apparent attempt to defuse the crisis, Morsy canceled most of his decree on Sunday, December 9, but vowed to press ahead with the referendum.

The cancellation of the decree was not retroactive, which meant that any decisions he had made since its announcement still stood -- including the decision to approve the draft constitution.

This led to speculation the opposition would boycott the vote. But leading opposition group the National Salvation Front -- a coalition formed of liberal and secular parties -- subsequently urged its supporters to participate if it was not successful in delaying the referendum by a month.

The opposition Dignity Party said its members would participate, but wanted assurances that the vote would be fair, while other parties, including the 6 April youth movement, which backed Morsy in the June elections, have urged members to vote against the draft constitution.

@highlight

Five people have been killed as Egyptians protest a presidential edict and draft constitution

@highlight

The decree gave President Morsy unchecked power until a new constitution was in place

@highlight

Morsy has been locked in a power struggle with factions of the old regime

@highlight

Demonstrators accuse him of acting like autocratic former president Mubarak