Philadelphia (CNN) -- For me, touring the SS United States felt kind of like I was exploring my grandmother's attic for the first time, not knowing what I'd find.

The ship offers lots of room for surprises. It stretches the length of New York's Chrysler Building and is 100 feet longer than the Titanic.

Its legendary decks were the site of untold stories, where movie stars rubbed shoulders with famous musicians and kings.

And it's fast. On its first voyage, the SS United States set a trans-Atlantic speed record -- three days, 10 hours and 42 minutes -- a feat that has never been surpassed.

The ship's late designer William Francis Gibbs constructed the vessel with fireproof materials, saying, "You can't set her on fire, you can't sink her, and you can't catch her."

Now, six decades after its heyday, the vessel dubbed "America's flagship" is in need of a rescue. Expensive maintenance may force the owners to sell the historic ship for scrap metal, unless a solution can be found.

During my tour through the dark and damp shell of former grandeur, the vastness of Gibbs' creation became even more evident.

Gibbs, a naval architect responsible for nearly 5,500 Navy vessels that helped win World War II, put everything he had into his ultimate ship. The 2,200-passenger liner also was meant to double as a troop transport ship if war broke out.

Gibbs' obsession with creating the perfect ocean liner has now transformed into his granddaughter's obsession with saving it.

"My grandfather was once asked who do you love more, this ship or my grandmother, and he said, 'the ship, a thousand percent,' " said Susan Gibbs, executive director of the SS United States Conservancy. "This is an extraordinary American achievement, an amazing expression of our post-war history, and it would be so tragic to see it destroyed."

Standing in the sunlight flooding the hefty enclosed promenade, Gibbs admits she never traveled aboard "The Big U."

"I didn't know my grandfather. He died when I was young," she said, gazing out the floor-to-ceiling windows. "But I've gotten to know him through this ship. His spirit is here."

"He felt this was the perfect ship and loved what she said about the nation. He saw the ship as a metaphor for the nation's post-war strength, pride and accomplishment."

Gibbs remembers traveling to Philadelphia from her home in Washington to see the SS United States for the first time. Along the way, she read her grandmother's diary out loud in the car.

The journal revealed tales about the ship's maiden voyage and a joyful conga line celebrating the new speed record. It unveiled a bygone era when passengers donned mink stoles and enjoyed a liquor selection that included 49 kinds of scotch.

Full of nostalgia, Gibbs snapped back to reality when the car edged closer to the dock. She gasped at her first sight of the weathered ship.

"When I walked on board, it was only a shadow of that," she said. "I was saddened, but determined that we cannot let the ship go."

Walking through the ship's empty belly, I can feel that sadness too. Gone are the stately furnishings and decorations. All that remain of the cabins are outlines on the floor, accompanied by plugged toilet holes.

It was hard not to feel like I was trespassing on property that was ransacked. Only this was no robbery -- the ship's interior fittings were auctioned off in the '80s.

Despite the missing fittings, the SS United States remains nothing less than majestic.

The longer I was on the ship, the easier it was to imagine it full of life. I could picture Marlon Brando chatting with artist Salvador Dali in the ballroom; hear Duke Ellington on stage tickling the ivories on one of the ship's fireproof pianos; or watch President John F. Kennedy and first lady Jacqueline Kennedy strolling on the decks.

Dan McSweeney's father worked as a steward on the SS United States. Today, he oversees the liner's redevelopment project and is looking for partners to help save it.

Out of service since 1969, the former reserve ship for the U.S. Navy has been docked in Philadelphia since the mid-1990s.

The goal is to turn it into a stationary entertainment complex and museum.

"It's an irreplaceable part of American history, and once it's gone, it'll never come back, and we'll never have anything like it in the future," said McSweeney, managing director of the SS United States Redevelopment Project. "It's not a vanity project. This is going to create jobs and be the crown jewel of a waterfront district."

"If we lose it, we'll never get it back."

For now, the clock is ticking.

Keeping the ship afloat costs nearly $80,000 a month for basic maintenance, insurance and security.

The SS United States Conservancy launched a website where visitors can sponsor a piece of the ship for $1 per square inch.

Gibbs says they have about two months before they'll have to sell the ship for scrap -- something she won't even allow herself to think about.

"Its name is the SS United States, and she's been here (in Philadelphia) for 17 years because she's not done yet," Gibbs said. "We have to save her."

As Gibbs and I found our way off the ship, my shoes crackled against the crumbling, faded green surface of the outside deck -- like walking across an abandoned tennis court.

We waved goodbye, and I wandered across the dock and turned around. Tilting my head back as far as I could, I stared up at her mighty bow.

I couldn't help but notice the ship's towering sides were stained with streaks of rust -- the tears of a once proud iron lady.

@highlight

Historic ocean liner SS United States is running out of money and may have to be scrapped

@highlight

Ship designer's granddaughter: "We have to save her"

@highlight

Supporters hope to make the ship a stationary entertainment complex and museum

@highlight

The ship set the trans-Atlantic speed record, hosted stars like Grace Kelly, Duke Ellington