(CNN) -- A powerful storm is making its way through the northeastern U.S., expected to dump 2 feet of snow or more in some areas.

This weekend will be another test of how accurate those forecasts are.

Weather forecasts are much more accurate today than decades ago, but they are still not perfect. There are two big hurdles to overcome. One is creating accurate mathematical descriptions of the dynamics of the atmosphere. Two is increasing the resolution of the weather model.

There are many features of the atmosphere that interact in complex ways. For example, the microphysics of clouds is very hard to describe mathematically, and varies for different types of clouds. There are internal gravity waves, which propagate continuously through the atmosphere with significant energy and have the capability of driving, or slowing, strong winds.

The atmosphere includes general circulations that are affected by each other, and by the dynamics of the ocean and rotation of the earth. Depending on the temperature, pressure and humidity of the air, clouds will form and eventually result in rain. Any anomaly can change the entire system. (Just think of the Butterfly Effect, in which a small change such as a butterfly flapping its wings can affect something bigger, like a bird flying by, which can affect something even bigger, like an airplane, until a storm is formed.) Once we find that anomaly, we can track it because we know how the surrounding circulations can affect it.

By the numbers: Northeast blizzard

We predict the weather by putting all the observations we have on winds, temperatures, pressures and other variables into a mathematical model that estimates how these systems will interact. Unfortunately, the earth's circumference at the equator is almost 25,000 miles, so when we try to model the entire earth, and go up into the mesosphere (about 25 to 50 miles above the earth) the picture gets fuzzier.

Meteorologists can tell you, about five days out, with fair certainty what the weather will be like in your city or town.
But it's nearly impossible to accurately model strong weather systems such as big storms or hurricanes, which include various cloud systems.

In 2011, some residents in Staten Island, New York, evacuated from their homes before Hurricane Irene approached, but Irene took another path and the evacuation turned out to be unnecessary. The mathematical model wasn't wrong, but it couldn't know with absolute certainty the pathway of Irene.

In 2010, a big winter storm was predicted for Utah. Many schools in the state canceled classes. The storm turned out not to be not so bad. This may be partly due to the effect of small, unresolved variations in the atmosphere, such as internal waves, that weakened the storm.

Staying safe when the lights go out

Although miscalculations occur, they are not particularly common, especially over the past decade. We have a much better understanding of the dynamics of the atmosphere, more observations from towers, balloons and radar, and faster computers with much more processing speed and memory. Weather forecasting models are continually improving.

Meteorologists are expected to know everything that is happening around the earth and tens of miles into the atmosphere. That's more space than we can even fathom. And all of the systems within that space affect each other.

Think of it this way: A meteorologist's job is equivalent to guessing when a flashmob is going to break out. At the outset, it seems impossible. But if you meet every person in your city, get to know each of their general habits, and keep track of everyone's plans, you could guess when they might break out into song and dance as a group.

We now know more about all of the systems in the atmosphere, how they affect each other and how they interact. There can still be anomalies, like that out-of-towner, but overall we have a pretty good idea what is going to happen and when. And if an anomaly occurs, how it will affect the entire system.

We tease meteorologists about being wrong when they can't predict the weather to the exact detail, but their job is much harder than most people understand. Just try to remember that the next time you have to shovel yourself out of that unexpected extra 6 inches of snow.

The opinions expressed in this commentary are solely those of Julie Crockett.

@highlight

A powerful storm is making its way through the Northeast

@highlight

Julie Crockett: Weather forecasts are much more accurate than decades ago

@highlight

It's nearly impossible to accurately model strong weather systems, she says

@highlight

Crockett: The dynamics of the atmosphere is complex; meteorologists have a tough job