(CNN) -- Remember when Dorothy dozes off among scarlet poppies in The Wizard of Oz? Well, those vivid flowers weren't just a figment of Hollywood magic. Similar poppies set California's Antelope Valley ablaze in spring, luring road-trippers from L.A. and beyond.

The arrival of spring inspires us to break out from winter's hibernation and embrace the fresh outdoors. A road trip naturally satisfies that spontaneous travel urge, and we've mapped America's best spring drives -- routes that bring you up-close to nature's finest floral displays, from a California poppy tour to Texas Hill Country's bluebonnets.

Of course, flowers in bloom aren't the only draw for these American road trips, many of which meander by woodlands, lakes, small quaint towns, even historic mansions and museums. No matter what route you travel and no matter how many detours you take, spring into action this season by road-tripping through America's most awe-inspiring floral landscapes.

See more of America's best spring drives

Texas Hill Country Bluebonnet Tour
The route: 87 miles

Lady Bird Johnson led a campaign to beautify American cities, and in her native Texas, vast gardens of bluebonnets were planted across Texas Hill Country. While there are countless nature trails, first-timers should start in Austin and take U.S. 290 west to Johnson City's lovely Wildflower Loop. Then hightail it along U.S. 281 N to the town of Burnet, the official bluebonnet capital of Texas.

Where to stop: Tour the colorful grounds at Austin's Lady Bird Johnson Wildflower Center. A toll-free Texas wildflower hotline (800-452-9292) provides blooming reports, and tune in to KLBJ News Radio 590, which airs the "Wildflower Hour" featuring expert gardening tips from Mr. Smarty Plants at 8 a.m. on Saturdays.

Travel + Leisure: America's most iconic drives

Acadia All American Road, Maine
The route: 40 miles

Pack your binoculars for this coastal drive that skirts the woodlands of Acadia National Park, a prime spot for spying bald eagles and nesting peregrine. The 27-mile Park Loop Road segment follows the high ridges of Bar Harbor down to Sand Beach and Otter Cliff and loops inland along Jordan Pond. It's the centerpiece of the drive, which starts in Trenton, takes Route 3 south, turns on the Loop Road, then rejoins Route 3.

Where to stop: Local small towns begin buzzing in late spring. For homemade ice cream and popovers, pull over at the historic Jordan Pond House (open for the season as of May). Then put that energy to work hiking Acadia's Cadillac Mountain, whose 1,532-foot peak overlooks the Atlantic.

Travel + Leisure: Great spring weekend getaways

George Washington Memorial Parkway, Maryland and Virginia
The route: 25 miles

This green parkway reveals one floral show after another -- 591 wildflower species, from large-flowered valerians to Virginia bluebells -- as you drive from the Great Falls of the Potomac through D.C. and south to Mount Vernon. The most famous are the cherry trees that bloom around the Tidal Basin in D.C.

Where to stop: Hike the many trails that crisscross the 700-acre Turkey Run Park (just seven miles north of D.C.), which is carpeted in bluebells come late April.

Antelope Valley, California
The route: 70 miles

From Los Angeles, drive north to the town of Lancaster via Route 14, better known as the Antelope Valley Freeway. Golden poppies bloom throughout the Mojave Desert region in March, but the 17,600-acre Antelope Valley Poppy Reserve claims the finest concentration of California's state flower -- not to mention glorious showings of fiddlenecks, creamcups, goldfields and tidytips starting in late March.

Where to stop: Drive the seven-mile Antelope Loop Trail within the Poppy Reserve and continue on to Antelope Butte Vista Point, a high lookout (the valley reaches an elevation of nearly 3,000 feet) that offers the most sweeping desert panoramas.

Cherokee Foothills Scenic Highway, South Carolina
The route: 120 miles

This National Scenic Byway sticks to an early Native American trail (the Cherokees called these foothills the Great Blue Hills of God) that weaves through the low Piedmont Hills past waterfalls, covered bridges and brooks. To catch peach orchards and trees in full bloom, time your drive to late spring or early summer.

Where to stop: Hundreds of roadside stands that begin filling with fruit in early June. The famous Peachoid water tower, painted to look like a colossal peach, is in the town of Gaffney, where mountain laurels begin to blossom in late May.

Travel + Leisure: Easy weekend getaways

Historic Columbia River Highway, Oregon
The route: 70 miles

The Columbia River area has long been Oregon's premier scenic attraction. Explore by driving from Portland through the Columbia River Gorge and on to volcanic Mount Hood, Oregon's highest peak at over 11,000 feet. Multnomah Falls, one of the tallest yearlong waterfalls in the U.S., is another showstopper. Beginning in late March, look for wildflowers like purple Columbia kittentails on the shaded banks of waterfalls.

Where to stop: 3 Rivers Grill (541-386-8883), in a Victorian house overlooking Hood River, for lunch. Detour over to the Washington side for the Maryhill Museum of Art and enjoy unparalleled views of the gorge.

Louisiana Great River Road
The route: 70 miles

Let the Mississippi River be your guide on this winding route from Baton Rouge through Creole Country to New Orleans. Look out for former sugar plantations and majestic antebellum plantation houses -- until the Civil War this area was one of the richest in America. Giant moss-draped oak trees nearly obscure the Creole cottages, surrounded by patches of budding wildflowers.

Where to stop: Oak Alley Plantation in Vacherie. This Greek Revival mansion was built in 1839 and stands at the end of a long avenue lined with oak trees. In New Orleans, check into the buzzy Saint Hotel, in the former Audubon Building in the French Quarter.

Hana Highway, Hawaii
The route: 52 miles

Tropical flowers bloom each spring along the Road to Hana, which paves its way through bamboo fields, rainforests and waterfalls like 80-foot Wailua Falls, which appeared in the credits of TV show "Fantasy Island." Start in Kahului, and head down Maui's northeastern coast. Just don't be fooled by the 52-mile count -- this is an intense drive that can take up to four hours as you navigate over 600 hairpin turns and more than 50 one-lane bridges. The payoff comes from the spectacular views and bragging rights.

Where to stop: Fuel up with pancakes soaked in coconut syrup at Anthony's Coffee Co. in the funky small town of Paia. Just beyond mile marker 32 awaits Waianapanapa State Park, with black-sand beaches and trails leading to sea caves and lava cliffs.

San Juan Skyway, Colorado
The route: 232 miles

The skyway's biggest thrills come along the stretch between the Victorian-era towns of Ouray and Silverton that's known as the Million Dollar Highway. While that name could easily describe the views, it actually refers to the massive amounts of silver and gold once carted through these passes. Four-wheelers can also attempt to traverse the rugged 65-mile Alpine Loop Back Country Byway past the 19th-century ghost towns of Howardsville, Eureka and Animas Forks.

Where to stop: Mesa Verde National Park, famous for Anasazi Indian cliff dwellings that were abandoned 200 years before Columbus arrived in America. And at Dunton Hot Springs Resort, in a restored ghost town, soak in waters ranging from 85Â°F to 106Â°F and rich in calcium bicarbonate, iron and manganese.

Santa Fe/Taos Loop, New Mexico
The route: 191 miles

Follow the (literal) High Road from Santa Fe north on Route 285 through high-elevation deserts and orchards. It leads to the cottonwood-dotted valley of Ojo Caliente and its pueblo communities; the Taos Pueblo compound, a UNESCO World Heritage site, was built before 1400 and is one of the oldest continuously inhabited communities in America. Loop back from Taos on the Low Road, State Route 68, which runs along the Rio Grande past wineries.

Where to stop: More than 10 galleries display Native American jewelry, textiles and pottery at the Millicent Rogers Museum, named after Taos' famed art-enthusiast and socialite.

See all of America's best spring drives

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Texas Hill Country is awash in bluebonnets in the springtime

@highlight

Golden poppies bloom in California's Antelope Valley

@highlight

Tropical flowers bloom each spring along the Road to Hana in Hawaii