(CNN) -- As location-based apps go, Foursquare or Gowalla will work just fine if you're looking for the spot where all your buddies are having a beer.

But what if they discovered an awesome, out-of-the-way spot six months ago? Or, better yet, what if you didn't even know you were looking for a watering hole until your phone told you there's one around the corner you shouldn't miss?

As the novelty of the simple check-in fades, and the abilities of GPS-based location technology expand, some new mobile apps -- call them "discovery apps" -- are looking to parlay mobile "noise" into useful, place-based tips.

"It feels like the paradigm shift in the late '90s when Google came along," said Babak Pahlavan, CEO of Cleversense, which released the app Alfred this month.

"There's an information overload -- to find something useful for you is a very daunting task. It's time for a new shift; it's time to make sense of it and make it useful for you."

Alfred has been called "Pandora for the real world." Users feed it information about their favorite places (mainly restaurants, bars and coffee shops). Then, theoretically, Alfred -- a mustachioed robot butler -- can suggest similar spots that are nearby, no matter where you are.

The free app, currently on Apple's iOS system, with Android and Windows Phone versions in the works, was rolled out this month and took top honors in the "Startup Idol" contest at the Fortune Brainstorm Tech conference in Aspen, Colorado.

The app, which was two years in the making, uses a Web-crawling algorithm to pull the information together and, according to Pahlavan, recognized the difference between positive and negative chatter about a place.

"There's so much information on the Web, but it's all scattered," he said. "You almost need an assistant or chaperone to go out and find things to figure out what matters to you."

If Cleversense's app relies on software, Trover, co-created by the founder of travel site Expedia, is fueled by other folks and their cell phones.

Unveiled Thursday after three months in trial mode, Trover is a photography app. But its similarities to hot tools like Instagram or Hipstamatic end there.

Instead, it's about documenting your discoveries, from a cool statue to an out-of-the-way restaurant to the best spot to view the surrounding scenery.

Rich Barton, the Expedia founder and a Microsoft alum who also founded real-estate site Zillow, said he and Trover CEO Jason Karas are both avid travelers.

"And we've been brainstorming for years to figure out a way that we could carry with us, as we went, all our friends' recommendations on what to do, where to go and what to see," he said.

"Wouldn't it be great if we had a little voice whispering, 'Take a right there' ... or 'Hey, you're passing the best gelato place in Rome.' "

Using GPS on a smartphone (currently just the iPhone, but with an Android version in the works), the app shows users photos that other people have taken in the area.

Apps like Yelp! already let users search for restaurants or other destinations. But Trover's founders say their app does something else.

"People that are using Trover now ... say Trover has become part of the rotation of apps that they use -- Trover combined with Yelp! and Foursquare and Instagram," Karas said.

"With Trover, it's really a different kind of experience. It's really built more around exploration than targeted search. As you travel around a neighborhood, you can have these serendipitous kinds of experiences."

Used Friday at CNN's Atlanta offices, the app rendered images of folks standing beside the giant CNN logo, spots in Centennial Olympic Park, concert footage from nearby venue The Tabernacle and even a buffalo head on the wall of a Ted's Montana Grill restaurant.

With about 70,000 users who've found the app despite it being in stealth mode, the founders have already seen it used in an unexpected way: by street artists and their fans.

"That's two groups that have never really been able to get together, and they're getting together on Trover," Barton said. Users can, of course, create their own "troves" by taking and uploading pictures of their own.

Trover and Alfred aren't the only new apps geared, at least in part, to place-based discovery.

Broadcastr lets people upload audio files to an interactive map. Crowdbeacon lets users send questions to nearby users and tap into comments from other mobile apps about surrounding locations.

"With these new (GPS) sensors, it's all new data," Pahlavan said. "It's about making sense out of it for you, and these new technologies that are forming are about taking all these data points and aggregating it to make it more useful for you."

@highlight

As location technology grows, mobile apps are trending toward "discovery"

@highlight

Trover lets users see photos of interesting things that others have shared nearby

@highlight

Alfred, from Cleversense, uses a Web crawler to compare your favorites to spots near you