Yemen's president became the fourth Arab leader forced from power this year when he signed a deal Wednesday aimed at ending his country's months-long political crisis.

The deal, brokered by the Gulf Cooperation Council and signed in Saudi Arabia, allows Ali Abdullah Saleh to retain the title of president for three months but requires him to hand over executive powers to Yemen's vice president.

The agreement cleared a key roadblock in the transition to a new era for Yemen, which has been the scene of violent protests for months as Saleh's opponents demanded that he leave power after 33 years in office.

"This monumental agreement will hopefully bring an end to the 10-month long turmoil in the homeland," Mohammed Albasha, a spokesman for Yemen's Embassy in Washington, said in a statement.

After signing the deal, Saleh said that his country will "need decades to rebuild what the crisis left" and that the transfer of power should be "peaceful and democratic."

Analysts said many uncertainties remain in Yemen's political future, including when the country will hold elections and how Saleh's family members and other supporters in the military will act now.

It was also unclear how protesters, who have demanded that Saleh be held accountable, would react to the agreement, which provided him with immunity from prosecution.

The Gulf Cooperation Council accord, which is backed by the United States and the European Union, allows Saleh to retain his title as Yemen's president for 90 days, until elections are held, according to a Western diplomat in Yemen.

Before the deal's signing, a presidential source said Saleh would remain permanently in Saudi Arabia after he signed it.

Another Yemeni government official said it was unclear what Saleh would do.

"Everything's unpredictable with Saleh. He's due for some health checkups," said the official, who spoke on the condition of anonymity because he was not authorized to talk to the media. "At least for the period now, it makes sense he would stay in Saudi for some time."

United Nations Secretary-General Ban Ki-moon said Wednesday that Saleh told him he planned to come to New York for medical treatment after the deal was signed.

Last week, Saleh told France 24 television that he would leave office "within 90 days" of an agreement with the council.

Saleh had previously appeared to be on the verge of agreeing to hand over power several times, only to change course.

He insisted in the interview with France 24 that he had no desire to "hang on to power."

"I know the difficulties, the negatives, the positives; I will not hang on to power. Whoever hangs on to power I think is crazy," he said.

Clashes erupted in Yemen's capital of Sanaa on Wednesday, just hours after Saleh and opposition leaders headed to Saudi Arabia for the signing ceremony.

The fighting between government forces and tribal fighters began after government forces attacked opposition posts, several witnesses in the area said.

During months of violent uprisings, government troops have responded with live fire on protesters, killing many, according to medics and opposition sources.

On Saturday, 400 troops defected from the Yemeni military, saying they would no longer attack unarmed protesters.

Saleh was wounded in an attack on his compound this year and spent three months in Saudi Arabia being treated for burns.

International powers, including the United States, have urged him to step down.

United Nations envoy to Yemen Jamal Benomar said Wednesday that more work needs to be done after the power transfer agreement is signed.

"The transitional government will be responsible for rebuilding the economy and will undergo dialogue with the youth movements to ensure their support and participation in the political arena," he said.

Saleh's signing of the deal is the latest in a string of power shifts spurred by popular uprisings that have swept through a number of Arab countries since January.

Former Tunisian President Zine al-Abidine Ben Ali, who had ruled Tunisia since taking power in a coup in 1987, fled to Saudi Arabia in January.

Former Egyptian President Hosni Mubarak was the next to lose his grip on power, stepping down on February 11 after tens of thousands of Egyptians set up a protest camp in Cairo's Tahrir Square.

Last month, former Libyan leader Moammar Gadhafi was killed in his hometown of Sirte, where he had fled after rebel fighters took control of the country's capital.

In October 2010, all four leaders were smiling as they appeared in a photograph at a summit of African and Arab leaders in Libya.

@highlight

Ali Abdullah Saleh says his country "will need decades to rebuild what the crisis left"

@highlight

Saleh retains his title but has signed an agreement handing over power to vice president

@highlight

Presidential source: Saleh will remain permanently in Saudi Arabia after signing the deal

@highlight

Clashes erupt between government forces and tribal fighters in Yemen's capital