(CNN) -- California, in an honest attempt to clarify communication about sexual consent in colleges and universities, has created just another way we can misunderstand each other. Let me be clear: I support efforts to make rape or date rape or sexual opportunism when someone is drunk less likely. Who wouldn't?

The law requires state colleges and universities to require "affirmative consent" from everyone engaged in sexual activity. Consent "must be ongoing throughout." The law specifies that silence and lack of protest makes consent impossible, and drunkenness is not an excuse.

But this step-by-step consent plan is just not the way hot and heavy sex generally proceeds on college campuses. And it falls apart when you consider that a lot of sex on campus happens when people are drunk. That's the real problem. Except for truly malignant or misguided offenders -- "she asked for it" kind of guys -- most sexual calamities happen when students are drinking.

In a study by American Sociological Association President Paula England, students reported a mean of six drinks for men and four drinks for women on their last "'hook up." That's just the tip of the iceberg, and that's what we should be addressing: the over-drinking and under socialization about what makes sex worthwhile and why unconscious sex is not in anyone's best interests.

But instead of dealing with the real problem, legislators are going to have a standard of conduct that most dating couples or people who meet at a party will not follow. This won't be a problem -- until someone believes he or she did not give a specific permission. If it sounds like an easy thing to do, remember how you were in your late teens and 20s and you might recall that being articulate during sex is not so easy.

Legislating sex on campus

Will people really ask permission as they make the transition from oral sex to intercourse if their partner seems to be enthusiastically joining in? Unlikely. And if both partners are drunk, is one more culpable than the other? I applaud the idea that both partners should be conscious, but do you think young men who throw a fraternity party think nobody will drink too much? And do the young women who go to these parties expect to stay sober?

If we want to make rules about something, we should try to make rules about these parties. That might work. And we should try to educate young people about how easy it is to ruin their lives when they are drunk. But who are we going to punish if it's a one-on-one encounter, both parties are drunk -- or not -- and each has different ideas of what was said?

As the professor of many university students and the mother of a girl and a boy who thankfully made it out of their 20s with no sexual and emotional scars, I worried about both my students and my kids in these years: I feared my daughter might get in a tough situation with a sexually aggressive date or that my son might be wrongfully accused by someone he didn't want to date any longer, or by a partner who changed her mind about what happened after a big night of partying. My fears were not baseless: I heard many examples of these kinds of situations.

Still, in our effort to protect the sexual victimization of women, we create a standard that is probably impossible to produce all the time. I am not convinced that young women cannot be given the tools to say no, and men cannot learn how to accept that answer.

I think most young men want to be wanted and proceed when they think they are. Yes, there are rapists who think they are wanted and that it's just incidental that they have a knife in their hand when she consents. But these are the criminal and pathological minds that not only won't follow this regime, they won't even think it applies to them. Other measures of avoidance and protection are necessary to save women from sociopaths. It's laughable to think this kind of predator would even notice, much less follow, these rules.

So who are they for? The guys who might misunderstand what a woman wants and find themselves mystified when charges are brought against them? Will these rules protect them? Probably not, because I think those guys will believe that their partner's behavior says it all. What would you do if you kissed someone passionately and he or she responded in kind? Would you ask permission before you began to use your tongue?

I'm not saying no one can do this. I think many smart and caring men and women do ask permission along the way and are careful and sensitive observers of what their partner wants and says. I'm all for encouraging that kind of protection of oneself and one's partner. But I think most of this would be clear and careful if it weren't happening in an alcoholic fog, and that's where I'd put my money and educational efforts.

@highlight

California requires colleges to require participants' "affirmative consent" during sex

@highlight

Pepper Schwartz: Consent must continue, step by step, but that's not how sex happens

@highlight

Schwartz: Being drunk or high is the real cause of sexual calamities in college

@highlight

She says if you want to stop misunderstandings and assault, you must address overdrinking