Washington (CNN) -- A top Republican senator used the terror bombings in Boston to raise new questions on Friday about a bipartisan comprehensive immigration reform bill, legislation that now faces growing questions from conservative critics.

Immigration reformers seek to avoid deja vu

Democrats shouldn't rush the legislative process "given the events of this week," Iowa's Chuck Grassley said at the opening of a Senate Judiciary Committee hearing on the nearly 900-page bill.

"It's important for us to understand the gaps and loopholes in our immigration system," Grassley said. "How can individuals evade authorities and plan such attacks on our soil? How can we beef up security checks on people who wish to enter the U.S.?"

"This hearing is an opportunity to refocus on ... the importance of remaining vigilant and secure in our homeland," he added.

One of the bill's authors, New York Democratic Sen. Chuck Schumer, responded by urging fellow senators to "allow the actual facts to come out" before "jumping to conclusions about Boston."

Two other leading Senate Republicans asserted in a written statement released after the hearing that the Boston bombings actually highlighted the necessity for immigration reform.

"Immigration reform will strengthen our nation's security by helping us identify exactly who has entered our country and who has left -- a basic function of government that our broken immigration system is incapable of accomplishing today," said South Carolina's Lindsey Graham and Arizona's John McCain.

"We have 11 million people living in the shadows, which leaves this nation vulnerable to a myriad of threats," they added. "By modernizing our system of legal immigration, identifying and conducting background checks on people here illegally, and finally securing our border, we will make America more secure."

Overall, the issues of border security and economic concerns dominated the first committee hearing on the long-awaited plan, which was unveiled against the backdrop of the deadly Boston Marathon bombings and subsequent manhunt.

"Gang of 8" confident immigration bill can break Senate gridlock

Homeland Security Secretary Janet Napolitano was scheduled to testify, but canceled her appearance on Friday morning as the Boston-area manhunt intensified.

"There is a great deal going on in Massachusetts," said Sen. Patrick Leahy, D-Vermont, the panel's chairman. "I hope everybody will understand why the Secretary Napolitano will not be here."

Bombing manhunt: Where is the suspect hiding?

Leahy promised she would testify on the bill at a later date.

Tighter security has long been a key immigration reform demand for many conservatives, who argue that current border controls remain insufficient.

Rubio's rapid response to immigration reform critics

The two prime suspects in Monday's bombings came to the United States in 2002 and 2006, according to a federal official.

Both suspects were in the country legally. One of them became a U.S. citizen last year, an official told CNN.

The bill assembled by the Senate's "Gang of Eight" -- comprised of four Democrats and four Republicans -- would, among other things, commit $3 billion to enhanced border security.

Money would be used to fortify border fences, boost patrols, and acquire surveillance technology from the Department of Defense -- including drones and drone pilots.

The legislation would require constant surveillance of high-risk border areas and require that border officers turn back at least 90% of those who attempt illegal crossings each year.

Vulnerable sections of the border would have to be deemed secure before most of America's roughly 11 million undocumented residents could begin the journey to citizenship.

Read the immigration reform bill

Some conservatives are skeptical the Obama administration will ever secure the border to their satisfaction. Many reform advocates believe conservatives want to use the border security issue to deny citizenship to undocumented residents.

It's not right to put undocumented residents at the "mercy" of a border security requirement, Leahy argued. And "spending billions more" on border controls, like fences, are not the "best use of taxpayer dollars."

But the bill is a "product of compromise" and "difficult concessions" on all sides, he added.

Testimony from the hearing's two remaining witnesses focused on the economic impact of immigration reform, and whether it would damage job and wage prospects for citizens on the lower rungs of the economic ladder.

"We have an abundant supply of low skilled labor waiting for jobs," argued Peter Kirsanow, a member of the U.S. Commission on Civil Rights. Sweeping legalization of undocumented workers will result in the "leapfrogging (of) those individuals."

And "we're living in a fantasy land" if we think "by a stroke of a pen" the economic prospects of undocumented residents will be significantly improved, he added.

Alabama GOP Sen. Jeff Sessions agreed, arguing that America has "more low skilled labor than we can find jobs for today."

"I think this (fact was) not considered properly in this bill," said Sessions, who declared that the legislation was written by "big business" and "big agricultural interests."

But Douglas Holtz-Eakin, a leading GOP voice on economic issues and former head of the Congressional Budget Office, insisted that illegal immigration isn't the main problem for the country's low skill workers.

American workers with few skills are being forced to compete globally, he told the panel. "Geographic location has very little to do with it."

Legalizing undocumented workers will help "eliminate the capacity for exploitation," he added.

Under the bill, most undocumented immigrants who arrived in the United States before December 31, 2011, would be eligible for legal residency and ultimately citizenship. They cannot, however, have any felony convictions in U.S. or foreign courts.

Smaller offenses can also block residency. The bill would block applicants with more than three misdemeanor convictions, including for offenses such as reckless driving, trespassing or vandalism.

The bill would also require undocumented immigrants to pay a penalty of up to $500 for having come to the United States illegally, and also pay any back taxes before receiving temporary approval to stay.

After 10 years as provisional residents, immigrants could become lawful permanent residents by following the same guidelines as immigrants who enter the country legally. That process includes a $1,000 fee.

The Judiciary Committee is set to hold another hearing on the bill on Monday. Full Senate consideration would likely occur in June, according to multiple sources.

A bipartisan group of legislators in the House of Representatives is crafting its own immigration reform proposal.

@highlight

NEW: Sens. John McCain and Lindsey Graham say Boston bombing prove need for immigration reform

@highlight

Sen. Chuck Grassley says Boston bombings raise new immigration reform concerns

@highlight

Sen. Chuck Schumer says senators shouldn't jump to conclusions

@highlight

Bipartisan immigration bill aims to tighten border security, create path to citizenship