(CNN) -- As a gay black man who came of age just before the 1969 Stonewall riots, I've seen far too many examples of the inequalities that exist in America. But I'm also highly encouraged by recent developments: same-sex marriage support from President Barack Obama and the NAACP, and a wave of federal court rulings -- from the Defense of Marriage Act being deemed unconstitutional to the rejection of California's Proposition 8 -- that have opened a promising new chapter in the gay rights movement.

All of this suggests that after many, many years, we are finally piercing the stigma surrounding being gay in America.

Now let's talk about erasing the stigma of HIV/AIDS.

Right now, 1.2 million Americans are living with HIV/AIDS. I am one of them.

First, the good news: Thanks to advances in medical treatment and technology, a positive HIV status is not the death sentence it was considered to be 20 years ago.

Recent data suggest that a 25-year-old diagnosed with HIV and no other complicating symptoms, who immediately enters into comprehensive and adherent medical care, can expect to live more than 50 years beyond his or her diagnosis. This is roughly the same life expectancy as someone who does not have HIV.

On the other hand, without the proper medical care, the life span of that same 25-year-old is reduced dramatically.

Currently, only 19% of Americans living with HIV/AIDS are receiving the sustained care they need to extend and improve the quality of their lives. With 50,000 new U.S. cases confirmed every year, that's a problem. And in a global superpower, it's unconscionable.

News: 25 years later, AIDS quilt displays an American tragedy

The reasons are complicated, ranging from the challenges borne from living in poverty (it's hard to prioritize your health care when meals and housing are more pressing) to a lack of HIV-experienced medical experts in rural areas. These are complex hurdles, and the solutions won't come easily. But there's one that will, if we all do our part.

Stigma -- stemming from shame, fear of discrimination or a basic lack of understanding about the disease -- is all too often a major reason people living with HIV/AIDS fail to get tested or get into life-saving care and treatment. And its impact is devastating.

Through AIDS United's work with organizations around the country that provide access to care to those living with HIV/AIDS, the stories we've heard are heartbreaking. Stories like the grandmother who was afraid to hug her 25-year-old HIV-positive grandson. The young man who was fired from his job because his boss found out he had HIV. The single mother and her young son, both HIV-positive, who were forbidden to swim in their community pool.

Clearing up shame over HIV/AIDS in 21st-century America is not just a nice thing to do. It will lead more people to get tested. It will help them improve and save their lives. And it will prevent more transmissions.

News: Gay, bisexual black men at high risk for HIV

On Sunday, 20,000 of the world's HIV/AIDS experts will gather in Washington for the International AIDS Conference -- an opportunity to create a blueprint for wiping out the disease for good. An important preconference panel will focus on the shame and stigma burdening men who have sex with men, particularly African-American men who are still silent or in denial about same-sex attraction. We will discuss new approaches for persuading them to come forward, get tested and access the care they need to make HIV a manageable, rather than a fatal, condition.

But our work shouldn't be done in a bubble. Everyone has a role to play in bringing HIV/AIDS out of the shadows:

-- We must keep educating the everyday "influencers" -- the pastors, the beauticians, the shop owners -- anyone with a direct line to the communities at greatest risk who can launch straightforward, ongoing conversations about the disease and how to prevent it.

Health: FDA approves Truvada for prevention of HIV/AIDS

-- We must continue to educate policymakers about the impact of HIV/AIDS on their constituents. Federal and state budget cuts have hurt vulnerable populations affected by HIV/AIDS and have eliminated evidence-based programs for preventing transmission.

-- We've moved beyond Magic Johnson as our only pop culture point of reference for this disease. Other athletes and entertainers have come out in support of AIDS-related causes over the years, but we still need more of them to leverage their celebrity and keep this issue at the forefront of media attention.

For the first time in a generation, we have the tools we need to end the HIV/AIDS epidemic. Now we need to use them.

News: AIDS activists arrested after hoisting banner near U.S. Capitol

As the world's attention focuses on the International AIDS Conference, let's all show our support. Let's work together to reverse the shame that still shrouds the disease after all these years. Let's work together to end the HIV/AIDS epidemic in America.

Join us at Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Ronald Johnson.

@highlight

We are finally piercing the stigma surrounding being gay in America, says Ronald Johnson

@highlight

As 1.2 million Americans are living with HIV, it's time to erase that stigma, too, he says

@highlight

Only 19% of Americans living with HIV receive the sustained care they need, he says

@highlight

Johnson: Clearing up shame over HIV/AIDS will lead more people to get tested