(CNN) -- About 11 trillion gallons of rain, or nearly 17 million Olympic swimming pools full.

That's how much water California needs to recover from its extreme drought despite downpours that caused flooding and mudslides this month, NASA said.

This week, the space agency released a satellite data analysis of how much water the state's reserves lack.

It's a lot -- more than 14,000 times the amount of water it would take to fill the Dallas Cowboys stadium, according to CNN calculations. It's the amount of water that flows over Niagara Falls in about 170 days' time.

"It takes years to get into a drought of this severity, and it will likely take many more big storms, and years, to crawl out of it," said NASA scientist Jay Famiglietti, who led the study.

NASA climate satellites measured fluctuations in Earth's gravitational field and the changing shape of the planet's surface to determine the drop in water reserves. It's the first calculation of its kind to determine the amount of water needed to break a drought, the space agency said.

Virtually all of California is drought stricken, according to the University of Nebraska Lincoln drought monitor, most of it under the worst level -- "exceptional drought."

Deluges boosted state reservoirs

December's deluges doused parts of California in just a few days with double the rain or more that they usually get in a year.

An atmospheric river -- a moisture-laden stream of air from the tropics dozens of miles wide -- hosed the coast, and behind it, storm fronts battered the state.

Nearly a foot of rain fell in some places in a single day. Creeks and rivers previously flowing at a trickle swelled over their banks and flooded nearby streets.

The abundant rainfall gave the state's reservoirs an upward bounce, according to measurements by the Department of Water Resources.

One of the largest, Lake Shasta, went from a water level before the rains of 41% of its historic average to 53% on Tuesday. Another very large one, Lake Oroville, stepped up from a level of 44% of its average volume to 54%.

Some of the state's other 10 -- mostly much smaller -- main reservoirs felt a boost, too. Others, not so much.

More rain is in the forecast this week, but it will be gentle, not torrential.

Despite the new rain, California's mighty reservoirs still resemble ponds surrounded by parched, elongated banks.

Depleting groundwater

The drought has dug so deep in the past three years that it has tapped into groundwater.

It has done this throughout the Southwest, where groundwater levels are at their absolute lowest levels in the last 65 years, said NASA's Jet Propulsion Laboratory in Pasadena.

The state's two largest river basins, the Sacramento and San Joaquin, have lost 4 trillion gallons of water per year since 2011, according to the analysis by NASA JPL.

"That's more water than California's 38 million residents use each year for domestic and municipal purposes. About two-thirds of the loss is due to depletion of groundwater beneath California's Central Valley," NASA said.

In September, Gov. Jerry Brown signed "historic legislation" that created "a framework for sustainable, local groundwater management for the first time in California history," the governor's office said at the time.

Before the new legislation, California was the only Western state that didn't manage its groundwater, officials said.

Brown declared a drought emergency, saying this was "perhaps the worst drought that California has ever seen since records (began) about 100 years ago."

He held up a chart of fluctuating rainfall levels over many years, with the graph plummeting off the bottom of the chart in recent years.

Diminished snow caps

The atmospheric river and cold fronts loaded up the Sierra Nevada mountains with a couple of feet of snow at the highest altitudes, adding to the snowpack. It acts as a major water reservoir, storing up moisture in the winter months and then releasing it during melts.

The storm's extra padding doubled the level to 48% of the historic average, a nice improvement.

But there's bad news here, too, based on studies done from airplanes this year, NASA said.

"The 2014 snowpack was one of the three lowest on record and the worst since 1977, when California's population was half what it is now," said NASA JPL scientist Tom Painter.

That not only means less water from snow but also less reflection of sunlight, which means the Earth absorbs it and gets that much warmer, Painter said.

The ground then also gets more parched, so when water does flow onto it, it soaks it up, leaving less of it to flow into reservoirs.

----

CNN's Kevin Conlon contributed to this report.

@highlight

Deluges during the atmospheric river give reservoirs a pleasant boost

@highlight

But much more is needed after years of drought, NASA says in a new analysis

@highlight

Satellites measure gravitational field and planet's shape to find changes in water reserves

@highlight

Water reserves have fallen so far, California is depleting its groundwater