(CNN) -- To many outsiders, cricket can seem like a pedestrian pursuit.

But the tragic death of Australian batsman Phil Hughes has prompted the "gentlemen's game" to ask itself serious and searching questions about safety.

The 25-year-old was struck on the head by a ball from fast bowler Sean Abbott during a state match in Sydney and died on Thursday from his injuries.

Tributes have flooded in for Hughes but the cricket family has also shown acute concern for Abbott, who, at just 22, has been shattered by his inadvertent role in a former teammate's death.

And a pair of former England fast bowlers are united in the hope that Abbott, who recently made his debut for Australia in the limited overs format, can eventually rebuild his career.

"I don't think there's anybody on this planet that could understand what Sean Abbott is going through," Steve Harmison, who took 222 Test wickets for his country, told CNN.

"You can be told, told and told it's not your fault but what that kid is going through is heartbreaking. From a bowling point of view, how does he do his job?

"He's 22-years-old, he's doing something he loves to do. Probably all he's ever wanted to do is play cricket and represent Australia. Deep down as an individual, is he going to be able to pull his boots on again and bowl a cricket ball?

"It would change my approach as a fast bowler if it was me. It would have to. You'd be frightened to let go of the ball. That's natural. We're not dealing with robots, we're dealing with human beings.

"It is just a freak accident. He'll never get over it but I hope for his sake that he can live a life that comes close to what he was expecting before what happened two days ago."

Harmison carved out a reputation as a formidable pace bowler during his seven-year international career with England, regularly hitting speeds of 90mph plus.

The native of Ashington in the north east of England earned the nickname 'Grevious Bodily Harmison' thanks to ferocious spells that included plenty of short balls.

He and Simon Jones were part of a venerated 2005 England attack that helped the country win a first Ashes battle against old foes Australia for 18 years.

And while both Harmison and Jones were united in their grief at Hughes' death, the pair believe the art of fast bowling -- built on aggression and intimidation -- should remain unchecked.

"The mindset of bowling is almost like you are going to war," Jones explained to CNN.

"It's my job when I'm representing my country to do my job to the best of my ability and it's the same for the opposing batter. I want to try and impose myself on the opposition.

"If you see a batter getting comfortable that's when you bowl him a short ball. Yes, you are aiming for the throat or the head but you don't mean to hurt anyone.

"It's aggression but controlled aggression. You bowl to a methodical plan, try and work a batter out and use whichever ball you have in your armory to get them out.

"When people make mistakes they do get hit but then that is what the helmet is for. Unfortunately in this instance Phil Hughes has been hit on the back of the head."

Part of cricket's allure is the age-old battle between fast bowlers and top level batsmen, with short pitched bowling an electric facet of the tussle.

The tactic emerged during England's 1932-33 Test series with Australia when it began bowling short into the body to try and combat the prowess of Don Bradman, arguably the game's greatest ever batsman.

After a hostile West Indies pace attack utilized the short ball to become the most feared bowling unit in the game in the 1970s and 1980s cricket's governing body, the International Cricket Council, tweaked the laws to allow only one bouncer per batsman per over.

Despite this change, and the advent of better protection for batsmen in the form of helmets complete with a grill to cover the face, accidents still occurred.

With reaction times to a 90mph delivery spanning just half a second, some batsmen have been unable to live with the pace both Harmison and Jones can generate.

"I hit a guy in the head on a tour of India in 2003," Jones explained.

"He went down, his leg was twitching and his eyes rolled back into his head. It's the most frightened I've ever been in my life.

"I honestly felt I'd done some real damage. I went to check if he was alright but panic stations set in because you don't want to see a fellow human being in that sort of state."

Harmison has also been in the same position.

"I've hit people numerous times in my job as a fast bowler over an 18-year period. Some were serious, some not so serious," he said.

"You don't like that but you have to understand that's what comes with being a fast bowler. You bowl this hard ball between 78mph and 100mph from 22 yards away.

"You get it slightly wrong and people get hurt but never in a million years would you think to the extent that it's been over the last 48 hours."

Hughes, despite being diminutive in stature, was known as an aggressive player, fond of taking on the short ball and trying to hook or pull it to the boundary.

The 25-year-old had reached 63 not out playing for South Australia against New South Wales on Tuesday before being struck by Abbott's delivery.

Hughes was wearing a helmet but the blow to his neck split his vertebral artery and caused massive bleeding on his brain. He never regained consciousness.

It has led in some quarters to calls for a change to the game's laws to offer batsman more protection, or for protective equipment to be tweaked to cover more parts of the head.

But Harmison thinks any change to existing helmets might prove cumbersome and restrictive.

"There's a lot of people talking about it and having protection on that part of the body," he said.

"I'm not sure many top end batsmen would want that much protection in and around that area because from their point of view there is a fine balance between being protected and being able to do your job.

"If you make that a rigid area, and you can't move your head, arguably you are a bigger target. That would be a concern. On the other hand no-one wants to see anything come close to what has happened here.

"If you can change the game of cricket in a way that makes it better, makes it safer, then I'm happy and I will champion it because I love this game but I can't see that happening because this is a freak accident."

Jones, who took 59 Test wickets for England, shared a dressing room with Hughes when the Australian played a season with Hampshire.

"He was such a great kid -- he was only 21 then," Jones said.

"The energy he had for the game, the energy in the changing room -- he was good fun. His work ethic was second to none and he was a pleasure to be around.

"As a young lad coming into a pretty strange environment on the English county circuit, he came in with open eyes and an open mind. He fitted in and grasped his chance.

"You look at cricket over the last 100 years and I can't think of any cases like this -- that shows how much of a freak accident it was. It's so sad he's passed away at 25."

Having played 26 Tests for his country, the last in July 2013, Hughes was thought to be on the verge of a recall to the national side for its Test series with India that begins on December 4.

"He was a fine player," Harmison added. "You don't play Test cricket at 20 and you don't become the youngest player to get a hundred in each innings in international cricket if you're not a special talent.

"When he faced a bouncer he would be aggressive -- he would take it on. He was fighting for a chance to get back into the national side and to be cut down like this is ridiculously sad.

"As a family orientated person the thing I can't see past is there is a mother and father in Australia who have lost a 25-year-old son, and that is heartbreaking."

@highlight

Former England fast bowlers express sympathy for Australian Sean Abbott

@highlight

Abbott bowled the ball that struck and killed batsman Phil Hughes

@highlight

Simon Jones and Steve Harmison hope Abbott can rebuild his career

@highlight

Jones says the mindset of a fast bowler is akin to "going to war"