LONDON, England (CNN) -- Two documentaries at this year's Cannes Film Festival dealt with sporting legends.

From left to right: Former heavyweight champ Mike Tyson, director Emir Kusturica and ex-footballer Diego Maradona at this year's Cannes.

In both cases, however, their immense achievements are coupled by an equally impressive appetite for self-destruction.

The footballer Diego Maradona provides the subject for an intimate portrait by one of Europe's most respected directors and two-time winner of the Palme d'Or, Emir Kusturica.

In "Tyson", director James Toback uses hours of footage mixing fight sequences with interviews and photographs to tell the story of Mike Tyson's climb from his impoverished New York childhood to fame, and then ignominy.

Both have been eagerly anticipated and it's easy to see why. When it comes to committing sporting legends to the silver screen, one equation seems to hold true -- the more controversial the better.

Consequently, documentaries celebrating sporting greats like Michael Jordan or Pele tend to be unremarkable -- dealing as they are with men whose incredible talent was matched by a relaxed temperament and a shrewdness that kept them out of trouble.

By contrast, two of the most critically-acclaimed sports documentaries of the last 20 years featured flawed sporting legends: the self-styled "greatest" Muhammad Ali and the brooding French footballer Zinedine Zidane.

Equally, the lives of Maradona and Tyson lend themselves perfectly to the drama of cinema. Like characters in a Shakespearean tragedy, both reached the absolute pinnacle of sporting achievement only to be laid low by a mixture of hubris, greed and their own personal demons.

That Tyson and Maradona both seem to have been returned from the brink, rehabilitated and with (at least in Tyson's case) a degree of humility, gives their stories a redemptive quality worthy of a Christian parable.

"I've lived a wild and strange life," Tyson told a news conference at Cannes ahead of this week's screening.

"I've used drugs, I've had physical altercations with dangerous people, people were angry. I've slept with guys' wives, they wanted to kill me. I'm just happy to be here. It's just a miracle." Read a timeline of Mike Tyson's life

Kusturica's film about Maradona details the Argentine footballer's well-documented problems with cocaine that saw him sent home in disgrace from the 1994 World Cup finals after he failed a drug's test.

The Bosnian-Serb director, however, is more interested in the footballer's cultural and political significance than his off-field antics.

A committed socialist and fierce critic of U.S. involvement in South America, Maradona counts among his friends the Venezuelan leader Hugo Chavez.

An avowed fan of the diminutive footballing genius, Kusturica told the British paper The Guardian that his film reveals "the politically incorrect citizen against the unilateral politics of the U.S."

In the director's eyes Maradona embodies Latin America's underdog status against the power of the West in general, and the U.S. in particular.

For example -- and England football fans of a delicate nature might want to avert eyes at this point -- Kusturica calls the game in which Maradona sent England crashing out of the 1986 World Cup, scoring twice (once with his hand) "perhaps the first and the last time there has been justice in the world." Read a timeline of Diego Maradona's life

To illustrate his point, Kusturica ends the film at the Aztec Stadium in Mexico City: the scene of Maradona's routing of the English.

A sports star like Maradona, whose life has transcended the sporting arena to encompass the political is a rarity. The best instance of this was Mohammed Ali, whose lightning fists and an even quicker tongue made him a legend around the world.

At the same time, his outspoken political views turned him into a divisive figure in his homeland.

"When We Were Kings" tells the story of Ali's famous comeback fight against the undefeated champion of the world George Foreman staged in then Zaire -- the so-called 'Rumble in the Jungle.'

Told through original footage and interviews with some of those who were at the fight, the film received widespread critical acclaim on its release in 1996, winning the award for best documentary features at the Oscars.

Considering the fascinating subject matter though, it's hardly surprising. Staging the fight in Africa was a potent political symbol given the fevered state of race relations back in the U.S.

At the time of the bout in 1974, the civil rights battles of the sixties had radicalized African-Americans and the black power movement was growing in numbers. Ali's support for the controversial Nation of Islam and his refusal to serve in the U.S. Army in Vietnam put him at the center of much of this political upheaval.

Considered past his prime, Ali's unexpected and remarkable defeat of Foreman appeared almost a victory for African-Americans consciousness set in this context.

In many ways French-born footballer Zinedine Zidane seems the polar opposite of Ali. Whilst the boxing legend spent his career trash talking opponents and waxing lyrical about his beliefs, Zidane -- who retired two years ago -- is notoriously publicity shy, preferring usually to let his football do the talking.

"Zidane: A 21st- Century Portrait" consequently focuses on the personal rather than the political, capturing the brooding intensity of the French maestro. Filmed during a Spanish league game in 2005, Zidane's every move, breath and emotion was captured by 17 different cameras trained on him alone for the entire match.

The myopic focus is strangely hypnotic, leaving you with a sense of not only the artistry of the man but also his isolation on the football pitch. In a stadium of 80,000 his sublime talent and obsessive dedication to his sport set him apart from those around him.

For all the adulation showered on these sporting greats, the film reveals just how lonely it can be at the top.

@highlight

Two documentaries at the Cannes Film Festival dealt with sporting legends

@highlight

Mike Tyson and former footballer Diego Maradona are the subjects of films

@highlight

French ex-footballer Zidane was filmed by 17 cameras for a 2006 film