(CNN) -- The American Psychological Association concluded Wednesday that there is little evidence that efforts to change a person's sexual orientation from gay or lesbian to heterosexual are effective.

The report looks at 87 studies conducted between 1960 and 2007.

In addition, the 138-page report -- covering 87 peer-reviewed studies -- said that such efforts may cause harm.

"Contrary to claims of sexual orientation change advocates and practitioners, there is insufficient evidence to support the use of psychological interventions to change sexual orientation," said Judith M. Glassgold, chairwoman of the task force that presented the report at the group's annual meeting in Toronto, Canada. The Washington-based association represents more than 150,000 members.

"At most, certain studies suggested that some individuals learned how to ignore or not act on their homosexual attractions. Yet, these studies did not indicate for whom this was possible, how long it lasted or its long-term mental health effects. Also, this result was much less likely to be true for people who started out only attracted to people of the same sex."

In response, the group's governing Council of Representatives passed a resolution Wednesday urging mental health professionals not to recommend to their clients that they can change their sexual orientation through therapy or any other methods.

The group's Task Force on Appropriate Therapeutic Responses to Sexual Orientation reached its conclusion after its review of 87 studies conducted between 1960 and 2007 and finding "serious methodological problems" in the vast majority of them.

Those few studies that did have "high-quality" evidence "show that enduring change to an individual's sexual orientation is uncommon," it said.

In addition, the report cited evidence that efforts to switch a person's sexual orientation through aversive treatments might cause harm, including loss of sexual feeling, suicidality, depression and anxiety.

Many who tried to change and failed "described their experiences as a significant cause of emotional and spiritual distress and negative self-image," it said.

The six-member task force was appointed two years ago to address concerns about "efforts to promote the notion that sexual orientation can be changed through psychotherapy or approaches that mischaracterize homosexuality as a mental disorder."

The American Psychiatric Association removed homosexuality from its Diagnostic and Statistical Manual of Mental Disorders in 1975.

The task force noted that some people attempt to change their sexual orientation because it conflicts with their religious beliefs, and recommended that their mental health care providers help them "explore possible life paths that address the reality of their sexual orientation, reduce the stigma associated with homosexuality, respect the client's religious beliefs, and consider possibilities for a religiously and spiritually meaningful and rewarding life."

"In other words," said Glassgold, "we recommend that psychologists be completely honest about the likelihood of sexual orientation change, and that they help clients explore their assumptions and goals with respect to both religion and sexuality."

Alan Chambers, president of Exodus International, a network of more than 250 ministries that he said "reach out to men and women and families that are affected by what we call 'unwanted same-sex attraction'" disagrees.

He offered himself as proof that such efforts can work. "The fact is that there are tens of thousands of men and women just like me who once identified as gay," Chambers said in a telephone interview. "For me and for these people, the truth is change is possible."

Chambers said his transformation from gay man began more than 18 years ago, when he attended a support group at the organization he now leads. Chambers, who said he married a woman nearly 12 years ago, has written a book, "Leaving Homosexuality," which was published last month.

"You can't refute a personal story," he said, adding that about a third of those who try to switch their sexual orientation through the group's ministries wind up doing so.

"We're not talking a light switch that you turn on and off, we're talking about very deep and complex issues that, I think, take years to resolve."

Though all mainstream health and mental health organizations concluded years ago that homosexuality is not a mental disorder, the American Psychological Association formed the task force to work on the report two years ago after noting a resurgence of groups that identified homosexuality as a defect or spiritual or moral failing.

@highlight

American Psychological Association: Trying to change orientation can be harmful

@highlight

Group urges mental health professionals not to advocate changing orientation

@highlight

Homosexuality de-listed as mental disorder in '75, but some programs still treat it

@highlight

Official with one such program says, "Change is possible"