(CNN) -- Mississippi's lone abortion clinic can stay open, after a federal appeals court Tuesday ruled against a law that effectively would have shut it down -- contending that it's not right to simply pass the buck to other states.

Tuesday's decision by the 5th U.S. Circuit Court of Appeals spares the Jackson Women's Health Organization, at least for now.

The law's sponsor, state Rep. Sam Mims, said Tuesday that "all the parties involved are looking" at what to do next -- including a possible appeal that could end up before the U.S. Supreme Court.

It all stems from House Bill 1390, legislation signed into law in 2012 that requires abortion doctors to have admitting privileges at a local hospital.

Three doctors work in the clinic in the Mississippi capital, only one of whom meets this requirement. Seven hospitals in and around Jackson rebuffed the other two doctors' requests to get the same privileges -- not because of their qualifications, per se, but because their "medical practice is inconsistent with" the hospitals' practices.

State's clinic faced threat of shutdown

As the appeals court noted Tuesday, this isn't a matter of whether abortion is legal: The Supreme Court "long ago" established that it is.

"The ultimate issue in this appeal is whether the state of Mississippi can impose a regulation that effectively will close its only abortion clinic," the judges wrote in the prevailing opinion.

The state had ceded this fact, contending that Mississippi residents still could get an abortion in Tennessee, Louisiana, Alabama or elsewhere.

But that didn't satisfy the appeals court.

"We ... hold that Mississippi may not shift its obligation to respect the established constitutional rights of its citizens to another state," the judges wrote. "Such a proposal would not only place an undue burden on the exercise of a constitutional right, but would also disregard a state's obligation under the principle of federalism -- applicable to all 50 states."

In a post on its Facebook page, the Jackson Women's Health Organization cheered the decision and thanked its supporters.

Mims expressed disappointment.

"This legislation has always been about the best possible health care for women who receive an abortion," he told CNN. "I still believe that having physicians obtain privileges in a local hospital makes sense."

Mims noted that other states have similar requirements. One of them is Texas, which had its own regulation held up -- ironically, by the same federal appeals court that ruled on the Mississippi matter.

Appeals court upholds parts of Texas abortion law

That decision found that making some women travel less than 150 miles, because of the regulations within the Texas law, "is not an undue burden." But forcing them to cross state lines -- and allowing some states not to offer abortions while others do -- is a different matter.

The judges on Tuesday referred to a 1938 Supreme Court decision involving an African-American being denied admission to the University of Missouri's law school because of his race. The university system offered him, instead, a tuition stipend to go to a law school in another state.

A common tie between that case and what's happening with regarding to the Mississippi abortion clinic is that "a state cannot lean on its sovereign neighbors to provide protection of its citizens' federal constitutional rights," the judges said.

Nancy Northup, head of the Center for Reproductive Rights, applauded Tuesday's appeals court ruling on Mississippi while acknowledging its future is still uncertain.

"For far too long, women in Mississippi have been teetering on the precipice of a reality similar to the dark days before Roe v. Wade," Northup said in a news release. "This is unacceptable, unconstitutional and contrary to the consensus of the strong majority of Americans who do not wish to see Roe's constitutional protections overturned."

Mims thinks that House Bill 1390 should still stand, contending that it includes a sensible measure to safeguard women's health.

"I think it's a very important piece of legislation that passed the Mississippi Legislature," the Republican from McComb said. "And we'll have to see what happens next."

Opinion: Mississippi's end run around abortion

CNN's Rich Phillips contributed to this report.

@highlight

NEW: Rep. Mims disappointed; he says his bill seeks to give women best possible care

@highlight

NEW: Mississippi's lone abortion clinic cheers the ruling; supporters say fight isn't over

@highlight

State law: All clinic doctors had to get privileges at local hospitals; they could not

@highlight

The state argued that those wanting abortions could go to nearby states