LONDON, England (CNN)  -- Peter Head is a Director of Arup, a global firm of designers, engineers, planners and business consultants. He's playing a leading role in the planning and building of China's first eco-cities -- Dongtan and Wanzhuang.

Peter Head is in charge of planning and development for Dongtan and Wanzhuang eco-cities in China.

The city's planners are aiming to create communities that are not only environmentally friendly, but also socially, economically and culturally sustainable.

They'll produce their own energy from wind, solar, biofuel and recycled city waste. Bike and footpaths will take the emphasis off driving and land is being set aside for growing local, organic food.

CNN's Principal Voices spoke to Head at Arup's offices in London, and asked him whether there's starting to be a universal language of design, or sustainability.

Peter Head: I think there is and I think increasingly we won't call it sustainability because actually what it is, is very careful targets for those social, economic and environmental outcomes. Sustainable development is simply an expression of the desire to increase human development where we live within the environmental limits of the planet.

So I think increasingly sustainability is a confusing concept. It's much more about being very clear about what our objectives are. Looking at them holistically and making the connection between the energy we use for watering, the energy we use for transport and so on. And joining all that up rather than looking at things in silos.

CNN: What are the characteristics of a Peter Head design?

Peter Head: I would like to think that all the projects I have done, I have always been very concerned that they actually work well for people that use them. One of my big things is bridges -- quite often are built and then they tend to be closed to traffic for a lot of the time because of maintenance.

So the bridges I've been involved in are ones that actually function just like parts of the motorway network in the UK. They don't get closed all the time and also they are safe for shipping going underneath and the people are protected from cross winds so that vehicles aren't blown over.

So it's all about sustainable development. Really it's about making sure they work socially as well as safely for people crossing.

CNN: How do you feel that a city functions best?

Peter Head: In the end of course it functions in a sort of evolutionary and changing way, so you can't say you design a city and you know how it's going to perform. What you have to do is design the basic infrastructure; that's the green parks, the public transports, the roads that don't get changed later and then allow people and their ingenuity to develop it in a way that is appropriate to the time and to change it and develop it. The public spaces are great places that encourage the culture, the life and the vibrancy of the city.

CNN: Let's come on to specifically what you've been doing at Wanzhuang and Dongtan? What is it that makes those cities sustainable while the rest of our cities are not?

Peter Head: Fundamentally of course what we are talking about in terms of sustainability is long-term thinking. So we are looking 20 or 30 years ahead and we are making sure that those cities will function economically with good prosperity in 20 or 30 years time when shortage of food and expensive food, and materials and water and so on maybe a greater problem. So it's very much looking at the jobs that one can bring in looking at the environmental performance and the way the city works and making sure that will still be working very well in the future.

CNN: What about the people who actually use the projects you've designed. Have you managed to draw an enthusiastic response from them?

Peter Head: We certainly do. One of the things we try to do now is something we call cultural planning. When we are starting a project we actually engage with communities and we do a bit of research on the history of the place: The way people have lived there, the way they've interacted with nature, and with each other and then when we do the consultation. In Wanzhuang in China for example, we found that people had history of having dancing squares and all sorts of cultural facilities within their communities. So by retaining the footprint of those villages and the corners and little areas that they remember in the new development then it actually extends the culture which we find people respond to very well.

CNN: How do you go about making cities like London, or Paris or Frankfurt or New York more sustainable?

Peter Head: The issues that make cities unsustainable at the moment are the problems of energy supply and energy use and security of that energy supply and the cost of it. But also the increasing difference between the rich and the poor people. Rich people are getting rich and poor people are getting poor in most of these places. So actually, tackling that is an aspect of dealing with the best future economic prospects for everybody while actually making the city work more efficiently.

It's like an engine. If you have to use less fuel and less materials to run it, it actually runs better and actually is more efficient and therefore produces more economic performance, and sharing that amongst the communities is really important if it's going to be successful.

CNN: Are you optimistic that by the middle of this century we can have a planet with nine or 10 billion human beings on it and that we can live on it in a sustainable way?

Peter Head: I think by 2050 we can be well on the way to that point. But the only way that can happen is developing countries have to realize that their future lies in going from the agricultural to the ecological age and to really reinvent the way they use materials and they way we sell products and use the riches of those places.

And the high income countries around the world have to start this retro-fitting process to make the way they live on the planet much, much less resource consuming.

I think if those two things happen together, and they are actually complimentary in many ways, then we can get there, and as I said I think there is a commercial business case and an economic case that is going in that direction.

CNN: There is lot of selling of these ideas to do, isn't there?

Peter Head: There is a lot of selling, but one of the exciting things is everywhere I go in the world now there are elements of this happening. One can see an acceleration, even small, little steps, but actually everything is moving in this general direction. So there are lots of examples, a lot of demonstrators, a lot of things you can go and see to make you realize it works and that's very encouraging.

CNN: Is it too late to create an environment in which we can live sustainable lives?

Peter Head: Well, there are a lot of problems associated with this. I mean, a lot of people are now aware of climate change and the issues of emissions into the atmosphere. But of course we also got the problem of food supply, we got the problems of resource management of all kinds and therefore each of those has slightly different parameters as to whether it's too late or not. Overall, my view is that it's not too late if we make changes really quickly.

@highlight

Peter Head, director of Arup, has leading role in building China's first eco-city

@highlight

Believes sustainability is about long-term thinking, planning for future use

@highlight

Says energy supply, use and security are making major cities unsustainable

@highlight

Head: Developing countries must realize their future is in the "ecological age"