DOUGLAS, Arizona (CNN) -- It's a tale of homeland security concerns blocking wildlife management, and the hue and cry that ensues.

This photo, taken by Warner Glenn in 1996, is believed to be the first of a live jaguar in the United States.

When most people think of jaguars, they think of the jungles of Central and South America, not the remote desert ranges between the United States and Mexico.

That region is known as mountain lion country, and that's what rancher Warner Glenn thought he was tracking when he saddled up his mules on a summer day 12 years ago near Douglas, Arizona.

Glenn has hunted mountain lions for 60 years, since he was eight years old. But Glenn was stunned when he saw what his hunting dogs had chased up to a high mountain perch.

The rancher took what's believed to be the first photo of a live jaguar in the United States. But it wasn't his last. In 2006, some 40 miles away, Glenn and his hunting party again cornered a jaguar -- a different one.

Jaguars, an endangered species, have a breeding population in northern Mexico. Scientists believe there are no more than 120 left in the wild there.

It's believed that since 1910, the cats are only visitors north of the border. They have been virtually unstudied here until recently.

But Glenn and other conservationists worry that the possible return of breeding jaguars to the United States could be stopped in its tracks. The reason: the border fence.

Last month the Department of Homeland Security waived 30 environmental laws to finish 470 miles of the fence by the end of the year.

Homeland Security Secretary Michael Chertoff told Congress that the agency continues to talk to some 600 landowners along the border to get their input. But in order to comply with the congressional mandate, he said, there is no time to deal with "unnecessary delays caused by administrative processes or potential litigation."

"We are currently in a lawless situation at the border," says Chertoff. "I feel an urgency to get this tactical infrastructure in. And although we're going to be respectful of the environment, we're going to be expeditious."

Two environmental groups, Defenders of Wildlife and the Sierra Club, have filed appeals with the U.S. Supreme Court, claiming the waivers are unconstitutional and set a dangerous precedent.

"National security and environmental protection do not have to be at odds with each other," says Defenders of Wildlife spokesman Matt Clark. "If we can drop this arbitrary deadline for constructing the fence and go through the proper procedures, then there are inevitably ways to minimize environmental impact, but as it is now it's throwing all of those laws out the window."

Mountain lion tracker Jack Childs also worries about the impact of the fence on local wildlife, especially the jaguar.

Childs captured the first video of a live jaguar in the late summer of 1996, a few months after Warner Glenn.  Watch Childs and Glenn talk about efforts to preserve the jaguar »

"I knew historically there had been a few jaguars sighted in Arizona but in the last hundred years never in any numbers."

His encounter sparked a passion for the big cats. Along with wife Anna and biologist Emil McCain, he created the Borderlands Jaguar Detection Project.  See images of the controversy »

Childs and McCain hike into remote mountain areas where the jaguars roam and have placed more than 50 motion sensor cameras near the border. They've taken 69 photos of three different jaguars since 2001, including several of the same cat Childs first saw in 1996.

He has nicknamed that cat Macho B.

A jaguar's spots are like fingerprints -- each cat has a unique set. One of the spots on Macho B resembles a Pinocchio cartoon figure, and that's how they identify him.

"We spend a lot of time walking along the border during the daytime, and we actually find his tracks going through the fence, so we know for sure that he crosses back and forth," says Childs.

"A fence like that is going to inhibit wildlife movements and migrations back and forth. It's not going to effectively stop human traffic. They've got wire cutters and torches."  See where the jaguars have been spotted »

Childs says the fence also has an impact on wildlife because drug runners and human traffickers have been pushed up into the mountain areas to avoid the fence in the lowland valleys.

"It's impacting the animals number one, what's going on down there. It's almost brought my wildlife study to a stop because they (the traffickers) are tearing down my cameras as fast as I'm putting them up because they think we're taking pictures of them."

The U.S. Fish and Wildlife Service finds itself in a unique position. Its mission is wildlife and habitat protection, but it must uphold another federal agency's mission to override environmental concerns. Bill Radke, manager of the San Bernardino Wildlife Refuge, says the Border Patrol is trying to work with his agency.

"The hope is that by working with Border Patrol that we can meet the national security mandate and at the same time protect the wildlife," says Radke. "Border Patrol is putting up camera towers but are putting them up on areas that are off the refuge. They're working on barriers but not barriers that would impede wildlife and large animals like jaguars."

At 6 foot 6, with steely blue eyes, dressed in leather chaps astride his mule, rancher Warner Glenn is every inch the American cowboy. And he is a man forever changed by his encounters with the jaguar. He has written a book, "Eyes of Fire," about his experience. He says he'd like to "invite Mr. Bush to come out on a mule" so he can see "what's going on here in these mountains."

For Glenn, the cat represents all that is wild about the Southwest.

"It would be a loss to me that maybe my granddaughter or my daughter wouldn't be able to see one like I have. It's just an animal that's a beautiful, magnificent cat and they're having a little bit of trouble surviving. But they're doing it, and I would hate to see us do anything that would cause the survival of that cat to go backwards.

"I'm a livestock rancher, but I wouldn't mind donating a few calves to that jaguar, so to speak."

Biologist Emil McCain agrees.

"They are part of our natural heritage. They are part of the American West. They are part of the American wild as much as the bald eagle or the grizzly bear, and the jaguar is really special because it is such an elusive and beautiful creature [that] it evokes a sense of imagination and curiosity about the natural world."

Though the jaguar is elusive, conservationists say the animal is caught -- in the political crossfire at the border.  E-mail to a friend

@highlight

It is believed that jaguars in northern Mexico total no more than 120

@highlight

Conservationists worry that border fence could prevent return of breeding jaguars

@highlight

Homeland Security officials have waived laws to make sure fence is completed

@highlight

Agencies look for solution that enhances security while preserving wildlife