(CNN) -- The Caribbean -- home to cerulean waters, vibrant coral reefs and sugar-white beaches -- is a near-perfect vacation destination, especially when it's arctic cold at home. There is just one problem: Everyone you know wants to go there.

How to lose the crowds when seeking an ideal tropical getaway? Forget well-traveled spots, where the sprawling hotels are thicker than coconut palms. If you really want to leave the only footprints in the sand, go to one of the Caribbean's lesser-known islands.

Petit St. Vincent, for example, a gem-like private island resort in the Grenadines, falls happily under the radar compared to its sister island, Mustique.

"We recently had a guest who wanted complete privacy for the two weeks that he was here," says Matt Semark, general manager of Petit St. Vincent. "That's no problem at a place like this." The guest, Semark says, sunned and swam at the hidden slice of beach fronting his hibiscus-edged cottage, took all his meals on his own spacious deck and wasn't faced with one other guest during his stay.

Departures: Stunning hotel plunge pools

While not every under-hyped Caribbean island can offer that level of solitude, there are many that hit the mark or come close.

Here are seven peaceful escapes:

Cayo Espanto

Just off the coast of Belize, this diminutive private island -- at just four acres, it contains six luxe private villas and one overwater bungalow -- has hosted a staggering list of seclusion-seeking A-listers (Tiger Woods and Leonardo DiCaprio among them). As befits such a clientele, every aspect of the experience here can be tailored to guests' whims. The chef customizes daily menus, and staffers arrange outings like guided bird-watching treks, tours of Mayan ruins and beachside aromatherapy couples' massages. Rooms start at $1,495; 910-323-8355; aprivateisland.com.

7 private island rentals

Dominica

Part of the Lesser Antilles, this large, jungle-covered island (much of which is a protected nature preserve) attracts mostly in-the-know ecotravelers. Stay at two-year-old Secret Bay (rooms from $360; 767-445-4444; secretbay.dm), set on a clifftop on the island's northwestern coast between two equally dazzling swimming beaches. (One has a hidden cave.) Guests stay in one of five tree house-style villas and bungalows, all built of Guyanese wood with floor-to-ceiling windows and outdoor showers. Activities include guided nature hikes, kayak expeditions and yoga in an open-air pavilion.

Departures: Top private movie theaters

Guana Island

The 850 acres that comprise this British Virgin Island are home to more than 50 bird, 14 reptile and 200 plant and insect species, not to mention the myriad sea creatures that inhabit its waters. (The land is a protected wildlife sanctuary.) Guana's single private resort maintains some 12 miles of walking trails that allow guests to explore its tropical forests, seven beaches and sugar-plantation ruins on foot. The resort houses just 19 cottages and five lavish villas (the latter have private pools), along with a terrace restaurant, a small water-sport center and a bar for those who want to socialize. Rooms start at $695; 212-482-6247; guana.com.

Isla Holbox

Despite its proximity to the perpetually thronged Riviera Maya, this 25-mile-long island off the northern tip of Mexico's YucatÃ¡n Peninsula has managed to stay sleepily unspoiled. Surprising, given that Isla Holbox is one of the best places on earth to snorkel among whale sharks -- enormous, harmless creatures that migrate to the waters here each year between June and September. Of the 20-odd lodging options, CasaSandra (rooms from $233; 52-984/875-2171) -- an elegant, 18-suite Mr & Mrs Smith resort with a top-notch seafood restaurant and daily whale-shark boat trips -- leads the charge.

Departures: 10 top guest ranches

Kamalame Cay

Occupying a pristine, 96-acre private island off the north coast of Andros in the Bahamas, this boutique resort is still run by the same family that built it in the 1990s. The property, though, epitomizes modern barefoot chic, encompassing 19 breezy rooms and suites -- most with French doors, soaring Balinese-style peaked roofs and verandas overlooking the beach. The island sits adjacent to the Andros Barrier Reef (the third largest in the world), which teems with sea life; guests can explore with scuba and snorkeling excursions from the on-site dive center, guided half- or full-day bonefishing trips or borrowed kayaks from the resort's fleet. Rooms start at $407; 876-632-3213; kamalame.com.

Peter Island

Though it's one of the largest British Virgin Islands, the nearly 2,000-acre Peter Island is private, unlike many of its neighbors. Yet its eponymous resort offers the sorts of amenities one would find at much larger properties, including a full-service, 15-slip yacht club; a 10,000-square-foot Ayurvedic spa; a dive shop and water-sports center; and several restaurants and bars (one of which hosts a weekly vintner's dinner). Many of the 55 spacious rooms, suites and villas are set directly off the stunning sweep of Deadman's Beach. Rooms start at $385; 800-346-4451; peterisland.com.

Petit St. Vincent

Part of the Grenadines, this 115-acre private island resort is a luxurious place to unplug. There are no phones or Internet connectivity in the 22 seaside stone-and-timber villas, nor at the casual beach bar or the sumptuous tree-house spa or along the nearly two miles of shoreline. (There is, however, WiFi at the hilltop restaurant and reception area.) Instead of checking e-mails or uploading Instagram photos, guests can enjoy cruises aboard the resort's lovely traditional wood sailing sloop, snorkeling with sea turtles in the nearby Tobago Cays or lazing in one of the property's ubiquitous shady hammocks. Rooms start at $1,100; 954-963-7401; petitstvincent.com.

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

Head to a lesser-known island for some peace and quiet in the Caribbean

@highlight

Cayo Espanto is a luxury resort island just off the coast of Belize

@highlight

Guana Island's single private resort maintains some 12 miles of walking trails