Johannesburg (CNN) -- For the Xhosa people of South Africa, death is traditionally not something to be talked about or to be planned for, no matter how inevitable or close it may seem.

But those close to Nelson Mandela had little choice as the country's first black leader lay in a Pretoria hospital and then at home in Johannesburg on life support.

In the final years of his life, secret plans were hammered out between the government, the military and his family as they prepared for a fitting farewell for a great man.

Below is a breakdown of how those plans will unfold over the next 10 days, culminating in a state funeral to be broadcast to millions worldwide and a very private farewell for those closest to him.

As is often the case with events of this magnitude, plans might change due to weather, security and other factors. But for now, this is what the authorities and the family hope will happen.

According to multiple sources involved with the planning of the final farewell to the South African icon, the 10 days of mourning will combine both Western traditions and those of the Thembu, Mandela's native clan.

Day 1 to Day 4

Mandela passed away at 8.50 p.m. Thursday (1.50 p.m. ET), surrounded by his family, South African President Jacob Zuma said. CNN understands that during his final hours, Mandela would have also been surrounded by Thembu elders. Importantly, at some stage - either at his home or in the mortuary - the traditional leaders will gather for a first ceremony, a tradition called "the closing of the eyes."

Throughout the ceremony, they'll be talking to Mandela, as well as to his tribal ancestors, to explain what's happening at each and every stage to ease the transition from life to beyond.

After the ceremony, it's believed Mandela's body will be embalmed at the mortuary, which is understood to be a military hospital in Pretoria.

Day 5

No formal public events will be held until five days after Mandela's death when tens of thousands of people are expected to converge on the FNB Stadium, known as Soccer City in Soweto for a memorial service.

It was at that stadium that in July 2010 Mandela made his last public appearance at the World Cup final.

Spectators rose to their feet, their cheers partly drowned out by the deafening shriek of thousands of vuvuzelas to pay tribute to the then-92- year-old who some had feared might be too infirm to show up.

In stark contrast to the mood of elation, the atmosphere on Day 5 is expected to hang heavy with grief as a nation mourns Madiba.

It is unclear whether Mandela's casket will be there.

Some world leaders might attend this memorial service instead of the state funeral later on in the week.

A White House Official tells CNN the administration is working on plans for President Barack Obama to travel to South Africa to attend the memorial service.

Day 6 to 8

According to sources, Mandela's body will then lie in state for three days at the Union Buildings in Pretoria, the seat of power of the South African government.

The first day will be reserved for dignitaries. The public will be allowed to file past his casket on days 7 and 8. Viewing hours are expected to be limited to daylight. Long lines will likely form from the very early hours of the morning.

It was at the historic Union Buildings that Mandela was inaugurated as president on May 10, 1994. On that extraordinary day, crowds converged around the building to witness history being made. That day, a former political prisoner achieved what was once unthinkable and became South Africa's first post-apartheid black leader.

Day 9

Nine days after Mandela's death, a military aircraft will leave a Pretoria airbase and fly south to Mthatha, the main town in the South African province of Eastern Cape.

Thembu elders and members of the Mandela family make the journey with Mandela's casket.

Thousands of mourners are expected to line the streets from Mthatha airport to watch as the military transports Mandela's casket on a gun carriage to the remote village of Qunu, where the former leader spent his childhood years.

Along the way the procession is expected to pause for prayers to allow ordinary South Africans to pay their respects.

Once at Mandela's house, the military will formally pass responsibility for his remains to his family.

The South African flag that is expected to be draped over the coffin will be replaced with a traditional Xhosa blanket, symbolizing the return of one of their own.

At dusk, ANC leaders, local chiefs and Mandela's family are expected to gather for a private night vigil before a very public funeral the next day.

Day 10

The funeral and burial will be on the grounds of Mandela's Qunu home. It's expected that thousands of people, including dozens of heads of state, will gather for the state funeral. The funeral will take place under a large tent nestled in the hills where Mandela ran and played as a child.

A tight military cordon is expected, in an attempt to assuage security fears. The event will be broadcast to an audience of millions around the world.

At midday - when the summer sun is high in the sky - Mandela will be buried into the rocky soil of his homeland. Only a few hundred close family members will bid that final farewell to Mandela as he is laid to rest.

The burial area has been especially built for him; some of Mandela's long deceased family members are already buried at the site.

It will be, according to custom, a homecoming.

His grave site is surrounded by rocky outcrops, hardy grass used for the grazing cattle and bright orange aloe plants.

The aloes are indigenous succulents which are hardy, drought-resistant, medicinal plants that bloom across the bushveld when all else is dry and dull. A symbolic floral gesture to a man whose life was filled with sacrifice and tragedy but who triumphed with a tenacity of spirit and hope in even the darkest of days.

@highlight

CNN has a detailed account of how plans will unfold over the next 10 days

@highlight

The 10 days of mourning will combine both Western traditions and those of Mandela's native clan

@highlight

No formal public events will be held until five days after Mandela's death