(CNN) -- A theater company from South Sudan is translating Shakespeare into the local dialect for the first time, before performing the play at London's Globe Theatre.

Six months after the birth of South Sudan as an independent nation, it is a country still trying to define its culture and national identity.

The South Sudan Theatre Company (SSTC) is helping to develop that culture by performing Shakespeare's tragedy "Cymbeline" in Juba Arabic -- a language spoken widely in South Sudan.

"Shakespeare is a genius writer who wrote about humanity, about greed, jealousy, wars, power, love -- he really speaks to the whole world," said Derik Uya Alfred Ngbangu, the SSTC's director and producer.

"We want to do Cymbeline in a way that speaks to the South Sudanese -- in terms of the plot, the kind of conflict that exists here -- and make it our own thing," he added.

Juba Arabic is a pidgin form of Arabic that takes its name from the South Sudanese capital of Juba. Although English has been named South Sudan's official language since the country's independence, Juba Arabic is still a lingua franca in much of South Sudan, says Ngbangu.

The SSTC's production is part of the "Globe to Globe" Festival taking place at London's Shakespeare Globe Theatre from April. The SSTC will be one of 37 theater groups from around the world performing interpretations of Shakespeare plays in their local language.

The SSTC has already begun adapting Cymbeline and translating it. "We're looking to cut out unnecessary bits so that 10 actors can do it, instead of perhaps 18," said Ngbangu. "We're looking to have a simplified, shortened text that can be performed in one and a half hours instead of three."

Actors will be drawn from two of South Sudan's established theater groups, the Kwoto Cultural Centre and the Skylark Dramatist Association, and will include graduates of the University of Juba's College of Arts, Music and Drama.

Ngbangu says they plan to perform Cymbeline in Juba before taking it to London in May. They are are also looking to make changes to the original to make it more relevant to local audiences, such as using local names and costumes.

The original Cymbeline is set against a backdrop of impending war between ancient Britain and ancient Rome, over the king of Britain's refusal to pay tribute to Rome; the SSTC is considering changing that to an impending conflict between south and north Sudan, fighting over oil.

Sudan's real civil war between north and south raged for decades, claiming more than two million lives. But Ngbangu says theater survived those dark years of conflict.

"Theater has existed throughout the time of the civil war and difficulties," he said. "War never stopped people coming together through arts -- whether music or drama or dance," he added.

And he believes theater can help build South Sudan, celebrating the fledgling nation's cultural diversity.

"It is a very cheap art form compared to cinema and TV -- you can do it anywhere -- move it to the villages and contribute to their understanding of their environment, their struggles, you can do it in schools and teach young people how to do the right thing.

"Through theater we can send a lot of messages about unity, about respecting people, about coming together, about tolerance and civilization.

He added: "There is an old saying -- 'give me a theater and I will give you a nation.'"

As casting and rehearsals begin, Ngbangu is excited at the prospect of performing in London.

"I have been to London several times. It is a land of theater, a land that produced a giant like Shakespeare," he said.

"To be in London with a Shakespearean play, when we're a country that will be nine months old at the time, it's a great thing."

@highlight

South Sudan Theatre Company producing Shakespeare play "Cymbeline" in Juba Arabic

@highlight

Juba Arabic is widely spoken in South Sudan

@highlight

They will perform the play at London's Globe Theatre in May

@highlight

Theater survived Sudan's civil war, says the company's director