Ray Duggan will be the first to tell you just how tough he was. Raised to never run from a fight, Duggan started running with a gang at 14.

With his father in prison and absent from his life, the gang was everything to Duggan.

"It gave me a sense of being," said Duggan, now 31.

Running with the Young Bloods in the West End neighborhood of Providence, Rhode Island, Duggan says he felt the need to prove himself.

"I had to make myself meaner and tougher," he said.

He got his first gun at 16 and admits "shooting people and running away from the police" were his adrenaline.

Duggan thought he might one day get shot and killed. He never expected to get shot and paralyzed.

What happens when you don't die?

It was around midnight on October 9, 2004, when Duggan returned home after a car chase with rival gang members. Thinking he'd lost them, he was outside chatting with a friend when two men walked by. He thought they were neighbors until they opened fire. Duggan was hit with a barrage of bullets, one severing his spinal cord.

"It never entered my head about being paralyzed or anything," Duggan said recently as he maneuvered his wheelchair down the street, pointing to the corner where he was shot.

"It was right there. That's where I ended up getting shot ... I fell into the street right here," he said.

For Joel Irizarry, a former gang member from Chicago's northwest side, the memory of the moment he was shot is just as clear. On May 6, 1998, from the driver's window of his car, Irizarry watched a rival step out of an alley, raise his pistol and fire a single shot.

The bullet went through the seat and hit Irizarry in the spine, he said. He was instantly paralyzed. One bullet was all it took.

When doctors told Irizarry he'd never walk again, his whole world shattered. Before that moment, he thought he was invincible.

A double life

Irizarry says he joined a gang for protection. He was a skinny, scared 15-year-old in a neighborhood where there were shootings nearly every day. He couldn't get to school without being harassed, chased, or beaten up, he said.

After joining the gang, Irizarry felt he was leading a double life.

He maintained a good GPA at school, and at home he was a caring son and a good brother for his younger siblings, Irizarry said. But out on the streets, he said, "I made less than favorable decisions."

Irizarry said he was trying to leave the gang when he was shot.

Whether it's drug dealing or gang activities, the outcomes you hear about are always the same, Irizarry said.

"You only hear about death or jail. You never hear about this disability," he said.

Lifelong disability and health care

For Irizarry and Duggan, permanent disability and lifetime health care are their new reality.

According to the National Spinal Cord Injury Statistical Center, acts of violence, primarily gunshot wounds, are the third leading cause of spinal cord injury among American adults.  Experts say young, uninsured men are affected disproportionately.

The cost to society is huge. Health care can cost up to a $1 million per patient in the first year alone, and up to $181,000 for each year after that.

Dr. Roy Adair, head of rehabilitation at Chicago's Advocate Christ Medical Center, says nearly half of all spinal cord injuries that come through the hospital's trauma unit are the result of gunshot wounds.

"Imagine being fully independent, get a gunshot wound and all of a sudden you're paralyzed, you can't work, you can't take care of bodily functions ... That's what we're dealing with," Adair said.

Everyday tasks are beyond challenging. For Duggan, just going to the bathroom is difficult. "It really humbles you," he said.

And being intimate with another person?

"That scares the hell out of me," he said. "I have very, very low self-esteem."

Duggan lives on his own in a small house that is barely wheelchair accessible. Still, he insists on doing most things himself.

"Just because I'm in a wheelchair," he said, "if I don't do something and have to ask someone else, it's like giving up." His biggest health threat, he says, is the bedsores he gets from being in his chair.  When we visited Duggan, he had just come home from the hospital after one of his bedsores became infected.

Duggan underwent several surgeries; part of his hip bone had to be removed.

Dr. James Doherty, director of the trauma center at Chicago's Advocate Christ Medical Center, said the majority of the patients his center treats survive their injuries but are left with long-term disabilities.

A high price to pay

Duggan no longer looks at the medical bills that come. He knows he cannot afford the cost of his care. In the first year of his recovery, Duggan estimates, he had more $1 million in health care bills that were passed on to taxpayers. The ongoing cost of hospital stays for bedsores, he says, is about $40,000 a year.

"There is a financial cost for those injured in gun violence," said Rebecca Levin, director of the Injury Prevention & Research Center at Lurie Children's Hospital in Chicago.

Because victims are "disproportionately young and uninsured," she said, "the cost is borne by the rest of us."

Irizarry was 17 and uninsured when he got shot. He feels those paralyzed by gun violence are forgotten victims.

"Every once in a while you'll see or hear something in the news about the aftermath, but not enough," he said.

Irizarry believes if people were more aware of the cost to society, more might be done to find solutions to the violence.

"Everybody is a victim of their circumstances. ... Whether it's bad role models or just poverty, the help is not there that we need," he said.

The bystander

Michael Brown, 56, was an innocent bystander when a bullet struck him while he was driving in a Chicago suburb on May 3 of this year.

"All of a sudden a big boom, big sound and then pain like a big punch through my left shoulder, and I lost control from my neck down," Brown said.

Gun violence, unfortunately, is nothing new to Brown. At age 7, he says, he was playing outside his house in the suburbs just south of Chicago when a bullet pierced his upper thigh. He survived that -- and he survived being shot again this time. But the most recent bullet has left Brown a quadriplegic.

These costly, life-changing injuries affect not only those caught up in street wars, but also those who have nothing at all to do with the violence. Brown is a pastor, a high school math teacher and a father who was in the wrong place at the wrong time.

"You know, I don't hold any bitterness or anger. I just want the violence to stop," he said, as a tear rolled down his cheek.

From gang war to peace

Duggan and Irizarry take full responsibility for their situations and acknowledge their role in the violence. But today, both are working to fight violence on the streets of their respective cities.

Duggan works at the Institute for the Study & Practice of Nonviolence in Providence. That job -- and the people he meets through it -- give him reason, he says, to go on.

"I can give up, just sit on disability and just not do nothing with my life and stay home and just freakin' fade away," said Duggan. "I'd much rather do something, and this is why I do the work I do now."

"As long as I stop one kid from going down the wrong path, then -- bang -- I already saved a life," he said.

Irizarry mentored young men who were making mistakes similar to those he made and helped those with spinal cord injuries.  He just graduated with a master's degree in social work, and he's working full-time as an admission coordinator at Schwab Rehabilitation Hospital in Chicago until he gets his license to practice social work.

"They say everything happens for a reason. This might be my reason. Just so I can prevent somebody from following my same road,"  he said.

Blame weak gun laws for holiday violence, Chicago's top cop says

PTSD from your ZIP code: Urban violence and the brain

@highlight

Former gang members Ray Duggan and Joel Irizarry were paralyzed after being shot

@highlight

Permanent disability and lifetime health care is their new reality.

@highlight

The cost of care is huge -- for the victims and society

@highlight

Duggan and Irizarry now work to help others make the right choices