(CNN) -- If Herman Cain committed sexual harassment and is now lying about it, his goose is cooked and it should be. But if he is telling the truth, there is something terribly disconcerting about the way the Washington "scandal industrial complex" -- full of reporters, former campaign workers and pundits -- has reacted to this sad story.

After the story broke in Politico, Cain the next day denied that he sexually harassed anyone, which after all, is the core issue. Since then, other anonymous sources claim they too were harassed, without anyone really knowing what the alleged harassment entailed. He has been consistent, unwavering and on the record in his denial.

But that's not good enough for the way things work in Washington, where the manner in which he reacted to the news is said to be a sign of whether he would make a good president. He is being assailed because he remembered more information and therefore "his story changed," an unforgivable development for those who cover scandal news.

Journalists trotted out their well-worn formula for keeping a scandal story alive by saying that his "answers led to more unanswered questions," even though he already answered the only question that matters -- did he harass anyone? Experts who know scandals decry his failure to have "gotten ahead of the story." He should have seen this coming, they say, and pre-empted it, the way all clever Washington politicians, skilled in the art of survival, would have done.

My problem with this line of attack is it's exactly what has made politicians, and often the reporters who cover them, so disconnected from the rest of the country. Cain's reaction has been human. It's been just the opposite of what a politician who prizes political survival above all would have done.

Imagine that you were accused of doing something you did not do 12 years ago. You have a staff and your staff figured out a way to make it go away. Good, you might say. I didn't do it and it deserves to go away. You then put the issue out of your mind. Then 12 years later, the allegations re-emerge. It's not unnatural that you start to remember more facts. Some details come back to you. Some don't. That's the way the human mind works. It's not the way political minds work.

In a year in which people of all parties are fed up with how Washington conducts its business, it's ironic that Cain is now being assailed by Washington insiders for his failure to act like a Washington insider.

I know all the tricks of the trade. If Cain spent 21 years in Washington like I did, he would have pre-empted the issue by giving a speech about what it takes to make it in business.

As he cited his successes, he could have addressed how hard it can sometimes be to make it in America today. How innocent statements he once made to his staff led to threatened lawsuits. How despite his knowing he did nothing wrong, he was advised to "settle" the matter so it didn't become a bigger distraction. What's $35,000 to a multimillion dollar industry? Trial lawyers, excess regulations, union demands all make it so hard to create jobs and achieve growth. He could have gotten the news out himself, framed in a way that minimized the "scandal" and maximized his themes about the economy. How very Washington, and clever, that would have been.

If Cain was the same type of skilled politician who has made Washington what it is has largely become -- an assemblage of smooth-talking, gifted experts in creating a massive debt that risks our future, while being seemingly incapable of doing anything about it other than blaming the other guy -- he might have acted differently.

But he's not an insider. He said what came naturally. He remembered more facts -- a very human development -- and said them. Scandal experts will tell you not to remember more information. Stick to your denial and say nothing else, they would advise. Cain didn't do that because he's not like that. He genuinely is different. And because he's different, he's being pilloried for how he has handled the allegations.

Before these anonymous allegations hit, I publicly said, and I repeat, I like the fact that Cain is an outsider, but I don't think he's ready for the Oval Office. I wanted someone who thinks like an outsider but who has also served as a governor (think Indiana's Mitch Daniels) so he or she has the knowledge and experience to get programs through Congress. I'm neutral in this primary.

But as well-versed as I am in the ways of Washington, I'm the first to admit that the ways of Washington are a big part of the problem. The public is yearning for someone who is genuine and who doesn't act like a perfect politician. Unfortunately, the scandal industrial complex does its business the Washington way, judging Cain's reaction according to formulas that were written by perfect politicians.

The opinions expressed in this commentary are solely those of Ari Fleischer.

@highlight

Herman Cain has repeatedly denied sexually harassing women

@highlight

Ari Fleischer: If he is lying, he's in big trouble

@highlight

But if Cain is telling the truth, the response to story is disconcerting, Fleischer says

@highlight

Fleischer: Washington's scandal industry has kicked into full gear