(CNN) -- The sparks of outrage that started in Ferguson, Missouri, have ignited a firestorm of protests across the country and beyond.

But the furor isn't just about one grand jury's decision on one shooting case. To many protesters, the death of unarmed black teenager Michael Brown -- and the lack of an indictment for the officer who shot him -- are symbolic of racial injustice in America.

"I think that it's important for people to know that the decision not to indict (Officer) Darren Wilson means that the system does not value black lives," one protester marching through Los Angeles told CNN.

Complete coverage of what's happening in Ferguson

"I think that it means that a cop can kill a black or brown kid when he's defenseless and unarmed and not get charged. I think that it means that we either fight back and stand up and end police terrorism."

More than 170 protests sprouted up across the country Tuesday. Some crowds blocked bridges, tunnels and major highways. But unlike the violence that erupted in Ferguson on Monday night, most of the demonstrations were peaceful.

In New York, a protesters spanning an array of races and ages filled Times Square with their hands up, some chanting, "Don't shoot." In Washington, a crowd including prep school students lay silently on a sidewalk, as if dead. And in Boston, even jail inmates joined in the protest silently from a window.

Here's what the country looked like late Tuesday and into Wednesday:

ATLANTA

The Public Enemy anthem pumping from mounted speakers at a protest in downtown Atlanta captured the mood of the crowd of roughly 300 Tuesday night.

"Fight the Power," the rapper's voice shouted over the speaker. "Fight the powers that be. ..."

Some Atlanta protesters held signs that read "Enough" and "We are all one bullet away from being a hashtag."

"It's a travesty; it's just not right," ShaCzar Brown said, holding up a sign that read, "Stop killer cops."

"Seventy years ago, it was legal to kill black people," Brown said, referring to the spate of lynchings that spread through the U.S. in the late 19th and early 20th centuries. "It's essentially still legal."

BOSTON

About 1,000 protestors marched through the streets of Boston Tuesday night, passing by the South Bay House of Correction where inmates looked on from windows -- many of them holding their hands up in the air. On one window, someone had written "Mike Brown" in tape.

Even though police said 15 people were arrested, the gathering was peaceful. "I'm very proud of the young people here," Police Superintendent in Chief William Gross told the Boston Globe. "Do you see any cars burning? Do you see any broken windows? No."

Protester Daniel Jose Older told CNN the demonstration rapidly grew from a small gathering to hundreds of people.

"Folks have taken over the streets," Older said. "It's a beautiful thing to see."

CHICAGO

About 200 members of the Black Youth Project 100 started a 28-hour sit-in outside Mayor Rahm Emanuel's office starting on Tuesday morning.

Why 28 hours? According to the group, a black person is killed by a police officer or a person protected by the state every 28 hours in America.

Some lay motionless on the City Hall floor, as if they had been shot.

But by Tuesday night, the protest was over. After City Hall closed for the day, police threatened to arrest those attempting to stay inside.

LONDON

The protests weren't just in the United States. Some were in Canada, and hundreds turned out Wednesday in London -- starting outside the U.S. Embassy before spreading elsewhere in the English city.

Waving placards that read "Justice for Michael Brown," "Solidarity with Ferguson" and "Black Lives Matter," protesters held candles in the chilly November drizzle in Grosvenor Square.

The speakers included Carole Duggan, whose nephew Mark was shot dead by police in 2011, sparking days of riots in London and other cities across England. Marcia Rigg, whose brother Sean died in police custody in London in 2008, said "institutional racism" was a global problem.

"We need change," Rigg said. "There needs to be a political will to change, a political will for justice."

LOS ANGELES

A stretch of the 101 Freeway in Los Angeles was temporarily shut down in both directions Tuesday evening after protesters took road blocks from the streets and put them on the freeway, police said.

But protesters who gathered outside Los Angeles police headquarters demonstrated peacefully. "We have detained people. We don't have any property damage to speak of," Officer Jack Richter said. "We are letting (the people) exercise their constitutional rights."

Demonstrators returned to the city's streets again Wednesday. Scores of them began at the federal courthouse, then marched with signs held high through downtown.

As of 6 p.m. (9 p.m. ET), the event -- which, by then, had already been underway for hours -- was peaceful, said California Highway Patrol Officer Edgar Figueroa. Police were steering the demonstrators, keeping them downtown and away from freeways, according to Figueroa.

MINNEAPOLIS

A woman in a group of protesters blocking an intersection was run over by a car during a demonstration Tuesday.

The Star Tribune newspaper reported that the driver honked at the protesters before knocking a few people onto the hood of the car and apparently running over the woman's legs. The woman injured was hospitalized with "minor injuries."

NEW YORK

A massive protest Tuesday wound its way from Union Square to FDR Drive and to the United Nations, Times Square and Harlem.

"Now it's not clear where we're going," said CNN's Miguel Marquez, who was interviewing protesters as they continued marching after midnight into early Wednesday.

One demonstrator said he didn't even know about the protest until he saw it pass by his workplace on Times Square. He decided to join in.

"I just want to help bring about change ... sometimes I am profiled based on my race," said the protester, who is black.

"I think this is progress ... now we're going to make sure things are going to change."

As they marched, some protesters chanted, "Mike Brown! Mike Brown!"

Police, who were nearby in large numbers, stayed back and let the marchers go.

OAKLAND

Perhaps the most turmoil Tuesday night was in Oakland, California, where vandals smashed the windows of a car dealership and looted several businesses, including a T-Mobile cell phone store.

Some also set bonfires in the city. One row of bonfires stretched across a road, blocking off access.

At least one person was seen adding more items to the fires.

WASHINGTON, D.C.

In Washington, protesters lay down on a sidewalk outside police headquarters as if dead, Nikki Burdine of CNN affiliate WUSA tweeted Tuesday.

Some had handwritten notes on their chests: "Black lives matter."

Read what Darren Wilson told the grand jury

'A thousand Fergusons across America'

CNN's Paul Vercammen, Jessica Ravitz, Lorenza Brascia, John Blake, Greg Morrison, Rob Frehse, Bryony Jones, Tina Burnside and Bill Kirkos contributed to this report.

@highlight

NEW: Scores of protesters rally, march through downtown Los Angeles

@highlight

Hundreds protest in London; one calls "institutional racism" a global problem

@highlight

Protesters from many ages and races filled Times Square in New York

@highlight

Vandals in Oakland, California, bust windows of a car dealership and loot stores