Pittsburgh, Pennsylvania (CNN)  -- Critics and supporters of the Obama administration alike, others concerned foremost about national security, the so-called whistle-blowers of WikiLeaks, and both U.S. allies and enemies believe the released diplomatic documents contain significant revelations about U.S. foreign policy. But is this perception accurate?

This convergence of opinion from such conflicting groups is based on the premise that a document stands on its own. Read a memo, and you have the whole story.

But if historians and other scholars believed raw data mean nothing more than what appears on the page, they would have little need to write analyses creating or challenging conventional wisdom, nor would they need to spend long shifts in archives poring over aging documents.

In fact, revisionism of any sort would be unnecessary unless, of course, new documents emerged. The influence of social forces, economic interests, history, bureaucracy and the many other factors responsible for shaping information would be relegated to the margins or unconsidered.

WikiLeaks and The New York Times, among others, claim they must analyze documents before publishing them to determine which names and facts to redact and how much context to provide. This is not how historians practice their craft, and the absence of careful analysis may prove to be as harmful to national security as the revelation of sensitive material.

Historical analysis cautions against accepting a single document as a smoking gun. It compels the investigator to study primary and secondary sources, and it is a reminder that what is left unstated in a document may be far more revealing than what is stated.

I confronted this when I delved into the private papers of President Reagan nearly 15 years ago. Nancy Reagan gave me access to her husband's papers on the end of the Cold War, but that research took a sharp detour when I discovered thousands of pages of Reagan's handwritten drafts covering more than 70 years of his life.

Before the publication of my co-authored books on Reagan's writings, it was not widely known that the 40th president wrote thousands of letters throughout his life.

One letter, written in November 1986, illustrates the importance of historical context. Frustrated by accounts in the press, Reagan wrote to William Rusher, then publisher of the National Review:

"I'm really upset by what so many of your contemporaries have done. D--n it yes we sold them a few spare parts and weapons but the stake was a contact that could give us a chance at a relationship with Iran and we were succeeding. A plus on the [other] side was return of three hostages and could have been five if the media hadn't blown our cover."

If you read only this letter, unaware that it had already been revealed that the United States had sold arms to Iran in hopes that the Iranian government would cease support for terrorism and thus facilitate the release of U.S. citizens held hostage in Lebanon, and that Reagan had publicly discussed the issue on several occasions, you might see the quote as revelatory. It has significance, but not in the sense of it being news never heard before.

Under a mountain of readily available information, we are gradually losing the art of understanding.

We face a different kind of threat to national security, perhaps the most dangerous threat of all. The historian's craft must be part of the public debate about the documents released by WikiLeaks.

The opinions expressed in this commentary are solely those of Kiron K. Skinner.

@highlight

Kiron Skinner says historians know raw data need to be analyzed and put in perspective

@highlight

Primary and secondary sources and historical context must be considered, she writes

@highlight

She says undifferentiated WikiLeaks material doesn't make sense without analysis

@highlight

Skinner says jumping to ready conclusions will lead to misunderstandings