(CNN) -- I own a property in Fort Pierre, South Dakota, called the Bad River Ranch. It is a beautiful place, where we have worked very hard to restore the landscape, reintroduce native wildlife species and raise bison sustainably. But it sits about 15 miles downstream of the point where TransCanada's proposed Keystone XL pipeline would cross the Bad River, and being that close has led me to examine more closely the potential risks and benefits of a project about which I have been highly skeptical from the beginning. After careful scrutiny, I believe it is not in our national interest to pursue it.

The purpose of Keystone XL is to bring tar sands crude oil through the United States to Gulf Coast refineries. The route through the United States is actually the oil industry's second choice: Transporting the oil west from Alberta to the Pacific Coast would be shorter and much cheaper, but Canadians concerned about environmental impacts and threats to native people's lands are challenging that route, and with good reason. The existing and potential environmental impacts along the 2,000-mile pipeline route are profound.

In Canada, extraction of tar sands crude requires clear-cutting thousands of acres of boreal forests, diverting rivers, strip-mining, and destroying critical habitat for some of the largest populations of woodland caribou left in the world. Thirty percent of North America's songbirds and 40% of its waterfowl rely on the wetlands and waterways of the boreal forest.

Tar sands oil production has already created more than 50 square miles of toxic waste ponds so massive they are visible from space. Even more important, tar sands oil extraction produces three times more greenhouse gas emissions than conventional oil and gas, putting even greater strain on our atmosphere and oceans, which have little absorptive capacity left.

Closer to home, the pipeline presents an immediate threat to drinking water for millions and to the livelihood of farmers and ranchers. To transport via pipeline, the thick tar sands crude must be mixed with toxic chemicals and then pumped at extreme temperature and pressure. This sets the stage for more pipeline failures and spills that create a highly toxic mess.

The existing Keystone 1 tar sands pipeline has spilled more than 12 times in its first 12 months of operation. In July 2010, a spill of more than 800,000 gallons of toxic tar sands crude from the Enbridge pipeline contaminated more than 30 miles of water and shoreline along the Kalamazoo River in Michigan. This created public health problems, threats to groundwater, widespread fish kills, and destruction of wildlife habitat, contamination that is still being cleaned up at a cost exceeding $700 million. Downstream landowners like me are thinking this is a preview of coming attractions if Keystone XL is built.

The potential for pollution of vital groundwater from the Keystone XL pipeline is even more frightening. Depending on the final route of the pipeline, spills would threaten the Ogallala Aquifer, the largest aquifer in the western North American region, upon which millions of people and agricultural businesses depend for drinking water, irrigation and livestock watering.

But spills anywhere along the route would threaten crucial drinking water supplies, from local and municipal drinking water wells to the Carrizo-Wilcox Aquifer in Texas, a critical water supply for drought-stricken East Texas and Houston. Anyone with even a passing familiarity with the water scarcity problems in that region should understand how a sizable pipeline failure could have catastrophic consequences.

Meanwhile, the pro-pipeline lobby is pushing the public to accept Keystone XL with fuzzy promises about jobs and security. But TransCanada's jobs claims have been widely discredited, and there is no guarantee the oil transported by the pipeline would remain in the United States for sale. An attempt in Congress to require the oil to be consumed in the United States was rejected just last week, and it has been widely detailed that Gulf Coast refineries plan to export the finished product to Europe and Latin America. How do we become more energy secure under that scenario?

Now Congress, by means of an amendment to the highway bill, is pushing to wrest decision-making control over the project from the administration, bypass final environmental review, and force approval of the pipeline before the final route has even been determined.

Congress should not be in the business of skirting the rules and ramming through a polluting project like the Keystone XL pipeline. Instead of supporting the transport of dirty tar sands oil, its focus should be on harnessing truly clean, renewable energy sources like solar, wind and biofuels, which will create thousands of long-lasting jobs in the United States, protect our natural resources and provide true energy and water security today and for many years to come.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Ted Turner.

@highlight

Keystone XL pipeline would bring tar sands crude oil across U.S. to Gulf refineries

@highlight

Ted Turner: Tar sands oil means clear-cutting thousands of acres, diverting rivers, strip-mining

@highlight

Pipeline puts drinking water at risk, poses profound danger of toxic spills and more, he says

@highlight

Turner: Congress trying to skirt rules and force approval of polluting Keystone project