Phoenix, Arizona (CNN) -- By now, the entire country has gotten the message that Arizonans are angry and frustrated over illegal immigration. But, oddly enough, the anger and frustration isn't usually aimed at the illegal immigrants themselves.

Many Arizonans would probably admit that, if they were unable to feed their families in their home country, they too might venture out in search of employment. And, if they were faced with waits of 10 to 15 years to enter another country legally, you can bet many of them would enter illegally.

What really gets Arizonans fired up are three things: the feeling that they're under siege by spillover violence from Mexican drug cartels, the concern that the U.S. government isn't doing enough to protect them, and indignation that people in other states are judging them for responding to a reality most of us can't imagine.

That's what you hear on talk radio and what you read in the letters section of local newspapers.

And that's also pretty much the view of Jay Heiler, a top-notch political and public affairs consultant and a familiar fixture in Arizona Republican circles. Heiler served as chief of staff to former Gov. Fife Symington in the 1990s and counsels Gov. Jan Brewer today.

He's a vocal defender of the state's new immigration law, Senate Bill 1070. What I wanted to know is whether that's because he really believes in the measure or whether he's just being a good soldier for the state GOP, given that just about every prominent Republican official in the state backs the law.

As we met for what became a three-hour dinner in a Phoenix restaurant, I soon had my answer. Heiler began the conversation with a piece of advice.

"If you're going to write about this issue with credibility," he said, "you have to acknowledge the reality of the violence caused by the Mexican drug cartels and the inability of the Mexican government to contain it."

Not this again. The new bogeyman of the immigration debate is the Mexican drug cartels. In fact, when you engage a supporter of SB 1070, it's hard to get them to talk about anything else. The cartels are their strong card; why not play it?

One of the arguments floating about -- advanced by Brewer -- is that most illegal immigrants act as drug mules for the cartels.

Too bad Brewer can't seem to find anyone to back that up. Arizona Sen. John McCain said he doesn't believe that most illegal immigrants are used as drug mules. Neither does T.J. Bonner, head of the National Border Patrol Council, the labor union representing nearly 20,000 border patrol agents. Bonner said Brewer's claims are "clearly not the case" and "don't comport with reality."

Heiler is too smart to repeat wild claims. Instead, he stayed focused on public perception. He submits that most of the support for the measure --- polls show that about 55 percent of Arizonans back the law, down from 70 percent when Brewer signed it in April -- is coming from people who are sincerely afraid that Mexico is spinning out of control because of the drug war and that the chaos is spilling into Arizona in the form of kidnappings and other lawlessness.

According to law enforcement authorities, in 2008, nearly 400 kidnappings happened in Phoenix. But a prosecutor told me that most people don't understand that many of these "kidnappings" aren't for ransom. Rather, they're an extension of the human smuggling industry, in which rival coyotes raid each other's "drop houses" and steal the cargo. That's a serious crime, and yet it's probably not what most people think about when they hear the word "kidnapping."

Phoenix Police Chief Jack Harris, a vocal opponent of the immigration law, insists that he has the manpower to investigate each kidnapping. But, he warns, that could change if the portions of SB 1070 struck down by a federal judge come back to life like the mythical bird that shares the city's name.

If his officers have to make immigration enforcement their top priority, Harris said, other crimes will probably go unsolved. Then, the crime rate could soar. Right now, the crime rate in Phoenix is down. The Phoenix Police Department confirms it. "Despite all the hype," spokesman Trent Crump told the Wall Street Journal, "in every single reportable crime category, we're significantly down."

In the first quarter of 2010, violent crime was down 17 percent in the city, while homicides were down 38 percent and robberies 27 percent, compared with the same time period in 2009.

The  Federal Bureau of Investigation also confirms it. The number of violent crimes has fallen every year in Phoenix since 2006, the FBI reports. It's part of an overall trend in which, according to the bureau, crime rates are actually going down in cities that have large immigrant populations

It's pretty obvious that cynical politicians -- all of whom happen to be Republicans -- are exaggerating the fear factor to cover up what they recognize as some of the more unseemly motives of SB 1070 supporters.

Although Heiler doesn't deny that some of the folks who have rallied around the law are motivated by anxiety over changing demographics, he wouldn't admit that this has anything to do with race and ethnicity.

But isn't that obvious? For the past two decades, there has been a loud chorus of worry about how Latino immigrants are changing Phoenix -- and, according to some, not for the better.

Those feelings didn't just go away. And the people who hold them are almost certainly part of the pro-1070 brigade. Not everyone who wants to get rid of illegal immigrants does so because he or she sees a connection to the drug cartels. In fact, most people just want to preserve the America they grew up with.

Besides, if they really want to put drug dealers out of business, the best way is to support Mexican President Felipe Calderon, who has declared war on these criminal syndicates and yet vehemently opposes the Arizona law. Instead, Republican candidates for office are running TV ads in Arizona criticizing Calderon for criticizing the law.

That makes absolutely no sense, just as it makes no sense for Arizona to crack down on illegal immigrants in the hopes that it will somehow get rid of drug dealers. Unless, of course, the real objective all along has been something much sneakier: to use the fear of drug dealers to get rid of illegal immigrants.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Ruben Navarrette: Arizonans upset about drug violence, government's inaction

@highlight

Defenders say law helps fight drug violence, he says, but crime down in Phoenix

@highlight

Governor said most illegals used as drug mules, he says, which is untrue

@highlight

Navarrette says scare tactics used to justify bias against ethnicity, fear of change