WASHINGTON (CNN) -- One can only imagine the sights this hat has seen. Perched atop a man who towered over his peers at 6 foot 4 inches, this hat must have had quite a view.

"Abraham Lincoln: An Extraordinary Life" will be on display through January 2011.

It may have been there when a divided nation -- a devastating Civil War on the horizon -- elected a politician from Illinois as president. It could have watched as this president, so desperate to preserve the Union, carefully drafted the Emancipation Proclamation, thus changing the course of American history. And we know for sure that this hat was witness to a tragic April night when the same president was fatally shot while enjoying a play.

The iconic top hat, part of a collection of items associated with Abraham Lincoln, is now on display at the National Museum of American History. Nearly three years in the making, "Abraham Lincoln: An Extraordinary Life" is part of the Smithsonian Institution's bicentennial celebration of Abraham Lincoln's birth and a rare glimpse into the life of one of our nation's greatest presidents.

Nearly two centuries later, still adorned with a black band of mourning for a son who died too early, Lincoln's hat is worn-down, yet strangely magnificent. Maybe it is the hat's history that gives it such a majestic quality. Or perhaps it is simply that a top hat always commands a certain reverence -- an attribute that may reveal a great deal about the vanity of its owner.

"Why would somebody who is 6 foot 4 inches decide to wear a tall hat?" asks Harry Rubenstein, curator of the exhibit. "He clearly has this desire to stand out in the crowd, to make his place in it."

Rubenstein hopes this is the type of intimate detail about our 16th president's life that people will take away from the ongoing Lincoln exhibit.

"This is the first time we've brought together all of the museum's best Lincoln objects to tell the story of Lincoln's life," Rubenstein says. "And I think it's a different kind of story that emerges -- one that's more intimate and more personal and one that brings this story to life in very tangible ways."  Watch descriptions of items in the Lincoln exhibit »

The Smithsonian Institution started its Lincoln collection more than 140 years ago, Rubenstein says.

The exhibit, which opened in January, houses more than 60 items from Abraham Lincoln's life, spanning his humble beginnings, his political career, his life in the White House, and even relics recovered in the wake of his assassination.

Rubenstein says the collection includes "little personal objects of things he touched and used at pivotal moments in his life," like his office suit, his gold pocket watch -- and a coffee cup he left on a windowsill the night of his assassination.

The exhibit is also home to more significant objects, such as the inkstand Lincoln used to draft the Emancipation Proclamation, and a patent model of a device he invented for lifting boats over sand bars.  See photos from the exhibit »

Also on display is memorabilia from the 1860 presidential election campaign -- such as a replica poster portraying a young and masculine Lincoln splitting rail -- that reveal a candidate not impervious to the somewhat superficial aspects of the American political system. Rubenstein says that although Lincoln scoffed at his party's attempts to brand him as "Old Abe the Rail Splitter," he understood the importance of appealing to the masses and creating an image to "link him and his ideals in an iconic kind of way."

Perhaps no one is more aware of the power of Lincoln's iconic image than President Barack Obama, who frequently cited his Illinois predecessor as a source of inspiration for his own presidency.

While Rubenstein warns against drawing too much of a comparison between presidents -- the two Illinoisans have been linked by their reformist platforms, their penchant for eloquent speeches, and even for their physical likenesses -- he acknowledges the significance of the symbolic timing: As the first African-American becomes president, the nation celebrates the 200th birthday of the man who ended slavery.

"We have a president from Illinois -- the land of Lincoln -- who has found inspiration in the Lincoln story. ... It's clearly an historic moment," Rubenstein says.

Nonetheless, as the nation celebrates Obama's momentous election, "An Extraordinary Life" is a reminder of the relevance of Lincoln's legacy today and commemorates the incredible life that he led.

"It is amazing ...here is this individual from a family in the middle of the woods in Kentucky ... [struggling] to educate himself," Rubenstein says. "To then take on this incredible responsibility, [and] beyond that, his ability to articulate those ideas to inspire not only his generation, but for us today ... it's an extraordinary odyssey that he took."

Visit "Abraham Lincoln: An Extraordinary Life" at the National Museum of American History on the National Mall, 14th Street and Constitution Avenue, N.W., in Washington, D.C. The exhibit runs through January 2011. For more information, or to view the online exhibit, visit the museum's Web site.

@highlight

National Museum of American History exhibit honors Abraham Lincoln

@highlight

Exhibit is part of Smithsonian Institution's bicentennial celebration of Lincoln's birth

@highlight

Show brings together "all of the museum's best Lincoln objects," curator says

@highlight

Among objects on display are Lincoln's hat, suit, coffee cup, pocket watch