(CNN) -- You could say that Kilian Fischhuber is on top of his game.

For almost a decade, the 30-year-old has scaled the peaks of competitive free-climbing, becoming one of the most successful boulderers the sport has ever known with five overall World Cup titles to his name.

Bouldering -- the sport of climbing small rocks or boulders without ropes or harnesses -- combines athletic agility with incredible strength, which are two qualities the Austrian has in abundance.

"As a professional you need to be really focused and train really hard," Fischhuber told CNN's Human to Hero series. "I think the thing that makes my climbing unique is that I'm really diverse.

"I'm really strong in different areas of climbing whether it's steep or flat, or long or short climbs. I'm a very powerful and dynamic climber, so this helps me to combine all the skills of the different areas of climbing."

Born in Waidhofen an der Ybbs, Fischhuber began climbing at the age of 11, honing his skills on indoor walls before moving outside to climb on rocks.

He turned pro by the time he'd reached his late teens, and in 2005 he clinched his first World Cup title aged just 22.

Once upon a time, bouldering was used solely for practice by climbers preparing for bigger climbs, but the rise in popularity of indoor climbing centers in recent decades has seen it morph into a sport.

In 1998, it officially became a new climbing discipline, and the following year the International Federation of Sport Climbing held the first World Cup.

This year, the competition was contested over eight meetings held around the globe, with competitors battling it out on a variety of artificial climbing walls with crash mats below. The winner is the climber who can conquer the most boulders in the fewest attempts.

"In competing, it's a lot about knowing what other people did and knowing you have to better them ... and that makes it really difficult," Fischhuber says.

"It's both mental and physical, but it depends on the situation. It can be very mental and not physical at all, but usually it's a combination."

Fischhuber has successfully mastered both over the last decade, recording a top-three finish in nine of the last 10 years. And while he didn't win the overall title this year, he made up for it by chalking up his first win at the European Championships in Eindhoven, Netherlands in September.

"Next season, I'm going to try to win the World Championships, which I haven't achieved yet ... that's one of my goals. And besides that, I want to climb hard stuff ... to push my limits," he says.

Away from the competition walls, Fischhuber has already completed some of the toughest outdoor climbs. In 2006, he became one of only a handful of climbers to successfully scale Action Directe -- a famously difficult, 15-meter high rock in Frankenjura, Germany -- and in 2009, Fischhuber showed he was no slouch at longer climbs either, completing a 250-meter alpine ascent of "The Emporer's New Clothes" route in Austria's Wilder Kaiser region.

"Wherever I am, I always look out for rock faces. It would be good to discover something new, to go to places no-one has ever climbed before. I find myself on the Internet looking for places to climb. It's an addiction."

A recent trip to Zimbabwe uncovered "some great rock faces and great places to develop climbing," he says, and from a personal perspective, he's keen to one day grapple with the mighty El Capitan, the 900 feet (275 meters) granite monolith in Yosemite National Park, California.

But his heart, along with his fingers, remains firmly wedded to Europe's crags and cliffs, not least those flanking the Zillertal and Otztal valleys near his home in Innsbruck.

It's a place where he can mix sport and pleasure, he says, picking routes that are sometimes really hard but also beautiful.

"It's not just the difficulty, it's also the aesthetics -- that it's a really nice climb makes it fun to do. It's a nice mix."

Fischhuber climbs the 100-meter cliff with the assistance of ropes, a harness and bolts anchored in the rock and a climbing partner called a belayer who controls the amount of friction on the rope.

"In sport climbing, or free climbing, you have a partner who belays you with a rope. Bolts are usually pre-placed -- drilled in, so really safe -- and you climb without resting or falling into the ropes. That's the objective ... It's usually a long process but it gives you a great feeling of satisfaction," Fischhuber says.

"There are situations when you are afraid -- for example, if you are really high above the last belay place, the last bolt -- but usually climbing and bouldering is not too dangerous.

"Sometimes it's difficult mentally, when you work on a route and you're not sure if it's possible. You put a lot of effort into it and learn later it's not possible, that's a big drawback, but you need to stay positive and have fun. It's just a really cool feeling to be up there alone."

Solitude at the top of a cliff is replaced by companionship when he gets back down. More often he's met by his girlfriend and fellow free climber Anna Stohr. The 25-year-old, a four-time overall World Cup winner and double world champion has the knack of keeping Fischhuber emotionally grounded while pushing him towards new career highs.

"All my travels and competitions and places I go, I spend time with her. With Anna, it's funny, she is successful. She has more titles than me and competing with her helps me a lot ... when we rock climb it's really inspiring. We can really push each other," he says.

"I still want to achieve harder climbs, longer climbs, some good places and results in competing.

"I think it's an old expression but when you die you don't want to look back at your life and think you haven't lived. So it's important what we do while we're alive."

@highlight

World-beating competition climber Kilian Fischhuber talks to CNN's Human to Hero series

@highlight

Austrian is a five-time Bouldering World Cup winner and reigning European champ

@highlight

Boulderers are incredibly athletic and strong and climb with no ropes

@highlight

Fischhuber one of few climbers to scale the famously difficult Action Directe sport climb