Summer could not have come soon enough for Lloret de Mar, a tourist resort north of Barcelona that is brimming with young travelers from Britain, Germany, France and Russia.

By day, they flock to the main beach with its steep descent into the Mediterranean, and by night they crowd the streets lined with clubs called Londoner, Hot Spot or Zoo.

Read more: The human cost of Spain's financial crisis

It is a scene repeated up and down Spain's extensive coastline along the Mediterranean, the Atlantic and its famous archipelagos, the Balearic and Canary Islands.

Spain's economic crisis is in its sixth straight year yet tourism, worth 11% of GDP, is holding its own, one of the few bright spots on a bleak horizon.

Summer, of course, is high season for tourism in Spain. The country is the world's fourth-largest tourist destination, behind France, the U.S., and China, according to the UN's World Tourism Organization, based in Madrid.

Spain's tourism sector has recovered from a 9% drop -- a loss of five million tourists -- at the height of the crisis in 2009. Last year, it was back to pre-crisis levels of 57.7 million international visitors.

Interactive: Is your nation fair?

In part, due to an aggressive search for new markets, since the crisis not only forced Spaniards to cut back on vacations, but also slowed growth among British and German tourists, two of the traditional groups of visitors.

Climent Guitart can tell you about that. He owns eight hotels in Lloret de Mar, and said, "The last three years, we have tripled, multiplied by three, the number of Russians that come to this area."

Like Katerina Kharina and her friend, both choreographers from western Russia, whom we met on the beach.

"Here it's very different," Kharina said. "There's no crisis in Russia. Here it's cheap. Russians like Spain."

And Spaniards like Lidia Gonzalez may thank the Russians for her new career as a maid at one of Guitart's hotels.

A mother of two, the crisis forced Gonzalez out of her own hair salon business.

Spain's next threat: Losing 20% of its economy

For months, she was among the 27% of Spanairds who are unemployed, until the hotel hired her for the summer.

"At last this job came up and there was relief for the whole family, to be able to pay some of our bills," said Gonzalez, taking a break from cleaning a room.

She and many others have contracts just for the summer high season, and many worry what comes next.

Some experts worry, too, about the tourism industry's future. They say that Spain's tourism formula has been the same for decades -- sun and sand. But with the economic crisis, there are growing calls for that to change.

Read more: Cyprus for Easter? Just pack extra cash

A recent study by the Barcelona-based business school ESADE warns the country's beach towns lack "strategic improvement plans," and "follow a stagnated tourism model."

The report said 57% of the country's coastal towns offer less than five square meters of beach per tourist and remain highly seasonal, with 85% occupancy in August but barely 35% outside of the summer months. It called for new tourism products.

Guitart's company is already pushing innovation, trying to go upscale with a five-star hotel and casino in Lloret de Mar, while also maintaining some of its more typical mass tourism hotels.

A generation on the scrap heap: Can Europe be saved?

"We think that the clientele is diversifying a lot and in this area, I think we need a hotel with better standards, better quality," Guitart said.

Breaking away from the popular tourism hotel model may be the future for Spain's industry, but it won't be easy. Lloret de Mar, like many others in Spain, still caters to mass tourism.

Just ask the young foreigners on the beach by day and in the clubs by night.

@highlight

Spain's economic crisis is in its sixth straight year yet tourism, worth 11% of GDP, is holding its own

@highlight

Spain's tourism sector has recovered from a 9% drop at the height of the crisis in 2009

@highlight

In 2012 it was back to pre-crisis levels of 57.7 million international visitors