(CNN) -- Gregory Sancoff thinks he knows what the Navy needs, even before U.S. war planners do.

The Navy, he says, needs Ghost.

Sancoff is CEO of Juliet Marine Systems â€” maker of a futuristic-looking, 21st-century warship that he says can protect large Navy ships from attacks by small boats.

Simply put, Ghost looks a lot like an F-117 "stealth" attack jet â€” on skis.

A year after unveiling Ghost and pricing it at $10 million per boat, the Navy has unofficially expressed interest, Sancoff said, but nothing more.

The 60-foot long Ghost is shown bristling with weapons in slickly produced Juliet videos while its stealthy silhouette slices effortlessly and ominously through the water. It surpasses 50 knots (57 mph) by surrounding each ski with a bubble of air that helps it cut through water much easier than regular boats. It's a concept called super-cavitation.

Ghost can be operated by a three-person crew. But this vessel also performs without a crew if needed, operated by remote control from a nearby ship. It can deploy 18 special forces troops without drawing too much attention.

If Washington isn't taking a close look at Ghost, Sancoff wants to know if it's because his firm is too small.

"Our country right now is not that aggressive when it comes to working with small, innovative, high-tech companies," Sancoff told CNN on the phone this week. "I love to pose the question: Where are the Googles, the Microsofts, the Apples, in the defense industry?"

"A lot of times the reason why small companies don't venture into it is because the barriers of entry are so difficult."

For its part, the Pentagon says there's no official "requirement" for Ghost. Translation: Before the Navy can contract to buy Juliet's Ghosts, war planners must tell Congress it's necessary for the nation's defense plan. Then the Pentagon would have to persuade lawmakers to shell out tax dollars to buy it.

The Pentagon wouldn't comment to CNN specifically about Ghost. But Cmdr. Thurraya Kent, a spokeswoman for the assistant secretary of the Navy for research, development and acquisition, told CNN in an e-mail, "It's not procedure to procure a system without established requirements."

"That said, industry input is encouraged and assists the [Department of the Navy] with innovation and the pursuit of emerging technologies," Kent wrote.

Sancoff said his company is "in constant communications with the Navy," but "it's very, very difficult to get through to the decision makers at the Pentagon today." Officials representing Bahrain, Qatar, Saudi Arabia and Japan have engaged in "serious discussions" about Ghost with Juliet Marine, Sancoff said. But so far, none have signed purchase contracts.

It's unusual for a private contractor to build a near-fully functional prototype naval vessel long before the Pentagon has committed to a purchase.

"We understood really early on that when you bring something this revolutionary to the government, it's not going to be readily accepted. We knew we had to prove the technology worked to even sell it."

Clearly, Sancoff is deeply committed to his company's project. And he has been since 2000, when 17 sailors died in Yemen in the infamous attack on the Navy destroyer USS Cole.

Al Qaeda terrorists in a small boat set off explosives near the Cole, revealing the threat that small, high-speed boats pose to U.S warships near coastlines.

"That showed every terrorist you can take very few assets and very little money and you can just about sink a Navy destroyer," Sancoff said. Now 14 years later, Sancoff said such attacks remain among the Navy's biggest threats. He's pushing Ghost as a deterrent to protect thousands of sailors who he said are still in harm's way in the Persian Gulf.

Longtime Washington-based defense policy expert John Pike, director of GlobalSecurity.org told CNN, "It's hard to see what problem [Ghost] solves that hasn't already been solved several other ways."

Traditionally the Navy "hasn't had much use for such small craft," Pike wrote to CNN via e-mail, "apart from inshore operations, since they generally don't operate well in the open ocean due to large waves."

Ghost is incredibly stable in heavy seas, Sancoff said, thanks to a gyroscope-stablized platform with sensors constantly monitoring and compensating for the rolling waves.

"One of the obstacles that we've had to face," he said, "is that when you're introducing something so new as Ghost -- something that hasn't been done before, thought of before, that flies completely differently than any other vessel -- it takes time for the government to be able to understand and to adapt to it."

For generations it's been common for companies to take decades to develop and sell a successful weapons program to Uncle Sam.

"We set out to change that paradigm," he said. "This is much more like you'd see a high-tech start-up develop their business."

That reminds Sancoff of another machine that the U.S. failed to embrace quickly.

"The Wright brothers tried to convince the secretary of war for years that an airplane was viable," Sancoff said, but, according to historians, "initial negotiations went nowhere."

And we all know what happened after that.

@highlight

Company offers Pentagon a fast, stealthy attack boat called Ghost

@highlight

Ghost could guard ships like USS Cole against terrorist attacks, maker says

@highlight

U.S. Navy has unofficially expressed interest, maker says, but nothing more

@highlight

Manufacturer: It's "very difficult to get through to Pentagon decision makers"