(CNN) -- Smog is a common sight in Hong Kong, with the amount of polluted days increasing by 28 percent to 303 so far this year.

Hong Kongers would be quick to point the finger at Chinese factories across the border. Yet, research is increasingly indicating that the problem is much more localized, coming from emissions produced by shipping.

"What we know in Hong Kong is that up to 50% of pollution [locally produced] sources come from marine vessels," said Gina McCarthy, administrator at the U.S. Environmental Protection Agency.

Smog levels within the city of over 7 million reached hazardous levels earlier this week, with particles in one urban area, Sham Shui Po hitting a PM2.5, hitting 91.7 micrograms per cubic meter of air. Anything above 71 is classified as "very dangerous" according to the World Health Organization guidelines.

Maritime pollution in Hong Kong is blamed for the most sulfur dioxide-related deaths within the region. According to a recent report jointly compiled by the Civic Exchange and The University of Science and Technology, Hong Kong saw 385 deaths caused by the hazardous chemical, for which shipping is to blame.

The city lacks regulations in tackling maritime pollution, as there is no legislation or requirements for shipping companies to switch to cleaner fuel when entering Hong Kong waters.

Wong Chit-ming, associate professor at the University of Hong Kong's School of Public Health noted the Asian hub would continue to see a growth in the amount of pollution from container ships under current lack of regulations. He linked this to an ever-increasing flow of marine traffic coming through the city.

However, the government is slowly starting to become more aware of the situation, said Simon Ng Ka-wing, head of transport and sustainability research at Civic Exchange, a Hong Kong thinktank that advises the government on policy.

"In the past we pointed fingers to Guangdong [the province neighboring Hong Kong] saying it is the only reason we suffer from air pollution without knowing that there is locally produced pollution. But now we are getting a clear picture that we can clean up quicker locally."

The city is lagging behind many other hubs in the world such as those within Europe and North America, which have regulations requiring vessels to switch to cleaner emitting fuel, an initiative known as the Emission Control Area (ECA).

Marine vessels in Hong Kong can burn cheaper and more hazardous 3.5% sulfur oil, while in various ECA zones, vessels cannot exceed 0.5 percent. New regulations by the International Maritime Organization, a United Nations agency that is responsible for the safety of maritime vessels and works to prevent pollution from ships, is looking into forcing vessels to burn no more than 0.5 percent of sulfur by 2020. This applies to bigger container and cruise ships, whilst smaller local craft are dealt with under other regulation.

Arthur Bowring, managing director of the Hong Kong Shipowners Association said that the shipping industry has been extremely proactive in switching to cleaner fuels.

"In 2010, after discussion and debate, 16 carriers and cruise lines came together in the world's only truly voluntary commitment to change to a cleaner fuel when at berth or at anchor in Hong Kong," he said.

That agreement, called the Fair Winds Charter cuts port charges by as much as 50% for those sea vessels that switch to cleaner emitting fuels.

"The Fair Winds Charter was put in place for two years, 2011 and 2012, to show government that the industry could switch fuel and that incentive followed by regulation would be possible," Bowring said.

It was extended until the end of 2013, but has an unclear future. A decision on whether to expand it into 2014 is expected later this month.

The government is also due to pass legislation next year that will force all marine traffic to comply with more environmentally friendly fuels and introduce an emissions control zone in the territory's waters.

Without urgent regulations, Hong Kong citizens are expected to suffer both short-term and longer-term health effects, such as numerous cancers, putting a burden on the local health system.

"Excess hospitalization, extra treatment, we can translate to money value," said Wong Chit-ming, associate professor at The University of Hong Kong's School of Public Health. "It justifies the government to implement measures to improve the air."

The government is attempting to make the public aware of the adverse health affects that the pollution causes by replacing the 18-year-old air pollution index with an air quality health index from December 30.

In a recent report, published by the Hong Kong University of Science and Technology, introducing an emissions control zone can cut sulfur dioxide emissions in the Pearl River Delta region by as much as 95%.

"What Hong Kong can probably benefit from is a renewed sense of urgency in addressing this issue," said Peter Levesque, American Chamber of Commerce Hong Kong Vice Chairman. "I think in general, Hong Kong understands that it can take the lead by doing what it can to fix the problems here and work with South China to have a regional solution."

@highlight

Localized pollution from ships becoming a major contributor towards the city's smoggy skyline

@highlight

Government is set to introduce legislation on shipping emissions from 2014

@highlight

Hong Kong has the most fatalities from sulfur emissions in the Pearl River Delta Region, according to a recent study