(CNN) -- An American graduate student who went to Iraq to find ways to help ordinary citizens persevere in a transitioning government was one of two American civilians killed in a Sadr City bombing.

Nicole Suveges, a political scientist working toward her doctorate, died in a Sadr City bombing Tuesday.

Nicole Suveges, a married political scientist from Illinois, was part of a program that embeds academics into military units to help personnel in Iraq and Afghanistan navigate the local environment, according to her employer, BAE Systems.

Suveges, who started her tour with Human Terrain System in April, had been assigned to support the 3rd Brigade Combat Team for the 4th Infantry Division in "political, cultural, and tribal engagements," a statement from the program said.

She was one of four Americans to die in the Sadr City bombing Tuesday. Two U.S. soldiers and a State Department employee, Steven Farley, who worked with the provincial reconstruction team, also were killed in the blast.

"Nicole was a leading academic who studied for years on how to improve conditions for others," Doug Belair, president of BAE's Technology Solutions & Services, said in a written statement. "She came to us to give freely of herself in an effort to make a better world."

Suveges was the second BAE employee to die in a combat zone this year. Michael V. Bhatia, 31, a social scientist from Medway, Massachusetts, died in a roadside bombing May 7 in Afghanistan, BAE said.

Scott Fazekas, BAE's director of communications, said Suveges and Bhatia were among three dozen social scientists hired by the company and its subcontractors to support the program.

The Johns Hopkins University graduate student was also working toward a doctorate in political science with an emphasis on international relations. The focus of her dissertation was on the transition from an authoritarian regime to democracy and how it affects ordinary citizens, the university said.

"Nicole was committed to using her learning and experience to make the world a better place, especially for people who have suffered through war and conflict," William R. Brody, president of the university, said in a message Wednesday to the campus community. "She exemplifies all that we seek to do at Johns Hopkins: to use knowledge for the good of humanity."

Mark Blyth, Suveges' primary faculty adviser, said that when Suveges came to Johns Hopkins, she planned to write her Ph.D. dissertation on how ideas move across borders from society to society, exploring how radical Islamic ideas filtered through Western European mosques.

After the outbreak of the Iraq war, Suveges decided to shift her focus to the experience of ordinary citizens under a transitional government, said Blyth, a topic that had interested Suveges since her experience in Bosnia with the SFOR/NATO Combined Joint Psychological Operations Task Force.

"She was a very bright, engaging, sweet person, very intellectually curious," Blyth said Wednesday.

BAE said Suveges' experience, which included a tour in Iraq as a civilian contractor and a stint in Bosnia in the 1990s as an Army reservist, made her especially valuable in efforts to improve the lives of Iraqis.

A Human Terrain System statement said Suveges and others were attending a meeting of the District Advisory Council on Tuesday to elect a new chairman.

The officials were helping mediate disputes among the Sadr City leadership and "facilitate the development of a more representative local government," the statement said.

The attack was blamed on a Shiite insurgent cell.

Suveges graduated from the University of Illinois at Chicago in 1992 and received a master's degree in political science from George Washington University in 1998.

She had delivered papers to international relations organizations and served as a graduate teaching assistant, the company said.

At Johns Hopkins, she was managing editor for the Review of International Political Economy, the university said.

Maj. Mike Kenfield, spokesman for the Army's training and doctrine command, said that the program was credited for "reductions in non-lethal operations" and that there had been talk about expanding the purview of the team to outside Iraq and Afghanistan.

CNN's Joe Sterling contributed to this report

@highlight

Nicole Suveges, 38, was part of team of academic embeds advising military in Iraq

@highlight

The political scientist and Johns Hopkins grad student died in Sadr City bombing

@highlight

Suveges is second Human Terrain System employee to die in combat zone this year

@highlight

She was also finishing dissertation on citizens in transitioning governments