Hong Kong generally gets a bad rap when it comes to infectious diseases.

Grabbing headlines during recent bird- and swine-flu outbreaks, its proximity to Mainland China as well as its unenviable status as the worst-affected city during the 2003 SARS outbreak, Hong Kong has been central to several global pandemic fears in recent years.

It hasn't even escaped fictional outbreaks -- the 2011 movie "Contagion" had patient zero Gwyneth Paltrow bring back an unwelcome souvenir from a business trip to the city.

But this bad biological baggage may come in handy.

The unwelcome distinction of being home to over one fifth of the world's SARS cases, and two fifths of the 774 fatalities from SARS meant Hong Kong quickly developed and implemented a very sophisticated disease control and epidemiology infrastructure.

At its most visible, any visitor arriving in Hong Kong must pass through heat sensor monitors checking for high temperatures.

This knowhow very probably limited the spread of both H1N1 and avian influenza. The lessons learned from SARS, and other outbreaks, has real application helping epidemiologists fight the spread of infectious diseases worldwide.

And now the lessons learned from SARS are being put to the test.

Middle East threat

The Middle East respiratory syndrome coronavirus (MERS-CoV) was first reported to cause human infection in September 2012, and since then has caused over 100 fatalities.

Despite the death toll, it is not yet a global concern on the scale of SARS, says Marc Sprenger, Director of the European Centre for Disease Control (ECDC).

"Even though our understanding of MERS is only a slowly evolving one, we can see important differences between it and SARS," he told CNN via email.

"Perhaps the most important one is that MERS is spreading much slower than SARS -- we have not yet seen sustained human to human transmission.

"A similarity with SARS is that both SARS and MERS are zoonotic (when the virus can jump from animal to human) viruses. MERS appears to be a zoonotic virus resulting from multiple introductions and re-introductions into the (human) community."

Single-hump dromedary camels have been identified as the animal from which the zoonisis occurred. Other species may also be carriers.

Upswing in case numbers

It is important to draw a distinction between SARS and this newer respiratory disease, not least in terms of efficacy and human-to-human transmission.

But a recent, alarming spike, has seen dozens of new MERS cases -- and several deaths reported this week alone -- which could indicate a change in the virus' behavior.

The ECDC reported that its April figures -- 217 cases -- were greater than the past two years combined.

"A lot of times these viruses will start in a certain part of the world (like SARS in Asia)," CNN's Sanjay Gupta explains.

"They don't know exactly how it's getting from camels to humans and while they've found the virus in camels there could be other animals as well, as part of this whole mix.

"It could be camel meat, it could be drinking unpasteurized camel milk -- both those things are common in Saudi Arabia. It could be some fluids from the camel."

Researchers have shown MERS can transmit from human to human as well, but it is "very difficult for that to happen," adds Gupta.

While the vast majority of the cases have been confined to the Arabian Gulf, there are recorded deaths attributable to MERS in Malaysia and The Philippines. Two cases have been reported in Egypt.

All reported cases originated in the Middle East.

Given the connectedness of the modern world, human-to-human transmission means  the spread of the virus could potentially be geographically unlimited.

An infected person traveling overseas is a "real concern," says Gupta.

"There is an incubation period; you could be exposed, you could have the virus. You're not yet sick and you get on a plane. That could happen, and in fact it has already happened."

Lessons learned

It is the protocols honed in Hong Kong and around the world following SARS that offer the best way of limiting the spread of coronaviruses.

Knowledge is seen as key, with public education -- from hygiene such as hand-washing to preventative measures such as mask-wearing -- key to arresting the spread of coronaviruses.

Saudi Arabia is learning transparency is of key importance, recently replacing Abdullah Al-Rabeeah, its secretive health minister, with Adel Fakieh, a proponent of public education and openness.

Professor Malik Peiris, Director of Hong Kong University's School of Public Health, says SARS not only took everyone by surprise, it marked the re-emergence of infectious diseases as a major concern.

He says in the wake of SARS, not only were resources -- like isolation wards in hospitals -- reallocated to combat infectious diseases like SARS, but as a result Hong Kong has now become a center for infectious disease epidemiology and virology.

"There was also H7N9 (bird flu) which happened on our doorstep and this expertise was heavily utilized," he says.

"The HKU group have contributed very significantly to that event and to understanding what's going on there. We have been working on MERS since almost the time it emerged. We have a greater awareness of the emergence of coronoaviruses -- not only in Hong Kong but internationally."

Publicly, education about hygiene and disease containment in Asia and around the world are also much better following SARS.

"The consciousness of hygiene, issues of coughing and sneezing in public, the use of hand wipes and alcohol wipes ... and people wearing masks when they have respiration infection -- importantly, that is not to protect themselves but to protect others (from infection)," says Peiris. "These are direct results of SARS."

Developing a cure?

Hong Kong and Chinese expertise is not limited to epidemiology and disease control, but also in developing a cure.

A team of researchers from Hong Kong and the mainland have developed two antibodies, which they say are "promising candidates" to develop a treatment for the syndrome.

As reported in the South China Morning Post, the research into antibodies developed at the time of SARS has been invaluable in this case, and models of virus behavior developed during the 2003 outbreak have added to the urgency to develop an antidote for MERS before it becomes even more communicable.

"The MERS coronavirus may undergo further genetic changes and one day become as transmissible as the SARS coronavirus," Professor Yuen Kwok-yung, a Hong Kong-based member of the research team and an expert in infectious diseases at the University of Hong Kong told the newspaper.

"Therefore we must prepare for this scenario before it happens."

Hong Kong Centre for Public Health: Advice on prevention of the spread infectious coronaviruses

-- Cover your mouth when coughing or sneezing, and dispose of used tissues in a covered bin.

-- Wash hands frequently using soap and water, or use alcohol-based hand sanitizer.

-- Seek medical advice if you exhibit symptoms such as low grade fever, sore throat or running nose, or diarrhea.

-- If exhibiting symptoms, wear a surgical mask to limit the spread of the virus.

-- Avoid contact with livestock, uncooked meat, unwashed fruits and vegetables, or unpasteurized milk.

-- Travelers who develop symptoms up to 14 days after their return from affected areas should put on surgical masks, seek medical attention and inform their doctor of their travel history.

@highlight

Expertise gained in Hong Kong during SARS epidemic helpful in battling MERS virus

@highlight

Over 100 MERS deaths have now been reported as cases spike

@highlight

Hong Kong and Chinese researchers looking at "promising" antibodies as MERS cure