(CNN) -- In mid-July this year, a roar echoed around one of the most remote inlets of northern Greenland -- and an island was born. No ordinary island, but a huge chunk of ice, roughly twice the size of Manhattan, that had broken from the Petermann Glacier.

Scientists gave it the romantic name of PII-2012 and watched it begin to drift slowly into the Nares Strait, which separates Greenland from Canada. Then it began to break up, spawning several smaller ice islands.

The birth of PII-2012 was no isolated event. The Petermann Glacier had lost a much larger chunk in 2010. It also broke into fragments, though that may not be the right word. One of them alone was estimated to weigh 3.5 billion tonnes, or metric tons (3.86 billion short tons), according to E. Julie Halliday, a researcher at Memorial University in Canada.

Canada's ice shelves are also retreating fast. And as the Arctic warms, both glaciers and ice-shelves are launching floating islands into the sea that may threaten shipping, the fishing industry and off-shore oil and gas platforms.

The air around northern Greenland and Ellesmere Island has warmed by about 2.5 degrees Celsius in the past 25 years. Ocean temperatures in the Arctic are also thought to have risen, though there is less data on them.

Halliday noted in a paper presented at the Arctic Technology Conference in Houston last week that while "management of a 3.5 billion-tonne ice island away from offshore structures may theoretically be possible, putting it into practice would be logistically very challenging."

One option, she said, would be to cover the surface of the ice island with carbon, which would accelerate its melting, but "the challenge then would become dealing with numerous smaller ice fragments as opposed to one large one." And even a small one could be the size of a football stadium.

Scientists are only now beginning to research these ice islands and the rate at which they melt and divide, especially as the Arctic waters warm and the restraining effect of sea ice disappears. They have been using Autonomous Underwater Vehicles -- the undersea equivalent of surveillance drones -- to map the underside of ice islands.

Uncovering the secrets of Greenland's ice

After the 2010 "calving" from the Petermann, several fragments between them containing billions of tons of ice drifted south along the Labrador coast, interfering with shipping in the Strait of Belle Isle. One traveled 150 miles (240 kilometers) in just one week.

Derek Mueller, a researcher at Carleton University in Ontario, has been following one 12 million-tonne fragment that was one of the progeny of the 2010 calving of Petermann Glacier. Nicknamed Berghaus, it was still wandering around a year later near Bylot Island in Baffin Bay before finally disintegrating in the fall of 2011.

Mueller will be presenting his research at the ArcticNet conference in Vancouver next week.

He says that in 2011 alone 3 billion tons of ice broke away from Canada's major ice shelves on the northern coast of Ellesmere Island.

Mueller told CNN that that Canada's ice shelves have been diminishing for the past century. But the rate has accelerated dramatically in recent years, and today they are just half the size they were only seven years ago.

As a graduate student, Mueller discovered a major crack in the Ward Hunt Ice Shelf in 2002. On a visit six years later he was surprised to see the shelf riven with fissures. Since then it has largely disintegrated.

The Serson Ice Shelf measured some 120 square kilometers (46 square miles) until some 60% of it broke away in 2008. Now there's just 7 square kilometers left.

"The ice shelves are on their way out," he told CNN. "In several decades they may be gone altogether."

Ice islands may pose a greater threat than icebergs because they have a relatively shallow draft, Mueller says, which is often about 40 meters (130 feet).

"This poses a significant risk to offshore platforms that are usually protected from massive icebergs by being situated in shallow waters," he said, especially as exploration for oil grows in areas such as offshore Greenland, and the Beaufort and Chukchi seas.

The same warmer temperatures that are encouraging the collapse of ice shelves are melting icebergs and ice islands before they reach the north Atlantic, according to the International Ice Patrol, a program led by the U.S. Coast Guard to protect shipping from the sort of disaster that befell the Titanic.

In recent years the number of icebergs surviving south of the 48th parallel has declined, according to the Ice Patrol.

Along with the decline in sea ice, the disappearance of ice shelves that are thought to be thousands of years old is rapidly changing the Arctic landscape.

Ice shelves harbor surprisingly diverse collections of organisms in pools of sediment, organisms that might have value as enzymes capable of functioning in extreme cold and harsh light, Mueller said.

They have also acted as a sort of barrier, protecting huge glaciers from exposure to warming waters. Now that the ice shelves are disintegrating, these glaciers -- which are up to 10 kilometers (6 miles) wide -- are thought to be melting more rapidly, and contributing to rising sea levels.

Warmer temperatures in Greenland have led to widespread flooding in the southwest of the island as the ice sheet melts at rates unprecedented in the modern era.

In the Scientific American blog last July, researcher Ben Linhoff wrote: "In the four years our camp has existed on this glacial river, more meltwater is spilling out from beneath Leverett Glacier than we've ever seen."

Were that process to continue or accelerate, many scientists say, the anticipated rise in sea levels over the next few decades may have to be revised upwards.

The National Oceanic and Atmospheric Administration, in its annual Arctic Report Card, published this week, said dramatic melting of the Greenland ice sheet had occurred in July, "covering about 97 percent of the ice sheet on a single day."

Martin Jeffries, co-author of the report, said on the NOAA website: "As the sea ice and snow cover retreat, we're losing bright, highly reflective surfaces, and increasing the area of darker surfaces -- both land and ocean -- exposed to sunlight. This increases the capacity to store heat within the Arctic system, which enables more melting -- a self-reinforcing cycle."

All the evidence says that what in effect is the world's source of air conditioning is getting weaker, with consequences that will be felt far below the 48th parallel.

@highlight

Greenland's glaciers and Canada's ice shelves are diminishing fast, scientists say

@highlight

Giant ice islands are breaking off, sometimes floating into shipping lanes

@highlight

Yet the number of icebergs surviving south of the 48th parallel has declined

@highlight

Scientists are just beginning to research the rate at which ice islands melt and divide