(CNN) -- On January 6, 1367, at the Abbey of St. Andrew in Bordeaux, a royal baby was born. It was a boy. His father was the Prince of Wales, Edward of Woodstock (known to history as the Black Prince). His mother was a fabulously glamorous princess called Joan of Kent.

The child's grandfather was the aging King Edward III, and although at the time of his birth little Richard of Bordeaux had a brother, the elder child would die, and Richard would grow up to be king of England himself, crowned as Richard II in 1377, when he was just 10 years old. His reign would be more or less a disaster, but we needn't delay ourselves too much with that right now.

Richard of Bordeaux's birth was a moment of broad international interest. It mattered to the French, with whom the English were engaged in the Hundred Years War. It mattered in what we now call Spain, where the Black Prince was waging a brutal military campaign. It mattered to the other dignitaries of Europe. Richard's baptism was attended by three monarchs: Jaime IV, king of Mallorca; Richard, king of Armenia; and Pedro, the deposed king of Castile. In short, insofar as a medieval royal birth could be a world news event, this was.

Cohen: How to raise a royal baby

Where I stood today at St. Mary's Hospital in Paddington, London, where Catherine, Duchess of Cambridge, Monday gave birth to a baby boy, there were no foreign kings and queens hanging about to take part in the pageantry. But the birth of the royal baby was a world news event all the same.

There were rolling news crews from all over the world, beaming back to every inch of the globe pictures of ... well, of rolling news crews from all over the world. They knocked shoulders with tourists and well-wishers, who ranged from idle passersby to devoted monarchists wanting to drop off gifts for mother and baby. A few actual patients of the hospital leaned in doorways or rolled around in wheelchairs, looking bemused. It was a sweaty, heaving scrum.

Why? How is it that when the power of the English royal family is a nano-fraction of what it once was, that the Windsors' celebrations and reproductions still captivate the world just as the births of Plantagenet and Tudor babies once did?

'Wicked' author: Royal baby stands for hope

The news crew with which I was filming today told me that they had also interviewed a sweet couple from Indiana, who said they thought that the British monarchy was marvelous. Given half a chance, said these beaming visitors and arbitrary bellwethers of American sentiment, they would gladly have a king and queen of the United States. Did someone say 1776? No? Thought not.

I can't speak for the rest of the world, but in Britain it is fairly easy to analyze our own continuing fascination with, and popular enthusiasm for, the monarchy. Trite as it is to say, the royal family is a living link with our national history. Our history is built -- or taught, at any rate -- around reigns and dynasties. Our wonky constitution has largely evolved around the monarchy, from Magna Carta in 1215 to this year's Succession To The Crown Act, which provides (now, it seems, unnecessarily), for a girl to inherit royal power on equal standing in precedence to a younger brother.

Opinion: Why I wouldn't want to be royal baby

Culturally, monarchy has also become a form of very upmarket reality TV show: a magazine-shifter and a newspaper-seller, whose present season has some really good characters, both old and young. There is human sympathy for the royals as "real people" who have been through "tough times," but there is also the sneaking voyeurism attached to a family anointed, inescapably, with mystical celebrity. Who needs the Kardashians? We have the Royals, and they've been going for nearly a millennium.

And then, of course, we secretly recognize that the royal family is virtually the only surviving relic of the rigid class system of the British past. Even if (most of us) don't miss it in practice, there is a shared snobbish pride among swathes of the conservative middle Britain in being able to present ourselves to the world as a land of ranks and titles, blue blood and high birth, a nation that still has a nonsensical strain of privilege at its heart.

Opinion: Baby helps make a monarchy better

The very fact that this seems to fly in the face of every liberal credo of our times -- equality, democracy, meritocracy, openness, transparency, fairness -- only makes it more delicious. There is something medieval at the core of modern Britain, and I think we rather like the fact that the whole world is still prepared to sit up and celebrate it.

The opinions expressed in this commentary are solely those of Dan Jones.

@highlight

Dan Jones: Royal births in past were world news events, as they were key to world politics

@highlight

He asks: Why, when Windsors have so little sway now, does a birth still captivate world?

@highlight

He says Brits care: royal family a link to nation's history; Americans' interest less clear

@highlight

Jones: Monarchy like reality show; a tie to old class system. Brits jazzed that world cares