Washington (CNN) -- As the country goes into the weekend with the government shut down and neither side talking, there seems to be little hope for breaking the impasse any time soon.

And with the days ticking down toward the moment the country runs out of options to meet its debt obligations, the head-butting over funding the government might force Congress to try to work out a deal to get it running again and raise the debt ceiling at the same time.

CNN Chief National Correspondent John King and Chief Political Correspondent Candy Crowley were asked about the state of play as we end a tumultuous week as well what next week might look like.

Q: CNN and others reported that House Speaker John Boehner said to Republicans in private meetings that he will get something passed to avoid defaulting on the U.S. financial obligations, even if it takes putting something together that would attract Democrats. Did he blink?

John King: His top aides are saying there's no dramatic shift here. But the speaker's meeting in small groups with rank-and-file lawmakers. John Boehner knows when he goes into a meeting like that it's going to leak out.

What is he doing? He's sending an early signal that, ladies and gentlemen of the Republican caucus, 'we are not going to be part of defaulting.'

His obituary is already going to read he was the leader of a bizarre three-ring circus on Capitol Hill. He doesn't want to say he was the speaker when the government for the first time defaulted.

There's still a huge question of how you get there, though, because the speaker will continue to insist no raising the debt ceiling without getting something from the administration -- on spending cuts, on spending levels, on reforms in the most expensive government programs. And the president, of course, is on the record saying 'I won't negotiate.' You can reconcile those two positions by doing it in a couple of sequenced steps.

It's an optimistic statement from the speaker that we won't default, but getting from "A" to the finish line is still complicated.

READ MORE: House Republicans say shutdown likely to drag on

Q: Are we talking about a grand bargain again? It's hard to believe that could happen this time around -- things have gone from bad to worse in terms of relations between these two parties?

King: Sometimes at the bleakest moment is when something can be pulled -- a rabbit you pull out of a hat, if you will. However, when you talk to people in both parties and top aides close to all of the people involved, from the White House to the Republicans and the Democrats on Capitol Hill, most just don't see an environment because of the distrust, because of the looming political calendar of 2014 for a big grand bargain that does Medicare, Social Security, tax reform, other entitlements, other spending cuts in the government.

Is there a possibility of a smaller bargain that gets some of the things Republicans want in terms of savings in Medicare and Social Security, some other spending cuts? That is possible in these separate budget agreements.

The question is can you get the government re-opened, raise the debt ceiling and then do those things? Will the Republicans trust the Democrats to do that? Or because of the suspicions, will you have the revolt?

A lot of the fight has been about strategy and many people will say that's their frustration with Washington, they're more concerned about the political win rather than the ramifications and the ripple effect on the economy and the country. But the reality is it is about strategy.

Q: Mitch McConnell's and Rand Paul's hot mic moment was instructive in showing the disconnect between what they are supposed to be doing and what they want to be doing. What does it mean to you to overhear this?

Crowley: It certainly is a signal to the House. We had heard Rand Paul say publicly 'we're not going to be able to get rid of Obamacare.' But it's a great starting position. We have had, in particular in the Senate, a lot of Republican senators saying shutting down the government is a bad idea, it won't work for Republicans politically.

This tells me that they are in a position that the Senate doesn't want to be in. It tells me that they are hearing privately and publicly from the president 'no negotiations,' which probably is more troublesome in terms of there really isn't anything going on. We kept thinking there was -- that maybe somewhere people were talking about a compromise and clearly that's not happening.

So, what Republicans believe is that that particular stance -- we're not going to negotiate on anything -- is not going to survive the test of public will. So far, what we see is Republicans are taking the bulk of the blame. We'll see if that shifts.

Q: Why is Boehner not bringing up this vote for a resolution? What do you believe is behind it? Is he not doing this because he's worried about losing face or his job? Why is there no vote?

Crowley: I want to put something -- not particularly in this conversation -- but something we don't discuss all the time but that is there may not be the votes there.

I talked to Nancy Pelosi a couple weeks ago, and I said, 'Do you like the CR? I mean, if the House put -- if Boehner -- put just a straight old temporary spending resolution, do you like it?' She said, 'No. There's too many cuts in it.' There are Democrats who don't like the CR, even plain without anything attached to it.

There are Republicans that are always going to vote against it because it doesn't do anything about Obamacare, should a clean CR come up. There may not be the votes at the moment.

Having said that, certainly the main impetus is that his caucus is not with him at this point. I would also suggest it's not just the 35 or 40 in the tea party caucus. They have been pretty good at holding together. This is more than 40 congressmen at this point. Now we're beginning to see some fractures and maybe a dozen House Republicans looking for a way out, but they've held force with not just the tea party, although it does seem tea party driven, obviously.

Q: On the debt ceiling, what are you hearing -- on the one hand, Rep. Steve King says it's not that big a deal, that it's false demagoguery. On the other, Boehner says he won't let the country default on its obligations.

Do they get that this is a big deal?

Crowley: I'm hearing nobody wants to find out. The debt ceiling really has been, from economists to a number of folks on Capitol Hill, they just look at it and say, this really would be disaster on the U.S. economy, on the world economy. Even those who say, 'I don't know because I'm not an economist,' say, 'I don't want to find out.'

What we're hearing from Boehner I think certainly substantiates all of that. This is not something that he's going to allow to happen, even if it means he has to rely on Democratic votes. That's something for the Republican speaker of the House to say: "Even if I have to get Democrats to do it, we're not going to allow the debt ceiling not to go up."

@highlight

Boehner "leak" was a signal to his caucus that he's not going to be the one to put country into default

@highlight

Atmosphere in Washington is too toxic to hope for a "grand bargain"

@highlight

It's possible that Boehner might not get enough Democratic votes even if he drops GOP demands