(CNN) -- Superstorm Sandy inflicted havoc and heartache throughout the Northeast, hitting the Big Apple and its surrounding coastal towns hard. We have seen this kind of destruction before: I had an up-close-and personal view when Hurricane Katrina ravaged New Orleans and the Gulf Coast.

On August 31, 2005, I was designated commander of Joint Task Force Katrina, responsible for coordinating military relief efforts for damaged areas across the Gulf Coast. My arrival in New Orleans came after what was widely believed to be a poor performance by the Federal Emergency Management Agency and its director Michael D. Brown. We learned a lot about what really works in our Katrina recovery efforts -- but New York and New Jersey seem to be ignoring those lessons.

First, I would like to praise the search and rescue operations in New York and New Jersey. But they could be doing much better now that they've entered the difficult part, the recovery operation.

Where is the command center? Who is in charge? Where is the National Guard?

During the aftermath of Katrina, National Guard troops were positioned on every block to establish a sense of safety and source of help for the people in need. They did not leave communities till people were safe and sound. This has not happened in New York or New Jersey.

Opinion: Rebuilding after Sandy is too big a risk

The National Guard has served America as both a wartime force and the first military responders in times of domestic crisis. Hundreds of times each year, the nation's governors call upon their Guard troops to respond to fires, floods, hurricanes and other natural disasters. Why did New York Gov. Andrew Cuomo only call in half the New York Guard, especially when relief is still not reaching the severely affected communities?

The numbers speak for themselves.

During the Hurricane Katrina disaster, about 20,000 federal troops were mobilized; 20 ships, including a hospital ship, about 50,000 National Guard members and 200 helicopters assisted in the relief efforts. So far, in Sandy relief efforts, about 11,000 National Guard troops were deployed, and only two ships have assisted -- this as people still suffer.

Map: See images of destruction, recovery across the East Coast

Instead of Doctors Without Borders providing health care to about 300 people in Queens, Brooklyn, Staten Island and Hoboken, New Jersey, why wasn't the hospital ship USNS Comfort deployed like it was in Katrina, when it cared for needy people all along the Gulf Coast?

Opinion: What's next after the superstorm?

People need food and medical attention. People are still without power, people are still homeless and hungry. Following a logistics model to help those hardest hit is a necessity.

New York and New Jersey need to establish what is called an "enabler" model for recovery, which we developed during Katrina.

In this approach, you go in with Guard troops and you distribute food, water and medicine, but you also pick up trash, clean out sewer pipes, clean up hospitals, hook up generators, all in order to enable people to live in their communities. Troops should stay in communities until residents get everything they need to live in their homes, or till they can be evacuated.

New York City went in with food and rescue teams -- but in many cases, community volunteers were left to take up the slack.

News: FEMA's answers for NY storm victims -- put them back in their homes

Some FEMA officials complain that they must drive hours every day to get to the storm victims because New York has not provided them with any living accommodations. What's needed urgently are more disaster recovery offices in every community, where FEMA representatives can stay. People can easily apply for assistance, food stamps, grants for rebuilding or get food and water. This is especially urgent in New York, as poorer communities are at their most vulnerable now, with cold weather coming on and infrastructure still damaged.

Hurricane Sandy was one of the most vicious storm systems to hit the New York City area in nearly two centuries. The city seems to be treating the storm more like an inconvenience than a disaster. Katrina offered great lessons for successful recovery operations -- why didn't New York City pay attention?

The opinions in this commentary are solely those of Lt. Gen. Russel Honoré.

@highlight

Lt. Gen. Russel Honoré asks why New York has ignored all the lessons learned from Katrina

@highlight

Honoré: Sandy recovery has no command center, nobody in charge and no troop presence

@highlight

After Katrina, National Guard was out in force and hospital ship was available, he says

@highlight

FEMA workers complain they have difficulty reaching Sandy storm victims, he says