(CNN)Rita McCann still remembers the day when her joy at the prospect of giving birth to her first child turned into sheer terror.

It was December 15th, 1957 when she went into labor at a hospital in Dublin, Ireland. As she floated in and out of consciousness, she remembers being taken into a room with a single bed.

"I was pulled to the bottom of the bed. My legs were strapped into stirrups. I was nine months pregnant, flat on my back," she says. "I was helpless and I did not know what was going to happen."

"[Then] I got a local anesthetic and the torture began."

As a room full of medical students and doctors looked on, McCann says she could feel the pressure of a scalpel cutting into her. From then on, it was "just agony, literally agony," she recalls. "I got a cramp down my left side and I could not move at all to get myself any relief."

McCann, struggling against the searing pain, couldn't see what the surgeon was doing to her. She assumed he was performing a Caesarian section, but he wasn't. He was slicing into her pelvis to make way for her baby.

McCann, now 88, was undergoing a symphysiotomy -- a procedure seldom used by other industrialized nations by the mid-20th century as Caesarian sections became safer.

Symphysiotomy is a surgical procedure whereby the pubic symphysis -- the joint that holds the pelvis together -- is cut in order to widen the birth canal during labor.

Roughly 1,500 women in Ireland were subjected to symphysiotomy between the 1940s and 1984, according to the government.

The procedure can cause chronic pain and "rupturing of the bladder," which can lead to incontinence, according to Irish physiotherapist Jessica O'Dowd.

In cases where the pubic symphysis is completely severed, patients may get "earlier onset arthritis and joint degeneration," O'Dowd says. "The mechanics of your whole lower half of your body are changed because of that joint."

McCann says she never consented to the procedure, which she says has left a permanent gap in her pelvis.

The operation amounts to torture, according to survivors who have demanded an official apology from the Irish government and an independent inquiry.

"Above all, women want the truth about these operations. They have been denied the truth for 40, 50, 60 years," says Marie O'Connor, the chairwoman of Survivors of Symphysiotomy (SoS).

A brief filed by the survivors' group to the U.N. Human Rights Committee recounted some of the mothers' horrifying experiences under the knife.

"I just remember being brought into a theatre and the place was packed with people. I wasn't told what was happening ... I was screaming and being restrained," recalled Philomena, a pubiotomy patient and SoS member who recalled the birth of her third child in 1959, at the same hospital where Rita McCann had given birth two years before.

"I couldn't see much except for them sawing. It was excruciating pain," she said. "I was just 27 and I was butchered."

Cora, another SoS member, says she was just 17 when doctors performed a pubiotomy (a procedure related to symphysiotomy) on her during the birth of her first child in 1972.

"I was screaming. It's not working, [the anesthetic] I said, I can feel everything ... I seen him go and take out a proper hacksaw, like a wood saw ... a half-circle with a straight blade and a handle," she said.

"The blood shot up to the ceiling, up onto his glasses, all over the nurses... Then he goes to the table, and gets something like a solder iron and puts it on me, and stopped the bleeding. ... They told me to push her out. She must have been out before they burnt me. He put the two bones together, there was a burning pain, I knew I was going to die."

Campaigners have accused the doctors, who worked primarily in Catholic hospitals, of putting their religious beliefs before the well-being of patients.

"The surgery was an abuse of power, a pre-emptive surgical strike against the practice of birth control by obstetricians who disliked Caesarean section, on account of its association with what Archbishop [of Dublin Charles] McQuaid termed the 'crime of birth-prevention," O'Connor wrote in 2012.

McQuaid was Archbishop of Dublin until 1972 and died the next year.

CNN reached out to Ireland's Department of Health for comment and was referred to the government-commissioned inquiry from 2013. That report acknowledged the influence of religion on obstetricians in a Catholic country where birth control was illegal from 1935 to 1980.

It notes that Alexander Spain and Arthur Barry -- the doctors who championed the procedures at Dublin's National Maternity Hospital in the 1940s and 50s - were "devout Catholics, serving a predominantly Catholic patient population, and they made no secret of their willing conformity to religious precepts in the treatment of patients."

But the report also acknowledged the legal limits on medical practitioners at the time. "Whatever their personal inclinations or beliefs, doctors practising in Ireland were confined by key legislative limits in relation to family planning and advice," the report noted.

The U.N. Human Rights Committee last summer asked Ireland to conduct a "prompt, independent and thorough" inquiry into symphiosotomy.

In July, as a result of the government-commissioned inquiry, Ireland launched an "ex-gratia" scheme -- one that allowed for payment without admission of liability -- to compensate victims with payments ranging from 50,000 to 150,000 euros, depending on the severity of the case.

But Marie O'Connor says the government's offer doesn't do nearly enough for women who were physically and emotionally crippled by the procedures at state hospitals for decades.

"That is a sum of money that anybody would get here if they broke a leg at work," she says.

"It seems to us that what the state is trying to do is buy off survivors at the lowest possible cost," she says. "The payment scheme is an ex-gratia scheme, which does not meet international human rights standards because it is based on no admission of wrongdoing." She says some women are pursuing legal action.

Rita McCann, one of the roughly 300 victims who is still alive, is not among those looking to the courts. And although she didn't find out about what had happened to her for decades, she says she has felt the effects of her symphysiotomy since the day it happened.

When McCann left the hospital, she says she could barely walk for the first six months, and she had to move back home to Monaghan in north Ireland so her parents could help raise the baby.

"To walk or to lift the baby, my back would just go into a spasm, and my legs wouldn't work," she says. "Basically you were crawling around holding on ... and that lasted for a long, long time."

As bad as the pain was, McCann claims that she wasn't told about the procedure, and says that "secrecy" hurt even worse.

"He was obviously sawing me in half," she says. "Why they couldn't come and tell me?"

"It left me feeling guilt and it left me wondering on what effect it would have on my baby later in life. It was having a very bad effect on me so it was bound to have some effect on the baby."

"It never dawned on me that there was an alternative," she says. "But I think I would have taken the Caesarian."

Before McCann lost consciousness on that terrifying night at the hospital more than 57 years ago, she recalled the surgeon telling a student, "When she has a fine baby boy or girl in the morning, she will forget all about it."

But she says she can't erase the devastating impact of her symphysiotomy. "It has been a lifetime," she says. "It's been a life sentence."

@highlight

1,500 women in Ireland were subjected to symphysiotomy operations from the 1940s to 80s

@highlight

Victims say the procedure, administered during childbirth, left them with broken pelvises and lifelong injuries

@highlight

Some women were never consulted or told about the procedure; campaigners want an official apology