(CNN) -- If your passport is gathering dust and your suitcase desperately needs a workout, don't throw away thoughts of a thrilling vacation just because your wallet doesn't match your wanderlust. Supply and demand dictate pricing in nearly every industry, and travel is no exception.

When things are less than perfect, they cost less. So Europe is cheaper in the fall, when the weather can be sketchy and the landscape isn't quite as alluring. When school's in session, it's a challenge to take the kids out of class, but your Disney vacation will be a lot less expensive.

In addition to costing less, these trips have other perks: A theme park with fewer crowds means that your kids are more likely to get some face time with Mickey and Cinderella. And if you opt for Europe right after Thanksgiving, you'll be there during prime time for the Christmas markets.

Here are five times when bargain-hungry globetrotters can get their fill:

Need a deal now? Head for the ocean.

If you want to take advantage of the cheapest time to be afloat, you should be reading this from your cabin aboard a cruise ship. October and pre-Thanksgiving November is the time when you can sail through the Caribbean on a last-minute deal that's oh-so-easy on the wallet. It's the fringe of hurricane season (officially, it's June 1st - November 30th) but remember that cruise ships can alter their routes when a storm hits, whereas a resort cannot move from the path of danger.

"The itinerary might change slightly, but you still get your cruise," said Chris McGinnis, director of Travel Skills Group. "The best time to be on vacation in the Caribbean is actually when there's a hurricane someplace else in the region, because if you're not in the path, the storm sucks all the bad stuff out of the way and you're left with perfectly gorgeous weather."

And even though many people book cruise vacations during the first three months of the year (known as "wave season"), seaworthy travelers looking for a deal should hold off in order to scoop up last-minute savings, McGinnis said.

"As long as you don't have your heart set on a specific destination or specific ship, there is sure to be a plethora of great last-minute deals."

Just be sure to purchase travel insurance if you're heading to Mexico or the Caribbean in the fall, just in case of bad weather.

Go between the expensive holiday travel periods.

One of the cheapest times to pack your bags is just around the corner: It starts about the same time the final leftovers from Thanksgiving are gobbled up and lasts until just before the airports fill up with Christmas travelers.

"We always recommend the three weeks after Thanksgiving," said Travel Leaders travel agent Kristy Osborn. "The airports are not crowded, the cruise ships are not full of holiday travelers, and there are no hurricanes."

McGinnis concurs. "The cheapest time to travel, to pretty much anywhere, falls between the two most expensive travel times. The only exception to that rule is New York City because everyone wants to go shopping then," said McGinnis.

You may think "Disney" and "deal" don't go together, but if you can finagle a way to get there when school is in session, you'll reap the financial benefits. If your children have unexpected time off from school, or the academic calendar shifts for some reason, that's the time to book your Disney trip. If your kids are pre-school age or you can take their studies with you, those weeks between Thanksgiving and Christmas offer the same Disney magic, for much less.

These same rules apply between New Year's Day and spring break.

Enjoy the white stuff without spending so much green stuff.

The end of ski season in the spring is the time to enjoy the slopes without splurging.

"There are world-class hotels in famously pricey ski destinations offering amazing deals," said Jaime Freedman, a deals specialist at Travelzoo.

It happens at the beginning of the season too for domestic and international ski meccas, and Freedman said Canada is one place to find some frosty deals. "Mont-Tremblant and Whistler, for example, have great deals a few weeks prior to ski season and then again at the tail end once the weather warms up."

Turn up the heat, turn down the price in "hot" cities.

If you've always wanted to see Las Vegas but need a sure bet on low pricing, visit Sin City in July and August when hotels are clamoring for guests.

"Don't let 115 degrees on the thermometer scare you," said SRI Travel & Promotion owner Renee Werbin, who points out that "Everything is air conditioned and you can take trams between hotels."

Miami is also a good bet for cheap travel in the summertime, and the traditionally hot and humid summers of New Orleans mean you can also find some fabulous deals in the Big Easy.

Winter is easy on the wallet and full of options.

There may be a gray sky behind the Eiffel Tower or Big Ben when you take your vacation photos, but that's nothing a little photo editing can't fix. Nothing beats Europe in the fall and winter if you want more bang for your buck.

"Common sense is always your guide. Travel to Europe in the winter months and stay in deluxe accommodations that would cost substantially more in spring and summer seasons," said Werbin.

A Canadian (non-ski) holiday is also something to consider if you can handle the cold temperatures that usually freeze the prices at lower-than-normal numbers. And if you're looking for something exotic, Asia is usually on sale as well.

"Asian prices always drop during winter months; even Tokyo can be a bargain prospect in January and February," said Travelzoo Senior Editor Gabe Saglie.

Of course there's an exception to the winter discounts: unless you're extremely flexible, it's usually hard to find a deal between Christmas and New Year's Eve.

You'll also be hard-pressed to find a safari on a clearance rack, but if you want to do it for the lowest price possible, go during the hotter, rainier season in southern and central Africa between November and February. But keep in mind that there's a school holiday in December, so November, January and February are the best bets.

"Our winter time is hot, hot, hot down in South Africa, which is when you'll see some savings," said Freedman.

Werbin said she reminds her clients, "Animals are never on vacation."

@highlight

Traveling on the cheap means going against the crowds

@highlight

The weeks right after Thanksgiving, and before Christmas, offer great discounts

@highlight

Going where it's very hot or very cold doesn't mean suffering the elements outdoors

@highlight

You'll find savings, maybe even winnings, in Sin City in the summer