(CNN) -- A disputed maritime border. Long-standing tensions. And Tuesday, a sharp escalation of hostilities. North and South Korea fired at each other for about an hour on an island that sits off a disputed border. The deadly skirmish raised fears of war between the two rival nations, once again spiking tension in the entire region.

How did the latest hostilities begin?

South Korea said North Korea fired artillery Tuesday toward the border between the two nations. Two South Korean marines were killed and 18 soldiers and civilians were wounded.

South Korea had been conducting maritime military drills, which the North called "war maneuvers."

The North accused the South of "reckless military provocation" for firing dozens of shells inside North Korean territory around the South Korean island of Yeonpyeong.

Plumes of smoke billowed from the island of 1,300 people but it was not immediately clear how much damage was incurred. Many residents were fleeing to the South Korean port of Incheon.

Why did this happen?

Tension has been running particularly high in the Korean peninsula after the March 26 sinking of the South Korean warship Cheonan. Tuesday's incident, however, is one of the most serious that has occurred in recent years.

The hostilities come as North Korea is undergoing transition -- the ailing and reclusive leader Kim Jong Il is believed to be in the process of transferring power to his son Kim Jong Un. Some analysts believe upcoming internal changes have prompted North Korea to flex its military muscle in recent days.

Tuesday's violence was also preceded by the revelation of a North Korean uranium enrichment program.

Has this happened before?

Yes, Yeonpyeong Island has come under attack before. Last January, South Korea reported that the North had fired shells that fell in waters north of the Northern Limit Line, the de facto inter-Korean maritime border.

North Korea wants that border redrawn farther south.

Over the past six decades, small-scale skirmishes have flared repeatedly along both land and sea borders as each state aims to reunify the peninsula according to its own terms and system of government. Deadly naval clashes occurred along the demarcation line in 1999, 2002 and 2009.

What is the history of conflict?

After Japan's defeat in World War II, Korea became a divided nation, the capitalist South supported by the United States and its Western allies and the communist North an ally of the Soviet Union.

Cold War tensions erupted into war 1950, devastating the peninsula and taking the lives of as many as 2 million people. The fighting ended with a truce, not a treaty, and settled little.

Technically, the two Koreas are still at war.

Besides the border skirmishes, other incidents also have proved provocative. In 1968, North Korea dispatched commandos in an unsuccessful attempt to assassinate South Korea's president. In 1983, a bombing linked to Pyongyang killed 17 high-level South Korean officials on a visit to Myanmar. In 1987, the North was accused of bombing a South Korean airliner.

What happened with the Cheonan?

South Korea said a North Korean torpedo last March sent the warship Cheonan to the bottom of the Yellow Sea off the Seoul-controlled island of Baengnyeong. The sinking, also in the border area, killed 46 South Korean sailors.

South Korea was outraged by the incident. North Korea vehemently denied any responsibility, even after an international investigating team blamed North Korea. The United Nations Security Council statement condemned the attack but stopped short of placing blame on the North.

Will the two nations go to war?

South Korea put its military on high alert following Tuesday's exchange of fire. But whether that will translate into further military action is impossible to predict.

Events in the past few months suggested a slight thawing of icy relations.

North and South Korea had begun discussions on the possible resumption of reunions of family members separated by the Korean War, and North Korea has requested military talks. In early September, the South offered food aid to the impoverished North for the first time in three years.

Given the closed nature of North Korean politics, it's hard to tell what changes the new leadership of Kim Jong Un will entail or whether re-engagement is on the table. Another wild card is the influence of China; some South Koreans fear a Chinese takeover in the event of a North Korean collapse.

Some analysts viewed Tuesday's exchange as North Korea flexing its military muscle in the light of its leadership transition. Others said it was related to the nuclear issue.

How will nuclear talks be affected?

Washington accuses Pyongyang of running a secret uranium-based nuclear program. The United States, along with the two Koreas, Russia, Japan and China, have been involved in what is called the Six Party Talks.

But those talks have been slow, arduous and in limbo since 2008. And after the revelation of the North Korean uranium enrichment facility a few days ago, the resumption of talks seemed to be in jeopardy.

Stephen Bosworth, the U.S. special envoy on North Korean denuclearization, said Tuesday's hostilities will prove a further obstacle.

Choi Jin-wook, senior researcher at the Korea Institute of National Unification, said the North is "frustrated with Washington's response to their uranium program, and they think that Washington has almost given up on negotiations with North Korea."

"I think they realize they can't expect anything from Washington or Seoul for several months, so I think they made the provocation," Choi said.

Journalist Andrew Salmon contributed to this report.

@highlight

Tension has been high since the sinking of the South Korean warship Cheonan

@highlight

A changing situation inside North Korea and the nuclear issue may also be factors, analysts say

@highlight

Yeonpyeong Island also was at the center of a skirmish in January