North Kingstown, Rhode Island (CNN) -- What does Katherine Russell know?

We're not the only ones who want answers to that question. According to a number of federal officials, investigators have plenty of questions for the widow of slain Boston Marathon bombing suspect Tamerlan Tsarnaev:

What might she have known, if anything, about his activities in the days and months preceding the April 15 bombings? About his travel and associations?

And then there's that phone call law enforcement sources say Russell placed to her husband after authorities released pictures identifying him as a suspect in the bombings.

What was up with that?

If it sounds like there are more questions than answers, you're right.

Investigators haven't said what, if anything they know about what Russell knew before and after the bombings, which left three people dead and more than 260 wounded.

Four people have been charged in connection with the bombing, including Russell's brother-in-law, Dzhokhar Tsarnaev, who is suspected of carrying out the attack along with his brother, Tamerlan, 26. The older brother died April 19 after a firefight with police, hours after authorities released images of the suspected bombers.

Three of Dzhokhar's friends were charged Wednesday, accused of helping cover his tracks after the bombing.

Authorities allege two of the men disposed of potentially incriminating items from Dzhokhar's dorm room and a bag containing fireworks; the other allegedly made false statements to police. A laptop belonging to Dzhokhar is now in FBI custody, two federal law enforcement officials told CNN. A lawyer for one of the suspect's accused friends said his client turned it over.

Who is Katherine Russell?

Friends describe Russell, a 2007 graduate of North Kingstown High School, as "artistic," "normal" and "well-liked," a fan of the rock singer David Bowie.

She had one dustup with the law -- a June 2007 arrest for stealing $67 in goods from Old Navy. She acknowledged the theft and gave back the merchandise, according to court records.

Later that year, she moved to Boston and enrolled at Suffolk University.

Then she met Tamerlan Tsarnaev at a nightclub.

Russell dropped out of school her freshman year, converting to Islam before the couple married in a Massachusetts mosque in June 2010. A daughter, now 3, came soon after.

She reportedly worked long hours as a home health aide while her husband stayed home to care for the child.

Did she know?

According to her attorney, Amato DeLuca, the 24-year-old widow knew nothing of plans to bomb the race, and reports of her husband's involvement came as an "absolute shock" to Russell and her family.

But tantalizing clues that have leaked into public have helped keep the spotlight on Russell, a Rhode Island native.

For one, law enforcement sources told CNN last week that a woman's DNA had been found on a fragment of a pressure cooker used in the attack. Now, that DNA could have come from anyone -- from a clerk at the store where the Tsarnaev brothers allegedly bought the pressure cookers to a victim of the bombings.

And even if DNA samples last week show the genetic material was Russell's, one of the sources cautioned, it wouldn't prove Russell had done anything criminal at all. After all, lots of people handle pressure cookers every day in kitchens across America.

More recently, two sources familiar with the investigation told CNN that Russell had spoken with Tamerlan after his picture appeared on national television April 18.

What exactly the two said remains under investigation, the sources said.

Investigators may be able to recover the conversation, said Tom Clemente, a former counterterrorism agent for the FBI.

"We certainly have ways in national security investigations to find out exactly what was said in that conversation," he told CNN's Erin Burnett on Monday, adding that "all of that stuff is being captured as we speak whether we know it or like it or not."

"It's not necessarily something that the FBI is going to want to present in court, but it may help lead the investigation and/or lead to questioning of her," he said.

Legal questions

More questions arise when it comes to what legal obligation Russell might have had to inform authorities of her husband's identity once the photos went public.

Russell didn't have any legal requirement to call authorities on learning her husband was potentially involved, criminal defense attorney Mark Geragos told Burnett. Spouses can't be compelled to testify against each other in criminal cases.

"Maybe from a moral standpoint she would have wanted to do that," he said.

CNN legal analyst Paul Callan said he didn't believe Russell would be able to enjoy "spousal privilege" against investigators' questions.

"The wife of a criminal defendant generally gets a spousal privilege" if there is a discussion that happened within the context of the marriage, Callan said. "It's protected. That's what spousal privilege is about. But when the husband dies, and where he has revealed what he has told his wife to a criminal co-conspirator, the communication is no longer confidential and the wife cannot claim spousal privilege protection."

The privilege is "really only meant to protect confidential communications to protect the institution of marriage," he said.

Russell can still assert the Fifth Amendment to protect herself, unless she gets immunity from prosecutors, he said.

Defense attorneys often seek immunity for their clients in exchange for providing authorities with information.

"Her lawyer is probably sitting down with her, very worried about the fact that she may face charges herself, depending on the knowledge of the plot," Callan said. "She has to have good information to get a deal from the feds, and that's what we don't know about at this point -- what kind of information to trade."

Russell's day-to-day life

In the meantime, Russell remains largely out of view inside her parents' North Kingstown home, a fleet of unmarked law enforcement vehicles outside whenever she is there.

The federal presence has caused such a disruption the local police have stepped up patrols in the neighborhood out of concern for the Russell family.

She emerges about once a day, often wearing a leopard-print hijab, to travel to her attorney's office in Providence, where she meets with lawyers and federal investigators. The nature of those meetings remains unclear.

While she has not spoken with the public, her attorneys have said Russell is distraught over the loss of life and injuries suffered by bombing victims.

"She cries a lot," DeLuca said last week.

Erin McPike and Aaron Cooper reported from North Kingston; Michael Pearson wrote from Atlanta; CNN's Carol Cratty, Rachel Streitfeld, Susan Candiotti, Deb Feyerick, Gloria Borger and Michael Martinez contributed to this report.

@highlight

FBI, and America, have questions for suspected bomber's widow

@highlight

Investigators want to know what she knew of her husband's activities

@highlight

Her lawyer says she knew nothing of plans to bomb marathon

@highlight

She spends her days in her parents' Rhode Island home