(CNN) -- When my airplane touched down in Birmingham, Alabama, I could not stop grinning.

The trip last weekend fulfilled a lifelong dream to visit all 50 states. At age 31, I reached my goal. Alabama may not be at the top of many travel wish lists -- it wasn't on mine -- but its layered history offers many memorable experiences.

I took an airport selfie right away, holding a map of the USA on which I proudly wrote, "I've been to ALL 50 states!"

It's a map my dad pulled out of a phone book when I was a kid, penciling in the year we checked off each state. I've carried that simple map along on my travels, slowly filling it in.

Collecting states is a family tradition. My sister Mary reached 50 states when she was 21 and two of my uncles reached it in their 40s. My father has been to 49 states and my mother has been to 48.

By the time I was a year old, I had been to 10 states, and by the time I was seven, I'd visited 25. Over the past four years, I've traveled frequently for work, often visiting 20 to 25 states a year, and I have been to most states multiple times.

There's a lot of debate around what counts as a visit. Some people believe you need to stay overnight or eat a meal. Others count airport layovers. In my family, we say you need to stand on the ground in the state.

Despite all of my travel, I've had to make a handful of dashes across a border to cross off a state still on my list, but even those trips create lasting memories.

When I was 22, my cousin Maureen drove my sister, other relatives and me from her home in Memphis across the borders of Mississippi and Arkansas. The occasion for our visit was very sad: Her mother had just died from ovarian cancer. But driving us to neighboring states is what her mom would have done if she were alive to help us with our goal, Maureen said.

For North Dakota, Oklahoma, and New Mexico, I tacked solo road trips onto business travel in neighboring states, driving up to 600 miles round-trip just to check off a state.

In the other 45 states, I've spent time meeting people who live there, sampling the food and the local attractions. I've had Whoopie pies in Maine, Skyline Chili in Ohio, hush puppies in North Carolina, fried dill pickles in Texas, huckleberry ice cream in Montana and poke in Hawaii.

50 states, 50 spots for 2014

I've lived in seven states from coast to coast, and I don't identify any one of them as home. The nation is my home, with its diverse landscapes, communities and landmarks. Plus, a college degree in history heightened my curiosity about the places I've studied.

History is filled with a mixture of tragedy and triumph, and Alabama certainly fits. Capping off my American tour in Alabama was a meaningful way to end, but in truth visiting Heart of Dixie last was accidental.

I thought a trip to a wedding in Hawaii with my partner Mark in January would fulfill my goal and I even bragged about it on Facebook. But then I dug up my dad's map on the day of our flight and saw that both Alabama and New Mexico were blank. Oops.

So the quest continued. I visited New Mexico in February and my mom said she'd meet me in Alabama in May. She flew from Florida while I came from Virginia.

We planned a trip centered around heroines of history and literature.

In Montgomery, we stood at the very spot where Rosa Parks boarded the racially segregated bus in 1955 and refused to give up her seat. A number of other women, many of whom worked at the nearby university, had been brainstorming a bus boycott and jumped into action that night. After 13 months, their boycott worked.

We drove down to Monroeville, the hometown of Harper Lee, where we watched a play based on her 1960 book "To Kill a Mockingbird" at the courthouse that inspired the setting in her book. The 1903 courthouse is now a museum with exhibits about Lee and her famous neighbor Truman Capote.

This literary classic ranks among my favorite books, and it felt likes stepping back in time to see the volunteer actors perform it in Lee's hometown. Before the performance, we followed a walking tour map to Mel's Dairy Bar, the spot where Lee's childhood home had once stood and paid silent homage to her.

The literary tour continued in Irondale because my mom and I love the Towanda-power of the movie "Fried Green Tomatoes" (1991) and the book that inspired it, "Fried Green Tomatoes at the Whistle Stop CafÃ©" (1987) by Fannie Flagg.

Flagg's great aunt co-owned the Irondale CafÃ©, which was the inspiration for the fictional cafÃ©. As a steady stream of trains whistled by, we tucked into greasy, tasty fried green tomatoes and other Southern cuisine.

Back in Birmingham, we took another look at some of the state's most troubling past at the Sixteenth Street Baptist Church -- where four girls died in a bombing -- and Kelly Ingram Park -- where white people attacked unarmed black children protesting segregation.

Both events occurred in 1963 at the height of the civil rights movement. Visiting the sites highlighted for us the bravery of those seeking equality and the brutality of those who opposed them.

We spent hours at the Birmingham Civil Rights Institute. When we started, there were students running all around us, noisily doing a scavenger hunt, but by the end, we were alone, absorbed in the exhibits.

.

From slavery to segregation to the heroic tactics to end it, the institute tells the gripping, moving story of change through printed words, audio clips and film. Women were appropriately honored for their crucial role, especially their on-the-ground organizing, something that too many history books and people overlook.

From visiting national parks and historic landmarks to meeting kind and interesting people in big cities and small towns alike, I've had many memorable trips.

But learning more about and honoring women I admire, both real and fictional, with the added benefit of spending time with my mother, puts the Alabama weekend near the top of the list.

And of course, thanks to this trip I finally have the bragging rights to say I've been to all 50 states!

Do you have a 50-state goal? Share your stories and photos with iReport and tell us about your experiences below.

Holly Kearl runs the nonprofit organization Stop Street Harassment, works for UN Women and the OpEd Project, and is an adjunct professor of women's studies at George Mason University.

@highlight

The goal of visiting all 50 states is a tradition in author Holly Kearl's family

@highlight

Kearl just visited her 50th state with a visit to Alabama

@highlight

Her Alabama itinerary included literary and civil rights history