(CNN) -- Late last month, school officials at Deborah Brown Community School in Tulsa, Oklahoma, sent 7-year-old straight-A student Tiana Parker home crying. Her offense? Wearing dreadlocks. The school's policy at the time said "hairstyles such as dreadlocks, afros, mohawks, and other faddish styles are unacceptable."

Rather than change their daughter's hair to adhere to the school's policies, Tiana's parents, Miranda and Terrance Parker, instead made the brave decision to remove their daughter from the school.

The charter school's board decided Monday night to change its dress code, but when I first learned about the story, and saw Tiana in tears, it reminded me of a time in my life when I yearned to have long, straight flowing hair. Hair that looked nothing like the hair that grew naturally out of my head. Hair that my mother would have to pay someone else to create through chemical processing. Hair that, when it was "done," still didn't look "did" -- at least not like the tresses that garnished the heads of all the little girls that other children and adults named "pretty." Hair that forever escaped me. Hair that, in its absence, made me cry.

Whereas I spent most of my youth chasing beauty, at only 7, Tiana and her parents are simply seeking affirmation for a beauty that is the child's own; a beauty that would take me another 17 years to find. Seeing that precious little brown girl break down and cry in front of news cameras, I became instantly focused on her. And her spirit. And her self-reflection. And I wanted to do something for her.

So I reached out to other women with dreadlocks -- more positively referred to as "locs" -- to create a care package, of sorts, to affirm a little girl's beauty; a digital book of photos and messages from 111 women and girls from all over the country and all over the world, all of whom wear their hair in locs, all of whom want Tiana to know that she and her hair are perfect.

When a 7-year-old, straight-A student is removed from class and told that she cannot go to her school any longer simply because she wears her hair in a culturally specific hairstyle, there is a big chance that her reflection on herself, and perhaps even her culture, will be negatively impacted. Rather than run the risk that little Tiana might look in the mirror and see something wrong, I wanted to manually, if not emotionally, insert a positive reflection for her, one that I myself didn't get until I was well into my adult years.

It wasn't until I was an adult that I learned about the politics of black beauty. We live in a society in which normative standards tend to reflect those ideals established by the dominant group. And in a racialized society such as our own, one in which the white ideal is constantly pedestaled as the ideal against which all other bodies are measured, black bodies are often regarded substandard -- "unacceptable" as is. For black women, our ability to be perceived as beautiful in this society depends upon our ability to emulate a white ideal for feminine beauty. The closer our features are to white ones -- straight hair, light skin and aquiline features -- the more likely it is that we will be regarded as beautiful. So when compared to a white ideal, natural hair is not beautiful, especially not dreadlocks.

But the issue here isn't just one of beauty. Tiana was not asked to leave her school because her hair was judged "ugly." She was asked to leave because school officials opined that her hair was "faddish" and "unacceptable." The problem lies in perspective: On what grounds and on whose terms do we determine what is "acceptable?" Dreadlocks are rooted in our cultural history and are as old as humanity itself. Yet Tiana's African-American led school, one chartered by Langston University, a historically black university, didn't view her hairstyle in the truth of its own cultural significance. And therein lies the issue.

Tiana's story is the one that made the news, but so many young girls question their beauty every single day. Our girls need constant affirmation. Girls need to know they are beautiful, even though there are people in this world that would have us believe that natural hair is "ugly" and "nasty." If they can't pick up a magazine in the checkout line of the grocery store, turn to any page, and see themselves reflected, then we as adults have to provide them that reflection. And affirmation.

"A Care Package Full of Locs" is one such reflection -- my attempt to begin to ground Tiana and all the little Tianas in their own culture, and in their own norms, and in their own beauty, lest they be forced to compare themselves to others, lest they look in the mirror and find something wrong. Plus, I just want them all to know that they have an army of sisters, cousins, aunties, mamas, grandmothers and elders all over the world who support them.

I sent the care package to Tiana and her family. When I spoke to them Sunday, they were extremely thankful for the outpouring of love and support. And when I asked Tiana how she was feeling, she responded, "Much better. Thank you." A few hours later she sent me a text to tell me her message to little girls -- "Believe in yourself."

As I did back in December, after CNN aired its documentary "Who is Black in America?" and as I do often, I'm calling on everyone to join me in "singing a black girl's song," not only for Tiana, but for all the little girls who could benefit from the affirmation of their beauty and their value. An intimate weaving of past and present, memory and contemporary, their stories are our stories. Perhaps if they know that we truly understand, they can be encouraged to see themselves through our eyes; perhaps they will soon be able to see themselves for what they are: Pretty brown girls.

No matter her hair texture, length, color or style, please, in some way, tell a little black girl that she is beautiful today. And every day.

The opinions expressed in this commentary are solely those of Yaba Blay.

@highlight

An Oklahoma student was told wearing dreadlocks was against the school policy

@highlight

This week, the elementary school changed the dress code policy

@highlight

Author Yaba Blay says people should affirm brown girls' beauty and value