Baghdad (CNN) -- Tariq al-Hashimi, Iraq's Sunni vice president, disputes the government's charges that he organized a death squad targeting government and military officials, saying the false claims are politically motivated and he has never and will never be involved in violence.

"Today it is al-Hashimi, tomorrow it will be someone else," al-Hashimi told reporters Tuesday in the northern Iraqi Kurdish city of Irbil, where he discussed a warrant issued for his arrest by Prime Minister Nuri al-Maliki's Shiite-dominated government.

Iraqiya, the Sunni-backed but cross-sectarian political bloc to which al-Hashimi belongs, has accused al-Maliki of consolidating power, saying the Shiite-backed political leader has refused to give up control of Iraq's Interior and Defense ministries.

"I have said there is a purpose behind this and there is political assassination and today there is a fabrication to embarrass this man after all he has done over the years and despite all the sacrifices made," al-Hashimi said, referring to himself and his efforts to bring about political consensus in the diverse country during the post-Saddam Hussein era. "After eight years I am rewarded with this."

The warrant issued for al-Hashimi's arrest is the latest in a series of events that have threatened to destroy Iraq's fragile power-sharing agreement between Sunnis, Shiites and Kurds, raising fears about the stability of the country even as the last of U.S. troops are withdrawn. The arrest warrant was issued just days after Iraqiya suspended its participation in Parliament amid claims it was being cut out of the political process.

The charges appear to be based on the purported confessions of three men, identified as security guards for al-Hashimi. Iraqi state-run TV aired video of the men's confessions. CNN cannot independently verify their identities.

An official in al-Hashimi's office, who spoke on condition of anonymity because of security concerns, said the three men in the videotaped confessions were security guards for al-Hashimi. The official said the men did not look distressed, though they believe they were under some sort of threat to make such confessions.

Among the confessions was one by a man who detailed roadside bombings and shootings that targeted government and security officials in 2009.

The person speaking said orders at times came directly from al-Hashimi and at times through his son-in-law, Ahmed Qahtan, who is also a senior member of his staff.

The man said the improvised explosive devices were produced and kept at an abandoned house belonging to al-Hashimi in the al-Yarmouk neighborhood.

He also alleged that the vice president personally thanked him after a number of attacks, and that he was rewarded $3,000 after the first IED attack against a senior Ministry of Health official.

The man in the video said al-Hashimi ordered him to map out security locations and checkpoints for the Baghdad Brigade, which protects the Green Zone. He said he was speaking out to "clear his conscience" and "expose this criminal."

Al-Hashimi said he had been warned to adopt certain political stances or the confessions would be aired. He said foreign political agendas and other countries moved this case against him but didn't elaborate. Iraqiya members and others have said al-Maliki is backed by Iran.

Addressing reporters in the country's Kurdish region, al-Hashimi indicated that the claims and the accusations that he engaged in these activities are absurd.

He said the case should be transferred to the semi-autonomous Kurdish territory because of its neutrality. He also called for Arab League observers and attorneys from the Arab Lawyers Union to guarantee the fairness of any proceeding. That's because at present, he said, the country's "judiciary has been politicized and lost its independence years ago and is controlled by the executive authority."

"I have big question marks over these confessions they made," al-Hashimi said.

"They can be easily disproved and refuted. But despite that, justice must take its course and everyone must resort to it, but on the condition that the requirements for justice are available."

"I am ready, along with my security guards, to stand in front of any judge as long as the basic requirements for justice are available," he said.

Al-Hashimi questioned the legal procedure in the case and said airing confessions violates Iraqi law.

He said federal court, and not the criminal courts, should handle charges against an Iraqi vice president. He also raised the issue of political immunity. Parliament members have immunity and cannot be prosecuted in crimes unless their immunity is lifted by the country's Council of Representatives. Al-Hashimi questioned why he doesn't have the same immunity.

"It is strange that an investigation into various, complicated and old crimes committed over the years is concluded within 48 hours," said the vice president.

"This proves that the confessions were ready before the arrest of some of my security guards who are suspects; they have worked with me over the past years with the utmost professionalism and no violation or acts punishable by the law were recorded against any of them."

When asked who is responsible, he said he directs "the blame ... to Mr. Maliki."

Since October, Iraqi security forces have rounded up hundreds of people accused of being members of Saddam Hussein's outlawed Baath Party or terrorists. Iraqiya says the majority of those people are members of its political bloc and that the prime minister is simply taking out his opponents.

The political turmoil in Iraq is raising concerns in Washington, with officials saying they are closely monitoring the reports about the arrest warrant.

"We are talking to all of the parties. We've expressed our concern regarding these developments. We're urging all political sides in Iraq to work out their differences peaceably, politically, through dialogue, and certainly in a manner that is consistent with democratic political processes and international standards of rule of law," said Victoria Nuland, a spokeswoman for the State Department.

Ambassador James Jeffrey has been in contact with all of the parties in recent hours, she said Monday.

Al-Hashimi left Baghdad Monday for the Kurdish region for emergency talks with Shiite Vice President Khudayyer al-Khuzaie and Iraqi President Jalal Talabani. The Interior Ministry said al-Hashimi has been banned from leaving the country.

The vice president questioned statements from U.S. President Barack Obama, who recently said that U.S. troops were leaving an Iraq he described as democratic. He didn't understand if Obama is being misled or ignoring "the reality on the ground."

"I am a vice president addressing him today and my home is surrounded by tanks. What democracy are you talking about, Mr. Obama?"

CNN's Arwa Damon contributed to this report.

@highlight

NEW: Al-Hashimi disputes the warrant's accusations

@highlight

The Iraqi vice president to confront allegations that he organized a death squad to target government officials

@highlight

The charges come amid a political crisis and sectarian tensions