(CNN) -- One question that policymakers might have overlooked in trying to come up with a long-term strategy toward North Korea is this: Could the Hermit Kingdom be the next Myanmar?

Myanmar, widely known by its former name of Burma, was once a pariah, but it has surprised almost everyone by becoming a Western investor's dream. While there are significant differences between Myanmar and North Korea, there are similarities that prompt the same Southeast Asian investors who correctly predicted Myanmar's turnaround to be optimistic about North Korea's future.

Until recently, Myanmar's only ally was China. For over a decade, the international community placed sanctions on Myanmar for its human rights violations, including the house arrest of the prominent activist Aung San Suu Kyi. But the junta drastically changed direction and endorsed a U.S. road map for reform -- a process that led to the U.S. lifting its export ban in September. Today, an emancipated Suu Kyi is working with the new government on reforms, and Westerners carrying suitcases of cash (sometimes literally) are looking to invest in the country.

There are many good reasons to turn to Myanmar.

The country has plenty of fertile land for agriculture, an abundance of precious stones and large reserves of oil, gas, coal and metals. Office rentals in some parts of Yangon, the former capital, exceed those in central Tokyo. Children who used to beg on the streets have been spotted selling copies of the investment law (in Burmese and English).

Myanmar's transformation is partly because of the leadership realizing that overreliance on China jeopardized the country's national security. The government prioritized diversifying its trading counterparts, and the detente began.

An over-dependence on China could become a big issue for North Korea, too.

China props up North Korea with aid and diplomatic support. According to the Council on Foreign Relations, the Middle Kingdom provides North Korea most of its energy needs and consumer goods and nearly half of its food supplies. But despite the support, the North Korean leadership often ignores Beijing's requests. North Korea conducted its third nuclear test in February despite China publicly asking it not to so.

Economic and political pressures do not work well on North Korea's leadership because its central ideology of Juche, translated as "self-reliance," produces a very negative reaction to outside pressure. This stems from an underdog psyche resulting from centuries of kowtowing to strong Chinese and Japanese neighbors. When the regime feels provoked, it often acts in the opposite direction to demonstrate its independence.

For China, being ignored by North Korea is an embarrassment. China's strategy is a combination of reprimand with ongoing economic engagement, hoping that its influence will change North Korea's mind. Meanwhile, North Korea's leadership is aware of its ever-increasing reliance on China, and the Juche ideology may catalyze diversification -- as in Myanmar.

And like Myanmar, North Korea would have an appeal to investors.

It, too, has large deposits of undeveloped mineral wealth, estimated by the South Korean government to be worth $6 trillion. The country also boasts a cheap labor force, with even higher literacy rates than Myanmar.

There is one big difference between the two countries -- the attitude of the people toward the West.

Even when the U.S. had sanctions on Myanmar, the people weren't taught to hate America. A steady stream of propaganda, however, has left North Koreans with a negative view of the United States. But the recent celebrated visits of Americans such as Google Chairman Eric Schmidt and former NBA Star Dennis Rodman show the appeal the U.S. still has -- and the soft power it can leverage.

While the State Department criticized Schmidt, saying the timing wasn't "particularly helpful," the timing was in fact telling. Even while going head-to-head with the U.S. on the world stage, a representative of U.S. capitalism was heralded inside North Korea.

Of course, soft power strategies are difficult to employ while tensions are high. Since the nuclear test in February, North Korea has threatened to strike at U.S. bases in Asia. It has closed the joint North-South Kaesong Industrial Zone and declared a state of war with South Korea. These are actions that cannot be ignored. But in deciding a response, it's important to understand how the leadership is thinking -- and what the future could hold.

In the meantime, it's the China-North Korea relationship that the savviest of Southeast Asia investors are watching most closely. Maybe North Korea could learn valuable lessons from Myanmar.

The opinions expressed in this commentary are solely those of John Kim and Daniel Freedman.

@highlight

John Kim and Daniel Freedman: Could the Hermit Kingdom be the next Myanmar?

@highlight

Kim, Freedman: Myanmar surprised everyone by its reforms, and Western investors responded

@highlight

They say North Korean leadership may not want to rely solely on China for its needs

@highlight

Kim, Freedman: Visits to North Korea or interactions with its people should be encouraged