(CNN) -- Champions of equal protection had their day in court -- but it was a highly politicized day in the Supreme Court. Unlike the 1967 interracial marriage case of Loving v. Virginia, the gay rights decision in United States v. Windsor, while also a victory for civil rights, is not a moment of legal clarity or coherence. In court politicization, Windsor is closer to Bush v. Gore.

How cases end matters. The Loving case, at 9-0, was a victory for civil rights wrapped in a moment of Supreme clarity; 5-4 Windsor is a victory wrapped in a Supreme food fight.

Almost a half-century ago, Chief Justice Warren delivered a unanimous decision of the United States Supreme Court, invalidating state laws prohibiting interracial marriage. Sixteen states maintained such laws, including Virginia.

Loving invalidated laws banning interracial marriage. Windsor invalidated federal law denying benefits to homosexual couples married in states permitting same-sex marriage. A comparison of the two cases reveals how divided and divisive our court is today.

Richard and Mildred Loving were a mixed-race couple validly married in the District of Columbia, who upon returning home to Virginia faced continuing arrest and harassment by local police for violating Virginia's miscegenation laws.

After a decade-long cat-and-mouse game with the local authorities and a parallel odyssey through Virginia courts, the Lovings were vindicated when a unanimous Supreme Court held that state miscegenation laws were unconstitutional since they "rest solely on distinctions drawn according to race" and have "no legitimate overriding purposes independent of invidious racial discrimination which justifies this classification." The court held marriage to be among the "basic civil rights" that no state can infringe. Doctrine was born.

Several years ago, the documentarian Nancy Buirski asked me to executive produce "The Loving Story," a documentary film chronicling a civil rights story and a love story. HBO co-produced the film. America loved Loving, with its legal and moral clarity. The film was a top performer at the 2011 New York Tribeca Film Festival. HBO began airing it on television on Valentine's Day 2012. This year the film won a Peabody.

Loving v. Virginia was notable for its coherence as the court's resolution of a legal odyssey. Today's legal culture includes conservative judges accusing jurists of partisanship at every turn, even the hardest cases. Call it Supreme Gridlock.

The dissent in Windsor excoriates the majority as "hungry" to grandstand in a case it claims was never properly before the court -- ignoring that Edith Windsor had won a judgment for an estate-tax refund that the U.S. government refused to honor unless the Supreme Court would invalidate the Defense of Marriage Act. Justice Antonin Scalia was wedded to his technicalities and indifferent to Ms. Windsor's equities.

The dissent slams the majority for "rootless and shifting" reasoning and claims the majority views DOMA's supporters as having "hateful hearts," a politicized barb at odds with the muted language with which the majority duly inspected the legislative purpose of DOMA.

Scalia is erudite but dead wrong in claiming, "In the majority's telling, this story is black and white. Hate your neighbors or come along with us." Come again? DOMA said the federal government could declare the validly married same-sex couple next door unqualified for any federal benefits extended to married heterosexual couples. And the court's majority is mongering hate?

Joining the politicized dissent is Justice Samuel Alito: "The family is an ancient and universal human institution" and "changes in family structure and in the popular understanding of marriage and the family can have profound effects." One struggles to rest much on these generalities. Similarly one would struggle to rely much on the broad intonations of the overruled state court judge in Loving:

"Almighty God created the races white, black, yellow, malay and red, and he placed them on separate continents. And, but for the interference with his arrangement, there would be no cause for such marriage. The fact that he separated the races shows that he did not intend for the races to mix."

The entire 1967 court could spot poppycock when it saw it. Chief Justice Earl Warren, concerned with precedent more than politics, probably nonetheless had to do some arm twisting to get unanimity, but he got it. In 2013, by contrast, a virulent dissent offers new polemics -- and then accuses the majority of being politicized.

Loving ended with legal and moral clarity. The New York Times headline read, "Justices Upset All Bans on Interracial Marriage, 9-0 Decision Rules." Windsor ended with, well, democracy still working its virulent ways, including at the court, whose members of its right flank were knitting angrily in their chambers. The dissent reaches for judicial temperament but unleashes judicial temper.

Perhaps it is time for a new documentary, "The Windsor Story." This one too will have a happy ending for the original petitioners, but this time told through the lens of Supreme Gridlock.

The opinions expressed in this commentary are solely those of Marshall Sonenshine.

@highlight

Marshall Sonenshine: Equality won for same-sex marriage, but it was far from a slam dunk

@highlight

In 1967, court ruled 9-0 in Loving that interracial marriage ban was unconstitutional

@highlight

He says Loving had legal and moral clarity; Windsor case at 5-4 vote was politically charged