(CNN) -- Feeding tubes are designed to nourish patients, not deprive them of calories and hasten weight loss.

News reports of a feeding tube diet popped up, followed by a slew of TV reports on the new "trend."

But for people who survive by feeding tubes -- patients with diseases such as cystic fibrosis, certain autoimmune diseases, problems with malabsorption -- the idea of using a medical tool for vanity is upsetting.

"That people would do this intentionally to themselves to lose weight when thousands of children have no choice -- why would someone willingly make a choice to do this?" asked Julie Springer, a mother of two children who use feeding tubes.

What made it particularly disturbing was how blasÃ© they appeared about this medical procedure, she said.

"It's just absurd. For us, this isn't a choice," said Springer, the media coordinator for the American Partnership for Eosinophilic Disorders

The diet reportedly uses a nasal gastric tube, which doesn't require a surgical procedure like the gastric feeding tubes. These feeding tubes have a piece inside the stomach and a type of clamp to keep them in place.

Samantha Pecoraro, 14, has a permanent feeding tube in her stomach because nearly all foods trigger a violent reaction in her digestive tracts.

"They're making it sound like a fun privilege, which it isn't," she said about the tube diet.

"That's so disgusting, that makes me so upset. If you'd like to lose weight, exercise and go on a diet. They're making a mockery of it; they make it look so simple. They take it out in 10 days, I can't take [my feeding tube] out in 10 days."

Samantha gets most of her nutrition from a formula fed through the gastric feeding tube. She has a rare autoimmune disease called eosinophilic esophagitis, in which white blood cells build up in the esophagus and react to foods and allergens.

For Samantha, it's bizarre logic to use a survival tool for nourishment and twist it into a way to help people lose weight through caloric deprivation.

"Feeding tubes are for survival, not for cosmetics," said her mother, Susan McArthur.

In an interview with CNN's Elizabeth Cohen, bioethicist, Art Caplan of University of Pennsylvania said using feeding tubes for weight loss was "stupid" and "outrageous." This is not a customary use and has not even been tested for safety.

Related: Feeding tube diet raises eyebrows

Like-minded patients and advocates who are familiar with life on a feeding tube started several Change.org petitions that read: "Many people in this world are tube fed in order to survive and gain weight." One decries the use of feeding tubes for weight loss and another protests the way the story was presented on NBC's "Today" by hosts Hoda Kotb and Kathie Lee Gifford. In the segment, the hostesses giggled over the story.

"You're carrying around a bag all the time," Kotb said. "If it gets knocked out, what if you fall down?"

Gifford asked: "What if you have a nightmare and it just flops out of your nose?"

Ellyn Kodroff, president of the Cured Foundation, an organization that promotes research on eosinophilic diseases, found little humor.

"To think that is something so easy to pick up, the whole portrayal of why people would need a feeding tube, it's a joking matter. It's making fun of people who are on feeding tubes," she said.

For Samantha, the feeding tube has nothing to do with vanity. It's her own way of survival. Like many kids, it is what helps her grow, gain weight, get her nutrients and energy.

Allergic to eggs, wheat, soy, milk, seafood and nuts, Samantha can only tolerate small bits of white potato and turkey. Eating other foods will cause Samantha to have nausea, vomiting, throat constriction, stomachaches, lethargy and bowel upsets.

"It could last for an hour," said the high school freshman. "I've had it last up to a week until it gets out of my system."

Her mother sums it up as, "She's allergic to the world."

"It's an invisible, silent disease," McArthur said. "She looks great like she's thriving, but her insides are being destroyed by the very thing she needs to survive."

Samantha also has a nickel allergy. Her jewelry choices are limited. When the snap button on her jeans touches her abdomen, it makes her skin red and inflamed, so she has a piece of cloth sewn over it to protect her. She also has environmental allergies to molds, dust mites, certain fall pollens and certain trees. Their home has been stripped of carpet.

The rare disorder was discovered soon after Samantha's birth. She would often violently vomit, despite different formula changes. At preschool and school, she complained of stomach pains and health problems.

"I definitely remember when I was younger, I was vomiting 24-7," Samantha said. "It set in at fourth grade. I realized I'm definitely different because my other friends feel fine and can just eat school lunch."

In January last year, Samantha gave up all foods and became dependent on the feeding tube.

"There are things I miss," she said. "I miss Italian food. I miss normal things like mac and cheese, salad and my mom's chicken soup."

A morsel of food can trigger illness and symptoms. During a typical day, she goes to school for the first period -- usually a culinary class or a computer course. She returns home and takes online computer courses everyday and sees a tutor, who helps her with math. When Samantha leaves home, she carries a feeding bag -- even during short trips to the mall, the movies or a friend's house.

The feeding bag is "a pain in the butt to load up and have it at all times. When I get hungry, I get extremely sick," Samantha said.

It's with her at all times. When she falls asleep, the feeding tube is connected to her stomach, slowly dripping Neocate, a hypoallergenic formula, into her system.

A feeding tube is "not an easy fix," she said. "This is a long process."

She finds her comfort in food, though. She watches Food Network, especially Rachel Ray and Giada de Laurenta, as well as Cake Boss' Buddy Valastro. She often cooks for her family, including Sicilian dishes like braciole as well as Chinese stir fry. She bakes frosted sugar cookies and chocolate cupcakes for her mom.

Samantha has a different perspective than dieters.

"I'd give anything to be an obese person who can eat anything," she said.

Her medical team and her family are trying to give her little bits of food to see if she can tolerate them.

She has had bad medical reactions to about 20 other foods, including beef, chicken, eggs, peas, white rice, broccoli, carrots and fruits.

"We don't know how long this is going to be for," Samantha said about her feeding tube. "We haven't made any progress. I'll have it in my 20s."

@highlight

Feeding tubes are designed to nourish patients, instead of depriving them for weight loss

@highlight

Samantha, 14, gets her food only through her stomach feeding tube

@highlight

Patients who require feeding tubes for life resent the idea of a dieting fad