(CNN) -- With the passing of Steve Jobs earlier this month, the tech industry lost one of its most revered icons. So where will the industry turn for inspiration now that Jobs is gone?

New Apple CEO Tim Cook will keep the business cranking along, but he's unlikely to inspire the same kind of devotion as Jobs. Facebook leader Mark Zuckerberg has star power, but he and his company are still too young and untested. At Google, Larry Page is too awkward and Eric Schmidt too slick, and a lot of the company's recent products are too unfinished.

But there's one tech leader who just might fit the bill: Amazon's Jeff Bezos.

Bezos runs his business the same way Steve Jobs ran his, with a relentless focus on long-term value over short-term profits and a willingness to place big bets in seemingly unrelated new areas.

Steve Jobs took Apple on a detour from personal computers into music with the iPod, and then into cell phones with the iPhone. It worked, and made Apple into the biggest and richest tech company in the world.

Jeff Bezos is doing the same thing at Amazon.

About five years ago, Amazon noticed it had a lot of spare capacity in its data centers that was only used during the holiday season. So it started renting out some of that capacity to other companies. Now hundreds of high-profile Internet startups, including big names like Foursquare and Yelp, run their businesses on Amazon Web Services.

Somehow, an online bookseller became the most important provider of "cloud computing" -- a fancy term for running other companies' online services.

In 2007, Amazon introduced its electronic reader, the Kindle. The product limped along for a couple of years, then started to take off in 2010 with the third generation.

But next month Amazon will unveil Kindle Fire, a color version that is more like a full tablet computer, with an app store, music store, video store, and new kind of Web browser designed to load Web pages faster. And it sells for $199, which is hundreds of dollars less than Apple's iPad. No wonder Amazon is having to build millions more than it expected to meet demand.

Somehow, an online bookseller could become one of the dominant players in tablet computing.

Bezos not only resembles Jobs in his business practices. He's also got a lot of the same personal traits.

He's a control freak

Google engineer Steve Yegge, who formerly worked at Amazon, accidentally published a post criticizing his current employer and praising Amazon and Bezos. (The post was supposed to be for Google's eyes only.) He said Bezos was a micromanager who "made ordinary control freaks look like stoned hippies." A Portfolio.com profile in 2009 said Bezos wanted to know the details of every contract Amazon signed and had to sign off on how he was quoted in every press release.

He doesn't like dissent

Bezos often tells employees that they're lucky to work at Amazon and leaves sticky notes reminding them who's in charge if they disagree with him, according to Yegge.

He has otherworldly smarts

In a follow-up post, Yegge explained how Bezos was so smart that you could only impress him in presentations if you deleted every third paragraph to keep his brain occupied -- and even then, he'd figure out something you missed. "People like Jeff are better regarded as hyper-intelligent aliens with a tangential interest in human affairs."

He always wanted to change the world

According to a 1999 profile in Wired, a high school girlfriend says that Bezos wanted to make money from an early age, but not to be rich -- he wanted to use the money to change the future.

He is obsessed with secrecy

Some companies are like leaky sieves -- Hewlett-Packard can't keep an internal secret to save its life, and Google and Facebook products leak all the time. The tech press publishes all sorts of rumors about Apple, but most of them turn out to be wrong because the company places a high premium on secrecy. But Amazon is even more secretive than Apple.

He was born in hard circumstances

Jobs was born to a young mother out of wedlock and given up for adoption. Bezos was born to a teenage mother whose marriage to his biological father lasted little more than a year. (Bezos has his adopted father's last name and considers him his real father, just as Jobs considered his adoptive parents his real parents.)

To be sure, there are some major differences between the two men.

Jobs dropped out of liberal arts college Reed and bummed around for a few years before figuring out what to do with his life; Bezos graduated from Princeton and went straight to work on Wall Street. Jobs had a bit of the California hippie in him, practicing Buddhism and trying natural remedies to cure his cancer; Bezos is more of a classic computer scientist, obsessed with space travel and mechanically adept.

Most important, Amazon hasn't yet created many products that inspire the kind of love that the iPod, iPhone and iPad do. There aren't any Amazon fans -- or at least they're nowhere near as obsessed as Apple's.

But give Bezos another five years and a few more new product areas, and that might change, too.

The opinions expressed in this commentary are solely those of Matt Rosoff.

Copyright © 2011 Business Insider.

@highlight

Jeff Bezos and Steve Jobs share more similarities than differences

@highlight

Amazon, like Apple, is a powerful source in tablet, technology manufacturing

@highlight

Bezos resembles Jobs in both business practices and personal characteristics