Last year's Aurora Borealis (Northern Lights) show wasn't bad but the greatest natural light display in a decade is coming this December, according to NASA.

Solar activity will hit the peak of an 11-year cycle at the end of the year -- and the more intense the solar flares, the more magnificent the aurora display.

"The vast majority of auroras occur in a band known as the Auroral Zone," says Alistair McLean, founder of a similarly named tour agency -- the Aurora Zone -- that specializes in Northern Lights trips.

"This band can expand when solar activity is high."

The best chance to see the Northern Lights will be somewhere between 66 to 69 degrees north -- a sliver of the world that includes northern Alaska and Canada and bits of Greenland, northern Scandinavia and northern Russia.

Before venturing into any of these freezing wildernesses, it's worth checking out the kp index, a measure of electromagnetic activity in the atmosphere. A reading of two or higher is considered good for Northern Lights spotting.

You can also head south, for the Aurora Australis (Southern Lights), lighting up from around March 2014 onwards.

Here are some of the places the auroras will be showing up.

Jokulsarlon, Iceland

Best spot: By the Jokulsarlon Glacier Lagoon.

"You can see the Aurora everywhere in Iceland," says Moyan Brenn, who's spent the past year photographing the Northern Lights.

"You just need to stay within the boundaries of the Arctic circle, find a clear sky and check for electromagnetic activity on the kp index."

For him, the Jokulsarlon Glacier Lagoon, on the southeast coast of Iceland about 250 kilometers from Reykjavik, makes for a perfect shot.

The iceberg-filled lagoon reflects the lights, making the experience all the more awesome.

On a boat tour of the lagoon ($31 per person) you can concentrate on looking upwards and marveling.

Brenn recommends checking the weather forecast before setting off. Rain or snow -- both common in Iceland -- tend to dampen the experience.

Fairbanks, Alaska, United States

Best spot: In a hot spring.

Two major challenges when hunting the Northern Lights are the cold and fatigue. Watching them in a hot spring asolleviates both.

The city of Fairbanks, in Alaska, is often cited as the best place to see the Northern Lights in the United States. It's home to the Geophysical Institute at the University of Alaska, Fairbanks, which issues forecasts on  Aurora viewing conditions.

If you fancy soaking while you watch, Geophysical Institute researchers recommend Chena Resort and Manley Springs.

Chena is better equipped and better connected with Fairbanks's airport.

The resort also provides an aurora alarm service, alerting guests if the lights "switch on" in the middle of night.

Chena Resort, Chena Hot Springs Road, Fairbanks; +1 907 451 8104; rooms from $189 per night; return bus tickets from the airport to the resort cost $150.

The resort in the tiny village of Manley Hot Springs went bust but you can watch the lights for a small fee from spring-fed hot tubs provided by a local couple. More information from the Fairbanks-Alaska.com website.

More: CNNGo in Reykjavik -- Thermal pools and comfy sweaters

Paatsjoki, Finnish Lapland

Best spot: From the Paatsjoki Bridge, Nellim, near the Finnish-Russian border.

"Paatsjoki Bridge provides unparalleled Aurora sightings," says McLean.

"The chances of success here are at least 90%," writes Markku Inkila, an Aurora photographer and guide, on the Aurora Zone blog.

Aurora Zone's four-night  Nellim Aurora Quest tour runs from December to the end of March; from $2,700 for two people.

Muonio and Kilpisjarvi, Finnish Lapland

Best spot: A cabin in the Lapland wilderness.

Aurora viewing is so good around these two Finnish towns that one of the best aurora photographers and guides in the world -- by McLean's estimation -- Antti Pietikainen, is based here.

Aurora Zone runs a trip between the two towns, following the lights.

Adventurous options on the tour include a snowmobile safari to the shared border of Sweden, Finland and Norway, husky-sledding with a stay in a cabin in the wilderness, snow-shoeing and cross-country skiing.

"Sometimes, the dogs start howling when the aurora appears here," Mclean says.

"It's so primeval, it sends shivers down your spine."

The seven-night Muonio to Kilpisjarvi tour is available in 2014 from Feb 23, March 2 and March 23; prices from $3,540 for two people.

For families, McLean suggests tours around the reindeer-herding village of  Menesjarvi and the ski resort of Luosto, both run by the company Activities Abroad.

More: Not just for Christmas -- 10 reasons to hit Finnish Lapland

Kangerlussuaq, Greenland

Best spot:  On a dog-sledding expedition.

With the only international airport in Greenland, Kangerlussuaq is the gateway to the rest of the country.

With an average 300 clear-sky days per year, it's also another top location for aurora hunters.

World of Greenland -- Arctic Circle (Wogac) offers short Northern Lights tours from October to April, but from February to April it also has a three-day dog-sledding expedition to the west coast town of Sisimiut.

Hotel Kangerlussuaq (rooms from $290), at the airport, is a convenient place to stay. Keep your curtains open and you may even see the Northern Lights from your room.

The hotel also organizes an ice cap tour nearby.

Wogac's short Northern Lights tour costs $65 per person, the dog-sledding expedition $1,445.

Yellowknife, Canada

Best spot: On a heated viewing chair.

Not only do you have a great chance of seeing the Northern Lights around the city of Yellowknife, but the surroundings -- and seating -- are especially congenial.

A 25-minute drive from the city center, Aurora Village is a teepee campground where you lounge in specially designed, heated viewing chairs, with guides offering background in various languages on the lights.

You'll need your warm seat -- it can hit 40 C below zero here.

Aurora Village also has daytime activities such as dogsled riding and snowmobiling.

Follow the village's activities on Twitter or visit astronomynorth.com for Aurora updates.

More: 27  sights that remind you how incredible Earth is

Tromsø, Norway

Best spot: On the deck of a traditional steamer ship.

Sometimes called the "Paris of the North," the city of Tromsø is a beautiful and accessible location for catching the Northern Lights.

The Norwegian tourism board recommends a voyage on the Norwegian Coastal Steamer Hurtigruten to see the lights along a fjord.

An Astronomy Voyage runs from September to March, following the Aurora Borealis, with astronomy lectures on board. The trip also includes a visit to the Northern Lights Planetarium, in Tromsø.

Another option is the village of Ersfjorden, 40 minutes from Tromsø, in the countryside between towering snow mountains and a fjord. A bus service between Tromsø and Ersfjorden runs until midnight.

Or you could join a Northern Lights chase with knowledgeable bus drivers.

The Astronomy Voyage costs from $1,900 per person. More information about  Northern Lights viewing can be found on Tromsø's official site.

Abisko, Sweden

Best spot: While tucking into a four-course Swedish dinner.

Cloud cover -- the aurora hunter's arch enemy -- shouldn't trouble you around the village of Abisko, in northern Sweden.

"Mountains and favorable prevailing winds combine to create some of northern Scandinavia's most cloud-free skies," McLean says.

Aurora Zone's tour there includes a night's stay at an Ice Hotel.

Travelers can also spend a night at the Aurora Sky Station, arriving by chair-lift and having a four-course dinner before stepping out to view the Aurora.

The Abisko Aurora and IceHotel four-night tour, running from December to March, costs $2,811 for two people.

A night visit to Aurora Sky Station costs $95 or from $260 including dinner.

Gallery: How to build a Swedish ice hotel

Southern hemisphere

Best spot: At the end of a continent.

Antarctica's the best spot to view the Aurora Australis -- the Southern Lights -- but it's also the most inaccessible, unless you're a scientist or a supporting person (cook, doctor, pilot, etc) on a research expedition.

However, you can still see the lights from the southern tips of South America, Australia, New Zealand and South Africa.

New Zealand's Stewart Island ("Rakiura" in Maori, meaning the land of glowing skies) is a good option. It has only 400 inhabitants and is covered with great wildlife and natural scenery.

More: World's top 12 hotels for stargazing

@highlight

Scientists say this year's Northern Lights will be the best in a decade

@highlight

Finnish Lapland offers a wide choice for aurora hunters -- from the adventurous to family-friendly options

@highlight

You can also watch the lights from a dog-sled in Greenland or a hot tub in Alaska