(CNN) -- Viviette Applewhite, a 93-year-old African-American woman from Philadelphia, suddenly cannot vote. Although she once marched with the Rev. Martin Luther King Jr. for the right to do so, and has dutifully cast a ballot for five decades, in this election year she may be denied this basic right. Under Pennsylvania's new voter ID law, Applewhite is no longer considered eligible.

The Pennsylvania law requires that citizens present a state-issued photo ID card before voting, which, in Applewhite's case, required that she first produce a birth certificate. After much trying, and with the help of a pro bono attorney, she was finally able to obtain her birth certificate -- but on it, she is identified by her birth name Brooks, while her other forms of identification have her as Applewhite, the name she took after adoption.

Because her 1950s adoption papers are lost in an office in Mississippi, and the state is unable to track them down, Applewhite still can't get a Pennsylvania photo ID. She is therefore barred from voting in the November elections.

Such stringent obstacles, particularly for African-Americans, were not so long ago the accepted rule. Despite the 15th and 19th amendments to the U.S. Constitution, which extended the vote to black men and all women, respectively, election officials used poll taxes, literacy tests and other methods to deny this legal right. Then came the Voting Rights Act of 1965.

Signed into law by President Lyndon B. Johnson 47 years ago Monday, the Voting Rights Act empowered the federal government to oversee elections in states with racially discriminatory voting practices, and outlawed the use of literacy tests for all American voters. The landmark legislation not only broadened the franchise to African-Americans, it opened access to poor whites and others who had also been denied their right to participate in the electoral process.

These major social changes were hard-fought. Without protests by citizens who willingly confronted hatred and intimidation from furious mobs, as well as assault from billy clubs and fire hoses, it's doubtful that the Voting Rights Act would have ever passed.

Yet as we commemorate the anniversary, we must also remember that the fight to protect our vote continues. Across the country, efforts to suppress the turnout and registration of minority voters wage on, making that fight as urgent today as it was in the era of literacy tests and poll taxes.

Driven by nearly all Republican legislatures (Rhode Island, which has a Democratic-controlled legislature, is the lone exception), last year 34 states introduced voter ID laws with similar requirements, creating barriers for the 11% of voting-age Americans who lack state-issued photo IDs. These laws disproportionately affect minorities, the poor, senior citizens and the young. Of the more than 21 million Americans without the newly required photo identification, 25% are African-American, 15% earn less than $35,000 a year, 18% are 65 or older, and 20% are 18 to 29. Not so coincidentally, these groups turned out in huge numbers, largely voting Democratic, in 2008.

Voter ID laws, however, are just one arm of a systemic attempt to curb the participation of certain voters. In some of these same states, including Alabama, Kansas, Tennessee and Florida, legislatures have also passed laws that demand proof of citizenship to register to vote (a tough deal if you don't happen to walk around with a birth certificate, passport or naturalization records in your pocket) or that reduce early voting.

This includes the elimination of the Sunday before Election Day when many black churches hold successful "Take Your Souls to the Polls" campaigns encouraging their congregants to vote. Still more brazen tactics, as seen in campaigns mounted in Colorado, Florida and New Mexico, would summarily purge thousands of registered voters, whom state officials suspect might not be citizens, from the voter rolls.

These measures were supposedly enacted to prevent voter fraud, but any serious examination of voter fraud reveals that there is almost none. A five-year investigation by the Bush Justice Department concluded that incidents of voter fraud are exceedingly rare, and Pennsylvania officials have admitted that there is no in-person voter fraud in the state, not a single case that has ever been found or documented.

Rooting out such a small number of prospective fraudulent voters simply does not call for the extreme measures that shut out millions of legitimate ones. At best, these laws are scaring off a few tree bugs by burning down a 10th of the forest.

The real purpose behind these restrictive voting laws is not to prevent voter fraud, but to prevent voting in the interest of partisan gain. Pennsylvania House Majority Leader Mike Turzai even said as much in June, when he boasted to his Republican colleagues that the state's voter ID law "is going to allow Governor Romney to win the state of Pennsylvania."

No matter which side of the aisle you're on, we can all agree that denying anyone's vote to skew the electorate undermines our shared American values of fairness and equality.

Just like poll taxes and literacy tests before them, these laws are also keeping targeted groups of people from having a voice in their government. But what we can learn from these similar struggles is that social progress, such as the passage of the Voting Rights Acts, did not just happen naturally, an inevitable result of the passing years. It happened because citizens, activists, lawbreakers and lawmakers acted to change their society. But that action -- or even the mere recognition that blocking equal access to voting is a civil rights emergency -- is lacking now.

It's wrong to believe that these struggles ended and are reserved now for history lessons and textbooks. Tomorrow's history is being written today, and we can all help shape the narrative.

In a country whose fundamental values are equality and freedom, we must always examine times when our freedoms are being violated. That means realizing that voter ID laws such as the one blocking the vote of Viviette Applewhite are not minor bumps on the road. Rather, they hit at the most central element of American democracy.

As we reflect on the strides made 47 years ago, we remind our fellow citizens that each victory is taken, not given. And as we confront the modern-day era of voter suppression, it's time that we all start protecting the free, fair and accessible vote that defines the greatness of our nation.

The opinions expressed in this commentary are solely those of Penda Hair and Judith Browne Dianis.

@highlight

Writers: Forty-seven years after Voting Rights Act, some Americans newly denied vote

@highlight

They say 34 states have sought voter ID laws, creating barriers to 11% of Americans

@highlight

They say voting fraud nearly nonexistent; laws are partisan effort to shut out old, poor, black

@highlight

Writers: We must protect free, fair, accessible vote that defines greatness of our nation