(CNN) -- Imperfect though it is, journalism plays unique and essential roles in our society and in our democracy. Journalism serves the public and the public interest in important ways different from any other profession.

I believe in journalism guided by sound ethical principles and built on competency, commitment and courage. I have a serious concern with news reporting (as distinguished from the opinion role of journalism) that is driven by ideological bias or activist intentions.

My concern is with any and all forms of ideology from the left or from the right and with any argument that attempts to justify activism. My concerns are rooted in my strong belief in the ethical principle of independence that can and should guide the practice of serious, substantive journalism.

I'm not arguing for a false sense of "objectivity." Rather, independence is about commitment to professional duty that serves society rather than one's own beliefs and self-interest.

I haven't read Brent Bozell's commentary, nor have I viewed the "Right on the Edge" CNN documentary. Thus, my perspective is framed by my beliefs about journalism, what it does well and what it can do better.

Journalists have an ethical and professional duty to pursue the truth about significant issues and events and to strive to report that elusive truth as accurately, fairly and fully as possible.

Journalists gather and process a great deal of information and try to make sense of complex and often contentious issues. They report on the strengths and weaknesses of our economy, our government and our communities.

They take us down the block and around the globe to give us an understanding of the good, the bad and the ugly happenings in our lives.

Journalists take us to battlefields to tell us stories of horror and heroism, and they take us to classrooms to report on success, failure and hope.

All this is aspirational, of course. Journalists, like all professionals, are inadequate at times. One gives his or her best effort recognizing there are many variables that prevent perfection.

I don't believe that ideological bias is the major problem that erodes quality and corrodes credible journalism. This is much more of a perception problem than a reality.

It's a false premise to suggest that most journalists come from an ideological position that reflects personal belief that creates biased reporting.

To categorize journalists as liberal or conservative fails to recognize that many individuals -- including journalists -- have a range of views on issues that move along a spectrum.

I know journalists who hold what we traditionally think of as liberal views on certain social issues who, at the same time, also hold what we traditionally think of as conservative views on economic issues.

I know journalists who hold liberal views on some social issues -- favoring gay marriage, for instance -- while at the same time holding conservative views on other social issues -- expressing a strong pro-life position on abortion, for instance.

I know journalists who personally hold contrasting liberal and conservative views on tax policy and health care reform.

Most of the journalists I know cannot be labeled as liberal or conservative, because they hold a range of views that are at different points on the ideological spectrum.

How, for instance, would one categorize a journalist who holds the following beliefs: opposed U.S. military force in Iraq but favors it in Afghanistan, calls for a much stricter immigration policy with no amnesty, favors the ordination of women as Roman Catholic priests, opposes all forms of abortion, favors capital punishment?

Is that person liberal or conservative?

How can we accurately and fairly characterize journalists as conservative or liberal? How then could we challenge the journalism they produce as driven by conservative or liberal bias?

Furthermore, if a reporter allows his or her personal beliefs to become bias that could undermine reporting, good news organizations have checks and balances that minimize any skewing.

Therein lies my deep concern with the so-called "guerilla journalists" who are attempting to right wrongs.

Their starting premise is flawed by a distorted perception of the practice of journalism and by a false characterization of the beliefs of journalists.

The "guerilla journalism" mission is further undermined by their use of questionable -- often unethical -- methods to report stories.

There are many weak points in the underbelly of American journalism. We need to attract the best and brightest to the profession. We need journalists who are smart, skilled, committed and courageous. We need journalists who reflect all aspects of diversity in our society, and, yes, that includes ideological diversity.

Journalism has its flaws. Let's improve the process and the product in the right ways, not by ideological activism.

The opinions expressed in this commentary are solely those of Bob Steele.

@highlight

Ideological bias is not the major problem that erodes credible journalism, Steele says

@highlight

He says the problem is the false premise that most journalists have an ideological position

@highlight

CNN takes an unprecedented look at young conservative activist-journalists

@highlight

CNN's "Right On The Edge" airs this Saturday and Sunday at 8 p.m. and 11 p.m. EST