(CNN) -- On the backs of iPods, iPhones and iPads, and on the bottom of Mac laptops, an inscription reads: "Designed by Apple in California. Assembled in China."

The parts themselves come from more than 150 companies from various parts of the world. The majority of those antennas, glass, metal, sensors and silicon are manufactured overseas.

How Apple finds parts and manufactures its products, almost entirely abroad, is standard protocol in the technology industry. Electronics companies say Asian manufacturing plants are more affordable and more versatile than those found anywhere else in the world.

But as the most valuable tech company in the world, Apple is seen by many as a role model in business. And its reliance on cheap overseas labor -- most notably at factories in China run by manufacturer Foxconn -- has come under increased scrutiny in recent media coverage by CNN, The New York Times and other outlets.

Foxconn, owned by Hon Hai Precision Industry, counts Apple among its business clients, which also include Amazon.com, Hewlett-Packard, Microsoft and many other tech giants. Apple has reported violations at its facilities, and Foxconn has come under fire for a slew of worker suicides in 2010 and conditions that workers-rights groups say are inhumane.

Workers at Foxconn and other plants in Asia must stay busy to keep up with the world's seemingly insatiable demand for Apple products.

During the last three months of 2011, Apple sold 37 million iPhones, 15.4 million iPads, 15.4 million iPods and 5.2 million Mac computers, according to the company's financial report. That netted Apple $46.3 billion in revenue and $13.1 billion in profit, which is double what Apple made during the same period a year before.

Where does all that profit come from?

Take the iPhone, for example. The iPhone 4S sells for $199 if the customer signs a two-year cellular contract. But AT&T, Sprint Nextel and Verizon Wireless pay Apple much more for the phones in order to sell them at a lower price, a process called subsidizing. To get a so-called "unlocked" or contract-free iPhone, expect to pay at least $649 to Apple.

The costs of parts and manufacturing for Apple's iPhone 4S is estimated to be $196, according to industry research firm IHS iSuppli. That's $453 less than Apple charges for a contract-free phone. Marketing and research can add up, but no matter which way you cut it, Apple is making a sizable profit on each phone it sells, said iSuppli analyst Tom Dinges.

Apple has more than 60,000 employees, most of whom work in its retail stores. To build parts and assemble products, Apple has a long list of partners. That's partly done to avoid being dependent on any one manufacturer and to get favorable deals on each part from the many competing companies.

Still, Apple tries to minimize the number of companies with which it signs deals, Dinges said. That way, Apple wields more influence because it's among the biggest-spending clients, he said.

"They'd rather be a mile deep in a supplier than divide the business up amongst five," Dinges said. "You're going to take care of your biggest customers first."

In its supplier report, Apple says 156 companies account for 97% of the money spent on materials, manufacturing and assembly for its coveted gadgets. When the client is a powerhouse like Apple, winning a contract to be one of those 156 is a major event. In Wall Street parlance, it moves stock.

Being anointed by Apple boosts a supplier's credibility, but Apple is a shrewd negotiator, from how it develops an iPad to how it leases or builds the retail store it's sold in. This reportedly forces Apple's partners to push workers and cut corners in order to wring profits.

Apple told CNN in a statement that its expectations for suppliers to operate responsibly increase each year. Apple says it conducted 229 audits of suppliers last year and reported its findings publicly online.

"We care about every worker in our worldwide supply chain," Apple said in the statement. "We insist that our suppliers provide safe working conditions, treat workers with dignity and respect, and use environmentally responsible manufacturing processes wherever Apple products are made. Our suppliers must live up to these requirements if they want to keep doing business with Apple."

@highlight

The parts and manufacturing for Apple products mostly happens overseas

@highlight

It's common for consumer electronics to be built in Asian factories

@highlight

Apple has more than 150 suppliers and manufacturers for its products