(CNN) -- Perhaps you've been to the Everglades, toured Yosemite or visited Point Reyes National Seashore and discovered the glorious nature and historical events celebrated and protected by our national parks.

Ever been to the longest cave in the world? Or the longest stretch of undeveloped barrier islands in the world? Known to many national park aficionados who collect park passport stamps, the lesser-known national parks throughout the country are also worthy of your visit. Parks will have special programming during National Park Week, April 21-29. And parks that charge admission will waive their fees that week, adding to their allure.

"The options are endless -- view spectacular scenery, see where history happened, take a hike, go on a picnic or look for wildlife," said Jonathan B. Jarvis, director of the National Park Service. "Be sure to 'picture yourself in a national park' this week and share your photos, videos, and stories at www.nationalparkweek.org."

Think a national park is too far away? Every U.S. state except Delaware has at least one national park, as do Puerto Rico, Guam, American Samoa and the Virgin Islands. In celebration of National Park Week and Earth Day on April 22, here are our suggestions for heading back to nature.

Canyon De Chelly (Arizona): For nearly 5,000 years, people have lived uninterrupted in Canyon De Chelly National Park, longer than anyplace else on the Colorado Plateau. About 40 Navajo families live within the park boundaries, farming the land and raising livestock. The Park Service and the Navajo Nation jointly manage the park, and during National Park Week, there will be free ranger-led hikes and programs. Other tours are self-guided and free, but some require a Navajo guide and a fee. The visitor center includes a silversmith demonstration area. Camping is available.

Mammoth Cave National Park (Kentucky): Take a tour of the longest cave in the world at Mammoth Cave National Park in south-central Kentucky, where 390 miles of cave passages have already been explored. A couple of the cave tours will be free during National Park Week. (Tour tickets are still required, so make sure to call for a reservation or get tickets at the visitor center.) There will also be special walks and activities for Wildflower Day on April 21 and Junior Ranger Day on April 28. There is also boating, canoeing, fishing, camping and horseback riding in the park.

Biscayne National Park (Florida): Minutes from the hustle and bustle of Miami, Biscayne National Park is an incredible combination of 10,000 years of human history and four different ecosystems that have come together in this protected area. First-time visitors to the park can enjoy a free daily ranger-led tour or a free two- to three-hour canoe tour every Monday, Wednesday and Friday through April. Boat tours are also available through independent companies (fees vary). Experienced adult outdoor enthusiasts can book an all-day kayak trip every Saturday through April (cost is $89). Most of the park is covered by water, but don't simply motor up in your own boat or forget to plan ahead. The time of year determines, in part, what's available to do at the park.

Padre Island National Seashore (Texas): It's the longest section of undeveloped barrier island in the world. Spain, Mexico and the Republic of Texas all laid claim to Padre Island, which was finally taken over by the United States after the Mexican-American War (1845-1848). The island was named after Spanish priest Padre Nicolas Brill, who established the first permanent settlement there around 1804. Sea turtle nesting season started April 1, and sea turtle hatchling releases may start in late May. (Call the Hatchling Hotline at 361-949-7163 for more information.) There are also free ranger talks, birding tours and even a Saturday night stargazing party. The park also has no-reservations camping, fishing, bring-your-own bike biking and swimming.

Think kid friendly: While most national parks have "kid friendly" recommendations, the parks will turn their attention to even more children's events with National Kids to Parks Day on Saturday, May 19. There will be events at many of the nation's parks and even outside the parks. (Delaware, which has no national parks, still has two nature-filled events that day.)

"Kids love nature, and nature needs kids because without kids who love nature, we'll have no grownups left to protect it," said Jennifer Emmett, editorial director of National Geographic Kids Books. "I have three kids, and they love to be outside. Experiencing nature is really inspiring for them, and it's really important to get them outside of their daily life and into the woods or beach."

Emmett has a few recommendations from the latest edition of "National Geographic Kids National Parks Guide USA." She likes the ranger-led nighttime "owl prowls" at Congaree National Park in South Carolina. "Also keep your eyes peeled for bobcats, river otter and wild pigs." At Isle Royale National Park in Michigan, she recommends exploring by canoe or backpacking into the backcountry, where you can sometimes spot moose and foxes. "In July and August, you can pick blueberries and thimbleberries in the park's lush green meadows," she said. Virgin Islands National Park boasts an underwater nature trail in Trunk Bay. "Take a snorkel hike! Park animal sightings include sea turtles, pelicans and mongooses."

Pick the park closest to you: Head to the National Park Service website and plug in your state to find the park nearest to your home. If nature isn't your thing, chances are you'll find many national park historic sites in urban and suburban areas. And if you need a guidebook to help you choose which of the 58 scenic national parks is right for you, try the latest edition of the "National Geographic Guide to National Parks of the United States," or visit the National Geographic national parks website.

Dress right: Check a park's website or your guidebook to see if you'll need suntan lotion, warmer clothes for cave exploration, hiking shoes for hikes at higher elevations, bug spray for heading into swamps or other necessities, says National Geographic's Emmett. And know your child's stamina for longer walks or thinner air at higher elevations.

Get the free app: The National Park Service now has a free app that will help you plan your park trips and track which of the 397 national parks you've already visited (even adding your photos and thoughts). The app also helps National Park Passport holders find passport stamp cancellation stations within the national parks to record which parks they visited and when. (Most national parks participate in the program.) The app is available for iPhones and iPads, and an Android app is in development.

What's your favorite national park or other spot to enjoy nature? Share your recommendations in the comments section below.

CNN's Anika Chin contributed to this report.

@highlight

Hike on the Colorado Plateau, where humans have lived for nearly 5,000 years

@highlight

Explore the 390 miles of documented underground cave passages in Kentucky

@highlight

Sea turtle nesting has begun on Padre Island in Texas; hatchling releases may start in May

@highlight

Look for bobcats, otters and wild pigs at South Carolina's Congaree National Park