(CNN) -- The United States is a Pacific power. Not only do millions of Americans live in states that border or are firmly rooted in the Pacific, more than 300,000 military service members and civilians who support them are stationed throughout the Pacific.

Countless American businesses and farmers also rely on access to this expanding market that has become an engine of global economic growth. In addition to reflecting our values, our foreign policy must reflect the fact that our prosperity and security is intimately linked with that of the Asia-Pacific.

Having just returned from this critical region, we heard directly from senior U.S. military commanders, along with key leaders in Japan and South Korea, about the desire for bolstering alliances that have been the cornerstone of stability in Asia. We also met senior Chinese officials in Beijing and U.S. business leaders in Shanghai about potential opportunities and challenges accompanying China's dramatic rise.

Asia's continued economic growth is not certain, and the region is threatened by a despotic and volatile North Korean regime armed with nuclear weapons. Many nations are concerned that China will use its growing economic and military power to coerce its neighbors.

Our allies and adversaries alike have seen how America failed to enforce its "red line" in Syria, and they are questioning whether we have the resolve to respond decisively to challenges in Asia.

Our partners are watching America's response to Russia's invasion of Ukraine. They fear allowing an assault on Ukraine's territorial integrity to stand will invite challenges to the established international order and fuel already tense maritime territorial disputes that threaten stability in Asia.

For decades, America has deterred threats to peace in Asia, and these partners worry America lacks the commitment and capabilities to back threats with action.

America cannot lead in the region if it is thousands of miles away. The indispensable symbol of American strength and leadership is the U.S. carrier fleet. Protecting key international shipping lanes -- vital to our own economic stability -- has long been a central mission of the U.S. Navy. But it is a mission that requires the forward basing of significant American naval resources, most importantly aircraft carriers such as the USS George Washington.

We were honored to board the George Washington at its forward port facility in Japan and visit its crew. This aircraft carrier is due for a midlife overhaul, but the administration's proposed budget doesn't include funding for this much-needed service, putting the future of it and the 11-carrier fleet in jeopardy.

Our military commanders were clear about the need for the unique power projection capabilities provided by our aircraft carrier fleet. These commanders know our allies and adversaries alike are watching to see if America allows its military superiority to wither, and struggle every day to reassure their counterparts throughout the region.

America cannot keep the peace alone -- nor have we. Our allies have welcomed American military forces on their soil for decades, allowing the United States to project military power far from our shores and enhancing our security here at home. We are encouraged by the desire of these allies to contribute more to regional security, but much work is needed to help them bolster their defenses, encourage greater coordination among them and reassure our allies and adversaries of our enduring commitment to Asia.

The sheer economic dynamism of Asia is impressive, and more than half of the world's population lives there. It is important for America's economy that billions of Asian consumers are able to purchase our goods, services and agricultural products more easily. This is why we support the Trans-Pacific Partnership, which is needed not only to facilitate greater trade across the Pacific but also to establish the economic rules of the road firmly for the 21st century. A trade agreement based on mutually beneficial terms will promote real economic growth and real jobs here at home.

We saw in China the stunning scope of economic growth that has lifted millions out of poverty and bolstered our own economic fortunes. But we were also struck by the absence of political and religious freedom in China.

While in Shanghai, we learned of the plight of a Catholic bishop under house arrest for refusing to be subservient to the Communist Party. And we visited a synagogue that by government edict is only open on High Holy Days, just a few times a year. We believe that with economic freedom there should also be political freedom, and we call upon the Chinese government to respect the universal human rights of its own citizens.

America has a bright future in Asia, but only if we seize it.

Our trip coincided with President Barack Obama's visit to the region. Both Republicans and Democrats delivered similar messages about the importance of our alliances in Asia and our commitment to the region. Now we must back our words with actions.

Unless the United States reinvests in its military, strengthens its alliances and displays strong leadership, we will see increased threats, greater risk of instability and economic turbulence in a region of pivotal importance to America's future.

Join us on Facebook.com/CNNOpinion.

@highlight

A GOP delegation, fresh back from Asia trip, looks at U.S. standing in region

@highlight

Asia's continued economic growth is not certain, these lawmakers say

@highlight

They fear that China will use its economic and military power to coerce neighbors

@highlight

They argue U.S. carrier fleet overdue for upgrades that administration hasn't budgeted