Washington (CNN) -- With the stroke of her pen a few years ago, Arizona Gov. Jan Brewer took the lead in a GOP immigration retreat that made it harder for Republicans to win the White House in 2012. Now, she is again at the center of a big national debate, but this time might her signature be part of an evolution helpful to GOP chances in 2016?

At issue then: her support for Arizona's tough immigration law. Brewer signed SB 1070 into law in 2010 and its tough provisions became a national flashpoint and contributed to President Barack Obama's huge advantage among Latino voters.

And now? A Brewer veto is at issue: The governor rejected legislation that would have allowed Arizona businesses to deny services to gay people on grounds of religious beliefs.

Veto follows business backlash over anti-gay bill

Tolerance is an issue for Republicans among key voting blocs, especially independents and younger voters. So some GOP strategists were quick to applaud Brewer for a move they say shows Republicans are listening and adapting to changing times -- and changing views on gay rights.

"It tells us the Republican Party is learning the difference between standing for principle and standing in the middle of a busy intersection," said GOP strategist Alex Castellanos. "In other words, we are learning that futile gestures that have only symbolic impact do the GOP cause more harm than good."

Who's behind the religious freedom push?

Many social conservatives critical to GOP success vehemently disagree with that take, however, and the shifting tides of the immigration debate in recent years suggest we have hardly heard the last word.

Effects of immigration revolt still felt

Remember, some of the toughest proposals for new immigration steps were a response to a Republican president -- George W. Bush -- and a Republican presidential nominee -- Sen. John McCain. They favored a path to citizenship for millions of undocumented workers, setting off a revolt among conservatives who consider that granting amnesty to lawbreakers.

And that revolt had ripple effects that continue to this day.

Arizona's 2010 legislation was a conservative-led rebuke to the views of Bush, McCain and by then, Obama. Brewer was hardly known as a conservative firebrand, but she signed the law and avoided a backlash from the right as she readied for a re-election campaign.

In 2012, it was Mitt Romney, once a supporter of the Bush-McCain-Kennedy approach, embracing the Arizona law and saying with tough measures those here illegally would "self deport." Now, House Speaker John Boehner, also in general agreement with the Bush-McCain-Kennedy approach, won't bring such a measure to a vote because he knows a vocal minority in his caucus would revolt.

Veto a bump in the road for "religious freedom" movement

Brewer's veto on the latest Arizona bill drew praise from the Obama White House and from Hillary Clinton, which tells you all you need to know about whether social conservatives will press the issue in the next White House campaign.

"Looking ahead to 2016, there are only going to be more clashes and court cases which will make 'judges' an even bigger issue in the GOP primaries and caucuses," said conservative strategist Keith Appell.

Strategist: Debate is about limiting government reach

Castellanos agrees but sees a changing tone.

"We will still have the debate in the primaries, but it will be less intense," he predicts. "The party isn't changing its values but is learning that we can't be big government conservatives, even when it is convenient for us, on social conservative issues.

"In short, the debate is increasingly about limiting the role of government, where social conservatives and libertarians agree, than about gay marriage, where Republicans don't."

This finding in a recent New York Times/CBS News poll reinforces that latter point: "Over all, Republican support for same-sex marriage is on the rise. In the fall of 2012, just 24% of Republicans backed legalizing the unions; now 40% of Republicans do so."

Romney and Florida Gov. Rick Scott were among major GOP voices who urged Brewer to veto the Arizona gay rights law. But if we have learned anything in recent years, when leading GOP establishment figures say one thing, vocal voices in the tea party and social conservative movement will urge another -- and try to punish those who disagree.

So what happens the 2014 election year -- in the courts and at the ballot box -- will have as much if not more influence on the 2016 intra-Republican debate as Brewer's veto.

"These instances where gay rights clash with free exercise of faith," the conservative strategist Appell said, "will only gin up and activate the conservative base even more in 2014."

Castellanos believes the growing libertarian streak within the GOP will push the party to an eventual resolution of these tensions.

" 'Freedom nationally, values personally,' is where the GOP is going," Castellanos argues.

But, mindful of the continuing immigration divide, what Castellanos doesn't argue is that any GOP evolution on gay rights and same-sex marriage specifically will happen smoothly.

@highlight

Arizona governor's hard line on immigration hurt GOP's chances of winning White House

@highlight

Gov. Jan Brewer's veto of anti-gay bill was applauded for adapting to changing times

@highlight

But praise from the left won't help conservatives accept unpopular decision