Washington (CNN) -- President Barack Obama stands at a significant crossroad.

On Wednesday, he received a set of recommendations from a panel he appointed to review the government's surveillance programs -- a decision he made after Edward Snowden's blockbuster leaks about National Security Agency spying triggered outrage.

The choices he makes will permanently place his signature on the intelligence initiative and help define his legacy as a chief executive who promised a more open and transparent government when he entered the White House nearly five years ago.

NSA domestic and international phone and e-mail surveillance is considered some of the most widespread intelligence gathering performed by the U.S. government.

As a presidential candidate, he sharply criticized his predecessor, George W. Bush, for creating and expanding a foreign intelligence program that included communications of American citizens.

"This administration acts like violating civil liberties is the way to enhance civil liberties. It is not," Obama said during a speech in 2007. "There are no shortcuts to protecting America."

But since becoming President, Obama changed his posture as he came face-to-face with national security priorities in a post 9/11 world.

He no longer criticized the NSA program. In fact, he maintained its status quo and rarely talked about it. Until he was forced to.

Snowden released documents earlier this year that revealed the scope of surveillance, including the bulk collection of numbers, times and dates of telephone calls made by Americans.

NSA official: Snowden amnesty "worth having a conversation about'

Obama did not promise changes to the program amid the resulting storm of controversy, but did authorize a review of NSA practices and more steps to protect personal privacy.

"What I recognize is that we're going to have to continue to improve the safeguards and as technology moves forward, that means that we may be able to build technologies that give people more assurance," Obama told CNN's Chris Cuomo in an interview on "New Day" in August.

With that independent review, which found that the government needs to do a better job to protect civil liberties, complete, the President has a choice to make.

Will he be the chief executive who truly champions civil liberties or one who cements government surveillance of its citizens in the name of national security?

Alex Abdo, staff attorney at the ACLU's National Security Program, which is involved in lawsuits challenging government surveillance, said the President has reached "a tipping point" in his tenure.

"He can chose to follow the recommendations from the panel he selected or he can choose to double down on the bulk surveillance of innocent Americans," Abdo said.

Report: NSA snooping program should stay in place

While the independent report said the surveillance program should stay in place, it suggested more than 40 changes that would rein in the scope and provide more oversight.

Among the recommendations: "The government should not be permitted to collect and store all mass, undigested, non-public personal information about individuals."

Perhaps most critical is the report's finding that the bulk collection of information is "not essential to preventing attacks."

"We have identified a series of reforms that are designed to safeguard the privacy and dignity of American citizens, and to promote public trust, while also allowing the Intelligence Community to do what must be done to respond to genuine threat," the authors of the report wrote.

Surveillance watchdogs in Congress said the report shows that it is too encompassing and question whether it makes the country safer.

"The message to the NSA now coming from every branch of government, from every corner of our nation: NSA you've gone too far," Senate Judiciary Committee Chairman Patrick Leahy said.

The report is coupled with a court decision this week that found the collection of data on nearly every call made by U.S. phone subscribers is likely unconstitutional. While that decision doesn't mandate any changes to the program, the issue is expected to reach the Supreme Court.

5 questions about the NSA court ruling

It is now up to Obama, the program's one-time critic, to steer the direction of sweeping intelligence gathering. And at first glance, significant changes are unlikely.

Less than 24 hours after the release of the report, Obama rejected one recommendation to install a civilian head of the NSA and split off its military ties.

"The administration has decided that keeping the positions of NSA Director and Cyber Command Commander together as one, dual-hatted position is the most effective approach to accomplishing both agencies' missions," NSA spokeswoman Caitlin Hayden said in a statement.

White House spokesman Jay Carney told reporters that the President's objective is to "maintain the program while making reforms to it."

Further indications of the President's reluctance to be pinned down emerged after a meeting with executives from the top tech companies.

Following the sesssion this week at the White House on Tuesday, one participant said they were frustrated with the lack of discussion on the NSA program.

The technology industry has pressured Obama to make changes to the federal snooping programs, concerned their bottom lines could take a hit.

Last week, a group of top firms wrote an open letter to Obama alleging the spy programs undermine "the freedoms we all cherish" and declaring: "It's time for a change."

The public will have to wait until January to know what course Obama will take. That's when he is expected to deliver a national address to announce and explain any changes.

CNN's Jim Sciutto, Evan Perez and Jim Acosta contributed to this report

@highlight

President Obama has to decide what recommendations he will adopt from spy review

@highlight

The independent review of NSA practices included more than 40 recommendations

@highlight

The President was once a critic of NSA collection of electronic communications

@highlight

The changes Obama adopts will impact his legacy and government snooping