(CNN) -- American energy production is skyrocketing, and pundits are promising everything from millions of jobs to energy independence. All of this could be put in jeopardy, though, if we don't get serious about the accompanying risks and make sure that oil and gas development is done right.

The United States is now the world's largest producer of natural gas. Meanwhile U.S. oil production increased last year by over 300 million barrels -- its biggest jump since the industry began in 1859.

There's good reason to believe that these changes have created hundreds of thousands of jobs. Meanwhile increased production of cleaner burning natural gas has helped cut U.S. greenhouse gas emissions to their lowest level in more than a decade. And while claims of looming "energy independence" are wildly over the top, there's no question that the oil and gas boom is making the country more secure in the world.

These changes are driven by a technique known as "fracking," short for hydraulic fracturing, which is being used to produce oil and gas trapped in dense shale rock.

Photos: Taking from the land: Oiling on Indian reservations

Drillers dig down thousands of feet underground, take a sharp turn, and then bore thousands of feet further sideways. Then they pump a mix of water, sand, and chemicals into the new L-shaped well, and detonate explosives to create tiny cracks in the surrounding shale. Oil and gas flows through those cracks and eventually up to the surface where it can be collected, shipped, and sold.

The practice has raised alarm in many of the communities where it's used. People fear that their water will be contaminated by the chemicals that are used in fracking. They worry about earthquakes that have been reported near some places where disposal of water from fracking occurs. And they often bristle at how a sudden surge of workers and wealth transforms their neighborhoods overnight.

These concerns have led to a moratorium on fracking in New York State, and efforts to pass similar restrictions by state and local governments elsewhere, from Colorado to Texas.

People are right to insist that fracking is done safely, but they're wrong if they conclude that it can't be. The key is to drill down on the biggest problems and require drillers to address them.

The first risk has to do with water. The problem isn't so much what's pumped underground -- it's borderline impossible for fracking chemicals to seep up from thousands of feet beneath the earth and into water supplies -- but what comes back out.

Opinion: The myth of energy independence

When oil and gas are produced, they're accompanied by "flowback water", which contains a mix of toxic chemicals found underground. If drillers cut corners and don't dispose of that water right, it can contaminate local water supplies. Rules need to be in place -- and enforced aggressively -- to ensure that doesn't happen.

The second danger has to do with air. Some drillers power their operations using diesel; others let gas seep out from their equipment. Both practices lead to local air pollution. And while the emissions from a single well might not be big, the impact of dozens of wells operating in the same area can be bad. These problems can be fixed -- diesel generators can be replaced with equipment that uses clean-burning gas, and leaks can be plugged -- but the rules need to be right.

Perhaps the toughest challenge, though, is fitting fracking into communities that aren't used to intense industrial development. It's no surprise that concerns about fracking began to really rise in 2009, when the practice migrated from states like Texas and Louisiana, where oil and gas development is commonplace, to Pennsylvania, where oil production peaked in 1891.

If local authorities do things like make sure roads are maintained, help workers get training so that they can join the oil and gas business if they want to, and protect people on pensions who often struggle with rising living costs in boom towns, everyone can win. If they don't, though, the intense fights that result between winners and losers from energy production can be paralyzing.

Opinion: Don't let America get 'fracked'

A lot of enthusiasts for oil and gas are hostile to new rules. They say that companies are already doing the right thing and warn that extra costs could kill the industry. It's true that many companies are ahead of the curve when it comes to social and environmental responsibility; some are even working actively with local and environmental groups to ensure that they pursue development right. But the dangers don't come from the good guys -- they come from the laggards who screw things up. Reining them in can't be done just through voluntary steps.

That makes it a relief that, while dumb regulation could indeed be crushing, smart rules would not. (By one estimate, a suite of twenty-two tough requirements, including greater disclosure of fracking fluids and tighter standards for cementing wells, would add at most 7% to the cost of a well.)

The biggest risk for fracking, and to all the benefits it brings, isn't that drillers will have to spend a bit more to make sure that oil and gas production proceeds safely. It's that they won't -- and that the resulting backlash when things inevitably go wrong will deal the U.S. power surge a far more severe blow.

The opinions expressed in this commentary are solely those of Michael Levi.

@highlight

U.S. energy production has surged, largely due to fracking for natural gas

@highlight

Michael Levi says energy boom increases U.S. security, boosts the economy

@highlight

Fracking can be done safely, but rules must be in place to regulate it, he says