Washington (CNN) -- Makers of silicone breast implants have not followed up on thousands of women who received them as required by the Food and Drug Administration as a condition of approval, agency advisers said Wednesday.

Mentor Worldwide and Allergan Incorporated received FDA approval for their silicone gel-filled breast implants in 2006 after agreeing to do large, 10-year post-market studies. But in a two-day meeting to update two FDA panels on the status of those trials, the companies admitted they had lost track of large numbers of women after implantation.

Mentor's study enrolled more than 40,000 patients but after three years had a follow-up rate of only 21%. Allergan enrolled more than 39,300 women with a follow-up rate of 60% after two years.

Christopher Allman, a spokesperson for Mentor, said since launching the post-approval studies, the company has stressed the importance of follow-up to both the women participating and their doctors. He says it remains a challenge.

"At Mentor's request, letters from FDA were sent to physicians and patients to encourage follow-up and state the importance of follow-up; unfortunately, there was minimal impact with respect to the follow-up rate," Allman said. "We continue to encourage women to participate in these studies.

"Typically, it is not standard of care for breast implant patients to visit their plastic surgeon annually. Patients most likely to follow up with their physician are those who experience complications."

During an open public comment session, some patients and patient advocates told of the horrors they've encountered with silicone implants, in some cases imploring the manufacturers to make sure future studies are well-designed and protect women.

Susan Dorsey from Mount Juliet, Tennessee, replaced her saline implants with silicone six years ago and enrolled in Allergan's study. She said her symptoms began within months.

"I had difficulty raising my arms over my head, I had flu-like symptoms, neck and shoulder pain that resulted in physical therapy three times a week," Dorsey said. "Blurry vision, tingling, loss of appetite, insomnia, joint pain, anxiety, dizziness. Every day seemed to bring new symptoms."

Carolyn Wolfe of Virginia had her implants for 28 years and says she had multiple symptoms. Three years ago she was found to have connective tissue disease, chronic fatigue, chronic obstructive pulmonary disease, asthma and irritable bowel syndrome. An MRI revealed 20 lesions on her brain and two collapsed implants with very little silicone left inside. She had them removed.

"Is the FDA willing to publicly state that silicone and platinum leaking into women's bodies year after year is safe?" she asked panelists.

In contrast, Nicole Noel told the panel she would again get silicone implants after the birth of her second child. "After having two children I had lost all volume. I had no breast tissue. I have more self-confidence and am more proportional."

Dr. Susan Wood, with George Washington University's School of Public Health and Health Services, is a longtime champion of women's health. The former director of policy and program development at the U.S. Department of Health and Human Services' Office on Women's Affairs said that unfortunately, time and time again, safety data have come up short.

"For more than 20 years, FDA has been asking manufacturers to conduct and report rigorous studies on the safety and effectiveness of breast implants. This committee is now very aware of the limitations of the current post-approval studies. This leaves us in much the same place as in 2007, or indeed as in 1992," Wood said. "FDA approved these products by two companies contingent on adequate post-approval studies. These studies do not seem to reach the bar."

Wood says real enforcement procedures need to be in place, including consideration of withdrawal of approval, requirements for sponsor-funded but independent research conducted for these studies, significant financial penalties, and major labeling or patient information changes.

But Jeffrey Kenkel, professor and vice chairman of the Department of Plastic Surgery at the University of Texas, Southwestern Medical School at Dallas and president of the American Society of Aesthetic Plastic Surgery, says the implants are still safe and effective. He says there are a number of well-designed studies that document that claim.

"I think both ASAPS as well as the FDA are confident that breast implants are safe and effective. We're fortunate that we have a very high patient satisfaction rate -- above 90%. Ninety percent of breast implant patients are happy with their outcome and report an improved quality of life and body image."

Kenkel said the measures established five years ago by the FDA were very difficult because a study with 40,000 participants is very hard to track. "Multi-investigators have a difficult time getting patients who are feeling well and back to their normal routine after surgery to come back in for their follow-up."

But Dorsey said she had a very different experience. "I was forced out of the study when I decided to remove the silicone implants to save my life," she told the panel. "All of my records were deleted -- as if I never existed."

Dr. Edward Melmed, a plastic surgeon from Dallas, told the panel the implants were an "industrial toxin."

"The symptoms, they are real," he said. "I answer five to seven e-mails a night from women all over the world asking. 'What do I do about these symptoms?' "

Melmed said that by 10 years after patients get them, 50% of silicone implants rupture; 72% by 15 years; and 94% rupture by 20 years. "Why is the FDA continuing to allow a device to be placed in young women that is guaranteed to fail 80% in 10 years? Would they allow that in hip replacements? Would they allow it in men?"

According to ASAPS, more then 318,000 breast augmentations were done in 2010 -- more than any other surgical procedure. Sixty-two percent of those were silicone implants.

Both Mentor and Allergan's implants come with a warranty that offers free replacement in case of rupture or deflation. It offers surgical cost assistance for replacement surgery.

Another hotly debated topic was MRI screening. Product labeling calls for patients to get an MRI three years after implantation and then every two years after. MRI picks up about 90% of ruptures, but the procedure is costly and some experts expressed concern over false positive readings.

But the FDA says the MRI is the gold standard for detecting silent rupture. The agency says it will continue to look into its clinical value. Looking to the future, the agency said it will see the current studies completed, make sure follow-up rates improve and will look into the creation of a breast implant registry -- possibly on an international scale.

Mentor recommended a number of ways to get robust data on long-term safety, including enhanced post-market surveillance, and reviewing published literature and existing external databases like TOPS -- a physician website managed by the American Society of Plastic Surgeons.

"We believe these sources may provide the data FDA requires on potential medical conditions in women with breast implants and would most likely capture any early 'safety signals,' " Allman said. "This therefore reduces the need for another large epidemiological study. If any new safety signals are identified, we would work with the FDA to define a targeted study design."

FDA spokeswoman Erica Jefferson said the agency has a lot to consider. "The past two days have provided some very compelling information for the FDA. We took away several meaningful recommendations during the meeting."

Jefferson said the FDA's next step will be to review the recommendations and outline the suggestions they think should be implemented. They plan to engage stakeholders including sponsors, professional groups, patients, consumer groups and academia before making any decisions.

@highlight

Mentor, Allergan admit they've lost track of many patients

@highlight

Manufacturers had promised to do major 10-year studies

@highlight

Panel hears from both doctors, patients that are highly concerned, quite pleased

@highlight

FDA says it has much to consider