Washington (CNN) -- The following is the prepared transcript of House Speaker John Boehner's speech Monday night on debt reduction talks:

Good evening. I'm John Boehner. I serve as Speaker of the whole House -- of the members of both parties that you elect. These are difficult times in the life of our nation. Millions are looking for work, have been for some time, and the spending binge going on in Washington is a big part of the reason why.

Before I served in Congress, I ran a small business in Ohio. I was amazed at how different Washington DC operated than every business in America. Where most American business make the hard choices to pay their bills and live within their means, in Washington more spending and more debt is business as usual.

I've got news for Washington -- those days are over.

President Obama came to Congress in January and requested business as usual -- yet another routine increase in the national debt limit -- we in the House said "not so fast." Here was the president, asking for the largest debt increase in American history, on the heels of the largest spending binge in American history.

Obama's speech: Compromise needed now

Here's what we got for that spending binge: a massive health care bill that most Americans never asked for. A "stimulus" bill that was more effective in producing material for late-night comedians than it was in producing jobs. And a national debt that has gotten so out of hand it has sparked a crisis without precedent in my lifetime or yours.

The United States cannot default on its debt obligations. The jobs and savings of too many Americans are at stake.

What we told the president in January was this: the American people will not accept an increase in the debt limit without significant spending cuts and reforms.

And over the last six months, we've done our best to convince the president to partner with us to do something dramatic to change the fiscal trajectory of our country. . .something that will boost confidence in our economy, renew a measure of faith in our government, and help small businesses get back on track.

Last week, the House passed such a plan, and with bipartisan support. It's called the "Cut, Cap, and Balance" Act. It CUTS and CAPS government spending and paves the way for a Balanced Budget Amendment to the Constitution, which we believe is the best way to stop Washington from spending money it doesn't have. Before we even passed the bill in the House, the president said he would veto it.

I want you to know I made a sincere effort to work with the president to identify a path forward that would implement the principles of Cut, Cap, & Balance in a manner that could secure bipartisan support and be signed into law. I gave it my all.

Unfortunately, the president would not take yes for an answer. Even when we thought we might be close on an agreement, the president's demands changed.

The president has often said we need a "balanced" approach -- which in Washington means: we spend more. . .you pay more. Having run a small business, I know those tax increases will destroy jobs.

The president is adamant that we cannot make fundamental changes to our entitlement programs. As the father of two daughters, I know these programs won't be there for them and their kids unless significant action is taken now.

The sad truth is that the president wanted a blank check six months ago, and he wants a blank check today. That is just not going to happen.

You see, there is no stalemate in Congress. The House has passed a bill to raise the debt limit with bipartisan support. And this week, while the Senate is struggling to pass a bill filled with phony accounting and Washington gimmicks, we will pass another bill -- one that was developed with the support of the bipartisan leadership of the U.S. Senate.

Obviously, I expect that bill can and will pass the Senate, and be sent to the President for his signature. If the President signs it, the 'crisis' atmosphere he has created will simply disappear. The debt limit will be raised. Spending will be cut by more than one trillion dollars, and a serious, bipartisan committee of the Congress will begin the hard but necessary work of dealing with the tough challenges our nation faces.

The individuals doing this work will not be outsiders, but elected representatives of the people, doing the job they were elected to do as outlined in the Constitution. Those decisions should be made based on how they will affect people who are struggling to get a job, not how they affect some politician's chances of getting re-elected.

This debate isn't about President Obama and House Republicans ... it isn't about Congress and the White House ... it's about what's standing between the American people and the future we seek for ourselves and our families.

You know, I've always believed, the bigger government, the smaller the people. And right now, we have a government so big and so expensive it's sapping the drive of our people and keeping our economy from running at full capacity.

The solution to this crisis is not complicated: if you're spending more money than you're taking in, you need to spend less of it.

There is no symptom of big government more menacing than our debt. Break its grip, and we begin to liberate our economy and our future.

We are up to the task, and I hope President Obama will join us in this work.

God bless you and your families, and God bless America.

@highlight

Washington's days of spending and piling up debts are over, Boehner said

@highlight

Boehner: Country didn't get much good out of President Obama's spending binge

@highlight

House will pass a bill this week that can and will get through the Senate, Boehner said