(CNN) -- Many people thought that the massacre of 20 young school children and six educators by a gunman wielding an assault weapon would change the terms of the debate over firearms regulation.

It appears that they were wrong.

Not only does it now seem that Congress will not reinstate the assault weapons ban, but it also appears unlikely to place restrictions on the size of magazines so as to reduce the number of bullets that can be fired before reloading is required.

For opponents of these measures, such a result would be vindication of what they argue is the absolute right to bear arms set forth in the Second Amendment.

Such arguments ignore the fact that in its 2008 decision recognizing that the Second Amendment created a personal right to bear arms unrelated to serving in a militia, the Supreme Court also recognized the permissibility of "reasonable" restrictions on that right, including potentially prohibiting carrying "dangerous and unusual weapons."

For others, however, a legislative outcome that includes neither an assault weapons ban nor restrictions on magazines is just more of the same -- a powerful lobby using aggressive tactics to persuade Congress to ignore majority support for these measures. I must say, however, that if this turns out to be the result, I will be sad but hardly shocked.

Gun bill filibuster?

In 1978, while serving as the Treasury official overseeing the Bureau of Alcohol, Tobacco and Firearms, we proposed regulations that would have created a centralized database of firearms transactions (which would not have included the names of individual retail purchasers). The purpose of such a database was to allow speedier tracing of firearms used in crimes and to allow the ATF to analyze the flow of firearms to particular dealers, which would suggest which dealers were diverting firearms to the illegal market.

Even though these proposals would have had no effect on anyone's right to own any firearm, the NRA mounted a campaign against them, and Congress voted to prohibit any such database from ever being established, a prohibition that remains in effect today. During the debate over these regulations, I heard from some members of Congress that while the proposals made sense, politics precluded them from expressing support. Thirty years later, it seems little has changed.

So given this state of play, what should be the focus of those who believe that added regulations of firearms would help save lives?

Despite emotions, little happens legislatively after mass shootings

Obviously, a first step is to continue to make the case for an assault weapons ban and limitations on the size of magazines. The issue, after all, should be not whether such steps avoid all mass shootings, but whether they could save some lives. Would it not have been worth it even if some of those murdered in Newtown could have survived because the shooter did not have an assault weapon? But there are other things that can and should be done:

1. We need to work to ensure that Congress at least finally creates a system of universal background checks for all firearms purchasers. Many people believe such a system exists today; it does not. Along with such a system, we need to improve the databases used in connection with such checks.

2. Focus should be placed on what is happening in particular states. For example, states such as New York and Colorado have made meaningful changes in gun laws in response to the spate of recent mass shootings, and other states have meaningful restrictions on firearms possession. It is true, however, that attitudes toward guns are different in different regions of the country.

If certain states choose to have fewer firearms regulations, those choices should not be allowed to interfere with the policy decisions of those states that decide that a safer society requires more firearms regulations and fewer guns on the streets. Yet this is precisely what happens now where guns sold in low- or no-regulation states end up on the streets of those cities and states with far stricter regulation.

Thus, we need -- as is being proposed -- to toughen the laws on "straw man" purchases and firearms trafficking and to make it a federal crime to transport a gun into a state where possession of that gun would be illegal.

3. Congressionally imposed restrictions placed on ATF's ability to enforce existing laws should be removed. This includes ending the ban on the creation of a centralized firearms transaction database, but also ending restrictions like the ban on ATF's ability to require gun dealers to conduct annual inventories to determine whether firearms have been lost or stolen. (Unfortunately we are instead seeing moves to make these kinds of restrictions permanent.) Opponents of new firearms regulations often argue that existing laws should be enforced before we pass new ones. Unfortunately, Congress is too often pressed to impose rules that make such enforcement less effective.

Opinion: More gun mayhem, and yet we wait for action

In the end, a sensible approach to gun violence would, among other non-law enforcement steps, include prohibitions directed at assault-type weapons, more regulation of handguns, less regulation of traditional long guns and working to make sure that federal, state and local law enforcement have the tools to enforce the laws relating to firearms. Unfortunately, logic does not always operate when the topic is guns.

What are your views on gun control? Share your thoughts

The opinions expressed in this commentary are solely those of Richard Davis.

@highlight

Richard Davis: Many thought massacre of 20 children, six adults would change gun debate

@highlight

He says we're seeing a predictable pattern in which gun lobby blocks popular legislation

@highlight

Supreme Court decision on Second Amendment allows reasonable gun regulation, he says

@highlight

Davis: Congress must create system of universal background checks for gun purchasers