Editor's note: The staff at CNN.com has been intrigued by the journalism of VICE, an independent media company and Web site based in Brooklyn, New York. The reports, which are produced solely by VICE, reflect a very transparent approach to journalism, where viewers are taken along on every step of the reporting process. We believe this unique reporting approach is worthy of sharing with our CNN.com readers.

Brooklyn, New York (VICE) -- March 11 marks the one-year anniversary of the largest Japanese catastrophe since World War II. The unforgettable triple disaster was triggered by the 9.0-magnitude Great East Japan earthquake, resulting in a devastating tsunami and subsequent nuclear meltdown at the Fukushima Daiichi power plant, the effects of which are still being felt today.

Three months after the earthquake, we set out for Tokyo with Grammy Award-winning singer, songwriter and producer Pharrell Williams, who has a strong affinity for Japanese culture and has been strongly involved in Japan's music and fashion scenes for the last decade. We wanted to see how the young population of this iconic city was coping with the aftermath and ongoing elements of the crisis.

What was most memorable in the capital was a darkened Shibuya Crosswalk, arguably the most famous crosswalk in the world, and a symbol of Tokyo the same way Times Square is to New York or Piccadilly Circus to London. To see it with all the lights and advertisements and video screens turned off was profoundly unsettling, and immediately recalled the eerie quiet of lower Manhattan in the weeks after September 11. The rolling blackouts and voluntary power outages to conserve energy added to an atmosphere of nervous desolation already fostered by the flight of foreigners to their home countries and native Japanese further south, as worried Tokyo residents tried to come to terms with the scope of the disaster and fear of the very air around them.

At the same time, the city kept going. The spirit of post-3/11 Japan and the resilience and stoicism of its citizens has drawn comparisons to the reaction of New Yorkers and DC residents in the wake of the 9/11 attacks, but it is also a testament to the more celebrated aspects of Japan's national character.

The Japanese people live in one of the most volatile regions in the world. The country's islands are situated on the westernmost edge of the Ring of Fire and are regularly subjected to earthquakes, storms, and floods. The threat of calamity and exposure to the violence of nature is part of the daily fabric of Japanese life. Disaster is ingrained in the national psyche and has been an object of consistent cultural fixation -- it's in their art, movies, and literature, and has been for centuries.

See the rest of Tokyo Rising at VICE.com

What was exciting to witness amid the organized efforts at recovery and general collective response, was how the events of March 11 have spurred Japanese youth to an interrogation of traditional society. For the first time in years, the national government and media are under widespread scrutiny, leading many citizens -- especially those in their 20s and 30s -- to turn inward and rely on each other for information via social media like Twitter, blogs, Mixi and Facebook.

A noticeable shift has taken hold of Tokyo's creative class -- young Japanese seem suddenly possessed of a social and political consciousness at odds with their generation's portrayal as detached, passive and apathetic. There's a fire in the hearts of the young creatives we spoke with and new questions that are just starting to be asked out loud. Through art, creativity, entrepreneurship or protest, Tokyo's youth have begun asserting an active and individualistic will that runs counter to much of traditional Japanese thinking.

Undeniably, Japan is at a crossroads. Many of the old systems that governed the accepted Japanese "life path" had already lost their clout long before March 11 -- assumptions like lifetime employment, job security, financial security started coming into question with the economic downturn of the previous decade. This is the story of the youth of Tokyo beginning to peer over the wall of the established structures to look for the other possibilities their society has to offer. And in the process, redefine their Japanese identity and what it means to be young and creative in Japan today.

@highlight

VICE looks at how young people in Japan are coping one year after the tsunami

@highlight

Pharrell Williams, who has deep interest in Japan's music and fashion scenes, leads the way

@highlight

Crew finds a breakout social media scene that's at odds with traditional Japanese ways