(CNN) -- In December, the U.S. Department of Justice intervened under the Voting Rights Act to stay a South Carolina voter ID law.

Controversy rages over similar laws in Georgia and Texas. Many expect Justice Department action against the Texas law. (The Georgia law was approved in 2005 by the Bush administration Justice Department.)

The argument against voter ID goes as follows:

The most common form of ID in the United States is a driver's license. Nonwhite registered voters are somewhat less likely than whites to have driver's licenses. In South Carolina, for example, the gap is nearly 20%. Therefore, voter ID will have a discriminatory effect.

But then we're left with a question: What happens when those minority South Carolinians need social services? How do they identify themselves then? Then, of course, they rely on a Social Security number. But Social Security numbers are notoriously prone to theft, fraud and tampering.

The IRS counted more than 400,000 cases of theft of Social Security numbers in the 18 months from mid-2009 to the end of 2011. Surely that is only the tip of the iceberg. You don't sustain a population of 10 million to 12 million illegal aliens without lots and lots of fake Social Security numbers.

In other words, the U.S. has created two forms of de facto ID: one (Social Security) that is universal, but not reliable; another (state-issued driver's licenses) that is reliable, but not universal.

Obvious question: Why can't we have a system of personal identification that is universal and reliable?

Modern technology enables the design of just such a card while also protecting and even enhancing personal privacy.

Imagine you are a 22 year old who wants to buy a case of beer. (Or a 66 year old who wants to buy a discount movie ticket.) You present your driver's license that shows on its face your date of birth, and the cashier computes whether you qualify. But that card actually discloses more information than the cashier requires. The cashier is asking a "yes" or "no" question: 21 or older? 65 or older?

Or imagine that you are an employer who wants to check a job applicant's eligibility for work. Again, the card the employer will see presents more information than required. The employer doesn't care whether you are a citizen or a permanent resident or where you were born or when you became a resident alien. He just wants a "yes" or "no" to the question: Eligible to work?

Same thing at the polls. The poll watchers don't need to know whether today is your birthday. They don't need to know your height or weight. They just need to know: Are you who you say you are? And are you eligible to cast a ballot?

On its face, it would carry only your name and image. That's all most people need most of the time to confirm your identity; for example, when checking the name on your airline ticket against the person bearing the ticket.

But none of the other information that now appears on your driver's license needs to appear there. Not the address. Not the date of birth. No the height or weight.

Information beyond face and name would be encrypted inside the card and would be divulged only to specific scanners. Liquor store owners would have machines that could read only the answer to the "21 or older?" question. Employers would have machines that could read only the "eligible to work?" question. Voting places would read only "eligible to vote?"

Departments of Motor Vehicles in each of the states could encrypt motorist information onto the card. If you moved to another state, you would not need a new card. A visit to the DMV in the new state would wipe out the obsolete motorist information and substitute the new.

Police might have more sophisticated scanners that could read more exactly your address or date of birth or citizenship status.

The card would have encrypted information useful to prevent social service fraud; for example, the number of children you have so you can't enroll for more benefits than for which you qualify.

The card might also carry encrypted medical information useful in case of emergency such as blood type and allergies to medicines.

None of this information would be visible to the casual observer. None would be available except to those with a right and need to access it.

The card need not be compulsory. Even in France, supposedly the homeland of Big Government statism, the national ID card is noncompulsory. But the card would add so much convenience to life that most people would want it: one ultrasecure document that smoothed your way through the modern world -- and guaranteed no-questions asked about your rights to vote, work, drive and purchase alcohol.

Such a card, available for free to all, should obviate all objections to the seemingly commonsense requirement that we not just "take your word for it" when you vote or apply for social benefits.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

The Justice Department is seeking to stop a South Carolina voter ID law

@highlight

David Frum says that minorities are much less likely to have most common ID, a driver's license

@highlight

He says a new national identity card would enable voting, other government services

@highlight

Frum: The card would be free and would be a convenience that people would value