Shanghai (CNN) -- Thirty years ago, the mention of a social ball would have made most Chinese cringe -- it was regarded as a typical derivative of capitalism.

However this year, Shanghai hosted its first International Debutante Ball, and an invitation to the high-society event is becoming the new status symbol in the city.

Ricky Gong, 39, a Shanghai-born beauty contest organizer, was one of 150 guests who sipped champagne under chandeliers at the invitation-only event held in January.

"The ball was elegant, noble and very ceremonial," he says. "It had a very strong upper-class feeling."

Now, a second ball is on its way.

In the West, a debutante ball is the "coming-out party" for daughters of the rich, famed and powerful.

In the Shanghai Waldorf Astoria's colonial-style ballroom, Gong witnessed 13 ladies making their debut into high society, donning traditional white gowns and dripping with RMB 60 million (US$9.5 million) worth of jewelry and tiaras.

This is one of Shanghai's most luxurious venues. A dinner for two could easily run to RMB 1,000 (US$158), about one-third of the monthly salary of an average Chinese person.

Gong says he enjoyed it.

"The event is good for shaping the elite class of socialism," he explains. "Our society needs elites like (the debutantes) to help build positive social morality and establish correct values."

Up until the mid-1980s, Communist China regarded farmers and workers as the noblest people of all.

"In today's mainland China, there are only two renditions of the high society: money and power," Gong comments.

Chinese socialite Vivian Chow Wong, 66, is the brains behind the ball. The daughter of late Peking Opera master Zhou Xinfang, the homegrown dame will host her next cotillion at the Peninsula Shanghai in January 2013.

"(I brought the ball to China because) I think the time is right," says Wong, who moved to Hong Kong with her family in 1959 and has since studied and lived in Asia, Europe and North America.

With the exposure of mainland girls taking part in other debutante balls in the West, Wong reckons there is room for one in China "where the girls are striving to have a certain quality of life other than brand names and materialistic things."

The first Shanghai International Debutante Ball did not invite any ladies from the mainland (13 debs aged between 16-25 came from Britain, Australia, Hong Kong and Taiwan), but eligible daughters of the Communist Party elite or "red princesses" have waltzed at Le Bal des DÃ©butantes, the annual Debutante Ball in Paris, for the past decade.

Wan Baobao was the first to attend the Parisian event in 2003. The Beijing-born jewelry designer is the granddaughter of Wan Li, who, among other titles, served as the former vice premier of the State Council in the '80s.

Wan's debut was followed by Chen Xiaodan in 2006, whose father governs the China Development Bank. Chen's grandfather, Chen Yun, was a founding member of the PRC and a high-ranking official in the country until the late 1980s, according to Want China Times.

And, Jasmine Li, a young debutante said be the granddaughter of a current member of the Politburo Standing Committee, was reported to have attended the Paris Debutante Ball in 2009.

"Many people on the Internet have raised questions about the attendance of Chinese debutantes such as Wan and Chen," says Rachel Lu, 31, editor from Tea Leaf Nation, an English language blog focusing on the social media reaction to Chinese news.

"(Netizens said) their ancestors were Communists or Red Army. Strictly speaking, they can't be the 'Chinese royalty,'" adds Lu, who hails from Chengdu and graduated from Harvard Law School.

In a country that deposed its last emperor, Pu Yi, one century ago, many are questioning the meaning of the "upper class" in today's society, continues Lu.

China-based etiquette trainer Lawrence Lo thinks China needs five to 10 years to mature for a debutante ball.

"It is not the right time yet and too early for social acceptance of such occasions since there is still not an established environment that advocates such exclusive activities," says Lo, 39, who owns a boutique etiquette consultancy in Shanghai.

The lack of strong candidates is another challenge.

"A qualified debutante will take years of personal training and development," adds Lo. "China has seen its economy growing at a very rapid pace in the last 10 years, but soft skills lag behind its current development."

Wong reveals that two or three debs from the mainland, who she met after January, will attend her next ball.

She stresses her debs don't necessarily need to have a wealthy family or a strong lineage ("though a strong lineage helps"), but they must have the elegance, quality, and style of a modern woman. This entails a proper family upbringing and preferably education in the West.

In addition, they must have a "good family background."

"Good family background in today's China means a family without any scandals, such as corruption," says Wong.

Lu says the Shanghai International Debutante Ball has yet to receive attention from Chinese netizens due to the lack of mainland debs in the first one, but if the future selected ladies are princelings, this could cause controversy.

"However, people will be more tolerant if they turn out to be daughters or granddaughters of pure businessmen."

This sharp reality hasn't escaped organizer Wong, who claims that her debutante ball "will have nothing to do with children of Chinese government officials."

She adds, "I personally prefer girls from private enterprises because that makes life easier for everybody."

@highlight

Chinese socialite plans to host first debutante ball for mainland girls in 2013

@highlight

13 debutantes from outside China made their debut at first event in January

@highlight

A number of Chinese girls with impeccable links have attended European events

@highlight

Etiquette trainer says China's not yet ready for the high-society event