(CNN) -- When people ask me if there's anything I miss about my old job at Newsweek, it's an easy answer. Besides the amazingly talented colleagues I worked with there, I miss picking the cover.

The cover is the calling card of any magazine, but it was particularly true for newsmagazines, since we put out a new issue every week and the range of subjects we had to choose from was so broad. In my era, as competition from more instant news on cable TV and the Web became ever more intense, it was also the one area where our slowpoke frequency could work in our favor.

Make a smart call on the cover, and it stayed on newsstands and coffee tables for an entire week for readers to admire and discuss. It's why, for instance, I still hear people talk about the cover story that I asked Fareed Zakaria, my former colleague at Newsweek (and now at CNN), to write after 9/11 called "Why They Hate Us."

Of course, the opposite was also true. Make a dumb call and you had to live with it for a whole week. A crudely Photoshopped cover of Martha Stewart emerging from behind a curtain after her brief prison stint for obstruction of justice and making false statements to investigators comes to mind.

For decades, the cover was also how the fierce competition between Newsweek and Time was defined. In the 1960s, Newsweek became a "hot book" after three decades as a distant also-ran, thanks largely to its forward-looking covers on civil rights, Vietnam and the women's movement (not to mention Twiggy and LSD). In the 1970s, it was the cleverness of its cover designs as well as the depth of its reporting that wowed everyone who followed Newsweek's coverage of Watergate.

When both magazines put a young Bruce Springsteen on the cover in the same week in 1975, it became conventional wisdom that we tried to copy each other. But the opposite was true: We were always looking to win the cover war, and we exulted when we did.

One of those moments came for me the weekend that Princess Diana died in 1997. We held the presses, threw out the issue we had just put to bed and came back into the office in the wee hours to publish a new one. I wanted a striking image for the cover and remembered a black and white photo of a short-haired Diana that had been taken by the fashion photographer Patrick Demarchelier.

One of my photo editors, a friend of Demarchelier's, went to his apartment, woke him up and persuaded him to give us the negative. When I saw a wire service photo several hours later of Time's cover, a standard news shot of Diana, I knew our issue would crush theirs on the newsstand. And it did, selling well over a million copies.

Some weeks, like that one, the thrill was in "crashing" a cover at the last minute when a big story broke close to our Sunday deadline. John F. Kennedy Jr. would perish in a plane accident, or Saddam Hussein would get captured in Iraq, and we'd switch covers and have the satisfaction of looking nimble and newsy on Monday.

Details, however, could sometimes get overlooked in the rush. In 1990, when I wrote a Sunday story on Nelson Mandela's release from prison, we put the word "Free!" on the cover. We never stopped to think that people would assume we were giving away the magazine for nothing.

On slower news weeks, the satisfaction was in posing a pressing or provocative question about the economy, or race relations, or gay rights, or the fight to improve our health or save our schools. Or it was in deciding which icons deserved covers when they died, and what new cultural figures were worth highlighting on the way up. As proud as I was of putting a newly elected senator from Illinois named Barack Obama on our year-end cover in 2004, I was just as proud of selecting Jon Stewart in 2003.

Then there was the sheer creative fun of coming up with the designs and words for the cover. I'll never forget election night 2000, when the race between George W. Bush and Al Gore went into overtime. We were closing a special issue, and we had prepared separate covers declaring each man the winner. But what to do now?

At about 3 in the morning, my art director walked into my office with an image that her staff had concocted of the two faces melded into one. "That's genius!" I said, and we put it on the cover with the headline "The Winner Is..."

Decades from now, when people have forgotten most of what they read inside the pages of Newsweek, they'll still remember the visual impact of covers like that one. And those of us who were lucky enough to work there will remember those late nights, crowded in the editor's office, competing to see who could come up with the best cover line.

It sure was heaven while it lasted.

@highlight

The cover is the calling card of any magazine, Whitaker says

@highlight

The cover was also how the competition between Newsweek and Time was defined

@highlight

Whitaker recalls the striking cover put together the weekend Princess Diana died

@highlight

Another favorite: for the 2000 election results, a composite of Bush's and Gore's faces