Editor's Note: M.J. Gohel is executive director of the Asia-Pacific Foundation, an independent intelligence and security think tank based in London, England. His son, Sajjan Gohel, is director for international security at the foundation. They provide analysis to the media, government agencies and military departments.

M.J. Gohel, left, and Sajjan Gohel say the attacks had the hallmarks of a transnational group.

LONDON, England (CNN) -- The Indian media have described the Mumbai terrorist siege as India's 9/11.

The targets for the attacks, many of them symbols of Mumbai's growing power and wealth, were not randomly selected and were intended to send a direct message to India, Israel and the West.

Indeed, the Mumbai attacks had all the hallmarks of a powerful transnational terrorist group inspired by the ideology of al Qaeda.

Mumbai is no stranger to terrorism.

On March 12, 1993, a series of 15 bombs exploded across several districts of India's financial capital, killing 257. On July 11, 2006, a coordinated bombing spree on the city's transportation system killed 209 people.

Uniquely disturbing about the recent Mumbai attacks, in addition to killing locals, is the deliberate targeting of restaurants and hotels used by Westerners and a Jewish cultural center.

Mumbai is to India as New York is to the United States or London to the United Kingdom. The city is driving India's economic boom.

It is the commercial and entertainment capital of the country, where the "Bollywood" film industry is based. It is the heartbeat of India. What happens there vibrates throughout the nation.

Three factors may help explain the timing of the attacks.

First, they occurred on the eve of America's Thanksgiving, as hotels in Mumbai were preparing for the event by putting on functions for the Americans living, working and on vacation in Mumbai.

Secondly, a major international cricket tournament, the Twenty20 Champions League, was going to take place the following week. Some of the matches were going to be played in Mumbai, but the attacks resulted in the tournament being postponed.

Thirdly, important state elections are taking place in parts of the country. They are being closely contested between the major political parties, and security was a key election issue. The events in Mumbai have left the nation divided as to how to respond.

In fact, in the past 12 months, /topics/India" class="cnnInlineTopic">India has endured more terrorist attacks in more parts of the country than in any previous recorded period. Cities such as Bangalore, Jaipur, Ahmedabad and the capital, New Delhi, have been hit. However, those attacks involved rudimentary timed-explosives left in public places.

The latest events are different in terms of method and scale, with cells of well-armed men involved in synchronized assaults.

The gunmen were also clearly prepared to die in their attacks but not to kill themselves as suicide bombers do. They were on a "fedayeen" mission. In effect, they were hoping to kill as many people as possible while being taken down in a hail of bullets by the security forces in the ensuing shootout.

Fedayeen attacks are not uncommon in India. On December 13, 2001, five gunmen drove into India's parliament complex in New Delhi and opened fire indiscriminately. Although no members of parliament were harmed, eight people and the five terrorists were killed.

Lashkar-e-Toiba, a Pakistan-based terrorist group affiliated with al Qaeda, was blamed for that attack.

The incident almost brought India and Pakistan into a full-scale conflict, but that was averted by the intervention of the United States, Russia and China.

Although the Lashkar-e-Toiba is banned in the United States and the European Union, it has tried to operate under different names, including Jamaat-Ud-Dawa and Idara Khidmat-E-Khalq. Indian authorities are accusing the group of being tied to the recent attacks in Mumbai. However, Pakistani authorities deny there is a connection to their country.

Some have suggested the Mumbai attacks cannot have a transnational connection because al Qaeda uses the tactic of suicide bombers and does not indulge in hostage-taking.

It is pertinent to point out that al Qaeda does not have a written constitution in how to kill, but the end goal is always the same: inflict mass-casualty atrocities with economic, political and social consequences.

In any case, Abu Musab al-Zarqawi, the Jordanian terrorist who officially aligned his group to al Qaeda, graphically introduced the tactic of hostage-taking in Iraq. U.S. journalist Daniel Pearl was taken hostage in Karachi, Pakistan, and eventually murdered under the order of Khalid Sheikh Mohammed, al Qaeda's master planner of 9/11.

The March 11, 2004, train bombings in Madrid, Spain, which killed 190 people, were not suicide attacks nor orchestrated by al Qaeda central, but its doctrine certainly motivated the plotters. Likewise, although al Qaeda may not have directly planned and coordinated the Mumbai attacks, the gunmen were clearly inspired by the goals and ideology that Osama bin Laden and his deputy Ayman al-Zawahiri preach.

It could be argued that Mumbai was targeted by the terrorists because other places in the West have proved harder to attack.

U.S. counterterrorism agencies have stepped up efforts since 9/11. British services have foiled plots linked to al Qaeda since the 2005 transportation bombings, and Israel has significantly reduced the plethora of suicide attacks it once faced.

The Mumbai gunmen were well-prepared and trained. The terrorists had done their reconnaissance and planning, which would have taken months to coordinate. They knew the terrain and locations. They had worked out the internal infrastructure and layout of the buildings and moved with stealth, combing their way through 10 locations and creating devastation along the way.

Unlike most terrorist attacks of recent years, the Mumbai siege lingered primarily because the gunmen had taken hostages. The focus of the international community remained fixated on events in Mumbai with wall-to-wall coverage from the world's media.

Unlike suicide bombing, hostage-taking can be played out over several days. Terrorists have become skilled in using the media as their oxygen of publicity to convey fear and inflict paralysis.

Understandably, some have questioned how, if official estimates are accurate, 10 terrorists could have caused so much bloodshed and repelled India's security apparatus for more than three days in three different buildings. The challenge for the authorities was to eliminate the terrorists and not the hostages.

The gunmen had embedded themselves in the buildings and were well-equipped and able to return fire and lob grenades at the Indian forces trying to clinically extract them. It's worth remembering that on 9/11, it took only 19 people, with only box cutters as their weapons, to hijack four commercial flights. With basic flight training, they used three of those planes as guided missiles into the World Trade Center and the Pentagon.

As has been demonstrated in the United States, the United Kingdom and Spain, it is easier for terrorists to operate and function in a free and democratic society. For counterterrorism authorities, foiling potential attacks is like an uphill treadmill. They have to be 100 percent successful all the time. The terrorists only need to be lucky once in order to inflict a mass casualty attack.

Cities become huge because they are successful in economic terms. People migrate because they feel they would have better opportunities there. The total population of Mumbai is 18.5 million, and it is a city growing in economic terms every year, which gives the national economy huge momentum. Direct foreign investment helps build commercial relations with other countries, and it is this relationship the terrorists seem keen to disrupt and damage permanently.

In the long-term, it is unlikely the Indian economy will be deflected by terrorism anymore than Western economies have been fundamentally weakened by terror in New York or London, so the attack may not undermine the commercial fabric of the city. But it will leave deep indelible scars for Mumbai residents.

The opinions expressed in this commentary are solely those of M.J. Gohel and Sajjan Gohel.

@highlight

Gohels: Some in the media are calling Mumbai attacks India's 9/11

@highlight

They say attacks bore signs of transnational group inspired by al Qaeda

@highlight

Mumbai siege lingered primarily because gunmen had taken hostages, Gohels say

@highlight

Mumbai may have been targeted due to higher security elsewhere, they say