(CNN) -- Imagine a future in which planes run on a mixture of batteries, body heat and cow manure.

Or perhaps noise pollution would cease to exist (thanks to a shape-shifting engine, that is). Luggage could arrive at the baggage carousel quicker, because it would float on and off aircraft like pucks on an air hockey table.

These sci-fi-sounding concepts have been drafted by a handful of engineering students at the behest of Airbus, who has partnered with UNESCO to sponsor the third consecutive Fly Your Ideas competition.

According to Dale King, Airbus' senior manager for research and technology, the goal is to engage tomorrow's innovators, and perhaps nudge their eco-conscience in the process.

"We're trying to encourage the next generation of leaders to think about ways in which the aviation industry could be made more eco-efficient, and to be sympathetic to its environmental impact," he says.

The competition is in keeping with the company's goal of halving CO2 emissions by 2050, and many of the solutions could mean the future of flight is zero-emission.

"Even if you replaced (jet fuel) with liquid natural gas, you could cut CO2 emissions 20%," says Luke Spiteri, a finalist in the competition.

Read more: 3-D printer makes jet engine

Spiteri is leading the team from the Royal Melbourne Institute of Technology, which has designed supercooled pods on the plane's wings to deliver sustainable fuel to the engine. He envisions bio-LNG -- a combo of bio-methane (a by-product of organic composed waste) and liquid natural gas -- replacing traditional jet fuel. Overall, says Spiteri, the blend could reduce CO2 emissions by 97%.

University Putra Malaysia has presented another novel energy-saving technology involving converting passengers' body heat into electrical voltage.

Tan Kai Jun, the team leader, envisions cabin seats upholstered with a thermoelectric fabric that can convert a person's energy into 100 nanowatts of voltage. Alas, that amounts to about one-millionth of what your iPhone needs to stay on standby. Still, Jun maintains that it does ultimately add up.

"It's a small amount, but imagine this collected from 550 seats throughout 10 hours of flight. A plane has a lifespan of a few hundred flights -- over time that's a big reduction," he says.

Read more: Are flying cars the future of travel?

While King says the technology isn't quite mature enough to roll out just yet, he says he's keeping his eye on it.

"Currently, the difficulty is that these devices do weigh something, and weight has a direct impact on fuel. The trade-off doesn't work just yet, but there is potential there in the future."

Bertrand Piccard, co-founder and pilot of Solar Impulse, the solar powered currently flying across the USA, believes that wild ideas are what inspires innovation.

"The world of aviation loves pioneers, because they're responsible for its existence," says Piccard. "Of course, they don't believe that what we're doing can be done with commercial flight and they are correct; today it can't be done. But when the Wright Brothers first flew in 1903, and Lindbergh crossed the Atlantic in 1927, no one would have imagined then that a plane carrying 300 passengers could make the same trip."

Industry experts are taking a keen interest in the project. Virgin Atlantic's Sir Richard Branson is a sponsor, and according to Piccard, he is thinking of using solar power to tow aircraft onto the runway -- a process that could save up to two tons of fuel per flight.

"Our goal is not to make a revolution in air transport, because it would be arrogance for us to try and do this," he says. "Really, we want to make a revolution in the mindset of the people."

@highlight

Airbus and UNESCO invited aeronautics and engineering students to come up with ideas for a futuristic aircraft

@highlight

Ideas include planes powered by batteries, body heat and cow manure, luggage that floats and a shape-shifting jet engine

@highlight

Some of the proposals could cut CO2 emissions by 97%.