(CNN) -- It is true many Iraqis celebrated the fall of Saddam Hussein but few expected they would be held hostage to policies over which they -- the Iraqi people -- had no say but for which they would still have to pay the price.

It is nearly impossible to put into words what this nation has gone through, the bloodshed, the psychological impact of living nine years of war -- a war that isn't over yet.

Nahla al-Nadawi, like tens of thousands of other Iraqis, knows the bitter cold feel of death too well.

"I have the courage to say that I was happy when the Americans arrived, but then I have hundreds of questions," Nahla says. "Why did the Americans make so many mistakes? Was it out of ignorance about Iraq or was it deliberate?"

"The Americans are leaving us fragile. They haven't even planted the seeds that would give us hope that we are heading towards democracy, rule of law and civil society," she says.

Her husband, Mohammed, was killed in a bombing back in 2007. He was a doctor, and the couple had returned to Iraq following the fall of Saddam Hussein because they felt their country needed them.

There were 10 bodies, charred and melted together at the morgue that day in April. Nahla had to identify the man she calls the love of her life from a pin in his knee.

"Suddenly this scorched thing is the same thing that used to be a beating heart, standing next to you in life," she told us, pain etched across her face.

Those steps towards the hospital morgue played out over and over again in her mind.

"I remember a blue colored sheet covering something. At one end the pigtails of a little girl with red ribbons, on the other a tiny foot. The sheet was drenched in blood. At that moment I forgot why I was standing there, I was crying for all those other people," she says.

Looking at photos from 2007 Nahla says it's as if she was wearing a cloak of death. Life back then became black and white. Now its bursting with color again, but inside she says she still carries the pain.

Her nine-year-old son Ussayid is her source of happiness. He's autistic, but just this year transferred from a special needs school into a regular one.

But even he can't escape the pervasiveness of death. Every morning he recites a list of people who died and how, starting with his father.

She says: "And when he draws, he draws a cloud and rain and then paints over it all with black," Nahla says. "This child who seems happy on the surface carries a darkness inside because of the death of his father, the death of so many of our friends.

"I love people, I love them so much. If I have someone in the car with me, as soon as they leave, I put my hand down to feel the heat left by their body, to feel life."

Standing next to Iraqi Prime Minister Nuri al-Maliki last week, President Barack Obama congratulated the Iraqi leader.

"The prime minister leads Iraq's most inclusive government yet," he said.

In his address to troops at Fort Bragg, Obama heralded the end of the war as a "moment of success."

But success is hardly a word most Iraqis, even those who rabidly opposed Saddam Hussein, would associate with the U.S. war in Iraq.

One is hard pressed to find a family that hasn't lost a loved one be it to American bombs, attacks by al Qaeda and other insurgent groups, or the sectarian bloodletting that tore this nation apart.

The majority of the Iraqi population is still struggling to come to terms with the rampant violence that shattered entire communities and turned neighbor on neighbor as streets they once used to laugh and share jokes in turned into battlefields.

The Iraqi government began to show signs of crumbling even before the last U.S. soldier left Iraqi soil. The Iraqiya bloc headed by former Prime Minister Ayad Allawi announced Saturday that it was suspending its participation in parliament because of a lack of power-sharing.

The bloc accuses Prime Minister al-Maliki of consolidating power. Al-Maliki still holds full control over the security portfolio which includes the ministries of defense and interior.

Furthermore, since the end of October the Iraqi security forces have rounded up hundreds of people it accuses of being Ba'athists and terrorists. Iraqiya says the majority of those people are its members or supporters and charges that al-Maliki is simply taking out his opponents one by one.

Ali al-Mussawi, media adviser to the prime minister, told CNN Saturday that the government had confessions linking Tareq al-Hashimi, the Sunni vice president and a member of Iraqiya, to bombings.

But no more information was made public and no arrest warrant was issued, amid warnings that such a move would certainly thrust the country towards yet another violent abyss.

A few days earlier, another ranking Sunni, Deputy Prime Minister Saleh al-Mutlaq, told CNN that al-Maliki was nothing less than a dictator himself adding: "Al-Maliki is playing a game between Iran and the U.S.. There will be a day when the U.S. realizes that they were deceived by al-Maliki and they will regret that."

According to Iraqi state TV, al-Maliki -- who heads the rival predominantly Shia bloc -- is asking parliament for a no confidence vote to remove al-Mutlaq from power.

The Iraqi people continue to be the victim of both their own country's policies and those of the country -- America -- that directly or indirectly promised them a better life after Saddam Hussein.

Mona Adnan, 29, moans as she lies in bed in her dark room. She can no longer get up on her own.

"I just want my leg, I don't want anything else," she sobs as her elderly father wipes the tears off her face. "I don't even have money for medication. My family is poor, we have to pay rent, my mother and father are sick."

Mona used to work just outside her home selling hot sugary tea. She was the sole breadwinner for her impoverished family but a month ago a bomb ripped through the marketplace blowing off one of her legs.

There are hundreds of thousands of war wounded, and according to the Ministry of Health, about 25 percent of them are amputees.

"What did this girl do to deserve this?" her father laments, tears welling in his eyes. "What has she done, what? Her whole future is gone."

The war may be over, but only for America.

In the moments after the last American convoy departed from Iraq, one of our Iraqi colleagues, echoing a thought we'd heard time and time again, said: "We thank the U.S. for getting rid of Saddam, but not for anything that happened afterwards."

@highlight

While the war is over for America, Iraq must deal with a country still racked by violence

@highlight

Iraqis must heal the scars left by nine years of war that left more than 100,000 dead

@highlight

The Iraqi government has shown signs of crumbling even before the last U.S. soldier left