(CNN) -- When President Barack Obama stands in front of Congress Tuesday for the State of the Union Address, he will likely talk about his new focus: "income inequality."

But why, five years into the Obama administration, does the President and his political advisers want to change the topic and focus on this new theme?

Well, probably because Obama does not want to talk about job creation.

In 2009 the President promised that if the American people took on another $800 billion in higher debt and spent that $800 billion through the government, it would "create or save" 3.5 million jobs over the next two years and unemployment -- then 7.3% -- would not go higher than 8% (it ended up peaking at 10%).

After all that spending, the United States had the weakest recovery since World War II. The percentage of Americans of working age who are actually working was 66% when the recession began, stood at 65.8% when Obama was inaugurated and actually fell to 62.8% today. The only reason the unemployment number has appeared to fall from 7.3% since Obama took office to 6.7% now is that 10 million Americans of working age have left the workforce out of frustration at not finding work.

So creating jobs would be a rather unpleasant topic for the President.

And America has just marked the 50-year milestone in the "War on Poverty," announced by President Johnson in 1964. After $15 trillion in government spending, poverty remains as high as when the war was declared. The wars in Afghanistan and Iraq have been shorter and less expensive in dollars.

So "income inequality" is a much less unpleasant topic than "why government spending did not create permanent jobs" or "why massive welfare spending didn't fix poverty."

Before Obama promised we could keep our doctors and health care if we wanted -- which he now admits was a fib -- the Democrats promised that government spending would create real jobs and welfare would end poverty. One might have noticed Detroit as a storm petrel or dead canary in the coal mine.

But rather than learn from 50 years and five years of failure, President Obama wants to change the subject.

Governments can reduce income inequality. You simply weaken the middle class and tax or regulate or inflate away the earnings of the highest-paid Americans and, without making any single person or family or community better off, you have reduced income inequality.

The grinding poverty of the Middle Ages had great income equality. Even the kings didn't have indoor plumbing or electricity. No one had life extending health care. Mao's China gave us another prolonged period of great income equality. The frenetic first days of the French Revolution reduced income inequality by lopping off the heads of the aristocracy -- the political bosses of the day.

The minimum wage is a perfect tool for denying the youngest workers and those with limited skills trying to enter the workforce from getting that first job. By killing jobs at the first rungs of the economic ladder, existing businesses cannot grow as rapidly, new workers do not get training and experience to move ahead. So everyone gets hurt and we are more equal in our reduced standard of living. Lose, lose.

Republicans have already countered by insisting that the President cannot hide the failure of Obamacare with distracting speeches.

Some might point out that Envy is one of the deadly sins, not a political program worthy of the American people.

But most importantly the Jack Kemp wing of the modern Republican party has found new leaders in Congressman Paul Ryan and Sens. Rand Paul and Marco Rubio. They have presented programs for getting government out of the way of job creation, upward mobility and general prosperity.

Americans should not let Obama change the topic. He can't distract us from why his party's promises that government spending would create jobs and that welfare would create hard-working, successful Americans and that Obamacare would allow every American to keep the health care he or she once had. Those failures must be discussed, however painful to the politicians who made those failed promises, so that we learn from failure and move to the opposite.

It is past time to make a U-turn on the present path where we have long ago passed the road sign that blared "warning, this way leads to Detroit." We must stop barreling along towards greater disappointments.

The President should not change the topic, he should change direction.

The opinions expressed in this commentary are solely those of Grover Norquist.

@highlight

Grover Norquist argues that President Obama will change the topic at Tuesday's State of the Union address

@highlight

Norquist: Obama will likely talk about his new favorite topic of income inequality

@highlight

Norquist: Obama does not want to talk about his record job creation