(CNN) -- You may not have noticed it, but in the midst of all the usual finger-pointing and polarization, a bit of actual problem-solving is underway in American politics.

A coalition of unlikely allies has coalesced in recent months to advance criminal justice reform. These strange bedfellows -- from liberal Democrats such as Sen. Dick Durbin to tea party darlings such as Sen. Mike Lee, from the NAACP to Americans for Tax Reform -- are all proposing reductions in mandatory minimum sentences.

U.S. Attorney General Eric Holder's calls for such reductions have been cheered by some of the same Republicans who otherwise want to impeach him. In Texas, a conservative group called Right on Crime has led the way on prison and sentencing reform -- earning plaudits from, among others, California progressives.

Why this rash of consensus?

Well, for the right, it's mainly about getting control of big government -- prisons now consume a quarter of the Justice Department's budget, and state prison spending has been on a multidecade boom with little corresponding "return on investment."

For the left, it's mainly about social justice -- the disparity in criminal sentencing for crack versus powder cocaine has a long-documented racial dimension, and blindly filling the "school-to-prison pipeline" has seemed misguided and cruel.

Democrats and Republicans agree the metastasis of the prison-industrial complex is unhealthy. But for each side there are also benefits to acknowledging the other side's rationale. In a GOP sometimes perceived as intolerant, Rand Paul's embrace of sentencing reform lets him to show his concern for minorities. Civil rights Democrats, meanwhile, get to embrace fiscal responsibility.

The criminal justice deal-making suggests a possible way forward for our politics: crosspartisanship. Crosspartisanship may look like bipartisanship, but it's different.

Bipartisan compromise typically splits the difference between the views of two parties, giving each side less than its ideal outcome. A crosspartisan approach, by contrast, finds issues where people from both parties converge on a common principle, even if for different reasons, and achieve an outcome that's ideal to both.

Where else might such crosspartisanship take hold? Curbing government surveillance is a possibility. Reducing crony capitalism is another. Even reform of the federal tax code, an arena as full of political landmines as crime and punishment used to be, might be feasible.

On surveillance, Edward Snowden's revelations have scrambled party affiliations, bringing civil libertarians from left and right together to push back against the National Security Agency. Liberals hate the size of the national security state because they are wary of war; conservatives hate it because they are wary of government.

On crony capitalism, Republicans since 2008 have blamed the housing and financial collapse on the profligate policies of quasigovernmental agencies such as Fannie Mae and Freddie Mac, while Democrats have blamed unregulated and predatory Wall Street firms. It's possible, of course, that they're both substantially right.

The moment is ripe for a liberal to say that government created the conditions for corruption in housing finance, and for a conservative to say that the absence of government accelerated such corruption. Perhaps both sides can agree that when public policy allows businesses to privatize gain while socializing loss, that's neither true capitalism nor good government.

On taxes, GOP House member Dave Camp of Michigan recently put forward a framework for tax reform that, while admittedly going nowhere legislatively, did take aim at tax expenditures -- loopholes -- that disproportionately benefit the privileged. He's not alone among conservatives, and they may be able to join with liberals who see such tax expenditures as welfare for the rich.

I'm not suggesting by any means that we're about to enter some golden age of collaboration in our politics. On plenty of issues -- making it easier for unions to organize workers or cutting taxes on the rich -- there are still irreconcilable policy differences that reflect deeper differences in worldview.

Some people, like me, think unions are generally a force for good; others see them as inherently inefficient, even evil. Some people divide the country into "makers" and "takers"; others find that division and its implications repugnant.

So the fighting will in most cases continue. But in the same way that the United States in foreign policy can sometimes partner with adversaries or rivals -- simply because it is in our interest in that moment to do so -- perhaps in domestic politics we can foster more such pragmatism. And make it contagious.

If that's going to happen, though, it'll be up to us as citizens to say that we want it. We'll have to reward elected leaders for this style of crosspartisan problem-solving. We'll have to resist punishing them for even talking to "the enemy." And then more leaders will have to learn to think -- and lead -- outside the lines of party.

The opinions expressed in this commentary are solely those of Eric Liu.

@highlight

Eric Liu: Both parties have come together to advance criminal justice reform

@highlight

Liu: Their deal-making suggests a way forward for politics: crosspartisanship

@highlight

He says partnering with rivals sometimes is pragmatic and works in our interests

@highlight

Liu: Other areas both parties can agree on: curbing surveillance, crony capitalism