Kabul, Afghanistan (CNN) -- In the single deadliest loss for U.S. troops since the Afghan war began in late 2001, 30 service members died early Saturday when a helicopter carrying them went down while they were reinforcing other troops, officials said.

Insurgents are believed to have shot down the CH-47 Chinook, a U.S. military official said. The Taliban claimed militants downed the helicopter with a rocket-propelled grenade.

Among the 25 U.S. special operations forces killed in Wardak province were 22 Navy SEALS, considered to be the "best of the best." Seven Afghan troops also died.

The majority of the Navy SEALs who died belonged to the same covert unit that conducted the raid that killed Osama bin Laden in May, though they were not the same men, the military official said.

The troops died during a "quick reaction" mission to assist military personnel pinned down by insurgents in a fierce firefight, a U.S. military official told CNN.

"It's a big loss" for the SEALs, one of the officials said. "The numbers are high."

Reflecting on the sobering loss, President Barack Obama said the deaths were "a reminder of the extraordinary sacrifices made by the men and women of our military and their families, including all who have served in Afghanistan."

NATO's International Security Assistance Force said 30 U.S. service members in ISAF, one civilian interpreter and seven Afghan commandos were killed. The nationality of the interpreter was not known late Saturday.

Among those killed was Aaron Carson Vaughn, 30, his grandmother told CNN Saturday night. She called him a brave warrior and gentle man.

Geneva Carson Vaughn of Union City, Tennessee, said Aaron lived with his wife and two small children in Virginia Beach, Virginia. The SEAL told her in June not to worry about his well-being, she said. "He said 'I'm not afraid. Because I know where I am going if something happens to me.' "

"He is with the Lord now," she said. "I will see him again someday."

The U.S. deaths came as NATO is drawing down and handing over security control to national forces. Some 10,000 U.S. troops are scheduled to depart by year's end, with the full draw-down expected to take place by the end of 2014.

However, no one is talking about withdrawing special operations forces and they are expected to stay on the job.

"We are determined to stay the course, especially in this crucial period when Afghan and international security forces are working closer than ever to make transition a success," NATO Secretary-General Anders Fogh Rasmussen said.

Special operations forces have been conducting almost daily night-time raids against insurgent targets in rugged areas like Wardak.

The Chinook went down as an Afghan and coalition force operation targeted a bomb-making cell leader in Wardak, leading to the detention of numerous insurgents Friday, according to ISAF. It is not clear if the helicopter incident and the raid were connected.

Mohammad Hazrat Janan, head of the provincial council, said Tangi village elders reported that insurgents shot at the craft when it was returning from an operation.

Officials are being especially tight-lipped because recovery operations at the site are still underway and body identifications and family notifications are just beginning, a U.S. military official said.

ISAF has not said how the incident occurred. Spokesman Justin Brockhoff acknowledged the helicopter had been flying in an area where there was reported insurgent activity.

"No words describe the sorrow we feel in the wake of this tragic loss," said Gen. John R. Allen, ISAF commander. "All of those killed in this operation were true heroes who had already given so much in the defense of freedom. Their sacrifice will not be forgotten. Our thoughts and prayers are with the families who are now waiting for their loved ones to return home. We will do everything in our power to support them in this time of need."

The U.S. Embassy in Kabul, which said the helicopter went down Friday evening, said ISAF "is still assessing the circumstances that resulted in these deaths."

Afghan Defense Ministry spokesman Zahir Azimi said it's too early to say if the Taliban caused the crash. He called for an investigation.

Afghan President Hamid Karzai, Obama and others offered condolences.

"Information is still coming in about this incident. I think it's important that we allow investigators to do their work before jumping to too many conclusions," said Adm. Mike Mullen, chairman of the Joint Chiefs of Staff.

"It's also important that we respect the process of notifying family members, no matter how long that takes. We ought to remember that the troops we lose in this war aren't just statistics or numbers on a wall. They were parents and siblings, and someone's child. We need to make sure we do all we can to comfort and support the families whose lives are now forever changed."

Obama was first notified of the incident shortly after 8 p.m. Friday, a White House official told CNN. The president led a telephone briefing midmorning Saturday.

The CH-47 Chinook is the workhorse helicopter of the Army, used for decades to haul large numbers of troops and quantities of equipment.

The military is looking into whether the helicopter was vulnerable to being shot down.

Depending on the configuration, the tandem-rotor Chinook can carry 33 to 55 troops, plus two pilots on the flight deck, according to Jane's Defence Equipment and Technology. It is capable of speeds up to 159 mph. The front rotor turns counter-clockwise while the rear rotor turns clockwise.

The SEALs, and other special operations forces, are given dangerous missions and go after insurgents in remote areas. A huge amount of money, training and expertise is poured into their careers. Along with carrying out counter-terrorism assaults on the Afghan-Pakistani border, they conduct training and military missions around the world.

The Afghan street is buzzing with reflection about the significance of the incident.

"It shows that the Taliban are very strong and have not been defeated by the U.S.," said Kabul resident Saifurahman Ahmezai.

But others said the incident is not emblematic of a new-found insurgent strength.

"The Taliban are not that powerful," said Hezat, a police officer in Kabul who goes only by one name. "But if the international forces leave Afghanistan, the situation will get even worse."

Last month, a NATO helicopter was brought down by insurgent fire in the country's eastern province of Kunar. The Taliban also claimed responsibility for that attack, though no injuries were reported.

In a separate incident, a NATO service member died Saturday after an improvised explosive device detonated in southern Afghanistan. Elsewhere, a joint Afghan and coalition force conducted raids in the eastern province of Nangarhar, killing "several insurgents," NATO reported.

The operation also targeted a "Taliban facilitator," who NATO said was responsible for supplying ammunition and bomb-making materials to the Taliban.

In July, a series of gun battles in Nangarhar between insurgents and NATO forces left at least 10 militants dead.

There are 150,000 ISAF forces in Afghanistan, including nearly 100,000 from the United States -- the largest NATO presence in the region since the U.S.-led war began in 2001.

David Ariosto reported from Kabul, Afghanistan, and Barbara Starr and Steve Brusk reported from Washington.

@highlight

NEW: Grandmother talks of loss of SEAL

@highlight

Helicopter was on a reinforcement mission, U.S. military official says

@highlight

22 of the dead are U.S. Navy SEALs, U.S. officials say

@highlight

A majority belonged to the same unit that killed Osama bin Laden