It's an international air disaster in a war zone -- a commercial flight with almost 300 people on board shot down in eastern Ukraine.

As new details emerge, here is a look at basic questions about the tragedy:

Was the plane shot down?

All evidence so far says yes.

President Barack Obama declared Friday that a surface-to-air missile blasted the Malaysia Airlines Boeing 777 on Thursday over the Donetsk region of Ukraine near the Russian border.

According to a senior American official, a U.S. radar system saw a surface-to-air missile system turn on and track an aircraft right before plane went down.

A second system saw a heat signature, which would indicate a missile rising from the ground into the air at the time the airliner was hit, the official explained.

Does anyone dispute that?

Not at this point.

While the Ukrainian government trades accusations of blame with pro-Russian rebels it is fighting in eastern Ukraine and Russia itself, no one has offered evidence of an alternative theory.

The plane's debris field indicates a mid-air explosion.

Who did it?

A preliminary classified U.S. intelligence analysis concludes the rebels most likely fired the missile, according to an American defense official with direct access to the latest information.

"Evidence indicates that the plane was shot down by a surface-to-air missile that was launched from an area that is controlled by Russian-backed separatists inside of Ukraine," Obama told reporters. However, he stopped short of blaming any particular group.

Ukrainian officials accused the rebels, who denied it. Russia also denied involvement.

Now Ukrainian officials have released what they say are intercepted communications in which rebels talk about downing the civilian airliner.

CNN had no way of immediately verifying the authenticity of the audio recordings.

The leader of the rebels in Donetsk said Saturday he believed the flight was shot down, but Alexander Borodai reiterated his denial that his forces did it.

What kind of missile was used?

We don't know for sure, but the altitude of the plane -- 32,000 feet -- means the missile must have come from a sophisticated system such as a Buk or Russian-made S-200 missiles.

Both Russia and Ukraine have such systems, but Ukrainian officials say none of theirs were in the rebel-controlled area where the plane went down.

Russia has been arming and supplying the rebels in eastern Ukraine, and U.S. officials said heavy weaponry, including rocket launchers, recently went across the border into the conflict area.

Can anyone fire such a missile?

No. The system requires a trained team to properly fix on a target and fire the missile that is longer than an average car.

Obama noted the rebels get weapons and training from Russia and had previously shot down government aircraft, including a claimed strike of a fighter jet.

"A group of separatists can't shoot down military transport planes, or they claim, shoot down fighter jets, without sophisticated equipment and sophisticated training, and that is coming from Russia," the President said.

Did surface-to-air missile take down Malaysia Airlines Flight 17?

Should downed Malaysian jet have flown over Ukraine?

Why was the plane flying over what is essentially a war zone?

The Malaysia Airlines flight left Amsterdam for Kuala Lumpur and flew over eastern Ukraine, a common route for international carriers.

Most airlines follow the guidelines and rules set by their national civil aviation authorities and take the most direct route available, said Mary Schiavo, a former inspector general of the U.S. Department of Transportation.

The Federal Aviation Administration and other national civil aviation authorities had yet to designate the area where the Malaysian aircraft was shot down as part of the conflict zone in Ukraine, according to Schiavo.

"They hadn't defined it as a stay-away area" even though there was violence in the region, she said.

Have airlines now avoided that airspace?

Yes.

The FAA said U.S. airlines had voluntarily agreed not to operate in airspace near the Russian-Ukraine border. Later, it issued a notice prohibiting U.S. flight operations in the airspace over eastern Ukraine until further notice.

International airlines also were rerouting flights to avoid the region.

Who are the victims?

No survivors have been found from the 298 passengers and crew aboard.

Malaysia Airlines said Saturday there were 193 Dutch citizens on the flight, the most of any nation. Passengers came from 11 other countries including two who held dual citizenship. The lone American had dual Dutch-U.S. citizenship, according to the list.

Who will lead the investigation?

Under international convention, Ukraine would as the country where the disaster occurred.

Ukrainian President Petro Poroshenko said experts from the International Civilian Aviation Organization, an agency of the United Nations, have joined the Netherlands, Malaysia and the United States on a special commission.

A team of 131 Malaysia investigators arrived Saturday in Kiev, but it was unclear when it would get access to the crash site, Malaysia's official news agency Bernama reported.

The FBI and the National Transportation Safety Board said Friday they were sending experts.

Where are the black boxes?

That is not clear.

Some reports say separatist forces found the plane's data and cockpit voice recorders and handed them over to Russia, though that remains unproven.

A Ukrainian official said Friday the recorders still were in the country, but he didn't know their exact location or who had them.

On Saturday, Borodai -- the rebel leader in Donetsk -- said his group didn't have them.

Examining the recorders will be key, but CNN aviation analyst Miles O'Brien said the crash location in such a volatile region made their recovery uncertain.

"The big question will be, in whose hands will they fall, and will this be a really objective, international investigation?" he said.

Who is in charge of the crash site?

It is in rebel-controlled territory, and the international community has yet to establish full authority over the area.

Rebels were among the first to the crash site and some of them went through the debris. Photos show people standing on pieces of wreckage.

"It basically looks like one of the biggest, or the biggest, crime scene in the world right now, guarded by a bunch of guys in uniform with heavy fire power, who are quite inhospitable," said Michael Bociurkiw of the Organization for Security and Cooperation in Europe, which sent a special monitoring mission to the crash site on Friday.

"And there didn't seem to be anyone really in control," he added. "For example, one of our top priorities was to find out what happened to the black boxes. No one was there to answer those questions."

A Ukrainian government official said that talks were underway on creating a demilitarized zone around the crash site with a safe corridor to provide access for investigators and family members of the victims.

The White House and Malaysia's government insist on full and immediate access for investigators.

Malaysian Transport Minister Liow Tiong Lai  said Saturday the crash site's integrity had been compromised, adding "there are indications that vital evidence has not been preserved in place."

Why impede an investigation?

If the rebels fired a Russian missile, as suspected, the international backlash could be severe.

Russia could face increasing international isolation and tougher sanctions, while Ukraine could get military aid from the United States and Europe.

Russian President Vladimir Putin said he urged his nation's full cooperation with the investigation, but Ukrainian officials accuse Russia of trying to cover up its role in what happened.

Vitaly Nayda, the counter-intelligence chief of Ukraine's Security Service, told reporters on Saturday that three Buk missile systems crossed into Russia before Thursday's disaster, all three have now left Ukrainian territory.

CNN had no way to independently verify his assertion.

How will the United States and its allies respond?

Nations who had citizens die in the attack will demand a full investigation, as well as the normal response to any air tragedy such as return of remains and reparations for family of victims.

Countries with particular expertise, such as the United States, also will participate in the investigation.

The Ukraine unrest -- which pits the U.S. and European-backed government in Kiev against the rebels in eastern Ukraine backed by Moscow -- adds further complexity.

Both Washington and the European Union have imposed sanctions on Russia for annexing Crimea from Ukraine and failing to take steps to stop the conflict.

Some U.S. conservatives, such as Republican Sen. John McCain, already call for tougher sanctions and arming the Ukraine military in its fight against the rebels.

Obama said further sanctions would come if Russia continued backing the rebels and otherwise contributing to a continuation of the Ukraine conflict.

CNN Flight 17 full coverage

Plane tragedy escalates the Ukraine conflict

List of civilian planes shot down

@highlight

Donetsk rebel official: Plane shot down, but not by us

@highlight

Malaysian official says the crash site's integrity has been compromised

@highlight

President Obama says evidence points to a missile strike by pro-Russian rebels

@highlight

Russia could face increasing international isolation and tougher sanctions