California is the latest state to allow testing of Google's self-driving cars on the roads, though only with a human passenger along as a safety measure.

Gov. Edmund "Jerry" Brown signed the autonomous-vehicles bill into law Tuesday afternoon alongside Google co-founder Sergey Brin and State Sen. Alex Padilla, who authored the bill, at Google's headquarters in Mountain View, California. The bill, SB 1298, will set up procedures and requirements for determining when the cars are road-ready.

Brin hopes that self-driving cars will be able to drive on public streets in five years or less.

You won't need a driver's license by 2040

"Anybody who first gets in the car and finds the car is driving will be a little skittish. But they'll get over it," said Brown when asked if the California Highway Patrol was on board with the plan.

The cars use a combination of technologies, including radar sensors on the front, video cameras aimed at the surrounding area, various other sensors and artificial-intelligence software that helps steer. Google is the most visible company working on these types of vehicles, but similar projects are under way at other organizations, including Caltech.

Google has already been testing the cars on the road in Nevada, which passed a law last year authorizing driverless vehicles. Both Nevada and California require the cars to have a human behind the wheel who can take control of the vehicle at any time.

So far, the cars have have racked up more than 300,000 driving miles, and 50,000 of those miles were without any intervention from the human drivers, Google says.

Overheard on CNN.com: Autonomous cars reduce 'crashes'?

There have been no accidents while the cars were controlled by the computer. The only documented accident with one of the Google vehicles was a fender bender that took place while a human was in control.

Brin, who sported a pair of Google glasses at the media event without comment, said the cars could address a variety of current transportation issues. First and foremost, he said, the self-driving cars would be safer than human-driven cars. There were just under 33,000 deaths from motor vehicle accidents in the United States in 2010.

They also could ferry around people who are usually unable to to drive, such as blind people.

"Some people have other disabilities, some people are too young, some people are too old, sometimes we're too intoxicated," said Brin.

Ideally, a car that drives itself can minimize traffic by chaining together with other self-driving vehicles and using highways more efficiently. Drivers wouldn't be limited to listening to NPR and honking during their morning commute; instead they could use that time to be productive, like the millions of people who take public transit currently do.

Atlanta turns to variable speed limits to ease traffic

Brin also discussed the many parking lots in urban and suburban areas, calling them "a scar to the surface of the Earth." Self-driving cars would be able to drop you off at work and then pick up another person instead of idling in a parking lot. If you did opt to own your own car, it could park itself in the most efficient way possible.

Consumer Watchdog, a consumer-rights group, has expressed reservations about the cars on privacy grounds, saying they would allow Google to gather personal information about passengers.

Google's fleet of vehicles started with Toyota Prius Hybrids and later added the Lexus RX450h, a crossover SUV, to test on different terrain. The project is directed by Sebastian Thrun, who also co-founded Google Street View.

There are many legal and technical problems still to be worked out before the cars are commonplace. Asked who would get the ticket when a driverless car runs a red light, Brin replied, "Self-driving cars do not run red lights."

You can drive 85 - in Texas

@highlight

Gov. Jerry Brown signs a bill that will regulate self-driving cars in California

@highlight

Google co-founder Sergey Brin hopes to have self-driving cars on public roads within five years

@highlight

Brin says self-driving cars address safety, traffic and lifestyle issues