(CNN) -- Our dog Tilly loves the holiday season. Turkey for Thanksgiving. Brisket for Hanukkah. Ham for Christmas and pot roast for New Year's. With so much food moving around the house and visitors who generously -- and covertly -- feed her under the table, Tilly has always been a happy dog during the season of giving.

Two reluctant reindeer: Tilly, left, and Riley.

Not anymore.

After we spent much of one holiday season at the animal emergency center trying to keep Tilly alive, our holiday celebration turned into a hunt for household toxics.

Tilly was diagnosed with severe anemia, which could have been caused by any one of numerous toxic items found in the refrigerators, cupboards and medicine cabinets of most homes.

Now, Tilly's kibble and treats practically need their own passport to reach her mouth; human food is out of reach; visitors are asked to put away any medications and shown where the "approved" treats are kept.

It may sound extreme, but veterinary medical experts say this type of preventative behavior can keep pets safe. This is especially true during the holidays, when family chaos increases and your pet's environment may change from day to day with the arrival of family and friends bearing gifts, holiday food items and exotic plants.

"Dogs and cats do not know what is bad for them," said Dr. Cynthia Gaskill, associate professor and veterinary clinical toxicologist at the University of Kentucky in Lexington. "If there is medicine on the bathroom counter or food left on the table, that is irresistible to them."

And unless your houseguests are conscientious pet owners themselves, chances are they aren't aware that they may be creating a toxic environment for your pet. Gaskill says it is important to let guests know not to leave their medications in an open suitcase or otherwise exposed.

Over-the-counter and prescription medications can kill small animals.

Because metabolic systems vary between species, a drug that may alleviate pain in humans can easily induce a toxic reaction in a dog or cat. For example, ibuprofen ingested by a dog can cause gastrointestinal damage and kidney dysfunction. Cats are especially susceptible to even small amounts of acetaminophen (the active ingredient in Tylenol); ingestion of just one tablet can result in anemia and potential liver damage.

Dr. Robin Van Metre, a veterinarian at the Fort Collins Veterinary Emergency Hospital in Colorado, says that many of the emergency calls he receives involve pets that have accidentally ingested prescription medications or been given an over-the-counter medication by well-meaning owners who believe that their animal is in pain. Van Metre says these calls increase significantly over the holidays.

"Dogs will eat almost anything," Van Metre said, "and there is no such thing as a dog-proof cap."

Take care in the kitchen, too. Typical holiday staples such as grapes and raisins have been shown to cause renal failure when ingested by dogs.

Although small amounts of onions and garlic are often used in pet foods and treats to add flavor, ingestion of large amounts can cause severe red blood cell damage; cats are especially sensitive.

Macadamia nuts can cause a short-term hind-limb paralysis, and bread dough, if eaten before baking, can expand rapidly once ingested and cause ethanol poisoning.

Sweets, gum and hard candies are often problematic depending on ingredients. Chocolate contains a theobromine, a chemical that can affect the heart, kidneys and central nervous system. Dark chocolate and baker's chocolate contain higher concentrations of theobromine and are more toxic than similar amounts of milk chocolate.

Sugar-free gums and candies that contain the sugar-substitute xylitol can lead to quick onset of toxic clinical signs that may include a rapid decrease in blood sugar and possible seizures.

Think carefully before placing mistletoe or holly in low-lying areas, but put poinsettias anywhere you like. The effects of the poinsettia, long believed poisonous, are generally benign, says Dr. Anthony Knight, author of A Guide to Poisonous House and Garden Plants and professor of clinical sciences and toxicology at Colorado State University School of Veterinary Medicine and Biological Sciences.

Exposed plant bulbs such as Amaryllis and all species of lilies should be placed out of reach of pets not only during the holidays but year-round, Knight says.

Lily toxicity in cats can reach critical levels almost immediately after ingestion and lead to acute kidney failure within 48 hours or less.

"Lilies are one of the most poisonous houseplants that exists," Knight said. "It's not just the flower but also the leaves. ... If a cat eats any part of the plant, it would need to be treated immediately."

What should you do if your pet ingests a toxic holiday treat?

"Do not wait," Van Metre said. "Most people wait too long to call us, and that reduces our options for treatment."

Van Metre recommends calling a local veterinarian or animal emergency hospital first, or the ASPCA national animal poison control center (888-426-4435). The ASPCA charges a $60 veterinary consultation fee, but information about toxins is free on the ASPCA Web site.

Gaskill does not advise calling human poison control centers or attempting to diagnose your pet on the Internet.

Human poison control "is often not aware of the species differences and could inadvertently give the wrong advice," Gaskill said. "When doing a general Internet search, make sure the site is backed by a recognized veterinary organization or veterinary medical school. If it is not referenced, it is just someone's opinion."

Van Metre and Gaskill both warn against inducing vomiting in your pet before speaking with a veterinarian. Getting appropriate background information about the animal is critical to preparing a treatment plan for a particular toxin, they say, and every case -- every animal -- is different.

Tilly never recovered from her anemia, but she has been in remission long enough to create another toxic scare.

After learning that Tilly had ingested an entire bag of Hershey's kisses, we called our local animal emergency hospital in Atlanta. They did a quick calculation using Tilly's weight to determine whether a one-pound bag of milk chocolate would reach toxic levels in a dog of her size. It would not, but we were forced to clean up the silver-streaked evidence for many days afterwards.

Melissa Tarkington is a former journalist for MSNBC, CNN.com and The Moscow Times. She is a second-year student in the professional veterinary program at Colorado State University.

@highlight

Holiday food items and exotic plants can be toxic for your pets

@highlight

Grapes, raisins and macadamia nuts are dangerous for dogs

@highlight

Mistletoe, holly and Amaryllis bulbs should be kept out of reach of pets

@highlight

The ASPCA has a national animal poison control center