Tripoli, Libya (CNN) -- Forces loyal to Libyan leader Moammar Gadhafi went on the attack Tuesday, pushing opposition fighters back to the outskirts of a key oil town, rebels said.

Also Tuesday, world diplomats met in London to discuss the future of the North African nation.

Opposition fighters in Bin Jawad battled Gadhafi forces and came under a hail of artillery and rocket attacks, a rebel source said. CNN saw rebel fighters streaming back out of the city, beating what looked to be a hasty retreat. One said the barrage was too much for the opposition to withstand, and that Gadhafi loyalists had infiltrated Bin Jawad.

Rebel forces regrouped in the nearby city of Ras Lanuf, a key oil town that they said they seized on Sunday. They came under heavy fire on the western edge of that city, said the rebels, who responded in kind, firing back with whatever weapons were available.

Tuesday's fighting marked a reversal of the momentum of the opposition, which until recently had faced relatively little resistance in its westward march.

Elsewhere in Libya, three loud explosions were heard in Tripoli. The blasts came within about a 20-minute span and were the first time since the uprising began that such blasts were heard during daylight in the Libyan capitol.

On state television, a bulletin attributed to a "military source" said that military and civilian locations were bombed in Tripoli "by the crusader colonial aggression."

It was not immediately clear where the explosions actually took place.

To the east, Libyan forces continued to pound parts of the city of Misrata Tuesday, with tanks firing mortar shells and troops using heavy artillery in an effort to retake control of the city, a witness told CNN.

Coalition planes circled overhead but did not strike the tanks, he said.

The day after Gadhafi's regime tried to convince journalists that it was in control of Misrata by taking them on a trip to part of the city -- but not allowing them into the city center -- his troops were killing and wounding civilians and evicting thousands of people from their homes, the witness told CNN.

"The carnage and the destruction and the human suffering from both the evictions and ... terrorizing the city -- it's beyond imagination," said the witness, an opposition councilman in Misrata, in western Libya. "It's incredible."

CNN could not independently verify the witness' descriptions.

Fierce battles on the ground raged in Libya as diplomats from around the world met in London to decide next steps. More than 40 foreign ministers and representatives attended the Tuesday conference, including U.N. Secretary-General Ban Ki-moon and Chairman of the African Union Jean Ping.

"The purpose of this conference is to broaden and deepen the coalition effort," said British Foreign Secretary William Hague. "We all want to see that cease-fire. We all want to see Gadhafi go. Those things are clear. But once we have that cease-fire, we have something to work with."

Gadhafi has showed no sign of letting up his effort to crush the rebellion, which seeks an end to his nearly 42 years in power.

Organizers of the conference said it will look for ways to strengthen the U.N. Security Council resolution approved on March 17 that created a no-fly zone above Libya and mandated the protection of civilians. It will also search for urgent ways to get humanitarian aid to war-torn cities like Misrata.

Opposition fighters have credited coalition airstrikes with helping them advance in their rebellion, but say more are needed.

The witness in Misrata on Tuesday pleaded for coalition forces to strike Gadhafi's forces in that city to "save Misrata from a massacre."

Off the coast of Misrata, U.S. military planes fired at three Libyan boats, destroying one and damaging the other two, military officials said in a statement Tuesday. The Libyan ships were targeted because of reports that they were firing indiscriminately at merchant vessels in the port of Misrata on Monday, the statement said.

Libyan state TV had a banner Tuesday saying, "Civilian and military locations in Misrata, Tripoli, Zaltin, Mazda and al-Watiyaare being bombed by the crusaders and colonial enemies."

The central group representing the opposition in Libya and working to plan a new government if Gadhafi were to fall issued a statement Tuesday describing its "vision of a democratic Libya."

"We have learned from the struggles of our past during the dark days of dictatorship that there is no alternative to building a free and democratic society and ensuring the supremacy of international humanitarian law and human rights declarations," the statement from the Interim National Council said.

The group, representing numerous areas throughout Libya, has been meeting in Benghazi.

In the statement, the council vowed to draft a constitution, guarantee key rights to every Libyan citizen, respect freedom of expression and establish "a state that draws strength from our strong religious beliefs in peace, truth, justice, and equality."

Much of the statement focused on promises to build a better economy that would eradicate poverty. About a third of Libyans live at or below the national poverty line. The declaration makes no reference to religious freedom.

Mahmoud Shammam, a spokesman for the council, said the future government would try members of the Gadhafi regime, not "hang people in the street."

"We are going to establish law and order," he said in London. "We are not going to take revenge on the streets of Tripoli and Benghazi."

U.S. Secretary of State Hillary Clinton met with a leader of the council Tuesday at the meeting, part of a U.S. effort to expand ties with rebel leaders fighting to oust Gadhafi. It was the second meeting in less than two weeks between Clinton and the Libyan Interim National Council's Mahmoud Jabril, a former head of Libya's economic planning council.

Clinton warned that military action against Gadhafi would continue until he "ceases his attacks on civilians, pulls his troops back from places they have forcibly entered, and allows key services and humanitarian assistance to reach all Libyans."

President Barack Obama gave interviews to all three major U.S. television networks Tuesday, in which he made it clear he would be open to arming the rebel fighters.

"I'm not ruling it out, but I'm also not ruling it in," Obama told NBC in one of the separate interviews he gave the day after a nationally televised speech on the Libya situation.

"I think it's fair to say that if we wanted to get weapons into Libya, we probably could," Obama told ABC. "We're looking at all our options at this point."

The United States will also send a liaison to Benghazi to open up a more direct line of communication with members of the opposition, a senior administration official told reporters Tuesday. The official did not say when.

The U.S. government has spent about $550 million on the Libya effort, the Pentagon said Tuesday, adding that about 60% of that went for munitions. Another $40 million is expected to be spent over the next three weeks. After that, costs are expected to be about $40 million per month, said Pentagon spokeswoman Cmdr. Kathleen Kesler.

CNN's Reza Sayah, Arwa Damon, Nic Robertson, Paula Newton, Maxim Tkachenko and Yousuf Basil contributed to this report

@highlight

NEW: President Obama does not rule out the option of arming rebel fighters

@highlight

Opposition fighters retreat from Bin Jawad, regroup in Ras Lanuf

@highlight

Libyan government says military and civilian locations were bombed in Tripoli

@highlight

Libyan forces pound Misrata, a witness with the opposition says