Los Angeles (CNN) -- The unfolding saga of the Los Angeles Clippers co-owner Donald Sterling touches upon big, explosive issues in American society: Racism. Money. Sports. Secret recordings. And an estranged marriage.

Sterling, an attorney and billionaire real estate mogul, is now fighting to keep his co-ownership of the NBA franchise after the league said it would ban him forever in the wake of allegations that he disparaged African-Americans in an audio recording.

The Sterling controversy contains as many surprises and exchanges as the ongoing NBA playoffs, which, by the way, still include the Clippers in contention for the league title. In fact, on Thursday, the attorney for Sterling's wife, the other co-owner, told CNN that she's distancing herself from her husband and has informed the NBA she wants the team in her name.

How the scandal began

Last month, NBA Commissioner Adam Silver announced the league was imposing a lifetime ban and a $2.5 million fine against Donald Sterling, co-owner of the Clippers since 1981, for "offensive and disturbing" remarks he made about blacks. Those remarks were uttered in an audio recording published by the celebrity news outlet TMZ, which asserted the two people talking on the tape were Sterling and his "girlfriend," V. Stiviano.

TMZ hasn't stated who made the recording or how it was obtained. But Silver said the Clippers owner "acknowledged it was his voice on the tape."

CNN hasn't independently confirmed the audio recording. Sterling and Stiviano haven't returned CNN's calls for comment.

In a recent interview with ABC's Barbara Walters, however, Stiviano tacitly confirmed the authenticity of the recording when she stated she and Sterling often discussed race: "There's been a number of occasions where Mr. Sterling and I had conversations just like this one."

In the recording, Sterling argues with Stiviano about how she posted to Instagram a photo with legendary NBA player Earvin "Magic" Johnson.

"In your lousy f**ing Instagrams, you don't have to have yourself with -- walking with black people," Sterling says.

"If it's white people, it's OK?" the woman responds. "If it was Larry Bird, would it make a difference?"

Bird was also a NBA star who played with the Boston Celtics and a storied rival of Johnson, who played for the Los Angeles Lakers.

"I've known [Magic] well and he should be admired .... I'm just saying that it's too bad you can't admire him privately," the man on the recording says. "Admire him, bring him here, feed him, f**k him, but don't put [Magic] on an Instagram for the world to have to see so they have to call me. And don't bring him to my games."

When the woman says she doesn't share the man's views about race, he tells her: "Well, then, if you don't feel -- don't come to my games. Don't bring black people, and don't come."

Stiviano's response

In her only substantial interview, Stiviano, 31, told ABC that Sterling, 80, is now hurting. "Tormented. Emotionally traumatized," Stiviano said.

About her relationship with Sterling, Stiviano said she plays a big role in his life, but they are not romantically involved.

"I love him just like a father figure," she told ABC. She also described herself as his "right-hand man," "confidant," and "best friend."

They also have a financial arrangement, she said.

"He at first started paying me as an employee, and then he started paying me off the books," she said.

Her attorney, Mac E. Nehoray, said Stiviano was a platonic friend of Sterling's and not his "girlfriend" or, as some media outlets, including CNN, put it, his "mistress."

"They were more like friends. Platonic," Nehoray told CNN.

Stiviano is writing about book about her life, but she doesn't have a book deal connected to the Sterling controversy, Nehoray said.

Even before the racial controversy erupted, Sterling's wife, Shelly, was well aware of Stiviano.

In fact, in March, Shelly Sterling sued Stiviano, accusing her of having an affair with her husband and targeting extremely wealthy older men.

Stiviano's attorney dismissed as "absolutely false" any description of Stiviano as a "gold digger" and a "con artist."

Shelly Sterling's suit claims that her husband used the couple's money to buy Stiviano a Ferrari, two Bentleys and a Range Rover.

Stiviano also took over a $1.8 million duplex through fraud and received about $250,000 in cash from Sterling, the court document claims.

Stiviano is fighting back, saying in another court document that there was nothing wrong with Donald Sterling giving her gifts. She also says she never took advantage of him.

Donald Sterling's response

Sterling had largely been silent on the controversy. The only significant comment he made was published last week on DuJour.com, which quoted Sterling as saying "I wish I had just paid her off" in reference to Stiviano.

The website specified that Sterling was referring to Stiviano in a discussion with one of its writers, but the publication didn't state when the remark was made.

CNN couldn't independently confirm the remark.

On Thursday, however, another celebrity news outlet, RadarOnline.com, published a new audio recording of Sterling conversing with an unknown man about allegations of Sterling being a racist.

Sterling emphatically denies being a racist in the conversation.

"You think I'm a racist?" Sterling tells a person Radar Online calls "a long-time friend in the recorded phone conversation."

"You think I have anything in the world but love for everybody? You don't think that! You know I'm not a racist!" Sterling says on the recording.

"I grew up in East L.A. ..." Sterling continues. "I was the president of the high school there. I mean, and I'm a Jew! And 50% of the people there were black and 40% were Hispanic. ... So I mean, people must have a good feeling for me."

CNN couldn't independently confirm the new audio recording. Radar Online said it obtained "a secret audio recording" from an unidentified source who also provided an affidavit confirming the phone call was made by Sterling.

Sterling also declares in the recording that he won't sell his co-ownership in the Clippers as the NBA is now demanding.

"You can't force people to sell property in America," Sterling says.

At one point in the conversation, Sterling sounds bewildered when the friend tells him that rapper-producer Sean "Diddy" Combs is among the celebrities seeking to buy the Clippers.

Friend: "I'm just saying they got Sean Combs Diddy...

Sterling: "Who?"

Friend: "Sean Combs and Oprah."

What's next for the Clippers

The "Oprah" cited on the recording is Oprah Winfrey, who is among a long list of public figures reportedly seeking to buy the Clippers, one of 30 teams in the NBA.

Other interested celebrities include Floyd Mayweather Jr., ranked by Forbes as one of the highest-paid athletes in the world; former boxing champion Oscar De La Hoya; basketball great Magic Johnson; producer-musician Dr. Dre; rapper Rick Ross; music mogul David Geffen; Oracle co-founder Larry Ellison; Rick Caruso, a real estate developer and Los Angeles civic leader; and actors Matt Damon, Whoopi Goldberg and Frankie Muniz.

Meanwhile, Shelly Sterling has no intention of surrendering her stake in the team and has been in touch with the NBA about keeping the team, according to her attorney, Pierce O'Donnell, who spoke Thursday to CNN.

Shelly Sterling owns 50% of the team, and her husband the other 50%, through a family trust, O'Donnell said.

O'Donnell asserted that as of now, "she's the owner in charge." The couple continue to share properties, he added.

But the Sterlings have been estranged and not living together for more than a year, O'Donnell said.

Moreover, Shelly Sterling is now distancing herself from the racist comments attributed to her husband, O'Donnell said.

"Mrs. Sterling has denounced in the strongest terms possible terms her husband's racist comments," O'Donnell said.

Whether Shelly Sterling can keep the team in her name is being robustly discussed by analysts.

Complicating the matter is how Donald Sterling intends to fight the forced sale, according to the RadarOnline.com recording.

Donald Sterling could be forced to sell his team if three-quarters of the NBA team owners agree, NBA Commissioner Silver said.

CNN legal analyst Jeffrey Toobin said that for all practical purposes, the NBA effort to make Donald Sterling sell the team also applies to his wife.

"They're the same ownership group. That is not separate ownership," Toobin said.

As for the Clippers' more immediate prospects, the team is now tied 1-1 with the Oklahoma City Thunder in a best-of-seven-games playoff series. Both teams are vying to advance to the Western Conference playoffs, whose winner will play for the league title against the Eastern Conference winner.

The Clipper's next game is Friday night at home, though the team's off-court drama is proving to be equally compelling.

CNN's Stephanie Elam and Rosalina Nieves contributed to this report.

@highlight

The saga of Clippers co-owner Donald Sterling involves secret recordings

@highlight

CNN hasn't been able to confirm new audio recording

@highlight

Attorney for Sterling's wife tells CNN the couple has been estranged for over a year

@highlight

Sterling's wife is now seeking full ownership of the Clippers, attorney says