First, the bad news: Even if the economy improves, middle-class career paths will continue to disappear as globalization and technological innovation render more jobs obsolete.

Now, the good news: The fear, stress and humiliation caused by unemployment (and underemployment) can be alleviated with a simple solution.

And now, the even-better news: This simple solution is starting to find backers on both sides of the political spectrum.

A monthly cash payment to every American, no questions asked, would solve several of our most daunting challenges. It's called a basic income, and it's cheaper and much more effective than our current malfunctioning safety net, which costs nearly $1 trillion per year.

The idea of a basic income, sometimes called a guaranteed minimum income or a negative income tax, has been discussed for decades by notable economists like Milton Friedman. In the late 1960s and 1970s, the idea had bipartisan backing before losing steam. Recently, in the face of a sputtering economy, a weak job market and rising income inequality, it has been gathering supporters at an ever-quickening pace.

In fact, just last month, former U.S. Labor Secretary Robert Reich called a basic income guarantee "almost inevitable."

The concept of a basic income is not entirely abstract. Several countries, such as Brazil, have achieved notable success with their programs, lifting many people out of poverty. In countries like India, nongovernmental organizations are experimenting with pilot programs in specific areas, with promising results so far.

The United States is already experimenting with a variation of basic income, even though most people don't realize it. Alaska has a small version, called a Permanent Fund Dividend, which is incredibly popular and made the state one of the most economically equal places in America. Importantly, Alaskans don't consider it "redistribution," but rather "joint ownership."

The benefits of a basic income on a national scale would be wide-ranging. First, there's the lift to the overall economy if everyone has money to spend. Next, there are the obvious psychological benefits of knowing you can always afford food and shelter. Then there's the societal stability factor: If people's basic economic needs are being met—no matter what the unpredictable job market is doing—we don't have to worry about the potential for civil unrest as a result of mass unemployment.

Economist Gar Alperovitz told me that a guaranteed minimum income would not only defuse the political crisis posed by worsening long-term unemployment, but would also open up the possibility of a reduction in the length of the work week.

Due partly to technological innovation, we already have a situation where less work is spread among more people, and this phenomenon will increase in the future. With a basic income, this development is nothing to fear.

"Once people have the freedom to elect to work less, their capacity to engage in the work of rebuilding community and democracy can increase far beyond what is possible in today's precariously overworked society," Alperovitz said.

At the moment, the idea of a guaranteed minimum income might be more popular with liberals than conservatives. But lately, conservative thinkers have become more outspoken in their support of the concept.

Philosopher Matt Zwolinski has made a libertarian case for a basic income. "Conservatives care about limiting the power of government and increasing personal responsibility. ... Compared to our current welfare state, a basic income does both. Instead of a vast bureaucracy of over 120 different antipoverty programs at the federal level, you've got a program so simple it could be administered by a piece of software."

Furthermore, he said, instead of subjecting the poor to a host of invasive, paternalistic and degrading requirements designed to make sure they're behaving in ways the government approves of, a basic income gives them cash, and asks them to take responsibility for spending that money to improve their own condition.

Of course, all government programs have imperfections, and the basic income idea has an obvious one: There will still be people incapable of functioning in daily life—people who will spend their money before paying for basic necessities. What should be done about these "moochers"?

My answer is that housing shelters and soup kitchens could continue to exist, helping people who cannot be helped in any other way. But the cost of these programs is just a tiny fraction of the overall safety net, and in cities with strong religious and philanthropic support, they would not need to be financed by the government at all. No one needs to sleep on the street.

Another objection: What if people want to work more, not less? No problem. Want multiple jobs? Go right ahead and take them. As advocates of a basic income point out, nothing would keep people from working and earning as much as they want.

The global economy will experience big and small changes in the coming decades. We must do something to avoid a future of high unemployment and misery. A guaranteed minimal income is a way to start.

@highlight

David Wheeler: U.S. should provide a monthly cash payment to every American

@highlight

Wheeler: A guaranteed minimum income can address unemployment issue

@highlight

He says it would be a psychological benefit, lift the economy, and create stability

@highlight

Wheeler: It is also cheaper than our current malfunctioning safety net