Kot Chutta, Pakistan (CNN) -- From behind the steel bars of his jail cell, Muhammad Ismail described with uncanny ease how he shot and killed his wife, his mother-in-law, and sister-in-law.

"The first shot hit the side of her body," Ismail said. "I left her there and went next door and killed my wife's mother and sister. I made sure they were all dead. Then I locked the door and left the house."

Without any apparent regret, Ismail said he would do it again.

"I am proud of what I did. That's why I turned myself over to the police."

Ismail's confession to the triple-murder that took place last February in a village in central Pakistan is a rare and chilling first-hand account of a so-called "honor" killing -- the murder of women who are usually accused of dishonoring their families by being unfaithful or disobedient.

British court convicts parents of murder in "honor" killing

Ismail accused his wife of eight months of repeatedly flirting with other men and spending long hours away from home.

"My wife never made me happy," said the 20-year-old who played drums in a traditional Pakistani wedding band before his arrest. "She was like a prostitute. She never took care of me."

The Human Rights Commission of Pakistan reported 943 women were "killed in the name of honor" in Pakistan last year, an increase of more than 100 from 2010.

Rights groups blame the increase in "honor" murders partly on what they call an ineffective justice system in Pakistan that too often allows killers to go unpunished.

Despite his videotaped confession to CNN and an earlier confession to police, prosecutors say Ismail can soon be a free man if his victims' family agrees to accept compensation for the killings.

Receiving blood money is an option for victims in many conservative Muslim societies under the Islamic principal that mercy is more noble than revenge.

But women's rights activists complain that in patriarchal societies like Pakistan, "honor" killers regularly bully and threaten the female victim's family into accepting blood money.

"When it comes to the crime we have a natural reaction of shock and horror, but when we see the justice system not work, our heart breaks," said legal advisor and rights activist Bushra Syed.

According to human rights lawyer Zia Ahmed Awan, victims' families in Pakistan are also at a disadvantage because "honor" killings often take place in male-dominated communities where women are often viewed as property with few rights to defend themselves and little access to legal aid.

"In parts of the country there is hardly any legal help for women," Awan said. "This crime is growing because the courts and laws are not responding to the cries for help."

Awan said police, lawmakers and judges in these communities are too often either corrupt or lack the proper resources and power to investigate and prosecute crimes. Instead they regularly defer to a traditional system of justice where powerful tribal leaders and male heads of families rule on disputes, he said.

In 1999 Awan set up Pakistan's first hotline for female victims of abuse and families who lost loved ones to "honor" murders. He called it the Madadgar Help Center. Today Awan has help centers in four cities, providing thousands of victims and families shelter, legal advice, and medical care, often free of charge.

Mother suspected in UK "honor" murder' implicates husband in teen's killing

Hamida Bibi called Awan's help center in Karachi after her newlywed daughter's husband allegedly killed her for having an affair.

"Somebody told us to come here because they could help us," Bibi said. "They said they would listen."

Awan said the fight against "murders for honor" is slowly paying off; that police are making more arrests, the courts are prosecuting more cases, and the media is paying attention.

But rights groups agree the steady increase in such deaths and the possibility that confessed killers like Muhammad Ismail are often set free are stark signs that the fight is far from over.

@highlight

Muhammad Ismail tells CNN how he killed his wife, her mother and her sister

@highlight

He said: "My wife never made me happy. She was like a prostitute"

@highlight

In "honor" murders, women are usually accused of being unfaithful or disobedient

@highlight

Human Rights group reported 943 women killed in the name of honor in 2011