(CNN) -- Ukraine has been wracked with ceaseless demonstrations for weeks as protesters demand constitutional reform and a closer relationship with Europe instead of Russia. A breakthrough finally came Tuesday: Prime Minister Mykola Azarov and his government resigned, and the national parliament voted overwhelmingly to repeal sweeping anti-protest laws passed earlier this month.

Still, activists say that while they're pleased by these developments, their fundamental concerns have yet to be addressed. Amid the protests are accounts of police brutality and government intimidation. The desire for a government shake-up was spurred by the government's decision in November to forgo a planned trade deal with the European Union, which many interpreted as a turn away from Europe and toward Russia instead.

CNN iReport had the opportunity to speak to a native Ukrainian who has spent days on the streets of central Kiev, the power base of the opposition. The 31-year-old, who works as a project manager, has been photographing and standing alongside those who are protesting. He shared his thoughts and photos to provide a firsthand view of the demonstrations and the motivations behind them.

Freddy UA asked to be identified with an alias for his protection because of the current state of his country. The interview below has been edited for clarity and brevity.

CNN: When did you first get interested in the protesting?

UA: The Ukrainian people started protesting in November, after the authorities announced they were not ready to sign an agreement with the European Union. A lot of people, including me, were disappointed by this action.

CNN: Why are people continuing to protest in Ukraine?

UA: After the violent crackdowns by police on peaceful demonstrations of students, the protests got another vector. People were scared of the bloody actions taken by the government. I saw thousands of peaceful protesters sing songs, dance, and recite poetry (while) ... under threat of violence by the police. The atmosphere was great at first, but after a while, a nightmare began.

Ukraine government resigns, scraps anti-protest legislation

CNN: How would you describe the state of Kiev over the past few days?

UA: On January 26, the atmosphere in Kiev was calmer than in previous days. At Independence Square everything is well. People are singing the national anthem every hour, listening to opposition politicians, celebrities, and famous figures who are speaking from the scene.

CNN: Can you describe who the average Ukrainian protester is?

UA: The average protester is mostly middle-aged people with an active civil position. They are taking part in the protesting because they resent the arbitrariness of the authorities.

CNN: Where else is protesting happening in Ukraine?

UA: The protests are going on not only in Kiev, but also in other cities -- mostly regional ones. People organize peaceful meetings, which the government is trying to disperse. But as far as I can tell, these actions don't disrupt the life and work in these cities in general.

CNN: What do protesters want the Ukrainian government to know?

UA: First of all, we hope that government will find the courage to recognize their illegal actions; such as the use of force on peaceful protesters and will stop the violence from their side, will release all of protesters arrested earlier, and sit at the negotiations table with the opposition.

Ukraine opposition rejects president's offer

CNN: What are your thoughts on a possible truce between protesters and the government?

UA: I think that a truce will help the situation of course because we don't want to see the blood and death on our streets! I can't predict what will happen next, but I hope that government will finally stop the violence against civilians, will listen to its people, the world, and the European community and will start a constructive dialogue.

CNN: How long will people continue to protest?

UA: Given what I hear from the protesters, they are willing to stay till the end and till the victory of democracy. Cold weather certainly has an impact on the protesters, but volunteers and citizens of Kiev bring them hot food and drinks like tea and coffee -- but not the alcohol.

CNN: What do you want the world to know about the situation in Ukraine?

UA: I want people around the world to know about the situation in our country and support Ukrainians in the fight for freedom and democracy. We all want to live in a lawful state with an honest government and police that protects its people.

@highlight

Ukrainian native Freddy UA has been documenting the protests in Kiev

@highlight

He shared his photos online to show what's happening in his country

@highlight

He says Ukrainian protesters just want democracy and freedom