(CNN) -- The attorney representing the U.S. soldier suspected in the Afghanistan massacre of 16 villagers, including nine children, is a flamboyant, pugnacious trial lawyer who doesn't shy from the hardest of hard-core cases.

As commanding in physical stature as he is in the courtroom, the 6 1/2-foot-tall John Henry Browne has defended serial killer Ted Bundy, who confessed to more than 30 murders before he was executed in Florida in 1989.

The Seattle attorney also defended Benjamin Ng, convicted for his 1983 role in 13 murders in the Wah Mee massacre, described then as Washington state's worst mass killing.

On a less grisly scale, Browne recently represented the so-called "Barefoot Bandit" -- Colton Harris-Moore -- the iPod-loving and occasionally barefoot 20-year-old man who gained a cult status among the Facebook generation for a string of audacious thefts and burglaries. He has pleaded guilty to federal and state charges.

Now, Browne returns to his element, drawing international cameras as an attorney defending a suspect in one of mankind's most heinous offenses -- an alleged war atrocity.

The suspect is Army Staff Sgt. Robert Bales, a military source and a senior defense official told CNN. Browne said his client, whom he wouldn't name, was expected to arrive in the United States Friday evening, in Fort Leavenworth, Kansas.

Even without any formal military charges being filed in the Afghanistan mass killings, Browne is demonstrating his prowess as a confident provocateur -- his trademark mien -- by publicly formulating before news cameras possible defenses for the soldier. His office receptionist said Friday that Browne is now receiving media requests from "all over the world."

Browne's willingness to openly advance defense strategies, however, has already drawn criticism from legal experts, especially those in military justice.

Browne has suggested that the soldier, who had earlier suffered a concussion in Iraq, could have been suffering post-traumatic stress syndrome, and Browne wondered why the military deployed the soldier to Afghanistan. In criticizing the military for repeated war deployments of weary soldiers, he even singled out one military base in Washington state for "not treating those illnesses," referring to PTSD.

"There's been a big problem with soldiers who have been previously deployed to both Iraq and Afghanistan, with concussive head injuries and post-traumatic stress disorder," Browne said.

"We do know he had a concussive head injury. We know he was injured in his leg severely, and I am somewhat confused to why they would send him back to Afghanistan," he said.

In another CNN interview, Browne momentarily suggested that he may put the war itself on trial -- if his client is ever charged in military court. Browne has tried more than 250 cases since graduating from American University School of Law in 1971.

"You know, I'm old enough to remember the My Lai massacre in Vietnam and how that hastened the end of that war. Maybe a tragic incident such as this will get people to rethink the war in general," Browne said.

Then he added: "I certainly don't want to put the war on trial, but I think that people should start thinking more about why we're there and how long we're going to stay there."

When pressed in a CNN interview about putting the war on trial, Browne stated: "We'll see."

Thomas Kenniff, an attorney who represented soldiers in military court in Iraq in 2005, took exception with Browne's comments.

"With all due respect, I think it's ill advised," Kenniff told CNN. "You don't want to say anything at this point where you'll over-commit" to a defense.

"Maybe alcohol is going to play a big part in this case as part of establishing a defense, as part of establishing a contributing factor to (post-traumatic stress) or the command environment in theater that condoned these sort of excesses that may have contributed to this tragic offense," he said.

Browne said he was asked by the soldier's family to represent him. He said he had reservations about taking on the case, given security concerns.

In describing his client, Browne painted a picture of a decorated career soldier who joined the military after the 2001 terrorist attacks and had spent his Army life at Joint Base Lewis-McChord near Tacoma, Washington. Browne called him a devoted husband and father to his two young children who never made any derogatory remarks about Muslims or Afghans.

Browne said he was offended by media reports that marital discord played a role in the events that unfolded in Kandahar province villages near the small combat outpost where the soldier was stationed. He said those reports were "nonsense."

He said he did not know whether alcohol may have been involved, which investigators are looking into, but imagined that stress was a factor. "For God's sake, who is not going to be under stress in Afghanistan in a small camp where there is 20 people in the middle of nowhere?" Browne asked.

He also said that, the day before the slayings, another soldier on that base had his leg shot off in front of the suspect.

"That affected the whole base," Browne said.

Charges against his client could come within weeks in what Browne called more of a political case than a legal one.

"This is an international event, and it's a very touchy event for our government and for other governments," he said.

"It's not just a normal criminal case that we deal with, and we understand that. We understand our government's concern about it, and we certainly understand the concern of Afghanistan and its people. This (is) a pretty huge case from the standpoint of ramifications."

The soldier is accused of leaving the remote outpost of Camp Belambay on foot early Sunday and heading to neighboring villages in the Panjwai district of Kandahar province.

In the villages, a U.S. soldier opened fire, killing nine children, three women and four men, witnesses and Afghan authorities said. The U.S. military has not confirmed the number of casualties.

The soldier's family has been moved to Lewis-McChord because of safety concerns, Browne said.

Browne also confirmed reports that the soldier could face the death penalty.

"There is a discussion of the death penalty, understandably, I think, in this situation, which makes us very nervous," he said. "It's certainly not off the table at this point. Our hope is that maybe it will be.

"We don't know anything about (his) state of mind. We don't know anything about the facts of the case, and whether they can prove what he's accused of," Browne said.

In a 1998 profile of Browne, the Seattle Times described the high-profile attorney as "a blend of charm and arrogance, spirituality and bravado" and "a gifted storyteller who can be glib and funny or somber and dramatic" who has a "combative style and robust ego."

A Washington state Supreme Court justice once remarked that Browne needed to be spanked, the newspaper reported.

Browne's home at the time featured Far Eastern motifs, built in Japanese style with Buddhist prayer stones. He meditated and read the poetry of Mevlana Jalaluddin Rumi, a 13th-century spiritual writer.

"People take their freedom for granted," Browne told the newspaper in 1998. "They don't teach civics anymore. They don't realize how delicate the system is. It is a simple equation: The more power you give to government, the less power you give to individuals."

CNN's Casey Wian, Moni Basu and Chelsea J. Carter contributed to this report.

@highlight

John Henry Browne is representing soldier suspected in the Afghanistan massacre

@highlight

The soldier is Army Staff Sgt. Robert Bales, a military source says

@highlight

Browne represented Ted Bundy and the "Barefoot Bandit"

@highlight

His style is "a blend of charm and arrogance, spirituality and bravado," Seattle Times says