London (CNN) -- For the last three years Greek society has suffered a prolonged period of economic and political crisis, which has been magnified by unprecedented austerity measures.

The crisis has caused social destabilization, and dramatically affected the everyday lives of Greeks.

Read more: Will Greek crisis leave banks stronger?

Such measures have never before been implemented in any European Union country, and their political and social consequences have not been effectively calculated or, in many respects, even anticipated.

Modern Greece suffered ongoing turbulence during the 20th century, from the Balkan wars and conflict with Turkey to the Nazi occupation, civil war and the military juntas.

Read more: Austerity anger drives Europe strikes

These all caused significant delays in social, political and economic development, and did not allow Greek society to form and organize freely.

After the fall of the last military junta in 1974, democracy in Greece was rapidly restored but it was not done so systematically nor thoroughly. Inevitably, structural dysfunctions formed.

Read more: EU-IMF feud erupts over Greece

Today, Greeks are experiencing a different social reality, characterized by uncertainty, insecurity, distress, disappointment and the inability to map out any form of future for their lives.

Last year I conducted thirty five in-depth interviews with Greeks aged between 20 to 65, who are still living in the country.

Participants expressed negativity, pessimism and disorientation, particularly regarding the lack of any specific plan to improve their everyday lives.

Read more: Greeks vote for more economic pain

"We see our dreams get destroyed, and our hopes for a better future disappear," said one 27-year old woman, an unemployed doctor.

Their comments reflect the overall reality in Greece: Unemployment rates have increased continuously, with the overall rate now at 24.4%. For those aged under 24, it's hit 55%.

Read more: The eurozone's reluctant leader

Everyday life for many people has become more challenging, as crime increases, inflation remains high and redundancies become an everyday occurrence.

Even those who have an income cannot escape, as cuts continue and salaries and pensions are sliced by 40%. The monthly basic salary has now dropped from 739 euros in 2009 to 586 euros in 2012. In contrast, the price of essential goods has not dropped, and taxes have continued to rise.

Participants in the study felt cornered and cross as they explained that they were trapped by a government system that was only concerned about maintaining power without offering anything in return.

Read more: Euro crisis opens old wounds for Greece, Germany

"We lived part of our lives in a way we didn't deserve, but the system allowed us to do it," a 37-year old electrician explained.

"They didn't stop us. They even encouraged us. So if the system works in a certain way you have no option but to follow."

Greeks are progressively losing their trust in a political system which consists mainly of the parties and politicians who have governed the country during the last 30 years.

Read more: Greeks fearful of what will follow U.S. election

The elections earlier this year resulted in a coalition government in which the two significantly weakened opposing parties -- who have governed Greece since 1974 -- joined forces in order to renegotiate financial aid.

But the most damaging aspect remains how Greeks collectively and repeatedly fail to identify any possibility of future improvement as their faith in current government drops.

Instead, they perceive the implementation of austerity measures as an ongoing punishment, even revenge, from the European Union which will have no positive result and have no end in sight.

Read more: Barroso: Europe federation 'unavoidable'

"The situation is tragic, not because of the economy but because of the fact that there is no future," a 55-year old journalist said. "We have been convinced about that. There is no prospect. This is killing us."

Other people explained that the lack of an inspirational politician or party, coupled with the realization that the worst is yet to come, has made them alarmed how they can face each day.

For many the main priority is how to make a living, not lose their jobs or how to get a job. They are grateful if they are still employed, although some note that employment conditions are becoming more exploitative.

As a 46-year old teacher put it: "Professionally, I don't know if I will have a job tomorrow and, personally, I have no desire to do anything joyful anymore. There is so much insecurity about everything."

Read more: Give Greece more time, says French PM

As Greek society experiences unparalleled social, political and economic crises, it is still uncertain what peoples' tolerance levels will be once further austerity measures -- and their consequences -- are implemented.

Participants expressed agony about the future of their country, although they have also realized their own part of responsibility in this crisis (even if it was passive). Many are mindful of passing on their harmful mindset to their children.

Until there are improvements to everyday lives, the structure of the state or political life, then Greeks will continue to feel angry, cross and cornered. This has led to the popularity of extremist groups such as the right-wing Golden Dawn.

This crisis has triggered an unpredictable domino of incalculable social consequences -- and when and how it will end is still unknown. It remains to be seen if other European societies will follow the Greek path or if social stability can be restored.

The opinions expressed in this commentary are solely those of Athanasia Chalari.

@highlight

For the last three years Greek society has suffered a prolonged period of economic and political crisis

@highlight

The crisis has caused social destabilization, sociologist Athanasia Chalari says

@highlight

She argues ongoing turbulence during the 20th century caused delays in social, political and economic development