Deadly street fighting, helicopters shot down and civilians being used as human shields.

That was the picture that emerged Friday in southern Ukraine as violence escalated amid reports that dozens of people were killed in a fire and still more were shot dead or wounded in street fighting, raising the question of whether the country can stave off a possible civil war.

The violence -- pitting pro-Russian separatists against Ukrainian forces and those who support the government in Kiev -- prompted an emergency meeting of the U.N. Security Council, with Russia demanding an end to what it called Ukrainian aggression and Western powers accusing Moscow of funding the violence.

Russia and the West have squared off diplomatically over the fate of Ukraine, after Moscow annexed Crimea in March following the ouster of Ukrainian President Viktor Yanukovych. He was pushed from office after months of protests by people upset that he had turned away from Europe in favor of Russia.

The crisis in eastern Ukraine hit a boiling point with news Friday that security forces launched their most intensive effort yet to try to dislodge pro-Russian separatists, who have reportedly seized a number of government buildings in nearly a dozen cities and towns.

Helicopters downed

Two Ukrainian government helicopters were shot down in the flashpoint city of Slavyansk. The helicopters were brought down by fire from pro-Russian separatists, the Ukraine Ministry of Defense said.

Five pro-Russian separatists and two civilians were killed in Slavyansk in a Ukrainian military operation, the city's self-declared mayor, Vyacheslav Ponomaryov.

Two Ukrainian soldiers were killed during an attack in the village of Andriyivka, near Slavyansk, defense ministry said. The gunmen also blocked a bridge in the area, using local residents, including women, as shields, according to the ministry.

Hundreds of miles away, in the Black Sea city of Odessa, at least four people were killed and 40 were wounded in fighting, according to the regional police administration.

Another 31 people died after a fire was started at a trade union building amid clashes in the largely Russian-speaking Odessa, police said. Authorities initially reported 38 people had died, but later revised it.

Video posted on YouTube appeared to show Molotov cocktails being thrown by Kiev supporters at the building where pro-Russian separatists had reportedly taken up positions.

The footage, which CNN could not independently confirm, showed people sitting on ledges trying to escape the fire and thick smoke.

CNN cannot independently confirm the casualty counts.

The United States condemned the violence that led to the fire.

"The violence and mayhem that led to so many senseless deaths and injuries is unacceptable," Marie Harf, a U.S. State Department spokeswoman, said.

The events that led to the fire "underscore the need for an immediate de-escalation of tensions in Ukraine," Harf said.

The violence came the same day that U.S. President Barack Obama and German Chancellor Angela Merkel pledged to seek harsher sanctions against Russia if Ukraine doesn't stabilize in time for elections this month.

The two leaders warned Russia could face a new round of sanctions by the West, if it does not stop its actions in Ukraine.

"There just has not been the kind of honesty and credibility about the situation there and the willingness to engage seriously" in finding a diplomatic solution, Obama said.

But the threat seemed to do little to waive off Russia, with its Foreign Ministry saying Ukraine's use of its military in Slavyansk is criminal.

'Nail in the coffin'

Russian President Vladimir Putin's spokesman, Dmitry Peskov, told CNN the military operation was "the last nail in the coffin" for the deal agreed to last month in Geneva, Switzerland, which called for illegal militia groups in eastern Ukraine to disarm and vacate seized buildings.

Putin has been kept fully informed of unfolding events and regards the situation with "grave concern," Peskov said.

What's not yet clear is whether the escalating violence may prompt a response by Russia, which has previously said it has the right to intervene in Ukraine to protect Russian speakers.

Besides the threat from pro-Russian separatists, NATO estimates that Russia has some 40,000 troops massed near Ukraine's border.

Negotiations complicated

Peskov said the Ukrainian operation also complicated ongoing negotiations to free seven Western observers from the Organization for Security and Co-operation in Europe, who have been held captive by separatists in Slavyansk for the past week.

Russia's Foreign Ministry, meanwhile, raised concern about the safety of a special presidential envoy, Vladimir Lukin, sent to southeastern Ukraine to negotiate a possible release of the OSCE observers.

Its statement cited "reports about English-speaking foreigners spotted among attackers," saying there should be no "external interference" in Ukraine's affairs.

As the diplomatic wrangling continued, residents of Slavyansk were warned Friday to stay home and avoid windows as the latest phase of the authorities' "anti-terrorist operation" got under way.

The two Mi24 helicopters were downed with mobile air defense systems, killing two military officers and injuring others, according to the Ukrainian Defense Ministry website. Another army helicopter, an Mi8, was damaged, but no one was hurt, it said.

Pro-Russian separatists took one badly injured pilot hostage after his helicopter was forced to make an emergency landing, the ministry said, and efforts to free him are ongoing.

Ukraine's security service, the SBU, said one helicopter that came under attack was carrying medics, one of whom was injured.

Russian state news agency RIA Novosti earlier reported that one Russian separatist was killed and another wounded in Slavyansk.

The operation also targeted the town of Kramatorsk.

Meanwhile, Russian airline Aeroflot said it was canceling flights Friday to the eastern cities of Kharkiv and Donetsk because it didn't have permission to enter Ukrainian airspace.

Human shield allegation

In his Facebook post, Arsen Avakov, the Ukrainian interior minister, said nine checkpoints that were under control of pro-Russian separatists in Slavyansk have been taken back by Ukrainian forces, who now encircle the town.

What the Ukrainian authorities want from the separatists has not changed, he said -- release the hostages, turn in weapons, vacate seized administrative buildings and allow the normal functioning of the city.

Ukraine's security service also accused separatist leaders of ordering separatists to use residents as human shields in the city and at checkpoints.

Acting Ukrainian President Oleksandr Turchynov acknowledged this week that the central government has effectively lost control of the country's Donetsk and Luhansk regions to the pro-Russian separatists.

He signed a decree introducing military conscription Thursday in a bid to beef up Ukraine's military, citing "real and potential threats to Ukraine."

Why NATO is such a thorn in Russia's side

Opinion: Putin's empire building is not a new Cold War

Amanpour blog: $17 billion Ukraine bailout approved

@highlight

Video appears to show a deadly fire was started with Molotov cocktails

@highlight

Two helicopters have been downed, and a pilot is being held hostage, authorities say

@highlight

Ukraine alleges separatists are using human shields

@highlight

At least 31 people are dead following a fire in Odessa