Cleveland (CNN) -- When her chance came, kidnapping victim Michelle Knight lit into Ariel Castro, the man who held her captive and raped her in his Cleveland home for a decade.

"You took 11 years of my life away," she said. "I spent 11 years in hell. Now, your hell is just beginning."

In handing down a sentence of life without parole plus 1,000 years in prison, Judge Michael Russo told the kidnapper there was no place in the world for his brand of criminal.

Castro's first stop after country jail will be the Lorain prison in Grafton, Ohio, where officials will evaluate him and decide where he will serve his sentence.

"You don't deserve to be out in our community," Russo told the defendant, explaining he would never leave prison. "You're too dangerous."

Castro pleaded guilty last week to 937 counts, including murder and kidnapping, in exchange for the death penalty being taken off the table. The charges stem from his kidnapping, rape and assault of three women: Knight, abducted in 2002; Georgina DeJesus, abducted in 2004; and Amanda Berry; abducted in 2003.

Castro is the father of Berry's 6-year-old girl, DNA tests confirmed.

All three women kept diaries with Castro's permission, providing many of the details of their abuse.

Berry and DeJesus, who did not attend the hearing, sent family members to deliver impact statements on their behalves, while Knight, 32, chose to address her abductor head-on.

"I cried every night. I was so alone. I worried what would happen to me and the other girls every day," she said, promising to overcome the experience. "I will live on. You will die a little every day."

She said her friendship with DeJesus was the only positive element of her years in captivity and expressed gratitude that her "teammate" was there to save her when she was "dying from his abuse."

In a pre-sentencing evaluation, Dr. Frank Ochberg, a pioneer in trauma science, wrote that Knight suffered "the longest and most severely."

"It was Michelle who served as doctor, nurse, midwife and pediatrician during the birth (of Berry's child). She breathed life into that infant when she wasn't breathing," he wrote. "At other times, she interceded when Castro sought to abuse Gina, interposing herself and absorbing physical and sexual trauma. But each survivor had a will to prevail and used that will to live through the ordeal."

"Happy household"

Despite his repeated insistence that he wasn't making excuses for his conduct, Castro played the victim, saying he was addicted to porn and masturbation. In his oft-disjointed statement, he referred to himself as "very emotional" and "a happy person inside."

Castro appeared to blame the victims and accused them of lying about their treatment. He went on to say that none of the women was a virgin when he abducted them, that they wanted sex and there was "harmony" in the "happy household."

Castro even claimed that no one cared enough about Knight to search for her after her after she disappeared.

"I'm not a monster. I'm just sick. I have an addiction, just like an alcoholic has an addiction," he said. "God as my witness, I never beat these women like they're trying to say that I did. I never tortured them."

When Castro finished his statement, Russo dubbed him a "violent sexual predator" and thanked Knight for showing "remarkable restraint" during the hearing.

Ariel Castro's son: I won't visit dad in prison

Wearing eyeglasses and an orange prison uniform, the shackled Castro characterized his crimes in a far gentler light than the book-length indictment handed down against him: "I'm not a violent person. I simply kept them there so they couldn't leave."

Testimony from authorities and mental health experts didn't jibe with Castro's recollection, however. Police recalled how the women were forced to play Russian roulette and how Castro would throw money at them after raping them.

Det. David Jacobs of the Cuyahoga County Sheriff's Office testified he'd also show a gun "to the girls as a form of control."

It was all to "purely satisfy his sexual needs," Jacobs said. " 'I knew what I did was wrong.' He said that more than once."

Castro's 1,400-square-foot home was reconfigured to keep their whereabouts a secret, FBI agent Andrew Burke testified. The back door was outfitted with an alarm, bedspreads and curtains obscured parts of them home and a porch swing was placed in front of the stairs leading to the rooms where Castro held the women and girl hostage.

Police also testified Castro would chain the women to objects, including a support pole in his basement.

In the room where Berry and her daughter were held, the doorknob was removed, a lock was affixed to the outside and a hole was cut through the door for ventilation because the windows had been boarded up from the inside, Burke said.

Burke also described a handwritten letter in which Castro claimed he had been sexually abused as a child and wrote, "I am a sexual predator."

"You saved us!"

The first police officer on the scene, Barbara Johnson, recalled for the court how she and another officer heard the pitter-patter of footsteps in a dark room where Knight and DeJesus were held.

When the captive women realized they were police, Knight "literally launched herself" onto an officer, "legs, arms, just choking him. She just kept repeating, 'You saved us! You saved us!' " Johnson said.

The women were described as scared, pale, malnourished and dehydrated when they were rescued. Dr. Gerald Maloney, who was in the emergency room when the victims arrived, said Knight requested that no male physicians attend to her.

Several witnesses said the women told them stories of being physically abused and deprived of food, and Det. Andrew Harasimchuk told the judge the women were raped "vaginally, orally and anally" during their captivity.

Multiple officers testified that Castro appeared to show no remorse for his crimes, and prosecutor Anna Faraglia said he "tormented" his victims by allowing them to watch vigils held in their honor, and he even attended some.

Castro would talk to his victims' parents as if he were distraught by their disappearances when "they were right underneath his roof," Faraglia said.

Child custody rights for rapists? Most states have them

Outlining the emotional toll their captivity took on the women, Ochberg said the victims will be subjected to life sentences of their own, as their memories will not go away. When they were abducted, the women were all of the age at which humans are learning to be intimate in life.

"This was not real intimacy. This was a perversion of intimacy," Ochberg said, further describing the women's survival and coping skills as "marvelous, compelling examples of resilience, of imagination, of humanity."

Ochberg's evaluation -- using statements, medical records, videotaped interviews and transcripts -- painted a horrifying picture of physical and emotional abuse at the hands of Castro, including brutal beatings and repeated rapes that resulted in pregnancies that he would terminate by punching the women in the stomach.

"He appeared to be evolving in an ever more dangerous direction, capturing younger and younger women, telling his captives he was hunting for replacements," Ochberg wrote before sentencing.

Forensic psychiatrist Dr. Gregory Saathoff described the women's ordeal as a "complete and comprehensive captivity" and said when he first learned of Castro's crimes, he wrote, "The scope and magnitude of Ariel Castro's crimes is unprecedented."

But asked if he felt Castro suffered from mental illness -- something the defendant repeatedly asserted during his statement -- Saathoff was firm that an examination showed he suffered from "no psychiatric illness whatsoever."

"Thank you, victims"

In addition to the guarantee from Russo that he "will never be released from incarceration during the period of his remaining natural life for any reason," Castro was also hit with a forfeiture of property and fined $100,000.

As the judge sentenced him, Castro took issue with the aggravated murder charge related to the termination of his victim's pregnancies, saying there was no evidence those incidents occurred. Judge Michael Russo reminded him that he had already pleaded guilty, and Castro said he did so only to save his victims further trauma.

"In your mind, there was harmony and a happy household," Russo said. "I'm not sure there's anyone else in America who would agree with you."

As the hearing came to a close, Castro turned around and glanced at family members of the victims.

"Thank you, victims. Please find it in your heart to forgive me," he said.

Why so many high-profile crimes in Cleveland?

In each case, Castro lured the women into his car with the promise of a ride, according to court documents. The women and girl were freed in May after Berry shouted for help while Castro was away.

Neighbors heard her cries and came to her aid as she tried to break through a door. One neighbor gave her a cell phone to call authorities.

"Help me, I am Amanda Berry," she frantically told a 911 operator. "I've been kidnapped, and I've been missing for 10 years. And I'm here, I'm free now."

In early July, Berry, DeJesus and Knight released a YouTube video offering their thanks to all those who have helped them since they were freed. Berry and DeJesus have not faced their tormentor since their rescue.

"I want to thank everyone who has helped me and my family through this entire ordeal. Everyone who has been there to support us has been a blessing," Berry said in the video. "I'm getting stronger each day."

CNN's Pamela Brown reported from Cleveland; and Eliott C. McLaughlin reported and wrote from Atlanta. CNN's Joe Sterling, Chris Boyette, Ronni Berke and Martin Savidge contributed to this report.

@highlight

Judge sentences Castro to life in prison, plus 1,000 years

@highlight

Ariel Castro insists he's not a "violent sexual predator"

@highlight

He swears he didn't beat the victims

@highlight

Victim Michelle Knight reads impact statement to Castro