(CNN) -- Soccer and technology don't normally mix; FIFA, the international football body, has long dragged its studded heels over efforts to introduce microchip sensors into match refereeing.

So when Japan based its entire World Cup 2022 bid on a dazzling display of computer wizardry that doesn't yet exist, it was taking a gamble.

Japan, which is vying with Australia, Qatar, South Korea and the United States for the 2022 tournament, will find out on December 2 whether its ambitious proposal paid off.

But any sense of victory will be tempered by the Herculean task the country now faces in trying to turn a package of ideas, which appear to be stolen wholesale from science fiction, into science fact.

At the heart of Japan's bid is a plan to broadcast entire games to stadiums on the other side of the world in what appears to be life-sized holograms.

Promotional videos shown on the 2022 bid website show ghostly players chasing the ball while crowds of fans look on -- reminiscent of the classic Princess Leia hologram scene in "Star Wars."

Japanese organizers say each game will be filmed by 200 high definition cameras, which will use "freeviewpoint" technology to allow fans to see the action unfold from a player's eye view -- the kind of images until now only seen in video games.

Meanwhile on the terraces, supporters will be able to use in-ear computerized translators to talk freely to fans from other countries -- a device that mimics the "Star Trek's" universal translators or the Babel Fish of "Hitch Hiker's Guide to the Galaxy."

"We think that now it's time to give something back to the world, and our starting point is to deliver the joy of football not only to the hosting country but all over the world," says Suminori Gokoh, director of the 2022 bid committee.

But can Japan actually deliver on these fantastic promises? And will they really enhance the enjoyment of what is already known as the beautiful game?

With limited information on how they intend to achieve their goals, leading scientists in the field of three dimensional and holographic television have been left slightly perplexed over the proposals.

"The 'freeviewpoint' is definitely going to be feasible, there's a lot of work being done on that," said Phil Surman, a scientist working on 3D television projects at Britain's De Montfort University in Leicester. "But the rest is rather speculative."

While 3D broadcasts that don't rely on special glasses (known as auto-stereoscopic television) are currently possible, these involve projecting twin images directly at individuals. Viewers must remain in one spot or wear tracking devices to ensure the images are beamed at them.

Says Surman, while this is possible for small groups, it's tricky on a larger scale. "I really can't see how that can be done," he told CNN.

Professor John Watson, a 3D television expert at Aberdeen University, agreed it was unlikely on a large scale.

"There has to be head tracking, so if you move your head the images has to move with you and you're not going to keep your head in position during a football match -- you're going to jump up and down, particularly if your home team scores.

"There's also an obstacle with nausea, some people looking at these autostereoscopic displays can become disorientated, there are human factors like that which have to be taken into account."

Professor Nasser Peyghambarian, whose team at the University of Arizona recently succeeded in producing rudimentary moving holographic images, is more optimistic.

"This is very aggressive planning, but I actually like it because they put a stick in the ground. But they are proposing something that doesn't exist right now and they're proposing to do it in 12 years," he told CNN.

"I believe it is achievable, The only question that remains to me is is it going to be affordable to the public?"

But what will the fans think? Says Jonathan Wilson, football obsessive and author of "Inverting the Pyramid: A History of Football Tactics," they'll love it, but only if they really care about the game.

"Speaking as a tactics geek, the problem watching games on television is it's very hard to see the shape of the teams so if you're trying to assess the way the game's going, if you're trying to assess the space, how a team's shape's doing and their defense and organization, then this will clearly be beneficial.

"Whether most fans will care about this I don't know."

While real-time language interpretation might be more achievable given that computers are already capable of handling basic translations, linguists speculate they could have trouble handling football's unique vernacular.

Says Damian Fitzpatrick, who runs a language website that focuses on the phraseology of football, the idioms deployed by fans are often baffling to speakers of the same language.

"Some of my north American colleagues have difficulty with certain football phrases such as 'early doors;' 'gatecrash the top four' and, of course, why is it that parrots are the sickest of all creatures?" he told CNN.

Despite the ambitious scope of the 2022 proposal, there is one problem that not even Japan's scientists have come up with a solution to: how to silence to Vuvuzela.

@highlight

Japan says it will broadcast World Cup 2022 games in "full court" 3D

@highlight

Proposal includes real time translators for fans to talk to each other

@highlight

Scientists say they are unsure whether ambitious promises could be realized