(CNN) -- Senate Democrats claimed a major victory this weekend after voting to end debate on their version of the health care bill.

The Senate is on track to hold a final vote on Christmas eve, but there's still a long way to go before a bill is on President Obama's desk.

Here are answers to some frequently asked questions about what's in the House and Senate health care bills and what's next.

Where does the health care debate stand?

The House passed its version of health care reform last month. The Senate, which follows different procedures than the House, is slated to vote on its version of the health care bill before Christmas.

Senate Majority Leader Harry Reid needs a simple majority of 51 votes for final passage. Assuming the bill makes it through the Senate, a conference committee will then need to iron out the differences between the House and Senate versions and merge them into one bill.

Both chambers will then need to pass the revised bill before it is sent to the president's desk.

Read Dr. Sanjay Gupta's take on the health care bill

Why does Obama want health care reform?

The president made health care reform his top domestic priority. He says overhauling the health care system is key to getting the economy back on track.

The president says he wants to reform health care in order to slow the growth of costs for families, businesses and the government. He also wants to ensure that all Americans have access to affordable health care, regardless of their income or medical history.

Who will be covered and how much will it cost?

The House plan is projected to guarantee coverage for 96 percent of Americans at a cost of more than $1 trillion over the next 10 years, according to the nonpartisan Congressional Budget Office.

The Senate plan is projected to cover 94 percent of Americans with an $871 billion price over the next 10 years, according to the CBO.

How will this be paid for?

The House plan imposes a 5.4 percent income tax surcharge on individuals with annual incomes over $500,000, as well as families earning more than $1 million.

The Senate plan increases the Medicare payroll tax on individuals earning more than $200,000 and couples earning more than $250,000 from the current 1.45 percent to 2.35 percent.

The Senate bill also imposes a new tax on insurers that provide so-called "Cadillac" health plans valued at more than $8,500 for individuals and $23,000 for families. The 40 percent tax would be on the value of the plan. In addition, it imposes a 10 percent tax on indoor tanning salon treatments.

Both bills call for cutting hundreds of billions of dollars from Medicare and Medicaid. Republicans say that those cuts will impair Medicare coverage, but Democrats say the savings will come from eliminating waste and fraud.

The House and Senate bills also call for fees on medical device manufacturers.

Do I have to buy health insurance?

The House and Senate bills both require individuals to buy health insurance. The House bill imposes a fine of up to 2.5 percent of a person's income for noncompliance.

The Senate plan imposes a noncompliance fine that starts at $95 in 2010 and escalates to $750 in 2016. It also requires parents to provide health coverage for children up to age 18.

What if I can't afford coverage?

The House and Senate plans both include a hardship exemption for poorer Americans.

Both bills subsidize insurance for a family of four making up to roughly $88,000 annually, or 400 percent of the federal poverty level.

With subsidies, premiums for a family of four at 133 percent of poverty ($29,326.50) would be a maximum of $440 under the House plan, while premiums for a family of four making the highest amount eligible would be a maximum of $10,584.

Under the Senate plan, with subsidies, premiums for a family of four at 133 percent of poverty would be a maximum of $821.14, while premiums for a family making the highest amount eligible would be a maximum of $8,643.60.

I own a business. Do I have to provide coverage for my employees?

The House plan requires companies with a payroll of more than $500,000 to provide insurance or pay a penalty of up to 8 percent of their payroll.

Under the Senate plan, starting in 2013, companies with more than 50 employees would be required to pay a fee per worker if its employees rely on government subsidies to purchase coverage.

What if I have a pre-existing condition?

Both the House plan and the Senate bill would eventually limit total out-of-pocket expenses and prevent insurance companies from denying coverage for pre-existing conditions.

Both plans also bar insurers from charging higher premiums based on a person's gender or medical history. Insurers can only vary rates based on three things: age, geography and family make-up/size.

What is a health insurance exchange?

"Health insurance exchange" refers to the marketplace of the health insurance options. Obama has defined the exchange as a "one-stop shopping marketplace where you can compare the benefits, cost and track records of a variety of plans -- including a public option to increase competition and keep insurance companies honest -- and choose what's best for your family."

The House bill creates a national health insurance exchange designed to make it easier for small businesses, self-employed and the unemployed to pool resources and purchase less expensive coverage.

The Senate bill creates state health insurance exchanges in all 50 states.

What is a health care co-op?

Nonprofit health cooperatives, or "co-ops," are being proposed as an option to compete with the private sector and as an alternative to a government-sponsored public health insurance option. Co-ops are owned and governed by the same people they insure.

The House and Senate plans both establish "co-ops" and strip insurance companies of an antitrust exemption that has been in place since the end of World War II.

What happened to the public option?

The House bill creates a public option, which is a government-funded, government-run health care option, similar to Medicare. The public option would be a part of an insurance exchange available to people without coverage or unable to afford private coverage.

The Senate bill does not create a public option. Instead, it allows nonprofit private insurers to offer coverage with approval of Office of Personnel Management, which oversees the federal employees' health plan.

What will happen to Medicaid?

The House and Senate bills would both significantly expand Medicaid, the government-run health care plan for the poor.

The House plan extends coverage to individuals earning up to 150 percent of the poverty line, or roughly $33,000 for a family of four.

The Senate plan extends coverage to those earning up to 133 percent of the poverty level, or just over $29,000 for a family of four.

Will abortion treatments be funded with federal dollars?

The House bill prohibits any health plan receiving federal subsidies from offering coverage for abortion.

The Senate plan allows states to choose whether to ban abortion coverage in health plans offered in the insurance exchanges. Individuals purchasing plans through the exchanges would have to pay for abortion coverage out of their own funds.

Will illegal immigrants be covered?

The House bill mandates insurance coverage for illegal immigrants and allows illegal immigrants to enroll in the public option and to buy private coverage in the national insurance exchange, but prohibits government subsidies for such private coverage.

The Senate plan exempts illegal immigrants from the health coverage mandate, and prohibits illegal immigrants from participating in the insurance exchanges.

CNN's Tom Cohen, Kristi Keck and Alan Silverleib contributed to this report.

@highlight

Senate and House bills will need to be merged

@highlight

House plan would create public option; Senate plan would not

@highlight

Both bills mandate coverage; both include hardship exemption

@highlight

Bills would prevent insurers from denying coverage for pre-existing conditions