New Delhi (CNN) -- Anticipation hung heavier than the sultry air outside the massive court complex Friday afternoon. Here and all across India, people awaited the decision from Courtroom No. 304.

Inside the wood-paneled room lighted by the glare of harsh white lights, the four men found guilty of gang-raping a Delhi woman would learn whether they would die for their crime. Three exchanged their t-shirts for collared shirts on this day, one of the most important of their lives.

Life or death? The people clamored for the latter.

A curious crowd gathered outside the courtroom as the clock neared 2:30 p.m., when Judge Yogesh Khanna was set to convene his court. Some traveled great distances to be present when the sentences were read.

It was almost as though this were judgment day for all of India.

There are no cameras allowed inside the courthouse, but everyone had a cell phone. One woman stood on a bench, held her dated Samsung high in the air and pressed the video button. She wanted to capture every moment.

Opinion: Rape sentence is just the start of India's fight for equality

Mounted police as well as a water cannon truck were the most obvious signs of the combustive atmosphere. Authorities blocked off the road in front of the Saket District Court complex in hopes of preventing angry clashes. Dozens of journalists set up roadside mini studios to file what felt to many like the biggest story of the year.

Prosecutors argued that the men -- Vinay Sharma, Akshay Thakur, Pawan Gupta and Mukesh Singh -- deserved to die for an "extreme act of brutality." The woman's family members have said the same. To them and many others gathered here, nothing less could deliver justice. Nothing else could be an appropriate ending to a case that has gripped India.

People here had waited for this day for nine long months, since December 16, when the woman, a 23-year-old physiotherapy student, went to see "The Life of Pi" with a male friend.

The movie theater is in an upscale mall just a short walk from this court complex. The woman -- Indian law forbids naming rape victims -- and her friend boarded a private bus to make their way home from South Delhi to the suburbs.

The driver and at least five other men, said police, were drunk that night and looking for a joyride. They dragged the woman to the back of the bus and beat up her friend, authorities claim; then they took turns raping her, using an iron rod to violate her as the bus drove around the city for almost an hour. When they had finished, they dumped their victims on the side of the road.

The woman's internal injuries were so severe that some organs had to be removed. Two weeks later, at a hospital in Singapore, she died.

The horrific nature of the crime got to people. It was like a bomb had exploded inside the collective Indian psyche.

Opinion: Where have India's females gone?

The nation erupted in outrage. Crowds poured into the streets of major cities and openly questioned the civility of their own society. How could the world's most populous democracy, a nation that had finally made its stand on the global stage, allow such a heinous act to take place?

As India waited to hear the fate of the men responsible for casting such a dark shadow over their nation, a national discussion blossomed on the treatment of women. It included a call for tougher punishment for sexual assault. For some at the courthouse, Friday's sentence would be a test, of sorts, of whether the message had been heeded.

The trial lasted seven months. This week, the court convicted the four men of murder, rape and kidnapping. The parents of the victim cried as they listened to the judge read the verdict.

There were two others accused in the case. The bus driver, Ram Singh, was found dead in his jail cell in March. Authorities said he had hanged himself, though his family says he was murdered.

A teenage boy -- he was 17 at the time of the rape -- was convicted August 31 for his part in the gang rape. A juvenile court sentenced him to three years in a special juvenile correctional facility, the maximum allowed under the court's rules.

Many Indians, including the victim's family, expressed dissatisfaction with the boy's sentencing. Friday, they hoped the court would not fail them.

The crowds began to swell outside the courtroom as the appointed time approached. People lined the balconies along the courtyard, three levels up from the courtroom.

"Oh, God," someone remarked. "They have to get rid of this crowd."

But the police, some attired in riot gear, did little to keep people out.

Inside the courtroom, the four men sat teary-eyed. Perhaps they knew of the enormous pressure on Khanna, the judge, to condemn them.

As Khanna announced the sentence, one of the men, Sharma, let out loud cries of anguish.

He and the other three will be executed. That was the judge's decision.

The prosecutors congratulated one another. They had done their job.

Court sentences 4 to death in gang rape case

The victim's father said, "Justice has been delivered."

Few journalists were allowed into the courtroom, but the news traveled fast.

Just after 2:30 p.m., cries of "Fansi! Fansi! (Hang them!)" rang out through the halls of the court building.

"Death for all four," shouted one man.

The news was welcomed on the streets. But soon, anger filled the crowd's chants. People turned their ire on the teenager who will be a free man in three years.

"Don't let him reach adulthood!" some shouted.

Smita Sinha, who works for a women's aid organization, said there was no closure for her Friday.

"We are here for justice," she said. "We are happy, but it is a half-happiness. That juvenile should be hanged. Why does he go free? He will rape again. This is only half justice."

Sinha said she's been on the streets protesting for nine months -- and will continue to do so.

She said she believed many Indians were hungry for death because capital punishment sends an effective message to would-be rapists. India, she said, needs to send that kind of message. While the laws punishing sexual assault are on the books, they aren't always enforced, Sinha said.

"In India, a fear of death means something," she said.

Defense lawyers had urged the judge to show leniency and sentence the men to life in prison, saying the death penalty should be the exception, not the rule.

"Yes, it is a basic right for every human being to live," Sinha said. "But why should (the accused) live when they created circumstances that made a woman fight for her life for 15 days?"

Indian courts have issued death sentences, but executions have been rarely carried out in the past decade. In this case, the judge said the harshest penalty was necessary.

"There cannot be any tolerance," Khanna said. "This crime in every way falls within the rarest of rare category warranting a death sentence."

The people called for the boy's death. They called for revolution.

One man, Tabrej Alam, sat with his oil paints and a canvas. He'd traveled all the way from the eastern state of Bihar to be at the court Friday. As the afternoon unfolded, a painting emerged. It showed a young man with the likeness of the evil, a hangman's noose around his neck.

Friday's judgment, he said, was one way to cleanse India of evil.

Holy man castrates self after India guru charged with rape of 16-year-old girl

CNN's Jethro Mullen contributed to this story.

@highlight

Four men convicted of gang rape face sentencing in New Delhi

@highlight

Crowd comes from near and far to hear decision in case that gripped India for nine months

@highlight

Many at the scene feel death is the only justice

@highlight

Anger erupts over lighter sentence for juvenile