Washington (CNN) -- An e-mail discussion about talking points the Obama administration used to describe the deadly attack on the U.S. compound in Benghazi, Libya, show the White House and State Department were more involved than they first said in the decision to remove an initial CIA assessment that a group with ties to al Qaeda was involved, according to CNN sources with knowledge of the e-mails.

After hearing, Republicans say there's more to story

Doomed ambassador: 'We're under attack'

The unclassified talking points have become a political flashpoint in a long-running battle between the administration and Republicans, who say that officials knew the attack last September 11 was a planned terror operation while they were telling the public it was an act of violence that grew out of a demonstration over a video produced in the United States that insulted Islam.

John King: Benghazi investigation both legitimate and partisan

That was the story that U.S. Ambassador to the United Nations Susan Rice told five days later when she made the rounds of all five Sunday morning television talk shows.

Obama administration officials have long said that Rice was using official talking points that were edited almost exclusively by the intelligence community.

The attack also occurred two months before the November election, in which President Barack Obama's campaign often pointed out that it had "decimated" al Qaeda.

Chaffetz: Obama has explaining to do on Benghazi

White House spokesman Jay Carney on Friday called the controversy a "distraction" from the facts and said the administration had raised the possibility of extremist involvement from the start.

He told reporters the administration was careful with information on Benghazi and was open with the public once facts were established.

An interagency discussion over the talking points to describe the attack just days previous that killed Ambassador Christopher Stevens and three other Americans included the White House, State Department, CIA, FBI and Justice Department officials.

A senior administration official told CNN that the e-mails were made available to Congress earlier this year and nothing contradicts what it has said.

"The White House made stylistic edits to the talking points to emphasize that the investigation was ongoing as to who was responsible" and to simplify certain phrasing, the official said.

Carney added that the only edit made by the White House or the State Department was to change the description of the targeted facility to a diplomatic post from consulate.

The e-mail exchange and alterations to the talking points were first reported by ABC and The Weekly Standard and confirmed by CNN appear to contradict that assertion.

A source familiar with the matter said then-State Department spokeswoman Victoria Nuland raised concerns over the CIA's first version of the talking points, saying that they went further than what she was allowed to say about the attack during her briefings and that she believed the CIA was attempting to exonerate itself at the State Department's expense by suggesting CIA warnings about the security situation were ignored.

Carney said on Friday there was a "deliberative process" around the talking points involving several agencies. He said the talking points reflected the best assessment of the intelligence community at the time of what occurred in Benghazi, and said there has been an effort since to politicize the tragedy.

"This is an effort to accuse the administration of hiding something we did not hide," he said.

The CIA had no comment on the matter.

According to a congressional source with knowledge of the e-mails, the CIA's first draft of the talking points was sent to other agencies on the afternoon of Friday, September 14.

They were requested by Rep. Dutch Ruppersberger during a classified briefing by then-CIA director David Petraeus and were intended to be used by members of Congress and administration officials.

According to ABC News and The Weekly Standard, the first draft included a line that said "Islamic extremists with ties to al-Qa'ida participated in the attack."

The first version also includes a reference to the terrorist organization Ansar al-Sharia -- an al Qaeda-affiliated group that operates in Libya that took credit for the attack on Facebook but later denied any involvement.

Also in the initial talking points was an acknowledgement that the CIA had produced "numerous pieces on the threat of extremists linked to al-Qa'ida in Benghazi and eastern Libya."

The reference also mentioned that "at least five other attacks against foreign interests" had been made since April 2012, according to the news organizations.

In response to the initial assessment, Nuland on Friday e-mails a group involved in an interagency process of reviewing the talking points and brought up a number of concerns, according to congressional source.

"Now I understand that these are for members of Congress. I have serious concerns about all the parts highlighted below," she wrote. "Why are we arming members of Congress to start making the assertion to the media that we ourselves are not making because we don't want to prejudice the investigation. Why do we want the Hill to be fingering Ansar al-Sharia when we aren't doing that ourselves."

She continued, "The penultimate point" -- information about the CIA receiving numerous threats from extremists groups -- could be abused by members to beat the State Department for not paying attention to state department warnings so why do we want to cede that either...."

An NSC staffer replied that the "FBI did not have major concern with the points and only offered a couple of minor points."

After Nuland weighed in, the reference to Ansar al-Sharia was scrubbed from the account.

Nuland responds at 9:24 p.m. on Friday, writing, "These don't resolve all of my issues or those of my building's leadership."

Just a minute after Nuland's e-mail, Jake Sullivan, then a policy adviser for then-Secretary of State Hillary Clinton, writes the group.

"I spoke with Tommy," Sullivan writes, referring to then-National Security Council spokesman Tommy Vietor. "We'll work this through in the morning. Get comments back."

Republican spotlight shifts from Obama to Clinton

Opinion: Hearing's aim was to undermine Clinton

Less than 10 minutes later, Deputy National Security Council Adviser Ben Rhodes e-mailed the group stating that he didn't want anything in the talking points that would undermine the investigation and directs the matter to a Saturday meeting at the White House.

According to multiple sources, the interagency group met Saturday morning, and according to a congressional source, the paragraph acknowledging that the CIA had warned about "the threat of extremists linked to al Qaeda and Benghazi" in preceding months was removed from the talking points after that meeting.

After the Saturday meeting, a separate e-mail was directed to Rice, telling her that the first draft of the talking points seemed unsuitable based on the discussion at the White House meeting, the unknown author of the e-mail wrote, "because they implied the CIA warned about a specific attack."

The e-mail continues: "I spoke with Jake immediately after the (the White House meeting) and noted that you are doing the Sunday morning shows and need to be aware of the final posture that these points took."

What the Obama administration has said about the Benghazi attack

By the Numbers: U.S. diplomatic presence

A U.S. intelligence official would not discuss the specific changes that were made in the talking points, but reiterated the previous reasons given for why they were made.

"There were several valid intelligence and investigatory reasons why they were changed: the information about individuals linked to al-Qaeda was derived from classified sources, and could not be corroborated at the unclassified level; the links were tenuous and therefore it made sense to be cautious before naming perpetrators; finally, no one wanted to prejudice a criminal investigation in its earliest stages."

A senior U.S. intelligence official would also not comment on what the State Department may have recommended as part of the interagency review process, but did say it would be a "significant stretch" to suggest "the State Department made a comment therefore the talking points changed."

The official also maintained nothing has changed since last November when Shawn Turner, the spokesman for the office of the Director of National Intelligence said "there were no substantive changes made to the talking points after they left the intelligence community."

CNN's Jake Tapper and Pam Benson contributed to this report.

@highlight

Spokesman says White House has been open with public since events were known

@highlight

Talking points used to underpin early explanation of events surrounding attack

@highlight

References to CIA security warnings, possible al Qaeda involvement removed

@highlight

Attack last September 11 killed ambassador to Libya, three other Americans