Accra, Ghana (CNN) -- The sudden death of Ghana's president, John Atta Mills, on July 24 did not come as a rude surprise. Most Ghanaians already knew his health was failing; he was losing his eyesight and voice.

For the seven months that I was in Ghana (Dec 2011-July 2012), he rarely made a public appearance -- and despite official assertions to the contrary, most people did not believe he had the will nor the capacity to campaign for re-election in this year's elections in December.

Thousands of mourners pay respects to their late leader

What was remarkable, however, was that within hours of his death, the Vice-President, John Mahama, had been sworn in as the new president. The smoothness of the transition was exactly how Atta Mills would have wanted it. He was a man of peace and ardent believer in the rule of law.

Ghana in mourning after president dies

The smooth transfer of power not only attested to the strength and stability of Ghana's democracy but also stood in sharp contrast to the rocky and chaotic transitions that followed the deaths of presidents Felix Houphouet-Boigny of Ivory Coast in 1993; Musa Yar'Ardua of Nigeria in 2010 and Bingu wa Mutharika of Malawi in 2012.

Obama hailed Ghana as 'model for democracy'

Also standing in sharp contrast to the smooth political transition process is the performance of Ghana's economy. After a stellar performance the past few years, the economy has hit some road bumps.

At a time when Europe has been in deep crisis, Ghana's economy galloped at a dizzying 14.5% rate of growth in 2011. In the fourth quarter, the rate was an astonishing 16%. The country achieved a single digit inflation rate of 8.6% and the lowest fiscal deficit to GDP ratio of 4.8% in decades, according to figures from the Minister of Finance.

Moreover, Ghana attracted $7 billion in foreign investment -- the highest amount recorded in its history. This economic boom has been sparked by recent discovery and production of oil.

However, prospects for 2012 have dimmed. The projected growth rate has been scaled back to 10%, although still impressive. An IMF team which visited the country in June described the economy as "sick" -- perhaps, an unintended allusion to the condition of the president.

The external value of the local currency, the cedi, has dropped precipitously from 1.4 cedis to the dollar in January 2.2 cedis to the dollar in July -- a drop of 57% in terms of the local currency. That drop has made imports more expensive and pushed the rate of inflation up above 10%. There is widespread grumbling about the rising cost of living.

Former Ghana president: Fight poverty with wealth creation, not charity

It may seem skeptics, who questioned the sustainability of Ghana's economic success, are being proven right. They point to Ghana's neighbor, Ivory Coast, which was once declared an "economic miracle" back in the late 1990s but then convulsed into civil war and economic ruination in 2005 and 2010. They ask further: Hasn't oil been a curse to such countries as Angola, Cameroon and Nigeria, among others? Is Ghana not destined to follow the same path?

To some extent, the skeptics have a point but that is not the whole picture. To be sure, Ivory Coast was declared an "economic miracle" in the late 1980s and in 1994, the World Bank declared Ghana to be an economic success story.

However, received wisdom and accumulated evidence suggest that doing well economically is not enough. Intellectual freedom (freedom of expression, of the media, etc.) and political reform (establishment of democratic pluralism) are also needed to sustain economic prosperity. Countries that resist them eventually implode, unraveling all the economic gains made. This was what happened in Ivory Coast in 2005 and also in Yugoslavia (1995), Indonesia (1998), Madagascar (2001), Tunisia (2011) and Egypt (2011).

In other words, democracy is not necessary to engineer an economic success story but vital to sustain it.

In Ghana's case, incomplete political liberalization and fitful intellectual reform clipped its economic success in the 1990s.

However, things are much different today. The intellectual environment is much freer now. There are more than 100 private radio stations and over 20 privately-owned newspapers in Ghana. There is a vibrant and vigilant media that sparks intense intellectual debates. Call-in radio programs hold the feet of politicians to the fire and expose their shenanigans. Now and then, the country's Supreme Court rules against the government. Freedom of information bill is wending its way through Parliament, although it has been dragging its feet.

Media's role in Ghanaian politics

Politically, democracy is also being entrenched. Since 2000, there have been two successful transfers of power without violence or bloodshed. And the smooth transfer of power after the president passed away is another feather in the Ghana's democracy cap.

All these bode well for the sustainability of the current economic prosperity. But still, some serious hurdles lie ahead for Ghana's economic prosperity.

First, the non-oil sector of the economy is performing poorly. Agriculture, which employs over 60% of the population, grew marginally at 2.8% in 2011. With food production per capita declining, the country has to rely on food imports to feed itself. The performance of the manufacturing sector has also been weak. It is hard to find a manufactured good with the label, "Made in Ghana." As Ghanaians often lament, "We don't produce anything; we import everything from tooth-picks to toilet paper." As a result, imports are surging dangerously out of control.

Ghana farmers lose out in gold mining boom

The situation is eerily reminiscent of Nigeria in the 1980s when the country neglected its agriculture and manufacturing base and splurged on luxury imports. Army chiefs parked Maseratis and even Lamborghinis outside plush government villas, while their children attended expensive schools in Britain. One even had his Rolls Royce flown from Britain to Nigeria. Nigeria, which used to export food in the 1960s, now spends over $120 billion [latest figure I found] on food imports while 61% of Nigerians now live in poverty.

There are other bumps as well on Ghana's road to economic prosperity. The bloated size of the government suffocates the economy. In 1997, there were 88 cabinet and regional ministers plus their deputy ministers in a country with a population of 25 million. By 2004, the number had reached 92 but now down to 84. [The U.S., with a population of 300 million, has 40 secretaries and assistant secretaries.]

Too many ministries means overlapping jurisdiction and functions and a bloated bureaucracy. Indeed, the Vice President, John Mahama, has been complaining persistently about "excessive bureaucracy and red-tapeism in the public sector" in the state-owned Daily Graphic.

The public sector is riddled with overspending, wasteful practices and financial irregularities and profligacy. The situation has become so dire that the government consumes all it collects in revenue, leaving it with little or no savings to finance investments. For example, in 2011, total revenue stood at GHÂ¢12 billion (or $7.5 billion) but general government expenditures added up to GHÂ¢13 billion, leaving the government with negative savings.

Can Africa break its 'resource curse'?

However, the biggest hurdle when I was in the country was the high level of anxiety, tension and uncertainty about the December poll. In times of uncertainty, investors hold on to their wallets and the rich park their wealth outside the country. Capital flight and surging imports have evidently contributed to the sharp drop in the external value of the local currency.

I left Ghana for the U.S. on July 21 and President Atta Mills passed away on July 24. Most likely, political tension in the country will abate somewhat as Ghanaians put away their differences to mourn their departed president. However, the uncertainty will resurface after the burial. While the new president, John Mahama, is respected and level-headed, he is unlikely to accomplish much before December.

One wag has urged Ghanaians to vote for a "Non-John" in December. Since 1981, Ghana has had the following presidents: Jerry John Rawlings, John Kufuor, John Atta Mills, and now John Mahama. "Enough JOHNS. Haba! This is the worst form of name tribalism. Time for a revolution," the wag exclaims.

Well, Ghanaians will decide in December.

The opinions expressed in this commentary are solely those of George B.N. Ayittey.

@highlight

Ghana, whose president John Atta Mills died in July, is holding elections in December

@highlight

The smooth transfer of power after his death attests to the strength of Ghana's democracy

@highlight

Yet, serious obstacles lie ahead for Ghana's economic prosperity

@highlight

Uncertainty about elections, coupled with bloated bureaucracy and overspending, are the biggest hurdles