(CNN) -- The trial of mass murderer Anders Breivik has confirmed one thing so far: He seems quite mad. Looking plump and dumb, with a slightly receding hairline, the Norwegian gave a right-wing salute as he entered the courtroom and smirked his way through CCTV footage of his handiwork.

Breivik claims that he killed 77 people as an act of self-defense against the Islamification of Norway, that he is a member of the Knights Templar and part of an "anticommunist" resistance to multiculturalism. Reading his insane manifesto, it is tempting to dismiss him as a nut with a gun.

Nevertheless, there's no denying the political context to what Breivik did. Since 9/11, fringe and mainstream politicians in Europe and America have spoken of Islam as incompatible with Western values. Breivik quoted many of them in his manifesto. This is not to say that he took direct inspiration from those public figures, or that they bear personal responsibility for his crimes. But Breivik's paranoia does conform to a popular -- wholly negative -- view of the twin problems of Islam and multiculturalism. Tragically, it is a view that few mainstream politicians have been willing to challenge.

Breivik makes two false claims. The first is that Islam is ethically inferior to Christianity and cannot exist peacefully within the secular democracies of the post-Enlightenment West. That is the open view of the Dutch Party for Freedom, the French National Front, the English Defense League and the Finnish True Finns. It was implicit in Republican presidential candidate Herman Cain's aversion to the building of mosques. We might also infer it from much of the testimony presented at Rep. Peter King's congressional hearings into the radicalization of American Muslim youth. King has opined that there are "too many mosques" in the United States and that roughly 80% of American Muslims are radical.

The mistake being made by all these people is to conflate a tiny minority of political Islamists -- whose precise ideology has only really emerged in the last 30 years -- with the entire global and historical community of Muslims. It is true that Islam has never undergone a total Reformation, but it has experienced mini-enlightenments. The most celebrated is the Islamic Golden Age (750- 1258), centered in Baghdad, in which the arts and sciences flourished in a manner that left Dark Ages Europe far behind. (You can also find humanist poetry and art in Persia and even a small amount of erotica in Northern Africa.)

Islam never outright rejected scientific empiricism but instead tried to reconcile and integrate it into its religious beliefs, with a surprising amount of debate about the primacy of either faith or reason. It preached that divine revelation could be found in other religions and so practiced tolerance in the lands that it conquered -- a kind of Islamic multiculturalism. One of the giants of the European Enlightenment, Voltaire, favorably opined that Islam was more tolerant in its treatment of minorities than Christianity (consider the comparative persecution of Catholics in Ireland or of Jews in Spain).

Today, Islamic society looks different in every region where it is found. The royal families of Saudi Arabia have promoted ultra-conservative Wahhabism, which discourages personal vice, idolatry, veneration of saints, etc. The Bangladeshis prefer the more mystical Sufism, which places greater emphasis upon a subjective experience of Allah and is traditionally more tolerant of human foibles and dissent.

Almost every part of the Islamic world has produced progressive movements, some headed by women. Pakistan gave the world Benazir Bhutto and Indonesia Megawati Soekarnoputri. In all cases, the political development of Muslim countries has been as much shaped by poverty and the legacy of colonialism as it has Islam. Iran might have continued on a course toward liberalism had the West not sponsored an anti-democratic coup in 1953.

In short, there is no monolithic Islamic history or experience, which makes it hard or even disingenuous to talk about the challenge that Islam as a whole poses to the West. Put another way, no American would want anyone to think that the Westboro Baptist Church spoke for all of Christianity.

Breivik's second, equally fallacious claim is that Islam's growth in the West has been encouraged by liberal elites as a means to destroy traditional Christian culture. Indeed, multiculturalism has been strongly critiqued by two British prime ministers -- Tony Blair and David Cameron. Cameron said that it had "failed" because it did not demand submission to the liberal principles of gender and sexual equality.

But multiculturalism is not a Marxist ideology carefully plotted by the "Saul Alinksy radicals" so loathed by Newt Gingrich. Rather, it was free-market economics and globalization that caused the mass migration of Muslims from East to West -- and multiculturalism was simply a policy response. The aim was to protect the cultural integrity of both host and guest populations by allowing them separate spaces in which to develop.

Far from intending to threaten the religious or civil liberties of the majority Christian population (which remains vastly superior in numbers), the goal was to create a common framework of laws but otherwise leave everyone to their own devices. If Christianity has declined in the West, it's the fault of the Christians who stopped going to church -- not the small groups of Muslims quietly attending their local mosque.

And yet Muslims in Western countries now live under the pressures of anti-terrorist surveillance and social ostracism. They are forced to defend their Britishness, their Frenchness or their Americaness -- even if they are third- or fourth-generation citizens of those countries. Breivik's attack has raised the threat level against the West's Muslims: They are now the target of our politically engaged sociopaths.

Given how widespread the condemnation of both Islam and multiculturalism is across the West, perhaps it is apt to describe Breivik as a symptom of Western psychological angst. It is a condition of neurosis about decline and paranoia about foreign invasion that is in desperate need of remedy.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Tim Stanley: At trial, Breivik seems mad, but views on Islam mirror some from politicians

@highlight

Stanley: Breivik says Islam inferior to Christianity and elite liberals push multiculturalism

@highlight

Both false, he says, with Islam varied, rich; multiculturalism result of free-market economics

@highlight

Stanley: Breivik's views seem a tragic symptom of Western psychological angst about Islam