Barcelona, Spain (CNN) -- The smartphones and tablets debuting at Mobile World Congress in Barcelona this week share one very important ingredient that has allowed Apple's iPad and iPhone devices to become mainstream cash cows: videogames.

"Gaming is now a 'need to have' category, not a 'nice to have' category for mobile devices, whether they be tablets or phones," said PJ McNealy, videogame analyst at Digital World Research. "The days of a single-function mobile device are long gone."

Raj Talluri, vice president of product management at Qualcomm, said that with more than 60% of users regularly playing games on their mobile devices, games have clearly emerged as a core part of the mobile user experience. 

"Gamers and games have also proven to drive technology adoption and are powerful influencers amongst consumers," Talluri said. "Whether it be for the purpose of competitive gaming or just passing the time on flights or train rides, high-quality mobile gaming is not a luxury. It's now a necessity for any mobile device."

Read more: What will your next mobile phone look like?

At the conference, Qualcomm is promoting upcoming portable games like "The Ball," "Fight Game Heroes" and "The Reem," which run on its Snapdragon processors. Talluri said this "complete system-on-a-chip" technology was designed to handle everything from online multiplayer gaming like AllJoyn over Wi-Fi and 3G/4G-LTE networks to the most advanced, console-quality games. The powerful new processors are built for seamlessly switching between multiple apps and the Internet, all while delivering longer battery life. 

Keita Iida, director of global content management at NVIDIA, said that while there will always be room for simple, casual games in mobile like "Angry Birds," things are evolving quickly thanks to new chip technology like NVIDIA's Tegra 3 quad core processors.

"With the installed base of Android and Tegra already at critical mass, developers looking to have their games stand out have the promise of financial reward to invest in high-end content, not to mention the hardware processing that can power next-generation games," Iida said. "Our heritage is in working with developers that are passionate about games with high production value."

One of the Tegra 3 games on display at Mobile World Congress is Sega's "Sonic the Hedgehog 4: Episode 2," which will be released in May. David Zemke, director of mobile business at Sega of America, said the new game brings a console-quality experience to portable devices.

"You can now play Sonic on a small screen or a big HD TV, screen and this technology allows us to bring a totally reimagined Sonic with beautiful HD backgrounds, great character animation and all the speed console gamers are used to with this character," he said. "Tegra represents a quantum leap in technology, allowing us to bring visual effects like god rays, light effects and realistic water effects to a portable device for the first time."

Intel Graphics Planner Matt Ployhar, who also serves as the president of the PC Gaming Alliance, has seen more gamers gravitate toward mobile devices. Intel has invested in the booming mobile sector with technology like its 1.66Ghz Intel Atom processor and Intel XMM 6260 Wireless platform with fast HSPA+.

"The role of video games is incredibly important for mobile and tablet devices," Ployhar said. "They're all experiencing and seeing an incredible amount of growth ... across the various form factors.  Mobile platform choices are as varied as the smartphone to the PlayStation Vita to slates and iPads. Games tend to be the number one downloaded and used software application for these devices, according to sources like Nielsen, Forrester and Screen Digest."

Read more: Are our mobiles monsters?

Mobile graphics technology has come a long way in a short period of time, and it's continuing to evolve. Sony Computer Entertainment has sold 1.2 million PlayStation Vita portable gaming devices since launch last year, but those numbers could have been much higher without increased competition from smartphones and tablets.

"I think that the smartphone and tablet market is cannibalizing the dedicated handheld market, especially for non-core gamers," said Michael Pachter, videogame analyst for Wedbush Morgan Securities. "The casual games offered on smartphones and tablets are good enough for a large minority of people who play games, and the large number of free-to-play casual games on smartphones and tablets will keep most casual gamers occupied. I think that limits the attractiveness of dedicated handheld gaming devices and limits their market share."

Talluri believes that smartphones and tablets will emerge as all-in-one entertainment devices, encompassing the qualities of several gaming console experiences in a portable package.

Prices are already dropping for quad core tablets. Asus is shipping its Tegra 3 Eee Pad Transformer Prime for $250, which will offer games on par with the visuals of consoles. But Pachter believes it will be a while before the depth of console games, or even PS Vita games, migrate to smartphones and tablets.

Looking ahead, Plohar said, new mobile gaming technology that will further alter the way games are played on the go includes Siri-like voice interaction in gaming, more cross-platform cloud gaming experiences and smarter sharing and pairing between devices. 

McNealy believes the roles of key tech companies like Google, Intel, NVIDIA and Qualcomm are more important than they were 10 years ago, when there were only game consoles and PCs for gaming.

"The number of viable platforms for consuming media such as games has exploded, and the tech infrastructure companies now need to be more agile, more responsive, and more diversified than any other point in their histories," McNealy said. "It's a fun time to be a tech company, albeit a bit frenzied and insane by all the new product cycles."

It's also a fun time to be a gamer, as there are more games available for more devices than ever before. And the quality of these experiences, especially in the portable space, appears to be getting better all the time.

@highlight

Mobile gaming is a big focus of mobile-tech trade show in Barcelona

@highlight

Raj Talluri says gaming is now a necessity for mobile devices

@highlight

More than 60% of users regularly play games on their mobile gadgets

@highlight

Intel has invested in the mobile sector with technology like its 1.66Ghz Intel Atom processor