(CNN) -- Classes resumed last Thursday at the University of Kansas at Lawrence, and by Monday 47 students had swine flu, a college official said.

The CDC recommends someone sick with the virus remain out of class for 24 hours after fever has abated on its own.

Although that's less than two-tenths of 1 percent of the 27,000-member student body, and no one has died or been hospitalized, the school has moved into action.

"The sanitizer's out," said Todd Cohen, director of university relations.

The university sent e-mails to faculty members asking them to create contingency plans so that sick students are not required to go to class, and to commuter students and their parents warning them that the students may have to be isolated if they fall ill.

That same message has gone to students in dormitories. Arrangements are being made to isolate anyone who's sick in their rooms by moving out their roommates and dropping off meals, Cohen said.

None of the school's cases of swine flu -- also called H1N1 -- has proven fatal or resulted in a hospitalization, he said, and none of the reported cases has been confirmed. Public health officials are simply assuming that anyone with flu symptoms has swine flu, because it's the only form of the virus in circulation, he said.

The school's health center can do little for those who show up for help. "They're basically told to go home and rest and get better," Cohen said.

Vaccines are unlikely to help much this year. Supplies are not expected until late October, and require some five weeks from the first inoculation -- two are required -- before they become effective. "By then, it's December and the semester is almost over," he said.

So public health officials are focusing on more basic medical efforts. Students already overloaded with information at the start of the semester are being urged to sneeze into their sleeves, wash their hands frequently and stay home if they get sick, Cohen said.

"It really comes down to them taking personal action," he said.

The Centers for Disease Control and Prevention recommends someone sick with the virus remain out of class for 24 hours after fever has abated on its own.

Firm figures on just how many people have the illness are tough to come by. Doctors are not required to report it to state or federal health officials, said Maggie Thompson, a spokeswoman for the Kansas Department of Health and Environment.

"We've stopped accepting tests from county health departments," she said. Instead, the department is focusing on a surveillance system that will test only those sites deemed representative. Otherwise, Thompson said, the state's laboratories would become overwhelmed. "There are just too many numbers."

The state stopped counting laboratory-confirmed cases at 324: "But that is just a fraction of what we think is going on," she said. "There could be as many as 10,000 cases in Kansas already."

KU students are not the only ones catching swine flu, Thompson said: "If you called any university of this size around the country it's probably going to be about the same."

At Auburn University in Alabama, 10 cases have been reported among the 24,000 students who started classes last Monday, a spokeswoman said.

"So far, everybody seems to be recovering," said Deedie Dowdle. The school's emergency management team was meeting this week to decide how to handle larger-scale absences, she said.

"I'm getting lots of reports of outbreaks in the Southeast Conference," said Dr. James Turner, president of the American College Health Association.

"I'm anticipating several thousand cases among college students this fall."

Among the preparations are plans for mass vaccinations, he said. But with school just beginning, much remains unknown, he said. "We are just kind of hunkering down right now waiting to see where this goes."

Turner is also executive director for student health at the University of Virginia, where classes are slated to begin Tuesday. "We're kind of bracing for what the week brings," he said.

Turner said 63 students came down with swine flu during the summer session, and "they all did fine."

Last week, the CDC released tips for school administrators to follow.

"We're hoping we're on track to be ahead of this virus, to get the college-age population vaccinated once it becomes available in mid-October, and to keep students as safe and secure as possible," Health and Human Services Secretary Kathleen Sebelius told reporters in a conference call.

Some U.S. colleges began reporting cases last April, after students returned from spring break.

The University of Notre Dame in South Bend, Indiana, which reported one case of H1N1 last spring, is taking extra precautions ahead of the fall semester.

"We are attacking the disease, from each person taking the responsibility for good hygiene and healthy habits," said Ann Kleva, the university's director of health services.

The University of California has been stocking up on supplies for each of its 10 campuses over the past several months, university system officials said.

Since mid-April, when swine flu was discovered, the CDC has tallied 522 deaths in the nation.

"We do know that H1N1 flu is circulating in the country right now," said Lisa Barrios, of the agency's division of adolescent and school health. "For the most part, it's sporadic and regional."

But she said the agency is not advising any schools to close. "What we're doing is keeping a very close eye on what's happening with the flu during the fall and the winter," she said.

The swine flu virus has captured the attention of public health experts because they worry it could mutate into a far more lethal form.

"If that does happen, then we may recommend that schools close, but right now we are not doing that," Barrios said. "It's important to balance the risks with the benefits of keeping kids in schools."

CNN's Emily Sherman, Leslie Wade, Miriam Falco and Elizabeth Cohen contributed to this article.

@highlight

Five days into new year, U. of Kansas at Lawrence has 47 cases of swine flu

@highlight

No one has died or been hospitalized because of the illness

@highlight

Last week, the CDC released tips for school administrators to follow

@highlight

Universities and colleges across the country are bracing for swine flu spike