On May 23, President Barack Obama gave a major speech at the National Defense University in Washington stating his intention to recalibrate his counterterrorism strategy, which is now largely defined by a covert CIA drone program that has come under increased public and congressional scrutiny over the past couple of years.

The speech did little to illuminate details of the CIA drone program of the future, and the President was careful to emphasize that the United States would continue to reserve the right to use force "against terrorists who pose a continuing and imminent threat to the American people." But the overarching theme of Obama's remarks was one of increasing restraint in U.S. national security policy.

Obama also said: "Before any strike is taken, there must be near-certainty that no civilians will be killed or injured -- the highest standard we can set."

So has anything changed in the past five months?

A study of drone strike activity since May 23, tabulated by the New America Foundation from news reports, provides some answers. The Obama administration has cut the number of CIA drone strikes considerably in Pakistan and has slightly slowed the number of strikes in Yemen.

At the same time, the targets of the drone strikes have increasingly tended to be the leaders of al Qaeda or affiliated groups rather than mere foot soldiers.  Nevertheless, the drone program continues to involve a number of civilian casualties and not enough has been done to make it as transparent and legally sustainable as the President has promised.

There were just 10 drone strikes in Pakistan during the past five months; an average of one strike every 15 days. In the year before Obama's speech, drone strikes happened every eight days.

The average death toll of the most recent strikes in Pakistan is about six, which is about the same as the average death toll over the year before Obama's May speech, indicating that changes to the program have not included restricting the sizes of those groups of suspected militants that are being targeted.

According to media reports, four top militant leaders were killed in strikes in Pakistan and Yemen since the May speech, which is a much higher rate of "high-value" targeting than was seen previously. Just seven militant leaders were reported killed in the 44 strikes that took place during the year before Obama's keynote speech on terrorism.

The pace of drone strikes fell in Yemen after Obama's speech, too, but not as sharply as it did in Pakistan. Since May 23, there have been 12 strikes in Yemen; an average of about one strike every 13 days. Over the previous year, a strike occurred about once every 10 days.

As in Pakistan, the size of the groups targeted in Yemen has remained about the same after Obama's speech. The average death toll resulting from those 12 strikes was 4.5, while the average death toll over the year prior was about six.

Starting in 2009, the civilian casualty rate from drone strikes has been on a markedly downward trajectory in Pakistan.

That trend has continued into 2013, during which no civilians have been confirmed killed in Pakistan, according to the New America Foundation study. Similarly, the Bureau of Investigative Journalism, a London-based organization that tracks drone strikes, also found no civilian casualties in Pakistan so far this year.

But a 10-year-old boy was killed in a drone strike in the Yemeni province of Al Jawf on June 9, and two civilians were reported killed in Yemen on August 8.

Reports on CIA drones released Tuesday by Amnesty International and Human Rights Watch highlight some of the civilian casualties that have been caused by drone strikes in Pakistan and Yemen over the past several years.

The Amnesty International report recounts a strike in October 2012, in which a 68-year-old woman, Mamana Bibi, was killed by a drone as she picked vegetables with her grandchildren, a number of whom were injured in the attack. The report observed "Amnesty International is seriously concerned that these and other strikes have resulted in unlawful killings that may constitute extrajudicial executions or war crimes."

But even these on-the-ground investigations cannot bring to light the full extent or impact of the U.S. drone campaign. Only greater transparency on the part of the government can do that. As U.S. Supreme Court Justice Louis Brandeis observed a century ago, "Sunlight is the best disinfectant."

How to proceed then?

Perhaps the most practical idea to make the drone program as accountable as possible is to set up a U.S. government body that is independent of the CIA and the Pentagon and that would conduct an after-action review of drone strikes to ensure that the victims of the strikes were not civilians and did indeed pose some kind of threat to the United States.

It is human nature that if you know someone is grading your homework, you are likely to be more careful about how you perform.

The creation of such an independent body would also allow the payment of compensation to any civilian victims of CIA drone strikes, a system that already exists in the U.S. military, which has a mechanism in place to compensate the civilian victims of its drone strikes in conventional war zones such as Afghanistan.

Such a move would ensure that the families of injured children -- such as those identified in the Amnesty International report released on Tuesday -- could afford medical care without having to sell their land or other property.

And more broadly, it's a fact that international law often lags behind advances in the conduct of warfare. It took, for instance, until 1925 to ban the use of chemical weapons, despite their widespread use a decade earlier.

Similarly, the law today has hardly kept up with what drones allow the U.S. to do, such as assassinate individuals a world away by remote control.

One could imagine some future Geneva Convention-like protocol that would govern the world's use of drones. On the left, such a development might be unpopular, as it would seem to codify the use of drones and the rights of states to attack terrorist groups outside of their borders. On the right, this could also be controversial, as it might seem to constrain American power.

However, the fact is that the U.S. government needs to do some hard thinking about this issue as the monopoly that the United States, Britain and Israel have had on armed drones has evaporated.

Early this year, the China disclosed that it had planned to assassinate a notorious drug lord hiding in a remote mountainous part of Southeast Asia with an armed drone but opted to capture him instead.

Just as the U.S. government justifies its CIA drone strikes in Pakistan and Yemen with the argument that it is at war with terrorists such as al Qaeda and its affiliates, one could imagine that China might strike Chinese Uighur separatists in exile in Afghanistan with drones under the same rubric, or that Iran -- which claims to have armed drones -- might attack Iranian Baluchi nationalists along its border with Pakistan.

The United States, which has long been the guarantor of international order, should make its drone program as transparent and accountable as feasible and also start doing the hard work of creating some kind of international consensus about the future use of armed drones.

@highlight

President Obama spoke six months ago of changes to the U.S. drone war programs

@highlight

Peter Bergen says strikes have decreased, but there are still civilian casualties

@highlight

He says a board should be created to review drone strikes afterward

@highlight

Bergen: U.S. needs to fix its drone program and work with other nations on standards