Genetic test predicts brain aging disorders such as Lou Gehrig's disease and Parkinson's.

A Mayo Clinic study, announced in January 2008, details an unprecedented method to predict brain aging disorders such as amyotrophic lateral sclerosis, called ALS or Lou Gehrig's disease, and Parkinson's disease. Investigators identified several gene mutations that predicted which people are at high risk for ALS and Parkinson's, which afflicts a million Americans. People with one set of genetic mutations were 2,000 times more likely than normal to develop ALS. Those with the other set are 400 times more likely than normal to suffer from Parkinson's disease. Researchers say this approach may be used to predict other complex diseases such as Alzheimer's, strokes, diabetes and cancer. They say, for example, if a test is developed that predicts someone is at high risk for diabetes, that person can change his or her behavior through exercise and diet to prevent the disease.

What does this mean for people who will get these diseases?

Dr. Sanjay Gupta, CNN chief medical correspondent: You can't prevent diseases like Parkinson's or ALS. But researchers hope that by showing there are gene mutations that cause these brain diseases, new drugs will be created to prevent them.

Brain cells go from the brain and travel down to the end of the spinal cord. This pathway tells these brain cells which direction to go in the body. But if something goes wrong and there is a mistake in where the cells are told to go, this is enough to cause a disease. Let's say the cell travels from the brain, but stops at the shoulders or at the chest -- this could cause ALS or Parkinson's. Keep in mind that these are devastating conditions. One million Americans have Parkinson's, which causes shakes, stiffness and slow movement. ALS, which causes muscles to waste away and leaves patients totally paralyzed, affects 30,000 people in the U.S.

How accurate were they in predicting who could get ALS and Parkinson's?

Gupta: Very accurate. More than 90 percent of the time, researchers correctly predicted who would get ALS or Parkinson's. They were also able to predict the age when people would get these diseases with 85 percent accuracy. There isn't a way to prevent these diseases, but this research could be used as a model to develop other tests that could predict diseases such as cancer, diabetes and strokes.

This could actually end up saving lives. Let's say someone finds out they're at high risk of getting diabetes. They could start eating healthy and exercising more to delay or prevent the disease.

What are the implications of this?

Gupta: It will allow other people to make similar tests for a lot of other diseases in record time. It's possible they could make a simple blood test that tells people at birth what diseases they're likely to get. For example, if you see that someone is likely to get ADHD, you can start getting that kid special schooling. Let's say another person is at high risk for prostate cancer. You can start getting them tested early, at age 30.

@highlight

This new method of genetic testing can help determine who'll get ALS, Parkinson's and one day may lead to tests that can predict other diseases