(CNN) -- What if you found yourself stuck alone at a faraway airport -- with no money, credit cards or ID? How easily could you fly back home again?

You might survive if you had a smartphone. Emerging "empty pockets" technology is increasingly allowing travelers to use their phones to make purchases, book flights, check in and board planes.

Wallets? They're so 2008.

Delta, American and United are already big into electronic boarding passes on smartphones, and stragglers like JetBlue are planning e-boarding programs in the near future.

What's next? If some visionaries have their way, the future of mobile travel will touch virtually every key activity at the airport -- including security and U.S. passports. Smartphone technology might improve airport efficiency and help ease the pain from skyrocketing traffic predicted in the next 20 years.

But is a post-9/11 world comfortable with the idea of merging personal cell phones into the airport security network?

Apple -- still basking in the afterglow of last week's iPhone 5 curtain raiser -- is also unveiling Passbook, an app which organizes e-boarding passes, flight reservations, coupons and other documents.

But Apple has a much more grandiose plan for its empty pocket dreams, according to public U.S. Patent and Trademark Office documents. Read the patent document (PDF).

For example, imagine checking bags with your cell phone -- or passing through security by flashing an official driver's license or U.S. passport displayed on your phone.

Outside the airport, envision using just your phone to rent a car or to check into a hotel. How about using your phone as an electronic hotel room key?

But let's get real, say industry experts and government officials. As cool as all these ideas sound, extending Apple's technology and influence to airport baggage tracking and TSA security would be unprecedented.

"I'm always kind of staggered by the scale and complexity and the ambition that they have," says mobile phone industry analyst Nick Holland of Yankee Group.

As you might expect from the secretive folks at Apple, they wouldn't talk to CNN about the patent documents. But we did grab some time with "Apple Insider" reporter Neil Hughes, who covers nothing but Apple, including its patents for future products.

"Security may be the biggest issue," says Hughes. Carrying all your personal ID and travel documents on a single device would be very tempting for skilled password hacks, says Hughes.

Related story: Your smartphone will eventually be hacked

The concept

The 2008 patent application was approved in July and filed under the working title "iTravel." Hughes suspects the iTravel concept will be folded into Apple's Passbook app, which will be available for download on Wednesday. Right now, Passbook will store electronic versions of airline boarding passes which will automatically pop up on iPhone screens when you arrive at the airport. The phone knows where you are, thanks to geo-locator technology.

That aspect alone will make a lot of gadget-geeky travelers feel all gee-whizzy inside.

Even more gee-whizzy: The patent calls for iPhones to automatically check in luggage when passengers approach an airport baggage check-in kiosk. (See details in the photo gallery above.)

Would security benefit from smart-phone based e-passports and e-drivers licenses? Would they increase speed, efficiency or security at TSA check points?

Currently -- as most of us know -- TSA agents briefly examine government ID and boarding passes as each passenger presents their documents at a checkpoint at the end of a security line.

Related story: Apple's secrets aren't so secret anymore

Under Apple's patent, a traveler's phone would automatically send electronic identification to a TSA agent as soon as the traveler gets in line.

While each traveler waits in line, TSA agents would examine the electronic ID at an electronic viewing station.

Next, at the X-ray stations, a traveler's phone would confirm to security agents that the traveler's ID had already been checked. Throughout the process, the phone photo could be displayed on a screen for comparison with the traveler. Facial recognition software could be included in the process. (See details on Apple's proposal in the photo gallery above.)

The patent documents offer a surprising number of details which open doors to key questions about the system, but Apple declined to discuss the patent.

The TSA wouldn't comment either on the viability of Apple's plan. But other government officials, aviation authorities and longtime industry experts say Apple faces at least three high hurdles if they want to see this idea to fruition.

Verification

Several experts say a key question that must be answered is: How would you prove that the phone is yours? In other words, how would you prove that the e-passport is actually you?

To get around this problem, future phones or electronic ID may require some form of biometric security function -- like fingerprint matching.

In general, passports must be designed to be difficult to copy. Recent security changes to U.S. passports have included a hidden radio frequency identification chip to hinder counterfeiters. The chip includes the same data as the paper passport, a unique chip ID number, a digital version of the passport holder's photo "which will facilitate the use of face recognition technology at ports-of-entry," according to the State Department website.

Universality

Any company that intends to create an official electronic ID will have to work closely with countless government authorities to come up with secure, verifiable standards. Think about the complexity of that idea across 50 U.S. states and all the nations that travelers visit each year.

An electronic passport would have to be approved by an international standards organization, and it would have to be usable from country to country, according to the U.S. State Department, which oversees U.S. passports.

There are ongoing government efforts aimed at using technology to enhance passport security and convenience, according to a State Department official.

But the State Department says a smartphone portable e-passport is unlikely to become a reality anytime soon.

"We're not at a point where the government is going to go digital for any of that stuff," says Hughes, of "Apple Insider." Then he laughs and says, "I mean, I'm not even allowed to laminate my Social Security card."

Related story: Opinion: Airport Wi-Fi and mobile services are lacking

Infrastructure

Apple's patent calls for the placement of special kiosks around the airport which will automatically exchange data with your phone via a close range wireless technology called near field communication (NFC). Apple phones -- including the new iPhone 5 -- don't include NFC, but they eventually would, according to the iTravel patent.

Related story: NFC isn't ready for prime time

If consumers, airlines, airports and the TSA don't embrace the NFC kiosks, experts say it's unlikely Apple's vision would become reality.

"First you would have to sell industry on Apple's idea, says Hughes. "Then you'd have to sell it to travel consumers."

Case in point: Google Wallet, a mobile phone app which allows people to make purchases with their NFC-enabled android phones. You set it up by attaching your Wallet account to your credit card. Then, you wave your phone near a special NFC-enabled point-of-purchase terminal, and voila! It's paid for.

Most NewYork City taxis take Google Wallet. Travelers using Newark Liberty Airport can tap their Wallet-enabled phones at the New Jersey Transit rail station and at New York's Penn Station. Many cabs in San Francisco also are Wallet-friendly. Also, using Google Wallet will get you access to special discount offers. Google isn't ruling out adding more travel features to Wallet -- like e-boarding passes. "A wallet can hold all kinds of things," hints Google's Nate Tyler. "Things are absolutely in development."

A little more than a year after launching, Google Wallet has about 200,000 NFC point of purchase terminals nationwide, according to Google.

Although the concept may be ahead of its time, analyst Holland says Google Wallet remains less than successful because there simply aren't enough terminals. "They're probably about three years premature," Holland says.

"It's a chicken-and-egg problem," says Hughes. "You need to have the NFC kiosks there and you need to be aware of it and the stores have to invest in it, so sometimes it just doesn't catch on."

Along with making a buck, Silicon Valley appears to be trying to make travel more convenient through smartphone technology. That makes sense, because travelers will need all the help they can get to plot a course through increasingly crowded airports.

The number of yearly U.S. commercial airline passengers is expected to nearly double to 1.2 billion by 2032, according to the FAA. As increasingly complicated smart-phone partnerships evolve between the tech world and the sprawling travel industry bureaucracy, it looks like growing pains will be unavoidable.

@highlight

Apple releases Passbook travel/coupon app Wednesday

@highlight

Mobile technology opens door to "empty pocket" travel

@highlight

Apple patent includes unprecedented airport security function

@highlight

Expert: Hackers would target electronic passports on phones