African safaris have upped their game.

We're not talking about the "Big Five" beasts -- lion, leopard, elephant, rhino, buffalo -- that people pay top dollar to see.

We're talking about the accommodations.

For those with budgets as grand as the sweeping plains of southern and eastern Africa, exploring the wilderness needn't come at the expense of luxury.

Lake Manyara Tree Lodge (Lake Manyara National Park, Tanzania)

Lake Manyara is the only permanent lodge within Lake Manyara National Park -- it comprises 10 stilted tree house suites in the boughs of ancient mahogany trees.

The words "tree house" might be misleading -- there's not a splintered plank in sight.

Instead, there are free-standing bath tubs (complete with a nightly sprinkling of rose petals) and enormous bathrooms with twin sinks and split-level living areas.

After dusty safaris, guests are welcomed back with gin and tonics and cold, scented towels.

Lake Manyara Tree Lodge, Lake Manyara National Park, Tanzania; +27 11 809 4300; from $555 per person per night

Cottars 1920s Camp (Masai Mara, Kenya)

As revealed by the date in its name, Cottars harks back to a "golden age" of safari by kitting out staff in vintage livery and furnishing quarters with antiques.

On the outskirts of the Masai Mara, the camp has 10 tents in total -- five doubles, four family-sized and one for honeymooners.

The latter have fireplaces and separate living rooms.

Guests can eat in the well appointed communal dining area or opt for a candlelit meal within the privacy of their own tent.

Cottars 1920s Camp, Masai Mara, Kenya; +254 7337 73377; From $520 per person per night

Mahali Mzuri (Motorogi Conservancy, Kenya)

The 12 suites at Richard Branson's safari camp are tents in name only.

The units all have enormous canopied verandas replete with roll-top bath tub and infinity pool.

After a day of lion spotting, guests retreat to the Nasaro spa tent where the signature treatment is a "healing journey" involving rose quartz and amethyst.

Dinner is served in a communal area but staff can arrange champagne barbecues in the bush.

Mahali Mzuri, Motorogi Conservancy, Masai Mara, Kenya; +44 208 600 0430; from $800 per room per night

Bushmans Kloof Wilderness Retreat (Western Cape, South Africa)

Bushmans Kloof Nature Reserve makes no pretense of being under canvas, housing its 16 luxurious rooms and suites within a main lodge or individual cottages.

Although the Bushmans Kloof Wilderness Reserve isn't a Big Five reserve, it does contain bushman's rock paintings and is home to the endangered Cape Mountain Zebra.

Those staying in the main lodge get their own private chef and ranger along with a private pool and library.

The spa is enormous, with a pool, crystal steam room, health bar and gym.

Bushmans Kloof, Western Cape, South Africa; +27 27 482 8200; from $230 per person per night

Royal Malewane (Kruger National Park, South Africa)

Nicolas Sarkozy, Bono and Microsoft billionaire Paul Allen have all stayed at this luxurious safari camp, where highlights include private infinity pools, enormous, window-side baths and personal butlers, rangers and trackers.

Even the safari guides are classy -- one of them is Wilson Masiya, one of only two "master trackers" (the highest rank a wildlife tracker can achieve) working in southern Africa.

Royal Malawene, Kruger National Park, South Africa; +27 15 793 0150; from $1,197 per person per night

Ivory Lodge (Lion Sands Reserve, South Africa)

There are no mini-bars at the Ivory Lodge, only maxi-bars rammed with cured meats, chocolate, nougat and fruit.

There are six plush villas in total -- all come with private infinity pools and spacious decking areas rigged out with telescopes.

This area of Kruger National Park is unaffected by migration so the wildlife viewing is consistently good, and is especially popular with bird watchers.

Ivory Lodge, Lion Sands Reserve, South Africa; +27 13 735 5000; from $503 per person per night

Khwai River Lodge (Moremi Wildlife Reserve, Botswana)

A safari camp by the company that operates the Venice Simplon-Orient-Express is never going to be too shabby.

Khwai River Lodge offers enormous private viewing platforms, complimentary Zeiss binoculars, and an intercom system to summon room service.

The private suite features an infinity pool in which guests can wallow while watching hippos on the riverbank overlooking the pool doing the same.

Khwai River Lodge, Moremi Wildlife Reserve, Botswana; +27 21 483 1600; from $875 per person per night

Tswalu Kalahari (South Africa)

Owned by De Beers diamond magnate Nicky Oppenheimer, Tswalu Kalahari is modeled on a traditional Tswana village -- albeit one that's clearly won the lottery.

Guests don't just get their very own enormous tent, complete with fireplace and mini-bar, they get their own ranger, guide and Land Rover.

This means itineraries are totally flexible.

The camp can accommodate a maximum of just 30 people who eat in the communal dining area or on their tent's private deck, with just a telescope and bottle of vintage wine for distractions.

Tswalu Kalahari, Kalahari, Kenya; +27 53 781 9331; from $933 per person per night

Chinzombo (South Luangwa National Park, Zambia)

Going on safari could seem like a nuisance for anyone ensconced in the luxury at Chinzombo.

The camp's six villas, which opened earlier this year, all have private dining areas, lounges, libraries and tree-shaded pools with viewing decks.

There's also a large yoga area and a spa.

For those who do tear themselves away to spot some animals, the camp is surrounded by 60 acres of private land, and its position on the banks of the Luangwa River means there's no shortage of wildlife.

Guests also get direct access into one of the most game-rich areas of the South Luangwa National Park.

Chinzombo, South Luangwa National Park, Zambia, +44 1980 849160; from $254 per person per night

Four Seasons Safari Lodge (Serengeti National Park, Tanzania)

For those that want safari and the comfort of a hotel, there's the Four Seasons Safari Lodge.

There are 77 guestrooms, 12 suites (with private plunge pools) and five villas -- all of which come with rooms large enough to accommodate a herd of bison.

At night, hotel staff armed with flashlights are posted along the hotel's elevated walkways in case guests accidentally stumble into the bush.

The best feature is the hotel's most popular television channel.

Sadly, it's not CNN, but a live stream from a web cam positioned over the local watering hole.

Four Seasons Safari Lodge; Serengeti National Park, Tanzania; +255 778 888 888; from around $990 per night

@highlight

Africa's "super safari" camps and hotels bring luxury to the bush

@highlight

Bono, Richard Branson and Nicolas Sarkozy are some of the guests at these "camps"

@highlight

Kenya's Cottars 1920s Camp Cottars kits out staff in vintage livery