El Paso, Texas (CNN) -- A brigade of U.S. troops originally scheduled to be among the very last to leave Iraq is being pulled out of the country months ahead of its planned departure, military officials said Saturday.

The announcement follows news this month that a deal to keep American troops in Iraq past a December 31, 2011, deadline to withdraw was on shaky ground after Iraqi leadership said any remaining U.S. forces would not be granted immunity from Iraqi prosecution. Secretary of Defense Leon Panetta and other top brass have repeatedly said any deal to keep U.S. troops in Iraq beyond the withdrawal deadline must require a guarantee of legal protection for American soldiers.

The Fourth Brigade Combat Team, First Armored Division, based at Fort Bliss, deployed to Iraq in August to replace two withdrawing brigades. The troops were sent with the understanding they would be among the last to leave the country and were told to expect up to a 12-month deployment, though it wasn't clear how long they would stay in Iraq. But brigade officials informed hundreds of military families gathered Saturday at its headquarters that their troops would begin returning home within weeks.

When family members inquired why soldiers were returning early, they were told by a military official: "Basically, what's happened ... is that the United States and Iraq have not come to an agreement," according to a CNN reporter who attended the meeting.

Additionally, the brigade official told families: "We were over there for a couple of missions. Those missions are finished."

A U.S. military official in Iraq, speaking on condition of anonymity, confirmed to CNN Saturday the early withdrawal of this brigade, citing a number of possible reasons, including the lack of a deal on the legal immunity issue and the fact that the State Department is "standing up" its operations faster than expected.

When the United States and Iraq agreed in 2008 to a withdrawal deadline, the two countries also signed off on a Strategic Framework Agreement that calls for a long-term bilateral relationship. As part of that agreement, the State Department is deploying thousands of workers to Iraq to take over where military officials leave off in their dealings with the Iraqi government.

U.S. officials in Washington on Saturday declined to comment on reports that troops were being withdrawn ahead of schedule or because of a breakdown in negotiations, except to say the United States is committed to withdrawing all troops by the December 31 deadline.

"At the same time we're building a comprehensive partnership with Iraq under the Strategic Framework Agreement including a robust security relationship, and discussions with the Iraqis about the nature of that relationship are ongoing," said Tommy Vietor of the National Security Council.

Pentagon spokesman George Little also dismissed reports of a breakdown in talks with Iraqis, saying "Suggestions that a final decision has been reached about our training relationship with the Iraqi government are wrong. Those discussions are ongoing."

Officials at Fort Bliss said the brigade's return is in line with the U.S. planned departure.

"In the process, we are bringing troops back home to meet the December 31st agreed-upon deadline," said Lt. Col. Dennis Swanson, a public affairs officer for the First Armored Division.

When asked about the legal immunity issue, Major Gen. Dana J. H. Pittard, commander at Fort Bliss, said, "We're going to do what's right by our soldiers."

"We shouldn't see American soldiers in Iraqi courts on trumped-up charges," he said.

His comments echo recent statements by Panetta and U.S. Army Chief of Staff Raymond Odierno.

Panetta said last week that negotiations over the legal immunity issue are ongoing between Iraq's political leadership, U.S. Ambassador James F. Jeffrey and Gen. Lloyd J. Austin III, commander of U.S. forces in Iraq. The meetings include discussions about the rights of American troops and what will be required in order for those troops to assist Iraqi forces in the future, according to Panetta.

"If you're going to play a large role in dealing with another country where it requires, as I said, a large group of troops to be on the ground and to be dealing with that country, I want to make damn sure that you're protected," Panetta told sailors last Friday during a visit to Naples, Italy, home of the U.S. 6th Fleet.

U.S. officials have been pressuring Iraq's leadership for months for an answer to whether it would request a troop extension, with former Chairman of the Joint Chiefs of Staff Adm. Mike Mullen saying over the summer that the U.S. needed a a decision by August.

The negotiations have been strained following WikiLeaks' release of a diplomatic cable that alleged Iraqi civilians, including children, were killed in a 2006 raid by American troops rather than in an airstrike as initially reported by the U.S. military.

The Pentagon dismissed the cable from U.N. investigator Philip Alston to U.S. officials, saying it had investigated the claims and found there was no merit.

Shortly after the WikiLeaks cable gained attention in news reports in September by McClatchy Newspapers, Iraqi Prime Minister Nuri al-Maliki ordered an investigation into the deaths outside of Tikrit.

U.S. officials have long said they believe Iraq may need help with training, counterterrorism, air defense, command and control and intelligence operations. Any U.S. troops remaining to do those jobs might also need additional security forces.

The prospect of U.S. troops staying beyond the end of the year sits uncomfortably with many Iraqis, who have routinely questioned American motives following the 2003 U.S.-led invasion that toppled Saddam Hussein.

Radical anti-American cleric Muqtada al-Sadr, whose Sadrist political party is closely aligned with al-Maliki, has vowed to escalate armed resistance if the U.S. military does not leave as scheduled, a move that could destabilize the country should his militia repeat the bloody battles it waged against American and Iraqi forces during the height of violence.

Odierno said last month that there would be risks in leaving a large force of U.S. troops in Iraq, noting such a force could provoke new claims of U.S. occupation and distract from efforts to develop the Iraqi military's abilities. He would not comment directly on reports that the White House administration had decided to leave between 3,000 and 5,000 troops, should they be requested by Iraq.

Odierno, who served as the top U.S. commander in Iraq, said that training of Iraqi security forces was not complete.

"We need to probably be there to assist them at certain levels for a while," he said last month in a question-and-answer session with journalists at the Pentagon.

As of last week, 41,000 U.S. military personnel remained in the country, according to Major Gen. Jeffrey Buchanan, spokesman for U.S. Forces-Iraq. Buchanan said Wednesday that "we are on track, and we will meet our requirement to redeploy the last remaining military personnel from 41,000 down to zero by the end of the year." A brigade typically consists of between 3,000 and 5,000 soldiers.

CNN's Dan Lothian and Adam Levine contributed to this report.

@highlight

The brigade was originally scheduled to be among the last to leave Iraq at the end of 2011

@highlight

The move comes amid talks on legal immunity for U.S. troops after withdrawal deadline

@highlight

"The United States and Iraq have not come to an agreement," says one brigade official

@highlight

A Pentagon spokesman says talks are still ongoing