(CNN) -- At the Bill & Melinda Gates Foundation, we consider ourselves to be impatient optimists -- we are impatient with the way the world is, but optimistic that changing it is possible.

One reason for this optimism is the progress that we have seen in the 10 years since the United Nations created the Millennium Development Goals, eight international goals to improve social and economic conditions in the world's poorest countries.

Recently, we partnered with TED to create a global event to discuss this progress. TEDxChange was hosted in New York and broadcast live to over 80 simultaneous TEDx events in 40 countries around the world, including sites in Kibera, Kenya; Abuja, Nigeria; Pune, India; Cochabamba, Bolivia; and Lahore, Pakistan.

The millennium goals themselves embody impatient optimism. They recognize how much there is to be done, while at the same time signaling the scale and scope of the world's ambition.

The world is not called on to conjure progress from a void. Instead, it is called on to learn from very real progress on nearly all the goals, to expand it, and to speed it up.

One refrain I hear is that we are off track on many of the goals. That statement is technically accurate. Not every country will meet every goal, and there is a risk that some of the global goals won't be met. But that binary outlook -- with total success on one side, total failure on the other, and people on all sides blaming each other -- obscures extraordinary progress driven by extraordinary people across the globe.

Take the goal for child mortality. The goal is a two-thirds reduction, and we may not reach it by 2015. But have we failed when 4 million children who would have died in 1990 will survive in 2010? Have we failed when we have reduced polio, a crippling childhood disease, by 99 percent in the past 20 years?

Another complaint I hear a lot is that progress isn't spread evenly. Some people dismiss the fact that 1.3 billion people have lifted themselves out of poverty by pointing out that most of them live in China and India, not in African countries.

I believe that when poor people lift themselves out of poverty, we ought to celebrate, no matter where they happen to live. Bill and I started our foundation because we believe that all lives have equal value, and I am not comfortable comparing one person's suffering to that of another.

While it's true that some countries are reducing poverty more quickly than others -- and some, sadly, have moved backwards -- eight African countries have already achieved the goal on poverty reduction, and several more are on schedule to do so by 2015. Across nearly every goal, there are inspiring examples of even the poorest countries making dramatic improvements in short periods of time.

However, we can also learn from the successes in other sectors. My TEDxChange talk focuses on the question of how Coca-Cola has become so ubiquitous around the world and what governments and the development community can learn from the company's success. By analyzing what Coca-Cola has done to become so prevalent, we can apply those lessons to the millennium goals and save even more lives.

The task ahead is to learn what's working so that we can spread best practices. In difficult economic times, it is imperative that we increase support for effective interventions that provide maximum value for money -- and not shift even bigger burdens to the poorest by cutting back on development spending.

So I am impatient. I am impatient because the world is not getting better fast enough, or for enough people.

But I am also optimistic. I am optimistic because there are proven and affordable ways to decrease hunger and poverty, to help mothers and their babies thrive, to make rapid progress on all the Millennium Development Goals.

And I am optimistic that our impatience will lead us all to be more motivated, not less. I am optimistic that our sense of urgency will inspire us to work together, not to isolate ourselves. For if we are motivated, if we are inspired, if we work together -- then we can meet again in five years to celebrate achievements that few of us might have dared to imagine.

I'm grateful to CNN for including my TEDxChange presentation as part of their TEDTalks Tuesday series. There were several other speakers who joined our event that day, and I urge you to come to our TEDxChange website and watch their speeches as well.

• Hans Rosling, professor of international health at the Karolinska Institute in Sweden, who uses statistics to show concrete examples of progress in child health;

• Graca Machel, a renowned international advocate for women's and children's rights, on the key role of women and girls in achieving social change;

• Mechai Viravaidya, aka Mr. Condom, the founder and chairman of the Population and Community Development Association, on creative approaches to family planning.

The opinions expressed in this commentary are solely those of Melinda French Gates.

@highlight

Melinda Gates: The UN adopted Millennium Development Goals 10 years ago

@highlight

She says there's been extraordinary progress in many areas

@highlight

Reduction in child mortality alone will save 4 million lives in 2010, compared to 1990, she says

@highlight

Gates: I'm optimistic about the world but impatient for faster change