(CNN) -- Glynis Freeman stands on a tower balcony in nighttime London, peering down at the dizzying lights hundreds of feet below.

The distant rumble of city traffic rises up from the streets. A gust of wind brushes her hair. Freeman smiles while swiveling her head in all directions to take in the view.

"That was cool," she said a few minutes later. "I want to go back to London."

That's because Freeman was never physically in London. The Marietta, Georgia, woman was 4,000 miles away in an Atlanta hotel lobby, wearing a headset and trying out a demonstration of new technology that can place people in exotic virtual settings almost anywhere on the planet.

It's all part of a new experiment by Marriott, the global hotel chain, to let guests sample virtual destinations with the Oculus Rift, a headset whose high-definition, 3-D display immerses wearers in a lifelike interactive world.

"We really want to appeal to the next generation of travelers," said Karen Olivares, director of global brand marketing for Marriott.

Virtual travel is in its infancy and a long way from being mainstream. But the travel industry is intrigued by its potential, which goes far beyond Google Street View or online "virtual tours" of hotels and resorts.

The idea is not that virtual travel will replace real-world travel, because nobody in the industry would go for that. Instead, the travel industry hopes that people who sample virtual snippets of alluring vacations -- say, rafting the Grand Canyon or hiking the Great Wall of China -- will be persuaded to splurge on the real thing.

Behind the Oculus Rift

Driving this trend are next-generation systems such as the Oculus Rift and Sony's Project Morpheus, which promise a leap forward in virtual-reality technology.

The much-hyped Oculus Rift headset looks like something a skier or scuba diver might wear and fits snugly over the wearer's face, paired with headphones. Its crisp 3D display immerses you in an interactive world -- a medieval village or a tropical jungle -- which you sometimes can navigate with the help of a game controller.

The goggles come packed with a 100-degree field of view, extending beyond viewers' peripheral vision. They have an accelerometer, gyroscope and compass to track the position of your head and sync the visuals to the direction where you are looking -- allowing Oculus to improve on the sometimes jerky visuals of other virtual-reality systems.

The Oculus Rift was designed to enhance video gaming. But Facebook paid $2 billion for its maker, Oculus VR, in March, seeing the device as a potential future communication platform.

One developer for the Oculus Rift is excited about the technology's long-term potential to tranform travel.

"I could go for a run in the morning in some exotic beach and in the evening stroll the streets of some city ... I could be a virtual storm chaser close to a tornado and even travel deep in the ocean," the developer wrote in an online forum.

"In fact these experiences will be so real, without risk, and of course cheap that I might actually have second thoughts about traveling ... Antarctica without the cold ... Jungles without the heat and bugs ... And people who will provide (this) content will make millions."

Virtual journeying

Consumer versions of the Oculus Rift and Project Morpheus -- which works in much the same way -- aren't expected on the market until 2015 at the earliest. But that hasn't stopped the travel industry from tinkering with prototypes.

Thomas Cook, the international travel agency, announced a trial program in August that will allow customers at one of its stores in England to don Oculus Rifts and experience a flight on one of its airplanes or tour a Sentido resort.

And Marriott has been touring U.S. cities this fall with its "Teleporter," a booth that invites visitors to climb inside, strap on an Oculus Rift and take a virtual tour of Wai'anapanapa Black Sand Beach in Maui and Tower 42 in London.

Viewers watch a 90-second video produced by Framestore, the British creative studio that has done visual effects for "Gravity" and other movies. To make the experiences feel more lifelike, fans in the booths blow soft breezes while misters recreate the feel of ocean spray.

Whether such virtual-reality glimpses inspire someone to take a real trip remains to be seen. But visitors to the booths on a recent weekday in Atlanta came away impressed.

"That was truly amazing. It reminded me of something from 'Star Trek,' " said Lisa Lewis of Monroe, Louisiana. "London has always been a dream destination of mine. And just to get a feel for a place -- it was much more than I imagined."

@highlight

The travel industry is letting customers "sample" potential trips through virtual reality

@highlight

Guests wear headsets such as the Oculus Rift and are immersed in a virtual world

@highlight

Marriott spokeswoman: "We really want to appeal to the next generation of travelers"