(CNN) -- Some of the bravest people I know are cowering today in eastern Congo, wondering where their supporters are. While our daily news zeroes in on Syria and Gaza, the fiscal cliff and Christmas sales, our friends in the war-ravaged part of the immense, mineral-rich Democratic Republic of the Congo are once again convulsed in a conflict they did not choose.

A resident from Goma, in North Kivu province, who for security reasons must not be named, sent me a heartbreaking e-mail accompanied by a photo taken by The Associated Press' Jerome Delay. It shows a tiny girl leading a long line of displaced women who carry enormous loads on their backs, a look of utter desperation on her face as tears stream down her cheeks.

The e-mail says, "This girl is a future mother, barely four years old and she must walk many kilometers due to the attack on her village. She cries, but who is listening? No one takes care of her, no one to console her. Her mother can't help because she is carrying their entire household's possessions on her back. Just one attack on this column of displaced people and she will find herself alone in the jungle. We only ask for peace. It's unacceptable that we deny her the chance to grow up and become a mother one day."

It is shocking how ill-prepared the international community has been for this latest round of violence in Africa. A leading hospital in Goma, where guerrilla forces have been poised to enter the city for months, sent desperate e-mails to friends around the world pleading for antibiotics, painkillers, plaster and bandages, as international agencies focused on evacuating their staff members from border areas. E-mails I received showed bloody, shattered limbs of children and badly wounded patients with expressions of horror and despair.

Many call Congo the "rape capital of the world," and when you work as I have with the doctors and nurses who have treated tens of thousands of rape survivors, it's hard not to acknowledge some truth to this terrible epithet. For the past 16 years, armed factions supplied by Rwanda, Uganda and the ragtag and ill-paid army of the Congolese government itself have carved up the Congolese provinces of North and South Kivu, marauding, pillaging, killing, abducting children to be soldiers and, yes, gang-raping women and girls as well as men and boys.

All the while, gold, diamonds and precious coltan ore have continued to be extracted and exported as the people of the Kivus have suffered without electricity, roads, schools and good government.

The single largest U.N. peace-keeping force in the world, MONUSCO, stood by virtually impotent last week as some 1,500 M23 rebels overran Goma. Congolese troops, many of them hungry and penniless, ran for the hills. And while we gathered around our Thanksgiving tables, the people of Goma hid in their homes or fled.

For months, refugees from North Kivu have streamed across the border into Rwanda as the rebels, led by indicted war criminal Bosco Ntaganda, have mounted increasingly brazen attacks on North Kivu villages. While driving across the Rwandan border into Goma in May, I saw buses and cars loaded with families carrying their meager possessions, once again fleeing chaos in their country and renewed attacks by the M23 rebels. Last month when I traveled to South Kivu, Goma was under curfew.

In Goma, people who have bravely defended the rule of law and supported human rights for more than a decade were terrorized into silence amid reports of targeted assassinations and disappearances. The Goma prison emptied out mass murderers and rapists, previously convicted by courageous magistrates in the mobile courts set up across the region in recent years. MONUSCO reported that it was airlifting the magistrates to safety, an ominous sign that justice is giving way to guns.

In 2008, the International Criminal Court accused Bosco Ntaganda of conscripting children and called for his immediate arrest. The court's prosecutor has stated that he is as dangerous a war criminal as the Ugandan warlord Joseph Kony. Once again, governments responsible for setting up and subsidizing the international rule of law have failed these very institutions.

Meanwhile, in South Kivu's capital of Bukavu, a two-hour boat ride across the lake, residents prepared for the unknown. Who launched the brazen armed attack in October on our beloved medical colleague, Dr. Denis Mukwege, whose hospital near Bukavu has treated tens of thousands of rape survivors? Was this a warning shot?

Amazingly, in the midst of the current convulsions, military magistrates in this city are prosecuting rapes and pillaging by their own government's troops as they defend the rule of law despite the chaos. As one of the magistrates told me Wednesday, "It's our country, and we will defend justice here until it's no longer safe."

The courage and commitment to justice and human rights of our Congolese counterparts are an incredible inspiration. Their actions must inspire not only our admiration but our reciprocal commitment to respond with equal political courage and whatever other resources we can bring to bear.

Join us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Susannah Sirkin.

@highlight

Violence erupted in eastern Congo, creating a humanitarian crisis

@highlight

Susannah Sirkin: The international community cannot stand by and do nothing

@highlight

She says there's truth to the saying that Congo is the "rape capital of the world"

@highlight

Sirkin: The courage of the Congolese should inspire us to take political action