Vicksburg, Mississippi (CNN) -- The overflowing Mississippi River dealt anguish to its namesake state Thursday, reaching a historic height at Vicksburg, sending backwater up the Yazoo River, which has swallowed a home owned by the governor, and claiming the life of a 69-year-old man.

As the flood's trail of destruction worked its way south, Vicksburg saw the river crest at the expected peak of 57.1 feet early Thursday, hours ahead of the original forecast.

The National Weather Service predicts the crest will hold through at least Saturday morning.

"Residents who live along the river need to keep an eye out and be vigilant," said Marty Pope, a senior hydrologist with the weather service's Jackson, Mississippi, office. "We're not going to fall to the kind of levels we got to during the large 2008 flood until early June, and won't fall below flood stage until mid-to-late June."

Warren County Sheriff Martin Pace said the county, which includes Vicksburg, has "several hundred homes that have water."

About 2,000 residents have been displaced, including nearly 1,000 who were evacuated from Eagle Lake 10 days ago. So far, a critical levee near the lake is holding.

Many Warren County residents are accustomed to flooding and know what to do, but none have experienced it at this magnitude, Pace added Thursday.

Also of concern is a traffic "nightmare" on the principal north-south highway, said Pace.

"We've never seen water that has closed U.S. 61," he said.

Vicksburg motorists cannot take U.S. 61 to reach Redwood to the north or Port Gibson to the south because of flooded roadway. Instead, commuters are using two-lane roads that weren't designed for the volume, the sheriff told CNN.

The river began cresting ahead of schedule Wednesday night, probably because an old levee system in Greenville, Mississippi, was breached last Friday and spread the flood's flow, Pope said.

The Mississippi is more than 14 feet above flood stage at Vicksburg and more than a foot over the record set in the city in 1927. Water levels in Natchez, a city about 70 miles south, are already nearly 4 feet beyond the record, with the river at 61.9 feet Thursday night -- and the crest isn't expected to arrive until Saturday.

A Vicksburg resident, Walter Cook, died after being pulled from floodwater in Warren County, Mississippi, the county coroner said Thursday. It is the first reported death linked to the flooding in the state.

Emergency workers with the fire department pulled him from the water at 9:35 a.m. Tuesday and took him to River Regional Medical Center, where Cook was put on life support, Coroner Doug Huskey said. He died early Thursday.

Officials do not know how Cook ended up in the floodwater, the coroner said.

The U.S. Army Corps of Engineers was keeping a watchful eye on the Yazoo Backwater Levee, which residents near Vicksburg were counting on for protection. It is designed to keep water from backing into parts of the Yazoo River delta.

The backwater levee was being "armored" by a heavy plastic coating to prevent it from washing out, said Charlie Tindall, attorney for the Board of Mississippi Levee Commissioners.

But the Yazoo River backwaters were already claiming territory and property. Mississippi Gov. Haley Barbour was among residents who watched rising waters swallow their houses and lands Wednesday.

Barbour's spokeswoman confirmed that a house owned by the governor in his native Yazoo County was flooded. The house is on a lake in central Mississippi near the backwater-flooded Yazoo River.

A slide was detected on the mainline Mississippi levee at Albemarle Lake, the Corps of Engineers said Thursday. A slide occurs when the integrity of a levee is undermined because dirt and sand are being eroded, said Corps spokeswoman Eileen Williamson.

The slide was detected Wednesday and work began immediately to repair it.  "It will take about a full week to repair," she said.

Farther south, where the Mississippi River has not yet crested, residents were working to clear out their homes and find ways to get by.

Louisiana Gov. Bobby Jindal has asked for federal assistance in grappling with flooding resulting from the Morganza Spillway, where 17 bays have been opened in hopes of sparing New Orleans further downstream.

"As water from the Morganza Spillway is released into the Atchafalaya Basin, the impact to our rural communities and the industries upon which they rely will be dramatic and long-lasting," Jindal wrote the U.S. Department of Interior, his office announced Thursday.  "I am requesting your immediate consideration of available assistance and recovery programs for our recreational and commercial fishing, hunting, and eco-tourism industries."

Mandatory evacuations will be in effect Saturday -- beginning at midnight Friday -- in Butte LaRose, Happy Town and the Sherburne Wildlife Management Area, the St. Martin Parish Sheriff's Office said.

By 8 a.m. Saturday, "the area will be secured and no one will be allowed to enter," the parish said in a news release.

Federal Emergency Management Agency Administrator Craig Fugate praised the efforts under way along the Mississippi.  "Fortunately, the system is working as designed between the Army Corps of Engineers and the design structures and where they are having to open the spillways,  they've been able to take pressure off the mainline levee," he said at an event in Maryland.

Officials said spillway gates are likely to be open for weeks, and it will be weeks before the river falls below flood stage, allowing those who have evacuated to return.

The flood is the most significant to hit the lower Mississippi River valley since at least 1937. It has affected nine states so far: Missouri, Illinois, Kentucky, Tennessee, Ohio, Indiana, Arkansas, Louisiana and Mississippi.

Although recovery is a while off for areas that have already seen the worst of the floods, Tunica, Mississippi -- about 180 miles north of Vicksburg -- saw another step forward Thursday, with the return of a key economic driver for the region.

The Tunica Roadhouse Casino reopened 4 p.m. Thursday, the second to return to business in two days with signs reading, "We're back y'all." Casino officials said the reopening celebration included a $50,000 donation to the American Red Cross.

"I didn't know if this day would come or not," said R. Scott Barber, the president for the mid-South region for the Caesars Entertainment group. "It's hard to believe that, just a few short days ago, we had about 4 and a half feet of water in these parking lots."

CNN's Phil Gast and Ed Payne contributed to this report.

@highlight

NEW: Tunica casino reopens, days after over parking lot was under 4 feet of water

@highlight

Flooding causes commute "nightmare" on U.S. highway

@highlight

Louisiana's Jindal requests federal assistance for Morganza flooding

@highlight

A 69-year-old Vicksburg resident dies from drowning