North Korea threatened Tuesday to nullify the armistice agreement that ended the Korean War in 1953, citing U.S.-led international moves to impose new sanctions against it over its recent nuclear test, the North's official news agency KCNA reported.

Pyongyang's military said it will also cut off direct phone links with South Korea at the inter-Korean border village of Panmunjom, KCNA added.

Q&A: How worried should we be about North Korea's nuclear test?

North and South Korea have technically been at war for decades. The 1950-53 civil war ended in a truce rather than a peace treaty.

This is not the first time Pyongyang's rhetoric has written off the armistice. In the aftermath of a previous nuclear test in 2009, it said its military would no longer be bound by the agreement because South Korea was joining a U.S.-led anti-proliferation plan.

The North's latest threat comes amid new international efforts to clamp down on its weapons program.

A draft U.S. resolution to authorize more sanctions against Pyongyang in response to its controversial nuclear test was formally introduced Tuesday at the U.N. Security Council by U.S. Ambassador Susan Rice.

A senior Obama administration official earlier told CNN that the United States and China, a key North Korean ally, had reached a tentative deal on the wording of the proposed resolution. The two nations had been negotiating for weeks on the question.

According to a Security Council diplomat familiar with the negotiations, the draft resolution contains sanctions targeting specific technology known to be used for uranium enrichment. These new sanctions go beyond those contained in existing resolutions.

The draft sanctions resolution also includes restrictions on a list of luxury goods such as jewelry, yachts, luxury automobiles and racing cars, according to the diplomat. These are specifically singling out the interests of the regime's ruling elite. Some luxury goods had already been banned by a Security Council resolution prompted by North Korea's first nuclear test in 2006.

For the first time, the Security Council would be pressuring North Korean diplomatic personnel, calling for vigilance on diplomats engaged in illicit activities such as moving large amounts of cash across borders. The draft sanctions resolution would aim to stop North Korean officials using diplomatic pouches to bring money back to North Korea, according to the person familiar with the negotiations.

A vote on the resolution is expected later this week. The diplomat said the United States and China are satisfied with the text and see it as balanced and appropriate. The members of the Security Council may make minor technical changes, but no major changes to the resolution are expected.

'Reckless moves'

There has been major concern in recent years among world powers about North Korea's nuclear aspirations.

Timeline: North Korea's rocket-fueled obsession

Pyongyang continues to make "belligerent and reckless moves that threaten the region, their neighbors and now, directly, the United States of America," U.S. Secretary of State John Kerry said in a CNN interview Tuesday.

"It's very easy for Kim Jong Un to prove his good intent here also. Just don't fire the next missile. Don't have the next test. Just say you're ready to talk," said Kerry, speaking on the last full day of his first international trip as the nation's top diplomat. Kim is North Korea's leader.

Addressing reporters later in Qatar, Kerry again put the onus on Kim to act, saying, "The American people and the world" would like to see him "take responsible actions" for peace.

"Rather than threaten to abrogate and threaten to move in some new direction, the world would be better served" if Kim tried to engage in legitimate dialogue, Kerry said.

"Our preference is not to brandish threats to each other. It's to get to the table" to negotiate, he said.

As a permanent member of the Security Council with veto power, China can strongly influence the body's decisions and has previously resisted strong sanctions on the Kim regime, which it props up economically.

The two communist countries have been close allies since China supported the North with materiel and troops in the Korean War. The United States backed the South in the conflict, fighting side by side with its troops.

In pictures: Rare glimpse inside North Korea

Analysts say Beijing wants to maintain the North as a buffer between its border and South Korea, a U.S. ally.

Beijing's government on Tuesday said it strives for a "nuclear free peninsula." It repeated its support for the U.N. Security Council's condemnation of North Korea's nuclear tests but also called for a muted response to it.

'Paying the price'

Mark Fitzpatrick, director of the Non-Proliferation and Disarmament Programme at the UK-based International Institute for Strategic Studies, told CNN that while the resolution will probably not be too onerous, the fact that China went along with another U.N. sanctions measure against North Korea reflects the growing anger and disillusionment that Beijing feels toward its supposed ally.

"Kim Jong Un is now paying the price for going ahead with a nuclear test despite Chinese warnings not to create trouble during the political transition that has been under way in Beijing the past year," Fitzpatrick said.

"The real question, though, is the degree to which China will be willing to implement the U.N. sanctions and to impose punishment of its own.

"A sharp drop in Chinese grain sales to North Korea in January may be a sign that China's support for U.N. sanctions is more than just a symbolic punishment."

Fitzpatrick characterized North Korea's reported threat to nullify the 1953 armistice as "largely bluster," pointing out that the country has "broken the armistice many times, most recently in 2010 by sinking a South Korean corvette and shelling a South Korean-populated island."

But, he added, "the threat does point to more trouble to come from the recalcitrant hermit kingdom. Things are going to get worse before they get better."

Military exercises

Pyongyang said the underground nuclear blast it conducted on February 12 was more powerful than its two previous detonations and used a smaller, lighter device, suggesting advances in its weapons program.

It was the first nuclear test the isolated state has carried out since its young leader inherited power in December 2011 after the death of his father, Kim Jong Il, who made building up North Korea's military strength the focus of his 17-year rule.

Like the regime's previous tests in 2006 and 2009, the move prompted widespread international condemnation, as well as a promise of tough action at the United Nations.

A Cold War response to North Korea's latest challenge

North Korea's government regularly rails against sanctions imposed on it.

The staging this week of joint U.S.-South Korean military exercises, known as Foal Eagle, has added to the simmering tensions, KCNA reported Monday.

It described the training exercises as "an open declaration of a war" in the face of repeated warnings from the North that they should not be held.

The exercises have "touched off the pent-up resentment of the service personnel and people of (North Korea) and compelled them to harden their pledge to take thousand-fold retaliation against the enemies," the news agency said.

But the South Korean military warned Wednesday that it would respond strongly to any attack from its northern neighbor.

"If North Korea goes ahead with provocations and threatens the lives and safety of South Koreans, our military will strongly and sternly retaliate against the command and its supporting forces," Maj. Gen. Kim Yong-hyun, a senior official at the Joint Chiefs of Staff, said at a news conference, according to the semiofficial news agency Yonhap.

Kim said South Korea notified the North that the drills with the United States "are defensive in nature."

@highlight

South Korea says it will respond strongly to any threats to its citizens' safety

@highlight

Draft resolution targets the North's nuclear technology and top officials, a diplomat says

@highlight

Analyst: North Korea's threats are mostly bluster, but there is more trouble to come

@highlight

Pyongyang continues to make "belligerent and reckless moves," John Kerry says