When I was growing up in Iraq, math was an everyday part of life.

My parents instilled in me a passion for discovery, and they never made a distinction between science and creativity. We would play with math problems just as we would play with pens and paper to draw -- math was like sketching.

In my teens, my family would go to London each summer, visiting the many art galleries and museums, including the Science Museum.

I am forever grateful to my parents for introducing me to art and science in a way that drew no boundaries between them.

The teachers who taught sciences in the school I went to as a young girl in Baghdad were all professors from the university, so the standards of science courses were really incredible.

The headmistress was deeply committed to the education of women and understood that STEM subjects must be taught in a way connects their inherent creativity and relationships with the real world, rather than dry data to be memorized and regurgitated on standardized tests.

There is a definite connection between the logic of math and architecture -- so much of the work we are doing in our office comes from my fascination with mathematical logic and geometry.

Huge advances in design technology are enabling us to rethink form and space, and the wonderfully fluid surfaces and structures of each project are defined by scientific innovations.

Our design for the new Mathematics Gallery at London's Science Museum will convey these seemingly abstract concepts into an inspiring interactive experience for all visitors.

There are many successful women working in STEM - but there are not nearly enough.

Women have made tremendous contributions -- and we must celebrate their success. When teaching at universities, many of my best students are women, but they sometimes lack confidence.

I believe education at all levels is critical. As a woman, education gives you the confidence to conquer the next step and make exciting new discoveries.

Zaha Hadid is a world renowned Iraqi-British architect, and the first woman to win the Pritzker Architecture Prize. Her work includes the London Aquatics Centre, the Sheikh Zayed Bridge and Beijing's Galaxy Soho shopping center. Her architectural design firm, Zaha Hadid Architects, is based in London.

Read: Zaha Hadid: 'Would they still call me a diva if I was a man?'

Discover: Zaha Hadid: 'I wouldn't build a prison'

Watch: The women behind Olympic Aquatic Centre

@highlight

Growing up in Iraq, both math and art were common activities for Zaha Hadid

@highlight

Hadid is still inspired by math in her architecture today

@highlight

She believes that education at all levels is critical for women

@highlight

Her piece closes a month of STEM coverage on CNN's Leading Women