GUDDA, India (CNN) -- In Gudda, a village with very little, residents are literally beaming. Just two years ago, villagers had never seen light after dark, unless it came from the moon. Then, solar light arrived and changed everything.

Children in Gudda stand on rooftops near a solar panel. Solar power first arrived two years ago.

"When the lanterns first arrived, the villagers asked, 'What is this?' " says Hanuman Ram, the local solar engineer. "I explained to them how it worked. Then slowly, as people saw it, they said, 'Wow, what a thing this is!' "

There are no real roads that lead to the tiny village in the state of Rajasthan in northwestern India, home to about 100 families. There are only thin strips of tar dotted with massive potholes that force vehicles into thick brush. Other times, cars have to maneuver over just dirt.

There is no electricity -- power lines don't extend out here. Water is scarce, too. At the village well, women balance jugs of water on their heads, deftly evading the livestock that saunters along.  Visit the sites of Gudda with CNN's Arwa Damon »

It's a simple lifestyle of farming, tending to goats, caring for children and carrying out household chores -- a daily routine that hasn't changed much over the centuries.

That's why light transformed Gudda. Villagers could play music at night. Children could study well past sundown.  Watch villagers smile as they light their solar lamps »

As Yamouna Groomis kneads dough for her family's evening meal, she blows through a pipe every once in a while to keep a flame burning in an outdoor clay pit. Her days used to end when the sun went down. She smiles as she proudly flicks on a solar lamp.

"When I saw this light coming on for the first time, I was very happy," she says.

The light is powered by a solar panel on her roof that charges a battery. Panels can be seen on almost every rooftop in Gudda.  See where Gudda is located »

Ram, the man credited with the transformation, doesn't have a high school degree. But he did attend an institution about an hour away called Barefoot College, established 35 years ago with an emphasis on helping India's rural population find solutions for their problems among themselves.

The college, in part funded by the Indian government, trains villagers all over India who have little or no education, giving them a range of skills to change their lives. The entire campus, which has amenities such as a library, meeting halls, open-air theater and labs, uses solar power.

On a recent visit to the main college campus, a group of village women were hard at work making solar cookers, which can boil a liter of water in eight minutes. They are part of the "Women Barefoot Solar Cooker Engineers Society" -- six women who came together and started their own business.

Barefoot College serves an outlying community of 125,000 people. In a nearby village, women flock to a water desalinization and purification plant set up by the college and maintained by Barefoot graduates. The station, powered by solar panels, provides the area with a rare commodity: clean drinking water.

At the local store in Gudda, owner Ram Swarup puts his solar panels to maximum use. He says the solar lights have allowed him to increase his business by a third. The panels also have powered up the only DVD player and television in the village.

Partly paralyzed by polio, Swarup never dreamed that he would have so much in life. He says it took courage -- and light. The villagers say that they now feel empowered -- less reliant on a far-off government.

Even the village's engineer is amazed. At Ram's house, the solar lamps flicker to life. He smiles as he says that before, he didn't even know what artificial light was, and now, he's a solar power expert.

"I never saw light before," he says. "How could I think that I could bring light here?"

Like most of the Barefoot graduates, he was selected to attend the college by his village elders. Now, every night when the lights flicker on, he says, he feels great.

With the extra earnings he's made as a solar engineer, he's made another of his childhood dreams come true. He purchased his favorite instrument, a harmonium, and now the family can gather around every night and listen to his music.

He says he hopes his daughter, now 14 years old, will follow in his footsteps and become a solar engineer. Ram's 80-year-old mother, meanwhile, beams with pride about her son's accomplishments: "I just wanted him to do something good for the village." E-mail to a friend

@highlight

Residents had never had light after dark until two years ago

@highlight

When villagers saw solar lights in action, their reaction was "Wow"

@highlight

Nearby college helps India's poorest of the poor solve problems

@highlight

Villager describes seeing light for first time: "I was very happy"