(CNN) -- The recent release of U.S. Army Sgt. Bowe Bergdahl by the Taliban in Afghanistan has refocused attention on some of the other Americans held captive in that region.

Bergdahl spent five years in the hands of the Taliban before the U.S. government reached an agreement for a prisoner swap with his captors stirring debate in the United States about the terms of the deal and circumstances surrounding his capture.

Although Bergdahl was the only American soldier in captivity, other U.S. citizens are being held in the region.

The longest detention is that of former FBI agent Bob Levinson, who went missing after traveling to an Iranian island more than seven years ago. His family says he was working for the CIA at the time.

Republican Congressman Duncan Hunter wrote to President Barack Obama this week to ask why three other Americans he said were being held by Taliban-linked militants were not part of the deal that freed Bergdahl.

Here are several of the most high-profile cases:

Bob Levinson

In March, Levinson, 66, passed a grim milestone, becoming the longest held hostage American in history.

He vanished after traveling to the Iranian island of Kish in March 2007. The FBI says he was there as a private investigator.

But news reports late last year said he was working as an independent CIA contractor when he disappeared.

That prompted his family to speak out, saying they kept it quiet for years that Levinson was working for the CIA, because the U.S. government had warned them that revealing it would put him in more jeopardy.

The FBI, White House and CIA have not publicly acknowledged any connection between the CIA and Levinson.

It's unclear who exactly is holding him or what his condition is. The family received a video in 2010 in which Levinson said he had been treated well but needed the help of the U.S. government "to answer the requests of the group that has held me for three-and-a-half years."

American officials have said they believe Levinson, who has diabetes and high blood pressure, is being held somewhere in southwest Asia.

In March, Secretary of State John Kerry said the U.S. government "remains committed to the safe return of Mr. Levinson to his family."

He asked the Iranian government to "work cooperatively with us" on the investigation, Kerry said.

But Iran has repeatedly said it isn't holding Levinson and doesn't know his whereabouts. During an interview in September with CNN's Christiane Amanpour, Iranian President Hassan Rouhani was asked what he could tell Levinson's family.

"We don't know where he is, who he is," Rouhani said. "He is an American who has disappeared. We have no news of him."

In January, Iranian Foreign Minister Mohammad Javad Zarif tolds CNN's Jim Sciutto that he hadn't seen "anything that could prove" that Levinson was ever in Iran. If he was, Zarif said, the United States should explain "what a CIA operative was doing" there.

Warren Weinstein

Gunmen abducted Weinstein nearly three years ago from his home in Lahore, Pakistan. They posed as neighbors, offered food and then pistol-whipped the American aid worker and tied up his guards.

The 72-year-old is being held by al Qaeda, which released a video of Weinstein at Christmas, showing him looking tired and pale.

"Nine years ago, I came to Pakistan to help my government and I did so at a time when most Americans would not come here," he said. "And now, when I need my government, it seems I have been totally abandoned and forgotten."

His daughter, Alisa, says she's worried about his health: he has a heart condition and severe asthma.

She told CNN's "AC360" on Wednesday that the release of Bergdahl raised her hopes that her father could be next.

For years, when Warren Weinstein's case came up, U.S. officials called for his release but repeatedly said Washington wouldn't bargain with al Qaeda. Now, Alisa Weinstein says it's clear that negotiating is an option.

But she also said she's worried that the political backlash over Bergdahl's case could harm her father's cause.

"We started to realize that the administration is going to be a lot less likely to do this again if it causes some political problems for them," she said. "So does that mean that the door is closed for us?"

Weinstein was employed by J.E. Austin Associates Inc., a U.S. consulting firm based in Arlington, Virginia, that is a USAID contractor. He is a world-renowned development expert, according to the company's website.

"My father is just as deserving of freedom as Sgt. Bergdahl, as are all of the Americans who are being held abroad," his daughter said.

Caitlin Coleman

In October 2012, Coleman and her husband, Joshua Boyle, disappeared in Afghanistan.

In his last contact, Boyle, a Canadian, said they were in an "unsafe" part of the war-torn country.

Coleman's family received two videos last year in which the couple asked to be freed from the Taliban captors. The family gave the videos to The Associated Press.

In the videos, Coleman is nine-months pregnant and makes a direct plea to "my President Barack Obama for help."

"I would ask that my family and my government do everything they can to bring my husband, child and I to safety and freedom," she says.

Her family had already a posted video of their own on YouTube two months after she and Boyle disappeared, appealing for their safe return. They said they were concerned about her health and fearful for her unborn child.

"As parents and soon-to-be grandparents, we appeal to whomever is caring for her to show compassion and allow Catie, Josh, and our unborn grandbaby to come home," her father said.

Boyle's former wife, Zaynab, is the sister of Omar Khadr, a former Guantanamo detainee who allegedly received training from al Qaeda. Their father, Ahmed Said Khadr, was a senior al Qaeda leader with connections to Osama Bin Laden.

Less than two weeks after Khadr was released from Guantanamo and sent back to Canada, Boyle and Coleman went missing.

The videos Coleman's family received offer the only clue about what may have happened to the couple, but provide little proof they were indeed kidnapped. No demands for ransom have been made.

State Department officials say they are aware of the video and of the disappearance of the couple and are in touch with the family. But they say they can't say more because of privacy laws.

A spokesman for the Canadian Foreign Ministry says that the government is aware that Boyle and Coleman have been kidnapped in Afghanistan and is in contact with the Afghans about the case.

The six soldiers at center of Bergdahl debate

CNN's Randi Kaye, Elise Labott and Catherine E. Shoichet contributed to this report.

@highlight

U.S. Army Sgt. Bowe Bergdahl was released last weekend by the Taliban

@highlight

His case has drawn attention to other Americans held in the region

@highlight

Bob Levinson disappeared after to traveling to an Iranian island in 2007

@highlight

Other Americans are being held in Afghanistan and Pakistan