(CNN) -- As Hillary Clinton makes a whirlwind round of appearances in her last days as secretary of state, one groundbreaking aspect of her work deserves a moment in the spotlight: In a bold departure with tradition, Clinton made the promotion of equality for gay people a core value of U.S. foreign policy.

That is a transformative change, one that advances the cause of human rights around the world -- not just for gays and lesbians, but for everyone.

The way governments treat their LGBT (lesbian, gay, bisexual and transgender) citizens can tell us much about their overall approach to human rights and democracy. Mistreatment of sexual minorities is a microcosm of greater repression.

Take a look at the gruesome spectacle of young gay men executed by the government of Iran in the streets, for all to see. Or, look at the new anti-gay laws coming into effect in Russia's increasingly authoritarian regime. It is no accident that the growing repression of LGBT Russians coincides with a dramatic deterioration of political freedom and what the nonpartisan Freedom House called "the return of the iron fist in Russia."

It is clear that gays and lesbians are the canaries in the coal mine of human rights. When gays live under pressure, everyone should worry.

That, however, is not how Clinton explained it 14 months ago, when she stood before the Human Rights Council in Geneva, in front of an audience filled with representatives from Arab and African countries, from places where homosexuality is a crime, even one punishable by death, and declared that gay rights and human rights "are one and the same." Gay people, she explained, deserve equality simply because everyone does.

It was Human Rights Day, the commemoration of the signing of the 1948 U.N. Declaration of Human Rights, and she used the occasion to send a message to the world on behalf of the United States. She declared unequivocally that there is no exception for gay people when it comes to human rights.

Opinion: President Hillary Clinton? If she wants it

She admitted that the U.S. record on human rights for gays and lesbians "is far from perfect." But by proclaiming, without caveat or qualification, the American stance on the issue, she sent a signal to the rest of the world that, while equality for gay people is far from reached, the rightness of the goal is beyond debate, much like it is with equal rights for women or for racial minorities.

In doing this, she announced it was now the official policy of the U.S. government to promote the rights of LGBT people everywhere. Clinton has always been a couple of steps ahead of President Barack Obama when it comes to gay rights. It's a safe bet she persuaded him to jump on board and put the full force of the administration behind this new policy.

In Geneva that day, she announced that the president had instructed all U.S. government agencies working in other countries to "combat the criminalization of LGBT status and conduct" to help protect vulnerable LGBT, helping refugees and asylum seekers and responding to abuses.

Today, American diplomats, as part of their official mandate and as an explicit tenet of U.S. values, must speak up for the rights of individuals experiencing persecution on the basis of their sexual orientation, as when a couple were sentenced in Cameroon for "looking" gay.

News: Hillary Clinton talks future 'adventures'

America may be not as influential as it once was, but no country carries more weight; there's not even a close second. America's opinion matters if you want foreign aid or political assistance.

But it matters even more to people on the ground, eager, perhaps desperate to make their case before the authorities, their boss or their family. In the latter case, that it was the popular and respected Hillary Clinton making the argument undoubtedly made a difference on a personal level, even if dictators did not relent.

Clinton also noted that "being gay is not a Western invention; it is a human reality," and noted nations that have enacted protections for their gay citizens, including South Africa, Colombia and Argentina.

It was a rebuke to that tragicomic moment in 2007, when Iranian President Mahmoud Ahmadinejad told an audience in New York, "In Iran, we do not have homosexuals like you do in your country," prompting an explosion of laughter from the crowd. Of course, gay people live in Iran, where homosexuality is punishable by death.

America's stance, promoted so passionately by Clinton, is gradually becoming the global standard for human rights.

Under intense lobbying from America, the usually feckless and frequently counterproductive U.N. Human Rights Council adopted a measured entitled "Ending Violence Based on Sexual Orientation and Gender Identity," and another supporting equality, important symbols that this is a standard for the entire world.

Clinton moved the issue of equality for members of the LGBT community to the front of America's diplomatic agenda; in the process, she gave a boost to human rights for all and a considerable nudge to the inexorable progress of freedom. Let's hope her successor doesn't let up.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: As secretary of state, Clinton made equality for gays a foreign policy value

@highlight

She says treatment of LGBT citizens is a microcosm of a nation's human rights approach

@highlight

She says Clinton used U.S. sway to advance LGBT rights as global standard

@highlight

Ghitis: Clinton gave a boost to human rights for all and nudge to process of freedom