(CNN) -- Former President Bill Clinton acknowledges he got "very close" to helping achieve peace in the Middle East shortly before ending his eight years in office.

Over a two-week period in 2000, Clinton played host at Camp David to then-Israeli Prime Minister Ehud Barak and Palestinian Authority Chairman Yasser Arafat.

The summit ultimately ended without agreement. Two U.S. presidents later, the conflict rages on.

Now, Clinton is less optimistic Middle East negotiators will get that close again, telling CNN's Anna Coren that peace between Israel and the Palestinians is impossible until Hamas renounces violence.

"There is no way the Israelis are going to give up the West Bank and agree to a state unless Hamas agrees to give up violence and recognizes Israel's right to exist," he said in the interview airing Monday on "New Day."

"They won't do it so that's a non-starter and I think it should be. You can't just have a one-way peace. Both sides have got to give up what the other side most objects to."

There's still hope for peace in the Middle East

Israeli-Palestinian relations are at a low point. Israeli military forces began a ground offensive into Gaza on Thursday, inflicting heavy casualties. More than 400 Palestinians have been killed since the latest outbreak of violence. At least 13 Israeli soldiers were killed in fighting in Gaza on Sunday, the Israeli military said.

Nevertheless, Clinton said he's not giving up hope for peace in the region.

"We dance around the bush so many times and sooner or later someone will jump off the merry go round and do the right thing," he said. "We got very close in 2000."

Clinton was interviewed by Coren during stops on the former President's eight-day tour of Southeast Asia, which included a visit to an AIDS orphanage in Vietnam ahead of the International AIDS Conference in Melbourne. The conference opened Sunday on a somber note -- at least six delegates traveling to the event were killed Thursday when Malaysia Airlines Flight 17 exploded over eastern Ukraine. Clinton is scheduled to give a keynote address at the conference on Wednesday.

"They're really, in a way, martyrs to the cause we are going to Australia to talk about," Clinton said of the researchers who died when unknown attackers shot their plane down over a rebel-controlled area of eastern Ukraine. "Thinking about those people being knocked out of the sky, it's pretty tough."

On the crash of the Boeing 777 itself, Clinton was careful not to draw immediate conclusions on who was responsible for the downing of the jet, which he called "sickening."

"We need to wait to make any definitive statements until we know exactly what happened, but it was sickening and I hope they will know and I hope they will know soon," he said.

Since leaving office, Clinton started the Clinton HIV/AIDS Initiative (now called the Clinton Health Access Initiative) in an effort to get treatment to HIV/AIDS patients in the developing world. The initiative has brought access to HIV/AIDS treatment to 8.2 million people since it was founded in 2002, according to the Clinton Foundation.

"I like it because it's personal flesh and blood," he says of his second career in public service through his foundation. "You're not just talking in abstract policy terms. You actually see the lives of people change. ... I loved my life in politics. I loved it. But the difference now is I can see the personal human implications of the decisions we are making and I can work on, you know, how do we get the right policy? How do we make it work? And then you see the results."

Clinton touched on a number of other issues in the wide-ranging interview, among them:

Aid for migrant children a good step

President Barack Obama's pitch to Congress for billions of dollars to handle the cases of tens of thousands of children from Central America who are illegally crossing the border is a step in the right direction, Clinton said.

"I hope that he will get this money he has asked for, because some of these kids may be eligible to stay under our laws because of the circumstances they face back home," Clinton said. "And we don't want to deny the ones who are eligible the right to stay even as we send the other ones back."

Since October, officials say more than 57,500 unaccompanied minors have been apprehended at the southwest U.S. border. The Obama administration has labeled the situation a humanitarian crisis, and has asked for emergency funding to deal with it.

"The system he has proposed to put in place, if he gets the money for it, will give all the ones who aren't immediately sent back ... quicker hearings, so if they are entitled to stay, they can stay," Clinton said.

Ukraine wants independence, not war with Russia

"The Ukrainians don't really want a hostile relationship with Russia. ... What they want is to be independent," Clinton said of the political conflict between Ukraine and Russia.

Tensions have been high between Ukraine and Russia since street protests forced former pro-Moscow President Viktor Yanukovych from power in February. Russia subsequently annexed Ukraine's southeastern Crimea region, and a pro-Russian separatist rebellion has been raging in Ukraine's eastern Luhansk and Donetsk regions.

Ukraine wants "to be a bridge to Europe, between Europe and Russia. And if done properly it would be good for Ukraine but also be very good for Russia and good for Europe. So we have a clash there about what the 21st Century ought to be like. Is it important for all of us to divide up and hide behind our walls? Or can we find a way to work together?"

U.S. should help Iraq, which needs to help itself

"I wouldn't rule out the United States doing more in Iraq if the Iraqis do what's necessary to help themselves," Clinton said of the worsening humanitarian situation in the country.

The violent militant group Islamic State in Iraq and Syria has taken over large swaths of land in Iraq and aims to establish a hardline Islamic state. At least 2,400 Iraqis died in violence in June, according to the United Nations Assistance Mission for Iraq. Of those, the United Nations said more than 1,500 were civilians.

"We have got to be helping an entity committed to inclusive government for the next 20 or 30 years -- people who don't want the forces of destruction to prevail are going to have to prove they can do inclusive government and inclusive economics," Clinton said.

Settle China's territorial claims internationally

China's territorial claims over nearby bodies of water have caused tensions to escalate with neighboring countries.

Conflict between Vietnam and China flared in May when a Chinese oil corporation moved a drilling rig to an area claimed by both countries in the South China Sea.

And last November, China declared an air defense identification zone over the East China Sea, imposing air traffic restrictions over an area disputed with Japan.

China's moves have made other Asian countries nervous over its expanding military and more assertive foreign policy. And Clinton says the United States has a different take than China on how to solve the disputes.

"One of the big differences is the United States believes that we should have these issues involving natural resource claims in the south and east China seas resolved in a multinational forum where the small countries are not disadvantaged by being smaller than China," Clinton said.

"And the Chinese believe that all these things should be subject to what they call bilateral resolution, where the small countries believe they wouldn't have a chance trying to negotiate against China, just one country against the Chinese."

CNN's Catherine E. Shoichet and Holly Yan contributed to this report.

Watch New Day weekdays at 6am-9am ET. For the latest on New Day click here

@highlight

"It was sickening," ex-President tells CNN's Anna Coren of the MH17 crash in Ukraine

@highlight

Clinton calls AIDS activists killed in the crash "martyrs to the cause"

@highlight

He thinks Ukraine wants to be "a bridge" between Europe and Russia