If you use Google, and I know you do, you may have noticed a little banner popping up at the top of the page announcing: "We're changing our privacy policy and terms." It gives you the choice to "Learn More" or, another option, the one I'm betting most people followed, to "Dismiss."

Who wants to read about what Google plans to do with all that information it has about us?

I, too, clicked "Dismiss." That's because the very idea of considering what Google knows about me can give me heartburn. And if that happens, I may want to Google "heartburn," and then I'll wonder if my insurance company will find out that I was searching "heartburn," or, worse, that one day I will apply for a new insurance company and the side effects of having considered what Google knows will result in a denial of coverage. But I digress.

When Google announced its new policy, lovingly explaining its reason as "our desire to create one beautifully simple and intuitive experience across Google," the authorities in Europe immediately told the Internet leviathan to put off its March 1 start date until European Union officials had a chance to review Google's new quest for beauty and simplicity.

Europeans, it turns out, are much less trusting of invasions of our electronic privacy than Americans are. Americans have an intense aversion to government intrusion. If the FBI wanted to examine Google searches, the left and the right would come together -- the ACLU, Tea Party, liberals and libertarians would raise their fists together to fight for freedom of privacy. The Supreme Court would join in, as it did in the case of GPS surveillance, and conclude the people have a right to privacy, a right against any "unreasonable search," as the Constitution says.

But in the case of Google's latest move to consolidate user's data, however, most Americans paid little attention.

MacKinnon: We're losing control of our digital privacy

If Americans -- or people anywhere -- decided to take up Google's offer to check out its new policy, they would discover something so troubling, so frightening, really, that it would override the national tendency to leave companies alone to make money how they see fit. At least in the case of companies such as Google -- and now Facebook -- which know more about us than even our closest friends.

Here's what Google knows about you, what it stores right there on its servers, waiting for a hacker:

Google has every e-mail you ever sent or received on Gmail. It has every search you ever made, the contents of every chat you ever had over Google Talk. It holds a record of every telephone conversation you had using Google Voice, it knows every Google Alert you've set up. It has your Google Calendar with all content going back as far as you've used it, including everything you've done every day since then. It knows your contact list with all the information you may have included about yourself and the people you know. It has your Picasa pictures, your news page configuration, indicating what topics you're most interested in. And so on.

If you ever used Google while logged in to your account to search for a person, a symptom, a medical side effect, a political idea; if you ever gossiped using one of Google's services, all of this is on Google's servers. And thanks to the magic of Google's algorithms, it is easy to sift through the information because Google search works like a charm. Google can even track searches on your computer when you're not logged in for up to six months.

Facebook has even more interesting stuff: your pictures, your comments, your likes, your friends, your un-friends.

Andrew Keen: We must avoid Facebook's 'creepy' cult of transparency

You've done it, said it, clicked it, searched it, Googled it. You can never undo it or unclick it. It stays there forever. Unless the people demand that government order a stop to it.

The European Commission has a new privacy proposal known as the "Right to be forgotten." It would allow Internet users in 27 countries of the European Union to demand Internet companies delete their personal data.

Google's famous motto is "do no evil." I won't accuse Google of deliberately doing evil. It has done much to improve our lives. It makes no secret of the fact that it seeks to make profits, which it richly deserves. I do believe, however, that it deliberately tries to deceive us when it claims the new privacy policy seeks "to provide you with as much transparency and choice as possible."

I followed the instructions and with some difficulty eventually downloaded pages upon pages of personal material about myself from Google. What I was looking for was a simple, shall we say beautiful, button telling Google not to save anything I don't explicitly want it to save. But there was no such button.

Google, like Facebook, owns trillions if not quadrillions-plus bits of information. They mine it, use it to sell ads, algorithm it. But my real fear is not Google. My real fear is that computer technology has turned into an arms race between good guys and bad guys. Google may see itself as a jaunty white hat wearer, valiantly protecting all our information. And it may be doing it to the best of its ability. But hackers are hard at work all the time.

Google and Facebook are profiting from our private information in ways most of us don't quite understand or would approve. But hackers may do even worse, as we have already seen in many cases around the world. Hackers have already unlocked and put on the Web reams of credit card information, private documents and all sorts of personal e-mails. Imagine your e-mails and chats on the Web for anyone to read.

Online hoarding of our private information is not something we can afford to "dismiss." The only effective way to change the ways of these giant corporations -- and the smaller ones following the same practices -- is by pushing the government to make those practices illegal. We can start by following Europe's example.

The obvious, ethical, default setting should affirm that our private information belongs to us and nobody else -- not to Google, not to Facebook. We should call for laws that require them to change their terms of service so users have the option of giving or denying permission to them on holding personal data in storage.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

@highlight

Google recently changed its privacy policy to consolidate user's data

@highlight

Frida Ghitis: if Americans paid more attention, they would be troubled by the new policy

@highlight

Ghitis: Our private information belongs to us and nobody else -- not to Google, not to Facebook

@highlight

She says we should follow Europe's example and call for changes in law