KABUL, Afghanistan (CNN)  -- Afghanistan's reputation as the world's leading narcotics supplier is well-known, but in a squalid ruin in Kabul, the country hides a darker secret -- a huge home grown drug addiction problem now on the brink of fueling an HIV/AIDS epidemic.

Junkies smoking heroin can get high for $4.

Here junkies lie in their own filth, wasted limbs poking out of blood-spattered clothing as they blank out the abject misery of their surroundings. In one room, a veritable narcotics bazaar offers pills and drug paraphernalia -- with hits retailing at less than $4.

One user claims he has been an addict for 22 years, although it is difficult to talk to any of the dazed and ragged occupants of the drug rooms. The atmosphere is edgy and -- as thick clouds of burning opium fill the air -- dizzyingly toxic.

The Kabul den is just the tip of the iceberg in a country awash with narcotics. The government estimates the number of addicts in Afghanistan could be as many as five percent of its 25 million people.  Watch Nic Robertson's report from the 'house of hopelessness' »

And though nascent efforts are being made to tackle the problem, chronic funding shortfalls have prompted the United Nations to warn that drug use will escalate, potentially driving an HIV/AIDS crisis as junkies move from smoking to high risk needle-sharing.

Afghanistan has always been a major narcotics supplier -- responsible for 95 percent of the world's heroin -- although this was scaled back under the rule of the Taliban, which outlawed poppy cultivation and imposed strict penalties for drug users.

Since 2001, when the extremist regime was ousted by a U.S.-led invasion that installed President Hamid Karzai, production has doubled. And for many in the country still mired in poverty and conflict, these cheap drugs offer a tempting escape.

The last United Nations survey of Afghanistan's drug problem four years ago estimated the country's addicts to number about 200,000. According to Afghan Counter Narcotics Minister Khodaidad, the figure is now far greater.

"More than 1.2 million people in Afghanistan are addicts. It's a very huge number and every year it increases," he told CNN.

Khodaidad says the Afghan government is largely powerless to control the production of opium while Taliban extremists, who now control and draw funding from drug crops, control cultivation areas despite major international military efforts to push them back.

"We did very little due to weakness of governors, due to insurgents, due to pressure of terrorism in the area," he added. "We don't have sufficient law enforcement agencies -- the police, the border security force, and other special forces to control this area -- so it will take time."

But, says Jean-Luc Lemahieu, head of the UN's Office on Drugs and Crime (UNODC) in Kabul, time is something Afghanistan does not have. As intravenous drug use takes hold, raising the prospect of needle sharing, he says HIV/AIDS will follow quickly.

"The little data we have at the moment are very alarming," he told CNN. "They tell us that we should not wait longer and if not, this country will be saddled with another burden it just can not afford.

"I think it is already happening today. We have seen, now, a few HIV/AIDS cases. Hopefully we can contain the problem, although it is unlikely given the problems with the health structures."

The U.N. has begun a program to detox users willing to get off drugs in Afghanistan. A renovated warehouse in Kabul offers hope to 100 addicts in the biggest facility of its kind in the country.  Watch Robertson go inside the detox clinic »

In the center's clean, bare rooms, shaven-headed junkies tremble under blankets as they go through the agonizing cold turkey of weaning their ravaged bodies off drug dependency. Therapy sessions also help motivate them to kick their deadly habit.

"Here we deal with the problem from a humanitarian perspective, not from an addiction perspective, to save lives," says Jehan Zeb Khan, UNODC program manager.

But says Khan, with what little funding there is now dwindling fast, the salvation offered to these lucky few may be short lived -- they will be forced back out on the streets, where more opium dens will flourish, bringing yet more misery for Afghanistan.

@highlight

Government officials say 1.2 million Afghans are now addicted to drugs

@highlight

United Nations says growing drug use could lead to HIV/AIDS crisis

@highlight

Efforts to combat drug use suffering from chronic lack of funds