The city of Livingstone, in Zambia, is located just 10 kilometers from the spectacular Victoria Falls. Its proximity to the falls makes it a tourist destination, but it also boasts an almost-forgotten past as the home of one of the oldest Jewish settlements in Africa.

European Jews first came to Zambia at the end of the 19th century, when it was still Northern Rhodesia. Many settled in the capital, Livingstone. The early arrivals were pioneers looking for better economic opportunities; later they came as refugees fleeing Nazi persecution.

Although Zambia's Jewish population was always small -- around 1,000 at its peak -- its members included significant figures in Zambia's economical and political life. Among the most influential was Simon Zukas, who played a key role in Zambia's struggle for independence from Britain in the 1950s, and went on to be a government minister after independence.

Discovering the real Zambia

Zukas's father emigrated from Lithuania to southern Africa in 1936 in search of work, as the shadow of Nazism was descending on Europe. He settled in Northern Rhodesia, opening a shop in the town of Ndola, and his family joined him in 1938.

Simon Zukas arrived as a 13 year old who spoke only a little English, struggling to adapt to a country where black people were treated as second-class citizens under British colonial rule.

"I knew something about the world because I was part of the Zionist movement in Lithuania," he recalls.

"I arrived with sympathy for the underdog, which included the black man. The biggest difficulty was to adjust to the custom of the treatment of blacks. There was a big gulf between the treatment of whites and blacks."

He remembers having to write permits every evening to allow the family's black cook to be able to go home after dark, because he was subject to curfew.

Zukas says there was some anti-Semitism from British colonial officials, who could make it hard for Jews to get trading licenses, but generally Jews were welcomed. New arrivals formed a small community together with Jewish families who had immigrated to Northern Rhodesia in earlier years.

Hugh MacMillan is a University of Oxford historian and author of "Zion in Africa: The Jews of Zambia." He says of the early Jewish settlers: "The Jews arriving in Northern Rhodesia were both economic migrants and refugees, escaping from a kind of religious and political persecution in the Russian Empire, and also economic migrants looking for a place where they could make a better living."

Lithuanian Jews in particular migrated to South Africa during the diamond and gold rushes at the end of the 19th century, but some pioneers ventured further afield.

"The ones who got to Northern Rhodesia early on were the most adventurous -- frontiers people," says MacMillan. "They were going way out into what were very difficult, remote places, originally as cattle traders."

Among the most influential Jewish immigrants were the Susman brothers, businessmen from Lithuania (then western Russia). They arrived in Northern Rhodesia in 1901 as cattle traders. They settled in Livingstone and went on to build a business empire that included copper mines and ranches.

Butterfly farmers help protect threatened forests

MacMillan says the brothers were leaders of Livingstone's small Jewish community and led the construction of the city's synagogue in the late 1920s.

The building is still standing, but these days it's used as a Christian church. A casual observer would never know it was once a Jewish place of worship but for the faint outline of the Star of David, the symbol of Judaism, just visible over the main entrance.

By the 1930s, there were hundreds of Jews living in Zambia and the rise of the Nazis in Europe brought and a new wave of Jewish immigration. In 1938 and 1939 around 300 German Jews fleeing Nazi persecution found their way to Northern Rhodesia, as did smaller numbers of Jews from Lithuania and Latvia.

By the early 1960s, around 1,000 Jews lived in Northern Rhodesia. But after Zambia's independence in 1964, numbers began to dwindle, part of a larger exodus of whites from the country. There are now fewer than 50 Jews left in Zambia.

Zukas was an important activist for Zambia's independence. After a stint in the army and at university in Cape Town he campaigned against colonial rule, which led to him being deported to England in 1952. He continued to campaign from London, until being invited to return home when Zambia finally won its independence in 1964.

He went on to hold two posts as a government minister and was chairman of the Forum for Democracy and Development opposition party in 2001.

While Zukas may be the highest profile of Zambia's Jews, collectively the small Jewish community helped shape the country.

"Individuals of Jewish descent played an important part in Zambian history, especially in commercial business," says MacMillan. "It's a tiny population that has been, or was, influential beyond its numbers."

@highlight

City of Livingstone, Zambia, was once the focus of the country's Jewish community

@highlight

European Jews began arriving there at the end of the 19th century

@highlight

Simon Zukas arrived as a child in 1938. He became a government minister in independent Zambia

@highlight

Zambia's Jewish population was once more than 1,000, now around 50