(CNN) -- No-one can fault U.S. Secretary of State John Kerry for lack of effort. He has just wrapped up his 10th visit to the Middle East in pursuit of a peace agreement between Israel and the Palestinian Authority -- the most elusive prize in international diplomacy.

Kerry has a vision, according to U.S. diplomats -- to climb the mountain with Israeli Prime Minister Benjamin Netanyahu and Palestinian President Mahmoud Abbas, and to peer down from the summit on the valley of peace to see what a two-state solution would look like.

It is a poetic metaphor, but more than half-way into the nine-month timetable for reaching a framework agreement, Kerry's partners are still bickering in the foothills. The more pessimistic observers -- with history on their side -- say both the Israelis and Palestinians are positioning themselves to be able to blame the other for failure.

Kerry's aim is to gather together all the issues -- "borders, security, refugees, Jerusalem, mutual recognition, and the end of conflict and of all claims" -- in this framework agreement, which would in his words "lay out the end-game," the parameters for a final peace settlement. The U..S and its partners would then help the two parties hammer out the details.

Kerry himself has acknowledged how difficult the climb would be -- choosing another metaphor while shuttling through the region last week.

"In the end all of these core issues fit together like a mosaic, like a puzzle and you can't separate out one piece or another," he said.

"The last pieces may decide to fall into place, or may fall on the floor, and leave the puzzle unfinished."

Kerry dropped hints about progress last week, saying after meeting Abbas that talks had "fleshed out and even resolved" certain kinds of issues. U.S. envoy Martin Indyk will stay in the region to follow up on last week's talks and the secretary himself will likely return within weeks.

But at the same time, both parties are busy blaming the other for obstructing the process.

Netanyahu, with Kerry at his side, accused the Palestinian Authority of continuing "unabated incitement against the State of Israel" over the past six months.

"A few days ago in Ramallah, President Abbas embraced terrorists as heroes," he said, referring to the welcome given to Palestinian prisoners released by Israel.

Borders and Jewish settlements are likely to be the most difficult piece of Kerry's puzzle. The Israeli government is expected to announce plans in the next few days for building 1,400 new homes in the West Bank, a move guaranteed to infuriate the Palestinians.

A senior U.S. State Department official said last week that "the settlement activity that has been going on has created a lot of questions on the Palestinian side and in the international community about the intentions of the Government of Israel."

Nearly half-a-million Jews now live in settlements in occupied territory, and Israeli sources maintain that the largest -- such as those in Hebron and Beit El -- would not be surrendered on any settlement.

President Obama laid out Washington's principles two years ago, saying that "the Palestinian people must have the right to govern themselves, and reach their potential, in a sovereign and contiguous state." That state should be based on the 1967 land boundaries -- before Israel seized east Jerusalem and the West Bank -- plus swaps to take account of developments since.

Netanyahu shot back that a return to such borders would imperil Israel's security.

"Remember that before 1967, Israel was all of nine miles wide, half the width of the Washington beltway," he said while meeting Obama.

Many Israeli officials insist that today -- in the face of growing instability in the region and a resurgence of militant Islamist groups -- the Jewish state must maintain a military presence in the Jordan Valley as the only way to defend the country's eastern border, providing some strategic depth. And that presence, they maintain, could only be sustained by a secure road cutting through the heart of the West Bank.

Some within Israel's coalition government even want to annex Jewish settlements in the fertile Jordan Valley, potentially the bread-basket of a new Palestinian state, and home to nearly 30% of Palestinians living in the West Bank. The proposal is unlikely to go anywhere, but demonstrates the internal difficulties that face Netanyahu in any push toward a final settlement.

Whatever is going on behind closed doors, Israel and the Palestinians seem in public no closer to compromise on other core issues. Both continue to claim Jerusalem as their capital. The Palestinians reject outright Netanyahu's demand that they recognize Israel as a Jewish state, fearing that to do so would disenfranchise 1.5 million Israeli Arabs. Israeli Foreign Minister Avigdor Lieberman says he has an answer for that -- move the border so that the main concentrations of Israeli Arabs will live within a Palestinian state.

In Kerry's favor is a recognition among many Israelis that the current environment may offer the best opportunity to strike a deal, with much of the Arab world in disarray and long-term population trends threatening to leave the Jews a minority in their own homeland.

Lieberman himself said on Friday that Kerry's framework was the best Israel could expect and "any other proposal from the international community won't be as good." Former Prime Minister Ehud Olmert chimed in, saying "there's nothing that will change our lives so substantially, nothing that could negatively impact our lives, more than the existence or absence of a peace agreement between us and Palestinians as soon as possible."

And in an editorial, the Israeli daily Haaretz said Netanyahu -- and Israel -- could not afford to be seen as the spoiler.

"An Israeli refusal would put Israel on the South African track, banishing it to the punishment corner, a disgrace to the family of nations. An Israeli refusal would endanger its intimate alliance with the United States, on which its national security and economic wellbeing are based. An Israeli refusal would play into the Iranians' hands," Haaretz wrote.

Kerry seemed to hint at this dilemma when he said: "The time is soon arriving where leaders are going to have to make difficult decisions."

Through intensive diplomacy the U.S. Secretary of State is trying to build momentum and to get both Netanyahu and Abbas to make a leap of faith despite the skepticism and outright opposition they both face at home. By phone, in person, through his support team, Kerry is not giving either party a moment to drift backwards.

The self-imposed timetable calls for a framework agreement to be reached by April. Publicly, that remains the target. But one senior State Department official says with masterly understatement: "From my 35-year experience on this particular conflict and the efforts to resolve it, it always takes longer than you think."

@highlight

Through intensive diplomacy the U.S. Secretary of State is trying to build momentum in Middle East peace talks

@highlight

Borders and Jewish settlements are likely to be the most difficult piece of Kerry's puzzle

@highlight

Some within Israel's coalition government want to annex Jewish settlements in the fertile Jordan Valley