(CNN) -- Just along the river from London's economic heart -- the City of London -- lies the O2 Arena, which over the last week has hosted a tennis tournament which has had record crowds as fans forget about the economic gloom that has gripped both Britain and Europe over the last few years.

"When people are not doing very well, they need something to entertain them and this is a great distraction," said Dakin Sloss, a tennis fan from Silicon Valley in California, who attended the ATP World Tour finals.

Place a five kilometer ring around the now iconic setting, which was specially constructed to herald the arrival of the 21st Century, and within it would fall inner London boroughs where unemployment is well into double digits, double that for the under 25s, and deprivation is very apparent.

Britain officially crept out of its double dip recession last quarter, but like much of the Europe, is gripped by the consequences of sluggish growth and demand.

Dire outlook

But within the O2 Arena's confines there is no sense of austerity.

When the ATP World Tour Finals came to the British capital for the first time in 2009, arguably the economic outlook was even more dire, but during its fourth staging this year the tournament celebrated its millionth paying customer and in many ways is a beacon for the heady success currently being enjoyed by tennis despite the global downturn.

But it's not just London, coming off unprecedented attendances at the 2012 Olympics, and with their own "home town" global superstar in the form of Andy Murray, where tennis has pulled in the big revenues.

"The ATP and its 62 tournaments are now generating more than half a billion dollars annually," Brad Drewett, the tour's executive chairman and president, told CNN.

"We are in our strongest financial position ever and we have the biggest and best group of corporate partners ever involved in the game," he added.

Increased revenues

According to the ATP, commercial revenues have increased 165 per cent since 2009 and during finals week, Ricoh extended its support while the big announcement saw title sponsor Barclays put its name to the tournament through 2015 with London confirmed as the venue in a two-year extension.

Six-time grand slam champion Boris Becker believes that the global appeal of the sport has helped it ride the economic storm.

"You have great stars in a truly international sport, not based on one continent, and whether you are from Asia, Africa, the Americas or Europe, you have your favorites," said Becker, who is working for Barclays on their Ball Kids initiative.

"Tennis has a long history, we have survived wars and many different kinds of problems and in difficult times we come through, "Becker added.

Attendances on the ATP have remained steady at 4.4 million each year since 2009, excluding the four grand slams and Davis Cup matches, and television audiences have increased, with 800 million viewers plus four millions visitors to the official ATP Tour website each month.

Neil Harman, tennis correspondent of The Times of London, believes the rivalry at the top of the men's game, with Roger Federer, Novak Djokovic and Rafael Nadal being joined by Murray to form an invincible "Big Four", is responsible for the sport's resilience in the face of difficult times.

Golden opportunity

"Tennis has this golden opportunity with the players you have got at the top of the game. We didn't have that five years ago," the Times journalist told CNN.

And it's not just the men's game that is on an upward trajectory.

"I have just come from Istanbul (venue for the season-ending WTA Championships) where the semifinal and final saw 16 and a half thousand people crammed inside the stadium."

"The fact is that women's tennis has two iconic figures at the top in Serena Williams and Maria Sharapova -- it's a potent combination."

The success of the respective men's and women's tours is matched and in many ways surpassed by the four grand slams, with ambitious expansion plans in place for Roland Garros, home of the French Open, and Flushing Meadows, which stages the U.S. Open.

Prize money increases

The Australian Open, first on the calendar in January, recently announced record prize money of $30.68 million for 2013, up by $4.13m.

The eight singles players and top eight doubles pairings in London will share out $5.5 million between them, rising to $6.5 million by 2014, but the likes of Djokovic and Federer, who is president of the ATP Player Council, flexed their industrial muscle this year to demand a more equitable share out of the cash at the slams for lower ranked players.

There was fleeting talk of a strike ahead of the Australian Open if demands were not met and the issue remains a cloud on the horizon on an otherwise sunny sky.

"The future is incredibly bright for men's tennis," foresees Drewett, a 54-year-old Australian, who was a former top 40 player himself.

The ATP World Tour Finals is the icing on the cake at the end of a long season, with qualification in the singles and doubles the main goal for the game's elite when they begin their 10-month season.

Permanent home

It's essentially the fifth grand slam and both Becker and Harman believe it will benefit from finding a permanent home in London, extended past 2015.

"It's absolutely astonishing what has been achieved, what they have done with the stadium, the players all love it," said Harman.

Former grand slam finalist Greg Rusedski, working for British television at the event, agreed. "I made two appearances in this tournament in Hanover in the 1990s but this has moved on to another level."

"They have sought to find a proper home for this event," said Harman. "And there's not been a proper home since Madison Square Garden in the 1980s."

Becker would like to see a permanent move: "Tennis is a sport which needs consistency and the reason the grand slams are so successful is everyone knows that at a certain time of the year in a certain place the big stars will turn up," he said.

Rusedski can also see no reason to move while the Paris Masters occupies its present place in the calendar. "Players will not want to travel to Rio de Janiero, which has been touted as venue, at the end of a long season," he said.

Special setting

It's a potent mix of setting and razzmatazz which defines the O2 experience for the crowd, with players emerging like gladiators to loud music and special effects.

From Rihanna to Rafael Nadal: Tennis' popstar makeover

Once the action is underway the crowd is kept in darkness, similar to watching a football match under floodlights, but they are kept in touch with match statistics and disputed line call replays on a giant four-sided screen above the court.

Aces, set and match points are signaled by a moving graphic display which circles the entire arena. "I have been to the Masters Series events in the States and grand slams but for setting this beats them all," said Sloss.

"It's a fun arena to play in," Murray told gathered reporters after news of the two-year extension emerged. "I think it works very well just now."

His rivalry with Djokovic promises to light up arenas around the world over the next few years.

"Novak and Andy are two amazingly gifted athletes, and their talent and potential is limitless," said Drewett.

"However, the game has never been more competitive and if you can get to the top, staying there is more difficult than ever.".

The chief of the men's game will be hoping that Federer continues his late career heroics, beaten by Djokovic in a classic 2012 final, and that Nadal recovers from his injury problems for 2013.

It's that ever shifting battle for supremacy, echoed in the women's game, which appears to drive interest and keep tennis immune from the problems which have afflicted other sports in tough times.

@highlight

ATP World Tour Finals has attracted capacity crowds in London

@highlight

London confirmed as venue for ATP showpiece through 2015

@highlight

Tennis has ridden economic downturn with record prize money on offer

@highlight

International appeal of stars such as Roger Federer and Maria Sharapova cited