(CNN) -- Missile and launch components have been moved to the east coast of North Korea in the "last few days," a U.S. official with direct knowledge of the information told CNN Thursday.

The apparent deployment comes amid further threatening statements by North Korea and heightened tensions in the region -- a situation that "does not need to get hotter," a U.S. State Department spokeswoman said.

The move of the missile and launch equipment could mean that Pyongyang, which unleashed another round of scathing rhetoric accusing the United States of pushing the region to the "brink of war," may be planning a missile launch soon.

The components, the official said, are consistent with those of a Musudan missile, which has a 2,500-mile range, meaning it could threaten South Korea, Japan and Southeast Asia.

The United States has been looking for a hidden North Korean east coast launch site or mobile launchers, a concern because a launch from the east coast would go over Japan, the official said.

U.S. reducing rhetoric that feeds North Korean rhetoric

It is believed a missile launch would be a "test" launch rather than a targeted strike. That is because it appears the North Koreans have only moved the components so far. The United States is waiting to see whether North Korea issues a notice to its airmen and mariners to stay out of the region.

Communication intercepts in recent days also seem to show that Pyongyang might be planning to launch a mobile ballistic missile in the coming days or weeks, another U.S. official said.

Earlier, South Korean Defense Minister Kim Kwan-jin told a parliamentary committee in Seoul that the North has moved a medium-range missile to its east coast for an imminent test firing or military drill.

The missile doesn't appear to be aimed at the U.S. mainland, Kim said, according to the semi-official South Korean news agency Yonhap.

Key dates in U.S. military moves near North Korea

Wednesday, the United States announced it was sending ballistic missile defenses to Guam, a Western Pacific territory that is home to U.S. naval and air bases. North Korea has cited those bases when listing possible targets for missile attacks.

The latest developments come amid the disclosure of what one U.S. official calls an Obama administration "playbook" of pre-scripted actions and responses to the last several weeks of North Korean rhetoric and provocations.

North Korea: Our global fear and fascination

Pentagon seeks to 'turn the volume down'

Pentagon officials, while decrying North Korean saber-rattling, said recent announcements of U.S. military deployments in response to belligerent statements by North Korea may have contributed to the escalating tensions between the countries.

As the bombast reaches a fever pitch, the United States is refining its message toward North Korea. The Pentagon now says it is working to decrease the temperature as it maintains a frank and vigilant stance toward Pyongyang's threats.

"We are trying to turn the volume down," a Defense Department official said.

"We accused the North Koreans of amping things up, now we are worried we did the same thing," one Defense Department official said.

State Department spokeswoman Victoria Nuland denied that there had been a change in tone and defended the U.S. responses.

North Korean social media apparently hacked

"The moves that we have been making are designed to ensure and to reassure the American people and our allies that we can defend the United States, that we will and that we can defend our allies," she said.

It was the ratcheting of tensions from North Korea that led to the U.S. shoring up its defense posture, she said.

"But we have also been saying all the way through that this does not need to get hotter, that we can change course here" if North Korea cooperates with the international community.

At the same time, National Security Council spokeswoman Caitlin Hayden said, the United States urged North Korea's leaders "to heed President Obama's call to choose the path of peace and come into compliance with its international obligations."

"Threats and provocative actions will not bring North Korea the security, international respect, and economic development it seeks," she said.

North Korea slams U.S.

The latest tough talk from Pyongyang lashed out at the U.S. military presence in the region.

A spokesman for a North Korean group accused the United States of "hurling" its "nuclear war hardware into the region and pushing the situation on the brink of war," Pyongyang's official news agency reported.

North Korean rhetoric against U.S. heats up

"The U.S. imperialists have pursued ceaseless war moves since their occupation of South Korea, creating a touch-and-go situation several times. But never have they worked so desperately to launch a nuclear war against the DPRK with all type latest nuclear hardware involved as now," a spokesman for the National Peace Committee of Korea said in a written statement. The DPRK stands for the Democratic People's Republic of Korea.

The statement said the United States is "seriously mistaken if it thinks it can frighten the DPRK with such latest weapons." It said "the country will no longer remain a passive onlooker to the U.S. imperialists' frantic moves to ignite a nuclear war."

"Cutting-edge weapons are not a monopoly of the U.S. and gone are the days never to return when it could invade other countries with nukes as it pleased," the statement said. "The U.S. and the South Korean warmongers had better stop their rash actions, deeply aware of the gravity of the prevailing situation."

The movement of missiles

The possible movement of the North Korean missile is "of concern, certainly to the U.S. military and to Japan," said Mark Fitzpatrick, director of the Non-Proliferation and Disarmament Programme at the International Institute for Strategic Studies in London.

He said he believes the missile in question is a Musudan, a weapon the North hasn't tested before that is based on a Soviet system.

U.S. sending defensive missiles to Guam

The North has medium-range ballistic missiles that can carry high explosives for hundreds of miles. U.S. Defense Secretary Chuck Hagel said Wednesday that the recent North Korean threats to Guam, Hawaii and the U.S. mainland have to be taken seriously.

The medium-range missile will probably take about two weeks to prepare, Fitzpatrick said, which means a potential launch could coincide with the April 15 anniversary of the birth of Kim Il Sung, the founder of North Korea and grandfather of its current leader, Kim Jong Un.

"The concern we have is all you need is that one lucky shot, and that one lucky shot from a North Korean missile could do a lot of damage to our island home," Guam Gov. Eddie Calvo told CNN early Friday.

North Korea warns 'moment of explosion' nears

The U.S. playbook

As a result of the war of words, the Obama administration established a "playbook" of pre-scripted actions and responses to the last several weeks of North Korean rhetoric and provocations, an administration official said Thursday.

The actions included an increased show of U.S. military force during the annual U.S.-South Korea military exercise, the Foal Eagle.

Some of the U.S. military's recent moves -- including the deployment of ballistic missile defenses closer to North Korea -- were not part of the planning.

Key dates in U.S. military moves near North Korea

The latest situation on the Korean Peninsula stems from the North's latest long-range rocket launch in December and underground nuclear test in February.

Tougher U.N. sanctions in response to those moves, combined with joint U.S.-South Korean military exercises in the region, are given by Kim Jong Un's government as reasons to ratchet up its threats in recent weeks.

On Thursday, North Korea barred South Korean workers and managers for a second day from entering the Kaesong industrial complex, an economic cooperation zone that sits on the North's side of the border but houses operations of scores of South Korean companies.

It also repeated a threat from the weekend to completely shut down the complex, where more than 50,000 North Koreans currently work.

The current crisis at Kaesong began a day after North Korea said it planned to restart "without delay" a reactor at its main nuclear complex that it had shut down five years ago as part of a deal with the United States, China and four other nations.

Most observers say the North is still years away from having the technology to deliver a nuclear warhead on a missile.

It has conducted three nuclear bomb tests, in 2006, 2009 and most recently in February. It has said that its nuclear weapons are a deterrent and are no longer up for negotiation.

But U.S. officials have said they see no unusual military movements across the Demilitarized Zone that splits the Korean Peninsula.

Many analysts say the increasingly belligerent talk is aimed at cementing the domestic authority of Kim Jong Un.

Opinion: Kim Jong Un is not crazy

North Korea's elaborate game of chicken with U.S.

CNN's Jethro Mullen reported and wrote from Hong Kong. CNN's Joe Sterling reported and wrote from Atlanta. CNN's Kyung Lah, Judy Kwon and K.J. Kwon in Seoul; Tim Schwarz in Hong Kong; Barbara Starr and Elise Labott and Tom Cohen in Washington

@highlight

FIRST ON CNN: Communications intercepts suggest possibility of NK missile launch

@highlight

State Department: "This does not need to get hotter"

@highlight

A show of force during U.S.-South Korean exercises is part of pre-scripted actions

@highlight

The U.S. says it is transferring a missile defense system to Guam