(CNN) -- If, as the popular saying goes, the definition of insanity is doing the same thing over and over and expecting a different result, the people who run our public schools fit that description. For several generations now, schools have been failing students the same ways over and over and expecting a different result.

Teachers lecture, students sit and some listen. Class happens at the same time, with the same material, and at the same pace for everyone. This is an 1890s model of education -- teaching to the "average" student, rather than the individual.

In an age when most information and knowledge is transmitted digitally and is increasingly personalized—think about how Netflix, Pandora, Twitter and Facebook work— we should be able to do much better than that.

Pioneering projects like Khan Academy, Udacity and Coursera are pointing toward a future of learning that is more like Netflix than the chalk-and-textbook system we have today. Each of them is using technology to help students learn at their own pace, on their own path, and toward their own goals.

As Udacity founder Sebastian Thrun told me in an interview for my book "Breakout," "I think we found the magic formula. That may sound pretentious, but the magic formula for me is high-quality education at scale. I think we owe students a personalized, high-quality experience."

New resources like Khan Academy have enabled creative teachers to integrate digital learning into the classroom and to coach students to offer better, more personalized instruction.

This "blended learning"—having some teaching done by a teacher and some through digital learning systems—is a revolutionary concept that when effectively implemented has led to impressive learning gains, especially among students who have traditionally underperformed. Now this model is getting a boost from a forward-thinking leader in Congress.

This week, Republican Conference Chairwoman Cathy McMorris Rodgers, R-Washington, introduced legislation to set up five state pilot programs to implement this new instructional method

Her idea is to harness the extraordinary progress that charter schools, along with other innovative public and Catholic schools, have had by combining teachers with personalized digital learning systems.

To acquire technology and train teachers often requires an up-front investment. Rodgers' bill pledges $25 million to states in the form of block grants to set up this program. And unlike most federal spending proposals, these grants actually are investments that pay off over time. The long-term cost of educating students, which has been rising exponentially since the 1960s, declines dramatically under blended learning. Taxpayers and students win with a little help from innovation.

This model works precisely because it asks much of teachers and their students. Students' skills are assessed daily or weekly through interactive systems like Khan Academy (which you can try here; it's completely free).

Future lessons are tailored to fit their needs. Then teachers, armed with detailed data about each student, can lead small group and one-on-one sessions to help clear up problems. If, for example, Susie is having trouble grasping fractions, a teacher would be able to identify her difficulty, often that same day, and intervene to make sure she doesn't get left behind.

Under the traditional model of education, students who are having trouble often pass from lesson to lesson, falling further and further behind until the teacher has the time to review the entire class' progress. By then, Susie has probably become frustrated and tuned out. In the case of subjects like math that build upon previous lessons, this phenomenon can be devastating. Students can fall entire grade levels behind before anyone notices they have missed basic concepts that are impeding their progress.

Educators with online tools, on the other hand, can usually accelerate the pace of instruction. In some cases, students skip whole grade levels while using blended learning.

The results of this method of teaching have been astounding, especially in charter schools that have adopted it early, like KIPP Empower Academy in Los Angeles. Nestled in an impoverished neighborhood where most students receive free or reduced lunch (a proxy for poverty), KIPP Empower has adopted blended learning and has seen progress that was once unthinkable. It recently scored an amazing 991 (out of 1,000 possible points) on the California Academic Performance Index. That makes KIPP Empower the top-performing school in Los Angeles County and one of the best in the state of California.

Traditional public schools have also benefited from this model. Oakland Unified partnered with the Rogers Foundation to set up a similar program in a handful of inner-city schools in that district. The results are far fewer discipline problems and much better scores. At one of the pilot schools, the number of students reading at grade level actually doubled.

Promising blended learning programs are underway in settings as wide-ranging as Washington, D.C., South Carolina's Horry County Schools, and Middletown, New York, according to the Lexington Institute's Don Soifer.

In addition to these achievement gains, blended learning is also proving to be more cost-effective for taxpayers than the traditional model.

The cost of educating each student declines in blended-learning environments, in part because schools require fewer teachers to manage the classrooms. With fewer discipline issues, students become more engaged in the material and as a result, learn better. Additionally, teachers have more free time to spend with each student. This makes classroom size rules obsolete, and since compensating teachers has been the main cost driver in education, it is a big breakthrough.

Contact your member of Congress today and voice support for Rep. Rodgers' bill to help more schools start blended learning pilot programs. It's time our education system enters the 21st century.

Join us on Facebook.com/CNNOpinion.

@highlight

Newt Gingrich: Public schools are stuck in an outmoded chalk and textbook era

@highlight

He says a new bill encourages experimentation with learning blending teachers, computers

@highlight

Gingrich: Organizations such as the Khan Academy offer a new way to learn