(CNN) -- The number of women dying of pregnancy and childbirth-related complications has been cut nearly in half over the past two decades, reflecting important and hard-won gains in improving access to family planning and maternal health across the world.

The annual number of maternal deaths worldwide dropped from more than 543,000 to 287,000, according to a report, "Trends in Maternal Mortality: 1990-2010," released last month by the World Health Organization, the U.N. Population Fund, UNICEF and the World Bank.

This is good news to celebrate Wednesday, which is World Population Day. From these latest estimates, we can see that investments in improving access to reproductive health are bearing fruit. Although things are moving in the right direction, there is an urgent need to do more.

Every day, some 800 women die in pregnancy or childbirth from complications that are very often preventable, such as severe bleeding, infections, high blood pressure during pregnancy and unsafe abortion. For every woman who dies, a further 20 women suffer debilitating childbirth injuries, such as obstetric fistulas.

As the lead U.N. agency for sexual and reproductive health, we at UNFPA are working closely with the U.N. secretary-general's Global Strategy for Women's and Children's Health and the Every Woman, Every Child initiative, which involves sister U.N. agencies, governments, businesses and foundations in working toward saving the lives of 16 million women and children by 2015.

We have the tools for preventing these tragedies. Measures such as expanding access to voluntary family planning, investing in health workers with midwifery skills and ensuring access to emergency obstetric care when complications arise have been shown time and again to work.

These interventions not only help save lives, but also support the healthy development of families, communities and nations.

Ninety-nine percent of maternal deaths happen in the developing world, where millions of women are still denied even the most basic levels of care during pregnancy. Thirty-six of the 40 countries with the highest maternal death rates are in sub-Saharan Africa. In that region, the lifetime risk of maternal death is 1 in 39. In the United States, it is 1 in 2,400. In Sweden, it is 1 in 14,100.

Yet many countries have shown remarkable commitments to reversing these trends and ensuring that women have access to skilled health care during pregnancy and childbirth, regardless of where they live.

Ten countries so far, including Nepal, Lithuania and Vietnam, have already met the Millennium Development Goal target of reducing maternal deaths from 1990 levels by 75% by 2015. Another nine countries, including Eritrea and Bangladesh, are on track for meeting their targets.

In other regions, we already know what needs to be done. Fortunately, the new data also show us where to target our efforts. Two countries account for a full third of all maternal deaths: India with 56,000 deaths and Nigeria with 40,000 deaths. Just 10 countries account for 60% of all maternal deaths.

Expanding access to modern contraception for women across the developing world is another highly cost-effective measure that has proven results, and which could in itself reduce the numbers of maternal deaths by a third. In sub-Saharan Africa, just 22% of the women have access to modern contraception.

In addition, there is a particular need for investment in health and education for the roughly 500 million adolescent girls who live in the developing world. Many of them never have a chance to fulfill their potential, because they marry too young and become pregnant too early. All too often, they lack access to adequate health care during pregnancy and at the time of birth. As a result, 70,000 teenage girls die in pregnancy or childbirth each year, making maternal death the most common cause of death for girls between 15 and 19 years old.

Often, a high prevalence of maternal death reflects the low status of women in a society. With greater access to health and education, however, new generations of girls will be empowered to delay pregnancy, advance gender equality and contribute to the economic development of society.

As educated mothers, they will be more likely to invest in the health and education of their children, thus empowering future generations as well. Empowered young people, women and others can beat the poverty trap, propel national development and ensure a more sustainable future for the world.

Join us at Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Babatunde Osotimehin.

@highlight

Babatunde Osotimehin: Maternal deaths worldwide have dropped by half over past 20 years

@highlight

But every day 800 women still die in pregnancy or childbirth from complications, he says

@highlight

Osotimehin: Thirty-six of the 40 countries with the highest rates are in sub-Saharan Africa

@highlight

Expanding access to modern contraception in developing world is key, says Osotimehin