Washington (CNN) -- The tale contains elements of a spy thriller: a soldier in Iran's feared Revolutionary Guard turns spy for the CIA after concluding that the government that had promised democracy had instead ushered in oppression, violence and death.

But Reza Kahlili says this is no novel.

In his new book, "A Time to Betray: The Astonishing Double Life of a CIA Agent Inside the Revolutionary Guards of Iran,"  Kahlili offers a first-hand account of how he turned against the Islamic regime that he said has oppressed its people for three decades.

In one of his first public appearances, Kahlili addressed a packed hall Friday at the Washington Institute for Near East Policy. Flanked by a bodyguard and disguised in a hat, mask and glasses, he spoke through a modulator that led Washington Post columnist David Ignatius to liken his voice to Darth Vader's. Even his name is a pseudonym, all in an effort to protect his family, friends and contacts, he said.

The author said that, after a peaceful childhood in Iran, he came to the United States in the 1970s for college, studying computer science at the University of Southern California, where he enjoyed a carefree life of parties, watching football and listening to Pink Floyd and Jethro Tull.

He returned home after the sudden death of his father to find a country embroiled in change.

Kahlili describes the immediate aftermath of the 1979 revolution against Mohammad Reza Shah Pahlavi as a special time in Iran. Iranians had been led to believe democracy was theirs, the clergy wouldn't interfere in their lives and the people would have freedom of speech, assembly and political affiliation, he said. Everyone was excited about the direction of the country, he said.

It was then that Khalili's friend told him about an opportunity with the newly formed, elite Revolutionary Guard, which hired him immediately.

Reza said he quickly became disillusioned when he saw people being tortured and murdered and women raped in Tehran's notorious Evin Prison. Repressing his countrymen, he said, was not what he had signed up for.

But rather than quit the Guard and endanger his family, he contacted the CIA and began work as an American agent under the code name "Wally," he said.

There was no magic watch or pen or fancy car like James Bond, he said, just a pencil and a notebook. He was trained in communications and deciphering codes. Kahlili said his role "was to look and act the part of a devout Muslim enforcing all the new rules laid down by the mullahs."

"A full black beard was a mandatory accessory to the Guard's uniform, and I sported one along with every other member of the Guards. The image of a scowling, black-bearded Guard in uniform mustered fear and garnered respect. Playing the part of a zealot did not come naturally to me, and there were times I had to do things I dreaded: cautioning young girls to cover up, barking at kids for not displaying proper Islamic behavior, taking on the persona of a fanatic. I knew I would have to try to convince myself that doing these things allowed me to maintain my role -- and maintaining my role allowed me to contribute to the downfall of the organization to which I so fervently imitated allegiance."

He said he provided critical information to his CIA handlers about Iran's role in the Iran-Iraq war, the Iran-contra affair, the bombing of the U.S. Marine barracks in Beirut and the bombing of Pan Am Flight 103, which he said was masterminded by Tehran.

Kahlili described a CIA that knew little about what was going on inside Iran and was complacent about finding out the truth about the regime. He said he warned his case officers in the mid-1980s about the growing danger of the Guard, but said U.S. officials sat idly by, alternating indifference and negotiation with the regime he was working to take down.

This "misconception" of Iran, he said, has plagued America's decisionmaking for three decades.

After a few scares in which he thought his cover was blown, Kahlili left Iran, was granted asylum in the United States and moved to California. He said he no longer works for the CIA, but still provides the agency with information from his contacts in Iran about the regime, its nuclear program, its terrorist activities in the region and its continued oppression of the Iranian people.

He said that, after the September 11 2001 terrorist attacks and the 2005 election of Iranian President Mahmoud Ahmadenijad, he decided to speak out publicly to raise awareness of the brutality of the regime.

He predicted that Iran will eventually attack Israel, Europe and the Gulf and advocated a preemptive military strike against the regime but not against the Iranian people or infrastructure.

Kahlili accused the Obama administration of naivete and betrayal for seeking to engage Iran. Not only does the regime see this as weakness on the part of the United States, he said, but the Iranian people view it as a betrayal of the highest order as they fight for freedom.

"Stop dreaming, please," he said Friday. "You are not dealing with rational people. Every time you extend a hand, it is not seen as sincerity, but stupidity."

The CIA's public affairs office in Washington was not open Friday night and its telephone number would not accept messages; its e-mail account rejected two attempts to send it a message.

@highlight

Former member of the Revolutionary Guard describes life as a CIA spy

@highlight

Newly published book describes disillusionment after 1979 revolution

@highlight

Code name "Wally"