LONDON, England (CNN) -- Plans to rejuvenate a dilapidated London icon -- known worldwide to movie and music fans  -- were unveiled last week.

The redevelopment of Battersea Power Station includes a new eco-dome and a solar chimney.

Battersea Power Station, which has dominated the west London skyline since 1933, will -- subject to planning approval -- undergo an $8 billion redevelopment including shops, homes, a hotel, offices and a striking 300 meter eco-tower.  The building appeared on the cover of the 1977 Pink Floyd album "Animals," complete with a giant pig floating above its four distinctive towers.

It has also appeared in numerous movies including sci-fi drama "The Children of Men", new Batman feature "The Dark Knight" and Alfred Hitchcock's "Sabotage."

Real Estate Opportunities Ltd (REO), who currently own the 38 acre site say the defunct and crumbling edifice will be: "brought back to life in the most spectacular way. It will be a place to live, work and play".

An Irish development company, REO is planning to spend $300 million repairing the old coal-powered station and get it working again -- this time producing energy from biofuels, waste and other renewable energy sources.

At the heart of the regeneration stands a vast new chimney and eco-dome, which as well as housing apartments and offices will act as a vast solar ventilation system cutting down the building's energy demand by two thirds.

Managing Director of REO's development manager, Treasury Holdings UK, Rob Tincknell describes it as "a power station for the 21st century...supporting a truly sustainable, zero carbon development".

Uruguayan architect Rafael Vinoly whose daunting job it was to come up with a workable new design for the much loved site describes the old power station as a "remarkable architectural presence". In creating a vast transparent chimney Vinoly hopes that it will contrast with what he describes as the "monumental mass" of J. Theo Halliday and Sir Giles Gilbert Scott's original design.

Of course, we've been here before. Since the turbines were shut down for the final time in 1983 the power station -- situated on the south bank of the river Thames -- has been the subject of several failed redevelopment ventures.

In 1983, a scheme proposed by UK businessman John Broome promised to turn the power station into a gigantic theme park. But by the decade's close and despite the enthusiastic backing of UK Prime Minister Margaret Thatcher his funding package for redevelopment, much like the site itself, were in a ruinous state.

In 1996, development company Parkview International headed up by Victor Hwang acquired the freehold for the site. By the time its current owners REO bought the site a decade later another over ambitious redevelopment scheme -- which included a single table restaurant atop one of the four chimneys -- had come and gone. By now the entire site was in a pretty parlous state -- the chimneys being declared beyond repair and threatened with imminent demolition.

This new proposal has already provoked a chorus of dissent. Writing in London's Evening Standard newspaper, architecture critic Rowan Moore described the idea as: "spectacularly, riotously, extravagantly nuts," telling the developers and planners to: "Forget it. Do not try to compromise with a tower two-thirds as high. Do not build a tower. Aim for zero-carbon and beautiful buildings...".

The Guardian's resident architecture expert Jonathan Glancey gave the designs a cool reception describing them as; "more than a little over the top".

CNN spoke to Keith Garner, an architect and member of the Battersea Power Station Community Group about the new proposals. He didn't mince his words. "If you take it as a serious proposal, it's immensely harmful," he said. "It is a massive tower -- about the same size as the gherkin. Battersea Power Station is a Grade II* listed building. If you put a tower of that mass next to it, you are going to diminish its significance.

"If you are serious about rescuing this building you would do it in stages. The old turbine halls and the switch houses are easily reusable. A sensible, rational approach to this would involve starting with the power station itself and doing the work in small achievable phases."

Consequently, Garner doesn't believe that the new plans are credible.

"I think the developers have overplayed it. This is a joke and I think it needs to be denounced for what it is -- a ludicrous and unnecessary diversion from the principal task of repairing the building."

Take a look at the photos of the new proposal and classic images on the tab at the top of the page. Tell us what you think of the latest redevelopment plans in the sound off box below. Do you think they will dwarf the old power station and compromise its iconic status?

@highlight

New plans to rejuvenate the iconic Battersea Power Station site have been unveiled

@highlight

A new chimney and eco-dome form part of a 21st century blueprint for sustainability

@highlight

Critics remain unconvinced that the new development is desirable or achievable