Los Angeles (CNN)  -- Keep debating whether video games are art if you wish. At E3, the world's biggest gaming expo, it's a closed question. Here, video games are definitely art -- and a gallery-style exhibit aims to prove it to as many people as care to look.

"Into the Pixel," a juried art show now in its eighth year, opened on Tuesday, showcasing work that supporters say is finally receiving its just due in the sometimes-cloistered art world.

"There actually is no line at all between the video-game artist and the fine-art world," said Nora Dolan, an independent curator who has worked at galleries including the Ansel Adams Museum in San Francisco and the Whitney Museum in New York and was one of the jurors for the show.

"There's no difference to me. This is as high-quality an exhibit as could be."

Seventeen images were selected for the show out of hundreds of submissions. After showing at the Electronic Entertainment Expo, the exhibit will spend the next year traveling to festivals and conventions around the world.

As may be expected, there were dragons and spaceships, creepy monsters and brave heroes depicted in the show. But other pieces might not be pegged as video-game images at all if not for the setting.

"Oktonok Cay Cannery," by David Guertin from the game "Ratchet & Clank: All 4 One," is a rendering of a highly abstracted shipyard that wouldn't look out of place next to work by Salvador Dali.

"The Pelican," by Andrew Kim from "Uncharted 3: Drake's Deception," is a detailed look at the interior of an empty and vaguely ominous East End London pub.

The prints on display at the opening in the Los Angeles Convention Center were created for video games that range from massive hits from major companies to small, independent games. Some were touched up slightly for their gallery debut, but many are directly lifted from gameplay.

Tyler Breon's entry, "Cronos Battle," from last year's "God of War III," depicts an enormous monster hulking over the game's main character, peering down at him with a look hovering somewhere between perplexed and annoyed.

Breon, a senior character artist for Sony, had his first gallery showing at "Into the Pixel." Video-game art, like other emerging art forms, needed time to earn wider acceptance, he said.

"You look at all kinds of media that were new -- anything that's new, people aren't really comfortable with initially," he said, citing the way comic-book art is now taken seriously, but only after decades of scorn. "I think the longer they're exposed to it, they come to be more comfortable with it."

The past year may have been a turning point in the art world's comfort with video games. The Smithsonian Institution announced that, in 2012, it will be opening "The Art of Video Games," an exhibition spanning four decades of gaming images.

And, last month, the National Endowment for the Arts announced video games would join film, radio and other media that are eligible for government support.

"There are signs that this is really happening," said Martin Rae, president of the Academy of Interactive Arts & Sciences which, along with the Entertainment Software Association, sponsors "Into the Pixel."

"We now have a realization within the government that what we do is art," Rae said.

Rae compares video-game art to photography. In its infancy, art communities dismissed photo-taking as a simple act of point-and-shoot, merely copying an image that already existed.

"I think we had the same thing here," he said. "But the public is catching up."

By showcasing the work in "Into the Pixel," Rae and others hope to speed that process.

"Every time traditional fine arts people look at what we have in our industry, they immediately recognize that the artists within our industry are exceptional," he said.

@highlight

Supporters say video game art is finally receiving its just due

@highlight

"Into the Pixel," a juried art show, is now in its eighth year

@highlight

Curator: There's no line between the video-game artist and the fine-art world