Washington (CNN) -- The Obama administration aims to cut the annual number of new HIV infections in the United States by 25 percent over the next five years, according to a nationwide HIV/AIDS strategy unveiled Tuesday.

Federal officials are also seeking to combat a growing sense of complacency about the disease, partly by reducing the percentage of infected Americans who are unaware of their status.

Specifically, the strategy focuses on three key areas: reducing the number of people who become infected, increasing access to care, and decreasing HIV-related health disparities.

"The actions we take now will build upon a legacy of global leadership, national commitment, and sustained efforts on the part of Americans from all parts of the country and all walks of life to end the HIV epidemic in the United States and around the world," President Barack Obama said in a memorandum sent to a number of federal departments and agencies.

"The question is not whether we know what to do, but whether we will do it," the president said Tuesday evening at a White House reception. "Whether we will fulfill those obligations .... to prevent a tragedy."

The White House's goal, Health and Human Services Secretary Kathleen Sebelius noted, is to make new infections rare while ensuring that those who are infected have an "unfettered access to high quality life-extending care free from stigma and discrimination."

Among other things, the strategy calls for an intensification of HIV prevention efforts among communities where the disease is most heavily concentrated. It highlights the need to steer federal grant money toward organizations dealing with high-risk groups such as gay and bisexual men and illegal substance users.

It also cites the importance of greater education and "scientifically proven biomedical and behavioral approaches" to reduce the spread of the disease, including the use of condoms, abstinence, HIV testing, and access to sterile needles and syringes.

While the spread of the disease has slowed since the 1980s, an estimated 56,000 Americans still contract HIV each year, according to White House Domestic Policy Council Director Melody Barnes. Roughly 1.1 million Americans are currently living with HIV.

Approximately 1 in 5 infected Americans is unaware of his or her status, according to the Centers for Disease Control and Prevention.

The plan does not call for a major increase in the roughly $19 billion the federal government spends on HIV/AIDS programs, though administration officials on Tuesday cited new benefits provided by the recently passed health care reform law.

One leading HIV/AIDS activist, however, was sharply critical of the administration's strategy. Michael Weinstein, president of the Los Angeles-based AIDS Healthcare Foundation, told CNN in an interview that "when you see what this administration has done on AIDS, you have to give them very low grades."

Obama has "consistently underfunded AIDS" programs, Weinstein said. The president "did not mention the word AIDS for the first five months of his administration. This national AIDS strategy has been worked on for 15 months, [and] I think it could have been done in 15 minutes. There's nothing new in it."

Weinstein criticized the administration's intention to redirect money to those groups at greatest risk of contracting HIV/AIDS. "It's not good to pit one group against another and it's unnecessary," he said. "The bottom line is that we should be seeking to get all sexually active people to get an HIV test."

The White House announcement came less than a week after a group of scientists published a study saying they had made a key discovery that could help in the development of an HIV vaccine.

Scientists at the National Institute of Allergy and Infectious Diseases said last week that they had found three human antibodies that neutralize more than 90 percent of the current circulating HIV-1 strains.

"This is significant because we've now found antibodies that are good templates for HIV vaccine development," said Peter Kwong, co-author of the study published last Thursday in the journal Science.

More than 18,000 people with AIDS die each year in the United States, according to the CDC. More than 576,000 people with AIDS have died in the United States since the epidemic began.

The World Health Organization says AIDS accounted for an estimated 2 million deaths in 2008, and more than 33 million people are living with HIV worldwide.

CNN's Alan Silverleib and Dick Uliano contributed to this report

@highlight

A leading AIDS activist criticizes the White House for underfunding HIV/AIDS efforts

@highlight

The White House HIV/AIDS plan focuses on reducing infections and increasing access to care

@highlight

Roughly 1.1 million Americans are infected with HIV/AIDS

@highlight

AIDS accounted for 2 million deaths worldwide in 2008, the World Health Organization says