A senior Bloomberg News journalist quit his role earlier this month, saying the "mishandling" by his bosses of a story critical of China was behind his departure, amid suggestions that the New York-based company is pushing a financial strategy for China that overshadows editorial autonomy.

Asia Editor-at-Large Ben Richardson left the news organization at the beginning of March in protest at his senior colleagues' approach toward a long-running investigative piece that sought to expose hidden financial ties between the families of Chinese officials and a wealthy businessman. The New York Times, amongst others, first covered the story of the piece's non-publishing in November of last year.

In an email to the newspaper, quoted in the initial article, Bloomberg Editor-in-Chief Matthew Winkler said the piece was "active" and that it had not been killed.

However, since then it has remained unpublished and, speaking to CNN Thursday, Richardson said that, while what he can say is limited by a confidentiality agreement, he could "categorically state that it (the story) was spiked."

"No work is currently being done on that story," he said. "The primary reporter has left the company ... it's a risible excuse to say that the story is just resting."

Despite requests on a number of occasions, Bloomberg declined to comment on this story when contacted by CNN, or agree to requests for an interview with Winkler.

'Misleading statements'

The piece, which was produced over several months in 2013, was due to be published late last year but "ran into some opposition" from senior staff, according to Richardson. The initial New York Times article cited journalists who worked on the story and participated in a conference call as saying Winkler informed them that a decision not to publish the story had been made.

Winkler reportedly told the journalists -- Richardson included --  working on the story that it was necessary to stay on the right side of Chinese officials, given that several reporters from organizations including Al Jazeera and the New York Times along with Bloomberg, had had their visas withheld or rejected -- apparently following reports critical of Beijing.

Subsequently, the story's lead journalist, Michael Forsythe, left the company. Forsythe declined to comment when contacted by CNN.

In an email to media blog JimRomenesko.com, published earlier this week, Richardson wrote: "I left Bloomberg because of the way the story was mishandled, and because of how the company made misleading statements in the global press and senior executives disparaged the team that worked so hard to execute an incredibly demanding story.

"The reporters who worked on the story for months didn't get to review the copy before it was unilaterally spiked on a conference call with a ludicrous amount of top brass."

Unlike many news organizations, Bloomberg has alternate revenue streams. Bloomberg L.P., Bloomberg News' parent company's financial terminals are sold in China. Currently, the number of subscribers in the country, estimated by the China Law and Policy blog at 3,000, is dwarfed by those in other parts of the world, meaning that there is considerable scope for growth. When asked about the subscriber numbers, a Bloomberg spokesperson told CNN that the company could not confirm subscriber numbers for individual territories.

The timely, accurate access to Chinese financial data is also considered to be an important part of the company's success, enhancing its legitimacy as a provider of financial data worldwide.

Backing off?

Comments made by Bloomberg chairman Peter Grauer following his Asia Society Hong Kong speech on March 20, addressed the issue of sensitive stories in China and their ramifications.

"We have about 50 journalists in the market (in China), primarily writing stories about the local business and economic environment and ... every once in a while we wander a little bit away from that and write stories that (we) probably... should have rethought but China for us is very important," he said in response to an open-ended question about the company's strategy there.

"For us being in China is very much part of our long term strategy and will continue to be so going forward."

Yuen Ying Chan, Director of the Journalism and Media Studies Center of the University of Hong Kong, said she thinks the message Grauer's statement gives is that "Bloomberg is willing to compromise the credibility of its news product."

"I think it's problematic, and wrong for him to pitch business with journalism, with data, because you need good reporting to ensure...  (the) authenticity of your information. I don't understand... you're not selling apples and oranges, you're selling information to the world. Then credibility is your most valuable attribute, right? So you need a product that's credible, (or) you undermine yourself."

For Richardson, the decision to publish or not comes down to Bloomberg's view of itself as a journalistic organization, and where its priorities lie.

"The company has a duty to consider the interests of a majority of its workers. Now if your news division is part of that (but) doesn't provide the bulk of the revenue... If you're putting the company's entire business at risk because of an investigative journalists' project, then you have to ask yourself -- is that the right thing to do?"

The company's signature financial software product is by far its biggest revenue producer, representing about 82% of its $8.5 billion in revenue, Grauer said during his Asia Society speech.

Timeline: Foreign journalists under pressure in China

Sensitive stories

Bloomberg has sailed close to the wind on previous occasions, such as former editor Amanda Bennett's June 2012 piece on then-incoming President Xi Jinping's family's business interests and its "Red Nobility" story, also edited by Richardson, which mapped the origins of an "elite class" of descendants of China's "Eight Immortals" -- an elite group of Communist revolutionaries who helped found the People's Republic of China. Since the publication of that article, Bloomberg's news website has been blocked in China.

Richardson said that the story represented a new direction for the company but ultimately Bloomberg may have felt they have underestimated the severity of the reaction of China's political class.

"I don't know to what extent that (was) born out of naivety," Richardson said. "Did they really realize what the consequences were? Anyway, I would think they probably would have rethought it with hindsight."

Reporters playing smart as China takes tough line with media

China's influence

The news of Bloomberg's alleged climbdown comes as part of a larger trend of international companies acquiescing to China's restrictions. While Internet giants Facebook and Google have chosen to remain outside of China rather than compromise their independence, others, such as LinkedIn, Microsoft and Apple have accepted that curtailment is a condition of doing business in China.

In addition, in 2005 and 2006 Yahoo suffered a wave of negative publicity for handing over data on journalist Shi Tao to the authorities. At the time, a Yahoo spokesperson told CNN Money that the company's response was that they had "only responded with what we were legally compelled to provide and nothing more."

In the last two years, international media companies, including Al Jazeera, Bloomberg, the New York Times and Reuters have fallen afoul of Chinese authorities, prompting a slew of comment from publications such as the Washington Post and the New Yorker about the cost of reporting in China.

In its 2013 year-end statement, the Foreign Correspondents' Club of China said that Chinese authorities were increasingly using the denial of visas, or delays in their approval, in an apparent effort to influence journalists' coverage.

Chinese authorities did not respond to requests from CNN for comment on this story.

With regards to Bloomberg's possible editorial decisions, "the interesting thing is whether a news organization, per se, has a duty to protect and enhance free speech," said Richardson.

"I think that the debate we should be having is not trying to treat Bloomberg as some kind of fallen angel but just to try another debate as to how the media engages with dictatorial regimes or this level of intolerance to free speech."

Western journalists' China visa dramas: Don't shoot the messenger

@highlight

Bloomberg editor-at-large Ben Richardson leaves company, saying "top brass" mishandled sensitive story

@highlight

News organization claims the story wasn't ready for publication, a claim disputed by Richardson

@highlight

Sales of terminals in China and access to Chinese financial data may influence editorial decisions

@highlight

Move follows other international news organizations running afoul of Chinese authorities