Osh, Kyrgyzstan (CNN) -- Smoke rose over the streets of Osh and sporadic gunfire could be heard Monday as ethnic groups continued to battle in the strategically important Central Asian nation of Kyrgyzstan.

An estimated 80,000 ethnic Uzbeks have fled the ongoing clashes against ethnic Kyrgyz, causing one aid official to describe the situation as a "humanitarian catastrophe," according to the International Committee of the Red Cross.

At least 114 people have been killed in the clashes, and another 1,458 have been wounded, Kyrgystan's national news agency AKI Press reported Sunday.

It is the most serious outbreak of ethnic violence in the former Soviet republic since 1990, when hundreds died after clashes between Uzbeks and Kyrgyz in Osh, the country's second city.

Refugees who fled the violence are desperate for food, a top European official said Monday.

"People are screaming, 'We need food; we need food,' to those who are passing by," EU Commissioner Kristalina Georgieva said.

The World Food Programme has emergency stocks in the country and can deploy food quickly, she said, but would then need to restock urgently.

The United States committed over $800,000 for immediate humanitarian assistance to be provided through the United States Agency for International Development (USAID), according to the U.S. Embassy in Bishkek. U.S. officials are working with the provisional government to determine how to best distribute another $200,000 in medical and emergency supplies.

The United Nations says it is sending an emergency team to Uzbekistan to aid refugees who crossed the border.

The U.N. High Commissioner for Refugees is airlifting aid from emergency stockpiles in Dubai, United Arab Emirates, and sending logistics, operations and field officers "immediately," it said in a statement.

U.N. Security Council President Claude Heller said the group condemns the "continued acts of violence in the Kyrgyz republic and notes the need to support the delivery of humanitarian assistance."

He said the council is still assessing the situation in Kyrgyzstan and calls for "calm and a return to the rule of law" in the country.

The Uzbek government estimates that 75,000 people have fled into the country since Friday, slightly below Red Cross estimates.

The violence comes two months after President Kurmanbek Bakiev was overthrown after bloody clashes between police and protesters in the Kyrgyz capital, Bishkek.

Opposition leaders had accused Bakiev of corruption and consolidating power by keeping key economic and security posts in the hands of relatives or close associates.

Kyrgyzstan hosts a U.S. military transport base that is vital for supplying its troops in Afghanistan. It also has a Russian military base and strategically important natural gas pipelines.

According to one report, the death toll is much higher than official figures suggest. Local officials in Osh, the city worst affected by the violence, said that at least 500 ethnic Uzbeks have been killed, according to Ferghana.Ru, an independent news agency.

And the situation seemed to be continuing early Monday as a Uzbek neighborhood in Osh looked grim. At least three bodies were on the street, buried in rubble. Goats and sheep had been killed and burned in yards. Some homes were vandalized with spray-painted signs proclaiming "get out of Kyrgyzstan."

Red Cross representatives visited refugee camps Sunday in Uzbekistan where 30,000 adults, mostly women, have registered, spokeswoman Anna Nelson said.

Each woman, Nelson said, has two or three children with her.

Uzbek authorities are providing refugees with food and shelter, but camps are inundated by the flood of people crossing the border, Nelson said.

Red Cross officials said they saw 250 injured people in the camps, including about 40 Uzbek men with gunshot wounds, according to Nelson.

"We do not yet fully understand the true scale of the humanitarian catastrophe that is unfolding in southern Kyrgyzstan," said Francois Blancy, deputy head of the Red Cross regional office in Tashkent, Uzbekistan.

The interim government worked this weekend to quell the upsurge of violence, imposing states of emergency in Osh, where fighting between ethnic Uzbek and Kyrgyz youths led to mass rioting, and in Jalal-Abad in order to keep the unrest from spreading there, it said.

But the measures did little to calm the situation Sunday. Russia Today reported that the interim government has given police permission to shoot to kill rioters on the streets.

Members of the Collective Security Treaty Organization -- comprised of Kyrgyzstan, Russia, Armenia, Belarus, Kazakhstan, Uzbekistan and Tajikistan -- are to meet Monday to discuss the crisis, official Russian news agency RIA-Novosti reported.

Turkey has established a crisis desk to help find ways to address the violence in Kyrgyzstan, Turkish Foreign Minister Ahmet Davutoglu said. Turkey is sending two planes to are to help evacuate Turkish citizens trapped in the area.

The United States is monitoring developments and is calling for a "rapid restoration of peace and public order in the city of Osh and elsewhere where it appears ethnic violence is occurring," according to a statement released Saturday by the State Department.

A small group of expatriates from Kyrgyzstan and Uzbekistan demonstrated outside the White House on Sunday, calling for President Barack Obama's help in ending the crisis.

About 50 people from the Uzbek Initiative Group carried signs reading "Stop the killing" and chanted "Bring peace to Kyrgyzstan."

The group had sent a letter to Obama "urging the United States and the United Nations to assist in bringing a halt to the current ethnic unrest in southern Kyrgyzstan," describing the clashes as "the worst ethnic violence in the region since 1990 when hundreds were killed before the quick intervention of Soviet troops."

CNN's Matthew Chance and Brian Walker and journalist Dalton Bennett contributed to this report.

@highlight

NEW: U.S. commits $1 million in assistance, supplies

@highlight

U.N. Security Council condemns violence

@highlight

Refugees desperate for food, top European official says

@highlight

Red Cross official describes situation as "humanitarian catastrophe"