When Typhoon Rammasun swept through the South China Sea in July, a tiny ship was trapped in its path. The deadly storm whipped up waves over 10 meters high and winds approaching 200 miles per hour. Any regular boat would have been smashed to pieces, but this craft just a few feet long sailed through without pausing in its work.

The Wave Glider is an ocean drone developed by Californian start-up Liquid Robotics. It had been collecting environmental information when the storm hit, and continued throughout the encounter to compile a unique dataset of the conditions created by Rammasun. The craft's instruments recorded the speed and movement of waves, current and wind from the epicenter, the first such measurements from such a powerful storm, which are now available for scientists to use in the development of warning systems.

The Glider consists of two parts: a surfboard-like shell that floats along the surface, bearing a row of solar panels that power the craft. This is connected by cable to the sophisticated measuring tools that float five meters below, protected from the fiercest elements, propelled by wave-powered wings that also serve as an anchor to make it almost indestructible.

"We can put them in places where humans would not be happy to go ... there is huge potential to save lives and prevent damage," said Graham Hine, co-founder of Liquid Robotics. "It's pretty clear that we can forecast the direction of a hurricane, the intensity, and better understand the original formation of storms."

Read this: Robot furniture builds itself

Beyond averting disasters, the drone is being used on missions to break new water in understanding the 95% of the world's oceans that remain unexplored. Wave Gliders are measuring acidification levels and environmental damage, and monitoring wildlife to aid conservation efforts. They are searching for new sources of fuel, chemicals and medicines, and providing security against mines and other hazards.

Hine believes the drone has already transformed exploration and foresees rapid progress. "The more you use the more efficient they are because if you launch 50 you only use one ship -- which is the bulk of expense," he says. "It's a paradigm shift toward using large fleets for wider coverage and research. And the (sensor) technology gets better the more you use it."

The fleet is expanding steadily -- this summer saw the largest set of Gliders yet probing the Arctic ice to chart the effects of warming as well as to search for hydrocarbons. Such capabilities have earned the company a growing list of conservation, fuel and military clients.

The current SV3 model is being upgraded to improve power storage, reliability and the sophistication of its algorithm, but experts believe the systems are already mature.

"In the last 20 years these platforms gone from experimental one-offs to workhorses," says Chris Roman, professor of oceanography at University of Rhode Island, who uses drones in research on oil spills. "We can't afford to go everywhere in manned submarines so these offer a greater range -- if submarines are like searching with a microscope, these are like satellites."

Read this: Electronic nose sniffs out cancer

The Wave Glider is "an important arrow in the quiver," says Roman, as it offers valuable insights within its field but limited to the surface region. He would like to see its work combined with that of crafts such as the Nereus, the deepest ranging autonomous vessel, from the Woods Hole Oceanographic Institution (WHOI), one of which was lost in May in the Kermadec Trench 10,000 meters deep.

The fastest-growing applications in the field have been military and fuel, but Roman believes there are greater prizes on offer.

"The important things are to measure CO2 levels and acidification, the major indicators of the state of the ocean," he says. "This is a huge question and the more observation we have in different parts of the ocean greatly improves our ability to measure it."

Looking ahead, Liquid Robotics is opening up its platforms to research institutions to develop new and improved sensors to create new fields of investigation.

A more ambitious vision is to build on communication -- between drone and command center, but also between swarms of drones working together. Beyond this, innovators in this field are seeking another level of information that combines the research of drones on the surface with drones on the sea bed, aerial drones and satellites in space.

It has taken humanity until now to explore 5% of the world's oceans, but in the unmanned era we are making up for lost time.

Read this: Robot furniture builds itself

Read this: Electronic noses sniff out cancer

In pictures: What the Internet really looks like

@highlight

Ocean drone survives typhoon and collects data from the center

@highlight

Wave Glider also used in monitoring acidification, and mine sweeping

@highlight

Development will include collaboration between drones above and below the water