(CNN) -- "Ninety percent of the people that live in this holler are coal miners or retired coal miners," 48-year-old James Dials explains as he winds his pickup through the mountains of southern West Virginia.

The rear window of the truck is emblazoned with large decals of a CAT truck, a mountain peak and a bulldozer.

He is a proud coal miner.

"As far as I can remember, I never dreamed of being anything else," he says.

He grew up in tiny Sharples, West Virginia, where he fished for trout, hunted deer and rode motorbikes around Blair Mountain. His extended family still lives here, and he has no intention of leaving.

"If I were to leave here and go to a city, I would be lost trying to do factory work," says Dials, the son and grandson of coal miners. "I'm not going to say I wouldn't try, but I probably wouldn't stay with it."

But Dials, who loves this quiet, small-town, country life, finds himself in the middle of a loud, high stakes fight between coal companies, politicians, environmentalists and impassioned activists.

The debate is over mountaintop coal removal, or MTR.

See how contentious the battle for Blair Mountain became

Scott Simonton, a civil and environmental engineer who teaches at Marshall University in Huntington, West Virginia, explains the process of coal companies cutting off the top of a mountain to remove coal: "They will take hundreds of feet off the top of a mountain to get to a few feet of coal."

See the impact of mountain top removal from both sides

In 2009, Lisa Jackson, then the newly appointed administrator of the Environmental Protection Agency, placed MTR permits under review so her agency could determine if the projects would pollute area water.

"They need to understand," she says, referring to the coal companies, "yeah you can mine coal, you can give jobs to people, but you can't do it at the expense of their lives, their health, their water, their air, that's too much."

Since then, nearly all new mountaintop removal permits have been frozen.

Poll: Majority oppose mountaintop removal coal mining

The environmental agency's permit review set off a battle for the future of mountaintop mining in West Virginia: the coal industry and its supporters on one side, environmentalists and people concerned about the health effects of mining on the other.

Dials works mainly in mountaintop removal, driving a rock truck and helping rebuild the mountain slopes destroyed by blasting.

To him, MTR permits mean more work. No new MTR permits means jobs like his will eventually dry up.

Read more about the march on Blair Mountain

West Virginia University public health associate professor Michael Hendryx has been studying the health effects of mining in Appalachia for five years.

"I think it really is the biggest public health problem that West Virginia faces," he says.

Recent studies he's published linked  "multiple illnesses and multiple health outcomes that are problematic in mining areas. Higher rates of cancer is one of them. Higher forms of chronic heart disease, heart attacks, and lung disease like (chronic obstructive pulmonary disease), kidney disease," he says. "We have found evidence for all of those."

But Bill Raney, president of the West Virginia Coal Association and a lobbyist for the coal industry, takes issue with Hendryx's studies.

"I think what you find is there is a correlation as opposed to a causation and it's got to be analyzed," he says.

He believes the studies raise more questions than answers.

The answer to this fight in West Virginia might be easier to find if there were other opportunities for men like James Dials.

But there are few.

"That's the only jobs in the area," says Dials' wife, Linda.

There are no other jobs in the area for men with his experience and education that would provide his current salary, about $65,000 per year.

Activists against mountaintop coal removal often say diversifying West Virginia's economy is a way to increase jobs in the area.

But the Dialses believe that is not a short-term solution.

"There are factories everywhere shutting down," Linda Dials says. "What could they put here that would even come remotely close to being what coal and the industry of coal can do for the people of West Virginia?"

The unemployment rate in West Virginia is 8.5%. Even if James Dials was willing to move from southern West Virginia -- he's not -- recent Bureau of Labor Statistics findings say there are nearly five unemployed people for every one job available nationally.

Historian Chuck Keeney, an instructor at Southern West Virginia Community and Technical College, believes he has the answer.

"They can mine the coal around Blair Mountain and they can get all the coal out without using mountaintop removal," he says.

Keeney prefers underground mining to mountaintop removal and is a leader in the fight to save Blair Mountain from the mining method. The mountain was the site of a massive coal miner uprising in 1921, one that eventually allowed the coalfields of southern West Virginia to be unionized.

"They may not make as big a profit ...," he says, referring to the coal companies, "because they will have to hire more miners."

While underground mining jobs do employ about 25% more miners than aboveground -- or surface mining -- jobs, not all MTR projects can be carried out by traditional underground mining.

Sometimes the coal is too close to the peak to be reached safely that way.

But there is a larger trend: Coal jobs in the state are drying up. In the 1940s, about 130,000 men made their living by mining "black gold." Now that number is around 22,000, according to the U.S. government's Energy Information Administration.

The administration's projections show that by 2035, coal production in West Virginia will decrease by 40% and require thousands fewer miners.

Improved technology has led to the decline. So has economics: It's cheaper and easier to mine in Wyoming, which is now the top coal state, producing 400 million tons a year, four times what's mined in West Virginia.

So what's a man like James Dials supposed to do?

"I've got to work," James Dials says. "That is the bottom line, I have got to work."

Rob Howell and Dave Timko contributed to this report.

@highlight

Miners like James Dials say mountaintop removal coal mining preserves jobs

@highlight

Health researchers worry about the effects of mining; the EPA has frozen mining permits

@highlight

Environmentalists and historians say the mountains should be preserved

@highlight

"That is the bottom line, I have got to work," Dials says