(CNN) -- The iconic image of the neighborhood drugstore and wise and friendly pharmacist were once part of the American social fabric. The local pharmacy was where we went to pursue romance over an ice cream soda, share gossip with members of our community or acquire our most basic supplies. Pharmacists were our friends, our neighbors and those we looked to for help and aid.

But increasingly, as the local pharmacy transformed into the large chain drug store, the analgesics and advice were joined by something quite different and deadly: tobacco products.

Along with medicines, greeting cards and cosmetics, large retailers and pharmacies like Walmart, Rite Aid and Walgreens sell cigarettes and other tobacco products, despite the fact that we know they are harmful.

But on Wednesday, CVS/Caremark stepped up and declared loud and clear: Cigarettes and health care cannot and should not coexist under the same roof.

We applaud CVS for taking the bold and socially conscious step to stop selling cigarettes and other tobacco products effective October 1. More than 7,600 CVS stores across the nation will no longer sell these products -- impacting thousands of customers across the country and helping to promote longer, healthier lives.

Despite intense competition in the industry, CVS had the vision and the conviction to do what is right for its customers. Each year in our country, more than 480,000 Americans lose their lives to tobacco-related diseases, including heart disease, cancers, emphysema and stroke. Tobacco use also takes a huge toll on our economy, from lost productivity to the medical care costs of treating sick smokers.

But tobacco-related disease is wholly preventable. Proven tactics such as raising the price of tobacco products, clean indoor air laws, and effective public education campaigns can help drive smoking rates down. For years, these have been the tools of government and nonprofit organizations like Legacy Foundation.

CVS brought a critical additional tool to bear -- limiting access to tobacco -- and issued a clarion call for retailers to join the fight to change the culture around tobacco use to make it less socially acceptable. Removing tobacco products from pharmacy shelves -- where they are often both an eye-level temptation for youth who are open to smoking and a trigger for smokers struggling to quit -- will help foster positive changes in our attitudes toward smoking. We challenge other large retailers to take the same step and put their customers' health and well-being ahead of their profit margins.

CVS's decision shows that the for-profit sector can truly do good. Increasingly, America's pharmacies are positioning themselves as health care providers. Instead of a traditional visit to a doctor's office, many people may now visit their pharmacy -- like CVS's Minute Clinic -- for a quick assessment or diagnosis or to receive an on-the-spot prescription for whatever ails.

To be seen as trusted health care providers, pharmacies must reconcile the inherent contradiction of offering those services while also selling lethal tobacco products to those very same customers. Providing medical services in one part of the store while offering harmful products at the cash register is a paradox that couldn't be clearer. CVS recognized that to be a true leader, you have to not only talk the talk but walk the walk.

In a business climate with brutal competition and the persistent pressure to deliver short-term results, estimates are that this move by CVS could cost the nation's second largest drugstore chain about $2 billion in annual sales. But smart businesses look toward the big picture. By taking tobacco products off its shelves, CVS has an immediate opportunity to introduce other -- potentially profitable -- product lines to its customer base.

With a new commitment to offering customers healthier choices, it has a longer-term opportunity to foster relationships with health care providers and medical staff -- all synched with CVS's vision to be a trusted neighborhood resource for short-term care. And CVS's act of social responsibility also has the potential to deepen existing customer relationships.

Already, anecdotally, I've heard colleagues and friends who have been affected firsthand by the issue of tobacco use or lost a loved one to tobacco-related disease say to me, "CVS is now my pharmacy for life" -- based on the action it took this week.

For that, the public health community and the chain's customers are cheering. We hope its peers quickly follow suit. Once they do, we will likely reach our bold goal to reduce smoking prevalence in the U.S. to under 10% in the next 10 years.

The opinions expressed in this commentary are solely those of Robin Koval.

@highlight

CVS/Caremark announced that it will stop selling cigarettes and tobacco products

@highlight

Robin Koval: This is a bold and socially conscious move that helps customers

@highlight

She say more pharmacies want to serve as trusted health care providers

@highlight

Koval: It makes no sense to be health provider while selling harmful tobacco products