(CNN) -- Should the press be more heavily regulated? Share your thoughts here.

Could the phone-hacking scandal prove to be a blessing in disguise for Rupert Murdoch?

A year ago that would have seemed a ridiculous notion. News Corp.'s UK newspaper arm almost collapsed last summer under the weight of a story that dominated Britain's news agenda for months, prompting a sting of resignations and a high-profile public inquiry.

It was a conflagration that briefly threatened to engulf the entire company, forcing a fire-fighting Rupert Murdoch to appear before British lawmakers in London and declare: "This is the most humble day of my life."

Yet since News Corp. responded to the crisis by confirming in the spring it would spin off its publishing assets into a separate company, the media conglomerate's stock has soared. News Corp.'s share price has risen by 20% since July 2011, adding more than $5 billion to the value of the company. Insiders say executives are surprised by the positive way Wall Street received its decision to hive off its print titles.

They shouldn't be. The phone-hacking scandal, which resulted in the closure of UK Sunday tabloid News of the World, forced Murdoch to do what frustrated investors had been urging him to do for years: jettison the company's troublesome newspaper titles, which include the Times of London and the Sun.

The surge in the company's share price reflects optimism about the future of the company once it is freed from the deadweight of print in 2013.

The Wall Street Journal, which News Corp. also owns, is profitable because it has figured out a way to make money online by charging for content, but other titles are struggling. Shareholders in the U.S. have long viewed Murdoch's attachment to his London-based papers, in particular, as an expensive indulgence. They approve of News Corp.'s renewed focus on broadcasting, a part of the media industry that is growing.

Murdoch has spent money taking full control of Australia's largest pay-TV operator and acquiring the local network that screens New York Yankees games. Cable TV veteran Chase Carey, a reassuring presence, is firmly established as Murdoch's second in command. The constant chatter about which member of the Murdoch family will be shoe-horned into the CEO's chair to succeed the old man has fallen quiet, at least for now.

A Management and Standards Committee set up to deal with the fallout from the phone-hacking affair has been cooperating with Scotland Yard, uncovering evidence of illegal payments to public officials, but its work is nearly complete.

It feels as if the company might finally be putting phone-hacking behind it. Murdoch is enthused about the creation of "pubco" and bullish about its prospects, convinced there is still plenty of money to be made in print. A senior company source describes him as "obsessed" with the business. He is planning a spending spree once the company is established, and is busy finalizing a string of executive appointments. The company is expected to be run by Robert Thomson, an Australian who once edited the Times of London and now runs the Journal, and there is talk of bringing forward the stock market flotation.

The business has recovered its momentum and Murdoch has rediscovered his mojo. His frequent and combative tweets, covering subjects from British press regulation to China's uncertain future, is testament to that.

Yet those who regard the 81-year-old's enthusiasm for newspapers as an enduring weakness may ultimately be proved right. The new publishing business will be given a large amount of cash by News Corp., a generous dowry to ensure a good start in life, cash that shareholders may feel would be more effectively deployed elsewhere.

It is believed Murdoch tried to persuade his oldest son Lachlan to return to the family fold as chief executive of the publishing business, a reminder that succession is the thorniest issue of all at News Corp. His second son James, who was badly damaged by the phone-hacking affair, is quietly running Fox Networks in the U.S. and reporting directly to Carey, but no one doubts his father wants him to run the company when he finally steps aside. That could prompt a showdown with investors that Murdoch Sr. may no longer be strong enough to win.

Phone-hacking damaged Murdoch and the specter of an FBI investigation into alleged payments to foreign officials, a criminal offense under the Foreign and Corrupt Practices Act, still casts a long shadow over News Corp. The company has not commented on any potential investigation.

The most likely outcome is a settlement with the U.S. authorities that will cost the company millions of dollars, but it would be wrong to assume the hacking saga will end there.

In April last year, James Murdoch, who was then in charge of News Corp.'s European and Asian businesses, told a conference the company had successfully put phone-hacking "in a box." Three weeks later, three of Murdoch's key executives had resigned and the News of the World had been dramatically shuttered. Murdoch has not been held personally responsible for phone-hacking but further criticism could undermine his authority.

The Leveson Inquiry is critical of the News of the World and says there was a failure of governance at News International. But it also says there is no evidence Rupert Murdoch knew phone-hacking was rife, or that he orchestrated a cover-up. Leveson is less equivocal about James Murdoch, saying there are aspects of his evidence "that cause me some concern". It stops short of criticizing the younger Murdoch further, citing ongoing police investigations into criminality at News International, but the verdict is not a favorable one for James, and it may harm his chance of succeeding his father.

That is unwelcome news for Rupert, who desperately wants to keep his business empire in the family.

The opinions expressed in this commentary are solely those of James Robinson.

@highlight

Rupert Murdoch claimed to have been "humbled" by the phone-hacking scandal

@highlight

Revelations about journalistic practises at the News of the World led to the tabloid's closure

@highlight

Since the scandal, News Corp. has decided to split its publishing assets into separate firm