London (CNN) -- With Afghanistan heading to the polls on Saturday, concerns have been voiced about likely electoral irregularities. Abdullah Abdullah, a former foreign minister and leading presidential candidate, has warned the ballot will be marred by "industrial scale fraud" to rival the 1 million votes that were disqualified in the 2009 elections.

Despite these concerns, and the prospect of Taliban attacks at polling stations, the ballot is nonetheless a watershed moment in the country's history. It heralds the first democratic transfer of power, and also the end of the post-9/11 Karzai era.

Some 13 years after the fall of the Taliban regime, President Hamid Karzai is bequeathing a mixed legacy. To be sure, there are grounds for optimism. Since 2001, for instance, the economy has grown rapidly, and women have more opportunities in much of the country. And as the election underlines, a nascent, albeit dysfunctional, democracy may be taking root after years of Taliban oppression.

But the most likely prospect is greater economic, political and security instability. And, this is despite the blood and treasure expended by U.S. and Western militaries since 2001 -- about 3,500 international coalition forces lives lost, and almost $700 billion spent by the U.S. military alone.

Whether Afghanistan prospers, or implodes, will be determined in part by the new president's success in dealing with a complex set of inter-related issues including: trying to forge a security deal with Washington and its NATO partners beyond 2014; pursuing the reconciliation agenda and a possible peace agreement with the Taliban; and preventing an economic downturn as foreign aid is reduced.

Of the original 27 candidates approved by the Electoral Commission, only eight remain. Yet the ballot outcome is uncertain, partly because of electoral fraud.

As well as Abdullah Abdullah, who finished second in the 2009 presidential election, the two other leading candidates are widely seen to be Ashraf Ghani, an economist and former World Bank executive, and Zalmai Rassoul, a former foreign minister.

Given the absence of an obvious front-runner, it appears likely no one will secure 50% of the vote to win outright. Thus, a run-off ballot would be required, delaying the outcome several more weeks.

Once elected, the priority for the new president will be bolstering domestic security, and Abdullah, Ghani and Rassoul have endorsed the need for a long-term deal with U.S. and NATO forces. However, to create the "political space" for what would be a controversial agreement with some of the populace, the new president will need to secure concessions from Washington. This could mean protracted negotiations which will frustrate the Obama administration.

While it is likely than a deal will be reached, there is a possibility that U.S. and NATO forces may pull out completely in 2014. This could prove catastrophic for the new government, potentially leading to its eventual collapse.

This is widely recognized internationally, but the military presence in Afghanistan is unpopular in many Western countries. Moreover, delays in signing a deal (Washington hoped to reach agreement last year with Karzai) means logistical and personnel complications of extending the international troop presence are growing.

Key issues to be resolved between the new president and Washington include: any continuing U.S. mandate to perform counter-terrorism mission in Afghanistan; extending immunity for U.S. military personnel; and the fate of Taliban prisoners. All of these are points where the new government will walk a tightrope between keeping Washington on side, while not torpedoing the peace dialogue with the Taliban.

Should a security deal be secured, a residual U.S. and NATO force of 8,000-12,000 troops is most likely. Importantly, this agreement would also ensure funding and training for Afghan security forces which may otherwise disintegrate.

However, Afghanistan still faces the prospect of instability from a Taliban counter-offensive. Hence, the reason why another priority for the new president will be advancing reconciliation with the Taliban toward a potential final settlement.

Pakistan's influence could be key in facilitating any deal. While doubts remain about that country's ability and willingness to facilitate such an agreement, last week Pakistani government representatives entered into formal peace talks with the Taliban in North Waziristan.

Turning to the economic front, the new president will come into office at a difficult moment. Since 2001, the economy has become more dependent on foreign aid.

Economic risks would be intense in the event of a withdrawal of international troops. This could see aid cut back, partly because agencies would no longer be able to operate under an international security umbrella.

Another problem the new government faces is that there has been only limited success in economic diversification since 2001, with the extractives sector the only exception. The clear danger is that, as aid is reduced, the economy becomes more dependent upon illegal drug exports such as opium and heroin.

Taken overall, Afghanistan is therefore at a major inflexion point. A successful, decisive transfer of power combined with an eventual reconciliation deal with the Taliban could consolidate power and legitimacy of the new president, helping preserve some of the fragile gains since 2001. But if international forces withdraw completely in 2014, the eventual collapse of the government becomes a real possibility.

READ: Amanpour's Afghan presidential interviews

READ: NATO Commander: Troops will stay in Afghanistan post-2014

@highlight

Afghanistan heads to polls Saturday, but concerns voiced about likely electoral irregularities

@highlight

Ballot is nonetheless a watershed moment in the country's history, Andrew Hammond writes

@highlight

New government must keep Washington on side, while not torpedoing peace talks with Taliban - Hammond

@highlight

If U.S.-led forces withdraw completely in 2014, collapse of government becomes probability, he adds