(CNN)One of the most pernicious phrases in the debate over how to counter extremist use of social media is "whack-a-mole."

In national security circles, many believe that suspending social media accounts used by violent extremists is a pointless endeavor. They argue that, as in the children's arcade game "Whac-a-Mole," suspending accounts is a fruitless endeavor because, they claim, new accounts are created for every account that is suspended.

To examine this assumption, technologist Jonathon Morgan and I collected data on millions of Twitter accounts, including tens of thousands used by ISIS supporters, and found substantial evidence to the contrary.

In September 2014, Twitter began to crack down on ISIS supporters who used its platform, suspending tens of thousands of accounts over the course of several months. While many users did create new accounts during the first month of the crackdown, the number of new accounts plunged after September, even though suspensions increased.

Twitter has indicated that its suspensions fell at least at the high end of our estimated figure, possibly even higher still. The result is that suspensions are outpacing the number of new accounts successfully created, possibly by a wide margin. The size of ISIS's support network on Twitter is shrinking as a result.

Additionally, we found that the suspensions targeted some of the most active and effective users in the network, the professional activists who empowered ISIS to broadcast its propaganda to unsuspecting audiences by spamming hashtags such as #WorldCup and #CakeBoss.

Not only has ISIS suffered a blow to its ability to spam others, its supporters on Twitter are so weakened that they are now hoist by their own petard. The hashtag that ISIS uses to promote its own messages has been taken over by opposing spammers, trolls and activists, who frequently tweet five times as much anti-ISIS content as ISIS can muster on any given day.

ISIS content continues to be available online, of course. The number of suspensions is not sufficient to completely deny them the use of Twitter. But their audience is shrinking and their ability to game Twitter with manipulative tactics such as auto-tweeting "bots" has been significantly diminished.

An estimated 10% of tweets sent by ISIS supporters are directed at rebuilding their social networks rather than disseminating propaganda, and that doesn't account for the additional impact of time lost to the process of creating new accounts and waiting for followers to find them.

These are worthy goals, and they detract from ISIS's ability to accomplish its online strategy of intimidation, provocation and recruitment, which is discussed at more length in my new book with Jessica Stern, ISIS: The State of Terror. ISIS users call the suspensions "devastating" and their fury provides evidence that suspensions hit them where it hurts.

But that doesn't mean suspensions are ineffective, any more than a cold day outside invalidates decades of temperature trends that show the impact of climate change. The view outside your window, especially if you are an analyst or journalist following a couple hundred terrorist accounts, will not always accurately reflect an online climate where tens of thousands of accounts are in play.

While our study was only a preliminary look at this issue, it examined a body of data that dwarfs any existing study on the subject. While future research will help clarify the impact of suspensions over time, it is not likely to ever fully settle the complaints of the whack-a-mole crowd, who are as persistent as their favorite metaphor.

Nevertheless, it's time to move the serious debate away from the question of whether suspensions are effective and toward more complex issues with a better grounding in the available data. There are complications that arise from the suspension process. One of the most notable we observed in our study was the question of how people in the network behave under pressure.

Our analysis suggested that the social network of ISIS supporters on Twitter is becoming more insular, with users following each other more and becoming less and less exposed to outside influences.

While it is harder to enter the network in the first place and to stay there as an active user, it is possible that this echo-chamber effect might lead new users to radicalize more swiftly and more intensely. Tampering with an online social network, through suspensions or other means, is a form of social engineering, and we need to better understand what that means for users.

We would be better served by research into such new questions than by continuing a tired debate about whether suspensions are effective at degrading the size and online distribution networks of extremist groups. It's time to take this debate to the next level, and let the whack-a-mole mole stay whacked.

@highlight

Many argue that suspending social media accounts used by violent extremists is a pointless endeavor

@highlight

Data shows size of ISIS's support network on Twitter is shrinking as a result of crackdown