Istanbul (CNN) -- Turkey's prime minister, Recep Tayyip Erdogan, was re-elected chairman of his Justice and Development Party, or AKP, at a boisterous party rally Sunday attended by throngs of supporters as well as foreign leaders.

At the AKP party congress, Erdogan once again sought to cement the role of the AKP not only as a party that has reshaped Turkish politics but also as a role model for regional democratic Islamist movements in the wake of the Arab Spring.

In a two-and-a-half-hour speech, delivered in front of an adoring crowd of party delegates, Erdogan detailed his party's achievements after nearly a decade in power, while also laying out a road map for what his role could be in the future.

"We have shown, both at home and abroad, that a country with a Muslim population can have a thriving and advanced democracy," said Erdogan, who called the AKP a "conservative democratic party."

"This understating that we have put forth has gone beyond our borders and has practically become an example to all Muslim countries," he announced to an audience that included Egyptian President Mohammed Morsy as well as Massoud Barzani, head of the Kurdistan regional government in Iraq.

Few answers in Syria

Erdogan, who won his party's chairmanship for the third time on Sunday with 1,421 votes, has reached the AKP's term limit. What his role will be after that has been the source of much debate in Turkey.

Erdogan told delegates that he will continue to serve and that, "This is not a goodbye but a pause in the notes of a song."

"One of the most important aspects of the convention was the message that the prime minister is not going anywhere," Suat Kiniklioglu, a former AKP parliamentarian and director of the Strategic Communication Center based in Ankara, wrote in an e-mail to CNN.

"Instead he will try to become a president who can maintain his party affiliation, or will try to change the system into a presidential or semi-presidential system," he wrote.

Kurdish conflict escalating, report says

Turkish critics regularly accuse Erdogan of authoritarian tendencies, citing the arrests of scores of journalists and hundreds of political rivals in recent years. Some commentators have warned that a presidential system could weaken democracy in Turkey.

"This was mainly about consolidating his own power and thickening the cement on which his party stands on," Yavuz Baydar, a columnist for the newspaper Today's Zaman, said in an interview with CNN.

"He does not take for granted that he needs a broader base to become a fully empowered president. Either he will seek a more reformist base or he will go more conservative, omitting 'democrat' from 'conservative democrat,' " said Baydar.

Refugees languish in squalor at Turkish border

The AKP's internal constitution was amended during the party congress to allow parliamentarians who have already served three terms -- such as Erdogan -- to be re-elected after sitting out an election cycle.

The party congress also led to the appointment of a slew of new names to the central coordination committee of the AKP. Some political analysts said the choice of appointees signaled Erdogan appeared to be making overtures to the conservative side of the political spectrum, ahead of municipal elections next October.

However, one notable change included the removal of Erdogan's interior minister from one of the AKP's top leadership councils.

Interior Minister Idris Naim Sahin's hawkish stance towards Turkey's long-simmering Kurdish conflict has sparked controversy both within the AKP and throughout Turkey.

"As of today, we want to turn to a blank page and write in it with our Kurdish brothers. We want to protect that page from terror and make it a new page of peace and brotherhood," said Erdogan.

His remarks echoed themes of previous speeches, when Erdogan's government launched a series of reforms aimed at relaxing cultural restrictions on Kurds in Turkey. As part of what was described as the "democratic opening," the Turkish state established a Kurdish-language TV channel for the first time and eased bans on Kurdish language education in schools.

But the peace overtures have failed to bring an end to an insurgency that has claimed the lives of more than 30,000 people over the last three decades. Over the last year, violence has spiked in predominantly Kurdish southeastern Turkey to deadly levels unseen in more than a decade.

After winning numerous elections since his party first swept to power in 2002, Erdogan appears to have a popular mandate under Turkey's constitution, which was written by a military junta in the 1980s.

A new constitution could conceivably expand rights for Turkey's restive Kurdish minority. But that process has stalled amid disagreements with opposition political parties, who accuse the AKP of trying to rewrite the constitution unilaterally.

CNN's Ivan Watson contributed to this report.

@highlight

Recep Tayyip Erdogan re-elected AKP party chairman

@highlight

"We have shown that ... a Muslim population can have ... democracy," he says

@highlight

Leaders of Egypt, Iraqi Kurdistan are in attendance at rally

@highlight

Critics accuse Erdogan of authoritarian tendencies, citing arrests of journalists and rivals