A day after talks in Geneva between Iran and six world powers over Tehran's nuclear ambitions ended on a promising note, Iran's state-run news agency quoted government officials as expressing optimism that differences can be resolved.

Deputy Foreign Minister Abbas Araqchi said the so-called P5+1 -- the United States, Russia, China, France and Britain, all countries with permanent seats on the U.N. Security Council, plus Germany -- "has accepted the overall framework of Tehran's new proposal to settle differences but said we should wait for their practical measures," IRNA reported Thursday.

"Araqchi further referred to uranium enrichment as Iran's red line in the negotiations, adding that Iran could still negotiate over the level and the volume of enrichment," it added.

According to Araqchi, who is taking a lead role in the negotiations, the sides could reach an agreement in as little as three to six months.

And Mansour Haghighat-Pour, the vice chairman of the government's National Security and Foreign Policy Committee, said it appeared that the two days of talks in Geneva "were more serious and technical" than previous negotiations had been.

Their remarks came a day after the participants in Geneva said in a joint statement that the talks had been "substantive and forward-looking."

The tone appeared to signal a shift from the diplomatic tension that prevailed under former Iranian President Mahmoud Ahmadinejad.

The discussions centered on a proposal put forth by Iran, which wants the six powers to recognize what it says is the peaceful nature of its nuclear energy pursuits.

Details, however, were scarce.

"We will be doing the negotiation in the negotiating room and not in the press," Iranian Foreign Minister Javad Zarif told reporters after the talks.

Discussions were to resume November 7 and 8.

"The Iranian proposal was a new proposal with a level of seriousness and substance that we had not seen before," White House spokesman Jay Carney told reporters. But, he added, "These are complicated issues. They're technical issues. And as the President has said, the history of mistrust is very deep.

"The onus remains on Iran to come into compliance with its international obligations.  And any deal must prove to the international community that Iran's program will be used for exclusively peaceful purposes."

European Union foreign policy chief Catherine Ashton, who is leading the talks for the P5+1 bloc, called it a "very intensive and very important meeting."

She too declined to offer specifics but said they were the most detailed to date.

The joint statement built on hope that was expressed after the first day of the talks.

"For the first time, we had very detailed technical discussions," a senior U.S. State Department official said.

A spokesman for the EU's foreign policy chief called Iran's presentation "very useful."

Zarif, who is leading the Iranian delegation, said Wednesday in a Facebook posting that Iran's proposal outlined "a new view, which emphasizes the need for pursuing a common goal by all players" and identified areas that must be agreed upon.

"This framework was welcomed as a new approach by the heads of the delegations," he said. "Of course we would like to see a new approach by the 5+1, as well."

Opinion: Why there's room to strike a deal

'Ball is in Iran's court'

Some observers fear Iran is pursuing a nuclear bomb, but Iran -- slapped with sanctions because of its program -- has maintained that it is developing nuclear energy capabilities for peaceful purposes only.

Iran insists the West must accept its right to enrich nuclear fuel for civilian purposes as allowed under the Treaty on the Non-Proliferation of Nuclear Weapons, to which Iran is a signatory.

Thawing relations?

The Geneva talks are the first at such a high level since the election of President Hassan Rouhani this summer raised the prospect of a shift in direction from Iran.

During a visit to the U.N. General Assembly in September, Rouhani's diplomatic approach raised hopes in the West of a thaw in relations with Tehran and progress in negotiations on its nuclear program.

Rouhani's visit culminated in a phone call with U.S. President Barack Obama and a meeting between U.S. Secretary of State John Kerry and Iran's Zarif.

Iran nuclear talks are key topic as Obama, Netanyahu meet

It was the first such contact between top officials of the two countries since Iran's 1979 revolution, which sent relations into a deep freeze.

In another sign of easing tensions, Iran's state news agency IRNA reported Wednesday that Iran and Britain plan to introduce their nonresident charges d'affaires --  the level of diplomat below ambassador -- within two weeks.

Tehran and London agreed to the step on October 8, after a telephone call between Zarif and his British counterpart, William Hague. The diplomats' mission will be to improve relations on the way to the eventual reopening of embassies, Hague said then.

Asked about Wednesday's IRNA report, Britain's Foreign and Commonwealth Office told CNN that an announcement would be made in due course.

Britain closed its embassy in Iran and evacuated its diplomatic staff in late 2011 after hundreds of student protesters stormed the embassy and another British diplomatic compound. In turn, Hague ordered closed the Iranian Embassy in London, saying that Iran was in breach of its international obligations to protect diplomatic missions.

Israel warns against easing sanctions

Israel has warned against easing the economic sanctions imposed against Iran.

Such a move would be a "historic mistake," Israeli Prime Minister Benjamin Netanyahu said Tuesday.

"Now is an opportune moment to reach a genuine diplomatic solution that peacefully ends Iran's military nuclear program," he said. "This opportunity can only be realized if the international community continues to place pressure on Iran, because it is that pressure that has brought Iran back to the negotiations in the first place."

Alireza Jafarzadeh, with the opposition National Council of Resistance of Iran, accused Iran of using them to buy time to move forward with its nuclear weapons program. He called for still tighter sanctions.

"The P5+1 is allowing Iran to talk its way into a nuclear bomb; this explains the new atmospherics and smiles by the Iranian regime's officials," Jafarzadeh said. "The ruling mullahs only understand the language of strength and decisiveness. More concessions will only result in more deceit by the Iranian regime."

Ali Larijani, Iran's powerful parliamentary speaker and a close associate of the nation's supreme leader, Ayatollah Ali Khamenei, said last week that Iran is serious about resolving the dispute over its nuclear program.

It is keen to resolve the issue "in a short period of time," he told CNN's Christiane Amanpour in an exclusive interview from Geneva. "From Iran's side, I can say that we are ready," he said.

Opinion: How Tehran got back to the negotiating table

@highlight

P5+1 block "has accepted the overall framework" of Tehran's proposal, official says

@highlight

The sides could reach a deal in several months, says Iranian minister

@highlight

Iran's proposal was one with a new "level of seriousness," U.S. official says