Cairo (CNN) -- Egyptians reveled in their chance to vote in a post-Hosni Mubarak era during a second day of parliamentary elections, but nightfall brought new clashes in Cairo's Tahrir Square that stretched into Wednesday.

At least 88 people had been hurt, 28 of them seriously enough to go to a hospital, a Health Ministry official, Dr. Adel Adawi, told the state-run newspaper Al-Ahram. The rest were treated at makeshift clinics in the square, Adawi said, but hospitals expected more people to be brought in.

The victims had been hit by rocks, glass bottles, birdshot and Molotov cocktails, Dr. Hisham Sheeha, another Health Ministry official, told CNN. At least a dozen gunshots rang out across the plaza, and ambulances darted in and out of the square as the fighting continued.

Tahrir Square was the epicenter of the protests that drove Mubarak from power in February and the ongoing demonstrations against the military council that succeeded him. The state-run Middle East News Agency, citing a military source, said there were no police or troops in the square at the time.

Witnesses said Tuesday's melee began with fights between vendors and protesters, who began throwing rocks and attacking their kiosks with sticks. The protesters complained some vendors were giving demonstrations a bad image by selling marijuana, said Mina Hagras, one of the demonstrators who has been camped in the square.

"This is not the spirit of the revolutionaries or the square," Hagras said. "They warned them. They did not stop. So they took matters in their own hands and beat them up. Now, state TV is saying all the protesters in (the) square are thugs and drug users. This is not fair."

But Mohamed Shafei, whose sandwich stand was destroyed in the brawl, said the protesters turned on the vendors indiscriminately and confiscating their goods.

"Yes, there were several vendors selling hashish and pills, but not all of us are the same," Shafei said as he carried the remains of his kiosk. "Now the vendors are pissed and retaliating."

The new clashes came after a second day of voting, the first time some Egyptians -- young and old -- have ever cast ballots. Citizens are picking members of the lower house of parliament, which will be tasked with drafting a new constitution after three decades of Mubarak's rule.

Despite logistical problems and illegal campaigning that marred the first day of balloting on Monday, Egypt's stock exchange opened considerably higher Tuesday and saw an unprecedented wave of buying amid the elections.

Voters decried the late opening of polling stations Monday and a delay in the arrival of ballots, leading the head of Egypt's election committee to promise a smoother voting process Tuesday.

Election officials said they have received 964 complaints, 579 of which have been addressed, according to Egypt TV. State TV reported that 25 people were injured in election-related violence.

Activist Hafez Abu Saeeda, of the Egyptian Organization for Human Rights, said on Twitter he was in Al-Khaleefa "working on an election tour, and an attack took place on our supporters before I arrived." The army was able to control the situation immediately, he said. One person was injured.

But many voters expressed jubilation at their chance to help build a new Egypt after the popular revolt that toppled Mubarak.

"Before, there was always cheating. Now -- I could be wrong -- but I think my vote will count," Mohamed Rida'a Mohamed Abdulla said as he left a Cairo polling station.

Some polling areas were segregated by gender. Lines at both men's and women's stations snaked around buildings for hours.

"It's an awakening," one woman said, beaming, at a Cairo polling station. "I'm very happy, and I feel that even when I see old ladies hardly walking, it makes me feel that really Egypt is reviving."

The stakes are high for Egyptian women, who worry that if Islamists gain a majority in the lower house of Parliament, their hopes for a more liberal life will be quashed.

In Alexandria, the Al Noor Salafi Muslim party and the Freedom and Justice Party accused one another of breaking an "honorable agreement" aimed at cooperation. The Freedom and Justice Party is part of the once-banned Muslim Brotherhood, one of the nation's largest organizations.

Yousri Hamad, a spokesman for the Al Noor Salafi party, said the Muslim Brotherhood spread false rumors and launched a "smear campaign" against the party.

"We were not as prepared for the elections as we should have been and did not spend enough money on the campaigning," Hamad said.

But Essam Erian, spokesman for the Freedom and Justice Party, said the Salafis had breached the agreement by making such accusations without evidence.

Ali Al Dali, an official monitor for the Egyptian Association of Human Rights, said eight cases of vote-buying had been documented in Alexandria, and police had been notified. About 45% of eligible voters in the city had cast ballots, he said.

Elections for the lower house are scheduled to take place in three stages, based on geography. The last of the three stages is set to take place in January.

Upper house elections will run between January and March.

Presidential elections will be held by June, according to the Supreme Council of the Armed Forces, Egypt's acting ruling body. Military leaders have said they will hand over power to a new government when one is elected, but many Egyptians say they don't trust the council and fear the military will cling to power.

Over the past two weeks, at least 42 people have been killed in clashes as protesters called for an immediate end to military rule. An additional 3,250 have been wounded, according to the Health Ministry.

Some Egyptians expressed skepticism or even boycotted the voting on Monday.

"There is no inclination that the judiciary is independent, so there is no way to prove the election will be free and fair," said Amr Hamzawy, a 32-year-old shopkeeper.

CNN's Ben Wedeman, Ivan Watson, Leone Lakhani and Jim Clancy and journalists Mohamed Fadel Fahmy and Ian Lee contributed to this report.

@highlight

NEW: Fresh Tahrir Square clashes leave nearly 90 wounded

@highlight

Report: Egypt's stock market sees an unprecedented wave of buying

@highlight

Voters pick members of the lower house of Egypt's parliament

@highlight

The lower house will be tasked with drafting Egypt's new constitution