(CNN) -- From dusk until dawn, 12-year-old Fayaz toils at his uncle's blacksmith shop in Kabul.

While other kids his age are in school, he's swinging a heavy sledgehammer and doing physically exhausting work that he knows is not meant for a boy.

But he doesn't have much choice. It has been that way since he was 7, when his father got sick.

"Fayaz went to get the doctor, but the doctor didn't come because they couldn't afford the doctor's services. Later that night, his father died," filmmaker Jawad Wahabzada explained recently on CNN's "BackStory." "After that, Fayaz and his two brothers were forced by economic difficulties to work."

Fayaz is one of four young Afghans featured in the half-hour documentary "Unnoticed: Children of Kabul," which Wahabzada co-directed and produced along with iReporter Jon Bougher. Wahabzada said there are 50,000 to 60,000 kids working in Kabul.

"They all share a very similar story," he told CNN's Guillermo Arduino. "Usually either their father died or the father is disabled, mom can't work, so these kids are forced into child labor."

UNICEF has estimated that at least 30% of Afghan children age 5-14 are working in some form. But the issue goes far beyond Afghanistan's borders: UNICEF says that worldwide, approximately 158 million children between 5 and 14, one of every six children in that age group, are engaged in child labor.

"Most of these children are working to help their families meet their basic needs; not all of them," said Eric Edmonds, an associate professor of economics at Dartmouth College who advises many U.S. and international organizations on child labor issues. "I think it's easy to see instances of child abuse and child neglect and assume they're pervasive and they characterize all of those working children. But I think the reality of the situation is that ... most of those working children are doing so to help meet family needs."

While it varies by country, Edmonds said the world's most common child labor -- by far -- is agricultural. Forget about the manufacturing "sweatshops" that tend to dominate the headlines. Often, child labor is simply a kid working on the family farm.

"A lot of people say that's character-building, that's good stuff for them to be doing," Edmonds said. "But the risks associated with agriculture are actually a lot more extreme than a lot of shopkeeping-type tasks that you can imagine: children involved in toxic chemicals, children exposed to pests, children operating machinery that's too large for them, isn't designed to be done by them. All are serious risks that unfortunately a lot of children face."

Of course, the risk of physical harm is just one of many consequences that come with child labor, whether it's on a farm, in a factory or on a street.

The most serious might be the effect it has on society as a whole. If children are spending most of their time working, they'll never be able to attend school and get the education they need to find a better-paying job one day. Often, they will grow up illiterate and poor and pass on the same problems to their own children.

"Child labor perpetuates poverty," said Elena Durón Miranda, a 2011 CNN Hero. "It compromises the future of any country because it condemns its most vulnerable citizens."

'A better future'

In some countries, children are so desperately poor that they spend their days at trash dumps, scavenging for things to sell and sometimes eat.

Eleven years ago, Durón Miranda was shocked to see about 200 children, some as young as 3, working at a trash dump in Bariloche, Argentina.

"I saw children collect green sausages, a bag of potato chip crumbs, a bag of noodles with cream, and recovered leftover yogurt next to a diaper," said Durón Miranda, a Mexican who, at the time, was visiting the country for work. "The children began to gently clean the food -- wiping each little noodle, each potato and peeling the sausage skin so methodically and accurately. It was as if they had done this same activity many times."

Durón Miranda soon learned that many children in Bariloche dropped out of school to spend their lives as "ragpickers."

"At that moment in time, my son was the same age as many of them," she said. "So that struck me as horrific."

The scene inspired her to start a nonprofit called PETISOS, which stands for Prevención y Erradicación del Trabajo Infantil SOS (Prevention and Eradication of Child Labor SOS). The organization provides children with free education and extracurricular programs so they don't have to work. Today, more than 200 boys and girls in Bariloche benefit from PETISOS.

"We give them an incentive to have a better future, a different future," she said.

One of the children featured in Wahabzada's documentary is a ragpicker.

Yasamin, a 13-year-old Afghan girl, scavenges the trash dumps of Kabul's richest neighborhoods.

"She usually picks (up) paper and plastic, but if she finds metal, she picks it up, too, and sells it," Wahabzada told CNN's Michael Holmes. "They use the paper and plastic for firewood."

Yasamin's father was killed in a bomb explosion four years ago, and her mother is mentally ill, according to the documentary. So she and her 8-year-old brother have had to help support themselves.

"If you're there in Afghanistan just walking around, you see thousands and thousands of kids working in the street," Wahabzada said. "You see people passing by, and no one pays attention."

The issue has special significance to the young Afghan filmmaker, now a student at Wake Forest University in Winston-Salem, North Carolina. Born in 1991 during the early stages of the Afghan civil war, he was once a child laborer.

"We weaved rugs eight hours a day. ... My friends and classmates every day played soccer (outside the factory)," he said. "I could hear them every day shouting, and so the whole time I was making rugs, my mind was outside with them.

"I was fortunate to move to the United States where I received an education. Now I came back to Afghanistan to tell the stories of kids who share a very similar story with me."

His co-director hopes the film will have a positive impact on Afghanistan's future.

"Sixty-eight percent of the Afghan population right now is under the age of 25," Bougher said. "So this is a golden opportunity to really have advancement in this country, to have Afghanistan move forward.

"By really investing in this population, by showing people what's going on ... I think we can really make a difference."

For more information about "Unnoticed: Children of Kabul," e-mail the filmmakers at unnoticedkabul@gmail.com.

CNN's Christie O'Reilly contributed to this report.

@highlight

A new documentary examines the child labor problem in Afghanistan's capital

@highlight

There are nearly 60,000 child workers there, according to the film's co-director

@highlight

UNICEF: Worldwide, child labor affects one of every six children age 5-14