(CNN) -- It's depressing to see what has become of the Republican Party, where immigration is concerned.

A political party that, just 30 years ago, stood tall in defense of freedom and embodied the limitless opportunity for which America is famous is now stuck playing defense.

We've gone from Ronald Reagan declaring, "Mr. Gorbachev, tear down this wall" in Berlin to Republican Sens. Bob Corker of Tennessee and John Hoeven of North Dakota demanding another 700 miles of border fencing along the U.S.-Mexico border.

At least these two senators are proposing something. The naysayers who have pounded away daily at the Senate immigration bill in the hopes of defeating it have not, for the most part, set forth any credible or reasonable proposals of their own. The best they can do is to block what someone else has proposed. That's their definition of victory.

That's the game in the House of Representatives, where the debate is headed now that the Senate has approved the immigration reform bill by a vote of 68 to 32.

The "yes" votes included 14 from Republicans. Many of them came at a high price -- more than $30 billion in new border enforcement measures, via the Corker-Hoeven amendment. But where are the new ideas about how to provide a legal workforce of laborers who will do jobs that Americans shun? Where was the effort to streamline the legal immigration process so that those who play by the rules aren't punished for doing so?

Aside from the four Republican senators in the Gang of Eight -- Marco Rubio, John McCain, Lindsey Graham and Jeff Flake -- most of the senators who voted "yes" on the final bill had offered nothing to make it better. Leadership requires more than simply voting the right way.

Reagan, who said during the 1980 campaign that he supported giving legal status to illegal immigrants and who in 1986 signed an amnesty bill that legalized more than 3 million people -- would be ashamed of what has become of his party.

Today, when it comes to immigration, there is no imagination, boldness or grandeur. Republican leaders could choose to pitch Americans on several big themes -- optimism, hope, renewal, confidence, etc. They could try to convince us that our country's best days are ahead of it, and that immigrants will help lead the way.

Instead, Republicans are doing what comes easy: peddling fear and scaring the wits out of everyday Americans.

This is not exactly new. In the mid-18th century, Benjamin Franklin tried to scare his fellow Americans into thinking that German immigrants would soon "be so numerous as to Germanize us instead of us Anglifying them." Later, it was feared that the Chinese were "not assimilable" into society, that the Irish were -- in the words of Sen. Henry Cabot Lodge of Massachusetts -- "diminishing the quality of our citizenship," and that the Italians were naturally predisposed to criminal behavior.

And of course, no matter who was coming ashore, there were always the perennial fears that newcomers take jobs, consume resources, spread disease, crowd schools and lower the standard of living for everyone else. Remarkably, over the last 230 years, the script has stayed pretty much the same. Only the actors changed.

This so-called nation of immigrants has always been afraid of immigrants.

I've been listening in to the latest round of fear mongering -- "Fear 2.0" -- which is epitomized by the handful of Republican lawmakers, and their allies, who have spent the last few months trying to defeat the Senate bill. You hear it from talk radio, right-wing blogs and conservative columnists.

The goal is to convince us that, if Congress passes immigration reform and grants legal status to millions of illegal immigrants, Americans should be afraid of 10 things.

-- that those who gain legal status will include, in the words of the union representing immigration agents, child molesters, drunken drivers and gang members;

-- that more immigrants will come illegally in the months to come, because of the promise of legalization;

-- that more immigrants will come legally in the years to come, sponsored by newly legalized family members;

-- that those who get legal status won't learn English or assimilate but instead create a country within a country;

-- that the newly legalized will go on welfare, usurp public benefits and bankrupt the system;

-- that this is a fool's errand for the GOP because the immigrants won't vote for Republicans anyway;

-- that the newly legalized might, upon becoming citizens, actually punish Republicans for years of mistreatment;

-- that the country is changing demographically to the point where whites will soon be in the minority, and a legalization program would only speed up the process;

-- that immigrants will worsen population growth, overcrowd our schools, and lower Americans' standard of living;

-- and, finally, that this will create, as Sen. Ted Cruz of Texas claims, a "de facto affirmative action" by providing an incentive to employers to hire them over U.S. citizens because they're not covered by Obamacare mandates.

This is the Republican message in all its glory. It's based on speculation and half-truths and worst-case scenarios that make the most sense to those who know the least about immigrants.

It's not accurate. It's not logical. It's not pretty. And it's not helpful.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: GOP naysayers hammer at immigration reform, but offer no ideas

@highlight

He says a few Republicans voted yes on Senate bill, but even those came at high cost

@highlight

He says immigration advocate Reagan would be ashamed of party's fear-mongering

@highlight

He says GOP peddles illogical, inaccurate reasons to hold up immigration reform