(CNN) -- Words like "landmark" and "historic" are being used to describe this week's U.S.-Africa Leaders Summit. More than 40 heads of state, the President, dozens of American CEOs, celebrities, activists and several members of Congress -- myself included -- are participating in the three-day event.

Every issue affecting the continent, from combating wildlife trafficking to food security, is on the agenda. Yet, of the 53 hours of official meetings scheduled for the summit, only two are dedicated to the critical issue of governance. That is scant treatment for what is perhaps the greatest impediment to security and economic growth in Africa. It also sends the wrong message about our shared priorities and values.

In Africa, electing fresh, new leaders is not something people do often. Consider this: The 10 current longest-serving African leaders have held their offices for a total of 252 years. Three of these leaders (Robert Mugabe of Zimbabwe, Isaias Afwerki of Eritrea, and Omar el-Bashir of Sudan) have not been invited to the summit because they are in poor standing with the United States. Of those receiving an invite, Rwanda's Paul Kagame and Uganda's Yoweri Museveni were unwisely hailed as "new African leaders" during the Clinton administration, while others came to power when Jimmy Carter was in the Oval Office.

Needless to say, presidents serving in their 25th year generally don't promote free and fair elections and good governance.

Elections are a pillar of democracy and good governance. When conducted freely, fairly and regularly, they give citizens their most effective tool for holding their leaders accountable and pressing policy makers for action and reform. In fact, the World Bank has shown that political competition, primarily through elections, is associated with improvements to a country's business environment.

Not only do elections bolster economies, they can improve security. Take, for example, Liberia. Decades of protracted conflict and a deadly civil war resulted from corruption and massive human rights abuses by war criminal Charles Taylor, along with the political exclusion of whole swaths of the country's populace. But inclusive and democratic elections in 2006 brought to power Ellen Johnson Sirleaf, Africa's first elected female head of state. Now, Liberia is experiencing a much-needed period of political reconciliation and improved security. While Liberians certainly still face a number of challenges -- including the recent Ebola outbreak -- inclusive elections have proven to be a stabilizing force in West Africa.

Despite the overstay of too many African leaders, there are reasons for hope. Eleven African countries are planning to hold elections next year, and 15 more countries have an election scheduled for 2016. In the next two years, more than half the leaders in sub-Saharan Africa are slated to stand for re-election. Each election day in these countries over the next two years will be a defining moment for the future of governance across the continent.

5 reasons Obama's Africa leaders' summit matters

The United States cannot be absent during this critical transition. We should support programs that improve the transparency of elections and encourage the peaceful transfer of power, which, unfortunately, far too many Africans have yet to see. Most importantly, the United States should push back on those leaders who seek to amend their constitutions to create imperial, indefinite presidencies.

Two leaders most recently accused of seeking such constitutional changes -- Joseph Kabila of the Democratic Republic of the Congo and Blaise Compaore of Burkina Faso -- are in town for the Summit. Allowing them to return home without pressing for free, fair and regular elections would be an affront to the citizens of these two countries.

Opinion: Africa and U.S.: Invest in human rights

President Obama once pressed for good governance aggressively. In 2009, when he traveled to Ghana and addressed that country's parliament, he took a "no excuses" approach toward African leaders.

In an interview just before landing on the continent, the President noted that, "I'm a big believer that Africans are responsible for Africa ... for many years we've made excuses about corruption or poor governance; that this was somehow the consequence of neo-colonialism, or the West has been oppressive, or racism. I'm not a believer in excuses. ... I think that it's very important for African leadership to take responsibility and be held accountable."

Nice words, unfortunately undermined by a summit agenda that shorts good governance.

Join us on Facebook.com/CNNOpinion.

@highlight

Rep. Ed Royce applauds Africa summit, but says it should focus more on governance

@highlight

He says in Africa, electing fresh, new leaders is not something people do often

@highlight

Presidents serving in their 25th year, he says, don't always promote free and fair elections