Washington (CNN) -- Democrats seem poised to choose their next presidential nominee the way Republicans often choose theirs: according to the principle of "next in line."

Hillary Clinton came second in the nomination fight of 2008. If she were a Republican, that would make her a near-certainty to be nominated in 2016. Five of the past six Republican nominees had finished second in the previous round of primaries. (The sixth was George W. Bush, son of the most recent Republican president.)

Democrats, by contrast, prefer newcomers. Six of their eight nominees since 1972 had never sought national office before.

Obviously, past performance is no guarantee of future results. Democrats chose the next guy in line in 2000 -- Vice President Al Gore -- and they may well do so again. But speaking from across the aisle, it's just this one observer's opinion that Democrats would be poorly served by following the Republican example when President Obama's term ends.

Hillary Clinton is 14 years older than Barack Obama. A party has never nominated a leader that much older than his immediate predecessor. (The previous record-holder was James Buchanan, 13 years older than Franklin Pierce when the Democrats chose him in 1856. Runner-up: Dwight Eisenhower, 12 years older than his predecessor, Thomas Dewey.)

Parties have good reasons to avoid reaching back to politicians of prior generations. When they do, they bring forward not only the ideas of the past, but also the personalities and the quarrels of the past.

One particular quarrel that a Hillary Clinton nomination would bring forward is the quarrel over the ethical standards of the Clinton White House -- and, maybe even more, of the Clintons' post-White House careers. Relying on Hillary Clinton's annual financial disclosure reports, CNN reported last year that former President Bill Clinton had earned $89 million in speaking fees since leaving the White House in 2001. Many of these earnings came from foreign sources. In 2011 alone, the former president earned $6.1 million from 16 speeches in 11 foreign countries.

Is it an ethical problem for the husband of the person charged with the foreign affairs of the United States to earn so much foreign-sourced income? Let's rephrase that question: How much time do Democrats wish to spend arguing the ethics of Bill Clinton's foreign earnings over the 2016 political cycle?

Yet the biggest risk to Democrats from a Hillary Clinton nomination is not that it would be generationally backward-looking -- or that it would reopen embarrassing ethical disputes -- but that it would short-circuit the necessary work of party renewal.

After eight years in the White House, a party requires a self-appraisal and a debate over its way forward. Bill Clinton offered Democrats just such a debate in 1992 with his "New Democrat" ideas. Barack Obama offered another in 2008 with his careful but unmistakable criticism of Clinton-era domestic policies and Hillary Clinton's Iraq war vote. But if Hillary Clinton glides into the nomination in 2016 on the strength of money, name recognition, and a generalized feeling of "It's her turn," then Democrats will forgo this necessary renewal.

Here's what could happen instead in 2016:

One candidate could seek the Democratic nomination on a platform of keeping faith with the ideals of the pre-presidential Obama: closing Guantanamo, ending targeted killings, and so on.

Another Democrat could run to represent those Democrats who supported Bill Clinton back in the 1990s, and who worry that the Obama administration has drifted too far to the left: spending too much, ignoring budget deficits, getting into too many fights with business.

Yet another could run as a full-throated defender of the Obama legacy, updating the 1988 George H.W. Bush "stay the course" message.

This would be a real debate that would summon forth hard thinking about how Democrats might govern their country if returned for a third presidential term (as could very well happen, given the continuing political weakness of the GOP).

A Hillary Clinton campaign would want to shut down any such debate before it starts. It would want to inherit the Democratic nomination and then the presidency as an estate in reversion: a debt long owed, now collected. If successful, it would arrive in office without a platform and without much of a mandate. That's not a formula for an effective presidency -- or a healthy democracy.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Democrats seem poised to let Hillary Clinton inherit nomination in 2016, writes David Frum

@highlight

He says after eight years in the White House, Democrats should reassess their future

@highlight

Picking Hillary Clinton would be a backward-looking move, he says

@highlight

Frum: Clinton would arrive in office without a platform or much of a mandate