(CNN)  -- The number of people with dementia globally is estimated to nearly double every 20 years, according to a report released Monday for World Alzheimer's Day.

It's common for people with Alzheimer's or other types of dementia to wander from their homes.

Much of the growth will be fueled by longer life spans and population growth, especially in developing nations.

"Over the next 20 years, the numbers of people with dementia are anticipated to increase by 40 percent in Europe, 63 percent in North America, 77 percent in the southern Latin America ... and 89 percent in the developed Asia Pacific countries," the report said.

"In comparison, the percentage increase is expected to be 117 percent in East Asia, 107 percent in South Asia, 134-146 percent in the rest of Latin America, and 125 percent in North Africa and the Middle East."

By 2010, an estimated 35.6 million people around the world will be living with dementia. The number is expected to hit 65.7 million in 2030 and 115.4 million in 2050.

One in seven Americans age 71 and older, or about 3.4 million, have dementia, according to the National Institutes of Health. In this age group, 2.4 million people have Alzheimer's disease, NIH research has shown. Alzheimer's disease is the most common cause of dementia, according to the Mayo Clinic.

Some of the causes of the disease are believed to be genetic, while others are thought to be preventable.

Studies have shown that physical exercise, the kind that keeps the heart healthy, also keeps the brain healthy, according to the National Institutes of Health's Cognitive and Emotional Health Project.

Mental stimulation can help too.

"Our brains can be made stronger through exercise," Andrew Carle, assistant professor in the department of health administration and policy at George Mason University, told CNN late last year. "In the same way physical exercise can delay many of the effects of aging on the body, there's some evidence cognitive exercise can at least delay the onset of Alzheimer's."

A combination of antioxidants, supplements and curry may also help.

Vitamins A, C, and E are antioxidants, which prevent cell damage and are believed to slow down diseases of aging, said Edythe London, a professor of psychiatry and pharmacology at the University of California, Los Angeles.

"There are studies that suggest antioxidants might prevent dementia," she said.

Fish oil and phosphatidylserine supplements may also help. Aging brains show signs of inflammation, and fish oil has anti-inflammatory properties, said Gary Small, director of the UCLA Center on Aging.

Phosphatidylserine is a lipid found naturally in the body and is a major component of cell membranes. Small said he's not 100 percent convinced these supplements will help stave off dementia, but they're worth a try.

There's also curry. Small said that as he gets older, he might try eating more foods with curry in them.

"Some studies in Singapore show that those who ate curry once a week had better memory scores," he said.

@highlight

Number of people with Alzheimer's estimated to nearly double every 20 years

@highlight

Report:By 2010, around 35.6 million people globally will be living with dementia

@highlight

Studies show mental stimulation and exercise can help delay onset of dementia