Demossville, Kentucky (CNN) -- The U.S. special operations teams that led the American invasion in Afghanistan a decade ago did something that no American military had done since the last century: ride horses into combat.

"It was like out of the Old Testament," says Lt. Col. Max Bowers, retired Green Beret, who commanded the three horseback teams.

"You expected Cecil B. DeMille to be filming and Charlton Heston to walk out."

Bowers spoke while sitting in the rural Kentucky studio of sculptor Douwe Blumberg, along with three of his former "horse soldiers."

They, along with 30 fellow commandos on horseback, are the inspiration for a new monument that Blumberg is creating, dedicated to the entire U.S. special operations community.

The statue is scheduled to be erected across from the World Trade Center site in New York on November 11, Veterans Day. The artist rounded up these "horse soldiers" to share their personal stories and mission photos as inspiration for the 18-foot, bronze monument.

"It was unbelievable in 2001," Master Sgt. Bart Decker says to Blumberg.

Decker, the team's Air Force Special Operations combat controller, who is now retired, sports a Fu Manchu-style mustache. "We all looked at each other [and said] 'We're witnessing a cavalry charge!' " he said.

Blumberg listens in awe to the elite fighters in his art studio. He says he felt compelled to sculpt the monument after then-Defense Secretary Donald Rumsfeld first held up a photo of these special operations forces on horseback in northern Afghanistan during a 2001 news conference.

"The image, I think, typifies the special operations mission of get the job done, however you have to do it, adapt, overcome," the artist tells Bowers and his fellow fighters.

That image has also captured the imagination of Hollywood blockbuster producer Jerry Bruckheimer, who's making a movie based on the mission as told by Doug Stanton in his New York Times best-selling book, "Horse Soldiers: The Extraordinary Story of a Band of U.S. Soldiers Who Rode to Victory in Afghanistan."

Blumberg learns that the inspirational photo was shot by one of the "killer elite" sitting casually in front of him in his art studio.

The horse soldiers' stories

"If we wanted to move, horses were the only way," said Master Sgt. Chris Spence, the team's communication sergeant, who serves with 5th Special Forces Group. "Nobody will believe this! (So) I take my camera and (shoot) that photo."

Bowers points at that famous photo, explaining to Blumberg: "The Afghans and intelligence officers (CIA) are clotted up in front together, and all our guys are spread out in a wedge behind them."

For most of the Americans, it was their first time on a horse. But, their mission was critical: synchronize tribal warfare against Taliban and al Qaeda enemies by riding with, and advising, rival Northern Alliance warlords.

5 voices on Afghanistan success

The artist touches a bridle and an Afghan saddle the team brought from Fort Bragg, North Carolina, which are registered with the Smithsonian Museum. One of the nation's leading equestrian sculptors, Blumberg is fascinated with the little-known details of these special operators' horseback mission in the steep, mountain terrain of Northern Afghanistan.

"Were you worried about the footing of the horse?" the sculptor asks the team.

"Absolutely," replies Decker, the Air Force combat controller. "They were trying to scramble up the rocks, and their hooves, their shoes were sparking. You were worried about sliding off anytime, but you had to keep going."

In the male-dominated Afghan culture, all war horses are stallions; there were no mares. The team tells the artist the stallions were constantly biting, kicking and rearing.

"It was like riding a bobcat," Bowers says.

"That's another big reason we separated, especially at night, when we're walking on that ledge, because you put two horses together, all they wanted to do was fight. You look down at the left side, there's a 500-foot drop-off," Decker adds.

"It was a sheer cliff," explains Sgt. 1st Class Joe Jung, the team's Green Beret medic and sniper, who currently serves at U.S. Army Special Operations Command.

"If someone would have fallen off, we would not have known," Master Sgt. Chris Spence says.

That almost happened to Jung. When his horse slid backward, he jumped off, and the horse landed on him.

"It was the first week. Winded up breaking my back," Jung says quietly.

The sculptor's eyes are wide; his hand rubs his chin. "So, you rode the rest of the mission with a broken back?" Blumberg asks.

"Correct," Jung answers, "Two shots of morphine to relieve the pain, and get back on the horse. I would not allow myself to be the weak link. It's not in my nature, and it's not in any Green Beret's nature."

Jung and the others were each handpicked for this special operation by Bowers, who carried a piece of the World Trade Center during their entire mission advising the rival Northern Alliance warlords.

"There were suspicions about our motives," Bowers says to the artist. "I pulled the bent piece of steel out and showed it to them [and said,] 'This is why we're here: We simply want to ensure that it's not a sanctuary for terrorist forces that have attacked the United States.' "

Blumberg looks through the men's photos of the aftermath of a major battle in Mazar-e Sharif showing bodies and rubble from Air Force bombs. He realizes at that point just how tough the special operations forces' mission was, right after the September 11 attacks.

Afghan man reflects on war, 10 years later

The battlefield is far removed from his studio, littered not with the carnage of war but with the dust and scraps from his sculpture.

After that Mazar-e Sharif battle, as Green Beret medic Jung was treating wounded prisoners at a prison camp, he recalls hearing an odd voice nearby.

"The accent was not there. Something just didn't sound right, it just didn't add up," he says.

He got up and told the American intelligence agents who were questioning other prisoners. A linguistics specialist came over to help Jung treat another patient.

"He was listening to the conversation [and] immediately scooped him up," Jung recalls. "It turned out to be Walker."

It was John Walker Lindh, the so-called American Taliban from California. Blumberg sits forward in his chair. To him, the idea that an American was fighting alongside the men who helped carry out the 9/11 attacks is unthinkable.

Months later, after the Taliban regime had fallen, the special operations teams chose Mazar-e Sharif -- the site of one of their fiercest battles and where CIA officer Mike Spann became the first American killed in action in Afghanistan -- to bury the piece of the World Trade Center that Bowers had carried their entire mission.

"We took this piece of steel, put it in a body bag, folded American colors over it as when we lay our heroes to rest at Arlington," Bowers explains to Blumberg.

"We thought that this piece of the World Trade Center [should] be buried in a spot that was full of al Qaeda terrorists and memorialized."

The monument takes shape

Ten years later, these horse soldiers' stories will be memorialized in Blumberg's monument across from the World Trade Center site.

It will be unveiled during the November 11 Veterans Day parade, with the help of New York City firefighters, police officers, other emergency responders and Port Authority members.

"It will pay tribute to all U.S. special operations forces," Blumberg tells the team. "It will give New Yorkers an opportunity to honor the veterans who, worldwide, acted as New York's 'second responders' directly after the attack."

Members of Wall Street banking firms, who were personally affected by the attack at the World Trade Center, commissioned the artist. They ask to remain anonymous, so the focus stays on the meaning of the monument.

"They are an ad hoc group of grateful Wall Street bankers who personally survived and lost friends and many associates in the 9/11 attacks," Blumberg says. "They, and their community surrounding the World Trade Center, were permanently affected by the event. No public funds are being used."

In a Manhattan office, two of those individual supporters are helping organize this at a grass-roots level. They say that after the attacks, and the years of war that followed, their families and friends across the country asked them: Where could they go to remember the U.S. troops overseas who are trying to tackle potential terrorist threats, every day?

"We wanted to do something for the special operations community and all military service branches, because every day since 9/11, we've had to look at that hole in the ground," one of the private backers says.

A piece of World Trade Center steel may be embedded in the monument's base. The statue will be installed on private property, owned by a supportive firm, close to ground zero.

Back in Kentucky, Blumberg asks the horse soldiers assembled in his studio if they are concerned about whether anti-military groups, or detractors, will criticize the monument as glamorizing warfare.

"It's just not about the soldiers that have fallen, it's about those that were in the towers, those that were on Flight 93, and the Pentagon; the children that lost their mothers and fathers and brothers and sisters," medic Jung tells the sculptor. "What everyone needs to know is: There are people out there like this team, like the Green Berets, that are willing to sacrifice at all costs for them."

Spence, the communications sergeant who shot the photo that originally compelled the artist, agrees.

"These are the guys that have your back. These are the guys that are now watching an eternal vigil over ground zero. The falling of these towers launched us off on horseback. Now, we're watching over you, and we have your back. That's what this statue is symbolizing."

@highlight

U.S. special operations forces invaded Afghanistan in 2001 on horseback

@highlight

It was the first time the U.S. military had done so since 1942

@highlight

The "horse soldiers" are being memorialized in a new monument

@highlight

It will be unveiled at the World Trade Center site in November on Veterans Day