(CNN) -- Voters in Germany will go to the polls this weekend for the first time since the eurozone crisis left the single currency -- and much of the continent -- teetering on the brink of chaos.

While the campaign hasn't exactly set the world on fire -- voter apathy could prove a major issue -- what happens in ballot boxes across the nation Sunday has the potential to change the future of the euro, and of Europe.

Who's in the running?

Angela Merkel, the country's current chancellor, is campaigning for a third term in office. Were she to win, she would be on course to overtake Margaret Thatcher as Europe's longest-serving female political leader.

Merkel, a physicist-turned-politician from the former East Germany, came to power in 2005 as leader of the Christian Democrats (CDU), a center-right conservative party. Initially she served as Chancellor in a "grand coalition" of politicians from both sides of the political spectrum; in 2009 she won re-election at the head of a conservative coalition with the Free Democrats.

Read more: Angela Merkel: Europe's Mrs. Nein

Her steady stewardship of the country through the eurozone crisis -- and her no-nonsense attitude to struggling members of the currency union -- has earned her both commendations and criticism abroad.

And while she does have detractors at home, she remains Germany's most popular politician by a long way -- according to the latest Transatlantic Trends report by the German Marshall Fund of the United States, two thirds of Germans approve of her handling of the eurozone crisis.

Who is she up against?

Her major opponent is Social Democrat Peer Steinbrueck. Steinbrueck served as finance minister in Merkel's first government, a grand coalition between the CDU and the left-leaning SPD, from 2005 to 2009, overseeing the country's bank rescue plan.

Gaffe-prone Steinbrueck caused the biggest controversy of the 2013 campaign when a photograph of him gesturing with his middle finger graced the cover of a popular magazine.

Merkel's current coalition partners, the conservative Free Democrats (FDP), are struggling to connect with voters -- polls suggest they may even fall below the 5% minimum vote threshold and lose their place in Germany's parliament, the Bundestag.

Read more: Peer Steinbrueck stirring up German politics

The other parties seeking electors' votes include The Left (Die Linke), headed by the charismatic Gregor Gysi and tipped to do well in the states of the former East Germany, and the Greens, who are ranking third in the latest opinion poll.

Are there any newcomers on the scene?

Sunday will mark the national election debut of two new parties looking to shake up the German political scene: the Pirates Party and the Alternative for Germany (AfD). All eyes will be on the ballot boxes to see whether they can secure the votes they need to win seats in the Bundestag.

The AfD, founded in April 2013, is made up of so-called "euroskeptics," opposed to the single European currency and to Germany's role in the bailouts of several struggling eurozone nations, which they see as a waste of money the country can ill afford.

Seen by many as a "party of professors" the AfD currently has between 2% and 4% support, just short of the 5% it would require to take up seats in parliament. However, political commentators have warned it could damage Merkel's re-election hopes by splitting the conservative vote.

Read more: Could euroskeptics spoil Merkel's party?

The Pirates Party, inspired by a similar internet freedom movement in Sweden, was the surprise success story in last year's regional elections in Berlin, securing almost 9% of the vote; however, polls suggest the party is unlikely to repeat its success in the capital on a federal level.

With up to a third of German voters "undecided" there are plenty of ballots still up for grabs.

What are the big issues?

There's just one, and to misquote Bill Clinton's campaign strategists: It's the economy, Dummkopf.

Compared to many of its neighbours, Germany as a whole has continued to thrive throughout the eurozone crisis: it is the biggest economy in Europe, with a healthy manufacturing industry and the continent's second lowest unemployment rate.

However, not all of Germany's citizens are feeling the benefit: large numbers of people are reliant on low-paid "mini-jobs" which leave them struggling to make ends meet. The Social Democrats are calling for a national minimum wage to combat the problem of the "working poor."

The SPD has also called for tax increases -- a proposal rejected by Merkel.

Read more: Germany playing beggar-my-neighbor with eurozone?

How does voting work in Germany?

Germans get two votes, one for a local candidate, and one for a party.

The Bundestag's 622 seats are divided between the two, with 299 going to local candidates (under a first-past-the-post system), and the remainder allotted to politicians from party lists, on a proportional representation basis.

To enter parliament, each party must secure a minimum of 5% of the vote to win seats in parliament. Votes given to parties that do not meet this threshold are redistributed amongst those who do.

German politics is all about forging coalitions and alliances; no single party has governed the nation alone since reunification.

Who will win?

Until recently, the election looked like a slam-dunk for the popular Merkel and her allies. However, the Free Democrats' dip in the polls puts the current coalition at risk.

Should the FDP lose its place in the Bundestag -- a possibility if the fledgling AfD splinters the conservative vote -- Merkel would have to cement fresh alliances in order to remain chancellor.

Read more: Is Merkel the most powerful female politician?

The CDU has ruled out linking up with the AfD -- despite their mutual conservatism, the AfD's resolutely anti-euro stance contradicts the Christian Democrats' policies.

Instead Merkel could return to the "grand coalition" days of 2005-2009, working with the Social Democrats -- and Steinbrueck -- once more.

Alternatively, should they perform well at the polls, the Social Democrats could seek to oust Merkel by forming a left-wing coalition with the Greens and The Left.

Why should those outside Germany care?

Germany is Europe's largest economy and its government has the leading voice in governing the Eurozone.

If German voters decide to replace conservative Merkel with left-leaning Steinbrueck, the whole currency union could be affected.

Steinbrueck is skeptical of Merkel's austerity-focused policies and has said he would do more to encourage growth and investment.

Although they disagree on economic policies, Steinbrueck has made it very clear that should he win the election, he would follow in Merkel's footsteps by demanding all eurozone countries stick to "sound fiscal discipline."

Read more: Ja, wir koennen! Is German campaign too American?

@highlight

German voters will elect a new government Sunday

@highlight

Angela Merkel, of conservative Christian Democrats, seeking third term as chancellor

@highlight

Peer Steinbrueck, of center-left Social Democrats, looking to challenger her

@highlight

Election outcome has potential to change future direction of euro, Europe