(CNN)  -- Like shifting weight on a seesaw, the Pentagon moved the lion's share of U.S. war troops in Iraq to Afghanistan in 2010, to reflect the nation's changing war strategy. Just months after Obama promised to reduce U.S. forces in Iraq, he faced a much-debated decision last year on whether to increase troops in Afghanistan.   Supporters of the buildup said the strategy would bring a swifter end to the war, by allowing the United States to more quickly hand over security responsibility to Afghan forces. Opponents complained that the government of Afghan President Hamid Karzai was corrupt and had proven to be an unreliable partner.

The nine-year U.S.-led war against the Taliban and al Qaeda has claimed the lives of more than 1,070 American troops in both hostile and non-hostile deaths. Following the fiery Capitol Hill debate, Obama ordered an additional 30,000 forces to deploy to Afghanistan.

Leadership of the Afghan war became a political bombshell in June, when Rolling Stone reported that the war's U.S. commander, Gen. Stanley McChrystal, had made politically explosive remarks about key administration officials. Among the reported comments, McChrystal and his staff imagined ways of dismissing Vice President Joe Biden.  Obama said McChrystal's conduct "does not meet the standard that should be set by a commanding general" and undermined both civilian authority and trust.

Obama accepted McChrystal's resignation and asked Gen. David Petraeus, head of U.S. Central Command, to take over McChrystal's role.

Under Obama's plan for the Afghanistan war, the United States will begin reducing troops in Afghanistan beginning in July 2011.

In July, top House Democrats struggled to maintain support among more liberal lawmakers to pay for the Afghan war. Although the House gave final approval for almost $33 billion to fund U.S. military operations in Afghanistan, 102 Democrats joined 12 Republicans in voting against it.

Rep. David Obey, D-Wisconsin, retiring chairman of the powerful House Appropriations Committee, and a reluctant supporter of Obama's Afghan buildup in 2009, said he opposed the emergency funding bill because of questions over the prospects for U.S. success in Afghanistan.

"The Afghan government has not demonstrated the focused determination, reliability and judgment necessary to bring this effort to a rational and successful conclusion," said Obey.

The federal government has "appropriated over $1 trillion for the wars in Iraq and Afghanistan to date, more than $700 billion to Iraq and $300 billion for Afghanistan," Obey noted.

"To those who say we must pay it because we're going after al Qaeda, I would note that Afghanistan is where al Qaeda used to be," he said. "Today, there are fewer than 100 al Qaeda in Afghanistan, which was publicly confirmed last month by CIA chief (Leon) Panetta. Al Qaeda has relocated to other countries and regions."

Rep. Jim McGovern, D-Massachusetts, called the Afghanistan war policy "deeply flawed."

"Occupying Afghanistan in support of a corrupt and incompetent government will continue to claim the lives of our soldiers," McGovern said. "It will continue to bankrupt us, and it will not enhance our national security. ... It is a mistake to give this administration yet another blank check for this war."

The House also voted against a non-binding resolution that called for the withdrawal of all U.S. military personnel from Pakistan, which borders Afghanistan. Currently, the United States has more than 200 armed service members in Pakistan.

Fueling liberal discontent with the war effort was the release by the whistle-blower website WikiLeaks of roughly 76,000 U.S. military and diplomatic reports about Afghanistan filed from 2004 to January 2010.

McGovern is one of a bipartisan trio of lawmakers who has called on the commander in chief to announce an exact timetable for complete withdrawal from Afghanistan.

"United States military strategy in Afghanistan is not in our best national security interest and makes us dependent upon an unreliable partner in the Afghan government," said a letter to Obama signed by McGovern, Sen. Russ Feingold, D-Wisconsin and Rep. Walter Jones, R-North Carolina.

Some political analysts wonder if Obama's war strategy might diminish voter turnout by anti-war liberals -- and help Republicans on Election Day.

"I think the Democratic base -- the danger is it becomes a no-show in 2010," Rep. Tom Andrews, an anti-war activist and Maine Democrat, told CNN.

Washington has pressed Karzai to clean up alleged corruption in the government. Karzai's re-election victory was tainted by accusations of voter fraud. During his inauguration speech, Karzai promised to do more to fight corruption.

He has said that by the end of 2010, Afghan forces will be able to take over some security responsibilities from international troops. Karzai has said he would like the Afghan government to have full responsibility for security by 2014.

Iraq: U.S. combat role ending but issues remain

In Iraq, where U.S. troops have been deployed for seven years, Obama has pledged that U.S. forces will be pared down to between 35,000 and 50,000 troops by August 31, two months before U.S. voters head to the polls.

War casualties have plummeted.

In the past four years, attacks on coalition forces in Iraq have dwindled to about 100 per week from nearly 2,000 per week in 2006, according to the Brookings Institute, a Washington think-tank. Brookings' Iraq index estimates that there were 34,500 Iraqi civilian casualties in 2006. In 2009, 2,800 Iraqi civilians died violently.

Obama has promised to remove all U.S. troops from Iraq by the end of 2011. Until then, the U.S. will "retain a transitional force to carry out three distinct functions: Training, equipping and advising Iraqi Security Forces as long as they remain non-sectarian; conducting targeted counter-terrorism missions; and protecting our ongoing civilian and military efforts within Iraq."

After that, as Obama said when he announced the drawdown, Iraq's future is its own responsibility and the end of the war will "enable a new era of American leadership and engagement in the Middle East."

But many U.S. veterans of the war will bear the wounds of their service for years to come. Doctors are diagnosing hundreds of thousands of cases of post-traumatic stress disorder among returning war vets. Some soldiers report difficulty getting treatment.

For that, Obama has pledged to invest in new ways of identifying and treating combat injuries including PTSD and traumatic brain injury -- now known as the "signature" wounds of the war.

Several 2010 House and Senate candidates served in the Iraq war and are including Iraq or veteran-related issues as part of their agenda.

The government is reporting higher rates of homeless women veterans -- many of whom have children in their care. Congress is considering several bills aimed at helping veterans with housing and child care issues.

The reduction of U.S. forces in Iraq is also prompting questions about the Pentagon bidding process for private military support contracts.

Bipartisan heads of the Senate Homeland Security committee complained in May about what appeared to be decreased competition for a $568 million contract for support work in Iraq that was awarded to KBR, which had held the previous contract for services.

The contract work, for everything from cleaning laundry to preparing food and providing fuel for troops and contractors in Iraq, covers the period between September 1, 2010 and December 31, 2011.

@highlight

NEW: House Democrats struggle to maintain liberal support for Afghan war

@highlight

Obama accepts resignation of U.S. commander of Afghan war after explosive comments

@highlight

Obama pressed Afghan president to clean up alleged corruption in the government

@highlight

Obama: U.S. troops in Iraq will reduce to between 35,000 and 50,000 by August 31