Thanks to technology, most of us now have the ability to shoot and edit long, high-quality videos on our phones, to upload them and to share them socially with everyone we know.

But somehow, the hot social media trend is supershort video clips that are much closer to the GIF than to "Citizen Kane."

In the past few years, a number of companies have launched around mobile video-sharing -- among them Viddy, Socialcam and Twitter's own looping, six-second Vine -- all vying for the unofficial title, "the Instagram of video." These apps have bred a unique category of content, from real-life moments such as blowing out birthday candles to short-form artistic creations that play with the medium.

Now rumors are swirling that the next contender in this growing field will be Instagram itself. The popular photo-sharing app is expected to unveil a video-sharing feature Thursday during a press event at Facebook, its parent company, according to reports on TechCrunch, AllThingsD and other tech blogs.

Not to be outdone, Vine seems to be readying some new features itself. The app's co-founders posted several Vines Wednesday that suggest users will soon have the ability to save drafts, splice bits of multiple Vines together and browse content based on categories and genres.

So, a social-video turf war may be looming: Instagram vs. Vine. Facebook vs. Twitter.

There's no word yet on what time limits or filters Instagram might place on a video-sharing tool. But on other platforms, the short clips have proven to be hugely creative, offering up bizarre snippets of art and fleeting peeks into people's lives. Vine correctly predicted that its shorter form would result in artsy videos along with the usual clips of celebrities and cute animals.

"The appeal (of) short video apps are well ... they're short!" said Vine user Khoa Phan in an e-mail to CNN. "You don't have to sit there for a long time to watch it.  And due to the length, you can watch many videos in (a) short time span."

"Vine is immediate and to-the-point. The audience can view content quickly and consume multiple videos/stories in a short period of time," agreed Vine user Matt Willis, who believes the six-second limit "forces the user to capture the defining elements of a story or concept."

Among the most successful clips on Vine are stop-motion videos, animations and how-tos. There are unexpected uses of the form, such as this Magic 6 Ball that cycles through a loop of answers. Many people turn the camera on themselves, giving new dimension to the overplayed "selfie" and fleshing out their Twitter persona with a real voice.

As it turns out, a Vine is even the perfect length for covering a rodeo. Wyoming's Casper-Star Tribune uses the app heavily to round up the best performances at local rodeo events. What's impressive is how much can be packed into these short moments.

Viddy and Vine enforce the shorter-is-better philosophy. Vine has had success with six seconds, a length Twitter settled on after testing videos between four and 10 seconds long.

"Posts on Vine are about abbreviation -- the shortened form of something larger," said Vine co-founder Dom Hofmann in the blog post announcing the app. "They're little windows into the people, settings, ideas and objects that make up your life."

Viddy has gone the opposite direction, expanding its initial 15-second time limit to 30 seconds in response to interest from its users. Most people post clips of life events, scenes, pieces of conversation or fun action, said Jason Rapp, chairman of Viddy.

"Life keeps on going past six (seconds)," he said in an interview with CNN.

Vine has passed 13 million users. Earlier this month, Twitter released an Android version of its Vine app and it quickly became more popular than Instagram as a way to share media on Twitter, according to analytics site Topsy.

As YouTube discovered long ago, there seems to be an insatiable hunger for online video. In May alone, Americans watched 41 billion videos online. The format also can be very lucrative, especially when the content is created for free by third parties.

So how will all these services make money off small videos?

Twitter could offer promoted Vines, like it does with tweets. But where people have finished reading a promoted tweet by the time they realize it's paid, clicking on a Vine and watching it requires an extra step that might lose people. Alternatively, Twitter could include ads in the videos themselves.

YouTube has had success with ads inserted at the beginning, or middle, of a user-uploaded video. But the new crop of social video is so short that any ads would have to get their message across in just a few seconds.

"We're taking a more cautious approach because a traditional 15-30 second pre-roll is not going to work on a 30-second video," said Viddy's Rapp.

It makes sense that Facebook would want to get in on the micro-video trend, and choosing Instagram as the tool for shooting and sharing these videos is natural. More than 100 million people use Instagram each month, uploading a staggering 40 million photos a day. Facebook, looking for ways to boost its mobile revenue, may eventually want to add short ads to Instagram videos.

Meanwhile, fans of the short-video format will keep pushing the boundaries of what is possible. And the apps' social aspects  connect them to other like-minded people.

"Think of how Twitter has evolved. We have learned to fit often-complex statements into ... (140) characters," said Willis, the Vine user. "Sometimes we chop bits out, or make up new words -- the rules are loose, and great Twitter users have a knack for exploiting this. Vine is heading in a similar way. The message needs to be immediate and without embellishment."

"It's not just a video tool. It's a social community," said Vine user Hunter Harrison. "The interaction is unbelievable. I've come to know people up there from all over the world ... people that I would now consider friends. It's actually pretty crazy how it has connected people."

@highlight

Micro-video apps like Vine have become hugely popular

@highlight

The video snippets people upload are creative, raw and frequently bizarre

@highlight

Instagram could be the next service to add short videos

@highlight

User: A short video "forces the user to capture the defining elements of a story or concept"