(CNN) -- Throughout his campaign, Republican presidential nominee Mitt Romney has cast himself as an ardent backer of Israel -- and, either directly or indirectly, suggested that President Barack Obama hasn't been similarly supportive.

The former Massachusetts governor lashed out again Monday in a speech at the Virginia Military Institute, criticizing Obama on several points. Among them was Israel, with Romney stating the relationship between Obama and Israeli Prime Minister Benjamin Netanyahu "has suffered great strains" in recent years.

"The president explicitly stated that his goal was to put 'daylight' between the United States and Israel. And he has succeeded," said Romney. "This is a dangerous situation that has set back the hope of peace in the Middle East and emboldened our mutual adversaries, especially Iran."

Fact Check: Was Obama 'silent' on Iran 2009 protests?

Vowing to "reaffirm our historic ties to Israel" and its security, Romney added, "The world must never see any daylight between our two nations."

So is Romney's characterization of Obama's remarks, and U.S. relations with Israel, fair and accurate?

The facts:

Obama's "explicit" statement Romney is referencing dates back to July 2009, at a closed meeting between Obama and select Jewish leaders. According to the Washington Post's account, concerns were building over the president's reasoning on the Israeli-Palestinian conflict. Obama sought to assure the leaders that he and his administration understood the "nuances of the current issues."

Malcolm Hoenlein, executive vice chairman of the Conference of Presidents of Major American Jewish Organizations, told Obama, "If you want Israel to take risks, then its leaders must know that the United States is right next to them."

"Look at the past eight years," Obama said, according to the Post. "During those eight years, there was no space between us and Israel, and what did we get from that? When there is no daylight, Israel just sits on the sidelines, and that erodes our credibility with the Arab states."

Complete coverage of CNN Fact Checks

Following the confusion that ensued over these comments, and their resurgence in the election season, administration officials have again and again defended the president and insisted there was indeed no "daylight" between the two countries.

Defense secretary Leon Panetta, speaking to reporters traveling with him in the Middle East in July, said that new U.N. sanctions against Iran would be "ratcheting up to a whole new level of impact. It sends a strong message to (the Iranian leadership) that they can't continue to do what they are doing."

He emphasized that there is no disagreement between the United States and Israel about Iran.

"My view is that when I sit down with my counterpart in Israel, we are unified in our view with regards to Iran," Panetta said.

In response to reported disagreements between Obama and Netanyahu on how specifically to handle curbing Iran's nuclear program, U.S. Ambassador to the United Nations Susan Rice told CNN's State of the Union, "We share a grave concern about Iran pursuing a nuclear weapon.... We are determined to prevent that from happening.

"President Obama has been absolutely clear, and on this there's absolutely no daylight between the United States and Israel that we will do what it takes to prevent Iran from acquiring a nuclear weapon."

Rice went on to say that the steps the United States and other countries are taking to pressure Iran are working.

Speaking more generally in late July about cooperation between the two nations, Israeli Deputy Prime Minister and Defense Minister Ehud Barak described U.S. support for Israel's security as unparalleled.

"I should tell you honestly that this administration under President Obama is doing in regard to our security more than anything that I can remember in the past," Barak told CNN.

Despite such assertions, some have continued to insist that U.S.-Israeli relations have deteriorated since Obama took office.

They include Elliott Abrams, who told a U.S. House committee in September that he believed the political relationship and cooperation between the two nations are the worst in two decades. Notably, Abrams had top State Department and national security-related positions under Republican presidents Ronald Reagan and George W. Bush and his writings are featured prominently on Romney's campaign website.

Conclusion:

The Obama administration has stressed repeatedly that it is committed to maintaining a strong relationship with Israel. In May 2011, Obama said, "The bonds between the United States and Israel are unbreakable, and the commitment of the United States to the security of Israel is ironclad."

The exact context of Obama's remarks in his closed July 2009 meeting with Jewish leaders is not clear. And it hasn't been proven Obama "explicitly stated" then that it was "his goal" to put "daylight" between the two countries. His remarks, as reported, suggest rather that "our credibility with the Arab states" suffers when U.S. and Israeli policies are mirror images of each other.

Fact Check: Romney's comparison of past, present Navy pointless

In fact, Obama has on occasion offered views different from those of Netanyahu, including calling on Israel to halt West Bank settlement activity early in 2009.

During the 2012 campaign, Romney has sought to assure voters that he will be tougher against Iran's nuclear ambitions than Obama, although the two candidates' positions on Iran are nearly identical, according to a top Romney adviser.

The Obama administration has hardly been soft against Iran. In addition to voting for U.N. Security Council sanctions against the country, in July 2010, Obama signed legislation that aimed to make it harder for the Iranian government to purchase refined petroleum and necessary materials to modernize Iran's oil and natural gas sector. The legislation also mandated that the U.S. government will no longer grant procurement contracts to businesses doing prohibited business with Iran.

And the president signed an executive order pushing further sanctions against Iran in November 2011.

There have been numerous reports of tensions and disagreements, and there have been times where Obama has expressed a view (as on settlement activity) not shared by his Israeli counterpart.

But any blanket assessment should also take into account assertions from the likes of Barak, lauding cooperation between the two nations over the last four years.

Opinion: Obama has bungled foreign policy

Fact check: Obama 'has not signed one new free-trade agreement'

Colorado is 'ground zero' of election

@highlight

A report says Obama told Jewish leaders the risks of "no daylight" between U.S., Israel

@highlight

Romney cites that remark, and claims "great strains" between Obama and Netanyahu

@highlight

Context of Obama's comments is unclear, and he never said "daylight" was his goal