Theo Visser was thirsty. He got up from his seat during the half-time break in a soccer match to purchase a drink from the concession stand.

"There she was, standing behind the bar," he recounts, 58 years later. "It was love at first sight." Theo asked the young woman out to a movie -- and the rest, they say, is history.

It's quite a shame, then, that Corrie Visser doesn't remember any of this. Or if she does, she can't say so. Corrie is one of 152 residents at Hogewey, a cutting-edge elder care facility on the outskirts of Weesp, the Netherlands, just minutes from downtown Amsterdam.

'Dementia Village' - as it has become known -- is a place where residents can live a seemingly normal life, but in reality are being watched all the time. Caretakers staff the restaurant, grocery store, hair salon and theater -- although the residents don't always realize they are carers -- and are also watching in the residents' living quarters.

Residents are allowed to roam freely around the courtyard-like grounds with its landscaped trees, fountains and benches -- but they can't leave the premises.

Their two-story dormitory-style homes form a perimeter wall for the village, meaning there is no way a resident can accidentally wander out.

And if they do approach the one exit door, a staffer will politely suggest the door is locked and propose another route.

Elderly Germans try to avoid care homes

Placing an aging family member here is far less expensive than round-the-clock, in-home care. It also takes an enormous amount of stress off family members who don't have ample time or proper training to care for their loved ones.

Corrie has received a diagnosis of severe dementia, meaning she requires attention and support 24 hours a day. That clinical indication is necessary to gain admittance into Hogewey.

The burden of caring for Corrie eventually became unmanageable for Theo and his daughters, so together, they made the decision to place her here.

He says: "It's perfect. I wouldn't know a better place for her. It's 100% good."

Nearly every day of the week, Theo drives 15 kilometers (10 miles) each way to spend a few hours with his 80-year-old wife.

"I do it for myself," he says. "I need it for myself. She (still) recognizes everyone... so it's important I be here every day."

Although they can't chat with each other, Theo and Corrie will often sit for hours, holding hands and lovingly look into each other's eyes. Every so often, Corrie offers a smile, a laugh, a squeeze of the hand. At least part of her memory, it seems, is still intact, though she can't verbalize much these days.

Like other residents of Hogewey, Corrie may not know exactly where she is, but she always feels right at home. That's precisely the idea.

For Yvonne van Amerongen, one of Hogewey's founders, the need to create the small village was deeply personal.

"It was the moment my mother called me and told me my father had passed away suddenly," she recalls. "Nothing was wrong with him. He just had a heart attack and he died. One of the first things I thought was, 'Thank God he never had to be in a nursing home.' That's crazy that I have to think that! I'm in the management of a nursing home and I don't want my father to come here."

Five things CNN's Dr. Sanjay Gupta learned at the center

Van Amerongen sat down with her colleagues in November 1992 to discuss how they could transform the typical nursing home into more worthwhile living.

They created a 1.5 hectare (four-acre) complex, completed in 2009, that is home to 23 housing units and seven different "lifestyle themes," such as crafts, culture, religious and urban.

Art lovers get paintings on the walls and music is always playing while the religious get more conservative décor and Christian crosses on the walls.

The simple goal: provide the most normal possible life, reminiscent of each individual's formative years.

From the furnishing of her unit to the decorations and the type of food served, Corrie is led to believe that nothing in her life has changed. It's this sense of normalcy that they strive for day in and day out at Hogewey.

Study finds loneliness linked to dementia

In some ways, this is similar to the manufactured reality depicted in the movie "The Truman Show," where a man played by Jim Carrey discovers his entire life is actually a TV program. Everything he thinks is real is in fact a mirage, created by television producers for the viewing public's entertainment.

Van Amerongen dismisses any accusations that she and her staff are duping their residents.  "We have a real society here," she says. "I don't think people feel fooled. They feel fooled if we just tell them a story that's not true and they know it. We're not telling stories."

But telling stories is exactly what some of the residents do, all day long, including Corrie's housemate, Jo Verhoef. Like all of Hogewey's residents, Jo's dementia is rapidly progressing. Her "loop" is getting shorter; the conversations she carries and the questions she asks are becoming more repetitive in a shorter amount of time.

"Do you know Steve Matthew?" she asks, multiple times over the course of an hour. Of course, no one does, but each time she seems surprised that we haven't met. *

Steve may be a relic of Jo's past, a distant, foggy memory of a baseball player she says lived with her for a short time when she was younger. Or, he may be a figment of her imagination. Sadly, we'll never know.

Brain map seeks to unlock mysteries of the mind

Worldwide, 35.6 million people have dementia, according to the World Health Organization, with 7.7 million new cases being diagnosed every year. At that rate, the number of people with dementia is expected to double by 2030 and triple by 2050. This will be an additional burden for governments already struggling to contain the runaway costs of health care.

In Holland, everyone pays into the state health care system during their working years, with the money then disbursed to pay for later-in-life expenses - and that means living in Hogewey does not cost any more than a traditional nursing home.

Could this innovative model work in other countries? Health care industry leaders in Germany, England, Switzerland and Japan are all beginning to take notice. At Hogewey, says van Amerongen, "We have Dutch design, Dutch cultures, Dutch lifestyles, but the concept is to value the person, the individual... to support them to live their life as usual, and you can do that anywhere."

On a physical level, residents at Hogewey require fewer medications; they eat better, and yes, they live longer. On a mental level, they also seem to have more joy. It's a difficult thing to measure, but that is the most important thing here at Hogewey.

So could this work in other parts of the world? That's the next question.

@highlight

Dutch dementia facility shows new way of providing long term care

@highlight

It lets residents roam while staff work in village shops to keep an eye on them

@highlight

Living quarters are furnished to reflect a person's younger days

@highlight

Health experts from across Europe and Japan are looking at the Dutch model