(CNN) -- Despite everyone talking about Arizona's new immigration law, Senate Bill 1070, no one has asked if it was Arizona's best option.

Was there no other approach to address immigration without undermining the state's economy or shredding our social fabric? Nobody had a better idea for balancing security with the draw and demand of American jobs? What about an offer to work with Congress? Was the only solution to blow up the place?

It should concern everyone that no one asked these questions. If you watch the SB1070 hearings here, not a single legislator asks about or offers alternatives, although a few express "concerns." One legislator, Daniel Patterson, strongly challenged the law's sponsor, state Sen. Russell Pearce, on his immigration claims. Patterson's courage was rewarded with the loss of his committee assignment.

Pearce announced he would run primary challengers against any Republican who voted against SB1070. He threatened to hold up bills sponsored by anyone who did not support SB1070. He was so hell bent on passing his immigration bill that he packed hearings with supporters and, surprise, committee chairs limited the speaking time of opponents. Even if someone had another idea, the process was set up to ignore it.

So what hath SB1070 wrought? Distrust. Blame. Boycotts. Poorly worded protest signs. There's the rumored loss of 200,000 to 300,000 convention room bookings for 2011-2013. There's damage to Arizona's reputation. Hispanic citizens expect to be racially profiled. There's the potential filing of hundreds of lawsuits against state and local government agencies and big paydays for the lawyers who will try those cases. Nothing much positive so far -- but it gets worse.

Simple math suggests kicking 300,000 workers out of the state means at least a $6 billion hit to Arizona's economy. Add those jobs lost in support or supply businesses and the impact could reach $29 billion annually. Don't expect the law's proponents to have a plan for replacing those lost billions with anything other than empty promises of thousands of newly available low-paying jobs and overestimated savings -- all based on a flawed report from the Federation for American Immigration Reform.

The report ignores that undocumented workers and family members pay the very same property and sales taxes that fund Arizona's education system and the state's general fund. It ignores the contributions that children who are citizens make to the state's tax base once they enter the workforce.

If undocumented worker departures open up jobs, then why is the Bureau of Labor Statistics reporting Arizona's unemployment rate increased every month since SB1070 was signed into law? The bureau reports that Arizona lost 11,700 jobs from May to June and unemployment rose to 9.7 percent. We see news reports of immigrants leaving all the time, so jobs must be available. How can this be?

The fact is, SB1070 is pushing out both the legal and the undocumented. They own businesses. They employ people. They pay taxes. They own homes. They spend money at stores owned by people who aren't leaving. Those businesses will lay off workers, reduce operations or close. That means fewer jobs, increased housing and commercial vacancies, depressed home values and foreclosures, and less sales, property and employment tax revenue for the state. We see it happening daily.

Anyone paying attention could have seen this coming. Unfortunately, few really were. The rest were "satisficed" -- a combination of satisfied and sufficed that means settling on any solution rather than an optimal one -- that SB1070 would solve the problem, in glorious denial as to the real damage the bill is doing to Arizona.

Has SB1070 solved any part of the problem? SB1070 doesn't secure the border and the unemployment figures don't indicate any improvement. It has created far more economic and social problems than it solves, but few proponents want to admit that. This is the result of not asking, "Is there a better way?"

States considering mimicking SB1070 would be wise to heed warnings of adverse economic and social impacts. They would be wiser to question the "facts" SB1070 proponents trot out to support similar efforts. They would be wisest to say, "What else have you got?"

Is there a better way? How about putting Ellis Island-type centers on the borders and channeling everyone looking for work through them? Employers, as in current law, would  tell the government what type and how many jobs they need, ones that aren't being filled by domestic workers. Those jobs would be advertised on the internet, where interested immigrants and Americans can compete for them. Knowing the job demand, Congress could set market-based visa quotas that make sense.

Instead of paying coyotes $2,500 to be smuggled into the United States, the job seekers would pay Uncle Sam to expedite the privilege. This takes billions out of the hands of smugglers and funds the solution to the problem. If 500,000 people are crossing into Arizona each year, this generates $1.25 billion to help cover the costs of building and operating these centers, with access to labor for business and better allocation of Border Patrol resources to finding drug smugglers. Read more about the proposal here.

Arizonans have lived with political obsession and distortion on immigration for four years and my only suggestion to other states is: Don't follow our lead. Think of something else, because SB1070 isn't worth the economic and social trouble.

The opinions expressed in this commentary are solely those of Todd Landfried.

@highlight

Todd Landfried: Nobody considered an alternative to Arizona's SB1070

@highlight

Kicking 300,000 out, loss of businesses could cost $29 billion annually, he writes

@highlight

He says law has already created far more job, economic, social problems than it solves

@highlight

Landfried proposes Ellis Island-type centers on the borders that channel job seekers into U.S.