New York (CNN) -- The legendary New York restaurant Tavern on the Green will close its doors after serving a last supper and hosting a New Year's party.

The iconic spot on the western edge of Central Park will undergo major renovations under a new operator and may even retain its famous name, but to many patrons, this is indisputably the end of an era.

Claudia Myers and Wayne Knowles, a semi-retired couple visiting from Norfolk, Virginia, were saddened by the news and decided to treat themselves to one last Tavern dinner. "I came here years ago and had good memories," Knowles said.

"It's the atmosphere and ambience" Myers added. "Everyone knows what Tavern on the Green is and where is it" -- here, Myers paused -- "except one cab driver. It's just a neat place. It has history and it's in the park."

Ed Brown and his wife, Judy, also were in town for the holidays from Plantation, Florida, and were aware of the restaurant's plans. "It's my first and last time at eating at Tavern on the Green," Brown said. "At least I can now say I ate there."

Rodney Shephard recently was making preparations for his last party, for 1,500 guests. It's nothing the restaurant's maitre d' for the past 23 years couldn't handle, but he wasn't looking forward to his last party on his last day of employment at the restaurant.

"I never thought this day would come" said Shephard, 52. "Not like this. Not like the money-making machine that this place is."

The restaurant served its first meal in 1936, when Mayor Fiorello La Guardia presided over its opening as the city and the country were trying to dig out from the Great Depression.

The restaurant almost died in 1974 when the operator  shuttered the "rustic little money-losing pub," as New York Times food writer Eric Asimov later described it.

But Warner LeRoy immediately took over the Tavern's lease and invested $10 million. He added two rooms to the existing four and installed scores of copper and brass chandeliers, Tiffany-style stained glass, bull's-eye glass mirrors and ornate pastel-colored fixtures, and a 167-foot mural depicting Central Park.

After its 1976 reopening, words like "playful," "dazzling" and "eclectic" were used to describe the restaurant's ambience and the menu. "It was an over-the-top whimsical place," said longtime publicist Shelley Clark.

Warner Leroy's father, Mervyn LeRoy, was the producer of the "Wizard of Oz," A black-and-white photograph hanging in the Tavern shows Warner as a child with Judy Garland on the set of the movie.

Jennifer Oz LeRoy, in her recently published book "Tavern on the Green 125 Recipes for Good Times," -- co-authored by her mother, Kay -- described the vision of the restaurant that her father wanted.

"When he walked into the courtyard of the run-down building, he imagined something wholly original and incredible: He would build a room in that space that would look like the inside of a wedding cake." she recalled.

"He was a brilliant showman and a brilliant restaurateur. He was bigger than life." said the Tavern's chief operating officer, Michael Desiderio. "He thought dining is like a great show, and when the curtain goes up everything must be perfect."

Shephard, who started as a front desk manager, fondly recalled LeRoy and the sense of family that he brought to the establishment: "It's like a second home. I consider the employees like your brothers and sisters, and now it's all going to be cut off."

The restaurant became the destination for anniversaries, birthdays and family affairs, It served more than 500,000 people a year, an average of 1,400 dinners a night. Tourists eagerly descended upon the eatery for the crab cakes, wedge salad, salmon and parmesan-crusted chicken.

Food critics were not so thrilled.

Andrew Knowlton, restaurant editor for Bon Appetit magazine, said the restaurant has never been the greatest venue for foodies. "When you're serving 2,000 meals a deal, I don't care if you're [chef] Jean-Georges Vongerichten and Daniel Boulud, you just can't put out that much of a volume and have top quality food."

The LeRoy family was forced to file for bankruptcy in 2009 after losing a bidding war for to another proprietor, Dean Poll, who also owns the Boathouse Restaurant in Central Park. Once the restaurant closes, its contents will be auctioned off by Guernsey's auction house.

As part of the 20-year license to operate the restaurant, Poll is expected to invest $25 million on renovations.

While maintaining the Victorian historic features of the building, Poll's plan is to incorporate green building technology as well as replacing the kitchen and electrical and plumbing systems. The renovations, which are expected to take four years, will be conducted in phases so the restaurant can remain open.

Attorney Barry LePatner, who represents Poll, said the new revitalized restaurant will become a popular destination for tourists and New Yorkers alike. "The new incarnation of Tavern on the Green will integrate modern respect with an iconic location and a sensibility that will warm to New Yorkers" LePatner said. "We want more New Yorkers as well as tourists."

LePatner said that while the terms of the lease are still being negotiated with the city parks department and issues with labor unions are still unresolved, Poll's vision is to create a new era. "The game plan is to have one of the biggest creative moments in the history of the city, and bring Tavern on the Green back to its original, enhanced luster."

One issue that is still left unresolved is the iconic name of the restaurant, which the current management estimates is valued at $19 million. The LeRoy family claims it trademarked the name in 1981. U.S. District Court Judge Miriam Goldman Cedarbaum is expected to make a ruling in January. In the meantime, LePatner said, the city has filed a trademark for "Tavern in the Park" but that Poll would like to retain the original name and that it should rest with the site.

Warner LeRoy, who was fond of flamboyant bashes, probably would approve of the Tavern's plan to say farewell on New Year's Eve. Over the park, as fireworks light up the sky and as the last party-goers exit, they will gaze at the 750,000 tiny white light bulbs that envelop the restaurant and just hope the new owners remember to keep the lights on.

@highlight

Legendary NYC restaurant Tavern on the Green to close its doors at end of year

@highlight

Destination for 500,000 people a year for anniversary's, birthdays, tourist visits

@highlight

Warner LeRoy spent $10 million on chandeliers, stained glass, mirrors in 1970s

@highlight

After bankruptcy, LeRoy family fighting with new lease-holders over Tavern name