(CNN) -- In a significant first, a U.S. appeals court has struck down a state ban on same-sex marriage, creating greater political and legal momentum for the Supreme Court to decide whether gays and lesbians have a constitutional right to wed.

It happened on Wednesday in Utah, where a panel ruled 2-1 against the prohibition, saying that any couple, regardless of sexual orientation, has the right to marry. Enforcement of the decision was stayed temporarily.

"We hold that the Fourteenth Amendment protects the fundamental right to marry, establish a family, raise children, and enjoy the full protection of a state's marital laws," the majority opinion from the 10th Circuit U.S. Court of Appeals said.

"A state may not deny the issuance of a marriage license to two persons, or refuse to recognize their marriage, based solely upon the sex of the persons in the marriage union," the court said.

Utah Attorney General Sean Reyes said his office would appeal to the Supreme Court. The justices then would decide whether to hear the case.

Derek Kitchen, a key plaintiff in the case along with his partner, Moudi Sbeity, said they were "overjoyed" by the ruling.

"Since the lawsuit was filed last year, we have received so much support from so many people in our state, and we are now looking forward to the day when we will finally be married," he said.

The legal, social, and political conversation over expanding the definition of marriage that is playing out in Utah is by no means unique, but merely another thread of an issue that is being confronted in courtrooms and living rooms nationwide.

Same-sex marriage is legal in the District of Columbia and 19 states: California, Connecticut, Delaware, Hawaii, Illinois, Iowa, Maine, Maryland, Massachusetts, Minnesota, New Hampshire, New Jersey, New Mexico, New York, Oregon, Pennsylvania, Rhode Island, Vermont, and Washington. Massachusetts was the first to make it legal, in 2004.

A recent Williams Institute survey found that among metro areas with a population above 1 million, Salt Lake City had the nation's highest rate of same-sex couples raising children, at 26%. Virginia Beach, Detroit, Memphis and San Antonio were not far behind. Among states, Mississippi led the list, also at 26%.

When it was passed in 2004, Utah's Prop 3, which banned same-sex marriage, had 66% voter support. But that has since fallen. A Salt Lake City Tribune poll has found residents there equally divided on whether same-sex couples should be allowed to get state-issued marriage licenses.

Unclear is whether the Utah appeals court decision would also apply to the other five states within its jurisdiction in the Midwest and Mountain West. Oklahoma's same-sex marriage ban was also before it.

Enforcement of the Utah ruling was also stayed to give the state time to explore its legal options. It means same-sex couples in Utah cannot get married for the time being.

But in the meantime, Hillary Hall, clerk and recorder for Boulder County, Colorado, said Wednesday that she would begin issuing same-sex marriage licenses.

"Because the Court stayed its mandate, officials in Utah will not have to implement the decision immediately. Even so, I believe the opinion is clear and it is important to act immediately.

"Colorado's prohibition on same-sex marriage has treated our family, friends and co-workers as second class citizens for long enough. Unless a Court in Colorado or the U.S. Supreme Court tells me otherwise, I plan to begin issuing licenses," she said in a statement.

Colorado's attorney general stressed that the state's prohibition on same-sex marriages remains in effect. In his statement, John Suthers said that any marriage licenses issued to such couples before a final resolution would be invalid.

"There might be a bump in the road along the way ... The state may challenge this," said Tracey MacDermott, who married her partner of 18 years on Wednesday.

Standing beside their license, she added: "I think this will actually mean what it says it means down the road," CNN affiliate KUSA reported.

Wednesday's decision also spells further legal limbo for 1,300 Utah couples who were legally wed when a federal judge first struck down the state's ban in late December. Those marriage licenses were issued for a 17-day period before the Supreme Court agreed with Utah officials to temporarily halt further marriages while the issue was appealed.

Utah's senior senator, Orrin Hatch, a Republican, expressed disappointment in Wednesday's ruling.

"Although I am not surprised by today's decision, I disagree with the court's reasoning and hope the Supreme Court ultimately adheres to the original understanding of the Constitution and allows each state to define marriage for itself," said Hatch.

But lawyers for the three same-sex couples who first filed the lawsuit challenging Utah's ban said the issue was simple.

"If you boil it down from all of the legal rhetoric, it really comes down to fundamental principles of equality and fairness," said Peggy Tomsic, a Salt Lake City attorney who argued the case before the appeals court. "I am genuinely hopeful that the Supreme Court will take this case and resolve this issue and declare it's unconstitutional."

The Utah decision and one by a federal district judge in Indiana striking down that state's ban, came a year and a day after notable Supreme Court rulings on the issue.

A 5-4 majority struck down a federal law known as the Defense of Marriage Act, which had denied legally married same-sex couples the same federal benefits, including tax breaks, available to heterosexual couples.

The court, also 5-4, dismissed a same-sex marriage appeal on jurisdictional grounds, ruling that private parties do not have "standing" to defend California's voter-approved ballot measure barring gay and lesbian couples from state-sanctioned wedlock. The ruling cleared the way for same-sex marriages there to resume.

@highlight

Colorado attorney general says state's prohibition on same-sex marriages remains

@highlight

Utah decision is the first of its kind by an appeals court on the hot-button issue

@highlight

The state will appeal the decision directly to the Supreme Court

@highlight

Same-sex marriage is legal in the District of Columbia and 19 states