(CNN)Jackson Gordon is no ordinary 21-year-old. By day he is an industrial design student at Philadelphia University, but Gordon has another side to him -- a side altogether darker, tougher and more enigmatic.

Hanging in his workshop Gordon has a full suit of armor plating, cape and cowl -- matte black and built to stop a knife. Gordon has an alter ego: the Dark Knight himself, Batman.

You might expect his origin story to be cloaked in mystery, but speaking to CNN Gordon is quick to explain how the transformation took place.

Gordon says his calling came five years ago when he began experimenting with cosplay.

"Previously I'd been involved with costume making... I'd made a version of the Batsuit from Christopher Nolan's 'Dark Knight Trilogy' and I really liked that suit," Gordon says.

But, as elaborate as his design was, it lacked the functionality or the authenticity of the genuine article.

"I was frustrated every time I wore it," Gordon explains. "It really limited my mobility and I didn't like that -- it didn't go with the character."

In September 2014 he bit the bullet, deciding "to do another one that wouldn't inhibit my mobility and would actually provide protection and function more like Batman's actual suit."

The Batsuit had to be strong -- tough enough to withstand the stab or slash of a knife, the impact of a punch or a baseball bat, but light and articulate enough to make it practical. Striking such a balance required expensive materials, and they didn't come cheap.

Gordon therefore fired up a Kickstarter campaign. He "didn't really think anyone would fund it or even be interested in it" -- he raised $1,255 in 6 days. "It was a little surprising," Gordon demurs.

Writing out his shopping list, it was important that "everywhere, even places without armor plating, had some sort of protection." Kevlar was sourced as the base fabric, making it "cut and slash resistant to bladed weapons, but breathable and wearable all day."

Eschewing conventional materials, Gordon opted for a form of memory foam, built around key areas to "squish and compress," dissipating the impact of blows.

After much experimenting with "polycarbonates and extruded PVC materials," ¼" Kydex (or ABS) plastic formed the tough armor plates, located on the torso, forearms and shins. Stab resistant, Gordon says "it can take anything but a gunshot."

The cowl was more problematic, being "nearly impossible" to craft out of the same materials within the limits of his workshop. Gordon therefore took a mold of his head using Sintra plastic, "working on top of that with different sculpting clays and soft plastics to get it into a recognizable Batman shape." Using a two part box mold Gordon was able to create a "silicone jacket" of this, into which liquid polyurethane was poured, forming the final, "durable and functional" cowl.

Gordon (who doesn't appear to be related to Gotham City's police commissioner, James Gordon) is also an expert in Shaolin Kung Fu: he is both brains and brawn, a cross between Bruce Wayne and Batsuit designer Lucius Fox from Nolan's Batman trilogy. Legendary, the production company behind the films, has taken note of his design and given it their seal of approval.

The Batsuit has made appearances at conventions and proved a showstopper among his fellow students and the faculty. "People love the theatricality of it," its designer says.

That the product so closely mimics DC's fantastical comic book creation has had resonance. He has already begun manufacturing the cowls for the public, with "fully adjustable" jackets going up for sale on his site Armatus Design "in the next couple of weeks."

The jackets have received particular attention. Gordon has received "easily over 50 requests from people," and not just from the cosplay community.  "They range from recreational use to martial artists... but also motorcycle and All Terrain Vehicle riders who want protective gear and prefer the look and functionality of [Gordon's] suit."

Perhaps because of their versatility and the small matter of copyright issues, those that go on sale will not feature the iconic bat symbol.

Gordon says his fledgling business will remain small whilst he's at University -- he has to finish he studies after all, and won't be using the project towards his degree credits.

For now the Batsuit and Armatus Design will remain a one man operation: such is the life of a superhero.

@highlight

21-year-old student Jackson Gordon has designed and built a functional Batsuit

@highlight

Made with money raised on Kickstarter, the outfit has received a prestigious endorsement