Tripoli, Libya (CNN) -- Fierce battles raged Tuesday for control of key Libyan cities in the east and west as Libya entered its fourth week of fighting and continued its descent into civil war.

In the eastern oil city of Ras Lanuf, rebels fired antiaircraft guns after Libya's air force carried out fresh raids.

Video shot by Sky News showed that fighting was continuing in Zawiya, despite government assertions that forces loyal to Libyan leader Moammar Gadhafi controlled the oil-refining city. Hundreds of anti-government demonstrators could be seen marching in the street, many of them pumping their fists in the air. As the crackle of gunfire could be heard, the demonstrators ran toward the camera. Four men could be seen carrying a fifth, then putting him into an ambulance.

A doctor who left the city in the morning told CNN that Gadhafi forces had fatally shot two fellow doctors in the main square and were shooting wounded civilians rather than allowing them to be treated. The city's two medical clinics were closed, he said.

Military casualties were being taken from the city by ambulance, he said.

CNN was not able to witness the fighting and could not independently confirm reports of what was happening there on Tuesday.

Opposition officials accused Gadhafi of bombing water reserves in Ras Lanuf, the site of intense fighting in recent days.

Rebels have seized several cities and the army has fought fiercely to reclaim some of them.

On Tuesday, Gadhafi addressed a tribal group of youthful supporters in a talk broadcast on television and repeated his assertions that the nation's youths have been misled and drugged by al Qaeda.

"For them, everybody's their enemy," he said. "They know nothing other than killing."

He praised the Libyan standard of living as one that others in the world envy and called on his countrymen to defend it. "They want to take your petrol," he said. "This is what America, this is what the French, those colonialists, want."

He cited people from Pakistan, Afghanistan and Algeria as among those who have joined the rebel forces -- "hunting children who are not mature, who have certain deficiencies; they offer them pills. This is what we understood so far."

He called anti-government forces in Benghazi, a rebel-held town in the east, "traitors" and predicted that the pro-Gadhafi residents "are going to throw them out."

In Gadhafi's stronghold, the capital city of Tripoli, about 100 journalists assembled during the evening in the lobby of a hotel after being told that Gadhafi would arrive. Nine hours later, just before midnight, his convoy of SUVs pulled up to the hotel.

Shortly afterward, surrounded by his security detail, he strode into the lobby, waved at the throng of reporters, pumped his right fist several times into the air, retreated to a private room for an interview with a Turkish journalist, then left via a back door without addressing the reporters. The interview was to air Wednesday morning.

The incident occurred hours after opposition members denied Tuesday that they have been negotiating an exit deal with Gadhafi, rejecting an assertion made earlier in the day by an opposition official.

Gadhafi's regime, too, denied having entered into negotiations with the rebels. Musa Ibrahim, a government spokesman, called reports of such negotiations "lies."

The Libyan opposition is composed not of a single monolithic group, but of various groups and individuals around the country whose shared goal is to see the 68-year-old ruler ousted.

But their military skills tend to be rudimentary, at best, when compared with the relatively disciplined, well-armed pro-Gadhafi forces. "There is no one here with military experience, but have a strong heart," said medical student Yahya Ali, who was manning an antiaircraft battery in the eastern Libyan town of Al-Brega after four hours of training.

In Washington, U.S. State Department spokesman P.J. Crowley said any departure from Libya of Gadhafi would not exempt him, his family or others from responsibility for their actions. "We are going to hold him accountable," Crowley said.

U.S. President Barack Obama discussed Libya on Tuesday with British Prime Minister David Cameron, the White House said in a statement.

"They agreed that the common objective in Libya must be an immediate end to brutality and violence; the departure of Gadhafi from power as quickly as possible; and a transition that meets the Libyan peoples' aspirations for freedom, dignity, and a representative government," it said.

Both leaders agreed to go ahead with planning responses, "including surveillance, humanitarian assistance, enforcement of the arms embargo, and a no-fly zone."

Death toll estimates have ranged from more than 1,000 to as many as 2,000.

"Both the Libyan government and opposition forces need to allow unhindered access for aid organizations to assist civilians," Bill Frelick, refugee program director at Human Rights Watch, said Tuesday. "People living in areas of heavy fighting in western Libya are now in dire need of medical aid and other assistance."

The U.N. World Food Programme said Tuesday a convoy of trucks entered Libya headed for Benghazi, the rebel stronghold in eastern Libya. "A convoy of trucks carrying 70 metric tons of high-energy, fortified date bars crossed the Egyptian border last night on its way to Benghazi. This would be the first delivery of food assistance from a U.N. agency to enter the country," the organization said in a statement.

Plans for more food deliveries are being made, and tons of food have been delivered to the Egyptian border to help feed refugees, the organization said.

This is part of a $39.2 million emergency operation designed to help feed more than 1 million people in Libya, Egypt and Tunisia over three months, the group said.

Late Monday, the Gulf Cooperation Council said Libya had rejected its offer of humanitarian aid. The council is composed of Bahrain, Kuwait, Oman, Qatar, Saudi Arabia and the United Arab Emirates.

As reports continue to emerge of the government's use of force against civilians, the international community has been left pondering strategies on how to end the violence.

Three members of the U.N. Security Council -- France, Britain and the United States -- were working Monday on a possible resolution that would include language on a no-fly zone over Libya, diplomatic sources at the United Nations said. And the Gulf Cooperation Council said Monday night they supported such an action.

The Organization of the Islamic Conference, which represents 56 member states, said Tuesday that it wants the United Nations to enforce a no-fly zone over Libya.

But any kind of military intervention could face sharp criticism from Russia and China, two permanent members of the council that wield veto power.

Libyan Deputy Foreign Minister Khalid Karim told CNN on Tuesday that Libya is not misusing its air force and that any no-fly zone would be tantamount to an act of war. He said the Libyan government has asked for international monitors to verify that assertion. He said the military "are taking purely defensive positions; they are not taking offensive ones" except in self-defense.

The U.S. administration remains reluctant to move forward on a no-fly zone alone. "Well, we want to see the international community support it," Secretary of State Hillary Clinton told Sky News on Tuesday.

And the United States has also been reluctant to consider using force alone. "We'd like to see this resolved peacefully," Clinton said. "We'd like to see him go peacefully. We would like to see a new government come peacefully. But if that's not possible, then we're going to work with the international community."

Asked if the United States was considering lifting the arms embargo, she said, "Well, I think everything is being looked at, but it is difficult in the midst of this civil conflict that is going on now to even know how you would do that, because right now, it's not clear what part of the country is actually under rebel control."

The U.S. ambassador to Libya, Gene Cretz, has met in Rome and Cairo with Libyan opposition figures to get a sense of what is happening in the country, Crowley of the State Department said. He did not give names. Crowley said there have been meetings and phone conversations with members of the National Transitional Council and others.

The State Department also spoke Friday with Libyan Foreign Minister Musa Kusa in a brief conversation in which each side gave its view, Crowley said.

NATO said it has begun round-the-clock surveillance flights near Libya.

With no clear end to the clashes in sight, U.N. Secretary-General Ban Ki-moon appointed a new special envoy to Libya to discuss the crisis with officials in Tripoli.

The fighting has sparked the flight of Libyans and foreigners out of Libya, with nations across the globe scrambling to help people leave.

About 200,000 people have fled Libya with nearly equal numbers going to Tunisia and Egypt, the U.N. refugee agency has said.

But 15,000 to 17,000 people are still at a refugee camp near the Libya-Tunisia border. Most of them are from Bangladesh, the U.N. refugee agency said.

A man who said he was trapped in Misrata, a city east of Tripoli that has seen heavy clashes, said the rebels were running out of weapons -- but will continue to fight.

"Maybe tomorrow I'll still be alive, I don't know. I have nothing to lose," the man said. "Nobody believes he will be alive tomorrow. Nobody knows. We need support."

CNN's Ben Wedeman, Chris Lawrence, Arwa Damon, Salma Abdelaziz, Jomana Karadsheh and Caroline Faraj contributed to this report

@highlight

Gadhafi makes appearance in hotel lobby, does not speak to reporters

@highlight

U.S. president, British prime minister discuss Libya

@highlight

The U.S. State Department says departure would not exempt Gadhafi

@highlight

Deadly fighting occurs in Zawiya, a doctor says