(CNN) -- Filipinos are used to typhoons. I grew up in the Philippines knowing it has two seasons -- the "wet" and the "dry." More than 20 typhoons whip through the Philippines in a year. I could smell the rain when it was coming. I knew that if the moon had a ring around it, there would be rain the next day. I knew that the excited twittering of birds also meant rain was coming.

At a young age, I could gauge just how strong the typhoon was, not only based on the storm signal warnings, but on how thick and dark the clouds were, how heavy the rain fell, how strong the wind blew. It became instinctive to know how dangerous a storm was.

In Cebu City, where I grew up, a siren would blow the warning signals when a typhoon was approaching. Storm Signal No. 1 meant rain and some wind, but we still went to school. No. 2 meant stronger rain and wind. We were excused from school, but it was safe enough to go to the movies or to a friend's house. We would also listen to announcements on the radio. We knew a storm was coming, but the radio news gave us an inkling of its severity.

We took Storm Signals Nos. 3 and 4 seriously and stayed indoors because it meant the rain and wind were very powerful. The streets would flood; branches of trees could break; trees could be uprooted, corrugated metal roofing could come loose and fly about, electric power lines could break. It was dangerous to be outside. We stayed home with canned goods, water, candles and matches, because it was a given that electricity and telephones would be cut off during typhoons.

We waited out the storm in the safety of our homes. That's how it is; that is what the Filipinos expect and do when a storm is coming.

Even before the Western media started focusing on super typhoon Haiyan, I'd been following the news on the Internet. Friends in Cebu, Philippines, who had just been battered by the 7.1 magnitude earthquake last October 15, were giving me a blow-by-blow account as they hunkered down and waited for Haiyan. After the super typhoon passed, someone jubilantly e-mailed, "We survived."

Facebook pictures were posted of the damage in Cebu City, which didn't look too bad: Streets littered with debris, trees uprooted, cars flipped over on their sides, some roofing damaged, store signs askew. And so for a few hours at least, a sense of relief washed over me -- until a friend received a text message from the parish priest of Odlot in Northern Cebu:

"Church no more roof and ceiling. 95% of parishioners homeless. We need help. Food and water."

Deep inside, I had known that a country can't get away unscathed when a super typhoon like Haiyan hits it, and the text from Father Desuyo brought me back to reality.

As communications resumed, the world understood the awful destruction that Haiyan had wrought in Samar, Leyte, Northern Cebu, and other parts of Central Philippines.

It has been painful to see images of villages destroyed, of people wandering around in the midst of all the rubble, of survivors holding up signs begging for food and water. What I find most nerve wracking are the pictures of the dead lying by the roadside or under rubble. Filipinos have much respect and love for their dead, and so these images indicate just how desperate survivors are that they can't take the time to bury their loved ones.

I can't help but wonder what went so wrong. Why were Filipinos caught off guard? Why didn't the government plan better for Haiyan -- or Yolanda, as the super typhoon is called in the Philippines? Why have so many people died? Why are survivors left on their own?

I have no doubt that the survivors and victims of Haiyan had done their part: Like they always have, they had stocked up on basic necessities and hunkered down in the safest place they could think of.

But here's the thing: Even though Filipinos knew that Haiyan was the strongest typhoon in recorded history to make landfall, they did not have the collective memory of something this powerful. No one expected the great destruction of Haiyan. No one expected its 15- to 20-foot tsunami-like surge.

Here's the irony: Many people died in the evacuation centers or gymnasiums or churches where they sought refuge, from drowning and from the buildings collapsing.

Here's a fact: The death toll will rise because the Philippines has 7,100 islands, and in those islands, many coastal villages have not yet been accounted for.

Now, Haiyan will never be forgotten. The super typhoon is part of the Filipinos' collective memory, when before, it was unimaginable.

The opinions expressed in this commentary are solely those of Cecilia Manguerra Brainard.

@highlight

Cecilia Brainard grew up in the Philippines; where people deal with about 20 typhoons a year

@highlight

She says Signal 1 meant rain and some wind; 2 was no school, 4 was hunker down

@highlight

Everyone took shelter as usual, she says, but Haiyan was beyond anyone's experience

@highlight

Brainard: Now, Super Typhoon Haiyan will haunt Filipinos' collective memory