(CNN) -- The first two doses of an experimental serum created to treat Ebola went to American missionaries.

Then the drug was sent to treat a Spanish priest.

The two Americans, Dr. Kent Brantly and Nancy Writebol, appear to be recovering. The priest, Miguel Pajares, died Tuesday morning.

That's the problem with experimental drugs that have never been clinically tested in humans: No one knows whether they'll work -- and if they do, in whom.

This week, the World Health Organization gathered a group of ethicists to decide whether unproven medications and vaccines should be used in the current Ebola outbreak. As the death toll from the epidemic soared over 1,000, the WHO panel unanimously concluded that it is ethical to offer medications to fight the Ebola virus, even if their effectiveness or adverse effects are unknown.

"The large number of people affected by the 2014 west Africa outbreak, and the high case-fatality rate, have prompted calls to use investigational medical interventions to try to save the lives of patients and to curb the epidemic," the World Health Organization said Tuesday.

WHO says it believes the virus has infected 1,848 people and killed 1,013, making this the deadliest Ebola outbreak in history.

The difference between this outbreak and other Ebola outbreaks is that traditional methods of stopping the virus from spreading -- protective gear, contact tracing, etc. -- don't seem to be working fast enough, said Dr. Marie-Paule Kieny, WHO's assistant director-general. The health care systems in the affected countries are also weak, so resources are scarce.

"If these treatments can save lives ... should we not use them to save lives?" Kieny said the panel asked.

After the panel's decision, Canadian Health Minister Rona Ambrose announced Tuesday her government will donate between 800 and 1,000 doses of an experimental Ebola vaccine to WHO. A "small supply" will be kept at home "in the unlikely event it is needed for compassionate use in Canada," the Public Health Agency said in a news release.

The drug -- called VSV-EBOV -- is Canadian-made and owned, having been developed by the National Microbiology Laboratory.

It's never been tested on humans, "but has shown promise in animal research," the agency states. A Canadian government ethics advisory group and the WHO panel of medical ethics experts both "informed" the decision to give out VSV-EBOV, despite its "unknown efficacy and adverse effects."

Will it work is just one of the key questions surrounding VSV-EBOV. As with ZMapp, other questions include how and on whom it should be used.

A vicious killer

Ebola can torment its victims with high fevers, internal and external bleeding, vomiting and diarrhea. It often afflicts multiple organ systems and can kill up to 90% of those infected.

The virus spreads through contact with organs and bodily fluids such as blood, saliva and urine.

Since the current Ebola epidemic was declared in Guinea in March, the disease has spread to Sierra Leone, Liberia and Nigeria.

And the impact has spread around the world.

Cynthia Sangbai-Kwennah, a native of Liberia living in Minnesota, has lost nine family members to Ebola in less than two months.

"Every time you pick up the phone and you receive a call ... this family is dead, this person is dead," Sangbai-Kwennah told CNN affiliate WCCO.

First her father perished. Then other relatives who had been taking care of him. Sangbai-Kwennah even lost her younger sister, who had just recently graduated from college.

"Your entire family die in a month and a half," she said. "It's just so scary. I'm just so confused. I don't even know what to do."

There are several experimental drugs and vaccines being created for Ebola, Kieny said, though none has been through the necessary human trials to prove safety and efficacy. And none of them is currently available in unlimited supply. This outbreak, she said, is an opportunity to right a wrong.

"The fact that there is no drug for Ebola is a market failure. This is typically a disease of poor people in poor countries where there is no market."

Desperation has pushed Liberia's government to ask for the experimental serum used to treat the Americans and Spanish priest, in order to treat two local doctors.

The U.S. Food and Drug Administration approved Liberia's request for access to ZMapp, which was created by the San Diego-based biotech firm Mapp Biopharmaceutical Inc. Sample doses of the medicine will be sent to Liberia this week to treat doctors who have contracted the virus, the Liberian government said.

Mapp Biopharmaceutical said Monday that its supply has been exhausted after fulfilling the request of a West African country. (It did not name the country.) Kentucky BioProcessing, which manufactures a version of the drug, is working to increase production of ZMapp, but the process will take several months, company spokesman David Howard said last week.

"There are not adequate supplies of any of the investigational agents anywhere near ready for human use," said Dr. Jesse Goodman, director of the Center on Medical Product Access, Safety and Stewardship at Georgetown University Medical Center, referring to all drugs being developed to treat Ebola.

"Not (adequate) to treat all the patients in this outbreak, even if we knew they worked."

Questions about drug access

The gulf between developed and developing nations appeared to some to widen last week as reports emerged that the Ebola drug was being used to treat Westerners but not West Africans.

"What if it had killed both of them?" Paul Root Wolpe, director of the Center for Ethics at Emory University in Atlanta, said about the two Americans first treated with ZMapp. "It is only because it worked, seemingly very well, that people are screaming, 'How come people in Africa didn't get it?' "

Wolpe said that considering the converse situation could provide some perspective.

"If the first people (to receive doses of ZMapp) would have been Liberian, headlines would have screamed, 'Experimental drug tested on poor Africans,' " Wolpe said.

But the nagging question for some: Was giving the serum to Africans even a consideration? Should it have been?

"Why didn't Dr. Sheik Umar Khan, the chief Sierra Leone physician who died while treating Ebola patients, receive this medication?" Harriet Washington wrote in a recent CNN Opinion piece. "Because another method of determining who gets medications is at work here -- the drearily familiar stratification of access to a drug based on economic resources and being a Westerner rather than a resident of the global South."

WHO will convene a panel at the end of the month to discuss who should get priority access to the experimental drugs, Kieny said. WHO will not broker access, she noted, meaning it will not be responsible for doling out doses. It will simply provide information about companies that have quantities available to people or government agencies that are asking.

Drug safety concerns

More relevant than who got what and when, experts say, are questions about the safety of the current crop of experimental Ebola drugs. For ZMapp and other Ebola drugs currently in the pipeline -- like TKM-Ebola by Tekmira Pharmaceuticals -- there are not good, substantive data in humans to support their use.

"Usually, you treat large numbers of sick people to be sure something isn't going to hurt them," said Goodman, former chief scientist with the Food and Drug Administration. "So while it seems at first glance that two individuals getting something promising in animals and then improving, is convincing, I don't think it's yet convincing. I think it's hopeful."

Wolpe, Washington and Goodman agree that careful study should precede widespread dissemination of any Ebola drug and that Africans should be represented in those studies.

"If (ZMapp) turns out to be as effective as it seems to be, and it's possible to make much more of it, then we end up with a situation where it becomes unethical to withhold treatment," Wolpe said.

"We should do everything we can to nip this epidemic in the bud."

Ebola outbreak likely started with 2-year-old in Guinea

Nine things to know about the Ebola virus

Treating Ebola in Sierra Leone: 'We are two steps behind'

CNN's Carol Jordan, Greg Botelho, Nana Karikari-apau, Hazel Pfeifer, Danielle Dellorto and Samuel Burke contributed to this report.

@highlight

NEW: Canada to offer WHO up to 1,000 doses of experimental Ebola vaccine

@highlight

WHO panel: It is ethical to offer unproven medication to try to fight Ebola

@highlight

Pair who took an experimental drug appear to be improving, but one man who took it died

@highlight

Sample doses of the experimental drug ZMapp are on their way to Liberia