Bossangoa, Central African Republic (CNN) -- The commander of the Muslim militia in a Central African Republic town that has seen two days of violent clashes shows us a horrifying graphic video that he keeps on his phone. A man Colonel Saleh Zabadi claims is Muslim is being burned to death by the Christian anti-Balaka militia.

"This is targeting of Muslims," Zabadi tells CNN. "They want the current (Muslim) president to step down or else they will keep slaughtering our people."

Zabadi spoke to CNN in a rare interview as a ceasefire negotiated between rival Muslim and Christian militias brought a brief respite to one town after two days of violent clashes. Bossangoa, a six-hour drive north of the capital Bangui, is important to the situation in the Central African Republic because the camps for internally displaced persons (IDP) here host about 40,000 people, 10% of the 400,000 IDPs across the country, according to the United Nations. The U.N. also says there are about 2.2 million people -- about half the country's population -- who are under threat.

When we are ushered in to meet Zabadi, he is listening to the radio, probably for updates on the intense fighting that has kicked off that day in Bangui.

He is friendly and chats at length to CNN's Nima Elbagir in Arabic. For the interview he dons his military cap and dark glasses and also lights a cigarette that he occasionally smokes during the interview. Around us are about 30 of his men -- carrying guns, grenades and some RPGs. Their "uniform" is anything but -- varying in color and design.

After the interview we go with the commander and his troops on what they call a patrol of the town -- they go round the town in a pick-up truck filled with some of their heavily armed men.

The colonel denies targeting Christians and ordering burning of villages. Asked about the arrival of French peacekeepingtroops, he is nonchalant, adding that people need to know the Muslim rebel militia Seleka is going nowhere. "We are this country's government. Leave power? Maybe if we are dead," he says defiantly.

On the drive from Bangui one sees many people walking on the road and lounging outside their homes -- men, women and children. As you continue though, it's mostly men sitting and standing outside their homes. We are told this is because the women go to fetch food and firewood while the men remain on guard against any possible attack on their homes.

About 100 kilometres from Bossangoa, the U.N. convoy in which we are traveling stops and we are told to wear our protective gear. Back in the car, we travel past village after village of deserted homes and burnt-out huts. The only sign of life we see are goats and occasionally some pigs.

Before we start filming in Bossangoa, a U.N. official takes us to the headquarters of the Muslim Seleka militia -- everyone who comes into the town on official business has to first report to them. The Seleka sees itself as the local administration in the area.

After two days of intense fighting between Seleka and the anti-Balaka militias, the regional multinational force for Central Africa (FOMAC) has been able to negotiate a ceasefire to allow aid agencies to get there and assess the needs of those caught in the crossfire. We manage to film at the only hospital in the area, which is run by MÃ©decins Sans FrontiÃ¨res. When we arrive we find a young man receiving first aid for a deep cut on his head -- it is from a machete. Beds in the in-patient section are full -- most of the patients there have received surgical treatment for bullet wounds. Aid agencies believe the number of sick and wounded could be higher in the surrounding villages but that they are afraid to venture out to seek help.

Similar stories of hardship can be seen in the IDP camps -- the one at the Catholic hospital hosts about 35,000 people. The people, mostly Christian, arrived en masse when the conflict began weeks ago.

Nearby at the Ecole Liberte school, the Muslim IDP makeshift camp mushroomed in two days from 2,500 people to about 10,000 people. Both camps are running out of everything you can think of -- food, water and medicine. And there is little shelter from the elements.

Robert McCarthy, emergency director for the Central African Republic at UNICEF, says that both sides need to lay down their weapons now. "The rights of child, women need to be respected and they're not being respected," he tells CNN. "And we can't do our work and frankly, little prospect of moving out of this situation unless people especially leaders, people who are armed, people who are responsible for armed men recognize that and begin to take those responsibilities seriously."

Forced to choose children

Julian Donald, an MSF aid worker, describes the scale of the tragedy: "Any situation really of hundreds of thousands of people who through no fault of their own are living in extremely dire circumstances, I would hope that the international community would be mobilized to provide assistance and the fact that we haven't seen it happen yet, is a tragedy.

"Basically the entire population is displaced. Their health condition is extremely grave. We find 100% malaria positivity, extra-ordinarily high levels of malnutrition and the key thing is the fear of violence," Donald said.

"There was this little three-year-old boy who'd been abandoned by his mother in front of the house because she'd picked up the other two children and run into the bush. So try and imagine yourself in that situation -- being so afraid for your life that you had to choose which children to carry with you when you started running."

Up to 500 people have been killed in Bangui already, according to Human Rights Watch, and on December 5, the U.N. Security Council voted unanimously to grant French troops Chapter 7 powers to directly engage militia to protect civilians against the threat of what the U.N. fears could become genocide in the CAR.

A day after the French troops arrived, the hundreds of people who had sought safety in the FOMAC base camp, felt safe enough to return to their homes.

Outside one Catholic church, people scatter screaming as the unfamiliar boom of a low-flying jet sweeps over them. The horror soon turns to jubilation and shouts of -- the French! The French! The sonic boom is a sign, they feel that international help has finally come.

This mission for France was always going to be about speed and it took them 14 hours straight driving from the capital Bangui to make it out into the regions, and to Bossangoa.

CNN went out with the French troops on their first patrol since their arrival in Bossangoa. Initially they were on a reconnaissance mission to get a sense of the situation -- they want to get the scope of the crisis here.

There is also a show of force -- they want to show the actors in this conflict that they are now here. All morning, fighter jets scream overhead, to hammer home the reality of the French presence. Heavy tanks and weaponry are also on show.

The 100 or so French troops (with reinforcements on the way) hope to both make Bossangoa safe and push out to the even more insecure bush past the city limits where 100,000 people have been hiding for the past six months in fear for their lives.

There has been a respite in the killings but the challenge will be to build on the slow progress.

An official from the multi-national force for Central Africa (FOMAC) says Seleka will no longer be allowed to run the country as local administrators, and instead the police will begin to do that.

Also the militia group will be restricted to their camps and when they venture out, they will be forced to leave their weapons behind. This rule also applies to the Christian anti-Balaka militia, which include vigilante groups. If any of the groups defy this order, said the official, they will be forcefully disarmed.

Eventually, according to the FOMAC official, the plan is to absorb Seleka into the army. The country's future stability may depend on how successful that effort is.

@highlight

Ceasefire between rival Muslim, Christian militias brings respite in Central African Republic

@highlight

Muslim militia leader says in rare interview his allies will not leave power

@highlight

French troops have arrived in the war-torn northern city of Bossangoa

@highlight

Locals feel sufficiently safe to return to their homes after French peacekeepers arrive