(CNN) -- In Brazil, they use the expression "futbol arte" to describe the type of soccer which made the country's world champion team of 1970 so easy on the eye.

But no longer -- football has changed, and Brazil has changed too.

When it won the World Cup in 1994, the national team's style of play was dubbed "futebol dá força" -- a tougher, more pragmatic approach.

And, after a year of violent protests, rubber bullets and tear gas, the romantic ideal of Brazil often portrayed in glossy travel magazines seems hard to imagine.

Thursday marks the start of an opportunity for Brazil to redefine itself after a difficult 12 months preparing for arguably the world's largest and most popular event.

So no pressure, then, on Brazil's footballers, who take on Croatia in the tournament's opening game in Sao Paulo, the recent epicenter of the unrest.

Will the host team's expected progress, led by current hero Neymar, help ease the sense of injustice which has ingrained itself within the population?

As if that wasn't a great enough weight on the shoulders of coach Luiz Felipe Scolari's team, there is the added pressure of Brazil's quest to exorcise the ghosts of 1950 -- which will begin 64 years after what is known as the country's "Hiroshima."

When Uruguay defeated Brazil in the deciding match courtesy of Alcides Ghiggia's strike, it left an indelible mark on a country whose first love has always been football.

And yet, after more than six decades of waiting for the tournament to return to their home country, the Brazilian people are otherwise engaged.

Whereas football may still be a religion, its Brazilian congregation have slowly turned their backs on their deity.

"This World Cup is not for the Brazilians," 59-year-old street vendor Maria Elza de Fatima told CNN.

"It is for the foreigners and FIFA friends."

While thousands of tourists flock to Brazil and media pack the streets to broadcast the action across the world, Sao Paulo has been brought to a standstill by metro workers striking over wages -- the latest in a series of protests against the government.

An estimated $11 billion of public money has been spent on hosting the tournament -- much to the chagrin of the protesters, who argue that money might have been better spent on public services..

"I think the best moment to protest is at the end of the World Cup," says two-time World Cup winner Cafu, Brazil's most-capped footballer, who was speaking to CNN to promote the Castrol Footkhana skills challenge.

"This will be the moment we can show ourselves that we can fight for our rights -- better education, better healthcare, better culture, better transportation," he told CNN.

"This is the moment we can show the world we are capable of staging a well-organized World Cup. We will show we are a democratic country and (later) fight for our rights."

Once the football starts, nobody will be more relieved than FIFA and its under-fire president, Sepp Blatter.

The 78-year-old, who has held the position since 1998, was told Tuesday that he should not stand for a fifth four-year term by some of the organization's key European members within UEFA.

However, at Wednesday's FIFA Congress in Sao Paulo, he told delegates "my mission is not finished ... I am ready to accompany you in the future."

Just a fortnight after allegations of corruption during the 2022 World Cup vote was reported by Britain's Sunday Times, Blatter has been forced to endure one of the most difficult periods of his tenure.

The newspaper claims to have unearthed millions of emails and other documentation which allege Qatar's former FIFA Executive Committee member Mohamed Bin Hammam used a multimillion-dollar slush fund to buy support for the bid.

The claims have been strenuously denied by Qatar organizers, who in a statement released to CNN Sunday said they had been co-operating fully with U.S. lawyer Michael Garcia, who has been appointed by FIFA to lead an investigation into the bidding process for the 2018 and 2022 World Cups, awarded to Russia and Qatar.

But president of the Dutch Football Association Michael Van Praag believes enough is enough.

"I then said at the microphone: 'I like you a lot, there is nothing personal here, but the reputation of FIFA is today inextricably linked to corruption," recounted Praag of what transpired at Tuesday's UEFA meeting.

"FIFA has a president. You are responsible, you should not stand again."

Despite the barbs, Blatter appeared in bullish mood Wednesday when speaking at the world governing body's congress, insisting FIFA could be a force for positive change.

While European nations have gone public about their opposition to Blatter, African and Asian members have backed the Swiss to continue in the role he has held since 1998.

"The answer is easy and simple ... we must lead by example and we must listen to all voices, we must be responsible and upright in all that we do, we must do the right thing even if that comes at a cost," Blatter told the audience.

"It's not always very easy to live up to this principle. But it's our duty ... if we do not do it, who will?"

The bad news for Blatter is that the Sunday Times promises more revelations on Qatar, which suggests football might continue to play second fiddle to politics for a while yet.

A successful World Cup and a Brazil victory might go some way to temporarily muffling the protests of both the Brazilian people and FIFA's growing critics.

In Rio, the Christ Redeemer statue overlooks the Maracana stadium, where the World Cup final will be staged on July 13.

In just over a month we will find out if Brazil 2014 has restored people's faith in football -- not just in the host nation, but across the globe.

Are you looking forward to the World Cup? Have your say in the comments box below or continue the conversation at @WorldSportCNN and on Facebook

@highlight

The 2014 World Cup starts in Sao Paulo on Thursday

@highlight

Host nation Brazil faces Croatia in opening game

@highlight

32 teams from across the world competing at tournament

@highlight

Final to be held in Rio de Janeiro on July 13