(CNN)From footfalls to climbing stairs, to opening doors, the cities of the future will look at ways of tapping energy from all the mechanical energy we expend going about our daily lives.

When looking at the amount of kinetic energy produced in the average metro station at rush hour, or even on the dance floors of nightclubs, harvesting electricity from human activity makes sense.

The technology that makes it possible -- the piezoelectric effect -- is more than 130 years old: in 1880, the brothers Jacques and Pierre Curie discovered that placing crystals under pressure produced an electric charge.

Today, manufacturing technology has made it possible to place piezoelectric devices in the most unlikely places and one company, Pavegen, has developed power-generating systems for pavements, football fields and even school corridors.

"People walk up to 150 million footsteps in their lifetime," Pavegen CEO Laurence Kemball-Cook told CNN. "When I was walking through a busy train station in London I thought what if we can convert the energy from every single person walking at the station into a meaningful amount of power."

The company's footfall harvesting technology -- a deflecting pad covered with the type of soft ground surface commonly found in playgrounds - can produce up to 7 watts of energy with each step.

Collecting this energy, Kemball-Cook says, is enough to power lights and other small devices for minutes at a time from a mere one hundred or so footfalls.

The technology is most effective in areas with high traffic, producing an efficient solution that matches supply with demand.

In Rio de Janeiro, Brazil, for instance, the company installed 200 kinetic tiles into a local football pitch in Morro da Mineira -- a favela plagued by blackouts. The Pavegen tiles work day and night alongside solar panels to power the lights for up to 10 hours on a full battery, creating the world's first ever people-powered football pitch.

"It's not only a way of inspiring future generations into energy savings but it shows we need different energy mixes," Kemball-Cook said. "Some people walk 40,000 steps a day, so there's a lot of potential in those wasted footsteps.

"Most people go to a gym so why are we plugging in those treadmills? Why not have those self-powered to charge your cellphone? To power the aircon in the building? Use the energy in a new way?"

The company this year installed 36 tiles to create two people-powered dance floors at the 20th Essence Festival, placing digital screens in front of the dance floors to display the amount of energy produced during each dance off.

Energy-harvesting technology has even been developed for miniature applications including self-powered contact lenses that use blinking as their power source. Much like Google glasses, the battery-free contact lenses could deliver information to a user that would be projected before a users' eyes as if it were thrown up on a screen.

Despite the one-off niche applications, Pavegen has ambitious plans for the sector as a fully scalable renewables producer. Analysts estimate the energy harvesting industry could be worth as much $30 billion by 2018.

Read more from Tomorrow Transformed:

NASA's plan for a floating city above Venus

Wind farms of the future go underwater

Is the Darknet a glimpse into the web of the future?

@highlight

A company called Pavegen has developed a technology to turn footsteps into electricity

@highlight

Walking and other human activities can generate power via piezoelectric cells

@highlight

Pavegen's energy harvesting technology can produce up to 7 watts of electricity with each footstep

@highlight

Analysts estimate the energy harvesting industry could be worth as much $30 billion by 2018