Dresden, Germany (CNN) -- The German city of Dresden waited anxiously Thursday to see if the swollen River Elbe, which has brought misery to thousands in the Czech Republic, would breach its flood defenses.

The river is expected to crest in Dresden late Thursday or early Friday. It is running at about 8.5 meters, compared with a normal average of 2 meters, and is likely to reach about 9 meters (30 feet) when the flow peaks.

CNN iReport: See floods through a volunteer's eyes

The city is just one of many across central Europe to face the prospect of the worst floods since the devastating inundations of 2002.

The streets of the nearby historic town of Meissen are under several feet of water ahead of the river's peak, affecting homes and businesses, and forcing the evacuation of some 4,500 people.

Although the sky is mostly clear, heavy rain at the weekend after a wet spring has filled the region's rivers to bursting point. More rain is forecast for the coming weekend.

The flooding has caused at least 15 deaths across the region and forced the evacuation of tens of thousands of people from their homes in the Czech Republic and Germany.

The peak of the flood wave from the Czech Republic along the Elbe is expected in the eastern German states of Saxony and Saxony-Anhalt, the European Commission said.

Some 15,000 people had been evacuated from their homes in Saxony and 3,300 in Saxony-Anhalt as of early Thursday, it said. A possible evacuation of 30,000 people from Halle, near Leipzig, is also being planned.

Authorities in Saxony said at least 3.5 million sandbags have been filled and deployed in flood defenses in Dresden and surrounding towns.

After passing through Dresden, the Elbe's floodwater will continue to flow to the north and west and should reach Torgau, in Saxony, and Wittenberg, in Saxony-Anhalt, over the weekend, said CNN meteorologist Brandon Miller.

If the crest occurs as forecast in Wittenberg it will pass the record high measured in 2002, Miller said.

Preparations are also under way further north, in the states of Brandenburg and Mecklenburg-Vorpommern.

Rising Danube

The Danube, another of Europe's great rivers, has caused major flooding in southern Germany and Austria, and the crest now menaces towns and cities downstream in Slovakia.

Felipe Bezerra, a 33-year-old university student, went to a bridge in Vienna, Austria, overlooking the Danube to see the surging torrent.

He told CNN iReport he was struck by the sound and force of boats' motors, all straining against the steadily rising floodwater.

In Austria, efforts are focused on the River Danube in the province of Lower Austria, said the European Commission's emergency response center. River levels are declining across the country but roads, railway connections and river transport remain affected.

Four people are reported to have died and three are missing in Austria, it said.

Villages and suburbs around the Slovakian capital, Bratislava, about 35 miles from Vienna, are already experiencing severe river floods, the European Commission said. The area is threatened by both the Danube and the Morava.

A state of emergency has been declared in Bratislava, where the Danube is expected to rise further on Thursday, Slovakian fire department spokeswoman Silvia Jancovicova told CNN Thursday.

Boats were used to evacuate 25 people, including a child, in the Devin neighborhood of the capital, she said.

No deaths have yet been confirmed in Slovakia, Jancovicova said.

The water level in Bratislava should start falling by midday Friday, Miller said. However, high flood warnings are posted for the entire Danube in lower Slovakia along the border with Hungary until Monday.

In Germany, the situation has stabilized along the Danube, the European Commission's emergency response center said. About 12,600 people have been evacuated in the southern Bavaria region, and many roads and railway lines are closed.

An emergency alert is still in place in the Bavarian town of Regensburg, and Deggendorf is completely cut off, it said.

Some 55,000 emergency workers, most of them members of local fire services, have been involved in Germany's flood response efforts, Interior Ministry spokesman Markus Beyer said.

Another 25,000 people -- including 12,000 federal civil protection workers, 5,500 soldiers and 2,500 federal police officers -- have also been deployed since Saturday, he said.

The flood wave in the Danube is expected to reach the Hungarian capital, Budapest, on Sunday, it said.

A state of emergency was declared this week in three counties along the river Danube in northwestern Hungary, as well as in Budapest.

Czech Republic fears more rains to come

The historic center of the Czech capital, Prague, was largely spared as the swollen Vltava River peaked there earlier this week, but other areas fared less well.

Some 700 towns were affected by the floods, Czech fire service spokeswoman Nicole Zaoralova said Thursday.

Some of the 19,000 people evacuated are now able to return to their homes, she said, but the country is not yet in the clear.

More heavy rain is expected during the weekend and authorities are doing what they can to regulate water levels on the Vltava ahead of this, she said.

In northern Bohemia, the River Labe, as the Elbe is known there, reached its peak levels around midnight Wednesday, she said. However, the risk of flooding remains high due to the weather forecast.

More rainfall is also expected in Prague, especially toward the end of the weekend, she said.

Eight deaths have been reported in the Czech Republic and four people are missing, a fire service spokeswoman said Thursday.

Three deaths occurred Saturday in southwestern Germany, the Interior Ministry for the state of Baden-Wuerttemberg said.

CNN's Matthew Chance reported from Dresden and Ivana Kottasova reported from London, where Laura Smith-Spark also wrote and reported. CNN's Sarah Brown and Mari Ramos also contributed.

@highlight

NEW: At least 15 flood deaths are reported across central Europe since the weekend

@highlight

The River Elbe is expected to peak in the German city of Dresden within hours

@highlight

The River Danube has also caused wide flooding in southern Germany

@highlight

Cities downriver in Slovakia and Hungary are already on alert for the surge