CNN -- Elton John may be famous for smash hits such as "Tiny Dancer" and scores for films such as "The Lion King," but he's also made a name for himself in HIV/AIDS activism.

Advances in treatments for HIV/AIDS have led to some people taking more risks, Elton John says.

The singer-songwriter established the Elton John AIDS Foundation in the United States and the United Kingdom to support HIV prevention programs, efforts to eliminate stigma and discrimination associated with the disease, and care and support services for people living with the condition. The foundation has raised more than $150 million. John has said that Ryan White, an Indiana teenager who died of HIV/AIDS in 1990, inspired him to create this foundation.

John sat down with CNN Chief Medical Correspondent Dr. Sanjay Gupta before speaking Tuesday at the Bio International Convention in Atlanta, Georgia. Here is an edited transcript.

CNN: What are you doing here today?

Elton John: I'm doing a speech about the situation with AIDS in America basically, and how we need to address what's going on. We seem to be falling a little behind in America.

I find this disease very cyclical. Every 10 years or so, after we spend a lot of money trying to educate people -- a new generation of people -- and we tell them to have safe sex and to abstain sometimes but have safe sex, wear condoms, we find that after 10 years another whole group of people come along. And we have to start all over again, which is really, really frustrating because it takes money for education. And we find that if we could get into the schools at a grass-roots levels, which we do in places like Africa where we get to kids at a young age and we tell them about preventive measures for not getting HIV, we find the success rate is tremendous.   Watch more of Dr. Gupta's interview with Elton John »

CNN: Sometimes in medicine, you can actually be a victim of your own success. When the medications are pretty good, you see a resurgence of high-risk behavior. How do you affect that?

John: I'm a recovering alcoholic and drug addict. I know that when I used to use and drink, that my mind situation was altered completely. Your caution goes out the window and you think, "Oh, well, we'll gamble, we'll have..." and luckily, I was so lucky enough to not be HIV infected.

Once you have that drink and that drug, your mind-set goes out the window and a lot of people think, "Oh yeah, because there's medicine available now," as you say, "We're going to be OK, and we have to take now one pill a day maybe," which is incredible, because initially people had to take God knows how many pills a day, various cocktails to get them through this disease.

Now, people are going back into the work force, they're becoming alive again, they live for a much longer time, which is great. But, this is incredibly toxic medicine you're taking, and it doesn't work for everybody, and you're really playing... Russian roulette with your life. And it's sad -- you think that after all this time, and all of this education that has gone down, and with all the statistics and deaths that people have seen, and the Ryan White situation going down, that people would be a little bit more careful. But we're finding they're not.

CNN: When you look at your foundation, and you're talking to the people who work with you, how do you measure your success?

John: We're very small, and I've kept it small because I've always wanted to keep an eye on what was going on. We have two people basically running the organization in America and about seven or eight in Britain plus volunteers. In America for the last four years, I've measured the success by the fact that we have a four-star rating from the Charity Navigator for the last four years, which means that we are doing a fantastic job. We don't waste any money, we don't gamble with our money.

CNN: You go to South Africa every year, I understand?

John: Every year at the beginning of the year, we start the year on safari, we go and visit our AIDS projects, and as soon as you go there and see -- and you have to visit your projects from time to time, wherever they are, whether it's in America, South America, West Indies, whatever -- we go and visit these projects on a regular basis to see the results that we're doing, to see if it's working, to see if our money's being spent the right way, and to come back and feel "yes, we're working, its working, so let's do more." When you see something that's working, you want to do more. You say, "This is fantastic."

CNN: What are some of those success stories?

John: Well, in Kalicha, in Cape Town, there was a woman we visited about five years ago. Somebody left a baby on her doorstep one night, and the mother had thrown herself in front of a train, the baby was orphaned, and they gave it to Rosalia. And she took it in, and then everyone started leaving babies on their doorstep.

So there were about 120 kids sleeping in a shack, her home, like six to a bed. And we were reduced to tears -- one woman and volunteers were looking after all of these kids. We said, "One day, this whole street where you're living, we'll build you some homes, proper homes for these kids to live in." Now there are six "cluster homes," they call them, where they have running water, showers, proper bedrooms, they're like beautiful little houses. So that street now, there's no original shack left, it's got all beautiful houses for these kids to live in. You go there, you see how happy they are, and you think, God this is amazing.

We were inspired because of this one woman. We do good work, but these people on the ground, these people that are actually in the trenches every day who are looking after AIDS patients, who are looking after orphans, they're the heroes -- we're not. We're just trying to make their lives a bit easier, and because they're doing such great humanitarian work.

CNN: What is your routine like?

John: Well lets put it like this: I have a musical nominated for 15 Tonys, I'm doing an animation movie for Disney that I'm writing the music for, I'm producing, we have a show called "Spectacle" which is on Sundance which is with Elvis Costello, which is an incredibly well-received show.

I'm going to do an album with Leon Russell next year, I have a ballet going to be done by the Alberta Ballet, I have the AIDS foundation, I have my management company [in] which we manage lots of young artists, and I still have free time. I love my life and I'm 62, I've never felt better. I've never had more joy than I have in my life right now, and the AIDS foundation is a huge part of that.

@highlight

The Elton John AIDS Foundation has raised more than $150 million

@highlight

The singer is a recovering alcoholic and drug addict

@highlight

He goes to South Africa every year to visit projects

@highlight

John's foundation helped build homes for orphans in South Africa