(CNN) -- With Kinect, the new controller-free system for its Xbox 360 gaming console, Microsoft isn't just trying to revolutionize video gaming. The company wants to change how people interact with all their entertainment choices.

Kinect, which goes on sale Thursday, allows players' physical movements to control action on the screen. Unlike the similar Nintendo Wii or Sony Move, there is nothing to hold and no buttons to push.

Three camera sensors and four microphones help Kinect recognize who is standing in front of it. The system recognizes voice commands and reads a player's full range of movements -- not just swings of the arm -- translating them into an avatar's actions within a game.

Alex Kipman, director of incubation for Kinect, said Microsoft is trying to break down technological barriers and make game interaction more natural.

"We wanted to transform entertainment where technology understands you," Kipman said during a Kinect demo in Washington. "It was our goal to merge really amazing tech with a really amazing experience."

Kipman explained that the specific components used to create Kinect have been around for years. He said the real breakthrough was in the proprietary software used to make it all work together.

Cloud profiles, featuring information accessed from the Web on an as-needed basis instead of from a local hard drive, help the Kinect and Xbox 360 learn about users and what types of entertainment they might be interested in. Kinect also will help live-stream music, movies and more in real time.

The much-anticipated system, first unveiled more than a year ago, is Microsoft's entry in the growing era of motion-controlled gaming pioneered by the Wii in 2006. Sony launched Move, a motion-sensing game controller for its PlayStation 3 console, in September.

A Microsoft spokesperson said 30,000 North American retailers would have Kinect available Thursday, with 7,000 of those planning to open at midnight. She would not say how many units would be available on launch day. The system will launch with at least 17 games.

I spent four days testing out Kinect, which should appeal to casual gamers and families more than hardcore action gamers. Here are my impressions:

Getting started

Out of the box, the Kinect sensor is 11 inches long and 3 inches high, including the motorized stand it sits on. Connecting to the Xbox is easy. For the new Xbox 360 Slim consoles, it is plug-and-play -- no additional wires. To use on the original Xbox 360 consoles, you will need a power source for the device.

After some software downloads, the Kinect calibrates itself to the room automatically. It is actuated by specific gestures (waving your hand at the Kinect) or by using a specific key word for voice commands ("Xbox").

"It is technology that understands you," Kipman said. "Kinect looks at 48 points on the body to figure out what it should do. It always knows who is in charge."

The Kinect should go at or as near eye level as possible so it can read all your movements. Also, it requires a clear space to play so nothing impedes its view of the player and nothing gets bumped or knocked over. Someone playing alone will need to be at least 6 feet back, while two players should be about eight feet from the screen.

Kinect comes bundled with "Kinect Adventures," an introductory game that teaches you how to use the device. Hovering your hand over game menu options activates those choices.

Five different adventures require the player to move and react to different scenarios. "Rallyball" will get you reacting to things being thrown at you. "River Rush" and "Reflex Ridge" get you dodging and steering.

"Space Pop" requires using your arms to propel you in a weightless situation. "20,000 Leaks" will stretch you out as you try to stop water from rushing in through cracked glass.

All of these adventures teach players how to use their movements to control the action on the screen. The gestures will come in handy for other Kinect games.

Fun with wild animals

"Kinectimals" was demonstrated at the Electronic Entertainment Expo in Los Angeles in June, where it received high marks for its cuteness factor -- and lower marks for being, well, a little bizarre.

In the game, players get to adopt a virtual pet. Among the 40 choices are a Bengal tiger, lion, panther, cheetah or leopard cub.

By using voice commands and body gestures, kids can teach their cub to do tricks, feed and brush their baby animal, or just play games with it. It is definitely a game geared toward younger players.

I play a lot of first-person shooter games, but I'll admit there is something neat to rubbing a tiger cub on its belly -- even if it is virtual.

Full-body sports

"Kinect Sports" cranks up the action with six different games at four different skill levels.

From the outdoors to the table top, different sports challenge players to really get involved with the action. Full body movements mimic those that would be needed to really play the sport.

Want to score a goal in soccer? Kick the ball.

Want to knock out your opponent in boxing? Throw a punch.

"The only skill you need is life skill," Kipman said. "If you know how to bowl, you can bowl in our game."

The action and movements are lifelike and will get players moving. For example, while you won't actually have a javelin in your hand, you will need to run in place up to the line and throw.

The escalating skill levels make it easy for players to learn what to do and master those actions before moving up to more challenging opponents.

Wheel-free racing

"Kinect Joy Ride" offers different game modes that let you race cars, do stunts or even crash into objects -- and each other. But it doesn't feel quite right because, with Kinect, there is nothing to feel.

You control your car by grabbing an imaginary steering wheel. There is no accelerator or brake; the game does that for you automatically.

Turning your hands left or right steers the car, but there is no tactile feedback to give you the sensation of running off the road or colliding with a light pole.

This isn't a "Grand Turismo" title by any stretch of the imagination. But a racing game should have a feel to it -- this one just leaves you grasping for air.

Get your body moving

Two other initial titles, "Your Shape: Fitness Evolved" and "Dance Central" are where Kinect really shines.

"Your Shape: Fitness Evolved" features workouts created by Men's Health and Women's Health magazines. Players are scored on how well they match the movements of instructors who demonstrate exercises.

There are Zen exercises for relaxation, or cardio boxing if you want to blow off steam in a different way. There are also personalized exercise plans to help lose weight, tone the body or get more energy. The game offers a good workout.

Kinect helps correct postures and actions so users can get the most benefits out of the exercises being done. In this way, it really does work well.

"Dance Central," made by the creators of "Rock Band," aims to get you moving to the beat, but realizes we all aren't ready to strut our stuff on the dance floor.

The game combines today's dance hits performed by pop stars with moves that seem clunky at first but get more involved and intense as the difficulty ratchets up. Like "Guitar Hero," you have to match your movements to those on the screen to get a perfect score.

Beyond games

Because it has cameras, Kinect also offers the ability to connect via video with other Kinect users -- or those who use Microsoft's Live Messenger program on their PCs.

It also works with the other entertainment features for the Xbox 360, such as on-demand ESPN, music from Zune.com and movies from Netflix.

"It is all about your choice, your content when you want it," Kipman said.

The bottom line

I didn't get to test out the 11 other games that Microsoft says will use the new controller. But my experience with the initial six titles shows where Kinect will shine and where it will stumble.

Games that feature full-body movement make best use of what Kinect can offer. Syncing up your movements with the movements on the screen is a lot easier and more natural with Kinect than with a normal controller.

It's also hard to compare the Kinect to Sony's Move -- the two systems are like apples and oranges.

I was pleasantly surprised and amused by Kinect's ability to record video while you are playing. While I was doing hurdles in "Kinect Sports'" track and field, my kitten decided to join the fun and began jumping as I jumped. Needless to say, the resulting video of us provided many laughs after the game.

But games that would be better enhanced with a physical device in hand feel flat. On Kinect, they're just not up to the demands that players make from those types of games. You will probably not enjoy racing games and first-person shooter games as much with Kinect that you do with regular controllers.

Right now, the Kinect can understand languages from the United States, United Kingdom, Mexico, Japan and Canada -- with more to roll out in the near future. Kipman said they will be constantly refining voice-recognition software to help the system recognize dialects in each language.

Prices range from $399 for a 250GB Xbox 360 Kinect bundle to $299 for the 4GB bundle and $149 for the Kinect box by itself, without the console. Is it worth it? That may depend on whether you have kids -- and what kind of gamer you are.

@highlight

Kinect introduces a gaming system where there is nothing to hold and no buttons to push

@highlight

Three camera sensors and four mics help Kinect recognize who is standing in front of it

@highlight

Microsoft says 30,000 North American retailers will have Kinect available on Thursday