(CNN) -- CNN lost a much loved and respected colleague Monday with the sudden passing of photojournalist Sarmad Qaseera. A longtime member of CNN's Baghdad bureau, Sarmad had to flee his country in 2006 after death threats, eventually settling in the United States and continuing his work for CNN based out of Atlanta. He was 42.

***

In the darkest days of war and amid the chaos and despair it wrought, CNN staffers in Iraq could always count on Sarmad Qaseera to bring some light -- even humor -- to the worst of situations.

He was unflappable, committed to the job and yet, at the same time, a goofball who could provide endless laughter when it was least expected and most needed. And perhaps above all, he had empathy and compassion for those who suffered most from the war.

His sudden death on Monday has rocked his CNN family and a loving circle of friends and family, all of whom are trying to process how Sarmad could be taken so soon, and with so much more to conquer.

From Saddam Hussein to CNN

After a childhood spent under Saddam Hussein's rule, Sarmad Qaseera used the dictator's overthrow as a springboard into a life incredibly well-lived.

He came to CNN early in the war, a young cameraman recommended by his uncle Faris, himself a CNN staff member in Baghdad. CNN's Ingrid Formanek hired him in January 2003, just before the war began, mentoring a nervous, shy young man who knew not a word of English.

"He was, in many ways, shell-shocked by life under Saddam, but was obviously keen to be working for CNN," Formanek said. "In the beginning, we had to try to bring him out of that shell -- something made more difficult because we had to use a translator just to give him the basics of what we needed.

"When the war started a few months later, he had already picked up some English and his true personality started shining through and it wasn't long before he was out in the field shooting stories for us.

"Sarmad was our personification of the Iraqi dream: Work hard, get out alive, take the ones you love with you if you can, find success in America and charm people along the way."

Like so many Iraqis who worked with the West, Sarmad risked his life doing so.

Eventually, after a very specific death threat, he was forced to leave. But he did take one special person with him: his invalid mother, Suad.

He brought her to the United States and spent his own money initially to have her cared for in his apartment 24/7. He talked endlessly to her, not knowing whether she could hear or understand. Even when he was away on assignment, he would call or Skype and have Suad's nurses hold the phone or laptop next to her.

You should have heard his Wolf Blitzer impression

Sarmad had a wicked (and sometimes ribald) sense of humor. His usual greeting to me, an Australian, was a full-throated "Kangarooooooo!!!!"

Often, in the middle of editing a story, he was inclined to do his Wolf Blitzer impersonation: "Happening noowwww!"

His other signature phrase was an enthusiastic "Number ONE!!!" which could be used in Sarmad's world for just about any occasion.

He was a fixture in our Baghdad operation, ever cheerful and brimming with talent, and legendary for his ability to fall asleep just about anywhere, anytime.

Equally legendary was the volume of his snoring; no one could, or would, share a room with Sarmad during Baghdad assignments.

Within hours of the news of his passing, my Facebook feed and email in-box were inundated by photographs and recollections, anecdotes and tributes.

'A bright light' in a war zone

Former CNN'er Aneesh Raman put it well: "War zones sharpen edges. They harden souls. They are dark places. Which makes it all the more remarkable that those of us who met Sarmad in Baghdad remember him as such a bright light."

He had many -- so many -- close friends in the CNN family. Correspondent Jomana Karadsheh described years of working alongside him. "From Baghdad to Beirut, Amman to Damascus, Islamabad to Tripoli, he really made some of the toughest assignments so memorable," she said. "He captured every story so beautifully, his pictures told it so brilliantly. CNN lost a gift today, but we all lost the man."

Senior International Correspondent Arwa Damon, who spent much of the war living in Baghdad alongside Sarmad, echoed those thoughts in recalling his work covering the 2012 attack on the U.S. consulate in Benghazi, Libya.

"He was the one who somehow saw and noticed things that we didn't," Damon said. "A piece of paper fluttering amid the ashes with 'Libya is sooooo important' scrawled on it. The remnants of the last meal in the kitchen. A flower that somehow survived the carnage."

Damon and Qaseera won an Investigative Reporters and Editors Award for their coverage of the attack.

Tommy Evans, a regular bureau chief for CNN in Baghdad during the war and now chief of CNN's London bureau, recalled going on a police patrol in Afghanistan with Sarmad and correspondent Michael Ware.

"We were zipping through a dark, windy residential neighborhood when an IED went off," he said. "It felt like a mule kicked me in the chest."

Evans, in the aftermath of the explosion, couldn't hear or see.

"When my eyes did refocus, the air was so full of sand and dust I could no longer see Sarmad's truck in front of me. I was convinced it had been hit."

Evans jumped from the truck and ran into the road. Standing there was Sarmad, a camera on his shoulder.

"We asked each other frantically if the other was hurt. Then he looked at me and said, 'Tommy, I am so sorry,'" Evans recalled.

When asked why, Sarmad replied: "I don't think I was rolling."

"Later that night we got back to the safe house, covered with dust and a little blood. And we watched the tape. ... He was rolling," Evans said.

Just weeks from U.S. citizenship

Sarmad worked for many years for CNN in Iraq, but more recently he covered many other stories, both "good news" assignments and conflicts, too.

Correspondent Nima Elbagir remembered a funny moment with Sarmad while covering the uprising in Egypt.

"I'm a good foot taller than Sarmad," she said. "So it made a lot of Egyptians laugh to see him dragging a camera case along to stand on when he was filming me.

"When it kicked off inside Tahrir Square and we'd been separated he -- all 5-foot-nothing of him -- fought his way through to find me. We used to joke it was our 'Romeo and Juliet' moment, shouting each other's names through the crowd. We eventually took shelter in the KFC overlooking Tahrir Square, and as the mob swarmed outside the now-barricaded glass doors he calmly ordered combo meals for both of us."

Another longtime CNN Baghdad bureau chief, Kevin Flower, described Sarmad's passing as a loss not only for friends and family, but for journalism as well.

"He will be forever remembered for the infectious sense of humor and smile, but he should be remembered as a journalist's journalist. The best in class. He was a true professional in every sense of the word, who brought a whole lot of important stories to the world. With Sarmad, CNN was a better news organization."

Sarmad Qaseera was taken far too soon.

His American dream was still unfolding and he had so much more to give, as a professional and a man.

Sarmad was to become an American citizen in the next few weeks, something he had been waiting for for so long.

Ma'a as-salÄ

@highlight

Sarmad Qaseera died suddenly Monday at age 42

@highlight

An Iraq native, he was a longtime member of CNN's Baghdad bureau

@highlight

He fled the country in 2006 after getting death threats

@highlight

He was just weeks away from American citizenship