Editor's note: Gladys Limón is a staff attorney at the Mexican American Legal Defense and Educational Fund in Los Angeles, California. Before joining the organization, she spent two years as an attorney at Fried, Frank, Harris, Shriver, and Jacobson, and also was a law clerk to U.S. District Judge Lawrence K. Karlton in the Eastern District of California.

Gladys Limón says justice wasn't done in the trial of two charged in the death of Luis Ramirez.

(CNN) -- On July 14, 2008, 25-year old Luis Ramirez, a father of two, died after being brutally beaten by a group of Shenandoah, Pennsylvania, high school football players who yelled racial epithets throughout the beating.

During the week of April 27, a Schuylkill County jury heard the criminal case against two of the four assailants, Brandon Piekarsky and Derrick Donchak, including charges of homicide, ethnic intimidation, aggravated assault and hindering prosecution. The jury heard overwhelming evidence describing how Ramirez was twice knocked to the ground, surrounded, kicked and stomped on by the football players.

According to witnesses, the attack ended after Piekarsky kicked Ramirez in the head as he lay still on the pavement, causing him to convulse and foam at the mouth. Medical experts testified that the kick to the head fractured Ramirez's skull and resulted in such extreme swelling of the brain that his skull could not contain it. Undisputed evidence explained that the assailants met on the following day to fabricate a cover-up story.

Despite the overwhelming evidence of the violent, racially motivated attack, the jury found the two defendants guilty of only a misdemeanor -- simple assault. The flagrant injustice resulting from the verdicts has once again shed light on both the wave of hate crimes against Latinos as well as the failure of our judicial system consistently to administer justice fairly without regard to race. In this case, Ramirez was not only the victim of a heinous, racially motivated crime but also of a prejudiced local judicial process.

Since the verdict, the jury foreman has courageously come forward to express his sentiment that racism contaminated the jury's deliberations. Although he said did not believe enough evidence was presented to overcome the reasonable doubt in his mind, the jury foreman stated that he believed some of the jurors already had predetermined the results before their deliberations.

The possibility that the integrity of the jury's deliberations was compromised is not unlikely given the development of the case and the defense attorneys' dogged strategy to appeal to the jurors' prejudices and fears.

For example, the defense made a large issue of the fact that a Latino acquaintance of Ramirez's appeared at the scene after the beating was over with a BB gun, and that the acquaintance had an inconsequential encounter with the defendants as they were fleeing the crime scene. Since the BB gun appeared as the defendants were fleeing, it could not possibly have had any relevance to, or bearing on, the defendants' actions for which they were tried, yet the defense attorney made it a point to show the weapon to the jury three times in an effort to associate Luis with a criminal element.

The jury, which was selected in one day, heard the defense attorneys characterize the defendants as "boys" and "kids" who felt threatened by and had to defend against Ramirez. By allowing the introduction of irrelevant, unduly prejudicial evidence, the court permitted the defense throughout the trial  to demonize Ramirez in contrast to its efforts to humanize and garner sympathy for the accused.

While the evidence and testimony presented to criminalize Ramirez had absolutely no relation to the underlying brutal acts committed by the defendants, they had everything to do with appealing to the jurors' prejudices against the Mexican "illegal" immigrant. No one, not even the prosecution, bothered to emphasize that Ramirez was a real person -- a father of two young children, partner, son and brother.

Common sense dictates that four star football players were unlikely to have been threatened by Ramirez, and one of them so testified when he stated that he was not scared of Ramirez because he "was smaller" and they outnumbered him by six to one.

Yet it seems prejudice overruled reason in this case, and that the life of a Mexican immigrant who was fatally beaten by white "kids" was deemed subhuman. Indeed, after the verdicts were read, the disregard for the taking of Ramirez's life was again pronounced by the jubilant cheers and applause from the defendants' families and friends that were more fitting for a football game victory than an acquittal from serious criminal charges in the brutal beating and death of another human being.

What is equally disturbing is the message the verdicts carry -- that Latino immigrants can be brutally beaten without any consequence to those who commit the crimes.

In the wake of the anti-Latino immigrant campaign that has raged over the last several years, hate crimes against Latinos across our nation have surged by 40 percent from 2003 to 2007, according to FBI statistics. The anti-immigrant rhetoric spewed by irresponsible politicians and media personalities has penetrated our households, schools and entire communities. We must be vigilant to expose and challenge this xenophobia wherever we see it.

Racial hatred is not only a threat to the fabric of our society but can have dangerous, deadly consequences. Unfortunately, as a result of the verdicts in this case, the Latino community in Shenandoah and throughout our country now stands even more vulnerable to similar hate-filled crimes.

This travesty of justice is a sobering moment for our country, as we are forced as a nation again to face the disturbing fact that racism and xenophobia continue to seep into the hearts and minds of Americans. The glaring injustice in the case of Luis Ramirez behooves all compassionate and fair-minded people to stand up against it.

In fact, it is quite encouraging that people of all backgrounds from throughout the country, including the Shenandoah area, have expressed their own outrage at the verdicts and have joined the Mexican American Legal Defense and Educational Fund's call for justice for Ramirez.

A federal prosecution is in the public interest to eradicate bias-motivated violence and to secure substantial justice in this case. The Department of Justice has initiated an investigation, and we urge it to move forward with federal civil rights charges to provide justice for the death of Ramirez and for our national interest.

We must not allow bigotry and hate to define our own reactions to this injustice. Rather, we must respond firmly and proactively by uniting across communities to condemn these actions.

The opinions expressed in this commentary are solely those of Gladys Limón.

@highlight

Gladys Limón: Luis Ramirez was beaten to death in Shenandoah, Pennsylvania

@highlight

Limón says acquittal of two defendants on most charges was an injustice

@highlight

Limón: U.S. Justice Department should bring charges in the case