(CNN) -- In 1981, James Brady was shot in the head and gravely wounded in a shooting that also wounded President Reagan -- despite their both being surrounded by plenty of extremely well-trained "good guys with guns." At that time, federal law set conditions, such as a felony conviction or being involuntarily hospitalized for a mental illness, that prohibited a person from possessing firearms.

The 1968 Gun Control Act had established record-keeping requirements and regulated interstate transactions of firearms, but there was no federal law requiring proof from a prospective buyer that he or she was not prohibited from possessing firearms.

It was, in essence, an honor system. You could purchase as many firearms and as much ammunition as you liked, as long as you signed a form stating that you didn't meet any of the disqualifying conditions.

While James Brady started his long road to recovery from his brain injuries, he and his wife, Sarah, began what has been a three-decade endeavor to strengthen America's gun laws and prevent others from becoming victims of gun violence. The Bradys and the organization they have helped lead have been successful in:

--Expanding disqualifiers for firearm possession to include perpetrators of domestic violence

--Advancing laws to prevent gun violence at the state level

--Litigating legal cases to protect the public from unsafe business practices in the gun industry

--Educating the public about how to protect children from being shot

But Brady's best-known legacy will be the federal law he championed and that bears his name, the Brady Gun Violence Prevention Act.

The Brady Act was a huge leap forward toward fulfilling the objectives of the Gun Control Act of 1968: keeping guns from dangerous people. It required licensed gun dealers to submit information on the identity of prospective gun buyers to the FBI, which could then determine through searches of databases of criminal records whether the purchaser was prohibited.

Through this law, millions of prohibited buyers have been identified and prohibited from purchasing firearms from licensed dealers.

What impact the Brady Law has had on public safety is debatable and, in my opinion, very difficult to assess. Because some states had background check requirements in place before the Brady Law, one way to estimate the policy's effects is to contrast changes in homicide trends in these states at the time the law was implemented with changes over the same period in states newly implementing background checks for sales by licensed gun dealers.

But the accuracy of the estimates depends on having states that are similar except for the policy change or having states with similar crime trends before the law was implemented. If the pre-law trends differ between those sets of states, you must control for those differences. Those conditions haven't been met in studies of the Brady Law.

But I believe the Brady Law is the foundation upon which we should build a complete system for vetting all firearms transactions to keep guns away from people identified by laws as being too dangerous to possess them. Some consider background checks for all gun sales a pipe dream, based on the flawed logic that gun laws won't work when criminals don't obey them. This argument ignores the important linkages between legal and illegal gun markets and what research has shown about the ability of sensible regulations to prevent diversions of guns into the illegal market.

We can't directly observe a homicide prevented because of background checks, but we can see what happens in their absence. After Missouri repealed its system for vetting all handgun sales through a permit to purchase background check system in 2007, firearm homicide rates increased sharply while rates declined nationally and in states surrounding Missouri.

A study that I conducted to assess the effects of this policy change controlled for a host of other factors that might explain Missouri's spike in gun homicides and determined that Missouri's repealed handgun purchase permit law was associated with nearly 50 additional homicides per year.

The last 33 years of James Brady's life were marked by courage and perseverance, not only to regain what gun violence had taken from him, but to curb the nation's extraordinary high level of gun violence. He has been an inspiration to many who are committed to completing what he started, so we can have far more effective policies for keeping guns from dangerous people.

If his vision of a comprehensive background check system is realized, we will have many fewer lives lost and damaged by gun violence.

@highlight

Daniel Webster: In 1981, when James Brady was shot, buying guns relied on "honor system"

@highlight

He says you only had to sign form saying law didn't prohibit you from owning firearms

@highlight

Brady Law helped fulfill goal of Gun Control Act, to keep guns from dangerous people, he says

@highlight

Webster: Its effect on public safety unclear, but background checks help